(CNN) -- Four groups that advocate for immigrant rights said Thursday they will challenge Arizona's new immigration law, which allows police to ask anyone for proof of legal U.S. residency.

The Mexican American Legal Defense and Educational Fund, the American Civil Liberties Union, the ACLU of Arizona and the National Immigration Law Center held a news conference Thursday in Phoenix to announce the legal challenge.

"The Arizona community can be assured that a vigorous and sophisticated legal challenge will be mounted, in advance of SB1070's implementation, seeking to prevent this unconstitutional and discriminatory law from ever taking effect," said Thomas A. Saenz, president of the Mexican American Legal Defense and Educational Fund, known as MALDEF.

"This law will only make the rampant racial profiling of Latinos that is already going on in Arizona much worse," said Alessandra Soler Meetze, executive director of the ACLU of Arizona. "If this law were implemented, citizens would effectively have to carry 'their papers' at all times to avoid arrest. It is a low point in modern America when a state law requires police to demand documents from people on the street."

Republican Arizona Gov. Jan Brewer signed the law last week. It goes into effect 90 days after the close of the legislative session, which has not been determined.

Brewer and others who support the law say it does not involve racial profiling or any other illegal acts.

"Racial profiling is illegal," Brewer said after signing the bill Friday. "It is illegal in America, and it's certainly illegal in Arizona."

The National Coalition Of Latino Clergy & Christian Leaders said Sunday it also planned legal action.

"Our churches and pastors in Arizona are outraged about the significant threat this anti-immigrant law will have in the lives of Arizona's Latinos," said the Rev. Miguel Rivera, the group's chairman.

"This policy violates the rights of American citizens, particularly the fast-growing Latino population of Arizona, by eliminating the basic right of due process, which we are certain that the courts will agree," Rivera said.

The law requires immigrants to carry their alien registration documents at all times and requires police to question people if there is reason to suspect they're in the United States illegally. The measure makes it a state crime to live or travel through Arizona illegally.

It also targets those who hire illegal immigrant day laborers or knowingly transport them.

In addition to signing the law, Brewer also issued an executive order that requires training for local officers on how to implement the law without engaging in racial profiling or discrimination.

"This training will include what does and does not constitute reasonable suspicion that a person is not legally present in the United States," she said.

Some officials in Arizona have expressed their displeasure with the measure. Phoenix Mayor Phil Gordon said Thursday that he is "very disappointed."

He said he is concerned that calls to boycott Arizona businesses and tourism will harm the state.

"I'm very incredulous that our state leaders -- our so-called leaders -- have allowed our state to be split when we're suffering economic hardships," Gordon told CNN.

Other critics say the bill is unconstitutional and will trample residents' civil rights.

"Quite simply, this law is a civil rights disaster and an insult to American values," said Mary Bauer, legal director of the Southern Poverty Law Center. "No one in our country should be required to produce their 'papers' or demand to prove their innocence. What kind of country are we becoming?"

But a national Republican leader said Thursday that Arizona is just filling a void left by the federal government.

"I think the people of Arizona have a right to pass their laws under the 10th Amendment," House Minority Leader John Boehner said. "I think it is clearly a result of the federal government's failure to secure our border and to enforce our laws."

Gordon said the real solution is comprehensive immigration reform that would allow more immigrants to legally enter the United States.

"This law doesn't accomplish that," he said. "It doesn't do anything on that."

President Obama has called on Congress to pass a comprehensive immigration reform law this year. CNN has learned that Senate Majority Leader Harry Reid and other top Democratic senators will unveil the outlines of that legislation late Thursday.

But Boehner said at a briefing Thursday that "there's not a chance" that Congress will approve the measure this year, especially after the recent passage of a health care reform bill.

"I've been out here for a little while and know that in the middle of an election year, after we've had bills like health care shoved down our throats and the process twisted, tortured, pressured, bribed, you cannot do a serious piece of legislation of this size, with this difficulty, in this environment," he said. "And it's nothing more than a cynical ploy to try and engage voters, some segment of voters, to show up in this November's elections."

The Arizona measure has drawn sharp criticism from the Mexican government, which issued an advisory to its citizens this week. The secretary general of the Organization of American States and some member states also expressed concerns about the law Wednesday.

"This is an issue of concern to all citizens of the Americas, beginning with the citizens of the United States, a country with a very rich tradition of immigration and respect for immigrants who have come to lead a better life," OAS Secretary General Jose Miguel Insulza said. "The rich tradition we all admire, of recognizing immigrants in the United States, has been harmed, undermined."

The uproar caused by the law has even spread to the nation's pastime. Protesters plan to demonstrate against the Arizona Diamondbacks baseball team Thursday outside Wrigley Field in Chicago, Illinois.

In Arizona, two popular singers also will voice their opposition.

Grammy Award-winning Colombian singer Shakira is scheduled to meet with Gordon on Thursday evening.

Singer-songwriter Linda Ronstadt, an Arizona native of Mexican and German descent, also attended the Thursday afternoon rally with the immigrant rights groups.

"What Gov. Brewer signed into law last week is a piece of legislation that threatens the very heart of this great state," Ronstadt said. "We must come together and stop SB1070 from pitting neighbor against neighbor to the detriment of us all."

Federal officials estimate there are about 10.8 million illegal immigrants in the United States, of which about 6.6 million come from Mexico and 760,000 from the rest of Latin America. About 1 million come from Asia.

Arizona, which is on the Mexican border, has about 460,000 undocumented immigrants, the federal government says. At least five other states, including California, with 2.6 million, have more undocumented immigrants, the government says.

The other states with more illegal immigrants than Arizona are Texas, Florida, New York and Georgia.

A Pew Research Center survey late last year found that Americans believe Latinos are discriminated against more than any other major racial or ethnic group in American society.

The Pew survey also indicated that about one-third of the nation's Latinos say they or someone they know has experienced discrimination. About 9 percent said they had been stopped by police or other authorities and asked about their immigration status in the year before the survey.

Fifty-seven percent of those surveyed said they worried that they, a family member or a close friend could be deported.

@highlight

NEW: 4 groups announce legal challenge in Phoenix

@highlight

American Civil Liberties Union, ACLU of Arizona, National Immigration Law Center slam law

@highlight

Mexican American Legal Defense and Educational Fund also objects to it

@highlight

They say law encourages racial profiling, but supporters say it doesn't involve any illegal acts