This week the Supreme Court heard two historic cases on marriage. Even though I was a lawyer in the litigation and in the courthouse both days, I can't predict which way the court will come down. But the outcomes range from nothing at all to fundamentally restructuring the foundational unit of western civilization.

Hollingsworth v. Perry is about whether state laws defining marriage as one man and one woman violate the 14th Amendment of the U.S. Constitution. United States v. Windsor asks whether Section 3 of the Defense of Marriage Act, which defines marriage for federal law and programs as between one man and one woman, is unconstitutional. DOMA passed in 1996 with 78% of the U.S. House and 85% of the Senate and was signed by President Bill Clinton.

The whole nation is focused on the litigation. Ironically, it's possible that neither case will be decided on the merits.

In Hollingsworth, California's governor and attorney general abdicated their duties by refusing to defend their state constitution. So pursuant to California law, the sponsors of Prop 8 — officially registered with the state — stepped in to defend the law, represented by Charles Cooper at Cooper Kirk and the Alliance Defending Freedom.

In Windsor, the defendant was the federal government. But President Barack Obama declared that he believes DOMA is unconstitutional and ordered his Justice Department not to defend it. So per its rules, the U.S. House voted to authorize Paul Clement  — probably the greatest Supreme Court lawyer practicing today — to defend DOMA.

Article III of the Constitution limits the jurisdiction of the federal courts. One requirement is that there must be adversity between the parties. Since the defendants in both cases refused to defend their own laws, the court will consider whether the Constitution allows these third-party legal teams to become a proper party to the lawsuits.

There's a second issue in Windsor. Edith Windsor entered into a gay marriage in Canada in 2007 and lived in New York. When her partner died in 2009, Windsor sued to contest the federal estate tax she paid, claiming a spousal exemption.

But New York did not create gay marriage until 2011, so Windsor was not harmed by DOMA not allowing the federal government to recognize her marriage, since if the IRS used state definitions Windsor would still be regarded an a single woman. Thus it's possible she lacks standing to sue over the issue. It also raises the issue of whether courts must recognize polygamous marriages, which are legal in dozens of nations worldwide.

The swing vote regarding the Article III issues in both cases is probably Chief Justice John Roberts. He openly expressed skepticism in Hollingsworth and led the Court in an hour-long debate in Windsor solely focused on whether the court has jurisdiction.

Assuming the court does decide the merits, the implications are historic.

Windsor would alter America's system of federalism. Only the states determine who can get married. But the federal government is free to decide whom to confer federal benefits on — largely economic entitlements and federal issues such as immigration. Federalism is a two-way street. But if DOMA Section 3 is invalidated, the states will be able to dictate whom the recipients of federal benefits are.

If Windsor is historic, Hollingsworth is earth-shattering. If the Supreme Court declares a constitutional right to marriage other than one-man, one-woman, then all traditional marriage laws in all 50 states will be invalid, and there will be a serious debate (already in a lower federal court) of whether polygamists also have a constitutional right to national recognition.

On the merits, the court seems unlikely to declare an unwritten constitutional right to gay marriage, though arguments did not go as well for DOMA. Justice Anthony Kennedy is likely the swing vote in both.

As Justice Samuel Alito said this week, the Internet and cell phones have been around on this planet longer than gay marriage. It is an energetic debate in all 50 states, and this summer we will learn whether the Supreme Court will shut down this debate by making it a constitutional issue on which the American people are not allowed to vote.

@highlight

Ken Klukowski: Cases heard by Supreme Court could result in momentous change

@highlight

He says there are questions of whether cases could be tossed because of special circumstances

@highlight

If court issues sweeping ruling, it could deprive voters of chance to weigh in

@highlight

Klukowski: Gay marriage is such a new phenomenon that court shouldn't freeze the debate