(CNN) -- American journalist James Foley was murdered, beheaded by an English-speaking member of ISIS, the extremist group that calls itself the Islamic State and has already conquered large swaths of two Middle Eastern countries. The sickening execution, recorded and released online for the world to see, came with a warning to the U.S.: ISIS showed another captive American journalist, believed to be Steven Sotloff, and threatened to kill him too if the U.S. does not stop helping those fighting to stop ISIS advances.

The killing and the threat, along with all the evidence ISIS is leaving as it gouges its way across the region, are a direct challenge to the American people, to the U.S. government and to the international community.

As it makes increasingly clear what kind of an organization it is, ISIS is sending a message: "Stay out of this, so we can keep driving toward our objective."

President Obama said Wednesday that "We will do everything we can to protect our people ... The entire world is appalled by the brutal murder."

The U.S. government has crucial steps to take now. First, obviously, it cannot give into ISIS threats and must continue helping dislodge ISIS from northern Iraq where it is engaging in ethnic cleansing against Christians and other minorities; kidnapping, raping and selling women; and massacring people. The U.S. effort should keep a special focus on helping America's loyal and ideologically moderate friends, the Kurds of Iraq.

At the same time, the U.S. should make a strong diplomatic push to obtain international legitimacy for the campaign to defeat ISIS. It is important to prevent ISIS from scoring a recruiting victory among Muslims and anti-Western and anti-American camps by portraying this as a war between Islam and the West, which it is not.

There are few people on Earth who are not horrified by ISIS. That includes the overwhelming majority of Muslims. The grand mufti of Saudi Arabia, Abdul Aziz al-Sheikh, called ISIS and al Qaeda "Enemy No. 1" of Islam. Countless Muslims have criticized and condemned them.

ISIS is the enemy of anyone who does not belong to ISIS. They kill minorities, Shiite Muslims and Sunnis who don't abide by their views. They are virulently opposed to the West, to the U.S., to modernity and to anyone who sees the world differently from their narrow medieval perspective.

The U.S. should seek a U.N. resolution declaring that the international community, including the Muslim world, considers ISIS and its methods repugnant. Any country that disagrees, any government that is not revolted by ISIS and troubled by its methods and its goals, should go on record saying so.

Before ISIS, we knew that human beings are capable of unspeakable brutality. But anyone who thought man's inhumanity to man had eased after the mass crimes of the 20th century now knows better. ISIS didn't just remind us how cruel humans can be; it has taken the use of brutality as a weapon of intimidation, extermination, genocide and recruitment propaganda to new levels.

ISIS is not the first to murder victims in large numbers; it is not the first to kill those who disagree with its beliefs or who belong to different ethnic or religious groups. But it seems no group has advertised its bloodlust with such relish and effectiveness.

More important, those using these methods, embracing this philosophy, are in control of enormous territories. When ISIS calls itself a state, it is not hyperbole by very much. ISIS has taken over a a tract of land bigger than many countries, something that al Qaeda, its comparatively mild-mannered inspiration, never came close to achieving.

ISIS has established and gained full dominion not only of cities and populations but of wealthy oil-producing lands. It is now financially self-sufficient, collecting millions of dollars every day from oil smuggling operations. If not stopped, it could continue its push toward the oil fields of southern Iraq at the edge of the Persian Gulf, which remains the epicenter of oil and gas production that allows the global economy to function.

If Osama bin Laden weren't dead, he would die of envy.

ISIS views the videos of mass executions, of severed heads on poles and of crucified men, as a way to keep its enemies frightened and weakened, and a way to tell prospective recruits that it is fearless in its war to create an Islamic caliphate ruling over all the world's Muslims. Its leader, Abu Bakr al-Baghdadi, incidentally, claims to rule over all Muslims and believes the ultimate goal of ISIS is to take over huge sections of Asia, Europe and Africa.

The killing of Foley, an idealistic journalist, sharpens our understanding of the organization seeking to dominate the Middle East. That the man who murdered him might have been British should erase any remaining fantasy in the West that this gruesome war, now raging in Syria and Iraq, will stay within any country's or any region's borders.

Those who seek to downplay the risk to the United States should think again.

Britain has confirmed that Foley's killer was most likely a British citizen. There have been reports of hundreds, even thousands, of Europeans training, fighting and killing alongside ISIS.

In June 2013, a video from Syria surfaced, showing men cutting off another man's head. To the shock of Europeans, they were heard speaking Dutch.

The ISIS members who hold European passports are able to travel freely across Europe and the U.S. and are prepared to do the unthinkable. There are hundreds of Germans, Spaniards, Belgians, French. Graduates of the Syria war, from where ISIS pushed into Iraq, have killed in Europe.

And ISIS ideology is gaining support in the continent. Last month, ISIS flags flew in an anti-Israel demonstration in the Hague, chanting against America and the West and most enthusiastically, "Death to the Jews."

ISIS can simply not be allowed to keep a foothold in the Middle East. If it does, the consequences will become even more catastrophic. In Iraq alone, 1.2 million people have been displaced, thousands killed.

It is politically and strategically complicated, because ISIS is also fighting Syrian President Bashar al-Assad and Hezbollah, and defeating ISIS would also be enormously pleasing to Iran. But the group is a growing threat.

The strategy of supporting the Kurds and the Iraqis in the front lines is a good one. It must be bolstered with material and diplomatic support. If it proves insufficient to turning back the bloody ISIS tide, then it must be revamped.

Foley's mother said her son gave his life trying to expose to the world the suffering of the Syrian people. That suffering has now extended to Iraq, and it will only become more widespread if ISIS is not stopped.

@highlight

Frida Ghitis: U.S. cannot give in to ISIS threats, must focus on helping Kurds of Iraq

@highlight

Ghitis: U.N. resolution should declare that Muslims, rest of the world find ISIS horrific

@highlight

Ghitis: U.S. should make sure this is not framed as a war against Islam and the West

@highlight

She says ISIS is a threat to the whole world; Europeans are joining in big numbers