(CNN) -- Activists speaking at a Syrian government-sponsored "national dialogue" meeting Sunday criticized recent crackdowns by the country's security forces, calling for an end to violence against protesters.

Syria's vice president hailed the Damascus University meeting between officials and members of the opposition as a step toward creating a "democratic nation."

"We hope that at the end of this comprehensive meeting to announce the transition of Syria to a pluralistic democratic nation where all citizens are guided by equality and participate in the modeling of the future of their country," Vice President Faruq al-Shara said in opening remarks at the meeting, which was broadcast live on state television.

Syrian activists say that security personnel have assaulted unarmed protesters during months of anti-government demonstrations that erupted nationwide in mid-March. The Syrian government has claimed armed groups are responsible for the violence at the demonstrations.

Several speakers at Sunday's meeting called on Syria's government to change its tactics.

"The bloodshed needs to stop. Yes, there are unauthorized protests, but is it a reason to use unjustified and excessive violence? The use of all types of excessive force is unjustified," said Qadri Jameel of the opposition Front of Change and Liberation.

Syrian researcher Al-Tayyeb Tizzina also criticized the use of force and asked for violence to stop in order for the dialogue to succeed.

"The establishment of a political society requires the immediate start of a process dismantling the police state that is dominating Syria," he said.

Al-Shara acknowledged that a surge of violence in Syria precipitated Sunday's meeting.

"We have to admit that without the big sacrifices that were presented by the Syrian people, from the blood of their sons, civilians or military in more than one province, city and town, this meeting wouldn't have happened," he said.

The state-run Syrian Arab News Agency said the meeting included members of the opposition, independent activists, youth leaders and academics.

However, some opponents of President Bashar al-Assad's regime have criticized the meeting, saying the government is trying to quiet widespread unrest without making meaningful changes.

Demonstrators protested the meeting in nationwide "no dialogue" marches Friday.

"Any dialogue must be based on the base of (al-Assad's) stepping down from power," said a statement from the Change in Syria Conference, an opposition group that called for al-Assad to hand over power to the vice president at a meeting in Turkey last month.

Sunday's dialogue meeting began as Syria's foreign ministry summoned the U.S. and French ambassadors and accused them of interfering in internal affairs when they visited Syria's fourth-largest city without permission last week, state media reported.

The ministry told the diplomats that their visit to the city of Hama violated the Vienna Convention, according to SANA. That 1961 accord, brokered through the United Nations, sets ground rules as to how diplomats can operate in other countries.

However, a senior U.S. State Department official said U.S. Ambassador Robert Ford was not summoned by Syrian officials on Sunday; his meeting with Syria's foreign minister was previously scheduled by the U.S. Embassy in Damascus last Thursday. The official declined to speak on the record because of the sensitivity of the situation.

In the meeting, Ford said his visit to Hama was meant to gather information and support freedom of expression. He also accused the Syrian government of inciting Syrians against the United States, including organizing a protest outside the U.S. Embassy Friday and Saturday, the senior State Department official said.

Protesters threw tomatoes, eggs, glass and rocks at the embassy as they called for the ambassador to leave during the 31-hour demonstration, according to the senior State Department official, who asked to remain anonymous because of the sensitivity of the situation.

State Department spokeswoman Victoria Nuland issued a blunt rebuttal to similar Syrian government accusations Friday, calling claims that Ford's visit was inciting protesters "absolute rubbish" and saying she was "dismayed" by the Syrian government's reaction. Nuland said the U.S. Embassy had notified the Syrian Defense Ministry before the visit and that Ford's car was waved through a security checkpoint.

The French foreign ministry issued a statement Sunday saying that its embassy had also been besieged by demonstrators, faulting Syrian authorities for failing to stop the destruction of vehicles, burning of French flags and other damage.

The French government summoned Syria's ambassador to France on Sunday to issue a formal protest on this matter, and to hold Syrian authorities responsible for the security of French diplomats in the Middle Eastern country. It also challenged the Damascus government's decision to summon Eric Chevallier, France's own ambassador to Syria.

Like the U.S. ambassador, Chevallier visited Hama on Thursday and spent the night, the French government said, meeting with wounded people and their families and medical staffers at a hospital.

Al-Assad issued a decree appointing a Hama provincial governor Sunday, a day after firing the existing leader after a series of peaceful demonstrations there, including a massive anti-government protest last Friday.

Activists and Human Rights Watch have reported many arrests and deaths in a fierce government crackdown in the area. Citizens have called a general strike in the city.

Diplomatic tensions over Syria also flared in Washington last week, with the State Department summoning Syrian Ambassador Imad Mustapha Friday.

The State Department said Mustapha was called "to express a number of our concerns with the reported actions of certain Syrian embassy staff in the United States."

The statement, issued in response to a question taken at Friday's daily briefing, said the State Department had received reports that Syrian mission personnel had been conducting video surveillance of people participating in peaceful demonstrations in the United States.

"We are also investigating reports that the Syrian government has sought retribution against Syrian family members for the actions of their relatives in the United States exercising their lawful rights in this country and will respond accordingly," the statement said.

CNN's Elise Labott, Yousuf Basil and Salma Abdelaziz contributed to this report.

@highlight

NEW: France summons Syria's ambassador to protest an attack on its embassy

@highlight

U.S. State Department official: The Syrian government incites anti-American sentiment

@highlight

Also Sunday, a state-backed "national dialogue" meeting continued in Damascus

@highlight

"The bloodshed needs to stop. ... Excessive force is unjustified," one activist says