(CNN) -- An argument before the Supreme Court on October 1 in Kiobel v. Royal Dutch Petroleum will have enormous significance. The case concerns the torture of Ogoni leaders in Nigeria, but at stake is the future of the law under which this case was brought, the Alien Tort Statute.

The United States stands at a crossroads. At its best, our nation has played a crucial role in championing human rights throughout the world and pioneering human rights law. At its worst, it has abandoned its lofty ideals in the name of realpolitik and supported dictators and policies that were responsible for horrible abuses.

Passed in 1789, the Alien Tort Statute was a prescient piece of legislation. It allows foreign victims of human rights abuses in foreign nations to seek civil remedies in U.S. courts, and its animating idea -- that people anywhere should have recourse for violations of the "law of nations" -- was the foundation of our modern understanding of human rights.

In the 1990s, Royal Dutch Petroleum (Shell) had extensive oil drilling operations in the Niger Delta in Nigeria, a region long plagued with poverty, human rights violations and environmental disaster. A popular movement of the Ogoni people resisting what they saw as reckless oil development in the region was violently suppressed by Nigeria's military dictatorship.

In the suit, the plaintiffs accuse Royal Dutch Shell of helping the former dictatorship in the arrests on false charges and torture of 12 members of the Ogoni tribe, who sought to peacefully disrupt Shell's operations because of the devastating health and environmental effects of unregulated drilling. All the plaintiffs were themselves tortured except Esther Kiobel, who brought her claims on behalf of her late husband, Barinem Kiobel. Kiobel was executed through a sham trial process in which the plaintiffs believe Shell played a central role.

The Supreme Court court accepted Kiobel v. Royal Dutch Petroleum last fall after a federal appeals court ruled that the statute could not be used to sue corporations. The justices indicated in February that they might question not just the application of the statute to corporations but whether and under what circumstances it applies to any human rights violations, even by individuals, that take place outside the United States. They ordered the case to be re-argued on exactly that question.

The case has been brought in the United States because of our nation's historical role in promoting the idea of universal rights and in the development of international human rights law.

From Franklin D. Roosevelt's Four Freedoms speech and the Universal Declaration of Human Rights that Eleanor Roosevelt tirelessly worked for, to the stirring oratory of Robert Jackson at the Nuremberg Tribunal, mid-century Americans gave voice and visibility to the idea that all people, everywhere, were entitled to certain fundamental rights. Since 1977, the State Department has annually produced Country Reports on Human Rights Practices.

The international leadership of the past century is a long way from where we find ourselves now. Our own era is defined by a different legacy: one of waterboarding and "torture memos," extraordinary renditions, indefinite detention at Guantánamo Bay and targeted killings in countries with which we are not at war. "The United States is abandoning its role as the global champion of human rights," Jimmy Carter wrote bluntly in The New York Times in June.

Shell Oil must aid Nigeria workers who were tortured, abused

On this grim and morally and legally compromised horizon, the Alien Tort Statute is still one bright spot for human rights advocacy. In a groundbreaking case in 1980, the family of a 17-year-old Paraguayan, Joelito Filártiga, who had been tortured and killed by a henchman of Gen. Alfredo Stroessner, brought and won a civil case against his murderer, Americo Peña-Irala. The young man had been tortured to death because his father opposed the government.

The ruling established that the statute could be used to hold modern torturers accountable for their actions, wherever they are committed. In the wake of the case, Filártiga v. Peña-Irala, the Alien Tort Statute developed into a new tool in human rights law. Successful cases were brought against government officials, against non-state actors like Radovan Karadžić in Bosnia-Herzegovina and against multinational corporations before the Second Circuit ruling in Kiobel that disallowed that.

It is this legacy that is at stake in the Kiobel case before the Supreme Court.

The immediate questions before the court on October 1 concern the reach of the Alien Tort Statute and whether it will continue to be possible for people like the Filártigas and the Kiobels to pursue their tormentors and hold them accountable for their heinous acts, and whether corporations can be held to account.

But the larger question is: Does the U.S. want to be a leader or a laggard in upholding international human rights? If the statute is narrowed and its promise of universal accountability curtailed, it will rightly be perceived as yet another step by the U.S. away from its once leading advocacy for human rights.

If, on the other hand, the Supreme Court upholds the Alien Tort Statute, it will signal to the world that we do still believe that people everywhere are entitled to certain fundamental rights and that we will help enforce those rights.

The opinions expressed in this commentary are solely those of Vincent Warren.

@highlight

Vince Warren: At its best, U.S. has been key in championing universal human rights

@highlight

Warren: A longstanding law lets foreign victims of human rights abuse find justice in U.S. courts

@highlight

Supreme Court to rule in international human rights case whether law will stand, he says

@highlight

Warren: If court upholds the law, the world will see U.S. still supports human rights for all