(CNN) -- A new CNN poll confirms that we're witnessing a quiet reversal in the character of our two major parties.

Traditionally, Republicans have always coalesced around the conventional wisdom front-runner for president. Conservatives respect structure, order and party brand names. Not for nothing was the name Nixon, Bush or Dole on the GOP presidential ticket from 1952 to 2004.

In contrast, Democrats have favored the presidential candidate with the hot hand, rising from obscurity to the White House -- think Jimmy Carter, Bill Clinton and Barack Obama.

But a fresh-out-of-the-oven CNN presidential poll shows a fractured GOP field of newcomers with no clear front-runner while the Democrats have given an unprecedented lead to a brand name of their own: Hillary Clinton.

Opinion: GOP strategy on shutdown courts doom

Yes, it is pathetically early to be projecting on the 2016 presidential campaign. Predictive capacity hovers somewhere near zero, and time fixated on polls would be productively used thinking about the 2014 midterms or the fights over the debt ceiling looming over our divided, dysfunctional Congress.

But as a snapshot of the underlying dynamics driving the two parties, this new poll is worth a look.

On the GOP side of the aisle, New Jersey Gov. Chris Christie narrowly leads the fractured field at 17%, one point above Rep. Paul Ryan, best known as Mitt Romney's vice presidential running mate. In the old days, the previous vice presidential nominee would be the future favorite. But that doesn't seem to be the case for Ryan, who emerged from the 2012 presidential race arguably damaged by his association with the Romney campaign.

Traditionally, the governor of blue state New Jersey wouldn't be on the GOP radar at all, but Christie -- cruising to a landslide re-election -- seems to be the exception to this and other rules.

Next on the list is Rand Paul, the scion of an outsider libertarian movement sparked by his dad's multiple runs for president. But the compelling and controversial one-time eye doctor is a first-term senator from Kentucky, far from your typical presidential timber.

Perhaps most interesting is the second tier of GOP candidates. Jeb Bush seems settled in at 10%, despite brand name and legendary brand loyalty. Two Hispanic senate Republicans, Marco Rubio and Ted Cruz, come in next at 9% and 7% respectively. And then, at the bottom of the barrel, come two 2012 aspirants: Texas Gov. Rick Perry and former Pennsylvania Sen. Rick Santorum.

Far from being strengthened by their 2012 campaigns, these two candidates seem weakened by the experience. Rick Perry's "oops" heard round the world still resonates while Santorum's strident social conservatism doesn't seem to be taken seriously by 95% of the party faithful. Strange days.

Obama pressures conservative Republicans over possible shutdown

The real news is on the Democratic side. Hillary Clinton has accumulated a towering 55 percentage point lead over her next closest competitor, Vice President Joe Biden, who is at 10% and doesn't exactly lack name recognition.

Below Biden are first-term Massachusetts Sen. Elizabeth Warren at 7%, New York Gov. Andrew Cuomo at 6% and Maryland Gov. Martin O'Malley -- perhaps the most openly ambitious of the bunch -- at 2%.

Clinton's dominance illustrates an interesting dynamic. Six years ago, she was a far more polarizing figure among Democrats (and independents). Today, after her service as secretary of state, she seems more qualified and less polarizing, transcending her association with the culture of wars concurrent with Bubba's two terms in office.

Tough and experienced, Clinton is now positioned as a candidate who rivals Obama's 2007 surge. She will also be positioned as the candidate of the 51%, compelling to women of all ages and even possibly competitive among Republican women in this incarnation.

Uncle Joe Biden is well liked by the rank and file, but there doesn't seem to be much of a stampede to put him on the top of the ticket. Warren's strength comes from fascination with the new and represents the growing strength of the liberal base in the party. And while successful governors like Cuomo and O'Malley have earned the right to be taken seriously as presidential candidates, the party faithful don't seem to be much interested in buying what they are selling at the moment.

If Clinton does not run for some reason, Democrats will quickly wake up to the awkward fact that they have almost no depth of the bench after two Obama terms.

So there you have it: Democrats are behaving like Republicans, falling in line behind the big brand name dominating a race that is still three years away. And Republicans are behaving like Democrats, putting forward a fractured field with no clear front-runners but elevating a New Jersey governor, a Wisconsin congressman and a Kentucky senator to the front of the pack.

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

John Avlon: A new CNN poll shows a reversal in the character of two major parties

@highlight

Avlon: Traditionally, GOP coalesce around a front-runner; Democrats root for newcomers

@highlight

Now, GOP has an eclectic pool of presidential candidates; Democrats have Hillary Clinton

@highlight

Avlon: If Clinton does not run, Democrats will have almost no strong candidate