(CNN) -- Even during the harshest periods of the communist era, being Shanghainese had a special cachet in China.

The city and its residents were a synonym for Western fashion and open-minded attitudes, as different as could be from their Mao-pin wearing comrades.

Its personality remains just as strong today.

Shanghai is an unusual place. It's Chinese, but not entirely; its hybrid of Eastern and Western business and social traditions is found nowhere else in mainland China.

Here are the things that make China's booming commercial hub a unique place in the world's most populous country.

The Bund

A number of pockets in China have impressive Western buildings -- the German Quarter in Qingdao, Russian buildings in Harbin -- but none provide the surreal feeling of "elsewhereness" like the Bund.

The Bund refers to Shanghai's waterfront on the west bank of Huangpu River.

Two dozen colossal Western structures, ranging in style from art deco to Victorian Gothic, stand side by side, forming a massive marble curtain.

View it from afar and you'd think you were sailing into Liverpool. The 1,500-meter-long strip is a legacy passed down by one of the city's former rulers, Great Britain.

It was largely built in the late-19th and early-20th centuries to establish Shanghai as the British Empire's trading hub of the Far East.

The most magnificent building is today's number 10-12, the former HSBC building. When completed in 1923, the seven-story neoclassical landmark was dubbed "the most luxurious building from the Suez Canal to the Bering Strait."

The building's original ceiling mural managed to survive the Cultural Revolution; the octagonal mosaic painting is one of the best-kept secrets in Shanghai. It's now in the lobby of Shanghai Pudong Development Bank, the building's current occupier.

With the financial center's move to the east bank of Huangpu River, the old Bund has become a new home for world-class hotels, restaurants and retailers.

Skyscrapers

According to Emporis, a global real estate data provider based in Germany, Shanghai ranks sixth among world cities with the most skyscrapers.

There are 241 skyscrapers in Shanghai, eight fewer than Dubai, 14 more than in Seoul and 103 more than the second mainland city on the list, Guangzhou.

Although towering blocks mushroom throughout the metropolis, the skyscraper center point is the Lujiazui Financial District.

On the opposite side of the traditional Bund, Lujiazui appears so futuristic that it's become a Hollywood favorite as a setting for films, most recently featured in "Her" with Joaquin Phoenix.

Lujiazui is home to the most recognized high-rises in China, including the 468-meter Oriental Pearl TV Tower, the 421-meter Jinmao Tower and the 492-meter Shanghai World Financial Center. Since 1994, each of them has had a turn as the tallest structure in China.

Next in line is the 632-meter Shanghai Tower. Scheduled to open in 2015, the 121-story building is set to host what it claims will be world's tallest luxury hotel, J hotel.

The 258-room hotel -- a joint venture between Shanghai Jinjiang Hotel Group and Interstate Hotels and Resorts -- will occupy the 84th through 110th floors of the Shanghai Tower.

International events and entertainment

When international events set up in China, Shanghai is as often as not the default host city. Large-scale events in Beijing tend to carry political messages, while those in Shanghai focus more on fun and glamor.

The Chinese Formula One Grand Prix is one of the biggest annual events in Shanghai. It's the only Formula One stop in mainland China.

The Shanghai Masters (October 4-12) tennis championship is attended by the highest-ranking players of the year. The week-long event is part of the ATP World Tour Masters 1000.

Shanghai is also building a Disneyland. Set to open toward the end of 2015, Shanghai Disneyland will be the first Disney theme park in mainland China (Hong Kong Disneyland opened in 2005) and the sixth in the world.

The $5.5-billion investment will further promote Mickey Mouse and Donald Duck in the realm of the Monkey King.

International food

High-quality international restaurants are springing up in Shanghai so quickly that it's hard to keep track of them all.

New kitchens often set up on the Bund, around Xintiandi and in the former French Concession, as rivals to the established fine-dining scene in Beijing.

But look beyond the glitzy restaurant menus and into the homes of private residents, and you'll see a tradition of international cuisine found nowhere else in China.

The city's British rulers and Russian refugees may be long gone, but their food has remained.

Worcestershire sauce, that classic condiment from the United Kingdom, has a brother some 9,000 kilometers from home. Known locally as "spicy soy sauce," Shanghainese Worcestershire sauce was first produced in 1930 to cater to the large expat market.

Nowadays, the yellow-labeled bottle is ubiquitous in supermarkets. Shanghainese usually use it to accompany deep-fried pork chops.

When Russians fleeing the October Revolution of 1917 came to Shanghai, they brought their borscht. The hearty beef and vegetable soup has evolved into Shanghai's favorite comfort food. Local mothers usually cook it to treat friends and families.

Pidgin English

Colonial history has trickled down to Shanghai's local lingo.

Shanghai dialect is filed with localized English words and pidgin English cultural identifiers unique to Shanghainese.

A spring lock is called "si ba lin." Cement is "si men ting." In Shanghainese, "on sale" can refer to a "cheap" person.

Shanghai dialect is incomprehensible to a typical Mandarin speaker, whose language is largely based on pronunciation and vocabulary from northern China.

Shikumen

Shikumen is Shanghai's indigenous alleyway housing.

Series of stone buildings were built in the 1870s as a way to accommodate the city's rapidly growing immigrant families.

When the Communist Party took over in 1949, shikumen architecture was at its height -- there were around 200,000 shikumen buildings throughout central Shanghai, each divided into tenements to house five or even ten families.

As modern high-rises in Shanghai have grabbed international attention, however, these local architectural treasures have been ignored or even shoved aside. Since the 1990s, shikumen buildings have been getting pulled down more quickly than the skyscrapers rise.

But you can still find them in a few corners.

In Xintiandi, high-end restaurants, pubs and clubs have taken over the revamped old buildings. Tianzifang is a more Bohemian area. In its labyrinth of alleyways, indie designers hang up cocktail dresses next to self-employed vendors selling replica communist souvenirs in the courtyard.

For more authentic shikumen neighborhoods, CitÃ© Bourgogne on Shaanxi Nan Lu, and Jing'an Villa on Nanjing Xi Lu, are throwbacks to a uniquely Shanghai experience that's rapidly disappearing.

Now based in London, Tracy You is a native and longtime resident of Shanghai and a former CNN travel producer.

@highlight

Shanghai has long been a unique city in China

@highlight

Hybrid of Eastern, Western traditions is found nowhere else in mainland China

@highlight

Shanghai ranks sixth among world cities with the most skyscrapers, with 241

@highlight

Shanghainese dialect is filled with localized English words