BAGHDAD, Iraq (CNN) -- Brad Blauser lives in war-torn Baghdad, where he doesn't earn a paycheck and is thousands of miles from his family. But he has no intention of leaving anytime soon.

Since 2005, Brad Blauser's Wheelchairs for Iraqi Kids program has distributed nearly 650 free wheelchairs.

For the past four years, the Dallas, Texas, native has been providing hope to hundreds of disabled Iraqi children and their families through the distribution of pediatric wheelchairs.

"Disabled children -- they're really the forgotten ones in this war," said Blauser, 43. "They are often not seen in society."

Blauser arrived in Iraq as a civilian contractor in 2004, but quit that job last year to devote himself full time to his program, without compensation. Vote now for the CNN Hero of the Year

"There's no paycheck. It's not really safe here. But this is a once-in-a-lifetime opportunity," he said.

An estimated one in seven Iraqi children ages 2 to 14 lives with a disability, according to UNICEF. Illnesses such as Spina bifida, palsy and polio leave them unable to walk.

Some parents carry their children every day. For these children and their families, limited access to health care has taken a toll.

"A number of families don't know what's wrong with their kid. There's not a doctor available for help [and] there's no pediatric wheelchair source in this country," Blauser said.

Blauser first learned about this situation in 2005 through Maj. David Brown, a battalion surgeon. His friend shared heartbreaking accounts of helpless children pulling themselves along the ground, or living motionless in back rooms, too big to be moved long distances very often.

"So I asked him, 'What do you need?' " Blauser recalled. "And he surprised me by his answer: 'I need children's wheelchairs.' "

Blauser began researching and campaigning for help from friends and family in the United States. In 30 days, 31 pediatric and small adult wheelchairs arrived in Mosul for distribution to children in need. Wheelchairs for Iraqi Kids was born.

"The experience for me in the first distribution was awesome," said Blauser. "To see the smile come across their face and [to] look over at the mothers and fathers -- they've definitely been changed."

That's the case for 3-year-old Ali Khaled Ibrahim and his family. At 8 months old, Ali was struck by a mysterious fever that left him partially paralyzed. He cannot speak and experiences increasingly frequent and violent convulsions.

"Ali's handicap affected the family a lot," said his father.

His mother said she couldn't carry out her daily chores and her "psychological state worsened."

"When I heard the news of the distribution of these advanced wheelchairs, I was very happy deep down," she said. "I thought maybe that will ease my work as a mother in the way I deal with my son."  Watch Ali and other children receive their wheelchairs from Blauser's group »

Today, Ali smiles at home as he sits in his new wheelchair. His siblings giggle and sprinkle his face with kisses. The toddler's parents are thankful for the relief it has brought not only to Ali, but their entire family.

The boy is among hundreds of disabled Iraqi children to benefit from Blauser's generosity. Since 2005, Wheelchairs for Iraqi Kids has distributed nearly 650 pediatric wheelchairs.

To obtain the specialized chairs, Blauser partnered with Reach Out and Care Wheels, a nonprofit pediatric wheelchair organization in Montana. The organization provides wheelchairs designed for rough terrains in developing nations, making the devices "perfect for this environment," said Blauser.

Through sponsor donations, his group purchases the chairs from ROC Wheels for about $200 apiece, and USAID donates shipping. Members of the the U.S. and Iraqi armies, Iraqi police and border patrol work together to carry out the distributions.

Blauser and his group help adjust the children into their wheelchairs, which fit their bodies as they grow.  Watch Blauser demonstrate the specialized wheelchair »

For Blauser, who provides part-time safety consulting in exchange for room and board, an initial plan to stay for one year has become a dream to get wheelchairs to every Iraqi child who wants one. And he's determined to see it through.

"By providing what they need, I'm hoping to start a movement to change the way people think about disabled children," said Blauser. "They are not a curse, they are a blessing and they deserve to have their needs met."

Want to get involved? Check out Wheelchairs for Iraqi Kids and see how to help.

@highlight

Brad Blauser's Wheelchairs for Iraqi Kids has distributed nearly 650 free wheelchairs

@highlight

Dallas native Blauser lives in Baghdad and works for free

@highlight

"Disabled children -- they're really the forgotten ones in this war," he said

@highlight

Vote now for the CNN Hero of the Year at CNN.com/Heroes