(CNN) -- Airport hotels have always been necessary but unloved stopover spots for the depleted traveler, places to shower, rehydrate and let the body recuperate from the merciless rigors of flying.

Yet checking into the Hilton Frankfurt Airport, which opened in December turned out to be much more. It's an example of the emerging generation of airport hotels that are intended to function as destinations, real places where one might reasonably stay longer than a single night.

Some of the best and most spectacular airport hotels are in Asia: the Regal in Hong Kong; the Crowne Plaza in Singapore. Now the rest of the world is catching up, and the newest airport hotels in Europe, the United States, Latin America, and elsewhere are responding to the generalized craving for experience. And there's more going on than that: the increasing sophistication of these hotels parallels a reemergence of civilization—daring architecture; edible food—in airports themselves.

Travel + Leisure: Innovative new airport terminals

The improved hotels are one component of a backlash against that shiny one-world placelessness that airports have long cultivated. Moreover, they are being retooled for a new breed of business traveler. "The nature of work is changing," says Erin Hoover, head of design for the Sheraton and Westin brands, "and it's very collaborative."

Now airport hotels—like the newly opened Hilton in London, Novotel in Auckland, New Zealand, and Element in Miami—are catching up, bringing technology, design, and style to the international stopover.

Hilton Frankfurt Airport

The Hilton Frankfurt Airport is a stylish, hyper-connected oasis. The hotel, along with the lower-priced Hilton Garden Inn, occupies the eastern end of the Squaire (a name meant to evoke town square and air), an ultra-elongated mixed-use complex that rests on angled columns atop a high-speed rail station, is adjacent to the airport's commuter train station, and is squeezed between two major autobahns. When Squaire managing director Christoph Nebl characterizes it as "the best-connected spot in Europe," he's not exaggerating.

Travel + Leisure: America's safest airports

Sheraton Malpensa Hotel (Milan)

A series of glass modules lined up like the teeth of a comb, this property makes for a fitting addition to a world capital of design.

Atlanta Airport Marriott Gateway

Two minutes from the terminal via SkyTrain, the building is LEED certified and has a lobby floor made of terrazzo embedded with glass.

Aloft San Francisco International Airport

A newly rehabbed Clarion Inn building—dropped ceilings have been removed to give the rooms at this hotel an airy feel, and an expanded lobby big enough for a bustling bar scene has been added.

Travel + Leisure: America's best and worst Airports

Hilton Heathrow Terminal 5, U.K.

From its glamorous all-white main lobby staircase and unusually glitzy light fixtures to perfectly manicured exterior grounds and a celebrity chef--helmed restaurant (Mr. Todiwala's Kitchen), this property has all the makings of a hotel hot spot.

Element Miami

The Miami International Airport satellite of this Westin brand features the cutting-edge Pilot program, where electricity can be generated by guests using the hotel's stationary bikes. The fully equipped kitchens, nutritious menus, and bathrooms with mood-improving lighting attest to Element's health-conscious hospitality approach.

ALT Hotel Pearson, Toronto

Original art, Egyptian cotton linens, an Italian-made Calla chair, and Fruits & Passion bath products lend sophisticated global flair to the 153-room ALT, part of Canadian hotel group Groupe Germain.

Custom Hotel, Los Angeles

Relaunched and refreshed by Joie de Vivre in September 2011, this bombastic crash pad minutes from LAX appeals to your sense of whimsy with themed gimmicks, like the Pan Am--inspired staff uniforms and Hangar Lounge, the property's main lobby.

Steigenberger Airport Hotel Berlin

When Berlin's long-awaited Brandenburg Airport opens in March 2013, so too will this grand 322-room property with an outdoor reflecting pool, nine meeting spaces, a lobby bistro, and a fitness center with a gym, sauna, and steam bath.

Lotte City Hotel Gimpo Airport, South Korea

Understated and refined, this hotel provides a welcome break from its chaotic surroundings—a massive theme-park-mall complex within the airport. It opened in late 2011, with touch screen controls in the 197 rooms.

Planning a getaway? Don't miss Travel + Leisure's guide to the World's Best Hotels

Copyright 2012 American Express Publishing Corporation. All rights reserved.

@highlight

Hilton Frankfurt Airport is part of a mixed-use complex atop a high-speed rail station

@highlight

ALT Hotel Pearson in Toronto features original art and Egyptian cotton linens

@highlight

Guests at the Element Miami help make electricity by using the hotel's stationary bikes