(CNN)President Barack Obama took part in a roundtable discussion this week on climate change, refocusing on the issue from a public health vantage point.

After the event at Washington's Howard University on Tuesday, Obama sat down with me for a one-on-one interview. I asked him about the science behind climate change and public health and the message he wants the average American to take away, as well as how enforceable his action plan is.

Here are five things I learned:

The President enrolled at Occidental College in Los Angeles in 1979 (he transferred to Columbia University his junior year). While in L.A., he said, the air was so bad that it prevented him from running outside. He remembers the air quality alerts and how people with respiratory problems had to stay inside.

He credits the Clean Air Act with making Americans "a lot" healthier, in addition to being able to "see the mountains in the background because they aren't covered in smog."

Obama also said the instances of asthma and other respiratory diseases went down after these measures were taken.

Peer-reviewed Environmental Protection Agency studies say that the Clean Air Act and subsequent amendments have reduced early deaths associated with exposure to ambient fine particle pollution and ozone, and reduced illnesses such as chronic bronchitis and acute myocardial infarction. The EPA estimates that, between 1970 and 2010, the act and its amendments prevented 365,000 early deaths from particulate matter alone.

"No challenge poses more of a public threat than climate change," the President told me.

When I asked about the strength of the science supporting the direct relationship between climate change and public health, he said, "We know as temperatures rise, insect-borne diseases potentially start shifting up. We know, in a very straight-forward fashion, that heatstroke and other heat-related illnesses and deaths potentially increase, and so what we're doing here is to make sure that in addition to public awareness around the potential for big storms like Hurricane Sandy or big wildfires or droughts, that people recognize there's a very personal, potential impact in climate change, and the good news is we can do something about it."

In many ways, Obama is attempting to reframe the discussion around climate change as a public health issue that affects all of us, while conceding that we don't fully understand the magnitude of the correlation between rising temperatures and impact on human health.

When asked what the average American can do about all this, the President encouraged ordinary citizens, doctors and nurses to start putting some pressure on elected officials "to try and make something happen to reduce the impacts of climate change." He also issued a presidential proclamation declaring April 6-12 as National Public Health Week "to better understand, communicate and reduce the health impacts of climate change on our communities."

The average American can also do their part to reduce their own carbon footprint, including:

• Change your incandescent light bulbs to compact fluorescent lights. One CFL can reduce up to 1,300 pounds of carbon dioxide pollution during its lifetime. If every house in the U.S. switched its bulbs, we could reduce the electricity spent on lighting by half.

• Unplug your gadgets and chargers when not in use. According to the U.S. Department of Energy, this practice can save $100 a year on your energy bill.

• Use a laptop instead of a desktop. Laptops are designed to be energy-efficient, because battery life is a major factor in their design. According to Energy Star, a laptop can be up to 80% more energy-efficient than a desktop.

• Filter your own water. Beyond the environmental toll of plastic waste, consider just how far your water was transported before you bought it at the grocery store.

• Adjust your curtains and thermostats. If you keep your house 2 degrees warmer in the summer and 2 degrees colder in the winter, you can save big bucks on your energy bill. The Department of Energy estimates you can save up to 15% on your bill by turning off your thermostat when you're not at home.

Obama did not appear particularly concerned about the current Supreme Court challenge to the Affordable Care Act. He  said he believes the statute is "clear and straightforward." He said, "I am not anticipating the Supreme Court would make such a bad decision."

At issue is the 32 states that did not set up their own health care exchanges and left it to the federal government to do so.

The plaintiffs in the lawsuit contend that the language of the Affordable Care Act does not allow for tax subsidies in those states (without state-based exchanges), possibly creating a situation, for example, in which people in Massachusetts would receive a tax credit, but people living in Texas would not.

Obama did tell me that if the Supreme Court challenge is upheld, however, there is no Plan B.

"Millions of people would lose their health insurance. They would no longer be able to afford the health insurance that's being provided out there."

Obama went on to say, "I think this is the last gasp of folks who have been fighting against [the Affordable Care Act] for ideological reasons."

He told me that he "gets letters every day from people who say, 'you know what, the Affordable Care Act saved my life or saved my kid's life because I got insurance.' 'I thought I was healthy; turns out I had a tumor, but because I went and got a checkup, it was removed in time, and I'm now cancer-free.' "

He added, "I think stories like that will be factored in when the Supreme Court takes a look at this case."

CNN's Ben Tinker contributed to this report.

@highlight

"No challenge poses more of a public threat than climate change," the President says

@highlight

He credits the Clean Air Act with making Americans "a lot" healthier