(CNN) -- What would we lose if we lost 220,000 postal jobs (120,000 proposed through layoffs, 100,000 through attrition), 3,700 post offices, 300 mail processing plants, or even the post office itself?

With millions of jobs and businesses lost to the recent recession, these may seem like just more numbers, or more seemingly inevitable "facts" -- that in the electronic age we now rely on the private sector to deliver public services. But postal workers are people we depend on and post offices are places we want to know will always be there.

Downsizing the U.S Postal Service - -which is so low on money, it's in imminent danger of default -- may seem like a ripple in this troubled economy, but it promises to be a social tsunami if action isn't taken soon to save it.

For one thing, the postal service has been a huge employer. Before I became a history professor I carried mail for the Postal Service for 20 years. As with many government jobs, you're hired for this one based on achieving a high score on a competitive exam. Veterans, roughly 20% of today's postal workforce (though once well over 50%) earn extra points on this exam, thus giving them a head start and a job to come home to after military service.

Who were my co-workers? Just everyday people who, like me in 1980, were attracted to a job that had good benefits, job security, and started at $8.10 an hour. This was as a result of the 1970 nationwide postal wildcat strike that began in New York after postal workers declared they were tired of earning $2.95 an hour and having to work a second job or collect food stamps to make ends meet.

In collecting oral histories for a book I later wrote on the postal service, I interviewed those who had worked before 1970, including those who struck. The postal worker's job could include processing mail as clerks and mail handlers, delivering it as letter carriers, driving it as truck drivers, and as maintenance workers keeping up the vehicles, buildings, and grounds. Above all, postal workers were proud of having a career serving the public.

The job allowed many to move into the ranks of middle-class wage earners, where they were able to buy homes and send their children to college. But they were also members of extended families and community networks. Many started small businesses on the side, adopted foster children, were active in civic organizations, or enrolled in college classes. Their jobs mattered to communities.

Postal jobs have especially played a key role in black community development. The post office has long been one of the largest employers of African-Americans. Even as they faced discrimination at other jobs, many found work there with college degrees or military service under their belts. By 1970, they had become twice as likely as whites to work for the post office, and even before the wage bump that year, the job had afforded them a middle-class status and the ability to accumulate wealth.

Today the nation relies on a vast mailing industry that operates primarily for profit. But that network is underpinned by the U.S. Postal Service -- a self-supporting quasi-corporate government agency that remains committed to universal service by constitutional and congressional mandate.

Many Americans may not realize that it was the Post Office that pioneered parcel post in 1916 in response to the overpriced, poor, and inconsistent service disaster that was private package delivery. Or that the USPS came up with the concept of overnight mail and zip codes that UPS and FedEx rely on so heavily in their business.

Many don't make the connection that e-commerce not only competes with but also generates U.S. mail. Or that during the turn of this century -- the Postal Service's peak years of revenue and mail handling -- it was common to hear competitors and political ideologues calling for the agency's privatization, while at the same time blocking USPS innovations like the proposed 1997 Global Postal Link program to help expedite parcels through customs. 

Or that the post office is the victim of an artificial deficit created by the 2006 Postal Accountability and Enhancement Act, signed by President George W. Bush, which forces the Postal Service to pre-fund its retiree health benefits 75 years into the future over the next 10 years. What should have been annual revenue surpluses for the Postal Service over the last decade have instead contributed to nightmare annual deficits as it is forced to pay $5.5 billion a year out of operating funds to satisfy this unnecessary and devastating mandate. .

We lose more than numbers when we lose postal jobs and post offices, or even the existence of a universal postal service. We lose more than just people committed to providing service, but also people engaged with their communities. People able to consume goods that others produce to help drive local economies.

We would also lose the promise of jobs in the future that provide what has become a more dependable service over two centuries since the founding of this country (the post office was started in 1775). An alternative to this loss? People could demand that Congress treat the Postal Service as a venerable American institution worthy of fulfilling its enduring mandate, for which it has recruited generations of skilled and dedicated professional government employees.

A good start would be H.R. 1351, introduced by Rep. Stephen Lynch, D-Massachusetts, a bill that would at least allow the Postal Service to transfer surplus pension funds to satisfy the retiree health plan pre-fund requirement. And that pre-fund requirement ultimately needs to be repealed to keep the Postal Service from running off the rails.

The opinions expressed in this commentary are solely those of Philip F. Rubio

@highlight

Philip Rubio says the U.S. Postal Service threatened by major cuts or even closure

@highlight

He says post office represents people, places we rely on; cuts will have huge effect in U.S.

@highlight

He says it's a major employer, innovator and fulcrum of national communications system

@highlight

Rubio: Congress must assume responsibilty for finding a way for postal service to stay afloat