(CNN) -- No play can begin in a baseball game until the pitcher throws the ball. And no play can conclude until the umpire makes the call.

"We're not just robots they send out there," umpire Tim McClelland (2nd from L) told author Bruce Weber.

Yet these figures -- the man on the mound and the men who stand in judgment -- are vastly different in importance to the average fan.

There are countless children who dream of becoming a major-league pitcher. He is, literally, the king of the hill.

Umpires? Almost nobody dreams of becoming an umpire.

And yet the positions share a number of similarities, according to two new books: "As They See 'Em" (Scribner), by New York Times writer Bruce Weber, and "The Complete Game" (Knopf), by former major-league pitcher (and current New York Mets broadcaster) Ron Darling.

Both jobs require a great deal of command, neither gets enough training, and both are often disrespected by others in the game.

Indeed, despite a library of books by and about pitchers (Jim Bouton's "Ball Four," Jim Brosnan's "The Long Season," Christy Mathewson's "Pitching in a Pinch"), Darling said he believes that people still don't understand what it takes to stand on that mound.

"Within baseball circles there is a common baseball axiom, 'If pitchers weren't so stupid, hitters would never get a hit,' " he said in an e-mail. "Of course, I knew this was a fallacy so I decided to write about the travails of major league pitchers. Throwing a ball 95 mph to tin cup-sized quadrants sounds pretty difficult to me, and I wanted to express this to the reader."

Umpires, on the other hand, rarely get written about at all -- in fact, they're often treated as less than human. ("The owners basically see them like bases," former baseball Commissioner Fay Vincent told Weber. "They say, 'We need a base; we need an umpire; same thing.' ") Weber found a fraternity (and they are almost all men) much like cops or soldiers: tight-lipped believers in baseball law and order.

Weber immersed himself in the "land of umpires," as the book's subtitle calls it, attending umpiring school, calling games at various levels of pro ball and talking with those who were willing -- including the legendary Doug Harvey, who was called "God" for his imperious demeanor. What he found is that what looks so obvious on television at home is often a challenge on the field, a matter not just of eyesight but positioning, rule-book knowledge and basic guts.

"That's really what [being an umpire] is about -- is being in charge," he said. "If there's anything that characterizes the major league umpire, it's that special kind of chutzpah."

Umpires need that presence because they're often baseball's most disrespected men. Aside from the vitriol they face -- the managers kicking dirt, the spectators yelling "Kill the ump" -- they're second-guessed by broadcasters and barely tolerated by management, as Weber reveals in detailing the episodes preceding and following the 1999 umpires' strike.

And yet Major League Baseball doesn't participate in umpire training or development, entrusting it to two umpire-run private schools, Weber observes. (MLB does run an annual umpire camp.)

Darling echoes Weber's concerns in his own field, pitching. In these days of strict pitch counts and injury concern, pitchers are "undertrain[ed]," he says, noting that top draft choices climb the ranks "never allowed to throw more than 110 pitches." That leaves them at a disadvantage when they have to go deeper into a game or cope with a tough inning, he says.

"It would be like training for the marathon and never running more than 5 miles," he says. "Identifying and preserving million-dollar arms are [the purview] of doctors, not baseball people."

Darling's book is a chronicle of pitchers' thought processes, using individual innings from his pitching or broadcasting career to make his point. He talks about panic overtaking a pitcher, as it did for Darling in a 1984 game in which he got pasted by the Cubs; he also addresses the rush of pitching in a World Series game and -- in a treat for baseball fans -- goes over the extra innings in perhaps the most famous college baseball game ever, a 1981 extra-inning contest that Darling's Yale Bulldogs lost to Frank Viola's St. John's Redmen, 1-0.

He says he remembered the games vividly. "I definitely watched tapes and read box scores, but I was very clear on almost all the minutiae of the good old days. A little scary and maybe a major personality flaw!"

Pitchers get more support than umpires, of course. Darling observes that the relationship between a pitcher and his catcher during a well-pitched game "is one of sport's most beautiful dances. I would not have said it when I was playing, but after a shutout ... there is a love for that person immediately after the process. You did something together that could not have been done alone, and nobody can understand what you went through to get there."

Umpires, too, take pride in their best moments, though few pay attention outside their fellow umpires. More common is to be vilified for missed calls. Weber devotes a moving passage in his book to a conversation with the retired Don Denkinger, a 29-year veteran remembered by fans (if he's remembered at all) for a wrong call in the 1985 World Series.

Though time has dulled the pain, "I think he lives with [that call] every day," Weber said. "When a dreadful thing happens to you in front of so many people and you become famous for it, it must be devastating."

Weber says his time with umpires has made him much more sympathetic to their judgmental tasks. When watching games now, the Yankees fan says, he'll focus on the umpires.

"I just think umpiring is interesting. People hate 'em, and they somehow perceive of umpiring as a flaw in the game, but I don't," he said. "Now I'm always interested who the umpires are."

Which is a point the umpires would appreciate.

"Umpires are people, too," veteran ump Tim McClelland told Weber. "We have families; we have emotions. ... Somebody says, 'Kill the umpire,' and people go, 'Heh, heh, that's funny,' but in order to do that, you have to disassociate the umpire from the person.

"We're human. We're not just robots they send out there."

@highlight

"As They See 'Em" is in-depth look at baseball umpires

@highlight

"The Complete Game," by Mets broadcaster Ron Darling, gets inside pitcher's head

@highlight

Two positions have similarities: necessary command, some disrespect