HONG KONG, China (CNN) -- In the decade since the 1997 handover of Hong Kong to China, local movie-makers have faced daunting changes in the industry. A trend of fewer films being produced each year in Hong Kong at the time of the handover has continued into the 21st century.

Stephen Chow's "Shaolin Soccer" is one of Hong Kong's all-time top-grossing films.

People in Hong Kong's industry point to several causes for the comparatively leaner times: a lack of opportunities for new acting talent, inadequate training and schooling for people who produce movies and changing tastes within the Hong Kong public.

At the same time, local film-makers have had to refocus their cameras for a new audience: mainland China.

"The Hong Kong film industry came to a rude awakening [in the late 1990s] that the world was changing faster than it was in the age of new delivery systems for home entertainment and the Internet," says Bede Cheng, a local film archivist and curator. "Unfortunately, it seemed to be blinded by the 'golden age' of the '80s, where any film could easily rack in over $1.3 million."

The box office numbers are sobering. In the early 1990s, Hong Kong released around 200 local features a year. By 1997, that number dropped to 85 films grossing $69 million, according to the Hong Kong, Kowloon and New Territories Motion Picture Industry Association (MPIA).

By 2006, those figures slumped to 51 films grossing $37 million. Ten years ago, the top 10 grossing films accounted for 47 percent of the total box-office return; today, the portion is 58 percent.

"1997, unfortunately, coincides with the beginning of the collapse of the local film industry -- a well-documented fact," says screenwriter Jimmy Ngai. "On the other hand, it also commenced the opening up of the mainland market.

"The result is that the industry has grown more and more accustomed to looking north for both investment and box return -- nothing political, but more of a survival instinct. What needs not to be spelt out for film-makers venturing north is that one plays according to what goes with the territory."

The new Chinese market has translated into an emphasis in contrasts of Hong Kong-made films, says film archivist Cheng.

"Today production is down, with many majors like Chinastar and Golden Harvest scaling back," he says. "Most films are high-end productions with big stars, or low-end made with a shoestring budget for an easier return.

"The number of screens is also down, with the consolidation of more multiplexes, usually owned or partly owned by distributors, which already have a steady supply of foreign films to fill the screens. Some once video distributors like Mei Ah and Universe have gone into production as a way to keep the pipeline flowing."

In 2006, Hong Kong closed five small cinemas and re-opened one multiplex. Gary Mak, director of Broadway Cinematheque -- Hong Kong's last-remaining alternative-screening venue -- remains optimistic about more adventurous programming and distribution. But Mak points to a shortage of creativity in the local industry.

"No talents, no formal training, in most areas such as script-writing, directing, acting, etc," he says. "Even the independent scene still needs more real talents -- or at least, real producers to pull together a really good project."

Tim Youngs, Hong Kong consultant for Italy's Far East Film Festival, says changing tastes among Hong Kong movie-goers has also affected the industry.

"Audiences have become increasingly dismissive of local movies, often referring to them as poor quality, and there are much fewer paying cinemagoers these days.

"So the hometown audience shows less support for local movies, whether by not seeing local films or opting for piracy, while the declining number of films means less opportunities for film-makers, fewer chances to try out new things, and damage to confidence."

Elizabeth Kerr, film critic and curator formerly based in Seoul, South Korea, agrees with Youngs' assessment.

"For all the risk-taking businessmen out there [in Hong Kong], no one is willing to put their money where their mouth is and throw in some support.

"The industry for the most part suffers from the cleave between that fluff -- which makes money -- and the more adult film-making of the smaller studios, distributors and indies."

How is South Korea's film industry different from its Hong Kong counterpart? "The drive to attain world adoration," Kerr says. "Koreans truly believe they're making great art all the time. South Korea launched an active campaign on all levels -- corporate, government, education -- to train and cultivate a modern film industry."

Still, Kerr sees reason for optimism. Films that best retain a Hong Kong style, Kerr maintains, likely carry "Category III" (under 18 not allowed) ratings: Movies that are "grown up and smart," she says.

"Even if the films don't work, someone tried."

In the end, it may be culture that poses one of the greatest challenges for Hong Kong's movie industry.

"Around 1997, like lots of Hong Kong people, I kind of lost myself," says independent film-maker Chan Wing-chiu. "The film industry was already almost dead in the '90s. Why work for a sunset industry?"

Chan's own first feature in 2005, "A Side, B Side, Sea Side," includes a scene with a gaggle of girls on Hong Kong's Cheung Chau island who are unable to communicate in Chinese with an Australian man speaking fluent Mandarin. The two parties end up conversing in English.

"That's me," says Chan, referring to the girls. "I speak English better than Putonghua [China's official common language, also known as Mandarin]. Many Chinese say that now that Hong Kong is part of China, Hong Kong people must learn Putonghua. I disagree. In Hong Kong we all speak Cantonese. Hong Kong already has a bad reputation for Putonghua, but I don't feel ashamed. I'm proud to have grown up during the transition between 1997 and SAR.

"Why do we have so many problems with China? Because our language, our culture, our values, our way of thinking are different. So we are not good at speaking Putonghua. Even in the cinema, we see Western movies, Japanese movies, Korean movies... but not many Chinese movies."

Adds independent director Yan-yan Mak: "We are monsters. China says: 'You are not Chinese.' Gweilos [Hong Kong slang for Caucasians] say: 'You are Chinese.' After 1997, we lost the confidence to be Hong Kong people." E-mail to a friend

@highlight

Hong Kong film production has dropped almost 75 percent since early 1990s

@highlight

Mainland investment and market influences quality of Hong Kong films

@highlight

Problems include few opportunities for new talents and little audience support