Gaza City (CNN) -- With the latest failed cease-fire quickly becoming a distant memory, the two sides in the Israel-Gaza conflict traded rockets and airstrikes Saturday -- as well as blame for not stopping the bloodshed.

Israeli airstrikes killed at least five more people in Gaza on Saturday, the official Palestinian news agency WAFA reported.

The area around central Gaza's Qassam mosque, in particular, was a frenzy of activity as medical workers sifted through rubble there. WAFA claimed that Israeli fighter jets struck that mosque and another, killing at least three people.

Less than a mile away from the Qassam mosque, a strike killed two men riding on a motorbike, Palestinian Health Ministry spokesman Dr. Ashraf el-Qedra said. Israel's military confirmed the strike, saying the two men were militants.

El-Qedra added Saturday night that a 13-year-old girl died in an airstrike on her family home in Rafah. That was in addition to a 10-year-old boy who died while playing with friends, the Palestinian health ministry said.

Then again, Israel is on the defensive as well.

The Israel Defense Forces said that, since the end of the cease-fire early Friday, about 100 rockets were fired toward Israel from Gaza.

That figure includes at least 30 launched Saturday, of which 24 hit Israel, the military said.

The IDF responded by targeting "some 120 terror sites and nine terror operatives."

All this back-and-forth, of course, is nothing new.

The Israelis and Palestinians -- particularly Hamas, the Islamic militant group and political party that controls Gaza -- have been at it for weeks, with the former fending off persistent rocket attacks and the latter dealing with relentless Israeli strikes.

There have been efforts to halt the bloodshed as well as to broach some of the thorny issues related to it. And there have been some breakthroughs, including a few cease-fires.

Yet none of those peacemaking attempts, so far, has stuck.

Death toll's rise slows

The death toll's climb has slowed since IDF announced overnight into Saturday an end of its ground incursion in Gaza -- even as it continued to strike from the air. Israeli forces say troops redeployed after completed their mission of destroying Hamas' tunnels.

Still, while there weren't scores of dead Saturday as has been true many other days over the past few weeks, the total carnage remains significant.

According to el-Qedra, at least 1,911 in Gaza have died since the conflict began, in addition to just under 10,000 injured.

It's unclear how many casualties were militants: The United Nations estimates that about 70% of the dead were civilians, or about 1,340. IDF, meanwhile says about 900 militants have been killed, which would put the civilian death toll at around 1,000.

IDF spokesman Lt. Col. Peter Lerner said that that number was a preliminary estimate based on field reports from troops returning from battle.

Israeli officials say 64 Israeli soldiers have died, and three civilians were killed in Israel. The Iron Dome missile defense system has intercepted many of the rockets Gazan militants have fired at populated areas of the country.

Blame game continues

Besides the violence, another thing that hasn't stopped is the blame game.

One point of contention: who broke the most recent cease-fire hours before it was supposed to run out?

Hamas denied firing rockets into Israel on Friday.

Yet militants from Islamic Jihad and the Al-Nasser Salah al-Din Brigades admitted to doing just that -- blaming Israel for refusing to accept their demands during negotiations.

Israeli government spokesman Mark Regev said it was Hamas' fault regardless, telling CNN the group runs Gaza and "can't outsource terrorism to the other groups. When they want to enforce a cease-fire, they do it very well."

Hamas has been in charge of the Palestinian government in Gaza for years, while the Palestinian faction Fatah runs the government in the West Bank. The two groups have been at odds but also made repeated efforts at a unity government, including one earlier this year.

One sad irony of all this bloodshed is that -- according to the Egyptian foreign ministry, which brokered recent talks -- the parties have reached an agreement on most issues. Those not agreed upon were few and limited, the ministry said in a statement.

Still, there's too much history to show that agreement on some issues will not necessarily lead to a grander breakthrough.

The Palestinians have asked for Israel to lift its blockade on Gaza and to re-open the air and seaports, a Palestinian negotiation who spoke on condition of anonymity said. Israeli authorities fear Hamas could import weapons by sea and maintains a ship blockade off Gaza's shores.

Palestinians also wanted Israel to extend Gaza's fishing zone in the Mediterranean from three miles off the coast to 20. Fishing is a keystone of Gazan livelihoods. But Israel was willing to extend fishing rights to only six miles off the coast, said Hamas spokesman Sami Abu Zuhri.

Yet Israel is resisting in-depth talks as long as rockets continue to head toward its territory.

After Gazan rocket fire on Friday, Israel's Foreign Ministry said the country "will not conduct negotiations while under fire."

CNN exclusive: Inside the mind of Hamas' political leader

Nobel laureate Wiesel: Hamas must stop using children as human shields

Gaza conflict: Can economic isolation ever be reversed?

Life in Gaza: Misery heightened by war

CNN's John Vause reported from Gaza, Matthew Chance reported from Jerusalem; Ben Brumfield and Greg Botelho wrote and reported from Atlanta. CNN's Jethro Mullen, Ali Younes, Tal Heinrich, Jake Tapper and Samira Said also contributed to this report.

@highlight

NEW: Palestinian official: 13-year-old girl killed by Israeli airstrike

@highlight

NEW: Israeli military: About 100 rockets from Gaza since cease-fire's end

@highlight

Israel and Hamas criticize one another for not doing more to halt violence