Los Angeles (CNN) -- Los Angeles Clippers co-owner Shelly Sterling asked a Los Angeles probate court Wednesday to uphold her negotiated sale of the team for $2 billion despite her husband's objections, her attorney said.

The probate court agreed to hold a four-day trial on the issue, beginning July 7.

Sterling's legal maneuver comes as three physicians say her estranged husband, Donald, 80, is mentally incapacitated, said her attorney, Pierce O'Donnell. Court papers say her husband shows early Alzheimer's or other brain disease.

Donald Sterling, the team's other co-owner, doesn't want to sell the team as the National Basketball Association demands; this week he called the league "despicable monsters" and "a band of hypocrites and bullies."

O'Donnell said his client sought an expedited hearing "given the fact this is a very important transaction," he said.

"It's unfortunate. Mrs. Sterling regrets having to go to court and publicly air this problem. But Mr. Sterling's conduct in reneging on the sale requires her to do so," O'Donnell said.

Joining Sterling and O'Donnell at the courthouse Wednesday was the attorney for former Microsoft CEO Steve Ballmer, with whom Shelly Sterling has reached an agreement to sell the franchise for a record $2 billion.

Donald Sterling opposes a sale of the team and says he gave his wife a purported letter only to negotiate with a buyer, not to formally sell the team, his attorney said Wednesday.

"Bottom line, Donald Sterling does not want to sell the team," attorney Bobby Samini said.

Technically, a family trust owns the Clippers. But O'Donnell said that three physicians have certified that Donald Sterling lacks the mental capacity to function as a trustee of the complex trust.

"The trust agreement provides that if two qualified physicians certify that he's mentally incapacitated, he's removed. We also have a third distinguished doctor who's an expert in this field, mental capacity, who has reviewed the evidence, and supports the other doctors and agrees on that conclusion. So there's three doctors. We only need two," O'Donnell said.

"This is a complex business. You have a $2 billion basketball team. You have massive amount of 150 real estate holdings, and it requires a person to run the business who is competent, and the doctor -- three doctors -- have said that he lacks the mental capacity," O'Donnell said.

Doctors' findings

Donald Sterling recently underwent a CT scan and a PET scan of his brain, according to Shelly Sterling's court filings.

Dr. Meril S. Platzer, a California neurologist, examined Donald Sterling on May 19 and found he "is suffering from cognitive impairment secondary to primary dementia Alzheimer's disease," court papers said.

The PET scan on May 16 providing findings "consistent with a neurodementia of the Alzheimer's type," Platzer said in his certification of Donald Sterling's incapacity.

Donald Sterling was unable to spell "world" backward, was unaware of the season of the year and initially had difficulty drawing a clock, Platzer said in court papers.

Dr. James Edward Spar, a specialist in geriatric psychiatry who examined Donald Sterling on May 22, said Sterling suffers "mild global cognitive impairment" and "the overall picture is consistent with early Alzheimer's disease, but could reflect other forms of brain disease," court papers said.

Platzer said in a May 29 certification that Donald Sterling has "an impairment of his level of attention, information processing, short term memory impairment and ability to modulate mood, emotional liability, and is at risk of making potentially serious errors of judgment," court papers said.

Spar said in May 27 letter that Donald Sterling "is substantially unable to manage his finances and resist fraud and undue influence, and is no longer competent to act as trustee of his trust," court documents said.

Another specialist in geriatric psychiatry, Dr. Stephen L. Read, "confirmed the methodology and conclusions of Drs. Platzer and Spar," court papers said.

"I agree that the history and the findings are highly suspect as representing the slow emergence of progressive dementia, and specifically Alzheimer's disease," Read said in documents filed in court. "In addition, the findings described are fully consistent with the general loss of brain tissue and, more specifically, with the pattern of impaired brain functions demonstrated by the PET scan of May 16, 2014."

Under the trust agreement, if Donald Sterling became mentally incapacitated, he would be removed as a trustee, O'Donnell said.

Donald Sterling is mentally sound, one of his lawyers, Maxwell Blecher, told CNN on Tuesday.

"It strikes me as totally incredible to argue that this man -- I talk to him every day -- is incapable of making decisions and is mentally incompetent," Blecher said on Tuesday afternoon. "And I don't believe any court is going to make a finding to the contrary."

Adam Streisand, the attorney for Ballmer, said his client was hoping for a speedy court date.

"Mr. Ballmer has insisted, as a provision of this deal, Shelly Sterling get approval from the court that she has the authority as the sole trustee based upon the removal of Mr. Sterling as a trustee. So we are here because Mr. Ballmer is insisting that the court bless the transaction," Streisand said.

"If it does not go forward, the consequences are dire," Streisand said. "Mr. Ballmer is not going to stick around for years, for this to wind through the courts. And the NBA has made it very clear that it will take over the team, and that is a consequence that is not going to benefit the Sterling family."

September deadline

Donald Sterling initially vowed to fight the sale and filed a lawsuit against the NBA, then said he was going along with the sale -- until Monday, when he again pulled his support. "From the onset, I did not want to sell the Los Angeles Clippers. I have worked for 33 years to build the team," Donald Sterling said.

In Shelly Sterling's court filings, NBA general counsel Richard W. Buchanan said if the Sterlings don't sell the team by September 15, the league may sell the team or renew termination proceedings against the Clippers or both.

In one document, Shelly Sterling said her husband "has gone back and forth between opposing the sale and supporting the sale" of the team since May 29.

"To date, I have not received Donald's written consent to the sale of the Clippers to (Ballmer) for $2 billion," Shelly Sterling said in court papers.

Sterling has been embroiled in controversy since a recording of a conversation with his friend V. Stiviano surfaced. The recording included a series of racist comments.

Sterling's comments, first posted on TMZ, sparked outrage among NBA players, executives and fans. The commissioner fined Sterling $2.5 million and banned him for life from the NBA.

In a statement Tuesday, Sterling said he has apologized for the remarks and his apology is sincere.

He also made inflammatory comments to CNN's "Anderson Cooper 360" about African-Americans, which the NBA had planned to use as part of its evidence against him in an owners' meeting where a vote would be taken on whether to terminate his ownership rights. The meeting was canceled.

Sterling's lawsuit makes clear that he believes the NBA has no right to force such a sale, and the league was wrong in banning him for life and fining him.

In addition to damages, the lawsuit seeks a restraining order.

Sterling says NBA officials are 'bullies,' 'hypocrites,' 'monsters'

NBA commissioner: Sterling saga not over yet

@highlight

Donald Sterling shows 'neurodementia of the Alzheimer's type,' a doctor says

@highlight

He's unaware of the season and can't spell 'world' backward, doctor adds

@highlight

He shows 'early Alzheimer's disease' or other brain disease, second doctor says

@highlight

Findings are consistent with 'the general loss of brain tissue,' third doctor says