(CNN) -- Former U.S. Sen. Arlen Specter, who embodied a vanishing breed of liberal Republicanism before switching to the Democratic Party at the twilight of his political career, died Sunday after a long battle with cancer, his family announced.

Specter died of complications from non-Hodgkin's lymphoma at his home in Philadelphia, his family said. He was 82.

The veteran Pennsylvania politician had overcome numerous serious illnesses over the past two decades, including a brain tumor. He had been in the public eye since serving as a member of the Warren Commission, which investigated the assassination of President John F. Kennedy.

Specter was elected to the Senate in 1980 and represented Pennsylvania for 30 years, longer than anyone in the state's history. His politically moderate image fit hand-in-glove in the politically blue Northeast, both with its Democratic centrists and its liberal Republicans.

He was also one of America's most prominent Jewish politicians, a rare Republican in a category dominated by Democrats over the decades. And his name is synonymous with Pennsylvania, an idiosyncratic state that pushes and pulls between the two parties, and his home, the staunchly Democratic city of Philadelphia.

In 2006, Philadelphia magazine called him "one of the few true wild cards of Washington politics ... reviled by those on both the right and the left."

"Charming and churlish, brilliant and pedantic, he can be fiercely independent, entertainingly eccentric and simply maddening," the profile read.

Former Gov. Ed Rendell, a Democrat, called Specter "a mentor, colleague and a political institution" who "did more for the people of Pennsylvania over his more than 30-year career with the possible exception of Benjamin Franklin." And Pat Toomey, the Republican who now holds Specter's old Senate seat, praised him as "a man of sharp intelligence and dogged determination."

And at the White House, President Barack Obama said Specter "was always a fighter."

"From his days stamping out corruption as a prosecutor in Philadelphia to his three decades of service in the Senate, Arlen was fiercely independent -- never putting party or ideology ahead of the people he was chosen to serve," Obama said in a written statement on Specter's death.

And Vice President Joe Biden lamented the loss of "my friend," "who never walked away from his principles and was at his best when they were challenged." Biden will travel to Penn Valley, Pennsylvania, on Tuesday for Specter's funeral, according to the White House.

G. Terry Madonna, director of the Franklin & Marshall College Poll and professor of pubic affairs at Franklin & Marshall College, said Frank Sinatra's song "My Way" could apply to Specter.

"There isn't any doubt in many respects he was an unusual politician," Madonna said. "He didn't look at polls. He didn't track how his comments were playing out in the press. ...

"He was fundamentally a pragmatist who could bend with the times," Madonna said, and he believed greatly that government could help people.

"The Republicanism in his day, it was a different kind of Republican. He was a Philadelphian, and not into that staunchly conservative Republicanism that we see" today.

Readers wished the best for Specter

Madonna called Specter an "indefatigable" public figure, highly demanding of both himself and those who worked for him over the years. He had a few election losses but he was undeterred by defeat, the prospects of losing and the challenges he faced.

"The last thing you would have thought about Arlen Specter was that he was born in Kansas," Madonna said. "He always came across as kind of urbane. He had a kind of caustic sense of humor."

But Specter in fact was born in Wichita, the youngest child of Lillie Shanin and Harry Specter, an immigrant from Ukraine. He grew up in Russell, Kansas, also the hometown of another Republican icon, a one-time presidential nominee and senator, Bob Dole.

After graduating from Russell High School in 1947, Specter first went to the University of Oklahoma. But he eventually went east for his higher education. He earned a bachelor's degree in international relations in 1951 from the University of Pennsylvania, in Philadelphia, where he graduated Phi Beta Kappa.

He was in the U.S. Air Force during the Korean War from 1951 to 1953, serving as a second lieutenant in the Air Force Office of Special Investigations. He returned to his studies and graduated from Yale Law School in 1956.

After Yale, he started practicing law and became an assistant district attorney in Philadelphia.

He served on the Warren Commission at the recommendation of Rep. Gerald Ford, later president. Specter is credited with co-authoring the "single bullet theory," which suggested that some of the wounds to Kennedy and then-Texas Gov. John Connally were caused by the same bullet.

Even though he was a registered Democrat, Specter ran successfully for Philadelphia district attorney on the Republican ticket in 1965 and eventually registered as a Republican. He lost an election for Philadelphia mayor in 1967.

He served as district attorney until 1974 and prosecuted corruption cases against Philadelphia magistrates and Teamsters.

Specter ran for the U.S. Senate in 1976, but he was defeated in the Republican primary by John Heinz. He ran for governor but was defeated by Dick Thornburgh in the primary.

But he won his bid for Senate in 1980 and distinguished himself, serving until 2011.

"During his tenure in the Senate, Specter championed Pennsylvania's economy and took an active interest in foreign affairs, meeting with dozens of world leaders as well as supporting appropriations to fight the global HIV/AIDS pandemic and backing free trade agreements between the U.S. and under-developed countries," according to a bio from the University of Pennsylvania Law School.

He served on the Senate Judiciary Committee, of which he was chairman from 2005 to 2007. He served as chairman of the Senate Select Committee on Intelligence from 1995 to 1997. And he was a senior member of the Senate Appropriations Committee.

Specter brought more financial resources to Pennsylvania than anyone in the state, working with mayors and other local leaders to help them get grants and aid, Madonna said. And he's remembered across the state's 67 counties for his efforts.

"He didn't shy away from pork," Madonna said.

He participated in the confirmation hearings of 14 U.S. Supreme Court nominees, the Penn bio says. He is remembered for leading the charge against conservative nominee Robert Bork and going after Anita Hill, who accused nominee Clarence Thomas of harassment.

"No member of Congress shaped the Supreme Court more than he did," Madonna said. "He had a prosecutorial mindset. He could be incredibly persuasive as an interrogator."

Specter straddled right and left. He criticized Republicans for President Bill Clinton's impeachment and voted in favor of the Iraq war. He supported embryonic stem cell research.

During the 1990s, he briefly announced a run for president but eventually dropped the effort and endorsed Bob Dole.

Despite his longtime membership in the Republican Party, Specter became more alienated from the party as it grew more conservative.

Like many of his moderate compatriots, he came to be viewed by the new conservatives as a RINO -- a Republican in Name Only. Decades after he switched to the Republican Party, he changed his stripes again. He became a Democrat in 2009, saying Republicans had moved too far to the right and embraced social conservatism.

The move gave Democrats a 60-seat filibuster-proof majority in the Senate. But in 2010, when he ran for re-election, Specter lost the Democratic primary to Rep. Joe Sestak.

Sestak, who went on to lose the race to Toomey, praised Specter via Twitter as "a warrior of inestimable public service."

After the loss, Specter moved from the halls of Congress to those of academia, taking on a new role at the University of Pennsylvania Law School as an adjunct professor.

"Arlen's knowledge of the inner workings of the government and lawmaking is second to none," said Michael Fitts, the law school's dean. "The insight he brings from his career in public service, particularly as a leader on judicial issues, will be invaluable to our students as they prepare for their own careers in the law."

The senator practiced law when he wasn't in office and authored books throughout his career, including:

-- "Passion for Truth: From Finding JFK's Single Bullet to Questioning Anita Hill to Impeaching Clinton"

-- "Never Give In: Battling Cancer in the Senate"

-- "Life Among the Cannibals: A Political Career, a Tea Party Uprising, and the End of Governing As We Know It"

"For the past quarter-century, he's also been a Zelig-like national figure," the Philadelphia magazine article said, referring to the Woody Allen character from the film of the same name who changed his persona as his surroundings and circumstances changed.

"From his role in sinking Robert Bork's Supreme Court nomination to his cross-examination of Anita Hill, from stem-cell research to the impeachment of Bill Clinton, Specter's greatest talent may be his unique ability to put himself -- somehow, some way -- in the center of the nation's most important debates," the article said.

Obituaries 2012: The lives they've lived

CNN's Sarah Hoye in Philadelphia contributed to this report.

@highlight

NEW: Vice President Joe Biden praises "my friend," plans to attend funeral Tuesday

@highlight

Specter died of complications from non-Hodgkin's lymphoma

@highlight

He represented Pennsylvania in the Senate longer than anyone else

@highlight

He was long one of the most prominent Jewish-American politicians