(CNN) -- The U.S. Army Corps of Engineers could open the Morganza Spillway as early as Saturday, Louisiana Gov. Bobby Jindal said Friday.

The Mississippi River Commission has directed the Corps to operate the crucial spillway once river flows reach a certain trigger: 1.5 million cubic feet per second. Projections indicate the tipping point could be hit as early as Saturday evening, Jindal has said.

Opening the spillway would lower anticipated cresting levels along the lower Mississippi River and divert water from Baton Rouge and New Orleans but would flood much of low-lying south-central Louisiana. Seven parishes are expected to be affected by the opening, according to the Corps.

The Mississippi River Commission has advised a "slow opening," and the flood would spread gradually over several days, the Corps said.

The Morganza Spillway has not been opened since 1973.

Louisiana state and local officials braced for the possibility of major flooding in the Atchafalaya River Basin if, or when, federal authorities open the spillway north of Baton Rouge. They advised residents to expect road closings.

Residents gawk at Mississippi's rise

The National Guard worked around the clock to construct a flood barrier in Morgan City, Louisiana, where the Atchafalaya River was already 3.15 feet above flood stage, according to the National Weather Service.

The strategy in Morgan City, officials say, is to reinforce the levees around the city. That's where efforts were being focused Friday, rather than on handing out sandbags to individual residents.

"Really, we're just waiting," said Evie Bertaut, who has lived in Morgan City for 50 years.

Officials believe that the levees will protect the city from flooding, but some are taking preliminary precautions, she said. At Sacred Heart Church, where Bertaut works, people spent the day moving important documents such a baptismal, marriage and financial records to the second floor.

"Most people are getting their photographs together, things that you can't replace in case you have to go," she said.

A collective gasp as Louisiana town braces for flood

Meanwhile, in the Arkansas town of Helena, the river crested at 56.5 feet -- 12.5 feet above flood stage, according to the National Weather Service.

The river's slow pace has given emergency responders more time to prepare, forecasters said. But while the slow-moving water gives residents extra time to get ready, it also means that land could remain under water for some time.

Jindal urged southeastern Louisiana residents to evacuate.

"Now is the time to take action," he said.

The U.S. Coast Guard said floodwaters could close the Mississippi River to ships at the New Orleans port as early as Monday morning.

To help New Orleans, the Army Corps of Engineers said Friday that it will open 52 more bays at the Bonnet Carre Spillway just north of the city, diverting water into Lake Pontchartrain. That will mean a total of 264 bays will be open in the 350-bay spillway.

Stars talk about the flooding and response

The National Weather Service said that as of Friday morning, the river was at 16.8 feet in New Orleans, just a fraction below flood stage. It is expected to crest May 23 at more than 19 feet. The New Orleans levees are built to withstand 20 feet, according to the weather service.

Upriver in Vicksburg, Mississippi, Police Chief Walter Armstrong said 600 residents had been evacuated as of Thursday night. The river was expected to crest at 57.5 feet. Flood stage at Vicksburg, the level at which the river may begin flowing over its banks, is 43 feet.

Armstrong said he expected higher water Friday, with more homes affected. More than two dozen roads were closed and about 45 businesses will be closed by Friday.

Homes that were built between the levee and the Mississippi River were the first affected.

"We estimate that every home built on the river side of the levee from Memphis all the way to the Louisiana line is flooded," said Mike Womack, executive director of the Mississippi Emergency Management Agency.

Residents near Vicksburg counted on a levee for protection. In addition to the mainline levee along the river, starting near Vicksburg and extending northeast for more than 20 miles, a so-called backwater levee offers shelter.

The backwater levee is designed to keep water from backing into the Yazoo River delta and is designed lower than the mainline levee so that water can flow over it. That level is expected to be reached Monday, said Charlie Tindall, attorney for the Board of Mississippi Levee Commissioners.

The backwater levee was being "armored" by a heavy plastic coating to prevent it from washing out, he said.

Nonetheless, 1.4 million acres in Mississippi, including 602,000 acres where crops are growing, could flood, said Rickey Grey of the state's Department of Agriculture.

Across the South and lower Midwest, floodwaters have covered about 3 million acres of farmland, eroding for many farmers what could have been a profitable year for corn, wheat, rice and cotton, officials said.

In Arkansas, the Farm Bureau estimated that damage to the state's agriculture could top more than $500 million as more than 1 million acres of cropland are under water.

Womack talks about flood costs

"It's in about 10 feet of water," Dyersburg, Tennessee, farmer Jimmy Moody said of his 440 acres of winter wheat, which was to be harvested in the coming month.

Other farmers in Mississippi, Missouri, Tennessee and Arkansas rushed to salvage what wheat they could ahead of the rising water. As for corn, farmers who were able to get into the fields during a soggy planting season in late March and April are seeing their crops in some cases under several feet of water.

Some officials said Thursday that spillover effects resulting from the flood could threaten other industries. That includes the possibility that the Waterford 3 nuclear power plant in Taft, Louisiana, could be closed, according to CNN affiliate WGNO.

The Mississippi River is expected to crest at 26.6 feet in Taft on May 23. If it reaches 27 feet, officials told WGNO, the plant's water intake system could shut down.

NBA's Grizzlies inspired by fans in flooded Memphis

Carl Rhode of Entergy, the plant's operator, told WGNO that the threat to the intake system is not a matter of nuclear safety.

However, Scott Welchel, a St. Charles Parish Emergency Operations Center official, said shutting down the plant would have a "domino effect" on local industries.

"It would impact every industry along the river," Welchel said. "That's just something that isn't easy for people to deal with, especially on a moment's notice."

For residents in communities along the river, the damage has been far more devastating than can be measured in dollars and cents.

Danny Moore of Millington, Tennessee, told CNN affiliate WPTY that the recent disaster marked the second time in one year that flooding took away nearly everything he had.

Moore said that after a flood destroyed all of his furniture last year, he decided to move everything he owned into rented storage space. However, those belongings were destroyed when his storage unit was flooded several days ago.

"They say bad luck comes in threes. I hope this is the end of it," Moore told WPTY.

The Millington resident said he lost a house to a fire in 2009. Moore said he is too preoccupied with taking care of his girlfriend, who is suffering from an infection that is damaging her liver, to look for new furniture.

"We'll do what we've got to do and keep praying," Moore said, holding back tears.

CNN's Mariano Castillo, Mia Aquino and Erica Henry contributed to this report.

@highlight

NEW: Army Corps of Engineers is expected to open the spillway once river flows hit a trigger

@highlight

NEW: Projections indicate the tipping point could come as early as Saturday, Jindal says

@highlight

NEW: The Morganza Spillway has not been opened since 1973

@highlight

Opening the Morganza Spillway would flood the Atchafalaya River Basin