(CNN) -- After nearly 40 years of recorded increases, the number of immigrants living in the United States remained flat between 2007 and 2008, recent statistics released by the U.S. Census Bureau show.

The number of naturalized citizens in the U.S. increased, partly attributed to voter drives for the 2008 election.

According to the Census Bureau's American Community Survey, the U.S. foreign-born population represented about 12.5 percent of the population in 2008, down from 12.6 percent in 2007.

Taking into account the margin of error, it was possible that the immigrant population remained even.

"Between '07 and '08 there really wasn't that much of a change," said Elizabeth Grieco, chief of immigration statistics staff at the Census Bureau.

But given the steep upward trend in the foreign-born population since 1970, no change is big news.

The American Community Survey collects data from about 3 million addresses each year, and provides one of the most complete pictures of the population, according to the bureau.

The survey doesn't give a reason for the leveling off, but experts pointed to the economic downturn and the resulting high unemployment as factors behind the shift.

"The recession has had a significant effect on immigrants' decisions on whether to come to the U.S.," said Michelle Mittelstadt, director of communications at the nonpartisan Migration Policy Institute.

Would-be unauthorized immigrants and legal temporary workers are mostly the ones who have decided to stay put in their home countries for now, Mittelstadt said.

The largest declines in the foreign-born population were in states that were hardest hit by the recession, including California, Florida and Arizona.

Mittelstadt noted, however, that those immigrants already in the United States appear to be staying.

A recent study by the Pew Hispanic Center concluded that emigration from Mexico, the largest source of immigrants to the United States, slowed at least 40 percent between mid-decade and 2008, based on national population surveys in the United States and Mexico, as well as Border Patrol apprehension figures.

The Mexican-born population in the United States dropped by about 300,000 between 2007 and 2008, according to census data.

The new Census statistics show that for the first time since the American Community Survey was fully implemented in 2005, the number of noncitizens decreased, Grieco said.

There were about 21.6 million noncitizens in 2008, down from 21.9 million in 2007. The label noncitizens includes both legal residents and illegal immigrants.

Along with the decline in the noncitizen population, however, there was a notable increase in the number of naturalized citizens, Grieco said.

The number of individuals who are naturalized citizens increased to 43 percent of the foreign-born population in 2008 from 42.5 percent in 2007.

The Census survey matches reports from the Department of Homeland Security on the rise of naturalization applications.

"Naturalizations grew at a record pace between 2006 and 2008, with a total of 2.4 million immigrants becoming new citizens in the United States," according to a DHS statement.

A significant fee increase imposed in 2007 for naturalization applications and an awareness of citizenship brought on during voter registration drives for the 2008 election help explain the increase, Mittelstadt said.

@highlight

Bureau official: "Between '07 and '08 there really wasn't" much immigration change

@highlight

Notable increase in naturalized citizens, Census Bureau's Elizabeth Grieco says

@highlight

Mexican-born population in U.S. dropped by about 300,000 between 2007 and 2008