(CNN) -- The hostage crisis in eastern Algeria is over, but the questions remain.

Among them, exactly how many people are unaccounted for at a remote natural gas facility after three days of chaos that ended Saturday, leaving at least 23 hostages and dozens of Islamist militants dead.

Some 685 Algerian workers and 107 foreigners were freed, the Algerian Interior Ministry said.

Britain's BP said Sunday four of its workers remain unaccounted for. And Norway's Statoil said five of its employees were missing, while 12 others are now home in Norway, Algeria and Canada.

"Search efforts are ongoing at the gas installation, looking for more possible victims. I fear the numbers will be updated with more victims later today when the search operation is expected to end," said Mohammed Said, Algeria's communication minister.

The attackers came from six countries -- only three were Algerian -- and included Arabs and Africans, Said told state-run Radio Algeria. Algeria's military found numerous "foreign military uniforms" in its sweep of the In Amenas facility, its Interior Ministry said.

Mauritania's Sahara Media news agency said Sunday it had a video from Moktar Belmoktar, who leads the Al-Mulathameen Brigade associated with al Qaeda in the Islamic Maghreb that regional media have reported was behind the attack.

In it, Belmoktar said, "We at al Qaeda are claiming responsibility of this blessed guerrilla operation."

Belmoktar has communicated with this and other news sites before, said Andrew Lebovich, a Senegal-based security analyst. But the news agency did not post the video, and CNN has not independently confirmed its authenticity.

Eleven former hostages -- among them British citizens -- have gotten medical treatment and psychological counseling from the U.S. military at a U.S. naval base in Sigonella, Italy, a U.S. official said Sunday. The hostages were brought from Algeria to the base Friday, the official said, and are being flown to their home countries as their conditions warrant. The remains of one American hostage were also brought to the base, the official said.

In a statement Saturday night, the White House said it was in close contact with Algeria's government to "gain a fuller understanding of what took place."

British Foreign Secretary William Hague echoed those remarks, adding his government is "working hard to get definitive information" about each individual.

Japan has 10 citizens -- likely affiliated with JGC Corp., an engineering firm that was involved in gas production in In Amenas -- who are yet to be confirmed safe, in addition to a number of dead.

Opinion: Algeria crisis is a wakeup call for America

Such Islamist militant activity is not new to Africa, including recent violence in Mali and Somalia.

Algeria's status as Africa's largest natural gas producer and a major supplier of the product to Europe heightens its importance to those who want to invest there. Yet that interest is coupled with pressure to make sure foreign nationals, and their business ventures, are safe.

Youcef Yousfi, Algeria's energy and mining minister, insisted Sunday his country can keep its gas facilities secure and ruled out foreign forces coming in to help.

"We are going to strengthen security, and we rely first on our means and resources," Yousfi said, according to the official Algerian Press Service.

Raids turn deadly

Militants in pickup trucks struck the sprawling gas complex about 50 kilometers (30 miles) west of the Libyan border at dawn Wednesday, gathered the Westerners who worked there into a group and tied them up.

The In Amenas plant is run by Algeria's state oil company, in cooperation with foreign firms such as Statoil and BP, and because of that employed workers from several countries.

The kidnappers wielded AK-47 rifles and put explosive-laden vests on some hostages, according to a U.S. State Department official.

Algeria said the attack was in retaliation for allowing France to use Algerian airspace for an offensive against Islamist militants in neighboring Mali.

And Sahara News' report Sunday claimed Belmoktar said "40 immigrant Jihadists and supporters of Muslim countries" led the siege in retaliation for the Mali offensive.

Read more: Mali takes key town as nations ready more troops

But regional analysts believe it was too sophisticated to have been planned in just days.

On Thursday, Algerian special forces moved in because the government said the militants wanted to flee to Mali.

The Islamic extremists also planned to blow up the gas installation and rigged it with mines throughout, the U.S. official said.

Thursday's military incursion succeeded in freeing some hostages -- but not all.

Some survivors described their harrowing escapes by rigging up disguises and sneaking to safety with locals, with at least one survivor running for his life with plastic explosives strapped around his neck.

Several hostages died. And the Algerian military came under criticism from some quarters for unnecessarily endangering hostages' lives.

Undeterred, the government followed with a second push Saturday. That assault killed the remaining hostage-takers but resulted in more hostage deaths.

The army intervened "to avoid a bloody turning point of events in this extremely dangerous situation," the Algerian Interior Ministry said Saturday.

"It was clear that the terrorists were determined to escape the country with the captives and to bomb the gas installations."

On Sunday, an American lawmaker said the Algerian government turned down U.S. offers to help during the crisis.

"They decided they were going to handle it their way," said Rep. Mike Rogers, a Michigan Republican who is chairman of the U.S. House Intelligence Committee. "They did not want us or the other hostage nations involved in the decision-making."

British Defense Secretary Philip Hammond called the loss of life "appalling and unacceptable," while laying blame solely on the terrorists.

Countries mourn dead, try to track down missing

While the military part of the operation is over, the searching and mourning is not for people in countries worldwide. In addition to combing the sprawling desert site, Algerian forces are searching hospitals and medical centers around the country, as well as towns and villages near the targeted site, according to a statement Sunday from Statoil.

'Mr. Marlboro': The veteran jihadist behind the attack in Algeria

Colombia

Colombia's president said a citizen was presumed dead.

France

No known French hostages are unaccounted for, France's Defense Ministry said Saturday.

One man -- identified as Yann Desjeux -- died after telling the French newspaper Sud Ouest on Thursday that he and 34 other hostages of nine different nationalities were treated well. Three others who had been held are safe.

Japan

There are still 10 Japanese who have yet to be confirmed safe, JGC -- the engineering firm -- said Sunday.

Malaysia

Three hostages were on their way back to Malaysia, the country's state-run news agency reported Sunday. But there is a "worrying possibility" that another is dead, while a fifth is unaccounted for, the agency said.

Norway

Five Norwegians are missing, while eight are safe, Norwegian Prime Minister Jens Stoltenberg said. "We know that there are many fatalities," Statoil CEO Helge Lund said Sunday. "A new day without answers has increased our concern."

Romania

One Romanian lost his life, the country's Foreign Ministry said Saturday. Four other Romanians were freed.

United Kingdom

Three British citizens were killed, the Foreign Office said Sunday. Three other British nationals and a UK resident are also "believed dead," he said. Twenty-two other Britons who were taken hostage have safely returned home.

United States

At least one American, identified as Frederick Buttaccio, is among the dead, the State Department said. Six freed Americans left Algeria and one remained.

Read more: Algeria attack may have link to Libya camps

CNN's Paul Cruickshank, Slma Shelbayah, Kevin Bohn, Barbara Starr and Per Nyberg contributed to this report.

@highlight

NEW: An Algerian official says Algeria doesn't need help securing its energy facilities

@highlight

NEW: Algerians are searching hospitals, villages and more for missing, Statoil reports

@highlight

The number of those killed in the crisis will likely go up, an Algerian official says

@highlight

A new video reportedly claims responsibility in the name of al Qaeda