(CNN) -- It's a moment familiar to any regular air traveler.

A passenger's photo shows oxygen masks hanging from the ceiling on Monday's Continental Flight 128.

The plane bucks up and down, lurches forward and back, or both. Sometimes overhead bins fly open. The squeamish gasp. Babies cry. Then, usually, it's all over.

In-flight turbulence is often a mere inconvenience. But it's also the leading cause of airline passenger injuries that are not associated with a fatal crash, experts say.

And, on rare occasions, it can be deadly.

In the case of Monday's Continental Flight 128, an unexpected blast of air led to much more than jangled nerves, bumps and bruises.

Turbulence struck the flight, from Rio de Janeiro, Brazil, to Houston, Texas, unexpectedly, injuring seven passengers badly enough to require hospitalization after the pilot diverted the flight to Miami, Florida.

Police said 26 passengers were injured, four seriously.  Learn more about airline turbulence »

Turbulence, according to the Federal Aviation Administration, is caused by a quick change in air movement. Jet streams, air shooting off of mountains, cold or warm weather fronts and thunderstorms can all cause changes in speed or direction.

The rapid shift in gravity force -- or G-force -- can cause a sensation not unlike being whipped around on a roller coaster. Most of the time, discomfort is the worst byproduct.

"Normally, it's an inconvenience," said Kevin Garrison, a retired Delta Air Lines pilot living in Lexington, Kentucky. "Very rarely does it hurt passengers, which is odd because a lot of them don't keep their seat belts on."

And wearing seat belts, aviation officials say, is the best way to stay safe.

"In the event that something happens," said Les Dorr, a spokesman for the FAA, "that's the best advice that we or anyone else can give passengers."

Since 1980, three people have been killed in turbulence-related accidents, according to the administration. At least two of those deaths involved passengers who reportedly were not wearing seat belts while the seat-belt sign was on.

There have been 234 turbulence-related accidents since 1980, and 114 passengers were seriously injured in those accidents, the FAA reported.

Flight attendants have been hurt at a much higher rate. During that same time period, 184 attendants were seriously injured, despite their numbers being far smaller than the number of passengers.

"The majority of injuries actually happen to flight attendants," Dorr said. "They have to be up performing their tasks, even when the seat-belt light is on."

And while pilots are almost always strapped in with seat belts, even they aren't exempt.

"I've had a few bloodied heads -- when I hit my head on the overhead when the seat belt was a little loose," said Garrison, who flew for Delta for 27 years.

In Monday's accident, passengers reported they were slammed into the Boeing 767's ceiling -- some said two or more times -- when the plane dropped rapidly.

"I saw people being thrown to the roof as if they were dolls," Fabio Ottolini, who was returning to Houston with his wife and daughter after visiting family in Brazil, told CNN affiliate KTRK-TV.

Passengers said most of those injured were not wearing seat belts.

Initial reports are that the Monday flight was hit by what's called clear-air turbulence, or air pockets that hit without warning.

While pilots are always on the lookout for regular turbulence spots -- like mountain ranges and places where weather fronts are converging -- clear-air turbulence can happen anywhere.

"You can't see it; you can't sense it with radar," Dorr said. "The best way to determine if there's a possibility of clear-air turbulence is to have somebody in front of you that's already flown through it."

Dorr said passenger injury numbers have dropped over the past few years, during an industry-wide effort to increase safety.

No passengers were reported seriously injured in turbulence incidents in 2008, and five flight attendants -- down from a high of 19 in 2003 -- received serious injuries, according to the FAA.

The Commercial Aviation Safety Team has focused on seat-belt awareness and pushed for better communication systems for reporting turbulence, Dorr said.

All licensed pilots also receive "upset training," which teaches how to deal with extreme turbulence, he said.

@highlight

Three turbulence-related deaths since 1980, FAA says

@highlight

At least two of the three were people not wearing seat belts

@highlight

Turbulence is caused by quick changes in air movement

@highlight

Air pockets from "clear-air" turbulence are hard to detect