New York (CNN) -- In a recent piece by prominent Iranian cartoonist Mana Neyestani, we see one of his favorite characters -- a cantankerous grandfather who along with his two grandchildren is a solid supporter of the Green Movement against the regime in Iran -- having managed to tie up Larry King inside a closet and trying to disguise himself as the world renowned talk show host in order to get to interview Mahmoud Ahmadinejad.

Sporting his thick moustache and holding a list of tough questions in hand, the grandfather is charging out of the closet yelling at a CNN producer, "Get out of my way! The language of this Mr. President only I understand," while the producer is baffled by the thick moustache that "Larry King" has suddenly grown.

The point of the cartoon is a deep and pervasive sense of frustration that Iranians all over the world have with the inability of prominent American journalists and talk show hosts to handle the slippery Ahmadinejad. Christiane Amanpour, Charlie Rose, and Larry King in particular are being criticized for providing Ahmadinejad with a global forum to say whatever nonsense he wishes without enough of a serious challenge to his statements -- some of which are flat-out lies.

Since the massively contested presidential election of June 2009, scores of peaceful demonstrators have been arbitrarily arrested, tortured, and murdered; prominent human and women's rights activists, reformists, and labor union leaders have been arrested and subjected to Stalinist show trials and given long and punishing prison terms; the leaders of the opposition Green Movement have been systematically harassed and intimidated; the universities have gone through yet another round of ideological purges; yet another cultural revolution to silence and suppress non-conformist ideas is well under way; an entire cadre of independent-minded journalists have been forced into the indignity of exile -- and yet few of these atrocities manages to gain much attention in the conversations that these prominent American journalists have with Ahmadinejad.

That sense of frustration is not limited to Iranians. Jon Leyne, the distinguished senior BBC correspondent has written a wonderful essay discussing the difficulties of interviewing Ahmadinejad. Mr. Leyne points out how Ahmadinejad succeeds "in moving the agenda onto a ground of his own choosing, and few, if any, of the Western journalists who have interviewed him have scored many points off him."

The former USA Today correspondent Barbara Slavin has also written an article, "How not to get played by Ahmadinejad," in which she too testifies that the "Iranian president has perfected the art of slipping and sliding around even the most seasoned interviewers."

Perhaps the best example of how Ahmadinejad manages to slip away from hard questions is when Christiane Amanpour asked him about the case of Sakineh Mohammadi Ashtiani, a woman charged with murder and adultery and originally condemned to death by stoning.

In response to Amanpour's question, Ahmadinejad point blank said that this report is false and Ashtiani has not been condemned to death by stoning -- which was a plain lie.

In anticipation of Ahmadinejad's trip to New York, the International Campaign for Human Rights in Iran had in fact prepared a full preparatory list of atrocities perpetrated under the administration of Ahmadinejad's for American journalists -- with key facts and crucial issues that they might raise when interviewing him.

To be sure, Amanpour did ask Ahmadinejad about executions increasing fourfold since he took office, as well as about the Iranian regime taking action against opposition leaders, including raiding their offices. And in Larry King's case, after interviewing Ahmadinejad he had a follow-up conversation with Fareed Zakaria, the host of CNN's "Fareed Zakaria GPS," in which the evasive answers of Ahmadinejad were put in proper context with more detailed attention to the internal atrocities in Iran. But still the balance of the result tipped heavily in favor of Ahmadinejad's rhetorical one-upmanship.

Slavin has suggested that "reporters need to be armed with in-depth knowledge of Iran's economy, politics and society -- and even then, they may have difficulty getting Ahmadinejad to admit the truth." But that is not the modus operandi of a journalistic culture that is conceptually geared towards geopolitics and "international" politics rather than domestic matters.

Ahmadinejad always wins in these encounters because he points to other atrocities by redirecting the question at the questioner, and there are plenty of atrocities around the globe.

The other factor is the language barrier between Ahmadinejad and his interviewers, which he strategically uses to his advantage. "Mr. Ahmadinejad's technique," Leyne points out "is aided by the fact that most of the foreign interviews are carried out in translation -- leaving the journalist less scope for jumping in, and less time to cross-examine."

Leyne's young colleague, Bahman Kalbasi of BBC Persian has now become a Facebook phenomenon because he accosted Ahmadinejad in a hallway at the UN and shouted a succession of questions at him: "Mr. Ahmadinejad why don't you talk to Iranian journalists? Why do you just talk to foreign journalists? Why do you run away from Iranian journalists?"

Ahmadinejad left his real surprise for after all his interviews, when during his official address to the General Assembly he effectively accused the United States government of direct involvement in the atrocities of 9/11. But in this case, President Obama had an opportunity during his subsequent interview with Kalbasi to respond to Ahmadinejad.

"For him to make the statement here in Manhattan," President Obama said, "just a little north of Ground Zero, where families lost their loved ones, people of all faiths, all ethnicities who see this as the seminal tragedy of this generation, for him to make a statement like that was inexcusable," Obama said.

Still, too many of Ahmadinejad's statements went unchallenged last week --particularly those that had to do with the vast array of atrocities in his own country. These are not problems that can be solved by handing to journalists a list of questions to ask a head of state with just too many skeletons in his closet to count. These are problems that American journalism as an institution faces as it tries to cope with and cover a far more globalized planet than we've ever seen before.

The opinions expressed in this commentary are solely those of Hamid Dabashi.

@highlight

Mahmoud Ahmadinejad presides over regime that commits atrocities, says Hamid Dabashi

@highlight

He says American television interviewers aren't sufficiently challenging in their questions

@highlight

Dabashi says Ahmadinejad lied in denying Iranian woman was sentenced to stoning