(CNN) -- Attention white Anglo-Saxon Protestants: Your days of running things are over. You have jumped the shark.

But there's no need to feel bad for WASPs.

They've had an amazing run. Every single president in our nation's history, except for John F. Kennedy -- a Catholic -- and Barack Obama, has been a white Protestant. Except for a handful of exceptions, for over 200 years the presidential nominees of both major political parties have been WASPs. WASPs had almost as many victories in a row as The Harlem Globetrotters.

But it's over. Look at this year's presidential tickets: A Mormon, an African-American, and two Catholics. Even some of the keynote speakers at the Democratic and Republican conventions were not WASPs. The GOP featured Italian-Irish Catholic Chris Christie and the Democrats tapped Latino-American, Julian Castro.

Times are so bleak for WASPs that there's not a single one on the Supreme Court. Likewise, in Congress, the percentage of Protestants fell from 74 percent in 1961 to a slim majority of 55 percent today. Neither the current Speaker of the House (John Boehner: Catholic) nor the Senate majority leader (Harry Reid: Mormon) is WASP.

I'm sincerely not gloating. And my jibes are in jest. But what I'm happy about is that our two major political parties are increasingly reflecting the new face of America. The demographics of our nation are changing and, by 2042, minorities are expected to become the majority in the U.S.

Objectively, the delegates at this year's Democratic convention were far more diverse. The Republican convention looked more like the early bird dinner crowd at The Cracker Barrel.

Opinion: In Ohio, candidates are salesmen trying to close the deal

However, in the GOP's defense, a party that is 90% white, they have started to slowly showcase minorities, such as Sen. Marco Rubio and Govs. Nikki Haley and Bobby Jindal. They are well aware that if they don't, the GOP will go the way of the Whigs.

There's little doubt that we will see more diverse presidential candidates. And we will likely see in the not too distant future a president who is Latino, Asian, Jewish, Sikh or Muslim. (That screaming sound you might have heard was Michele Bachmann shrieking in horror at the idea of a Muslim-American president.)

This is a testament to our nation. We are by our very nature progressive. It may take years, or even decades, to see change, but we always march forward, not back.

So, how did we get to where we are today where the white Protestant establishment seems to be losing power? Well, it's kind of complicated (as these things tend to be). There are tons of reasons. But one important factor that has contributed to today's political landscape is changing voting rights laws.

Back in the days when our nation was founded, only white men who owned land could vote. That means rich white men with money get to control the political system. (I know some of you are thinking: How is that different than today?)

In our first presidential election in 1789, no women, no blacks, no poor white men, and in many states neither Catholics nor Jews, were permitted to vote.

Over time, some states abandoned the requirement of land ownership so that poor white men could vote. And the religious restrictions were also lifted so that non-Protestants were able to vote.

Opinion: Democrats and Republicans need a plan to keep American dream alive

However, it wasn't until after 1870, when the 15th Amendment was ratified, that black American citizens were finally guaranteed the right to vote. (Although poll taxes, literacy laws and other measures were still employed in some states to disenfranchise black voters.)

And it took all the way to 1920 -- more than 100 years after our first president was elected -- that women were finally given the right to vote with the passage of the 19th Amendment to our Constitution.

Enfranchising voters of all backgrounds has led to the opening up of our democratic process. Minorities no longer just voted -- they became active in politics. And they didn't just show up at political meetings -- over time they sought elective offices. And some of them won. With each success, they inspire even more minorities of every race, ethnicity and religion to become active in our political system.

So WASPs, you've had your great run. And there is no doubt that another white Protestant will rise up one day against the growing odds and win the White House. But until that day comes, you can console yourself knowing that a white Protestant male is one of the most exciting athletes in our nation today: Tim Tebow. (Of course, he is the back up to Mark Sanchez.)

The opinions expressed in this commentary are solely those of Dean Obeidallah.

@highlight

Every president except for JFK and Barack Obama has been a white Protestant

@highlight

Dean Obeidallah: WASPs have had an amazing run, but times have changed

@highlight

He says political parties are increasingly reflecting the new face of America

@highlight

Obeidallah: Changing voting rights laws have made our political system more democratic