Kurdish fighters defending the key Syrian border city of Kobani are dangerously outmatched as ISIS advances, a top United Nations official said Tuesday, calling for the international community to step in.

"They have been defending themselves with great courage. But they are now very close to not being able to do so. They are fighting with normal weapons, whereas the ISIS has got tanks and mortars," Staffan de Mistura, the U.N. special envoy for Syria, said in a statement. "The international community needs to defend them. The international community cannot sustain another city falling under ISIS."

Were Kobani to fall, ISIS would control a complete swath of land between its self-declared capital of Raqqa, Syria, and Turkey -- a stretch of more than 100 kilometers (62 miles).

Outnumbered and outgunned by ISIS, local fighters trying to defend the Kurdish-dominated city have tried to flee into Turkey.

Turkish President Recep Tayyip Erdogan warned that Kobani was about to fall to ISIS as protests raged in his country over how the group should be handled.

And hours after U.S. airstrikes targeting ISIS struck near Kobani overnight, the city's future was far from certain.

Stopping ISIS from taking over cities, towns and other territory in Syria isn't the focus of U.S. efforts, a senior administration official and a U.S. official told CNN.

At a briefing, a State Department spokeswoman faced persistent questions over whether saving the city was a U.S. priority. The answer, CNN global affairs correspondent Elise Labott said, sounded like a resounding "no."

"It's obviously horrific to watch what's going on the ground, but it's important for the United States, for us to also step back and remember our strategic objective as it relates to our efforts and our engagement in Syria," spokeswoman Jen Psaki told reporters.

The U.S. goal, she said, is "a deliberate, well thought-out campaign in Syria" to disrupt ISIS command and control, destroy the group's infrastructure and attack sources of fuel and financing for ISIS.

"Certainly no one wants to see Kobani fall, but our primary objective here is preventing (ISIS) from gaining a safe haven," she said.

"And we're going after those specific structures that I mentioned," Psaki added. "But we would not have taken the range of military strikes we have taken, including overnight, if we did not want to support and -- and defend the area."

Five airstrikes targeting groups of ISIS fighters struck near Kobani overnight, U.S. Central Command said.  There were another four strikes elsewhere in Syria and four in Iraq.

"Finally, they are hitting the right places," one local fighter against ISIS said after the airstrikes near Kobani, which is close to  the Turkish border and key to ISIS' effort to extend its terrain.

Airstrikes against the radical Islamist group in Kobani can be challenging because many targets are too close to the Turkish border or Kurdish forces to strike, a senior U.S. military official said.

Violent protests in Turkey

Destroying ISIS will require ground operations, Erdogan said, according to the semi-official Anadolu news agency.

Speaking to Syrian refugees, he said there has been "no achievement yet," despite months of efforts against ISIS.

Erdogan called for a no-fly zone, and for the arming of opposition groups in Iraq and Syria.

People upset over what they consider Turkey's failure to respond adequately to the ISIS threat launched protests in Turkey, some of which turned violent.

Three people were killed and at least 36 injured in demonstrations throughout Turkey, police said, according to Anadolu.

At least five Turkish police officers were among the injured, Anadolu said.

There were clashes overnight in Istanbul, and a group of about 50 to 60 protesters blocked a road, CNN affiliate CNN Turk reported.

Some demonstrators set fire to a bus and garbage truck and smashed windows and cars.

One protester was killed in the middle of a demonstration after being hit in the head by a gas canister in the town of Varto, police said.

And two protesters died during demonstrations in the southeastern province of Siirt, Anadolu reported.

In Belgium, meanwhile, Kurdish protesters stormed the European Parliament building.  CNN affiliate RTL Belgium said about 50 protesters stormed into the building.  Police then cordoned it off.

Some European nations have joined the fight against ISIS, but the Kurdish protesters want tougher action.

Belgium participated in overnight airstrikes in Iraq, U.S. Central Command said.

Dutch join in, Canada to follow suit

Dutch forces participated for the first time in airstrikes against ISIS in Iraq as well, dropping three bombs on ISIS vehicles that were shooting at Kurdish Peshmerga forces, the Dutch Defense Ministry said in a statement. The vehicles were destroyed, and ISIS fighters may have been killed, the ministry said.

Canada's Parliament approved an air combat mission against ISIS in Iraq, pledging up to six CF-18 fighter jets as part of a strike force, in addition to other aircraft for surveillance, reconnaissance and refueling.

"To be absolutely clear, Canada's engagement in Iraq is not a ground combat mission. It includes a number of targeted measures, being taken with allies, to severely limit the ability of ISIL to engage in full scale military movements and to operate bases in the open," Prime Minister Stephen Harper said in a statement. "We do not take this step lightly. The threat posed by ISIL is real. If left unchecked this terrorist organization will grow and grow quickly."

Near Kobani, airstrikes hit ISIS vehicles

In Syria, according to U.S. Central Command, the airstrikes against ISIS included:

-- One south of Kobani destroyed three ISIS armed vehicles and damaged another

-- One southeast of Kobani destroyed an ISIS armed vehicle carrying anti-aircraft artillery

-- Two southwest of Kobani damaged an ISIS tank

-- One south of Kobani destroyed an ISIS unit

Elsewhere in Syria, two strikes west of al-Hasakah hit multiple ISIS buildings, one near Deir Ezzor struck an ISIS staging area and IED production facility, and one southwest of Rabiyah struck a small group of ISIS fighters.

The United States, Saudi Arabia, and the UAE all participated in the strikes, Central Command said.

Death toll in fight for Kobani

More than 400 people have been killed in the fight for Kobani since mid-September, the Syrian Observatory for Human Rights said.

The group said it has documented the deaths of 219 ISIS jihadists, 163 members of the Kurdish militia, and 20 civilians.

A northern Iraqi hospital has received the bodies of at least 29 suspected ISIS militants, the head of the Tal Afar hospital said Tuesday. Danial Qassim said most were killed in U.S.-led coalition airstrikes overnight.

Tal Afar is about 70 kilometers (43 miles) west of Mosul -- Iraq's second-largest city.  Mosul has also been overtaken by ISIS, which calls itself the Islamic State.

How ISIS makes its millions

Why is ISIS so successful at luring Westerners?

U.S. military airstrikes against ISIS in Iraq and Syria have cost more than $62 million so far, according to data provided by the U.S. Defense Department.

The data, apparently sent out inadvertently to the Pentagon's press contacts on Monday, listed the total number of airstrikes by U.S. Central Command in Iraq and Syria. It also detailed locations of targets and specified the costs of munitions used.

@highlight

Canada will send fighter jets to target ISIS in Iraq

@highlight

U.N. envoy: "The international community cannot sustain another city falling"

@highlight

State Department: U.S. goal is preventing ISIS "from gaining a safe haven"

@highlight

Turkish President Erdogan warns Kobani is about to fall to ISIS