(CNN)On Sunday, at almost the same moment that dozens of world leaders linked arms and led millions of people through the streets of Paris to commemorate the 17 victims of last week's terror attacks in France, explosives carried by two young girls ripped through a mobile phone market in the northeastern Nigerian town of Potiskum.

The blasts, which killed three people besides the bombers and injured 46 more, came just a day after another bomb, strapped to a girl described by witnesses as about 10 years old, exploded in a busy market in the city of Maiduguri, killing at least 20 people.

While coming in widely divergent settings, thousands of miles apart, the attacks in France and Nigeria were both motivated by an Islamist extremist ideology that rejects a modern world shaped by political, economic, and social liberalism -- and in the case of Boko Haram, whose name can be roughly translated as "(Western) education is forbidden," also abhors scientific progress.

To achieve this end, no deed is too brutal or tactic too low, as is underscored both by the recent actions of Boko Haram and the posthumously posted video by the gunman who killed four hostages in a kosher grocery store near Paris.

The difference has been that while there has been an outpouring of solidarity for the French victims and pledges of international solidarity for France's stand against violent extremism, nothing similar has been forthcoming for Nigeria's fight against the growing power of Boko Haram, at least not since the ephemeral and largely ineffectual global social media phenomenon of the #BringBackOurGirls campaign last year. This is despite the fact that over the course of recent months, Boko Haram has proven itself to be as much of a threat to international peace and security as the so-called Islamic State of Iraq and Syria, which has received so much attention.

In fact, as Jamestown Foundation terrorism analyst Jacob Zenn has pointed out, Boko Haram's videos show a troubling convergence between the Nigerian militants and their ISIS counterparts not only in terms of symbolism and ideology, but also insurgency doctrine.

Boko Haram leader Abubakar Shekau, for example, first expressed "support" for the ISIS caliph, Abu Bakr al-Baghdadi, this past summer. Meanwhile, Boko Haram has added the jihadist black banner to its logo and the ISIS anthem to the musical repertoire on its videos. In one recent video, Shekau even seemed to declare that he is establishing his own "Islamic Caliphate" and greeted his "brothers" in Afghanistan, Pakistan, Somalia, and Yemen, as well as "the Caliphate in Iraq and Syria."

Even more worrisome than Boko Haram's extremist ideology and gruesome terrorist acts should be the increasing military sophistication demonstrated by the Nigerian militants. Alas, while it is largely ignored by American and European leaders and only sporadically covered by major media outlets, Boko Haram has been steadily gaining ground in its war against Nigeria.

As I wrote several months ago, Boko Haram has, like ISIS, clearly moved beyond one-off asymmetric attacks to sophisticated military operations resulting in the assimilation of increasingly large chunks of territory, successfully overrunning and now effectively controlling large portions of three states in northeastern Nigeria -- by some estimates, a total area larger than the Netherlands, Belgium, and Luxembourg combined.

Boko Haram's territorial base has been used by the group as a staging ground for what has become a steady campaign of terrorist attacks, like the past weekend's suicide bombings, which regularly hit more than half a dozen other Nigerian states as well as neighboring countries like Niger, many of which are already under significant pressure from militants linked to al Qaeda's North African affiliate. Niger's President Mahamadou Issoufou has even gone so far as to declare to the newsmagazine Jeune Afrique that "the Islamic State is at our door."

By some estimates, more than 10,000 people in Nigeria alone have died as a result of Boko Haram-related violence in 2014, while more than 1.5 million others have been displaced. Just last week, the militants stormed Baga on the shores of Lake Chad, one of the last towns in the region remaining in government hands, reportedly killing more than 2,000 civilians. Moreover, the militants are showing increasingly advanced conventional military capabilities, in contrast with the demoralized Nigerian military forces they square off against. In early September, for example, the group shot down a Nigerian attack jet that was operating against it and captured the pilot, whom it later apparently beheaded, according to a video obtained by The Associated Press.

What makes the threat from Boko Haram all the more significant is the political and economic context of Nigeria, Africa's most populous country and the largest economy on the continent.

The West African country is in the midst of a hotly contested general election, including a rematch presidential race between incumbent President Goodluck Jonathan and former military ruler Muhammadu Buhari, with votes to be cast just a month from now. No doubt Boko Haram, which rejects democratic politics along with other "infidel" ideas, will take advantage of the campaign and voting process to step up attacks. It is hard to imagine how the threat could not have an impact on the vote.

In Paris on Sunday, police and military forces fanned out across the French capital, meaning there was a reasonable sense of safety for marchers. In Nigeria, even if the country deployed every last soldier and policeman, it would barely be able to put one security officer at each of its polling stations.

And, as if this were not bad enough, declining oil prices have slashed Nigerian government revenues, substantially diminishing the resources available to defeat the extremists in battle and win the subsequent peace with social and economic development of an area whose long-running marginalization helped give rise to the insurgency in the first place.

It does, of course, go without saying that both the Nigerian political class and its military, with all their attendant pathologies, bear responsibility for the dire situation the country finds itself in. But that fact alone should not absolve the international community of its obligation (and self-interest) in helping to tackle the growing threat posed by Boko Haram -- any more than legitimate concerns about generally lackluster leadership by French President François Hollande and the French political elite's failure to deal squarely with the potential for radicalization among segments of the country's marginalized Muslim population prevented world leaders from showing their support for France in recent days.

As the Roman Catholic archbishop of Jos, Nigeria, pleaded on the BBC recently, "We need that spirit to be spread around...Not just when it happens in Europe, but when it happens in Nigeria, in Cameroon."

In the struggle against Islamist extremism and for peaceful coexistence and progress, it is time the international community recognized there is no place for a tale of two cities.

@highlight

J. Peter Pham: Boko Haram makes significant territorial strides

@highlight

Its attacks show growing military sophistication, he says