(CNN) -- Miles away from the somber ceremony on a tarmac where coffins containing the remains of victims of Flight MH17 were returned, dozens of forensic scientists at a military base in the Netherlands were preparing for the grim task of identifying the remains.

In all, 298 passengers and crew -- among them dozens of children -- were killed when the packed Malaysia Airlines Boeing 777 they were on crashed in eastern Ukraine last Thursday.

All of the bodies and body parts recovered from the crash site will eventually be brought to Hilversum, Netherlands, where a team of experts from the Dutch national forensics unit (Landelijk Team Forensische Opsporing) will do everything they can to return the dead to their loved ones.

"You don't know which nationality each body is," explains Jos van Roo of LTFO. "So we try to identify all the bodies. We are in contact with the other countries to combine efforts to identify the bodies."

The LTFO has experience of other mass disasters, having worked on the 2004 Asian tsunami, the crash of Afriqiyah Airways Flight 771 in Libya in 2010 and other incidents in the Netherlands.

Van Roo says great care has and will continue to be taken over the bodies, out of respect for the victims and to avoid any further distress to their families.

Forensics specialist: 'It must be very precise'

It is painstaking work, van Roo says: "There are lot of bodies and body parts coming our way. [Everything] must be examined. ... It must be very precise. You must make sure you don't give the wrong body to the wrong family."

The team's work began days ago on the Ukrainian field near the Russian border where MH17's journey from Amsterdam to Kuala Lumpur came to a premature end.

Forensic genetics expert Denise Syndercombe-Court of King's College London says some identifications will be relatively simple.

"It sounds as if they have perhaps 200 body bags with identifiable bodies or parts of bodies in," she says. "And while they have been at the site for some time, I would expect that it will be possible to get good DNA profiles from most of those."

In some cases, working out who is who may be even easier than that -- if a victim has a distinctive scar or clothing, or even a wallet or passport in a pocket.

Dental records can also be used to identify those who are not immediately recognizable.

If DNA is needed, it is usually taken from an area of deep muscle. Mitochondrial DNA may also be used. In both cases, the experts will then need to compare the DNA taken from the victim with a relative.

Search for DNA matches

But Syndercombe-Court says the fact so many families died on Flight MH17 may complicate the process.

"Where you have lots of family members traveling together, you may have to rely on DNA matches to more distant relatives," she explains. "Once you get beyond the immediate family, beyond grandparents or aunts and uncles, it becomes more difficult."

In those cases, scientists may have to rely on alternative comparisons, matching DNA from the remains to that found on toothbrushes or clothing owned by the dead person.

Van Roo says work has already begun to collect details and DNA matches for those on board the plane, with dozens of detectives interviewing family members.

"We have been working with the families of the victims. From them, we ask [for] a description of the victim, and we take DNA, look at the dental records and take fingerprints," he told CNN, adding that the process of talking to relatives can take a long time.

"You try to get as much information during your first visit. You don't want to forget some questions. It is very painful to have to get back to families to ask [more] questions."

"Every bit of information you get from a relative needs to be collected very carefully. Also you need to take records from the bodies. It is a delicate procedure for example, [to] take dental records or DNA."

Syndercombe-Court helped to identify the victims of Yemenia Flight 626, which crashed into the Indian Ocean on its way from Yemen to Comoros in 2009, leaving 152 dead.

She says not every victim will be easy to put a name to: Cases where the force of a blast or fire have damaged the remains can be complex.

And she says that while experts do have the passenger manifest, some cases may never be fully resolved.

But she hopes knowing, at least, that everything possible has been done, and that the remains were handled with great care will offer some solace.

"The longer it goes on, the more difficult it can be. ... If someone is not found, or a body part is never identified, but it is dealt with in a sensitive way, the families know someone has gone to the effort, someone has tried their best."

For the experts at Hilversum, the next weeks and months will be busy and difficult. Van Roo says the work can be emotional, but everyone is united by their common aim.

"We have the drive to give the bodies back to the families," he says. "Every case is unique, [but] you want to get the victim back. The drive stays the same."

Syndercombe-Court agrees: "It's a tough job, but a good job.

"It is always grim, but we do it with the knowledge that we are helping someone else: The family want to be able to put it to bed, and we want to give them some peace."

MH17 tributes in Moscow: 'Forgive us'

Mother regrets hot heeding son's fears

CNN's Erin McLaughlin and Antonia Mortensen contributed to this report.

@highlight

The remains of victims of Flight MH17 have been flown back to the Netherlands

@highlight

Dozens of bodies collected from the crash site have been taken to Kharkiv in the Ukraine

@highlight

Dutch experts will use DNA, dental records and fingerprints to identify the victims

@highlight

The identification process can be lengthy but is aimed at giving families closure