(CNN) -- Getting hired or promoted in today's competitive environment is no easy feat. But, then again, neither was our pitch for MasterCard.

The rules of the game were made clear: whichever advertising campaign had the best consumer test score would be declared the winner and awarded the MasterCard account. Yet, despite the fact that our now famous "Priceless" campaign did not fare well in testing, we won the business, and the rest is history. Fifteen years later, "Priceless" remains one of the most recognizable ad campaigns in recent history.

So why did we win the business, defying set rules and what early testing said would be a failure? According to MasterCard's CMO Larry Flanagan, it was because of our "core" -- we were a fighting and a cohesive team of competitors, who believed with every ounce of our beings that this campaign would crush their long-standing competitor, Visa. In other words, we had tapped their "hidden agenda."

The hidden agenda is the unspoken, visceral, emotional motivation that is behind every decision. Whether deciding who wins the billion dollar deal ... or the job, the hidden agenda is always at work. Your mission is to connect to it, and here's how:

Do your hidden-agenda homework

It's not enough to know factoids about the company. That's table stakes. Do your homework about the emotional state of the company. Are they on a high, yet searching for the next big thing? Are they in crisis and in need of a turnaround? Are they guided by a value system that drives the decisions they make?

It turns out that every decision stems from a hidden agenda, which can be found in three forms:

â€¢ Wants are about people viewing their circumstances through the lens of ambition and confidence.

â€¢ Needs are about viewing circumstances through the lens of fear or concern.

â€¢ Values are about people viewing the world entirely through the lens of their belief systems.

In addition to understanding the company's hidden agenda, study the person who will be interviewing you to determine their hidden agenda.

Connect with your real ambition

I had breakfast a few weeks ago with a very compelling young man. This electrifying fellow was exuberant, quirky bordering on eccentric, and without pretense. He spoke of what he hoped to create in his life, and I hired him on the spot.

Your real ambition is a deep desire to create something special that doesn't yet exist. It's bigger than mere ambition because it's noble. When the person you are trying to reach is touched by your real ambition and makes common cause, they'll hire you.

Try this: Think about what you want to accomplish, but precede with the words "I will ..." Make sure it is seemingly impossible, devoid of practicality and utterly fantastic. You can create a shared bond with your interviewer, because they see you both share a common vision.

See also: Is happiness the secret of success?

Bond with your credo

A company is many things, but it is a community first. Each community has a set of values that bind them; I call it a credo, Latin for "I believe." Dig deeply and look behind the facts and figures. What does the company you're applying to believe? If you want to be part of it, know it and connect yourself to it.

Try this: Take out a sheet of paper, and write "I believe that ..." What words would you select? What values would you express that would make you proud for others to see? Connections are made because of the beliefs you share. You'll be hired, because your interviewer will see that your credo syncs perfectly with theirs.

Ignite with your core

Your core is what makes you stand out from the pack. While many people have similar traits, your core is comprised of a set of skills, abilities, and strengths that, together, are completely unique to you. And as was the case with MasterCard, your core will be seen as something the company needs -- the "answer to their prayers" and a means by which you can help them.

See also: Is workplace boredom 'the new stress?'

Critical to your core is authenticity. As a wonderful mentor once told me when I was presenting what I thought was a perfect version of myself and thinking that the real me was no road to glory: the person you are is the person they want to see. They are hiring you, not a manufactured version of something or someone else.

Try this: Ask five people who know you well and support you to write down the key characteristics they associate with you. Not only will you be staggered by what you'll get, but you will also feel proud and affirmed. You mobilize people to hire you, because their vital needs are satisfied by the authenticity and sincerity of your core.

Your pursuit for the promotion or job of your dreams is not a fact and figures game -- it is a human game. When you make a profound connection with the emotional desire of your boss or interviewer, the facts and figures will take the backseat, every time.

The opinions expressed in this commentary are solely those of Kevin Allen.

@highlight

Every company has an emotional motivation, or hidden agenda, says Kevin Allen

@highlight

He believes tapping into the hidden agenda is key to getting your dream job

@highlight

Share your 'real ambition' to connect with potential employers

@highlight

When applying for a job, show that you connect with the company's core beliefs