(CNN) -- For centuries, Timbuktu has existed in the Western imagination as a byword for the most exotic, far-flung place conceivable.

Situated on the southern edge of the Sahara, it acquired a near-mythical status in distant countries for its fabled inaccessibility, and for the accounts of the dazzling material and intellectual wealth to be found there.

Intrigued visitors continue to be drawn by the treasures that survive from the city's medieval golden age as an important academic, religious and mercantile center -- its great earthen mosques, and hundreds of thousands of scholarly manuscripts held in public and private collections.

The city, today part of present-day Mali and known as the "city of 333 saints" for the Sufi imams, sheiks and scholars buried there, was made a UNESCO World Heritage site in 1988.

But there are fears this carefully preserved legacy could be under threat from groups of armed rebels who have overrun the ancient city this month, in the vacuum left by retreating Malian government forces.

Irina Bokova, the director general of UNESCO, has called on the groups to respect and protect the city's heritage. "Timbuktu's outstanding earthen architectural wonders that are the great mosques of Djingareyber, Sankore and Sidi Yahia, must be safeguarded," she said.

"Along with the site's 16 cemeteries and mausolea, they are essential to the preservation of the identity of the people of Mali and of our universal heritage."

Timbuktu, which has a population of about 50,000, is held by at least two rival groups who have been involved in a northern uprising against Mali's government, headquartered in the southern capital of Bamako.

One is Ansar Dine, a Salafist Islamist group that seeks to impose Sharia law. The other, the National Movement for the Liberation of Azawad (MNLA), has been fighting for an independent homeland for the nomadic Tuareg people in the country's north, and earlier this month unilaterally proclaimed independence for the region they call Azawad.

Read also: Rwanda genocide survivors cycle towards London 2012

Following the overthrow of Libyan President Moammar Gadhafi, many Tuareg who had been fighting for Gadhafi's forces reportedly returned to northern Mali, bringing their weapons with them. Last month, a Tuareg uprising triggered a military coup against Mali's President Amadou Toumani Toure by officers dissatisfied with the government's efforts to put down the insurrection. But in the disorder following the coup, the rebels seized large areas of the north.

Martin van Vliet, a researcher at the African Studies Center in Leiden, the Netherlands, said that while Timbuktu was no longer a city of vital economic or military importance, it stood out as an important prize for the rebels due to its symbolic significance.

"The group that controls Timbuktu controls the symbolic capital of the entire region, because it's that well-known across the world. If you control that city, it will be known."

Historically, Timbuktu's legend began to spread throughout the medieval world when the Emperor of Mali made his pilgrimage to Mecca through Cairo in 1324, and dazzled those he encountered with the gold his party carried.

Early in the 16th century, reports of the city on the sand -- then part of the Songhay Empire -- filtered back to Europe through the Moorish diplomat and writer Leo Africanus, adding to the city's near-mythical status as an African El Dorado.

Becoming the first European to reach the city subsequently became an obsession for Western explorers, many of whom perished in the desert sands. In 1824, the Geographical Society of Paris even offered a reward for the first European to accomplish the feat.

Two years later, however, the person to do so met with disaster. Scottish explorer Gordon Laing survived an attack by Tuareg nomads en route to Timbuktu, only to discover on arrival that its wealth had greatly diminished since its heyday. Laing stayed a month in the city, then was murdered two days after leaving.

During its golden age, Timbuktu was a thriving desert trading town at the heart of important trade routes for gold and salt, and a major intellectual and spiritual center, which played a key role in the spread of Islam in Africa. Islamic scholars traveled great distances to study in the city's university, which had 25,000 students during its zenith, and was comprised of three mosques.

Read also: Sculpting peace in Mozambique

Constructed from mud bricks and wood in the distinctive Sudano-Sahelian architectural style, the Sankore, Sidi Yahia and Djingarei-ber mosques have been maintained and remain major attractions in the city today. The latter, Timbuktu's oldest, was built in the early 14th century, while the Sankore, during its heyday, was said to have the largest collection of books in Africa since the Library of Alexandria of antiquity.

"Timbuktu in the 14th to the 16th century was an important university city where many manuscripts referring to knowledge of astronomy, economy, religion, mathematics, physics, and medicine were produced," said Lazare Eloundou, chief of the Africa unit for UNESCO's World Heritage Center.

Comprising the other significant component of Timbuktu's heritage legacy, this immense trove of scholarly manuscripts -- estimated to number in the hundreds of thousands -- remains in the city in state and private collections.

For generations, local families have protected the fragile manuscripts, some of which date from the 13th century, from invaders. Fearing that those responsible for the current unrest could loot or destroy the treasures, librarians and curators are making efforts to hide the texts or smuggle them out of the city to safety. While there have been reports that offices of local libraries have been looted by the gunmen, no significant losses of the documents have yet been reported, according to Eloundou.

"We are still concerned by what could happen there in case there is a fight -- we're concerned about the risk of damage," said Eloundou. "We also don't know what the reaction of the Islamist groups will be with regard to the manuscripts."

He said the city's heritage was vastly important to locals -- as a source of cultural pride, but also of income. Even if the city's treasures survived unscathed, they stood to lose out from the uprising as it could plunge the region into isolation once again. In addition, an estimated 200,000 people have been displaced by the uprising in the wider region.

"The fact this part of the country has been taken by the Tuareg rebellion and Islamist groups does not allow any more tourists to visit, and the communities depend a lot on the tourism revenue," he said. "This is really going to affect their lives."

@highlight

In medieval times, Timbuktu, in present-day Mali, was an important intellectual center

@highlight

Known for its great mosques and trove of manuscripts, the city has world-heritage status

@highlight

Islamist and Tuareg rebels have occupied the city in recent weeks

@highlight

UNESCO fears the important site could be destroyed or looted by rebels