ISTANBUL, Turkey (CNN) -- It's a common sight in the traffic-clogged streets of Istanbul, a city that straddles two continents.

Workers next to the spot where subway trains will one day emerge from the tunnel. Opening of the tunnel has been delayed by at least four years by the discovery.

A taxi driver, enraged by perpetually gridlocked traffic, stepping out of his car and yelling "Maniac!" at the man driving the public bus behind him.

For decades Istanbul has been growing at a breakneck speed; its population exceeding -- by some estimates -- 15 million people. Too bad traffic often moves at a snail's pace.

Most residents are quick to tell visitors the city's transport system is overwhelmed.

"Istanbul is a dynamically changing city, every year increasing in population," says Zeynep Buket, an engineer working with Turkey's transportation ministry. "We are in need of radical systems, and this radical system is a mass transit system."

The "radical system" city planners embarked on five years ago involved construction of a new subway tunnel beneath the Bosphorus Strait, the spectacular body of water that cuts this city in two. By the year 2025, engineers predict more than one million people a day will use the tunnel to travel between Istanbul's Asian and European shores.

"We will connect two continents, Asia and Europe," said Nusret Ilbay, one of the many engineers working on the $3 billion Marmaray Tunnel Project. He was standing on scaffolding, overlooking a gaping 30-meter deep hole that will one day be a subway station on the Asian side of the Bosphorus. A concrete wall is all that holds back a churning river of sea water. Watch video of the tunnel being constructed

"As you can see, some leakage on the wall face has been observed," Ilbay explained on a tour of the construction site. "In order to overcome these leakages, we have applied chemical grouting."

Legend has it, thousands of years ago Jason and the Argonauts narrowly escaped death sailing up the Bosphorus in search of the mythological Golden Fleece.

Today, engineers face equally daunting challenges building a tunnel beneath one of the world's busiest shipping channels, at depths of up to 55 meters, in an active earthquake zone.

First they dredged a trench on the bottom of the Bosphorus. Then, using divers and undersea cameras, they submerged and buried 11 massive pre-fabricated tunnel segments, almost all of them longer than a football field.

To enter the unfinished tunnel, visitors must climb down a steep staircase in a construction tower surrounded by water in the middle of the strait. During the descent, the temperature plummets and humidity rises.

Construction workers toil here in the gloom of this 1.4 kilometer long tube on the bottom of the sea, their welding torches spraying showers of sparks in the darkness.

One worker claimed that during the lunch break, when the machinery came to a stop, he could hear the sound of oil tanker and cargo ships' engines as they motored past in the waters overhead.

As a precaution in the event of a catastrophic flood in the tunnel, engineers constructed an emergency bunker on the bottom of the sea. Stocked with food and water and equipped with a heavy water-proof door, the "emergency room" is supposed to protect survivors for up to 10 days, until they can be rescued.

But, in their rush to modernize Istanbul's transport system, city planners ran into an unforeseen obstacle: history.

In Yenikapi, a neighborhood of textile factories and seedy hotels where one of the main transit stations for Istanbul's new subway and commuter rail system was to be built, archaeologists discovered the lost Byzantine port of Theodosius.

It was originally built at the end of the 4th century AD by Emperor Theodosius I  when Istanbul -- then known as Constantinople -- was the capital of the eastern Roman Empire. The port's harbor silted over centuries ago, and eventually disappeared beneath subsequent layers of civilization. Until its rediscovery in 2004, archaeologists said they only knew about the port from ancient books.

"This was a big moment of joy and happiness for us, an unexplainable feeling," recalls Professor Zeynep Kiziltan, the acting director of Istanbul's Archaeology Museum.  Look at pictures of the excavation »

"At around one meter below sea level, we started finding the remains of ropes. As we continued [digging] a bit more, the remains of a boat surfaced."

Since that discovery, armies of hundreds of laborers and archaeologists have been working in a giant pit, three shifts a day, seven days a week. The scale of the excavation is unusual in modern-day archaeology, says Cemal Pulak, an anthropologist from Texas A&M University's nautical archaeology program. Look at a map of the site

"Its mind-boggling ... it really looks like an Indiana Jones-type operation," says Pulak, who has worked as a consultant on the excavation of the lost port.

The Yenikapi dig has uncovered an ancient armada: 34 Byzantine ships ranging from dating between the 7th and 11th centuries AD.

In one tent, two workers carefully uncover the ancient wooden beams of a 40-meter long merchant vessel. A third man preserves the wood by keeping it moist, sprinkling the relics with water from a hose.

Archaeologists have nicknamed this ship "The Titanic," because it is the largest of the Theodosius wrecks. It is believed the vessel once carried wheat from Egypt to Constantinople. Scattered around the ship are shards of pottery, animal bones, and thousand-year-old clamshells.

Historians say the new discoveries include the first examples of ships being built using the beginnings of the "skeleton approach" to constructing the vessel's hull. Pulak says that marked a revolutionary change which transformed shipbuilding from "mostly an art form to a science."

"The earlier methods of building depended on verbal transference of the method from master shipbuilders to apprentices," he explained. "The development of the latter method ... allowed for the speedy communication of new shipbuilding ideas that could be transmitted on paper. It is the beginning of engineering. Ships could be preconceived and pre-designed."

"I think it is one of the unique projects not only for us but for the world," said geologist Yucel Yilmaz.

In addition to finding the timbers of thousand-year-old jetties and docks, which still jut up in straight rows at the bottom of the mammoth pit, archaeologists have uncovered the remnants of a pre-historic human settlement.

"The first man, about 8,400 years ago, came and started to settle here," Yilmaz said. "There was no Bosphorus [then]. The Bosphorus was a river valley... the people who settled here walked across the Bosphorus."

Plans to travel beneath the Bosphorus have been delayed at least four years by the excavation of the Theodosious Port. The postponement has added untold millions of dollars have also been added to the cost of the entire project.

In the rush to move forward, the residents of Istanbul have accidentally uncovered a valuable piece of their city's ancient past.

@highlight

A 1.4 km long subway tunnel is being constructed under Istanbul's Bosphorus Strait

@highlight

Operation uncovered the lost 4th century AD Byzantine port of Theodosius

@highlight

Thirty-four 1000-year-old ships have been excavated as well as remains of the port

@highlight

Discovery has delayed tunnel project by at least four years costing millions of dollars