BEIJING, China (CNN) -- When Jimmy Wales visited the headquarters of Hudong.com last month, he had one question for its founder: is it possible for Wikipedia to be the number one online encyclopedia in China?

Don't call me Jimmy: Pan Haidong, head of Hudong.com, the largest Chinese encyclopedia website.

"Absolutely not," was the response of Pan Haidong, head of Hudong.com, the world's largest Chinese encyclopedia website.

"Because there is Hudong here in China. Of course we are a copycat of Wikipedia but we have a lot of innovations, and we do a lot of work here in China so it is totally different actually," Pan told CNN.

It's been a year since China's government lifted its ban on the Chinese version of U.S.-based Wikipedia yet it remains unclear whether Wikipedia has gained any share of the country's massive Internet readership.

Shortly after Wikipedia was launched in China in 2002, the country's Internet censors began to intermittently block access to both Chinese and English versions of the online encyclopedia with the longest ban lasting around three years.

In recent months, Wales has held a series of meetings with officials from the State Council Information Office, the government body charged with internet censorship in China, to establish a dialogue between the Wikipedia community and Chinese government.

He says they have not discussed why the website was banned.

"We have a friendly relationship," Wales told CNN. "But in terms of getting down to the nitty gritty of what happened, I have no idea. It is not really a big concern."

What is a big concern for Wales is whether Wikipedia can compete with the country's two homegrown encyclopedia websites that emerged while Wikipedia was blocked: Hudong.com and Baidu Baike, an online knowledge sharing site launched by Baidu, the No. 1 search engine in China.

One challenge Wikipedia faces is it lacks the brand recognition in China that is otherwise nearly universal.

"I had an English-speaking, college-educated tour guide [in Beijing], and he asked me what I do?" Wales told CNN.

"I said, 'I am the founder of Wikipedia.' He had a blank stare. He had no idea what Wikipedia was. This would not happen anywhere else in the world. Everyone knows Wikipedia if they are using the internet."

Wales said he is trying to mobilize the local Chinese Wikipedia community to spread more awareness about the online encyclopedia but otherwise has not outlined a specific strategy to beat its more entrenched domestic competitors.

"I think I am going to have to come to China a lot and do interviews so people can learn about Wikipedia," said Wales. "Once people come to understand it that will be helpful for our cause."

'No reason for China to use Wikipedia'

Yet Wales' star power alone may not be enough to convert China's 300 million internet users into Wikipedians, or volunteers who run the website.

"There's, in fact, no reason for China to use Wikipedia, a service based 'out there,'" Baidu's chief scientist William Chang said at a 2008 internet conference in Beijing. "It's very natural for China to make its own products."

And it is also very natural for Chinese to use domestic encyclopedia websites that some say are better suited to the online habits and informational demands of the country's exploding population of internet surfers.

"We know the market better," said Pan, founder of Hudong.com. "That is why we can get a bigger share of it."

Hudong has more than 3 million articles and 1.7 million registered users, according to its website. Baidu Baike has nearly 2 million entries; Chinese Wikipedia has just 280,000 and over 700 thousand members. English Wikipedia has more than 3 million articles and over 10 million volunteers.

"We have the largest team here who are more familiar with the wiki concept and wiki operations in China," Pan told CNN.

"Of course we are more focused on the wiki community, which means we need to get a lot of people involved to make it grow."

Hudong.com utilizes a range of social networking functions to attract Chinese internet users, including chat forums, fan groups, short messaging services and bulletin boards. Nearly 100 million Chinese netizens regularly visit online bulletin boards, according to research from China Internet Network Information Center.

The website rewards members through a ranking system where users are upgraded to a higher status on the site based on the points they earn. Members also can win prizes, like laptops and iPods, for high participation on the site. Baidu Baike has a similar model.

Wikipedia uses a reputation system to promote its members based on their participation on the website and the quality of the content they contribute. Promotion is subject to peer approval, and the site's volunteer administrators are elected by the community.

"The entry barrier is really high on Wikipedia for Chinese users," said Pan. "We don't have a very hierarchical structure to say who is managing this or who is managing that."

Instead both Hudong.com and Baidu Baike have a centralized management structure. Paid staff are charged with mobilizing the community to contribute to certain topics as well as filter out content that might offend the Chinese government.

Saying 'no' to censorship

Wales has refused to comply with Chinese censorship rules, which means certain pages containing sensitive information on both English and Chinese Wikipedia remain inaccessible.

"The question is how comfortable is China about just describing the facts?" said Wales.

"In some cases that is not completely clear, so right now there are certain pages that are filtered from Wikipedia. We don't support that but we also can't do anything about it. But it is far better than just blocking the entire site. Far better for China and for us."

Since Hudong's and Baidu Baike's business operations are based in China, the companies have little choice but to comply with government policy or face the same fate as Wikipedia.

"If there is something that the government doesn't want, we don't talk about it," said Pan. "We just follow the law."

Which is why in the long run many Chinese Wikipedians say their website will win.

"I don't think they can become a reference book like Wikipedia because they don't have a serious community focusing on improving the quality of content as well as trying to respect neutral point of view," said Isaac Mao, a Chinese Wikipedian and blogger. "They have to follow the hidden rules and you never know what those are."

However Pan said Hudong's content, in time, will improve if the Chinese government continues to gradually loosen its grip on the internet.

"I have been seeing a lot of improvement," said Pan. "So we should be glad for that, of course."

Wales also said Wikipedia's reemergence in China, albeit at times unreliable, is a sign that Beijing's web policy is changing.

"We are hopeful," said Wales. "Wikipedia has been open for more than a year, and we are hoping that will continue. We would like for Wikipedia to have as much impact in China as it has in other places around the world."

Pan's doesn't believe it will happen.

"There is no way," said Pan. "I don't want to be the Jimmy Wales of China. I just want to say that we want to do something good for society. That is our dream actually."

@highlight

Home-grown online encyclopedias much more popular than Wikipedia in China

@highlight

Jimmy Wales has refused to tailor Chinese Wikipedia to censorship laws

@highlight

Incentives like iPods and laptops for Chinese netizens who add/vet entries

@highlight

"We don't talk about what the government doesn't like," says Pan Haidong