Washington (CNN) -- Naif Al-Mutawa anticipated a struggle when he launched an Islam-inspired comic book series that he hoped would become a symbol of tolerance.

He worried about the comics being banned in Saudi Arabia - which wound up happening, briefly -- and he expected to be challenged by conservatives in Islam, since Al-Mutawa wanted to buck the trend of Islamic culture being directly tied to the Koran.

But it wasn't an Islamic cleric that stalled the series, called "The 99," after the 99 attributes of Allah, which the superheroes are supposed to embody.

It is the American market, and the voices of Islam's Western critics, that have caused the most problems for "The 99," says Al-Mutawa, who is the focus of a PBS documentary airing next week.

In 2010, President Barack Obama called the comic books, which debuted in 2006, "the most innovative response" to America's expanding dialogue with the Muslim world, which Obama has encouraged. The series features 99 superheroes from across the globe who team up to combat villains and who embody what Al-Mutawa calls basic human values like trust and generosity.

But Al-Mutawa, a Kuwaiti-born clinical psychologist and graduate of Columbia Business School, says a vocal minority have raised surprising questions about American tolerance of Islam.

The idea for "The 99" started during a conversation in a London cab between Al-Mutawa and his sister. It took off, although slowly, after Al-Mutawa raised $7 million from 54 investors across four continents.

The first issue was released during the Muslim holy month of Ramadan in 2006. The comic book was quickly banned in Saudi Arabia and Al-Mutawa received threats of fatwas against him and his project from clerics. But Saudi Arabia eventually lifted the ban and the television adaptation of "The 99" will be aired there this year.

Al-Mutawa and his team have now raised more than $40 million in venture capital for the project.

But when word leaked that The Hub, a Discovery Channel cable and satellite television venture, purchased the series and planned to air it in the United States, the response from conservative bloggers and authors was swift.

Pamela Geller, founder of the Atlas Shrugs blog, called the series, part of the "ongoing onslaught of cultural jihad," and created a counter-comic strip that made the 19 hijackers behind the September 11, 2001 attacks the superheroes.

New York Post columnist Andrea Peyser, meanwhile, urged readers to "Hide your face and grab the kids. Coming soon to a TV in your child's bedroom is a posse of righteous, Sharia-compliant Muslim superheroes - including one who fights crime hidden head-to-toe by a burqa."

According to Al-Mutawa, the criticism spooked The Hub. "All of a sudden we couldn't get an air date and I was asked to be patient and we have been," Al-Mutawa said. "But it has been a year and the actual push-back died down."

A spokesperson for The Hub told CNN that "'The 99' is one of the many shows we have on the possible schedule, but at this time, no decisions have been made about scheduling."

Al-Mutawa isn't shy about responding to the criticism his comics have received in the U.S. "There is nothing different from them and the extremists in my country," he says. "They are just as bad. They are just intellectual terrorists."

Geller, author of the book "Stop the Islamization of America," called Al-Mutawa's statement "ridiculous victimhood rhetoric."

"He is the one mainstreaming oppression and discrimination," Geller says. "I work for equality of rights for all people. So which one of us is the intellectual terrorist?"

Geller also takes issue with Al-Mutawa's assertion that "The 99" exemplifies "moderation" and "toleration," pointing to a "burqa-wearing superhero."

But Al-Mutawa says criticisms of burqas are evidence that, "for some people anything to do with Islam is bad."

"How clichÃ© is it that characters created to promote tolerance are getting shot down by extremists," he says.

Al-Mutawa's frustrations are chronicled in the new documentary "Wham! Bam! Islam!," which will air on PBS on October 13 as part of the Independent Lens series.

The film's director, Isaac Solotaroff, began shooting before the comic was released.

He said that one of the most surprising aspects of the story is how "a very small group of people who scream very loud, have a disproportionate share of the public discourse when it comes to culture."

Echoing Al-Mutawa, Solotaroff calls it a case of the tail wagging the dog. He says that initial concerns of censorship in the Middle East began to change as the project progressed.

"We were waiting for a fatwa from a cleric in Saudi Arabia, Solotaroff says," when it ended up being the U.S. market that has been resistant to "The 99."

"Realizing that The 99 will not survive if focused solely on the Middle East, Al-Mutawa must now target an international and predominantly non-Muslim market," reads the website for "Wham! Bam! Islam!"

Citing The Hub holdup, Solotaroff says the project is now stuck in the most important market" for "The 99."

Al-Mutawa is also trying to gain distribution for his TV series in France and other countries, but his main focus remains the United States.

"One way or the other," he says, "'The 99' will get on air in the U.S."

@highlight

Creator of Islam-inspired comic series hoped would become a symbol of tolerance

@highlight

Naif Al-Mutawa says he expected outcry from conservatives within Islam

@highlight

When a TV series in Middle East was financed, he sought to get it aired in U.S.

@highlight

Conservative bloggers in the U.S. spooked TV deal, Al-Mutawa says