(CNN) -- The inaugural addresses of the presidents are, for the most part, a wasteland of howling rhetoric and dried-out inspiration.

History has little noted, nor has it long remembered, more than a handful of them. Lincoln's two inaugural addresses stand (of course) as the great exception. Franklin Roosevelt's addresses in 1933 and 1937 remain alive, as does the sonorous rhetoric of John F. Kennedy's address in 1961. We continue to quote a single sentence from Thomas Jefferson's first inaugural, a sentence from Ronald Reagan's first and a two-word phrase from Lyndon Johnson's. After that ...

After that, you get a lot of this:

"Liberty -- liberty within the law -- and civilization are inseparable, and though both were threatened, we find them now secure; and there comes to Americans the profound assurance that our representative government is the highest expression and surest guaranty of both."

Who said that? It could have been any one of 20 presidents. (In this case, the speaker happens to be Warren G. Harding.)

Writing a great inaugural speech must be very hard, since even many strong and important presidents failed to do it.

Theodore Roosevelt failed. Dwight Eisenhower failed. Barack Obama failed the first time, and since second inaugural addresses are almost always even worse than firsts, it seems almost certain he'll fail again on Monday.

Why do inaugural addresses fail?

They fail for two reasons: One subject to the speaker's control; the other, not.

They fail, first, because the grandeur of the occasion inspires new presidents and their teams to overblown rhetoric, even as their political advisers steer them away from too specific commitments. Grand language wrapped around a thin message produces only vapid blather.

Consider, for example, this passage from Obama's first inaugural address:

"On this day, we gather because we have chosen hope over fear, unity of purpose over conflict and discord. On this day, we come to proclaim an end to the petty grievances and false promises, the recriminations and worn-out dogmas that for far too long have strangled our politics. We remain a young nation. But in the words of Scripture, the time has come to set aside childish things. The time has come to reaffirm our enduring spirit; to choose our better history ...."

Unfortunately for Obama, those words were false as description and therefore inaccurate as prediction. You might say that the line "we come to proclaim an end to ... false promises" was itself a false promise. Good writing can never come from bad thinking.

Zelizer: Learning from Lincoln, Wilson, FDR

But there's another source of failure, one not so easily corrected. Inaugural addresses can fail even when the ideas are clear, even when the writing is fine, if the addresses make commitments that the ensuing presidency cannot deliver.

Listen to this inspiring passage:

"The elevation of the negro race from slavery to the full rights of citizenship is the most important political change we have known since the adoption of the Constitution of 1787. No thoughtful man can fail to appreciate its beneficent effect upon our institutions and people. It has freed us from the perpetual danger of war and dissolution. It has added immensely to the moral and industrial forces of our people. It has liberated the master as well as the slave from a relation which wronged and enfeebled both.

"It has surrendered to their own guardianship the manhood of more than 5,000,000 people, and has opened to each one of them a career of freedom and usefulness. It has given new inspiration to the power of self-help in both races by making labor more honorable to the one and more necessary to the other. The influence of this force will grow greater and bear richer fruit with the coming years."

"No doubt this great change has caused serious disturbance to our Southern communities. This is to be deplored, though it was perhaps unavoidable. But those who resisted the change should remember that under our institutions there was no middle ground for the negro race between slavery and equal citizenship."

Those were the words of James A. Garfield. Between Lincoln and Lyndon Johnson, no president expressed a stronger personal commitment to equal rights for black Americans than Garfield in 1881. Yet this commitment is remembered today only by historians.

Garfield was assassinated in September 1881, serving barely six months in office. Even had Garfield served a full term, his efforts would almost certainly have failed.

Federal enforcement of the voting rights of Southern blacks; federal funding of equal education for black children -- to become reality, these aspirations of Garfield's required support from courts, Congress and public opinion. None would have been forthcoming.

Garfield's aspirations were doomed to fail by forces of opposition too strong for him to overcome. Garfield's noble summons went unheeded at the time and therefore inspires little interest now.

An inaugural address is a plan for what is to come. Even a good president can deliver a bad speech. In fact, they usually do. But however beautifully written, a speech can only be made great by the presidency that follows. An inaugural address is a plan, and the test of a plan is the result.

A speech can fail all by itself. Its ideas can be weak, its language can be foggy. But even if the ideas are clear and the words crisp, an inaugural address can be deemed "great" only if it is followed by actions that make good on its lofty words. This is why we still remember the mighty words of Lincoln and FDR and why we forget almost all the others.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum: Most inaugural speeches are full of rhetoric, lack real inspiration

@highlight

He says they tend to promise great things but are vague on specific commitments

@highlight

There are noble speeches that get undermined by lack of accomplishment, Frum says

@highlight

Frum: We remember great speeches of Lincoln, FDR because of their great deeds