(CNN) -- The International Atomic Energy Agency issued a critical report Tuesday saying that it has "serious concerns" about Iran's nuclear program and has obtained "credible" information that the Islamic republic may be developing nuclear weapons.

The IAEA report, the most detailed to date on the Iranian program's military scope, found no evidence that Iran has made a strategic decision to actually build a bomb. But its nuclear program is more ambitious and structured, and more progress has been made than previously known.

"The agency has serious concerns regarding possible military dimensions to Iran's nuclear program," the report said. "After assessing carefully and critically the extensive information available to it, the agency finds the information to be, overall, credible. The information indicates that Iran has carried out activities relevant to the development of a nuclear explosive device."

U.S. State Department spokeswoman Victoria Nuland said the report had just arrived and refrained from commenting on details at an afternoon briefing. But a senior U.S. official called the report "a big deal."

"The report is very comprehensive, credible, quite damning, and alarming," the official said.

Read the IAEA report here

Iranian President Mahmoud Ahmadinejad slammed the report as a fabrication of facts aimed at satisfying U.S. allegations about Iran's nuclear program.

Ahmadinejad essentially called Yukiya Amano, the director general of the IAEA, a U.S. puppet and said the United Nations agency has no jurisdiction in Iran.

"The Americans have fabricated a stack of papers and he keeps speaking about them," he said on state-run Press TV. "Why don't you do a report on the U.S. nuclear program and its allies? Present a report on the thousands of U.S. military bases where Washington has nuclear arms that threaten global security."

The IAEA had released another report on Iran in September but this one was highly anticipated because of the military aspect.

Since 2002, the IAEA has regularly received new information pertaining to the development of a nuclear payload for a missile, the report said.

It said Iran has made "efforts, some successful, to procure nuclear related and dual use equipment and materials by military related individuals and entities" and has acquired nuclear weapons information from "a clandestine nuclear supply network."

It has also worked on mastering the design of a nuclear weapon and tested components, the report said.

The IAEA said the some of the activities have both civilian and military applications, but others are specific to nuclear weapons.

Iran has repeatedly insisted its nuclear program is for peaceful, civilian energy purposes only.

According to the IAEA report, Iran is believed to have continued weapons research and technology development after 2003, when the intelligence community thought Iran had stopped. Instead of halting, it seems Iran took a temporary hiatus at the time, although the program progressed at a more modest pace since then, the report said.

After the report's release, top Republicans in Congress called on President Barack Obama's administration to ratchet up economic sanctions against Iran. Rep. Mike Rogers, the chairman of the House Intelligence Committee, raised the fear that Israel would attack Iranian nuclear facilities without further steps by the United States and its allies.

Rogers, R-Michigan, said new sanctions should cut off the supply of refined fuel to Iran and target its central bank, which he said is being used to finance Tehran's nuclear program.

"If we talk about it for a long time, if we're not really leading on it, I will tell you we leave this option to the Israelis," he told CNN's "John King USA."

And in a written statement, Rep. Ileana Ros-Lehtinen called on Congress to pass two bills targeting Iran's energy sector. The Florida Republican leads the House Foreign Affairs Committee, which recently sent legislation to the House floor to do just that.

"If fully implemented, they have the potential to cripple the regime's ability to continue its nuclear program," she said. "If the Iranian regime acquires nuclear weapons capabilities, the U.S., Israel and our other allies in the region and around the world will face an unimaginable threat to our security. The clock is ticking."

Previous IAEA reports have cited concerns by the organization that Iran has been seeking to develop nuclear warheads and ballistic missiles to deliver them.

Word of the latest report drew strong comments in Israel, where talks of how to deal with Iran have recently hit fever pitch. Israel considers Iran its arch-nemesis for its repeated innuendos about the destruction of the Jewish state.

Ahead of the report's release, Israeli Defense Minister Ehud Barak warned that his nation would consider every option in countering Iran's bomb-making capabilities.

"Israel does not want a confrontation, but if it happens, the state of Israel will not be destroyed and there will not be 10,000 dead and not even 500 dead in any possible scenario," Barak said Tuesday on Israel Radio.

Iranian Defense Minister Brig. Gen. Ahmad Vahidi said Iranian armed forces were in "full combat readiness and will give a crushing response to those daring to attack the country," IRNA said.

The United States, Vahidi said, was trying to "promote Iranophobia" in a bid to attain its "sinister goals."

Western powers have long suspected that Iran's nuclear program is geared toward weapons development. The United States is looking to increase the heat on Iran, including a possible strengthening of existing sanctions on Iran's financial and banking sectors and additional political pressure -- all of which could be applied by the United States alone or in coordination with other allies.

The United States also hopes international organizations, such as the United Nations, will take steps to further isolate Iran diplomatically.

Officials said that one of several options being considered is sanctioning the Central Bank of Iran, although the United States is mindful of the impact such a move could have on oil prices during a time of global economic turmoil.

U.S. officials said the Obama administration will use the report to lobby the international community to slap new economic sanctions against Iran.

Obama said he discussed the upcoming report with French President Nicolas Sarkozy in Cannes, France, during a meeting of the G-20 industrialized nations. The U.S. president said the two leaders "agreed on the need to maintain the unprecedented international pressure on Iran to meet its obligations."

CNN's Elise Labott, Jill Dougherty and Moni Basu contributed to this report.

@highlight

NEW: GOP members of Congress urge White House to ratchet up economic sanctions

@highlight

NEW: Sanctions should target refined fuel supply, Iran's central bank, Rep. Mike Rogers says

@highlight

A nuclear watchdog report expresses serious concern over Iran's nuclear program

@highlight

Iranian President Mahmoud Ahmadinejad dismisses the report as fabrication