(CNN) -- In a place accustomed to tough stretches, this has been a particularly tough few days at the White House.

After emerging from the showdown over the Republican-led government shutdown relatively unscathed, the Obama administration finds itself under assault on three fronts: problems surrounding Obamacare, the revelations of the U.S. spying on allies, and the 2012 attack on the U.S diplomatic compound in Benghazi, Libya, the latter for which a senator has threatened to hold up all of the Obama administration's nominations.

The controversies are sure to fuel continued Republican attacks on President Barack Obama and his Democratic allies as the nation gears up for midterm elections next year, and the White House has portrayed the attacks as so much partisan chatter.

But to CNN senior political analyst David Gergen, they reflect the relative inexperience of the Obama White House.

"This is an administration that has been very, very good at its politics, but has never been very good at execution of policies from Day One," he said Monday.

"It's an administration which has some really smart people in it, and a lot of younger people. It doesn't have very many heavyweights."

The worst part for Obama may be figuring out what to do about it all -- not just the various individual fires, but more generally how to "take control of his own government," CNN chief political analyst Gloria Borger said.

If you're the President, how do you make sure that subordinates aren't withholding information you should know? How do you strike the right balance, and explain it clearly, on things such as gathering intelligence versus maximizing privacy and protecting key relationships? And how do you make sure those tied to your administration avoid big missteps that could come back to bite you?

"Four out of five Americans have little or no trust in their government to do anything right," Borger writes in an analysis. "And now Obama probably feels the same way."

Does Obama still have faith in government?

Here are the latest details on the issues causing the administration the most heartache today:

Obamacare

Another week, another congressional hearing on the problem-plagued rollout of Obama's health insurance program.

This time, Marilyn Tavenner, head of the Centers for Medicare and Medicaid Services -- which is in charge of the Obamacare website -- became the first administration official to formally apologize to Americans for the troublesome start.

She offered the apology Tuesday in an appearance before the House Ways and Means Committee.

"We know that consumers are eager to purchase this coverage, and to the millions of Americans who have attempted to use Healthcare.gov to shop and enroll in health care coverage, I want to apologize to you that the website has not worked as well as it should," she told lawmakers.

Obamacare website administrator apologizes

The website, which would-be applicants have found difficult to use, at best, embarrassingly crashed over the weekend, leaving consumers completely locked out.

Then, the White House found itself on the defensive over revelations that, despite claims to the contrary by the Obama administration, some who have purchased insurance on the open market will lose their coverage and have to buy new policies.

An insurance industry source told CNN Monday that the vast majority of Americans who have purchased coverage on the individual market will find their policies changed or even canceled under Obamacare rules.

It's been known for some time that some of the policies would have to change -- the Department of Health and Human Services said in 2010 as part of a federal regulation that up to two thirds of individual policies wouldn't meet regulations allowing them to continue under what's called "grandfathered" status.

That refers to plans allowed to continue even though they don't provide all the rights and protections of those offered under Obamacare.

White House spokesman Jay Carney argued Monday the administration has always said some health care plans would not meet new Obamacare requirements.

"There are existing health care plans on the individual market that don't meet those minimum standards and therefore do not qualify for the Affordable Care Act," he said. "There are some that can be grandfathered if people want to keep insurance that's substandard."

And those who lose coverage will be able to buy more comprehensive coverage on the health insurance exchanges -- some of them at a subsidized price, he said.

But the reality that so many plans will disappear or have to change seems to fly in the face of what Obama said so often in selling the plan to voters.

"If you like your health care plan, you can keep your health care plan," the president said in 2009, and frequently since.

It also offered Republicans ammunition to renew their attacks on the plan.

"The larger problem is how Obamacare is hurting people out there," Senate Minority Leader Mitch McConnell said Tuesday. "It is about college graduates and middle-class families getting hit with massive premium increases they can't afford."

NSA spying

After months of seemingly endless leaks about U.S. surveillance programs, the pressure on the administration rose to new levels in recent days with revelations published by the German news magazine Der Spiegel that the United States was collecting the communications of allied leaders, including German Chancellor Angela Merkel.

Obamacare and NSA spying: What did Obama know, and when did he find out?

German leaders respond angrily to the news, with Merkel demanding a stop to the practice and proclaiming that her country's confidence in the United States had been "shaken."

But it was comments by the administration claiming that Obama did not know of the practice until recently that drew the sharpest criticism -- from both the right and the left.

Rep. Peter King, the Republican chairman of the House Subcommittee on Counterterrorism and Intelligence, was incredulous that the president didn't know what was going on.

"He certainly should have known, if he didn't," the former chairman of the House Homeland Security Committee told CNN's Wolf Blitzer on "The Situation Room." "I think that's almost more of a serious issue that something like that at that level would be conducted without him knowing it."

Rep. King on NSA spying: If Obama didn't know, he should have

And Sen. Dianne Feinstein, D-California, said not knowing about the program was a "big problem" for both Obama and the Senate Intelligence Committee, which she chairs.

"As far as I'm concerned, Congress needs to know exactly what our intelligence community is doing," her statement said. "To that end, the committee will initiate a major review into all intelligence collection programs."

Benghazi

Longstanding Republican criticism of the administration's handling of the attack on the U.S. diplomatic compound in Benghazi, which left the U.S. ambassador to Libya and three other Americans dead, resurfaced this week with Sen. Lindsey Graham, R-South Carolina, threatening to hold up administration nominations over the issue.

Senators are expected soon to review Obama's nominations for several high-profile judicial appointments and other nominations.

Senate rules allow a single senator to at least temporarily hold up presidential nominations, and Graham says he will do so until the administration makes survivors of the attack available for congressional testimony.

"I'm going to block every appointment in the United States Senate until the survivors are being made available to Congress," he said. "I'm tired of hearing from people on TV and reading about stuff in books. We need to get to the bottom of this."

The White House said Monday that Graham and other Republicans are using Benghazi for political purposes, "and we find that unfortunate."

CNN's Ted Barrett, Catherine E. Shoichet, Jake Tapper, Jim Sciutto, Elise Labott, Brooke Baldwin and Jim Acosta contributed to this report.

@highlight

The White House is on the defensive over claims some could lose health coverage

@highlight

The administration is also facing criticism over spying allegations

@highlight

Benghazi is also resurfacing as senator threatens to delay nominations

@highlight

The controversies are sure to fuel partisan rancor as midterm campaigns ramp up