(CNN) -- The melting glacial ice in places like the Alps, Greenland and the Himalayas is a dramatic visual document of how our planet's climate is changing.

For U.S.-based environmental photographer James Balog, it is a vision he has spent more than six years trying to record and preserve.

After an assignment for National Geographic in Iceland in 2005, he was shocked by the changes taking place and wanted to find a way to capture what was going on, in the Arctic and glaciers elsewhere around the world.

The result has been a new documentary film, "Chasing Ice," based on 36 time-lapse cameras looking at 16 different glaciers in locations in Alaska, Bolivia, Canada, France, Greenland, Iceland, Nepal, the Rocky Mountains and Switzerland. Each camera has been taking a photograph every half-an-hour during daylight, producing almost one million pictures in total.

Balog says putting the documentary together has changed his initial skepticism about climate change.

"What we've seen has been a complete shock. I never really expected to see this magnitude of change. Every time we open the backs of these cameras it's like 'wow, is that what's just happened.'"

At one point in the film, Balog is shown looking at the memory card he has just removed from a camera and saying: "This is a memory of a landscape. A landscape that is now gone and will never be seen again in the history of civilization."

Watch: CNN special 'Secrets in the Ice'

Of all the places he has filmed, it is the Arctic that has attracted most attention in recent years. In September this year, the ice cap fell to its lowest extent on record. It grows each winter but is retreating further and further every summer, according to data collected by the U.S. National Snow and Ice Data Center. The summer ice extent has declined by 13% each decade since the ice was first monitored in 1979.

Climate scientists have previously predicted the Arctic could lose almost all of its ice cover in the summer months by 2100. However, the recent accelerated ice losses have led some to believe that date could come much sooner.

While accepting that glacial ice melting has happened many times before in human history, Balog says what he is documenting now can no longer be considered a natural process.

"What we're seeing is a much more accelerated rate of change, especially in the past 40 years or so and that has clearly been traced by scientists to the impact of carbon dioxide, methane and nitrous oxide emissions into the atmosphere."

"In the past 100 years, the atmosphere has accumulated 40% more carbon dioxide in it than had been seen in the peak over the past one million years.

"So, in the past one million years the peak of carbon dioxide emissions in the atmosphere has been 280-290 parts per million (ppm). We're now at 395 ppm and adding more every year. It's gone beyond natural and is affecting the entire world," he says.

Balog, who lives in the Rocky Mountains near Boulder, Colorado, believes the economic and technological solutions to mitigate the impact of climate change already exist.

"What we need is a greater political and public understanding of the immediacy and reality of these changes. I believe that this film can help shift public perceptions by telling people a story that is real and happening now," he says.

@highlight

New documentary captures glacial ice retreating at sixteen different locations around the world

@highlight

"Chasing Ice," by U.S. photographer James Balog, recorded glacier melt since 2007

@highlight

Balog's cameras have captured nearly one million images for the project

@highlight

Balog hopes film will "shift public perceptions by telling people a story that is real and happening now"