(CNN) -- So we thought Asian kids did great in school. Think again.

A new study suggests that women and minorities are less likely to receive early support from potential academic mentors. Researchers from Wharton, Columbia and NYU ran an interesting field experiment: Pretending to be students, they e-mailed more than 6500 professors at top U.S. universities admiring each professor's work and asking to meet. The e-mails were all identical except for the senders' names.

Names that one can associate with a gender or race -- like Brad Anderson, Meredith Roberts, LaToya Brown, Juanita Martinez, Deepak Patel, Sonali Desai, Chang Wong, and Mei Chen -- were used.

The researchers found that faculty were most likely to respond to e-mails from white males. But more surprising was the high level of racial bias against Asians and Indians -- professors were likeliest to ignore e-mails from these students.

One of the researchers noted, "We see tremendous bias against Asian students and that's not something we expected. ... A lot of people think of Asians as a model minority group. We expect them to be treated quite well in academia."

The study highlights the pernicious nature of the "model minority" stereotype of Asians, and the fact that Asians are still viewed as the most foreign "other" in our American culture -- perhaps the biggest outsiders in the politics of "not like us."

A common refrain I hear from well-meaning friends and colleagues is: "What's so bad about the Asian stereotype? Seems to me Asians have done all right." I get it. As a woman of color, I'm keenly aware that on the spectrum of bias, there are plenty of worse things to be called than good at school. It doesn't sound so terrible to be thought of as hardworking or quiet when there are so many more obviously sinister racial myths out there to bust.

But the flip side of the model minority myth is an assumption that Asians do just fine and don't need any mentoring or help in the academic or professional world. Whether due to bias or mere lack of interest, the professors in the study treated Asian and Indian students differently despite their reputation for academic achievement.

And this lack of mentorship while in school may lead to an achievement gap in the workplace. There's still a huge disparity between the percentage of Asians graduating at the top of their class from the best schools in the country and the percentage of Asians who go on to achieve top leadership positions in their chosen fields.

Disturbingly, I have heard thoughtful colleagues wonder aloud whether the underrepresentation of Asians in senior leadership roles is due to systemic, external factors that should be addressed with reform in the workplace, or whether it's Asians who are responsible for taking themselves out of the C-suite pipeline because "they're just happy being the worker bees."

Is there any truth to the perceptions that Asians are passive, lack leadership skills and assertiveness, are unwilling to take initiative or risk, and even unable to have fun or a decent sense of humor? Some people definitely think so.

I'm not the only American of Asian descent who has been told, in the form of a compliment, that I'm surprisingly outgoing, funny, or sociable -- for an Asian. I still get friendly compliments on my "very good English." And at one of my very first legal job interviews, one judge put it succinctly: "I've always thought your people were very bright."

It's the very benignity of these model minority stereotypes that render them so persistent and difficult to eradicate.

So, what can we do about it?

We can start by improving mentor and sponsor programs. Mentors and mentees are too often arbitrarily paired in the corporate world. Employers should consider the real affinities that may actually exist within their workforce and offer employees the tools, training and access to identify, cultivate and maintain their own meaningful mentor and sponsor relationships.

At one law job early in my career, I was assigned to a "mentor" who himself had only been at the firm a few weeks. Why? He was from Seoul. I'm from California and grew up in D.C. And I'm not even Korean-American. Meanwhile, I went to a college that graduates about 400 students a year, and a white male senior partner whose office was down the hall had gone to this same small college, yet no one at the firm had stopped to think that perhaps I might have something in common with him.

Sure, it's also incumbent on people to take initiative and simply walk down the hall and introduce themselves to potential mentors. But it would be incredibly helpful and transformative for the gatekeepers -- in academia, the corporate world, public service, media, entertainment and the arts, whatever path talented young people might choose -- to recognize the subtle, unconscious biases that sometimes prevent Asians from achieving their true potential.

Maybe then Asians in America can be recognized for bringing more to the table than just being good at school.

Q & A with author Helen Wan about 'The Partner Track'

@highlight

A Wharton study shows high level of racial bias against Asians and Indians

@highlight

Helen Wan: The "model minority" stereotype of Asians is pernicious

@highlight

She says even though Asians do well in school, in the workplace they fall behind

@highlight

Wan: One way to help Asians is to improve mentor and sponsor programs