(CNN) -- So many visitors to Turkey see little more than the beautiful but crowded Mediterranean coast or the great mosques and palaces of Istanbul.

But the country is huge, and there are many more attractions away from the tourist hotspots.

Relics of vanished civilizations, a vast inland sea with a water-loving cat and a Biblical mountain with views deep into Iran and Armenia are just some of the reasons to go.

1. See it all from a train

For people who like intrepid journeys but like them even more when they're sitting or lying down, the Turkish rail system is heaven.

From February 2014, if all goes to plan, you'll be able to whiz between Istanbul and Ankara, Turkey's capital, on a new high speed train.

East of Ankara the pace slows.

The Dogu Expresi (Eastern Express) leaves nightly at 6 p.m. and takes just more than 24 hours to trundle from Ankara to Kars, almost 1,500 kilometers away in the remote northeast.

It stops at the cities of Kayseri, Sivas and Erzurum, passes through the rolling fields of Anatolia and ends among snow-topped eastern mountains.

The two-berth cabins have a mini-fridge stocked with mineral water and soft drinks, and washbasins with hot and cold running water.

A porter makes your bed and brings drinks and snacks during the day, and there's a dining car.

You can book online at Turkish State Railways, or by phone (+90 0216 337 8724), but the English version of the site is clunky -- it's easier to book through a travel agent or buy tickets at a station.

Tickets cost $45 in a one-berth cabin on the Ankara-Kars route.

2. Hunt rare ruins

It sometimes feels that you can't walk more than a few paces in Turkey without stubbing your toe on some millennia-old relic.

Some sites -- such as ever-popular Ephesus -- are packed with visitors almost all year round.

But remarkably few people visit the equally spectacular Aphrodisias, where you can wander around a square kilometer of ruined temples and theaters with only tortoises for company.

The site reached its zenith around 2,000 years ago, when it was famed for its sculptors.

You can see some of their work in the excellent on-site museum.

Aphrodisias is around 160 kilometers from the coastal resorts of Bodrum, Marmaris or Kusadasi. The easiest way to get there is by car, and car rental is available at all resorts and at Dalaman Airport.

Ancient Aphrodisias, Geyre Bedesi, Karcasu; +90 256 448 8003; open (site and museum) April-October, daily 10 a.m.-7 p.m.; November-March, daily 10 a.m.-5 p.m.; admission TL10 ($4.50)

3. Sail an inland sea

Up to 400 meters deep and almost 120 kilometers across, Lake Van is a true inland sea.

With no outlet, its waters are saturated with mineral salts that turn the shallows milky blue.

In its depths, colonies of extremophile bacteria form weird, 40-meter-high towers.

Only one kind of fish -- pearl mullet or inci kefali -- has adapted to live in its hyper-alkaline waters.

Van is also famous for a breed of water-loving and often odd-eyed cat, and is rumored to have its own monster.

You can swim in the shallows, where it's almost impossible to sink beneath the surface.

More than a thousand years ago, the lake was part of the kingdom of Armenia.

The ancient Armenian Surb Kach (Holy Cross) church on Akdamar Island, three kilometers from thev lake shore, has remarkable frescoes and carvings, which have recently been restored.

It can be visited by a combination of dolmus and small boat from Gevas, about 50 kilometers from Van.

Grand Deniz Turizm, Van-Tatvan Highway, 40 kilometers from GevaÅŸ and Van (+90 432 612 4038), offers boat trips to Akdamar and other islands in the lake.

4. Cycle among mountains

Turkey has thousands of miles of mountain and forest trails.

Some of the most spectacular cycling country is in the Kackar mountain range and the valley of the River Coruh, where you can also go whitewater rafting.

With several peaks rising well above 3,000 meters (the highest, Kackardagi, is 3,932 meters high), these mountains are snow-covered much of the year.

In summer -- the best time to visit is June to August -- they're cooler than better known cycling spots closer to the Med.

For a really big adventure, you can follow mountain roads all the way down to the Black Sea coast and fly back to Istanbul or Ankara from Trabzon.

You can fly to Erzurum from Istanbul or Ankara, or take the train (see above).

The Coruh Valley is around 120 kilometers north of Erzurum and more than a thousand kilometers east of Istanbul.

5. Follow an epic walking trail

The Lycian Way feels like a path trodden by the ancients but in fact this walking route stretching from the Aegean coast to the Mediterranean was pioneered in 2000 by an Antalya-based expat, Kate Clow.

For most of its length, it parallels the Lycian coast, but it soars to 1,800 meters above sea level at its highest point, the shoulder of Tahtali Dag (Mt Tahtali).

The best place to start (or finish) is the small resort of Olu Deniz -- there are village guesthouses and campsites along the way.

You need at least four weeks to walk the entire 509-kilometer distance, but public transport is plentiful -- so you can walk for a week, or even just for a day or two.

Several airlines fly to both Dalaman (about 50 kilometers from Olu Deniz) and Antalya from Istanbul and direct from European airports.

Best times to go are April-May and October.

More information at Lycianway.com or Cultureroutesinturkey.com

6. Climb Mt. Ararat

Noah's Ark is said to have come to rest on top of Turkey's highest mountain, the 5,137-meter Agri Dagi (Mt. Ararat).

Some believe it's still there.

From the summit of Ararat, you can see a vast swath of Turkey and deep into Iran and Armenia.

Ararat is a hard slog, requiring some technical mountain skills.

The terrain is rugged, and climbers must contend with extremes of heat and cold -- the highest summit is snow-covered all year, and summer temperatures at the foot of the mountain can reach more than 30 C.

It's essential to go with a trustworthy specialist company, avoiding amateur local guides who claim to know the mountain but lack skills needed for a safe trip.

Getting to the top and back takes at least five days, using mules to carry tents and supplies.

The ascent starts from the the city of Dogubayazit, about 1,500 kilometers east of Istanbul.

Nearest major airports are at Erzurum and Van, both around 4-5 hours' drive.

Turkish Mountaineering Federation, Hani A Blok Kat 4, 06050 Ulus, Ankara; +90 312310 1578

Getting around

Travel in Turkey is affordable and efficient.

If you mix and match road, rail and air transport, there's no part of the country you can't reach.

Every town has its otogar (bus station), from which air-conditioned, long-distance coaches zoom to all points of the compass.

On board, you can expect free tea, soft drinks, water, snacks and a squirt of eau de cologne from smartly dressed stewards.

You can buy tickets in advance, but you should shop around for the best fare, because several lines compete on each route.

For shorter journeys, you can pile into a dolmus. These minibuses run on fixed routes, but not at fixed times -- they leave when they're full.

Turkish Airlines (+ 90 212 444 0849) flies to Istanbul and Ankara from major cities worldwide, with connections to Antalya, Dalaman, Erzurum, Trabzon and Van from Istanbul and Ankara.

Other internal airlines with extensive domestic networks include Atlasjet (+90 850 222 0000) which flies to Antalya, Erzurum and Trabzon from Istanbul; Onur Air (+90 850 210 6687) flies to Antalya, Dalaman, Erzurum and Trabzon from Istanbul; Pegasus (+90 850 250 0737) flies to Erzurum and Van from Istanbul and Ankara.

GoTurkey.com is the official Turkish national tourist office site.

@highlight

Turkey is huge yet most visitors stick to a tiny part of it

@highlight

Ancient ruins abound -- some of the best are weirdly under-visited

@highlight

There's an inland sea with a water-loving, odd-eyed cat

@highlight

And a mountain where Noah's Ark got stuck -- apparently