(CNN) -- Over the past few weeks almost a third of all Americans headed back to classrooms -- from early learning centers to universities, as students and as teachers -- accompanied by the usual seasonal mix of joys and jitters. Or perhaps not.

Lately it seems we've been inundated with bad news: The nation's report card is crummy; schools are broke and failing; graduates can't find jobs. And with competition for resources putting increased pressure on standardized test scores, cheating scandals have become practically ho-hum. Among all these headlines resides a more quietly sobering fact: This year's high school graduates will be the first educated entirely under the No Child Left Behind Act.

In other words, a whole generation of kids who've grown up with an emphasis on multiple choice testing, who've been taught that knowing the one right answer is more important than the process of inquiry, who've learned that admitting "I don't know" is a crime.

But the problem isn't simply with a narrowly conceived educational policy. Pressure to know the right answer (or, more precisely, to appear to know) isn't limited to the classroom. It's pervasive throughout our culture -- a reality at once daunting and hopeful. Daunting because it means real reform will require more widespread change. Hopeful because it means there's something every one of us can do about it. Maybe even starting today.

I'm talking about breaking the habit of faking knowledge in order to save face. For most of us, the fear of not knowing -- of looking dumb -- gets ingrained when we're small and reinforced throughout life in ways both subtle and overt.

For every time someone reassured us, "There's no such thing as a stupid question," weren't there ample experiences -- on the playground, at the dinner table, and yes, in the classroom -- that convinced us otherwise?

Anyone who's ever been reprimanded or ridiculed for revealing ignorance knows all too well: The taste of shame is bitter and lingering. We'll go to great lengths to avoid it, often without deliberate thought.

How many times have I found myself nodding in feigned recognition when someone makes reference to a person or book they assume I know? How many times have I been guilty of unwittingly inflicting similar discomfort on others?

In some walks of life, presenting a knowing demeanor is practically a job requirement. One financial adviser recalls how, early in his career, he was so anxious to impress upon his clients that he knew was he was doing, he'd use meetings to "information dump" -- only subsequently learning that they'd been too embarrassed to speak up and confess they had no idea what he was talking about.

A surgeon tells about the time when, as a new intern, afraid to admit unfamiliarity with a procedure and ask questions, she plunged in confidently -- and made an incision four times longer than the patient had been told the scar would be. Politicians routinely face shame if they confess to not knowing.

Remember Rick Perry's memory lapse during the 2011 Republican primary debate? It seems we'll forgive our elected officials just about any breach of ethics, but let them admit to anything less than invulnerable certainty and they can kiss our vote goodbye.

For the past several years, I've made a conscious effort to be candid about the limits of my own knowledge. As a college teacher, I've discussed this intention explicitly with students and colleagues.

Guess what? I'm mortified to report: Despite my public resolution to practice this most essential form of academic integrity, I still catch myself engaging in a kind of knee-jerk, face-saving, passive dissimulation on a semi-regular basis. Based on what I hear from others, I'm not alone. Such behavior is apparently endemic.

So what are we to do?

For starters, talk about it. Own up to instances when we faked knowledge. Initiate conversations about what makes us more or less susceptible to this behavior. You're likely to hear some funny stories, and the experience of shared vulnerability is humanizing and makes for closer connections. Best of all, it creates an environment in which all stand to grow.

My friend Lori, during her years as a high school history teacher, constantly encouraged her students to play in the wide-open spaces of uncertainty. One way she did this was by sharing her own gaps in knowledge. She'd model not just her comfort with not having figured everything out, but her delight in it. This, she seemed to convey, was where real intellectual pleasure lay: in the adventure of exploring the unknown. Often she'd assign Shakespeare as a way of getting students to think about power and status. She'd have them read one of the plays, then ask: "Who's more powerful in this scene?"

Her students, anxious to deliver the "right" answer, would demand clarification. "What do you mean? Powerful how?"

Lori would shrug and unfurl her fingers: Nothing up my sleeves. This isn't a trick. If her students protested, she'd say simply, "That's all I know."

And so they'd be forced to grapple not only with the answer to her question, but with the meaning of her question, with the definition of power in the first place, which she, the authority figure, had just handed over to them: You guys figure it out. You decide. In this way, they were learning about history and drama but also about shifts in power, and who may wield it, and how classrooms can work and how societies can work, and about the very nature of "right" answers as opposed to the illimitable richness of interrogating the questions.

This is what excites me when I think of heading back to school this fall: the prospect of bringing such generous, generative energy into the classroom. Perhaps filling in the ovals with number two pencils is important for helping us understand how far we are from achieving equity in schools across the nation. That is a vital project, deserving urgent attention. But we won't ever achieve equity -- let alone excellence -- if we don't also work to make our schools places where we all feel safe saying "I don't know."

The opinions expressed in this commentary are solely those of Leah Hager Cohen.

@highlight

This year's high school grads will have been entirely taught under No Child Left Behind

@highlight

Leah Cohen: There's too much emphasis on memorizing the right answer rather than encouraging inquiry

@highlight

She says people are deathly afraid of admitting that they don't know something

@highlight

Cohen: Our fear of ignorance keeps us from learning as much as we should