(CNN)Japan's Shimanami Kaido might be an expressway, but it was designed with the cyclist in mind.

A spectacular 60-kilometer road-and-bridge network connecting Japan's main island of Honshu with Shikoku (the nation's fourth largest island), it spans six smaller islands in the process and features bike and pedestrian lanes for its entire length.

The sublime scenery of the Shimanami Kaido (Island-Wave-Sea Route) runs from Onomichi in Hiroshima Prefecture down to Imabari in Ehime Prefecture.

Whichever way you travel, the views of the Seto Inland Sea National Park are sublime.

Cycling gives you the freedom to stop for a photo halfway across a bridge or detour to investigate lighthouses, shrines and natural wonders most automobile travelers zip past.

With 14 cycle rental terminals along the way, you can go at your own pace, spend a night at a campsite or inn or just hand your bike in at the nearest rental terminal and hop on a bus.

Some terminals even have electric bicycles for hire.

Experienced cyclists will be able to complete the entire route  -- there are a few challenging spots -- in a few hours.

Here's a look at some of the highlights.

Starting point: Onomichi

As of March, Onomichi is home to Japan's first hotel designed exclusively for cyclists: Hotel Cycle in the Onomichi U2 building, just five minutes' walk from the JR station.

Manager Katsunori Takahashi is huge cycling enthusiast, and it shows.

You can park your bike in your room, and there's even a cycle-through restaurant.

Taiwanese bike manufacturer Giant has a store in U2 catering to cyclists: bikes, accessories, repairs.

U2's Shima Shop sells local produce such as lemon comfiture and dried debera (five-spot flounder), an Onomichi delicacy.

As for Onomichi itself, the town was built on a hillside overlooking the sea, so the best way to see it before you head onto the Shimanami Kaido is to catch the ropeway to the top of Senkoji Hill and enjoy the panorama.

The walk down the Path of Literature is pleasant -- it winds past past boulders engraved with works by famous writers who've stayed in Onomichi over the centuries.

You'll see the splendid Senkoji Temple, which dates from 806 AD, one of the oldest temples in Japan.

A stamina boost comes in the form of Onomichi's legendary ramen.

Tsutafuji is one of the most popular ramen shops in town.

It's a mom and pop waterfront bar near the JR station that's been open more than 50 years.

There are just 10 stools inside, so you may have wait a while.

Once inside, you'll get a bowlful of noodles topped with pork in a pork-bone-and-fish broth.

'Orchard of Japan'

After a day in Onomichi, it's time to roll.

As soon as you've crossed Onomichi Strait and reached Mukaishima Island, you'll find yourself in a serene realm of citrus groves, set in the folds of forest-clad mountains.

Citrus is big business here.

The town of Setoda is Japan's number one producer of lemons, while Ehime Prefecture is known as the Orchard of Japan.

There are tangerines, oranges and hybrid fruits unique to these islands, such as anseikan (a cannonball-sized grapefruit).

Citrus-related products abound: cakes, jams, honey, sauces, juices.

World's longest suspension bridge

As you breeze across the routes magnificent bridges (seven of them), a labyrinth of misty islands unfolds below.

There are inhabited islands, desert islands and islands that are no more than a rock with a lone pine tree clinging to it.

A procession of trawlers, tugs and speedboats glides in and out the channels.

As for those bridges, their exquisite state of the art forms make them an attraction in their own right.

Tatara is one of the world's longest cable-stayed bridges -- its elegant 220-meter-high steel towers represent the folded wings of a crane.

At 4,045 meters long, Kurushima Bridge is the longest suspension bridge in the world.

Temples, fusion food, stunning sea

Deep in the heart of rural Japan, there's a rich amount of art and culture to enjoy.

Kosanji Temple on Ikuchijima Island is a must-visit.

Built in 1936 by Buddhist priest Koso Kosanji in memory of his mother, this wonderland of temples, pagodas and natural beauty took more than 30 years to complete.

Each building is modeled on famous temple buildings in Kyoto, Nikko and elsewhere, so visiting is like taking a stroll through Japanese history.

For the perfect ending to a trip (should you choose to loop back the way you came) you can't go wrong with the Bella Vista Hotel in the hills outside Onomichi.

The rooms are huge and offer views over the supreme serenity of the island-dotted sea.

There's exquisite fusion in the hotel's Italian restaurant (blowfish and tagliarini).

The hotel spa is open to the elements on one side, allowing fresh ocean breezes to cool your skin as you boil to a jelly while watching Jupiter rise over the Seto Sea.

Travel info

Shinkansen bullet trains depart Tokyo regularly for Shin-Onomichi station -- the trip takes about 4.5 hours. Domestic flights between Tokyo and Hiroshima take about an hour and 20 minutes.

Bicycles can be rented for 500 yen a day (children 300 yen). Tolls totaling 500 yen (about $5) are required for all bridge crossings.

By car, the tolls are about 4,000 yen one way.

A free shuttle bus to the Bella Vista Hotel runs from Onomichi JR station. The Tourist Office in the station can arrange it for you.

Steve John Powell is a Hiroshima-based travel writer who has contributed to the Japan Times, CNN Travel and the South China Morning Post.

Originally published May 2014. Updated April 3, 2015.

CNN Travel's series often carries sponsorship originating from the countries and regions we profile. However CNN retains full editorial control over all of its reports. Read the policy.

@highlight

Japan's Shimanami Kaido is a spectacular 60-kilometer road and bridge network

@highlight

The whole route has cycle lanes and offers views of the Seto Inland Sea National Park

@highlight

Cyclists cross the 4,045-meter Kurushima Bridge, the world's longest suspension bridge