(CNN)In the gentle yet fiercely warm surrounds of the southern Ugandan countryside, Mwanja Banuli looks on as farmhands fill his truck with sugar cane.

Packing this rough, woody crop is heavy going and making sure every inch of space is utilized is key.

Transport costs money, after all, and this humble sugar farmer has lots of costs to consider.

"There are many challenges in this business," Banuli says. "Rent for our land costs about $300 and then you need to pay people to clear the land.

"You have to hire a tractor for ploughing and tilling the land. When you add up all these expenses, it's a big investment."

Searching for Sugarman

In Uganda, sugar is big business.

This particular batch is headed for Kakira Sugar Limited -- one of the country's oldest and largest factories.

Kakira was founded by Muljibai Madhvani, an immigrant from the Indian subcontinent in the late 1920s.

It's a company still going strong to this day.

"What you see in the background is the first mill that was installed in 1930 to crush only 150 tons of cane," explains Kenneth Barungi, assistant general manager of Kakira at the site of the company's nearby factory.

"(Kakira) started expanding every 10 years, every 20 years, modernizing, acquiring more land, introducing irrigation, expanding the crushing capacity. By (the 1970s) they were producing about 83,000 tons of sugar."

"That was about 50% of all the sugar produced in Uganda. At that time they (Kakira) contributed to about 53% of the national GDP... just because of manufacturing and industry," he added.

Dawn of dictatorship

It was at this time, however, that history intervened in the shape of one of the 20th century's most brutal rulers.

After a military coup in 1971, army commander Idi Amin Dada seized power. The former heavyweight boxer made himself Uganda's president and a brutal dictatorship followed.

The often erratic Amin praised Hitler and said the German dictator "was right to burn six million Jews." He even bizarrely offered to be king of Scotland if asked.

Within a year he had expelled the country's Asian population, numbering around 35,000.

After almost 50 years, the Madhvanis were no longer welcome in Uganda.

Those who stayed, did so at their own risk.

"When Idi Amin told every Asian to leave, they all left the country and went mainly to the UK," Barungi continued, adding that he believes this when Uganda began to economically fall apart.

"All industries collapsed, all international trade collapsed. There was no longer available foreign exchange to import machinery. Even if you imported the machinery you didn't have technical expertise here to run such industries."

"Within a few years Kakira Sugar Industries had collapsed, but so had infrastructure in Uganda. Social services, everything had collapsed."

A new start

After Idi Amin was deposed in 1979, however, some of the ejected population slowly started coming back to Uganda.

Among the returnees were the Madhvanis. The country they left behind, however, was a very different place.

"The factory was a skeleton," Barungi said. "There was no longer a sugar plantation, the houses were occupied by anybody. There was no business to run so it (the plantation) was just an empty shell."

The Madhvanis quickly borrowed money from the World Bank and the African Development Bank and set about rebuilding their business.

It has grown rapidly over the last 25 years and now produces 18,000 tons of sugar (a year), Barungi said.

But the effects of the macabre, harrowing events of recent history still linger.

A sweeter deal?

Some reports suggest some black Ugandan workers resented how certain sections of the Indian mercantile class treated them.

These days, however, Kakira says it strives to promote a responsible philosophy for how it interacts with its workers.

Not only is this the right way to engage with people in its employ, they believe, it also improves productivity and staff mobility.

Kakira has built schools and hospitals to cater for their staff and their families while the company has also founded the Kakira Outgrowers Rural Development Fund (KORD), an NGO that provides the likes of workshops, loans and other services for its contractors.

Besides nearly 8,000 staff members, Kakira has almost as many contract workers in the shape of farmers, like Mwanja Banuli.

They farm the lands neighboring the plantations and are contracted to Kakira, supplying 70% of its sugarcane needs.

"To be able to sustain business you want agricultural farmers, plantation workers, you want factory workers and the vision of Muljibhai Mudhvani was to develop human resources," Barungi said.

This enlightened approach saw KORD awarded with a best NGO-business partnership award from the Ugandan Manufacturers Association.

But it's the positive impact on individual lives that offers the biggest reward for many in the community.

"Before KORD I was just useless," said Beatrice Katende, who has received assistance from the body's programs. "I used to work as a casual laborer for other people in the community digging in their gardens to get some income.

"When KORD came into existence we learned to farm, to save and how to be self-sufficient."

Through offering a hand up to people like Katende, Kakira hope to help themselves as well as provide assistance to other areas of the local economy.

"The main vision was to always make sure that there is labor supply always available to work at the factory. The excess can go and work in other industries in the country," Barungi said.

More from Marketplace Africa

@highlight

Kakira Sugar Limited is one of Uganda's oldest companies

@highlight

The company was shuttered when its owning Indian family was expelled during the reign of Idi Amin

@highlight

Today, Kakira is once again employing thousands of people in Uganda