(CNN) -- A spate of deadly shootings during anti-drug operations in Honduras -- including two in which U.S. agents killed suspects -- is linked to an aggressive new strategy to disrupt a preferred corridor for traffickers.

Operation Anvil, as the multinational mission is known, differs from past efforts because of its reliance on military outposts close to the front lines to provide quick responses. It is a strategy reminiscent of counterinsurgency tactics used by the U.S. military on battlefields in Iraq and Afghanistan.

In a two-month span, six people have been killed in the operation, including possibly four innocent civilians.

Despite the controversial shootings, American and Honduran officials say they both are happy with their collaboration and consider Operation Anvil -- launched in April -- a success.

As of Wednesday, authorities said, they had interdicted five planes, seized about 2,300 kilos of cocaine, and made seven arrests. Firearms, including military assault rifles, have also been seized.

"The amount of drugs seized and the disruption of narcotrafficking routes speak for themselves," said Jorge Ramon Hernandez Alcerro, the Honduran ambassador to the United States.

Meanwhile, critics in Honduras and the United States oppose the law enforcement strategy and question why American agents are killing anyone on foreign soil during peacetime.

The latest incident was just after midnight on July 3, when a plane carrying 900 kilograms of cocaine crashed in northeast Honduras -- not an uncommon occurrence in a region that is among traffickers' preferred smuggling stopovers.

Authorities descended on the scene, and when one of the suspected traffickers aboard the plane allegedly made a threatening move, two Drug Enforcement Agency officers opened fire, agency spokeswoman Barbara Carreno said. The suspect later died.

It was the second such incident in a two-week span. On June 23, a DEA agent shot and killed a suspected trafficker after he reached for a weapon, the agency said.

The pair of shootings by DEA agents follow an episode in May in which villagers in the country's Mosquitia coastal region say Honduran forces aboard American helicopters mistakenly fired on a civilian riverboat, killing four, including two pregnant women.

A U.S. official with knowledge of the incident said that the preliminary Honduran investigation, as well as a video of the incident, raises doubts about claims by those on the riverboat that they were innocent victims. The official asked not to be named because the a final report has not been issued.

"I think this is a disheartening sign of the escalation of U.S. involvement in Honduras without clear goals and guidelines," said Dana Frank, a Honduras expert and history professor at the University of California Santa Cruz.

"There is no clear oversight from Congress over what is going on," she said. "It's not clear under what terms the DEA is there, operating in killings."

Anti-narcotics cooperation between the United States and Central American countries is not new, but Anvil represents a new approach to intercepting smugglers' aircraft.

Oliver Stone film revolves around drug war

Anvil's major innovation is the use of military outposts closer to the drug trafficking routes, known as forward operating locations, for quicker deployment by Honduran police and their DEA advisers.

Anvil appears modeled after counterinsurgency tactics used by the United States in Afghanistan and Iraq, but the Hondurans say the suggestion to use the forward operating locations came from them.

About 600 American troops are located in Honduras, mostly at Soto Cano Air Base. Officials say they have seen a decreased role in Operation Anvil as the DEA team has stepped up, but a limited number of U.S. troops remain at the forward operating locations.

Joint Task Force Bravo, as the U.S. contingent is called, serves "purely as a support element, providing re-fueling capability, communications infrastructure and medical evacuation capability" at the forward bases, said Lt. Christopher Diaz, the spokesman for the group.

The forward operating bases are owned and maintained by the Hondurans, and they have operated them for years, Diaz said.

The helicopters used in the operations belong to the U.S. State Department, and are piloted either by Guatemalan military pilots who are on loan, or by U.S. contractors, said Stephen Posivak, spokesman for the U.S. Embassy in Honduras.

What's not new is the teamwork between the DEA and vetted Honduran police who participate in the operations, Posivak said.

"This concept is new, but previously there's been these type of bi-national efforts done by the Honduran government and DEA," he said.

Operation Anvil seeks to track planes entering Honduras, ascertains where they will land, and then sends helicopters out to make arrests, Posivak said.

Both governments insist that the DEA agents provide a supporting role only, and that under their rules of engagement are allowed to fire their weapons only in response to a threat.

The DEA "is in Honduras at the request of our government in a support and training capacity," Hernandez said.

The three shooting incidents are the part of Operation Anvil that has received the most attention, but law enforcement aid is just one of the facets of American help.

Anvil falls within the larger framework of Central American Regional Security Initiative, or CARSI, which has provided more than half a billion dollars to the region since 2008. Besides law enforcement efforts, the money goes toward institution building and anti-corruption efforts, Posivak said.

Nobelists focus on violence against women in Central America

"It's not a problem that can be solved by law enforcement alone," he said.

The goal is to address security concerns through all means, he said.

U.S. funding for CARSI has increased from $60 million in 2008 to an estimated $135 million in 2012.

The most controversial of the Anvil-related confrontations has been the May 11 incident near Ahuas in the Mosquitia region.

Hilda Lezama, the owner of the boat that was attacked, told reporters last month that she was carrying passengers before dawn when helicopters appeared and opened fire, wounding her and killing four.

The State Department, however, has indicated that the Honduran forces were justified in firing in self-defense. DEA agents were present, but did not fire their weapons, officials say.

The Honduran government is investigating the incident, but critics don't believe the government has the capacity to fairly assess itself.

"What happened in Ahuas is unbelievable. They claim they combat crime but they cover up their own crime?" said Rodolfo Pastor Fasquelle, a Honduran historian and former minister of culture, arts and sports.

Pastor is one of 40 Honduran scholars, joined by 300 from outside the country, who signed a letter to President Barack Obama and Secretary of State Hillary Clinton asking that the United States cease all military and police aid until corrupt agencies are cleaned up.

For the Americans, "the collateral damages are related to an equation that supposes that the high price paid to keep drugs from reaching its market is in some way beneficial and worth it. For us who gain no benefit, these costs are unacceptable," Pastor said.

They wrote the letter, he said, because Hondurans are "fearful of the prospect of militarization without end."

Hernandez, the Honduran ambassador, counters that Operation Anvil and other programs are not military operations, but law enforcement ones.

"These are crime-fighting operations and, as such, entail serious risks for people involved in illicit activities and for the law enforcement agents on the field," Hernandez said. "The DEA agents have followed their own rules of engagement and have used arms only when their lives have been threatened. Any loss of life is regrettable; the security authorities of Honduras have repeatedly alerted the local population of the dangers they incur by participating in this criminal activity."

Given the lack of control by Honduran authorities in the northeastern part of the country, it was inevitable that the United States would play a more direct role in combating drug trafficking there, said Mark Ungar, a professor of political science and criminal justice at Brooklyn College who has studied and worked in Honduras.

Drug cartels exert such influence in the region that both law enforcement and civilian government agencies have been corrupted, he said. The corruption is entrenched, with local police, aeronautic agencies, rural logging interests and indigenous groups infiltrated by the cartels.

Just as part of the counterinsurgency missions in Afghanistan and Iraq had an element of earning locals' trust, the same is needed in Honduras, Ungar said.

"It's not just a matter of seizing planes and catching people in the act, but a matter of gaining trust and understanding how these organizations work," he said.

Drug trafficking through this corridor is not likely to stop until there is an understanding of how deeply entrenched the drug trade is in local communities, he added

But the Honduran government is weak, its institutions and police suffer from corruption, and public opinion favors security on the streets more than security in remote parts of the country, Ungar said. These factors are not favorable for long-term success, he said.

Posivak, the U.S. embassy spokesman, said Operation Anvil has already proven successful at disrupting criminal organizations.

"We believe these interdictions have had a strong impact," he said.

Why the U.S. can't afford to ignore Latin America

CNN's Catherine Shoichet contributed to this report.

@highlight

Six people have been killed in three incidents over the past two months in Honduras

@highlight

The incidents happened during the course of Operation Anvil, a joint Honduran-U.S. effort

@highlight

Both countries consider it a successful program against traffickers

@highlight

Critics decry what they call the militarization of the drug war