Phnom Penh, Cambodia (CNN) -- The cause of a mysterious illness that has claimed the lives of more than 60 Cambodian children has been determined, medical doctors familiar with the investigation told CNN on Wednesday.

A combination of pathogens, disease-causing micro-organisms, is to blame for the illness, the World Health Organization, in conjunction with the Cambodian Ministry of Health, has concluded, the doctors said.

The pathogens include enterovirus 71, which is known to cause neurological disease; streptococcus suis, which can cause infections like bacterial meningitis in people who have close contact with pigs or with pork products; and dengue, which is transmitted by mosquitoes.

The inappropriate use of steroids, which can suppress the immune system, worsened the illness in a majority of the patients, the doctors said. The World Health Organization (WHO) is expected to advise health care workers to refrain from using steroids in patients with signs and symptoms of the infection, which include severe fever, encephalitis and breathing difficulties.

While not all the microorganisms were present in each patient, doctors concluded the illness was caused by a combination of them and worsened by steroid use.

The WHO sources did not want to be identified because the results of the health organization's investigation have not yet been made public.

"I'm very confident for the reason of the epidemic," said Dr. Phillipe Buchy, chief of virology at the Institut Pasteur in Cambodia and one of the doctors who cracked the case.

"The first thing that goes through your mind is, is this one of the usual suspects you haven't detected before?" said Dr. Arnaud Tarantola, chief of epidemiology and public health at the Institut Pasteur. "If it is, has it mutated, or changed in a way that it causes more severe disease? Or is it something completely new?"

On the steroids issue, Tarantola said, "When you have a dying child, you try to use what you have at hand, and they were right to try that." But, he acknowledged, "from the cases we reviewed, almost all of the children died, and almost all of them had steroids."

Parents face anxious wait over mystery illness

"I think we can close the case and move ahead asking different questions," Buchy said. "Not what is the illness, but now, how long has the virus been circulating? What is the extent of the circulation of the virus? How many mild diseases are we missing? That's the next step."

Over the past four months, doctors at Kantha Bopha Children's Hospitals in Phnom Penh have been faced with the mysterious syndrome, which kills children so fast that nearly all of those infected with it die within a day or two of being admitted to the hospital.

Dr. Beat Richner, head of the children's hospitals -- which cared for 66 patients affected by the illness, 64 of whom died -- said that no new cases of the illness had been confirmed since Saturday.

Other hospitals in the country have reported similar cases, but far fewer than the children's hospitals in the capital, which are the most popular.

In the last hours of their life, the children experienced a "total destruction of the alveola(e) in the lungs," Richner said. Alveolae are the air sacs where oxygen enters the bloodstream.

Most of the children who have contracted the illness have come from the south of the country, though health officials cannot find what is known as a cluster -- a lot of cases coming from one specific area.

By June 29, the WHO had been contacted and Cambodian officials were scrambling to instruct health providers across the country to spread information about the illness as quickly as possible.

Officials search for clues in disease killing Cambodia's children

The WHO and the Cambodian authorities' announcement of the situation drew criticism from Richner, who said they were "causing unnecessary panic."

The WHO said the unexplained nature of the outbreak obliged it to communicate the information.

Over the weekend, lab tests linked enterovirus 71 (EV71) to some of the cases. But the tests didn't solve the whole puzzle and health officials continued their investigations, noting the detection of other elements like streptococcus suis and dengue.

The link to EV71 does not particularly help in the treatment of the illness, as there is no effective antiviral treatment for severe EV71 infections and no vaccine is available.

In milder cases, EV71 can cause coldlike symptoms, diarrhea and sores on the hands, feet and mouth, according to the journal Genetic Vaccines and Therapy. But more severe cases can cause fluid to accumulate on the brain, resulting in polio-like paralysis and death.

Outbreaks of the enterovirus "occur periodically in the Asia-Pacific region," according to the CDC. Brunei had its first major outbreak in 2006. China had an outbreak in 2008.

Adults' well-developed immune systems usually can fend off the virus, but children are vulnerable to it, according to the CDC.

"It looks like (EV71) has emerged strongly, probably because it hadn't circulated with the same intensity in the past years," Tarantola said.

Reported cases of streptococcus suis have risen significantly in recent years, notably in Southeast Asia, according to a paper that appeared last year in Emerging Infectious Diseases, a journal published by the Centers for Disease Control and Prevention in Atlanta.

The rainy season in Cambodia, which lasts from May to October, is a key problem in trying to control diseases like dengue. Because of a lack of indoor plumbing in many homes, people collect rainwater in vats, creating potential breeding grounds for mosquitoes.

In Cambodia, as with many places around the world, parents first try treating their child at home. If that doesn't work, they typically then go to a local clinic. A hospital visit, which often involves a long trip, is a last resort.

Mystery illness claiming dozens of lives

CNN's Sara Sidner and Tim Schwarz contributed to this report.

@highlight

Doctors say the inappropriate use of steroids worsened many cases

@highlight

No new cases of the condition have been confirmed since last Saturday

@highlight

The pathogens include enterovirus 71, streptococcus suis and dengue

@highlight

Most of the patients have come from southern Cambodia