Phnom Penh, Cambodia (CNN) -- During the Khmer Rouge regime, I was put in prison at the age of 15 for picking mushrooms in the rice fields to feed my pregnant sister. Under the Khmer Rouge, everything belonged to the Revolution — and picking up anything from the ground without their permission was a crime.

For several hours in front of about one hundred villagers, the Khmer Rouge publicly tortured me. I did not cry, because I was told not to. Then, they put me in prison. Months later, after running out of lies to tell the prison chief while begging for my life, one of the older prisoners stepped forward and pleaded to the prison chief on my behalf.

Surprisingly, the prison chief agreed and I was released. I came to learn much later, however, that in exchange for me, they killed him.

My experience is a mere footnote to the millions of other Cambodians who suffered and died at the hands of this regime, but it is illustrative of the ongoing struggle to find justice and closure.

35 years on, top Khmer Rouge leaders face justice in Cambodia

Trial 'will not bring back the dead'

When the verdict is announced in the first trial of the Khmer Rouge tribunal's second case, there will be no winners and no cause for celebration. While the occasion marks an enormous achievement in Cambodia and the international community's long struggle to assert the primacy of human rights, peace, and the rule of law, it is a victory that can only be marked with somber contemplation.

We have come a long way in forging an international system to meet the challenge of responding to and punishing mass atrocities, but judgments do not bring back the dead or restore trust.

No action can assuage the anguish, sadness, and regret that haunts the survivors to this day.

Over 35 years after the fall of the Khmer Rouge regime, we still see the effects from this period in almost every facet of Cambodian society. From physical scars and disabilities, to trauma and psychosocial conditions, the horrors of this period continue to manifest themselves in survivors, families, communities and institutions.

Suffering under the Khmer Rouge

Many estimates found that more than a million people died under the Khmer Rouge between 1975 and 1979 from execution, disease, starvation and overwork.

See places where Cambodia's shocking past is on show

Like many families, my mother, my deaf sister, Keo Kolthida Ekkasakh, and I, all suffered under the Khmer Rouge. And my mother lost all three of her brothers, one sister, one daughter and many grandchildren under the regime. Nearly 60 of our family members are still missing today.

Society is still divided, and the memories of this period— even memories of kindness — carry a heavy burden.

I will never forget the kind act of the man in prison.

I do not even know the name of the man who saved my life. I have been searching for his family members for years, in the hope that I can pay my respect for the courage and kindness he showed me.

'Too little, too late'

Achieving true justice in these circumstances is an impossible feat for mankind, and an altogether late endeavor at best.

Time and again, the international community has watched mass atrocities, genocide, and other heinous crimes proceed unchecked.

INTERACTIVE: Five faces of Cambodia's Khmer Rouge

While our efforts in applying due process in the punishment of genocide and mass atrocities deserve recognition and respect, we should not overlook the paramount need for preventing such crimes before they occur.

Prevention must be the watchword in defining our struggle, and our struggle against evil must begin with courage. We must have the courage to call out inhumanity when it occurs and take steps that prevent such crimes, rather than responding to their aftermath.

We must seize the opportunity to stand up for what is right, no matter the circumstance, because we know that saving millions of lives today speaks far greater for our civilization than issuing verdicts tomorrow.

This verdict regarding the two senior Khmer Rouge leaders matters a great deal to me, as should it for all Cambodians, because it gives some closure -- but closure is too little, too late for many.

If only the international community would exercise the courage and resolve as the man in prison did for me, the world would need fewer verdicts.

In 2013: Infamous leader during Cambodia genocide dies

@highlight

Youk Chhang was 15 when he survived imprisonment by Khmer Rouge

@highlight

An older prisoner stepped forward to save him who was later killed for his kind act

@highlight

Verdict in Cambodia over two senior Khmer Rouge leaders doesn't bring back dead

@highlight

But verdict is enormous achievement in Cambodia