(CNN) -- The historic measure to regulate and tax marijuana in Washington State deserves to be looked at closely as a model of how legalization ought to be designed and implemented elsewhere in America.

We've turned a significant corner with the approval of Initiative 502, which purposefully offers a true public health alternative to the criminal prohibition of pot.

For the first time in a very long time, the well-intended but failed criminal penalties to protect public health and safety will be set aside. Adults who choose to use marijuana and obtain it through legal outlets will no longer be faced with the threat of criminal sanctions. People of color will no longer face the egregious inequities in how marijuana criminal penalties are imposed. Parents, as they help prepare their children for the choices they face concerning marijuana, will no longer be hobbled by misinformation about the drug and the absence of effective supports to encourage abstinence.

"The great experiment" of alcohol prohibition became the national law in 1920. Its intentions were good, but it failed in a number of vitally important ways. In 1923, the state of New York repealed its alcohol prohibition law. Ten other states soon followed, and in 1933 national Prohibition ended.

I believe Washington state has just played that pivotal role with regard to marijuana. Moreover, by borrowing from public health model principles known to be effective, the state has offered the most compelling replacement to prohibition considered to date.

What is a public health model? In brief, it's an approach that acknowledges use of marijuana can present harms to the user and to public safety, and includes provisions to prevent or ameliorate those harms.

A public health model includes six key elements. Washington state's new law incorporates each of them.

The first is accountable oversight by an agency of government. The Washington state legalization model assigns responsibility to a state agency for writing regulations concerning how the growing, producing and selling of marijuana will occur. Among those regulations are tight limitations on advertising and the prevention of access to marijuana by minors. Then, that agency will have the authority to issue licenses to growers, producers and sellers and to enforce adherence to the rules.

The second element is a well-funded multifaceted marijuana education program that is based on science rather than ideology. Far too few Americans are sufficiently informed about marijuana's effects on health and behavior, both the positive and the negative. A key to good decision-making is possessing accurate information.

The third element is well-funded prevention programs widely available to all the state's geographical and demographic communities. We've learned a great deal about what knowledge, skills and community supports actually work in helping young people navigate a world in which drugs such as marijuana are readily available. Sadly, far too little funding has been devoted to putting such programs to work in our communities.

A fourth element is making treatment of marijuana dependence readily available. The new law dedicates funding to establish a statewide Marijuana Help Line. It also earmarks funding to state, county and local governments for the provision of services for those in need of help.

Evaluation of the new law's impact is the fifth element. An independent state agency will receive funding to conduct periodic assessments of how the new system affects behaviors, attitudes and knowledge. Using the findings of these evaluative studies, the state agency overseeing the pricing and taxing of marijuana can adjust those costs to maximize undercutting of the black market and deterrence of youth access to marijuana.

The sixth element is research. The new law earmarks funding to the state's two major research universities for the purpose of conducting marijuana-focused studies. As we gradually learn how to live more healthfully and safely with marijuana, the knowledge derived from those studies will inform education, prevention, treatment and refinements in the law.

In more than 40 years of research -- primarily marijuana dependence counseling interventions for adults and adolescents -- it has seemed to me that prohibition has hindered more than it has helped good decision-making. Far too many teens think smoking pot is "no big deal," greatly underestimating the risk of being derailed from social, psychological and educational attainment. Far too many adults don't take seriously enough the risk of marijuana dependence that accompanies very frequent use.

We can do better. By regulating and taxing marijuana based on a set of strong public health principles, I believe our cultural norms concerning marijuana will shift and the harms we've witnessed will greatly reduce.

The opinions expressed in this commentary are solely those of Roger A. Roffman.

@highlight

On Tuesday, voters in Washington state and Colorado legalized recreational marijuana

@highlight

Roger Roffman: Washington state's historical measure deserve close attention

@highlight

He says the state has offered the most compelling replacement to prohibition to date

@highlight

Roffman: Prohibition has hindered more than it has helped good decision-making