Past, present and future came together on a thunderstorm-filled Sunday, as President Barack Obama received an honorary doctorate and gave the commencement speech at historically black, all-male Morehouse College, where the Rev. Martin Luther King and many other prominent African-Americans spent their formative years.

After opening with several one-liners, and more smiles than we've seen from him in the damage-control-filled recent weeks, Obama delivered a serious message to the class of 2013.

During a speech rife with both personal and historical references, the president invoked a past full of challenges, often resulting from racism, but noted that African-Americans need to break free from that past to succeed in a globally competitive economy.

"I understand that there's a common fraternity creed here at Morehouse: 'Excuses are tools of the incompetent, used to build bridges to nowhere and monuments of nothingness,'" Obama said.

"We've got no time for excuses -- not because the bitter legacies of slavery and segregation have vanished entirely; they have not. Not because racism and discrimination no longer exist; we know those are still out there. It's just that in today's hyperconnected, hypercompetitive world, with millions of young people from China and India and Brazil -- many of whom started with a whole lot less than all of you did -- all of them entering the global workforce alongside you, nobody is going to give you anything that you have not earned," he said.

Opinion: What Obama must say to African-American grads

"Nobody cares how tough your upbringing was. Nobody cares if you suffered some discrimination. And moreover, you have to remember that whatever you've gone through, it pales in comparison to the hardships previous generations endured -- and they overcame them. And if they overcame them, you can overcome them, too," he said.

Morehouse valedictorian Betsegaw Tadele praised Obama for setting a strong example.

"There is no impossible. There is no unbelievable. There is no unachievable, if you have the audacity to hope," Tadele said, paraphrasing the name of the president's 2006 book, "The Audacity of Hope."

Following Tadele -- whom Obama jokingly called "a skinny guy with a funny name" -- Obama reflected on how being an African-American has affected his personal journey.

"Whatever success I have achieved, whatever positions of leadership I've held, have depended less on Ivy League degrees or SAT scores or GPAs, and have instead been due to that sense of connection and empathy, the special obligation I felt, as a black man like you, to help those who need it most; people who didn't have the opportunities that I had -- because there, but for the grace of God, go I. I might have been in their shoes.  I might have been in prison. I might have been unemployed. I might not have been able to support a family. And that motivates me," the president said.

Big-name college commencement speakers of 2013

The president's repeated mention of connection to the black community comes after blunt criticism from Morehouse alumnus Kevin Johnson, a pastor from Philadelphia, who criticized Obama in an April 14 editorial in the Philadelphia Tribune, calling him "a president for everyone, except black people."

Johnson gave a baccalaureate sermon on Saturday as part of Morehouse's graduation weekend.

The president's speech on Sunday was well-received, though the crowd had to brave some thunder and lightning and endure pouring rain.

One awkward silence came when Obama slightly deviated from his prepared remarks. He was expected to say, "Be the best husband to your wife, or boyfriend to your partner." However, instead, he said "Be the best husband to your wife, or your boyfriend, or your partner," eliciting some clearly confused responses from the crowd.

Later, he noted that Morehouse men can set examples for other groups that have been subjected to discrimination: Hispanics, gays and lesbians, Muslims, and women.

"It is not just the African-American community that needs you. The country needs you. The world needs you.  As Morehouse men, many of you know what it's like to be an outsider; know what it's like to be marginalized; know what it's like to feel the sting of discrimination.  And that's an experience that a lot of Americans share," he said.

Obama said his job, as president, is to advocate for policies that generate more opportunity for everyone, and he implored the Morehouse grads -- and all Americans -- to "advocate for an America where everyone has a fair shot in life."

"There are some things, as black men, we can only do for ourselves.  There are some things, as Morehouse men, that you are obliged to do for those still left behind.  As graduates -- as Morehouse men -- you now wield something even more powerful than the diploma you are about to collect.  And that's the power of your example," he said.

Students scarred by war earn college degrees

Obama finished his speech with another message not just to the newly minted Morehouse grads, but to all Americans -- a message based on Martin Luther King's refusal to be afraid.

"That's what being an American is all about. Success may not come quickly or easily. But if you strive to do what's right; if you work harder and dream bigger; if you set an example in your own lives and do your part to help meet the challenges of our times, then I am confident that, together, we will continue the never-ending task of perfecting our union," he said.

And despite lots of big-picture talk about success and giving back, Obama made it clear that without appropriate focus on those closest to you, big-picture accomplishments mean little.

"Everything else is unfulfilled if we fail at family -- if we fail at that responsibility. I know that when I am on my deathbed someday, I will not be thinking about any particular legislation I passed. I will not be thinking about a policy I promoted. I will not be thinking about the speech I gave. I will not be speaking about the Nobel Prize I received.  I will be thinking about that walk I took with my daughters. I'll be thinking about a lazy afternoon with my wife.  I'll be thinking about sitting around the dinner table, and seeing them happy and healthy and knowing they were loved. And I'll be thinking about whether I did right by all of them."

@highlight

President Obama gives the commencement speech at historically black college

@highlight

The president says African-Americans have "no time for excuses" if they want success

@highlight

An alum who has criticized Obama for doing too little for blacks spoke Saturday

@highlight

Thunderstorms marred Sunday ceremony