(CNN) -- Sitting incongruously among the hangars and laboratories of NASA's Ames Research Center in Silicon Valley is the squat facade of an old McDonald's. You won't get a burger there, though -- its cash registers and soft-serve machines have given way to old tape drives and modern computers run by a rogue team of hacker engineers who've rechristened the place McMoon's. These self-described techno-archaeologists have been on a mission to recover and digitize forgotten photos taken in the '60s by a quintet of scuttled lunar satellites.

The Lunar Orbiter Image Recovery Project (LOIRP) has since 2007 brought some 2,000 pictures back from 1,500 analog data tapes. They contain the first high-resolution photographs ever taken from behind the lunar horizon, including the first photo of an earthrise (first slide above). Thanks to the technical savvy and DIY engineering of the team at LOIRP, it's being seen at a higher resolution than was ever previously possible.

"We're reaching back to a capability that existed but couldn't be touched back when it was created," says Keith Cowing, co-lead and founding member at LOIRP. "It's like having a DVD in 1966, you can't play it. We had resolution of the Earth of about a kilometer [per pixel]. This is an image taken a quarter of a f***king million miles away in 1966. The Beatles were warming up to play Shea Stadium at the moment it was being taken."

Between 1966 and '67, five Lunar Orbiters snapped pictures onto 70mm film from about 30 miles above the moon. The satellites were sent mainly to scout potential landing sites for manned moon missions. Each satellite would point its dual lens Kodak camera at a target, snap a picture, then develop the photograph. High- and low-resolution photos were then scanned into strips called framelets using something akin to an old fax machine reader.

The images were beamed in modulated signals to one of three receiving stations in Australia, Spain, or California, where the pictures--and collateral chatter from the NASA operators--were recorded straight to tape. After finishing their missions, the satellites were unceremoniously dashed against the moon rocks, clearing the way for Apollo. The brilliant and ballsy engineering was typical of NASA during its golden age, a time when it was also more closely linked to other government agencies with an interest in taking pictures from space.

"These guys were operating right at the edge," Cowing says with a reverence for these NASA engineers that's shared by his team. "There's a certain spy program heritage to all this, but these guys went above that, because those spy satellites would send their images back. These didn't. They couldn't. They were in lunar orbit."

Fascinating Ways People Try to Leave Their Mark on the World

The photos were stored with remarkably high fidelity on the tapes, but at the time had to be copied from projection screens onto paper, sometimes at sizes so large that warehouses and even old churches were rented out to hang them up. The results were pretty grainy, but clear enough to identify landing sites and potential hazards. After the low-fi printing, the tapes were shoved into boxes and forgotten.

They changed hands several times over the years, almost getting tossed out before landing in storage in Moorpark, California. Several abortive attempts were made to recover data from the tapes, which were well kept, but it wasn't until 2005 that NASA engineer Keith Cowing and space entrepreneur Dennis Wingo were able to bring the materials and the technical know how together.

When they learned through a Usenet group that former NASA employee Nancy Evans might have both the tapes and the super-rare Ampex FR-900 drives needed to read them, they jumped into action. They drove to Los Angeles, where the refrigerator-sized drives were being stored in a backyard shed surrounded by chickens. At the same time, they retrieved the tapes from a storage unit in nearby Moorpark, and things gradually began to take shape. Funding the project out of pocket at first, they were consumed with figuring out how to release the images trapped in the tapes.

"We're both Apollo babies, so the moon to us was something that's unfinished business," says Cowing. "These tapes were sealed for history by somebody who cared, and it was astonishing the condition they were in. So we started buying used parts on eBay, Radioshack -- I was sitting at a black-tie reception at one point buying something on my iPhone. We just buy and reassemble these things bit by bit."

The drives had to be rebuilt and in some cases completely re-engineered using instruction manuals or the advice of people who used to service them. The data they recovered then had to be demodulated and digitized, which added more layers of technical difficulties.

The resulting framelets had to be individually reassembled in Photoshop. After kluging through countless engineering problems (try finding a chemical substitute for whale oil to lubricate tape heads), the LOIRP team was able to single out and reproduce the famous earthrise image. This proof of concept brought the first NASA funding in 2008, and the team recently completed processing the entire tape collection.

"We're the first people out of a generation or more to see this," says Cowing. "No human eye had ever seen this. All they saw was something that had already been through one generation of copying. We're seeing something one order of magnitude more precise right on the screen."

Since the '60s, a series of Earth and moon imaging satellites have launched, including the Lunar Reconnaissance Orbiter in 2009. Despite the advances in computing power and optics, Cowing says the terabytes of images recovered at LOIRP are often even more detailed than those taken by LRO, capable of being blown up to billboard size without losing resolution.

"A lot of the images they're taking today, our imagery from 1966 and '67 has sometimes greater resolution and greater dynamic range because of the way the pictures were taken. So sometimes you look into a shadow in a picture that LRO's taken, and you don't see any detail -- with ours, you do."

Officially named Building 596, McMoon's flies a flag bearing the distinct Skunkworks skull and crossbones, signaling the team's hacker ethic. The seven or so people tinkering away inside maintain an open-source mentality about their work, making all images and their technological discoveries free to the public. They also have plans for a decommissioned Titan ICBM that's sitting outside (for students, of course).

McMoon's has grown into a highly specialized operation, stuffed with a melange of old and new technology now put to use in decoding various NASA and Library of Congress tapes that no one knows what to do with. With a built-in ability to handle hazardous chemicals, the old McDonald's made practical sense, but it also gave them a layer of distance to carry out their weird work.

"I had a choice between the barbershop and this building -- we didn't really care what sort of building they gave us, we just didn't want to pay for it," Cowing says. "The surplus folks at NASA Ames where all the old computers and stuff go, they love us because we come over and make all the old stuff work. The safety guys come by and we usually either make them our friends or bark at them and they don't come back."

The images gathered at LOIRP have been coerced into providing even more information than they were intended to. Their data have been used to correct figures from the time about Earth's arctic ice levels, and have helped identify an El Nino-type event in the '60s. All the images and the information gathered from them are being fed into the Planetary Data System, an official repository where mission data from LRO, Mars Observer, Climate Orbiter, and many others are documented.

Started by the same Nancy Evans that provided the tape drives, the Planetary Data System didn't exist when the Lunar Orbiter pictures were initially taken. The images and information that LOIRP has recovered will be submitted as the official record of the original sattelite mission. It's a testament to the lasting work of the engineers who designed the orbiter missions, and the tenacity of the modern techno archaeologists who are bringing that work to full fruition.

"Back then things were designed, even if they failed, to still do something. Today, most jet fighters would fall out of the sky if they didn't have computers adjusting their surfaces and their pattern thousands of times a second. Back then they just had to engineer stuff elegantly so that it worked," he says. "We feel that we're completing the Lunar Orbiter 1 through 5 missions. They never formally submitted their stuff for the archives so we're doing it."

Read more from WIRED:

What Exactly Is in McDonald's Famous French Fries?

Why You Always Seem to Choose the Slowest Line

People Around the World Pose With Everything They Eat in a Day

Why Does Sleeping In Just Make Me More Tired?

30 Years After Chernobyl's Meltdown, Gripping Photos Expose the Human Fallout

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

NASA-funded project has recovered 2,000 analog moon pictures

@highlight

The images were taken by the five Lunar Orbiter images between 1966 and 1967

@highlight

Project uses old and modern technology to produce high-res copies of the originals.