Swat Valley, Pakistan (CNN) -- On October 9, a Pakistani schoolgirl who dared to speak out against the Taliban took a bullet to the head for her act of defiance.

Now, as Malala Yousufzai lies in a hospital bed in Birmingham, England, the shock and outrage among her countrymen have given way to a new sentiment: What will the government do about this?

While the Pakistani news media debate how the country should respond to the attack, thousands of people nationwide have joined in rallies in support of the wounded 14-year-old.

Malala: Global symbol, but still just a kid

The shooting has prompted an unusually strong and united reaction of disgust and anger among many Pakistanis, analysts say.

"There is a groundswell of sympathy for her and also a very strong demand for the Pakistani state to do something about this issue," said Raza Rumi, director of policy and programs at the Jinnah Institute, a Pakistani research organization.

Much of the discontent is directed toward the Pakistani Taliban, the extremist group that has claimed responsibility for the shooting and said it will seek to kill Malala if she recovers from her injuries.

"This has created a very bad feeling for the Taliban," said Saleem Khan, an executive with a paper manufacturing company in the city of Lahore.

Khan said he was "crying and weeping" after hearing of the attack on Malala, who had defied extremists in the northwestern Swat Valley by insisting on the right of girls to go to school.

Pakistani Foreign Minister Hina Rabbani Khar, the first woman to hold that job, said Sunday that she thinks the shooting marked a "turning point" in the ferocity of how Pakistan goes after Taliban offenders and extremist groups.

"Pakistan, at the diplomatic, political and every level, has been asking ... to take this matter seriously, to not let them (the Taliban) have a safe haven," she said.

Meanwhile, police in Birmingham said "two well-wishers" were stopped when they came to the hospital overnight wanting to see the girl. No arrests were made, contrary to earlier reports from the hospital.

Hospital director Dave Rosser said the intruders were "probably people being over-curious," but he added that the hospital is taking no chances and that tight security is in place.

Standing with Malala: Teen inspires others to fight for education

At a rally organized by the powerful MQM political party in Karachi, thousands of people gathered, some waving flags and banners with messages of support for Malala. "Our prayers are with you," read one. Another said, "Malala -- (an) attack on you is an attack on education and progress."

Social activist Saman Jafery said: "If Taliban is a mindset, then Malala is a mindset, too. It's a mindset of educated and empowered women."

Another of those at the rally, Haider Rizvi, said people "don't want the Taliban anymore in Pakistan, and after the Malala incident, it is time for people to stand up."

"The message is right here ... all these people. They are condemning the act of the Taliban," added student Ashwar Waqi.

The Taliban, who operate in northwestern Pakistan along the border with Afghanistan, have fallen foul of Pakistani public opinion in the past, notably in 2009, when a video emerged of the flogging of a teenage girl in the Swat Valley.

The video provoked appalled reactions in Pakistan at the time, but "the scale of protests for Malala are bigger," said the Jinnah Institute's Rumi. "Even the right-wing mainstream media have expressed outrage."

The Taliban became increasingly unpopular among Pakistanis in 2009 as the military carried out an offensive against members of the group in northwestern areas.

But the military operations failed to root them out altogether, and their continued influence in the region was demonstrated last week by the gun attack on Malala and two other girls as they were being driven home from school. The two other girls were less severely wounded than Malala.

Opinion: One girl's courage in the face of Taliban cowardice

One of them, Kainat Ahmed, is being treated locally. She said she was so scared after the attack on the bus in which they traveled that she couldn't sleep for two days. The 16-year-old girl is in the 10th grade.

But despite the injury to her arm and the terror of the attack, Ahmed said she does not regret studying and hopes to continue.

"Girls' education here is more important than boys' because boys can have any jobs they want to but girls cannot," she said. "I want to tell all the girls to continue their mission to get an education."

Interior Minister Rehman Malik, visiting the three girls' school in the town of Mingora on Tuesday, said the name would be changed from "Khushal Public School" to "Malala Public High School."

A task force will be established to protect all girls' schools in the region that are under threat of militants, he told reporters.

"I am not only grieved, the whole nation is grieved," he said. The hunt for those responsible has made "considerable progress," Malik added, although he gave few details of the investigation.

Authorities have forensic evidence, Malik said.

Police Chief Gul Afzal Afridi of the Swat District said that 60 suspects are being detained, interrogated or investigated.

"We have sufficient evidence to find the culprits," the chief said. "Soon we will catch them."

Politicians and commentators in Pakistan have slammed the attack. But the condemnation of the Taliban has not been as universal.

"Everybody was angry that it happened, but not everybody was angry with the Taliban," said Tazeen Javed, an Islamabad-based communications consultant who writes for The Express Tribune newspaper.

The cricket star-turned-politician Imran Khan, who visited Malala in a hospital in Peshawar last week, has drawn criticism for not condemning the Taliban outright for the attack.

Khan "showed a lot of concern but couldn't resist bringing in the issue of the drone strikes as a cause for this attack, which was a bit of a deflection," said Rumi, referring to the drone attacks carried out by the United States in northwestern Pakistan that have generated resentment in the country.

Certain commentators have also begun to question the official version of events, suggesting that the attack on Malala may be used as a pretext by the government for military action against the Taliban in the restive tribal region of North Waziristan.

Gordon Brown: Millions face Malala's fight

"The Malala incident is the CIA's latest attempt to divide public opinion and incite conflict in Pakistani society," Haider Mehdi, a contributor to the Pakistani daily The Nation, wrote in a column Tuesday.

As the controversy about the attack rages in Pakistan, the doctors treating Malala thousands of miles away said they are "very pleased" with her progress and optimistic that she will make a good recovery.

However, she faces reconstructive surgery and there is "still a long way to go," said Rosser, of the Queen Elizabeth Hospital in Birmingham.

Her family is not yet in England to be by her bedside, but the Pakistani high commissioner is making arrangements on that front, he said.

In the meantime, the 14-year-old appears to be "every bit as strong as we had been led to believe," Rosser said, adding that the consultant leading her care "is impressed by her resilience and her strength."

Reza Sayah reported from Swat Valley and Jethro Mullen from Hong Kong. CNN's Laura Smith-Spark contributed to this report.

@highlight

NEW: "We have sufficient evidence to find the culprits," police chief says

@highlight

Injured schoolmate: "I want to tell all the girls to continue their mission to get an education,"

@highlight

Malala Yousufzai is hospitalized in England a week after the Taliban attack on her

@highlight

Pakistan's interior minister says the 14-year-old's school will be named after her