(CNN) -- The mission is anything but a Mickey Mouse task: Navigate the world's most treacherous seas, crossing 73,000 nautical kilometers in a confined space with stressed-out, sleep-deprived crewmates. 

That's the challenge facing two sailors -- Charlie Enright and Mark Towill -- who met on the set of a Disney movie. 

"When they say this is the hardest race in the world, that's true," Towill tells CNN as he reflects on the Volvo Ocean Race, a grueling feat of endurance where competitors will face 30-meter waves in the Southern Ocean and winds of 110 kph (68 mph). 

With such conditions, tragedy is always a risk -- Dutch sailor Hans Horrevoets died in the 2005-06 race when he was swept overboard. 

The nine-month event begins in Alicante, Spain, on Saturday. Its eventual finish in June in Gothenburg, Sweden, will mark the longest route in the event's 42-year history.

Not surprisingly Towill, general manager of Team Alvimedica, describes the buildup as the "calm before the storm," while Enright admits it is impossible to predict what lies ahead in the coming months away from family and friends. 

To add a further twist in the marathon journey ahead, the American pair's crew is the youngest in the race -- skipper Enright is 30 while Towill is just 25.

They are reunited seven years after meeting on the set of Morning Light -- the brainchild of Roy Disney Jnr., a nephew of the company's legendary founder Walt.

Roy Disney, who died in 2009 a year after its release, came up with the idea of getting a crew of aged 18 to 23 to compete in the Transpacific Yacht Race from San Pedro in California to Honolulu in Hawaii. 

Hundreds applied but just 15 were selected, among them Towill and Enright. 

"I just put my application in at the last minute as my flatmates did it," says Enright. "I loved every minute." 

From day one, despite the five-year age gap and differing backgrounds, the pair struck up a friendship that's still going strong. 

Enright hails from Rhode Island, a state awash with sailors, while Towill, from Hawaii, was the first in his family to take an interest in sailing. 

"They wouldn't know what the boom or the spinnaker pole was but they're my biggest supporters," says Towill, who followed his newfound friend to Ivy League university Brown where they studied and sailed. 

Coached by Volvo Ocean Race sailors, they took on board every nugget of information they could about offshore racing before signing up in 2011 to the race's development program, learning the business side of getting together a team and the finances required. 

They worked tirelessly to get sponsors before Alvimedica, a medical technologies company that had already been liaising with race organizers, became a financial backer. 

Both parties' involvement was made possible by a cost-cutting rule for the 2014-15 race which meant teams would no longer make their own boats but use a centrally built Volvo Ocean 65 one-design vessel by Farr Yacht Design. It brought down the price of entering a team from $70 million to $21 million. 

"It's a fairytale story," says Towill, recalling the surprisingly swift sealing of the deal. "Alvimedica is a young company growing rapidly and we are a young team, so it was the perfect fit with American sailors -- and America's a big market for them." 

That sole meeting spilled over to dinner, followed by a night out which eventually ended at 1 a.m. with a handshake to confirm the partnership. 

Enright and Towill needed to be up at 6 a.m. for a flight home but snuck out for another drink on their own to celebrate what they had achieved. 

For Enright, it was the realization of a lifelong ambition. He recalls in grade two at school putting together a project on the Whitbread Round The World race, set up in 1972 and by which it was known until Volvo became the title sponsor in 2001. 

"It's the pinnacle of offshore racing, which is what I like most, and it just became a natural ambition," he says. 

As skipper, he knows the buck stops with him on the water and he admits he thrives on both the pressure and responsibility of seven other sailors relying on him for their direction and personal safety. 

Throughout the race, he will work closely with Towill as always, who he calls the yin to his yang, both with the shared aim "to keep each other honest." 

Towill admits to having gone into hibernation in the buildup to the race, knowing that there will only be snippets of sleep in the next nine months, and he expects their friendship will be tested.

"I'd be lying if I said it was going to be peachy all the time," says Towill, who turned down a job in renewable energy in San Francisco to follow his sailing ambitions.

"There's eight guys on a boat with not much space, stress and a lack of sleep. The dynamic of how we are as a group is important."

Amid the young guns on board, Australian navigator Will Oxley will provide experience. By the end of the race, the Volvo veteran will have turned 50 and sailed competitively more than the distance to the moon during an impressive career. 

Oxley's advice to Enright has been to "keep it all in perspective."

The two young sailors and their crew will also be hoping for a Disney ending.

In pictures: The Everest of sailing?

@highlight

Brought together on the set of a Disney movie, two friends set to tackle the Volvo Ocean Race

@highlight

Charlie Enright and Mark Towill will travel 73,000 nautical kilometers over nine months

@highlight

The youngest team, they raised the required $21 million in funding to compete in the event

@highlight

Manager Towill warned tempers will be frayed and friendships tested during the race