Atlanta (CNN) -- It was somewhere in the middle of Six Flags' Goliath roller coaster that my eye started to short-circuit, nearly going black. The towering roller coaster pressed my fellow riders and me deep into our seats as we rounded a set of sharp curves.

Many find the ride thrilling; for me it was unnerving. I spent much of my time in line for the next ride of the day, the Batman roller coaster, reading about the potential for roller coaster deaths and accidents. This was Friday in Georgia, the same day a woman died after falling from her seat on a Six Flags coaster in Texas.

Pecking through roller coaster news on my phone that day, before the death in Texas had been reported, I learned, among other things, that it was reported that a 45-year-old died after passing out and having an apparent heart attack on Goliath, the ride that made my eye briefly malfunction. I get that this seems paranoid, and I knew reading this information while waiting in line for a roller coaster was an unnecessary form of self-torture. But I couldn't help it.

There's something about a roller coaster death that is uniquely terrifying in a screenplay kind of way.

It's summer fun gone horribly wrong.

I think this is partly why so many are shocked and saddened by the death of Rosy Esparza, who fell, according to a witness who spoke with CNN affiliate WFAA, from the Texas Giant roller coaster at Six Flags in Arlington, Texas. The exact cause remains unknown, but authorities say there was no sign of "foul play or criminality."

Six Flags said in a statement that safety is paramount.

"Since the safety of our guests and employees is our number one priority, the ride has been closed pending further investigation," the park said.

A park spokeswoman did not immediately respond to requests for comment on its safety inspection policies and the calls for federal oversight.

Still, it's a reluctant thrill seeker's greatest fear.

It's almost impossible to imagine how terrifying the experience would be -- and how family members and fellow riders could process such an accident.

After Esparza's death, Sen. Ed Markey, the Democrat from Massachusetts who recently took the seat vacated by John Kerry, has reportedly renewed his call for federal oversight of roller coaster inspection. "No federal agency has legal authority to enforce safety standards," NBC wrote in a post about the safety issues. "And Texas is one of at least 17 states that have no agency responsible for inspecting amusement park rides, according to NBC News' survey of state codes in all 50 states."

Markey wants a federal agency to oversee safety enforcement.

The Consumer Product Safety Commission regulates mobile amusement park rides, like those found at fairs, but does not have jurisdiction over "fixed" rides like those at Six Flags, said Scott Wolfson, a spokesman for the federal agency.

The difference makes little sense, and Markey isn't alone in his call for more oversight. Tracy Mehan, from the Center for Injury Research and Policy at Nationwide Children's Hospital in Columbus, Ohio, said that relatively little is known about the prevalence of roller coaster injuries and deaths because the federal government doesn't enforce safety inspections and investigations.

A patchwork of state laws govern the process, she said.

Would-be roller coaster regulators have been criticized as needlessly scaring people about the dangers of roller coasters. And it's true that the statistics aren't quite as terrifying as the rides. As the National Review put it this year, "Americans are 5,000 times more likely to be legally executed by their own government than to die on a roller coaster." The writer, Charles C.W. Cooke, puts the odds of roller coaster death at 1 in 1.5 billion in a given year, compared with a 1 in 10 million chance of being killed "because the aircraft he is traveling on falls apart."

But that framing is misleading, given how little is known about national roller coaster injuries. One of the best sources of information comes from a Center for Injury and Policy Research study of child injuries in the United States. After looking at injuries that were treated in hospitals from 1990 to 2010, the group found that a child is hospitalized from an injury related to an amusement park, carnival, fair or arcade-type ride once every three days in the summer, Mehan said.

These are serious injuries: fractures, neck injuries and traumatic brain injuries.

Including less serious injuries like bruises and sprains, about 4,440 child injuries are reported to hospitals each year on the rides, including those at fairs and other attractions, she said. The rate is 20 injuries per day during the summer months.

"We would really like to see a national database or a national system put in place so we can get a picture of what's happening," she said.

The group was unable to compile info on deaths, for example.

Regardless of the stats, however, it's the joy-gone-wrong factor that makes roller coaster deaths particularly horrifying. Are those fears slightly irrational and disproportionate? Maybe. But safety seems far from assured these days.

Improvements, of course, must be weighed against deadlier public safety concerns. More should be done, for instance, to prevent road-traffic deaths, which kill about 1.3 million people globally each year. Many of those deaths could be prevented with simple changes to traffic laws and other rules, according to a fascinating report from Bloomberg Philanthropies (PDF); and self-driving cars could lead to greater reductions, still.

But the existence of more-pressing and deadlier threats does not justify lax oversight of amusement park rides that are meant to entertain.

Roller coaster fans should support a review of safety requirements. Otherwise, at the very least, they risk having a joyous experience soured by fear.

The opinions expressed in this column are solely those of John D. Sutter.

@highlight

Woman dies on roller coaster in Texas on Friday

@highlight

John Sutter: Federal regulations for roller coasters should be considered

@highlight

Official says the federal government has no authority over rides that aren't mobile