(CNN)The new Greek government has plenty of challenges ahead of it: A towering debt, chronic unemployment and relations with the rest of Europe. But it also has an urgent security problem.

Greece has become an unwitting crossroads -- both for jihadists trying to reach Iraq and Syria from Europe, and for fighters returning home from the Middle East.

Greece's long land and maritime boundaries, its proximity to Turkey, the explosion of illegal migration from Syria and the country's dire financial situation make it an inviting hub for jihadist groups, according to multiple counterterrorism sources.

One source close to the Greek intelligence services told CNN there may be some 200 people in the country with links to jihadist groups such as the Islamic State in Iraq and Syria (ISIS) or the al Nusra Front -- the two groups that most Europeans join.

Leftist leader plans his next move after elections in Greece

Among recent cases with a Greek connection:

-- Belgian officials believe that Abdelhamid Abaaoud, a prominent Belgian jihadist within ISIS, may have traveled from Syria to Greece and then communicated by phone with the terrorist cell recently broken up by Belgian police.

-- Earlier this month, three young Belgians were arrested at Charleroi airport as they prepared to fly to Greece. The Belgian Prosecutor's Office says they have been charged with participation in a terror group.

-- On January 17, Greek police arrested a 33-year old Algerian man whose extradition was sought by Belgium in connection with last week's raids. The man, who has not been named, has protested his innocence.

-- Last year, two French jihadists were arrested after using Greek soil to return home. One was arrested after passing through Italy.  One was Ibrahim Boudina, a 23-year-old French national born in Algiers. Greek border guards had found in his possession a USB stick with instructions for how to make homemade bombs.

Europe faces 'greatest terror threat ever'

They did not detain him, but tipped off French investigators, who later found bomb-making equipment and devices in his apartment near Cannes. Boudina has denied terror charges and awaits trial.

What's unknown is how many jihadists are traveling individually -- in either direction -- and how many are using support networks.

"Greece is not a target, just a gateway into Europe and a stop on the fighters' return home," said the source close to Greek intelligence.

"The large immigrant communities is Greece, and particularly in Athens, are in a position to provide jihadists and others associated with such groups with housing and generally help them remain anonymous," the source said.

In 2011, Greek authorities detained nearly 50,000 illegal migrants from Afghanistan and Pakistan, according to police figures.

One analyst who has studied jihadist travel patterns says there are indications that militants are setting up logistical, recruitment and financial cells in Greece, in part to facilitate the travel of a growing number of would-be fighters traveling from Kosovo and Albania.

ISIS has produced several propaganda videos featuring Kosovars appealing to their countrymen to join them, and the Kosovo authorities believe some 200 individuals have left to wage jihad in Iraq and Syria.

But it's not just the Balkans that's providing the travelers.

"We estimate that about 2,000 people have used Greece in the last two years or so, mainly arriving by boat from Italy, as a stop to an onward journey," the source close to the intelligence services told CNN.

"Given the number of people who have left Europe for Syria and the Middle East we don't regard this number as very high. But there is a good chance that it is much greater than we know at this point," he added.

Coming in the other direction, the number of migrants trying to reach Europe illegally has soared since Syria's implosion, especially by sea. Many head to Greece and Italy on rust-buckets that trawl the Turkish coast seeking out the desperate.

John M. Nomikos, director of the Research Institute for European and American Studies in Athens, says many migrants have their documents taken by human traffickers and then seek political asylum when they get to Greece. Nomikos says a few of those who arrive in Greece subsequently marry Greek women and receive Greek ID cards or passports, allowing them to travel through much of the European Union.

Figures from the European Union's border agency, Frontex, show that 270,000 people tried to enter Europe illegally in 2014 -- with huge increases in the numbers setting off across the central and eastern Mediterranean. Whether ISIS or other groups are already exploiting this influx to infiltrate members into Europe is one of the worrying unknowns to European officials.

The Greek Interior Ministry acknowledges it has little idea of the number of people living illegally in Greece. Nomikos and others say the Greek authorities' ability to track asylum-seekers and would-be jihadists has been hard hit by six years of recession -- a time in which budgets have been cut and senior members of the intelligence communities have lost their jobs or retired early.

Combined with political appointments in the security services, and a lack of terrorism specialists, Nomikos says this has led to a damaging "expertise deficit" at a time when threats are multiplying.

It doesn't help that Greek police are preoccupied with the remnants of the far-left November 17 group that occasionally launches sabotage attacks and carries out assassinations.

Nomikos also says there is inadequate coordination between the National Intelligence Service, the police and other agencies -- and that Greece badly needs help from the U.S. or European government to reform its security services.

"The country urgently needs a Department of Homeland Security in order to coordinate the intelligence-sharing among the Greek intelligence service (NIS-EYP), anti-terrorism squad intelligence unit" as well as police, coastguard and military intelligence, Nomikos says.

The Balkan states to the north of Greece have become a major source of weapons to jihadist cells elsewhere in Europe, and some analysts believe that militant groups in the Middle East may also be tapping into this illicit arms bazaar.

In November, Albanian police arrested eight people in the town of Shijak and seized guns and ammunition. Prosecutors were quoted in Albanian media as saying the weapons were destined for Syria or Iraq.

In the wake of the Paris attacks this month, Federica Mogherini, the European Union's foreign policy chief, promised better intelligence sharing across the EU and with affected Arab states to tackle terrorism.

An EU summit on February 12 will address the issue, to be followed by a similar gathering in Washington the following week. Whatever the Syriza government's disagreements with its partners on economic policy, it will likely welcome a more coordinated approach on a danger it is unable to confront alone.

Ioannis Mantzikos is a researcher and consultant on Islam in Africa and terrorism issues based in Athens. Elinda Labropoulou contributed to this report.

@highlight

Greece is close to Turkey, has an influx of illegal migration from Syria and is in a dire financial situation

@highlight

These factor help make it an inviting hub for jihadist groups, experts say

@highlight

Says one source: 'Greece is not a target, just a gateway into Europe'