Islamabad, Pakistan (CNN) -- Perhaps no one better understands what the family of U.S. Rep. Gabrielle Giffords is going through like the widow and children of Punjab Governor Salmaan Taseer.

"I mean, my heart is totally with the congresswoman," says daughter Sara Taseer. What do an American lawmaker from Arizona and a Pakistani governor have in common? Both outspoken elected officials were gunned down in broad daylight, within days of each other.

Taseer died; Giffords clings to life.

Separated by half a world, they are united by similar crimes.

Taseer was assassinated by his own security guard last week in Islamabad, Pakistan's capital. He was coming out of a popular market when the guard, Mumtaz Qadri, opened fire and shot him 27 times.

Governor's accused killer makes unscheduled court appearance

Taseer had been an outspoken critic of Pakistan's blasphemy laws, which make it a crime to insult Islam or the Prophet Mohammad. He argued that in a country that's 98% Muslim, these laws are used to discriminate against minorites. That's dangerous talk in a nation increasingly swayed by a more conservative brand of Islam, and several clerics targeted Taseer as a blasphemer himself. Qadri confessed in court Monday that he killed Taseer because of his support to change the blasphemy laws.

And that, Taseer's family says, is where his shooting diverges from Giffords'. Sara Taseer says, "The difference is in Pakistan, this is not a message just to my father or my family. This is a message to all liberal and progressive people to keep quiet, and scare and intimidate them." She says Giffords' shooting was an isolated incident, which has no chance of gaining popular support in the United States. "The impact is different. And the fear among the people. I'm sure in Arizona the general public is not feeling threatened, or not fearing that they can voice their views or openly condemn it. We are in a totally different situation. People who support us can lose their own lives."

Shooting rampage suspect to make first court appearance

Another difference: even Giffords' political opponents publicly and forcefully condemned the man who shot her. The Republican Speaker of the House John Boehner went on TV to say, "An attack on one who serves is an attack on all who serve." But in Pakistan, even Taseer's supporters have been mostly silent: perhaps calling his loss a tragedy, but stopping short of criticizing the man who killed him. "It's because they fear for their lives," says Taseer's son Shehryar. "There's also been a warning issued [by clerics] against anyone who has any further vigils, and anyone who takes up the case of the governor and his family, their offices will be burned and their person killed." Shehryar says that was the real tragedy of his father's shooting: it's forcing liberals to stay quiet and hide. "I think they'll be hunted. Without a doubt in my mind I believe that."

Taseer's shooter has been hailed as a hero by many conservative Muslims in Pakistan. He has been cheered, and showered with rose petals on his way into court. "That's ...it makes me sick. It makes me sick to my stomach," says Taseer's youngest daughter Shehrbano. "Some people genuinely believe this was 'the right thing' to have been done. That's the most scary and upsetting aspect of it. It's disgusting."

Shehrbano graduated from college in Massachusetts, and now works as a journalist in Pakistan. She reserves some of her strongest criticism for Pakistan's legal system.

"There were over 200 lawyers who went and put garlands and rose petals around my father's assassin's neck. And these men are the so-called vanguards of justice." Shehrbano has little to no faith that the Anti-Terrorism Court where Mumtaz Qadri is being tried will produce a fair result. "They have a sorry record of convictions. The investigation teams, they don't hand in enough evidence. The lawyers are scared. The judges are bribed. People are terrified of taking a stand."

Now his family is looking back at the life of Salmaan Taseer, a businessman and governor of one of the most-populated provinces in the world. His widow Amna says, "When I started my marriage, he was arrested and put in a Lahore fort for four months. It was a very difficult period, but we made it through that. And it's kind of ended in such a dramatic way also. But on top of it all I say one thing: that he was a great father and even better husband." The family says privately, they've received thousands of messages, letters and visits to console them. Shehrbano says a Christian woman approached her after the assassination. "She told me 'Your father was all we had.'"

They're also looking ahead, to what legacy Taseer leaves for the future. His daughter Shehrbano says, "I hope his passing doesn't mean that the room for debate is over. I believe there's room in the public sphere for moderates, for liberals. I really hope that this doesn't mean that debate in Pakistan is over."

His son Shehryar says he refuses to back down from the causes his father stood for. "It's not a Taseer trait. Taseers are fighters. He believed in Pakistan too much to ever back down. In fact his last tweet was 'Even if I'm the last one standing, I'd still support it.'"

And daughter Sara says, "He had a liberal and progressive and secular vision. And he ...this country needed him. This country needed people like him. The region needed people like him. The world, I think, needs people like him."

@highlight

Taseer and Giffords were both gunned down

@highlight

Taseer died while Giffords clings to life

@highlight

Daughter says father's killing was message to liberals to keep quiet