(CNN)Mullah Mohammed Omar is "still the leader" of the Taliban's self-declared Islamic Emirate of Afghanistan.

That appears to be the primary message of a biography, just published by the Taliban, of the reclusive militant who is credited with founding the group in the early 1990s.

The Taliban's "Cultural Commission" released the 11-page document in several different translations on the movement's website, ostensibly to commemorate the 19th anniversary of an April 4, 1996, meeting in Afghanistan's Kandahar province when an assembly of Afghans swore allegiance to Omar.

Several Afghan observers say the biography is aimed at dispelling rumors of Omar's demise.

"There have been a lot of rumors lately about him. Some people are saying that he is not alive," said Sayyed Muhammad Akbar Agha, a former Taliban insider who has written an autobiography about his days with the movement.

"I think the Taliban thought it was an important time to release his biography to give assurances that he is alive and present," Agha told CNN in a telephone interview.

Bergen: Why U.S. must stay in Afghanistan past 2016

The biography also appears to be an attempt to remind the world of the Afghan's jihadi leadership credentials, at a time when ISIS leader Abu Bakr al-Baghdadi has declared himself "caliph" of the world's Muslims.

"The Taliban has a huge leadership problem at a critical political moment," said Graeme Smith, a Kabul-based analyst for the International Crisis Group.

"Another caliph has announced himself to the world, and the Taliban has been silent. And that is getting noticed by militants across South Asia."

Omar was famously camera-shy during the Taliban's six-year rule over most of Afghanistan. To this day, there are only a handful of photographs of the one-eyed leader.

"He never was actively involved in any of these propaganda campaigns. No publicity. No interviews. He never used the Internet," said Rahimullah Yusufzai, a Pakistani journalist and expert on Afghanistan who once interviewed Osama bin Laden.

Omar then all but disappeared after a U.S.-led bombing campaign routed the Taliban from Kabul in 2001. Washington has offered a $10 million reward for his capture.

The Taliban have released written statements purportedly made by the leader-in-hiding. But years without any video or audio recordings of the fugitive have led to growing speculation that Omar may have died.

The biography challenges rumors of Omar's death by offering a description of his daily work schedule, which begins with prayers, study of the Quran, and then delivering "orders in a specific way to his Jihadi commanders."

The publication also seeks to fill in some of the gaps about the militant's early years, including the detail that his "preferred weapon of choice" was the RPG-7, a rocket-propelled grenade.

According to the biography, Omar was born in 1960 in a village called Chah-i-Himmat in Afghanistan's Kandahar province.

His father, a "well-known and respected erudite and social figure," died only five years later, apparently of natural causes.

Omar studied at a religious school, or madrassa, run by his uncle. The rise of the Communist Party in Afghanistan, and the subsequent 1979 Soviet invasion, interrupted the young man's studies and propelled him into the arms of the armed Afghan opposition known as the mujahedeen.

For the next decade, Omar commanded rebel groups "against the invading Russians and their internal communist puppets," according to the biography. Along the way, he was wounded a number of times and was blinded in his right eye.

In one battle, the biography claims, Omar and a fighter named Mullah Biradar Akhund destroyed four Soviet tanks, even though they were armed with only four RPG rounds.

The Taliban biography makes no mention of the fact that the U.S., allied with Saudi Arabia and Pakistan, helped arm and bankroll the mujahedeen until the Soviet army withdrew in defeat in 1989.

Afghan historians have documented the rapid rise of the Taliban in the chaotic years after the communist government in Kabul collapsed in 1992.

The movement of warriors who identified themselves as religious scholars emerged to bring order to a country being ripped apart by rival mujahedeen warlords who battled one another for power.

The Taliban biography says that Omar and his compatriots "launched their struggle and fight against corruption and anarchy" after an initial meeting in Kandahar in June 1994. Two years later, the Taliban captured Kabul and began imposing its austere interpretation of Islamic law on the rest of the country.

While the document denounces the Taliban's post-9/11 overthrow at the hands of a U.S.-backed coalition of rival Afghan fighters, it makes no mention of the Taliban's alliance with bin Laden and al Qaeda.

During a decade in exile, the Saudi-born bin Laden continued to release periodic video and audio statements until he was killed by U.S. raid on his hideout in the Pakistani city of Abbottabad in 2011.

Though Taliban militants have continued to battle the U.S.-backed government across Afghanistan, Omar has not been seen or heard from in years.

The movement claims he continues to oversee a Taliban leadership council, judiciary and nine executive commissions, as well as military commanders who operate in all 34 provinces of Afghanistan.

Exclusive: ISIS 'recruits Afghans' in chilling video

CNN's Masoud Popalzai contributed to this report from Kabul, Afghanistan.

@highlight

Mullah Omar, the reclusive founder of the Afghan Taliban, is still in charge, a new biography claims

@highlight

An ex-Taliban insider says there have been rumors that the one-eyed militant is dead