(CNN) -- When the average person contemplates the issues surrounding landfills, it's doubtful they give much consideration to the tons of food that fill them.

Food biodegrades so where is the problem?

The problem, environmentalists say, is just that. When food rots, it releases methane, a greenhouse gas which the U.S. Environmental Protection Agency (EPA) says is 20 times more damaging to the environment than carbon dioxide (CO2).

Rotting food in a landfill in Canterbury, England.

The developed world chucks out a lot of food. Such is the volume that according to the U.S. Department of Agriculture (USDA), if just 5 percent of Americans' food scraps were recovered it would represent one day's worth of food for 4 million people.

The U.N. World Food Programme offers another way of looking at it: It says the total surplus of the U.S. alone could satisfy "every empty stomach" in Africa (France's leftovers could feed the Democratic Republic of Congo; and Italy's could feed Ethiopia's undernourished).

Proportionately, the UK and Japan have traditionally been among the worst offenders worldwide in recent years when it comes to food waste, discarding between 30 and 40 percent of their food produce annually. The figures for how much the U.S. throws out, however, vary considerably depending on whom you ask.

According to the USDA, just over a quarter of the country's food -- about 25.9 million tons -- gets thrown in the garbage can every year.

But according to a study conducted by the University of Arizona, that figure could be as high as 50 percent, as the University claims that the country's supermarkets, restaurants and convenience stores alone throw out 27 million tons between them every year (representing $30 billion of wasted food).

Either way, it still costs the U.S. around $1 billion every year just to dispose of all its food waste, according to the EPA.

But moral and economic issues aside, it is the environmental concerns around food waste that is driving the push for reform on how to treat the problem of leftovers. Methane, the gas food waste produces, traps 23 times as much heat in the atmosphere as the same amount of CO2, the EPA says. And landfills are the place you will find most of it -- they account for 34 percent of all methane emissions in the U.S.

The University of Arizona believes that if Americans cut their food waste in half, it would reduce the country's environmental impact by 25 percent. The UK's Waste & Resources Action Program (WRAP) -- which says the entire food supply chain in the UK contributes 20 percent of its greenhouse gas emissions -- believes that if we stopped throwing out edible food, the impact it would have on CO2 emissions would be the equivalent of taking 1 in 5 cars off the road.

But ironically, one of the solutions to dealing with food waste actually results in a product that could keep cars on the road: Biogas.

Biogas is a by-product of a process called anaerobic digestion (AD). AD is a process where organic matter -- such as food waste -- breaks down in an environment with little or no oxygen, generating a natural gas made up of 60 percent methane and 40 percent CO2. It is the exact process, in fact, which goes on in landfills. But there is a difference.

Whereas methane can be harmful to the environment in an open setting, such as a landfill, in controlled and closed settings such as a combined heat and power plant, it can be harnessed and converted into biogas, a renewable energy. And that energy can be used to provide heat, light and fuel.

According to a study by the National Society for Clean Air, biogas-fueled cars can reduce CO2 emissions by anything from 75 percent to 200 percent compared to cars powered by fossil fuels.

Most organic matter can be processed with AD. In the UK it is already being used to treat sewage, which Friends of the Earth (FOE) says, reduces CO2 emissions by 16 percent compared to traditional sewage treatments. According to the Chartered Institute for Environmental Health, gas from sewage waste and landfills is already being used to provide 650 MW of electricity to the UK's national grid, representing between 60 and 75 percent of the country's green energy (the UK is Europe's biggest producer of biogas).

However, while the potential for food waste-as-energy seems big, the practical applications for it are currently very small (only 0.4 percent of the UK's food waste is processed by AD, for example), with critics of AD pointing out that the amount food waste can contribute to the energy supply are negligible to say the least.

FOE itself admits that just 0.36 percent of the UK's electricity needs could be met by AD. And, if 5.5 million tons of food waste was treated by AD (the majority of the UK's annual 6.7 million tons of food waste) it could only generate enough electricity to power 164,000 houses.

That being said, environmentalists will say, that's much better than getting that electricity from fossil fuels. And there has been a big push, in Europe in particular, to cut back on the amount of biodegradable waste that is being sent to landfills. According to the European Landfill Directive, the amount of biodegradable waste sent to landfills in member countries by 2020 must reach 35 percent of the levels reached in 1995.

The country that is leading the way in putting its biodegradable waste mountains to good use -- particularly in the world of biogas-powered cars -- is Sweden.

That country -- which plans to eliminate petrol and diesel vehicles from their streets by 2020 -- already has 7,000 biogas cars on the road. It also has 779 biogas buses and the world's first biogas train, which, according to The Ecologist, cost just 1 million euros ($1.4 million) to develop. E-mail to a friend

(Sources: Chartered Institute of Environmental Health; U.S. Environmental Protection Agency; Planet Ark; U.S. Department of Agriculture; University of Arizona; World Food Program; Waste & Resources Action Program (WRAP); Friends of the Earth (UK); National Society for Clean Air; The Ecologist; Just-food.com; Food Production Daily; Endhunger.org)

@highlight

5 percent of American's leftovers could feed 4 million people for 1 day

@highlight

Disposing of food waste costs the U.S. $1 billion a year

@highlight

Rotting food releases methane, a more potent greenhouse gas than CO2

@highlight

Methane can be harnessed to create clean energy for heat, light and fuel