(CNN) -- The ever-expanding outbreak of life-threatening fungal meningitis in back pain patients linked to steroid injections prepared by a compounding pharmacy, which so far has sickened at least 214 people and killed 15 in 15 states, is a public health catastrophe. What is particularly tragic for those who have been sickened or killed by the tainted drug and for their loved ones is that this situation was completely avoidable.

Since federal laws were enacted in 1938 and 1962 giving the Food and Drug Administration the authority to ensure that all brand name and generic drugs were both safe and effective, compounding pharmacies have traditionally filled a very narrow health care niche in which they prepared, in response to physicians' prescriptions, individually tailored preparations of drugs for patients having unique medical needs that could not be met by a commercially available standard drug manufactured by a pharmaceutical company.

While the FDA has long considered the compounding of drugs to be subject to FDA regulations, the agency has recognized the important health care role for such compounded medications. Therefore, it has used "enforcement discretion" to allow compounding pharmacies to produce these drugs without complying with FDA regulations, generally deferring regulatory oversight to state pharmacy boards.

News: What is a compounding pharmacy?

However over the past two decades, many so-called compounding pharmacies began large-scale production of drugs and moved from the traditionally narrow role filled by such pharmacies into a realm that clearly involved drug manufacturing and distribution of standardized drugs. In many cases, the drugs have been sold in multiple states, thus involving interstate commerce.

The steroid medication linked to the current fungal meningitis outbreak was produced and widely distributed by the New England Compounding Center in Framingham, Massachusetts, one of many compounding pharmacies across the country that has crossed the line between traditional compounding and large-scale drug production. The injectable steroid medication produced at the center was never approved by the FDA and was not manufactured in accordance with the FDA's rigorous manufacturing standards designed to ensure that drugs are sterile and uncontaminated with such germs as bacteria or fungi before being sold and distributed.

As a result, as many as 14,000 patients in 23 states were exposed to potentially contaminated steroids and need to be monitored for signs of fungal meningitis or other infections.

Many people rightly are asking how the disastrous outbreak could happen in the United States and who is to blame.

While numerous probes and investigations are just getting under way and litigation targeting the producer of the tainted drug and health care providers who used it will certainly take years to resolve, blame for this disaster will undoubtedly rest with many parties. Among them are the compounding pharmacy that produced the contaminated steroid drugs, health care facilities and providers who chose to use a dangerous drug lacking approval by the FDA and evidence that the products were sterile, trade associations and professional groups representing compounding pharmacies that have vigorously resisted federal regulatory oversight of their members, state and federal regulators, and Congress.

A key player at the federal level deserving a significant amount of blame is the FDA.

Loud alarm bells were sounded on December 4, 2006, when the FDA issued warning letters to the New England Compounding Center and four other compounding pharmacies, directing them to stop producing standardized versions of medications that, according to the agency, were being "marketed for general distribution rather than responding to the unique medical needs of individual patients." the center was cited for violations of FDA regulations in marketing four different drugs, including repackaged doses of the cancer drug Avastin into syringes for treatment of macular degeneration.

News: Injectable drugs from Mass. facility suspect

Clearly, the FDA considered the center and the other compounding pharmacies to be engaged in drug manufacturing. The pharmacies, like any other drug manufacturer, were therefore subject to the safety and effectiveness standards required for approval of new drugs, as well as the rigorous manufacturing standards designed to ensure that drugs are sterile and uncontaminated with such germs as bacteria or fungi before being sold and distributed.

However, following its warning letter, the FDA subsequently dropped the ball and failed to take the actions necessary to ensure the center adhered to these drug standards, which are essential for protecting the health of patients. For whatever reason, whether inattentiveness or lack of compliance and legal resources, by not aggressively enforcing the regulations related to large-scale drug manufacturing and interstate commerce, the FDA allowed the company to shift its wide-scale manufacturing and interstate distribution operation to injectable steroids.

On Thursday, the FDA attempted to deflect criticism for its failures by asserting that it lacked authority to take action earlier. This flies in the face of the agency's long-stated position that it had legal authority over such activities and its prior enforcement activities against the New England center and multiple other compounding pharmacies. While no one wants to be viewed as being responsible for a preventable public health catastrophe, American citizens should express their outrage and demand that all parties responsible for this tragedy -- including the FDA -- be held accountable.

Otherwise history will repeat itself.

The opinions expressed in this commentary are solely those of Michael Carome.

@highlight

Michael Carome: The current deadly meningitis outbreak was completely avoidable

@highlight

The outbreak has sickened at least 214 people and killed 15 across 15 states

@highlight

The FDA allows compounding pharmacies to produce drugs without regulation, he says

@highlight

Americans should demand that all responsible parties be held accountable, Carome says