(CNN)For Frank Clegg Leatherworks, "made in America" is not a seasonal trend or marketing slogan meant to evoke classic workwear looks or to drive sales of limited edition brand collaborations. It's simply the way Ian and Andrew Clegg's father has done business since 1970 in Fall River, Massachusetts.

It has not always been easy. Frank Clegg resisted the urge to outsource production overseas even as clients disappeared and margins shrunk. In the 1990s they started making bags for other labels to stay afloat. As the Cleggs tell it, staying in Massachusetts was the only way to ensure survival, by standing out for maintaining quality control of their products.

But will consumers see it that way beyond next season? How can brands like Frank Clegg that are in it for the long haul convince the Target generation that one of their leather satchels is worth the triple-digit investment? Ian Clegg pondered this sentiment aloud to a group of people gathered in a Brooklyn showroom on a rainy Saturday night in December for a panel discussion on the future of American apparel manufacturing.

His family business trains and employs skilled leather craftsmen, paying them a living wage to make quality bags and accessories, he said. "In order to keep that going we can't let it be a trend," he told the group of entrepreneurs, small-business owners and fashion enthusiasts.

"How do we keep it going without it being a trend?"

The question comes at a time when shopping small and local are attractive buzzwords for a generation of consumers that claims to be disillusioned with corporate America. Whether they'll pony up the extra cash for a handbag whose makers claim will last longer than their fast-fashion equivalents is another matter — a reality that the Cleggs and other business owners in attendance seemed to be aware of.

The discussion occurred during a pop-up market called Northern Grade, which features American-made goods with a contemporary feel. The first Northern Grade launched in 2010 as a menswear market in Minneapolis, expanding to other cities amid growing demand for classic looks inspired by American heritage brands.

People travel hundreds of miles for the markets, which tend to attract style-conscious men (and women) willing to pay a premium for waxed cotton jackets, selvedge jeans or Oxford cloth shirts made in the United States. Northern Grade is one of several new markets trying to reach this consumer, building on the success of its predecessor, the Pop-Up Flea, which has also expanded to new cities worldwide since its first show in 2009 in New York.

December's Northern Grade was the first to exclusively feature American-made products for women in an attempt to reach a demographic historically known to favor fast fashion over high-dollar investment pieces from new or emerging brands.

The brands (and price tags) at Northern Grade's markets for men and women are not for everyone, said market co-founder Katherine McMillan. They're trying to reach consumers searching for quality in an item, shoppers "who appreciate the details and bigger picture when buying an item," she said.

"There will always be the people who buy a shirt at H&M that's made fast and costs less than a shirt made in the U.S. by a smaller brand," she said. "I'm hoping the quality shopper wins out in the long run."

The Americana boom in menswear has led to greater demand for tomboy-inspired looks for women the past few seasons. So-called "boyfriend"-style button-up shirts and jeans are mainstays in stores like Madewell and J. Crew, and just about everyone from Valentino and Alexander Wang to Opening Ceremony has incorporated elements of  casual and formal menswear into their runway looks.

Menswear's influence was apparent in many of the brands at Northern Grade, not by coincidence. Stephanie Beard, founder of Austin-based brand esby, said working in menswear inspired her to start her own line for women.

"I was really envious of how classic menswear was, but it was not cut for my body," she said. "I felt like there was a market for quality womenswear because I couldn't find it when I was looking for it."

With the help of Kickstarter, she launched her first line in February with the goal of using quality fabrics, even if they can't be found in the United States. All the fabrics she uses in her collections are imported except for the knitted canvas of some shirts. The sewing and pattern-making happens in New Orleans before items are shipped to a wash house in New Jersey and back to Austin to be sold or shipped.

"Staying in the United States was always the plan," she said. "I want to be hands-on and I can't fly out of the country for each season to oversee production."

For some, made in America is a lifestyle choice, said panelist Katharine Keegan, founder of style blog "That Kind of Woman." It has crossover appeal to those who identify as conscious consumers and claim to care about where their clothes come from. These shoppers consider the "made in USA" label synonymous with fair labor practices and supporting small businesses.

"Made in USA is about knowing the people behind product," she said. "It's a lifestyle, it's being part of a bigger cause."

The past few years have seen the launch of a handful of e-retailers and online-first brands dedicated to supply chain transparency and knowing your brand. Information about provenance, materials and brand story are prominent features on new sites such as ZADY, Everlane, and Of a Kind.

Not all brands featured on Of a Kind — which showcases limited runs of goods from emerging designers — manufacture in the United States, said Erica Cerulo. But each brand is vetted so Of a Kind can provide customers with an honest answer.

"Our customers want transparency about where things come from. That matters more to them than whether it's made in the USA," she said.

Besides, she said, everything made in United Sates is not created equally, just like all "made in China" merchandise isn't the same.

"It's about finding brands you trust," Cerulo said.

People in the audience said they would love to support these brands if they could afford them. By the end of the discussion, educating consumers had emerged as one way to sell them on the value of the goods.

That's why markets like Northern Grade exist, McMillan said: so consumers can meet designers in person.

"The biggest issue, which we are always thinking about, is how much it costs," she said. "I'm hoping that the way organic and local food prices have come down a little, the items we sell at Northern Grade can become more attainable to the masses.

"When you are paying for normal and fair wages for a person, the price of the item goes up. Here's hoping demand brings it down eventually."

@highlight

Small, U.S.-based clothing makers are eager to attract consumers accustomed to "fast fashion" but wanting more

@highlight

Pop-up markets like Northern Grade bring together small-business owners and conscientious shoppers

@highlight

Information about provenance, materials and brand story are prominent features on shopping sites tailored to these consumers