(CNN) -- Fear is a terrible thing to waste. Yet modern Americans have squandered it as a tool for managing burgeoning populations of wildlife.

A woman is in the hospital after she was mauled by a bear while walking in her central Florida neighborhood on Monday. Authorities caught a 75- to 100-pound yearling, but think the larger predator bear is still on the prowl.

Tom Shupe thinks black bears have a people problem. He's a state wildlife biologist once responsible for dealing with growing bear-vs.-people conflicts in central Florida.

I spent time with Shupe while researching the book "Nature Wars." He explained that perpetually hungry black bears need plenty of food habitat. Parents disown yearlings, forcing them to find new space. As their populations grow, they spread out, often from the Ocala National Forest south into the swampy sprawl of Greater Orlando.

Trouble starts when a bear turns up in a backyard. Instead of scaring it away, too many people say: "Oh, isn't he cute. Let's toss him a cookie. Get the camera." Thus begins a photo collection of "Our Bear."

But it's the beginning of the end for that bear, because the people are teaching it to associate the smell of people with food. The bear comes back for more. Soon it's breaking into the house. The people call 911: "Do something about your bear."

Shupe arrives, darts the bear and moves it 100 miles. But the bear has learned people equals food, and does it again. After three strikes, the bear is shot -- euthanized. But it's not the bear's fault. It's the people's fault.

Deer are eating our gardens and spreading ticks that cause Lyme disease; coyotes are killing our pets; turkeys are chasing our children to school; and geese have overrun our soccer fields because they don't fear us. And we have done all sorts of things to help them lose their natural fear.

People say our conflicts with wild creatures are our fault because we encroached on their habitat. True, but only half the story. Many species encroached right back. Why? Because our habitat is better than theirs. Ours can sustain many more of them than their un-peopled landscape.

We put out all sorts of food for them: lawns, gardens, shrubbery, birdseed, grill grease, garbage, dumpster waste. We offer water: Air-conditioner drip pans are water fountains for raccoons. Edges and hiding places are homes: A coyote can have a litter of pups in that brush behind your garbage and you won't know it. And we offer protection from predators, mainly ourselves.

The results are mounting in people-vs.-wildlife conflicts. We should be celebrating a conservation success story that is unique on the planet. Instead, we demonize elegant creatures and fight over what to do, or not to do, about too much of a good thing.

How did this happen? How did we turn this story into such a mess? In a nutshell:

Over the last century and half, forests grew back on abandoned farmland; a century ago we ended commercial hunting and began restoring wild bird and animal populations. Since World War II we sprawled out into suburbs and exurbs -- something early conservationists didn't imagine.

The 2000 census showed that for the first time, an absolute majority of the population lived neither in cities nor on working farms but in the vast sprawl zone in between. That's where family farms were a century ago. Today, it's full of trees and filling with wildlife. We've become forest people -- yet we spend 90% of our time indoors. There we get most of our nature on digital screens, where wild creatures are often portrayed as pets performing all sorts of antics.

Research suggests that the white-tailed deer's biggest predator since the last Ice Age has been man. But sprawl man has largely gotten out of the predation business. He doesn't hunt and doesn't want others to hunt around him. He's peppered the landscape with hunting restrictions and enacted all sorts of laws against hunting, firearms discharges, even bow-and-arrow use in some places.

What this means is that in just the last few decades, for the first time in 11,000 years, huge swaths of the whitetail's historic range -- the Eastern United States -- have been put off-limits to its biggest predators. No wonder deer have burgeoned out of control.

In Massachusetts, for example, it's illegal to discharge a firearm within 150 feet of a hard-surfaced road or within 500 feet of an occupied dwelling without the occupants' written permission -- often not easy to get. Those two laws alone put almost two-thirds of the state effectively off-limits to hunting.

Lots of states have similar restrictions and most were imposed in the name of safety. Guns kill 31,500 people annually in the United States, but hunters are relatively safe. Estimates say about 100 people die in hunting accidents, mainly in cases of mistaken identity. These days, deer kill more than twice that many, both in deer-vehicle crashes and when drivers swerve into a tree or an oncoming vehicle. These accidents hospitalize another 30,000 people. Don't swerve: Hit the deer.

Overabundant white-tails, meanwhile, do enormous damage to the landscape, and not just gardens and shrubbery. They are ruining our forests by eating their understories so trees can't regenerate. No seedlings. No places for understory birds and the insects they feed their newborn.

Black bears are shy and docile creatures motivated by hunger and fear, but they, like deer, beavers, turkeys, waterfowl and others, were almost wiped out in the United States by the end of the 19th century. Daniel and Rebecca Boone reportedly killed 155 of them in one season in Kentucky. With protection, they slowly came back in the 20th century, to about 750,000 in 2002 and perhaps a million or more today.

Between 1900 and 2009, black bears killed 63 people -- 86% were in the last 40 years. Why the increase? More bears and more denatured people living in the same habitat. Birdseed sellers now refer to wild birds as "outdoor pets," helping to condition people to think that putting out food for wild animals is an act of kindness. It isn't.

Food and no fear have turned many normally nocturnal wild creatures diurnal. They hang out among us in the daytime.

Nuisance wildlife control people say tossing rocks at coyotes would help reinstill their fear of people. Instead, I've known people to toss them dog biscuits. Carrying a stick or a golf club is enough to deter wild turkeys, mail carriers tell me. Bear-proofing your garbage cans and taking down your birdfeeders in spring are no-brainers.

Conflicts between people and wild animals will continue to rise as both populations grow into one another. There are all sorts of ways to mitigate them, both lethal and nonlethal. Some work better than others. Reinstilling their fear will help. Feeding them won't.

The opinions expressed in this commentary are solely those of Jim Sterba.

@highlight

Jim Sterba: Wildlife more and more encroaching on our space, and we into theirs

@highlight

A bear mauled a woman in Florida neighborhood; deer-vehicle accidents kill

@highlight

Sterba: Conflicts between people and wild animals will rise as they lose fear of us

@highlight

We indulge them, he says, but we should be reinstilling their fear