Few question that there was a major chemical attack in Syria last week, and the United States has made clear that it blames the government of President Bashar al-Assad.

Now, the question is how President Barack Obama will respond.

For almost two years, Obama has avoided direct military involvement in Syria's civil war, only escalating aid to rebel fighters in June after suspected smaller-scale chemical weapons attacks by Syrian government forces.

However, last week's attack on a Damascus suburb that reportedly killed and wounded more than 3,000 people obliterated the "red line" Obama set just over a year ago against the use of Syria's chemical weapons stocks.

At the White House, spokesman Jay Carney told reporters Monday that Obama was evaluating "a response to the clear use on a mass scale with repugnant results of chemical weapons," adding that "there is very little doubt that the Syrian regime ... used those weapons."

Meanwhile, U.S. Secretary of State John Kerry called the attack "inexcusable" and "undeniable," and said there was "a clear reason that the world has banned entirely chemical weapons."

He said that evidence "strongly indicates" chemical weapons were used in Syria and that "we know the Syrian regime maintains custody" of such weapons and has the rockets to use them.

Read Kerry's remarks

Obama "will be making an informed decision about how to respond to this indiscriminate use" of chemical weapons, Kerry added, saying the president "believes there must be accountability" for those who use them.

Options available to Obama range from ordering limited missile strikes to continued diplomatic efforts labeled by critics as a "do-nothing" approach.

Obama will be presented with final options regarding actions against Syria in the next few days, a senior administration official said Monday. Assuming the president decides to go ahead with a military response, any action could come as early as mid-week, though it could be later, the official cautioned.

Factors weighing into the timing of any action include a desire to get it done before the president leaves for Russia next week and before the administration has to make a decision on whether to suspend aid to Egypt because of the ongoing political turmoil there, the official explained. The administration also wants it to be a quick response to the use of chemical weapons, the senior administration official said.

American officials are consulting with allies to ensure they are supportive of any U.S. action, which the senior administration official said would be very limited in scope and a direct reaction to the use of chemical weapons. And three representatives of allied governments involved in those top-level consultations said the goal is to reach a consensus as soon as possible.

"No one is talking about a long process," one European diplomat told CNN.

Marie Harf, a State Department spokeswoman, said any U.S. response would be "a determination on how to respond to a blatant use of chemical weapons, and it's not necessarily to change the entire situation on the ground in Syria."

That might be a mistake, said Michael Doran, an analyst at the Brookings Institution's Saban Center for  Middle East Policy. A U.S. strike "can't just be one and done," but should be part of a plan to remove al-Assad, he told CNN's "Anderson Cooper 360."

"The president has been very reulctant to get involved. Public opinion has been against it. There's not a lot of support on the Hill," Doran said. "And yet, here we are again. Time and time again, we get dragged further and further in." The result could be "a Vietnam-type problem, where we kind of back our way into this, if we don't come up with a plan about how to win."

Kerry spoke with his British, Jordanian, Qatari and Saudi counterparts Monday and with the secretary-general of the Arab League, Harf said.

"Obviously, the intelligence assessment is ongoing," she said. "But he reiterated that the president is studying the facts and will be making an informed decision about how to respond going forward."

The Obama administration is expected to declassify the intelligence assessment backing up its assertion that the Syrian regime was responsible for last week's chemical weapons attack, another senior administration official said. The declassification would happen before any U.S. military action would take place.

A senior administration official familiar with the intelligence told CNN that the evidence "includes but is not limited to" satellite images of activity at Syrian military installations identified as including chemical weapons depots.

Earlier Monday, a White House official ruled out sending ground troops to Syria or implementing a no-fly zone to blunt al-Assad's aerial superiority over rebels fighting to oust his regime. The official insisted that all other options were under consideration by Obama but put no time frame on a decision.

Meanwhile, a senior Defense Department official told CNN's Chris Lawrence Monday that four U.S. Navy destroyers "maintain readiness and, if required, could execute a mission within hours" of being ordered to do so.

But the official added that the U.S. military remained "in a holding pattern" as Obama considers both military and nonmilitary options.

Opinion: How Al-Assad used chemical weapons to poison debate on Syria

Also, Defense Secretary Chuck Hagel said while visiting Indonesia that any U.S. action "will be in concert with the international community and within the framework of legal justification."

While U.N. Secretary-General Ban Ki-moon said Monday that the use of chemical weapons was a crime against humanity and must be punished, certain opposition by Syrian ally Russia and possibly China undermined the possibility that the Security Council would support a military mission.

Instead, a limited coalition of NATO partners such as Germany, France and Britain -- all of which have called for action against Syria -- and some Arab League members appeared more likely to provide the political backing needed by Obama to order U.S. missile strikes.

A senior administration official told CNN on Monday that the goals of any coalition military action would be to punish al-Assad and show him that there was a cost for using chemical weapons while preventing him from doing so again.

In addition, a military strike would seek to degrade the Syrian regime's capabilities enough to weaken it without causing it to fall to an opposition considered unprepared to assume power, the official said.

Possible coalition partners include NATO allies Britain, France, Germany and Canada, as well as regional powers Qatar, Turkey, Saudi Arabia and the United Arab Emirates.

Last month, Joint Chiefs Chairman Gen. Martin Dempsey provided Congress with a list of declassified U.S. military options for Syria that emphasized the high costs and risks of what he said would amount to "an act of war" at a time of deep budget cuts.

U.S. official: Almost no doubt al-Assad regime used chemical weapons

Dempsey's letter, dated July 19, listed U.S. assets in the region including Patriot missile defense batteries in Turkey and Jordan, as well as F-16 jet fighters positioned to defend Jordan from possible cross-border trouble. In addition, the Pentagon has sent four warships armed with cruise missiles to the region.

According to U.S. officials, updated options offered the president in recent days included:

â€¢ Cruise missiles fired from one of four Navy destroyers deployed in the Mediterranean Sea. The missiles would be used to strike "command and control" facilities such as command bunkers, or the Syrian regime's means of delivering chemical weapons: artillery batteries and launchers. There is no indication that the missiles would strike at actual chemical weapons stockpiles.

â€¢ Military jets firings weapons from outside Syrian airspace. This option carries additional risks and is considered less likely.

"They have to be careful to do this in concert with our allies," Democratic Rep. Adam Schiff of California, a member of the House Intelligence Committee, told CNN on Sunday, adding that "I don't think the White House is going to want to risk American lives by sending pilots over Syria, so that really limits our options to cruise strikes and think that's probably where the White House is going to go."

U.N. chemical weapons inspectors reach alleged attack site

Cruise missile strikes could be "very punishing" on al-Assad's missile supplies and aircraft without going after the chemical weapons stockpiles to risk dispersing them, Schiff said.

To Aaron David Miller, a vice president at the Woodrow Wilson International Center, the situation is forcing Obama to shift from being an "avoider-in-chief" regarding military involvement in Syria.

"It's almost inevitable that the president will authorize some form of military action," Miller told National Public Radio in an interview broadcast Monday.

He said he expected a significant response that amounts to "a warning that lays down this time a red line that the president intends to enforce, not one that turns pink."

"It cannot simply be a couple of cruise missiles into a storage shed somewhere," Miller said, adding that the goal was to deter al-Assad rather than topple him or radically shift the balance in Syria at this time. "The president's not on the verge of becoming the cavalry to rescue the country."

Schiff agreed that Obama has little choice but to respond strongly.

"In terms of the credibility of the White House," he said, "the cost of not acting now, I think, exceeds the cost of acting."

@highlight

U.S. evidence includes satellite imagery, official says

@highlight

Obama is considering how to respond to Syrian chemical attack

@highlight

Official: Obama could be presented with options within days

@highlight

A U.S. strike "can't just be one and done," a Middle East analyst says