Washington (CNN) -- Former Sen. Kay Bailey Hutchison knew her window to run for president had closed.

That moment passed when then-Gov. George W. Bush, a fellow Texas Republican, ran for and won the presidency in 2000 and served two terms, the lawmaker told CNN. She was a senator with aspirations to a higher office who was also in the process of adopting two children.

"The timing wasn't right for me. Even if he served four years, then maybe. But eight years and Texas fatigue. Then I had children, so...," she said, her voice trailing off.

Wednesday marks the 95th anniversary of Congress' approval of the 19th amendment to the Constitution, guaranteeing women the right to vote. But all these years later, no woman has ever been named a major party's presidential nominee.

The path to the presidency is especially challenging for Republican women and it contrasts sharply with Democrats who -- as buzz grows around Hillary Clinton -- may be poised to nominate the first female presidential candidate of either major party.

Primary problems: GOP women struggle to come out on top

Four of the five women who are currently governors are Republicans, and four of the past six presidents previously were governors. Still, GOP women's names are seldom mentioned among top-tier potential presidential hopefuls for 2016.

Sure, nods are given to retiring Minnesota Rep. Michele Bachmann's failed 2012 presidential bid. And there's a perennial hope among some conservatives that former Secretary of State Condoleezza Rice will run, though she's said she has no interest in the position.

But when mention is made of Gov. Nikki Haley of South Carolina, Gov. Susana Martinez of New Mexico, or New Hampshire Sen. Kelly Ayotte, it's often couched as "she would make such a good running mate," not in a way that is on par with male candidates, former Sen. Olympia Snowe, R-Maine, told CNN.

"Women should naturally be considered for the highest office in the land," Snowe said.

"The bench is too small"

Democratic women in Congress far outnumber Republicans -- 16-4 in the 100-seat Senate and 62-17 in the 435-seat House of Representatives. In each of the past 10 election cycles, GOP women have won a smaller percentage of primary elections for U.S. House seats than have their Democratic counterparts, according to a study by Rutgers University's Center for American Women and Politics, and only twice -- in 1994 and 2010 -- have more Republican than Democratic women run in primaries.

"It's the concept of the pipeline. If the women aren't in the offices we draw on for the presidency, the bench is too small to choose from," said Debbie Walsh, director of the Rutgers center.

Even when they do seek office, studies have shown that conservative women in particular have had a tougher time getting the networking and financial support -- either from within the party or from outside groups -- needed to mount successful bids, Walsh said. While there are a number of well-heeled groups, such as EMILY's List, which back candidates with progressive stances, there are fewer such groups targeting conservative women, the Rutgers study found.

SarahPAC, the political action committee of former Alaska governor and 2008 GOP vice presidential candidate Sarah Palin, has supported a number of conservative women candidates, including New Hampshire's Ayotte in 2010. This year, the PAC is supporting Joni Ernst, a Senate candidate from Iowa who won her primary on Tuesday, among other women.

SHE PAC, another conservative women's group, is supporting Mia Love, the former mayor of Saratoga Springs, Utah, in her second bid for the U.S. House. Love narrowly lost in 2012 to incumbent Jim Matheson, who is not seeking re-election. The group is also supporting Monica Wehby, an Oregon physician running for Senate, among other candidates. Both Love and Wehby won their primaries.

CNN Poll: Majority say GOP out of touch with women

The other challenge female candidates to federal office face is an "ideological shift to the far right among the Republican primary electorate," the study found. This shift has meant Republican women who might be moderate on such issues as abortion rights are less likely to survive primary fights in conservative districts.

The results: fewer Republican women headed to Congress and a shallower pool of presidential contenders down the road.

The Republican Party is keenly aware of its problems in both recruiting and supporting female candidates and attracting women voters. The party performed an autopsy of sorts after huge losses among women, minorities and young voters in the 2012 presidential election.

GOP's soul-searching leads conflicted party to double down

The party concluded it needed to beef up its outreach operations and has spent millions on efforts such as Project GROW, which seeks to identify and support more female candidates for the midterm elections, and "14 in 14," a program aimed at wooing more women voters in key states.

"We've come together with the other GOP campaign committees ... to set up programs to get more women involved in our party," said Kirsten Kukowski, a spokeswoman for the Republican National Committee. "We've done things like recruit more women operatives to be involved and have a seat at the table with candidates, message-training and specific voter contact efforts."

The proof is in the numbers

But some senior Republican women say that despite plenty of lip service paid to elevating women within the party, representation at the federal level is paltry, and the performance trend in primaries shows fewer Republican women are winning in those races than just two decades ago.

"It's unfortunate that there's this attitude and perception within the Republican Party that are more aspirational when it comes to women," Snowe said. "The Republican Party hasn't done the groundwork to build a strong bench of Republican women to launch a presidential candidacy."

"Women have to put a step forward" as well, Snowe said, to better ensure that they are in the running for the nation's top political post.

Senate balance of power could shift on women candidates

However, doing so involves tough choices, Hutchison said.

"We do end up with a great amount of responsibility for our families. Being out campaigning for weeks and months at a time is difficult. The women in the Senate struggle with this, with questions of, 'Do you move your children to be with you, or do you leave them back home?'" Hutchison said. "That makes it harder for us to say, 'Yes, I'm going to run for president and go to New Hampshire, Iowa, and South Carolina for weeks on end' -- especially if they are in office already and away from their families. To add that to it is very difficult."

"Whereas, no matter what we say, men have wives and they can leave more easily," she said.

Though they may disagree with her political views, Republican women often give Hillary Clinton kudos for her political skill.

"Republican women have to do what Hillary Clinton is doing. We have to steal the playbook of what she is doing," said Crystal Wright, an editor and blogger with ConservativeBlackChick.com.

Winning requires building strong coalitions, fundraising and surrogates, Wright said. "Look at what Hillary has done in each campaign she has run. ... She's a good example of a case study for how women should model their efforts for running for office."

@highlight

So far, there are no women's names on the GOP's 2016 presidential short list

@highlight

There are more GOP women governors, but fewer congresswomen than Democrats

@highlight

GOP trying to recruit and support women who could eventually mount presidential bids

@highlight

Rutgers study; senior GOP female lawmakers say party still has work to do on women front