Paris (CNN)A traumatic event, such as the 9/11 attacks or the assault on Charlie Hebdo in Paris two weeks ago, can produce huge shifts in public opinion. A surge in patriotism, perhaps higher church attendances -- but one would not expect it to boost the work of an 18th century writer.

In France, and especially in Paris, the mood over the past two weeks has been subdued, but punctured by public displays of solidarity across faiths. In a famously fractious society, there is a sense of cohesion. The French seemed to have coalesced in reaching back into their history and the Enlightenment: They have started reading Voltaire.

One of France's most renowned philosophers, Voltaire published his "Treatise on Tolerance" in 1763.  It was an appeal for religious tolerance, within and between faiths.

The French publisher Folio says sales of the "Treatise" have increased significantly since the Charlie Hebdo attacks. Between 2003 and the beginning of this year, Folio had sold 120,000 copies of the book -- roughly 10,000 a year. From January 12 to 14, immediately after the rally in Paris in support of free speech and tolerance, some 7,000 copies were sold.

Folio said another 20,000 new copies would be made available to cope with demand. Online orders on Amazon and Kindle have also spiked.

When first published, the "Treatise" was a revolutionary creed, and one that landed Voltaire in trouble with the French government and especially powerful religious interests, such as the Jesuits.

His message has endured to become a cornerstone of the French republic, where the state and religion are formally and forcefully separated. But Voltaire went far beyond the rifts within Christianity in the "Treatise."

"I say that we should regard all men as our brothers," he wrote. "What? The Turk my brother? The Chinaman my brother? The Jew? The Siam? Yes, without doubt; are we not all children of the same father and creatures of the same God?"

Voltaire wrote the "Treatise" because he was outraged by the execution of a Protestant man, Jean Calas, who was wrongly convicted of murdering his own son to prevent him from converting to Catholicism. His campaign to clear Jean Calas went all the way to King Louis XV, who pardoned Calas posthumously.

Paris mayor: We'll sue Fox News

Last week, the justice minister here, socialist Christiane Taubira, celebrated Voltaire's legacy when speaking at the memorial for the Charlie Hebdo cartoonist Tignous.

"We can draw anything, including a prophet, because in France, the France of Voltaire and irreverence, we have the right to make fun of religions," she said. "A right. Yes, because a right is democracy and democracy is the realm of the law."

That sentiment was shared across the political spectrum. Writing in Le Figaro on Tuesday, former Prime Minister Dominique Villepin said that "Faced with the drama that struck it, France has shown great dignity."

Villepin, from the conservative UMP, wrote that, "The people have chosen by instinct loyalty to France."

It was fitting, and perhaps not accidental, that when world leaders gathered at the rally last week to commemorate those killed in Paris, they began their walk down the Boulevard Voltaire, toward the Place de la Nation. Scattered around them, among the many tributes, posters of the writer bordered with the motto: "Je suis Charlie."

Some of the marchers waved copies of "A Treatise on Tolerance" as they walked and left them at impromptu memorials in the Place de la Republique.

The chateau at Versailles, once the residence of royalty, devoted the Hall of the Pope to a portrait of Voltaire in honor of the victims of the terror attack. Underneath, a sign quotes from the "Treatise": "What is tolerance? It is the prerogative of humanity."

Opinion: Attacks show hypocrisy of West's outrage

The Societe Voltaire, charged with keeping the philosopher's flame alive, says the attacks in Paris were also an attempt to assassinate him. In an article in L'Express, the Societe said Voltaire's lifelong struggle was to "crush the infamous" (a saying with which he often ended his letters) and defend the victims of fanaticism.

In the words of the Societe's Alain Sager: "The border today is not between the religious and the atheist, between the Christian and non-Christian, Muslim and non-Muslim, between the Jewish and non-Jewish. It is between barbarism and civilization."

Among the millions of tweets in the wake of the Charlie Hebdo killings, not a few cited these words attributed to Voltaire: "I do not agree with what you have to say, but I'll defend to the death your right to say it."

Voltaire never actually said that. The phrase was invented by his English biographer many years later.

But he did write this, in "A Treatise on Tolerance": "The fewer dogmas, the fewer disputes; the fewer disputes, the fewer miseries: If this is not true, then I'm wrong."

Two-hundred-fifty years later, the words have new resonance.

@highlight

After Charlie Hebdo attacks, French find comfort in writing from 1763

@highlight

Voltaire's "Treatise on Tolerance" is an appeal for religious tolerance, within and between faiths