(CNN) -- Here's a 21st-century art object if ever there was one: a Japanese film by a French-Vietnamese writer-director based on a 1987 international best-seller named after a 1965 Beatles' song about Scandinavian pine.

Well, that's not all the song is about.

According to John Lennon, it was conceived as a deliberately opaque reference to an extramarital flirtation (he didn't want his wife to know about it) that went nowhere. The narrator sleeps in the bath, then torches the place in the morning.

Tran Anh Hung's lovely but overly languorous film of the acclaimed Haruki Murakami novel catches at the sexual longing and consternation that both the book and Lennon's song evoke: the tantalizing co-mingling of desire, mixed signals and cross purposes that can derail a tentative relationship.

Tran (who also wrote the screenplay) follows Murakami's slender plotline with respect bordering on devotion, but fails to find a correlative to the complex, overlapping perspectives that allow the novel to live in both the present and the past -- to enter into the mindset of adolescent angst, and to contemplate it from afar. Instead the film flails between too many lengthy, numb exchanges and a handful of spectacular but histrionic set pieces.

Toru Watanabe (Ken'ichi Matsuyama) is a freshman at Tokyo University in the late 1960s. He's largely impervious to the political upheaval going on around him, still struggling to come to terms with the sudden suicide of his best friend, Kizuki, on his 17th birthday. In their grief, Watanabe and Kizuki's girlfriend, Naoko (Rinko Kikuchi of "Babel"), spend many hours consoling each other, and on her 20th birthday they finally sleep together. The next day, Naoko quits school and retires to a sanatorium, leaving the confused Watanabe to muddle his way through classes.

While he and Naoko correspond in long, intimate letters, Watanabe takes up with another girl (or should I say, she takes up with him?). Midori (Kiko Mizuhara) is as self-confident and assertive as Naoko is vulnerable and timid. Watanabe, meanwhile, is a distinctly passive and bewildered protagonist, unsure of what he wants or what his obligations might be to the broken, suicidal Naoko.

The performances are credible enough, but neither the passive, vacillating Watanabe nor the neurotic, grief-stricken Naoko are easy figures to identify with, and it's hard to understand why so many women keep throwing themselves at Matsuyama's clay feet. Only Mizuhara's assertive Midori offers any energy, and she's sidelined for much of the movie.

While the movie has moments to savor and artistry to spare, these elements don't cohere into a satisfying whole. Tran doesn't speak Japanese, but in other respects he's well-suited to Murakami's world. A Vietnamese brought up and educated in France, best known for "The Scent of Green Papaya" and "The Vertical Ray of the Sun," Tran is a cinematic aesthete, very much attuned to melancholy and introspection. "Norwegian Wood" features a tumescent score by Radiohead's Jonny Greenwood and stunning cinematography by the Taiwanese Mark Lee Ping-bin ("In the Mood for Love").

It's so gorgeous to look at that spectators are in danger of swooning in their seats. It's rather irritating that the characters prefer to wallow in misery than admire the natural beauty all around them -- including each other, of course. And that's the trouble. The film feels like a fetish object; almost a series of screen prints, it's a beautiful illustration of the text, but somehow the text itself is lost in translation.

@highlight

Critic: Director follows Haruki Murakami's slender plot with respect bordering on devotion

@highlight

Protagonist is passive and bewildered, unsure of what he wants, Tom Charity says

@highlight

He says movie has moments to savor, but these elements don't cohere into satisfying whole