Washington (CNN) -- Global financial reform topped the agenda Tuesday as President Obama huddled with Greek Prime Minister George Papandreou, whose country is at the center of Europe's debt crisis.

The White House meeting marks the conclusion of a four-country financial relief tour for the beleaguered Greek leader. Beginning Friday, he visited Germany, France and Luxembourg seeking support for his government's new austerity measures to counteract skyrocketing budget deficits.

Greece had one of the worst budget deficits in the developed world last year, at 12.7 percent of gross domestic product, more than three times higher than previously declared due to accounting irregularities -- or what some call outright fraud.

It also has a public-sector debt equivalent to 113 percent of its entire economy.

Athens recently unveiled a package of budget reductions to try to bring its deficit down to the 3 percent level allowed under the rules for the eurozone -- the European Union countries that have adopted the euro currency.

Finance ministers from those 16 countries met in Brussels last month to try to find a way to end the crisis that some analysts say could spread to other heavily indebted European nations, such as Portugal, Spain and Italy.

Greece's "deficit is more a credibility deficit than a financial deficit, and we need to bring back the sense of credibility," Papandreou said recently.

His unpopular budget cutbacks have met with stiff political resistance and strikes at home.

Overseas, the Greek prime minister is trying to win support for greater regulation over certain forms of financial speculation that analysts say have made his country's debt crisis worse.

Among other things, Papandreou is asking U.S. and other leaders to restrict the use of credit default swaps, which are insurance contracts -- the same kind of contracts that pushed insurance giant American International Group (AIG) to the brink of collapse.

Two weeks ago, Fed Chairman Ben Bernanke said the Federal Reserve is looking into actions taken by Goldman Sachs and other Wall Street firms that may have contributed to Greece's debt problems.

Bernanke's comment came in response to a question posed by Senate Banking Committee Chairman Christopher Dodd, D-Connecticut, who asked about U.S. banks and hedge funds making financial bets that the Greek government will default on its loans.

Goldman Sachs and other banks have been in the news over reports they secretly helped raise $1 billion in credit for Greece in a way that was off the balance sheet, and that they helped hide the country's debt woes from European Union regulators.

The New York Times reported recently that some of these same banks also were making side bets that Greece would default on loans it owes American banks and hedge funds. By betting in favor of default, the U.S. banks and hedge funds would win whether Greece pays off its loans or not.

Dodd asked whether Bernanke thought there should be limits on the use of these types of bets to prevent firms from creating intentional runs against governments.

"The rising price of these contracts contribute to an atmosphere of crisis, making it even more difficult for the Greek government, in my opinion, to borrow," Dodd said.

Bernanke noted the similarity of the situation of banks making bets to hedge against Greek debt to banks that made bets to hedge against real estate debt, which imploded AIG.

"The poster child for that would be the capital arrangements that banks took out for AIG," he said. "Derivatives have a legitimate purpose, but if they're used to distort accounting results or regulatory ratios, that needs to be addressed."

Congress is considering legislation to make such financial bets more transparent.

Papandreou has asked American and European authorities to crack down on financial speculators who benefited from taxpayer bailouts only to turn around and profit by exacerbating his country's debt crisis.

"Enough is enough," he told an audience at the Brookings Institution on Monday.

CNN's Jennifer Liberto, Christine Theodorou and Alan Silverleib contributed to this report.

@highlight

President Obama met Tuesday with Greek Prime Minister George Papandreou

@highlight

The meeting is the last on a four-country tour centering on the nation's financial crisis

@highlight

He hopes to win support for more regulation of speculative practices

@highlight

Papandreou is asking U.S. and other leaders to restrict use of credit default swaps