(CNN) -- A young woman stands against a crisp black backdrop. The photographer walks forward and gently turns her away from the camera. Today the focus is not on her face but on the delicate architectural feat that sits atop her head. It seems to almost defy gravity, with light radiating from the hair tower as it spirals upwards in a conical shape.

Hairstyles have long been popular fashion statements for Nigerian women. But over the years, the intricate braiding and eye-catching sculptures have often reflected the country's changing sociopolitical times as well. And for the last six decades, one man made it his life's work to capture the complex refashioning of his homeland.

In February, the renowned artist J.D. 'Okhai Ojeikere died at his home in Lagos aged 84. He left behind a remarkable body of work, much of which is largely unknown outside Nigeria.

But now, many of Ojeikere's countrymen are putting in a renewed effort to celebrate the life of the beloved artist -- through documentary films, exhibitions and an impressive monograph of work, Nigeria is presenting J.D. 'Okhai Ojeikere to the world one last time.

"He started taking images of a nation that was in the throes of development [and] independence in 1960," explains Bisi Silva, the founder and director of the Centre for Contemporary Art, Lagos. "We discovered oil, money... modern buildings were going up. So he documented that process, that transition into a modernizing nation."

A final wish for a departed friend

Over the last five years, Silva has been working tirelessly to complete an extensive monograph on Ojeikere. This has not been yet another project for the art curator -- Ojeikere was a close friend, and the duo had been collaborating on the monograph up until his untimely passing in February.

"I had a very close relationship with 'Pa Ojeikere,' as we call him here," says Silva, who turned to crowdfunding platform Kickstarter to raise funds for publishing the book. "I used to speak to him at least once a week."

Silva recalls Ojeikere's passion and enthusiasm for the project and, holding it close to her heart, she says she's determined to finish what they had started together.

"He was really dynamic, really passionate about photography and there was so much to learn in his archive. Over the last five years, we became friends. He was like a father to me.

"It was just such a big shock that he passed away. That he wouldn't see the book he was extremely excited about."

Documenting independence

Born in a small rural village in West Nigeria in 1930, Ojeikere would become one of Nigeria's most celebrated artists. For over 60 years, the master photographer fastidiously immersed himself in capturing his homeland, documenting every facet of daily life. His many photographs would come together to create a striking anthropological study of Nigeria.

The 1950s saw a young Ojeikere searching for a vocation. Rejected by the army, it was an uncle who inadvertently put him on a lifelong journey by suggesting photography. Starting small, the untrained amateur would photograph women in his village as they donned their Sunday best and headed to church.

Later on, Ojeikere got a job as a darkroom assistant at the Nigerian Ministry of Information. When he wasn't working, he was often found at the local university, snapping moments between students, staff and events on campus -- once again capturing daily life on film. The country was moving toward a time of social change and political upheaval and Ojeikere explored this through his lens.

"You're getting a sort of history of Nigeria at a very important, transitional period, just on the cusp of independence," says Silva. "And just after independence [in 1960], when there is a feeling of euphoria, feeling of liberation, the sense of 'now we can conquer the world, we can develop the nation; we are free, we are independent.'

"And this all comes out in the way in which individuals and people presented themselves. It's like: 'Look at me. I'm fashionable, I'm modern, I'm confident, I'm educated. I'm a professional.' All these images amount to a visual image of Nigeria in the 50s, 60s and 70s."

Not just hair

Ojeikere's next job was working for the national television station, a career move that enabled him to rub shoulders with other creative minds. This is when he started to take photographs with more artistic intent, explains Silva.

"He started coming into contact other artists, filmmakers, writers and that's why as he developed, the artistic intent as opposed to the anthropological intent began to develop. When we finally get to 'Hairstyles,' they are actually done in a very specific manner. It wasn't someone on the street. It was in a studio with a specific lighting, with a specific position."

The "Hairstyles" series, for which he is so critically acclaimed, features over 1,000 photographs of Nigerian styles since 1954. But for Silva, his work documenting traditional Nigerian headgear and the country's architecture, as well as his studio portrait work, must be examined alongside "Hairstyles" to fully comprehend Ojeikere's legacy.

The images communicate a transition from the normal photographs depicting Africa, says Silva. "The images we are used to seeing of Africa -- they gave a one dimensional perspective of a race, of a nation, of a people. It's been a herculean work to bring this publication together."

Final tributes

Silva's monograph is just one tribute to Ojeikere. Nigerian filmmaker Tam Fiofori recently released "J.D. 'Okhai Ojeikere: Master Photographer," a documentary capturing the final year of the artist's life.

Elsewhere, an exhibition of "Hairstyles" is currently shown across the UK. Curated by Gillian Fox, it is the first time audiences in the country are having the chance to view Nigeria from this perspective.

"As a Nigerian, he wanted to document that moment in Nigeria when it was a time of colonial rule changing over to democracy," says Fox. "He was keen in the wake of modernization to capture something that was quite intrinsic to his culture, his nation and he saw the rate of change that was happening and he thought hairstyles were fascinating and an art form in their own right," she continues.

"They were something that should be preserved because the thing about a hairstyle is that they are really ephemeral."

She adds: "I think it was a love letter to his country. He used photography which is a very modern medium to document these moments of social change."

Click through the gallery above to explore some of Ojeikere's iconic photographs.

@highlight

Ojeikere was a Nigerian photographer who passed away in February

@highlight

Throughout his life, he took thousands of pictures cataloging the changing times of his nation

@highlight

Monograph from Centre for Contemporary Art, Lagos will showcase the work