Jerusalem (CNN) -- Amene Tekele Haymanot thought he had made the right choice when five years ago he escaped war-torn Eritrea and opened a business in sunny Tel Aviv, Israel.

But he and his countrymen couldn't escape conflict for long.

Haymanot never expected himself - or his store -- to become targets of threats and violence in a metropolitan city known for its tolerance. But it was. His windows were smashed in and his business looted during an anti-immigration protest.

"Now I am afraid here. I cannot live this way. I'm afraid for my life," Haymanot, who is an illegal immigrant awaiting refugee status, told CNN.

His fear has been growing for many months because illegal African immigrants have attracted anger in certain parts of Israel -- and Haymanot believes the color of his skin makes him vulnerable -- because many here will assume if you're black in his Tel Aviv neighborhood -- you are here illegally.

Many Israelis are frustrated with the estimated 59,000 illegal African immigrants in the country and Israel's inability to deal with them. Most of the new arrivals are from Eritrea and Sudan, and the government says they come illegally through the Egyptian border.

The police say about 700 African immigrants enter the country illegally every week.

Illegal African immigrants are blamed by residents in neighborhoods where there is a large African population for increasing levels of crime, suffocating the infrastructure and changing the fabric of Israel.

Many Israelis who sympathize with the plight of African immigrants say they believe racism plays into all this. Some Israelis are asking how a country that founded by Jews trying to escape persecution could turn against anyone trying to escape danger in their own lands.

Attorney Asaf Weitzen, who works with the immigrant hotline in the south Tel Aviv neighbourhood of Hatikva, trying to sort out immigrants' legal problems, says: "There is a very big pressure on the neighborhood, and the structures cannot support so many people." He adds that the problem is exacerbated because newcomers come from a different background, speak a different language and have a different approach to life as well as by the fact they are a different race.

The biggest problem that immigrants and Israel face, Weitzen says, is the lack of a proper and enforceable immigration policy.

He says the Eritrea population should be award asylum and given the necessary papers to work. His words echo the call from the United Nations for Eritreans to be given refugee status due to conditions in their home country.

But Israel has no diplomatic relations with Sudan, the source of the second largest illegal immigrant group in the country, so repatriating those immigrants is nearly impossible.

The current Israeli policy leaves the immigrants in an unsustainable holding pattern, says Weitzen: They are not allowed to legally work but do so anyway, leaves residents frustrated as the number of poor grow in certain neighborhoods, putting pressure on everything from housing to hospitals.

Israeli Prime Minister Benjamin Netanyahu says the immigration problem is being dealt with.

"The problem of infiltrators must be resolved and we will resolve it," he said last Thursday. "We will complete the construction of the security fence in several months and soon will start the process of sending the migrants back to their home countries."

Anti-immigrant sentiment is particularly strong in Hatikva, partly due to the influx of large numbers of African immigrants who have moved in there. In May an anti-immigration protest numbering several hundred demonstrators boiled over into all-out violence bashing in a few store and car windows owned by African immigrants. (TRY THIS FIX)

Israeli protesters chanted slogans such as "infiltrators get out" and "Tel Aviv: A refugee camp". Three members of the right wing Likud party -- part of the governing coalition - were among the politicians who attended. One of them, Miri Regev, was quoted as saying that "the Sudanese are like a cancer in society." Police arrested 17 Israeli protesters at the demonstration and charged them with property damage.

In two separate cases in May, two African illegal immigrants were arrested and charged with raping teenage Israeli girls, sparking even more tension between the communities in some parts of the country.

Even mentioning the issue of illegal immigration in the neighborhood where the violence broke out causes crowds of residents to form. One was close to tears about the situation, saying that people feared the influx of Africans -- and sometimes Africans themselves.

"They come by group, by group, by group and I [am] alone, I [am] afraid," said long-time resident David Ovady, who has lived in south Tel Aviv for 40-plus years. He held up a container of pepper spray that he now keeps with him at all times when he is walking around the neighborhood.

Dror Kahalani, a community activist who has lived in the neighborhood for 45 years, said through tears that he knows the immigrants are human beings and need help -- but that it's not up to residents to foot the bill for them.

"The government must, must in every meaning of the word, starting tomorrow morning," said Kahalani, "gather them all together, build them a tent city and give them solutions, food, medical, everything they need, give it to them. But not here."

In the aftermath of the attacks and arrests, visual reminders of the tension are gone but not the sentiment. "Someone has to take over the law," Kahalani said.

The day after the attacks, Netanyahu denounced the violence and what many described as provocative language used against the illegal immigrants. "I would like to stress that the expressions and acts that we have viewed last night are unacceptable," the prime minister said.

Amene Tekele Haymanot, who works and lives in Hatikva, says that his Israeli neighbors continue to make threats and intimidate him even after breaking apart his business.

He says Israelis in the neighborhood threatened to kill him and burn his place down.

With no official refugee status he now wants to close his store and move somewhere where he can live in peace. So far he can't seem to find that, no matter where he goes.

@highlight

Tension has flared in parts of Israel between some immigrants from Africa and residents of the neighborhood

@highlight

Residents says that the infrastructure and public services cannot cope with the new arrivals

@highlight

Many Israelis who sympathize with the African immigrants say they believe racism is a factor

@highlight

Israeli Prime Minister Benjamin Netanyahu says the immigration problem is being dealt with