Hong Kong (CNN) -- Growing levels of conflict, terrorism, and the toppling of regimes in the Middle East and North Africa, as well as political violence in East Africa, are driving a rise in political instability worldwide, according to research by UK risk analysis firm, Maplecroft released on Thursday.

Since 2010, one in ten of the countries surveyed have experienced a significant increase in the level of short-term political risk.

These risks include governments asserting control over natural resources, regimes being ousted by popular uprisings and the expropriation of foreign investors' assets.

The findings form part of the latest Maplecroft Political Risk Atlas, which uses 52 indicators to help companies monitor political issues affecting the business environment in 197 countries.

Since 2010, Syria has deteriorated the most. It now ranks second compared with a 44th place ranking in 2010. Somalia topped the rankings.

Afghanistan, Sudan and the Democratic Republic of the Congo also ranked in the top five.

Egypt has been downgraded to "extreme risk" for the first time as a result of violence following the ousting of former President Mohamed Morsy and an increase in terrorist attacks in the Sinai Peninsula, the report said.

Maplecroft warned that Syria, Egypt and Libya are "now so bad" that they will be "mired in exceptionally high levels of dynamic political risk for years to come."

A fall in political violence in the Philippines, India and Uganda has contributed to these countries experiencing the biggest reduction in short-term political risk over the past four years.

Improvements in the level of governance has also helped to lower risk levels in Malaysia and Israel in the same period.

Social unrest

The report said there is a higher chance for social unrest to exacerbate political instability in Bangladesh, Belarus, China, Kazakhstan, Saudi Arabia and Vietnam.

"This is due to the erosion of democratic freedoms, increasing crackdowns on political position and the brutality by security forces towards protesters, compounded by rising food prices and worsening working conditions," Maplecroft said in a statement.

Another concern for foreign investors is that there has been a major increase in oppression by governments worldwide.

"This erosion of political freedoms is central to driving the wider risk of unrest and instability in the medium- to long term," said Charlotte Ingham, senior political risk analyst at Maplecroft.

In the short term, foreign investors face a heightened risk of becoming complicit with the actions of these oppressive regimes, which poses a threat to a company's reputation, the think tank said.

Empowered youth

Instability increases as the gap grows between political freedoms and social gains, such as education and computer literacy among young people.

In 2010, prior to the the Arab Spring, Libya, Tunisia, Iran, Syria and Egypt were among the countries with the biggest divide between political freedoms and social gains.

Maplecroft predicts that the growing imbalance between social gains and political freedoms in Bahrain, Azerbaijan and South Africa will heighten the risk of instability in those countries in 2014 and beyond.

Although China is categorized as "extreme risk" in Maplecroft's ranking of oppressive regimes, the speed of the country's governance reforms is likely to be sufficient to limit the chances of widespread social unrest that could lead to a "jasmine" revolution, according to the think tank.

But China's increased scrutiny of foreign business practices has created compliance challenges for companies operating there, the report added.

Maplecroft cautioned that Vietnam's crackdown on social media and freedom of speech amid growing opposition may undermine the stability of the government in the long term.

Poland has experienced a significant increase in the level of political freedoms over the past four years, according to Maplecroft, and now displays a "near perfect balance" between the level of political freedoms and social gains, which reduces the likelihood of protests and disputes over labor conditions.

Political violence

East African countries saw the biggest increase in the risk of political violence, including terrorism, poor governance, and regimes vulnerable to popular uprisings. Somalia, Sudan and South Sudan scored in the "extreme risk" category, while Kenya and Ethiopia are "high risk." Eritrea, Tanzania and Mozambique also saw a change in their risk category.

Three years after the Arab Spring, more than 60% of countries in the Middle East and North Africa region have seen a significant rise in political violence, demonstrating the long-term political risks associated with forced regime change, the report said.

In the West, the impact of the global financial crisis continues to be seen in high levels of unemployment and underemployment.

This, combined with austerity measures, has contributed to growing inequality and stalling or declining living standards, according to Maplecroft.

Political landscapes both in Europe and the United States have become increasingly fragmented and polarized as populist parties flourished in response to growing voter dissatisfaction with established political parties over these issues.

@highlight

New research finds the Middle East and North Africa, and East Africa are political risk hotspots

@highlight

The Philippines, India, Uganda, Ghana, Israel and Malaysia saw the largest decrease in risk

@highlight

More than half of countries are classified as 'extreme' or 'high risk' of limiting political freedoms

@highlight

Disparity between political freedom and education drives short-term social unrest