(CNN) -- Karry Trout's first patient was a 38-year-old woman who had been diagnosed with Stage 3 breast cancer.

The patient had waited nearly six months after feeling a lump in her breast to visit the doctor. She had no health insurance.

It was Trout's job, as Mason General Hospital's patient navigator, to guide the single mother through treatment and, hopefully, into recovery.

Patient navigation is a relatively new field in the health care industry. A navigator's primary role is to remove the obstacles patients face in accessing or receiving treatment. More hospitals are creating these positions to help patients traverse an often-confusing medical system.

Despite her inexperience, Trout could relate to the fear she saw in the patient's eyes.

"I know what the shock of a diagnosis is like. I know what the waiting and the unknowns are like," she says. "I haven't experienced it personally, but I think sometimes it's worse when it's your child going through it."

Trout's daughter, Ella, was almost 8 months old when doctors first spotted a problem. One of Ella's eyes wasn't tracking properly, and soon after it started to bulge. Doctors at Seattle Children's Hospital diagnosed an optic glioma, or a tumor growing around the nerve that connects the eye to the brain. By the time she was 18 months old, Ella had lost sight in both eyes.

Ella went through four years of chemotherapy, several major surgeries and six weeks of radiation all before the age of 7.

New to Shelton, Washington, and a single mother, Trout struggled to keep Ella's frequent doctor appointments in Seattle, about two hours from home, as well as work a full-time job as a radiologist for Mason General and juggle never-ending insurance forms.

"It's a lot," Trout says. "And when you are going through that diagnosis, and then you have all of that on top of it, it can be very overwhelming."

4 ways to control your health care costs

Four years ago, Trout got a notice from the Susan G. Komen foundation about a grant for breast cancer patient navigation. What on earth is patient navigation? she wondered. After a bit of research, Trout realized what had been missing from her experience with Ella.

"I didn't have somebody who was my go-to person," she says.

Trout applied for the grant, and Mason General was awarded enough money to start a program.

In her role as a patient navigator, Trout does community outreach to raise awareness about the importance of breast cancer screening. She is one of the first staff members to meet with a patient after a diagnosis, providing them with information that they can read later when the shock has worn off. She works with specialists to arrange appointments and helps connect women with financial aid, transportation or child care if they need it.

"When you get that initial diagnosis, you just have a lot of questions," she says. "And it's hard to pick up the phone and speak to your physician or nurse every time you have a question. That's what I'm here for."

Patient navigation programs are the result of the medical community's new emphasis on patient-centered care, says Mandi Pratt, associate director of community programs at George Washington University's Cancer Institute.

"Patient navigation, in part, is a function of how fragmented our (health care) system is," Pratt says. "It makes it difficult to have a seamless experience."

Are we prepared for 18 million cancer survivors?

Advocates say patient-centered care can improve outcomes and reduce costs, so much so that hospital reimbursement from insurance companies is now partially tied to patients' opinions on how well a facility treated them.

In 2011, the American College of Surgeons' Commission on Cancer established new accreditation standards for cancer facilities, requiring them to incorporate "a patient navigation process to address health care disparities and barriers to care."

The standards move us closer to a future Dr. Harold Freeman first envisioned in the 1980s. Freeman then was a breast cancer surgeon in Harlem, New York, trying to figure out why patients in his hospital had a five-year survival rate of 39% when it should have been closer to 85%.

Freeman realized many patients were being diagnosed with late-stage breast cancers; they were arriving at the clinic with large masses that had obviously been ignored. Freeman identified five main barriers his patients faced in receiving care: financial, communication, medical system, psychological and personal.

Obstacles ranged from not having health insurance to not understanding the language. Some patients feared doctors or mistrusted medical advice. Others simply missed chemotherapy because they couldn't find child care.

"People got lost in the complex system," Freeman says.

In 1990, he pioneered the first-ever patient navigation program, training people from the community to listen and answer questions after a diagnosis. He also began an educational program to advocate for screenings.

Over time he increased patients' five-year survival rate in the same population to 70%.

These barriers are never going to go away completely, Freeman says, but patient navigation can help address them.

"Can you eliminate poverty? Probably not ... but you can change the things that poverty means," he says. "If poor people are less educated, you can educate poor people. If poor people don't have access to screening, diagnosis or treatment, you can create programs to concentrate on those one by one."

For now, patient navigation is primarily being used in the cancer community, but it's spreading to other chronic diseases. Even patient navigation, Freeman says, falls prey to our fragmented system -- one filled with specialists that each operate in a separate universe.

5 million more people living with diabetes

Freeman compares the care continuum, from the first examination to survivorship, to a mile relay.

"It takes teams of people passing batons one to the other until the last runner crosses the finish line."

Since starting the patient navigator program at Mason General, Trout has helped hundreds of women cross that finish line. She often receives letters of thanks from patients who say she helped them feel empowered to make informed decisions in a time of chaos.

"I think when you go through things as a patient, you know, as a parent -- to be able to be treated with compassion and not just (as) another diagnosis is a gift," Trout says. "And that's what I hope I provide."

Let's talk about sex ... and cancer

@highlight

More hospitals are hiring patient navigators to help patients through a confusing system

@highlight

Most navigators are working in cancer centers, but the idea is spreading to other areas

@highlight

Dr. Harold Freeman pioneered the first patient navigation program in 1990