Why play one sport when you can play two at the same time?

That was the question a number of like-minded individuals were asking themselves, circa 2006.

And it is thanks to the vision of these select few that the sport of FootGolf -- a game, unsurprisingly, combining elements of football and golf -- was born and has been spreading its way around the globe ever since.

One of those men was Mike O'Connor, who today combines the roles of president of the Federation for International FootGolf (FIFG) and president of UK FootGolf.

"I just knew FootGolf would be a bit of a no-brainer for the amount of golf courses there are, as well as the number of golfers and footballers," O'Connor told CNN of a game that involves players kicking a football around a golf course, complete with bigger holes.

"I always thought it would take off. So it was just a question of waiting for the right time to get involved with it all really."

After years in production, O'Connor would bring the sport to the UK -- where there are now over 10,000 active players -- and set up UK FootGolf in 2012.

Yet it is a Dutchman called Michael Jansen who is credited with the title of founding father of the game.

"He created what we do today," O'Connor said. "He created everything, from how the game is played, down to the look of the players. Everything."

Kicking around a new idea

Jansen, now an FIFG ambassador, held the first FootGolf competition in the Netherlands in 2008, after hearing of a unique idea from friend and former professional footballer Willem Korsten.

Korsten had played an early interpretation of the game during his days at Tottenham Hotspur, when he and his teammates would attempt to kick a football from the training pitch back to the changing rooms in as little time as possible.

The mere invention of FootGolf seems to be a natural progression, given that football and golf have long shared a close relationship.

Footballers are well known for playing golf in their spare time, so perhaps it is no surprise that FootGolf has proved such a hit with those hailing from a footballing background -- 70% of people who have taken up the sport have been footballers.

While there is obviously the relaxing aspect of walking around a golf course on a sunny day, former English Premier League player Bryan Hughes also feels that the sport represents another opportunity for footballers to flex their competitive muscles.

"There is that challenge when playing golf. As sportsmen, we've all got that in our lockers. We want to challenge each other, we want to challenge ourselves and obviously be the best. That's why footballers turn to golf," he told CNN.

"It can be a challenge if you want, but I think it's good that you can actually have it as a casual game as well. Some footballers play golf but do it as a hobby, to relax and wind down, and escape from the pressures of a football match on a Saturday."

But while golf is in good health when it comes to attracting footballers, the sport has lost players in recent years -- According to a report in The New York Times, a recent survey by the U.S. National Golf Foundation estimated the game has lost five million in the last decade, with 20% of the existing 25 million golfers likely to quit in the next few years.

Many feel the game takes too long to play, is too difficult to learn and has too many complicated rules, which has led to a number of new alternatives being introduced to help boost a sport in decline.

Such concerns have led to the introduction on golf courses of 15 inch-wide holes -- about four times the width of a standard hole -- a relaxation in the game's rules, and of course, FootGolf.

Gaining a worldwide foothold

Since Jansen's inaugural competition -- open to a mix of Dutch and Belgian professional footballers -- the sport has gone from strength to strength.

Three countries formed the FIFG in June 2012 for the first ever World Cup in Budapest, Hungary, while today the world governing body boasts 22 different member nations, ranging from South Africa to Argentina.

"A lot of people are getting involved and loving the sport. It's definitely the fun element that attracts people to it," O'Connor said. "It catches such a large demographic because it's such a low skill level to be able to play. You've just got to be able to kick a ball."

And it is the sport's ability to appeal to all that means a FootGolf course somewhere has likely played host to either a family visit, a first date, a corporate business trip or even, as was the case in the UK, an 81-year-old grandmother's day out with her grandson.

But while there is little doubting the game's capacity to attract members from most walks of life, O'Connor feels luring newcomers at a young age is truly pivotal to FootGolf's future and its capability to grow as a sport.

"When I first set up FootGolf I knew a lot of people would want to play the sport, and I knew I wouldn't be alone in liking the idea of playing football on a golf course," he said. "But I was always conscious of the next level.

"I knew it would take off with adults, but we started looking at how the sport could continue to grow and grow. And if you get the youngsters involved you're going to still be going in 10, 20, 30 years' time, and you'll be continuing to build, develop and progress."

Much to O'Connor's surprise, since its introduction, the sport seems to have struck a particular chord with junior football coaches.

There has been an overwhelming response from these coaches, who have contacted UK FootGolf to explain that the game is the perfect way to help youngsters focus on their passing and shooting.

So much so, that the governing body has taken the steps to set up its very own UK FootGolf Academy Scheme, due to start for business in May, and headed up by Hughes, who previously played for Birmingham City, Charlton Athletic and Hull City and is now a player-assistant manager at Scarborough Athletic.

The scheme is currently being worked on with UK-based 1st4sport -- who develop training qualifications for the likes of the English Football Association and the English Rugby Football Union -- and will range from including holiday camps for kids to qualification courses for future coaches.

Hughes will take on the role of academy director, and like O'Connor, he feels the scheme can help to push the boundaries of FootGolf even further.

"The concept of FootGolf is something that really appeals to me and I'm sure there is a massive amount of people that would really want to get involved with the Academy Scheme. The potential there is huge and it is something that I'm really looking forward to," Hughes said.

"I don't think a lot of kids get the right sort of education when it comes to sport, I think they just want to kick the ball against a wall nowadays. They need direction and for somebody to really push them a little, to get them right up there and become the best they really can be. The scheme will give you that platform."

As well as furthering the profile of the sport, the Academy Scheme will be hoping to produce some of the FootGolfers of tomorrow.

A tour de force

The FIGC currently stages a European Tour, with each of its different 22 member nations holding their own tournament throughout the year.

Some of the world's finest players go from competition to competition looking to accumulate points, before a European champion is eventually crowned at the final stage in Portugal in November.

"Players travel from country to country because they love FootGolf and they love trying different courses," O'Connor said. "There's quite a small, but cult, following of people that do this. They all want to get ranked and be known as a good FootGolfer, not just in their own country but around the world."

There are also a number of domestic tournaments taking place each year on various courses across the globe.

The U.S. currently leads the way when it comes to different courses with 90, while the UK, now boasting 30, has made impressive progress to move up to second, given it had just two at the beginning of 2013.

With FootGolf continuing to make huge strides both at home and abroad, O'Connor has high hopes for the sport and feels the sky is most certainly the limit.

"In five years' time, every country in the world that has got golf courses will be a member of the Federation for International FootGolf," O'Connor said. "With the amount of inquiries we are getting from all over the place, I have no doubt about that.

"We've got somebody in Togo asking us about joining the FIFG. They've only got one golf course in Togo, and they're talking about putting FootGolf on it! That's how big an impact the sport is having around the world."

Read more: A golf club with more eagles than most

@highlight

FootGolf is played in a number of countries around the world

@highlight

The Federation for International FootGolf boasts 22 member nations

@highlight

UK FootGolf set to introduce its own UK FootGolf Academy Scheme