(CNN) -- Nine months after a Justice Department investigation castigated Puerto Rico's police department, another exhaustive report, this one by the American Civil Liberties Union, discloses evidence of widespread abuses and violations of civil rights.

The Puerto Rico Police Department, the second-largest police department in the United States, was the object of a scathing report by the ACLU that concluded things have not changed since the government issued its own report.

The 17,000-strong department "is a dysfunctional and recalcitrant police force that has run amok for years," the report said.

The organization found routine use of excessive force and incidents of civil and human rights violations, especially against low-income people, Puerto Ricans of African descent and Dominican immigrants.

"These abuses do not represent isolated incidents or aberrant behavior by a few rogue officers. Such police brutality is pervasive and systemic, island-wide and ongoing," the new report states.

Puerto Rico's secretary of state called the ACLU report a "rehash" of what the federal government had already found, and said that changes are already under way.

Millions of dollars have been spent on retraining, new equipment and salary raises to improve morale, Secretary of State Kenneth McClintock said.

The Justice Department's own report included more than 100 recommendations that had been drafted and implemented by the Puerto Rican government itself, he said.

"We are already changing the police force and changing it dramatically," he said.

Government officials of the U.S. commonwealth admit that there are some problems with its police force, but it is not correct to call it pervasive, he said.

"For some agents it was something ingrained, in some members of the force," McClintock said.

The Puerto Rican government has raised more than $50 million to spend on its police force, much of that going to police raises and training.

When the Justice Department released its report last year, it noted that amid the allegations of abuse, Puerto Rico was grappling with a record-number of homicides in 2010.

The ACLU report updates the figure, saying that with 1,130 murders in 2011, last year set a record for homicides.

Over a five-year period from 2005 to 2010, more than 1,700 officers -- or about 10% of the total police force -- were arrested for criminal activity such as assault, theft, domestic violence, drug trafficking and even murder, the report says.

The ACLU says that incidents of abuse or impropriety have been reported as recently as May of this year.

"You don't have a dramatic transformation overnight," McClintock said.

According to the ACLU, the Puerto Rico Police Department has used unreasonable force in at least some of the 28 deaths of civilians that it said came at the hands of the police.

The most recent killing happened in April of this year, the report states.

On April 27, two brothers got into a dispute with a police officer after he stopped their sister for speeding. At one point, one of the brothers took the officer's nightstick and hit him with it, and the other hit him with a pipe, police have said. The officer responded by firing 14 times, killing Saul Medina Figueroa and critically injuring Adrian Medina Figuaroa, the report states.

The sister disputes that the officer acted in self-defense, raising questions about the justification of the officer's use of force, the ACLU report says.

The ACLU based its findings on interviews conducted in Puerto Rico between March and September, 2011.

Puerto Rico: A forgotten front in America's drug war?

KKK wants ACLU help to adopt highway

CNN's Nick Valencia contributed to this report.

@highlight

The ACLU says it found a pattern of civil rights violations by Puerto Rican police

@highlight

A government investigation had a similar conclusion last year

@highlight

Puerto Rico says it is already working to fix the problems