In 2010 alone, there were roughly 1,100 attacks on U.S. fuel convoys. This has cost the men and women of our armed forces dearly.

Military officials recently reported  that more than 3,000 uniformed soldiers and contractors died while protecting such missions in Iraq from 2003 to 2007.  But new Pentagon initiatives could dramatically reduce our battlefield fuel demand through the use of new clean energy technologies, helping save lives and stretch ever-scarce defense dollars.

The U.S. Department of Defense is one of the world's largest institutional energy consumers. Using more than 300,000 barrels of oil daily, the U.S. military consumes more petroleum products than three-quarters of the countries in the world.

In fiscal year 2008, energy cost the department about $17.9 billion. Leaders in the Pentagon, though, are up to the challenge.

The Defense Department played a key role in the development of the Internet, semiconductors and modern satellite-based navigation, used by virtually anyone with a smartphone. Now, as detailed in a recent report by the Pew Charitable Trusts, its efforts to improve vehicle efficiency and use advanced biofuels could similarly lead the way for countless U.S. businesses seeking a foothold in the burgeoning global clean energy economy.

Building on the work of an expert panel convened by the Defense Science Board, the Pentagon has called for a new technology development strategy aimed at reducing risk to soldiers and enhancing our nation's overall long-term energy security. The department considers this one of its top strategic imperatives.

In keeping with this plan, the military has set a target of obtaining 25% of its energy from renewable sources by 2025, with 450 renewable energy projects already functioning.

For example, the Navy will soon test a hybrid electric drive system for the USS Truxtun, a guided missile destroyer, which will save 8,500 barrels of fuel annually. The Air Force made history last year with the first flight of a biomass-powered aircraft, the A-10C Thunderbolt II. And the Army has insulated roughly 9 million square feet of bases in Iraq and Afghanistan, reducing energy consumption by 77,000 gallons per day.

With more than 500,000 buildings and structures at major installations around the world, the Defense Department manages three times the square footage operated by Walmart. Since 1985, it has reduced its facility energy consumption by more than 30%.

The Army's "Net Zero" program offers another case in point. The project aims to have select installations each produce as much as they consume in energy, water or waste by 2020. Fort Carson and Fort Bliss, to name just two, will become Net Zero in all three areas.

Combined, these efforts could have a huge impact on U.S. operational security. On average, each deployed soldier requires 22 gallons of fuel per day. In fact, in Afghanistan alone, tens of millions of gallons of fuel must be delivered each month.

Yet, according to the U.S. Army, there is roughly one casualty for every 46 ground resupply convoys in Afghanistan. So reducing our reliance on oil could keep countless troops out of harm's way.

This Pentagon initiative could also act as a catalyst for our nation's growing clean energy economy. According to Pew's report, the military's sizable purchasing power could provide a crucial difference in helping technologies make the transition from the labs to the marketplace. In the process, badly needed jobs and manufacturing opportunities in the private sector also could be created across the nation.

The past decade has presented great challenges to our armed forces. They have responded with creativity, tenacity and courage. The Pentagon has been charged with managing two wars, helping establish more robust homeland security measures and responding to worldwide humanitarian emergencies.

Throughout these trying times, however, the military also has looked inside its own operations and developed a sound strategy to enhance America's security and lessen our dependence on foreign fuels. Congress and the White House should match that effort and aid this endeavor to save American lives, money and energy.

@highlight

Phyllis Cuttino: Thousands of soldiers in Iraq were killed protecting fuel convoys

@highlight

Defense Department is one of biggest energy consumers in world, she writes

@highlight

Now, she says, military is playing key role in developing renewable energy sources

@highlight

Cuttino: Pentagon biofuel initiatives could also help U.S. businesses