Vardzia, Georgia (CNN) -- In an isolated mountain valley on the southern edge of the former Soviet Union stands a cliff honey-combed with caves.

This is Vardzia -- a cave monastery built in the 12th century by Georgian kings and queens.

In the 800 years since its construction, Vardzia has been destroyed by an earthquake and further damaged by invading armies. In the final days of winter, when snow coats the surrounding peaks, the caves look all but deserted.

But Vardzia does have several permanent residents: seven Orthodox monks who have become the de-facto guardians of this ancient site.

They live much like their ancestors did, in spartan cave dwellings on the side of the cliff. They draw their water from a spring deep within the mountain that is only accessible via a series of tunnels. The well is called "Tamar's Tears," after Queen Tamar, who completed construction of Vardzia eight centuries ago after the death of her father King Giorgi.

Uncorking Georgia's wine heritage

One of the monks who lives in the cliff is Father Lazar. He roams the tunnels and staircases that hug the cliff-side, dressed in flowing black robes. Though he is only 28, his thick beard and pony-tail make him look far older.

"It puts joy in my heart to live here," the priest says, as he looks out of the doorway of his incense-scented cave at the rushing river below, where he sometimes fishes for trout. "In the winter this is a quiet place. The frost sets in and the trees die. It is a holy place. A spiritual place."

In fact, Father Lazar says aside from the monks, the only other people who live in this valley, are the nuns who inhabit a small convent beyond a bend in the river.

Speaking a mixture of Georgian, Russian and English, the monk takes visitors on a small tour of the complex, pointing out the remnants of an irrigation system that once provided water to up to 30,000 residents.

He also shows Vardzia's crown jewels: two cave chapels whose domed ceilings are hewn directly out of the rock. The domes are coated with ornate,  icons, from the 8th century, depicting saints, Georgian royalty, and the dog-shaped demons that await the damned on Judgment Day.

In the summer, the monks endure a different kind of torment which disturbs their ascetic mountain life: tourists.

"For the priests, it is not very good because they make a lot of noise," Father Lazar says. "Different kinds of tourists come here, some of them yell a lot and run around here and there. They holler."

Vardzia has long been a tourist destination for hardy tourists willing to brave hours of driving down pot-holed mountain roads. But road crews are now re-paving the road - and there are big plans to further develop this quiet corner of Georgia.

"Visitors to Georgia are going to Vardzia and there is no infrastructure there at all," says Tengiz Bendukidze, an executive with Rakeen, an Emirati real estate development company. "That's why Rakeen is going to invest up to 20 million dollars. And we are going to build a 4-star hotel and villas also."

There are big hopes that through tourism, Georgia can overcome the chaos and conflict of nearly two decades of post-Soviet independence. In years gone by, this small Caucasus country was a prize destination, due to its unique combination of rich cuisine, ancient mountain-top monasteries, Black Sea coast line and full-throated polyphonic choral music.

"During the Soviet era, Georgia was the number one tourist attraction for almost all the Soviet Union," said Nika Gilauri, the prime minister of Georgia, in an interview with CNN. "We are getting back now this title for the region."

Executives at Rakeen say they are still working out the final concept of the new Vardzia hotel project.

"The main attraction is the caves. The cave city. And also we'll include [a] service package like hunting, rafting, camping and stuff like that," says Bendukidze.

The new hotel is expected to be constructed on a hillside directly across the river from the cave complex, on a patch of territory that was occupied by a Soviet-era hotel until it was demolished a few years ago.

Father Lazar has little positive to say about the old communist hotel...or its capitalist replacement.

"It's a bad idea to build a big hotel right there, directly across from Vardzia," he says. "If there's going to be a bar or a night club there, then that's also not good."

But, he concedes, the tourists will probably appreciate the view.

@highlight

Vardzia is an isolated mountain valley, home to a 12th century cave monastery

@highlight

In 800 years it's been destroyed by an earthquake and damaged by invading armies

@highlight

It looks deserted, but the caves have some dedicated residents: seven Orthodox monks

@highlight

Tourists boost the local economy, but they are also disturbing the monks' way of life