(CNN) -- Meeting planner Gail Murphy heard about the travel warning to Mexico too late in the day on Monday to do anything about her plans to head to Cancun the following day.

Alberto Morales wore a mask on his flight from Mexico City to Denver, Colorado, on Monday.

"I'm in good health," said Murphy, who is heading to the Eighth Annual Mexico Showcase and Travel Expo from her home in Shelburne, Vermont. "I'm a risk taker, so I'll go anyway."

In light of the swine flu, the U.S. State Department and the Centers for Disease Control and Prevention issued a warning against any non-essential travel to Mexico. The move could potentially devastate an already struggling tourism industry in the country.

The World Health Organization urged countries not to restrict international travel or close borders, as such measures would not in themselves stem the outbreak. Efforts to contain the outbreak by restricting travel would be unlikely to work without "draconian measures," said Dr. Keiji Fukuda, the agency's assistant director-general. But he said people who are ill should put off trips abroad, and people who fall ill after a trip should see a doctor.

Mexico is the epicenter for the swine influenza virus outbreak. More than 100 deaths in Mexico are being investigated as possibly tied to the outbreak.

The WHO confirmed 73 cases of swine flu Monday, but health officials in Scotland, California and Texas confirmed nine more, bringing the worldwide total to 82.

Reports of the illness in Mexico couldn't have come at a worse time for the country's tourism industry, which is already grappling with negative publicity about drug-cartel fueled violence.

"They were having a terrible time anyway with all of the problems on the border and now to be hit with this, too," said Barbara Nassau, owner of New York-based In House Travel Solutions. She added that the outbreak has the potential to hamper travel similar to the way it was affected when bird flu hit China.

iReporter Dyana Pari Nafissi works in international business development in Mexico City and said tourism in the country had already been dealt a blow by fears of violence. iReport.com: Watch Dyana discuss what's happening in Mexico

"We've been on a steady decline since the first U.S. travel warning about the drug cartels," she said. "When you look at the kids that braved [that travel warning], and now they are back [in the U.S.] and they are sick. It's devastating to the economy here."

Some of the confirmed cases in the United States were high school students who recently returned from a trip to Mexico.

News of the outbreak didn't seem to overly concern travelers arriving Monday at Denver International Airport on a Mexicana flight from Mexico City.

Two Mexicana crew members who didn't want to be named said about 60 percent of the passengers wore masks during the flight.

Ernesto Vargas, a Mexican businessman, didn't wear a mask. "I thought about carrying one with me, but the crew wasn't wearing a mask. So we asked them, and it seemed quite safe."

Alberto Morales, another businessman, said he wore a mask in the Mexico City airport and on the plane. "Yes. I have a mask, and we are using the mask."

Is he concerned? "Don't worry, I am OK," he said with a laugh.

"People are afraid about the flu, but we have many precautions and the government has a good sense for this trouble," Morales said.

Ian Jeffries, a spokesman for Expedia.com, said the company had no data as of Monday on cancellations or changes caused by fear of swine flu, but added that it was prepared to aid any of its customers that had concerns.

"Expedia is currently offering to waive Expedia-imposed change and cancel fees for hotel and air reservations originally booked to Mexico," he said. "We will continue to monitor the situation and modify our policy accordingly."

Several major U.S. airlines also are waiving fees for those who want to change their travel plans to Mexico.

Jeffery Brown arrived at the airport in Atlanta, Georgia, on Monday after spending five days in Cancun with his wife. They saw people in surgical masks but didn't notice any widespread concern.

"My wife and I were a little concerned, but you know we haven't seen anybody sick in our resort, and we haven't seen anybody sick at the airport," he said. "Nobody said a word about it [at the resort]."

Mexico isn't the only country that potentially has a tourism headache on its hands. Cases of swine flu have also popped up in Canada and Spain as well as the United States and Scotland.  Watch how businesses might be affected by swine flu »

Steve Weakland, border security coordinator for the United States Customs and Border Protection  Atlanta field office, said all of his personnel have received illness recognition training.

If a traveler exhibits symptoms of the disease, CBP employees have been trained to inform the Centers for Disease Control and Prevention to further investigate.

"Our guys are more the recognition aspect of it," Weakland said. "We wouldn't make any diagnosis or anything along those lines."

Teresa Roberts planned to take her mom to Akumal, Mexico, for Mother's Day and said she was more worried about traveling to New York for business than she is about contracting swine flu south of the border.

"Just because of the number of different travelers that go through the airports in New York from all around the world," said Roberts who flies about two or three weeks a month  from her home in Atlanta, Georgia. "I'm not nervous about going to Mexico at all."

Many in the tourism industry appeared to be taking a wait-and-see approach. Disney Cruise Lines, which does not sail into Mexico, said it is closely monitoring the situation, as did officials for theme parks including Universal and Sea World in Orlando, Florida.

Meg Barton travels several times a year to Mexico from her home in Round Rock, Texas, and also isn't overly worried. Because of her father's recent heart surgery, she is already an avid hand washer and is always cautious about germs when abroad.

"I don't drink a lot of water in Mexico ever, and I am really more concerned about the drug issues in Mexico than I am the swine flue," Barton said. "We take antibiotics and Pepto with us when we travel."

Eric Meyer of Lafayette, Colorado, flew in to Minneapolis-St. Paul with his wife and baby to visit family in Minnesota and lamented that "It's out there, but what can you do?"

"Wash your hands maybe and call it good," he added. "Put a mask on? [I'm] not gonna go that far and be that guy yet."

Rochelle Yates said a client of her New York City-based Yates Travel is planning to take plenty of antiseptic products on an upcoming trip to Cancun. Most seasoned travelers know to guard against infectious disease ordinarily, Yates said.

"My clients are people who travel all over the world, and they know that you have to take precautions regardless," Yates said. "You have to wash your hands no matter where you are, if you are on a cruise ship, in a hotel or even in your own house."

CNN's Chris Welch, Jim Spellman and Amy Zerba contributed to this story.

@highlight

U.S. issues an advisory against non-essential travel to Mexico

@highlight

Tourism industry waiting to see effects of swine flu

@highlight

Mexico tourism already dealing with reports of violence

@highlight

Theme parks, cruise lines and others monitoring situation