(CNN) -- The family of Marlise Munoz has long said the pregnant Texas woman was brain dead, but now it has the medical records to confirm it, lawyers said Friday.

"We have recently received Marlise Munoz's medical records, and can now confirm that Mrs. Munoz is clinically brain dead, and therefore deceased under Texas law," attorneys Jessica Janicek and Heather King said in an e-mail.

Meanwhile, the judge in the case has recused herself from "all remaining proceedings" and asked that another judge be assigned, according to the order for recusal.

No reason for the recusal is cited, and Melody McDonald, a spokeswoman for the Tarrant County District Attorney's Office, said the office learned late Wednesday afternoon that the judge had stepped down. The case was transferred to the 96th District Court in the county, according to a court order signed Friday.

"I do not have any other details, and we will have no further comment at this time," she said.

Munoz's husband, Erick, asked a court Tuesday to force a hospital to take her off a respirator, ventilator and other machines, saying her wishes shouldn't be disregarded just because she is pregnant.

Erick Munoz filed an emergency motion as well as a complaint against John Peter Smith Hospital, both with the same goal: to have the hospital disconnect the machines so that her family can take her body and give her a proper burial.

"Marlise Munoz is legally dead, and to further conduct surgical procedures on a deceased body is nothing short of outrageous," her husband says in the motion.

Erick Munoz -- like his wife, a paramedic by training -- said previously that doctors told him his wife "had lost all activity in her brain stem," and an accompanying chart stated that she was "brain dead," according to his lawsuit.

The hospital referred requests for comment to the Tarrant County District Attorney's Office, which said it will defend the medical facility against the lawsuit. It is legal counsel for John Peter Smith Hospital "in a number of civil areas."

In a brief court document filed Friday, the civil defendant said simply, "Tarrant County Hospital District d/b/a JPS Health Network generally denies, each and every, all and singular, the allegations contained in Plaintiff's Original Petition and demands strict proof of the same."

At this time, no hearing has been scheduled in the case.

Hospital spokesman J.R. Labbe said last month that doctors were simply trying to obey a Texas law that says "you cannot withhold or withdraw life-sustaining treatment for a pregnant patient."

Munoz's husband responded by saying that "Marlise cannot possibly be a pregnant patient -- Marlise is dead." Furthermore, he argued that her wishes -- relayed, he said, in conversations but not in writing that she not be on "life-sustaining" measures when she is brain dead -- shouldn't be treated differently from a man or other woman simply because of her pregnancy.

Mother of pregnant woman on life support: Change the law

Last month, Erick Munoz discussed with CNN affiliate WFAA his wife's wishes and how their shared occupation had helped shape her views.

"We'd seen things out in the field. We both knew that we didn't want to be on life support," he said. "We reached a point where you wish your wife's body would just stop."

Lynne Machado, Marlise Munoz's mother, said Tuesday the family is not talking about the case but said she and her husband, Ernest, agree with Erick Munoz that their daughter would want to be removed from the machines.

'Against the expressed will' of family

As the lawsuit details, the story began at 2 a.m. on November 26, when Erick found his wife unconscious on the kitchen floor. At the time, she was 14 weeks' pregnant with the couple's second child.

Soon after that, she was taken to John Peter Smith Hospital, where Erick Munoz says he was told that his wife "was for all purposes brain dead." The family also says the fetus may have been deprived of oxygen.

In the lawsuit, he says subsequent measures taken at the hospital -- and, in turn, the state law used to justify them -- amount "to nothing more than the cruel and obscene mutilation of a deceased body against the expressed will of the deceased and her family."

"Marlise Munoz's death is a horrible and tragic circumstance, but by no means should (the hospital) be entitled to continue cutting into her deceased body in front of her husband and family under the guise of 'life-sustaining' treatment," the lawsuit says.

Dr. Jeffrey Ecker, director of obstetrical clinical research and quality assurance at Massachusetts General Hospital, works on complicated pregnancies and prenatal diagnosis. He says nothing scientifically in Marlise Munoz's pregnancy is black and white.

"A lot depends, first of all, on how long the patient here was deprived of oxygen, or otherwise compromised. We can certainly use tools like ultrasound and MRI to sometimes see where there has been injury as a result of low blood pressure or low oxygen. But just seeing that things look well isn't the same as saying that things will be well," he told CNN.

"Those things can't perfectly predict health and outcome. And there are certainly occasions where as we look as best as we can tell, a fetus seems to be developing appropriately and meeting all its milestones, and yet after birth, after delivery, there is evidence of profound compromise," Ecker said.

Tom Mayo, a Southern Methodist University law professor who helped write the applicable Texas law, said he believes the hospital is misinterpreting it.

"She's not a patient anymore," he said. "And so I don't see how we can use a provision of the law that talks about treating or not treating a patient in a case where we really don't have a patient."

The Texas law states that a "person may not withdraw or withhold life-sustaining treatment under this subchapter from a pregnant patient."

Mayo said, "The provision they seem to be relying on is called the pregnancy exclusion. More than 30 states have this pregnancy exclusion in their law. ... If they're relying on that provision, I think Texas law in that respect does not compel the provision of life-sustaining treatment."

When 'life support' is really 'death support'

CNN's Vivian Kuo, Elizabeth Landau and Ed Lavandera contributed to this report.

@highlight

NEW: Hospital "denies each and every" allegation by woman's family

@highlight

Family has said Marlise Munoz is brain dead, and medical records now prove it, lawyers say

@highlight

Munoz was 14 weeks' pregnant when stricken, and hospital has said it must follow state law

@highlight

Family: Munoz has no life to sustain, and hospital's treatment is "cruel and obscene mutilation"