(CNN) -- Since the start of the financial crisis, the world's wealthiest man, investor Warren Buffett, has been front and center.

Alice Schroeder says investor Warren Buffett has become a symbol of stability in American business.

He's advised Sen. Barack Obama on economic policy. He urged Congress to pass the $700 billion bailout bill. He bought stakes in Goldman Sachs and General Electric.

He wrote an op-ed piece in the New York Times saying he's buying stock in American companies now because he believes they will do well in the long run, citing as his rule: "Be greedy when others are fearful."

Buffett's name came up in the second presidential debate when the candidates agreed he'd be a good choice for treasury secretary. His fortune was estimated at $62 billion by Forbes in March.

Alice Schroeder got Buffett's cooperation in writing her new book, "The Snowball: Warren Buffett and the Business of Life" (Bantam Books). Schroeder, who worked on Wall Street as an insurance industry analyst, met Buffett 10 years ago when his company, Berkshire Hathaway, bought a big insurance company.

Schroeder says she suggested he write a book about his life, and the 78-year-old Buffett turned the tables, urging her to do it instead. Schroeder estimates she spent about 2,000 hours with Buffett and interviewed 250 people for the book. Now on a tour to promote her book, Schroeder is in a unique position to speak about Buffett at a time when many media outlets are seeking his views.

"I have about 300 hours of recorded interviews and the rest of the time I observed him, I watched him make decisions and talk on the phone, went through files. I got to sit in his office for weeks, I ate steaks with him," says Schroeder, who's 51. "If it ever said moo, he'll pretty much eat it. He likes his steaks bloody rare and hanging off the plate, they're so big."

CNN: Why are people so interested in Warren Buffett?

Schroeder: I think he's transcended business to become a national figure because of people's trust in him as a symbol of stability and a symbol of someone who knows how to manage risk and avoid catastrophe and of how to run a business on principles.

CNN: Is there any realistic possibility of him taking a government position?

Schroeder: No, none. What he really likes to do is run Berkshire Hathaway, and he's not going to let anything take him away from that. He's also not going to let anyone spend his day filled up with meetings or schedule his time, he's too independent.

CNN: You make clear that in the 1990s tech boom, Wall Street turned away from Buffett and there was some criticism of him. Do you think that now, because of the market downturn, people will look to him more to set a standard of how the market operates?

Schroeder: I think it's fair to say that throughout his career, every time there's been a bubble and it's burst, his reputation has grown. That happened in the 1960s, when the bubble burst in the 1970s, it happened again after 1987. It happened again after the savings and loan crisis. ... It happened again after the Internet bubble and it's happening now.

CNN: It doesn't seem to have had a lasting effect, since we keep going back into another boom period or bubble.

Schroeder: He would say that human nature doesn't change, and that fear and greed are always the two drivers of the market. And there are people who listen when he gives learnings, but that the market will always be ruled by cycles driven by fear and greed.

CNN: Have you talked to him about the current market turmoil?

Schroeder: Last spring, when Bear Stearns was being taken over by J.P. Morgan ... he talked about the dominoes falling, and how, if that happened, the government could face some very unpleasant choices and have to take drastic measures. With hindsight it looks really prescient. In 2002, he talked about derivatives as financial weapons of mass destruction.

More recently, his observation was that there was a lot of anger and denial at first about what was going on, and that people were not quite grasping the gravity of the situation and how quickly and dramatically they needed to move.

He always says, don't sell into a panic, don't let the fear and the emotions of the market change how you feel. If you own good stocks in good companies or you own an index of the markets, and you see it getting cheaper, that's a reason to be happy, not to panic and sell. ... The idea is buy low, sell high -- not buy high, sell low.

He understands the factors that are burdening the country, the federal deficit, the consumer debt, the infrastructure spending that we're going to have to do, but he has a belief in American ingenuity which over the long term has enabled our country to solve problems that seemed insurmountable in the past. For example, in the 1970s, it looked like the country could not ever dig its way out of the mess. So he does have a faith in the long-term prospects of the country.

CNN: Is he a gambler?

Schroeder: No, he's a handicapper -- big difference. A handicapper is somebody who understands odds-making. A gambler is somebody who bets but may not even understand the odds. Warren believes in a margin of safety, he doesn't bet unless the odds are overwhelmingly in his favor. When he goes to Vegas he does not gamble, he goes to see the shows.

CNN: What are his flaws?

Schroeder: He is somebody who can be very tough in business and very impersonal, including with people he likes. And in personal relationships, he negotiates as if it were a business relationship

When he was putting Berkshire Hathaway together, as [his business partner] Charlie Munger puts it, he was an implacable acquirer. The book refers to him, in my words, as a great white shark, and the book describes the battle between his avarice and his higher principles. At times, his avarice won.

And over his lifetime, it's been essentially a progress during which his higher principles have increasingly had the upper hand. But when he was in junior high, he was a shoplifter. He was a juvenile delinquent. He sold his sister's bicycle. It's been pretty much uphill from there, but it hasn't been a straight line.

CNN: In his adult life, was there a time when his avarice won out over higher principles?

Schroeder: Absolutely, he's made investments that he shouldn't have made, for example, when he invested in Salomon. He was criticizing Wall Street and saying if you want to make a lot of money, hold your nose and go to Wall Street, and at the same time he was already there. Berkshire owned $700 million of convertible preferred [stock] in a major Wall Street bank. And he was sort of mentally distancing himself from a business that he was invested in.

That kind of separation is something that's very hard to maintain. And in the end, he had to become interim chairman of Salomon to rescue the firm. Psychologically, he was trying to distance himself from it because the two sides of him were at war.

CNN: Is he still critical of Wall Street?

Schroeder: You've got an economy in which financial intermediaries who don't add anything to the economy ... have in the past two decades stripped off huge amounts of fees, particularly buyout funds, and hedge funds and funds of funds, and he's very, very critical of the amount of fees that have been taken out.

He has no problem with executive pay when it's related to performance. He thinks in most cases executives are being paid to sit in a chair whether they perform or not.  And he's pointed out that these people are not like major league baseball players, who get recruited away by other teams. When CEOs get fired and they get these golden parachutes, you don't normally see them winding up somewhere else, right?

So they're getting paid these huge amounts of money as an incentive to stay and then they get paid the consolation prize when they get fired. The pay is always getting ratcheted upward, they're getting paid to incent them to stay and they're getting paid to console them when they leave, no matter what the shareholders are getting. It's not aligned with anything the shareholders get, that really bothers him.

CNN: What would he say about coping with an economic downturn?

Schroeder: That people should think for the long run and make their personal decisions for the long run and build a margin of safety into their lives as best they can.

Think about what could go wrong. Don't assume the best-case scenario. If you've got debts, your first thought should be how to pay them off, and negotiate with creditors if you're struggling, because they'll usually be flexible. And be realistic about what you can afford, because having a financial cushion means you can sleep at night, and that's worth more than a big-screen TV.

@highlight

Alice Schroeder: Buffett is viewed as a symbol of stability and safety

@highlight

Buffett's career is a battle between avarice and higher principles, she says

@highlight

Schroeder: Buffett's critical of high fees and high executive pay on Wall Street

@highlight

Buffett has faith in American ingenuity to overcome challenges, she says