(CNN) -- A most awkward and revealing situation has emerged in the heart of Europe, forcing European governments to choose between their principles and their fears, and drawing an uncomfortable gap between Europe's words and its actions.

Last July, a bus carrying tourists about to start their vacation suddenly exploded outside the airport in the Bulgarian city of Burgas. The bombing killed five Israelis -- including a pregnant woman -- and a Bulgarian driver. This week, Bulgaria's foreign minister blamed  Hezbollah, saying an investigation showed the attack was carried out by two members of the Iran-linked Lebanese organization. Hezbollah denied the accusation. But Bulgaria says it discovered strong links, with "data showing the financing and connection between Hezbollah and the two suspects."

The news shines a light on a most surprising fact: Hezbollah has been conducting business rather comfortably in much of Europe over the years, openly raising money for its operations. Those operations, according to countless investigations in a growing number of countries, include plotting and attempting to kill tourists, diplomats and others.

Washington, which labeled Hezbollah a terrorist organization in 1995 after a series of attacks in Lebanon and elsewhere that killed hundreds of Americans, has been pressuring the European Union to do the same. But the EU has resisted. The "terrorist" designation is more than a symbolic label. The label would allow European authorities to freeze funds, control the travel of Hezbollah operatives, and otherwise do what it can to prevent more loss of life.

The new secretary of state, John Kerry, urged the EU to "send an unequivocal message to this terrorist group" now that Hezbollah has been linked to an attack on European soil. American officials have told Europe that their inaction is "making it harder to defend our countries." U.S. officials accuse Iran and Hezbollah not only of conducting attacks against civilians around the world, but also of actively supporting Syrian President Bashar al-Assad's brutal repression at home in a conflict that has already left more than 60,000 dead.

Opinion: Why Obama is going to Israel

According to a new report from the Washington Institute for Near East Policy, authorities in various countries have uncovered and disrupted nearly 30 different terror plots by Hezbollah or Iran's Quds Force, an arm of the Iranian Revolutionary Guard Corps, in the last couple of years.

But Europe, incredibly, continues to waver. EU foreign policy chief Catherine Ashton reacted to the news from Bulgaria with a clammy statement that there is a "need for reflection."

Hezbollah operates in Lebanon as a powerful Shiite political party, social services organization and an intimidating, heavily-armed militia. It has strong support among the country's Shiite population and bitter opposition from Sunnis.

EU officials say they fear destabilizing Lebanon, a country perennial teetering on the edge of sectarian violence. They also worry about angering Hezbollah, fearing attacks on European peacekeepers in Lebanon or terrorist attacks on European soil. Judging by recent events, that particular outcome was not prevented by their timid approach.

France, in particular, has resisted upsetting Hezbollah. Paris has taken the lead in fighting extremism in Africa, sending troops against militants in Mali and declaring that it is committed to "a relentless struggle against terrorist groups." But it is somewhat less relentless when it comes to Hezbollah. The French take a special interest in protecting their influence in Lebanon, a former colonial holding.

A firm Western stance against the group, however, could strengthen Lebanon's struggling pro-Western opposition, which blames Hezbollah for the assassination of many of its members, including former Prime Minister Rafik Hariri. A U.N. tribunal set up to investigate Hariri's 2005 assassination indicted four Hezbollah members.

The pattern is well established. Argentinean prosecutors accused Hezbollah of carrying out and Iran of planning and financing the worst terrorist attack in that country, the 1994 bombing of a Jewish Community Center, which killed 85 and injured 300.

Western experts generally agree with the assessment of the former U.S. homeland security secretary, who describes Hezbollah as "the most potent terrorist organization in the world." The government of the Netherlands already declared it a terrorist group and Britain named its militant wing a terrorist entity, as if it were separate from the rest of the organization.

It is funded by Iran and closely coordinates its moves with Tehran. Over the years, it has been accused of carrying out attacks throughout the world, often in collaboration with Iran. In recent months, as tensions have risen between Iran, on one side, and Israel and the West on the other, Tehran and its Lebanese ally have stepped up their activities to a feverish pace, targeting Israelis diplomats and tourists in India, Cyprus, Thailand and elsewhere. Hezbollah and Iran were linked to a plot to kill the Saudi Ambassador in Washington.

Hezbollah's protective ally, Iran, is enduring harsh economic sanctions from the West over its controversial nuclear program, and a number of Iranian nuclear scientists have been assassinated, as have a few key figures in the Hezbollah hierarchy. The circumstances of these assassinations have all been murky, but there is nothing vague about the bombing of buses full of tourists. By any definition of the word it qualifies as terrorism. And clearly, the question is not just symbolic.

Europe is letting Hezbollah operate on its soil. By some counts, there are 950 Hezbollah-affiliated individuals in Germany alone.

Europe wants to treat Hezbollah as a legitimate political organization, but the group's actions place it squarely outside the realm of legitimacy. As long as Europe closes its eyes to this reality and allows the group to organize, fundraise and hold meetings, it is guilty not only of hypocrisy, but also of passive complicity in Hezbollah's attacks on innocent civilians.

The opinions expressed in this commentary are solely those of Frida Ghitis

@highlight

Frida Ghitis: Bulgaria blamed Hezbollah in bus attack, yet EU still won't call group terrorists

@highlight

She says doing so would let EU freeze group's funds, control its travel, averting attacks

@highlight

But EU fears angering group, destabilizing Lebanon; let's Hezbollah raise funds in Europe

@highlight

Ghitis: In letting group claim legitimacy, EU passively abetting a terrorist organization