Vancouver, British Columbia (CNN) -- The tragic death of a trainer at Sea World last week revived a number of long simmering questions. While we still grapple with "how did this happen?" the central question for many revolves around the role of large mammals -- like Tilikum the killer whale -- in zoos and aquariums: Should they be there or not?

Animals in zoos, aquariums and museums play an important and powerful part in our cultural and formal educational processes. Humans are inherently interested in nature. We are not very far removed from a time when being knowledgeable about nature was vital to life; you either knew how to find your dinner or you were dinner.

Today, with well over 50 percent of our populations living in cities, we are rapidly becoming divorced from the realities of the animal world. The dialogue we see in the media, read on blogs and hear in conversation makes it clear that many people have lots of ideas about what's happening in our natural world, much of it not correct.

This lack of knowledge is concerning in a world beset by environmental problems, where species are disappearing at an alarming rate. We need people to understand the changes taking place in our natural systems and appreciate that each of our actions has an impact. More interest and knowledge, not less, is essential.

Zoos and aquariums provide access and a vital connection to the world of wildlife and our environment, helping to foster an understanding of nature and how it works, and an appreciation for why it matters.

Most professionally operated zoos and aquariums, such as those accredited by the Canadian or American Associations of Zoos and Aquariums, are dedicated to increasing engagement and raising awareness and participation in conservation issues. They conduct active programs that aid species survival, research and conservation, both at their public display facilities and in the field.

The Vancouver Aquarium has operated our Marine Mammal Rescue (MMR) program since the mid 1960s. Each year, hundreds of marine mammals are rescued from situations of distress and rehabilitated by our dedicated team of staff and volunteers, led by our veterinarian. Their goal is to return marine mammals to good health so they can be released back to the ocean.

The Vancouver Aquarium has not had killer whales on exhibit since 2001. However, our orca research continues in the field with experts working off the British Columbia coast to observe and study social interaction, behaviors, migrations, and feeding patterns.

We do have beluga whales, including two calves born recently. Belugas are ideally suited to an aquarium environment. The calves' births have allowed researchers to study the social structure of a beluga family, and in collaboration with the University of British Columbia we have conducted beluga vocalization studies since 2002 to understand contact calls and other forms of communication between these beautiful and communicative animals.

As our visitors see beluga whales and learn about their communication, natural history and the challenges they face due to climate change in the Arctic, a unique chain is created, moving from initial amazement of observing these creatures to the inspiration to care about them and finally to take action, in large or small ways, to protect their future by conserving their natural environment.

We see our role as more important now than ever before. The time of simply displaying animals merely as curiosities is, thankfully, over.

Our aquarium, and many others like it, represents often the only -- and the best -- opportunity for urbanites (particularly youth) to establish a connection with the natural world of animals. Sadly, many of us will never experience the joy and wonder of encountering animals in their natural habitat. But can get learn about them up close and personal in a modern and reputable aquarium or zoo.

If you have had the good fortune to spend time in such an institution, and have seen the sense of awe and wonder on the faces of youngsters meeting a sea otter, for example, for the first time, you'll know what this is all about.

What's more, having access to, and learning about, Tilikum and other whales in aquariums and marine parks since such amazing creatures were first displayed in the mid-1960s, has totally changed people's perceptions about them.

Before then, killer whales were feared, termed "wolves of the sea", and even had a bounty on their heads in some places; being able to see them personally helped spark people's curiosity and interest. The resulting change in public perception was dramatic and swift, leading to their protection by the U.S. government in the 1970s under the Marine Mammal Protection Act.

Today, most people revere killer whales and understand a great deal more about the challenges this species faces around the world -- with overfishing depleting their food supply, the impacts of climate change and pollution threatening their environment and their ultimate survival.

With so many changes confronting nature and the animals that make it their home, human understanding and appreciation is critical. Animals that people are privileged to see in professional zoos, aquariums and similar institutions are vital to engagement, inspiration and conservation.

The opinions expressed in this commentary are solely those of Dr. John Nightingale.

@highlight

John Nightingale says death of whale trainer raises questions about displaying captive animals

@highlight

Urbanization make zoos, aquariums vital to education, understanding, he says

@highlight

Such institutions show why preserving environments is important, he says

@highlight

Nightingale: Seeing creatures up close makes people more inclined to conservation