(CNN) -- On October 1, 1982, the first commercial compact disc, Billy Joel's "52nd Street," was released in Japan. In the 30 years since, hundreds of billions of CDs have been sold, Joel has stopped recording pop music and the music industry has moved on to the next hot medium.

When the first CD player was released that same day, it was described as a "new digital record player, using laser beams" by United Press International. Spun out of the far less successful Philips' laser disc technology (remember those?), the CD was a result of Philips and Sony combining forces.

The compact disc was actually invented several years earlier. The first test CD was Richard Strauss's "Eine Alpensinfonie," and the first CD actually pressed at a factory was ABBA's "The Visitors," but that disc wasn't released commercially until later.

Mass adoption didn't happen immediately -- CDs wouldn't overtake cassette tapes until the late 1980s. The first album to sell 1 million copies in the CD format and outsell its vinyl version was Dire Straits' "Brothers in Arms," released in 1985.

As with most new technologies, one reason for the slow spread of CDs was their steep price tags. The Sony CDP-101 player sold for the equivalent of $730 when it first hit Japanese shelves in 1982. Accounting for inflation, that's about $1,750 today. The audio CDs themselves were $15, which is $35 in 2012 dollars.

Because getting a new player and replacing an entire music collection was costly, audio manufacturers were savvy enough to market the first CD players to classical music fans, who were more likely to care about sound quality and have extra disposable income.

When they arrived, CDs were hailed for their pristine sound. But whether the audio quality of CDs is greater than vinyl remains a hotly debated topic among hi-fi enthusiasts.

"For most people who weren't audiophiles, the switch to CDs was a revolution. It took away all the audio noise," said Mark Katz, a music professor at the University of North Carolina and author of "Capturing Sound: How Technology Has Changed Music."

Young listeners opting to stream, not own music

Some will still argue that records sound better than CDs, but that is only plausible when people take meticulous care of their albums, listening to them in scratchless, snap-crackle-and-pop-free condition. Most people don't consume music in a vacuum. Even today, the average music fan will listen to tunes on cheap earbuds in an environment filled with background noise, and is likely unable to be able to tell the difference between a CD and an MP3, says Katz.

The compact disc changed technology, and went on to be used for data and video storage, evolving into re-writeable media and Blu-Ray DVDs.

The shiny little platter also changed how people interacted with their music.

"Changing formats usually has greater impact on the way people listen, consume and disseminate the music, but it also does have an impact on the creative side," said Katz.

The first compact discs could hold up to 74 minutes of music (the rumor was that the length of Beethoven's Ninth Symphony established that standard) or at least several songs more than a vinyl LP. This longer length allowed composers to write longer works without worrying about side breaks -- where listeners would have to flip over a record or cassette.

Convenience was another huge change. The discs were small, just 4.5 inches in diameter, and could be carted around far more easily than records. Listening to music on a CD was easier -- there was no standing up to flip over the record or tape, less time spent searching for the song you wanted to hear right then. Some CD players even allowed you to program what songs played or didn't, and in what order.

Three decades later, it may be surprising to some that CD sales, and Billy Joel's career, are still alive. Though their market share is plummeting, CDs still account for the majority of album sales in the U.S. In the first half of 2012, 61% of all albums sold were CDs, according to the Nielsen Company and Billboard.

Even so, CDs are gradually being overtaken by digital files. At first, MP3s were burned from CDs onto computers, traded on peer-to-peer networks such as Napster and the Internet's back alleys. Then Apple released the iPod, and its iTunes store turned digital music files into a legitimate business. Now popular services like Spotify and Pandora let users stream music from anywhere, and Amazon and Apple are encouraging people to store their digital libraries in the cloud.

Like CDs before them, this new format is changing both the creation and consumption of music. Musicians no longer have to wait until an album is finished to release tracks -- they can sell them one at a time. Length of a song isn't an issue, just file size. Listeners have more flexibility than ever, with unlimited mix-and-match options. And increasingly, they're opting to download single songs over albums.

And in an age when computer users can conjure almost any song they want with a few taps or mouse clicks, music stores themselves are disappearing.

Katz doesn't think CDs and physical music storage will ever vanish altogether. People like tangible things, and form meaningful relationships with objects they can hold and look at -- more so than strings of ones and zeros. That explains why vinyl sales are up, often among young hipster types who weren't even alive when vinyl was the dominant medium.

"There is the basic human fact of connection with physical objects, that won't change," said Katz.

Compact discs are unlikely to evoke the nostalgia many people feel for vinyl records, with their spiraling black groove and sometimes trippy cover art. And to people born in this century, they're already becoming a retro curiosity.

Streaming debate strikes chord with music fans

But a generation of music fans grew up on them -- Nirvana, Public Enemy, Billy Joel and all.

@highlight

On October 1, 1982, Billy Joel's "52nd Street" was released commercially on CD

@highlight

CDs wouldn't overtake cassettes in popularity until the late 1980s

@highlight

CDs remain popular but are losing ground to MP3s and streaming music

@highlight

Whether the audio quality of CDs is greater than vinyl remains a hotly debated topic