(CNN) -- Researchers believe the number of children who have an autism spectrum disorder (ASD) is much higher than previously believed, according to a new study published Monday in the American Journal of Psychiatry.

By looking at a total population sample in South Korea, the study authors estimate that 1 in 38 children in the country -- or 2.64% -- has some form of autism. The approach is a new one. Previously, researchers have examined only children known to have the neurological disorder or at high risk of developing it.

The study authors predicted that if similar studies were conducted in other countries, the prevalance estimates would also go up.

The research also led the study authors to believe that more girls than previously thought fall under the autism umbrella.

What is autism?

In the United States, the most recent estimates from the Centers for Disease Control and Prevention (CDC) for autism prevalence are about 1% or 1 in 110 children, based on population studies in a select number of areas around the country.

In this new study, researchers looked at all 55,000 school children in a large metropolitan community of Seoul, which they say is representative not only of South Korea, but also many other developed nations.

According to the study, researchers began with 55,266 7- to 12-year-old students. Parents and teachers were asked to fill out an autism screening questionnaire. Parents of 23,234 of the children in the regular school system responded. All 294 children already enrolled in special education or on the disability registry were considered to have tested positive for an autism spectrum disorder.

From the initial assessments, 1,214 students screened positive for some form of autism. Only 286 went on to get a full clinical evaluation, of which 201 were diagnosed with some form of autism. Using mathematical algorithms, researchers estimate 1 in 38 children in South Korea have an autism spectrum disorder.

"Are we surprised? Yes," said Dr. Young Shin Kim, lead author of the study and assistant professor at the Child Study Center at the Yale School of Medicine. Kim said the prevalence estimates in the study, which happened to take place in South Korea, are higher than previous estimates elsewhere, including but not exclusively the United States.

Kim said she believes if more studies like this are done in other countries, they, too, will find an autism rate of 2-3%, while acknowledging that more research needs to be done to validate the study results.

In depth autism coverage on The Chart

The study doesn't mean that suddenly many more children have autism, Kim said. Instead, she suggests "they have been there all along but they were not counted in previous prevalence studies," and that "two-thirds are in the community unrecognized and untreated."

Roy Richard Grinker, a cultural anthropologist at George Washington University and one of the co-authors of the study, said he thinks the study's estimates are "surprising" but he doesn't think they are alarming. What these estimates tell us, he said, is that "autism is more common than we think it is."

Autism and communication

Grinker said he would compare the situation in South Korea to where the United States was 20 years ago, as far as autism awareness goes. He said when the study began in 2005, South Koreans believed that autism was rare in their country. He cited one South Korean official who he said estimated the prevalence of autism to be about 1 in 100,000.

At that same time, the CDC estimated autism prevalence to be about 1 in 150 children and Australian researchers believed it to be around 1 in 160 children.

Since then, new research has led to a 1 in 110 prevalence estimate.

When asked about the newest estimates, Dr. Marshalyn Yeargin-Allsopp, chief of the Developmental Disabilities Branch of the National Center on Birth Defects and Developmental Disabilities at the CDC, said, "We've always said that what we report is an underestimate."

She said there are different ways to determine prevalence and that the CDC is considering a total population study of autism, but that it is not yet under way.

Vanderbilt University's director of the Treatment and Research Institute for Autism Spectrum Disorders (TRIAD), believes the new data adds to what's already been known about ASD in other parts of the world -- that autism is not rare.

But Dr. Zachary Warren, who did not participate in the study, also said, "In the current study the authors sampled from a population, noted that many folks from this sample did not participate, and performed diagnostic evaluations on a relatively small number of children. As such, these concerns suggest interpreting the 2-3% prevalence rate reported with significant caution as it may in fact be an overestimate related to how they studied this specific community in Korea."

Dr. Max Wiznitzer, a pediatric neurologist at Rainbow Babies & Children's Hospital in Cleveland, Ohio, said the results of this study (which he also wasn't part of), suggest that what the numbers tell us is "that (many) children in this district in Korea have difficulties with social/communications skills."

"We have to be careful not to confuse them with other conditions that can also cause problems in these realms like ADHD and social anxiety disorders," he said.

What makes Monday's study different from other autism studies is that researchers sought out children in regular schools. According to the researchers, few children in South Korea are put in special education classes. Grinker said about 10-12% of school children from K-12 classes receive some form of special needs education, but that in Korea that figure is far lower, maybe under 1%. He attributes that to a law that mandates inclusion, which makes it difficult to provide special education.

Also, children in regular schools in Korea are in school for up to 12 hours a day, with highly structured, large classrooms, and few opportunities for socialization. Many of the children who were identified with an autism spectrum disorder through this study were found to have a higher IQ, but had poor socialization skills, one of the hallmarks of autism.

"I think many children with autism can do well in that highly structured situation and may not get flagged as having a particular problem," Grinker said.

This may explain why many children with autism in South Korea may go unnoticed and may explain a significant difference with children in the United States.

Dr. Geraldine Dawson, chief science officer of the advocacy group Autism Speaks, which funded part of the study, believes the most important finding is that the research shows that using "the comprehensive sampling approach ... has the potential to yield an autism prevalence estimate that exceeds previous estimates."

Grinker believes the most important message from the study is not the numbers, but that it suggests that "autism is more common than we previously thought and that, if we look hard enough, cases will be found and these children need treatment so they can thrive."

Dawson also believes that the study clearly confirms that autism is a significant global public health concern that transcends cultural, geographic and ethnic boundaries.

It also shows that it's possible to translate and adopt screening and diagnostic approaches developed in English-speaking countries to effectively assess prevalence in other countries.

Autism Speaks is funding similar research in India, South Africa, Mexico and Taiwan, Dawson said.

@highlight

A new study estimates 1 in 38 South Korean children has some form of autism

@highlight

The estimate is based on a new approach to autism research

@highlight

Study authors call the findings "surprising"

@highlight

The study was published in the American Journal of Psychiatry