(CNN) -- Just one in seven engineers are female, only 27% of all computer science jobs are held by women, and "women have seen no employment growth in STEM jobs since 2000" reports Forbes.

Women who work in the fields of science, technology, engineering and math, and those who campaign for higher numbers of women in these fields, think they have some solutions to this growing problem.

1. "The toys and games that young girls play with mold their educational and career interests; they create dreams of future careers." says Andrea Guendelman, co-founder of Developher.

"Extensive research shows that certain toys and games can help young children develop the spatial logic and other analytical skills critical to science, technology, engineering and math.

"A huge part of the reason women are not entering these fields and huge part of the solution starts at the very beginning."

2. "Introduce girls early to role models of other women In STEM" suggests Regina Agyare, founder of Soronko Solutions.

"[These women] will mentor them and introduce them to STEM through games and practical learning experiences."

3. "It's important to engage girls in STEM at an early age and keep them interested." adds Patty L. Fagin, PhD, Head of School at Stuart Country Day School of the Sacred Heart.

"Girls start out as strong in math and science as boys, but lose interest along the way; we call this the "leaky pipeline." Grow the pipeline, keep girls engaged, and we'll increase the number of women in STEM.

"Create opportunities for success and safe environments in which to fail. They'll learn to persevere and develop a growth mindset, so critical to success in STEM fields ... instead of "this is hard, I can't do it," they will believe, "I can try another way."

"Girls want to make a difference, so give them hands-on, real-world problem-solving activities to show STEM is relevant and fun.

"Expose girls to the different areas of STEM and provide women mentors for girls and young women, so they, in turn, will mentor other girls."

4. "There's no magic recipe for getting girls into STEM, but we know early and positive exposure makes an impact." Karen Horting, CEO and Executive Director at the Society of Women Engineers told CNN.

"Our Invent it. Built it. program Oct. 25 in Los Angeles will expose girls in the sixth to eighth grade to the creative, collaborate nature of a rewarding career in engineering.

"Registration continues through Oct. 11 and additionally provides educators and parents with the tools they need to nurture the future engineers in their lives."

5. "Start them young." is Michelle Sun, Founder and CEO of First Code Academy's advice.

"STEM fields are often thought of as a career path for the boys, globally and no less common in Asia.

"We observe brothers in a family are more likely to be enrolled to our kids coding classes. However, the amazing thing we found, with students from 8 - 11 years old, is that our female students come to our programs with minimal preconception of what programming is about.

"They approached it with much enthusiasm and confidence, just as any other hobbies or subjects.

"By starting them young, we provide them a chance to experience the STEM field first hand."

6. "I believe one on one mentoring programs with accomplished female STEM professionals will help bring girls in to the STEM field." says Adeola Shasanya who recently co-founded Afro-Tech Girls and works at the Lagos State Electricity Board as an Electrical Engineering and Renewables Consultant.

"Fun technical workshops could also help spark a STEM interest for girls.

"I believe work shadowing a female stemist in a typical work environment could enlighten the girls on what work would be like as a STEMist."

7. Haiyan Zhang, Innovation Director at Lift London, Microsoft Studios believes confidence is key; "Insatiable curiosity and the self confidence to make change in the world -- two qualities that are key to instil in the female innovators of the future.

"Science, technology, engineering and mathematics become the tools with which to explore curiosity and to create change."

8. "Women are the future of technology and today's technology is fun and cool." says Weili Dai, President and Co-founder of Marvell Technology Group

"It's not just about developing "nerdy" stuff it's about turning technology into fashionable and user-friendly smart solutions.

"A woman's natural talent is design, and the look and feel, and making these things fit into our lifestyles."

"I believe by embracing STEM and leveraging inherent strength of women -- the sense of responsibility, passion, compassion, and pride we dedicate to family and community -- and applying it to business can make women the X factor in the new era of global growth and prosperity for the "Smart Life and Smart Lifestyle.""

9. "Time and again, I hear from women who chose their STEM career because they were inspired by a successful woman who proved it could be done." adds Suw Charman-Anderson, Founder of Ada Lovelace Day.

"Role models are incredibly important, both to girls and to women, and we need to show girls just how exciting, fulfilling and enjoyable a career in STEM can be."

"We must prove that there is a path for them to tread by telling the stories, past and present, of the women who've built, invented, discovered and explained the world around us, but who so often go unmentioned."

10."To get more girls in STEM let's go for collective action..." says Julie Kantor, Chief Partnership Officer at Million Women Mentors.

"Of 368,000 high school girls who want to pursue STEM only 4% said they had a mentor encouraging them. Commit to mentoring a girl or young woman in STEM skills. Or offer an internship with a designated mentor at your company.

"Ladies and gentlemen, let's get a million STEM mentors by 2018."

Read: 12 inspirational quotes from women scientists

Relive: Twitter chat as it happened: 'How can we get girls into STEM?'

Quiz:10 female scientists you should know

@highlight

The shortage of women in STEM industries is a growing problem

@highlight

As part of Leading Women's month of STEM coverage we asked experts for a solution

@highlight

Women in STEM gave us a range of solutions from toys to mentoring