Washington (CNN) -- Equal pay for women, raising the minimum wage, immigration reform, combating climate change and virtually swearing off extended wars.

All are catnip for the political left, and all were highlighted by President Barack Obama this week as he informally launched the November election campaign for 36 Senate seats and a new House of Representatives.

By flying the Democratic banner so high in Tuesday's State of the Union address and subsequent road show to four states, Obama tried to signal unity with his liberal base and provide the party's candidates with ammunition for elections certain to be "spirited" -- the Washington euphemism for fierce and nasty.

"The president wants to highlight differences between the parties and show that Democrats are on the side of ordinary people," said Darrell West, the vice president for governance studies at the Brookings Institution. "That's how he won in 2012, and that's the strategy in 2014."

Focus on women, minorities

Hence the emphasis on policies that benefit women and minorities and appeal to younger voters.

On Tuesday and in subsequent speeches in Maryland, Pennsylvania, Wisconsin and Tennessee, Obama called for equal pay for women and made sure to include references to the popular first lady.

"When women succeed America succeeds," he said Thursday in Waukesha, Wisconsin. "And by the way, when women succeed, men succeed. I don't know about all the guys here, but you know when Michelle is doing good and happy, I am happy, too. I'm just sayin'."

The President also called in his State of the Union speech for raising the minimum wage from $7.25 an hour to $10.10, taking the first step himself by announcing he will unilaterally give the raise to workers under federal contracts. Republicans oppose the move in allegiance to their business supporters.

According to Brown University political scientist Wendy Schiller, Obama is focusing "on all the things that can help folks immediately, even if the impact is small."

"Positioning the Democrats as the party of the working man and woman is old school but absolutely necessary if they are going to successfully counter the Republican resurgence among working class and independent voters, especially women," Schiller told CNN.

Obama's 'Mad Men' remark

She cited a remark from Obama's speech Tuesday that received prolonged applause from legislators jamming the packed House chamber -- the President's call for ending unfair workplace policies for women "that belong in a 'Mad Men' episode."

"When both the Democratic and Republican members of Congress stood up and applauded after the famous 'Mad Men episode' quote, it was clear that each party sees women as the crucial swing factor in the 2014 elections," Schiller said.

On the GOP side, she described the choice of Rep. Cathy McMorris Rodgers of Washington to deliver the party's formal response Tuesday night as "smart politics."

Obama's re-election victory in 2012 owed much to a solid majority among women voters, including independents turned off by hardline anti-abortion policies of Republicans.

The Democratic-fueled accusation of a GOP "war on women" gained traction with infamous missteps by Republican candidates such as former Rep. Todd Akin of Missouri, who claimed that women rarely get pregnant from "legitimate" rape. Akin lost his bid to unseat Democratic Sen. Claire McCaskill in the Show Me State.

Now a concerted Republican outreach to women voters means Democrats "can't just count on another Todd Akin to save the Senate in 2014," Schiller said, adding that "they all have to work to produce federal policies that help working families in order to sustain that advantage."

GOP must walk the talk

West said Republicans must follow stated intentions with action when it comes to diversifying their policies and supporters.

"They have to become something other than the party of angry white men," he said, adding the GOP also must make "meaningful changes in public policy" because "they can't spin their way out of political problems by highlighting women and minorities."

While specifying issues advantageous to Democrats, Obama also has jabbed at Republicans this week on another matter that resonates with voters -- the perception that political intransigence led by tea party conservatives stymies progress in Washington.

Republicans got the blame for last year's highly unpopular 16-day government shutdown when conservatives led by GOP Sen. Ted Cruz of Texas tried to link a funding measure to dismantling the 2010 health care reforms they detest.

To Obama, Republicans must decide "whether they're going to waste time creating new crises that slow things down, or whether they're going to spend time creating new jobs and opportunity," he said Thursday.

In what he depicted as a presidential declaration of independence from congressional dysfunction, Obama said "I want to work with them, but I can't wait for them."

Immigration reform

Another topic: reforming the immigration system, with Obama and Democrats seeking a path to legal status for the millions of people living illegally in the country.

Republicans are desperate to reduce the Democratic advantage among Hispanic Americans, the nation's largest minority demographic. But House Republicans remain unlikely to support a comprehensive Senate plan that passed with bipartisan support and has Obama's backing.

Instead, House Speaker John Boehner and other Republicans call for a piecemeal approach to try to show empathy with Latinos while avoiding a backlash by conservatives that would worsen an already damaging internal GOP rift.

On other issues, Obama reiterated his push for unspecified action against climate change and made clear that with the Afghanistan war finally winding down, he has no intention of committing America to another prolonged engagement.

"I will not send our troops into harm's way unless it is truly necessary; nor will I allow our sons and daughters to be mired in open-ended conflicts," he said. "We must fight the battles that need to be fought, not those that terrorists prefer from us."

He also refused to back down from withering criticism from the political right about the health care reforms known as Obamacare, offering a strong defense of the benefits and telling Republicans to quit trying to undermine the law.

Democratic unity?

Schiller said Democrats need to remain unified on Obamacare and other issues, to run as a national party as much as possible even though the November elections are at the state and district level.

"When Obamacare was brought up in the State of the Union, they all stood up and applauded, even Democratic senators who could be in trouble on the issue in their re-election races," she said. "If there are any cracks in that united front for the Democrats as champions of middle class and working folks, it undermines not only their 2014 chances, but the remainder of the Obama presidential agenda."

While unity may exist in policy, some Democratic candidates facing tough elections don't want to campaign with Obama due to public opposition to Obamacare and slower-than-desired economic growth and job creation.

On Thursday, Republican Gov. Scott Walker welcomed Obama to his state with an airport handshake, but Walker's Democratic challenger, Mary Burke, was nowhere to be seen.

Republicans believe they can win control of the Senate by taking six seats from Democrats in November. The House is likely to remain in Republican hands, with the outcomes of 90% of the races considered safely predictable and Democrats needing to win most of the others to regain the majority, according to West.

"It's an uphill battle for Democrats to retake the House," he said, calling the situation "pretty much a matter of arithmetic."

@highlight

President Obama's road show informally launches the mid-term election campaign

@highlight

Obama sounds themes benefiting Democrats in his State of the Union address

@highlight

The goal: highlight differences with Republicans on issues important to ordinary Americans

@highlight

Both parties seek to strengthen their support among women voters