(CNN) -- The U.S. Supreme Court upheld President Barack Obama's sweeping health care legislation Thursday in a narrow 5-4 ruling that Obama says will provide up to 30 million additional Americans with health care.

America doesn't have universal health care coverage -- what the World Health Organization (WHO) calls "a widely shared political aim of most countries" -- but neither do most other countries.

Nearly 50 countries have attained universal or near-universal health coverage by 2008, according to the International Labor Organization. Several well-known examples exist like the UK, which has the National Health Service, and the Canadian public health care system.

Here are more examples of countries have implemented near-universal health care.

Brazil

Free health care coverage is recognized as a citizen's right in Brazil.

Brazilians have both a private and public health care system, which was overhauled in 1988. The Sistema Ãšnico de SaÃºde, a nationalized program, provides primary health care, while a network of public and contracted hospitals delivers specialist care.

About 80 percent of Brazil's population relies on public care, while the wealthiest 20% can afford private health care, according to a Center for Strategic and International Studies report.

Since the 1990s, Brazil has also provided universal access to HIV/AIDS drugs.

During the three decades since the nation's major health care changes, infant mortality decreased and life expectancy increased by 10.6 years, according to a 2011 article in medical journal The Lancet.

But the system hasn't been without problems, according to the Center for Strategic and International Studies report, which alluded to gaps in the quality of care between various Brazilian regions.

Rwanda

Since establishing a national health plan in 1999, Rwanda has insured about 91% of its population with health care -- a greater percentage than the United States.

Rwanda has been dubbed "Africa's Singapore" by The Economist for its transformation since a devastating genocide in 1994.

Watch Fareed Zakaria talk with Rwanda's president

The country has three health insurance plans, one for government employees, another for the military, and the third for the remaining population. The country commits about 20% of its annual spending to health, which is funded by tax revenues, insurance premiums and financial support from international donations, according to a WHO report.

Since introducing health insurance, Rwanda has seen lower childhood mortality rates; more people are also receiving medical attention. But the country faces challenges from an increase in health services and making contributions more affordable for its poorest citizens, according to a WHO report.

Thailand

By law, Thailand requires all patients to be covered by health insurance, regardless of their ability to pay.

The WHO uses Thailand as an example of a low- or middle-income country that has been able to extend health coverage to all citizens.

Introduced in 2002 as the "30-bhat scheme," (which is less than $1), the plan added about 14 million previously uninsured people to the Thai system.

Prescription drugs, hospitalizations and services like chemotherapy, surgery and emergency care are free to patients, according to a WHO report.

But the addition of millions of people to a health care system strained the existing structures, prompting criticisms of long waits, poor quality of service and shortage of service.

South Korea

South Korea passed a law in 1977, mandating health insurance for industrial workers. During its rapid economic growth, health care became a priority for the government, which created the National Health Insurance. The system extended to universal coverage by 1989.

The government merged more than 300 individual insurers into a single national fund, according to a WHO report.

Korea's single-payer program has "been successful in mobilizing resources for health care, rapidly extending population coverage, effectively pooling public and private resources to purchase health care for the entire population, and containing health care expenditure," according to a report published in Health Policy Plan.

But another report published in Health Affairs said that the public funding is limited, leaving "beneficiaries with relatively high payments." South Korea's expenditure on health care is 6.3% of the country's gross domestic product, compared with 18% in the United States.

Moldova

The Eastern European country became independent with the fall of the Soviet Union in 1991. By 2004, it began a mandatory health insurance program with the aim of providing the entire population with basic health care.

Employed Moldovans chip in a portion of their income through a payroll tax or a flat-rate contribution. Others who are unemployed or not working are insured by the government.

Its National Health Insurance Company is the sole buyer of health care services and organizes emergency, primary and secondary care locally, according to a report by the European Observatory on Health Systems and Policies, a joint partnership between European governments and the World Health Organization.

Kuwait

Kuwait's level of health care is comparable to average European standards, according to the WHO's profile of the Middle Eastern country.

The country began building up its health care system as it gained wealth from oil revenues. By the 1950s, the government implemented free comprehensive health care. This resulted in declines in general mortality and infant deaths, the report said. "Free health care was so extensive that it even included veterinary medicine," according to a local WHO report.

Kuwait faces an aging population as well as an epidemic of diabetes, heart disease and obesity-related complications that place great demands on its health care system.

Chile

The Chilean constitution guarantees rights to health protection.

Chileans can opt for public care or get coverage from private health insurance companies. Wealthier citizens can buy insurance from the Instituciones de Salud Previsional or obtain coverage through their employer. A 7% income tax funds the public health care system, the Fondo Nacional de Salud, according to an analysis of health care reform in Chile.

Public care includes free medical, dental and midwifery services, which are run locally. Private insurance tends to focus on specialist treatment.

The existence of both public-private insurance has created inequities of care, prompting reform efforts in 2000 to increase equality across the country.

Chile has guaranteed universal access to quality treatment for some conditions including certain cancers, HIV/AIDS, pneumonia, depression and dental care, which has improved care for the poor, according to the WHO.

China

China announced an overhaul of its health system in 2009 to bring safe, affordable basic health services to all residents -- a tall order for a country containing 1.3 billion people.

The government committed about $126 billion to reform the quality and efficiency of its health care, and ensure affordable and quality medication.

But the issue of equity in health care persists. "There are still significant disparities in health status between regions, urban and rural areas, and among population groups," according to the WHO.

China has seen increased life expectancy and reductions in infant deaths, but health observers stated in the WHO report the need to improve delivery of care.

@highlight

Universal health coverage prevalent in Europe and several non-Western nations

@highlight

World Health Organization calls universal coverage "a widely shared political aim of most countries"

@highlight

U.S. Supreme Court is expected to rule shortly on Obama's sweeping health care reform