WASHINGTON (CNN) -- Isaac Lidsky arrives in front of the U.S. Supreme Court, stops suddenly and, upon hearing a voice, extends his hand in greeting almost instinctively.

Isaac Lidsky graduated from Harvard University at 19. Retinitis pigmentosa has seriously impaired his vision.

Seemingly simple gestures such as a hello don't always come easily for a man who is legally blind.

But this hasn't deterred the ex-Justice Department prosecutor from pursuing a promising legal career, one that will take him inside the nation's highest court in a few weeks.

The Florida native will join 36 of the nation's top young attorneys as law clerks to Supreme Court justices for the 2008-'09 term. He will be the first legally blind law clerk in the court's history.

Lidsky, 28, will work with the retired Justice Sandra Day O'Connor and will be assured of long days writing and researching cases.

"I certainly am nervous to the extent I am eager to be helpful to the justice and productive," he said. "I just want to do good work."  Watch as the lawyer will break new ground at the court »

Lidsky, a one-time actor, may be vaguely familiar to adults of a certain age. He played the lovable geek Barton "Weasel" Wyzell on the NBC series "Saved by the Bell: The New Class" in the 1990s.

"There's a little bit of a cringe factor because my character was not necessarily the coolest kid in school, but certainly, [there's] fond memories," he recalled. "It was an incredible experience for a kid to have."

Around that time, the 13-year-old was diagnosed with retinitis pigmentosa, a degenerative eye disease that already had struck two of his older sisters. The symptoms were slow to develop, so Lidsky came to terms early with the idea of losing his vision. Now his sight is seriously impaired.

Lidsky said his parents, Betti and Carlos Lidsky, did not allow self-pity and encouraged him to help others like himself.

"Right away my parents really led the charge on saying, 'How can we take this challenge and turn it into something positive?' " he said. "So for 15 years we have been doing just that."

Acting was never going to be a career for Lidsky. It was the law that always attracted him. As a child he went to court with his father, a prominent Miami lawyer. Becoming a Supreme Court law clerk, he said, was a lifelong dream.

After graduating at 19 from Harvard University, he earned a degree from its law school, with a brief stop in between as an Internet business entrepreneur.

In 2004, he began a clerkship with Judge Thomas Ambro of the 3rd U.S. Circuit Court of Appeals, based in Philadelphia, Pennsylvania.

Ambro became a mentor to the bright young lawyer and witnessed a sudden decline in his vision.

"You could tell things were getting worse," Ambro said. By the end of the one-year assignment, "he now needed a cane and was using a guide dog. Once he had no idea I was in the same room with him until I spoke."

But that did not dull Lidsky's drive to succeed.

"He had a real good sense of what he was facing," Ambro said. "He's determined to make it in the same way as other people who succeed. For him it was simply a matter of getting the tools to do it."

Those tools include optical character recognition software, which scans printed words electronically and reads them back to him, and a Blackberry-type communication device that sends and receives e-mail audibly.

Friends said he was a little reluctant over the years to embrace much of the technology, as he sought to preserve his independence as long as possible.

After his clerkship came a stint in the Justice Department's Civil Division, where he argued about a dozen cases in federal courts. He said his acting skills came in handy when pleading before often skeptical judges.

With the recommendations of Ambro and others, Lidsky applied four times to be a Supreme Court law clerk but was rejected. A meeting with longtime federal Judge David Tatel, who also is blind, convinced Lidsky he should not give up his dream.

Then came the call from O'Connor.

"Sitting in her chambers, here I was worrying about having to recall the minutiae of legal doctrine" for the personal interview, he recalled. "But we fell into talking about our families and philosophies, and she made me feel very warm and welcome."

O'Connor was not available for an interview, but former clerks said they remember her as a nurturing type who nevertheless demands much from them.

"I have no doubt Justice O'Connor will keep me very busy," Lidsky said.

In addition, Lidsky likely will be assigned to an active justice to sort through the 9,000-some appeals that reach the high court every year. In that capacity, he would recommend which cases should be accepted for review and help write early drafts of opinions.

O'Connor also will continue her practice of sitting in on several appeals court cases a year, so Lidsky will assist her on those, along with the 78-year-old's busy schedule of teaching, speeches and public advocacy.

Lidsky will have to scale back involvement in his foundation, Hope for Vision, which he created with his wife, Dorothy, and some friends to raise awareness of blinding diseases. His group is launching a campaign this week to find a cure for blindness by 2020.

"We have communities of Hope across the country that do events to raise awareness and funding for research," he said. "It's purely volunteer-driven, very grass-roots. Over 98 percent of the money we raise goes directly to scientific grants."

As for the future, Lidsky plans to go to London, England, after his clerkship ends, so his wife can finish her master's degree. He would be set to rejoin his law firm, where he has taken a leave of absence, but has no specific career goals.

"In 10 or 15 years, I would bet he will be a man still on your radar screen," Ambro predicts.

Lidsky appears more modest.

"I'm not out there to set any kinds of records or prove anything to anybody," he said. "As odd as it may sound, losing my vision has in a lot of ways been a very rewarding experience for me."

CNN's Kelli Arena contributed to this report.

@highlight

Isaac Lidsky is set to become first legally blind law clerk at U.S. Supreme Court

@highlight

Lidsky will work with retired Justice Sandra Day O'Connor, who still hears appeals

@highlight

Lidsky played Weasel on NBC's "Saved by the Bell: The New Class"

@highlight

He and wife founded Hope for Vision, a foundation that seeks a cure for blindness