(CNN) -- HTC's new flagship smartphone, the One, is an impressive bit of hardware and a big step forward for the company in three significant ways.

The One is a top-notch, beautifully designed handset packed with the best specs and a ton of compelling features. It also runs a unique, fresh take on Google's Android operating system. And it's available in exactly the same configuration across the three major U.S. carriers. This is the phone that could close the gap between HTC's flagship and those from Apple and Samsung.

We spent a couple of hours with the One before its big unveiling in New York today, and were thoroughly impressed by the luxurious materials used on the handset, the expert build quality holding it all together, and a slew of thoughtfully crafted software features. Although the phone carries the branding established last year with the One X, One S, and other HTC phones, the One amounts to a reboot of the company's vision for Android. The One X, HTC's previous flagship, won critical praise, but as an AT&T exclusive it failed to generate the sales the company had hoped for.

"We think about the One X and we think 'Wow, it was big, and it was one of the best phones we've ever done,'" Scott Croyle, HTC's vice president of design, said. "But if I were to compare it to, say, other stuff that was out there, I wouldn't say it was a step-change different."

The company set out to build a phone that could surpass, not just meet, the performance and quality of the Apple iPhone 5 and Samsung Galaxy SIII. So it put a huge effort into nailing the Sense user interface, packing the phone with the best tech and broadening its reach across carriers. Sense 4, the previous generation of HTC's Android customization, has been thrown out. Every aspect of Sense has been rethought and redesigned. The result is a slick, clean user interface, full of artful icons that match the flat, understated look Google has been trying to push with its own stock version of Android. And there's a focus in the new Sense on making things that users commonly do easier and more intuitive — such as sifting through social media and news apps, or snapping photos and video.

"I think we came to this recognition that, 'Wow, there are these two other companies that are going to spend a lot more money than HTC,'" Croyle said. "This is the reality of the business. They have much deeper pockets and they can carpet bomb the industry and they have a tremendous amount of inertia there, particularly with Apple in the U.S. So, for the One, we really had to get it right, we really had to just go for it."

While it's easy to see the chamfered edges found on the One and think of the iPhone 5, the One is far from a copycat product. It has a massive — and gorgeous — 4.7-inch 1080p display with a pixel density of 468 pixels per inch. As with nearly every flagship phone out there nowadays, pixels are indiscernible on the One's generous display. Colors look vivid and crisp as well.

The touchscreen dominates the front of the One, with aluminum capping each end. Rows of pinholes are machined into each strip of aluminum, serving as pathways for sound coming from a set of dual front-facing speakers. Every phone speaker we've ever heard has sounded like hell. While the One won't replace your Jambox anytime soon, its onboard speakers sound immensely better than anything we've heard from a phone. Inside, the One features a 1.7GHz, quad-core Qualcomm Snapdragon CPU, 2GB of RAM, and NFC chip, Bluetooth 4.0 and connectivity to both HSPA and LTE networks.

Everything is packed into a sleek, aluminum unibody — shipping in either silver or black — that features a subtly curved back with inlaid antennas. The One weighs 5.04 ounces, and is just 0.36 inches thick.

The One will also sports a beefed up camera, with a ton of photo and video features — which are so plentiful we've written a separate story focusing on the One's camera.

Along with all new hardware, HTC is using the One to introduce an all new take on Android. Sense 4, HTC's last skin, was among the best versions of Google's mobile OS thanks to its simplicity and gimmick-free implementation. The latest version — now just called Sense — brings users from a lock screen to a new Flipboard-like app called BlinkFeed, which displays a feed of information, stories, photos and video from various sources of your choosing. HTC has worked in integration with a few news outlets, so news stories by topic or by outlet can show up in your BlinkFeed. And the app can be connected to Twitter, Facebook, Flickr and other social networks as well.

See a news story you're interested in reading? Just tap the tile in your feed and you're taken to a view that shows the story and its accompanying artwork in a presentation that makes reading clean and easy — again, very much like Flipboard, Pocket, Pulse and other "read it later" services. Tap a tweet or post from Facebook you'll be launched into that corresponding social network's Android app. You can even set up BlinkFeed to pipe in your photos and videos. Everything is displayed in reverse chronological order, just like your Twitter timeline, Facebook feed and everything else that's sorted online.

While BlinkFeed is a pre-installed app, it's also the default view any One user will see once they unlock their phone. If you want to get to a traditional Android homescreen view — with apps, widgets and folders of apps — just swipe in from the right on BlinkFeed and Android as you know it will appear.

"If you want regular Android, it's there," Croyle said. "But, everybody's snacking on information, whether it's from their social networks or some news source that they're just interested in. So [BlinkFeed] really is geared around that recognition of how people are actually using their phones."

AT&T, Sprint and T-Mobile will sell the One, along with many smaller regional telecom companies. The significance of this can't be overstated. Currently, only Apple's iPhone and Samsung's Galaxy S III are offered as widely. The iPhone is sold through AT&T, Sprint and Verizion — and it's on it's way to T-Mobile. The S III is sold by all four of the nation's top carriers. All too often, a great phone, like last year's One X, was confined to a limited audience due to carriers wanting exclusive rights to phones.

The fact that the One is joining it's biggest rivals in a new paradigm that bucks the idea of exclusive phones is a good thing for HTC — because they get to sell their best device in more places — and consumers — because you have more choice when you go to buy your next phone.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

HTC's One phone could be the one that closes the gap with Apple and Samsung

@highlight

The One, unveiled Tuesday, has a massive 4.7-inch touchscreen display

@highlight

It's camera ignores sometimes-meaningless megapixel count for "UltraPixels"

@highlight

The One will be available on AT&T, T-Mobile and Sprint