Washington (CNN) -- A Russian company is seeking to buy a controlling interest in one of the largest uranium extraction operations in the United States -- a sale that requires U.S. government review because of possible national security implications.

Uranium One USA, now a subsidiary of a Canadian company, operates a uranium processing facility in Wyoming and has assets in Utah, Texas and Colorado. The sale of the company's existing and pending operations could give Russia control of about 20 percent of U.S. uranium extraction capacity, Nuclear Regulatory Commission officials estimate.

Industry observers tell CNN they do not believe the sale of Uranium One to Joint Stock Company Atomredmetzoloto, or ARMZ, would jeopardize U.S. security, saying that the United States relies on Russian dismantled nuclear weapons for much of the uranium used in nuclear reactors today, and that sources of uranium are plentiful.

"I have no concerns about it at all," said Fred McGoldrick, former director of the State Department's Office of Nonproliferation and Export Policy. "I don't see any national security threat to the United States from the Russians partly or entirely owning a mine in the United States."

He added, "The Russian's aren't coming. They came and went. They are no longer the Soviets. I think it's to our mutual interest that we cooperate with the Russians."

Said Ed Lyman of the Union of Concerned Scientists, "Looking at the big picture here, I don't really think this has major security implications. I'd be interested in hearing arguments otherwise, but I just don't see it."

In an application submitted to the NRC, JSC Atomredmetzoloto, which currently owns 23.1 percent of Uranium One's common stock, says it is seeking to buy a controlling 51 percent interest. The Russian company is controlled by Rosatom, the Russian government agency that oversees Russia's nuclear industry.

Uranium One would continue to be publicly traded on the Toronto Stock Exchange, its U.S. facilities would remain under their current management teams and five of the nine directors on the company's board would be non-Russian, the company said.

"The bottom line is any of the uranium we buy or sell has to be used for peaceful purposes and it's subject to all the safeguards of the International Atomic Energy Agency, the Nuclear Suppliers Group, Euratom (the European Atomic Energy Community), or any other governmental agency having jurisdiction over the United States" and customer countries, said Chris Sattler, spokesman for Uranium One.

Uranium One USA is involved in the "recovery" of uranium, a form of mining in which a solution is injected into an ore body and the uranium leaches into the solution, which is then extracted, said NRC spokesman David McIntyre. The company is licensed to produce up to 2.5 million pounds of uranium a year, it said.

Stockholders approved the sale August 31, Sattler said, but the companies are awaiting approval from numerous regulatory agencies in the United States, Canada, Australia and Kazakhstan.

The NRC must approve the transfer of the NRC license for its Irigaray-Christiansen Ranch recovery facility in eastern Wyoming, McIntyre said. "Generally, we look at whether the new ownership would have the technical expertise and the financial wherewithal to maintain the site and clean up when operations cease," he said.

Further, the sale needs to be reviewed by the Committee on Financial Investment in the United States, an inter-agency panel that advises the president on any transaction that could jeopardize U.S. national security. Committee officials declined to discuss the sale, saying they are prohibited by law from disclosing such matters.

And the sale may require approval of the Federal Trade Commission because it involves a stock transaction, and the Federal Communications Commission because one of the sites has a radio license, the NRC said.

The NRC released details of a pending license transfer in the Federal Register, in an item giving the public an opportunity to request a hearing on the issue. The NRC involvement is limited to the company's operations in Wyoming. The states of Texas and Utah regulate uranium mining operations there.

@highlight

The company is one of the largest uranium extraction operations in the U.S.

@highlight

NRC: Russia would control about 20 percent of U.S. uranium extraction capacity

@highlight

Former U.S. nonproliferation official says he has "no concerns about it at all"