(CNN) -- Pakistan's much-awaited military offensive in North Waziristan was launched more than a week ago, and followed an attack on Karachi airport that left at least 36 people dead.

Due to the strategic calculations of the Pakistani state, North Waziristan has steadily fallen into the hands of motley militant networks, and has become a mountainous zone for the Pakistani Taliban to recruit, regroup and launch attacks against the country.

The Pakistani Army conducted a similar operation in the Swat Valley in 2009, not too far from the tribal areas, that has been a relative success in reclaiming territory. It is unclear which direction the latest operation will go. But a major humanitarian crisis is brewing in the wake of the new offensive.

As of Wednesday, the government had registered over 450,000 internally displaced people (IDPs) who have been fleeing the area in view of the aerial bombardments and warnings by military authorities. There are fears the figures could be much higher.

Desperate need for shelter

The military has taken extraordinary steps, especially in terms of its public relations efforts, to minimize the fallout in public perception. It's issuing press releases, specifying how many terrorists have been killed, and giving a count of aid distributed.

Yet, thousands of families still need immediate support in terms of livelihood, shelter and basic amenities. While the United Nations has stepped in to provide aid, distribution systems have a long way to go in meeting the scale of demand.

Beyond North Waziristan, the Pakhtun population follows the age-old custom of accepting and looking after "guests." Predictably, many families fleeing the violence are being absorbed into the towns and villages of Bannu, in neighboring Khyber Pakhtunkhwa (KP) province.

Bannu town is straining under the pressure of a massive population influx. While local Pakhtuns and civic groups have been engaged, the response of the government authorities has been slow. The disaster management authority (FDMA) in the Federally Administered Tribal Areas (FATA), underfunded like most government agencies, is battling with the magnitude of the crisis.

Government response

The government has established one camp in Bannu, but many more facilities are needed, especially during the hot summer season. A meager grant is being offered to each family for their multifarious needs, but very few have received it so far.

The political opposition that rules KP has complained of a funds shortage, and voices in the media have criticized the federal government's inordinate focus on domestic political squabbles and high profile infrastructure projects, ignoring the plight of homeless people.

The minister in charge of the government response â€” the Federal Minister for States and Frontier Regions retired Lt Gen Abdul Qadri Baloch -- has said "every reasonable need of the IDPs will be taken care of in the best possible manner and money is not an issue." However, he also urged fellow Pakistanis to "open their pockets."

Few places to go

Pakistan's ethnic politics also impedes free movement of IDPs. While the country's constitution allows for freedom of movement for its citizens, the provincial governments of Sindh and Punjab have restricted the inflow of migrants from the north.

The provincial government of Sindh says that it is already dealing with two million "aliens" and has attributed the rise of militancy in the port city Karachi due to earlier in-country migrations. Similarly, Punjab, the home province of Pakistan's Prime Minister, has refused to host the displaced people.

This policy has been termed illegal by political leaders and has caused resentment not just among the IDPs but Pakistan's Pakhtun population in general.

Marginalized population

The people of North Waziristan -- and the tribal region FATA -- have been stranded between the military and the militants for more than a decade. They have dealt with historic marginalization, underdevelopment, high poverty levels and, of late, the polio epidemic.

An estimated 160,000 children are vulnerable since the Taliban banned immunization in North Waziristan two years ago, terming immunization as a "Western conspiracy." A major worry nationally is that the polio virus may spread faster than it has in recent months. According to government officials, Pakistan has reported 65 polio cases from FATA this year of which 50 alone pertained to North Waziristan.

Challenge and opportunities

These grave challenges require leadership and effective interagency coordination. Pakistan's Prime Minister Nawaz Sharif has set up a high level body that monitors the day-to-day situation. But, it is the local authorities that need more funds and broader mandates.

The risks of aggravating the already marginalized people are manifold. Increased radicalization is one since the area is an open field for charities affiliated with extremist organizations.

There are opportunities as well. Free of Taliban diktat, there is a greater scope for immunization campaigns for the children now. There is also an opportunity to rebuild FATA, which has been governed since the British times as a remote outpost of the Empire with little or no rights for the local population. Earlier reform efforts led nowhere.

Political and administrative reforms must follow the military operations. Local governments and courts are needed for the area. Pakistan's tribal belt has to evolve from its current status as a "strategic," semi-colonial arena to a democratic polity. This requires a civil-military consensus.

For now, the country must tackle the growing numbers of homeless and avoid another catastrophe in the making.

Fleeing Pakistanis crowd border towns, asking 'why weren't we warned?'

@highlight

Hundreds of thousands of people are fleeing North Waziristan

@highlight

Rumi: Government has been slow to act to avert humanitarian crisis

@highlight

Army launched strikes in retaliation for Pakistan Taliban attack on airport

@highlight

Civilians caught in the crackdown are crowding nearby town of Bannu