Washington (CNN) -- The White House has been tight-lipped about how many uninsured Americans have signed up for health care insurance under the Affordable Care Act, which has led to some concerns about whether enough people are enrolling in private health plans to make the economic model work.

Under the law, insurance companies are required to cover anyone. But in order to make that economically feasible, everyone has to buy insurance.

The White House has set a goal of enrolling 7 million people in private insurance plans through the new health insurance exchanges by March 31, 2014, the end of the glitch-plagued open enrollment period that started October 1.

But it has been tight-lipped so far about how many people have actually enrolled in private insurance plans -- those who have both applied and paid the premiums in advance.

Officials announced Thursday that 700,000 people have applied for insurance plans in both the 36 states that are using a federally run health care exchange and the 14 states running their own exchanges.

Obamacare website 'fixable' by end of November

But don't apply that 700,000 application figure to the 7 million enrollment goal. For starters, there's no guarantee that all 700,000 will ultimately enroll in a health insurance plan.

And those 700,000 applications include Medicaid enrollments.

Medicaid programs are the public health insurance programs run by states to provide low-income people with health insurance.

As the law was originally envisioned, more than half of the uninsured people in the United States -- 24 million or so, according to the Kaiser Family Foundation -- who would be getting insurance through Obamacare would have been getting Medicaid. Anyone who makes less than 138% of the poverty level -- about $27,000 for a family of four -- isn't eligible for federal subsidies to buy insurance, so Medicaid is effectively their only option.

So it's not necessarily a bad thing if more than half of the people getting insurance under Obamacare so far are getting Medicaid. But in many of the states operating their own exchanges, new Medicaid enrollees account for more than half of the people who have obtained insurance under Obamacare since October 1.

Related: Finger-pointing over Obamacare

Should it be alarming that so many of these 700,000 new applications are people trying to get Medicaid and not private insurance?

Not yet, said Matt Salo, executive director of the National Association of Medicaid Directors.

"There's nothing in what we've seen to suggest anything like that," he said. "Whether you're able to be eligible for Medicaid or not is totally dependent on your income."

But he did admit "Some of the numbers we've seen, preliminary, early numbers, do seem a little out of whack."

But he said there's a reason for that.

"In these small handful of states, they're aggressively targeting people they think might be eligible for Medicaid," Salo said.

Salo pointed to people who the states already know are on food stamps receiving some other kind of state or locally funded health program.

"You know who they are, you know what their income is, you know they're OK accepting government benefits. If you go after these guys, there should be no surprise that these people are being enrolled."

Also, in some states, Medicaid coverage starts immediately, meaning there may be more of an incentive to enroll early because you get coverage sooner than on the private market where no matter when you enroll in the first two and a half months coverage still starts on January 1.

In Arkansas they've insured more than 62,000 people in Medicaid since October 1. But in a novel twist they're doing it by using Medicaid dollars to buy people private insurance on the exchanges.

Related: Obamacare more than a phone call away

And Oregon has been approved to use food stamps and other metrics as a prequalifier for Medicaid enrollment. So the state sent letters to uninsured welfare recipients that detailed simple steps to enroll in Medicaid -- i.e. just sign a form and mail it back or call a hotline. This has resulted in tens of thousands of enrollees. But Oregon also has yet to allow online registration for private health insurance. It's the one state that elected to fix the glitches in its website before going live.

It may very well be that not enough people -- particularly the young and the healthy people who are needed to pay premiums to offset the benefits going out to older and less healthy -- are signing up for health insurance on the exchanges.

But with so little information from the government, it is too early to tell.

What we learned and didn't from Obamacare website hearing

@highlight

Early sign ups for the Affordable Care Act have lagged because of technical problems

@highlight

But those first numbers may mask a different set of numbers

@highlight

Many states are using Medicaid enrollees in their count toward initial Obamacare applications