BUCKLIN, Kansas (CNN) -- Rob Sellard's young wheat field is a stark reminder that no matter how bad the economy, farmers are always at nature's mercy.

Rob Sellard and his wife, Sylvia, farm 14,000 acres, or about 22 square miles, in Kansas.

"The fact is we don't have any moisture right now, and when we hit some warm days this wheat will deteriorate very rapidly," Sellard told CNN during a visit in March, pointing to places where the green wheat was starting to die from lack of rain.

"Without moisture this wheat is going to continue to die," he said.

Add in the high costs of planting last fall -- the spike in oil prices drove up the price of petroleum-based fertilizers, fuel and chemicals -- and the chances of making a profit this year look bleak.

"Four or five years ago, we were buying $350 to $400 a ton fertilizer. This wheat crop here, when we fertilized last August or September, fertilizer was $1,100," Sellard says.

"Even if we had a decent crop, even if we cut it decently, this wheat crop will be in the red."  Watch as Sellard examines the dry soil »

For generations, the Sellards have farmed near Bucklin, Kansas. Rob and his wife, Sylvia, now farm a whopping 14,000 acres -- nearly 22 square miles.

Recent years have been good to the Sellards and other farmers. 2008 saw record wheat prices, and the Sellards also raise Black Angus cattle -- the ones that make those tasty steaks that corporate execs once spent so lavishly on.

But cattle production, like the economy, is also suffering.  Learn more about what affects farm costs »

"With the fears on Wall Street, people have stopped eating out so much," he says. "Less beef is sold. Foreign countries, they are struggling too because of everything that has happened, so we don't have the exports."

Exports are slowly improving, and farmers such as the Sellards do have the option of hanging on to their prized cattle until prices improve. Likewise, they can sit on their wheat harvest and hope prices go up -- although they'll have to pay to store the grain.

Grain prices are low compared with last season, when record prices helped some farmers make a good profit in Kansas and across the country.

According to the Kansas State University agricultural extension office, Kansas wheat sold for an average of $10.50 a bushel at its peak in 2008 -- largely a result of changing supply and demand. From 1999 to 2006, the average price was $3.16 a bushel. As of this week, wheat was selling for $5.39 a bushel at a local grain elevator in Bucklin, in southwestern Kansas.

Sellard says that despite last year's high prices, not everyone made lots of money.

"You can read all you want, the sensationalism of high prices a year ago," he says. "I don't know of very many people around here who got $10 or $11 wheat. In most people's case, when the grain started going up they sold it at $5, $6 ." By the time prices hit $11, few farmers had any wheat left to sell.

Still, Kelly Estes -- president of BTI Inc. Bucklin Tractor & Implement, the local John Deere dealership -- has seen farmers with money to spend.

"I think that farmers for the most part up our way, there is no question that net income has increased the last two years significantly to what it was, due to the commodity prices going up to what they did," he says.

Estes has sold out of 2009 model farm equipment, much of which sells for more than a quarter-million dollars. Business has been so good that Estes is looking to hire more employees -- and he says the agricultural sector might be one answer to unemployment.

"There is a real opportunity for even city kids that want to come out and work in rural North America," he says. "They are laying people off in the cites that might have opportunities here."

Estes, however, says he does worry about the impact of the economic downturn on rural America as the effects of the recession start to hit home.

"You know it always starts on the East Coast and West Coast and it kind of comes in. By the time it gets here we are hoping that the tidal wave is [reduced to] a ripple effect."

He already has seen sales of used tractors slow. "For us '09 looks good, '08 was fantastic; '10 is a more cautious year for us. There is no question. Just due to what Mother Nature is doing, due to what the economy is doing."

Kraig Lindsay says things also have slowed at the Offerle Cooperative Grain Elevator in Bucklin, which he manages.

"There is less consumption going on, so [the grain is] not going to be moving out of here," he says. Some farmers are waiting, holding onto their grain, hoping for prices to go back up.

So how will farmers and those who rely on them survive?

"We are concerned," Sellard says. "But we hope in the good years we've saved up enough equity that we can go the next year. ... [that] we haven't blown it all in one year."

@highlight

Rob Sellard and his wife, Sylvia, farm 14,000 acres in southwestern Kansas

@highlight

High crop prices in recent years have yielded profits for farmers such as the Sellards

@highlight

But a lack of rain, falling prices and high planting costs could spell trouble this year