Editor's note: Bishop T.D. Jakes is founder and senior pastor of The Potter's House of Dallas, Texas, a multiracial, nondenominational church with more than 50 outreach ministries.

Bishop T.D. Jakes says the church must sound the alarm to wake America from its slumber.

(CNN) -- The blood-washed church for which Jesus died is not relegated to one group or another, nor is it held hostage by politics or ethnicity. It is a breathing, living testament to God's love and grace. It serves its community where it is located and is aware of the needs and nuances of that community. However, its relevance and vision must go beyond its community and reach the world for which Christ died.

Today as the church moves from its introspective posture to a broader role in politics, business, media and impacting societal ills, it has the dubious and daunting task of doing so without losing its core function. Like all such organizations that cease to be intrinsically focused, it runs the risk of being totally misunderstood and misaligned.

I have listened and watched the events of the last few days with great disappointment as the church and the so-called African-American church, in particular, has been painted rather negatively with a broad, wide-ranging brush. I personally wish the distinctions of the church by ethnicity would one day become an antiquated idea. But this will require more people moving from a segregated worship experience. Until then, the church is becoming increasingly bruised by those who seek to move it from its core principles and make it an instrument of division rather than a catalyst for unity!

To say the current picture in the media of the institution that I have loved all of my life is less than flattering would be an understatement. And because I know that many Americans unfortunately do not venture outside of the comfort of their own groups for worship, the only understanding some will have of who we are is based largely on sound bites and media portrayals. I want to set the record straight!

I am afraid that once again our churches will be victimized by stereotypical ideas and opinions that are based in whole or in part by the extreme and not the norm.

The church I have read about in the media -- a church filled with divisiveness, a lack of tolerance for other ethnic groups, a church not focused on helping the downtrodden and less fortunate, a church filled with hostility -- does not remotely resemble the churches that I grew up around and have loved for more than 50 years.

Most, if not all, predominantly African-American church doors are open to all, not just to blacks, but to anyone who is seeking a spiritual home, guidance, support, direction, faith and a feeding of the soul in the purest sense. Many of us have worked with other organizations, different cultures and denominations believing that there is more to unite us than there is to divide us.

The African-American church I know is filled with programs designed to address the many ills that inflict our society: HIV/AIDS, homelessness, reducing the rate of recidivism, assisting with employment and job training, economic development and financial management classes, home buying seminars, food banks to feed the hungry, schools to educate and an active plan to guide our youth. Those outreaches have been colorblind, passionate depictions of Christ's love for all humanity!

The predominantly African-American church may be founded by an African American, it may be led on Sunday by an African American, but as you look through the crowd of these beacons of hope and faith, you will see an increasing audience that is much more reflective of our world than many would have you to believe. White, black, Hispanic, Asian -- nationalities from all across the world come together -- some to visit our churches, to enjoy our music and ministers and still others are gradually starting to join our churches. Gradually race fades into the fabric of faith and becomes less central to the overarching core of human needs in general. Is it a perfect union? Of course not. Is there work to do? Absolutely! But the core message is not one that enrages, but one that encourages people to change and grow, and any other depiction is distorted and inaccurate.

The Potter's House, though largely African-American, is composed of 20 different nationalities and growing in diversity. It is designed much the same way Sen. BarackObama has built his campaign: on a strong commitment to reconciliation, the admonition for unity and strong desire for the continuation of diversity instead of exclusion.

While I have not endorsed any candidate, who can ignore the hunger of Americans for change? No matter who your political choice may be, it is hard to remain ambivalent to the tone that Obama sounded, igniting a national response from people of all walks of life, crowding into stadiums openly weeping -- like they were in church -- at the very idea of a nation that reflects the best of our ideals; not the divisive ranting and bickering that may drive up ratings but threaten the cannibalization of our dreams and the demolition of our hopes.

As a child, I grew up in a neighborhood back in West Virginia where blacks and whites helped each other in times of need and despair. Now that I am in Dallas, Texas, I have seen our city struggle to its feet in times of dire desperation. I was there when the buses came in to the Reunion Arena in Dallas loaded with mostly people of color who were hungry, weak and tired, and needing human dignity. They were unloaded -- covered with the stench of the atrocities of the superdome in New Orleans. I saw blacks, whites and Hispanics driving up with bags of clothes and food and crying together, trying to accommodate whomever they could, wherever they could. This is the America I want my grandson to grow up in.

I am wondering who will get the message that our nation's citizens are by and large looking for a voice that will unite us, clothe our naked, feed the poor and help our diminishing middle class before we self-destruct like many great empires of the past. Who cares what color they are, what banner they fly, what gender they are, or how they pronounce their names? This is a defining moment in our history, and we are about to destroy greatness with petty self- aggrandizing egotism!

I implore you to not take the words of a few and depict the thoughts, hearts and motives of many. At the end of the day, Dr. Martin Luther King Jr. proved with his nonviolent approach that hate-filled words will not liberate anyone. To be sure, there is still work to do to defeat racism and to attain justice in our country for all. We continue to need someone who will hold us accountable to our best practices and not our worst. But there is no liberation without love, no prosperity without philanthropy and no hope if the church becomes immersed in the quagmire of pettiness.

As an American I plead with you that we are running out of time. It is critical that we dislodge ourselves from political distractions. We must return to the task of looking for the right man or woman who can answer the bloodcurdling cry of a nation that is in search of a leader with a courageous effective plan for the war in Iraq, and the medical, moral, economic and security issues that are being ignored by these distractions. If we do not, we will have done a terrible disservice to our coming generations.

The Bible said that while good men slept, evil ones came and planted tare, a noxious weed, among the wheat! The tare of a hate-filled church image is a tactical distraction planted to divert our attention from choosing our next president. Let's get back to listening for leadership strategies from our best and brightest before there is no country left to lead. My hope is that the church remains a vibrant part of our process, sounding the alarm that warns: America, please wake up out of our sleep! E-mail to a friend

@highlight

Bishop T.D. Jakes says African-American churches have been portrayed negatively

@highlight

Hate-filled church image is distraction from task of choosing president, he says

@highlight

Minister: Sen. Barack Obama's campaign built on a strong commitment to unity

@highlight

Jakes says the church and faith is colorblind