(CNN) -- We celebrate Veterans Day this week, but we have been riding a crest of war remembrance for months now. World War I's centenary alone has brought forth new books -- histories of that war, based on historical documentation and letters unearthed in family and state archives. We look anew at the inscriptions on tombs of known and unknown soldiers and posters from the past whose propagandistic messages shout at us across the divide of time.

Opinion: How a century-old war affects you

But in the midst of this flood of words, an equally significant, and telling, aspect of the Great War has been largely overlooked: the place of silence in and around the conflict.

World War I may call to mind the written word -- the harrowing verses of Wilfred Owen or the prose of Erich Maria Remarque, whose "All Quiet on the Western Front" rendered war's raw brutality. But the experiences of the years 1914-1918 in fact enshrined the notions that language cannot adequately express the experience of combat, that the veteran will often remain silent about war, even to his or her own family, that the speech of soldiers -- the euphemisms and slang used on the battlefield, the coded communications used after, among veterans -- leaves out as much as it reveals.

Opinion: When the flu wiped out millions

This notion of war as an inaccessible space may seem almost antiquated today, when civilian smartphones and video cameras produce a continual feed of chaotic combat situations. But much of what goes on in military operations remains unknown to those who were not there. The connections between silence and war still hold among soldiers-- for reasons of security, censorship, military culture and enduring mechanisms of human psychology.

Opinion: The mighty women of World War I

In 2014, as in 1914, many veterans keep quiet about what are their most life-changing experiences. There is, for one thing, the trauma; there is also the desire to protect one's family. There is guilt over killing -- and guilt over surviving. And there is the sheer difficulty of how to explain it: how to put an exceptional state into everyday language.

Opinion: How World War I gave us 'cooties'

World War I was a watershed in this regard, modeling, during the course of the conflict, what could and could not be said about war by combatants. Some silences were strategic: Soldiers knew their communications home would be censored, and it was unwise to appear defeatist or unpatriotic by conveying the horrors of the battlefield.

Opinion: The promise World War I couldn't keep

Others refused speech as a way of respecting the war experience of fallen comrades. War poetry is vocal on the need for restraint to counter the rhetoric of heroism produced by those far from the front. In his 1915 poem "When You See Millions of the Mouthless Dead," Charles Hamilton Sorley scorned the use of "soft words" about those who could not speak back: "Say only this, 'They are dead.' /Then add thereto, /'Yet many a better one has died before.'..."

Opinion: The 'bionic men' of World War I

Most combatants could not come up with the words, soft or hard, to communicate to those back home what lay around them: carnage on an unprecedented scale. With many new weapons, and others used on a mass scale for the first time in history, World War I inaugurated a new human experience of battle and devastating new injuries.

Even the educated felt that language failed them to convey the sights and smells of bodies rent by machine gun fire, devastated by bombs from the air, blistered from gas or paralyzed by shell shock. "I cannot find words to translate my impressions. Hell cannot be so terrible," wrote the French lieutenant Alfred Joubaire in his diary, unable to draw comparisons with any known reality.

Opinion: War: What is it good for? Art!

The writings, drawings and other artifacts that flowed from the front grappled not only with the question of how to rise to these expressive challenges, but whether it is even possible to communicate this new reality to the noncombatant.

Opinion: Should nations pay the price for their leaders' misdeeds?

Henri Barbusse reflected on this futility in his 1916 novel "Under Fire," which originated from notes taken during his time at the front. "It'll be no good telling about it, eh? They wouldn't believe you ... no one can know it. Only us," remarks one soldier. "No, not even us, not even us!," another responds. "We've seen too much to remember ... We're not made to hold it all."

Traumatic repression, the veterans' despair at being understood, the affirmation of a special bond of knowledge and experience among comrades -- all familiar struggles from our modern wars. They are all here, in 1916 -- violence of a scope that exceeded comprehension. Indeed, Barbusse's scene ends with the rueful reflection that this war was something "you can't give a name to."

Opinion: The promise World War I couldn't keep

Both the modern figure of the literary witness and the modern figure of the mute veteran emerged from this early 20th-century conflagration -- as with Barbusse, they were often one and the same - and with them the notion of war as something too overwhelming to tell.

Opinion: How World War I gave us drones

Of course, this situation was not unique to the Great War. A study released in August by the United States Department of Veterans Affairs, which reveals the prolonged post-traumatic stress among Vietnam veterans -- home from war for 40 years now -- reminds us of that.

Opinion: How World War I gave us drones

And so it's fitting that from 1919 onward, World War I's November 11th Armistice has been marked in many countries through two minutes of silence and has been expanded to include the veterans of all wars.

The words of World War I can enlighten us about the conflict 100 years later. But the spaces of silence around the din of all wars can tell us much about war's toll on those who wage it -- in 2014 as in 1914.

Photo blog: WWI: The Golden Age of postcards

@highlight

Ruth Ben-Ghiat: Veterans Day brings words of remembrance. For many, words don't work

@highlight

She says vets keep quiet about their life-changing experience; others would not understand

@highlight

She says WWI enshrined this notion. The horrors, and guilt over killing, too great to describe

@highlight

Ben-Ghiat: It's fitting Veterans Day calls for 2 minutes of silence -- to quietly mark the din of war