A federal judge struck down Oregon's voter-approved ban on same-sex marriage Monday.

"Because Oregon's marriage laws discriminate on the basis of sexual orientation without a rational relationship to any legitimate government interest, the laws violate the Equal Protection Clause of the Fourteenth Amendment to the United States Constitution," U.S. District Judge Michael McShane said in his ruling.

Oregon voters passed Measure 36 in 2004, which amended the state's Constitution to define marriage as between one man and a woman.

In February, the state's attorney general said she would not defend the ban in court because it would not stand up to a federal constitutional challenge.

"My decision will not be the final word on this subject, but on this issue of marriage I am struck more by our similarities than our differences. I believe that if we can look for a moment past gender and sexuality, we can see in these plaintiffs nothing more or less than our own families, families who we would expect our Constitution to protect, if not exalt, in equal measure," McShane said. "With discernment we see not shadows lurking in closets or the stereotypes of what was once believed; rather, we see families committed to the common purpose of love, devotion, and service to the greater community."

Same-sex couples camped out in lawn chairs outside a government building in Oregon's largest county while waiting for the news, then cheered as word of the judge's decision spread.

Multnomah County began issuing marriage licenses to same-sex couples minutes later, the county said in a statement.

Ben West, one of the plaintiffs who challenged Oregon's constitutional ban, stood beside his fiance and his son as he told CNN affiliate KGW that he was thrilled by the news.

"We're excited. It's surreal. We're part of history. Our family is recognized, I mean, I'm tingling. It's amazing," he said.

"It means that my son's family is just as legitimate as the one next door, and that he can grow up proud."

At a news conference shortly after the judge's ruling, activists and attorneys who challenged the amendment celebrated the news.

"Love won today," said Marty Rouse, national field director for the Human Rights Campaign.

Ten years ago, Rouse said, the first same-sex marriages in the United States were celebrated in Massachusetts. And 45 years ago marked another historic moment, he said.

"Same-sex couples were arrested and sent to jail for dancing together at establishments like the Stonewall Inn," he said. "Today, 45 years later, in 18 states and now including Oregon and the District of Columbia, same-sex couples are dancing together at their own weddings, and they have wedding rings, not handcuffs. History in Oregon. Congratulations."

Meanwhile, the National Organization for Marriage, which opposes same-sex marriage, said it had filed a motion with the 9th Circuit Court of Appeals asking judges to block McShane's ruling.

"This case is an ugly example of inappropriate cooperation between the Attorney General and the gay marriage lobby, both of whom want to redefine marriage in contravention of the overwhelming decision of the people to define marriage as the union of one man and one woman," Brian Brown, the organization's president, said in a statement. "The people of Oregon are entitled to a defense of their decision on marriage rather than being abandoned in court."

Same-sex marriage now allowed in 18 states

The Oregon ruling continues a near-unbroken string of state and federal court victories nationwide in the past year for supporters of same-sex marriage.

Seventeen other states and the District of Columbia allow same-sex marriage within their borders: California, Connecticut, Delaware, Hawaii, Illinois, Iowa, Maine, Maryland, Massachusetts, Minnesota, New Hampshire, New Jersey, New Mexico, New York, Rhode Island, Vermont, and Washington. Just over a decade ago, there were none.

Earlier this month, judges in Arkansas and Idaho ruled that same-sex marriage bans in those states were unconstitutional. Both decisions are being appealed.

This month also marks the two-year anniversary of President Barack Obama voicing his public support for the first time of same-sex marriage, citing his own "evolution" on the issue.

"At a certain point, I've just concluded that for me personally it is important for me to go ahead and affirm that I think same-sex couples should be able to get married," Obama said at the time.

Groups supporting same-sex marriage applauded the Oregon ruling.

"The importance of Judge McShane's decision cannot be overemphasized," said David Fidanque, executive director of the ACLU of Oregon. "Our federal Constitution does not allow any state -- or its voters -- to deny same-sex couples equal protection under the law simply because of who they are and who they love. This type of discrimination is wrong, and it's also unconstitutional."

But court battles over the matter are far from over.

About 70 cases dealing with same-sex marriage are now making their way through U.S. courts.

Separate federal appeals courts in recent weeks heard challenges to same-sex marriage bans in Utah, Oklahoma and Virginia. Similar appeals will be heard on current bans in Nevada, Texas, Kentucky, Ohio and Michigan.

Federal judge orders Utah to recognize same-sex marriages

Also Monday, a federal judge said Utah must recognize the marriages of more than 1,200 same-sex couples who obtained marriage licenses earlier this year after a court struck down that state's same-sex marriage ban.

The U.S. Supreme Court days later issued a stay preventing any more same-sex marriages, but that action left those who got married in the interim in legal limbo.

The judge's ruling Monday says Utah must give those couples "all the protections, benefits, and responsibilities given to all marriages under Utah law."

While some details of the Oregon and Utah cases are similar, there's a key difference. In Utah, the state is appealing a judge's decision to overturn its voter-approved ban of same-sex marriage.  Gov. Gary Herbert slammed what he said was a decision by an "activist federal judge."

In Oregon, officials are taking the opposite tack, praising the judge's ruling overturning their state's same-sex marriage ban.

"Now, finally, all Oregonians will have the opportunity to make a legal commitment to the person they love. Every person and every family in Oregon deserves that chance," Gov. John Kitzhaber said in a statement. "Today is a win for love, for families, and for freedom."

@highlight

Plaintiff: "It means that my son's family is just as legitimate as the one next door"

@highlight

Judge: Oregon's voter-approved same-sex marriage ban is unconstitutional

@highlight

Activist after the ruling: "Love won today"

@highlight

Opponents of same-sex marriage say Oregon abandoned citizens in court