Covert drone strikes are one of President Obama's key national security policies. He has already authorized 283 strikes in Pakistan, six times more than the number during President George W. Bush's eight years in office.

As a result, the number of estimated deaths from the Obama administration's drone strikes is more than four times what it was during the Bush administration -- somewhere between 1,494 and 2,618.

Under Obama, the drone campaign, which during the Bush administration had put emphasis on killing significant members of al Qaeda, has undergone a quiet and unheralded shift to focus increasingly on killing Taliban foot soldiers.

Obama revealed: The man, the president

To the extent that the targets of drone attacks can be ascertained, under Bush, al Qaeda members accounted for 25% of all drone targets compared to 40% for Taliban targets. Under Obama, only 8% of targets were al Qaeda compared to just over 50% for Taliban targets.

And while under Bush, about a third of all drone strikes killed a militant leader, compared to less than 13% since President Obama took office, according to an analysis of thousands of credible media reports about the strikes undertaken by the New America Foundation.

While Bush sought to decapitate the leadership ranks of al Qaeda, Obama seems to be aiming also to collapse the entire network of allied groups, such as the Pakistani Taliban.

As a result, so-called "signature strikes" have become a hallmark of Obama's drone war. These are drone attacks based on patterns of merely suspicious activity by a group of men, rather than the identification of a particular individual militant.

These have decimated the ranks of low-level combatants, killing somewhere between 1,332 to 2,326 reported militants. In April 2010, a militant told a New York Times reporter, "It seems they really want to kill everyone, not just the leaders."

Obama's drone campaign is quite controversial: Some claim that a substantial number of civilians are killed in the attacks, while U.S. government officials assert that the civilian casualty rate is now zero.

In Pakistan, the program is deeply unpopular and the Pakistani parliament voted in April to end any authorization for the program, a vote that the United States government has simply ignored.

The New America Foundation analysis of the drone campaign in Pakistan found that:

-- The civilian casualty rate has been dropping sharply since 2008. The number of civilians, plus "unknowns," those individuals whose precise status could not be determined from media reports, reported killed by drones in Pakistan during Obama's tenure in office were 11% of fatalities. So far in 2012 it is close to 2%. Under President Bush it was 33%.

-- Conversely, the percentage of militants killed has been rising over the life of the drone program. The number of militants reported killed by drone strikes is 89% of the fatalities under Obama compared to 67% under Bush.

-- Some of these attacks were designed to help Pakistani interests. In the first eight months of 2009, the U.S. carried out 19 drone strikes targeting affiliates of the leader of the Pakistani Taliban, Baitullah Mehsud, who had carried out an extensive campaign of attacks against Pakistani police officers, soldiers and politicians. Mehsud was eventually killed by a CIA drone strike.

-- Since it began in 2004, the drone campaign has killed 49 militant leaders whose deaths have been confirmed by at least two credible news sources. While this represents a significant blow to the militant chain of command, these 49 deaths account for only 2% of all drone-related fatalities.

Osama bin Laden himself recognized the devastation that the drones were inflicting on his organization, writing a lengthy memo about the issue in October 2010 that was later recovered in the compound in Abbottabad, Pakistan, where he was killed by a team of U.S. Navy SEALs. In the memo to a lieutenant, bin Laden advised that his men leave the Pakistani tribal regions where the drone strikes have been overwhelmingly concentrated and head to a remote part of Afghanistan and he also suggested that his son Hamza decamp for the tiny, rich Persian Gulf kingdom of Qatar.

Buzz ramps up over SEAL's bin Laden book

The year 2010 marked the most intense point of the Obama drone campaign, with a record 122 strikes. This combined with the May 2011 raid on bin Laden's compound in Abbottabad, and the killing of at least 24 Pakistani soldiers in a NATO air strike in November severely damaged the relationship between the United States and Pakistan, and resulted in the eviction of CIA-controlled drones from Shamsi air base in Baluchistan in southwestern Pakistan.

At the same time, Cameron Munter, then-U.S. ambassador to Pakistan, was urging that there be more judicious targeting of the drone strikes as well as increased consultation with the Pakistanis about them.

In the past two years, there has also been increased congressional oversight of the program. The chairwoman of the Senate Intelligence Committee, Sen. Dianne Feinstein, D-California, explained in a May letter to the Los Angeles Times that "Committee staff has held 28 monthly in-depth oversight meetings to review strike records and question every aspect of the program including legality, effectiveness, precision, foreign policy implications and the care taken to minimize noncombatant casualties."

Some combination of pushback from the State Department, increased congressional oversight, the closure of the CIA drone base in Pakistan and, perhaps, a declining number of targets in the tribal regions and a greater desire to heed Pakistani sensitivities about drone attacks has led to a sharp fall in the number of strikes since 2010.

The number of drone strikes in 2011 fell by 40% from the record number of strikes in 2010. So far this year, the number of strikes has dropped by a further 25%.

This is a welcome development. If the price of the drone campaign that increasingly kills only low-level Taliban is alienating 180 million Pakistanis -- that is too high a price to pay.

While the drone campaign in Pakistan may be on the wane, it is amping up against the al Qaeda affiliate in Yemen. This year alone, Obama has authorized around 30 drone strikes in Yemen, while Bush only launched one drone attack there during his two terms in office.

Small wonder that as Obama prepares to address the Democratic Party convention in Charlotte, North Carolina, he continues to enjoy a considerable advantage over Mitt Romney on national security.

A Reuters poll in August found Obama leading Romney by a comfortable 12  percentage points on national security, which is traditionally regarded as a Republican strength.

Thanks to Fatima Mustafa, Farhad Peikar and Jennifer Rowland for their research help.

Follow @CNNOpinion on Twitter.

@highlight

Peter Bergen: Obama's drone campaign shifts to Taliban militants, not al Qaeda leaders

@highlight

Bergen: Obama has stepped-up drone attacks as a key part of national security policy

@highlight

Drone strikes deeply resented in Pakistan, he says, but campaign there is waning

@highlight

Yemen in the sights now, he says, as Obama ahead of Romney on national security