(CNN) -- Four members of the Lebanese Shiite movement Hezbollah have been indicted in the 2005 assassination of former Prime Minister Rafik Hariri, a high-placed source in the Lebanese Army confirmed on Thursday.

The Special Tribunal for Lebanon issued the indictments, and a U.N. source familiar with the body said the people include alleged perpetrators on the ground.

Multiple sources in the region said they include Mustafa Badreddine.

Badreddine -- who is the brother-in-law of Imad Mughniyeh, a former Hezbollah commander who was assassinated in Syria in 2008 -- is reported to be a member of Hezbollah's advisory council. The other names on the list are Hasan Oneisa, Salim Ayyah and Asad Sabra.

Two additional lists of indictments are expected later this summer and are expected to include the organizers and planners of the attack, the U.N. source said. The United Nations and the Lebanese Republic negotiated an agreement on the establishment of the tribunal, based at The Hague.

Many Lebanese believe the killing revolved around the controversies over Syria's role in Lebanon, occupied at the time by Syrian troops, and the Damascus government's strong political influence in Lebanon.

People believe Hariri wanted the Syrians to withdraw from Lebanon and lessen Syria's influence, and many suspect that Syria and its ally Hezbollah went after Hariri because of his stance on this issue.

Those suspected connections of Hezbollah and the Syrian government to the killing have raised tensions in the country, stoking fears of sectarian conflict erupting in the ethnically and religiously diverse nation, which endured a civil war from 1975 to 1990.

Besides being prime minister of Lebanon for 10 years between 1992 and 2004, Rafik Hariri was the driving force behind Beirut's renaissance as a Mediterranean jewel, investing in the restoration of a city center that not so long before had been the frontline in Lebanon's civil war.

Rafik Hariri was 60 when he was killed, a self-made Sunni billionaire of humble origins. His son Saad, 40, leads a political bloc known as "March 14," which includes prominent Christian leaders. The group's adversaries include Hezbollah and other factions.

Syria had thousands of troops in Lebanon and great influence in the country until mass protests after Hariri's assassination forced their withdrawal. Syria has denied any involvement in the assassination.

But six years later, the shadow cast by that day still hangs over Lebanon, which finds itself in a political crisis -- in part caused by the bitter divide over the country's special tribunal that is tasked with investigating Hariri's assassination.

Hezbollah is a political faction in Lebanon and provides social services to Shiites, but it has long been regarded as a terrorist organization by the United States and as an ally of Iran. It has had longstanding animosity toward the tribunal, based on the expectation that some of its members would be indicted as conspirators in Hariri's assassination.

The Hezbollah leader, Hassan Nasrallah, has accused the group's arch-enemy Israel of the assassination. The movement, which fought a war on Lebanese soil against Israel five years ago, claims the tribunal is a plot involving the United States, Israel and France. Ibrahim Mousawi, a Hezbollah media relations officer, said it had no immediate reaction to the indictments.

Rafik Hariri and 22 others were killed on February 14, 2005, when a bomb went off as his motorcade passed by. Saad Hariri, Rafik Hariri's son and a former Lebanese prime minister, said on Thursday the indictments were issued after years "of patience and waiting and a constant national struggle."

Saad Hariri called on all factions to accept Lebanon's "obligations" to the tribunal and said on Thursday "there is no excuse for anyone to escape from this responsibility."

"Today, we witness a distinctive historic moment in the life of Lebanon's political, judicial security, and ethical systems. And I feel in the beat of my heart, the embrace of all the hearts of the Lebanese who defended the cause of justice and refused to bargain on the blood of the martyrs," Saad Hariri said in a statement.

Earlier this year, Hezbollah brought down Saad Hariri's government. His replacement is Prime Minister Najib Mikati, a Sunni political independent who was backed by Hezbollah and its allies.

Nasrallah said in January that Hezbollah nominated Mikati to form "a national salvation government in which parties from across the political spectrum would take part." He disputed the view that Mikati is a Hezbollah figure. He said Mikati is a consensus candidate and "we will not lead the new government and it will not be the government of Hezbollah."

Speaking on TV on Friday, Mikati said the "delicate situation" Lebanon is experiencing "requires us to be wise" and avert civil strife. He stressed that the "indictments -- no matter what their source is -- are not sentences, and that charges need to have compelling evidence, away from any doubt, and that everyone is presumed innocent until proven guilty."

The U.N.-backed court said the indictment and accompanying arrest warrants "were transmitted to the Lebanese authorities" on Thursday. It said the announcement "follows a declaration by the Lebanese authorities that they have received a confirmed indictment."

"This is not a verdict of guilt and any accused person is presumed innocent unless his or her guilt is established at trial," the Special Tribunal said in a statement.

"At this time, the STL has no comment on the identity or identities of the person or persons named in the indictment. Indeed, Judge (Daniel) Fransen has ruled that the indictment shall remain confidential in order to assist the Lebanese authorities in fulfilling their obligations to arrest the accused."

The tribunal says arrest warrants have been submitted to the Lebanese authorities, and that they must inform the tribunal president "within 30 days after the confirmation of the indictment of the measures the state has taken to arrest the person(s) named in the indictment."

CNN's Jenifer Fenton contributed to this report

@highlight

NEW: Four Hezbollah members are indicted in Hariri killing

@highlight

They include alleged perpetrators on the ground, source says

@highlight

Indictments for organizations and planners are expected later in the summer

@highlight

Hariri and 22 others were killed in 2005 when a bomb targeted his motorcade