Editor's note: Dr. Anthony S. Fauci is director of the National Institute of Allergy and Infectious Diseases at the National Institutes of Health.

Dr. Anthony S. Fauci: Progress has been made in the fight against HIV/AIDS, but "our work is just beginning."

(CNN) -- When we commemorated the first World AIDS Day on December 1, 1988, we had little to celebrate.

The number of reported AIDS cases in the United States was nearing 80,000 and rising rapidly. Untold thousands more in this country were living with the human immunodeficiency virus, or HIV. Globally, AIDS cases already had been reported from more than 135 countries. An AIDS tsunami clearly was looming, but we had few defenses at our disposal.

For those of us caring for people with AIDS, it was a dark time. We had just one anti-HIV medicine in our pharmacies, AZT, a drug that the virus rapidly defeated by mutating and developing resistance. Lacking other medicines to slow the relentless replication of HIV and its destruction of a person's immune system, we did our best to help our patients by managing to the extent possible their AIDS-related infections and complications. But the life span of most of the patients was measured in months.

Two decades later, much has changed. An unprecedented research effort has led to more than two dozen anti-HIV drugs, more than for all other viral diseases combined. Taken in proper combinations, these medications have dramatically improved the prognosis for people living with HIV by increasing their life span by at least a decade and providing the possibility of a normal life span with continued therapy.

Scientifically proven prevention approaches -- education and outreach to at-risk populations, voluntary HIV testing and counseling, condom distribution, prevention of HIV transmission from mother to baby, harm reduction approaches for drug abusers, mass-media campaigns and the screening of donated blood -- have been deployed with great success in the United States and many other countries.

Innovative programs such as the President's Emergency Plan for AIDS Relief and the Global Fund for HIV/AIDS, Tuberculosis and Malaria, as well as the efforts of nongovernment organizations, have reached millions of people in low- and mid-income countries worldwide with HIV-related services, at a scale unimaginable a few years ago. And gradually -- but too slowly -- we have begun addressing AIDS-related stigma in this country and abroad.

Much has been accomplished in the fight against HIV/AIDS from scientific, medical and public health standpoints. However, now is no time to rest on our accomplishments or our laurels. The statistics of the HIV/AIDS pandemic tell us that much more needs to be done.

Around the world, a staggering 2.7 million people were infected in 2007 alone. Globally, 33 million people are living with HIV infection, most of them in the developing world. In the United States, more than 1 million people are living with HIV. And 56,000 more people are infected each year in the U.S., driving HIV prevalence rates in some of our communities to levels that rival those seen in sub-Saharan Africa. Gay and bisexual men, and African-Americans in general, are disproportionately affected. The true ground zero of the HIV epidemic in the United States is in those communities.

What is the way forward? First, even in the face of a world economic crisis, the global community must scale up the delivery of proven HIV therapies and prevention services. In low- and middle-income countries, less than one-third of people in need of anti-HIV therapy are receiving it, and only one in five people at risk of HIV infection have access to prevention services.

All around the world, access to HIV services -- and medical care in general -- remains a challenge in many poor communities. The global community must sustain our commitment to investing resources for medicines, clinics, as well as training and salaries for doctors, nurses and community health care workers to provide care for HIV/AIDS and other diseases in the settings where they occur.

Here in the United States, more than one-fifth of people living with HIV are unaware of their infection and not receiving appropriate care for their own health or the prevention services that would help them avoid transmitting the virus to others. A frequent scenario is that people learn of their infection status only when they have advanced symptoms of HIV disease, when their health may by irreparably damaged.

Now is the time for the medical community and policymakers to embrace U.S. guidelines for all Americans aged 13-64 to be voluntarily  tested in routine medical care. Barriers to implementation of HIV testing guidelines, such as state, local or agency regulations that conflict with the recommendations, variability in payment coverage for the test, and concerns about the stigma and discrimination that may accompany an HIV diagnosis, must be addressed.

Meanwhile, we also must continue to invest in the next generation of treatment and prevention modalities. Encouragingly, new means of preventing HIV infection are emerging from well-designed and well-implemented clinical research trials.

One exciting concept is pre-exposure prophylaxis or PrEP, giving preventive doses of anti-HIV drugs to individuals who are at an increased risk of HIV infection. This still-experimental strategy is based on the concept that if HIV replication can be inhibited immediately following exposure to the virus, permanent infection might be thwarted. Multiple clinical studies of PrEP are under way in the United States and in populations around the world. Ongoing research to develop microbicidal gels or creams to be applied before sex offer the hope of people being able to protect themselves from HIV infection in situations where saying no to sex or insisting on condom use is not an option.

Finally, a preventive HIV vaccine remains the greatest hope for halting the relentless spread of HIV/AIDS. We must solve the mystery of how to prompt the human body to produce a protective immune response against HIV, which natural infection with the virus seems unable to do.

Historically, it has taken decades to find effective vaccines to combat most infectious diseases. Researchers usually experienced numerous setbacks and disappointments before reaching success, yet they persevered. Finding a safe and effective HIV vaccine demands an equally intense resolve.

On this World AIDS Day, we should be proud of the many scientific advances that have been made in the fight against HIV/AIDS. But it is hardly a time for self-congratulation. Rather, we must understand that our work is just beginning. Developing HIV interventions and delivering them to the people who need them will require scientific and public health vision, and dedication from all sectors of society, in good times and bad.

The opinions expressed in this commentary are solely those of Dr. Anthony S. Fauci.

@highlight

Dr. Anthony S. Fauci: Access to HIV services, medical care a challenge in poor areas

@highlight

Fauci: Preventive HIV vaccine is best hope for halting spread of HIV/AIDS

@highlight

Medications improved prognosis for people living with HIV by increasing life spans

@highlight

Prevention approaches, education, testing, counseling, condoms deployed