Ken Henggeler poured his grief into the thing he loved most: carpentry.

Shaken by the Sandy Hook Elementary School massacre, the retired teacher and longtime resident of Newtown went to his barn, picked up an oak children's bench and went to work. He sawed away, cutting it into two shelves.

On one, he made 20 individual slots for candles, one for each slain child. On the other, he placed six candles for the heroic educators. He drove into town, unsure of his destination.

At the intersection of Main Street and Sugar Street, he felt a tug. After all, the park there is called The Pleasance. On a tree and nearby street pole, there were two signs. Both read: Pray for Newtown.

It was the perfect spot. Just enough room to fit the shelves, and just enough space to let people hug, pray and cry. He and his wife, Darla, placed the shelf for the children in front and the one for the educators in the back, as if still watching over their young students.

Henggeler struggled to light each candle. First one. Then two. Then three.

"It was really hitting me," he said, "with how many were involved."

Glimpses of normalcy amid reminders of horror

A car pulled up and a man placed a giant brown teddy bear next to the makeshift shrine.

More people came. All wept. The memorial grew and grew.

"We did it to help ourselves, and maybe the town," said Henggeler, a resident of 15 years. "I just wanted to do something. Now, I'm in awe."

The pain in Newtown is suffocating. It's felt on every corner, in every store, in every church. Each fresh news report -- each photo of those precious children, those tiny victims with so much youthful exuberance -- brings another wave of emotions, of sorrow, horror and disbelief.

Did you hear a child was shot 11 times? Can you believe the strength of Robbie Parker -- whose daughter Emilie was killed -- to forgive the shooter's family? Why did the shooter take out his rage on such pure innocence?

The shooter's name isn't mentioned in conversations. It's just too damn painful.

Newtown is grappling with other pressing questions: How does the town handle 26 funerals with only one funeral home? What becomes of the school building, and when do Sandy Hook students begin school again?

Soundwaves: Newtown wonders how to heal

Sunday was supposed to be a festive day, filled with holiday revelry as students prepared for the final week before Christmas holiday. Instead, churches overflowed with mourners.

Gray clouds stretched from horizon to horizon, a cold drizzle dampening the already somber mood.

Newtown was the idyllic New England community -- that Norman Rockwell setting of rolling hills, a town green and an unwavering slice of Americana. The bumper stickers throughout town declared: "Nicer in Newtown."

And it was. The town of 27,500 had great schools and great people. Notable residents have included 1976 Olympic champion Bruce Jenner, "Hunger Games" author Suzanne Collins and cartoonist James Thurber.

It served as a bedroom community for Danbury and even New York, with people making the 60-mile commute into the city. Founded in 1711, the town in southwestern Connecticut spans 60 square miles, the fifth largest town in area in the state.

Newtown's most gruesome crime story had been a murder charge against a husband accused of killing his wife in 1984; her remains were found beneath the floor of a barn in 2010.

But the town was best known for its 100-foot flagpole that sits, literally, in the middle of Main Street. The flagpole also had been the town's greatest source of controversy for nearly 100 years -- declared a road hazard as cars replaced ox wagons. Yet the flagpole survived every attempt by highway authorities to remove it. It also survived a lightning strike and a car that slammed into it going 55 mph.

The 12-foot by 18-foot flag now flies at half staff, a sad reminder hovering above the town's center.

Headlines in Friday's Newtown Bee reported on vandalism at a cemetery and warned of police plans for a sobriety checkpoint over the weekend.

Then, everything changed.

Remembering the victims

Librarian Beryl Harrison was celebrating with staff at their annual holiday party last Friday. They were preparing to sing Christmas carols when word came.

"We got a call that there was a lockdown at the schools," she said.

Word spread. Rumors flew. At one point, they were told the library was in lockdown. "We thought they were joking: What could we be locking down the library for?" she asked. "It just got worse as the day went on."

Many of those precious children had studied in the library's children's area, accompanied by their parents. She had volunteered at the school over the years; both her sons attended school there, too. One librarian, she said, plans to attend at least six funerals.

"We just can't believe it," she said in the gentle voice of a well-schooled librarian.

"I hope this doesn't define the town, because it doesn't deserve to be remembered as a place of horror."

Not too far from Harrison's desk, pamphlets were spread out for any resident to take. One began, "Facts for Families: Children and Grief." Another provided the number for a grief hot line "should you or anyone you know need to talk to someone during this very difficult time."

The old town hall will be turned into a grief counseling center Monday, complete with privacy screens. The Newtown Savings Bank has established the Sandy Hook School Support Fund to help families pay for funerals.

Librarians across the country have begun pitching in. One book that's being shipped is called "Tear Soup," considered one of the best at helping people, especially children, cope with tragedy.

Just up the road, Ken Henggeler stood near the memorial with his wife and 22-year-old stepson, Eric Puffer.

Puffer had attended Sandy Hook in first grade. He couldn't help but wonder about that classroom of children. He likely had studied in that exact same room. Puffer had begun his first day at work on Friday, at a DNA sequencing job in Boston.

He immediately came home. His friends teach at the school and "students that they used to have are now dead."

"I don't know what to even say to them," he said. "It just doesn't make any sense why he would go into school where these kids can't even defend themselves."

Puffer was a senior in high school when the shooter, Adam Lanza, 20, was a sophomore. He doesn't remember much about Lanza other than the way he dressed.

"I would see him in the hallway just dressed up formally with a briefcase, like shirt and tie," he said. "He stood out so much wearing such odd apparel to school when we don't have a dress code."

Puffer glanced at the memorial his stepdad made.

"It's a visual representation. Seeing how many candles there are, it's just terrible."

Jan Philbrick, from the nearby town of Redding, stopped to hug people standing at the memorial.

"This has always been the sweetest of towns. It's held onto its identity," she said. "It's hard to bear for any town, but this is a particularly kind, good, open, balanced place."

She described the memorial as beautiful, and said she stopped at it "because we're all in this together." Henggeler accepted a hug. He taught woodworking, architecture and robotics at nearby Danbury High School for 37 years, retiring three years ago.

He searched for words as to how the tragedy affected him. "I taught high school, but I had a special place in my heart for young children."

Weeping, he walked off.

Like the rest of town, he cried tear soup.

Strangers inspired to honor Newtown victims

@highlight

The pain in Newtown is felt on every corner, in every store, in every church

@highlight

It was the idyllic New England town: rolling hills, a town green, 100-foot flagpole

@highlight

Notable residents include Bruce Jenner, James Thurber, Suzanne Collins

@highlight

"It doesn't deserve to be remembered as a place of horror," librarian says