The Senate voted Wednesday to avert at least one chronic Washington political crisis for more than a year.

With a snowstorm bearing down on the capital, it approved a House-passed measure that allows the government to borrow more money to pay its bills through March 2015.

President Barack Obama signaled that he would sign the legislation, so the Senate vote was the last hurdle to resolving the debt ceiling issue until after the November congressional elections.

"I'm pleased that Republicans and Democrats in Congress have come together to pay for what they've already spent, and remove the threat of default from our economy once and for all," Obama said in a statement, adding that he hoped "this puts an end to politics by brinkmanship."

Wednesday's result was a blow to tea party conservatives who oppose any kind of increase in federal borrowing.

Filibuster denied

Sen. Ted Cruz of Texas, a leader of the GOP tea party wing, mounted a filibuster attempt to force a 60-vote threshold for proceeding on the debt ceiling measure.

However, a dozen Republicans, including Senate Minority Leader Mitch McConnell, joined Democrats to overcome the filibuster on a 67-31 procedural vote that avoided another politically damaging legislative impasse over spending.

The Democratic-controlled Senate then gave final approval by a 55-43 margin on strict party lines, with McConnell and the other Republicans who helped overcome the filibuster voting against the measure to reduce their political risk.

"We got a good outcome," said GOP Sen. Lisa Murkowski of Alaska, one of the 12 who helped defeat the filibuster but then opposed the measure on the final vote.

Treasury Secretary Jack Lew said last week the debt ceiling must be raised by February 27, or the nation would risk a technical default.

After Wednesday's Senate votes, Lew said the debt ceiling plan along with a recent budget agreement and spending bill "will provide certainty and stability to businesses and financial markets and should add momentum to the economic growth forecasted in 2014."

To Democratic Sen. Chuck Schumer of New York, the defeat of the filibuster bid by Cruz signaled that "the American political world is moving in our direction."

"Republicans are trying to put tea party politics in the rear view mirror," he said.

After the House and Senate consideration of the politically charged matter, Obama added that the        "full faith and credit of the United States is too important to use as leverage or a tool for extortion."

Cruz sticks to his guns

Cruz, however, was unapologetic.

"Today's vote is yet another example that establishment politicians from both parties are simply not listening to the American people," he said. "Outside the beltway, Americans of all political stripes understand that we cannot keep spending money we don't have."

With Congress on break next week for the President's Day holiday, failure to pass the debt ceiling measure Wednesday would have brought the nation close enough to the deadline to possibly shake financial markets.

On Tuesday, the GOP-controlled House passed the debt-ceiling measure on a 221-201 vote, with only 28 Republicans supporting it compared to the 199 who opposed it. Meanwhile, 193 Democrats backed the measure with only two voting "no."

The House vote followed an internal Republican fight over efforts to attach deficit reduction provisions to the debt-limit legislation.

Obama and Democrats rejected any attempt to negotiate on the issue, which previously led to political brinkmanship that caused the first-ever downgrade of the U.S. credit rating in 2011.

In the end, House Speaker John Boehner gave up efforts to link the measure to a provision repealing a cut in some military pension benefits. The Ohio Republican allowed a vote on a "clean" bill demanded by Democrats and despised by conservatives.

The shift by Boehner evoked rare praise for the speaker from the Senate's top Democrat.

"It is encouraging that some of my Republican colleagues seem to be regaining their grip on sanity this week," Senate Majority Leader Harry Reid said Wednesday before the Senate vote.

GOP change in tactics

Until it happened, House Republicans insisted that any increase in the borrowing limit had to come attached to deficit-reduction provisions.

At a closed-door meeting on Monday, they discussed a plan to increase the debt ceiling until March 2015 -- past the upcoming congressional elections in November -- while also repealing cuts to military pensions that were part of the recently passed federal budget.

Less than 18 hours later, though, Boehner told reporters the GOP proposal couldn't pass because "we don't have 218 votes."

Some conservatives oppose raising the debt ceiling under any circumstance, while Democrats had made it clear they would unanimously reject any measure that tacked other provisions onto an increase in the borrowing limit.

Without a purely Republican majority, Boehner decided to split up the GOP plan by holding separate votes on repealing the military pension cuts and a clean debt ceiling increase.

The House easily passed the military pension measure earlier on Tuesday, then passed the clean debt ceiling legislation. Both Boehner and his top deputy -- House Majority Leader Eric Cantor of Virginia -- were among the 28 Republicans who supported the measure.

On Wednesday, the Senate also passed the military pension measure after the votes on the debt ceiling legislation.

Republicans facing pressure from conservatives ahead of the November vote were reluctant to back any kind of hike in the borrowing limit, a core issue for the political right because it represents rising federal debt.

Boehner blames Obama

Despite his support for the proposal, Boehner put the blame for needing a "clean" debt-ceiling bill with no deficit reduction provisions on Obama, saying the rising federal debt was his fault.

"It's the President driving up the debt and the President wanted to do nothing about the debt that's occurring, will not engage in our long-term spending problem," Boehner said. "And so, let his party give him the debt ceiling increase that he wants."

At the same time, Boehner declared himself disappointed about what he called a "lost opportunity" to address unsustainable federal spending.

Republicans across the ideological spectrum agree that another round of political brinkmanship could harm their party after it got blamed for October's federal government shutdown.

A recent CNN/ORC International poll found that 54% of respondents would blame congressional Republicans for a failure to raise the debt ceiling, while 29% would blame Obama and 12% would blame both.

@highlight

Senate also approves measure to repeal cuts to military pension benefits

@highlight

12 Republicans join Democrats to defeat a filibuster bid by Sen. Ted Cruz

@highlight

Under the measure, no debt ceiling showdown until 2015 at the earliest

@highlight

Obama signals he'll sign bill, says he hopes it ends "politics by brinkmanship"