The discovery of a slain Palestinian teen in Jerusalem early Wednesday further inflamed tensions in a region already unsettled over the killings of three Israeli teens, not to mention decades of entrenched enmity between all sides.

Mohammad Abu Khedair, 17, was heading from his home to a mosque in the middle-class neighborhood of Shuafat for prayers around 4 a.m. when three men forced him into a car and drove off, his father, Hussain Abu Khedair, told CNN. His body was found about an hour later at a forest in Jerusalem.

The killing quickly triggered condemnations from Palestinian and Israeli leaders, as well as from the United States.

Abducted Palestinian teen was kind, beloved

Those who spoke out passionately included an uncle of one of the three Israeli teens whose bodies were found earlier this week. He called the young Palestinian's killing "a forbidden action, and it has no forgiveness."

"Any act of revenge of any kind whatsoever is completely inappropriate and wrong. Murder is murder," said Yishai Frankel, uncle of Naftali Frankel, a 16-year-old dual Israeli-American citizen, to Israel's Channel 2. "One should not differentiate between bloods, be it Arab or Jew.

Israeli authorities are probing Wednesday's death, with police spokesman Micky Rosenfeld tweeting this effort will try to determine if it is a "criminal or nationalistic" act -- the latter term referring to a politically motivated act in retaliation for the Israeli  teens' killings.

Mark Regev, a spokesman for Prime Minister Benjamin Netanyahu, told CNN late Wednesday that investigators "at this stage cannot say who did this killing." This came hours after Netanyahu's office promised a speedy investigation to find "who is behind this despicable murder and the background to this act," according to a statement from his office.

"Netanyahu calls on all sides not to take the law into their own hands. Israel is a country of law and everyone is ordered to act according to the law."

The killing riled many Palestinians, particularly in Jerusalem. But it didn't happen in isolation.

Israelis and Palestinians continue to trade blows -- over longstanding issues unrelated to Abu Khedair's death -- through rocket attacks and airstrikes.

All this violence, from various angles, leads to one big question: When will it stop?

Report: Body was 'charred and bore signs of violence'

"Settlers" kidnapped the teenager and his body "was charred and bore signs of violence," according to the Palestinian state news agency WAFA. DNA, through saliva samples, was used to positively identify the boy, his father said.

Rosenfeld told the Jerusalem Post the teen had significant burn marks. The same Israeli publication also reported police are looking into previous kidnap attempts on members of the teenager's family related to a personal dispute.

Yet Hussain Abu Khedair, the boy's father, blamed Israelis and vehemently denied reports that this may have been tied to any sort of family dispute.

"Netanyahu is responsible for the crime," the father told CNN, "because he is the one who is giving the settlers the cover and supporting them."

The teen's cousin, Majdi Abu Khedair, said whoever carried out the abduction was driving a car that had been used in an attempted abduction two days ago. A similar claim was made to Haaretz by Knesset member Ahmed Tibi.

The cousin passionately suggested: "The Israeli police and Israeli government should do the same as they have done in Hebron: Demolish and blow the settler houses who have done this crime."

The Israeli military destroyed the homes of the two suspects in the killings of the three Israeli teens.

When confronted with this suggestion, Regev insisted "we are totally color blind when it comes to this sort of criminal act."

"There's no difference between a Jewish resident of Jerusalem or an Arab resident of Jerusalem," the spokesman said. "... Police will get to the bottom of this."

"It is sickening to think of an innocent 17-year-old boy snatched off the streets and his life stolen from him and his family," said Secretary of State of John Kerry, who talked with Netanyahu by phone about the situation. "There are no words to convey adequately our condolences to the Palestinian people."

He noted that both Israeli and Palestinian officials have condemned it, and he added to Netanyahu's call. "Those who undertake acts of vengeance only destabilize an already explosive and emotional situation."

Palestinian Authority President Mahmoud Abbas, who heads the Fatah party and is based in the West Bank, called Mohammad Abu Khedair's father and promised that those behind his abduction and death will be brought to justice, WAFA, the Palestinian state news agency, reported.

And Hamas -- the militant Islamic organization that controls Gaza -- said in a statement that it holds the "Israeli occupation (fully) responsible," adding that the incident "exposes (Israel's) ugly ... racism" and "refutes the Israeli narration of being the victim all the time."

Anger, clashes in Palestinian neighborhoods of Jerusalem

As news of the boy's death spread, public anger in Palestinian neighborhoods of Jerusalem rose to levels rarely, if ever, seen since the Second Intifada, or uprising, last decade.

That led to several clashes around the city, the biggest of which was centered in Shuafat.

Residents there threw stones at security forces and the Israeli authorities responded with occasional volleys of stun grenades or tear gas. Some protesters attacked two Palestinians whom they mistook for undercover Israeli police, The Jerusalem Post reported.

The clashes expanded and continued through midnight in the Palestinian neighborhood, with a large amount of Israeli forces on hand.

In Suwwaneh, Palestinians threw rocks at a nearby settlement and several of them were injured by rubber bullets, witnesses said. And some tossed Molotov cocktails at an Israel settlement in Silwan, outside Jerusalem's Old City.

The Palestinian Red Crescent Society reported that more than 100 were injured, most of them in Shuafat, in the clashes.

There were concerns that the Palestinian teenager's funeral could spark further unrest. But his father said Thursday he was still waiting to hear from Israeli authorities when the body would be handed over to the family.

"The autopsy should be done around 1 p.m., and then I am supposed to wait for a call," Hussain Abu Khedair said on Palestinian television.

"We will not bury my son at night," he said. "We will do it during the day. If they purposely delay, we will do it during the day even (if that means) tomorrow."

Israeli airstrikes into Gaza

Meanwhile, the dangerous back-and-forth between Gaza and Israel was erupting yet again.

Rockets from the Palestinian territory into Israel was met by at least eight airstrikes within about an hour early Thursday.

Three hit a Hamas intelligence building in Gaza city, while at least one struck the Qassam training camp in Beit Hanoun.

Palestinian medical sources reported at least 10 injured, one of them seriously.

Israel Defense Forces said the airstrikes -- going after 15 Hamas targets -- were in response to the firing of more than 20 rockets into Israel since Wednesday.

This is in addition to other actions -- including the arrests of hundreds of Hamas activists, the demolition of homes and the closure of dozens of institutions in Gaza, according to Netanyahu -- targeting Hamas and focused in Gaza. This action follows the abduction of Israeli teens Eyal Yifrach, Gilad Shaar and Naftali Frankel as they were on their way home from school June 13; the three were found dead on Monday in a West Bank field.

Hamas praised the kidnappings but denied that it was responsible for what happened. It warned that if Netanyahu "brings a war on Gaza, the gates of hell will open to him."

At the teens' funerals, Netanyahu said the country would avenge their deaths at "the hands of evil men."

"A broad moral gulf separates us from our enemies," he said. "They sanctify death; we sanctify life. They sanctify cruelty and we mercy and compassion. That is the secret of our strength."

Opinion: Teens' killing hurts Israelis, bad for Palestinians

Opinion: Slain teens call for justice, not escalation

@highlight

The boy's father says he's waiting to hear when authorities will hand over the body

@highlight

Israeli military says its airstrikes were focused on 15 Hamas targets in Gaza

@highlight

This comes amid Palestinian anger over the kidnapping, killing of a teen

@highlight

Israel vows to get those responsible; late teen's father blames Netanyahu