(CNN) -- Violence between competing unions at South Africa's mines is threatening to weaken Africa's largest economy.

On Wednesday, the world's top platinum producer, Anglo American, suspended all of its operations in Rustenburg, South Africa due to "intimidation" of its workers. Striking workers are also halting operations at some gold mines.

The move follows strike-related violence at Lonmin's Marikana mine in August that left 44 dead.

What triggered the violence?

The 34 miners in the Lonmin mine in Marikana, South Africa, died after police opened fire on a gathering of thousands of machete-armed workers striking for higher wages. The shootings came after deaths earlier in the week, including those of two police officers who were hacked to death. The violence exploded when police shot at striking rock drillers in the "Easterns" area of the Marikana mine. Tensions have been high in part because of the presence of competing trade unions, the Association of Mineworkers and Construction Union (AMCU) and the National Union of Mineworkers (NUM).

Read more: Inquiry launched into mine shootings

The mine, about two hours northwest of Johannesburg, is operated by Lonmin, which is listed on both the London Stock Exchange and Johannesburg Stock Exchange, and is the world's third largest platinum producer. The bulk of its 28,000 employees work at the mine, and around 23% belong to the AMCU.

The violence has prompted some people to draw parallels with the country's days of apartheid rule, which ended in 1994.

South African's president, Jacob Zuma, has opened an inquiry into the incident.

What is behind the conflict?

Rivalry between the AMCU and the NUM is widely blamed for feeding the violence. The AMCU, which has expanded rapidly this year at the expense of NUM, is seen as the more militant union and has been linked to aggressive tactics to win wage increases.

It has gained ground in an environment where workers have been dissatisfied with improvements in quality of life since the end of apartheid, particularly for those in the lower wage brackets.

At Marikana, 3,000 rock drill operators at the mine stopped work as they tried to force an increase in their wages, from ZAR5,400 ($648) a month to ZAR12,500 ($1,500) a month.

Tensions increased over the following days, with AMCU president Joseph Mathunjwa declaring the members were prepared to "die here" if necessary.

The stand-off later escalated into violence, leaving 34 dead, 78 injured and 259 arrested on various charges, according to South Africa National Police Commissioner Riah Phiyega.

The violence follows other fatal incidents including a six-week strike at Impala Platinum (Implats) in February, which left three dead, and an attack on Aquarius Platinum in August which also left three people dead.

The push for higher wages comes after the AMCU was "clearly emboldened" by a strike at Implats' Rustenberg mine in February which resulted in a 125% increase in wages, analysts at Eurasia Group noted.

The outcome set a "problematic precedent for platinum companies in South Africa," Africa analyst Mark Rosenberg said.

Alison Turner, analyst at Panmure Gordon & Co, said the emergence of the AMCU "represents the single biggest risk to the platinum sector, particularly as many of the incidents in which the AMCU has been implicated have involved violence."

According to Rosenberg, however, violence at Marikana could prove to be detrimental to the union's aggressive recruitment strategy.

Who is to blame for the Marikana shootings?

While union rivalry is being blamed for the friction, it is unclear who triggered the first shots at Marikana, which is one of the country's bloodiest incidents since the end of apartheid in 1994. Police have said they were bringing in barbed wire to fence the miners, and used tear gas and stun grenades to disperse them. According to Phiyega, a militant group of strikers then fired on police who said they were forced to use "maximum force" to defend themselves.

Video from the incident shows police shooting for some minutes at protesters, kicking up dust. When the dust clears, several bodies are shown lying on the ground. The video appeared to show the police response was "very forceful," Turner said.

The South African Institute for Race Relations said that policemen randomly shot into the crowd with rifles and handguns. "There is also evidence of their continuing to shoot after a number of bodies can be seen dropping and others turning to run. This is reminiscent of the Sharpeville massacre in 1960," the institute said.

In a press conference Phiyega said it was not a time for placing blame, but "a time for us to mourn."

Late last month, a regional prosecutor charged 270 of the platinum miners with the murder of their colleagues, who are believed to have been shot by police. However, the charges are being dropped.

What do the unions say?

The two implicated unions, accused of trying to outdo each other in negotiating wages, denied instigating the clashes. AMCU general secretary Jeff Mphahlele told CNN the union could not be blamed. "We are a peaceful organization and we do not condone violence," he said. Mphahlele said police initially shot at the protesters from behind, although when asked if they shot first he said: "I was not there," adding: "The killing of those people was not necessary." He said Mathunjwa's reference to being prepared to die was in response to fears the police would attack.

Frans Baleni, head of the NUM, said Monday that its members were under siege. "Our members have been attacked, and that cannot be said to be clashes or rivalry, it is pure criminality," he said.

Is the government tarnished?

The NUM is a close ally of the country's ruling African National Congress and its inability to stop the violence and weakened role is expected to drag on Zuma, according to Rosenberg. The immediate impact is likely to be Zuma's pitch for re-election to head the party in December, he added.

Re-election is "significantly less likely" Rosenberg said. While there is no formal challenger to the role yet, this could spur the emergence of one, he added.

People are no longer willing to sit and wait around for the ANC to deliver, Rosenberg said. "They are becoming more and more impatient and they're becoming more and more violent as a result."

What is the impact on Lonmin?

Lonmin has so far missed out on around $75 million in lost production, and the workers haven't been paid for a month.

The company said last week that a "peace accord" had been signed, but key unions had not agreed to the deal.

Lonmin acting CEO Simon Scott said the company and unions have agreed to "negotiate to address the wage demands within a legal framework." He added, "We simply ask that those negotiations happen in an environment free of intimidation and violence."

The company has previously announced its chief executive Ian Farmer had been diagnosed with a serious illness and was in hospital. It was unrelated to the mine incident.

CNN's Moni Basu contributed to this story

@highlight

More than 30 miners died after police opened fire on striking workers who were armed with machetes

@highlight

Rivalry between the AMCU and the NUM is widely blamed for feeding the violence

@highlight

The two implicated unions denied instigating the clashes, and are blaming others for the violence

@highlight

President Jacob Zuma, of the country's ruling African National Congress, has announced an inquiry into the violence