(CNN)Thailand could soon recognize a third gender category for the first time in the country's constitution.

"It is a human right if you were born a male or female and you want to have a sex change or lead a life of a different gender," said Kamnoon Sittisamarn, the spokesperson of Constitution Drafting Committee, which is working on a new draft of the country's constitution.

"People should have [that] freedom to change sex and they should be equally protected by the Constitution and the law and treated fairly."

Third gender means that an individual does not have to identify as either male or female, and gives their right to self-identify.

If enacted, Thailand would join several Asian countries, including India, Pakistan and Nepal, that have recently moved to recognize third gender.

This week, the Constitution Drafting Committee, a panel tapped by the current Thai military junta, started work on a new draft. The junta, which calls itself the National Council for Peace and Order, took power in May after a military coup.

The old constitution recognizes people of different religion, age, gender -- but had not extended to transgender people.

"It is now time to recognize the existence of the third gender in Thai society," said Sittisamarn. "So we expand the region of protection as well."

"Hopefully introducing third gender will help reduce discrimination in society."

The Constitution Drafting Committee is expected to consider various components of Thai law and submit it to review by April. The decision to legalize the Constitution will be made on August 6.

Acceptance in Thailand

There's a perception that transgender people are well accepted in Thailand, due to the availability of gender reassignment surgery. But challenges still exist, several transgender people living in Bangkok told CNN.

"First of all in Thailand, we're pretty well-accepted, we can walk in the street and we don't have to fear that someone's going to shoot you in the head. At the same time, the most difficult thing is at a professional level, that people don't accept people like us," said Jenisa Limpanilchart, a businessperson.

It's difficult for transgender people, despite their education level, to get hired and accepted by companies, she added. And matters like which locker room or bathroom to use become a human resources issue.

And there is no legal recourse when discrimination occurs, because there have been no laws to protect them, said Kath Khangpiboon, a transgender activist with the Thai Transgender Alliance in Bangkok.

Another problem is that the gender marked on government documents doesn't match how individuals identify their gender.

When Khangpiboon travels, she gets pulled out of immigration lines for questioning by officials because of the gender marked on her passport.

"For trans people, we cannot change our title name. I'm still a 'mister' in my country. I cannot change my title. My name is Mr. Kath," said Khangpiboon, a transgender woman.

While recognizing the third gender would not resolve all the challenges, it would be "history" for our advocacy work, she added.

More nations recognize third gender

Earlier last year, India's Supreme Court granted the country's transsexual and transgender individuals the right to self-identify their gender. Asian countries including Nepal, Pakistan and Bangladesh have implemented policies recognizing third gender in recent years.

Australia started allowing a third gender option in passports in 2011.  According to a 2012 report by the Global Commission on HIV and the Law, 20 countries have passed progressive legislation on the issue, including Argentina, Uruguay, and Portugal.

Even as transgender people are no longer forced to conform to specific genders in certain countries, they are still denied acceptance in many societies. Same-sex marriage remains illegal in countries like Pakistan, Sri Lanka, Bangladesh and Bhutan.

And Thailand does not have plans to legalize same sex marriages in its constitution, said Sittisamarn.

@highlight

Thailand constitution looks to recognize third gender

@highlight

People have right to change sex and be protected by Thai constitution, says spokesman