(CNN) -- The simple answer to the question why Pope Francis is headed to South Korea, in the first papal trip to Asia in 25 years, is straightforward. The pope is going to celebrate the sixth Asian Youth Day and beatify 124 martyrs of Korea.

But the more complex answer has to take into consideration the Korean Catholic Church's unique history and the pope's theological agenda. These can give us a deeper understanding of why he is making this trip.

While South Korea may not be viewed as an overtly Catholic nation (compared to the Philippines, the most Christian nation in Asia), at least 10% of South Korea's population belong to the Church, according to its statistics.

The Catholic Church in Korea enjoys a high level of respect from non-Catholics, maintains good relations with other religious communities, and has a history of positive social engagement for the common good. Pope Francis's visit will recognize these accomplishments, a move that will not only please Koreans, but hold up their church as a model of evangelization.

Evangelizing in Asia

Since it is Asia that has the greatest potential for the growth of Catholicism, it makes sense to highlight an Asian success story and to recognize the Asian youth who will be called on to continue that growth.

Evangelization is in fact a key concern for Pope Francis. His apostolic exhortation, Evangelii Gaudium, focused on this topic and called for the transformation of the Catholic Church to focus on "the evangelization of today's world rather than for her self-preservation."

The pope's concept of evangelization does not focus simply on baptizing new Catholics, but, as seen in the chapter from that exhortation entitled "The Social Dimension of Evangelization," also includes a call for the inclusion of the "homeless, the addicted, refugees, indigenous peoples, [and] the elderly who are increasingly isolated and abandoned." Moreover, this pope, while recognizing the importance of ordained clergy, decried "clericalism" before the publication of this exhortation, sees the laity as having an active role in evangelization.

The pope's concerns as expressed in Evengelii Gaudium therefore resonate with the historical accomplishments of the Korean Catholic Church in that it has grown into a relatively large and healthy Catholic community with much of the work of evangelization being conducted by the laity.

It is no accident that during his trip the pope will visit Kkottongnae (Flower Village), a Catholic institution devoted to caring for such marginalized groups as the elderly and the homeless, where he will meet with leaders of the Apostolate of the Laity.

Origins of Korean Catholic Church

The Korean Catholic Church began with the baptism of a Korean scholar named Yi Seung-hun in Beijing in 1784, who had developed an interest in Catholicism after reading Chinese books on the religion. After his baptism, Yi returned to Korea and began baptizing others, so that there were already 4,000 Catholics there before a missionary -- a Chinese priest named Father James Zhou Wen-mo, himself one of the martyrs to be beatified -- arrived in 1794.

The Korean state could not tolerate the existence of a foreign religion whose members recognized a deity outside government control and persecuted the new church. Catholics were given the choice of giving up their religion or being sentenced to death, with several thousands choosing the latter and becoming martyrs.

Despite these persecutions, the church managed to survive and rebuild itself multiple times. While foreign missionaries played an important role, much of the work of maintaining the community and spreading the faith was carried out by the laity.

The coming of religious tolerance in the late 19th century led to an increase in the number of Catholics, but it was not until the 1960s that the Catholic Church in Korea began to grow quickly. While that growth has slowed down in recent years, the church is quite healthy, with its approximately five million members, according to the church.

At the same time, it must be stressed that the Korean Catholic Church faces challenges. Growth has declined, and many newly baptized Catholics leave the faith or become lukewarm. Likewise, Korean society has many of the difficulties post-industrial societies in the West face, such as the "unbridled consumerism" the pope decried in his apostolic exhortation. It is here that one can see the importance of the martyrs who the pope will beatify. In their stories, one sees Catholics giving up wealth, sex, and even life itself out of their love for others and for God.

The pope will no doubt highlight how their devotion to the faith led to the growth and development of the Catholic Community in Korea, allowing him to echo the themes found in his exhortation. The fact that he will beatify these martyrs in Korea the day after Koreans celebrate their independence from Japan, will not be missed by Koreans.

The pope likely hopes that this recognition, and the teaching opportunity it provides, will renew evangelization in Korea, and through it, the world.

@highlight

Pope is to celebrate sixth Asian Youth Day and beatify 124 martyrs of Korea

@highlight

Asia that has the greatest potential for the growth of Catholicism

@highlight

Korean Catholicism has history of surviving persecution