(CNN) -- In the wake of the Arab Spring and the global financial crisis, focus has been on the world's new and so-called "disrupted society."

But I would avoid using such a negative phrase for Jordan; which is where I live and which has avoided the severity of the uprisings in other Middle Eastern countries.

While some might point to a "disrupted society," I call our world an "enriched and awakened society." It is a society of potential, innovation, and opportunity. Youth dominate the globe -- the 3.5 billion people under the age of 30 make up half of the world's population.

Therefore, we have an impact on our own lives today, and we are the decision makers of our lives tomorrow.

So how do we react to such opportunities, and what do we do with such potential that resides within us? Do we add water and sunlight so it can sprout, or do we suppress it with darkness and ignorance?

It is said that Arab youth have faced tough challenges since the Arab Spring. But this is not unusual. Youth all around the world have faced unemployment, high tuition fees, and tough economic situations for years. It is these challenges that allow for innovation and creativity to be born. This is when and where we unleash our potential.

Jordan's youth are not completely satisfied with the performance of the public sector, nor are they satisfied with their ability to participate in the decision making process. These frustrations, coupled with difficult economic times, have created an unstable environment and resulted in the launch of initiatives to engage youth as active citizens in political, economic, and social decision-making.

But unemployment in Jordan and the Middle East did not take us by surprise during the Arab Spring. High unemployment was present in the Middle East, and in almost every country around the world, for many years before the uprising. The impact, however, has been far more painful as the world faltered under the economic downturn.

The domino effect of the economic crisis hit the developed countries first, and then reached the developing nations of the Middle East. When it hit Jordan it was, by coincidence, around the same time of the Arab Spring.

Therefore, it is important to note that the Arab Spring wasn't a mere result of unemployment, nor was it a complete call for democracy and freedom. The Arab Spring was simply a call for change: change in ideologies, change in direction, change in hope.

Unemployment is a major issue in the Middle East and North Africa region, especially in Jordan. The official rate is 11%, and unofficial estimates are about twice that figure. Generous employment opportunities in the public sector have eased the pressure, but the debt crisis facing the government has been hindering its ability to help.

Policy makers are now pressed to come up with solutions to empower the private sector and improve the education system.

Many of the world's young are uncertain of their future and their ability to find meaningful employment. Jordan's young have some of the region's most sought-after talents, due to their high quality of education and hard-working attitudes.

Regretfully, their productivity is not contributing to Jordan's economy, as they cannot find competitive salaries or similar opportunities. Therefore, many look for jobs abroad, particularly in the Gulf region.

Yet, there is still hope for Jordanians. The entrepreneurship scene is expanding, and more of the country's young are establishing companies. I believe the young can rise and flourish -- especially in today's tough climate -- by thinking about their "sphere of influence." We should collaborate with individuals from our region by crossing borders, creating partnerships, and exploring ideas.

Travel between Middle Eastern counties can be challenging due to visa requirements, but the virtual world eliminates such boundaries. Technological advances unite us in ways we should be united. And we must remember that divided we are as fragile as separate fingers, but united we are a strong fist.

Three years ago, the Arab Spring signified hope. Now, Jordanian youth have witnessed the negative transformations in neighboring countries such as Egypt and Syria. Jordanian youth are smart and will not allow their country to head towards that same path. But the need for security and stability must be accompanied by reform and growth.

I do not believe the Arab Spring caused a "disrupted society." Rather, the Arab Spring has created an opportunity that allows things "out of the norm" to occur.

Such an Arab Spring encourages innovation and creativity; it allows for thoughts and ideas to sprout that were once dormant.

Therefore, I advise my fellow Arab to prepare, strategize, and implement with utmost passion, wisdom, and honesty.

READ MORE:

Opinion: Should we be depressed about the 'Arab Spring'?

Arab Spring three years on: Why instability will continue into 2014

The opinions expressed in this commentary are solely those of Amir Shihadeh.

@highlight

Shihadeh: Post-Arab Spring Mideast is "enriched and awakened society," not a "disrupted society"

@highlight

The Arab Spring was simply a call for change, change in ideologies, change in direction, change in hope

@highlight

Arab Spring allows for thoughts and ideas to sprout that were once dormant, he writes