Kuala Lumpur, Malaysia (CNN) -- The search for missing Malaysia Airlines Flight 370 resumed Sunday, but stormy weather may cause problems, the Australian Maritime Safety Authority said.

A Chinese aircraft took off at 6:20 a.m. local time (6:20 p.m. ET). Other aircraft, including a South Korean P-3 Orion and a U.S. P-8 Poseidon, were preparing to depart from Perth.

Ten planes will fly over 123,167 square miles (319,000 square kilometers) located about 1,150 miles (1,850 kilometers) west of Perth, the AMSA said.

Weather in the search area is forecast to worsen with light showers and low clouds, though search operations are expected to continue, the authority said.

Eight ships will join the search by the end of the day, including the Australian Ocean Shield, which will be fitted with a "black box" detector and an autonomous underwater vehicle, AMSA said. All ships will seek to locate and identify objects sighted by aircraft over the past two days.

Search experts said the clock is ticking.

Michael Kay, a former adviser to the UK Ministry of Defence, said on CNN that the batteries on the flight data recorder, sometimes called the black box, are designed to last only about 30 days. The plane disappeared March 8 -- three weeks ago.

Eight planes and a number of ships scoured some 97,000 square miles of water Saturday for signs of the plane, with aircraft reporting sightings of objects similar to those reported Friday, the Australian Maritime Safety Authority said.

Two vessels -- one of them a Chinese warship -- retrieved objects, "but so far no objects confirmed to be related to MH370 have been recovered," the authority said.

Crew members aboard a Chinese plane dropped buoys to mark three suspected debris sites, China's state-run CCTV reported.

"After entering the search area, the airlifter flew for about 20 minutes," crew member Wang Zhenwu told the television network. "We found an L-shaped debris in orange color right below the plane's right wing. Then within around three minutes, we found a stripe-shaped object. We immediately reported our findings to the captain."

The captain, Liu Jun, said buoys containing dye were dropped on each of the suspected sites, according to CCTV.

Relatives complaining

Relatives of the 239 people on board the plane have complained about receiving mixed messages.

Earlier this week, they heard this: "All lives are lost."

But Saturday, a Malaysian official met with relatives and then told reporters he had not closed the door on the hope of relatives that survivors may exist among the 239 people aboard the Boeing 777-200 ER that went missing March 8.

"Even hoping against hope, no matter how remote, of course, we are praying and we will continue our search for the possible survivors," said Hishammuddin Hussein, Malaysia's acting transportation minister.

"More than that, I told the families I cannot give them false hope. The best we can do is pray and that we must be sensitive to them that, as long as there is even a remote chance of a survivor, we will pray and do whatever it takes."

Chinese relatives in Kuala Lumpur told CNN that Malaysian authorities are restricting their movement and access to information

When a briefing for them was not held Saturday, the Chinese relatives said they were deterred from attending a briefing for Maylasian relatives. They ended up talking to a Malaysia Airlines official after the briefing.

'They're still alive'

In Beijing on Saturday, some of the relatives of the missing vented their anguish in the streets.

"They're all still alive, my son and everyone on board!" yelled Wen Wancheng, 63, whose only son was among the passengers. "The plane is still there, too! They're hiding it."

He held aloft a banner that read: "Son, mom and dad's hearts are torn to pieces. Come home soon!"

Many relatives doubtless remember the speculation from early in the search that the plane may have landed somewhere. They implored Hishammuddin to redouble the efforts, and he said Malaysian authorities would do so.

"What they want is a commitment on our part to continue the search, and that I have given," Hishammuddin said. "For me, as the minister responsible, this is the hardest part of my life, at the moment," he told reporters.

"Miracles do happen, remote or otherwise, and that is the hope that the families want me to convey -- not only to the Malaysian government, MAS (Malaysia Airlines), but also to the world at large," he said.

He said the effort was still to find survivors.

Sea objects

On Saturday that meant hunting again for plane debris in an ocean awash in debris -- including odds and ends from passing ships -- in hopes that among it are pieces of the jet.

After the latest data analysis, experts says they believe that Malaysia Airlines Flight 370, which disappeared three weeks ago, ended up in the southern Indian Ocean.

Investigators concluded this week that, during the flight's initial phase, the plane was traveling faster -- and therefore burning fuel faster -- than they had thought. Authorities have concluded that it could not have traveled as far south as they had thought earlier.

The new search area is 1,100 kilometers (680 miles) northeast of the previous one and closer to Australia's coast, so it's easier to reach. It's also marked by calmer waters.

Ships plowed the waters of the search area and eight planes searched from above.

"Unfortunately, we didn't find anything of significance out there," flight captain Russell Adams said after returning to Perth.

Malaysia plane saga: Your questions answered

Pieces of debris spotted Friday were hundreds of miles away from each other, but given the ocean conditions and the time passed since the airplane's purported crash, they could be part of the same object.

Friday's sightings included 11 small objects spotted by a military P-3 plane. CNN's Kyung Lah, who went out on a U.S. Navy P-8 search plane Friday, said its crew spotted white objects, orange rope and a blue bag.

"At one point, sure, everybody on board got a little excited, but it's impossible to tell from that distance what anything is," she said.

If and when the jet is found, the key question would remain: Why did it go down? That may not be answered until investigators retrieve the aircraft and try, literally, to piece together what happened to it.

Vast, shifting search

The shifting hunt for Flight 370 has spanned vast bodies of water and continents.

It started in the South China Sea between Malaysia and Vietnam, where the plane went out of contact with air traffic controllers.

When authorities learned of radar data suggesting the plane had turned westward across the Malay Peninsula after losing contact, they expanded the search into the Strait of Malacca.

When those efforts proved fruitless, the search spread north into the Andaman Sea and northern Indian Ocean.

It then ballooned dramatically after Malaysia announced March 15 that satellite data showed the plane could have flown along either of two huge arcs, one stretching northwest into the Asian land mass, the other southwest into the Indian Ocean.

The search area at that point reached nearly 3 million square miles.

Malaysian Prime Minister Najib Razak said that further analysis of the data led authorities to conclude the plane went down in the southern Indian Ocean, far from land.

Malaysian officials then told the families of those on board that nobody would have survived. On Saturday, after confronting relatives' grief, they made that conclusion seem less final.

'Unspeakable challenge' for families

Mystery surfaces pain of 1977 tragedy

Questions linger

Did flammable cargo doom flight?

How they're searching for debris

CNN's Tom Watkins and Ben Brumfield reported and wrote from Atlanta, and Sara Sidner from Kuala Lumpur. Greg Botelho contributed to this report.

@highlight

The search resumes, but bad weather a threat

@highlight

Ships retrieved new debris Saturday, but no objects linked to missing plane, Australia says

@highlight

Malaysian official: "I told the families I cannot give them false hope"

@highlight

The search for missing Flight 370 has gone on for three weeks