(CNN) -- Earlier this month, an AeroMexico plane made an important flight from Mexico City to Madrid. The flight wasn't notable for who was inside the cabin, but for what was inside the fuel tank: it was the world's first transatlantic commercial flight using biofuel.

The engines on that flight were powered by a fuel mixture that was 30% biofuel from the jatropha plant, and the trip followed a pair of Mexican domestic commercial flights by Interjet that used the same formula.

Mexico is known for its oil production, but it could be its less obvious flats of arid and marginal land that will be the future of Mexico's energy resources. The country has quietly positioned itself to become a potential leader in biofuel production as scientists develop a second generation of fuels derived from sources that don't compete for arable land or with food.

Jatropha-based biofuels are being increasingly used in Mexico, and agave -- the plant from which tequila is made -- is being studied as a new source for ethanol. But some observers warn that Mexico's cumbersome land laws make it too hard to purchase the land needed for cultivation at competitive prices.

Some biofuels, such as ethanol derived from corn and sugar, can indirectly raise the prices of staple foods in many places, along with raising ethical issues, said Gilberto Lopez Meyer, director of Airports and Auxiliary Services (ASA), the Mexican government agency that oversaw the biofuel flights.

So in 2007, Mexico, along with 14 other member countries of the International Civil Aviation Organization, committed to developing new strategies for second-generation biofuels that would not affect food production.

"We returned to Mexico with a mission," Lopez told CNN.

Lopez's agency teamed up with the state of Chiapas, where Gov. Juan Sabines had already made a name for himself pushing his state toward alternative fuels. Chiapas began cultivating jatropha, whose seeds contain oil that can be extracted and converted into biofuel. The state already uses a jatropha biofuel mix on its buses and trucks, and President Felipe Calderon was on hand in November of last year to inaugurate a biodiesal plant there.

ASA partnered with American company UOP, which refined the Chiapas jatropha into jet fuel.

When the standards for biofuel use in commercial flights was approved July 1, Mexico was ready to make the domestic Interjet and international AeroMexico flights a possibility.

The goal of ASA, which provides almost 100% of the jet fuel in Mexico, is to commercialize and distribute biofuels, Lopez said.

"We've been working on this project as part of a global effort to combat climate change," he said.

By 2015, the goal is to have 1% of all jet fuel in Mexico be biofuel, and by 2020, 15%, he said.

"This is a huge goal," Lopez said. "One percent doesn't sound like a lot, but it equals more than 40 million liters (10.6 million gallons)."

Mexico has several things in its favor to become a leader in biofuels, he said. It has plenty of land not being used for food, it has a high demand for energy, and it is located next door to the energy-hungry United States.

"Mexico has made the very important first step to be in a very priviledged place," Lopez said.

Halfway across the world, researchers at Oxford recently published a study extolling the benefits that ethanol derived from agave.

Agave can grow in arid land, and produces less than half of the carbon dioxide emissions produced by corn-based ethanol, Oliver Inderwildi, one of the study's authors, told CNN.

Sugar-based ethanol produces even less emissions, but it needs arable land for cultivation.

"We need every space we can get, every arable land, for food," Inderwildi said. "We think agave may be one part of the solution."

For their study, the researchers did a life-cycle analysis for the production of ethanol based on a hypothetical plant in Jalisco, Mexico, where 90% of tequila is produced.

Potentially, agave plantations could boost local economies and create jobs, Inderwildi said.

Mexico, the native home of agave plants, stands to benefit if such an ethanol industry takes off. Food prices would be spared, but would drinkers have to pay more for their margaritas and tequila shots?

The tequila business is very small compared to the fuel business, and is also more expensive than fuel ethanol, so Inderwildi predicts that alcohol prices would remain stable.

And unlike tequila, which requires the harvesting of the agave stem only, ethanol production would also require harvesting the leaves of the plant.

"Our study backs up that this is a good idea from an environmental perspective," he said.

The catch, for now, is that neither jatropha or agave biofuel production is cost-effective. But technological advances and oil prices make such alternatives more desirable.

When that tipping point comes, Mexico will be ready, the experts said.

But James Row, CEO of Houston-based Producers Energy and part owner of a Mexican-based biodiesel company, told CNN that Mexico is still far from being an ideal place to produce biofuels.

"Mexico is absolutely a perfect country for biodiesel, especially if it can be domestically grown," he said, but the country's ejido system -- collectively-held land in rural areas -- creates hurdles for private investment. The result is difficulty in finding continuous large areas of rural land that can be negotiated for use for cultivation, or high prices that make it cost prohibitive.

Without land reform, issues with land availability will continue, and Mexico will fall a decade or more behind other countries in the biofuels sector, Row said.

The demand is there, the land is there, but there is no way to get it, he said.

"Now is the time for Mexico to get its act together for biofuels," he said.

@highlight

Mexico has quietly positioned itself as a potential biofuels leader

@highlight

It oversaw the first transatlantic commercial flight using biofuel

@highlight

The agave plant also has potential for the country

@highlight

Without land reform, private investment in sector is tough