WASHINGTON (CNN) -- The world's tropical forests are disappearing, and one reason is simple economics: People, companies and governments earn more by logging, mining or farming places such as the Amazon jungle than by conserving them.

Global climate change treaty, scheduled for completion in December, is designed to protect tropical forests.

Efforts to halt rain forest destruction date back decades, but they so far have failed to tackle the issue on a scale commensurate with the challenge.

Now there may be a remedy, and the reason is climate change. Increased awareness of the threat from global warming has prompted unprecedented international focus on how to combat it, as well as new appreciation for the vital role of tropical forests in the climate change equation.

On Tuesday, world leaders gather at the United Nations for a special climate change summit, intended to build momentum for a new global climate change treaty being negotiated by almost 200 countries. The new treaty is scheduled to be completed in December in Copenhagen, Denmark.

If eventually enacted, the treaty will include a revolutionary but little-known provision intended to protect remaining tropical forests.

Known as Reduced Emissions from Deforestation and Degradation in developing countries, or REDD, the provision is based on the knowledge that destroying tropical forests contributes to global warming.

Rain forests absorb and store huge amounts of carbon dioxide, the most prevalent of the greenhouse gases that cause climate change. Burning or clearing the forests returns that stored CO2 to the atmosphere, where it can trap heat and gradually increase temperatures.

Every year, tropical forests equal to an area the size of England are destroyed, contributing about 20 percent of total annual greenhouse gas emissions -- more than all the world's cars, trucks and airplanes combined.

The idea of the proposed provision is to make the stored carbon dioxide in the forests a commodity that can be bought and sold on the global market.

Polluters in the developing world would be able to offset their emissions by buying credits for stored forest carbon dioxide. The money from those purchases would go to developing world governments, international organizations, local communities and others involved in forest protection programs.

For the first time, tropical forests would be worth money for simply existing. That could create an economic incentive to protect tropical forests, which also have biological value as the planet's richest storehouses of land species and spiritual worth as pristine natural landscapes.

To longtime defenders of tropical forests, the proposal represents the final stage of a long and halting journey from the fringes of the environmental movement toward the mainstream of international policy.

"Done properly, this is our No. 1 hope," said Randall Hayes, who founded the Rainforest Action Network in 1985 with the goal of halting tropical deforestation. "Other strategies have been heroic but insufficient."

The system would let nations and industries that are the biggest greenhouse-gas emitters buy carbon credits in tropical forests in South and Central America, Africa, Southeast Asia and other equatorial regions. At the same time, investors could speculate on the price of carbon dioxide through credit trading. Private and public funds could invest in projects that protect forests to generate credits.

Final details of the plan remain uncertain, such as how forest carbon credits would be verified and how the money paid for them would be handled and distributed.

For developing countries, the idea represents a potential new revenue source. President Bharrat Jagdeo of Guyana, a leading proponent of the plan, has made trading carbon credits a central element of his Low-Carbon Development Strategy.

The strategy "is more about development than about the environment and it will help us to accelerate infrastructural development and fill the budget gap," Jagdeo said in an August 29 speech.

The World Bank and partners have set up funds to help developing countries prepare for REDD and finance forest-protection initiatives. However, both funds are not fully capitalized, pending the successful conclusion of negotiations on the new global climate change treaty.

"Right now everybody is in a wait-and-see mode," said Benoit Bosquet, the World Bank's lead carbon finance specialist. "Everybody seems interested, but the level of activity is still humble."

Conservationists cite the environmental benefits of saving tropical forests, which provide essential resources and services -- such as fresh water, food, flood control and many others -- on which more than a billion people depend. Now, they say, conserving forests also can contribute to sustainable development, benefiting both nature and people.

Yet several steps remain before the tropical-forest provision becomes reality on a large scale.

First, the U.N.-led negotiations must agree on a treaty to succeed the Kyoto Protocol -- the world's first global climate change agreement, which expires in 2012.

The Kyoto treaty created a global carbon market -- but only the carbon storage of newly planted or replanted forests is eligible for credits. REDD also would protect standing forests, to prevent the absorbed carbon dioxide stocks from being released back into the atmosphere.

Whether a new treaty will be completed in December is unclear. Negotiators have yet to set consensus targets for reducing greenhouse gas emissions, and major disputes remain between industrialized powers such as the United States and emerging and developing economies including China and Brazil.

The draft under negotiation includes REDD, but negotiations continue on how broad the policy would be.

Advocates of a limited scope for REDD say areas with no history of deforestation should be excluded because protecting them won't reduce carbon dioxide emissions.

In response, conservationists and developing nations warn against leaving out nations and regions -- including Jagdeo's Guyana, parts of Indonesia and Brazil, Democratic Republic of Congo and others -- that still have much of their tropical forest intact.

They argue that halting deforestation in only some countries would cause the loggers, palm oil developers and other drivers of forest destruction to move to previously untargeted areas.

"If REDD mechanisms exclude any significant group of countries, REDD will fail," Jagdeo told U.N. negotiators in December.

Critics, including some environmental groups, question how such a vast and complex system can be successfully implemented.

A Greenpeace report issued in March said including REDD credits in carbon markets would create a glut and drastically cut the price of carbon, resulting in industrial polluters buying cheap credits for offsets instead of reducing their emissions.

The report also warned of reduced investments in renewable energy technologies due to the lack of an incentive from the cheaper carbon credits.

Others question whether REDD will be another scheme generated by industrialized nations to exploit resources of the developing world, and in particular, the indigenous forest peoples.

Jagdeo, the president of Guyana, has said such critics should recognize the opportunity that a new climate change treaty could present. If it includes sufficiently robust commitments for reducing greenhouse gas emissions, he argues, that would create a strong demand for carbon credits.

The deforestation provision of a climate change treaty could help stem deforestation while providing "badly needed capital flows to some of the poorest countries in the world," he said.

Yet even the idea's most ardent supporters recognize that it could take years for a global-scale program to become effective.

While local projects exist in rain forest countries such as Madagascar, it would take time and money to expand them.

"If there is a deal in Copenhagen and if there is a signaling by industrialized nations that, yes, they will make money available, then you will see developing countries scaling up their readiness," said the World Bank's Bosquet. "They will see that this is now real and it's the time to react."

@highlight

World leaders gather at the United Nations for special climate change summit

@highlight

Treaty based on finding that destroying tropical forests adds to global warming

@highlight

With proposed provision, stored carbon dioxide in forests could be bought and sold

@highlight

Reduced Emissions from Deforestation and Degradation provision has critics