Editor's note: José Miguel Vivanco is executive director of the Americas Division of Human Rights Watch, a nonprofit organization that seeks to protect people's rights. A lawyer from Chile, he was educated there, in Spain and at Harvard Law School.

José Miguel Vivanco says conviction of Peru's ex-president is a warning to those who deny human rights.

(CNN) -- Peruvians are celebrating an extraordinary victory this week: the conviction of their former president, Alberto Fujimori, for death squad killings carried out during his rule in the 1990s.

The Peruvian Supreme Court found him guilty of egregious human rights abuses, including the massacre of innocent civilians, and sentenced him to 25 years in prison -- a stiff message to other leaders that justice can eventually catch up to even the most powerful.

It is one of the first times a nation's own independent courts have convicted a former leader for such serious human rights crimes and it sets an important precedent for a region that suffered so much from political violence and rights violations. Equally significant, the ruling came after a lengthy televised trial, which was clearly fair to the defendant -- despite Peru's previous history of authoritarianism and weak rule of law.

Fujimori came to office in 1990 on the promise of crushing a vicious Maoist insurgency but, in the process of restoring order, he corrupted and weakened Peru's most vital government institutions -- including parliament, the courts and law enforcement. Just a few years ago, Fujimori had near-total control of Peru's judiciary.

For a decade, his government used bribery, extortion, and intimidation to concentrate power in the presidency, subverting the democratic process and eliminating normal checks by the judiciary, legislature, and media on government abuses.

He led Peru from 1990 to 2000, presiding over the war with the Shining Path guerrillas and the Tupac Amaru Revolutionary Movement. He was convicted of authorizing killings and kidnappings by paramilitary death squads. Fujimori is to be tried separately on multiple corruption charges.

The landmark decision fits within a global trend of increasing accountability for former heads of state. Just 20 years ago, it was exceedingly rare for even the most brutal leaders to be brought to book. In the late 20th century, Mao Zedong, Idi Amin, Milton Obote, Ferdinand Marcos, Anastasio Somoza, Jean-Claude "Baby Doc" Duvalier and Mobutu Sese Seko, to name just a few, were never brought to trial.

Since then, however, the tide has turned. In October 1998, London police arrested General Augusto Pinochet on a warrant from a Spanish judge for human rights crimes. The arrest and the subsequent decisions by the British House of Lords to reject Pinochet's claim of immunity were a wake-up call to tyrants everywhere, but more important, they gave hope to victims elsewhere that they too could bring their tormentors to justice.

In country after country, particularly in Latin America, victims were inspired to challenge the amnesty laws of the 1980s and 1990s that had allowed the perpetrators of atrocities to go unpunished and, often, to remain in power. Thanks to these efforts, former leaders in Argentina, and Uruguay have also faced human rights trials.

Pinochet's arrest also strengthened a nascent international movement -- spurred by the killings in Bosnia and Rwanda, and facilitated by the end of the Cold War -- to make certain the worst abuses are punished.

After the creation of UN tribunals for the former Yugoslavia and Rwanda, the world established the International Criminal Court (ICC) to prosecute genocide, crimes against humanity and serious war crimes when national courts are unable or unwilling to do so.

The ICC is now investigating crimes in the Central African Republic, Uganda and the Democratic Republic of the Congo, and in March the court indicted President Omar al-Bashir of Sudan on charges of crimes against humanity in Darfur.

The Fujimori case stands out, though, because it was Peru's national court system which demonstrated the will, capacity, and independence to try its former president.

A second panel of the Supreme Court will now review an appeal by Fujimori. One can hope the second panel will be as transparent and fair as the first.

Even after this verdict, impunity for past atrocities continues to be a major problem in Peru and throughout the region. It is likely, however, that yesterday's verdict will help give momentum to efforts currently underway in many Latin American countries to bring other human rights violators to justice.

The verdict will also send a powerful message to current heads of state who may be tempted to use abusive tactics to resolve their political problems. As Fujimori discovered yesterday, crimes they may be able to get away with while in power can come back to haunt them years later.

The opinions expressed in this commentary are solely those of José Miguel Vivanco.

@highlight

José Miguel Vivanco: Peruvian court verdict in Fujimori case sends strong message

@highlight

Fujimori was convicted for allowing death squads to murder innocents

@highlight

Since Pinochet case, Vivanco says, courts have been holding leaders accountable

@highlight

Vivanco: Leaders who deny human rights may suffer for it years later