Editor's note: Peter Bergen, CNN's national security analyst, is a fellow at the New America Foundation, a Washington-based think tank that promotes innovative thought from across the ideological spectrum, and at New York University's Center on Law and Security. He's the author of "The Osama bin Laden I Know: An Oral History of al Qaeda's Leader."

Peter Bergen says Osama bin Laden is still alive and still significant eight years after September 11.

HELMAND, Afghanistan (CNN) -- Eight years after September 11, the "war on terror" has gone the way of the dodo. And President Obama talks instead about a war against al Qaeda and its allies.

What, then, of al Qaeda's enigmatic leader, Osama bin Laden, who has vanished like a wisp of smoke? And does he even matter now?

The U.S. government hadn't had a solid lead on al Qaeda's leader since the battle of Tora Bora in winter 2001. Although there are informed hypotheses that today he is in Pakistan's North West Frontier Province on the Afghan border, perhaps in one of the more northerly areas such as Bajaur, these are essentially guesses, not "actionable" intelligence.

A longtime American counterterrorism analyst explained to me, "There is very limited collection on him personally."

That's intelligence community shorthand for the fact that the usual avenues of "collection" on a target such as bin Laden are yielding little or no information about him. Those avenues typically include signal intercepts of phone calls and e-mails, as well as human intelligence from spies.

Given the hundreds of billions of dollars that the "war on terror" has consumed, the failure to capture or kill al Qaeda's leader is one of its signal failures.

Does it even matter whether bin Laden is found? Yes, it does. First, there is the matter of justice for the almost 3,000 people who died in the September 11 attacks and for the thousands of other victims of al Qaeda's attacks around the world.

Second, every day that bin Laden remains at liberty is a propaganda victory for al Qaeda.

Third, although bin Laden and his deputy Ayman al-Zawahiri aren't managing al Qaeda's operations on a daily basis they guide the overall direction of the jihadist movement around the world, even while they are in hiding.

Those messages from al Qaeda's leaders have reached untold millions worldwide via television, the Internet and newspapers. The tapes have not only instructed al Qaeda's followers to continue to kill Westerners and Jews, but some also carried specific instructions that militant cells then acted on.

In March 2008, for instance, the al Qaeda leader denounced the publication of cartoons of the Prophet Mohammed in a Danish newspaper as a "catastrophe" for which punishment would soon be meted out. Three months later, an al Qaeda suicide attacker bombed the Danish Embassy in Islamabad, killing six.

Some reading this may think: But what's the proof that the al Qaeda leader is still alive? Plenty. Since September 11, bin Laden has released a slew of video and audiotapes, many of which discuss current events. After a nine-month silence, for instance, bin Laden released a 22-minute audiotape on March 14, sharply condemning the recent Israeli invasion of Gaza.

Are these tapes real? Not one of the dozens of tapes released by bin Laden after 9/11 has been a fake. Indeed the U.S. government has authenticated many of them using bin Laden's distinctive voiceprint.

And what about the persistent reports that he is ill? In 2002, Pakistani President Pervez Musharraf said bin Laden had kidney disease, for which he required a dialysis machine, and was therefore likely dead. But the stories of bin Laden's life-threatening kidney problems are false, judging by his appearance in videos that he released in 2004 and again in 2007, in which he showed no signs of illness.

On the 2007 tape, the al Qaeda leader had even dyed his white-flecked beard black, suggesting that as the Saudi militant entered his fifth decade, he was not immune to a measure of vanity about his personal appearance.

In fact, bin Laden looked much better in those videos than he did in the video he released shortly after the battle of Tora Bora in late 2001, where he had narrowly escaped being killed in a massive American attack.

The situation is further complicated by the fact that bin Laden and al-Zawahiri are almost certainly hiding out in the tribal areas of Pakistan, on the Afghan border.

Arthur Keller, a CIA officer who ran a spy network in Pakistan's tribal areas in 2006, told me the problems of working in the region: "It's an incredibly remote area. They're hiding in a sea of people that are very xenophobic of outsiders, so it's a very, very tough nut to crack."

An additional factor operating in bin Laden's favor is the personal popularity he has long enjoyed in Pakistan. Three years after the September 11 attacks, for instance, a Pew poll found that al Qaeda's leader had a 65 percent favorability rating among Pakistanis.

However, it is clear from the videos of bin Laden and al-Zawahiri that aired in the years since the attacks that they are not living in caves.

In those tapes, both men's clothes were clean and well-pressed. Caves generally don't have laundry facilities. And the videos that they have released are well-lit and well-shot productions, suggesting access either to electrical outlets or to generators to run lights. Al-Zawahiri is often filmed in a library setting, and on one of his videos from March 2006, there are curtains clearly visible behind him, suggesting that the tape was shot in a house.

By early 2008, the Bush administration had tired of the Pakistani government's unwillingness or inability to take out al Qaeda's leaders, and in July, the president authorized Special Operations forces to carry out ground assaults in the tribal regions without the permission of the Pakistani government.

But in the face of the intense Pakistani opposition to American boots on the ground, the Bush administration chose to rely instead on drones to target suspected al Qaeda and Taliban leaders. Bush ordered the CIA to expand its attacks with Predator and Reaper drones.

Between July 2008 and this month, U.S. drones have killed dozens of lower-ranking militants and at least 10 mid- and upper-level leaders within al Qaeda or the Taliban.

This strategy seems to have worked, at least in terms of combating the ability of al Qaeda to plan or carry out attacks in the West. Law-enforcement authorities have uncovered no serious plots against U.S. or European targets that were traceable to militants who had received training in Pakistan's tribal regions after the drone program had been dramatically ramped up there.

The increased pace of the American drone attacks in Pakistani's tribal areas was motivated in part by the hope that it would increase panicked communications among the militants, which might help pinpoint the locations of the top leaders in al Qaeda or the Taliban, but that approach has not paid off when it comes to bin Laden.

If killing bin Laden with a drone has proved difficult, so too will be capturing him alive.

His former bodyguard Abu Jandal told Al Quds al Arabi newspaper, "Sheikh Osama gave me a pistol. ... The pistol had only two bullets, for me to kill Sheikh Osama with in case we were surrounded or he was about to fall into the enemy's hands, so that he would not be caught alive "

Should bin Laden be captured or killed, that would probably trigger a succession battle within al Qaeda.

While al-Zawahiri is the deputy leader of the terror group and therefore technically bin Laden's successor, he is not regarded as a natural leader. Indeed, even among his fellow Egyptian militants, al-Zawahiri is seen as a divisive force, and so he is unlikely to be able to step into the role of leader of al Qaeda and of the world jihadist movement that is occupied by bin Laden.

By the law of averages, eventually, bin Laden will be captured or killed. Yet the ideological movement that he helped spawn -- "Binladenism" -- will live on long after he is gone. That is bin Laden's legacy.

The opinions expressed in this commentary are solely those of Peter Bergen.

@highlight

Peter Bergen: Osama bin Laden still inspires al Qaeda

@highlight

He says 8 years after 9/11, the "war on terror" has failed to capture him

@highlight

He says law of averages suggests bin Laden will eventually be caught or killed