(CNN) -- Explorer Dennis Schmitt found an island nearly two years ago near Greenland.

Fishermen pass by Greenland's Ilulissat fjord in this September 2004 picture.

Such a discovery would usually elicit curiosity, even wonder perhaps, but it evoked mixed feelings for the explorer.

The island was once thought to be a peninsula attached to Greenland by an ice shelf or a glacier. But such a large amount of ice melted, it revealed the distinct island.

"I very quickly realized two things," he told CNN's Anderson Cooper during a visit to the island earlier this year. "One [was] that this was going to be significant because it was going to be an example of climate change."

"The other thing was that it meant it was really happening. It wasn't a joke. It wasn't just statistics. It was really happening."

He calls his discovery Warming Island.

Many climatologists and scientists say arctic ice melt and other changes in the Earth's climate are the result of an increase in the world's temperature, a trend widely called global warming.

Many global warming experts say the phenomenon, if unchecked, is capable of altering the world's climate and geography. In the worst-case scenario, experts say oceans could rise to overwhelming and catastrophic levels, flooding cities and altering seashores.

Other scientists and observers, a minority compared to those who believe the warming trend is something ominous, say it is simply the latest shift in the cyclical patterns of a planet's life.

Most of the scientific community believes that some warming is occurring across the globe and through some layers of the atmosphere. But why it is occurring and what that means for the future is scientifically and politically contentious.

The Earth's temperature averages about 60 degrees Fahrenheit (about 16 degrees Celsius).

The average surface temperature has warmed one degree Fahrenheit (0.6 degrees Celsius) during the last century, according to the National Research Council.

The temperatures were relatively unchanged from 1880 to 1910, according to the U.S. Environmental Protection Agency. They rose till about 1945, cooled until about 1975 and have risen steadily to present day.

There are several possible reasons for the warming, scientists say.

A change in the Earth's orbit or the intensity of the sun's radiation could change, triggering warming or cooling.

The reason most cited -- by scientists and scientific organizations -- for the current warming trend is an increase in the concentrations of greenhouse gases, which are in the atmosphere naturally and help keep the planet's temperature at a comfortable level.

The amount of carbon dioxide in the atmosphere, for instance, has increased by 35 percent since the dawn of the industrial age, according to the United Nations' Intergovernmental Panel on Climate Change, commonly referred to as the IPCC.

The presence of methane is now 151 percent above pre-industrial levels, but the rate of increase has slowed in recent decades, according to the EPA. Meanwhile, nitrous oxide increased by about 18 percent during the past 200 years.

Many scientists and experts who have studied global warming believe the increase is primarily the result of human activities, like the burning of fossil fuels, emissions from vehicles and the clearing of forests.

"For the last 30 years, there's no way there's anything natural that can explain it," Stephen Schneider, a professor of environmental studies at Stanford University in California, said.

"A vast bulk of the knowledgeable and honest community ... will say the science is settled and humans are at least a majority of the reason behind the warming," he added.

Many scientific organizations share Schneider's view, ranging from the national academies of the countries that comprise the G8 to the National Research Council, the American Meteorological Society and the American Geophysical Union.

But there are those who do not share his view, and among the skeptics is Richard Lindzen, a professor of atmospheric sciences at the Massachusetts Institute of Technology.

"We've suddenly taken to reading tea leaves," he said. "When we saw cooling from 1940 to 1970, we were proclaiming global cooling. Since then, there's been a few tenths of global warming, so we're proclaiming global warming."

He believes the current warming trend is the result of natural variability, where a planet goes through phases of warming and cooling and the human contribution to it is minimal.

"The Earth is always getting colder and warmer," he said. "It's always changing. In fact, this is true of any fluid-covered planet."

Asked about glacial melt, which many observers point to as evidence of global warming, Lindzen said the way glaciers change and move are phenomena largely unexplained.

"We don't know why, but it's perfectly clear that glaciers change even though the temperature is cooling at the place that they've occurred," he said. "What we're doing is cherry picking any event that occurs and then saying that's occurring due to global warming."

Yet, for Schneider, it is a cause for concern and alarm. "We're already in serious melt, nobody can explain it. The models don't predict it," he said. "We don't know what's going on up there. All we know is that we could be triggering something really nasty."

The greatest point of contention is the possible implications for future political and economic policies for the world's nations.

The IPCC in February 2007 projected that if carbon dioxide levels doubled relative to pre-industrial levels, temperatures could rise between 3.6 to 8.1 degrees Fahrenheit (2 to 4.5 degrees Celsius) by 2100.

The lower end of the range could cause more intense hurricanes, droughts, wildfires and flooding, Schneider said. The higher end could lead to the catastrophes commonly associated with the visions of Hollywood filmmakers.

Uncertainties, however, plague such forecasts, which are based on computer simulations and models. The models contemplate factors associated with how the atmosphere, oceans and continents interact, all natural elements that have unpredictability intrinsic to them.

"Exactly how much it's going to warm up, we don't know," Schneider said. "That it's going to warm up? I'd bet anything on that." E-mail to a friend

@highlight

Earth has warmed one degree in past 100 years

@highlight

Majority of scientists say greenhouse gases are causing temperatures to rise

@highlight

Some critics say planets often in periods of warming or cooling