Despite a highly-publicized anti-corruption drive spearheaded by President Xi Jinping, China's position on an international corruption perceptions index has deteriorated in the past 12 months.

Transparency International's Corruption Perceptions Index 2014 ranks countries based on a 100-point "corruption perception" scale, where zero equals a "highly corrupt" perception and 100 means the country is perceived to be very clean.

In the report, released Wednesday, China scored 36, falling to 100th place from 80th last year, putting it on a par with Algeria and Suriname.

North Korea and Somalia rank equal-worst of 174 countries with a score of just eight. Denmark and New Zealand ranked least corrupt, with scores of 92 and 91, respectively.

The Corruption Perceptions Index highlights the problems that emerging economies have with public sector corruption, misappropriation of funds and bribery, said Jose Ugaz, the chair of Transparency International, in a press release. It's based on perceptions of public sector corruption, from the perspective of business people and country experts.

"The Transparency International report is inconsistent with China's well-known achievements in the anticorruption campaign," Chinese Ministry of Foreign Affairs spokesperson Hua Chunying told CNN. "The public will judge the achievement that the government has obtained and it will not be affected by the index.

"Corruption is the disease of human society which harms the justice and development of the entire society. It has to be eliminated."

Anti-corruption drive

Xi's much-vaunted drive against the "tigers" -- high-ranking public officials -- and "flies" -- lowly apparatchiks -- has been touted as a "life or death" priority for the leader, who announced the initiative shortly after taking office in 2012.

Since then, Chinese state media says 75,000 cadres have been found in breach of austerity measures, as of the end of August.

Recently, the anti-corruption drive was extended to China's military, with particular emphasis on projects and medical and weapons procurement, China Daily reported.

In the past, Xi has said that corruption could lead to "the collapse of the Party and the downfall of the state."

Despite his warnings, and attempts to address the issue, the report finds that perceptions of public sector corruption in China are worsening.

Rukshana Nanayakkara, Regional Outreach Manager for the Asia-Pacific Region, Transparency International, says that Beijing's approach is misguided.

"China's fight against corruption focuses on prosecution, a very top-down way of fighting corruption," he told CNN. "The whole campaign of catching 'tigers' and 'flies,' and from this summer the 'foxhunt' (the worldwide operation to track down fugitive officials) they all talk about prosecution, punishing people.

"In many other parts of the world it is a more holistic approach, you need to talk about prevention as well. So, irrespective of the fact that China is trying to punish corrupt officials, it is still thrives. So this is a very strong message to China."

China's drop from 40 points to 36 from in the index was one of the "biggest falls" of 2014, Transparency said. Other countries whose rankings dropped were Turkey, which dropped five points, and Angola, Malawi and Rwanda, which all dropped four.

Economic growth suffers

Transparency International says the extent of corruption within countries has an impact on their own economic growth, and there's a risk of problems being exported with trade and investment.

"The 2014 Corruption Perceptions Index shows that economic growth is undermined and efforts to stop corruption fade when leaders and high level officials abuse power to appropriate public funds for personal gain," Ugaz said in a statement.

"Corrupt officials smuggle ill-gotten assets into safe havens through offshore companies with absolute impunity.

"Countries at the bottom need to adopt radical anti-corruption measures in favor of their people. Countries at the top of the index should make sure they don't export corrupt practices to underdeveloped countries," Ugaz added.

Top countries and mark out of 100

1. Denmark (92)

2. New Zealand (91)

3. Finland (89)

4. Sweden (87)

5. Norway (86)

5. Switzerland (86)

7. Singapore (84)

8. Netherlands (83)

9. Luxembourg (82)

10. Canada (81)

Bottom countries and mark out of 100

174. Somalia (8)

174. North Korea (8)

173. Sudan (11)

172. Afghanistan (12)

171. South Sudan (15)

170. Iraq (16)

169. Turkmenistan (17)

166. Uzbekistan (18)

166. Eritrea (18)

161. Yemen (19)

@highlight

Transparency International's Corruption Perceptions Index 2014 released

@highlight

Index shows perceptions of public sector corruption in China have worsened since last year

@highlight

Drop from 40 points to 36 in the intervening year was one of the "biggest falls" of 2014

@highlight

North Korea and Somalia rank equal-worst, Denmark and New Zealand ranked top