(CNN) -- Even though the Ryder Cup prize ceremony took place at Medinah long after the sun had set, the staggering nature of Europe's triumph eclipsed the gloom -- and left many golf fans wondering how the visiting side had recorded the most remarkable comeback in the competition's 85-year history.

Trailing 10-4 at one point on Saturday, and 10-6 as Sunday's singles got underway, the team led by Spain's Jose Maria Olazabal defied the odds to win a record eight-and-a-half points on the final day and thus the trophy itself.

As darkness enveloped Medinah Country Club in Chicago, Europe's captain Olazabal talked of how the spirit of Seve Ballesteros had been key to his team's success.

Inspirational and flamboyant, Ballesteros won five major championships, revolutionized the European Tour and revelled in the passion of a Ryder Cup battle with the United States. He died in 2011 after a long battle with cancer.

"Our team played in the spirit of Seve without ever giving up," Olazabal said.

For leadership and teamwork specialist Khoi Tu -- a man who has advised Formula 1 champions and some of the world's leading companies -- the spirit of Ballesteros hung heavy over the European team.

"The thing that Europe had -- distinct to the United States -- was the notion of playing for Seve, and teams are often at their best when playing for an idea," says Tu, whose book 'Superteams' will be published next month.

"I'm not sure the U.S. did a lot wrong. But since the contest was so close, the key differentiator could be the 'Seve' idea. After all, could the power and pulling together of the U.S. team match his story?

"Like most sports, golf is a combination of will and skill and at this level, the will is often more important than the skill.

"The differentiator here was Seve had played a role in all the European players' lives and would have meant something for many of them."

As Spaniards and fellow professionals, Olazabal and Ballesteros shared a strong bond before the latter's death last year.

On the course, the Spanish pair formed Europe's most dyanmaic Ryder Cup partnership (with 12 points gained from their 15 matches) and Olazabal ensured his late compatriot was never far from any of his team's minds this week by strategically placing his image on the players' clothing and bags.

With Justin Rose looking up to the heavens in triumph, Sergio Garcia suggesting that Seve 'was with me all day' after his win and Europe's star man Ian Poulter saying he owed his presence on the team to Ballesteros, Olazabal's unorthodox approach to captaincy produced compelling results.

The 46-year-old may have lacked the organizational ability of previous European captain Colin Montgomerie, whose side triumphed in another nail biting clash in Wales two years ago, but he compensated in other areas, says Tu.

"Compared to Montgomerie, Olazabal was all about emotion -- connecting with individuals on a very visceral level," he said.

"Montgomerie was about thorough preparation and leaving no detail unturned in an attempt to ensure the players were given the best platform to produce victory.

"This year, people felt emotionally connected to Olazabal and his ability to translate that Seve factor was very powerful.

"His organization wasn't perhaps the best though, given what happened with Rory McIlroy," referring to the world No.1 nearly missing his tee-off slot on Sunday after confusing his time zones.

The Northern Irishman eventually made it onto the course just 10 minutes before he was scheduled to start thanks to a siren-wailing police escort from the team hotel to Medinah.

Despite that glitch, Tu believes Olazabal built a team where belief became an intrinsic value and where his man management skills produced inspired results.

"Olazabal did do some interesting structural things -- such as choosing Poulter as a wild card," says Tu. "Poulter has a brilliant Ryder Cup record and his infectious attitude will only ever amplify the belief in others."

Tu highlighted the way in which Martin Kaymer put a disappointing season behind him to emerge as the effective match-winner, as the German coolly sank a pressurized putt on the 18th to beat Steve Stricker and ensure that Europe retained the Ryder Cup.

"Teams play for a leader," says Tu. "The worst leader of Europe in recent times was 2008 captain Nick Faldo, who told Lee Westwood in the middle of a round that he would not be playing the next day.

"Compare that to Olazabal's management of Kaymer, who was not in great form coming into the tournament and who didn't play on the Saturday either.

"Somehow, Olazabal managed to turn a potential weakness into a positive, by stressing to Kaymer that his absence on Saturday was a sacrifice for the team's greater good.

"This would have liberated Kaymer -- and just look at the way both he and Stricker handled the pressure in their clash late on.

"A lot of small things combined to tip Europe into the belief they could win and as the scores came through, their momentum became unstoppable.

"This momentum helped Kaymer -- and so did the Seve influence, as he was playing with something beyond himself. Stricker saw the increasing blue on the scoreboard and began to feel the pressure.

"It's a fine line between that pressure either being turned into a positive or negative, but Stricker knew everyone was relying on him -- which became pretty tough pressure -- and the game just ran away from him."

Stricker's misery was compounded by the fact he was the only player among the two dozen involved who failed to win a point all week -- a statistic that history will not look kindly upon as Americans try to understand how they snatched defeat from the jaws of victory.

The Wall Street Journal is already debating this, with the newspaper pointing an accusatory finger at the decision by U.S. captain Davis Love III to select Stricker as one of his four wild cards.

"The better questions to ask might be how teams from Europe consistently pull rabbits out of their hats at these Ryder Cups. Europe has now won two in a row, five of the past six and seven of the past nine," the paper wrote on Monday.

"If it were just this U.S. team that lost when on paper it seemed to have the better players, the blame might be easier to assign. But that's not the case."

For Tu, the answer is simple.

"The Europeans were playing for each other, for their leaders and for a purpose -- Seve."

@highlight

Europe staged a stunning fightback to snatch the Ryder Cup from U.S. grasp

@highlight

The U.S. had seemingly built up an unassailable lead before huge turnaround

@highlight

Leadership specialist tells CNN memory of Seve Ballesteros drove Europeans on

@highlight

European captain Jose Maria Olazabal was close friend of late Spaniard