(CNN) -- Two health care workers went to the emergency room with flu-like symptoms after coming into contact with a patient confirmed to have Middle East Respiratory Syndrome, or MERS, officials said Tuesday.

The Florida patient represents the second confirmed case of MERS brought into the United States, the Centers for Disease Control and Prevention said Monday. MERS is a mysterious virus that can be fatal, and was first found in the Arabian Peninsula in 2012.

One health care worker in Orlando began showing symptoms 72 hours after exposure to the MERS patient but did not meet criteria for admission and was sent home, said Dr. Antonio Crespo, an infectious disease specialist at Dr. P. Phillips Hospital, where the MERS patient is being treated. The health care worker will be monitored and seems to be improving, Crespo said.

The other one, whose symptoms began 24 hours after exposure, was admitted to the same hospital, officials said Tuesday at a press conference.

"We're just waiting for the results from the testing that was done yesterday to decide about discharge," Crespo said.

At-risk workers at home

The two health care workers are among 20 in the Orlando area who may have been exposed to the MERS patient, and they are being tested for the virus, officials said. They were all notified and told to stay home and not work for 14 days, Crespo said. They also should monitor their temperatures and check for possible symptoms such as a cough, sore throat and fever.

Five health team members who may be at risk have been identified at Orlando Regional Medical Center and 15 at Dr. P. Phillips Hospital, Crespo said.

They were all evaluated for signs and symptoms that would be consistent for MERS. Samples were sent to the state lab for testing, said Dr. Ken Michaels, medical director for occupational health at Orlando Health.

"I'm glad to report that I've spoken to most of these team members today. They all report that they're doing great," Michaels said.

On the 14th day, everyone involved will be brought back for further testing. Once medically cleared, they can return to work, officials said.

Initial testing should be back within the next day or two, Michaels said.

MERS: 5 things to know

Two confirmed U.S. cases

The confirmed MERS patient visited Orlando Regional Medical Center on May 5, accompanying another person who was having a medical procedure, officials said.

"I think the risk is negligible to those in the waiting room or the radiology area at (Orlando Regional Medical Center)," said Dr. Kevin Sherin of the Florida Department of Health in Orange County.

The MERS patient was admitted to Dr. P. Phillips Hospital on May 9.

"Before the patient came to the hospital, he was not having a cough," Crespo said. "He was not having respiratory symptoms. So we believe that that makes less risk of transmission to other potential contacts."

Officials from the CDC and the Florida Department of Health are investigating the MERS case.

During a White House briefing Tuesday, press secretary Jay Carney said President Barack Obama had been briefed on the MERS situation in the United States and that the CDC is taking the lead.

The first U.S. case was reported this month in Indiana. That patient was released from a hospital Friday into home isolation, according to state health officials.

The Indiana patient was an American health care provider who had been working in Saudi Arabia and was on a planned visit to Indiana to see his family.

The Florida patient is also a health care provider who lives and works in Saudi Arabia, said Dr. Anne Schuchat, assistant surgeon general with the U.S. Public Health Service and director of the CDC's National Center for Immunization and Respiratory Diseases. She said that he is not a U.S. citizen and that the Florida case is not linked to the Indiana one.

The U.S. Transportation Security Administration will post CDC advisories at more than 20 U.S. airports to alert travelers about the virus.

Although there are no recommendations to change travel plans, the signs will advise travelers to the Arabian Peninsula to avoid contact with sick people and wash their hands often. They should contact a doctor if they develop symptoms such as fever, shortness of breath and coughing, the CDC said.

"We think it's really critical to avoid overreacting in the community but also avoid under-reacting in the health care environment," Schuchat told CNN. "The reason for the signage is so that we can promptly identify potential cases so that they can be separated from other people."

Can SARS lessons prevent a MERS virus outbreak?

What is MERS?

As of Friday, there have been 538 cases of MERS in 17 countries, including 145 deaths, according to the World Health Organization, Schuchat said.

The virus is also known as MERS-CoV since it is a coronavirus, the same group of viruses as the common cold. It attacks the respiratory system, according to the CDC. Symptoms can lead to pneumonia or kidney failure.

There is no vaccine or special treatment for MERS. Doctors said they believe the Indiana patient's quick diagnosis and care dramatically increased his chances for getting better.

The "risk to the general public remains very low," Schuchat said. In some countries, the virus has spread from person to person, but only in close contact, such as a person who was caring for an ill person.

"This virus has not shown the ability to spread easily from person to person in community settings," she said.

Out of "an abundance of caution," the CDC has been contacting people who were passengers on the same flights as the two patients with confirmed MERS, Schuchat said.

No cases of MERS have been diagnosed as a result of transmission on a plane, the CDC's Dr. Marty Cetron said.

The 44-year-old Florida patient traveled on May 1 from Jeddah, Saudi Arabia, to London, then from London to Boston, Boston to Atlanta, and finally Atlanta to Orlando.

The man began feeling unwell on the flight from Jeddah, with symptoms including "fever, chills and a slight cough," Schuchat said.

Family members of the patient have been tested as well, Crespo said.

"The patient has been doing very well," Crespo said. The patient had a low-grade fever of 100.2 on Monday night but has a minimal cough, and he is "in great spirits."

MERS mystery: Virus found in camels

CNN's Miriam Falco, Elizabeth Cohen, Jen Christensen, and Athena Jones contributed to this report.

@highlight

NEW: TSA will put up advisories about MERS in airports

@highlight

Two cases have been confirmed in the U.S.

@highlight

At least 20 health care workers told to not come to work

@highlight

They can return to work after 14 days if medically cleared