President Barack Obama apologized Thursday to those Americans whose insurance plans are being canceled due to the federal health law he championed even though he said repeatedly they could keep their coverage if they liked.

"I am sorry that they are finding themselves in this situation based on assurances they got from me," he told NBC News in an exclusive interview.

"We've got to work hard to make sure that they know we hear them and we are going to do everything we can to deal with folks who find themselves in a tough position as a consequence of this," he added.

Obama's comments come days after he attempted to clarify what he meant when he assured Americans in previous years that they would be able to keep their plans under the Affordable Care Act, a controversy that is prompting legislation in Congress to address it.

Obama further alters 'you can keep your plan' pledge

Republicans have hammered Obama over the promise since insurers began discontinuing coverage for some of the 12 million Americans who buy individual policies on the private market that don't meet Obamacare requirements for more comprehensive care.

GOP moves past troubled Obamacare website

Insurance companies appear to be doing this for a variety of reasons; some are pulling all their plans from certain states where they have fewer subscribers in order to save money.

In many cases, affected policyholders are being squeezed. They either don't qualify for subsidies to lower the cost of new premiums or they may have to pay more in the health care exchange marketplace.

When Obama says he's looking to fix it, he primarily means steps that can be taken administratively, senior administration officials said.

Some experts suggest one possible approach would be to ask insurers to delay the cancellation of plans and extend them into the New Year so that people are not left without insurance. That has been done, for example, in the state of California.

But House Speaker John Boehner said an Obama apology was in order and said the Republican-led House had its own plan in mind.

"What Americans want to hear is that the President is going to keep his promise. That's why the House will vote next week to allow anyone with a health care plan they like to keep it," Boehner said. "If the President is sincerely sorry that he misled the American people, the very least he can do is support this bipartisan effort. Otherwise, this apology doesn't amount to anything."

The administration eventually knew that many policies would be changed by the insurance carriers after Obamacare was introduced, and the associated political uproar since its October 1 online rollout has also angered Democrats and fueled Republican efforts to extend related controversies onto the campaign trail.

Vulnerable Senate Democrats voice concerns

In 2010, the Health and Human Services Department estimated that 40% to 67% of individual plans would eventually lose their "grandfathered" status, which only was conferred if a plan was purchased before the health care law was approved in 2010.

Although Obama said the "buck stops" with him on Obamacare problems to date -- including the rocky rollout of the website -- he still was resolute that his initiative to provide coverage for the uninsured and better coverage for many others would be better for the country.

"Most of the folks who ... got these cancellation letters, they'll be able to get better care at the same cost or cheaper in these new marketplaces," Obama said, also noting that "we have to make sure" people do not feel as if they've been betrayed by an effort carried out with their best interests in mind.

"They'll have more choice, they'll have more competition. They're part of a bigger pool. The insurance companies are going to be hungry for their business. So the majority of folks will end up being better off," he said.

Key elements of the health law prohibit discrimination for pre-existing conditions and require new plans cover maternity care, mental health and other areas. The program was developed to put comprehensive care within reach of millions of uninsured Americans.

About 95% of legal U.S. residents receive health insurance through private employers or the federal government, the Obama administration says. But more than 48 million Americans don't have any coverage.

Debunking 4 Obamacare myths: Both sides get it wrong

Obama's apology comes a week after similar refrains were made by Vice President Joe Biden and Health and Human Services Secretary Kathleen Sebelius regarding the botched Obamacare online rollout.

Five things we learned from Obamacare records

WH: Chief tech officer too busy for congressional testimony

Asked if he thinks Americans will be able to trust what he says in the future, Obama said he thinks he'll ultimately be "judged on whether" Obamacare is better for Americans overall.

"When you try to do something big like make our health care system better ... there are going to be problems along the way, even if ultimately what you're doing is going to make a whole lot of people better off, and I hope that people will look at the end product and they're going to be able to look back and say, you know what, we now have protections we didn't have before," he said.

In the NBC interview, Obama reiterated the administration's line that he's "confident" a "majority of people" will be able to use the website and apply for insurance by November 30. But he did not say whether he would push back the March 31 deadline to enroll or the penalty for those who do not purchase insurance.

Obamacare depends on younger, healthier Americans to buy into the program and pay premiums to offset costs for covering older people who need more health care. Those without insurance who do not sign up for a plan face a fine.

What else could go wrong with Obamacare?

A Gallup poll conducted just over a week ago showed 36% of Americans said they didn't think that in the long run the Affordable Care Act would make much of a difference to their family's health care situation. Just over a third said the health care law would make matters worse, and one in four said that Obamacare would make things better.

Opinion: Here's the truth about Obamacare

@highlight

Obama says in interview with NBC he's sorry

@highlight

Some people are losing their health coverage due to Affordable Care Act

@highlight

Obama said previously Americans could keep their plans if they liked them

@highlight

House will vote next week on bill allowing Americans to keep their health plans