(CNN) -- Renee Mosier was one of an estimated half-million patients in the United States who were unable to get the drugs they needed because of shortages.

"You feel like you're in a fight with one hand tied behind your back," said Mosier, 56.

It was a fight she lost in June.

According to the Food and Drug Administration, the number of drug shortages has increased nearly 300% since 2005. More than half of the drugs on the shortage list are considered critical -- meaning they have no alternative. The drugs most often in short supply include anesthetics and oncological drugs.

Mosier was diagnosed in 2006 with ovarian cancer, the fifth-deadliest cancer for women, according to the American Cancer Society.

Surgery and treatment were able to keep her tumors at bay until 2009, when she returned to surgery. She was back in remission until June 2011, when her cancer appeared once again.

Mosier was able to get her required surgery, but her doctor, Dr. Wendel Naumann, was unable to get Doxil, the chemotherapy treatment she needed.

'A huge, growing crisis in this country'

"This is a huge, growing crisis in this country, where we're actually having to ration drugs," said Naumann, who calls it "unbelievable."

In November 2011, Mosier appeared on CNN's "Sanjay Gupta, MD" to share her ordeal. She told Dr. Sanjay Gupta, CNN's chief medical correspondent, that without Doxil, she had few alternatives.

"At the time we just said, 'Let's go with what we have, and see what happens,' and the cancer pretty rapidly recurred."

Mosier was never able to get another dose of Doxil and spent the last month of her life in hospice care. She was able to make one last trip -- to the Bahamas to attend her daughter's wedding.

In a follow-up interview with Mosier's daughters on this past weekend's "Sanjay Gupta, MD," daughter Michelle Philipp told Gupta, "We weren't sure until even (the) last minute if she was able to come. So we bought her the ticket, hoping it would give her something for her to look forward to, and she did, and it was just wonderful."

On June 29, 2012, Mosier died.

Philipp's sister, Nicole Penninger, didn't hide her frustration with the situation. "You feel like you're in this time now, it's 2012. You feel like, you're in America. Why can't she get these drugs, that she needs to treat something so serious?"

Critical dependence on a few companies

How did it get to this point?

According to Naumann, "We only have a couple of companies, and the problem is that if one of these companies goes down because of FDA inspections, manufacturing problems or something like that, we don't have those drugs if only one company is making them."

The House Oversight Committee came to the same conclusion. In a recent report, the panel claimed the FDA -- the very agency tasked with dealing with shortages -- is partly to blame for the shortage situation.

The report paints a scathing picture of a regulatory agency that gave little consideration to the potential outcome of its actions.

"The committee has learned that FDA regulatory activity has effectively shut down 30% of the total manufacturing capacity at four of America's largest producers of generic injectable medications," it said.

"The FDA has failed to ensure that enforcement and compliance activities are conducted in a manner that does not create unnecessary shortages of critical drugs," according to the House report.

That report is disputed by the FDA.

"Let me just say, very clearly, that the report is incorrect," Dr. Sandra Kweder of the FDA said on "Sanjay Gupta, MD." "We are not in this situation because the FDA is shutting down companies. FDA is part of the solution."

Kweder is the deputy director of the FDA's Center for Drug Evaluation and Research, Office of New Drugs.

She said FDA inspection processes and enforcement rules have not changed.

"What has changed is that there is an aging manufacturing infrastructure, and there are serious quality problems that have required companies to close down to fix the problems."

On Monday, the FDA issued a letter to Rep. Elijah Cummings (D-Maryland) of the House Oversight Committee, responding to the committee's blaming the FDA for the shortages. The letter reiterated the report was false and emphasized the FDA is part of the solution.

What happened with Doxil

While Doxil is not a generic drug, it was manufactured by Ben Venue Laboratories, one of the country's four largest producers of generic injectables.

The Ben Venue lab was the sole manufacturer of Doxil in the nation. It voluntarily shut down in November 2011.

A May 2011 FDA inspection found a string of problems, including inadequate oversight and metallic particle shards in some of the drugs produced on site.

A November 2011 FDA inspection found additional problems, including finding a 10-gallon can in a storage area that contained urine.

In a statement sent to CNN after it shut down, Ben Venue labs said its team "has been working around the clock to implement changes needed to ensure a more sustained supply of the medicines we produce and to address the manufacturing-related issues at our facility noted in recent inspections by the FDA and other global regulatory agencies."

However, Ben Venue maintained that none of the Doxil supply was affected.

From their findings, the House Oversight Committee found that 58% of the drugs on the shortage list were produced at facilities cited by the FDA. They also found that the FDA's warning letters increased 156% from 2010 to 2011.

Dr. Scott Gottlieb, former FDA deputy commissioner, said the FDA isn't concerned about the outcome, though.

"They go in, they inspect facilities and then they issue findings. You're not asked to worry if there's a stable supply. You're asked to make sure the facility falls in line."

But Kweder says it's quite the opposite. "Well, it's our job to worry about it in our drug shortages team. When we issue warning letters today, we ask companies to very specifically communicate with us how they plan to address the problem, so we can assess what the potential of a shortage is, " she told CNN.

Kweder also cited the recent reauthorization of the Prescription Drug User Fee Act as a key to preventing shortages.

Signed by President Barack Obama earlier this month, the act will help the FDA expedite the drug review process, particularly for drugs in shortage. It will also require companies to notify the FDA if they anticipate an interruption in production.

"It allows us as a regulatory agency to step in, and try and prevent the shortage in the first place," Kweder said. "So for example, we can go to other companies to ask them to increase their production. We can assist companies that are having difficulties to finding alternatives for the difficulties they are having, and even in rare cases, we can seek sources of medications from other countries, where they might be being produced to our standards."

Help comes from abroad

That's actually what happened in the case of Doxil.

In February, the FDA stepped in and allowed the importation of Lipodox from an Indian manufacturer, a possible therapeutic alternative. But Naumann said he was never able to get his hands on it.

"The key is having enough notice," says Kweder. Since Obama signed an executive order requesting early notification from manufacturers in November 2011, more and more companies have been able to give the FDA the needed heads-up.

"We've done that successfully innumerable times. Just since January, at our count, we've prevented 94 to 100 shortages, things the public never sees," Kweder told Gupta.

"I think it's a start," says Naumann, but it's not enough.

"I think these shortages are going to continue because of the same problems that we have. There are certainly fixes out there for it. I don't think these shortages are going to go away because of this bill."

For Mosier's daughters, it's all too late.

Had Mosier gotten the Doxil, Philipp says, "I think she thought it would have at least put her in remission in another time, or it would save her from the chemo that was detrimental to her."

@highlight

Renee Mosier, who had cancer, died after not receiving the drug she needed

@highlight

The number of drug shortages is up 300% since 2005, according to the FDA

@highlight

The House Oversight Committee blames the FDA for shortages