If the Gaza truce holds and Israel's Operation Protective Edge comes to its conclusion, some things are certain.

Both Israel and Hamas will declare military victory -- Israel pointing to the destruction of militants' tunnels and depletion of Hamas' rocket supply; Hamas pointing to dozens of dead Israeli troops and the survival of Hamas leadership in Gaza.

But unlike in previous conflicts, when Hamas had the support of many Arab nations, things have changed. This time, as CNN has reported, the fighting between Israel and Hamas has been a proxy war for the Mideast.

Key regional players Jordan, Egypt and Saudi Arabia have their own reasons to want to fend off the Muslim Brotherhood, of which Hamas is part, experts say. And Europe, like the United States, lists Hamas as a terrorist organization for its numerous attacks on civilians.

But the group does have the support of some countries.

"It's no longer the Muslims against the Jews," said Danielle Pletka, vice president of foreign and defense policy studies at the American Enterprise Institute. "Now it's the extremists -- the Muslim Brotherhood, Hamas, Hezbollah, and their backers Iran, Qatar and Turkey -- against Israel and the more moderate Muslims including Jordan, Egypt, and Saudi Arabia."

A look at some key Hamas supporters:

Turkey

Prime Minister Recep Tayyip Erdogan openly supports Hamas.

"Erdogan has tried to use the cause of the Brotherhood to bolster his own Islamist credentials at home," says Eric Trager, of the Washington Institute for Near East Policy.

Turkey also has "more of an ideological sympathy with the Brotherhood," Trager says.

Qatar

Qatar supported the Muslim Brotherhood in Egypt -- which was toppled from power in a coup last year. Qatar funds many Muslim Brotherhood figures in exile, including Hamas political leader Khaled Meshaal, who is believed to have orchestrated numerous terrorist attacks.

"Qatar has a long history of providing shelter to Islamist groups, amongst them the Muslim Brotherhood and the Taliban," Shashank Joshi of the Royal United Services Institute tells Time.

Advocating for Hamas is beneficial to Turkey and Qatar in their political objectives because the cause draws popular support at home, says world affairs writer Frida Ghitis in a CNN.com column.

But some question whether Qatar's support for Hamas is still strong. The country's financial support to the group "largely dried up" as Qatar sought "to mend ties with its neighbors, with whom it had fallen out in part for backing the Muslim Brotherhood in Egypt," the Council on Foreign Relations said.

While Qatar and Turkey are powerful allies, "Hamas might wish for more support given the breadth of the Arab world," Time reported.

Iran and Syria

In the past, Iran and Syria supported Hamas. Iran supplied the group with weapons; Syria was home to Meshaal.

But Meshaal did not support Syrian President Bashar al-Assad in the country's civil war. In 2012, Meshaal left for Qatar, causing a breakdown in his relationship with both Syria and its ally Iran, says Firas Abi Ali, head of Middle East and North Africa Country Risk and Forecasting at the global information company IHS.

And while Iran still professes to support Hamas, such claims "are more ostentatious, showy, exaggerated and theatrical rather than genuine and practical," writes Majid Rafizadeh, an Iranian-American scholar at Harvard University, in a column for al Arabiya.

Iran, which is a Muslim but not an Arab nation, "uses Hamas (as well as Tehran's support for the Palestinian cause) as a tool to project its power and influence in the Arab world," he argues.

The Council on Foreign Relations says Iran, while cutting its funding to Hamas in recent years, "sought to bolster its ties to other resistance groups in the region, such as Islamic Jihad."

Hezbollah

The Lebanese militant group based in Lebanon is aligned with al-Assad's regime in Syria. During the conflict, Hezbollah reached out to Hamas, praising its "steadfastness."

This does not mean the relationship is repaired to where it stood before Syria's civil war, but "a new realignment might happen," Farwaz Gerges of the London School of Economics told Time.

Popular support

Hamas' greatest support in the wake of the conflict with Israel may be from the public in Gaza and other parts of the Arab world.

"Hamas is not a monolith, nor is it only a terrorist group," Ed Husain of the Council on Foreign Relations writes on CNN.com. "It is a social movement, with a mass membership, a popular message of resistance that resonates across the Muslim world, and a political party with which we must negotiate."

Some analysts believe Hamas will emerge stronger from the fight with Israel. The conflict "will only further radicalize the Palestinian population -- and alienate frustrated friends in the United States," Mark Perry of Foreign Policy argues.

Before Operation Protective Edge, a poll by the Washington Institute for Near East Policy found that most Palestinians in Gaza oppose a two-state solution and want to work toward abolishing Israel -- a goal that is in line with Hamas' charter.

But the poll also found most Palestinians support nonviolent methods of achieving their goals.

Support could affect arms supply

While Hamas' recruitment might soar now, militarily the group "is on the ropes," with tunnels destroyed and much of its rocket supply depleted, writes Rick Francona, retired U.S. Air Force intelligence officer and CNN military analyst.

"After similar conflicts in the past, Hamas has been rearmed and resupplied by its supporters, primarily Iran and to some extent Syria. The most efficient method for the rearming and resupply effort has been via the large number of smuggling tunnels between Gaza and Egypt's Sinai Peninsula.

"That is not likely to be the case this time -- another blow to Hamas, which it must factor in to its assessment of this conflict as well as its future planning."

What is Hamas' endgame in Gaza?

What is Israel's endgame in Gaza?

@highlight

Jordan, Egypt, and Saudi Arabia don't support Hamas, analysts say

@highlight

Turkey and Qatar do; some question the extent of Qatar's support

@highlight

Iran and Syria had a falling out with Hamas

@highlight

Popular support may spike, but weapon supply is limited, analysts say