The ancient world was full of strange animals that have gone extinct, such as a group of marine species with claw-like structures emerging from their heads. A new study suggests that these creatures were related to spiders and scorpions.

Researchers discovered the fossilized remains of a species in southwest China that provides new insights into the evolution of animals in the modern era, scientists said. They report their findings in the journal Nature.

Scientists believe that the creature -- 1 inch long, and with two pairs of eyes -- lived 520 million years ago and that it crawled or swam in the ocean. They were able to reconstruct the creature's nervous system to gain insights about its evolutionary relationships to animals familiar to us.

"For the first time, we are able to use fossilised neural anatomy to sort out how fossil animals are related to animals today," study co-author Xiaoya Ma of the Department of Earth Sciences at the Natural History Museum in London wrote in an e-mail.

This creature belongs to the Alalcomenaeus genus, and its place in the animal kingdom lies in "a group of weird extinct animals" called the "megacheiran" or "great appendage" arthropods, Ma said.

The species of the Alalcomenaeus group had elongated, segmented bodies with about 12 pairs of appendages they used for swimming or crawling. They also had a pair of long, scissor-like head claws, most likely for grabbing or sensing.

Scientists say the reconstruction of the new creature's nervous system is the most complete for an arthropod living at that time, in the Cambrian geological period.

Discovery makes a splash: The rarest whale

The brain and central nervous system of the creature are organized in a way that is similar to those of the chelicerata, the group that includes horseshoe crabs and scorpions. This suggests a close evolutionary relationship between the ancient Alalcomenaeus and the living chelicerata.

A distinct group of arthropods called the mandibulates includes lobsters, insects, centipedes and millipedes.

Last year at the same site in China -- called the Chengjiang formation near Kunming -- Ma and colleagues discovered a 520 million-year-old crustacean-type nervous system in an animal called Fuxianhuia.

Taken together, these discoveries suggest that by 520 million years ago, the two major groups of arthropods had diverged. Their common ancestor must have been older, researchers said.

"This means the ancestors of spiders and their kin lived side by side with the ancestors of crustaceans," co-author Nick Strausfeld, neuroscience professor at the University of Arizona, said in a statement.

Strausfeld's team used sophisticated imaging techniques to look at the inch-long Alalcomenaeus fossil. One kind of scan revealed that iron had built up in the nervous system as the creature fossilized. They also used a technique called computed tomography that reconstructs 3-D features.

By combining these images and discarding any data that weren't in both, they were able to create a sort of negative X-ray photograph, "and out popped this beautiful nervous system in startling detail,"  Strausfeld said.

It confirmed what scientists had believed from the creature's outward appearance: The extinct genus Alalcomenaeus was related to chelicerates (spiders, scorpions and others).

They also saw that the brain in the fossil was like the brains found in modern scorpions and spiders.

If researchers find a fossil with features shared by this creature and the crustacean-like fossil Ma and colleagues found last year, that could be a common ancestor of both.

There's plenty more weirdness from ancient history to uncover.

18-foot oarfish discovered

@highlight

The fossil is 520 million years old and was found in China

@highlight

Using multiple images of the animal, the researchers discovered the nervous system

@highlight

They also saw the brain was like those of today's spiders, scorpions

@highlight

The work shows the early evolutionary differences, researcher says