(CNN) -- It's the height of summer in Paris, and the director of the most famous art museum in the world is queuing like any other tourist.

Three-and-a-half hours later, Jean-Luc Martinez finally enters the Louvre, putting his bag through security, asking for directions, stopping to buy snacks and drinks.

It's a familiar story for anyone brave enough to join the snaking line during peak season. Less so, when you're the man who holds the key to the front door.

A few months after taking the top job at the Louvre, 49-year-old Martinez went on a covert mission to see what it's really like for the average Joe jostling against the snap-happy masses.

Why? "If you are a professional, there is a risk at certain times you are only going to look at the museum with the eyes of a professional," he told CNN in his first television interview with the international press, since taking the role in April.

"The people who visit the Louvre might only stop by once, and a trip to Paris is the holiday of their life. We have to make sure that they are received with a certain dignity."

The people's museum?

With over 9.7 million tourists streaming through the turnstiles last year -- easily making it the most popular museum on the planet -- the biggest challenge the institution now faces is not how to increase numbers, but how to improve the experience.

How will Martinez, one of the institution's youngest ever directors, make that happen?

"I hope it will be more welcoming, which means that when you arrive at the museum there are less queues, that the people of foreign origin find reference points in their language, that with the help of Wi-Fi and apps you understand what you see," he said.

"I picture a museum in which everyone finds their space. What threatens museums is that it is only an elite which understands the works of art. I want a museum where there are young people, children, elderly people -- and that requires work."

Modest Martinez

It's an ambitious vision for the 220-year-old gallery, an institution so steeped in prestige that Martinez underwent an interview with French President Francois Hollande before being offered the role.

But then, Martinez isn't like previous directors. Growing up in social housing just outside of Paris in the 1960s, his father was a postman, his mother a caretaker of an apartment building.

A former archeology and art history professor, Martinez was head of the Louvre's Greek, Etruscan and Roman Antiquities department before taking over from 12-year director Henri Loyrette -- himself the son of a business lawyer.

Described by colleagues as a "quiet intellectual with a penchant for tweed and sweater vests," Martinez says the first time he visited the gallery as an 11-year-old on a school trip, it revolutionized his view of the world.

"I was a kid that lived in a modern city, almost entirely dating from the 1960s," he said. "And there I was, in the heart of Paris, shown works of art that were more than 5,000 years old and that history is profound."

Beyond the stars

Yet gaze across at the crowds scrambling to get a photo of the Mona Lisa -- while a room of precious Rembrandt paintings stands almost empty -- and you get the feeling not everyone shares Martinez's appreciation for the Louvre's vast collection.

"The majority of people want to see the works of art that are the most famous -- the Mona Lisa, the Venus de Milo, and the Winged Victory of Samothrace," said Martinez.

"We have to do some profound work to valorize the other collections."

How? Through exhibitions of lesser-known works, new educational centers, and translating information plaques into English.

Brand Louvre

Of the Louvre's 460,000 works, just 35,000 are exhibited, the rest in storage deep under the famous building.

That's where Louvre Lens comes in -- a €150 million ($200 million) sister gallery in a former mining town in northern France. Opened last year, the gleaming new building displays around 200 pieces on loan from Paris.

It's part of a growing Louvre empire, with another gallery set to open in Abu Dhabi in 2015, exhibiting 300 works from French museums.

The United Arab Emirates is paying €400 million ($538 million) for the prestigious Louvre name. And in times of austerity, it's a deal which will help the French institution revamp its entrance and ticket areas.

Does the deal also devalue the Louvre brand?

"No," says Martinez. "It's an agreement, a scientific partnership, an economic partnership."

With Martinez at the helm, it's also the beginning of a brave new era for the beloved institution.

@highlight

Jean-Luc Martinez, new director of the Louvre, reveals plans to shake-up establishment

@highlight

49-year-old comes from modest background, father was a postman, mother a caretaker

@highlight

Wants visitors to be treated with "dignity," plans multimillion revamp of ticket area

@highlight

Says $538m deal to build Louvre Abu Dhabi will help pay for makeover of French institution