(CNN)Ever had a headache so big, you felt like drilling a hole in your head to let the pain out?

In Neolithic times trepanation -- or drilling a hole into the skull -- was thought to be a cure for everything from epilepsy to migraines.

It could even have been a form of emergency surgery for battle wounds.

But while there is still conjecture about the real reasons behind the mysterious procedure, what is known is that the implement often used to carry out the primitive surgery was made from one of the sharpest substances found in nature -- obsidian.

Obsidian -- a type of volcanic glass -- can produce cutting edges many times finer than even the best steel scalpels.

At 30 angstroms -- a unit of measurement equal to one hundred millionth of a centimeter -- an obsidian scalpel can rival diamond in the fineness of its edge.

When you consider that most household razor blades are 300-600 angstroms, obsidian can still cut it with the sharpest materials nano-technology can produce.

Even today, a small number of surgeons are using an ancient technology to carry out fine incisions that they say heal with minimal scarring.

Dr. Lee Green, professor and chair of the Department of Family Medicine at the University of Alberta, says he routinely uses obsidian blades.

"The biggest advantage with obsidian is that it is the sharpest edge there is, it causes very little trauma to tissue, it heals faster and more importantly it heals with less scarring," he said.

"It makes for the best cosmetic outcome."

He explained that steel scalpels at a microscopic level have a rough cutting edge that tears into tissue, a function of the crystals that make up the metal. Obsidian, meanwhile, cleaves into a fine and continuous edge when properly cut.

Dr. Green said he once helped documentary makers produce a program on surgical technology in ancient Egyptian, setting up a blind test on the cutting power of obsidian.

Using cultured-skin burn dressing, a substance composed of skin cells, he made an incision with a modern scalpel and a parallel incision with an obsidian scalpel.

The host of the program was then invited to look at the cuts under a video microscope and tell the difference.

"It wasn't hard to tell the difference at all -- as soon as he turned around everyone in the studio was like 'Ohhh'," Dr. Green said. "Under the microscope you could see the obsidian scalpel had divided individual cells in half, and next to it the steel scalpel incision looked like it had been made by a chainsaw."

Modern obsidian scalpels look nothing like the decorative flint-knapped knives of Neolithic man, often resembling their modern counterparts in everything except for the blade edge, but Dr. Green said they are a very different animal.

"The feel is very different because obsidian has no 'bite,'" he said. "If you look under the microscope at a steel scalpel edge it looks almost like a saw, it has teeth, whereas obsidian is smooth even microscopically.

"It's a very different feel to work with and you have to practice before you start using it in surgery.

"You also have to be careful not to nick yourself with it because you don't even feel it!"

And Dr. Green believes incisions made with these blades heal faster. He said a colleague who needed a mole removed agreed to undergo an experiment where half the procedure was carried out with an obsidian scalpel and the other half was removed with steel.

"What's really fun is seeing it heal," he said. "Four weeks later the difference was quite remarkable -- there was very much a difference in scarring."

In Germany, the manufacturer Fine Science Tools produces obsidian scalpels which can be used in situations where the patient may have an allergy to steel or metal.

"For studies where trace metals from ordinary scalpel blades cannot be tolerated, these very special obsidian scalpels may provide the answer," the company says.

At €99 per scalpel ($107.40), they represent a considerable saving on their diamond cousins which the company prices at €712.50 ($772.60).

But there has been little academic research into the efficacy of obsidian blades compared to steel scalpels, and they do have disadvantages: Obsidian scalpels are not Food and Drug Administration (FDA) approved, and they are extremely brittle and prone to breaking if lateral forces are applied -- meaning they are unlikely to ever be in widespread use.

Dr. Green, whose scalpels were manufactured for him by an expert flint-knapper and archaeologist Errett Callahan, concedes the Stone Age scalpels are not for everyone.

"If it was let loose on the market there'd be far too many injuries from it," he said. "It's very fragile and it's very easy to break pieces off."

@highlight

Obsidian can produce cutting edges many times finer than even the best steel scalpels

@highlight

Some surgeons still use the blades in procedures today