(CNN) -- Two catchphrases have dominated stories about women in the election cycle this year: "the war on women" and "having it all." It is time to change the conversation.

Women are the voters most likely to matter on November 6 -- they make up the majority of undecided voters and they outvote men.

But to win women's votes, Mitt Romney and President Obama must talk about what really matters to them. I know something about that from my students. The young women in my classes look to the future and want to know how to create workable lives for their families. They know about the pay gap. They know their earnings will matter to their families. They know their mothers are often starved for time. "How are we supposed to do it?" they ask, over and over.

We have not been giving them good answers. Undoubtedly, the issues raised in claims about a "war on women" and the difficulty of "having it all" are important. But those arguments don't fully address my students' questions. In order for the candidates to speak directly to women, they need to talk about jobs, but not just any jobs.Â  What matters are good jobs that make family lives sustainable.

Pay equity is the tip of the iceberg. Consider this from the Center for American Progress: Including all workers, the median full-time female worker earned $10,784 less in 2010 than the median full-time male worker. Over a 40-year career, that wage gap adds up to more than $400,000.

This pay discrepancy affects the economic well-being of American households. Women comprise two-thirds of American family breadwinners and co-breadwinners. Inequality in pay means families have less money for quality child care, less education, fewer doctor visits and more scrambling to make ends meet, year in and year out. It's not just households and family life that suffer. So does the economy. Studies confirm that stretched workers mean lower productivity.

But pay alone won't make the difference. All workers have family responsibilities. When women ask about fair pay, they are also asking about how to get jobs that make it possible to take a sick child to the doctor. They are asking about how to make sure fathers can get away from work early enough to make dinner, too. Flexibility is a universal concern for American workers, not simply a women's issue. As President Obama's Council of Economic Advisers reported in 2009, workplace flexibility increases productivity and reduces turnover and absenteeism. It's good for the economy, and good for families.

A Reuters poll this month showed that women make up 54% of the undecided voters and their No.1 concern is family well-being. Contraception and reproductive rights, of course, matter a great deal to female voters. But if that's the only issue the candidates talk about, they ignore the worries that women wake up to every morning as they hustle children through bowls of cereal and pile out the door to work.

Here is what the candidates can do:

First, fight for the Paycheck Fairness Act, which would expand 1963's Equal Pay Act and make it easier for women to compare their pay with that of fellow workers. Paycheck Fairness was blocked this year in Congress; it needs to be reintroduced. In our service economy, women still dominate in the lowest-paid jobs.  Because women's pay has become more and more essential to their families, those historic inequities matter more and more.

Second, fight for workplace flexibility. Family responsibilities burden all workers, men as well as women, regardless of pay. This is a social and economic reality that the nation must face. America needs leaders who will drag our workplaces out of the 1950s and into the 21st century.

Finally, support paid sick days nationwide. Forty percent of the people in the work force do not have paid sick days, which puts them in danger of losing their jobs when they are sick; millions more cannot take sick days to care for their children. Support for the Healthy Families Act before Congress is critical. This legislation would grant workers up to seven job-protected paid sick days each year, to use not just when they are ill, but for helping sick family members and preventive care.

There is still time, but not much, for me to tell my students that the candidates have some answers to their questions.

The opinions expressed in this commentary are solely those of Kirsten Swinth.

@highlight

Kirsten Swinth: Time to go beyond catchphrases "war on women" and "having it all"

@highlight

Women's votes are crucial for both candidates, she says, but they need to talk about jobs

@highlight

Swinth: Women bring home all or a share of household income and family is top concern

@highlight

She says pay equity, sick leave and workplace flexibility are priorities in the real world