Rome (CNN) -- Mario Monti, the economist nominated to become Italy's new prime minister, began talks with political leaders Monday to discuss forming a government.

The 68-year-old's talks with political parties will continue Tuesday.

In comments after several meetings Monday, Monti said some of the delegations had discussed a "temporal outlook" for how long his government might last.

The time for the government "which I am trying to create is that period between today and the end of spring 2013," he said, according to a CNN translation. At any time the parliament could dissolve his government "because of lack of trust," he said.

It is "obvious" that the task at hand is an emergency, and that to achieve economic growth and social equity "should be the priorities," Monti said.

The new prime minister designate will face an arduous task, as Italy has one of the highest national debts in Europe at â‚¬1.9 trillion ($2.6 trillion) -- about 120% of GDP -- and has seen low growth in recent years.

To take the helm, Monti needs the approval of the Italian Parliament, which is composed of multiple parties with diverse interests. Silvio Berlusconi's People of Freedom party remains the strongest force in parliament, and Berlusconi has said he plans to remain active in it.

Those diverse political interests and the pain of austerity measures could weigh heavily on Monti as he steers Italy through economically troubled waters. Some politicians in Italy have already called for elections to take place sooner than their scheduled time of spring 2013.

Italian party leaders spoke in support of the new prime minister designate on Italy's senate TV after exiting deliberations with Monti on the composition of a new government.

Antonio Di Pietro, leader of the Values Party, said his group is "happy that the Berlusconi government could be replaced by the Monti government." His party will not block a Monti-led government, he said.

But when asked specifically whether he would give Monti a vote of confidence, Di Pietro stressed that he would not answer until he learned more about Monti's plans and the composition of his Cabinet.

Franceso Rutelli, leader of the Alliance for Italy, also told reporters his block will support Monti's government.

Emma Bonino of the Radical Party expressed support for Monti as well. Speaking to reporters, Bonino called for reforms to address Italy's political and economic crisis.

Monti was nominated Sunday to replace Silvio Berlusconi as Italy's prime minister.

Berlusconi resigned Saturday amid the country's ongoing financial crisis. His role in Italy's political future is uncertain.

"For the time being he is waiting to see what is happening under the buildup of the new government under Mr. Monti," said Deborah Bergamini, a member of Italy's Parliament and former assistant to Berlusconi.

On Monday, Bergamini said Berlusconi told her he wants to continue acting as the chair of his PDL party.

Berlusconi's resignation was greeted with cheers and dancing in the streets, as people waved the Italian flag and sang the nation's anthem.

If he becomes prime minister, Monti could bring a distinctly different approach to governing than Italy has experienced over the past three years.

"It may be that the strong opposition ... against Berlusconi that has been going on in these years maybe will disperse itself, maybe will finish, and then we'll have a cooperative approach on the part of all the political forces. ... Let's hope that the international credibility of Mr. Monti will be able to work in this direction," Bergamini told CNN.

While the hot-blooded Berlusconi was for many years a master of forming political alliances, Monti is known for his achievements as a "Eurocrat," at the heart of Europe's institutions.

Dubbed Super Mario for his work in international finance, he served as a leading European Commission member for a decade -- including as commissioner for its financial services, market and taxation committee between 1995 and 1999 and as head of its competition committee from 1999 to 2004.

In announcing Monti's nomination, Italian President Giorgio Napolitano said the former European Union commissioner is "gifted, competent, experienced" and well-respected in Europe and internationally.

"This is the moment of his test," Napolitano said.

Monti must return to Napolitano within days to accept the nomination fully, at which point he would be sworn in and officially become prime minister.

Within days of the oath of office, Monti would have to go to parliament to present his government -- essentially his Cabinet and his government plan. The upper and lower houses of parliament have 10 days from the time Monti is sworn in to hold separate votes of confidence on the new government.

Berlusconi is the second prime minister to resign this month over the debt crisis sweeping across Europe. Greece's George Papandreou was replaced Wednesday by Lucas Papademos, a former European Central Bank official.

Investors were watching Italian bond yields closely Monday, after â‚¬3 billion worth of five-year bonds generated decent demand.

Yields on both the five-year and 10-year bonds still remain around 6.5%. Last week, the 10-year Italian yield spiked to a record high above 7% -- a level that eventually led to bailouts for Greece, Portugal and Ireland.

Economists said Monday's bond yields could indicate that markets are still nervous about Italy's economic prospects, even with Monti in charge.

"Now what we are seeing today is that markets probably don't like so much politics being so effective and so active in financial matters. So my feeling is that the challenge today will be rebalancing ... politics and financial matters," Bergamini told CNN Monday.

CNN's Hada Messia, Matthew Chance, Laura Smith-Spark and Zain Verjee and the CNNMoney staff contributed to this report.

@highlight

Monti says his government would aim to continue through spring 2013

@highlight

Heads of some key parties express support for Mario Monti

@highlight

Italian president: Monti is "gifted, competent, experienced"

@highlight

Silvio Berlusconi is the second European leader to fall this month over the debt crisis