The Centers for Disease Control and Prevention has sent out a warning to hospitals about a new antibiotic-resistant bacteria, carbapenem-resistant Enterobacteriaceae, or CRE. While this strain of bacteria is not new, it has become more common in the last 10 years or so and has now become prevalent enough to warrant a higher level of concern.

It's worth backing up for a second to discuss what all of this means. We use antibiotics to treat bacterial infections. When we first started developing antibiotics, such infections were easier to cure. But over time, the bacteria evolved. They developed the ability to fight the antibiotics that we use. They pass on this ability to resist treatment to bacteria that follow. Over time, we are often forced to develop new antibiotics to beat infections that were previously treated easily.

News: CDC: 'Nightmare bacteria' spreading

This is what has happened here with CRE. Over time, these bacteria have become harder and harder to treat. The old antibiotics don't work as well. In this case, CRE infections kill about half of patients who have bloodstream infections. This is more than twice as many people who die from similar infections with antibiotic-susceptible strains.

Right now, CRE only are of concern to certain susceptible patients in the hospital. It's not common in the community, and most of the warnings are directed at hospitals, imploring them to take precautions to isolate patients and prevent spread in the inpatient setting.

The nightmare scenario, though, is that this bacteria will get out into the community.

This isn't fear-mongering. Years ago, Staphylococcus aureus infections were also relatively easy to treat. Over time, though, a strain of bacteria, known as Methicillin-resistant Staphylococcus aureus, or MRSA, became a problem in hospitals. The CDC issued warnings to hospitals to take precautions to prevent its spread. Over time, though, it got out into the community.

A 2008 study of children who came into an emergency department with skin abscesses, or infections, found that about 75% of them were caused by MRSA. Luckily, we still have medications, such as trimethoprim/sulfamethoxazole, to treat these infections. When that fails, though, things will become even more concerning.

Put another way, when I was training, we would have almost never considered MRSA as the cause of a skin infection. These days, though, we pretty much assume it's the cause, and treat with stronger drugs.

Most people believe that the injudicious use of antibiotics is to blame for these developments. Every time we use antibiotics, we give bacteria a chance to evolve. We kill off those susceptible to the drugs and leave those that have developed resistance. Each time we use antibiotics unnecessarily, say to treat a virus, we make the problem worse. Each time we use them improperly, or for too short a period of time, we do the same. These days, we're putting them in everything, from soap, to lotion, to the food that animals eat.

This is a real public health issue. Creating more resistant strains is a serious long-term problem. The new warning is panicking a lot of people, but for the wrong reasons. You're very, very unlikely to get a CRE infection anytime in the near future. It's important that hospitals work to prevent that problem from getting worse, but almost everyone reading about it this week will be unaffected by it.

It's much, much more likely, though, that these same people will ask for antibiotics when they get a cold. That's the kind of thing that will lead to future problems. That's the kind of thing we need to stop now.

@highlight

Aaron Carroll says rise in drug-resistant bacteria CRE should concern us all

@highlight

He says bacterial strains -- like MSRA a few years ago -- evolve to resist antibiotics

@highlight

Concern is over spread in hospitals now, but bug could get out into community, he says

@highlight

Carroll: Misuse of antibiotics gives bacteria chance to evolve -- a real public health danger