Isa Saharkhiz and his son Mehdi haven't seen each other in nearly a decade.

But the dream of a reunion between the dissident journalist and his 32-year-old son came one step closer to fruition when Iranian authorities unexpectedly released the elder Saharkhiz last week after imprisoning him for more than four years.

"Yes, it was a surprise," said Saharkhiz, speaking by phone to CNN from his home in Tehran.

The longtime critic of the Iranian regime described how last Thursday, a prison official made an unannounced visit to the hospital room where he had been detained for months due to his deteriorating health conditions.

"He told me that 'you are released now,'" Saharkhiz said. Within hours, he was back at his home surrounded by his wife and daughter and friends.

Mehdi was at the design company in northern New Jersey where he works as a production manager when his relatives in Iran called with news of his father's release.

"I was really shocked," he recalled.

Father was rounded up during 2009 unrest in Iran

Since 2009, the younger Saharkhiz has led a one-man digital campaign from his home in New Jersey aimed at liberating his father.

"I confess that I am not ashamed that my father is in prison. And I am proud of him...his bravery has made life harder for the cowards in power," Mehdi announced on camera in Farsi, in a 2009 video he posted on YouTube.

The young man appeared in the video wearing a T-shirt printed with his father's portrait.

Iranian security forces first arrested Isa Saharkhiz, 59, during the summer of 2009.

The former journalist had been working as an international spokesman for the campaign of Mehdi Karroubi, a moderate politician who ran for president in June 2009.

Huge street protests erupted that month after Iranian authorities declared the firebrand incumbent candidate Mahmoud Ahmadinejad winner of the election. Opposition groups accused the Iranian regime of rigging the results in favor of Ahmadinejad, a claim Tehran vehemently rejected.

In the ensuing crackdown on what became known as the Green Movement, Karroubi and another opposition presidential candidate, Mir-Hossein Mousavi, were placed under house arrest.

Security forces used brute force and widespread arrests to crush the street protests, while also rounding up top officials from Mousavi and Karroubi's political campaigns, including Isa Saharkhiz.

"They tortured me," he said, describing how officers beat him and broke his ribs during his initial detention.

Iranian authorities justified the 2009 crackdown by frequently accusing opposition leaders of being part of a foreign conspiracy aimed at overthrowing the government.  Iranian officials also accused some protesters of being mohareb, or enemies of God.

Chinese journalist Shi Tao released after 8 years in prison

Saharkhiz later received a sentence of three years in prison for conspiring against the government and insulting the Supreme Leader, Ayatollah Ali Khamenei.

Singled out as a former insider?

During his incarceration, the writer said he was subjected to physical and emotional abuse, while also being held in solitary confinement for long periods.

"In January, in the winter, they sent me on the roof of the jail for two hours when the weather was very cold," Saharkhiz said.  "They put me out without any shoes, any socks, and very few clothes."

Experts say Iranian authorities reserved especially harsh treatment of well-known intellectuals such as Saharkhiz because he was a former regime insider, who had risen to prominence after the Islamic Revolution of 1979. For a decade, he worked as a reporter for one of the main state news agencies. He also founded a free-speech advocacy group called the Society for the Defense of Freedom on the Press.

"Saharkhiz is not an outsider to the regime. Like others in the reformist movement that emerged from within the ranks of the government of the Islamic Republic, Saharkhiz angered many, including the Supreme Leader," said Behzad Yaghmaian, an Iranian-American academic and author of "Social Change in Iran."

Yaghmaian commended Saharkhiz for his "principled resistance to the government and the supreme leader."

"People like Saharkhiz are considered even more dangerous than those opposing the regime from outside," he added.

As the elder Saharkhiz languished in prison in 2009, his son Mehdi became an opposition activist from the relative safety of exile in New Jersey.

Using Twitter, Facebook and YouTube, Mehdi distributed amateur videos smuggled from Iran showing Iranian security forces beating and arresting demonstrators.

"The least I can do is get their voices out," he said, in a 2010 interview with CNN.

Election of Rouhani may have had impact

Mehdi has lived in the United States for many years, and last year became a naturalized American citizen. His father was stationed in New York for several years in the 1990s while working for IRNA, the official Iranian news agency.  During that time, Mehdi attended high school in suburbs outside New York City.

Four years after his arrest, the elder Saharkhiz said there was no formal reason given for his release.  But he said the move was likely linked to the recent election of Hassan Rouhani to the post of president.

Several other dissidents detained during the 2009 crackdown were released last month, according to the English-language daily Tehran Times.  The Iranian government never issued a formal explanation for why these political prisoners were freed.

Rouhani campaigned on a platform of reform and an end to Iran's international isolation. Last month, he called for a negotiated end to Tehran's long feud with Washington over its nuclear program.  His charm offensive during a visit to the United Nations General Assembly climaxed with a brief phone conversation with Barak Obama.  It was the first direct contact between American and Iranian presidents in more than 30 years.

"Not the system, but the situation has changed," explained Isa Saharkhiz, during his interview with CNN.

Though optimistic about Rouhani's presidency, Saharkhiz warned that Iran was a "double state," where true power lies in the hands of Supreme Leader Khamenei and senior military commanders.

He argued that expanded relations with Washington and the removal of crippling economic sanctions would help moderate figures such as Rouhani engaged in policy and power struggles with Iranian hard-liners.  Removal of American embargoes would also help ordinary Iranians who could no longer afford life-saving foreign phamaceuticals, he said.

Saharkhiz's note of cautious optimism was echoed by his son.

"There's a lot of hope from what Rouhani did in the U.S. and there's a lot of good response from the people," Mehdi said. "But then you have a lot of people who were in charge before the election and are still in charge and don't like it."

Son not sure when he can travel to Tehran

For now, Mehdi says it is not safe for him to return to Iran to visit his father. He has yet to fulfill his mandatory Iranian military service, and he fears he could be detained due to his own outspoken criticism of the regime.

"Maybe in a few years I will be able to go back, but it's a really big risk," he said.

Meanwhile, his father predicted he is still at risk of being thrown back in prison.

"I will support freedom in Iran, and maybe criticize the leadership in Iran," he said. "So it is possible that they will come here and capture me again."

Both father and son hope, however, that the authorities will lift an earlier travel ban that prevented the veteran journalist from leaving Iran.

If so, the two hope to reunite for the first time in more than a decade in a third country such as the United Arab Emirates or Turkey.

"It will be a very emotional time," Isa Saharkhiz said.

It would be, his son said, a dream come true.

In April: Four Italian journalists released from captivity in Syria

@highlight

Dissident journalist recently released from prison

@highlight

Isa Saharkhiz had criticized country's supreme leader

@highlight

His son, Mehdi, lobbied for his release from the U.S.