(CNN) -- After 18 months of terror and grave devastation, Syrian children are plagued with trauma from witnessing the horrors of war firsthand, an international aid group says.

Save the Children released a report on Tuesday called "Untold Atrocities," a collection of accounts from Syrian refugee children.

"A massacre took place in my village. Around 25 people were killed -- I witnessed it with my own eyes," said Mohamad, 15, who has fled to Jordan with his family. "They used different ways to kill people -- electric shocks, throwing machinery and cement blocks on people's heads."

Hassan, 14, described the use of children as human shields, echoing reports from opposition activists that the Syrian regime had done so.

He said his cousin and uncle died when a rocket "caused a massacre."

"Almost every child we've spoken to has seen family members killed," Save the Children said.

Even those who survive attacks face dire circumstances.

"When we were being bombed, we had nothing. No food, no water, no toys -- nothing. There was no way to buy food -- the markets and shops were bombed out," Ala'a, 10, said. "My father went without food for days because there wasn't enough. I remember watching him tie his stomach with rope so he wouldn't feel so hungry."

Wael, 16, summarized the trauma this way:

"I have seen children slaughtered. I don't think I'll ever be OK again."

In other developments:

Diplomatic front: Obama pledges support, Qatar offers a new plan for Syria

U.S. President Barack Obama used his keynote speech at the U.N. General Assembly on Tuesday to pledge American support for those working for a "common good" for Syria -- and sanctions against those doing harm.

"In Syria, the future must not belong to a dictator who massacres his people," he said.

"If there is a cause that cries out for protest in the world today, it is a regime that tortures children and shoots rockets at apartment buildings. And we must remain engaged to assure that what began with citizens demanding their rights does not end in a cycle of sectarian violence."

French President Francois Hollande also had strong words on Syria, saying that areas "liberated" by opposition forces should be protected by the United Nations.

"There have been almost 30,000 deaths in the last 18 months -- how many more deaths will we wait for before we act? How can we allow the paralysis of the United Nations to continue?" he asked.

Hollande said France would recognize an opposition government once it is formed, and that the current regime had lost its right to represent the country on the international stage.

France has been at the forefront of international efforts to bring about a resolution in Syria.

In his address to the General Assembly, Qatar Prime Minister Sheikh Hamad bin Jassim Al Thani said the violence in Syria had reached "an unacceptable phase" and urged fellow Arab nations to intervene.

"We have used all available means to get Syria out of the cycle of killing, but that was in vain," he said.

In light of the U.N. Security Council's failure to act effectively, he said, "It is better for the Arab countries themselves to interfere out of their national, humanitarian, political and military duties and do what it necessary to stop the bloodshed in Syria ... in order to guarantee a peaceful transition of power in Syria."

His words come a day after he proposed a "Plan B" for solving the Syrian crisis, saying a nonviolent solution is still possible despite more than a year of relentless bloodshed.

In an interview with CNN's Christiane Amanpour on Monday, Al Thani said the plan would include havens -- which would require a no-fly zone -- and greater humanitarian aid.

"We wish and we believe that we can solve it peacefully," Al Thani said. But, he said, Syrian President Bashar al-Assad has only one solution: "killing his people to win the war."

"I believe within weeks, we should have a Plan B. And there is a responsibility among us," he said. "We are talking about saving the people of Syria."

UK Foreign Secretary William Hague, who spoke to Amanpour on Tuesday, described the situation in the U.N. Security Council with respect to Syria as being at a "diplomatic impasse."

"We are blocked in the United Nations Security Council from the world being able to put its full weight behind a transitional government in Syria, something that it is obvious solution, obviously part of the solution," he said.

Hague was referring to Russia and China, which have repeatedly blocked draft resolutions that would take stronger action against al-Assad's regime. The secretary is scheduled to meet with Russian leaders this week to discuss the ongoing crisis.

On the ground: Blasts strike a Damascus compound

Dual attacks rattled a Syrian intelligence security compound in Damascus, the regime and opposition activists said Tuesday.

The compound was also the site of a major explosion in March.

Syrian state-run TV said the two improvised explosive devices were "planted by terrorists" in a school building and caused seven injuries.

Opposition activists said the Syrian military was using the school building as a base. The new school year has not yet started, Syrian state TV said, so it seems unlikely that children would have been at the site.

In June, Human Rights Watch described cases of "sexual torture" at the compound, reported by male and female detainees -- many of whom were political activists or simply attended protests.

At least 148 people were killed across Syria on Tuesday, according to the Local Coordination Committees of Syria, an opposition group.

The highest number of deaths, 44, was reported in Damascus and its suburbs, where regime forces and rebel fighters are engaged in fierce clashes and communities are under aerial bombardment, the LCC said.

CNN's Salma Abdelaziz, Saad Abedine, Holly Yan, Samuel Burke and Claire Calzonetti contributed to this report.

@highlight

The UK foreign secretary describes the Security Council as being at an impasse

@highlight

France's Hollande says the United Nations should protect "liberated areas" in Syria

@highlight

Obama: Future "must not belong to a dictator who massacres his people"

@highlight

"I have seen children slaughtered. I don't think I'll ever be OK again," a boy says