(CNN) -- Reports of rapes, killings and other horrors are growing in the Central African Republic. Rights groups accuse security forces and militia gangs of torturing civilians as world leaders warn that the nation is on the verge of a genocide.

Here's a quick primer to get you up to speed on the escalating situation.

1. First things first. Tell me about the Central African Republic

The tiny, landlocked nation in central Africa is home to about 5 million people. It declared independence from France in 1960, and has since been led by presidents or emperors. Some have been elected while others seized power by force. Despite vast resources, including gold, timber, diamonds and uranium, it's among the poorest nations in the world. The riches from the minerals don't trickle down to the population, fueling resentment.

Lack of good governance does not help, either.

2. So what's going on with all the chaos?

It started off as anti-government resentment.

A coalition of rebels named Seleka ousted President Francois Bozize in March, the latest in a series of coups since the nation gained independence.

They accused the president of reneging on a peace deal, and demanded that he step down. Months before his ouster, both sides had brokered a deal to form a unity government led by the president.

But that deal fell apart as the rebel coalition pushed its way from the north toward the capital of Bangui, seizing towns along the way.

Rebels infiltrated the capital in March, sending Bozize fleeing to Cameroon.

3. What happened after the president left?

The nation plunged into complete chaos.

Political turmoil raged. Looters hit the main cities. Violence became the order of the day. Aid agencies warned of a humanitarian crisis as fear of the rebels prevented critically injured patients from going to health facilities. An unknown number of people have been killed in remote rural areas that are too risky to access. More than 400,000 people have been internally displaced, according to the United Nations. That's nearly 10% of the population.

4. Who's in charge of the nation now?

After the president fled, Seleka named its commander, Michel Djotodia, as the new leader. He took over and integrated some of the rebel fighters into the army, analysts say.

5. Was this the nation's first instance of instability?

No.

Political turmoil is nothing new for the Central African Republic.

About a decade ago, Bozize led a coup that deposed his predecessor. Though he later won elections in 2005 and 2011, he did not have full control of the nation. Rebel groups ran amok for years, especially in rural areas.

In fact, four of the nation's five presidents since independence have been ousted through unconstitutional means.

6. OK, the President left and the rebels got their wish. Why's the fighting ongoing?

Some say say greed is a factor. Ousted government officials have long accused Seleka of going after the country's vast minerals.

Then there's the reprisal aspect.

When the president fled, the poorly-trained national army didn't stand a chance against the rebels. Rebels capitalized on the army's weakness and went on a rampage, human rights groups say. The list of horrors is endless: rape, torture, kidnappings, looting.

To counter the attacks, vigilante groups formed. Reprisals led to more mayhem. The country descended into anarchy and the United Nations warned that "the seeds of a genocide are being sown."

7. What role does religion play in the tensions?

Good question.

Rights groups say Seleka is a predominantly Muslim coalition. As history has shown over and over, religious loyalties can breed contempt and escalate conflicts.

In addition, the conflict has exposed years of marginalization and discrimination against the northern, predominantly Muslim population, the United Nations says. Left uncontrolled, militia groups are banding along religious lines. Most of the vigilante groups fighting back are Christian, leading to fears of a full-blown conflict between the country's Christians and Muslims.

8. All this is happening a world away. Why should I care?

The Central African Republic is surrounded by countries struggling to emerge from years of conflict. South Sudan, Sudan's Darfur region, the Democratic Republic of Congo and Chad are barely stable.

Any instability is sure to have ripple effects that'll be hard to ignore worldwide.

CAR is also believed to be one of Joseph Kony's hideouts. The United States sent special forces to the region last year to help hunt down Kony, the brutal leader of the Lord Resistance Army. In a sign of a potentially expanded role, the Pentagon recently said it's considering sending aircraft to assault the Kony militia.

The chaos not only risk destabilizing the region, they could complicate the Kony mission.

9. What's the current government doing?

The current president has tried to distance himself by disbanding Seleka, Human Rights Watch says.  Djotodia, the president, has denied assertions that his country is on the brink of a genocide.

"I don't think there's a genocide, there's not even a religious war, all of this is made up, it's to manipulate, to manipulate the opinion of the international community," he told Reuters.

He accused the former regime of fueling the rebellion.

"They want to create a religious war by all means possible," he says. "That's what Bozize wants."

10. What is the international community doing?

Though world leaders have warned of mass atrocities if nothing is done, the response has been limited.

Last month, France pledged to send 1,000 more troops to add to the 400 it already has there. The current troops in the nation, it says, are there in a noncombat mission to protect French nationals and help secure the airport in the capital.

An African Union force is already in the nation. The United Nations has suggested its peacekeeping force should eventually replace the African-led mission known, as MISCA. That potential force could number about 6,000 troops and 1,700 police personnel.

Turning it into a U.N. peacekeeping operation would boost financial and logistical support.

@highlight

A coalition of rebels ousted President Francois Bozize in March

@highlight

The nation plunged into complete chaos

@highlight

World response has been limited