(CNN) -- NATO troops in Afghanistan have been ordered to halt some joint operations with Afghan security forces after a spate of attacks by their local allies and amid fallout from a controversial anti-Islam video.

"Most partnering and advising will now be at the battalion level and above," White House Press Secretary Jay Carney told reporters Tuesday. "This does not mean there will be not partnering below that level. The need for that will be evaluated on a case-by-case basis."

But Carney stressed that the broader strategy of handing security over to local and national forces would continue and that the new policy will not effect NATO's planned withdrawal for 2014.

"In response to an increased threat situation as a result of the 'Innocence of Muslims' video, plus the recent insider attacks, ISAF forces are increasing their vigilance and carefully reviewing all activities and interactions with the local population," Maj. Lori Hodge, a spokeswoman for the NATO-led International Security Assistance Force, said earlier Tuesday.

4 NATO troops killed in 'insider' attack

"We adjust our force protection measures based on the threat. If the threat level goes down, we could see a rolling back on this decision."

The "Innocence of Muslims" video, which was privately produced in the United States, mocks the Prophet Mohammed as a womanizer, child molester and killer.

The U.S. government has condemned the video, which spurred deadly protests in several countries, including Afghanistan.

On Tuesday, for example, an insurgent group carried out a suicide attack that killed 12 people, including eight foreigners in Kabul, saying it was in response to the film.

The other factor behind the partial joint operations suspension is the number of "green-on-blue" attacks in the country.

More than 50 coalition troops were killed between January and mid-August in instances where uniformed Afghans turned their guns on allied troops.

Why asylum-seekers are fleeing Afghanistan

NATO's senior civilian representative in Afghanistan, Simon Gass called the need for the new policy a "bump in the road," adding that "people in all of our countries would expect us... to make sure that our soldiers are kept out of harms way as much as possible."

"The circumstances in which we have reduced our partnership operations are not ideal by any means at all, they are not what we would have wanted," he said. "Nor are they a great strategic set back."

On Monday, the Pentagon said that NATO commander Marine Gen. John Allen had ordered commanders "to review force protection and tactical activities."

"While some partnered operations are temporarily suspended, many continue, and regional commanders have the authority to approve more," Pentagon press secretary George Little said.

Allen's guidance was given at the recommendation of key Afghan leaders, Hodge said.

"This will likely lead to adjustments in exactly how, when and where ISAF troops operate, especially during the current period of heightened tension," she said.

British Defence Secretary Philip Hammond, meanwhile, insisted Tuesday that, "There has been no change of policy in Afghanistan" for British forces.

Speaking to the House of Commons, Hammond cited a press release issued by the ISAF commander saying "some prudent, but temporary, measures to reduce our profile and vulnerability to civil disturbances or insider attacks" have been put into place. Hammond echoed Carney's statement from the White House, saying "partnering and advising" would take place at the battalion level and above.

"The change does not mean that where will be no partnering below that level. The need for that will be evaluated on a case-by-case basis and approved by the regional commanders," Hammond added.

Over the weekend, four Americans and two British troops were gunned down in attacks believed to involve Afghan police.

In addition, insurgents disguised in U.S. Army uniforms launched a coordinated assault Friday at the joint American-British base Camp Bastion, raising concerns that the attackers had inside knowledge. That attack killed two U.S. Marines and destroyed six AV-8B Harrier jets, international forces said.

Camp Bastion is also where Britain's Prince Harry is based. Harry was taken to a secure position after the perimeter at Bastion had been breached, British Defense Secretary Philip Hammond told the BBC.

How insurgents entered Prince Harry's base

U.S. Defense Secretary Leon Panetta said Monday that he is "very concerned" about insider attacks.

"This is an approach that the Taliban is resorting to, similar to the use of (improvised explosive devices)," Panetta said. "We think, very frankly, that it is kind of a last-gasp effort to be able to not only target our forces but to try to create chaos because they have been unable to regain any of the territory that they have lost."

The halt in some joint operations with Afghan forces comes weeks after U.S. Special Operations forces suspended the training of some Afghan Local Police recruits while it double-checks the background of the current police force.

"Green-on-blue" refers to a color coding system used by the military, in which blue refers to the friendly force and green refers to allied forces. The spate of green-on-blue attacks comes as American and NATO troops are training Afghan soldiers and police to maintain security within the country ahead of the planned end of allied combat operations in 2014.

It's unclear what impact, if any, the earlier suspension in training and the temporary halt of some joint operations will have on the timetable to withdraw.

U.S. facing growing 'green-on-blue' challenge

In August, Allen estimated that about a quarter of the attacks were being carried out by infiltrators from the Taliban, the Islamic militia that ruled most of Afghanistan before the U.S.-led invasion in 2001. An earlier Pentagon review that said that about 10% were by Taliban forces that had sneaked into Afghan military and police ranks.

"It's less about the precision of 25 versus 10 than it is acknowledging that the Taliban are seeking ultimately to have some impact in the formation," Allen said.

Afghan President Hamid Karzai has blamed the attacks on foreign spy agencies hoping to undermine Afghan security institutions, but he did not specifically identify any countries.

NATO admits killing civilians in strike

CNN's Masoud Popalzai, Alexander Felton and Chelsea J. Carter contributed to this report.

@highlight

NATO's senior civilian rep calls the need for the new policy a "bump in the road"

@highlight

Gen. John Allen orders commanders "to review force protection and tactical activities"

@highlight

More than 50 coalition troops have been killed by uniformed Afghans in 2012

@highlight

A U.S. commander estimated Taliban infiltrators are behind about a quarter of those