(CNN) -- Investors of Russian assets have had their first real chance to assess the situation in Ukraine and they didn't like what they saw.

The two major indices in Moscow, the MICEX and the RTS, slumped more than 8% on opening Monday and worsened as they day carried on. Investors do not like uncertainty and they were delivered more than their fair share over the weekend.

With the ruble hitting a record low of about 37 to the dollar, central bank governor Elvira Nabiullina surprised the market by pushing interest rates to 7% to buffer a run on the currency.

The reality is quite simple: Russia's economy has seen a dramatic slowdown for the past year. After growing 3.4% in 2012, it came in at about a third of that level last year with an expansion of just 1.3%. The forecast of 2.5% growth in 2014, many suggest, looks ambitious with incursions into Ukraine part of the equation.

While this is being positioned domestically in Russia as a move by President Vladimir Putin on behalf of Russians in the east of Ukraine, the military action probably will not sit well with those in the middle class who took to the streets over the past year.

They have been frustrated by slow growth, a lack of transparency within government, and a lack of oil and gas revenues trickling down to those with higher aspirations and expectations.

During the height of the global financial crisis, Putin, whether at a G8 or G20 Summit, took the opportunity to criticize western powers for not being vigilant enough with their commercial bankers -- whether on Wall Street or within the City of London. He proudly predicted Russia would continue to grow at 4% with ample reserves of a half trillion dollars saved for a rainy day.

That day may have arrived. Strategists I have interviewed complain that Putin relied on one asset -- energy -- for far too long.

At the World Energy Congress in South Korea late last year, the energy minister Alexander Novak spelled out plans for Russian reserves to expand handsomely over the coming years.

Gas pipelines, like the South Stream, are being constructed to bypass Ukraine and provide Europe with ample supplies for the next generation. Russia also has inked strategic energy partnerships with China and South Korea.

But as the world is finding out, one cannot live on energy alone with an economy of 140 million people. Government ministers I have spoken with admit they are well behind the curve when it comes to infrastructure investment.

Another worrying sign for the economy is that it is expanding only modestly -- despite the projected $50 billion that was spent on the Sochi Winter Games and projects earmarked for the 2018 World Cup.

So where does dispute over Ukraine lead us? There are a number of tricky questions that need to be answered.

Executives at Gazprom, Russia's state-run gas giant, have declared that Ukraine is one and a half billion dollars in arrears on payments and that discounts given to the previous, pro-Moscow government expire at the end of the month. It is not clear whether Russia will turn off the taps as it has done twice before.

Ukraine is carrying an unmanageable amount of debt -- nearly $30 billion comes due by the end of 2015, about half of that this year. The IMF is sending a team over for an initial consultation this week, but until the political situation is sorted out before elections, it is not clear whether the fund will step in.

There is a co-dependency between Russia and Europe. While major European Union members like Germany and France have reduced their reliance on Russian gas, about a quarter of all supplies still comes from pipelines filled by Moscow. About a third of Russia's daily oil output of nearly ten million barrels a day goes to Europe as well.

Finally, the U.S. may be suffering from military fatigue after years in Iraq and Afghanistan and the European Union from expansion fatigue. With 28 members after of an era of enlargement and sluggish growth of just a 0.5% projected for this year, Brussels can ill afford to jump into a political mess on its eastern flank.

Read more: Why Ukraine crisis matters to world economy

Watch more: Yulia Tymoshenko exclusive: Draft bill would annex Crimea from Ukraine

@highlight

Investors in Russian assets don't like what they see in Ukraine, as CNN's John Defterios explains

@highlight

Russia's central bank governor has pushed up interest rates to 7% to protect from a run on the currency

@highlight

Russia's economy is expanding only modestly, despite huge expenditure on the Sochi Winter Olympics

@highlight

Huge questions still remain over the dispute in Ukraine and the global economic repercussions