(CNN)Germanwings co-pilot Andreas Lubitz was hiding an illness from his employers and had been declared "unfit to work" by a doctor, according to German authorities investigating what could have prompted the seemingly competent and stable pilot to steer his jetliner into a French mountain.

Investigators found a letter in the waste bin of his Dusseldorf, Germany, apartment saying that Lubitz, 27, wasn't fit to do his job, city prosecutor Christoph Kumpa said Friday. The note, Kumpa said, had been "slashed."

Just what was ailing Lubitz hasn't been revealed. The New York Times and the Wall Street Journal, citing unnamed sources, reported Friday that Lubitz suffered from mental illness and kept his diagnosis concealed from his employer.

A Dusseldorf clinic said he'd gone there twice, most recently 17 days ago, "concerning a diagnosis." But the University Clinic said it had not treated Lubitz for depression.

German investigators said they still have interviews and other work to do before they'll be able to reveal just what they found in the records in Lubitz's apartment in a quiet, suburban neighborhood.

They found no goodbye note or confession, authorities said.

But the fact that investigators found "ripped, recent medical leave notes, including for the day of the offense, leads to the preliminary conclusion that the deceased kept his illness secret from his employer and his professional environment," prosecutors said.

Authorities left Lubitz's apartment  Friday night with boxes of papers and evidence folders after spending about 90 minutes inside.

According to authorities in Germany and France, Lubitz was a co-pilot on Germanwings Flight 9525 between Barcelona, Spain, and Dusseldorf on Tuesday when he apparently locked the captain out of the cockpit, then activated a control causing the plane to descend toward rugged terrain.

Germanwings said the plane dropped for about eight minutes from its cruising altitude of 38,000 feet before crashing.

The only sounds, authorities said, were those of pounding on the cockpit door, Lubitz's steady breathing and, eventually, screaming passengers.

An 8-minute descent to death

Lubitz and 149 other people on board the plane died in an instant, authorities say.

Mother, daughter among 3 American victims

What could have prompted Lubitz to deliberately destroy the aircraft, killing everyone on board, remained the focus of investigators in Germany.

Officials said Lubitz was not known to be on any terrorism list, and his religion was not immediately known.

He had passed medical and psychological testing when he was hired in 2013, said Carsten Spohr, CEO of Lufthansa, which owns Germanwings.

While the ailment Lubitz had sought treatment for hasn't been revealed, that he was declared unfit for work is an important detail, aviation analysts say. Pilots are required to maintain their fitness to fly and must tell their airline if they're found unfit, CNN aviation analyst David Soucie said.

Reuters reported that a German newspaper said Lubitz had been treated for depression about six years ago.

Citing internal documents forwarded by Lufthansa to German authorities, Bild reported that Lubitz had suffered a "serious depressive episode" around the time he took a break from his pilot training in 2009, Reuters reported. The Bild report said he then spent about 18 months getting psychiatric treatment.  Lufthansa officials and German prosecutors declined to comment on the Bild story, Reuters said.

Who was co-pilot Andreas Lubitz?

Although authorities have recovered the cockpit voice recorder, the flight data recorder remains missing. It could shed crucial details about what happened inside the cockpit, authorities say.

Rescuers have found bodies at the rugged crash site, but few of them are intact, Yves Naffrechoux, captain of rescue operations at Seyne-les-Alpes, told CNN.

Dangerous and windy condition at the remote site, which covers more than a square mile, are hampering efforts to recover bodies and evidence, he said. Officials with experience traversing the French Alps are helping technicians who don't have alpine skills, he said.

"Since they don't know the mountains, you need to provide them with equipment, you need to hold them with rope, give them crampons so they can work well and as precisely as possible, so that no evidence, no body part could escape their vigilance," Naffrechoux said.

Workers are now looking into the possibility of building a road to the site, Naffrechoux said.

Recovery teams have made good progress, a French senior paramilitary police official told CNN.

Gendarmerie Lt. Col. Jean-Paul Bloy, who is coordinating the helicopter operations for the crash site, said there will be two aircraft deployed over the scene Saturday. There were five on Friday, Bloy said.

As that difficult work continued, relatives and friends of the victims traveled on Lufthansa flights to an area near the site where their loved ones perished.

They held prayers in Le Vernet, near Seyne-les-Alpes, a village serving as a staging post for the recovery operation. Flowers and pictures sat on the ground, candles flickering in the cold air.

Germanwings said it was setting up a family assistance center in Marseille, France, with family briefings to start Saturday. Another flight carrying victims' relatives was due to arrive in Marseille from Barcelona on Friday.

"Our focus in these darkest hours is to provide psychological assistance to the families and friends of the victims," said Thomas Winkelmann, a spokesman for the Germanwings executive board.

It could be weeks before all the bodies are recovered, identified and released to the families, authorities said.

Meanwhile, the European Aviation Safety Agency issued a temporary recommendation that cockpits always be staffed by at least two crew members.

"While we are still mourning the victims, all our efforts focus on improving the safety and security of passengers and crews," the agency's director, Patrick Ky, said in a statement.

Lufthansa and other German airlines have already adopted the rule, the airline said. An official with the German Aviation Association told CNN that it was only a matter of hours, or a day at most, for this rule to be implemented across all big German airlines.

A pilot aboard a Germanwings flight Friday morning spoke out at the beginning of the trip to "reassure passengers that there will be two people present in the cockpit at all times."

Lufthansa will now keep two crew members in cockpits

CNN's Catherine E. Shoichet, Greg Botelho, Claudia Rebaza, Frederik Pleitgen, Nic Robertson, Margot Haddad, Stephanie Halasz, Khushbu Shah, Bharati Naik, Ingrid Formanek, Sandrine Amiel, Rosie Tomkins, Will Ripley and Anna Maja Rappard contributed to this report.

@highlight

Reuters reports German newspaper says Lubitz took break in 2009 due to depression

@highlight

Ripped medical-leave notes found at his home indicate co-pilot hid an illness, officials say

@highlight

Investigators found no goodbye letter or evidence of political or religious motivation