A great many filmmakers â€” too many â€” use handheld cameras to evoke a sensation of raw, this is really happening immediacy. But director Paul Greengrass is unique.

At a glance, his live-wire, ragged-camera method may seem overly familiar, but the way he employs it, that method is as expressive as the style of a superb novelist. The note of authenticity he strikes isn't just about how he holds the camera. It's about what the camera is shooting: Greengrass sets up and stages organically detailed situations that he then films as if he were making a documentary. He pioneered that method in "Bloody Sunday" (2002), his spectacular drama about the 1972 Northern Ireland massacre, and he carried it into his two Bourne films (making the most far-fetched espionage potboilers seem genuine) and, of course, into United 93, the galvanizing post-9/11 dramatization that let you feel like you were right on board that doomed plane.

Greengrass keeps you off balance â€” he's a jittery poet of reality. And he proves that yet again in "Captain Phillips," his suspensefully spiky thriller based on a shattering incident from April 2009, when the crew of a U.S. cargo ship, the MV Maersk Alabama, was held hostage for several days by a band of Somali pirates armed with machine guns. Early on, Greengrass echoes what he did in "United 93," letting us peek separately into the lives of both the victims and their attackers before the vehicle in question takes off. Capt. Richard Phillips (Tom Hanks), a veteran merchant mariner, still lives in his native New England, and he's a plainspoken family man full of anxiety about the economically bleak new world his kids are facing. When his wife (Catherine Keener) drops him off at the airport, we can see he reveres her. The film then cuts to Somalia, a land of dust and poverty, where the pirates are recruited for their mission as if they were migrant farmworkers lining up to be chosen for that day's labor. Greengrass doesn't have to fill in much about the violent, chaotic breakdown of Somalia to let us know that these men have little choice in life: Taking up arms to steal, or even to kill, is the central option their society has handed them.

When the giant cargo liner rounds the Horn of Africa, Captain Phillips realizes he's in dangerous waters. A radar that detects the pirates as they zoom toward the ship on two motorboats gives you a sickening feeling. As soon as they climb aboard, evading the spray of water hoses that are the crew's only ''weapons,'' we know we're seeing a clash of two cultures: the privileged Western world, with its power and bounty (all symbolized by the vastness of that ship), and the desperate quarters of the Third World, locked outside the loop of technological progress and hope.

One of the pirates, a young fellow named Muse, is played by Barkhad Abdi, who has the ravaged, bone-hungry face of a starving child all grown up. That face haunts the movie, and so does Abdi's extraordinary acting. Muse is ruthless, forlorn, street-smart, naive (he wants millions of dollars, even though there's only $30,000 on the ship), and even compassionate, all at the same time. In dramatic terms, he's the enemy, yet Abdi's performance inspires us to ask: How, in the modern world, did the violence Muse embodies become part of the family of man?

Phillips must guard his crew, negotiate with the pirates, and keep his own fears in check, and Hanks acts with a minimalism that speaks volumes: We're wired into his every glance. Phillips sends the pirates on a wild goose chase throughout the massive ship, and Captain Phillips becomes a gripping life-or-death chess game: Who will survive? Who will outwit whom? But in the second half, when Phillips is forced to board an enclosed lifeboat along with the pirates, the film's suspense begins to ebb. It's not that Greengrass' electrifying style fails him. It's that the movie, tethered for close to an hour to the strategies and tensions aboard the lifeboat, keeps giving us things to observe, but maybe not so much to discover. Grade: B+

See the original at EW.com.

CLICK HERE to Try 2 RISK FREE issues of Entertainment Weekly

© 2011 Entertainment Weekly and Time Inc. All rights reserved.

@highlight

Tom Hanks tackles the starring role in "Capt. Phillips"

@highlight

The film was directed by Paul Greengrass

@highlight

Critic gives it a grade of B+