LONDON, England (CNN) -- From "Gladiator" to "The Lion King", "Pirates of the Caribbean" to "The Simpsons," film composer Hans Zimmer's versatile and imaginative scores have added aural color, light and shade to the on-screen action.

Composer Hans Zimmer, interviewed by CNN's Screening Room

Nominated for an Oscar seven times (he won for 1995's "The Lion King"), Zimmer had just two weeks of formal music lessons as a child. He worked as an assistant to film composer Stanley Myers in London where he learnt "how to wrestle an orchestra to the ground" while making the coffee. That led to a job with Myers on Nic Roeg's epic "Eureka" -- and the rest is film history.

CNN's The Screening Room talked to him about the magic that music can bring to the movies.

.................................

CNN: What is the reality behind the glamour of working as a film composer?

Hans Zimmer: It's an industry that relies so heavily on the idea that I will wake up tomorrow morning with a great tune in my head. This usually doesn't happen, so it's a whole industry based on the fallacy that we, the filmmakers, will actually come up with some good ideas and meet our deadlines, when really we sit in our rooms by ourselves and knock our heads against the wall until something happens.

Most of my ideas are terrible and occasionally there's a glimmer of hope and a decent tune comes out; but to make a movie you have to rely very heavily on the creative input of everyone else. I love speaking with the editors, hanging out with the director and whoever. The movie shapes itself through these conversations.

CNN: Which comes first, the music or the film?

HZ: It changes all the time. You grab a fragment of something to start an idea with; tiny ideas. It's a complete hodgepodge of ways of sneaking up on the beast. For instance, on "Pirates 3," a lot of the music was written while Gore was shooting or before he went off shooting the movie. Finally, I moved the whole studio to Disney's cutting rooms because being in the same space as the movie makes a difference and part of what I should do is try to inspire the production.

With "The Simpsons," I thought, "Hang on a second, they've been around for years but none of the characters have any themes really." So I was just noodling around. I try to understand my characters. Why are they like this? And why would I find it even remotely compelling to watch a story about a weird character like this and what's funny about it? And after all this semi-intelligent talk it really comes down to flailing around and hoping that some of those notes make sense and that they can tell a story.

CNN: Your score for "Gladiator" really stands out. What inspired you on this film?

HZ: It started off with Ridley phoning me. He goes, "I'm going to be shooting this big battle scene south of London. Why don't you come over and we'll have a chat?" And I'm driving through this wood and I get to a dirt track; and it's a miserable day, only the way England in November can be.

Suddenly I'm in this Roman encampment with these beautiful tents and in the background there are guys just killing each other with swords in the mud. It's a big battle scene and it's grubby as hell, but Ridley and I are having this meeting in the Marcus Aurelius tent set and he's got this beautiful bed in there with a mink throw on top of it and it's all purple and red and silk and there are all these amazing marble busts.

I started thinking about antiquity and about going to Rome and seeing these fantastic artifacts which enrich our life nowadays, and how it was really all built on the blood and sweat of slaves. And I thought, "How benign, how wonderful. We see these sculptures and we forget how people have suffered for this." I thought, "I want to find the most benign, banal music and sort of savage it up and make it our battle music." I thought of Viennese waltzes. So all the battles are scored with these Viennese waltzes.

CNN: Is your relationship with the director the key to getting the score perfect?

HZ: Yes, there has to be an element of friendship and trust and at the same time an element of give and take. A director can be in control on pretty much everything: he can rewrite lines in the script; he can act a little for the actors; he can look into the camera and adjust all that. But when it comes to music, it's tricky territory: what's he going to say to me? C major to F major? That would be good here? It's meaningless, so the conversation becomes different. You want to take their vision, whatever it is, beyond what he had.

CNN: How do you find sounds?

HZ: I go there. With Ridley's "Black Hawk Down," I sent Mark Stridenfeld, who's now composing Ridley's new film, out into the desert to these villages to see what they play. I told him, "See if you can buy any instruments or record some of the stuff." Mark came back with a plethora of weird instruments which we then had to wonder, 'Do you blow into this or do you hit it?' I've spent a lot of time going to Africa and recording indigenous instruments or choirs or whatever. Anything can become a musical sound. The wind on telegraph wires is a great sound; get it into your machine and play it and it becomes interesting.

CNN: Describe the moment of playing your first musical sketches to a director.

HZ: Terror. You can't defend it and it's very simple: however it lands, this thing that you have slaved over, if it doesn't resonate; if it doesn't communicate, you gotta start again. It's -- I'm hedging around having to say the sentence because it sounds pretentious -- you write stuff from your heart. When you play anything for anybody for the first time it's terrifying because you're letting them having a look at a very vulnerable part of you.

CNN: You have to be such a chameleon as a composer.

HZ: I love ducking and diving. I did "Black Rain" and "Driving Miss Daisy" in the same month. I finished "Pirates," had one day off and got into "The Simpsons" and it's a very different language. And I think that's what keeps it interesting; certainly for me.

CNN: Tell us a bit about the relationship between a movie score composer and a songwriter, for example Elton John in "The Lion King."

HZ: This was pretty early on in my career. I'm a huge Elton fan and always was. Elton had done these piano demos. I took the first one, 'Circle of Life,' and made up my mind there were two ways I could approach it: I could either be really respectful of Elton's notes and what he had done, and very slavishly try to orchestrate it, or I could try to make it my own, usurp it, throw my stuff at it and go crazy, which is pretty much what I did. Then they had to show it to Elton and I'm sitting next to him, pretty nervous -- and on the CD you get Elton's version and my version and you can see how radically different they are -- and the great thing about him is he's so secure in his artistry as a songwriter that he loved it. And it was the beginning of a very good friendship.

CNN: Are there particular challenges working on animated films as opposed to live action films?

HZ: With animated film you have to create the sonic world; there's nothing there. You get to color things in more and you're allowed to overreach yourself a little bit more and it's great fun.

CNN: You've also mentored a number of others. Why is that important for you?

HZ: When I first started working here I noticed there was the A-list and then no one else got to work, and the A-list was pretty small. The other thing that really bugged me was that people who had an enormous amount of talent didn't get to do these movies 'cause they couldn't get hold of the technology. And I thought 'hey I have a studio' and these are my friends. So I let them have access to the tools and let people hear their music; simple as that.

CNN: When do you think a score works best as opposed to a soundtrack of pre-existing songs?

HZ: It depends. "The Graduate" must be the best use of songs ever in a movie; it adds a layer to the movie you wouldn't ever get from a score. "The Mission Law," "Chariots of Fire," "Lawrence of Arabia" -- I can't imagine those movies would have worked as well with just a bunch of songs put into them. It doesn't matter how good they are. They serve different purposes. Songs come with baggage. A score usually doesn't -- a score is strictly for that moment in time.

CNN: What distinguishes a great score from a good score?

HZ: There are very few great scores. I can think of a handful: "Once upon a time in the West," Randy Newman's score for "Avalon," "Brazil," Michael Cayman's score; just using one song and creating a whole world out of it. "Lawrence of Arabia." The movie and the score are truly one and it gives you an incredibly complete experience. They are of a musical quality; they transcend background music. They have a point of view, they have a great tune attached to them and incredible craftsmanship. E-mail to a friend

@highlight

Hans Zimmer's scores include "The Lion King" and "The Simpsons Movie"

@highlight

Zimmer contrasted bloody battles with Viennese waltzes in "Gladiator"

@highlight

Zimmer says a great score is when "the music and the movie are truly one"