(CNN) -- Renewable energy is generating a lot of political heat. The bankruptcy of solar-panel manufacturer Solyndra, after a half billion dollar loan from the Federal government, has set off a hot debate on Capitol Hill. And a group of American-based solar companies are demanding 100% tariffs on imports of Chinese solar panels. They charge that China unfairly competes by subsidizing the Chinese industry, which Beijing resolutely denies.

All this, however, is occurring against a larger backdrop. Around the world renewable energy is going through a rebirth. It is becoming a big business. It is also becoming a more established part of the world's overall energy supply. Last year, $120 billion was spent to install renewable electricity generation worldwide. Yet it is still a relatively small business compared to the overall energy business, and one that still faces big challenges in getting to scale on a global basis.

The position of renewable energy is very different from where it was even a decade ago. The modern renewable industry -- wind, solar, and other forms of energy -- was born with a great deal of excitement in the 1970s and early 1980s. But the early hopes soon crashed on the harsh reality of lower energy prices and the fact that the technologies were still immature and not yet ready for primetime. The subsequent years were tough. For many people in the renewable business, the late 1980s and 1990s are remembered as the "valley of death" as the pioneers struggled to hang on, often by their fingernails.

But around the beginning of this century, several things came together to breathe new life into the field. Now, it was not only concerns about energy security and general environmental protection, which had stimulated the first boom. The rise of climate change as a central issue in energy policy drove governments to much more actively promote carbon-free electricity. The European Union's energy policy is now predicated on using renewables to reduce carbon dioxide emissions by 80% by 2050.

The other is the rapidly growing energy needs of emerging market countries such as China and India. They have turned to renewables as part of their future supply. As a senior official in Beijing told me, China used to regard the fierce winds in its northwest as a "natural disaster," but now they are prized as a "very precious resource." But it would be a mistake, as is sometimes said, to assume that China has embraced renewables as the only solution. In order to meet its rapidly growing needs for energy, China is pursuing all options -- oil and coal and natural gas and nuclear power, as well as renewables.

Over the last decade, growing support by governments for renewable energy has been critical to its development. Germany and Denmark took the lead in repowering renewables with a new system of electricity rates that blended the higher cost of renewable power into the overall price. As a result, consumers do not see the direct cost of the renewables when it comes time to pay their bills.

In the United States, both federal and state governments provide tax incentives and subsidies that have been critical in stimulating demand, with the aim of increasing output and reducing costs. Moreover, an increasing number of states now require that a certain percentage of electricity must be renewable -- the so-called "renewable portfolio standards."

The most aggressive of all is California, where about 15% of electricity today is renewable. Earlier this year, Gov. Jerry Brown signed a new law requiring that a third of California's electricity be renewable by 2020. This is considered extremely ambitious, especially given the state's difficult economic situation and a 12% unemployment rate.

Renewables need to overcome two big hurdles. One is that the sun does not shine all the time, and wind does not blow all the time. As the renewable share of electric power goes up, this "intermittency" will be a bigger concern. One solution is more use of natural gas as renewables' "partner" -- to generate electricity at those times when the sun and wind are off duty. Another -- the subject of much research -- is to find some way to store electricity in large scale. Success there would be a major breakthrough for renewable energy

The other challenge is costs. Renewables are carbon free. But, without direct incentives and subsidies, renewables are still generally more expensive than competing sources.

Technology also is critical. A "great bubbling" of innovation is at work all across the energy spectrum, conventional as well as alternatives. In the case of renewables, much of the focus is on cost reduction. And certainly the technological advance is evident. A wind turbine today is a far larger and more sophisticated machine than a wind turbine of the 1980s, and it may produce as much as a hundred times more electricity. The costs of solar energy continue to come down, and many of the new approaches under development and in the lab are aimed at further cost reductions.

To achieve big impact, however, renewables still need to establish that they are competitive at large scale. And they are not there yet. Indeed, they have run into an unexpected new challenge. This comes from the recent appearance of large volumes of low-cost natural gas, known as shale gas, which is extremely competitive as a fuel for electricity generation. That adds to the cost pressures on renewable energy.

In the first half of 2011, renewables constituted 9% of total U.S. energy. But over 80% of that renewable energy comes from three sources -- hydropower, which has been around a long time; wood, which has been around even longer; and biofuels, primarily ethanol in gasoline. Wind and solar are small, but they are growing. Wind today constitutes over 3% of U.S. electricity. Solar is much, much smaller.

As costs go down, more solar will come into use around the world. Solar panels will proliferate both on rooftops and in generating stations. As much as 6% of the capacity installed between now and 2025 could be solar. But, in total, because of the huge size of the global electric power industry, it would only constitute 1% of total electricity supply.

In other words, wind and solar have much ground to cover, and it will take time. But they have been growing fast, and in the past few years, wind has been one of the main choices of many utilities for new generation. Wind-generated electricity today in the United States is 20 times greater than it was a decade ago.

Overall, renewables are destined to grow. There will be cycles, and hills and valleys to cross -- but no more "valley of death." Renewable will be part of a growing global business that will be measured in hundreds of billions of dollars. But how big a role will they have in keeping on our lights and powering our computers and all the other proliferating gadgets on which we depend? That will be determined by a mix of government policy, technological advance, the world's energy needs -- and by sheer economics.

The opinions expressed in this commentary are solely those of Daniel Yergin.

@highlight

Daniel Yergin: Solyndra failure doesn't mean renewable energy is in trouble

@highlight

He says renewables have become big business because of demand, climate change

@highlight

Solar and wind are still negligible contributors, but they are destined to grow, he says

@highlight

Yergin: Renewables must overcome cost issues, problem of "intermittency"