Editor's note: Rudy Ruiz founded RedBrownandBlue.com, a site featuring multicultural political commentary. He is host of a nationally syndicated Spanish-language radio show and wrote a guide to success for immigrants ("¡Adelante!" published by Random House). He is co-founder and president of Interlex, an advocacy marketing agency based in San Antonio, Texas.

Rudy Ruiz says taxing fattening foods is a good way to combat the epidemic of obesity in America.

SAN ANTONIO, Texas (CNN) -- I recently accompanied my family to one of the top-selling movies in America, "Cloudy with a Chance of Meatballs."

All I could think of, aside from struggling ironically to keep my children from overindulging in junk food, was that members of Congress should watch the movie. It might inspire them to add an important dimension to health reform: smarter food policy.

In the movie, a town nearly dooms itself via gluttony. As hamburgers, steaks and ice cream rain down, residents feast euphorically, oblivious to their expanding waistlines -- until a child succumbs to a food coma.

The movie is a thinly veiled allegory for our nation's obesity epidemic. It serves up -- in digestible terms -- the dysfunctional relationship between government, industry and parents in engineering and promoting a glut of food that keeps dollars in our pockets and smiles on our faces in the short term, while rendering us dangerously unhealthy in the long term.

Beyond the movie magic, it's a sobering reality that two-thirds of Americans are afflicted by the obesity epidemic. Our bulging waistline correlates to our ballooning health care budget, accounting for $147 billion a year in medical bills, according to a study funded by the CDC Foundation and published this summer in the health policy journal Health Affairs.

Experts at Johns Hopkins call the trend "a public health crisis," projecting that by 2015, 75 percent of Americans will be overweight or obese. Shockingly, the Center for Children's Health Innovation reports that by the time kids enter kindergarten, over 26 percent are already overweight or obese.

As I surveyed the theater, those stats ceased to surprise. While my children drank water and nibbled on a negotiated ration of candy, their peers lurked beyond enormous buckets of popcorn and towering cups of soda balanced precariously on their laps.

Fast forward to my point. In improving America's health, are we missing a key plotline? Wouldn't the best way to control escalating health costs be to become healthier to begin with? Are rising costs driven not only by corporate greed, but also by self-destructive behavioral patterns?

If the government is serious about tackling our nation's health problems, then it should address food's role in the looming crisis.

To Congress' credit, proposed reforms emphasize increased prevention. But if socioeconomic incentives to consume harmful food persist, unhealthy patient behavior will prevail at monstrous cost to all of us.

The affordability of unhealthy food is at the congested heart of the matter. According to TIME magazine, the largesse of taxpayers enables McDonald's to offer a Big Mac, fries and a Coke for under $5. Our tax dollars underwrite Agriculture Department subsidies to corn farmers.

Cheap, abundant corn enables mass production of economical, aggressively marketed beef and pork. The corn syrup that sweetens soft drinks and candy oozes from the same source. That's why it's so cheap to be fat and -- comparatively -- so expensive to be thin.

In response, a comprehensive preventive health strategy should:

• Shift subsidies away from corn toward the production of fresh fruits and vegetables as well as organic farming, so healthier, more natural foods become as accessible as Happy Meals.

• Tax fast food, soft drinks, and packaged foods high in processed fats and sugars to decrease demand for unhealthy food. A study published recently in the New England Journal of Medicine recommends a tax on "sugar-sweetened beverages," projecting that for every 10 percent rise in price, consumption of soft drinks would decline a corresponding 8 to 10 percent, leading to weight loss and reduced health risks.

• Regulate youth nutrition marketing, preventing paradoxes like the teaming of "Cloudy with a Chance of Meatballs" -- despite its well-intentioned message -- with Burger King for a promotion heavily advertised on children's TV.

While some will argue that more taxes and regulations are the last things we need and that the government has no place telling people what to consume, precedent exists for both.

We already tax and regulate other harmful products -- like tobacco and alcohol -- because it's common sense to dissuade individuals from nasty habits that cost our entire society. Plus, tax proceeds would help underwrite health reforms and preventive education.

And since the government's current subsidy system enabled our transformation into an obese nation in the first place, why shouldn't the government implement a corrective course of action encouraging families onto a healthier track?

I hate to spoil the movie, but in the end, the endangered town didn't solve its problems by building more hospitals and paying doctors and insurance companies to treat and cover those who overate or were flattened by mammoth meatballs. Instead, the townspeople simply destroyed the machine drowning them in supersized food.

Likewise, Congress must rage against the machines not only of the health care industry tasked with healing us, but also of the food industry making us sick.

Drawing inspiration at the movies, they might even find that in the dark sanctum of the theater, it's easier to reach across the aisle, hold hands, and craft a happy ending that leaves America clamoring for a sequel.

The opinions expressed in this commentary are solely those of Rudy Ruiz.

@highlight

Rudy Ruiz:  America's obesity epidemic costs the nation billions

@highlight

He says taxing unhealthy food is one way to combat spread of obesity

@highlight

He says government subsidies make unhealthy food more affordable

@highlight

Ruiz: A study predicts 75 percent of Americans will be overweight by 2015