Hong Kong (CNN) -- The international community is now waiting for confirmation from the United States and South Korea on whether a seismic disturbance in North Korea Tuesday is in fact the hermit regime's third underground nuclear test.

The area of the disturbance is near the area of North Korea's two previous nuclear tests. The epicenter of the magnitude 4.9 event has little to no history of earthquakes, according to the U.S. Geological Survey.

If confirmed as a North Korean nuclear explosion, the event would closely follow a controversial rocket launch from December which marked a milestone in the pariah state's rocket program. The United States and many other countries believe it is a cover for the testing of ballistic missile technology.

Late 1970s

With Chinese technical assistance, North Korea begins working on the development of short-range ballistic missiles based on Soviet Scud technology, which is itself derived from Germany's V-2 rocket.

1980-84

Work starts on the development of the North's own version of the Scud-B missile system, thought to be designated the Hwasong-5. Successfully test launches several prototypes with a range of around 300km.

1985-87

Deployment of Hwasong-5 begins, followed by the longer range Hwasong-6 (500km), which gives Pyongyang the ability to hit targets deep into South Korea.

1987-95

Begins development of No-dong missiles, a "scaled up" version of the Scud with a range of 1,000-1,300km and much larger payload, allowing it to reach Japan and Taiwan.

A No-dong is successfully tested from the Musudan-ri launch site, traveling 500km before plunging into the Sea of Japan (East Sea). Though the project is beset by technical problems -- the missile's targeting system was inaccurate -- the No-dong arouses particular concern because it could potentially carry a nuclear warhead. North Korea has long been suspected of developing its own nuclear weapons program.

Late 1990s

Pyongyang introduces the Taepo-dong-1 and 2 -- both multi-stage missiles that give them a much longer range. A Taepo-dong-1 is test-fired in August 1998 -- reportedly overflying northern Japan -- in an apparent attempt to deploy a satellite in space. Though the mission fails, the first two stages of the three-stage rocket separate successfully and travel for almost 1,700km.

May 1999

Former Defense Secretary William Perry visits North Korea and delivers a U.S. disarmament proposal.

September 1999

North Korea pledges to freeze long-range missile tests. U.S. President Bill Clinton eases economic sanctions against North Korea just days later. A U.S.-led international consortium also agrees to sign a $4.6 billion contract to build two nuclear reactors in North Korea.

June 2001

Unhappy with the progress on its promised power plants, North Korea threatens to restart its nuclear weapons program. It says it will start testing missiles again unless normalized relations are resumed with the U.S.

July 2001

U.S. State Department reports North Korea is going ahead with development of its long-range missile. A Bush administration official says North Korea has conducted an engine test of the Taepo-dong-1 missile.

December 2001

President George W. Bush warns Iraq and North Korea that they would be "held accountable" if they developed weapons of mass destruction "that will be used to terrorize nations."

January 2002

Bush labels North Korea, Iran and Iraq an "axis of evil" in his State of the Union address. "By seeking weapons of mass destruction, these regimes pose a grave and growing danger," he says.

2003

North Korea withdraws from the Nuclear Non-Proliferation Treaty, an agreement that was signed by most of the world's countries to prevent the spread of nuclear weapons. It reactivates its nuclear power facilities and begins test-firing missiles. In April that year, Pyongyang declares that it is a nuclear power.

July 2006

North Korea test-fires six missiles, including a long-range Taepo-dong-2 rocket believed capable of reaching western United States. The rocket fails after 40 seconds, but U.S. denounces tests as "provocative."

October 2006

North Korea claims to have successfully tested a nuclear weapon at an underground facility in Hwaderi. Days later, the test would be confirmed by the outside world.

Responding to the test, the U.N. Security Council approves a resolution to impose sanctions against North Korea and require an end to nuclear and ballistic missile tests. North Korea rejects the resolution and walks out of the Security Council chamber.

February 2007

North Korea agrees to take first steps toward nuclear disarmament and shut down its main reactor within 60 days before eventually dismantling its atomic weapons program after six-party talks in Beijing.

September 2007

In an agreement signed at the six-party talks in Beijing, North Korea agrees to begin disabling its nuclear weapons facilities and allow a U.S. team, including technical experts, to take the lead in doing so.

August 2008

North Korea declares it has stopped disabling its nuclear plants and will consider restoring them since the U.S. has not removed it from a list of states that sponsor terrorism.

October 2008

U.S. removes North Korea from list of states that sponsor terrorism.

April 2009

North Korea initiates what it calls a peaceful launch of a satellite, but the U.S. State Department declares it a "provocative act in violation" of a 2006 Security Council resolution prohibiting North Korea from conducting ballistic missile launches. North Korea says any sanctions or pressure applied against it following its recent rocket launch would be considered a "declaration of war."

May 2009

A second underground nuclear test is conducted in May that year.

March 2012

North Korea declares it will launch a long-range rocket in April to deploy a satellite into orbit.

April 2012

Defying warnings from the international community, North Korea launches a long-range rocket. However it breaks apart before escaping the earth's atmosphere and falls into the sea.

In an unusual admission of failure, North Korean state media announces that the rocket had not managed to put the observation satellite into orbit.

December 2012

Pyongyang announces plans to launch another rocket in a fresh attempt to send a satellite into orbit.

Just two days after announcing that the launch window would be extended due to technical issues, a long-range rocket lifts off from a launch site on the west coast of North Korea. Amid a chorus of international criticism, Pyongyang declares the mission a success and says a satellite was sent into orbit.

January 2013

A U.N. Security Council resolution submitted by the United States condemns December's rocket launch and expands existing sanctions.

In response, North Korea issues a statement saying that it plans to carry out a new nuclear test and more long-range rocket launches, all of which it said are a part of a new phase of confrontation with the United States.

February 2013

North Korea appeared to have conducted its third underground nuclear bomb test February 12, as the U.S. Geological Survey reported a seismic disturbance centered near the site of the secretive regime's two previous nuclear tests.

The area around the reported epicenter of the magnitude 4.9 disturbance has little or no history of earthquakes or natural seismic hazards, according to U.S. Geological Survey maps.

"It's a nuclear test," said Jeffrey Lewis, director of the East Asia Nonproliferation Program at the James Martin Center for Nonproliferation Studies at the Monterey Institute of International Studies. "That magnitude and that location -- it's awfully unlikely it's anything else."

The reclusive, Stalinist state announced last month that it planned a new nuclear test and more long-range rocket launches, all of which it said were part of a new phase of confrontation with the United States.

@highlight

North Korea appears to have conducted third underground nuclear bomb test

@highlight

U.S. Geological Survey reported seismic activity near site of two previous nuclear tests

@highlight

Area around magnitude 4.9 disturbance has little history of earthquakes, says USGS

@highlight

"It's a nuclear test," says Jeffrey Lewis of Monterey Institute