(CNN) -- Having just quit a highly lucrative job with tech giant Microsoft in the United States, where he'd made millions working as a program manager, Patrick Awuah would wake up once in a while wondering if he'd done the right thing.

"And then I read the words of Goethe," remembers Awuah: "Whatever you can do or dream you can, begin it. Boldness has genius, power and magic in it -- begin it now."

What Awuah wanted to begin was to create a university in his native Ghana, a state-of-the-art education hub that would help educate the country's next generation of leaders.

Inspired by the saying of the famous German writer, Awuah moved with his family back to Ghana. There, he invested his own money and with the help of other donors he founded Ashesi University.

"Africa needs to have a renaissance," says Awuah, as he explains what drove him to take the risky decision.

"The world needs to change in this way and I strongly believe that people like me who have had the privilege of a great education need to be part of the solution; that I need to be really actively involved in helping to drive this change in Africa so that 30, 50 years from now, the world will be a different place for all people of African descent in the world."

Fostering leaders

Located about an hour's drive from the capital Accra, Ashesi, which appropriately translates to "beginning," is the first Ghanaian university to combine technical majors with a liberal arts approach.

Its vibrant campus, set on 100 acres in a town called Berekuso, was designed to be inspiring for the more than 500 young Ghanaians studying there.

Read this: Building a network of leaders

And while Ashesi has already come a long way -- when the school first opened in 2002 there was no campus, just a couple of rented buildings for its 30 students -- Awuah plans to expand his offering as part of his dream of finding and developing Africa's next problem solvers.

"In this country, only 5% of college-age kids go to college," he says. "And there's two problems with that number: one is it's too small, but the second is that everyone who goes to college by definition is going to be running this country one day, the 5% -- they're going to be running the courts, they're going to be designing roads and buildings and infrastructure, they're going to be running the hospitals, the schools, the businesses.

"So when I look at universities I see Africa fast-forward 30 years. When this 20-year-old is now in his or her 50s, that person is going to be a leader. And so I felt that engaging how that leadership, that future leadership core, is educated could be catalytic."

Tough decisions

Awuah, who grew up in Accra, left Ghana in 1985 to pursue his own education in the United States. There, he got a job at Microsoft, spearheading software design for dial-up internet access, making millions in the process.

He admits that quitting Microsoft was not an easy decision and credits his American wife for supporting him.

"I won't lie to you -- it was tough," says Awuah. "But I can tell you that when I mentioned this idea to my wife, she immediately agreed," he adds. "She'd never been to Africa before she met me and part of her conviction that this sounded like a good idea and her willingness to go ahead with it was very encouraging."

Read this: South Africa's outspoken educator

Committed to providing greater education opportunities in Ghana, he went back to school himself, earning a Master's degree at Berkeley, one of the world's top business schools. For his efforts, he's won many awards.

Changing the continent

Today Ashesi, which celebrates its 10th anniversary this year, offers degrees in business, information systems and computer science, with plans to offer engineering and economics majors in the near future. Its graduation rate is between 70 and 90%, according to Awuah.

Total fees costs $9,000 a year, including tuition, housing and meals. Awuah says the university brings together a diverse mix of students from different backgrounds, including scholarship-winning undergraduates from humble beginnings who are the first in their families to attend college.

Read this: Young innovators can change how world sees Africa

"Our last freshman class, 50% of that class paid full tuition, 25% were on full scholarships and 25% on partial scholarships," he says."The reason why diversity's so important is that the most important conversation on campus is a conversation about the good society -- what is the good society we would like to see in Africa?' That conversation is a lot more interesting if you have diversity in the classroom," adds Awuah.

"Because each person has an important perspective to share, but each person also has certain blinders that need to be peeled away -- that can be peeled away if they're in a room with others who have other perspectives as they do."

Looking ahead, Awuah says he hopes Africa's universities will cultivate a new generation of bold and innovative leaders, helping the continent to transform itself.

"If you come back in 30 years, universities will be competing for the best and brightest students," he says. "I hope that universities will also be competing on things such as whose students are the most ethical," he adds." If that happens, it will change the continent."

@highlight

Patrick Awuah is the founder of Ashesi University in Ghana

@highlight

He was working for Microsoft and made millions in the United States before returning to his home country

@highlight

Ashesi is known for its high-tech facilities and emphasis on business, technology and leadership

@highlight

The school celebrates its 10th anniversary this year