Charlotte (CNN) -- Four years later, consider the role reversal: As he closes his convention, Barack Obama's greatest challenge is to make the case against change.

Yet he can't ask the American people to simply stay the course.

The challenge, both daunting and delicate, is to make the case that his first-term policies were correct but that the second-term results will be dramatically different.

Veteran Democratic pollster Peter Hart says the president's challenge is to provide a clear and credible answer to this: "Why will you be better off in the second term?"

And Hart argues that the stakes, already high, are higher still now because of the strong prime-time performances of first lady Michelle Obama and former President Bill Clinton.

"This convention is now a home run derby," Hart said.

Four years ago in Denver, Sen. Barack Obama sold himself as the candidate of hope and change, presenting himself as a different brand of politician, someone who would change Washington -- and the economy -- for the better.

Obama to speak after forceful Clinton endorsement

But if Washington has changed at all, it is for the worse. And while both sides can find statistics that support their arguments on the state of the economy, it is clear that many Americans at best feel they are treading water.

So the tone is very different in Charlotte than in Denver. So is the targeting. Four years ago, the goal was to expand the map, and the Obama campaign ultimately succeeded.

This year, the path to 270 Electoral College votes and victory is less certain, though the president does have more viable options than does GOP nominee Mitt Romney.

Still, because of the changed climate, the Obama acceptance speech will close a Democratic convention that for the most part has been a giant get-out-the-vote rally, speakers chosen because of their appeal to specific constituencies (African-Americans, Latinos, suburban women, gays and lesbians) or major battleground states.

The most sustained appeal to undecided or independent voters was Wednesday's prime-time dissertation by Clinton.

Speaking to supporters Thursday morning, the president talked broadly about his test of convention success.

"Hopefully, at the end of this convention, people will say we accomplished what we needed to and delivered our vision for the country and offered a clear contrast to what people saw in Tampa," the president said.

Obama readies two-term pitch

While Charlotte has had plenty of contrast with the GOP convention in Tampa, there has been virtually no specific talk of the president's policy goals for the next four years. Will he, like Romney, offer a specific jobs target? Will he offer a new deficit reduction goal? Venture into goals or timetables for immigration reform?

How the president packages his pitch also could be defining.

For Ronald Reagan, the second term was wrapped as "Morning in America." Clinton's 1996 bid for a second term was sold as his "Bridge to the 21st Century."

Thursday night, Obama's challenge is to sell his road map.

And beyond the need to lay out a second-term policy agenda, some other Obama challenges are obvious.

Voters, albeit by a narrow margin, view Romney as better able to manage the economy. And while Obama leads when voters are asked which candidate best understands the middle class, the latest CNN/ORC International polling showed that Romney significantly narrowed that gap as a result of the Republican convention.

The president's top political advisers see discouragement as their greatest potential enemy. Proof of this is in a look at recent national polling: The president's numbers among registered voters are stronger than his numbers among likely voters, meaning a fair share of potential Obama voters aren't as engaged or interested this time around.

First lady seeks to reignite flame for president

Again, that is the strategy behind the convention agenda: careful targeting of the different pieces of the Obama 2008 coalition.

But for all the help he is getting from his friends, it is up to Obama himself to close the deal.

Now, the role of one speech should not be overstated. Just hours after the convention closes, the government will release August jobs data -- and that data could significantly shape morning-after reflections on the president's big moment.

Plus, there are two months of campaigning and three presidential debates ahead, so this isn't his last chance.

But it's a giant opportunity, his unfiltered chance to make the case against change.

@highlight

Stakes for Obama's speech are higher after two prime-time performances

@highlight

Democratic pollster: "This convention is now a home run derby"

@highlight

Targeting in Charlotte differs from the messaging in Denver four years ago

@highlight

Thursday night, Obama's challenge is to sell his road map