Washington (CNN) -- Think of President Barack Obama's pivot from last week's anemic job growth numbers to Monday's populist call to lower taxes for the middle class as the political equivalent of shifting an awkward dinner party conversation to a rousing comment about the home team's last game.

The president spoke from the East Room on Monday surrounded by a group of middle-class families standing in rapt attention as Obama spoke of "rebuilding an economy where work pays off."

Later in the day, the president was to echo his call to extend the Bush-era cuts to those making less than $250,000 a year during interviews with local and regional television stations and at a pair of campaign events.

"Right now our top priority has to be giving middle-class families ... security they deserve," Obama said Monday to applause.

It was a decidedly more upbeat tone than on Friday, when the president was hammered over a relatively stagnant job growth rate and an unemployment rate of 8.2%.

"Obama is saying consciously, 'I'm going to change the direction of what I'm talking about. Really, here is my strongest argument -- I want people to hear that,'" said Robert Lehrman, who was a speechwriter for dozens of Democratic political figures including Vice President Al Gore and is author of "The Political Speechwriter's Companion."

Obama has hit the message reset button before during this campaign cycle.

Attention was diverted from a month of dismal economic news in June when he announced a temporary halt to deportation of certain young undocumented immigrants. The move knocked GOP strategists back on their heels and they scrambled to respond.

But it's a tactic with mixed results.

Republicans immediately pounced on the president's call on Congress to extend the Bush-era tax cuts for those making less than $250,000 a year, describing it as "desperate." Congressional Republicans pointed out that the president's call for the tax cuts extension is not new and accused the president of trying to steer the narrative away from last week's dismal jobs news.

There was no mention of Monday's event on the president's week-ahead schedule update on Friday, and the Obama campaign spent the weekend pounding Republican presidential candidate Mitt Romney on his overseas accounts.

Romney's campaign also questioned the president's timing, which was coupled with the release of an ad in key states attacking the presumptive GOP nominee's stance on abortion.

"It's no coincidence that a day after a disastrous jobs report, the Obama campaign drops viciously negative and false ads against Gov. Romney, desperate to change the subject," spokeswoman Amanda Henneberg told FoxNews.com. "The economy has gone negative on President Obama, so he has decided to go negative on Mitt Romney."

Both Obama and Romney have had hits and misses when it comes to trying to change the subject, said Julian Zelizer, a CNN contributor and history and public affairs professor at Princeton University, who has written books on former presidents George W. Bush, Ronald Reagan and Jimmy Carter.

"I don't think Romney is very good at it. He's best when he focuses on one topic -- the economy. (On that issue) he's extremely disciplined and extremely focused," Zelizer said. "Obama is OK, but he hasn't been successful at it. He has a lot of skills, but he doesn't have the ability of Clinton or Reagan to change the topic."

"There are subtle ways to (change the subject)," Zelizer said. "The most famous in that style was Ronald Reagan -- Jimmy Carter would be talking and he would say, 'There you go again.'"

And sometimes, politicians just goof.

Last month, Obama said the private sector was "doing fine" compared to the public sector, comments he later tried to walk back.

"When Obama did that private sector ad lib I'm sure right after he just about bit his tongue off," Lehrman said. "Or Romney with saying, 'I like being able to fire people.'"

But Romney held his own during last month's interview with Bob Schieffer on CBS's "Face the Nation" which touched on immigration, Lehrman said.

"I think in that exchange he was pervasive and skillful. ... You have to think not just how could he steer the conversation but what bad things did he avoid," Lehrman said, adding that the thorny issue of immigration was full of potential pitfalls that could have come back to haunt Romney.

"Contrast Romney, who is skillful, with (Rep. Michele Bachmann)," Lehrman said, critiquing the two politicians' communication styles. "... She kept reflexively going home to the statement she wanted to make. It looked like she had no ability to think on her feet."

Obama was able to successfully change the broader political conversation when he pushed for health care reform at a time when tempers flared over a bailout of many of the nation's largest banks.

The health care debate consumed public attention for more than a year, Zelizer pointed out.

"A president can do that, for example, because that's the bully pulpit. ... The most dramatic way is to start a new legislative initiative in the middle of the campaign. ... It can look like when Clinton was being impeached and all of a sudden he's bombing Iraq."

But most importantly, candidates can change the subject by offering something substantive, political experts say. To that end, Romney can recapture the conversation if he can shake criticism that he has no alternative plans to offer other than attacking Obama.

"Romney needs to say 'Here's a package or program to consider,'" Zelizer said.

@highlight

President Obama's call for a tax cut for middle class changed dialogue on economy

@highlight

Obama and Romney have had hits and misses when switching political messages

@highlight

Political experts say offering substance over style always best when switching messages