(CNN) -- The world now knows that the remains of Richard III -- the final Plantagenet king of England who fell at the Battle of Bosworth in 1485 -- were under a parking lot. By most accounts, the dead monarch's corpse was unceremoniously carried back to nearby Leicester and buried at the church of the Greyfriars, where it was lost for more than 500 years.

The odds that archaeologists might recover Richard III's remains more than a half millennium later were exceptionally slim. After DNA testing and further analysis, the University of Leicester Archaeological Services was able to confirm beyond a reasonable doubt that the skeleton indeed was that of Richard III.

Archaeologists rarely search for individuals, let alone lost monarchs, and the Leicester excavation was focused on analyzing the medieval friary at which Richard III was rumored to be buried. Nevertheless, archaeologists share the popular curiosity about famous personalities and the larger stories their lives and mortal remains might tell.

If we are excavating missing people from Richard III's past, then we should start with the remains of the so-called "Princes in the Tower" -- that is, his nephews Edward V and Richard of Shrewsbury.

Richard III: Is this the face that launched 1,000 myths?

The princes were held in the Tower of London and likely murdered around 1483 at Richard III's command. Their rumored remains now rest under Westminster Abbey, and a survey of the remains in 1933 found two youth's partial skeletons with a random mix of animal bones. DNA analysis alone is not enough to seal this case, however, and any conclusion would neither incriminate Richard III nor prove his innocence, so such a study would mostly be a public curiosity.

Amelia Earhart's plane went down in the Pacific in 1937, unleashing decades of curiosity about the fate of Earhart and her navigator, Fred Noonan. Earhart has long been viewed as a symbol of bravery and feminism, and after intensive but unsuccessful efforts to locate her in 1937, the International Group for Historic Aircraft Recovery attempted to find Earhart in the late 1980s. Enlisting archaeologist Tom King, a shoe was recovered in a location with circumstantial evidence of Earhart's plane, but nothing substantial has turned up.

An interesting archaeological mystery is the disappearance of the Roanoke colony from contemporary North Carolina in 1587. An English crew left the Roanoke colony that August with plans to return the following year, but by the time the English returned in 1590, the settlement was empty. The missing colonists might have been wiped out by indigenous neighbors, captured by those neighbors or joined those native communities.

An archaeological investigation by East Carolina University recovered some 16th century material culture, including a ring linked to a colonist. But shoreline erosion removed much of the archaeological evidence associated with the colony. DNA testing has also been conducted with the argument that the colony became part of the neighboring indigenous groups. Nevertheless, there's been no satisfying evidence to resolve precisely what happened to the Roanoke colony.

Few historical figures inspire as much curiosity as Genghis Khan, the military leader and empire builder who unified the disparate groups scattered across present-day Mongolia. When he died in 1227, Genghis Khan was buried in an exceptionally well-concealed, unmarked tomb whose location had become a mystery a century later.

A 2003 study suggested that nearly 8% of the men living in the former Mongol Empire share a genetic lineage that was likely descended from Khan and his male relatives. Eight centuries later, Khan's lost tomb would shed light on the ritual practices associated with one of history's most powerful empires and its best-known leader.

As we continue to be captivated by the dramatic discovery of Richard III's remains, we should keep in mind that it's just one piece of material culture from a complex site that tells a story that will reach well beyond the mere hunt for a monarch's grave.

What the excavation reveals about medieval warfare, life among the wealthiest 15th century people and everyday life in a late medieval friary could be even more compelling.

The opinions expressed in this commentary are solely those of Paul R. Mullins.

@highlight

Paul Mullins: The odds of discovering Richard III's remains were exceptionally slim

@highlight

Mullins: Archaeologists rarely search for individuals, let alone lost monarchs

@highlight

He says that some personalities fascinate us, including Amelia Earhart, Genghis Khan

@highlight

Mullins: Big discoveries can give us compelling glimpses into past history and culture