WASHINGTON (CNN) -- A key House committee passed comprehensive health care reform legislation Friday, moving President Obama's domestic priority one step closer to congressional approval.

Speaker Nancy Pelosi says House Democrats will return to their districts ready to defend the bill.

The vote occurred as the House of Representatives adjourned for its August recess.

The 31-28 vote in the House Energy and Commerce Committee came after several days of intense and often contentious negotiations between Democratic House leaders and an influential group of fiscal conservatives in the party.

Three members of the Democrats' conservative Blue Dog caucus -- John Barrow of Georgia, Jim Matheson of Utah and Charlie Melancon of Louisiana -- voted against the bill, along with two other Democrats, Bart Stupak of Michigan and Rick Boucher of Virginia.

The committee's bill will now be merged with two separate versions passed by other House panels before being considered by the full chamber in September.

The prospects for health care reform in the full House, however, remain unclear.

Democrats remain deeply divided, with a number of liberals expressing strong opposition to concessions made to the party's so-called Blue Dog conservatives on the Energy and Commerce Committee.

The fate of health care reform also remains uncertain in the Senate, where the Finance Committee recently postponed its long-awaited vote on a bipartisan compromise plan until after the August recess.

The coming fights in both chambers serve as a backdrop for what is expected to be a month of furious campaigning for and against the bill as members of Congress meet with constituents back home over the break.

House Speaker Nancy Pelosi said Friday that House Democrats will return to their districts with talking points and memos to help them rebut opponents running "a shock and awe campaign ... to perpetuate the status quo."

"Facts mean nothing" to insurance industry executives and others opposed to change, she said. "Misrepresentation is the currency of their realm."

Pelosi did not indicate, however, how Democratic divisions in the House might be overcome when Congress returns in the fall.

On Thursday, 57 members of the House Progressive Caucus sent a letter to Pelosi and others complaining that the agreement with the Blue Dogs weakened language creating a government-funded health insurance option.

"Any bill that does not provide, at a minimum, for a public option with reimbursement rates based on Medicare rates -- not negotiated rates -- is unacceptable," the letter said.

The revised bill calls for the government-run public insurance option to be reimbursed on rates determined by negotiations with the insurance industry. The original version called for the same reimbursement rates as in the government's Medicare program for senior citizens.

The progressive Democrats also argued that cuts to the bill's overall price would shortchange subsidies meant to help low- and moderate-income Americans buy health insurance.

Some of those concerns were addressed Friday when the Energy and Commerce committee boosted funding for subsidies and added a provision empowering the federal government to directly negotiate prescription drug rates in the public plan.

The agreement with the Blue Dogs, estimated to lower the cost of the House plan by $100 billion over a decade, would also exempt businesses with payrolls below $500,000 from having to provide health coverage to employees.

"We can compromise no more," warned Rep. Lynn Woolsey, co-chair of the 81-member Progressive Caucus. "When leaders of the House meet ... to consider the three bills and produce a final one, we expect that it will retain a robust public option. If it doesn't, we will vote against it."

Opposition from progressive Democrats and some conservative House Democrats who want additional cost cuts could defeat the bill.

Pelosi admitted that she preferred the original bill, but noted that much of the new language matched a proposal supported by Sen. Edward Kennedy, D-Massachusetts, a longtime champion of health care reform who is revered by liberal Democrats.

She also pointed out that the bill could change when the House and Senate negotiate a final measure in coming months.

On the Senate side, key Republicans in the Finance Committee negotiations said Wednesday that they were unlikely to complete work on a compromise plan before the August break.

Sen. Charles Grassley of Iowa and Sen. Michael Enzi of Wyoming said too many issues remained unresolved to sign on to a deal by the time the Senate breaks for its recess on August 7.

On Thursday, Grassley said pressure from the White House and Democratic leaders to speed the process didn't help.

"It would be better for me to say that instead of saying there's no way we can cut a deal, there's no way we can get all the compromising that needs to be done by an artificial deadline of Friday of this week," Grassley said. "So we're going to continue to work together this week and next week. But we're getting close."

Democrats had hoped the Finance Committee could finish its work before the August break to show progress toward health legislation.

CNN's Craig Broffman and Deirdre Walsh contributed to this report.

@highlight

Bill passes 31-28 in House Energy and Commerce Committee before recess

@highlight

Bill calls for public reimbursement rates to be negotiated with insurance industry

@highlight

Some complain that concessions to conservative Blue Dogs weaken public option

@highlight

Bill will be merged with versions from two other panels before going to chamber