Washington (CNN) -- Congress delved Wednesday into the politically explosive issue of unmanned drone attacks, questioning the legality of operations increasingly used to combat al Qaeda and Taliban militants in countries such as Pakistan.

In the eight years of George W. Bush's presidency, unmanned aircraft -- or drones -- attacked militant targets 45 times.

Since President Obama took office, the numbers have risen sharply: 51 last year and 29 so far this year.

Most attacks have targeted suspected militant hideouts in Pakistan. While the United States is the only country in the region known to have the ability to launch missiles from drones -- which are controlled remotely -- U.S. officials normally do not comment on suspected drone strikes.

Based on a CNN count, all of the 29 drone strikes this year have hit locations in North Waziristan and South Waziristan, along the 1,500-mile porous border that Pakistan shares with Afghanistan.

Several top U.S. law professors debated the legality of the attacks in a hearing before the House Subcommittee on National Security and Foreign Affairs, the second such hearing held by the subcommittee within the past two months.

"The United States is committed to following international legal standards," said Rep. John Tierney, D-Massachusetts, the subcommittee's chairman. "Our interpretation of how these standards apply to the use of unmanned weapons systems will set an example for other nations to follow."

The four legal scholars invited to testify, however, offered sharply contrasting views of what constitutes an acceptable legal standard. The biggest controversy appeared to surround the legality of strikes conducted by CIA operatives, as opposed to strikes by the U.S. military.

"Only a combatant -- a lawful combatant -- may carry out the use of killing with combat drones," said Mary Ellen O'Connell, a professor from the University of Notre Dame law school.

"The CIA and civilian contractors have no right to do so. They do not wear uniforms, and they are not in the chain of command. And most importantly, they are not trained in the law of armed conflict."

O'Connell also said that "we know from empirical data ... that the use of major military force in counterterrorism operations has been counterproductive." The U.S. government, she said, should use force only "when we can accomplish more good than harm, and that is not the case with the use of drones in places like Pakistan, Yemen and Somalia."

David Glazier, a professor from Loyola law school in Los Angeles, California, defended the drone attacks on the grounds that there is "no dispute that we are in an armed conflict with al Qaeda and with the Taliban." That fact "allows the United States to call upon the full scope of authority which is provided by the law of war."

Glazier said there is "nothing within the law of war that prohibits the use of drones. In fact, the ability of the drones to engage in a higher level of precision and to discriminate more carefully between military and civilian targets than has existed in the past actually suggests that they're preferable to many older weapons."

He conceded, however, that there are legitimate concerns about the CIA's use of drones. CIA personnel are "clearly not lawful combatants, [and] if you are not a privileged combatant, you simply don't have immunity from domestic law for participating in hostilities."

Glazier warned that "any CIA personnel who participate in this armed conflict run the risk of being prosecuted under the national laws of the places where [the combat actions] take place." CIA personnel, he said, could be guilty of war crimes.

William Banks, the founding director of Syracuse University's Institute for National Security and Counterterrorism, said the U.S. government has engaged in targeted killings of individual combatants dating at least back to a 1916 border war with Mexican bandits.

Banks said the authors of the 1947 National Security Act, which traditionally gives the CIA much of its legal authority, probably didn't contemplate the targeted killings tied to drone attacks. But the statute, he said, was "designed as dynamic authority to be shaped by practice and by necessity."

"The intelligence laws permit the president broad discretion to utilize the nation's intelligence agencies to carry out national security operations, implicitly including targeted killing," he said. U.S. laws "supply adequate -- albeit not well-articulated or understood -- legal authority for these drone strikes."

The American Civil Liberties Union sent a public letter to Obama on Wednesday that said the drone attacks are part of an illegal program authorized by the administration allowing suspected terrorists -- including Americans -- to be targeted and killed by U.S. operatives.

"The program you have reportedly endorsed is not simply illegal but also unwise, because how our country responds to the threat of terrorism will in large measure determine the rules that govern every nation's conduct in similar contexts," ACLU Executive Director Anthony Romero said.

"If the United States claims the authority to use lethal force against suspected enemies of the U.S. anywhere in the world -- using unmanned drones or other means -- then other countries will regard that conduct as justified. The prospect of foreign governments hunting and killing their enemies within our borders or those of our allies is abhorrent."

Peter Bergen, a fellow at the New America Foundation, a nonpartisan group, suggested that the increase in drone attacks during the Obama administration is, in part, revenge for the bombing of a CIA base in eastern Afghanistan that killed seven Americans on December 30, 2009.

"The people who died in this suicide attack were involved in targeting people on the other side of the border," he said earlier this year.

Long War Journal, an online publication that charts data for U.S. airstrikes against al Qaeda and the Taliban in Pakistan, says the air campaign "remains the cornerstone of the effort to root out and decapitate the senior leadership of al Qaeda, the Taliban, and other allied terror groups, and to disrupt both al Qaeda's global and local operations in Afghanistan and Pakistan."

Such attacks, which have taken a civilian toll in many cases, have frequently caused tension between Pakistan and the United States.

CNN's Alan Silverleib contributed to this report.

@highlight

NEW: ACLU calls drone attacks part of illegal program for U.S. to target, kill terror suspects

@highlight

Since President Obama took office, number of drone attacks has risen

@highlight

U.S. law professors debate legality of such attacks during a House subcommittee hearing

@highlight

Biggest controversy: legality of strikes conducted by CIA, as opposed to U.S. military