(CNN) -- If you're walking along the east African coast and chance upon a herd of brightly-striped elephants, flame-hued rhinos and a tower of crazily-colored giraffes, then don't panic, you're not hallucinating -- and neither have you stumbled on a psychedelic new species, sorry.

No, in fact this is the vibrant kingdom of skilful artisans where harmful waste is transformed into a colorful bliss -- one flip-flop at a time.

Ocean Sole is a Kenyan recycling company that's crafting whimsical pieces of art and fashion from discarded flip-flops and other plastic junk -- piles of rubbish that wash up on Kenya's sandy beaches.

Read this: Old boat sails turned into uplifting art

Inside its Nairobi-based workshop, reclaimed old sandals and other polluting pieces of rubber are fashioned into handmade animal toys, eye-popping curtains, intricate necklaces and even life-size sculptures. The playful creations are sold locally as well as in dozens of zoos, aquariums and stores in some 20 countries across the wold.

"It's a trade-based solution to the global problem of marine pollution," says Julie Church, the co-founder of Ocean Sole. "It gets people to think about the ocean and links them to waterways -- and we're doing it through business."

Environmental threat

Like in many other developing countries, flip-flops are the footwear of choice for millions of people in Kenya. Affordable and convenient, they are worn by both children and adults alike, as well as by scores of tourists visiting the white sand beaches in east Africa.

But once the sandals' walking life comes to an end, the ubiquitous footwear often embarks on another, more harmful, journey.

Masses of broken rubber flip-flops dumped in cities and villages are carried by sewage systems, rivers and other waterways into Kenyan coastlines every year. At the same time, countless of non-degradable flip-flops and other plastic waste ends up on the same shores, brought there by powerful currents from places as far away as China and Indonesia.

Read this: Artist's spectacular glasses 'give trash a second chance'

The flotsam and jetsam do not only spoil the natural beauty of the environment but are also a major hazard to the wildlife living there.

"Pollution in all our waterways is a big problem," says Church, who was born and raised in Kenya. "Rivers are clogged up with plastic and rubber and everything else," she adds. "When people say that the ocean is plastic soup, it really is, because plastic doesn't go away -- it just breaks down to smaller and smaller parts. Fish, whales, sharks are digesting that plastic and sooner or later that's going to work its way into our food chain."

Trade, not aid

The inspiration for Ocean Sole came in 1997 when Church, a marine conservationist at the time, started working in a sea turtle preservation project on the remote island of Kiwayu near the Kenya-Somalia border.

Whilst there, Church was shocked to find beautiful beaches strewn with a myriad of plastic objects that damaged the environment and obstructed the turtles from reaching their nesting sites.

But, with curious fascination, Church also watched how local children used this marine debris -- cast-off flip-flops and other junk they'd found by the sea -- to create their own toys to play with.

This triggered a thought on Church's mind: What if she could launch a project that would help clean the beaches and also boost development in the community? Inspired by the children's makeshift creations, Church then encouraged the local women to collect, wash and process the thrown-away flip-flops and transform them into colorful artefacts for a profit.

"We started a minor little program there," recalls Church, "with that sort of idea to link conservation and development together."

Transforming rubber, changing attitudes

What began as a part time initiative -- which was initially dubbed UniquEco -- has now been turned into a regular and growing business.

Ocean Sole, which provides direct employment today to more than 70 people, aims to recycle 400,000 flip-flops every year. It works with more than 10 suppliers who collect the raw material from waterways in and around Nairobi, as well as from the Kenyan coastline, and deliver it to the company's workshop.

Read this: Fishing craft to foosball tables, furniture to float your boat

There, Ocean Sole workers go through large bags full of broken flip-flops every day to select the ones they're going to use in their creations. The artisans then clean the rubber sandals and sort them according to their color. Next, they cut, mold and sand them as they turn the old flip-flops into their eye-catching creations.

"We are focused mainly on animals," says Church. "Our target markets are zoos, aquariums and museums worldwide -- we've done that because that's what we're good at making at the moment but we are exploring other products too."

Church says that Ocean Sole is for her "a means to an end," a more effective way to spread her green message than working as a marine conservationist.

"My goal is to create change in the way people live and change in the way people understand the world and its connections," she says.

"Certainly about the ocean, doing that through the business of recycling rubber that floats," she continues, "and doing it independently in a relative sustainable and grown up way where you have to have a market and a good product, you've got to be commercial," adds Church.

"I think only if we succeeded commercially we can really succeed in our goal which is to create attitudinal and lifestyle change."

READ THIS: Pizza maker 'gets Nairobi naked'

READ THIS: Teens turns $14 into paper bag empire

@highlight

Ocean Sole is a company turning broken flip-flops into colorful animal sculptures

@highlight

Masses of rubber sandals blight beaches and waterways, creating an eco-disaster

@highlight

Kenya-based Ocean Sole aims to recycle some 400,000 flip-flops every year

@highlight

The company sells its creations in zoos, aquariums and stores around the world