(CNN) -- Outside my window, the wind is starting to die down, although it still comes through in gusts, sending branches and debris tumbling down the deserted street outside. The power's been out since 4 a.m. Life has skidded to a slow crawl, with no data available on my smartphone and no Internet to tell me when the storm might subside.

It's just me inside my shelter, listening to the howl of the weather and racing to eat everything in the fridge before it spoils and has to be tossed into a garbage bag.

Some people in New Orleans party before a storm starts or even after it begins. Young voices hollered and whooped down the street last night, kids running through the rain with bottles in their hands. In the meantime, I stood on the porch as the wind started to pick up. Waiting.

Hurricane Isaac photos

Luckily, I made sure to charge up all my laptops before the power went out. In the dark, I sit in front of a rectangular glowing screen, a reminder that my separation from technology is only temporary until someone comes and repairs the lines. Soon, I'll be connected to the world again. For now, I send texts from time to time, just to make sure others are OK, to let them know I am thinking of them as we sit in the darkness listening to the world outside.

Some might describe the feeling that comes with waiting for a hurricane to arrive as fear, anxiety or anger. To me, it's not quite any of those things. It's closer to surrender.

Growing up, my grandmother told me stories of Hurricane Betsy that engraved themselves on my memory. In their home on Desire Street in the Ninth Ward, they stayed put when they heard that weather was coming, with none of the advanced ways to communicate about the threat of a storm that we have now.

New Orleans: The food that got them through

When Betsy hit in 1965, my grandmother watched as the floodwaters gushed from the floor furnace in the hallway of their home, spilling across the living room floor. I listened, frozen in awe, as she described to me those first moments of panic, how everyone stood there and watched it, the long seconds before my mother screamed with fear.

They made a mad scramble into the attic, listening to the wind batter the walls of the house as the water slowly rose up the stairs. When it drew too close, my uncle chopped a hole in the roof so they wouldn't drown. They used a bedsheet to tie themselves together so they wouldn't fall after they made their way out into the wind.

Luckily, right before they climbed out of the hole, the rain stopped.

I grew up not with a fear of hurricanes but rather a conviction that they had to be dealt with using a mix of careful planning and complete concession to the whims of nature. Those vivid images from my grandmother's stories never left me. She was a figure of courage to me, a devoted survivor.

A love letter to Louisiana

When Hurricane Katrina destroyed the home where my mother and grandmother raised me, we were lucky enough not to be in it. They were evacuated to the Hotel Intercontinental in the French Quarter and were there for days without power. Later, my mother described to me how the entire building shook from side to side while the winds tore through the city. She smiles now when she tells the story, because she knows how close it was, how fortunate they were to be airlifted out in the end.

I moved to Los Angeles not long after the storm, leaving New Orleans and my own flooded apartment behind me. The majority of what I owned was destroyed. Since I didn't have the capability to deal with what had happened, I chose to run in the other direction. But now I've returned.

My grandmother never sought help for her post-traumatic stress symptoms after Betsy. In a way, I couldn't blame her. It was unspoken between us, but I knew there was something about that kind of grief that was both a secret and a treasure. Admitting it meant admitting how much life had hurt you. It was easier to carry it silently.

As I watched Isaac draw up the mouth of the Mississippi River on the same August day that Katrina did seven years ago, I felt a sense of calm. I'm calm still as I sit in the dark, looking at the frayed electrical wires dangling from the poles outside the window. That's how a hurricane feels to me. It's coming face to face with something of great power, and knowing it's OK to be small and vulnerable in the face of it. From my parents' experiences, I know you can fight these things. I also know you can choose to accept them absolutely rather than struggle.

If Isaac had been a stronger storm, I would have left. After so many years of hurricanes, you start to develop the same feel for them that a farmer does when he licks a finger and sticks it in the air to find out which way the wind is blowing. Monday night, as I walked home, the breeze was gentle and lovely, like a missive sent in advance of Isaac's arrival. I'll be there soon, it said. But you'll withstand me.

Have you been through a natural disaster? Share what helped you weather the storm in the comments section below.

@highlight

Colette Bennett fled New Orleans after Hurricane Katrina destroyed her home

@highlight

Bennett returned and hunkered down as Hurricane Isaac passed through her hometown

@highlight

Her family has lived through several hurricanes and passed down the harrowing stories

@highlight

Surrender and preparation are the keys to weathering a hurricane, says Bennett