Tuesday marks the 40th anniversary of the Roe v. Wade Supreme Court decision. In a 7-2 ruling on January 22, 1973, the justices declared laws prohibiting abortion violated a woman's constitutional right to privacy. They also said states could regulate abortion procedures in the interest of a woman's health or in protecting a potential human life starting at the end of the pregnancy's first trimester.

Abortion was legal under common law in the United States leading up to the 19th century, says Leslie Reagan, professor of history and law at the University of Illinois and author of "When Abortion was a Crime." Early laws only prohibited the use of toxic substances to cause miscarriages after "quickening," or when a woman feels her child move -- usually four or five months into the pregnancy.

"That was the moral point where people understood there was a life," Reagan says.

Since then, the definition of life has been debated many times over, but Roe v. Wade remains the law of the land.

Opinion: Millennials have the power to protect Roe v. Wade

Learn more about the events leading up to this historic decision, and what's happened in the four decades since the ruling:

1821: Connecticut passes the first law in the United States to restrict abortion. It prohibits the use of a toxic substance to cause a miscarriage after "quickening." A number of other states follow.

1873: Anthony Comstock, head of the New York Society for the Suppression of Vice, lobbies to pass the Comstock Law, a federal law banning the selling or distributing of materials related to contraception and abortion.

1930s: The number of abortions increases significantly during the Great Depression. "The Depression years make vivid the relationship between economics and reproduction," Reagan writes. "Married women with children found it impossible to bear the expense of another, and unmarried women could not afford to marry."

The dangerous practice of unregulated abortions led to a high U.S. maternal mortality rate, Reagan says. In her book, she cites a study done in 1931 showing illegal procedures are responsible for 14% of maternal deaths.

1950s: Hospitals start to form "therapeutic abortion boards" to decide whether doctors can perform an abortion on a case-by-case basis, according to Reagan. Therapeutic abortions are allowed by law if the mother's life is in danger. Hospital restrictions generated resentment among physicians who felt "shackled" by the law, Reagan writes.

1955: Planned Parenthood organizes a conference, "Abortion in the United States," that includes testimony from sex researcher Alfred Kinsey, abortionist G. Lotrell Timanus and Planned Parenthod's then-medical director Mary Calderone. A record of the conference is published in 1958, launching a national discussion on reformed abortion laws.

1960s: Pat Maginnis founds the Society for Humane Abortion, later becoming one of the first people to publicly campaign for legalizing abortion. "They thought she was insane," Reagan says of Maginnis' fellow pro-choice advocates. "They're trying to start talking about reform... and having her out there was hurting them."

1962: Sherri Finkbine, an Arizona mother of four, travels to Sweden after a local hospital denies her request for a legal abortion. Finkbine had taken the drug thalidomide, which researchers linked to birth defects.

The hospital was initially going to perform the procedure but withdrew its offer after Finkbine told her story to the local newspaper in hopes of alerting mothers to the dangers of the drug. The resulting publicity threw her into the middle of a worldwide debate.

1969: A group of young women in Chicago starts "Jane," an underground system that helps women find safe and affordable illegal abortions. Eventually they learn to perform the procedures themselves, completing nearly 12,000 abortions from 1969 to 1973, according to a documentary about the group.

Two significant court cases -- People v. Belous and Doe v. Scott, which reached the Supreme Court in 1971 -- declare abortion laws unconstitutional. "That prompted people all over the place to start putting together cases... challenging state abortion laws," Reagan says.

1970: By the early 1970s, 20 states have passed abortion reform or repeal laws. Hawaii, Alaska, New York and Washington state have legalized abortion.

1972: The Supreme Court legalizes the use of birth control pills for all women, regardless of marital status. Before the decision, only married women were able to receive the pill through a doctor's prescription.

1973: The Supreme Court settles Roe v. Wade and Doe v. Bolton, declaring abortion a right-to-privacy issue and hospital therapeutic abortion boards unconstitutional.

"Though often overlooked since, (Bolton) was as important as Roe," Reagan writes. "The Court held in Doe v. Bolton that policies designed to restrict access to abortion ... violated the rights of women to health care and of physicians to practice."

1976: In Planned Parenthood of Central Missouri v. Danforth, the Supreme Court declares a statute that requires parental and spousal consent for abortions unconstitutional.

Congress enacts the Hyde Amendment for the first time, banning the use of federal funds for abortion except in cases of rape, incest or endangerment of the mother's life. This amendment has been attached to the congressional appropriations bill and approved by Congress every year since then.

1983: In Akron v. Akron Center for Reproductive Health, the Supreme Court declares unconstitutional an Ohio law that requires all abortions after the first trimester be performed at a hospital, a 24-hour waiting period and parental consent for girls younger than 15.

1989: The Supreme Court deals a blow to anti-abortion forces in Webster v. Reproductive Health Services by striking down a law that requires doctors to test the viability of the fetus before an performing any abortion. Three justices said they would allow restrictions on abortion but only if the restrictions had a rational basis.

1992: Supporters on either side of the abortion issue are left confused after the Supreme Court rules on Planned Parenthood of Southeastern Pennsylvania. v. Casey. The court says abortion regulations that present an "undue burden" on women's constitutional right will be prohibited; critics say "undue burden" is too vague.

1994: President Bill Clinton signs the Abortion-Clinic Protection Bill into law, which is designed to protect abortion clinics from attacks, blockades and acts of intimidation by pro-life protesters.

2000: The Food and Drug Administration approves the abortion pill RU-486. The drug enables a woman to terminate a pregnancy within seven weeks from her last menstrual period, without the need for a surgical abortion.

2003: President George W. Bush signs the "partial-birth abortion" bill, outlawing the procedure known as intact dilation and extraction (D&X). Federal judges quickly issue injunctions that temporarily nullify the law's effect for many abortion providers.

2004: About 800,000 demonstrators gather in Washington for the "March for Women's Lives," a protest against Bush's reproductive rights policies. This is the largest abortion-rights demonstration since a 1992 rally that drew at least 500,000 participants.

2007: The Supreme Court upholds the partial-birth abortion law 5-4 in the first federal restriction on a particular abortion method since Roe v. Wade.

In a bitter dissent read from the bench, Justice Ruth Bader Ginsburg says the majority's opinion "cannot be understood as anything other than an effort to chip away a right declared again and again by this court."

2009: President Barack Obama ends a ban on the use of U.S. foreign aid funds by international family planning programs that provided abortions or advice on obtaining one. The ban had first been instituted in 1984 by President Ronald Reagan.

George Tiller, a physician who performed late-term abortions, is shot and killed in Wichita, Kansas. Tiller, who had been subject to antiabortion protests and harassment for more than 20 years, was the first abortion provider killed since 1998.

2011: Voters in Mississippi reject the "personhood" amendment, which would have outlawed all forms of abortion, including for cases of rape, incest and life-threatening pregnancies.

Research from the Alan Guttmacher Institute finds the number of abortions is at its lowest level since Roe v. Wade, remaining steady at about 1.2 million reported procedures in 2011, down 25% since the all-time high in 1990.

2012: Susan G. Komen for the Cure announces it will cut off funding to affiliates of Planned Parenthood. The organization reverses the decision three days later amid a public outcry.

The Supreme Court upholds President Obama's Affordable Care Act, better known as Obamacare. Starting in 2014, the level of abortion coverage each woman will receive will depend on their state's policy, according to the Kaiser Family Foundation.

The ACA prohibits states from including abortion in any essential benefits package and no plan in an insurance exchange is required to offer abortion coverage. In addition, states can bar all plans participating in the exchanges from covering abortions.

Sources: "When Abortion Was A Crime," by Leslie Reagan; Kaiser Family Foundation; 4,000 Years For Choice; NPR; National Right to Life.

@highlight

Abortion was legal under common law leading up to the 19th century

@highlight

The first law was passed in 1821, banning use of toxic substances

@highlight

Several federal court decisions paved the way for Roe v. Wade