NEW YORK (CNN) -- He's only 5½ years old, and yet he's practically memorized the entire New York subway grid.

Gwenyth Jackaway started to wonder if Donor-X passed on a genetic component to her son, Dylan, who is autistic.

He reads at the fourth-grade level, plays two-handed piano compositions and is better versed than most adults about the Fibonacci code, a complex mathematics sequence.

Dylan loves Italian music and draws pictures that artist Jackson Pollock would be proud of.

He also happens to be autistic.

Gwenyth Jackaway, Dylan's mother, is a professor at New York's Fordham University. She's single but had always wanted to have a child. So she contacted California Cryobank, one of the largest sperm donor banks in the country.

Cryobank doesn't reveal the identities of donors but allows people to choose based on the traits they'd like their child to have. Jackaway decided on "Donor X" because he appeared philosophical and intelligent on paper. He liked music, loved to travel and had a high IQ and a degree in economics.

What she couldn't know then is that her son would have autism. So she started to wonder whether Donor X might carry a gene that could have contributed.  Dylan tells Randi Kaye how to take subway back to work »

The cause or causes of autism are not known and are hotly debated. Most experts believe that genetics are a component, making a child predisposed to autism or responsive to an environmental trigger.

"It's a combination of being genetically vulnerable and then having some kind of social or toxicant exposure that tips you over," according to Dr. Gary Goldstein of the Kennedy Krieger Institute.

Researchers have found some genetic areas associated with autism, but it could take years before the gene or genes that cause autism or contribute to it will be determined.

Until then, Geri Dawson, chief science officer for the Manhattan-based advocacy group Autism Speaks, says there's no way to screen for those genes and prevent them from being passed to a child.

"We wouldn't be able to screen a donor for autism because we don't yet know the specific genes that are contributing to autism," Dawson said. "But there is a lot of research going on, and I would say in the next five to 10 years, we will have identified between five and 10 genes that we know raise the risk for autism."

Once the autism gene or genes have been identified, it would theoretically be possible to screen for those genes, according to Dawson.

Jackaway says she went into a period of mourning when Dylan's autism was diagnosed at age 2.

"When you're handed a diagnosis of some sort of developmental disorder, you have to let go of the child you thought you were going to have," Jackaway said. "There's a sense of loss of the child, a grieving process. There's denial, there's rage, and then there's the tremendous sadness, and hopefully you get to a place of accepting."

Jackaway says she had to accept that "I don't have that child I thought I was going to have. But I have this child instead, who's right here in front of me."

Through a Web site called Donor Sibling Registry, she reached out to other women who used Donor X. She found six families who had used the same donor.

Two years ago, she visited Theresa Pergola in the New York area; she had given birth to triplets using sperm from Donor X. Just minutes into their meeting, Jackaway noticed Pergola's son, Joseph, 2, exhibiting some of the same behavior as her son.

"He was walking on his toes; he was flapping his hands. There seemed to be eye contact issues," recalled Jackaway, who immediately suggested screening Joseph for autism.

"She told me that she saw characteristics of autism, and it was very upsetting to me at that time," Pergola said. "I didn't know what to expect from that point on. I know I was scared, and she was there to let me know that it was going to be OK."

Pergola says she was afraid because she had an image of autism in her head and believed her son would be "in the corner and rocking and not talking."

She says Jackaway reassured her that wouldn't be the case.

One month later, a test confirmed what Pergola already knew: Joseph was autistic. The diagnosis brought her to tears, and now these two women whose sons share a father were immediately connected by another bond: autism.

"She was terribly upset," Jackaway remembered. "That moment is a terribly frightening moment. You get handed a diagnosis, and you get handed an entirely new future."

In six families Jackaway contacted that had used Donor X, three of the children are autistic, and one is showing signs of autism.

But would Jackaway be happier today if there had been a way to screen Donor X for an autism gene?

"I've done a lot of thinking about this, and to say yes to that is to say that I wish Dylan isn't Dylan," Jackaway said. "I love my son and everything about him, and that means loving his autism also. Loving your children means loving everything about them. Our children don't have autism; they are autistic. It's part of who they are."  There is currently no way to screen for autism, and in a statement, the company said in part:

"There is no current genetic test to detect autism. California Cryobank (CCB) employs one of the most thorough and rigorous donor screening processes in the industry, with less than 1% of all applicants actually becoming donors. The standard CCB procedure for screening donors involves extensive physical, genetic and health screening ..."

Since the discovery of autism in some of the families that used Donor X, Cryobank had this to say about his samples:

"... per CCB policy, the donor's samples were removed from the general catalog. These vials may only be sold to a client who has previously used specimens of this donor and is interested in ordering additional specimens. In this case the client is made aware of the new medical information and potential issues ..."

The families don't blame the sperm bank. In fact, Theresa Pergola says she's still uncertain about an autism screening process, if and when it ever becomes available.

"It can go either way, on the one hand it could be helpful so that people could make choices about what risks they want to take," says Pergola. "On the other hand it's like, what else are they going to screen for, you know? Are they going to screen for certain personality traits? It's hard to say. It's really hard to say." E-mail to a friend

@highlight

Gwenyth Jackaway never imagined donor could pass autism genetically to son

@highlight

Her son, Dylan, two other kids connected to Donor-X are autistic

@highlight

Expert says genetic component, environmental trigger linked to autism

@highlight

Since autism discovery, Donor X samples are no longer available for reproduction