(CNN) -- Iran has threatened that it will retaliate against the Obama administration's proposed new economic sanctions on Iran's oil exports by blocking the flow of oil from the Persian Gulf. "If sanctions are adopted against Iranian oil," said Iran's Vice President Mohammad Reza Rahimi, "not a drop of oil will pass through the Strait of Hormuz," the narrow waterway at the mouth of the Persian Gulf, which one-fifth of the world's oil supply passes through daily.

To drive the point home, Iran has started a 10-day naval exercise in the Persian Gulf to show off how it could use small speedboats and a barrage of missiles to combat America's naval armada. And the U.S. Navy has responded, in the words of a spokeswoman: "Anyone who threatens to disrupt freedom of navigation in an international strait is clearly outside the community of nations; any disruption will not be tolerated."

This is a significant escalation of tension between the United States and Iran, and the start of a more dangerous phase in the West's attempt to curtail Iran's nuclear program.

The new sanctions are a response to last month's alarming report on Iran's nuclear intentions by the United Nations nuclear watchdog agency, the International Atomic Energy Association. The Obama administration has ruled out military strikes to stop Iran's nuclear program in favor of tougher sanctions, which, once signed by the president, and if fully implemented, would sharply reduce Iran's oil revenue. The administration sees this added pressure on Iran's fragile economy as an effective alternative to military strikes.

If Iran's reaction is any indication, the administration is correct in its estimation. Sanctioning Iran's oil industry will cripple Iran's economy, and that in turn will threaten the stability of the clerical regime. It is for this reason that Iran is treating the proposed new sanctions as an act of war, and is issuing threats of its own to dissuade the United States from going through with the new sanctions.

The administration's strategy is based on the assumption that cutting Iran out of the oil market will not substantially impact world oil supply and prices. Saudi Arabia can step up production to cover the loss of Iran's export of 2 million barrels a day.

But it is not clear whether Saudi Arabia actually would increase production to compensate for the loss of Iranian oil. Iran has clearly started a charm offensive with Riyadh to influence the Saudi decision. Iran's intelligence minister recently visited Riyadh to reduce tensions between the two countries in the wake of the alleged Iranian plot to assassinate the Saudi ambassador to Washington, and the Iranian Navy has claimed that it rescued a Saudi ship from pirates.

In facing off against the U.S. and its European allies, Iran thinks it holds economic cards of its own and is announcing loud and clear that if push comes to shove, it intends to use them.

Iran notes that Western economies are under stress and predicts they could not afford higher oil prices. Even the threat of disruption in oil supply would send energy prices spiraling sky high, and that would plunge the already struggling economies of the United States and Europe into deeper recession. Iran is hoping to change the conversation in Western capitals from how tightly to squeeze Iran to what could be the cost of doing so.

Nor would economic woes caused by conflict in the Persian Gulf remain limited to the West. Persian Gulf exports already account for 60% of Asia's energy consumption. Economies from India to China would be impacted by a Persian Gulf oil cutoff and higher energy prices. Iran is in effect threatening global economic crisis.

Those advocating new sanctions on Iran's oil industry have said little about the potential cost to the global economy. The cutoff would also hurt Gulf Cooperation Council countries and could drag them into a conflict with Iran they have thus far avoided. Iran hopes its saber-rattling will persuade Asia's economic powerhouses and Persian Gulf emirates to pressure Washington to back away from the new sanctions.

War between the U.S. and Iran may very well start, not if and when Washington decides to strike against Iran's nuclear facilities, but because sanctions designed as the alternative to military action end up hastening its advent. That might prove to be the least desired outcome, for no better reason than the possibility that the first casualty of another war in the Middle East might very well be economic recovery in U.S. and Europe.

The opinions expressed in this commentary are solely those of Vali Nasr.

@highlight

Iran has threatened to block flow of oil through Strait of Hormuz if U.S. sanctions its oil

@highlight

U.S. Navy has warned that disruption in traffic will not be tolerated

@highlight

Vali Nasr says the sanctions designed to prevent war could wind up causing it

@highlight

He says the first casualty in a battle could be the world economy