(CNN) -- People along the Texas coast were leaving home or planning to evacuate Thursday as Hurricane Ike churned toward them, slowly intensifying on its march west.

Forecasters say the storm could slam into the Texas coast -- south of Galveston -- as a powerful Category 3 storm late Friday or early Saturday.

Mandatory and voluntary evacuations were planned or underway in at least seven coastal counties.

Aransas County, on the eastern coast of Texas, has ordered a mandatory evacuation of all nonessential government employees, becoming the latest county in the state to urge residents to flee.

In Galveston, city officials ordered mandatory evacuations for part of the island town beginning at 7 a.m. Thursday. The rest of the town will be under a voluntary evacuation order. Only residents will be required to evacuate on the western end of the island.

Mayor Lyda Ann Thomas defended that, saying current models call for Galveston to be hit with winds and rain only equivalent to a Category 1 hurricane.

"We do not intend to evacuate Galveston Island," she said. "It's the last thing we want to do. Our job is to protect lives and property, [and] right now we feel that sheltering in place is the best action for our citizens to take."

Farther up the Gulf Coast and closer to where the National Hurricane Center predicts a direct hit, Brazoria County ordered a mandatory evacuation to begin at 8 a.m. Thursday. Some other Texas localities have ordered mandatory evacuations, while others have left the decision to depart up to residents.

As of 5 a.m. ET Thursday, the Category 2 storm -- with top sustained winds near 100 mph -- was about  620 miles east of Brownsville, Texas, and about 285 miles southeast of the Mississippi River, the hurricane center said. Track the storm »

Hurricane-force winds extended out up to 115 miles from the storm's center, and tropical storm-force winds extended out up to 255 miles forecasters reported.

About 15,000 residents were leaving Galveston's Brazoria County Wednesday after a mandatory evacuation order was issued at 10 a.m. CT (11 a.m. ET) governing one ZIP code -- 77541 -- and residents throughout the county with special needs.

Galveston City Manager Steve LeBlanc issued a warning to residents of the city's West End, citing forecasters' estimates that the area could get tides of 6 feet above normal if the storm arrives there. The West End is the area of Galveston most susceptible to flooding, LeBlanc said.

Other Brazoria residents were being allowed to remain as of 6 p.m. ET.

In Matagorda County, southwest of Galveston, officials ordered a mandatory evacuation for all areas except the cities of Bay City and Van Vleck.

The evacuation must be completed by at 6 p.m. (7 p.m. ET) Thursday. Galveston is likely to experience a high tidal surge, officials said, urging people living in low-lying areas or mobile homes to get out soon.

"One of the things that the public has to understand if they decide to stay, there will be a period of time during this storm when they will absolutely be on their own," Brazoria County Sheriff Charles Wagner said.

"There will be no medical services; there will be no fire department; there will be no law enforcement, groceries, gasoline, drugs, electricity."

The center issued a tropical storm warning from the Mississippi River's mouth to Cameron, Louisiana, and a hurricane watch from Cameron to Port Mansfield, Texas, about 60 miles south of Brownsville. Tropical storm warnings mean winds of 39 to 73 mph (63 to 118 kmh) are expected within a day, and a hurricane watch means winds of 74 and higher are expected within 36 hours.

"Hurricane Ike is now in the Gulf of Mexico and making its approach toward our coast," Gov. Rick Perry said in a statement. "The next few days will be crucial for residents to follow the direction of local leaders and to take the necessary steps to protect themselves and their families."

Perry put 7,500 National Guard members on standby this week, his office said, and issued a disaster declaration for 88 counties.

About 1,350 buses, several ambulances and paramedic buses were available to support evacuations. The vehicles were positioned near Houston, Matagorda County, Nueces County and Victoria County, the governor's office said.

President Bush declared an emergency in the state, making federal funds available for the state to prepare for the storm.

Corpus Christi officials also began the evacuation process for residents with special needs, supplying buses to transport them out of town.

Voluntary evacuations were issued in San Patricio and Victoria counties and parts of Jackson County, according to the governor's office.

More than 1,300 inmates from the Texas Correctional Institutions Division's Stevenson Unit in Cuero were being evacuated to facilities in Beeville and Kenedy, Perry's office said, and 597 were transferred from the substance abuse Glossbrenner Unit in San Diego, in south Texas, to Dilley.

Naval air stations in Texas also began to prepare for Hurricane Ike's expected arrival. Naval Air Station Kingsville was to begin moving about 50 aircraft to El Paso, San Antonio and Fort Worth on Wednesday afternoon, the public affairs office there said. Naval Air Station Corpus Christi will also move about 75 aircraft to other Texas locations, its public affairs office said.

Evacuations appeared to have saved lives in Cuba when Ike slammed into the island. Four deaths were reported from the storm, according to the Cuban government. The Cuban Civil Defense brought buses or trucks to take people to shelters.  See the damage from the storm »

Cuban state television reported that two people were killed when they tried to remove an antenna, The Associated Press said. One man died when a tree crashed into his home, and a woman died when her home's roof collapsed, according to the AP.

The storm shredded hundreds of homes and caused some dilapidated buildings in Havana's older areas to collapse, the AP reported.  Watch as winds and waves pound Cuba »

The United States, which provided $100,000 in emergency aid to communist-run Cuba through private aid agencies after Hurricane Gustav hit the island August 30, said Tuesday that it was considering additional emergency aid for Cuba because of Ike.

Also, the United States said it will lift restrictions on cash and humanitarian assistance sent to Cuba for the next 90 days. The move will allow nongovernmental organizations to provide assistance and cash donations.

The storm pounded Grand Turk Island in the Turks and Caicos chain, putting a strain on the British territory's tourism industry.  Watch houses lie in heaps on Grand Turk »

Flooding and rains from Ike's outer bands have been blamed for 70 deaths in Haiti.  Watch the devastating aftermath »

CNN's Mike Mount contributed to this report.

Copyright 2008 CNN. All rights reserved.This material may not be published, broadcast, rewritten, or redistributed. Associated Press contributed to this report.

@highlight

NEW: Ike could swell to Category 3 when it hits Texas coast Saturday

@highlight

Mandatory evacuations ordered for residents with special needs in one county

@highlight

Hurricane-spawned tornado causes damage in Key Largo, Florida

@highlight

Texans in low-lying areas and mobiles homes urged to get out