(CNN) -- The surviving suspect in the Boston Marathon bombings has cited the U.S. wars in Afghanistan and Iraq as motivating factors behind last week's attack, a U.S. government official said Tuesday.

Dzhokhar Tsarnaev has been able to communicate with investigators in a limited fashion from his hospital bed and told them that neither he nor his brother Tamerlan, now dead, had any contact with terrorist groups overseas. The official cautioned that the interviews were preliminary, however, and that Tsarnaev's account needs to be checked out.

The 19-year-old has told investigators the brothers were self-radicalized via the Internet. Investigators also are looking into whether the online English-language magazine Inspire, put out by Al Qaeda in the Arabian Peninsula, was used for instruction on how to make the bombs, but another source cautioned that other outlets could have provided that information.

The twin blasts just before the finish line of the April 15 race killed three people and wounded more than 260 and turned a chunk of downtown Boston into a crime scene, disrupting the normal routines of countless others.

Authorities slowly began allowing residents and business owners back into the area Tuesday. There was no word on when the street where the bombings occurred will be fully open to the public. That, the city says, will depend on how quickly building owners can make repairs and other issues.

Business owner Ed Borash was among those who returned Tuesday. He said he and his son narrowly missed injury in the bombing.

"I've had a tough time," he said. "It's just one of those things. It's very emotional."

Helena Collins, a businesswoman in the area, said it was important to get up and running again, but not just for economic reasons.

"For us and our business, it's really about how do we get back to Boston, how do we band together, how do we help those that were seriously injured that are going to have lifelong struggles," she said.

As of Tuesday evening, 43 people injured in last week's attack remained hospitalized, one of whom is in critical condition, according to a CNN tally.

Meanwhile, two victims of the bombing were laid to rest.

Family members of 8-year-old Martin Richard held a private funeral Mass Tuesday, his parents said in a statement. A public memorial service is planned, they said.

"The outpouring of love and support over the last week has been tremendous," Denise and Bill Richard said in the statement. "We laid our son Martin to rest, and he is now at peace."

Family, friends and colleagues mourned slain Massachusetts Institute of Technology police Officer Sean Collier at a private memorial service in Stoneham, Massachusetts, CNN affiliate WHDH reported.

A memorial service open to law enforcement officers and the MIT community is scheduled for Wednesday on MIT's campus, the university said.

New details on officer's slaying

Collier was killed Thursday night, near the beginning of a wild 24 hours that culminated in Dzhokhar Tsarnaev's capture in the backyard of a home in Watertown, a Boston suburb. Authorities suspect Tsarnaev and his 26-year-old brother of killing the officer, though Dzhokhar Tsarnaev has not been charged in Collier's death.

According to a source with direct knowledge of the investigation, Collier didn't even have time to activate his emergency alert before being shot four or five times in the chest and head as he sat in his patrol car on the MIT campus.

It's not clear why the brothers allegedly ambushed the officer, the source said.

The source said investigators believe the Tsarnaevs then carjacked a black SUV, took the driver hostage and drove past the scene of the shooting before going to a gas station.

Carjacking victim tells his story

Investigators believe Tamerlan Tsarnaev carried out the car jacking while his younger brother was nearby at the time, a U.S. official told CNN Tuesday.

In an exclusive interview with CNN affiliate WMUR, a man identifying himself as the carjacking victim said he was worried for his life.

"They asked me where I'm from. I told them I'm Chinese," WMUR quoted the man as saying. "I was very scared. I asked them if they were going to hurt me. They said they won't hurt me. I was thinking, 'I think they will kill me later.' "

The man escaped when the brothers stopped to fill up the gas tank, running for his life as one of the brothers swore at him, WMUR reported.

Soon after, the brothers encountered police, setting off a furious gun battle in which authorities say they fired handguns and hurled explosives at pursuing officers before Tamerlan Tsarnaev was shot. As the younger brother fled in the vehicle, he apparently ran over Tamerlan, authorities said.

See first photos of the takedown

Suspect shopped at fireworks store

More than two months before the marathon bombings, Tamerlan Tsarnaev bought two reloadable mortar style fireworks a New Hampshire store.

On February 6, Tsarnaev had one question for a store assistant at Phantom Fireworks in Seabrook, New Hampshire: "What's the biggest and loudest thing you have?"

After that, store Vice President William Weimer said, Tsarnaev shelled out $200 cash for two "lock and load kits."

Weimer said such behavior is very common in the store. He said the store notified the FBI after discovering that the marathon bombing suspect had bought explosives there.

Law enforcement officials told CNN earlier Tuesday that the number of fireworks bought at the store was not enough to set off explosions the size of those at the Boston Marathon.

"My assumption is they bought this, experimented with it and decided against it and moved on and found another source," Weimer said.

Details emerge about boat, standoff

Tamerlan Tsarnaev was pronounced dead early Friday. On Friday night, police captured Dzhokhar Tsarnaev hiding inside a boat in a backyard.

Boat owner David Henneberry told CNN affiliate WCVB Tuesday that his obsession with how his boat was stored just right led him to discover the suspect as he stood on a ladder replacing two pads that had fallen out of the shrink wrap protecting his boat for the winter.

"I got three steps up the ladder and rolled the shrink wrap. I didn't expect to see anything, but I saw blood on the floor of the boat. A good amount of blood. ... And I looked back and forth a couple of times and my eyes went to the engine block and there was a body," he told the affiliate.

Henneberry said Tuesday that he doesn't even remember climbing down the ladder and running to the phone to dial 911, delivering the tip that would lead to Tsarnaev's capture.

"I didn't waste any time. I didn't ask him if he wanted a cup of coffee. I was off that ladder. That is all I remember," he told the affiliate.

Investigators swarmed the scene, forming a perimeter. Multiple shots rang out from behind the house, Boston Police Superintendent William Evans said Tuesday.

Authorities are still investigating whether Tsarnaev was armed and whether a shootout occurred at the boat, Evans told reporters.

"Clearly from everybody's vantage point, we could see whoever was in that boat was poking at that top," he said.

It wasn't clear at the time, he said, whether the suspect had a handgun or was trying to poke a hole in the boat's cover. After a standoff, hostage negotiators persuaded him to surrender, Evans said.

Investigation continues

The Tsarnaev family is from the Russian republic of Chechnya and fled the brutal wars there in the 1990s. The two brothers were born in Kyrgyzstan; Dzhokhar became a U.S. citizen in 2012. His brother was a legal U.S. resident.

Although Tamerlan Tsarnaev had become increasingly radical in the past three or four years, there was no evidence Tuesday of any accomplices or connections to extremists, a U.S. official said.

But Dzhokhar Tsarnaev conveyed to authorities that his brother believed Islam is under attack and its adherents must fight back, a U.S. government source said Monday.

Communicating with investigators by writing and nodding, Dzhokhar Tsarnaev has indicated that his older brother masterminded the bombings, the source said.

The younger Tsarnaev has been charged with using and conspiring to use a weapon of mass destruction resulting in death, as well as one count of malicious destruction of property by means of an explosive device resulting in death.

The U.S. official said Tuesday that investigators have determined that the pressure cookers used in the attacks were purchased at a Macy's department store.

Read a transcript of the hearing

Dead Boston bomb suspect posted video of jihadist, analysis show

Suspects' family members react

In a statement issued through their lawyers Tuesday, the suspects' sisters -- Ailina and Bella Tsarnaev -- said they were saddened "to see so many innocent people hurt after such a callous act."

"As a family, we are absolutely devastated by the sense of loss and sorrow this has caused," they said. "We don't have any answers but we look forward to a thorough investigation and hope to learn more."

And Tamerlan Tsarnaev's wife, Katherine Russell, issued a statement through her attorney's office saying she is "doing everything she can to assist with the investigation" and said she and her family are shocked and distraught.

"The reports of involvement by her husband and brother-in-law came as an absolute shock to them all," the statement said.

Dead suspect's wife 'very distraught'

The suspects' mother, Zubeidat Tsarnaev, said Tuesday that she believed her sons had been framed.

Speaking from her home in Dagestan -- a Russian republic on the Caspian Sea -- Tsarnaev said she thinks her older son died because he was a Muslim and charged that authorities silenced her younger son to prevent him from defending himself.

She said family members have arranged for Tamerlan Tsarnaev to be buried at a mosque in Cambridge, Massachusetts, Tuesday or Wednesday.

An official with the Islamic Society of Boston said it has not received any funeral requests from the family. A spokesman for the chief medical examiner's office also said officials there have heard nothing about plans by the slain suspect's family to claim his body.

CNN's Jake Tapper, Julia Talanova, Holly Yan, Carol Cratty, Tina Burnside, Fran Townsend, Deborah Feyerick, Jill Dougherty, Nick Paton Walsh, Pamela Brown, Julian Cummings, Barbara Starr, Susan Candiotti, Jessica Yellin, Jack Maddox, Joe Johns and Laura Ly contributed to this report.

@highlight

NEW: Dozens remain hospitalized after last week's attack

@highlight

Afghanistan and Iraq motivated the Boston suspects, official says

@highlight

8-year-old victim Martin Richard laid to rest after private service

@highlight

Residents, business owners get back into bomb blast site before public