(CNN) -- A U.S. airstrike in Syria appears to have killed a key French jihadist who is part of the militant Khorasan Group, a U.S. defense official said Thursday morning.

The strike happened overnight Wednesday near Idlib, according to the official, who has access to the latest information about the strikes.

The U.S. military fired at a vehicle it believed carried David Drugeon, a skilled bomb-maker in his 20s who also has ties to core al Qaeda members in Pakistan, said the official, who spoke on condition of anonymity.

The Khorasan Group is made up of senior al Qaeda leaders who have moved into Syria.

Later Thursday morning, the U.S. military's Central Command announced that five U.S. airstrikes targeted the Khorasan Group in Syria on Wednesday night.

Drugeon was not mentioned in the announcement. But the command said that it has "initial indications that (the strikes) resulted in the intended effects."

The airstrikes hit terrorists and destroyed or severely damaged several Khorasan Group vehicles and buildings, the command said in a news release. The military said it believes the buildings were used for meetings, bomb-making and training.

The strikes happened in the area of Sarmada, Syria, the military said. Sarmada is about 18 miles (30 kilometers) northeast of Idlib.

The United States targeted the Khorasan Group with a series of strikes in Syria in September.

Those attacks came amid intelligence that suggested the group was plotting against a target in the U.S. homeland as well as other Western targets, a senior U.S. official told CNN at the time.

Converted bomb-maker's beginnings

Dangerous operative

Intelligence indicated that Khorasan was in the final stages of planning terrorist attacks in the West, including against American aviation.

Sources said that among the devices Khorasan's bomb-makers were developing to try to beat airport security were bombs made out of clothing dipped in explosive solution and explosives concealed in personal electronics.

U.S. officials told CNN's Barbara Starr and Pamela Brown in October that Drugeon may have been actively involved in these efforts, which also involved technology transfers from al Qaeda's master bomb-maker in Yemen, Ibrahim al Asiri.

In July, the Transportation Security Administration banned cell phones without electronic charge from airplane cabins in response to the intelligence, much of it fragmentary, that was coming in on the plans.

Drugeon's knowledge of explosives, European background and access to Western fighters in Syria makes him arguably one of the most dangerous operatives in the entire global al Qaeda network.

Path to radicalization

Drugeon was born in 1989 in a blue-collar and immigrant neighborhood dotted with social housing on the outskirts of Vannes on the Atlantic coast of Brittany, according to Eric Pelletier, a reporter with L'Express who has extensively reported on Drugeon and shared his findings with CNN.

By all accounts, Drugeon had a very normal childhood. His father was a bus driver and his mother a secretary and committed Catholic.

He had an elder brother who shared his passion for the French soccer team Olympic Marseilles and he got good grades at school. But like a significant number of others who later took the path to radicalization, his parents' divorce when he was 13 was traumatic.

Drugeon began acting out, and his grades at school nosedived. He began hanging out with a group of young Muslims in the neighborhood who espoused a fundamentalist interpretation of Islam. Before he turned 14 he converted, changing his name to Daoud.

"Drugeon was radicalized over a period of several years. A local imam played a key role. He was part of group of about a half-dozen Salafi Muslims in the town," Pelletier told CNN.

By 2010, Drugeon was on the radar screen of French security services and had made several trips to Egypt to learn Arabic and more about Islam. He funded the trips by taking driving jobs. In April that year, he slipped away from France for good, traveling via Cairo for the tribal areas of Pakistan, to join the jihad against U.S. forces in Afghanistan.

Journey to Syria

According to Pelletier, French intelligence established that Drugeon joined a small al Qaeda subgroup known as Jund-al-Khilafah, based in the Miran Shah area.

Drugeon first learned how to make bombs in the tribal areas of Pakistan, and over time became skilled in making explosives. He took on a new fighting name "Souleiman" and made several forays into Afghanistan, according to Pelletier.

Drugeon is believed to have left Pakistan sometime in 2013 or very early 2014, and to have traveled to Syria to join up with the Khorasan group. A significant number of al Qaeda operatives were making the same journey, convinced that Syria now offered a better sanctuary away from the sight lines of U.S. drones.

U.S. officials told CNN they believe Drugeon has been heavily involved in facilitating the movement of fighters to and from Europe, and in planning attacks in Europe.

@highlight

U.S. military says five airstrikes against Khorasan Group apparently had "intended effects"

@highlight

Official: A U.S. airstrike in Syria appears to have killed French bomb-maker David Drugeon

@highlight

Drugeon is part of the militant Khorasan Group; also has ties to al Qaeda in Pakistan

@highlight

Drugeon converted to Islam as a teenager; traveled to Pakistan, then Syria