Four decades before anyone took an arrow to the knee in "Skyrim," adventurers were sitting down with paper and pencil to battle fantasy monsters and explore rich, new worlds in a different kind of role-playing game.

"Dungeons & Dragons," commonly known simply as D&D, burst onto the scene in 1974, long before the word "gaming" came with the implied word "video" in front of it.

In D&D, the brainchild of creators Gary Gygax and Dave Arneson, players could become fighters, magic-users, and clerics, and run through adventures created by a "Dungeon Master" or "DM" -- the person responsible for controlling nearly every aspect of the game.

Players sat around a table rolling multi-sided dice and visualizing the adventure using just their imaginations -- a far cry from today's vast, richly rendered video-game worlds.

But four decades later, and with all its high-tech competition, "Dungeons & Dragons" continues to grow and evolve. And many of today's  computer games, animated television shows, feature films, novels, and even pop and rock songs owe much to D&D lore.

"In today's culture, D&D has found its place as a leader and influencer over storytellers across so many different mediums," said Nathan Stewart, brand director for D&D at Wizards of the Coast, the company publishing the game. "From game designers and musicians, to scores of screenwriters and film directors, D&D has had a profound effect on those who have brought fantasy and geek culture to the foreground."

Demon worship?

Indeed, many creators of fantasy games and stories today probably cut their teeth on D&D as kids, or teens. The game allowed players to tap into their own creativity while socializing with friends.

Or, for some, with their family.

Jerry Holkins, co-founder for the webcomic, "Penny Arcade," said he started playing D&D with his young aunts and uncles, much to the chagrin of his mother.

"My mom flipped out, of course. The belief that 'Dungeons & Dragons' constituted some kind of 'satanic ritual' was a common refrain at my house," Holkins said. "When I got older, I hid the fact that I played it.  Where she might have found another young person's pornography or drugs, she found my DM's guide.  Honestly, I think she would have preferred the drugs."

By the early '80s, as the game grew in popularity with wargamers, then college and high school students, it drew the attention of some religious groups that claimed -- as they would with "Harry Potter" decades later -- that the game encouraged witchcraft and demon worship.

For others, D&D opened the door to expanding their circle of friends at a time in their formative years when shyness may have otherwise taken over. Video game creator Ken Levine didn't have friends to play D&D with when he discovered the game in 1978. But a trip to summer camp and a chance meeting with others who played introduced him to many new people.

"So I went from having no friends and no social circle to an immediate social circle through 'Dungeons & Dragons,' " said Levine, who is best known as creator of the "Bioshock" series. "We were playing a module out of the 'Dragon' magazine called 'The Mansion of Mad Professor Ludlow.' The Dungeon Master that night is still my best friend to this day."

"Without Dungeons & Dragons, there is a very different person in this chair right now. I just don't know if I would have made the connection -- the social network with the people I met."

By 1981, the game had more than 3 million players worldwide. By 2007, that number grew to 6 million, and the numbers keep rising.

Influence on video games

Universally considered the first modern role-playing game, D&D set the benchmark for many future RPG games -- either the table-top or computer variety. Beyond simple game mechanics, the game allowed players to understand how to tell a story or craft an adventure that kept people engaged and entertained.

"Often times when people think of D&D, they think of the dice, maps and groups of friends sitting around the kitchen table," Stewart said. "But D&D has also been in the video game space as far back as 1982 and has served as the inspiration for a lot of today's digital games."

The influence of "Dungeons & Dragons" on video games has been clear from the beginning.

"D&D was about creativity -- both in terms of the player experience and the Dungeon Master experience," Levine said. "Once I started getting exposed to Gygax's world -- sitting there and thumbing through the pages of the 'Monster Manual' over and over again and the other manuals of Advanced D&D, I saw his whole vision. It exposed me to creatively minded people who thought about fantasy and genre things the way I did. It really got the ball rolling for me."

In 1988, the first officially-licensed video game based on D&D was released by Strategic Simulations, Inc. "Pool of Radiance" was an adaptation of the Advanced Dungeons & Dragons rule set, and was generally well received by fans and critics.

More successful video games would follow including the "Baldur's Gate" series and the "Neverwinter Nights" collection. Holkins played many of the games and felt the games leveraged the vast settings of the D&D's campaigns without tying themselves to its specific rules -- thereby leaning more on storytelling rather than combat.

"As far as it being an influence on videogames, that's not even a conversation," Holkins said. "In the Western CRPG (computer role-playing games) tradition, the lineage is so direct as to be a straight line."

And many who play games like "Diablo," "Dark Souls" and "World of Warcraft," often connected to teammates and opponents through headsets and computer chat channels, also gather together for the social experience that is an old-fashioned "D&D" session.

"Dungeons & Dragons" sessions are social, Levine said. "You are surrounded by your friends and not (someone) yelling and cursing at you over their Xbox headset. "You get to have this really nice experience playing with friends."

Holkins agrees.

"Different groups are all playing the same game, theoretically, but in practice there's a lot of culture that isn't really portable from table to table and people approach it with their own style," he said. "It would have to be like that, when you think about it. At root, the game is about a group of people who are all agreeing to imagine the same thing. Is 'intimate' the right word?  I think I could make a case."

New D&D rules

The game itself has evolved over many official and unofficial rule changes in its 40 years. From the original rules in 1974 to "Advanced Dungeons & Dragons" in 1981 up to "D&D 4th Edition" released in 2008, the idea has always been to give players a framework to create adventures the way they want to experience and enjoy them.

"There are certain things about the D&D game that transcend generations -- the storytelling aspect, the desire to become something greater than yourself or just something different from yourself," said Chris Perkins, senior design manager for story and world building for Dungeons & Dragons. "I think those experiences have given the D&D game its longevity because they are timeless."

Two years and 170,000 playtesters later, those timeless ideals are implanted in the fifth and latest generation of rules which were announced by Wizards of the Coast on Monday. A brand new "Player's Handbook," "Monster Manual," and "Dungeon Master's Guide" will be released this summer, setting the foundations for the game's future.

In addition to new rules, the creative team at Wizards of the Coast announced an original storyline that will extend beyond the tabletop and into digital gaming. Tiamat, a powerful goddess that takes the form of a multi-colored, five-headed dragon, is at the core of the new "Tyranny of Dragons" tale.

A new module for the D&D online game, "Neverwinter," will launch on August 14 and be "the premier digital 'Dungeons & Dragons' experience for players," according to a press release.

Two new tabletop adventures will also be released, one on August 19 and the other on October 21. A new line of miniatures (figures that represent player characters and others they encounter) is also planned to be used in conjunction with the fifth edition of core rules.

"We're aiming to tell the story not only in the role-playing game, but in other venues so that people can experience it at a number of different levels to a number of different depths," Perkins said. "We haven't really dealt with dragons much in the (Forgotten Realms) over the past 40 years. It's been a long time since we've had an iconic villain on the order of Tiamat."

He said the experience will be different depending on what platform you access the story. Players will have a shared story, but what actually happens during a tabletop game will be different than in the digital games.

While rule changes have usually resulted in the gnashing of teeth and wailing of voices from some players, Perkins said there is flexibility built in to the new edition so players can play and enjoy whatever type of game they want, using as much or as little of the new system as they want.

Perkins acts as the Dungeon Master for the Acquisitions, Inc., adventures at PAX conventions and plans to show everyone how the new rules can work.

"When I run the game at PAX Prime this summer, I'm going to do it even differently," he said. "I'm going to have 'Theater of the Mind' elements, but I'm also going to have very strong visuals and there will be miniatures because I'm going to try to demonstrate without actually calling attention to it that you can present and play the D&D game in any one of a number of different ways and it is still Dungeons & Dragons."

Stewart and Perkins believe the future of stories in games will be best told through a transmedia experience and they hope players will usher in a familiar future for D&D. It is a sentiment shared by Levine and Holkins.

"Let's get a group of friends together and have an adventure," Levine said. "In reality, that's what the future of video gaming wants to be. It wants to be a place where the player has the ability to be more expressive."

@highlight

As "Dungeons & Dragons" turns 40, it's still inspiring gamers

@highlight

The 5th edition of D&D rules will be announced Monday

@highlight

Video games, movies, TV shows owe a debt to the classic game

@highlight

Wizards of the Coast says game will continue having digital components