KABUL, Afghanistan (CNN)  -- It has been nearly eight years since U.S. forces overthrew the Taliban leaders of Afghanistan, but the war against the Taliban insurgency is bloodier than ever.

A U.S. soldier takes his position near a building attacked by the Taliban south of Kabul, Afghanistan, on Monday.

The number of Afghan civilians killed in the wake of the war has increased 24 percent in the first six months of this year compared with the same time period last year, according to the United Nations. And NATO and American forces suffered record losses this summer, with 75 troops killed in the month of July, making it the deadliest month for Western troops in the country since American warplanes first began bombing the Taliban in October 2001.

The U.S. death toll will remain high for some time as the Taliban has gained the upper hand, Gen. Stanley McChrystal, the top U.S. commander in Afghanistan, told The Wall Street Journal in an interview published Monday.

"It's a very aggressive enemy right now," McChrystal told the newspaper in the interview Saturday at his office in Kabul, Afghanistan. "We've got to stop their momentum, stop their initiative. It's hard work."

The Taliban insurgency has blossomed in northern Afghan provinces such as Kunduz and Baghlan, long considered some of the safest territory in the country. And just 20 miles east of Kabul, Taliban "judges" operate openly in the back of pickup trucks, settling legal disputes between villagers in makeshift "mobile courts."

The insurgents are filling a vacuum left by Afghanistan's Western-backed government, which foreign diplomats and military commanders concede suffers from nepotism, corruption and predatory practices.

Challenge to the Afghan government

Afghans will go to the polls on August 20 to vote in the nation's second presidential election since the fall of the Taliban regime in 2001. Opposition candidates have blamed the Taliban insurgency's continued growth on Hamid Karzai, the man who has occupied the presidential palace in Kabul for the past seven years.

"Because of the failure of the current administration, in losing the support of its own people, there is a vacuum, and that vacuum has led to a deterioration of security as well as in all parts of life," said Karzai's top challenger, former Foreign Minister Abdullah Abdullah.

McChrystal, a former U.S. joint special operations commander who recently took command of the U.S.-NATO operation in Afghanistan, said the Taliban are challenging the very legitimacy of his partners in the Afghan government.

"The fundamental conflict in any insurgency is fighting for legitimacy with the people and the support of the population," he explained in a recent interview with CNN.

"Who do they look to as their legitimate government? Who do they pay taxes to? Who do they look to for rule of law? Who do they look to as protection? In the case of this insurgency, what we have is an Afghan government that is trying to establish itself around the country. It has problems with corruption. It has problems in some cases with predatory behavior."

Along the traffic-choked streets of Kabul, residents rarely complain about the Taliban. Instead, they often rail against the Western-backed Afghan state.

"What service has this government provided us?" asked Fawad, a young street vendor who sells watermelons for 20 cents apiece. He said that at least once a week, Afghan police show up and demand bribes of up to $100 from vendors, who must pay if they want to continue selling their goods.

"We don't want a tyrant who oppresses the people," Fawad said when asked who he would vote for in the elections. "What we want is security."

Earlier this month, an Afghan employee for CNN, who prefers not to be named for security reasons, witnessed how locals turn to the Taliban to resolve their disputes, in a village barely 20 miles east of the Afghan capital.

He said openly armed insurgents rolled up in a pickup truck, and a Taliban judge began mediating local disputes. In one case, the Taliban official resolved a disagreement between two shepherds whose flocks of sheep had gotten intermixed while grazing.

"I was shocked," said the Afghan eyewitness, who was visiting the village to attend a funeral. "The villagers were lining up asking for help from the Taliban."

NATO commanders say they have had reports of Taliban "mobile courts" operating in similar fashion just outside the southern city of Kandahar.

"There are cases of rule of law being taken care of by the Taliban instead of the Afghan government," said Col. Paul Kolken, a Dutch military spokesman at Kandahar Air Base. He said the Taliban are operating mobile courts as close as possible to the city of Kandahar.

Afghan corruption at the highest levels?

Human rights activists accuse the Karzai government of making deals with some of the country's most notorious warlords ahead of the August 20 presidential elections.

"A lot of Afghans are telling us they're quite disappointed that Karzai's not even running on a platform of promises or performance, but just an old fashioned Afghan cutting of deals," said Sam Zarifi of Amnesty International. He pointed to a recent article by Elizabeth Rubin, in the New York Times Magazine, that describes Karzai's choice of Mohammed Fahim, a former Northern Alliance militia commander, as vice presidential running mate. Fahim has long been accused of committing human rights abuses.

"Starting on the top and bringing Fahim back, this is horrific," Zarifi said. He lamented that Afghan politicians are rarely prosecuted for crimes, and if they are, they are often pardoned.

"Karzai has really regressed over the past seven or eight years," Zarifi said.

Many Afghan observers argue this culture of impunity runs directly to the presidential palace. For years, Karzai's brother, Ahmed Wali, has been dogged by accusations that he is a major player in the booming drug trade in southern Afghanistan.

One high-ranking Western diplomat stationed in Kabul described discussing the allegations with Karzai in a one-on-one meeting. Karzai asked for advice on how best to address his brother's alleged illicit business dealings, the diplomat said. At one point, the diplomat said, Karzai looked up helplessly, asking, "He's my brother. What can I do?"

Both Karzai and his brother have repeatedly dismissed the allegations as politically motivated.

This month, Karzai made a rare trip outside his presidential palace to woo voters in Baghlan province. He conceded that Afghanistan is still far from stable, but promised that if re-elected he would redouble his efforts to rebuild the country.

"Terrorism is still harassing us. It is still killing us. It is still destroying this land," he told a crowd of several thousand supporters. "The moment I become the president of Afghanistan -- again -- through your vote, through your able hands, my first attempt will be to ensure perpetual peace."

Several days later, at a press conference with Karzai, the newly appointed secretary general of the NATO military alliance, Anders Fogh Rasmussen, called for NATO countries to contribute more troops to support the Afghan government.

"NATO-ISAF is here to protect your elections," the former Danish prime minister said at Kabul's presidential palace. "What we need are credible elections that reflect the will of the people."

ISAF -- the International Security Assistance Force -- is the United Nations-mandated U.S.-NATO presence in Afghanistan.

U.S. needs a strong Afghan partner

President Obama's administration has committed more resources and troops to battling the insurgency and training Afghan security forces, while also sending additional diplomats and civilian aid workers to focus on reconstruction and development.

When Obama took office, he vowed to redirect military resources from the war in Iraq to Afghanistan, which he described as being -- along with neighboring Pakistan -- the "central front in our enduring struggle against terrorism and extremism."

McChrystal told The Wall Street Journal that he is still considering a request to send 10,000 more troops to Afghanistan in addition to the planned 68,000 troops that are expected to be in place by the end of the year.

The information is a preview of a strategic assessment he plans to deliver to Washington later this month.

The military initiative is an effort to bolster Afghanistan's weak government, which many Afghan observers argue has been, more than anything, a source of frustration and popular disappointment.

"If the same trend continues, if the same failing of the administration continues, more troops, more resources, more civilian advisors will not be a substitute," argued presidential candidate Abdullah Abdullah.

Security will be on the minds of most Afghan voters as they head to the polls, according to Jahid Mohseni, the Australian-Afghan head of Tolo TV, Afghanistan's most influential TV channel.

"People are frustrated with things not happening," Mohseni said. "In terms of day-to-day life, the development that they wanted in government has not been happening."

"They are looking at being able to walk down the street at night without ... risking getting attacked, et cetera. They want to make sure that their kids don't get kidnapped."

@highlight

Eight years since U.S. forces overthrew the Taliban leaders of Afghanistan

@highlight

But the war against the Taliban insurgency is bloodier than ever

@highlight

Kabul residents rarely complain about the Taliban, often rail against Afghan state

@highlight

Security will be on minds of voters at polls August 20, Afghan journalist says