(CNN) -- College costs too much, both for students and for society as a whole.

This year, according to the College Board, average published in-state tuition and fee plus room/board charges exceed $17,000 at four-year public institutions, a 6% increase from only one year earlier.

In 2009, spending by Americans for post-secondary education totaled $461 billion, an amount 42% greater than in 2000, after accounting for inflation. This $461 billion is the equivalent of 3.3% of total U.S. gross domestic product (GDP) and an amount greater than the total GDP of countries such as Sweden, Norway and Portugal.

The public is taking notice. The Occupy Wall Street protesters have featured student debt forgiveness as one of their demands, and students in California have demonstrated several times in the past year after their tuition was raised twice.

Earlier this week, U.S. Secretary of Education Arne Duncan addressed some of these concerns in a speech where he urged colleges to get serious about their cost problem. But there's only so much the federal government can (and should) do. The underlying structure of American higher education needs dramatic reform before there will be any relief in sight.

Whereas private businesses cut prices for consumers and costs to themselves through efficiencies that increase profits and incomes, universities lack those incentives.

Indeed, the typical successful university president views his or her key constituencies not to be the customer (students and their parents who pay tuition charges or the granters of research funds), but rather others -- the faculty, important alumni, key administrators, trustees and occasionally politicians. They please these constituencies by raising, and then spending, lots of money.

They effectively bribe powerful faculty with low teaching loads, high salaries and good parking. They give the alumni successful intercollegiate athletic programs that are expensive and usually financed off the backs of students. They give trustees whatever they want, no matter how costly or eccentric.

Universities do a second thing unheard of in the private sector -- they often deliberately turn customers away.

A fast food chain or discount store succeeds by selling more hamburgers or television sets; no customer was ever kept from spending money at McDonald's by an "admissions office." Yet for American universities, the "bottom line" is measured by college rankings that often reward schools for turning people away, becoming more "selective." Many believe the Ivy League offers the best education in the world, so why do we encourage those elite institutions to deny access to thousands of highly qualified students every year?

Like health care, prices are rising rapidly for higher education because of the predominant role of third-party payments -- federal student loans and grants, state government support for institutions and students, private philanthropic gifts and endowment income. College seniors who borrow to finance their education now graduate with an average of $24,000 in debt, and student loan debt now tops credit card debt among Americans. When some else is paying a lot of the bills, students are less sensitive to the price, thus allowing the colleges to care less about keeping prices under control. And the nonprofit nature of institutions reduces incentives for colleges and universities to be efficient.

The key to getting costs under control is contained in three words that begin with the letter "I"-- information, incentives and innovation.

Customers are ignorant of college outcomes because we do not measure in any coherent and consistent manner what students actually learn, how well they do after graduation or whether they think better in a critical manner as a result of the college experience. Even basic financial information on how colleges spend money is often not fully shared with trustees or key politicians who help fund or oversee college operations.

As mentioned above, incentives to conserve resources are few. Once, as a department chairman, I successfully battled for more faculty members to do the same amount of work, thus lowering productivity. The result? My faculty evaluated me highly so I got a nice raise. Where else do the employees get to decide who their bosses will be or how much they will be paid?

If information and incentives are provided, innovation will come. Already, we know several online and other innovations can work to deliver high-quality education services at potentially lower prices. Duncan highlighted Western Governor's University, a nonprofit online institution, as one such example.

Nondegree forms of education need more emphasis, since the number of college graduates exceeds the number of jobs available in occupations for which degrees historically have been desirable -- jobs in the managerial, technical and professional areas. According to data from the Bureau of Labor Statistics, in 2008 some 29.7% of flight attendants, 24.4% of retail salespersons and 17.4% of baggage porters had a bachelor's degree or higher.

According to my analysis of the data, more than 17 million college graduates were "underemployed" in 2008. Surely these people needed some form of post high school training, but an expensive four-year degree may not have been the best approach. Rather, perhaps we should be encouraging some students to develop skills at lower costs by utilizing innovative free courses provided by groups such as the Saylor Foundation and Khan Academy.

College costs cannot rise faster than income forever -- we cannot afford it. Necessity is the mother of invention. Like it or not, American higher education is in for big change in the next generation.

The opinions expressed in this commentary are solely those of Richard Vedder.

@highlight

College costs are rising much faster than inflation

@highlight

Richard Vedder says colleges don't pay attention to real customers -- students

@highlight

He says incentives need to be changed and innovation encouraged

@highlight

Vedder: America's colleges and universities will look very different in coming years