(CNN) -- Oscar Pistorius was not mentally incapacitated when he shot his girlfriend to death, a psychiatric assessment of the athlete has found.

The results of the assessment were revealed in court Monday when the Olympic sprinter's trial resumed after a monthlong break for the evaluation.

According to the findings by an independent panel of doctors, Pistorius did not suffer from a mental defect or mental illness at the "time of the commission of the offense that would have rendered him criminally not responsible of the offenses charged."

The report added that "Mr. Pistorius was capable of appreciating the wrongfulness of his act."

Had the doctors deemed Pistorius mentally incapacitated during the shooting, the trial would have immediately ended in a verdict of not guilty by reason of mental illness.

Pistorius, 27, is accused of murdering his girlfriend, 29-year-old model and law school graduate Reeva Steenkamp, in his home in February 2013.

Pistorius admits shooting Steenkamp through a closed door, killing her, but has told the court in Pretoria, South Africa, that he mistook her for an intruder. He has pleaded not guilty.

The state says Pistorius argued with Steenkamp before killing her.

On May 20, trial Judge Thokozile Masipa ordered Pistorius to report for a psychiatric evaluation to establish whether he was criminally responsible for his actions.

The prosecution and defense said they accepted the report's findings. The defense has resumed its case.

Psychiatrist's testimony

Pistorius' psychiatric testing last month was triggered by the testimony of a psychiatrist who said the sprinter has suffered from generalized anxiety disorder since he was an infant, stemming partly from the amputation his lower legs.

The disorder meant Pistorius had "excessive" concerns about security and felt threatened even when, objectively, he was not, Dr. Merryll Vorster testified on May 12.

After Vorster's testimony, prosecutor Gerrie Nel filed a motion asking the judge to require psychiatric tests, arguing that if there was any chance the defendant's mental health was an issue, the court must "err on the side of caution."

Nel's extremely unusual move was essentially an effort to maneuver the court into considering an insanity or "capacity" defense even though the athlete's legal team is not mounting one, CNN legal analyst Kelly Phelps said.

Phelps said Nel appeared to be placing a high-stakes bet that experts would disagree with Vorster's evidence.

Pistorius' lead defense lawyer, Barry Roux, argued against the tests, describing Nel's reading of the law as "unfortunate."

But Masipa ordered the evaluation, saying the defense's act of putting a psychiatrist on the stand had raised the question of the athlete's mental health. Testing began on May 26.

Light and balance

When court resumed Monday, the defense called Pistorius' orthopedic surgeon Dr. Gerald Versfeld as a witness.

Versfeld described the limitations of Pistorius' mobility, based on his examination of the athlete and Pistorius' own description.

In his cross-examination, Nel focused on the effect of light on Pistorius' balance.

In his affidavit, Pistorius said he had rushed to the bathroom on stumps with a pistol after hearing a noise. He said he had been too scared to turn the lights on. "It was pitch dark in the bedroom, and I thought Reeva was in bed."

Nel suggested to Versfeld that it would have been "highly unlikely" that Pistorius would have been able to walk on his stumps without falling if it had been pitch black in the bedroom, given the objects in it.

"If it was indeed pitch dark, that is so," Versfeld replied.

Roux referred to Pistorius' evidence that there had been slight illumination.

"The moment there is light available, he will be able to use his vision to balance," Versfeld said, agreeing that if Pistorius had known the objects in his room, that would also have helped protect him from falling.

Sound of screams

Acoustic engineer Ivan Lin was the second witness to take the stand Monday.

He told court that "typically," one can differentiate between male and female screams, but not without exception.

Previous witnesses have described hearing a woman's screams between shots the night Steenkamp died, but the defense has argued that Pistorius sounds "like a woman screaming" when he's anxious.

Lin said it would be "impossible" to replicate the "highly complex sound transmission" from Pistorius' house the night he killed Steenkamp. He explained how different variables could affect the transmission.

Verdict

At the trial's conclusion, Masipa will have to decide whether Pistorius genuinely made a mistake or killed Steenkamp intentionally.

If she does not believe the athlete thought there was an intruder, she will find him guilty of murder and sentence him to at least 15 years in prison and possibly life. South Africa does not have the death penalty.

If Masipa accepts that Pistorius did not know Steenkamp was the person he was shooting at, she could find him guilty of culpable homicide, a lesser charge than murder, or acquit him, according to CNN legal analyst Kelly Phelps.

A verdict of culpable homicide would leave the sentence at Masipa's discretion.

Read more: Judge sends Pistorius for psychiatric tests

@highlight

A panel of doctors finds Olympian Oscar Pistorius mentally fit to stand trial

@highlight

Pistorius is accused of deliberately shooting his girlfriend Reeva Steenkamp

@highlight

He says he shot Steenkamp accidentally in his bathroom, mistaking her for an intruder

@highlight

The trial was halted in May after the judge ordered Pistorius to undergo psychiatric tests