(CNN) -- The Gettysburg Address was a quick-hitting speech that was built to last.

Length: A little over two minutes.

Message: Stay the course of a difficult war. If Democracy won't work here, it won't work anywhere.

Short enough to comfortably fit into a social media status box, and shared in its entirety hundreds of times every day, according to recent data from Facebook. Memorable phrases are quoted even more often.

It has been 150 years since President Abraham Lincoln got up in front of thousands of people in Gettysburg, Pennsylvania, to dedicate the Soldiers' National Cemetery at a turning point in the Civil War.

His words are some of the most memorable in American history, forever stamping our collective minds with "four score and seven years ago," and "all men are created equal," and of course a "government of the people, by the people, for the people." Some of this wasn't really his coinage, but we'll get into that later.

Politicians portrayed themselves differently in Lincoln's day, seeking to give a more powerful kind of impression, said Dennis Baron, a professor of English and linguistics at the University of Illinois at Urbana-Champaign.

"If you did that today, people would think of you as somehow flowery and old-fashioned and ... why are you doing that?"

The modern trend is for leaders to "play the folksy card," Baron said, portraying themselves as ordinary Joes and Janes who are exactly like you in every way -- except for the fact that they are hoping to achieve a position of immense power.

Baron said the last president with an "oratorial" style -- on the whole -- was probably John F. Kennedy, who was assassinated 100 years and three days after the delivery of the Gettysburg Address. We still remember Kennedy's delivery of lines like, "Ask not what your country can do for you; ask what you can do for your country."

Lincoln was able to get straight to the point and deliver a punchy speech in part because he came after Edward Everett's marathon presentation about the war, explains James Cornelius, curator of the Lincoln Collection in the Abraham Lincoln Presidential Library and Museum.

Lincoln had no speechwriter. Today, most politicians have at least some help preparing their words.

Everett had been the main attraction, but Lincoln's speech started picking up steam afterward and seemed to "go viral" in the manner of its day. Newspapers wrote about the speech. In some cities, people could buy commemorative event pamphlets that contained the speech, and key phrases were incorporated into Lincoln's 1864 election posters and memorials after his death.

Newspaper retracts editorial panning Gettysburg Address

Sound familiar? Cornelius said overall, Civil War-era America was a consumer-driven society that had a few things in common with our Internet-saturated world.

One can only imagine the tweets that would have been written about such a speech in modern times.

"OMG. Lincoln just said in two minutes what Everett tried to say in two hours. #NailedIt #Boom"

Today, children learn the address in school, especially in Northern cities, and documentary guru Ken Burns is asking people to record themselves saying the speech from memory.

Ken Burns: Learn the Gettysburg Address by heart

People also share the quotations on social media. Certain phrases seem to stick out, and Facebook numbers show which ones we like to share. We found that people in some states, like Delaware, were particularly fond of quoting the address and that different parts of the speech were more popular in some states than others.

Here is a nonexhaustive rundown of some of the most popular phrases in the speech, in order of appearance.

'Four score and seven years ago'

Pretty much everyone knows this part of the Gettysburg Address, even if they think a score is just something from sports. But no, in this case a score is 20 of something. Here, a span of 20 years.

This line is a bit of an inside remark shared with the audience, believed by most historians to be a reference to Psalm 90:10, which most people of the day would know is an allusion to the human lifespan.

"The days of our years are threescore years and 10," says the psalm. "And if by reason of strength they be fourscore years, yet is their strength labor and sorrow; for it is soon cut off, and we fly away."

Cornelius said Lincoln used such phrasing as a subtle reminder that the nation was only a youthful 87 years old. Lincoln felt the United States was setting an example for the world, and he didn't want the experiment in democracy to fail.

"He's a little bit worried that the nation might die at about the average lifespan that a human would," Cornelius said. "He's putting forth straightforward political terms in a poetic way."

That, and people tend to remember the beginnings of speeches, Cornelius said.

'All men are created equal'

More clever wordplay is at work in this famous quotation.

"In his call for democracy and equality, (Lincoln) doesn't mention slavery, but everyone knew that was what he was talking about," Cornelius said.

See what he did there? This phrase can be interpreted as both an allusion to the principles of the Declaration of Independence and also as a not-so-subtle jab at the institution of slavery.

Little doubt exists that Lincoln opposed slavery, and in fact loathed it, Cornelius said. Slavery was at the heart of the war. Lincoln struggled with how to go about eliminating it, and had to be convinced by legal thinkers and abolitionists that he had the governmental power to tackle it.

'These dead shall not have died in vain'

Something about this part of the speech may be touching a nerve somewhere.

This part was the second-most-mentioned phrase in the entire speech, rivaling "four score and seven years ago" in popularity, despite the fact that it's not a particularly well-known part of the Gettysburg Address.

But Lincoln can't take full credit for this phrase, Cornelius said, because it was a fairly common expression used in the parlance of war. It speaks to a need for soldiers' deaths to mean something, if they must occur -- a timeless desire we echo today.

How tech preserves the Gettysburg Address

"This is always a problem in warfare. Why should any other people die? There is always a percentage of the population that will make that argument at a certain point. Lincoln's contrary point was that they died defending you. They felt so strongly about the right of the cause. They felt so strongly about preserving the union and ending slavery that you should not let their efforts carry into the wind. You should continue on and further this effort."

'This nation, under God, shall have a new birth of freedom'

This phrase was mentioned by many readers who commented on this story. For some, it has become a point of political contention due to the presence of the words "under God." There are five versions of the speech, and one of them omits those two words.

Obama stands out from the Gettysburg crowd

Another slightly earlier portion of the speech was also frequently cited: "It is rather for us to be here dedicated to the great task remaining before us."

The takeaway there is persistence in the face of adversity.

'Government of the people, by the people, for the people'

This famous phrase, as well as the few words immediately before and after it, got lots of mentions on Facebook. Baron pointed out that anything at the end or beginning of a speech is probably automatically more memorable. It doesn't hurt if a speech is structured to enhance this effect, either.

It's such a beloved word grouping that numerous people have borrowed it, massaged it and restated it with a slightly different twist, like a game of telephone in an era without telephones.

Cornelius said historians trace this part back to Daniel Webster, a senator and U.S. secretary of state before the Civil War. Webster's words were, "The people's government, made for the people, made by the people and answerable to the people."

It was later repurposed by the abolitionist minister Theodore Parker, who talked about a "government of all the people, by all the people, for all the people."

Even Lincoln himself is said to have used a version of the phrase in a letter 20 years before the address, Cornelius said.

Cornelius said the key to the power of this phrase is in its skillful use of repetition. The point of "people" is driven straight into your mind by its frequent mention. That's why so many people have recycled it over the years.

Fast-forward to today, and we're still sharing all the phrases above.

Cornelius said one can see the endurance of Lincoln's speaking legacy by taking a stroll into the Lincoln library's gift shop, where you can pick up your very own T-shirt with a Lincoln quotation on it. One recently released item has the whole text printed on it.

Lincoln's speech endures like few others, especially in our everyman-politician era. Maybe that's why people can't help but post the speech on social media, 150 years after the fact.

Why do you think the Gettysburg Address endures today, and why do some lines seem to resonate more with different places and groups in the United States? Share your thoughts in the comments below.

@highlight

President Abraham Lincoln delivered Gettysburg Address at turning point in Civil War

@highlight

Meant to mobilize nation in time of crisis, speech went viral in its day

@highlight

In modern times, entire speech is shared on social media and some parts more than others