Bhutan is mourning the loss of Wangdue Phodrang Dzong, a four-century-old architectural wonder that had dramatically stood on a ridge at the confluence of two rivers before it burned to the ground over the weekend.

A gateway to eastern Bhutan, the dzong was built in 1638 by the nation's founder, Zhabdrung Ngawang Namgyal, and was among several fortress-monasteries constructed to help gain control of -- and unify -- the country.

"The entire society has solidarity for the loss of one of the most important and oldest fortresses in our country," said Home Minister Minjur Dorji, who has been on the site for the last three days, in a telephone call.

King Jigme Khesar Namgyel Wangchuck and the queen have been there since the fire "trying to morally support the people," he added.

"It's not just a Bhutanese architectural loss but for the whole Himalayan region," Dasho Karma Ura, president of the Thimphu-based Center for Bhutan Studies, said by telephone on Tuesday before visiting the site.

"Something could not have been built like that anywhere else," he said.

The fire started Sunday afternoon and burned through the night, consuming the dzong, which not only housed temples but served as the seat of administration for the district.

Bhutan's Moving Gold: How water is powering the country

As news of the fire broke out, the king and queen rushed to the scene to oversee the firefighting effort. Most of the dzong's sacred relics -- hundreds of them -- were saved, many of them dating back to the 6th and 7th centuries, thanks to the Bhutan armed forces, said the home minister.

Some of the relics were carried out, while others were thrown in iron boxes from three- to four-story heights into the cactus below, he said, adding that some of the relics received minor but not severe damage.

Although an investigation is still under way, a short circuit in the wiring is believed to have caused the fire, according to the minister, adding that the dzong was 95% built of timber.

Dzongs have had a history of fires, he explained, noting that butter lamps had been the culprit in the past. "Today, it's modern facilities. We have electrified nearly all the dzongs, and short-circuits could come from poor quality of wiring. That's where we have our problems."

By Tuesday, only stones, which comprised the stairs before the dzong's entrance, remained of the dzong, according to the Bhutan newspaper, Kuensel, which reported that numerous administrative documents were lost. Bhutan had only just submitted Wangdue Phodrang for World Heritage List consideration in March.

No one was killed in the blaze, and all people have been accounted for, the home minister said, noting that Sunday had been a holiday, and that monks' residences were constructed outside the dzong.

In a message to fellow citizens published on Kuensel's website on Tuesday, Prime Minister Jigmi Y Thinley said that Wangdue Phodrong Dzong will be rebuilt just as the Paro Taktsang, nicknamed the Tiger's Nest, was after its own devastating fire in 1998. The Taktsang, he wrote, "is in fact more cherished and revered today because the fire awakened all of us to the fragility and vulnerability of this most precious heritage."

Finding happiness in mystical Bhutan

With its contours built into the ridge 1,350 meters (4,430 feet) above sea level, Wangdue Phodrang is inaccessible on three sides save for a narrow path in the front, Dasho Karma of the Center for Bhutan Studies pointed out. Its hilltop location overlooking the Punatsangchu and Dangchu rivers offered a military advantage -- and the same inaccessibility that was intended to ward off enemy attacks on Sunday hampered efforts by firefighters to put the blaze out.

Minjur Dorji said there was no financial estimate for the destruction of Wangdue Phodrang Dzong, which has been immortalized in art as well as in a Bhutanese ballad composed in the late 19th century. "Dzongs are priceless," he said.

"It is a big loss. Bhutan is a very small, tiny country. To reconstruct the same old structure at this point is going to be very difficult for our internal revenues to support."

Only Simtokha Dzong and Punakha Dzong, both completed in 1631 and also by Zhabdrung, are older. Punakha's dzong has itself weathered numerous fires, quakes and floods over the centuries and has been rebuilt many times.

This week's fire will prompt Bhutan to shift its policy to protect its centuries-old dzongs, the home minister said. Such policies would include ensuring a high quality in the electrification of the dzongs, adequate fire-extinguishing equipment, alternatives to timber which comprise most dzong construction -- and multiple exits.

"In fortified fortresses, there is only one exit. We need to have multiple exits so that lives are not lost," he said.

To observe a national day of tragedy, the home ministry declared all offices and schools across the country closed on Monday.

"It was one of the most magnificent sites of Bhutan -- that dzong," said Dasho Karma. "For me it was always an uplifting experience to come to view it. It was always a great esthetic experience to sit quietly at the point where you could see that dzong."

He hoped the king would rebuild the fortress, "which will inspire future generations ... in the same way that the founder of Bhutan did," he added.

'Endangered historic places' list includes Joe Frazier's gym, Ellis Island

@highlight

Prime minister says dzong, destroyed by fire on Sunday, will be rebuilt

@highlight

Dzong not only housed temples but served as administrative seat for district

@highlight

Most of the dzong's sacred relics -- hundreds of them -- were saved, home minister says

@highlight

King Jigme Khesar Namgyel Wangchuck and queen have been on scene since the fire