LONDON, England (CNN) -- The apocalyptic tales of nature's impending demise are as well worn as they are numerous.

Dr. Joseph Adelegan has pioneered new energy sources, including using cow waste to create cooking gas.

But while our leaders wrangle over quotas for  greenhouse emissions over banquets at lavish summits, there are remarkable individuals who are doing their small bit to prevent our planet from peril.

Take Nigerian civil engineer, Dr Joseph Adelegan for instance.

He firmly believes that the world's future fuel demands can be met through renewable energy.

And he is using increasingly innovative methods to achieve these results.

Three years ago Adelegan won plaudits for his "Cows to Kilowatts" project, which used effluents and waste products from abattoirs to produce cooking gas.

The project was a winner of the prestigious 2005 Supporting Entrepreneurs for Environment and Development (SEED) International Awards.

It is still going strong and being used to provide cooking fuel for nearly 6000 homes in Ibadan, southern Nigeria. Adelegan tells CNN there are now plans to roll it out across most of Africa, including Zimbabwe, Kenya and Egypt.

This time he's back with another groundbreaking idea to use waste from the cassava plant, a staple food of Nigeria, to generate electricity.

His project "Power to the Poor: Off-Grid Lighting from Cassava Waste in Nigeria," was awarded a $250,000 grant in May from the World Bank after being named one of the best projects in Africa.

According to Adelegan, Nigeria produces over 20 percent of the world's output of cassava, it is a $5 billion industry and provides the third largest source of carbohydrates for human food.

However, waste from cassava refining is a major public health problem in Nigeria, causing water pollution and emitting noxious greenhouse gases.

Through innovative biogas technology, zero emission bioreactors at specially constructed plants treat the cassava waste and produce biogas which drives microturbines for low cost, safe and reliable off-grid efficient lighting to thousands of rural homes.

Using this method, Adelegan says he hopes to generate 200kw daily, which will provide basic electricity for more than 2000 households initially.

He told CNN: "There will be four lighting points in their homes. We're thinking in terms of basic lighting, they will be able to use their TV, cassette player, that sort of thing, but it will not be able to power a refrigerator.

"These people currently rely on kerosene lamps that are very bad for emissions and pollution. We also plan to provide them with low wattage lamps that use just 5kw to bring down usage."

Through his not-for-profit organization-- Global Network for Environment and Economic Development Research)-- Adelegan has achieved the impressive feat of galvanizing the notoriously bureaucratic Nigerian government into action.

He told CNN that the governor of Kwara State, in northern Nigeria has donated a plot of land for the launch of the project, scheduled to start next month.

The scheme will cost $310,000 and will become profitable in little over three years, Adelegan says.

"This can never replace fossil fuels because of the huge demand we have for them, but we can help to reduce greenhouse emissions by creating alternative sources of energy," he said.

The Ice Man Cometh

In the furthest reaches of northern India, glaciers once stretched far down the mountains, now they are all but gone as global warming takes its devastating toll.

Hardworking but impoverished farmers in the Ladakh region have watched as their sole source of fresh water slowly melts away.

But one man is taking matters into his own hands. Enter Chewang Norphel, a softly-spoken but sprightly 72-year-old has created artificial glaciers and managed to generate water and greenery in this barren landscape.

Perched high up in the remote cold deserts of the Himalayas, Norphel has mastered the art of harvesting water by using just a few hundred meters of iron pipes and stone embankments.

"Fifty to sixty years ago, we used to have huge glaciers here, the retired civil engineer, told CNN. "They have been reduced now because of global warming and now they are on high peaks."

The idea of the 'artificial glacier' was born after he noticed that taps were left running in winter to stop the water from freezing in the pipes. The water then flowed into the drains surrounding the taps and froze.

"And it then occurred to me: 'why not try and make artificial glaciers in the winter?' So that local farmers get a real headstart when they need it most," Norphel says.

The result was a device which traps the waters which melt down the high mountains by turning them into chunks of ice.

The largest artificial glacier Norphel has built so far is near the village of Phuktsey. About 1,000 feet (300 meters) long, 150 feet (45 meters) wide, and four feet (1 meter) deep, it supplies irrigation water to the entire village of around 700 people.

For Norphel, there are several advantages of an artificial glacier over a natural one.

Firstly, it is closer to the village and at a comparatively lower altitude. Natural glaciers, on the other hand, are located way up in the mountains and they melt slowly in summer, releasing water to the villages quite late.

Now engineers from other mountainous regions in India and Afghanistan have visited to learn his methods. One artificial glacier costs just $7,000, compared to $34,000 for a dam. Only local materials are needed, and the villagers themselves can build and maintain them.

For his efforts, Norphel has been awarded the Far Eastern Economic Review's 1999 Gold Asian Innovation Award, twelve years after he created the first one.

However, he is frustrated at the lack of investment and funding to help modernize the design.

"The funding is not sufficient," he said. "We are getting very little amounts and we need a lot more. I hope to get more as this year I want to make two or three more glaciers, with a new design to improve the efficiency."

In 1996, one year after he had retired, Norphel joined the Leh Nutrition Project, a non-governmental organization, as project manager for watershed development.

"Watershed development is the only solution for Ladakh's rural economy. Otherwise, you will have rural folk flocking the city in search of jobs. And there are not many to go around," he says.

Do you have other examples of how people are using innovative ways to create renewable energy sources? Share your views and experiences in our sound-off box below.

@highlight

Individuals around the world are devising innovative ways to save the planet

@highlight

Joseph Adelegan has created fuels using cow waste and cassava plant

@highlight

Chewang Norphel is known as the "Ice Man" after creating artificial glaciers