(CNN) -- Coming home from Asia, Barack Obama is obviously going through another rough patch in his presidency. But this time, it could be more dangerous: He is perilously close to becoming a lame duck 33 months before he leaves office. That is bad for him, bad for the country and bad for the world.

The second term of a presidency often follows an arc. As Lyndon Johnson told his aides after his landslide victory in 1964, you've got about a year to get things done at home. And second-term presidents have often seized on those early months for domestic accomplishments. After that, Washington becomes mired in midterm politicking, and in your third year, people start looking over your shoulder at who is coming next.

With power seeping away at home, second-termers increasingly turn their attention overseas, where they can still get big things done as commander in chief of the most powerful nation in history. That's why presidents spend so much time on the road in their final years.

Obama's second term is a total aberration. Resisted by obstructionists among Republicans and plagued by his own mistakes, the first 12 months after re-election were a bust. Why he and his team didn't take more care in the rollout of the Affordable Care Act website will remain one of the great mysteries for historians.

But it has now become equally puzzling why he has not become more sure-footed in foreign affairs. He is one of the brightest men ever to occupy the office, and yet his learning curve has been among the flattest. Talking to players on the world stage -- most of whom still want him to succeed -- one finds them genuinely rattled, worried about a lack of national will and operational competence.

On the tail end of his Asia trip, Obama told the press that in foreign policy, he thinks a president hits mostly singles and doubles and an occasional home run. It was odd enough that given his huge power and influence, he thinks small ball. But he also raised the question: Why so long between home runs? When was the last one? Three years ago with Osama bin Laden?

Not to overdo his analogy, but the years since have brought a notable string of strikeouts. The administration would vigorously disagree, but just how much success can it genuinely claim in Syria, Egypt, Libya or even Iraq? Or the Russian reset? Or Ukraine?

The administration's increasing focus on Asia is a welcome move, but it too has gone less well than expected. Experts have long said that much of the success of the famous "pivot" will depend upon completion of the Trans-Pacific Partnership, the most important trade agreement in decades. To its credit, the administration has aggressively pursued the deal but to little avail. The President's trip to Tokyo revealed that the partnership is in serious trouble, mired down by domestic politics in both the U.S. and Japan.

Obama did provide much-needed assurances to Japan about American credibility as a military ally. Still, the facts remain that even as the U.S. cuts defense spending, China is boosting its defense budget by 12% and flexing its muscles off its shores. With nationalism on the rise across Asia and sparks starting to fly, who can be certain that America will be there to put out a fire?

The net result is of a president who sadly seems diminished both at home and abroad. He appears to have only minimal objectives with the current Congress -- passage of a higher minimum wage and pieces of an immigration bill -- and may not get either.

Most Americans still want him to succeed, but when television executives put him on the air, audiences often melt away. Even before the midterms, voters are looking over his shoulder at who comes next. "Waiting for Hillary" is a bigger story than "What Happened to Obama?" And there are few prospects for home runs overseas.

This is bad news and not just for the President's personal fortunes. America needs a strong, effective president year in, year out, to help propel us forward. Our success as a people has depended on our capacity to solve the problems of today so we can move on to tomorrow. The endless evasions and diversions are tying us in knots and draining our spirits.

The world needs strong, effective American leadership as well; for all our mistakes like Iraq, the U.S. is the one nation that still has the power to keep world order. But in the twinkle of an eye, we have gone from being indispensable to indisposed.

There is no obvious game plan for Obama to bounce back. It would help if he and his team promised less and delivered more. It would help if more Republicans put the country first. The White House must also avoid the clear danger of so eagerly wanting a big breakthrough -- say, in negotiations with Iran -- that it weakens our security. No deal is always better than a bad deal.

But mostly, the Obama team probably has to be patient. Fresh opportunities for leadership will come; they always do at the White House. And for all his troubles, the President retains enormous powers and public good will. It is in not in our national interest to have a lame duck for 33 months.

@highlight

David Gergen: Obama is experiencing another low point in his presidency

@highlight

He says there's a risk Obama could be seen as a lame duck for next 33 months

@highlight

Gergen: A second-term president still can be a strong leader, particularly overseas

@highlight

He says Obama shouldn't diminish the potential impact of his decisions