An Egypt-backed cease-fire between Israel and Hamas fell apart Tuesday as rocket attacks from Gaza were again answered by Israeli airstrikes.

The rocket attacks from Hamas militants in Gaza never ceased, Israeli officials said. For its part, Israel refrained from airstrikes for about six hours before announcing it was resuming them.

A CNN crew witnessed at least five Israeli strikes just as the announcement was made.

"Hamas closed the diplomatic option. We woke up this morning in the hope there'd be a cease-fire and, as you reported, Israel restrained from all our activities, all action against terrorists in Gaza for a full six hours. We gave this cease-fire our full support," Mark Regev, spokesman for Prime Minister Benjamin Netanyahu told CNN's "The Situation Room with Wolf Blitzer."

"But Hamas said no to everyone. Hamas said no to the cease-fire, both in word and in deed," Regev said.

The faltering of the cease-fire attempt means there may be little hope of seeing an end to the near constant exchange of fire that has so far killed more than 190 Palestinians in Gaza.

The first fatality on the Israeli side was a man killed Monday after being hit by a mortar shell, Israeli Rescue Services said. He was an Israeli volunteer who was at the Erez border crossing to deliver food to soldiers.

Israeli leaders had agreed to the cease-fire, but from the outset warned it would be short-lived if the attacks from Gaza didn't stop.

The Israeli Security Cabinet met early Tuesday morning and decided to halt aerial strikes beginning at 9 a.m. (2 a.m. ET). It resumed strikes about six hours later, by 3 p.m. (8 a.m. ET).

Gaza crisis: Who's who in Hamas

The barrage from Gaza continued, with more than 140 rockets fired from there since early Tuesday -- or one rocket every six minutes -- according to the IDF.

"Hamas have decided to continue, and will pay the price for that decision," Netanyahu said Tuesday.

His Security Cabinet met again late in the day for emergency talks.

The Egyptian plan calls for all sides to cease hostilities in Gaza. It also calls for the opening of border crossings, once the security situation is stable, and for high-level talks among those involved.

"The achievement of the success of this Egyptian effort is a must for all of us," said Palestinian negotiator Saeb Erakat. "It's an interest for all of us, and if we allow things to deteriorate I think it's going to be a disaster all over."

He continued: "Failure is not an option here."

When the plan was announced, there was a split reaction from Hamas. Its military wing rejected any possibility of a cease-fire, while its political wing had said it was considering it.

Ismail Haneyya, deputy chairman of Hamas' political wing, said at the outset of the Egyptian efforts that there is a bigger issue than a cease-fire for Palestinians.

He said that what Palestinians really want is an end to the Israeli blockade on Gaza that is suffocating the daily lives of the 1.8 million Palestinians living there.

Haneyya, speaking on Hamas-owned Al Aqsa TV, also accused Israel of not freeing Palestinian prisoners from Israeli jails, as had been agreed to under an earlier truce. These, he said, are elements the Palestinians would like to see in a comprehensive cease-fire agreement.

Hamas spokesman Osama Hamdan later stressed that Hamas never received the proposal through political channels.

"We are still working with Egypt. We are still talking to other sides," he told CNN.

"I believe a proposal is supposed to be prepared after the sides agree on it.  It's supposed to be published if two sides give agreement on it. You can't publish it in the media and then ask everyone to accept that or reject that."

Asked why Hamas won't stop firing rockets while talks are ongoing, the spokesman replied: "We are not the side who is killing the other side. We are are the side being killed."

Trapped in war: 'This is tyranny'

Civilian casualties

The stakes are high and climbing.

By Tuesday, the death toll from a week of Israeli airstrikes on Gaza had reached 194, with at least 1,400 wounded, according to Palestinian health authorities.

The toll is now greater than the number of people killed in Gaza during the 2012 conflict between Israel and Hamas.

The United Nations has said that most of the people killed by Israel's aerial attacks are civilians.

"I urgently call on the Israeli Security Forces to put an end to attacks against, or endangering, civilians and civilian infrastructure which are contrary to international humanitarian law," said Pierre Krahenbuhl, commissioner general of the United Nations Relief and Works Agency for Palestine Refugees, or UNRWA.

There are now 17,000 refugees taking shelter in 20 schools in Gaza, UNRWA said, and the airstrikes have damaged 47 of its buildings, including clinics, schools and warehouses.

The Israeli military says it uses a variety of methods, including phone calls and leaflets, to warn civilians of impending strikes.

"As part of our effort to avoid harming civilians, we are sending messages to residents of northern Gaza to leave homes for their own safety," the IDF posted to Twitter late Tuesday.

But UNRWA called on Israel to exercise maximum restraint and precautions to avoid more casualties.

"Clearly, at this stage not enough is being done in that regard," Krahenbuhl said.

Israel Defense Forces spokesman Lt. Col. Peter Lerner accused Hamas of holding the people of Gaza hostage.

"They are using and abusing the houses, the infrastructure there, in order to carry out these attacks. We really don't have any other choice," he said.

Hamas on Tuesday closed a crossing between Gaza and Israel but allowed 25 Palestinians -- some of them needing medical attention -- to cross into Israel at Erez.

The border crossing at Erez was closed not as punitive measure, but because the Gazan side has been targeted in airstrikes, said Maher Abu Subha, the head of the committee for border crossings in Gaza.

Employees at the crossing have been targeted three times in three days, and it was closed out of fear for the lives of the workers, he said.

The crossing can be reopened quickly if Israel can guarantee the workers' safety, he said.

Kerry delays trip

U.S. Secretary of State John Kerry was preparing a possible trip to the Middle East to lay groundwork for a cease-fire, but he postponed the visit to give Egyptian efforts a chance to take root.

One official said the United States wants to give Egypt a chance to reassert itself as a power broker in the Middle East, as it did during the 2012 cease-fire.

Kerry continued to follow that line Tuesday.

"The Egyptian proposal for a cease-fire and negotiations provides an opportunity to end the violence and restore calm," Kerry said from Vienna, Austria. "We welcome the Israeli Cabinet's decision to accept it. We urge all other parties to accept the proposal."

Kerry strongly condemned the rocket launches by Hamas in the face of the cease-fire plan, and said he is prepared to fly to the Middle East as early as Wednesday, if needed.

The current Egyptian President, the ex-military chief Abdel Fattah el-Sisi, has weaker relations with Hamas than former President Mohamed Morsy, who brokered the 2012 deal. Morsy was ousted by the military in 2013.

Palestinian Authority President Mahmoud Abbas will travel to Egypt on Wednesday to meet with the President and to discuss a possible cease-fire, the official Palestinian news agency WAFA reported. Abbas also is scheduled to visit Turkey.

Earlier, Kerry spoke by phone with Netanyahu and expressed U.S. concerns about escalating tensions. He reiterated that the United States is prepared to help bring about a cease-fire, a senior State Department official said.

But "offering facilitation is not enough," Yousef Munayyer of the Washington-based Palestine Center told CNN's "New Day."

"It's important that the United States demand a cease-fire," he said. "There is no military solution to this."

Pope calls for Middle East cease-fire

Fear for daughter's Gaza border wedding

Opinion: A smart way out of the Gaza confrontation

@highlight

"Hamas closed the diplomatic option," says spokesman for the Israeli PM

@highlight

A spokesman for the military accuses Hamas of holding the people of Gaza hostage

@highlight

"We are not the side who is killing ... We are the side being killed," says Hamas spokesman

@highlight

The Gaza death toll is higher than the number of people killed there during the 2012 war