(CNN) -- Almost ten years ago to the day, the world watched aghast as scenes of carnage unfolded across the countries of the Indian Ocean.

The 2004 tsunami was one of the most devastating natural disasters in living memory and the donor response -- a huge outpouring of governmental and private support -- a heartening riposte to what was a hugely traumatizing event.

It has provided an ideal case study for disaster relief, and an Oxfam report, published today, examines the lessons that have been learned, as well as areas that the humanitarian relief sector still needs to improve upon.

Widespread disaster

The tsunami, which hit communities as far afield as Thailand, Indonesia, Somalia and Madagascar, was sparked by a massive, 9.1 magnitude earthquake which struck off the western coast of Northern Sumatra, Indonesia.

The immediate impact was devastation. A staggering five million people needed humanitarian assistance in the first few days following the incident.

The hardest-hit countries -- Indonesia, Sri Lanka, India and Thailand -- were among the poorest, and the disaster only compounded the developmental and societal issues those nations were already facing.

Unprecedented donations

Oxfam says the response to the humanitarian catastrophe was the "largest-ever privately funded response," with private donations making up 40% of all money raised -- an impressive $5.4 billion, which came close to matching government donations of $6.4 billion. A further $2 billion of disaster relief funding came in the form of loans and grants.

Oxfam itself raised $294m for the tsunami relief effort, with over 90% of its funds coming from private donors.

Jane Cocking, Oxfam's Humanitarian Director told CNN it was largely the "absolutely horrific" scale of the tragedy that brought out peoples' generosity. "People automatically empathized, they came out of the blue and just wanted to help."

"All the things that come together to ensure that people do connect were all there -- it was a natural disaster (as opposed to a man-made humanitarian crisis), it was enormous, completely unexpected," she said.

Multinational assistance

Oxfam sent aid to seven of the worst-affected countries and continued to provide assistance well after the initial relief effort.

The scale and effectiveness of the relief operation meant many of the countries were able to return to some semblance of normality a few short months after the disaster had such a widespread impact.

In the wake of the disaster, badly-hit regions opted to "build back better," creating solid infrastructure better able to withstand earthquakes and tsunamis, and investing more in emergency education and evacuation procedures.

But the speed and level of funding for the disaster was unprecedented, and in itself almost overwhelming; like other nongovernmental organizations (NGOs), Oxfam soon halted fundraising for the disaster, urging the public to donate to other, less-well publicized emergencies by mid-January 2005.

Lessons learned

The charity says that one of the key lessons learned from the tsunami and its aftermath is that humanitarian funding needs to become more equitable.

Pooled funds, Cocking says, allow agencies like Oxfam to use donations for humanitarian crises which are equally important, but perhaps not as high impact.

"There is simply not enough money going into the humanitarian system," Cocking says. "Having donations spread out enables impartiality -- people in South Sudan have as much right to aid as a person in the tsunami. For us to be able to allocate our funds impartiality allows us to deliver our funds in a more equitable way."

The tsunami was one of the first disasters to be extensively captured on camera, and the extent of media coverage makes a sizable difference to the public -- and governments -- opening their wallets, Oxfam says.

Windows into the disaster areas

Indeed, how the media has changed in its representation of natural disasters in the decade between 2004 and 2014 largely comes down to the growth of social media and access to camera-equipped mobile devices, Cocking says.

"The expansion of the number of people who have access to mobile technology focuses it on experience of the individual. In the 1990s [humanitarian crisis survivors] depended on organizations like Oxfam to get the word out, but not so much any more. Now it is much more personal."

Oxfam's report also highlights the importance of coordination; in 2004, the lack of a unified plan meant that efforts were scattergun, and often involved NGO workers operating outside of their main areas of expertise. Oxfam notes that "close to 200 international NGOs (were) operating in (Indonesia's) Aceh province alone."

Inequalities exacerbated

The charity says that, in the aftermath of the tsunami, it learned a great deal about inequalities exacerbated by the onset of natural disasters. Women, it concludes, are more likely to die in such circumstances, a state of affairs compounded by poverty.

Recruiting more female relief workers, especially at the coordination level, providing safe shelter and toilet facilities for women, and "prioritizing livelihood activities for women as well as men," can reduce this disparity, the report recommends.

Having experienced the full brunt of a disaster of this magnitude, the affected countries have been urged to "build back better," enhancing their own preparedness to lessen the impact of future events.

While the idea of a repeat of a natural disaster of this magnitude is unsettling, it is heartening to know that the lessons of 2004 have been digested and those aid-givers better equipped as a result.

@highlight

2004 Indian Ocean tsunami was one of the most devastating events of recent times

@highlight

Disaster spurred unprecedented levels of giving

@highlight

Oxfam report examines what the humanitarian sector has learned from it, 10 years on