(CNN) -- Stereotypes can rumble around in our collective brains for decades, sometimes centuries, before finally being edged out by a more nuanced understanding of reality. It's been that way with our views about race, creed, sexual orientation and gender roles.

The Justice Department's announcement this week that it has changed the definition of rape to include men is one such step on the long road to better understanding.

The last few years have seen a growing shift in the way men are perceived, under the collective weight of celebrity bad boys, stay-at-home dads, written scholarship on the supposed "end of men," an epidemic of male incarceration, two decade-long wars fought mostly by men and a nascent men's movement that is not about proclaiming male power but male capacity for depth and goodness.

We see men rejecting the stick-figure representation of manhood that gets played out in People magazine. We've gone from "Mad Men" to "Men of a Certain Age" in no more than a couple of TV seasons.

At the front line of this transition is men's understanding of what it means to be a victim. Historically, rape has been viewed narrowly as a crime against women. When I interviewed the first victim to come forward in the Catholic sex-abuse scandal in Boston, he legally wasn't talking about rape. Nor were the countless other men we have featured on The Good Men Project who have been sexually assaulted.

Why? Because of the belief that real men don't get raped.

But in fact they do. What we know from working with thousands of men in our community of readers and writers is that men are often ashamed to come forward and say they were raped.

As the victim in Boston told me: "I don't think that people in general realize the long-term effects that it has on people. I think some people think just, OK, that happened 20-40 years ago. Buck up, things happen. Be a man."

For some victims of male attackers, homosexual rape adds a layer of shame and confusion to the violent trauma itself.

Then there is the misperception that men's sex drives are so high that they "must have liked it" when forced to have sex with a woman or even another man. There is a completely antiquated and inaccurate assumption around male sexuality and how damaging forced sexual contact is no matter who you are.

Without acknowledgement that rape of men exists, there is less help and support for them to overcome the trauma.

The very reason for the Justice Department's decision is to more accurately count rapes and to better allocate government resources, which up until now did not include programs to help male rape victims.

Sexual abuse often follows a tragic pattern in which a victim, if left untreated, ends up becoming an attacker. The fact that so many rapists were themselves abused doesn't excuse their behavior. But as a society we have to break the silence about victims to break the cycle of abuse.

Clearly, there are still far more women who are raped than men.

But justice is no zero-sum game. Acknowledging male suffering doesn't diminish the need to stop sexual violence against women. It just sheds a stereotype that no longer serves men or women. For men to be thinking hard about how to be better fathers and husbands can only benefit women, as can the acknowledgment that men are all too often victims of rape.

The opinions expressed in this commentary are solely those of Thomas Matlack.

@highlight

Thomas Matlack: Justice Dept.'s including men in definition of rape challenges stereotypes

@highlight

He says this reflects a growing shift in perceptions about men, in media and the social realm

@highlight

He says the priest abuse scandal has helped confront the reality of victimized males

@highlight

Matlack: Rape of men must be acknowledged for men to be given help overcoming trauma