(CNN) -- Germany's government has asked America's top spy chief stationed in the country to leave.

It's a punitive gesture usually reserved for adversarial nations in times of crisis and only very rarely for an ally, particularly a very close one.

But allegations of American spying have seriously injured German trust, Chancellor Angela Merkel has said. And it's time for a reset.

Germany let loose the diplomatic slap, reminiscent of a Cold War rebuke, after news of two new possible U.S. espionage cases broke back to back in a week's time.

Two Germans -- one working at a German intelligence agency, the other in the Ministry of Defense -- are suspected of spying for the United States.

Local media report that both cases involve stolen official German documents.

The U.S. official shown the door is based in Berlin at the U.S. Embassy, which followed up on Friday's announcement with a note to journalists:

"The U.S. Embassy has seen the reports that Germany has asked the U.S. Mission Germany's intelligence chief to leave the country. As a standard practice, we will not comment on intelligence matters."

A German official confirmed that person was the CIA's station chief and that the agency's director, John Brennan, has talked multiple times with his German counterpart.

'So much stupidity'

Top German government officials have candidly spoken about the decision to expel the U.S. official as they poured their disappointment over alleged U.S. spying into microphones and cameras for days.

Most pointedly, Finance Minister Wolfgang Schaeuble casually described the alleged U.S. actions as "daft" before a television talk show audience. "One can only cry over so much stupidity," he said.

He based his remarks on the essential value of Germany's cooperation with U.S. intelligence agencies to fight international terrorism and complained that spying spoils the relationship.

Legal action

The latest allegations weigh densely on ties already burdened since Edward Snowden leaked indications that the National Security Agency tapped into Merkel's own cell phone.

They have seemingly undone any of Washington's diplomatic smoothing over previously alleged NSA intrusions.

One of the new cases has landed on top of an existing investigation on federal prosecutors' desks into the possible spying on Merkel.

The NSA scandal has also prompted prosecutors to set up a new special committee to investigate and criminally prosecute cyberspying by foreign intelligence.

Merkel deferred to the pending results of those investigations, but it didn't stop her from expressing on Thursday the disappointment she feels over the suspected acts.

"From a common sense standpoint, in my opinion, spying on allies is, in the end, a waste of energy. We have so many problems, and we should, I find, concentrate on the essentials."

ISIS, Syria, terrorism -- all take priority over spying on each other, she said. And trust between allies is vital.

Privacy is sacred

To understand Germany's particular hurt over spying allegations, one need only to look at the country's history in the 20th century, when oppressive fascist and communist regimes spied on citizens in order to persecute them.

During the Cold War, high-level spy scandals stoked division between then divided democratic West Germany and communist East Germany.

The scandals triggered government shakedowns and deep public outrage in the West.

As a result of the Nazi past, democratic, postwar Germany has instituted very strict privacy laws that prohibit government agencies, companies and private individuals from gathering or passing even simple information about citizens without their express consent. Or in criminal cases, without probable cause.

Data protection is so sacred in Germany that advertisers there are prevented from profiling prospective consumers.

Top U.S., German diplomats to meet

Amid the new allegations, the top U.S. and German diplomats are expected to meet in Vienna, Austria, this weekend during multination negotiations about the future of Iran's nuclear program, a senior U.S. State Department official said.

While the official said U.S. Secretary of State John Kerry and German Foreign Minister Frank Walter Steinmeier will touch on topics such as the Middle East and Ukraine, it'd be hard to imagine the two ignoring the spy issue.

Across the Atlantic in Washington, the new allegations have also raised the eyebrows of some elected officials.

"I am concerned that we are sending the wrong message to a key ally," said Democratic Sen. Mark Udall of Colorado.

Otherwise, administration officials have countered their German counterparts' candor with lips as sealed as those at the U.S. Embassy in Berlin.

White House spokesman Josh Earnest declined to comment on the reported intelligence activity as a matter of policy, to protect American national security and "intelligence assets."

"I'm not going to have anything more to add on that front," State Department spokeswoman Jen Psaki told a journalist who asked if reports of Germany booting the U.S. intelligence official were true.

German journalists who contacted Washington officials for comment on the cases, when news of them first broke, reported receiving e-mail replies containing only two words, which they included in their articles in the original English:

"No comment."

Germany calls in U.S. ambassador over new spying allegation

Germany investigating alleged U.S. surveillance of Merkel's phone

India summons U.S. diplomat over report of NSA spying

CNN's Evan Perez contributed to this story.

@highlight

Leading German officials openly express disgust over new spying allegations

@highlight

The finance minister calls alleged U.S. spying "daft," says it makes him want to cry

@highlight

Allegations of NSA spying trigger special prosecutors' panel on foreign cyberspying

@highlight

The new allegations land on top of an investigation into NSA spying on Chancellor Merkel