(CNN) -- Have you looked at the Middle East lately? It's a giant mess, with civil wars, massive popular protests, cross-border fighting, armed insurgencies, exploding car bombs and on and on. And that's just in the past few days.

The Middle East refuses to acknowledge that the United States has decided to pivot toward Asia. It refuses to step out of the spotlight.

What we see today is proof that long-standing notions about the region -- the old conspiracy theories, the oversimplifications -- were just not true. Claims that the world paid attention to the area only because it had oil or that the key to every single problem in the Middle East involved Israel have been proved wrong.

The Middle East still monopolizes the attention of diplomats, forces military experts urgently back to their drawing boards, keeps world leaders awake at night and would do so even if it did not hold a drop of oil or if the Arab-Israeli conflict did not exist.

Why?

The Middle East stands, as it has for centuries, at the center of historical currents and conflicting ideologies.

What goes on there reverberates across national borders and leaps over oceans. When (most of) you attend religious services on the weekend or when you take off your shoes before boarding an airplane, you do it because of an idea that was born in the Middle East.

The region is in crisis because it suffers from endemic corruption, poor governance, discrimination against women and serious economic problems.

Rival philosophies are battling for the future -- Shiites competing with Sunnis, advocates of democracy challenging dictators, Islamists trying to overpower pluralists and Christians concerned over their future. Those are just a few of the ingredients fueling the conflicts.

Democracy supporters may have become more muscular, but other determined fighters aspire to create profoundly anti-woman, anti-liberal and anti-American states. The implications of those beliefs will become evident as history unfolds.

For America, the full pivot will have to wait.

Consider the recent fighting in Gaza, dramatic developments in Egypt, slaughter in Syria, multiple bombings in Iraq, or the Palestinian bid at the United Nations.

On the front burner:

Egypt

The streets of Cairo are boiling with rage against President Mohamed Morsy, who stunned the country -- and the White House -- when he announced he was taking powers in what many view as a return to dictatorship. Protesters worry about a creeping power grab by the Muslim Brotherhood. One respected Arab observer compared Morsy to Iran's Ayatollah Khomeini. Morsy insists his move is necessary and only temporary. Eventually we will find out who is right.

The answer will help set the future of democracy in the Arab world, where Egypt leads in ideological, political and cultural trends. That's why when Egyptians picked up the flame from a popular uprising in Tunisia two years ago, every dictator in the region trembled. Every Western capital had to review its strategic alliances.

Iran

The United States might want to focus on Asia, but it cannot stop worrying about Iran. Some will insist the concern is about oil, but the U.S. could still buy oil from a nuclear-armed Iran. Obama, and the world, fears Iran's nuclear program will trigger a nuclear arms race in the most politically unstable part of the planet.

On Wednesday, the head of Iran's Atomic Energy Organization vowed that Iran will accelerate enriching uranium, despite harsh international sanctions. Separately, U.S. officials told CNN that Tehran is already finding ways to ship weapons to the Palestinian Islamist group Hamas in Gaza, just days after the U.S. helped broker a cease-fire between Hamas and Israel.

Israelis and Palestinians

This conflict remains a neuralgic point in the region and a challenge to American influence. Hamas vows to destroy Israel, while the Palestinian Authority refuses to sit down for talks, laying the blame at Israel's feet. Defying Washington's wishes, the authority took its case to the U.N. General Assembly on Thursday, where an automatic majority of Arab, Muslim and Non-Aligned Movement countries guaranteed a positive response to its upgraded status request.

The move unhelpfully delinks the process of gaining statehood from the need to reach a negotiated peace.

Syria

In Syria, some 40,000 men women and children have died in the country's civil war. The rebels are making gains in their very worthy cause of overthrowing the repressive regime of Bashar al-Assad. But the West, including the United States, worries about what might come after al-Assad's fall.

The opposition includes progressive advocates of democracy, but it also counts all manner of other ideologies, from mild Islamists to extremists who would like to see Syria as part of a supranational Islamic caliphate. Washington looks confused about what to do, but it cannot afford to ignore what is happening.

It would be nice if the American president could decide which regions will command his attention.

But this is the Middle East, and like it or not, it promises to remain at or near the top of the agenda.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: Obama trying to pivot to Asia, but Middle East chaos stays center stage

@highlight

Why? She says region long at the center of historical currents and conflicting ideologies

@highlight

There's a battle for the future in Egypt, Iran, Syria, Israel and with the Palestinians, she says

@highlight

Ghitis: Fight is dictators vs. democracy; pluralists vs. Islamists; women don't fare well