(CNN) -- Like many big cities in America, Atlanta is surrounded by a circular highway that connects with various freeway arteries that go through the downtown area. Weekday mornings and early evenings, no matter which highway you're on, or what direction you're going, you'll likely end up stuck in some hot traffic hell.

Dana Jones, 26, used to drive from the south end of the city by the airport to a northern suburb at peak commuting times, right through the daily mess.

"There were so many people out," Jones says. "You get road rage because nobody will let you in; nobody will merge right. It's just aggravating."

Despite the perils of a long commute, most people in the United States drive to work, according to the American Community Survey (PDF). In fact, more than 75% of Americans make the trek to work alone.

The stress of waiting in gridlock can get intense if you're in a hurry, leaving you feeling frustrated and anxious about the traffic. That stress can translate into deeper health hazards. Try to distract yourself with your smartphone, and you can put yourself and other drivers in even more danger.

Longer commutes may steal health and fitness

Road rage: An 'emotional spin cycle'

LeeAnne Minnick was sitting in gridlocked traffic, waiting to get on an on-ramp, in a line of cars that had pulled over to let an ambulance pass. Suddenly, another driver darted out behind Minnick to tail the ambulance, taking advantage of the cars that had been moved, to enter the freeway.

"That incensed me," says Minnick, who makes a lengthy commute from Athens, Georgia, to Atlanta -- about a 70-mile trip -- three days a week. "I immediately flew into a rage over it."

That happened a couple months ago, and Minnick still sounds irritated when she describes it. She doesn't act aggressively toward other drivers, but she does get bothered by disrespectful behavior on the road.

It's easy to get lost in a cycle of emotions where you're talking to yourself and ruminating about traffic situations, says Leon James, professor of psychology at the University of Hawaii and co-author of "Road Rage and Aggressive Driving."

"Impatience, if you don't handle it at the beginning, tends to turn into resentment and anger," James says.

The back seat of the car is what James calls the "road rage nursery." It's where kids hear their parents cursing out other drivers and expressing their disbelief about everyone else's poor skills on the road. Children learn the culture of aggressive driving in this way, he says.

"We use it as an opportunity to disrespect everything and say bad words that we would be shocked to say in any other place."

Another problem is that after a bad commute, people tend not to let it go, James says. They walk into the office and complain about their experiences, which leads to entire conversations about bad traffic and bad drivers. This venting may feel good in the moment, but it reinforces the emotions for the next driving trip, he says.

James' solution: Monitor your traffic emotions. You might try keeping a diary of how you feel every day after your commute, or just keep a mental note about your state of mind. What are your negative thoughts while on the road? Are they justified?

Confronting your internal dialogue about commuting frustrations may help. You may realize that your negative thoughts may not be proportional to the offenses you perceive from other drivers.

James recommends asking yourself: "Am I the kind of person who thinks these things about people?" and "Is this the kind of person I want to be?"

Suicides outpace car crashes as leading cause of death from injuries

Stress: When driving kills slowly

Traffic situations may trigger in us primal instincts that evolved in humans to promote survival, so that we can protect ourselves against threats, experts say.

The "aggressive, combative, competitive frame for driving" may be linked to our evolutionary past, but it could have implications for cardiovascular disease, says David Strayer, a psychology professor at the University of Utah.

In one experiment, Strayer and colleagues ran a simulation where people drove under the assumption that they were late to a meeting, and there was a financial incentive to get there before other people. One group drove in high-density traffic, another had an easier traffic environment. Some people were told there was a time limit.

Men more then women got into aggressive driving mode, showing an elevated blood pressure when under pressure to weave their way through heavy traffic. In general, both men and women who adopt an aggressive driving persona seem to show this, Strayer says.

"In the simulator studies we've done, they'll actually start driving by cars and flipping them off and honking at them," Strayer says. "That's just a computer, a computer rendition!"

Long-term stress increases the risk of cardiovascular disease, he says. Research on the precise level of cardiovascular risk is limited, but recent data doesn't paint a flattering picture for the vehicular commuter.

A 2012 study in the American Journal of Preventive Medicine found that the farther people commute by vehicle, the higher their blood pressure and body mass index is likely to be. Also, the farther the commute, the less physical activity the person was likely to get.

Experts recommend making the extra effort to avoid peak driving hours. You may even end up getting home at the same time as if you had left earlier.

"Maybe it is better off to say, 'I'm going to put the radio on a station that's nice, and kind of chill out for the 30 or 40 minutes, rather than aggressively try to get home and beat everyone else,'" Strayer says.

Distractions: When driving kills quickly

People get bored while driving for a long time. They want something else going on while they're just looking at cars crawling around them. But some forms of entertainment are far more dangerous than others.

Strayer and colleagues used a driving simulator to look at just how distracting technology can be in the car. A 2008 study from his group, published in the Journal of Experimental Psychology: Applied, found that people made more errors driving while talking on a cell phone than while chatting with another passenger.

The impact of those errors is more than you might imagine. The researchers showed in a 2006 study (PDF) that talking on a cell phone, in terms of how it impairs driving, is comparable to a blood alcohol level of .08, which is the legal limit in the United States.

About one in three fatalities on the road can be linked to some kind of distraction; some estimates put this figure even higher, Strayer says.

Distractions in your car can slow everyone else down, too, Strayer says. Computer modeling shows that if one car is not keeping up with the flow of traffic, the number of vehicles per lane, per hour, declines as more drivers are distracted. That can add precious minutes onto the commute you're complaining is too long anyway.

We all know that texting while driving is risky. But even hands-free, voice-activated interaction with phones can be distracting, Strayer says. Some conversations are not mundane -- you may find yourself in a heated argument or in the middle of a breakup talk (not to mention a breakup text).

What are the precise demands on your brain with voice-activated systems and what are the consequences of that? Bryan Reimer, research scientist at the MIT AgeLab and associate director of the New England University Transportation Center, is looking into this question.

Reimer is working with Toyota's Collaborative Safety Research Center to study the visual and nonvisual demands of your attention while driving. Results should be out sometime next year.

"If you feel anxiety and your phone goes off, that's a problem," Strayer says. With all of the notifications barraging our smartphones from e-mail, text, social media and calendars, "It's a little unclear what long-term consequences of that are."

Changing your commute?

After several years, the daily drive to and from work in high-traffic areas can really get under some people's skin.

"It was something that was taking an enormous toll on my overall happiness, on my ability to deal with stress, on the amount of free time that I had," says Micah Puett, who used to live in Atlanta and worked for Turner Broadcasting in the 1990s.

It wasn't until Puett moved to Denver and found himself in a similarly perilous commuting situation that he realized how much the driving was affecting him. He made a bold choice: centralizing where he lives and works.

Puett now lives in a more urban neighborhood of Denver, where he can walk and bike around. In the warmer months, he'll ride a motor scooter, and two weeks might pass without him using a car. Since he is a contractor, Puett can be selective about which companies he works for based on travel time. (He'll accept longer commutes if they're short-term commitments.)

"Having lived the way I live now, you couldn't pay me enough for me to live out in the suburbs, or live anywhere, and commit to a 45-minute or hourlong commute every day," he says. "There's no amount of money that I would accept to do that."

But there are plenty of people who don't -- or can't -- draw that line. Ramona Patrick is the principal of an elementary school and drives 55 miles through Los Angeles to get to work Monday through Friday. She'll leave later in the evening to avoid traffic, but "your life is either on the road or at work."

And Minnick says she loves her job enough to make the trek from Athens three times a week. Podcasts and audio books help her get through.

"I would never say that this is fun," she says of her commute. "I feel like I've done a good job of making it more enjoyable. I'm really good at knowing what's going to make me happy for two hours."

@highlight

Despite the perils of a long commute, most people in the United States drive to work

@highlight

Impatience -- if not handled early on -- can turn into resentment and anger, experts say

@highlight

Long commutes linked to high blood pressure and higher body mass index, study finds