Seychelles (CNN) -- The pristine waters of the Seychelles, a glittering necklace of coralline and granitic islands scattered on the Indian Ocean, have long beguiled jet-setters and eco-conscious visitors from around the world, turning the idyllic archipelago into a popular travel destination.

But as well as boosting the tiny nation's tourism revenues, the high seas off the east coast of Africa have also helped create another strategic industry: fishing.

A major economic pillar, fishing is the second biggest contributor to the Seychelles' finances after tourism. Over the last two decades, the sector's products have accounted for more than 90% of the country's merchandise exports by value, supplying international markets with items such as canned tuna, also known as the Seychelles' "blue gold."

But in recent years, the fishing industry has come under severe threat as a result of the ongoing risk posed by Somali pirates roaming the waters off the Horn of Africa.

"It's a big problem," explains major Jean Attala, deputy operations officer of the Seychelles coast guard. "Anything that disrupts the tourism or fishing industry or the maritime equilibrium is a very big problem for us," he adds.

Read this: The global cost of piracy

To deal with the threat of piracy, the country's authorities had to change the way they manage their waters in recent years. As part of this increased security drive, the Seychelles coast guard has intensified its patrolling efforts, with fast-attack armed vessels monitoring a newly defined zone for fishing.

But there are just four such vessels in the Seychelles' entire fleet. It's a small nation in terms of landmass, but with its oceans, it is nearly twice the size of France. "This is not adequate to cover such a large area," says Attala. "We need more assets and build up more our capacity to deal with the issue."

Local fishermen are restricted from sailing beyond the designated area's perimeter, several dozen miles outside the main port.

Analysts say that fishing boats are of particular importance to pirates because they can be used as floating bases from which to launch further attacks.

But while the measure seems to be working -- there have been no successful attacks in nearly a year -- the restrictions on the movement of Seychellois fishermen has created another problem.

"There's no fish," explains local fisherman Patrick Pierre. "Every boat is fishing in the same place," he adds.

Pierre, who's been casting his nets for 12 years now, says his job was hardest during the worst period of the piracy -- in 2007 and 2008. Since then, the Seychelles has been at the forefront of the global fight against piracy but the new rules mean fewer fish and less money.

Latest African gold rush: Hotels

Joram Madnack is the general manager of the French-owned Indian Ocean Tuna, one of the world's largest tuna canneries and the biggest employer in the Seychelles. He says fish intake has fallen nearly 25% in the last five years.

"The impact has been on the price, which for some places has gone up by 70%-80% compared to 2007 prices," explains Madnack.

According to a recent report by the World Bank, piracy costs the global economy an estimated $18 billion a year. The increased costs come as shippers are forced to change trading routes, sending fuel bills soaring, as well as pay higher insurance premiums and security bills for guards on board.

But the threat of Somali piracy is also damaging the economies of neighboring countries, particularly in the key sectors of tourism and fishing. Since 2006, the year the World Bank report takes as the starting point of piracy, exports of fish products from piracy-hit countries have declined by 23.8%. In Seychelles, the impact has been even greater, with exports collapsing by nearly 30%.

"We now fish where we are allowed to fish," says Peter Sinon, the country's minister of natural resources and industry. "It has made the industry more costly in terms of going out there [and] be secure to bring in what usually was our daily supply of protein," he adds.

Watch video: protecting "blue gold" from pirates

And although many of the pirates have now gone, the fishermen say their industry still hasn't recovered.

For people like Pierre, the fight against piracy and the introduction of fishing zones has proven to be a double-edged sword.

The protection is still necessary, he says, acknowledging that today he is safer. Yet, he and other local fishermen miss the freedom to sail about and return with a big catch.

"Five years ago, there was a lot of fish," says Pierre. "We could go anywhere we wanted without the fear of piracy and everything."

Teo Kermeliotis contributed to this report.

@highlight

Seychelles' fishermen have been targets of Somali pirates

@highlight

Piracy forced authorities to introduce zones that restrict fishermen's movements

@highlight

Attacks have decreased, but restrictions hurt fishing industry