Cairo, Egypt (CNN) -- At least three people were killed and 174 injured during clashes in Egypt on Sunday, officials said, exactly one year after the country's first democratically elected president came to power.

Protesters took the streets, demanding the resignation of President Mohamed Morsy. His supporters also rallied at what were mostly peaceful demonstrations.

However, at least one person was killed in Bani Suef, south of Cairo, when fighting broke out between the two sides, said Health Ministry spokesman Yehya Moussa. Two others were killed in Asuit, he said. All three suffered gunshot wounds.

Many Egyptians worried about tensions leading to a dramatic showdown.

"Egypt is on the brink of a volcano," government-run newspaper Al-Akhbar said.

Anti-Morsy supporters divided

Anti-Morsy protesters have a wide range of views on why Morsy should go and how to eject him from office.

The Tamarod, or "rebel," campaign, a large movement led by opponents of the president, has spent months collecting signatures on a petition calling for Morsy to step down and call new elections. Organizers helped push for Sunday's protest.

But the opposition is made up of various groups and loose coalitions, and not all anti-Morsy protesters agree with the road map the Tamarod campaign is advocating.

Some anti-Morsy protesters are loyal to the ousted government of Hosni Mubarak, while others want the army to intervene and lead a transition similar to the revolt that removed Mubarak from power.

Applause greeted Egyptian military helicopters that flew over Cairo's iconic Tahrir Square midday on Sunday during protests.

Morsy's opponents stood their ground in the square, where protests two years ago helped topple Mubarak's 29-year rule. This time, they're hoping for the same fate for Morsy, as the chant most heard in the crowd was the word "leave."

Ordinary citizens fed up with fuel shortages, power cuts, a collapsing economy and rising crime have also joined the protests.

Opinion: Get ready for Egypt's 'second revolution'

Morsy supporters rally

Morsy's supporters, however, say the president needs more time to tackle Egypt's problems. Supporters gathered at the presidential palace in Tahrir Square and in Rabaa Al-Adawiya Square in Cairo's eastern suburb of Nasr City on Sunday.

A sit-in that started on Friday continued in Rabaa Al-Adawiya Square, where thousands of supporters gathered in support of Morsy.

Demonstrator Rifaat Ali traveled from Upper Egypt to the capital with a message to Morsy's opponents: "Our patience has run out. Either you back off, or the only thing left to do is attack with one fist."

The tensions weren't limited to Cairo. Protests also erupted Sunday in Suez, Sharqia, El Monofia and Gharbiya, the state-run Ahram news agency said. And in the port city of Alexandria, so many people turned out that traffic virtually came to a standstill.

Fears of more violence

Before the death reported Sunday, clashes had already claimed at least eight lives, including associates of the Muslim Brotherhood whose offices came under attack.

Andrew Pochter, a 21-year-old American in Alexandria to teach children English, was stabbed to death Friday while watching the demonstrations, his family said.

The Kenyon College student wanted to improve his Arabic before returning to the United States.

"He cared profoundly about the Middle East," his family said. Pochter was planning a career in the region in hopes of advancing the peace process.

An Egyptian man died from a gunshot wound to the head, the health ministry said.

Muslim Brotherhood under fire

The Muslim Brotherhood, whose leaders included Morsy before his election, has lost four members to violence in recent days.

On Sunday, a spokesman for the group said that its headquarters in Cairo fell under attack from between 100 and 150 "thugs." They threw stones and Molotov cocktails, spokesman Gihad Haddad said.

Police in charge of protecting the building abandoned it, he said.

Two people were shot dead Thursday when armed men attacked Muslim Brotherhood offices in Zagazig, Morsy's hometown, the spokesman said. The gunmen were shouting "Down with Morsy" during the assault.

State media reported that protesters demanding Morsy's ouster ransacked the city's offices of his Freedom and Justice Party, the Muslim Brotherhood's political wing.

Hamdeen Sabahy, a leftist former presidential candidate, said he and others challenging the Egyptian government "reject the violence ... and all the attacks on the (offices) of the Muslim Brotherhood or their party."

"Peace is our weapon," Sabahy said in a video message posted Saturday.

He urged his followers to continue their demonstrations nationwide, saying, "We are not fighting a rock, rather failing politics that do not meet the needs of the people."

Egyptian troops deployed to keep order after Brotherhood offices attacked

Economic woes

Since Morsy took office, Egypt's already sour economy has plummeted further as investors pulled out of the country, and tourism has dropped.

At the same time, crime in Egypt has spiked. Some are calling for a return to the law and order they knew under Mubarak's autocratic rule, carried out with the iron hand of the military.

Although Morsy gave a speech highlighting his achievements during his first year in office, opposition members said he did not address his shortcomings and called for snap presidential polls, a new government and constitutional amendments.

Army allowed to crack down

Last week, Defense Minister Abdel-Fattah El-Sisi said the army would, if necessary, "prevent Egypt from slipping into a dark tunnel of civil unrest and killing, sectarianism and the collapse of state institutions."

His remarks raised the specter of a return to the powerful role the military played in domestic politics under Mubarak.

But Morsy is not Mubarak. He was democratically elected. That fact should be respected, his supporters say.

A history of violent crackdowns

In the past year, about 80 people have been killed during protests and other political violence largely attributed to Egyptian security forces, Amnesty International said.

The United States has approved the departure of embassy and consulate employees and their dependents because of the unrest, a senior State Department official said.

The State Department warned Americans to cancel all but essential travel to or within Egypt.

About 200 U.S. Marines in Sigonella, Italy, and Moron, Spain, have been put on alert as a precaution, according to two Obama administration officials.

Ben Wedeman, Reza Sayah, and Salma Abdelaziz reported from Cairo; Holly Yan reported and wrote from Atlanta. CNN's Amir Ahmed, Sima Shelbayah, Greg Botelho, Elise Labott and Barbara Starr also contributed to this report.

@highlight

NEW: Three people are killed during Sunday clashes, a spokesman says

@highlight

The Muslim Brotherhood reports its Cairo headquarters fall under attack

@highlight

Large crowds of anti-Morsy opponents chant "leave" at protests

@highlight

"Either you back off, or the only thing left to do is attack with one fist," says a Morsy supporter