Kathmandu, Nepal (CNN)More than 4,600 people dead. More than 9,000 injured. Eight million affected across Nepal. One million children urgently in need of help.

Those are the startling numbers that indicate the scale of the devastation from the huge earthquake that struck the Himalayan nation on Saturday.

And some of the grim figures are likely to get even worse as hopes of rescuing any more survivors diminish every hour.

Heartbreaking scenes of suffering and loss are playing out across this shell-shocked nation as it reels from its deadliest natural disaster in more than 80 years.

As the country coped with the fallout of the quake, another natural disaster struck Tuesday afternoon in a popular trekking area north of Kathmandu, and up to 200 people were feared missing as a result of a landslide, a trekking association official said.

It happened around 4 p.m. in Langtang National Park, said Ramesh Dhamala, president of the Trekking Agents of Nepal. Laxmi Dhakal, spokesman for Nepal's Home Ministry, said  he was aware of reports about the landslide but wasn't immediately able to confirm details.

Quake relief efforts continued Tuesday, but officials warned that they were hampered by problems of getting aid into the country and then delivering it to some of the remote communities in desperate need.

In Kathmandu, a capital city of shattered temples and toppled houses, some people paid their last respects to loved ones taken by the quake.

By the Bagmati River, which winds through the city, more than a dozen funeral pyres burned Monday.

As workers stoked the flames for the Hindu cremation ceremonies, some mourners shaved their heads in a traditional show of mourning from children who lose their parents.

Alongside their father, two teenage brothers from the Gurung family, Ishan and Iman, said goodbye to their mother, Ishara.

"We never imagined this would happen to us. This much pain," said Ishan, the elder of the two.

Elsewhere in the city, many shaken residents are sleeping in the open. Some have lost their homes, others are afraid to stay in buildings that may be vulnerable to aftershocks.

Large encampments of tents have sprung up in open areas, including a wide space belonging to the military in the center of the city that is typically used for parades. One of the grand gates to the field is now just a pile of rubble.

Kisnor Raj Giri, a 22-year-old man from Kathmandu who lost members of his extended family in the quake, said he was too scared to return home.

He is camping out at the military grounds with thousands of others even though frequent rain has made the nights an ordeal.

"Many people are crying, sharing their hardships," he told CNN on Monday evening.

The elements showed no mercy to the homeless masses on Tuesday as thunderstorms rumbled over Kathmandu. More bad weather is forecast for the region in the coming days.

But in one piece of good news, Turkish and Chinese rescue crews helped pull free a 21-year-old man trapped under rubble near a city bus park in a 13-hour rescue operation.

Houses and families ripped apart by earthquake

The death toll has now climbed above 4,600 in Nepal, officials said Tuesday evening, as rescue and relief efforts continue.

Nepal army Lt. Col. A. J. Thapa told CNN's Sumnima Udas that the first 72 hours after the earthquake is the time when the most lives can be saved.

"This is not the time to rest and lament," he said. "This is the time to go out and save lives."

Thapa said an entire military post was lost during an avalanche.

"Remember we are not an outside force that has been parachuted into an area to help," he said. "We are victim ourselves. ... Despite the fact that soldiers have their families and houses are down, we are trying to build morale, maintain morale and help themselves."

Thapa said it was fortunate that the quake struck during daylight on a weekend.

"Children were not trapped in big schools somewhere and lot of people were outside because it was daytime," he said.

Dhakal, the Home Ministry spokesman, put the death toll at 4,620, while Nepal's National Emergency Coordination Center said the number of dead was 4,727. Both sources gave the number of people injured as 9,239.

Another 72 people died in India, while China reported 25 deaths.

Most of the casualty numbers in Nepal are believed to have come mainly from Kathmandu and the surrounding area. They are expected to climb as information emerges from remote areas.

"We have incomplete information, but we apprehend the death toll will go up," Nepalese Information Minister Minendra Rijal told CNN earlier on Tuesday. "We cannot say by how much exactly."

The news agency Reuters cited Prime Minister Sushil Koirala as saying that the toll could reach 10,000 and that the country was "on a war footing" in its rescue and relief work.

In a live, televised address to the nation, the Prime Minister said the country had been stunned by the disaster and announced three days of national mourning, starting Tuesday.

The government's first priority is to continue search and rescue operations and relief efforts, he said, as he thanked all those involved. Historic and religious monuments destroyed by the earthquake will be reconstructed in time, he added.

At least 90% of 96,000 Nepali army troops have been deployed in relief and rescue operations, according to Nepal army spokesman Jagadish Chandra Pokharel.

More than 15 countries and agencies have already promised help, Koirala said, as he appealed for other nations also to come to Nepal's aid.

Even as international aid pours into the country, overwhelmed hospitals are lacking vital medical supplies, people remain buried in the wreckage of buildings and rescuers are struggling to reach hard-hit rural areas near the quake's epicenter.

"The biggest problem is reaching these villages," Matt Darvas, an emergency communications officer for the humanitarian group World Vision, told CNN from Gorkha district, northwest of Kathmandu.

Nepal struggles to cope with international aid

Nepali Home Ministry Joint Secretary Sagar Mani Parajuli, who is coordinating relief efforts, said government efforts to get aid to remote areas had been hampered by rugged terrain and poor weather, which limits the use of helicopters.

"The helicopters are small. They don't fly in windy and cloudy conditions. Given Nepal's geographical terrain, we cannot use surface transport much but are using it," he said.

"We need 150,000 tents and tarpaulins, but we don't have enough of them."

Jamie McGoldrick, the U.N. resident coordinator for Nepal, told a news conference Tuesday that bringing in relief materials has been difficult because Kathmandu's international airport, which has just one runway and space for only a limited number of aircraft to park, is log jammed.

The United Nations is aware of the request for tents, he said, but is working to procure high quality ones to withstand the expected monsoon rains.

Of the 8 million people affected by the quake across 39 districts of Nepal, some 1.4 million need food aid, McGoldrick added. Nepal's population is about 31 million.

At an event in Paris, U.N. Secretary-General Ban Ki-moon expressed his condolences to the people of Nepal and called the humanitarian needs "huge and urgent."

"The United Nations is supporting international operations for search and rescue and strengthening relief efforts," he said. "I count on the generosity of the international community in Nepal's hour of need and the longer term rebuilding efforts that will be needed."

A CNN team that joined a Nepalese military helicopter flight to Dhulikhel, a rural area east of Kathmandu, saw extensive damage in the Kathmandu Valley from the air, including many landslides.

On landing, the team went to a hospital where all the injured from six surrounding districts are being brought. More than 1,000 people are currently in the hospital -- three times its usual capacity -- so some of the injured are being left out in the streets.

Social media posts from Nepal

Darvas of World Vision said he had been told of frightening levels of damage in villages in the region surrounding Gorkha district, which is near the earthquake's epicenter.

They included one where 35 out of 45 homes were destroyed and another where 70% of the houses had collapsed, trapping and crushing the people inside, most of them children and the elderly.

Even though aid groups and Nepalese officials are aware of critical situations in areas spread across Nepal's mountainous terrain, they face daunting challenges getting help to them.

"Some of those villages -- several years ago, before there was vehicle transport -- used to take seven days to reach. Roads are shut now to some of those villages, so we can only imagine how long it will take to get there," Darvas said Monday.

He said injured people who had been airlifted from some remote areas were often suffering from crush injuries, lacerations and dislocations.

Looking for missing loved ones in Nepal? CNN iReport wants to help

UNICEF, the U.N. children's agency, said Sunday that nearly 1 million Nepalese children urgently need assistance.

Aid groups and at least 16 nations rushed aid and workers to Nepal, with more on the way.

High-altitude rescue efforts have also been undertaken on the difficult terrain of Mount Everest, where the earthquake released deadly avalanches.

Four U.S. citizens are among those who died on Everest, according to officials and relatives.

Damage to climbing infrastructure on the mountain, not to mention the overall situation in Nepal, means the climbing season is over for the year, climber Jim Davidson told CNN from the Everest base camp, where he was evacuated after spending two days on the mountain.

China has canceled all climbs on its side of the mountain, the official news agency Xinhua reported.

Are you in Nepal or do you have loved ones affected? Please share with us if you are in a safe place.

How to help the earthquake victims

Fast facts on earthquakes

CNN's Ivan Watson and Tim Hume reported from Kathmandu; CNN's Jethro Mullen wrote and reported from Hong Kong, and Laura Smith-Spark wrote from London. CNN's Elizabeth Joseph, Pamela Boykoff, Manesh Shrestha, Sumnima Udas, Kristie Lu Stout, Anjali Tsui, Kunal Sehgal and Ingrid Formanek also contributed to this report.

@highlight

Death toll in Nepal climbs above 4,600, officials say, with more than 9,000 injured

@highlight

Shattered villages near epicenter are hard to reach, says aid worker in the area

@highlight

More bad weather is forecast for the region in the coming days