(CNN) -- Wednesday's decision by the U.S. Patent Office to repeal six federal trademarks of the Washington Redskins on the grounds that the name is "disparaging to Native Americans" is, of course, a victory for the Native American community and our allies.

Yet we have been here before.

In 1999, Suzan Shown Harjo, who is Cheyenne and Hodulgee Muscogee, won a battle against the Washington Redskins after a three-judge panel of the Trademark Trial and Appeal Board ruled against the team and removed its trademark protections. But that decision was later appealed and the ruling overturned, and the team regained its trademarks.

That is why today's decision is certainly worth celebrating, but not without a sense of hesitation. Should team owner Dan Snyder's appeal to the U.S. Patent Office fail, then we can celebrate even louder -- and even louder when the name is changed.

Still, Snyder's trademark attorney Bob Raskopf is adamant that the team will, again, emerge victorious and win its appeal.

"We've seen this before," Raskopf said in a press release on Wednesday. "And just like last time, today's ruling will have no effect at all on the team's ownership of and right to use the Redskins name and logo."

But what Raskopf hasn't seen before is a proliferation of voices opposing the team name.

Members of Congress, local D.C. officials, celebrities, media commentators and even former Washington Redskins like cornerback Champ Bailey have spoken out against the team name and urged Snyder to relent and change the name.

Bailey even likened the team name to the n-word.

"When you hear a Native American say that 'Redskins' is degrading, it's almost like the N-word for a black person," Bailey told USA Today Sports.

On Wednesday, Senate Majority Leader Harry Reid, speaking on the capitol floor in response to the trademark repeal, said, "This is extremely important to Native Americans all over the country that they no longer use this name. It's racist. The writing is on the wall."

The Washington team and the NFL, of course, realize the cancellation of the trademark protection hits them where it hurts -- their pocketbook, which was the whole point of the case brought by Amanda Blackhorse, a Navajo, who was one of five plaintiffs to contest the team's federal trademark protection. If the team won't change the name voluntarily then it will be changed by force, not unlike how the team was forced to integrate black football players in the 1960s.

Now, without trademark protection, anyone can make and sell Washington Redskins shirts, jerseys, hats and all manner of schwag without the legal muscle to hinder imitation Redskins products.

Yet this issue is bigger than the Washington Redskins. It's bigger than the slur alone. This is a campaign of dignity and humanity. The Washington team may be threatened by the very real possibility that it will have to change its name in the near future, but that doesn't let the Cleveland Indians off the hook, or the Atlanta Braves, for that matter.

But they're feeling the pressure, too. Native Americans also are working to remove the Cleveland Indian logo of Chief Wahoo.

This movement is about the dehumanization of Native Americans on every level -- not just in sports, but in media and Hollywood, as well. This is about respect and about the mental stability of our children.

Empirical study has proven that Indian mascots harm the mental health of Native American children. They report to have low self-esteem, a limited sense of social worth and do not believe they can accomplish as much as students from other racial and ethnic backgrounds.

These scientific studies do routinely fall on deaf ears, and somehow people, even prominent ones, continue to fight for the privilege to use the racial slur.

Al Michaels, the NBC Sunday Night Football sportscaster, recently defended the use of the name and called the controversy "nuts."

"I mean, for 70-some odd years this was a zero issue, and then it became an issue," he said. But that's not quite accurate.

Harjo and even the late American Indian Movement leader Russell Means fought against the name as well as all manner of Indian mascotry for decades. But with the continuing ubiquity of the Web and social media, the Native American voice has amplified.

Just because someone couldn't hear our elders in the 1960s and 1970s raging against the name doesn't mean they weren't responding to this form of racism as well as fighting for our rights as indigenous peoples.

I was asked recently why the mascot issue matters more than the epidemic of poverty on reservations. Or why we are bothered more by a word than the high school dropout rate of Native American students, which is the highest in the country.

It's not that names matter more, it's that when we talk about death rates, rape and epidemics in Indian country we don't always get a response. But when we interrupt sports? We always get a response.

Blackhorse, the plaintiff in the previous case, Blackhorse et al v. Pro-Football Inc., told USA Today what she would say to Washington owner Daniel Snyder.

"I'd ask him, 'Would you dare call me a redskin, right here, to my face?' " she says. "And I suspect that, no, he would not do that."

@highlight

Simon Moya-Smith wonders if the latest trademark ruling could be the beginning of the end

@highlight

But a similar 1999 ruling was overturned on appeal

@highlight

Without trademark protection, he says Redskins T-shirts and schwag could be freely sold

@highlight

Moya-Smith: Owners and some fans continue to fight for the privilege to use the racial slur