China will have a major leadership change soon when the current leaders, President Hu Jintao and Premier Wen Jiabao, bow out. In the post-Mao era, Chinese leadership change and power transition have become institutionalized and more predictable. That's until the somewhat unexpected Bo Xilai affair.

Although the sacking of the Chongqing leader -- in the wake of a murder investigation that implicated him and his wife -- revealed the startling degree of widespread corruption and abuse of power among high-ranking leaders, it also exposed the intense struggle among various ideologies of China's leaders and intellectual elites.

This is somewhat unprecedented.  After three decades of reforms, China's social economic landscape has been transformed. Short-term and long-term problems and challenges abound. While addressing such problems as inflation, the asset bubble, corruption and increasingly daring expressions of public discontent, China's leaders and intellectual elites are also searching for long-term legitimacy.

The challenge has become more pressing, as Chinese society gets wealthier and more restless after three decades of rapid economic and social change. China is in urgent need of a soul, a set of dominant ideas, as the efficacy of the Chinese Communist Party's official ideology -- emphasizing "harmonious society" and "scientific development" -- diminishes.

Despite the Party's calls to "speak with one voice," dissenting ideas and differences are being voiced and heard. Unlike the simple dichotomy of reformers and conservatives during the 1980s and early 1990s, today's sets of views on China's problems and its future have become more sophisticated and complex.

The increasingly intense debate now appears to have three strands: the neoliberal reformers who seek to liberalize the economic and political arenas and reverse the recent expansion of the state; the neo-Maoists who argue for strengthening the state and breaking what they see as a "state capitalist" alliance between the rich and the powerful; and the neo-Confucian traditionalists who bemoan the loss of a moral compass in a modernizing society and want to rekindle China's soft power in the world.

Dominating the debates and ideological clashes are the neoliberals and the neo-Maoists who occupy the leadership, while neo-Confucians, popular as they may be among some common folk and patriotic youths, have yet to find their strong advocates among top leaders.

Why you can't expect easy answers with new leadership

In a symbolic example of neo-Confucians' inability to gain ground, a giant Confucius statue was removed last year some 100 days after it was unveiled in front of the newly reopened National Museum of China in Tiananmen Square. The statue's appearance in such a prominent location caused an uproar among neoliberals, neo-Maoists and the intellectual elite.

In the competition for dominant ideas, Confucius -- whose school of thought has been touted as a call for Pax Cina ("Chinese peace") -- lost in the gigantic square that is bookended by Mao's iconic portrait and his mausoleum. (The statue now resides in the museum's sculpture garden, ostensibly for esthetic reconsiderations.)

The implications of this ideological debate are enormous and will likely determine the future of China.

The neo-liberals hold the free market and democracy to be universally applicable and deny the uniqueness of the Chinese experience. Their power base is Guangdong Province, where market reforms first served as a pilot test for the nation three decades ago. The provincial Party Secretary, Wang Yang, tipped for promotion to the Politburo Standing Committee, is widely regarded as a daring leader, willing to promote changes based on the market and open society principles.

Pursuing the notion of "fairness and justice," officials like Wang have won the backing of Beijing for emphasizing opportunities for the weak and underprivileged. Unlike leaders like Bo Xilai who used iron-fisted measures when dealing with social discontent, Wang has a reputation for listening to netizens, including their criticisms of the government. It is not surprising that some of the most liberal news media are based in his province.

On the other hand, Bo, who had been a contender for the Standing Committee until his downfall, had been known for advocating Maoist tactics, including mass rallies and anticrime campaigns to counter problems like organized crime and corruption.

His programs provided neo-Maoists, who oppose "westernization" and are critical of state-capitalist market reforms, with a rallying call for "common wealth and equality" at a time China is facing a widening wealth gap.

In a subtle rejection of the "fairness and justice" advocated by neoliberals, the neo-Maoists see the state as a beneficial force and the market as an evil one. To them, China is unique and cannot be remade into the West; they reject the idea of a universal model of development.  Bo's "Chongqing experiment" provided China's neo-Maoists with a set of ideas that could compete against the neoliberals' advocacy of the market and democracy.

Charming and media savvy, Bo had populist appeal that garnered local support, but a seeming return to the "redness" of the Maoist era caused a certain unease among Party officials, particularly liberal-bent elders.

His downfall has put neo-Maoists on the retreat, but there are signs they are ready to become vocal, as the new leaders take over.

Read about Bo being under criminal investigation

Behind the façade of unity that the Party has emphasized is a struggle not just for leadership positions but of ideas. This struggle will affect major policy decision making, including political reforms.

It is still too early to predict who will get into the top governing body of the Communist Party. But ideological orientation will surely be one of the considerations in the jockeying for power. As Hu's 10-year term comes to an end, his cautious and above-the-fray approach to economic reforms and ideological debates may have come to an end as well.

The question is, will any of these disparate sets of ideas be accepted by Hu's expected successor as Party chief, Xi Jinping? His ideological orientations remain unclear, and he may not have an easy time walking a middle path and continuing a mishmash "mainstream" ideology by not choosing sides. How he and other key leaders take up stands in this struggle for ideological dominance will be immensely important for China and its direction in the next decade.

@highlight

Despite Party's calls to "speak with one voice," dissenting ideas, differences being voiced

@highlight

Lu: Dominating the debates are the neoliberals and neo-Maoists who occupy the leadership

@highlight

Neo-liberals see free market, democracy as universal; Wang Yang represents them, Lu says

@highlight

Bo, tipped for Standing Committee until his fall, neo-Maoists touted "common wealth"