Editor's note: Dr. Vance Harris is a primary care physician in Redding, California. An earlier version of this commentary was posted on SERMO.com, a private, physicians-only online community.

Dr. Vance Harris says primary care doctors get minuscule payment for saving the system huge sums of money.

(CNN) -- Health policy experts agree that any reform in our health care system must include a well-educated, caring primary care doctor who is able to manage the health of his or her patients with an eye to using resources optimally to keep costs down.

That's a tall order and it seems that few policy makers realize the value of primary care physicians.

People are making a huge assumption in this reform effort that as we extend coverage to millions who don't have health insurance, there will be doctors there to actually provide the health care. Fewer and fewer medical students are choosing primary care and many primary care doctors are leaving the field.

Let me share with you why we are losing so many primary care doctors. What follows are a few examples I experience each week.

How many dozens of chest pain patients have I seen in the last month for whom I didn't order an EKG, get a consult, set up nuclear imaging or send for a catheterization?

Only I have the advantage of knowing how anxious some are and that they have had similar symptoms over the last 20 years. After a history and exam, I am willing to make the call that this is not heart disease. In doing so, I save the system tens of thousands of dollars.

Most of these patients are worked into a busy day, pushing me even deeper into that mire of tardiness for which I will be chastised by at least six patients before the end of the day. My reward for working these people in and making the call is at most $75.

How many times has an anxious patient come in demanding an endoscopy who I examined and then decided to treat less invasively for three to four weeks first? Few of these patients are happy no matter how many times I explain that it is reasonable to treat their reflux symptoms for several weeks before endoscopy.

This delay in referral has led to many tense moments in the last 20 years. The cost savings to the system is thousands of dollars each and every time I am willing to make the call and go with the treatment. My reward is about $55 from Medicare and private health insurers.

How many low back pain patients have come to the office in agony knowing that there has to be something serious to cause this kind of pain? A good history and exam allows me to reassure the patient that there is nothing we need to operate on and that the risk of missing anything is low.

This takes a lot of time to explain as I teach them why they don't need an MRI. If someone else ordered the MRI, guess who gets to explain the significance of bulging disks to an alarmed patient? Setting realistic expectations on recovery and avoiding needless imaging helps saves the system thousands of dollars. My reward is another $55.

How many diabetics do I struggle with, trying to get them to take better care of themselves? How many hours have I spent with teenage diabetics who will not check their blood sugar and forget half of their insulin doses?

Hundreds of hours seem wasted until one day they open their eyes and want to take care of themselves. My reward for years of struggle is a few hundred dollars at best. The savings to society for my hard work and never-give-up attitude is in the tens of thousands of dollars.

I am in my 22nd year in practice, now caring for 3,600 patients. Having me in the system has resulted in savings in the hundreds of thousands of dollars each and every year. My financial incentive to hang in there and work harder is that I now make less than half what I did 20 years ago. This year I will make even less.

These are the reasons so many physicians have left medicine entirely and most of us who are left wonder how long can we continue to work like this? I have always served my fellow man out of a sense of love and compassion. That's why I went into medicine.

I have been richly rewarded by my patients over the decades as they have appreciated my judgment and skills. Isn't it a shame that after all this time and with skills honed by decades of experience, many of us can no longer afford to work as a physician?

No one is talking about this on the national level. If they don't address these issues, then good luck having physician assistants provide the safety net with two years of training. Good luck getting newly trained physicians once they see our salaries. Good luck finding internists in your community with only 1 percent of medical students going into internal medicine.

Good luck recruiting primary care specialists when we are projected to be short 39,000 by 2020, according to the American Academy of Family Physicians. And nearly half of all doctors surveyed by the Physicians' Foundation have said that over the next three years they plan to reduce the number of patients they see or stop practicing entirely.

I know this is true because I am struggling to find a primary care doctor to take care of my wife and myself. Now that is ironic. Anyone know who is taking new patients in California?

The opinions expressed in this commentary are solely those of Vance Harris.

@highlight

Dr. Vance Harris: Health care reform assumes doctors will be available

@highlight

He says primary care doctors are dropping out of the business

@highlight

He says he saves the system big bucks but gets only small payments

@highlight

Harris: My financial incentive is less than half what it was 20 years ago