(CNN) -- Twenty milligrams; that's the average amount of carbon emissions generated from the time it took you to read the first two words of this article.

How green is your website? Calculating all the factors involved in a website can be tricky.

Now, depending on how quickly you read, around 80, perhaps even 100 milligrams of C02 have been released. And in the several minutes it will take you to get to the end of this story, the number of milligrams of greenhouse gas emitted could be several thousand, if not more.

This may not seem like a lot: "But in aggregate, if you consider all the people visiting a web site and then all the seconds that each of them spends on it, it turns out to be a large number," says Dr. Alexander Wissner-Gross, an Environmental Fellow at Harvard University who studies the environmental impact of computing.

Wissner-Gross estimates every second someone spends browsing a simple web site generates roughly 20 milligrams of C02. Whether downloading a song, sending an email or streaming a video, almost every single activity that takes place in the virtual environment has an impact on the real one.

As millions more go online each year some researchers say the need to create a green Internet ecosystem is not only imperative but also urgent.

"It is part of the whole sustainability picture," Chris Large, head of research and development at UK-based Climate Action Group, told CNN.

"Scientists are saying to us that we have 10 years to take some serious action to avoid the most catastrophic effects of climate change so taking some sort of initiative is absolutely vital."

A number of studies have highlighted the growing energy demands of computers. A 2007 report from research firm Gartner, for example, estimates the manufacturing, use and disposal of information and communications technology generates about two percent of the world's greenhouse gases -- similar to the level produced by the entire aviation industry.  Watch the report on efforts to turn tech green »

Anti-virus software firm McAfee reports that the electricity needed just to transmit the trillions of spam emails sent annually equals the amount required to power over two million homes in the United States while producing the same level of greenhouse gas emissions as more than three million cars.

"Most people don't appreciate that the computer on your desk is contributing to global warming and that if its electricity comes from a coal power plant it produces as much C02 as a sports utility vehicle," said Bill St. Arnaud of Canarie, a Canada-based internet development organization.

"Some studies estimate the internet will be producing 20 percent of the world's greenhouse gases in a decade. That is clearly the wrong direction. That is clearly unsustainable," added St. Arnaud.

What do you include when working out IT's carbon footprint?

Calculating the carbon footprint of the entire web however is not as easy as measuring the greenhouse gas emissions of a car.

Data centers -- massive buildings housing hundreds, if not thousands, of power hungry servers storing everything from Facebook photos and YouTube videos to company web sites and personal emails -- are often labeled as the worst offenders when it comes to harming the environment.

In 2002, global data center emissions amounted to 76 million tons of carbon dioxide -- a figure that is likely to more than triple over the next decade, according to a 2008 study by the Climate Group and Global e-Sustainability Initiative (GeSI).

The footprint of network infrastructure, which is responsible for transporting information from data centers to personal computers, mobile phones and other devices, is harder to pinpoint.

However the same study estimates fixed broadband accounts for around four million tons of carbon emissions and could account for nearly 50 million tons of emissions by 2020.

The manufacturing, transport and use of personal computers and laptops also has what some say is the most significant impact, producing roughly 200 million tons of emissions in 2002.

As millions of people buy new laptops and computers every year, this figure could triple by the end of the next decade, according to the Climate Group report. And it is also true that, like driving a car compared to taking public transportation, some online activities produce more greenhouse gases than others.

More electricity is needed to store, transmit and download a video compared to a simple email, for example. A single search using Google releases 0.2 grams of C02 into the atmosphere, according to Google.

"And what that includes is the energy that we at Google use to be able to receive your search, process it and then send it back to you," Erik Teetzel, one of Google's "green" engineers, told CNN.

"If people are counting things outside the activity that we do, then we don't have control over that so we don't factor that into the equation," said Teetzel.

"We can measure exactly the number of queries that we service and come up with a very accurate estimate and answer from measured results of our actual emissions or energy use per query that we serve."

The drive for energy efficiency

Citing competitive reasons, Teetzel declined to divulge Google's annual power bill, yet he said the internet company has been taking steps to make its main six, five megawatt server farms green as well as the other, smaller data centers it has around the world. It is doing this by using more renewable energy, recycled water and efficient software that requires less electricity to run.

"From a business perspective, it makes sense to get the most what you want to call useful work done using the least amount of resources," said Teetzel.

"Our energy efficiency efforts really did stem from us making our business more competitive."

A number of other companies are also working to take the various pieces that comprise the infrastructure of the internet in a more sustainable direction. Wissner-Gross of Harvard has a company called C02Stats that enables businesses to monitor and manage the environmental impact of their web sites and then purchase renewable energy certificates based on their sites' monthly carbon footprint.

Netherlands-based Cleanbits lobbies web sites to go green by either by purchasing carbon offsets or switching to green hosting providers, like AISO.net, a solar-powered data center based in California. And, like Google, Yahoo also incorporates renewable power and other efficiency measures in its data centers.

However as more of the world joins an age characterized by global flows of information and communication, some say the role the internet plays in making the lives of millions not only more efficient but also environmentally friendly should not be discounted.

"I don't think we've done a good deal with articulating the fact that IT is inherently an efficiency tool," said Teetzel. "That is why you and I use the internet now to find out a lot of information that would have previously been found by us getting in a car and driving somewhere."

"It is a little bit unfair to say that you have this huge carbon cost of the IT industry without articulating the fact that in many, many cases it offsets what I would call heavier, more carbon intense activities that we do in our daily lives," he added.

"Moving electrons is far more efficient than moving atoms. It is actually a paradigm change."

@highlight

Every second spent web-browsing generates 20 milligrams of CO2

@highlight

Estimates that the Internet will produce 20 percent of the world's GHGs in 10 years

@highlight

Data centers often labeled worst offenders; many taking steps to reduce emissions

@highlight

'Ultimately IT is an efficiency tool, better to move electrons than atoms,' say Google