(CNN) -- The most difficult decision a member of Congress will ever have to make is to commit our nation's armed forces to military action against an enemy. Having served with and cared for those brave men and women as a physician in the Army Reserve with three deployments including Iraq, this is not a decision I would arrive at lightly or without careful consideration of all the available facts.

There is no question that the horrific atrocities perpetrated by Bashar al-Assad's regime in Syria are nothing short of appalling and deserve international condemnation. But there is a glaring lack of international resolve on what the response to such abominable acts should be.

A careful examination of the current situation and an understanding of our history in the region advise that the United States must proceed with caution before entering another Middle Eastern conflict.

First, I have concerns that a strike in Syria will only further muddle the administration's disjointed foreign policy approach to the region. It is no secret that the president has already used a patchwork strategy in dealing with the turmoil in the Middle East. The United States has implemented three entirely different approaches in Egypt, Libya and Syria.

The debate over a military strike in Syria cannot be a knee jerk reaction to the president's failed "new beginning" with the Arab worldâ€”including failures of diplomacy in Libya and Egypt. Rather, a strike on Syria must consider the greater strategic implications of military action and should be about one thing: the best strategic interests of the United States.

Second, the unintended consequences of even a "limited" military strike may outweigh any potential positive results. Some suggest that not acting could destabilize the region and further embolden bad actors such as North Korea or Iran; this ignores the fact that any military strike on Syria could spark a much wider regional conflict that would escalate our own involvement.

There could be an additional attack against Syrian civilians, there could be retaliation against Israel, and Syrian refugees flooding into neighboring countries could tip the balance of the fragile political stability there. Right now, no matter how abhorrent the atrocities committed, the conflict is confined within the borders of Syria. Nobody knows for certain what will result from action or inaction.

Next, the administration has yet to clearly articulate the goals, objectives and potential costs of a military action in Syria. We know that the president wants to punish al-Assad, but I have never believed our military force should be used to deliver a shot across the bow unless we are willing to then sink the ship if the warning shot is unheeded.

I don't believe that our military, or the American people, are ready to sink the ship. All that has been made clear is what we are not going to achieve -- regime change -- and what we could possibly achieve: a shifting of the momentum in the ground war against al-Assad's military.

We must be careful and quite clear with the types of actions we take as we use our military force in this fiscally strained environment, and at a time when we are drawing down the end-strength of our forces. Thus far, the specifics of a strike in Syria have not met this standard.

Finally, I do not believe the case has been made that there is a clear and imminent threat to our national security interests. Some say that projecting strength and showing a willingness to act against leaders who commit abuses are important enough reasons to strike Syria. A similar argument was used against Saddam Hussein, leading to the Gulf and Iraq Wars; a similar argument was used against the Taliban and al Qaeda forces in Afghanistan; a similar argument was used yet again against Moammar Gadhafi in Libya.

While the circumstances that led to these interventions were all very different, the continued unrest that grips the countries involved shows that our ability to influence outcomes is finite and any power vacuum we may leave behind is likely to result in further violence and abuses. I believe it would be unwise to take on a situation that very likely could produce this same result.

Throughout history, no matter what action the United States has taken, we have seen that evil people will do evil things. As the situation evolves, we may see evidence that the Syrian armed forces are planning to attack our longstanding allies in the region or that there could be a major threat to global commerce. Such a situation would likely warrant a U.S. military strike. But that is not the situation we find ourselves in today.

In the end, if we are going to engage our military, there must be a clear threat to our national security interests at home and a clear strategy of what we are going to achieve. Anything less would disregard the lessons of recent history and further complicate the situation in Syria and the region while risking precious American blood and treasure.

The opinions expressed in this commentary are solely those of Joe Heck.

@highlight

Rep. Joe Heck: World, so far, lacks resolve to respond to al-Assad regime atrocities

@highlight

He says he's not convinced U.S. should strike. Action should only protect U.S. interests

@highlight

He says a strike could spark wider regional conflict, escalate U.S. involvement

@highlight

Heck: Iraq, Afghanistan, Libya show our intervention can leave behind further abuses