Beijing (CNN) -- Bowing to intense pressure from local residents, authorities in a southwestern Chinese city abandoned plans to build a controversial billion-dollar chemical plant, the local government announced Tuesday afternoon.

Earlier -- defying government orders -- residents of Shifang, in Sichuan Province, continued to rally against the planned construction of a molybdenum copper plant despite an official pledge to halt the project, a protester told CNN.

The crowd on the streets thinned considerably after anti-riot police forcibly broke up thousands of protesting residents Monday afternoon, said the protester, who asked that her name not be used for fear of government reprisal.

Widely circulated images on Chinese social media sites showed police dispersing unarmed protesters with batons and tear gas, and included images of residents -- including women and the elderly -- covered in blood.

In several statements, the Shifang government said 13 residents suffered minor injuries in the clashes Monday but denied anyone had died. Warning residents to end the "illegal protests" immediately, authorities also defended police actions as a last-resort response to an increasingly unruly mob.

The demonstration started late Sunday, two days after officials broke ground on the controversial $1.6 billion Hongda Molybdenum Copper project, which they insisted had passed all environmental evaluations. Unconvinced local residents, worried about long-term pollution caused by the heavy metal plant, started gathering in the city center to demand the construction be stopped, according to government statements.

They were concerned about health problems caused by potentially substantial releases of various toxic pollutants into the local environment. Those pollutants are released into air through smoke, and into ground and water supplies through the slag waste, a byproduct of a refinery's production process that often includes elements like arsenic.

Despite rainy weather, the crowd swelled Monday to thousands as angry residents took to the streets, chanting slogans and unfurling banners that read "protect Shifang's environment and give us back our beautiful home," according to photos and videos posted online by protesters.

After the mayor's promise to suspend construction failed to reassure the crowd, some demonstrators hurled water bottles and potted plants at police and overturned official vehicles, forcing officers to disperse the crowd with tear gas and stun grenades, the government said.

But Chinese residents on the country's social media sites appear to have overwhelmingly supported protesters and their cause, and condemned the local government for its crackdown. Many have also applauded Shifang business owners who posted "no police allowed" signs outside their restaurants and stores after Monday's violent clashes.

In a subtle sign of its dissatisfaction over local authorities' handling of the situation, the government in Beijing has so far remained largely silent, continuing to allow messages and images of the protest to be uploaded online.

Experts say the Shifang episode has again highlighted the rising danger in China's behind-closed-doors environmental evaluation process.

"This is a typical case in which the lack of public participation in the decision-making process leads to greater confusion and conflicts between government and the general public," said Ma Jun, a prominent environmentalist and head of the Beijing-based Institute of Public Environmental Affairs.

"In this case, the ideal solution is to re-evaluate the whole project to set an example for the future."

"Another problem is that there's no guarantee our existing regulations can be faithfully implemented," he added. "We've had similar cases before and now apparently the public awareness has grown significantly."

The protest in Shifang is the latest example of China's urban residents -- long considered the main beneficiaries of the government's economic reforms -- banding together, often via the Internet, to defend their rights.

Last August, a large protest prompted authorities in the northeastern port city of Dalian to shut down a controversial chemical plant that produced paraxylene (PX), an allegedly carcinogenic compound used in the production of polyester films and fabrics.

In 2008, residents in Shanghai worried about radiation risks took to the streets to protest the construction of a high-speed rail line using the magnetic levitation technology, forcing the government to suspend the project indefinitely. And in 2007, residents in the southeastern city of Xiamen marched against a local PX plant, which eventually moved out of the city.

@highlight

Residents were worried about the possible release of toxic pollutants from the plant

@highlight

The Shifang government says 13 people were injured in clashes Monday

@highlight

Popular protests succeeded in closing other chemical plants and derailing a high-speed rail line