Turkey is positioned as the geographic, economic and political bridge straddling both Asia and Europe. How Prime Minister Recep Tayyip Erdogan performs if he secures a first round victory in Sunday's Presidential election will determine if this sizable emerging market can restore its luster as an engine for growth and a regional political force.

The scrappy former mayor of Istanbul came to power promising a new brand of Islam under the party he co-founded, the Justice and Development Party (AKP): One that is pro-business and one that in the recent past juggled good relations with both Israel and Iran.

Economically speaking, Erdogan has delivered. Turkey enjoyed growth of 6-8% for the better part of his first decade in power.

Gone are the days of hyper-inflation (although the latest reading of 9.3% in July is not low) -- as well as the multiple zeroes at the end of lira notes -- thanks to the currency stability he introduced

The current prime minister became the darling of Fortune 500 companies, which took advantage of the European Union Customs Union offering lower export tariffs, and turned Turkey into a manufacturing hub for Europe.

Foreign direct investment surged ten-fold, from just $20 billion in 2001 to over $200 billion today. 3,300 international companies now call Turkey home according to UNCTAD.

But many believe this presidential election will not broaden democracy in Turkey, but only help Erdogan consolidate his grip on power in an effort to burnish his legacy.

"Erdogan's 12 month strategy is to engineer, de jure or de facto, as much of a transfer of power from the prime minister's office to the presidential palace as he can," wrote Professor Henri Barkey of Lehigh University in Pennsylvania.

This strategy could dilute the role of the Turkish parliament and allow the president to hand-pick his successor as prime minister.

Those who are close to the current President Abdullah Gul tell me the moderate counter-weight to Erdogan will stay out of the political cross-fire and let this experiment to create a presidential system of government play out. But they say a successful transition is not a given.

But after suffering through a year of intense protests, a barrage of accusations and investigations linked to corruption at the top of his government and a challenge from afar by former ally, the Pennsylvania based religious leader Fethullah Gulen, Erdogan not only seems undeterred, but more emboldened than ever.

He has grand plans in the works: an expansion of the Istanbul airport to rival Dubai as the international transfer hub, a brand new bridge across the Bosphorus, and a 45 kilometer canal that will run parallel to that Strait.

In October last year, Erdogan proudly unveiled the Marmaray Link connecting Asia and Europe with an underground train network.

This infrastructure, he says, will also help sustain growth. Total GDP today is hovering at nearly $850 billion after a three-fold increase in ten years. That is projected to nearly double again by 2020 and Erdogan has set a goal for it to cross $2 trillion by 2023, the centennial of the Turkish Republic. If achieved, Turkey would be in the top ten of global economies.

Fabled emerging market author Jim O'Neil, when at investment bank Goldman Sachs, selected Turkey as a "Next 11" country -- one of the most promising for the next generation of growth.

Whether it can live up to those expectations will depend on prudent financial management, but also on how "Team Erdogan" conducts relations within the global investment community.

He and a few cabinet members have made a reputation for jawboning credit rating agencies when they make moves to downgrade the country's debt rating. Moody's was the latest to suffer the wrath of Ankara for treating the country "unfairly."

It is not unusual for Erdogan to draw comparisons of his leadership to that of Mustafa Kemal Ataturk, the founder of modern Turkey.  He wants to secure his place in history.

Whether his desire to do so is ultimately good for his country remains the big unknown as Turks go to the polls.

@highlight

Turkish Prime Minister Recep Tayyip Erdogan is campaigning to become the country's president

@highlight

Turkey will chose its first directly elected president on Sunday

@highlight

John Defterios asks if Turkey can restore its luster as an engine for growth and a regional political force