(CNN) -- Linguists announced Monday they have identified an endangered language known as Koro that is spoken by about 800 people in northeast India.

The language was unknown to science and recently came to light during an expedition by linguists traveling in India on fellowships for National Geographic, the linguists said in telephone interviews.

Koro belongs to the Tibeto-Burman language family, which is composed of a group of about 400 languages spoken primarily in east, central, south and southeast Asia and includes Tibetan and Burmese, according to linguist K. David Harrison.

Some 150 Tibeto-Burman languages are spoken in India alone, but no other language has been identified as closely related, said Harrison, an associate professor of linguistics at Swarthmore College in Swarthmore, Pennsylvania.

Like most languages, Koro is unwritten and transmitted orally. It is neither a dialect nor a sister language close to Hruso-Aka, despite being considered such by both Hruso and Koro people.

Koro shares some vocabulary with other languages spoken in the region but shares more features with languages spoken farther east, such as Milang and Tani, the linguists said in a news release issued by National Geographic.

Harrison and another National Geographic Fellow, Greg Anderson, led the expedition, called Enduring Voices, which brought Koro to light. Enduring Voices documents vanishing languages and cultures and assists with language revitalization.

Harrison and Anderson, director of the Living Tongues Institute for Endangered Languages, in Salem, Oregon, focused on Arunachal Pradesh, a remote area of northeast India that is considered the black hole of the linguistic world.

It is a language hotspot where there is room to study rich, diverse languages, many unwritten or documented. A permit is required to visit, few linguists have worked there and a reliable list of languages has never been drawn up.

"On a scientist's tally sheet, Koro adds just one entry to the list of 6,909 languages worldwide. But Koro's contribution is much greater than that tiny fraction would suggest," Harrison writes in his book, "The Last Speakers."

"Koro brings an entirely different perspective, history, mythology, technology and grammar to what was known before."

In the news release, the linguists described their discovery as bittersweet: Of the approximately 800 people who speak Koro, few are under the age of 20, meaning the language is endangered.

"We were finding something that was making its exit, was on its way out," Anderson said. "And if we had waited 10 years to make the trip, we might not have come across close to the number of speakers we found."

The team set out in 2008 in Arunachal Pradesh to document Aka and Miji, languages spoken in a small district there. The expedition went door to door among homes propped up on stilts to reach potential speakers of those little-known languages.

While recording the vocabularies, they detected a third language -- Koro. It was not listed in Indian language surveys, Indian censuses or standard international registries.

"We didn't have to get far on our word list to realize it was extremely different in every possible way," Harrison said.

The inventory of sounds and the way these sounds were combined to form words were distinct from other languages spoken in the region.

An Aka speaker would call a pig "vo" and a Koro speaker would call a pig "lele."

"Koro could hardly sound more different from Aka," Harrison writes. "They sound as different as, say, English and Japanese."

Anderson and Harrison said Aka is the traditional language of the region's historic slave traders, and they hypothesized that Koro may have sprung from the slaves; though they said more study is needed to determine the origin.

The project reports that a language becomes extinct every two weeks. By 2100, it is estimated that more than half of the 6,910 languages spoken on earth will vanish. The team will return to India to continue studying Koro in November.

@highlight

Koro is spoken by only about 800 people, few of them under the age of 20

@highlight

Linguists traveling in northeast India came upon the language

@highlight

Koro was not listed in any Indian language surveys or other sources

@highlight

Koro's sounds distinctly different from other tongues spoken in region