Baghdad, Iraq (CNN) -- Eight people were killed and 17 were injured Wednesday when an improvised explosive device detonated followed by a suicide bomber's explosion, according to police and medical officials.

The attacks targeted people leaving al-Mustafa Shiite mosque after night-time prayers in al-Furat neighborhood in western Baghdad, according to the sources

More than 16 suspects have been arrested by security police, sources told CNN.

Al-Furat, a predominantly Shiite neighborhood, is just two miles from Baghdad International Airport.

During a televised address earlier Wednesday Iraqi Prime Minister Nuri al-Maliki declared an amnesty for all Sunni tribesmen who fought against the government, with the exception of those involved in the killing of Iraqi forces.

Al-Maliki also said he hoped that members of Iraq's parliament would be able to choose a president and prime minister in their next session.

After much anticipation over how it would address the country's turmoil, Iraq's new parliament on Tuesday postponed its first session until next week, citing a lack of a quorum.

The political uncertainty comes as Iraqi forces battle Sunni extremist militants from the Islamic State in Iraq and Syria, or ISIS.

"We are going to postpone because of an urgent matter," the speaker of the parliament said Tuesday. He did not say what the urgent matter was, and it was not immediately clear what happened.

The newly elected parliament convened with 255 out of 328 elected officials attending, which was enough for a legal quorum, the speaker said. But when 90 failed to return after a morning break, there were not enough members to continue.

Many had expected al-Maliki to call for the formation of a new government Tuesday,

Al-Maliki and his Shiite-dominated government have been under pressure from Western and Arab diplomats to be more inclusive of members of Iraq's Sunni minority, who say they have been marginalized and cut out of the political process by the government.

When ISIS fighters swept into northern Iraq, seizing the city of Mosul, reports emerged of some Sunnis either joining the militants or doing nothing to fight them.

Under Iraq's constitution, the parliament has 75 days from when it convenes to pick a prime minister. Lawmakers are under pressure to move faster, but the political body has had trouble moving swiftly in the past. The last time parliament met to pick a prime minister, it took nearly 10 months.

Opinion: Will al Qaeda fight ISIS Islamic state?

More warplanes arrive

Five more Russian-made Sukhoi Su-25 fighter jets have been delivered to Iraq, the Ministry of Defense said in a statement on Tuesday.

The delivery brought to 10 the number of war planes Russia has delivered so far and the ministry said it is expecting a total of 25 under a contract agreed to by Moscow and Baghdad.

The announcement follows a comment by al-Maliki that militant advances might have been avoided if Iraq had proper air power in the form of fighter jets that Iraq has been trying to get from the United States.

"I'll be frank and say that we were deluded when we signed the contract" with the United States, al-Maliki told the BBC in the interview last week, which was released Friday.

Iraq has now turned to Russia and Belarus to buy fighter jets, he said. "God willing, within one week, this force will be effective and will destroy the terrorists' dens," he said.

Kirkuk annexation condemned

In his weekly address, al-Maliki said the priority was to improve the security situation in the country, even as the political process moves forward.

"Security should be the first and foremost on our agendas," he said.

He thanked Iraq's top Shiite cleric, Ayatollah Ali al-Sistani, for his call for volunteers to pick up arms to defend the country against ISIS and said a new government department would handle their mobilization.

Thousands of people, predominantly Shiites, have answered the call, raising concerns among Sunnis about the rise of Shiite militias.

Announcing the amnesty for tribesmen who have not killed Iraqi forces, al-Maliki said, "I welcome them back to the fold and to rejoin their brethren in other Iraqi tribes."

He also strongly rejected the Kurdish regional government's effective annexation of the disputed oil-rich city of Kirkuk and other areas in northern Iraq, saying it was unacceptable.

He called on the Kurdish leaders not to take advantage of the state's current weakness to advance their own specific agendas. Any attempt to hold a referendum on the move is invalid because there is no provision in the constitution for self-determination, al-Maliki added.

The Prime Minister did not say how he planned to address the move.

Kurdish leader Masoud Barzani announced Friday that the disputed areas, including Kirkuk, were henceforth part of the Kurdish autonomous region, after the Iraqi central government failed to hold a long-awaited referendum.

Last month, the Iraqi army withdrew from Kirkuk and Kurdish Peshmerga forces took control of the city and small villages in the areas as ISIS carried out its lightning offensive.

The move by the Kurds will probably complicate efforts to get Iraqi lawmakers to form a new government representing all three major population groups -- Sunnis, Shiites and Kurds.

U.S.: Iraqi military probably would fight for Baghdad

Emboldened by the weakened Iraqi government's struggle to mount an effective response to their advance, ISIS extremists declared over the weekend that they had set up a caliphate -- or Islamic state -- spanning large areas of Iraq and Syria.

Iraqi military units around Baghdad are likely to stand and fight if ISIS militants attack the city, preliminary reports from U.S. military advisers in Iraq and U.S. intelligence personnel concluded, according to a senior U.S. official.

The U.S. assessment comes as intelligence also shows that Iranian Quds forces are increasing their efforts to train Shiite militias in and around Baghdad and in southern Iraq.

This assessment that Iraqi forces will fight for Baghdad is crucial to the U.S. need to keep Baghdad International Airport secure. The official says 300 American troops there now, along with several Apache helicopters, could not on their own secure the airport, crucial if an evacuation was needed, and it would require the Iraqis to devote a large number of their troops to the effort.

Iraq's military spokesman, Maj. Gen. Qassim Atta, told a news conference in Baghdad on Wednesday that the current military situation was going in favor of the country's security forces.

Atta said Iraqi forces have gained more ground from ISIS militants, many of whom have been killed or arrested.

In Salaheddin province, Iraqi forces have secured all the roads leading to the city of Tikrit, Atta said, and have retaken control of a military base formerly known as Camp Speicher on the outskirts the city, the hometown of ex-leader Saddam Hussein. Meanwhile, in Anbar province, they have killed 24 militants and arrested 11, among them a known ISIS leader and several of his aides, he said.

CNN cannot independently confirm his claims or reports of casualties.

Police officials in Samarra, in Salaheddin province, told CNN that the Iraqi air force struck several areas in the town of al-Shirqat, about 280 kilometers (170 miles) north of Baghdad on Wednesday.

At least 17 people were killed, including seven members of one family, while nine others were injured, officials said.

It was not immediately clear what the Iraqi air force was targeting.

Clashes at cleric's office

In unrelated violence, at least three people were killed Tuesday night when Iraqi security forces clashed with supporters of a radical Shiite cleric, police and health officials said.

Officials said Iraqi forces raided the offices of cleric Mahmoud al-Hassani al-Sarkhi in Karbala and clashed with his supporters. Nine people were wounded, and one military Humvee was set on fire, police said.

The fighting continued Wednesday, an employee at a shrine and a resident of Karbala told CNN.

Helicopters fired a number of times on the Saif Saad neighborhood, not far from the city's famed holy shrines, on Tuesday night, they said. The aircraft again hovered over the area Wednesday, as the city was placed on high alert and the streets remained empty of civilians.

Iraqi security forces have boosted security around the shrines and at the main entrances to Karbala.

Al-Sarkhi last Friday told supporters that Americans are responsible for what is happening in Iraq, according to his official website. He also blamed the bloodshed on the call by al-Sistani for volunteers to join Iraq's forces in the fight against the ISIS militants.

In 2006, the cleric's supporters attacked the Iranian Consulate in Basra, about 300 miles (500 kilometers) south of Baghdad.

Protesters were incensed about insulting remarks made about the cleric on an Iranian TV program. They threw stones and set fire to a building at the consulate.

Saving the shrines of Karbala

Russia sends 5 fighter jets to Iraq, al-Maliki criticizes U.S.

The return of Muqtada al-Sadr?

CNN's Chelsea J Carter reported from Baghdad and Mohammed Tawfeeq from Atlanta, while Laura Smith-Spark wrote in London. CNN's Hamdi Alkhshali, Diane Ruggiero and Holly Yan contributed to this report.

@highlight

NEW: A suicide bomber, IED kill 8, injured 17 in Shiite neighborhood

@highlight

Nuri al-Maliki declares amnesty for tribe members, except those who have killed Iraqi forces

@highlight

Iraq gets 5 Russian-made fighter jets and is expecting more

@highlight

Military spokesman says Iraqi forces are making gains against ISIS militants