(CNN) -- If you want a world-class education without the hefty price tag it usually carries, it's time you pack your bags and head to Germany.

The country's federal state of Lower Saxony became the last region to scrap tuition fees in mid-October, which means that studying in Germany is now completely free even for international students.

So wherever you come from, doors of elite institutions like the University of Heidelberg and Technical University of Munich, both among the world's top 100 universities, are flung wide open if you're a gifted student.

"We don't want higher education which depends on the wealth of the parents," Gabriele Heinen-Kljajic, minister for science and culture of Lower Saxony told German Pulse.

Her Hamburg counterpart Dorothee Stapelfeldt, whose region abolished fees in 2012, called tuition fees socially unjust: "They particularly discourage young people who do not have a traditional academic family background from taking up studies. It is a core task of politics to ensure that young women and men can study with a high quality standard free of charge in Germany," she told Britain's The Times newspaper.

Low cost/high rank

Germany has had a long tradition of free education, introducing fees only in 2006 when the constitutional court ruled that moderate tuition fees were not at odds with the country's pledge for education for all. However, even at around $1,300 per year, significantly lower than $14,500 and $30,000 paid by UK and U.S. students respectively, the fees caused widespread backlash, with federal states dropping them one by one.

The funding gap was mainly bridged by the government, with the average worker in Germany facing a tax burden on labor income of 49.3% in 2013, the second highest rate out of 34 OECD member countries.

The country is already a major destination for international students, ranking third in the world after the U.S. and Great Britain, according to data from the OECD. Overseas students flock to the Germany's illustrious universities, attracted by the relatively low cost of living and a vibrant cultural scene and nightlife.

Independent thinking

But before you pack up and go, be aware that studying in Germany can be a very different to campus-based life common in the U.S. and Britain. Lectures often pack up to 200 people, and there is a greater onus on the student to keep track of all the reading and deadlines.

"I feel like English universities are a bit more like schools, they really look after you, print out your timetable for you, and if you miss a seminar they ring you up and ask is everything ok. In Germany, you have to be more independent," says former CNN intern Phoebe Parke who spent a year studying at Berlin's Humboldt University during the 2011/2012 academic year.

"My campus was spread all over Berlin, so I would take the underground between classes. That was very difficult if you didn't know the city because there wasn't really anyone to help you, and the buildings were sometimes out of the way," adds Parke, who completed her studies at Britain's Warwick University.

Navigating your way

Social life for international students can also be harder to form, as many German students study in their home town and often live with their parents, or share an apartment with friends.

But if you negotiate those challenges successfully, Parke says that the German system offers freedom to expand your interests: "There is a lot less pressure on students because they are not paying for it, so it's more about the pursuit of learning than just passing an exam and forgetting everything. But you are the one propelling your education forward, not the lecturer."

Read more: Germany: 25 years later and no looking back

Read more: A look inside Europe's economic powerhouse

Read more: Sister Doris: Europe's last beer-making nun

@highlight

Germany now offers 100% free university education

@highlight

The measure includes international students

@highlight

Germany is the third most popular destination for overseas students

@highlight

But the university system is very different to the one in the U.S.