It is a scene seared forever into the memory of an eyewitness:

Masked men drag the bloodied body of a man across a public square, and tie it to a make-shift cross on a metal pole.

Green string holds the body's arms outstretched across a wood plank as blood oozes from the gunshot wound to his head.

Militiamen wrap the body's black "WhatsApp" shirt with a sign in red letters that reads in Arabic: "This man fought Muslims and detonated an IED here."

The eyewitness -- a man we will call Abu Ibrahim -- does more than watch. He steps closer and snaps a picture with his cell phone; the children around him gawk at the horrific spectacle with quiet curiosity.

Abu Ibrahim asked that his identity be kept secret for fear of reprisals. His photographs document the story of a body staged to look like a crucifixion -- and to send a message -- in the northern Syrian city of Raqqa. An al Qaeda splinter group, Islamic State of Iraq and Syria (ISIS), says the brutal display serves as a lesson to anyone who dares challenge its rule.

Three days on, the "crucified" body of the man and another victim were reportedly still hanging in Raqqa.

"What they are conveying is those who oppose ISIS rule oppose God's rule, and those who are enemies of ISIS are enemies of God and deserve the highest form of punishment possible," says Abbas Barzegar, assistant professor of Islamic studies at Georgia State University.

The jihadist group carried out a total of seven public executions in Raqqa on Tuesday, but only two bodies were displayed afterward, according to the Syrian Observatory for Human Rights, a London-based monitoring group.

Abu Ibrahim, a member of a recently formed anti-ISIS activist group in Raqqa, says the remaining five victims were children under the age of 18, one of them a seventh-grade student.

The crucifixion displays began in March, when ISIS accused a shepherd of murder and theft, then shot him in the head and tied his lifeless body to a wooden cross. Video on social media showed the body leaning up against a small building painted to bear the group's flag and name.

"These violent acts are part of a fundamentalist revival campaign, but these forms of ancient punishment were rarely if ever seen in the Muslim world in recent centuries," Barzegar says. "It has become a standard feature of fringe Islamist groups to revive these outdated practices in an effort to bring back what they believe is authentic."

There's been no evidence of actual crucifixion, a painful form of execution in which victims were bound or nailed through the hands and feet to a heavy wooden cross and left to suffer until death.

All three men in Raqqa were shot in the head prior to being affixed to crosses. The displays of their bodies appear to be largely symbolic acts by ISIS followers against members of their own Sunni Muslim sect for perceived acts of treason.

"ISIS needs to attach meaning to their killing. Simply murdering in a state of constant warfare is void of value, so they must attach a message or propaganda to what they are doing," Barzegar says.

As Syria's civil war creates a power vacuum, groups like ISIS have stepped in with their own form of radical Sharia law to rule over an exhausted and terrorized civilian population. Edicts often appear overnight on inconspicuous flyers, with dire warnings:

"All shop owners must close their stores immediately upon the announcement of prayer and go to the mosque," a decree posted this week reportedly reads. "Any violators after the issuance of this announcement will face consequences."

According to a set of rules issued to Raqqa's Christian minority, members of the faith must pay a special tax to the militants and may not expose crosses, repair churches, or recite prayers in the presence of Muslims, the Syrian Observatory for Human Rights reported in February.

But while crucifixion holds specific biblical resonance, the bold and brutal displays in Raqqa hold no direct correlation to Christian symbolism, Barzegar says. The ISIS victims whose bodies were strung up on crosses were all Muslim.

U.N. chief to Syria: Please don't hold presidential elections

After nearly a year under the repression of ISIS, Abu Ibrahim and about 20 other activists formed a campaign in April that they called "Raqqa is Being Slaughtered Silently" to push the vigilante group out of their hometown.

"After we reached the solid conviction, without the shadow of a doubt, that (Raqqa) served as the stage of a horrific spectacle that deformed the real core of the Syrian revolution," the campaigns founding document reads, "we decided it was about time we stood against those forces of evil."

ISIS reacted almost immediately to the campaign, sentencing the activists to death for "non-belief in Islam and their advocacy of secularism," and offering a large cash prize for any information on their whereabouts, according to the Syrian Observatory for Human Rights.

"It is our obligation to confront them (ISIS) and if we remain scared of them then they will rule us forever. It is true this is dangerous and we have received more than one death threat, but we are relying on the popularity of our Facebook page as protection," Abu Ibrahim told CNN via a choppy Skype connection.

On their Facebook page with nearly 12,000 followers, activists post updates on alleged crimes committed against the people of Raqqa and issue calls to action such as proposing a strike by store owners on Saturday to protest an ISIS tax hike.

"Life here is very hard. People are tired and they hate everything. If you don't close your shop during prayer time you get lashes, if you smoke you get lashed, if you say one wrong thing you can be executed. Just like that. It's that easy for ISIS," Abu Ibrahim says.

The United Nations, the Syrian opposition and human rights groups have corroborated the scenes of horror in Raqqa. Earlier this year, U.N. High Commissioner for Human Rights Navi Pillay said reported mass executions in Raqqa may amount to war crimes, and in a separate report issued last month, her office documented torture and mistreatment, including repeated beatings, of prisoners at schools and hospitals controlled by ISIS.

"So many families have had people disappear and they have no idea where they are or what happened to them. The worst part is people are too afraid to ask about their husbands or sons," Abu Ibrahim says.

After nearly every Friday prayer, a few of these prisoners appear in a public roundabout where dozens of onlookers stand by as charges are hurriedly read and the sentences against the accused carried out, ranging from lashes to executions. Images of the harrowing scenes often circulate on social-media sites, sometimes posted by accounts claiming to be linked to the extremist group.

"It is like a waterfall of blood. There are more and more executions and now the children watch like they are used to it. It is a strange and exciting scene and they are not afraid to look," Abu Ibrahim says.

ISIS's military offensive against even its former allies and its savage form of justice led the central al Qaeda command to disown its affiliate earlier this year, but the group's leader, Abu Bakr al Baghdadi, vowed to remain in Syria and fight all who oppose him, even fellow jihadists.

The founders of the peaceful campaign "Raqqa is Being Slaughtered Silently" say they will succeed where others have failed.

"The word is often more powerful than the bullet, and the will of the people is the most powerful of all," Abu Ibrahim says.

25 children killed in elementary school bombing, Syrian activists say

@highlight

An eyewitness and his pictures document a Syrian scene meant to send a message

@highlight

Bodies are strung up on crosses in the city of Raqqa

@highlight

An al Qaeda splinter group -- ISIS -- says it's a lesson for any who dare challenge it

@highlight

An effort is underway by local activists to try to push ISIS out of Raqqa