(CNN) -- Three years ago, I was just another American working mom when a famous Chinese publisher, CITIC Press, contacted me to write a book for China's single ladies.

At first I wasn't sure if I was the right person for the task. Yes, I'm ethnic Chinese, but I'm Chinese-American. How could I write something useful for women in China?

But after CITIC pursued me for a year, I agreed. My resulting book, "Do Not Marry Before Age 30," became a best-seller in China and has become embedded in its pop culture and urban consciousness.

My life has also changed. I've developed a burning passion for empowering Chinese women, and I now work full-time in China's booming fashion and lifestyle media. All this has given me an intimate look at urban Chinese women, their lives and their dreams.

Chinese women want what all women want

Many Chinese women now are well-educated -- in fact, Businessweek reported that U.S. business school enrollment is driven by women from China. Naturally, these women want to put their education to good use in their careers.

In their marriages, they also have new dreams. They don't want a traditional Chinese marriage based on responsibility. They want love. Reality dating shows are legion in China, and like the idealistic Charlotte in the American TV show "Sex and the City," Chinese women want to "dream the impossible dream."

In short, Chinese women today want what all women want -- great careers, true love, and maybe, a child who's happy and successful (most Chinese women are still restricted to having one child under government policy).

Sex and power are deeply intertwined in China

The current generation of women is caught in a transitional moment in Chinese history. For thousands of years, Chinese society has been structured around the family unit. Men were the heads of household, women the caregivers. Women lived to please others.

Now, there is an epic clash unfolding in Chinese society between women's newfound dreams and traditional notions of a woman's role.

The title of my book, "Do Not Marry Before Age 30," is an attack on the fact that women in China face brutal social pressure to marry by age 27 lest they be labeled "leftover women."

In China, sex and power are deeply intertwined. Concubine culture lives on, whereby mistresses are an acceptable and even expected accoutrement for men in power. Chinese social media regularly features photos of corrupt government officials with their mistresses. Perhaps inevitably in a society where power avails men of women, sexual harassment and domestic violence are rampant.

Women's media are the messengers of history

Ancient traditions are codified into a range of laws in China that are unfair to women. But in a culture where women always have been second-class, laws will change only when enough women recognize their own selves and say "I'm not gonna take it anymore!"

That's where pop media comes in. Naomi Wolf wrote in "The Beauty Myth" that American women's magazines were the "first messengers in history to address the majority of women...to tell them they have a right to define themselves first." This applies equally to China now.

That's why many writers and editors who care about women's culture are fighting to redefine beauty in China, show that strong is beautiful, and profile women who've ignored the rules, defined their own lives, and who as a result are lovely and amazing at every age.

Abuse thrives in silence, and the only way to overcome injustice is for us all to start truly connecting with our own selves and with those around us. Women's media prompts the dialogue needed in order for change to happen.

We're all making culture now. It's up to each one of us to ensure the culture we create is based on dignity and mutual respect for everyone.

Join us on Facebook/CNNOpinion.

The opinions expressed in this commentary are solely those of Joy Chen.

@highlight

Chinese women want what all women want: great careers, true love, maybe a child

@highlight

Clash between Chinese women's newfound dreams and traditional notions of female role in society

@highlight

Chinese women's media is helping women redefine themselves