U.N. weapons inspectors returned "overwhelming and indisputable" evidence of the use of nerve gas in Syria, Secretary-General Ban Ki-moon said Monday, calling the findings "beyond doubt and beyond the pale."

The inspectors' 38-page report was released after Ban briefed Security Council members on its contents. The team found what it called "clear and convincing evidence" that the nerve agent sarin was delivered by surface-to-surface rockets "on a relatively large scale" in the suburbs of the Syrian capital Damascus on August 21.

"It is the most significant confirmed use of chemical weapons against civilians since Saddam Hussein used them in Halabja in 1988, and the worst use of weapons of mass destruction in the 21st century," Ban said. "The international community has a responsibility to ensure that chemical weapons never re-emerge as an instrument of warfare," he said.

Ban called the attack "a war crime" and a violation of treaties banning the use of chemical weapons that date back to 1925. But the inspectors' mandate did not include assigning blame for the attack, and Ban would not speculate on who launched the attack.

The team did identify two types or rockets it said were used to deliver the gas and their trajectories, and international observers have said those weapons are not known to be in the hands of rebels battling the government of Syrian President Bashar al-Assad.

Australian U.N. Ambassador Gary Quinlan, who is currently serving as president of the Security Council, said the report bolsters his country's stance.  It "confirms, in our view, that there is no remaining doubt that it was the regime that used chemical weapons."

Read the report

And Samantha Power, the U.S. ambassador, said a preliminary review of the report points toward forces loyal to al-Assad.

"The regime possesses sarin, and we have no evidence that the opposition possesses sarin," Power said. "It defies logic" to think members of the opposition would have infiltrated a regime-controlled area to fire on opposition-controlled areas.

Britain, France, and NATO have also said al-Assad's regime was behind the attack. But Russia is Syria's leading ally, and Russian U.N. Ambassador Vitaly Churkin maintained Moscow's stance that Syrian rebels might be to blame.

Such suggestions "cannot be simply shrugged off," Churkin said, and statements insisting that the opposition could not have launched the attack "are not as scientific and grounded in reality as the actual situation could be." He questioned why rebel forces didn't report major losses in the August 21 chemical attack, which the United States says may have killed more than 1,400, including hundreds of civilians.

Samples examined

The August 21 attack led to U.S. calls for military action against Syria, which denies its forces unleashed chemical weapons and blamed rebel fighters for the deaths. Syria has since agreed to join the 1993 Chemical Weapons Convention and hand over its chemical arsenal to international inspectors, with the United States and Russia laying out a fast-paced framework for Damascus to follow.

Monday's report presents a stark picture of the damage that can be inflicted by a nerve agent like sarin, one of three types of poison gas Syria is believed to have stockpiled.

"Survivors reported that following an attack with shelling, they quickly experienced a range of symptoms, including shortness of breath, disorientation, eye irritation, blurred vision, nausea, vomiting and general weakness," Ban said. "Many eventually lost consciousness. First responders described seeing a large number of individuals lying on the ground, many of them dead or unconscious."

The weather made things worse.  Falling temperatures at the time of the attack meant the downward movement of air, allowing the gas "to easily penetrate the basements and lower levels of buildings and other structures where many people were seeking shelter," Ban said.

Inspectors interviewed survivors and first responders, collected hair, urine and blood samples and took soil and environmental samples from the sites where the rockets fell. The secretary-general said the team "adhered to the most stringent protocols available for such an investigation, including to ensure the chain of custody for all samples."

More than 100,000 people had already been killed in Syria before August 21, according to the United Nations. Another 2 million have fled the country, most of them taking refuge in Lebanon, Turkey, Jordan and Iraq.

It was not immediately clear how the report would affect events on the ground. The opposition Syrian National Coalition said the findings "demand a unified and decisive response by the international community."

"If the world does not act now, this war will continue, and thousands more will die," Najib Ghadbian, the coalition's representative to the United Nations, said in a written statement. "The people of Syria look to the U.N. Security Council to do everything in its power to stop this conflict and hold the Syrian regime responsible for its criminal actions."

In Washington, the White House announced that President Barack Obama would waive restrictions on exporting chemical protective gear to provide that equipment to the opposition and train "select, vetted members" in its use. American equipment will also be provided to the Organisation for the Prohibition of Chemical Weapons, the international body that monitors compliance with the Chemical Weapons Convention. It will be OPCW inspectors who are likely to carry out Syria's promised disarmament.

Syria: There's a chemical weapons agreement. Now what?

Also Monday, Turkish fighter jets downed a Syrian helicopter near the border between the two countries Monday, Turkey's semiofficial Anatolia News Agency reported, citing Deputy Prime Minister Bulent Arinc. Syria's state news agency SANA said the helicopter was watching for "terrorists" crossing the border and erroneously strayed into Turkish airspace, but was on its way back across the border when shot down.

Russia slams U.S. remarks on agreement

Even as the world awaited the U.N. inspectors' report Monday, Russia openly bickered with the United States about the agreement they struck in Geneva over the weekend.

The framework they laid out calls for a U.N. resolution demanding that Syria's chemical weapons be placed under international control. Security Council powers are now trying to put that framework into a resolution. But Russian Foreign Minister Sergey Lavrov on Monday accused U.S. Secretary of State John Kerry "and his Western allies" of misunderstanding the deal, according to Russia's state-run Itar-Tass news agency.

Lavrov said the deal does not say the U.N. resolution will be under Chapter VII of the U.N. charter, which potentially authorizes the use of force -- and comments by U.S. Secretary of State John Kerry that the any resolution will need to include the possibility of force "show unwillingness to read the document" that Russia and the United States endorsed.

The agreement states that if there is noncompliance "or any use of chemical weapons by anyone in Syria, the U.N. Security Council should impose measures under Chapter VII of the U.N. Charter." But it does not specifically state that the resolution being sought now will be under that chapter.

Russia holds veto power on the council. But Kerry told reporters Monday that "Should diplomacy fail, the military option is still on the table."

"If the Assad regime believes that this is not enforceable, then they will play games," he said.

Framework for eliminating Syrian chemical weapons

According to the plan, Syria must submit a full list of its chemical weapons stockpile within a week. International inspectors must be on the ground in the country by November, and all production equipment must be destroyed by the end of November.

By the middle of next year, all chemical weapons material must be destroyed, according to the agreement. But the process of securing and destroying Syria's cache of chemical weapons -- in the middle of a civil war -- may be a logistical nightmare.

@highlight

Syria findings "beyond doubt and beyond the pale," Ban says

@highlight

U.S. to provide chemical protective gear to opposition, inspectors

@highlight

Sarin report demands "a unified and decisive response," Syrian opposition says

@highlight

Syria says helicopter was shot down after straying into Turkish airspace