WASHINGTON (CNN) -- The Chinese government increased its harassment of religious minorities before the Olympic Games, according to a U.S. State Department report released Friday.

A Tibetan Buddhist monk in southwest China's Sichuan province.

The State Department's Annual Report on Religious Freedom singled  out China, Myanmar, North Korea, Iran, Sudan, Eritrea, Saudi Arabia and Uzbekistan to "blacklist" because they are "countries of particular concern" when it comes to religious oppression.

Over the past year, "repression of religious freedom intensified in some areas" in China, including in the Tibetan region and in Xinjiang province, where the Uighur Muslims live.

As the 2008 Beijing Olympic Games approached, some unregistered Protestant religious groups in Beijing reported intensified harassment from government authorities and said the government cracked down on home churches, the report says.

The State Department found that over the past year, Chinese officials also detained and interrogated several foreigners about their religious activities, alleged that the foreigners had engaged in "illegal religious activities" and canceled their visas.

The government also undertook a "patriotic education campaign," which required monks and nuns to sign statements personally denouncing the Dalai Lama. As a result, the reports says, protests led to violence in Lhasa, Tibet, in March, and the government detained an unknown number of monks and nuns or expelled them from monasteries.

In addition to its continued crackdown on groups such as the Falun Gong, which China considers a "cult," the government harassed Uighur Muslims and confiscated some of their passports to prevent their taking part in the hajj, the pilgrimage to Saudi Arabia.

Once again, the U.S. criticized the government of Myanmar, saying its "repressive, authoritarian military regime" had "imposed restrictions on certain religious activities and frequently committed abuses of the right to freedom of religion."

Most followers of registered religions were permitted to worship as they chose, but the government infiltrated and monitored activities of virtually all organizations, including religious ones.

The report says that although the North Korean constitution provides for religious freedom, "genuine religious freedom does not exist, and there was no change in the extremely poor level of respect for religious freedom" over the past year.

In Iran, the report says, "continued deterioration of the poor status of respect for religious freedom" last year.

"Government actions and rhetoric created a threatening atmosphere for nearly all non-Shia religious groups, most notably for Baha'is, as well as Sufi Muslims, evangelical Christians, and members of the Jewish community," the report says. "Government-controlled media intensified negative campaigns against religious minorities, particularly the Baha'is. Reports of imprisonment, harassment, intimidation, and discrimination based on religious beliefs continued."

The State Department found some progress in Saudi Arabia.

"While overall government policies continue to place severe restrictions on religious freedom, there were incremental improvements in specific areas," the report says.

However, the report goes on to note that "Non-Muslims and Muslims who do not adhere to the government's interpretation of Islam continued to face significant political, economic, legal, social, and religious discrimination."

It also criticizes U.S. allies in Pakistan and Jordan for aggressiveness toward religious minorities.

The governments of Iraq and Afghanistan were praised for endorsing religious freedom, but the State Department found that the war-torn countries have problems.

In Afghanistan, "the residual effects of years of Taliban rule, popular suspicion regarding outside influence of foreigners, and weak democratic institutions hinder the respect for religious freedom."

In Iraq, "violence conducted by terrorists, extremists, and criminal gangs restricted the free exercise of religion and posed a significant threat to the country's vulnerable religious minorities."

In releasing the report, Secretary of State Condoleezza Rice said the United States is "concerned by efforts to promote a so-called defamation of religions concept," which has been the focus of numerous resolutions passed at the United Nations.

She was referring to the Organization of Islamic Conference, a grouping of 57 Muslim states that does not recognize the right of individuals to freely change their religion and has prevented consensus on resolutions at the United Nations that would prohibit defamation of all religions, not just Islam.

"Despite a pretense of protecting religious practice and promoting tolerance, the flawed concept attempts to limit freedom of religion and restrict the rights of all individuals to disagree with or criticize religion, in particular Islam," the report says.

"Instead of protecting religion practice and promoting tolerance, this concept seeks to limit freedom of speech, and that could undermine the standards of international religious freedom," Rice said.

@highlight

Myanmar, North Korea, Iran, Sudan, Eritrea, Saudi Arabia, Uzbekistan "blacklisted"

@highlight

Tibetan region and in Xinjiang province in China stepped up oppression of Muslims

@highlight

State Department: China detained foreigners for their religion