London (CNN) -- As tens of thousands of athletes, team officials and visitors gather in London ahead of the Olympic opening ceremony on Friday, security is paramount for the Games organizers and British authorities.

And perhaps the biggest headache of all is the challenge of safeguarding the more than 100 heads of state and foreign dignitaries who will attend the opening ceremony at the Olympic Park -- Queen Elizabeth II, first lady Michelle Obama and U.S. presidential hopeful Mitt Romney among them.

But should visitors and competitors be worried?

Security concerns hit the headlines this month when it emerged that private security contractor G4S, which was supposed to have provided 10,400 guards for the Olympics and Paralympics, would not be able to deliver.

As a result, the government is deploying 18,200 troops -- many more than planned and almost twice as many as are in Afghanistan -- in order to remedy the shortfall. About 1,200 of those were called up just this week after being placed on standby.

Nonetheless, Culture Secretary Jeremy Hunt, the minister responsible for the Games, said Tuesday that the government "continues to have every confidence that we will deliver a safe and secure Games."

The decision to call up the extra troops was down to ministers' determination to "leave nothing to chance," as they prepare for the largest peacetime event ever staged in Britain, he said.

"G4S numbers continue to rise significantly and we have every expectation that will continue to be the case," Hunt added.

With three days to go before the opening ceremony, G4S said it had around 5,800 security personnel deployed at Olympic venues, with more being trained and accredited "each day." Last week, it said it hoped to have 7,000 fully accredited by the start of the Games, still thousands fewer than it was contracted to provide.

While the recruitment failure by G4S is highly embarrassing for the company, the Games' organizers insist that their contingency planning will keep everyone safe.

Visitors can certainly expect to see far more visible security measures in place than usual at Games venues and transport hubs.

The Ministry of Defence is also guarding the games with two warships, Typhoon jet fighters, Puma helicopters and, perhaps most controversially, surface-to-air missiles on apartment buildings near the stadium, despite objections from residents.

Sebastian Coe, the chairman of the London organizing group, LOCOG, has said the only real difference resulting from the G4S debacle will be in the "mix of security" checking on those at Olympic venues.

Home Secretary Theresa May gave a similar message when she was grilled by lawmakers on the matter, saying, "There is no question of Olympic security being compromised."

Critics have been less positive, with some Labour Party lawmakers concerned that security will be inadequate or that the prominent military presence will make visitors uncomfortable.

Security officials in the United States say they are supporting the host nation's efforts during the Games.

The U.S. intelligence community has set up a 24/7 center to analyze all threat information coming in during the Olympics in London, a senior American counterterrorism official said Wednesday.

Matthew Olsen, director of the National Counterterrorism Center, told the House Homeland Security Committee that the upcoming Games "present a potential target for terrorists and other disruptive groups."

He said the United States is working closely with its British counterparts to collect, analyze and share potential threat information with the goal of making sure they can "respond quickly to prevent any possible plotting tied to the Games."

Defense Secretary Leon Panetta said last week that Washington has offered "whatever assistance" the UK needs "in order to ensure that proper security is provided."

The chief executive of G4S, Nick Buckles, was forced to agree under questioning from lawmakers that the security staffing fiasco is "a humiliating shambles for the country." The firm has also agreed to meet the cost of the extra troop deployment, which could run to $77 million.

The Home Office said that G4S was suffering from a software problem, which means the contractor cannot guarantee who will turn up where and whether guards have the right training.

The guards employed by G4S will be responsible chiefly for such tasks as providing venue perimeter security, a spokesman for the contractor said. This includes manning X-ray machines, searching people, searching vehicles and operating closed-circuit television systems, he said.

People with tickets for Olympic events have been sent e-mails giving details of the security requirements for each venue. These include airport-style limits on the size of bags that can be carried and the quantity of liquids that can be taken in.

One such e-mail reads, "Be prepared for security checks when you arrive: this will be like taking an international flight at an airport. It will be busy and you will have to queue, so get there early."

The 18,200 British military personnel deployed for the Games are to help out with the security checks and stewarding at venues, as well as specialist tasks such as bomb disposal and sniffer dog searches.

The Royal Navy's largest ship, the helicopter carrier HMS Ocean, is moored in the Thames off Greenwich, where it will be a base for helicopter operations and house troops providing security at the Greenwich Park Olympic venue.

Additional airspace restrictions are also in force around London and the southeast.

Police in London and elsewhere also will play a big role in ensuring security.

Well before the G4S debacle hit the headlines, London's Metropolitan Police Service, known as the Met, was planning what it says is its biggest-ever peacetime operation.

The operation will "run for 66 days and cover over 1,000 venues, including those hosting Olympic and Paralympic sports, cultural events and 2012-themed celebrations taking place across the capital," the Met website says.

On the busiest days, up to 9,500 police officers will be used, including some from forces outside London, for Games-related operations, it says. Officers at Olympic venues will focus on preventing crime and keeping people and their property safe, while G4S is responsible for the security operation, it says.

Away from the venues, the Met will also have to provide the usual policing for the city and its visitors.

The Games come just over a year after parts of London were rocked by rioting that led to police being brought in from elsewhere in England to help restore control.

The threat of a potential terrorist strike has also been in the news in recent days after a number of arrests, although police said the operations were not linked to the Olympic Games.

The terror threat level on the UK Home Office website remains unchanged at "substantial," which is the third highest of five levels. The next level up is "severe," which means an attack is "highly likely," and the highest is "critical," meaning an attack is "expected imminently."

Government officials from Washington to London insist that there are no known specific or credible terror threats tied to the Olympics.

Travel to and around the United Kingdom will nevertheless be a focus of security efforts.

Visitors arriving at London's Heathrow Airport can expect to see every desk at passport control manned during the Olympic Games, the home secretary has said.

Immigration desks have extra staffers, Heathrow said Monday, amid fears of long lines to get into the country as security checks are carried out. Retired border officials and retired police officers are among those being brought in to supplement immigration staff, the Home Office said.

A planned strike by some border staff has been called off, easing fears of long lines at passport control.

U.S. officials may also be lending a hand at Heathrow.

The UK Department for Transport said a small number of staff from the U.S. Transportation Security Administration would be based at certain British airports "to act as an on-site liaison for the TSA." The TSA staffers will not, however, be conducting security screening or inspections, the Department for Transport said.

Meanwhile, London's public transport authorities have been warning commuters for weeks to avoid travel hotspots around the time of the Games -- but have not stressed any additional security risk.

The city's transport network is not immune to terror threats, as the attacks of July 2005 showed. But visitors can seek reassurance in the fact that Britain's police and intelligence officials have been successful since then in foiling attacks on the capital. In the 2005 incident, three bombs were detonated on underground trains and one on a bus in the city. The blasts killed 52 people and wounded more than 770.

London Mayor Boris Johnson told CNN's Becky Anderson that while the city's authorities are not complacent, he is confident in their ability to keep visitors safe.

"We do everything in our power to maximize security at the venues, and that's working well now -- the army, the military as well as G4S are providing very safe conditions on the site, plus there is a huge amount of work that nobody has seen involving the intelligence service," he said

"That's something about an event like this -- you listen out for what may or may not be happening on the Internet, you try as hard as you possibly can to monitor the potential suspects."

Johnson said it is impossible to guard against all "unknown unknowns," and that's why strong security is needed at venues.

"At no stage can you guarantee that someone won't do something moronic, stupid, violent and tragic; not just in London, but the whole of the UK is a potential target in this period," he said.

But at the same time, he said, "the intelligence is as reassuring as it could be under the circumstances. The threat level, as far as we are aware, has slightly come down in the last 12 months, but you can never be certain."

CNN's Richard Allen Greene contributed to this report.

@highlight

The government is deploying 18,200 troops to make up for a shortfall in security guards

@highlight

One headache is safeguarding more than 100 visiting heads of state and foreign dignitaries

@highlight

Private security contractor G4S has failed to recruit and accredit enough security staff

@highlight

Fighter jets are on standby, and a helicopter carrier is moored in the Thames