(CNN) -- Ever since "Bridge-gate" threatened to derail the once "inevitable" nomination of New Jersey Gov. Chris Christie as the Republican presidential candidate for 2016, Jeb Bush has been hinting that he might jump into the fray.

And with last week's Facebook announcement, the former Florida governor has emerged as a serious contender -- if he chooses to run.

The announcement of an exploratory committee has generated instant excitement because many Republicans feel that the former governor stands a very real chance of winning both the Republican nomination and the general election. Though the pundits have pored over all of his liabilities, most importantly the damage that his older brother inflicted on the family name, Jeb Bush brings a lot to the table for 2016.

If he handles this process the right way, Bush has the opportunity to put together a strong campaign. Democrats and his Republican opponents should be worried.

The most important asset Jeb Bush offers is that he is a known commodity, someone who is greatly respected in Republican circles. In this day and age of freewheeling primaries, the comfort level that experience and familiarity provides to potential donors and voters means a lot.

Republicans are desperate to win back the White House after eight years of Democratic rule. Their recent success in the midterms whet their appetite for gaining control over the government. Republicans know that the electoral math will be extremely difficult for them in 2016 as more voters, particularly among Democrats, are likely to come to the polls and the electoral college map favors blue.

Republicans have watched many of their candidates crash and burn in recent primaries, so they are eager to find someone who make it through to the finish line for the nomination and present a strong case in the general election.

Bush can survive the pressure from the right in the primaries. All the speculation as to whether someone like him will be done in by the Tea Party in primaries is vastly overblown. Most importantly, other than on immigration reform and education policy, Bush is a conservative and has a record to prove it.

As Frank Bruni of The New York Times recounted, moderate is not really a label that fits his record. He has a rather conservative record on tax cuts and gun rights, one that would be quite appealing to the right. He is a staunch opponent of abortion rights and same-sex marriage.

Much "of his record in Florida is that of the 'headbanging conservative' he claimed to be during a first, unsuccessful campaign for governor in 1994," Bruni writes. He attacked affirmative action and gained national prominence when he fought against Michael Schiavo who wanted to remove the feeding tube of his wife Terri Schiavo.

With Cuba, he stuck to the traditional hardline position in response to President Obama's recent announcements on normalizing relations. Bush will be able to make a strong case in the primaries that he is as conservative as anyone else in the bunch.

And even if there are still questions about his conservative credentials in the age of the Tea Party, the power of the right in the Republican primaries has not really proven to be debilitating to candidates who are trying to build a broad coalition. In 2008 Republicans picked Arizona Sen. John McCain who famously had been in conflict with the right wing of his party. Massachusetts Gov. Mitt Romney, despite all the predictions that he would never survive, did just fine on his way to the 2012 nomination.

These candidates were able to make enough statements to please conservatives without radically transforming who they were. This year will be no different. Most Republican activists are thirsty for a candidate who can win rather than one who would be 100% pure on ideological issues.

Then there is the power of money. During the recent midterm primaries, the Republican establishment showed that money matters. In 2014, tea party candidates fared very poorly when confronted with Republicans who had the backing of big money conservatives eager to support candidates who could win and avoid those whose devastating sound bites would energize Democrats. The same dynamic that was on display in the midterms will be true in the presidential primaries.

Bush is likely to draw considerable support from key players in the Republican fund-raising machine. As soon as he made his announcement, Politico reported, a group of prominent Republican donors expressed their excitement. "He's got proven executive experience," said GOP bundler Fred Malek, the finance chairman of the Republican Governors Association that Chris Christie currently heads. "He's a uniter. He's got smarts. He's got political courage."

Bush will also be able to tap into many endorsements from prominent Republicans who have been champing at the bit to have him run.

While Bush is a conservative, without question, his record on the issues of immigration and education along with his demeanor will probably be enough to make a pitch that he is a coalition builder .

Politics: Jeb Bush will defend expanded immigration

While his conservative record will be sufficient to counteract Tea Party frustration, Bush will be able to sell himself as part of a Republican cohort that is seeking to bring new people into the Republican fold and who is sensitive to the ways in which social and cultural issues have changed where the party stands on these issues.

His record on immigration, as well education (he supports Common Core, the program that is controversial with many, including conservatives), combined with his immediate family will make it much tougher for Democrats to paint him as far right of center, the strategy that has worked so well for them in recent years.

It is less clear how well he will be able to deal with some of the economic concerns facing the American electorate. Like most Republicans, he will face Democrats pointing to the evidence of economic recovery under President Obama, and he has close tied to the business, anti-tax establishment faction of the GOP that hurt Mitt Romney in 2012.

The housing market started to crash in Florida toward the end of his term, though it didn't really take effect until after he got out. At the same time, he still will be able to tap into some of the anxiety of the middle class about the stability of this recovery, surely claiming credit for the current state of the Florida economy.

Finally there is the question of Bush fatigue. The biggest obstacle that Jeb Bush faces is his last name. The controversial ending of George W. Bush's presidency and his terrible popularity ratings were a shadow that loomed over another Bush candidacy. But, especially in the short-attention span politics of the U.S., 2008 is a long time ago.

The intense controversy over President Obama has redirected much of the political heat toward the Democratic leader, while the traditional waves of nostalgia about the last president have started to set in. Continued problems with foreign policy and the economy, as well as the extension of much of the homeland security program under President Obama, has undercut some of the claims that Bush was wholly to blame for the problems that bothered Americans. The success of the Tea Party at shifting the GOP further to the right allows Bush's supporters to claim that the previous Republican president was not as extreme as his critics said.

Jeb Bush is a good campaigner and he shouldn't be taken lightly. If he puts his full heart into this race, and it still remains unclear thus far that he will, Hillary Clinton and other Republican contenders should be worried that the 2016 election could be another year for the Bush family.

Note: An earlier version of this article incorrectly described former President George W. Bush; he is Jeb Bush's older brother.

@highlight

Julian Zelizer: Jeb Bush may be Republicans' strongest candidate for 2016

@highlight

He says Bush can get support of GOP donors and unite the party

@highlight

Bush has conservative credentials while also appealing to larger electorate, he says

@highlight

He says Bush may face opposition over economy and baggage over Bush name