Something incredible is happening this week in Alaska.

People in more than 170 communities -- from Anchorage to Allakaket -- are planning to hold public "Choose Respect" rallies in honor of survivors of sexual and intimate partner violence.

For the state with the highest rape rate in America, that's a massively important undertaking. It sends a message to people in the state and across the country that silence is the poison that lets rape and sexual violence continue. That enough is enough.

"We have extremely high rates of domestic violence and sexual violence in Alaska," said Katie TePas, a senior policy adviser to the governor. "When victims and survivors see their communities standing up for them, they see a great deal of strength. ... And they see help, when they may not have ever sought help before."

It's a topic about which I care a great deal -- and I know you do, too. CNN readers voted for me to cover rape in the United States as part of my Change the List project. After spending more than two weeks in Alaska, I published a series of stories about why the rates of sexual violence are so shockingly high there -- and what could be done to change that. My biggest takeaway: People have to talk about this difficult issue. Otherwise, too many victims who come forward aren't believed. And too many suffer in silence, thinking they're to blame for what's happened to them.

They're not alone, and these "Choose Respect" rallies are just the sort of awareness-raising events that could push Alaska off the bottom of the list. The demonstrations -- which are coordinated by the office of Alaska's Republican governor, Sean Parnell, and are sponsored by the state -- started in 2010 with only 18 communities participating, TePas told me. This year, she expects more than 170 communities. The rallies start Thursday and will continue through the weekend in some locations.

I hope CNN readers will join the state in demanding an end to the violence there and elsewhere. Take a photo of yourself with a sign that says "Choose Respect" and upload it to Facebook, Instagram or Twitter with the hashtag #chooserespect.

The images will appear on this page -- and maybe in future coverage.

Parnell invited me to march with him in Alaska on Thursday. In a February 24 letter, he called CNN's coverage of rape in Alaska "exceptional" and said it "pulled back the curtain and cast a new light on the issue" of sexual violence.

I'm unable to attend, but I appreciate the invitation. As for his kind words about the series, CNN shares the credit with the brave people in Alaska who told me their stories -- and with the dozens of readers and viewers who shared their stories of survival in solidarity with Alaskans. You can read some of those harrowing and heartfelt accounts on this page: "We are the 59%." Fifty-nine percent of women in Alaska face intimate partner or sexual violence in their lifetimes, including threats of violence. That statistic should horrify every American. And it should provoke action, as it already has for many. After the series, Marie Claire, Mother Jones, Salon and others took up the issue, too.

On Thursday, as thousands of Alaskans are marching, my thoughts will be with all the incredible people I met on my trip to the state in December and those who shared their stories online. They will be with the people of Nunam Iqua, Alaska, which is one of a reported 75 communities that do not have any local law enforcement presence. A CNN reader started a petition asking the state government to change that. To date, I'm told that request has not been heeded. People there do not have access to the same level of justice as elsewhere in this nation. Unless geography determines a person's worth, that should change immediately.

"Where are the boots on the ground in our village?" asked Russell Clark, principal of the school in Nunam Iqua and one of many people there who wants a local officer.

Currently, state troopers usually must fly in from other villages to respond to emergencies -- a process that takes 45 minutes at best and sometimes, in bad weather, can take days. The state troopers have told me they're having difficulty finding someone who would take the job in Nunam Iqua. It's a tough economy these days, and I've been told funding is available for the position. If you'd like to apply, e-mail me (ctl@cnn.com) and put "Nunam Iqua" in the subject line. I'll be happy to connect you to the troopers.

My thoughts will be with the young people who helped organize a panel discussion in Anchorage called "NO MORE" -- part of a national awareness-raising campaign.

And, finally, my thoughts will be with Erin Merryn, a victim of child sexual assault from Illinois who, I'm told by a local lawmaker, will be traveling Alaska this week campaigning for a bill that would require state school districts to teach about the warning signs of child sexual abuse. Currently, Alaska does not require school districts to teach that essential information or sex education. The bill -- "Erin's Law," which has been passed in ten other states, according to the group's Facebook page -- is expected to come before the Alaska House education committee on Friday. I hope her upcoming testimony will encourage legislators to push this bill forward. The lawmaker who proposed the legislation, Rep. Geran Tarr, an Anchorage Democrat, told me she's optimistic it can pass this session. She handed out copies of my articles, again, which CNN readers commissioned, in hopes representatives will realize the scope of this problem.

"It's really been a good conversation starter," she said of the stories. "There's too much coverage (for legislators to ignore sexual violence). Once you start to be in national press for this, that really is a catalyst for change. That's not the kind of notoriety you want for the state."

I don't want to paint Alaska as an awful or isolated place. The stats are horrifying, as are many of the stories I heard. But sexual violence is a serious concern across the country, and states like South Dakota, Oklahoma, Michigan, New Mexico and Arkansas have rates of reported rape well above the national average. It doesn't have to be this way. I will anxiously await photos from the "Choose Respect" rallies. Alaska is also a beautiful place full of strong people. And this week, all of us will get a chance to see them -- and, hopefully, you -- demanding a safer future.

@highlight

Alaskans will rally this week in 170 communities to end sexual violence

@highlight

Join them by uploading a photo of yourself and tagging it #chooserespect

@highlight

John Sutter recently featured Alaska as part of his Change the List project

@highlight

Alaska has the highest rate of reported rape in the country -- three times the U.S. average