Austin, Texas (CNN) -- In February 2009, Sam Bassett got called to Gov. Rick Perry's office.

Bassett was then chairman of the Texas Forensic Science Commission, an agency set up in 2005 to regulate state crime labs after a series of embarrassing scandals. The first matter on its plate involved the 2004 execution of Cameron Todd Willingham, whose murder conviction rested largely on testimony that many arson experts now call outdated and incorrect.

Aides to Perry, who allowed Willingham's execution to go forward, started off with general questions about how things were going at the commission, a relatively new agency, Bassett said. But then they started asking about Willingham, questioning whether the commission's review of the evidence in his case was beyond its legal powers.

"As soon as we started discussing the Willingham investigation, the meeting got more confrontational and more difficult," Bassett said.

About six months later, Bassett's term on the commission was up -- and despite letters from members urging his reappointment, Perry replaced him and three other appointees. The move came at what Bassett calls a "critical point," two days before the commission was to hear from an expert who had delivered a scathing report on the Willingham case.

The governor's new pick for chairman soon put the brakes on the investigation, raising some of the same questions about the commission's authority that Bassett said Perry's aides had.

And in July, with Perry gearing up for a run for president, the state's attorney general delivered an opinion that appears to sharply limit the commission's authority. The Forensic Science Commission is meeting Thursday to decide what it can still do in light of that opinion.

For Bassett, an Austin defense lawyer, it's the culmination of what he now calls a methodical campaign to shut down an investigation that might embarrass Perry.

"At first, when I was replaced, I gave the governor the benefit of the doubt," he said. "But now that time has passed, I've seen this kind of endless drumbeat of strategies and actions to stop this investigation, and it's been terribly disappointing."

Perry's campaign dismissed Bassett's accusations Wednesday, repeating the governor's characterization of Willingham as a "monster" who had sent his three young daughters to a fiery death.

"The case has been scrutinized and reviewed by a jury, state and federal courts, the news media, anti-death penalty activists and the Forensic Science Commission," Perry spokesman Mark Miner told CNN in an e-mail. "Willingham was guilty of murdering his children."

The statement did not directly address Bassett's accusations.

Bassett's role in the matter ended in October 2009. He said Perry's office called him just days before the commission was slated to hear from the expert it hired to review the evidence in the Willingham case. He said a Perry aide thanked him for his service, but told him Perry "wants to take the commission in a different direction."

Though the shakeup was controversial at the time, it was barely mentioned in Perry's 2010 re-election campaign. Perry is now seeking the Republican nomination for president, and Bassett says the Willingham case is a window into Perry's leadership.

"He's not always open to any contradictory viewpoints that could actually be helpful," said Bassett, who describes himself as a Democratic-leaning supporter of capital punishment in some cases.

When the Willingham last-minute plea for a stay came before him, "There was nobody at the helm to raise a flag and tell him, 'This is serious ... this guy may have been convicted on faulty science,' " Bassett said.

Bassett said July's opinion from Texas Attorney General Greg Abbott "provides Governor Perry with the cover he probably needs to totally squash the investigation." Representatives of the attorney general's office raised no concerns about the Forensic Science Commission's jurisdiction when the panel voted unanimously to take on the Willingham investigation, he said.

The Corsicana man was put to death in February 2004. It was one of 234 executions Perry has overseen as the longest-serving U.S. governor and the head of the most death-penalty-friendly state.

Authorities in Corsicana say they remain convinced of Willingham's guilt, arguing that other evidence beyond the now-challenged arson testimony supported his conviction. The state fire marshal's office has told the Forensic Science Commission it stands by the findings in his case.

Bassett said the commission was never looking into whether Willingham was innocent -- but he said much of the evidence cited in his trial is now considered "junk science."

Perry's campaign also noted that Willingham's ex-wife now believes in his guilt. And his state office told CNN that Willingham "had full access to every level of the appeals process, and his conviction was consistently upheld."

"His conviction was reviewed and upheld by multiple levels of state and federal courts, including nine federal courts -- four times by the U.S. Supreme Court alone over the course of more than a decade," deputy press secretary Lucy Nashed said in a written response to questions by CNN.

In Willingham's case, Perry's office says the governor was briefed on a last-minute filing by Austin-based fire science expert Gerald Hurst that found the deadly blaze was likely not arson, but he refused to grant a stay of execution for further investigation.

Nashed told CNN that Hurst's review of investigators' findings in the Willingham fire was also reviewed by appeals courts and the state Board of Pardons and Paroles, which rebuffed a plea for clemency. State and federal appeals courts "agreed that the new opinion by Gerald Hurst was simply an opinion and did not merit reopening the case," she wrote.

Two subsequent reviews have backed up Hurst's conclusions, finding that advances in the science of arson investigation since Willingham's trial rendered obsolete most of the signs that fire marshals pointed to as evidence of arson in the case.

In the 1990s, researchers determined that several of the things cited in Willingham's trial were likely to be produced in fully involved accidental fires. The appearance of spider web-like cracks in panes of glass, once believed to have been the result of fires started with flammable liquids, turned out to be caused by the rapid cooling of windows sprayed with water. Experiments conducted during that period showed burn patterns once thought to show multiple points of origin -- another possible indicator of arson -- also appear when the intense heat of even an accidental blaze radiates downward and sets items like furniture and carpet afire.

The most recent review was conducted by Maryland arson expert Craig Beyler at the request of the Forensic Science Commission. Beyler, then chairman of the International Association of Fire Safety Science, sharply criticized the testimony against Willingham and questioned whether it met even the standards of the day.

Beyler ultimately appeared before the commission in January 2011, 15 months after he had been scheduled to answer questions about his report.

The commission began looking into Willingham's conviction at the request of Willingham's family and The Innocence Project, which works on behalf of inmates it believes are wrongly convicted. The group has blasted Perry over his role in the issue, accusing him of trying to shut down the probe.

Stephen Saloom, the group's policy director, told CNN that the investigation should go forward for the sake of hundreds of other prisoners now serving time for arson, some of whom also may have been convicted based on outdated fire science.

"The Willingham case really demonstrates how severe the consequences can be when you use bad forensic evidence," Saloom said.

@highlight

The former chairman of a state commission criticizes Gov. Rick Perry

@highlight

Bassett says the case is a window into Rick Perry's leadership

@highlight

Perry signed off on Cameron Todd Willingham's execution in 2004

@highlight

Arson experts say conviction was partly based on "junk science"