Washington (CNN) -- Tourists and businesses are already feeling the sting of federal budget cuts, with officials in Wyoming announcing delays for opening parts of Yellowstone National Park.

The National Park Service is taking a $113 million hit under the so-called government sequester that took effect on Friday and is set to run through the end of the current fiscal year unless Congress calls it off or changes how it is implemented later this month.

The impact on the overall federal budget and deficit reduction is miniscule, but the meaning of cuts to local businesses in and around treasured landmarks that host nearly 300 million visitors a year is all too real.

House GOP campaign arm goes online in the blame game over forced spending cuts

The National Mall and the Statue of Liberty will be affected, according to John Garder, budget and appropriations legislative representative for the National Parks Conservation Association. The Mall stands to lose $1.6 million and the Statue of Liberty almost $780,000 between now and the end of the fiscal year in September.

Local government officials and business leaders in Cody, Wyoming, said Yellowstone will delay the opening of its north and west entrances by a week until April 26, and its east, south and northeast entrances by two weeks until mid-to-late May because of the impact of budget cuts on snow removal.

The delay will cost related businesses several million dollars, the local Chamber of Commerce said.

Jan Stoddard, marketing director for the West Yellowstone, Montana, Chamber of Commerce said the park and its visitors are the lifeblood of her community.

"Limiting access to the park even for a few weeks can have significant impacts on the bottom line of a small business reliant on those visitors," Stoddard said. "These visitors contribute tax dollars and support jobs."

So what are these cuts actually worth?

The Park Service operates on $2.2 billion annually, or a tiny fraction of the federal budget. But its sites pump $31 billion into local economies and visitation has been up despite a sluggish economy.

Opinion: Americans sick of budget soap opera

National parks contribute more than 270,000 jobs outside the National Park Service like lodging, food and beverage services, and recreation and entertainment.

"It is important to note that proposed cuts to Yellowstone and Glacier national park budgets will save the federal government $2.5 million, but in all likelihood tax losses due to reduced tourism could offset the savings. Last year, nonresident tourism to Montana generated approximately $253 million in federal taxes," Stoddard said.

According to Forbes, eight of the top 25 U.S. tourist destinations are national parks.

In a memo, the National Park Service outlined some of the more specific changes and closures that would be attributed to the proposed spending cuts.

For instance, Gettysburg National Park, which honors the famous Civil War battle, would eliminate 20% of its spring student education programs, affecting 2,400 students.

Grand Canyon National Park will reduce hours of operation at the main visitor center, affecting at least 250,000 people.

The White House said, "Many of the 398 national parks across the country would be partially or fully closed" during the six months of budget austerity and other parks would experience shorter hours, fewer employees and limited camping and hiking spaces.

It will take a month or so for the cuts to kick in at most federal agencies.

Share your story: How do you feel about the cuts?

In the 2011 fiscal year, funding for the National Park Service was cut by almost $140 million. From 2002 to 2011, the budget fell by 13% overall.

According to Garder, recent cuts have taken a toll, with deferred maintenance requests running into the billions of dollars.

In the long term, Garder fears further cuts could have a detrimental effect on the vitality of national parks, including limited resources for "curbing invasive species and long term protection (of park areas)."

Areas managed directly by the National Park Service won't be the only ones to experience the pain of spending restrictions.

The Three Bear Lodge and Restaurant in West Yellowstone will feel it, too.

"Because of the seasonality of our business and the fact that our town of West Yellowstone basically shuts down whenever Yellowstone closes, we need revenue generated every day in order to stay solvent on a year-round basis," owner Clyde Seely said.

"Opening our businesses for shorter time periods or causing reductions in visitation during the shoulder seasons of the park will cause proportionate reductions in the overall economy."

Zakaria: Cuts a damning indictment of Washington

Almost 279 million people visit national parks each year.

Visitor concessions like souvenir shops, lodging, transportation, equipment rental and food services will suffer from the decrease in tourism caused by the limitation in park hours.

"There is a breaking point and once we reach that and services begin to suffer, this will be directly reflected in the experience our visitors are having and that poses the greatest danger -- when we can no longer deliver on the promised experience," Stoddard said.

But economist Isabelle Sawhill from the Brookings Institution said cuts in cases like this aren't that significant.

"I think almost any organization can sustain a 5% cut in their budget and not have it interfere with their basic mission," she said.

Garder disagreed.

"The budgeting process is completely broken. It's Congress' job to figure out where investments should be made and where agencies should be cut, it's a mindless process and it's not meant to become policy.

Beyond spending cuts: What's next for Washington

@highlight

Forced spending cuts to trim $113 million from park service budget

@highlight

NEW: Parts of Yellowstone will open later due to impact of cuts on snow removal

@highlight

Parks could see shorter hours, fewer employees and limited camping and hiking spaces

@highlight

Almost 279 million people visit national parks each year