(CNN) -- Since the July 3 military coup, Egypt has been witness to the rise of a new military dictatorship led by Field Marshal Abdel Fattah el-Sisi.

El-Sisi's recent presidential bid reveals a tenacious attempt of the Egyptian military to consolidate power and preclude Egyptians' aspirations of having a genuine democracy. For the past few months, the Egyptian media and state institutions have been ardently working to pave the way for el-Sisi's presidency by distorting and smearing his political opponents.

Over the past six decades, the Egyptian military has implanted its officers and generals in almost every aspect of civilian life from pasta and soap factories to the construction of soccer stadiums, bridges and infrastructure. Through such practices the army has successfully extended its control over the country.

Consequently, the "militarization" of the Egyptian state, which was entrenched under Mubarak -- who systematically co-opted and spoiled military high-rank officers -- has weakened public institutions and created a feeble and fragmented political class that is now supporting the military's takeover.

Gulf allies

With regional support mainly from Saudi Arabia and the United Arab Emirates, who fervently seek to abort the Arab Spring, el-Sisi believes that he can suppress and tame the mounting anger and frustration among young Egyptians particularly Islamists who protest almost daily.

By pouring billions of dollars into Egypt's economy, the Saudis and Emiratis believe that they can appropriate the Egyptian army and use it as a Trojan horse in order to eliminate and crush Islamists.

Indeed, el-Sisi's Gulf counterparts view him as a "savior" not only from Islamists but more importantly from the very existential threat to their thrones: democracy.

Thus it is not surprising that both, el-Sisi and his Gulf allies, share the same authoritarian mindset and behavior. They desperately seek to restore Mubarak's ruling-style with a new face.

Surprisingly, or maybe not, the international community remains in limbo watching the manufacturing of a new dictatorship in Egypt while doing nothing to prevent the possibility of such a scenario.

'Stability vs. democracy'

Moreover, despite the many instances of violations of human rights and the killing of civilians in the absence of any justice or accountability, the world powers have done nothing to stop such repulsive actions.

The U.S. and the EU have failed miserably in pressuring the military to separate itself from politics and return to the barracks.

Even as the Obama administration receives harsh criticism for its policies towards the Egyptian junta, Secretary of State John Kerry seems keen not to anger Egyptian officials. Not only has he praised the "roadmap" imposed by the military last July but he has also stated that "Egyptians [are] following the right path."

Apparently, U.S. foreign policy towards Egypt's crisis continues to be driven by the long-standing delusional and misguided argument: stability vs. democracy.

The U.S. policymakers believe that Egypt's military is the only force capable of retaining stability and maintaining security. However, one must only look to the experience of the past eight months to see that this argument is nothing but a myth. Simply, the level of violence and amount of killings and casualties is unprecedented in Egypt's modern history.

For example, the Sinai Peninsula, which represents around 6% of Egypt's land, is almost out of the central government's control. And despite the ruthless security campaign there, militant Islamists still pose a serious threat to Egypt's national security. Furthermore, the interior ministry has failed to secure its own facilities and vehicles. It is also struggling to protect its own personnel who are targeted by militant Islamists.

Social explosion

El-Sisi, Egypt's most likely post-coup president, will not be able to bring stability or security to the country. In fact, he has become a liability and an integral part of the problem not the solution.

Although he has garnered significant public support since the ouster of President Mohamed Morsy, there are no guarantees that el-Sisi-mania will continue once he is president.

The past three years have shown the volatility of the Egyptian public mood which can shift dramatically overnight particularly if el-Sisi doesn't quickly and appropriately fix Egypt's ailing economic and societal problems. Egypt is dangerously close to a social explosion due to unemployment, poverty and corruption.

Moreover, Egypt is witnessing the largest waves of workers and professionals' strikes since January 2011. With the absence of any coherent economic policy, el-Sisi's presidency wouldn't be able to soothe the fears of many needy Egyptians who view him as a new Gamal Abdel Nasser.

Surely, el-Sisi's Gulf backers will likely continue their "lifeline" of support, at least for a while. This money could buy el-Sisi some time but it will not certainly bring stability.

History has shown that suppressing Islamists only leads to more extremism and instability. During 1970s and 1980s the cases of Algeria, Syria, Pakistan and Egypt all served to provide appalling examples of Islamist insurgency that would drain el-Sisi and his regional backers.

An el-Sisi presidency would be a major cause for instability and insecurity in the region and would likely create more extremists and radicals.

Therefore, it is important that the international community, particularly the U.S. and EU, do not lend credibility to the bogus elections that will bring him to power.

Read more: El-Sisi announces presidential bid

Read more: Opinion: For many Egyptians, there is no alternative but el-Sisi

The views expresssed in this commentary are solely those of Khalil al-Anani.

@highlight

Field Marshal Abdel Fattah el-Sisi has resigned from Egypt's armed forces to run for president

@highlight

Khalil al-Anani says el-Sisi's bid demonstrates the military's desire to consolidate power

@highlight

Egypt's Gulf allies have poured money into Egypt and view el-Sisi as a savior, he writes

@highlight

The West misguidedly thinks he will bring stability -- when he will create insecurity, al-Anani says