(CNN) -- If there's one thing that kills bedroom coziness, home decorators say, it's a bed-in-a-bag set.

It might seem like a smart idea to buy everything together, but ultra-coordinated, flat bedding and stiff comforters often found in bagged bedding are the enemy of an inviting bedroom, said Holly Browning, DIY blogger and former home accent and interior designer.

"Fluff is key, like clouds or cotton," Browning said.

For her, and many decorators who contributed to this week's "inviting bedrooms" Open House assignment, the feel of bedding is important. Whether it's crisp, white sheets from a store like Target or expensive, vintage-looking throws from Anthropologie, decorators say it's important to feel like you're sleeping on a cloud.

And to get that feel, you must control the fluff. A carefully curated collection of down duvets, mattress pads, quilts and blankets of different thicknesses allow for temperature control and comfort, whether you're fast asleep or sniffling through a miserable flu bug -- and that probably won't come from a preselected, oversized bag, decorators said.

But is it just decorator snobbery?

When pressed, decor blogger Emily Clark said, "A bed in a bag can sometimes be a good jumping-off point, if you add some other elements like patterned sheets or different shams."

Likewise, Browning relented: "Well, it's OK, really. If you are unsure of what pillows and bedding accessories you like, then buying a bag might be best."

But she also pointed out that the pillows in said bag are "not always the softest material," and that matters a lot.

Pillows

Pillows are key, decorators said, and they must be chosen carefully.

"Pillows have always been a big discussion in our house," said interior designer and The Little Black Door blogger Elizabeth Baumgartner. "After a lot of trial and error, I've found that we need at least one king-size synthetic pillow and one regular-size down pillow per person." The combination, she said, is perfection.

"I think every bed needs several good pillows besides the decorative kind," said Clark. The calming, white master bedroom she decorated is "the most comfortable place for me in our home," she said.

Julie Holloway, part of the Milk and Honey Home decorator team from Roswell, Georgia, also finds pillows paramount. "My husband and I love our Tempur-Pedic pillows that mold to the shape of our neck and head," she said. "Our young boys love them, too, and steal them often."

Furniture

But scratchy sheets aside, comforters that match throw pillows that match curtains, elicit a shudder and "ugh" from interior designers like Shannon Berrey. And what of a matched suite of bedroom furniture? They inspired the same kind of disdain.

"Don't do it!" Berrey pleaded, urging a more eclectic approach.

The "paint by numbers" mountain vacation bedroom Berrey designed embodies her decorating aesthetic. "Some vintage pieces, some new, different wood tones, some painted," is how she put together a cozy, inviting bedroom for clients.

Interior decorator and blogger Bethany Brower said matching bedroom furniture makes her feel "claustrophobic."

"Matching bedroom sets are definitely a buzzkill for me," Little House on the Update blogger Corrie Moore said. "I feel like a bedroom can be uncomfortable if it's too formal."

Headboards

And according to the logic of most bedroom decorating schemes, designers say the bed and headboard are more important than the rest of the furniture. "A headboard gives the bed a presence in the room," Clark said. "Whether it's a full bed frame or even just a pretty quilt hanging on the wall behind the bed, a headboard makes the room feel more finished."

"Important" doesn't always mean "expensive." Many headboards featured in this week's gallery are DIY projects.

"This spot is so special to my husband and me because we built and upholstered the bed ourselves," Kelly Marzka said. "Every night when we crawl in to sleep, we're reminded of this project we took on, not knowing if we could even do it."

CNN iReport head-honcho and home decor blogger Katie Hawkins-Gaar is similarly proud of the impact her DIY headboard has on her master bedroom.

"We have an Ikea Malm bed, something that was in our price range when we first bought it, but it never really stood out on its own," she said. "After making a custom headboard, it's like we have a brand new bed! It gave our bedroom so much character and the fact that it's handmade -- it was my husband's first attempt at a project of that scale -- makes it so much more meaningful."

The large headboard Browning created for her master bedroom reflects her personal style.

"Right now I am loving gray and silver. The corrugated steel roofing I used for this one is shiny and massive," she said. "It's not very feminine but it creates a soft, romantic reflection from the side lamps."

Lighting

Clark also finds that lamps are an indispensable ingredient to an inviting bedroom.

"I recently moved the lamps in our bedroom to another room in the house, and we were with only an overhead light for a couple of months," she said. "It just felt so cold to me."

Soft light makes a bedroom cozier, she said. So, too, can black-out drapes, or even eye masks and white noise machines. Light-limiting drapes can come in handy for the occasional sick day, Brower said.

"There's nothing worse than being laid up in bed with a cold and it's sunny and wonderful just outside the window. I can pull my drapes shut and block out the sun and pretend I'm not missing out on a glorious day," she said.

TVs

The only thing it seems decorators can't agree on when it comes to bedrooms is whether to put a TV in the room. For some, like Berrey, it's a must.

"I know for so many a TV in the bedroom is a big no-no, but I have to have a TV in the bedroom. I love to lay in bed and watch TV until I fall asleep. It's really the only thing I need; No scented sprays or the sounds of crashing waves, just the sounds of the 'Real Housewives,'" she said.

Even if they think TVs don't belong in bedrooms, decorators confess to it apologetically.

"I know I'm in the minority," Baumgartner said, "but no TV."

"I'll be hated for this one," said Holloway, who says TVs destroy the cozy vibe of a bedroom. "Are we not bombarded by screens? If you can swing it, no home office or TV in your bedroom."

Are you obsessed with decorating your house? Show us your skills at CNN's Open House and your photo could be featured in next week's story. Our next focus: well-dressed mantels.

@highlight

Decorators: Bed-in-a-bag sets can be stiff and too coordinated for a cozy room.

@highlight

"A bedroom can be uncomfortable if it's too formal," blogger Corrie Moore said of furniture choices

@highlight

Share your gorgeous mantel photos and ideas on the next CNN Open House iReport assignment