As the opening of next month's Winter Olympics in Sochi, Russia, approaches, the controversies surrounding the games seem to accumulate by the day.

These have included criticism of Russia's human rights record, particularly its treatment of homosexuals, its environmental policies and, with the recent suicide bombings in Volgograd, its anti-terrorism actions and strategy in the Caucasus.

Calls to boycott the games and other international pressure have led Russia to release high-profile dissidents including Mikhail Khodorkovsky, the ex-oil tycoon, and members of the punk band Pussy Riot.

Yet for all the heat generated in these controversies, one of the most significant issues of all surrounding the Olympics has been nearly ignored: Recognition of the indigenous people of Sochi, the Circassians.

The Circassians, who are mostly Muslim, resided in Sochi for millennia. In the 19th century, an expanding Russian Empire coveted their territory -- which is south and east of Russia proper -- and used overwhelming force to defeat them. Russia killed around 1.5 million Circassians and expelled a similar number, mostly to the Ottoman Empire, with many dying of famine and disease. Entire tribes were decimated; for example, the Shapsugh tribe was reduced from 300,000 to 3,000 people.

The bloodiest battle of all, which Circassians refer to as their "last stand," occurred in the vicinity of Sochi, the Circassian capital, in 1864. The Circassians describe the catastrophe that befell their people as the first modern genocide.

The few Circassians able to remain in the Caucasus found themselves a minority in their own land, which was quickly settled by Russians. Those who were expelled or escaped were forced to migrate from country to country in search of safety and stability. Diaspora Circassians have faced huge challenges in attempting to preserve their identity and traditions and keep the memory of their homeland alive.

When it was announced that Sochi would host the 2014 Winter Olympics, there was an outcry among Circassians, who were profoundly insulted that the games would be staged on the graves of their ancestors, almost exactly 150 years after the Sochi "last stand." Circassians launched global campaigns of protest amidst reports of human remains being discovered at Olympic construction sites.

The Circassians complained of intimidation by the Russians, who, for example, last month arrested eight prominent Circassian activists in the Caucasus, all of whom were respected public figures.

The Circassians found it intolerable not only that Sochi was selected to host the Olympics, but also that Russia did not seem to acknowledge that Circassians even lived there. When President Vladimir Putin delivered his bid for the games in a speech to the International Olympic Committee in 2007, he said that the Sochi area used to be inhabited by ancient Greeks and did not mention the Circassians. This is noteworthy because not only did the Circassians live in the region at the time of the Greeks and maintain close ties with them, but they actually participated in the original Olympic games.

Russia's indifference towards its indigenous people sharply contrasts with Canada's policy at the last Winter Olympics in Vancouver in 2010. Then, for the first time in history, the native peoples of the area were made official hosts of the Olympics and were involved in every aspect of the games. A depiction of an inukshuk, an indigenous landmark and symbol, was featured as the official logo of the Olympics.

The governments of Canada and British Columbia contributed millions of dollars to centers that educated visitors about indigenous culture and history. Other recent Olympics, for example in Salt Lake City in 2002, also prominently featured the native peoples of that area.

Despite Russia's failures on the Circassian issue, Putin still has time to act. He has already taken the crucial step of allowing protests at the Olympics, and protesters, Circassian and otherwise, must be allowed to freely express themselves to the world's media. Putin can also push for an acknowledgement of the Circassians at the opening ceremony and speak on the issue. A serious and sincere acknowledgment of the Circassians would help demonstrate to the world that Putin is serious about his vision of a modern and multiethnic "new Russia."

The United States and Australia have officially apologized for the horrors they inflicted on indigenous peoples, and by taking positive action at the Sochi Olympics, Russia can move in a similar direction. Perhaps such a gesture of respect could help the nation find a solution to the festering problem of the Caucasus, where areas to the east of Sochi, such as Dagestan and Chechnya, remain in a state of war and hopelessness.

It is impossible to bring back the mass numbers of Circassians killed at Sochi and the surrounding region in the 19th century. What Russia, and all of us, can do is remember and honor them. By doing so, we affirm the important role that indigenous peoples must play in the 21st century, and also help ensure that the destruction of an entire people never happens again.

@highlight

Frankie Martin: Sochi's indigenous people largely ignored in run-up to Olympics

@highlight

Putin's talk of Sochi's history leaves out Circassians, purged by Russia in 19th century

@highlight

He notes outcry from Circassian diaspora over Games being sited on graves of forebears

@highlight

Martin: Other Olympic hosts have recognized indigenous people; Russia can still do this