(Health.com) -- When billionaire investor Warren Buffett revealed last week that he has been diagnosed with early-stage prostate cancer, the reaction -- including from Buffett himself -- amounted to a collective shrug.

Buffett said his doctors told him the cancer is "not remotely life-threatening or even debilitating in any meaningful way," which led some observers to wonder why the 81-year-old had bothered to get screened for the disease in the first place.

Since 2008, an independent panel of experts that advises the federal government on preventive care has discouraged the use of prostate-specific antigen (PSA) tests -- a type of blood test -- to screen for cancer in men ages 75 and up. Tumors in this population tend to be slow-growing and asymptomatic, so early detection may carry more risks than benefits, the panel concluded.

Health.com: What men must know about PSA tests

Buffett's diagnosis isn't the only sign that this recommendation hasn't sunk in. According to a research letter published this week in the Journal of the American Medical Association, PSA testing rates in men over age 75 have remained steady since the panel released its guidelines in 2008.

National survey data shows that 43% of men in that age bracket underwent PSA screening in 2005. In 2010, the researchers found, 44% reported having a PSA test done -- a statistically negligible difference.

"Screening patterns couldn't have been more similar before and after," says lead researcher Scott E. Eggener, M.D., an assistant professor of surgery at the University of Chicago Medical Center.

PSA tests aren't harmful in and of themselves, but studies have shown that positive results can lead to psychological distress, unnecessary biopsies, and overtreatment.

In older men, most early-stage tumors don't require treatment because the men are likely to succumb to something else before the tumor becomes dangerous. Treatments, including surgery and radiation, may be riskier than continuing to monitor a tumor, since they carry a risk of incontinence and sexual dysfunction. (Buffet, for his part, has elected to undergo radiation.)

Health.com: Do you really need that medical test?

So why haven't screening rates budged? The researchers can only speculate, but it could be that doctors and patients simply aren't aware of the new guidelines. Another, more troubling possibility is that some prostate cancer specialists are recommending PSA tests to collect the reimbursement fee and generate business.

Eggener says neither of these scenarios is especially likely, however. The media coverage surrounding the 2008 guidelines has been hard to miss, he says, and although there may be a "subset" of specialists who are "consciously or unconsciously" overscreening and overtreating their patients, most PSA tests are ordered by primary care physicians with no financial stake in a diagnosis.

What's more likely is that doctors and patients are accustomed to viewing screening as a good thing, and are unable or unwilling to let that belief go despite all the data to the contrary. "Physicians and patients latch onto the concept of screening for cancer and catching cancers early," Eggener says.

The ongoing discussion surrounding the appropriate amount of cancer screening extends beyond prostate cancer. The panel that issued the 2008 guidelines, the U.S. Preventive Services Task Force (USPSTF), has spurred controversy in recent years by relaxing its screening recommendations for breast and cervical cancer as well.

Health.com: A guide to breast cancer screening

In 2011, the task force released draft guidelines that extended its recommendation against PSA testing to men of all ages. The current trend suggests the new guidelines may go unheeded, especially since not everyone agrees that PSA tests should be universally discouraged.

Even among men in the 75-and-over bracket, Eggener says, screening might make sense for certain patients. Older men in relatively poor health probably won't benefit from early detection and treatment, he says, but that might not be true for a healthy and active 75-year-old who's likely to live long enough for a tumor to spread.

"It's very reasonable to check PSA levels, because it might save that guy's life," he says.

Copyright Health Magazine 2011

@highlight

Since 2008, experts have discouraged the use of PSA tests for men over 75

@highlight

Tumors in this population tend to be slow-growing and asymptomatic

@highlight

Yet data shows that 44% of men in that age bracket underwent PSA screening