Ferguson, Missouri (CNN) -- Two months.

It looks like it might be that long before a local grand jury decides whether to bring charges in the death of Michael Brown -- the loud, passionate calls for swift justice notwithstanding.

The shooting of the African-American teenager by a white Ferguson, Missouri, police officer has sparked days of demonstrations and nights of often violence protests in the St. Louis suburb.

St. Louis County Prosecuting Attorney Robert McCulloch told CNN affiliate KMOV that his office planned to begin presenting the case to a grand jury Wednesday. The grand jury could levy significant charges against Darren Wilson, the police officer who shot and killed the 18-year-old Brown.

But McCulloch suggested Wednesday that any action -- charges or no charges -- won't come any time soon.

"The aspirational time is by mid-October to have everything completed," the prosecutor told the station.

Granted, McCulloch isn't the only law enforcement leader whose office could take action against Wilson. One other such leader -- U.S. Attorney General Eric Holder -- spent Wednesday in and around Ferguson, Missouri, talking with residents, leaders and the man charged with maintaining security in the city after nearly two weeks of unrest.

The most high-profile figure in President Barack Obama's administration to visit Ferguson, Holder has stressed that the federal government is on the case and listening -- both to protesters calling for Wilson's arrest and for an end to what they describe as a heavy-handed police response, and to residents and law enforcement officers challenged with looting and violence from some in the crowd.

Holder joined dozens of FBI agents who have swarmed on the eastern Missouri city, as the U.S. Justice Department's civil rights division probes the case.

But for charges and a conviction in a federal civil rights case, authorities would have to prove "racial hostility," according to CNN senior legal analyst Jeffrey Toobin, should they argue that Wilson somehow targeted Brown. Holder himself acknowledged this distinction Wednesday, saying that he hoped all of the investigative work being done has a positive impact.

That said -- for all the symbolic significance of a sitting attorney general visiting the site of an active investigation -- what happens in the St. Louis County courts may more likely impact activists' bottom line: justice for Brown's family in the form of Wilson's arrest.

On the local level, Missouri's governor could appoint a special prosecutor to the case in place of McCulloch.

Antonio French, a St. Louis alderman who has been a protest fixture, thinks installing a special prosecutor would be smart given the African-American community's distrust of the county prosecutor and law enforcement in general. Perception equates to reality if it means that citizens don't trust McCulloch, French said.

"We're trying to restore faith in the justice system," said French, who claimed McCulloch's "relationship with the African-American community has not been good for a long time."

For his part, McCulloch told KMOV that he wants the case to proceed through the grand jury "expeditiously" but also "thoroughly."

"We're not going to rush it through, and we're not going to leave anything out," he said. "They will have absolutely everything that there is, every piece of paper, every photograph, every bit of physical evidence, all the forensic information."

Assuming McCulloch stays in charge and his grand jury timeline holds, French said that having weeks and weeks go by will only aggravate the situation.

"I think the people expect to see something by now," he said. "And they're getting frustrated."

5 things to know about Michael Brown's shooting

Wilson backers challenged, then whisked away

While not as large in number as previous days, protesters were out again Wednesday night.

One thing different this time around: a man and a woman who held up a sign that read, "Justice for Police Officer Wilson."

Dawn, a restaurant employee who asked not to be identified by her full name because she believed that Wilson's supporters could be endangered, said, "We just feel like we have a First Amendment right like everyone else. If they're calling for justice, we need justice for everyone."

The man alongside her, Chuck, added: "All our friends think we're crazy, but someone has to take a stand."

The pair quickly drew dozens of Brown family supporters, who converged and yelled at them. Yet the commotion ended quickly when the two Wilson supporters were whisked away.

On Tuesday night, hours of relative calm were upended when someone threw a bottle at police.

Officers -- lined up in front of businesses, wearing helms and shields -- responded by sprinting after young men. This prompted a handful of protesters to toss more bottles, glass and plastic. Missouri State Highway Patrol Capt. Ron Johnson, who is in charge of security, later told reporters someone threw urine on police.

Complete coverage of Ferguson shooting and protests

After the chase, the number of riot police ballooned. Officers brought out dogs. One officer used pepper spray on some in the crowd.

Protesters locked hands in front of a police line, and some urged the crowd to remain peaceful. Others, wearing T-shirts printed with the word "peacekeeper," tried to defuse tensions.

Johnson credited them for preventing further escalation.

Police arrested 47 people, Johnson said, including a car full of people who he said were armed and threatened to shoot an officer.

At least one officer also threatened a protester: The St. Louis County Police Department said an officer from nearby St. Ann was suspended indefinitely after pointing an assault rifle at a "peaceful" protester. Video showed the St. Ann officer cursing and threatening to kill a protester.

Russel Honore, a retired Army general who handled crowd control in the chaos that ensued after Hurricane Katrina in New Orleans in 2005, was among those critics of the law enforcement response.

Looking at crowd members through the scope of a gun sends the wrong message, he said.

"You're there to protect people," Honore added. "They need to sense that from you."

Holder: 'We need concrete action to change things'

In his public comments, Holder has urged law enforcement to show restraint and respect people's right to protest, while he has condemned looting and violence by protesters.

On Wednesday, he made it personal as well.

In addition to meeting with Michael Brown's parents, Holder talked at nearby Florissant Valley Community College about his own experiences as a black man with racial profiling -- including once when police flagged him down for no apparent reason in Washington, when he was a federal prosecutor.

"We are starting here a good dialogue, but the reality is the dialogue is not enough," he said. "We need concrete action to changes things in this country."

After these remarks, 27-year-old student Molyric Welch -- who said her brother died of cardiac arrest, allegedly after Ferguson police used a stun gun on him in 2011 -- credited Holder with giving her and others needed "inspiration" at a time when her city's future "is blurry."

Magazine: The aftermath in Ferguson

Read more about the flash point in the Heartland at CNN.com/US

Eliott C. McLaughlin reported from Ferguson. Michael Pearson and Greg Botelho reported and wrote from Atlanta. CNN's Ben Brumfield, Dana Ford, Jim Acosta and Mayra Cuevas also contributed to this report.

@highlight

NEW: 2 hold signs backing Officer Darren Wilson, then are confronted by others

@highlight

NEW: Attorney General Holder recalls his own experiences with racial profiling

@highlight

A county grand jury to hear evidence, could opt to indict the officer who killed Brown

@highlight

The case has spurred protests by those calling for charges against the officer