(CNN) -- Long lines lingered in some key states after polls closed in most of the United States, but voters and election officials reported few snags in Tuesday's balloting.

In Florida and Virginia, people who were in line at the end of voting hours were allowed to cast their ballots -- a process that took hours and stretched until nearly midnight Tuesday.

"There have been polling places where there was no down time," said Donald Palmer, the secretary of Virginia's state Board of Elections. "There was a consistent, heavy stream of voters." But the process was "very error-free," he said.

Earlier in the day, those long lines prompted some voters to walk away in states such as Florida and Pennsylvania, election observers said.

Politics: No surprises for Obama, Romney in earliest projections

In Ohio, one of the most closely watched swing states, authorities recorded only a handful of complaints.

"We are unaware of any problems that would substantially stall the reporting process," Secretary of State Jon Husted said Tuesday night.

In two Pennsylvania counties, a voting machine had to be recalibrated after voters complained that it incorrectly displayed their vote for president. Election officials said the voters were able to cast ballots for their intended candidate, and there were no further complaints once the machines were fixed.

Numerous problems were reported around Philadelphia. The nonpartisan election monitors from the independent Committee of Seventy said two voting machines had broken down at one precinct on the city's north side, forcing poll workers to issue provisional ballots. That slowed down an already long line, and at least 30 voters had dropped out, the group said.

A judge in the heavily Democratic city ordered election officials to cover a mural of President Barack Obama at one city school that was being used as a polling location Tuesday morning after Republicans complained the painting violated electioneering laws.

Politics: Could close race produce a popular/electoral vote split?

GOP poll monitors were being escorted into precincts by sheriff's deputies after some observers had been denied access earlier in the day, said Tasha Jamerson, a spokeswoman for the district attorney's office. As many as 64 of the monitors had been turned away before a judge ordered election officials to admit them, the local Republican Party chapter said.

One of the complaints about misbehaving electronic voting machines occurred in Millerstown, in central Pennsylvania's Perry County, where election officials said they recalibrated the unit after one voter recorded a video of it registering a vote for Obama as one for his Republican challenger, Mitt Romney.

The video drew thousands of comments on YouTube and was first confirmed by NBC News. But Ron Ruman, a spokesman for the Pennsylvania secretary of state's office, told CNN the machine was taken offline after the man complained about it, election workers recalibrated it and there have been no more complaints.

A second complaint emerged later Tuesday in Lewisburg, in nearby Union County. Andy Hirsch told CNN that he pressed the box to select Obama several times, only to see the machine indicate a vote for Romney. Hirsch also captured the scene on video, showing him pressing the Obama box several times before the vote registered correctly.

Hirsch said he reported the problem to a volunteer poll worker who was calm and receptive to the issue and told him the machine had been having problems all day.

Opinion: From Sandy, a lesson for election

"I thought, gee, that's probably not the reaction to have when casting a ballot for president of the United States," he said. The worker suggested he use a pencil eraser to finish his ballot, but the video he shot shows the same issue. Hirsch said he saw workers shutting down the machine as he left.

Greg Katherman, Union County's director of elections, confirmed there was an issue with one voting machine, but said there were no further issues after the machine was recalibrated.

In other states, most complaints focused on long lines. But in Pinellas County, Florida, which includes St. Petersburg, officials had to send a corrective message to 12,000 absentee voters on Tuesday after an automated call told them they needed to get their ballot in "tomorrow."

The message was supposed to have gone out Monday, but was sent out Tuesday because of a computer glitch, said Nancy Whitlock, a spokeswoman for the county supervisor of elections.

Why you can't vote online yet

In the Cleveland suburb of Solon, Ohio, Dina Rock said an optical-scan voting machine jammed at her precinct, backing up the line and leaving voters confused as to how their votes would be counted. A poll worker told them to leave their ballots in a bin, "and he was not friendly at all," she said.

"People were getting frustrated, and nobody knew what to do," she said. Voters were told, "Just put it in here and we'll fix it later," she said.

Concerned her vote wouldn't be tabulated, she said she called the Cuyahoga County Board of Elections and was told the ballots would be manually fed into the machine later.

"At that point, I just said, 'OK, that's just what it is, and I will trust that you know what you're doing and I will trust that my vote counts," she said. "I'm a very trusting person, and I hope people are honest and they'll do the right thing."

In Hamilton County, which includes Cincinnati, as many as 15% of voters in some traditional Democratic precincts had been issued provisional ballots. More than 20,000 provisional ballots were issued in Hamilton County, a traditional Republican stronghold that went for Obama in 2008.

And in New Jersey, state officials allowed voters displaced by Superstorm Sandy last week to cast ballots electronically or by fax. But they extended their deadline to submit those votes until Friday amid numerous complaints about the system.

What to watch for on Election Night

The state chapter of the American Civil Liberties Union went to court Tuesday afternoon on behalf of voters who said their requests for an electronic ballot weren't being acknowledged.

"What's happening is they're not receiving any sort of response from their respective county election officials," said Katie Wang, a spokeswoman for the group.

Voters still had to submit an application to vote electronically by 5 p.m. Tuesday, according to an executive order signed by Lt. Gov. Kim Guadagno. But they had until 8 p.m. Friday to submit the ballots, the order states.

And in New York, which was also smacked by Sandy, polling stations around New York City saw long, slow-moving lines.

Gov. Andrew Cuomo's last-minute decree that any voter could vote at any precinct, a move intended to help those displaced by Sandy, made it "a little insane right now" at the polling station at Public School 41 in Greenwich Village, a poll coordinator there told CNN Tuesday afternoon.

"So we have everybody coming in from everywhere," said the coordinator, a Republican who asked not to be named. "It was for displaced people, but others are taking advantage of it."

Check up-to-the-minute results here

CNN's Brad Rhoads, Ann Colwell, Sarah Hoye and Courtney Yager contributed to this report.

@highlight

No glitches that would "substantially stall" Ohio results, secretary of state says

@highlight

Long lines linger after polls close in Florida, Virginia

@highlight

Voting machine glitches in Pennsylvania caught on video

@highlight

New Jersey extends its electronic voting deadline