(CNN) -- "Refugees are the most vulnerable people on Earth. They are fighting to survive." -- Angelina Jolie, United Nations High Commissioner for Refugees goodwill ambassador

Children play in floodwater at a Pakistan refugee camp after floods displaced residents in August 2008.

The world's population at the end of last year included 42 million displaced people, 80 percent of them in developing nations, according to a report this week by the Office of the United Nations High Commissioner for Refugees.

Many of these refugees are living in minimal standards for shelter and are exposed daily to the harshest elements of weather, the report says.

For example, in Pakistan, some 300,000 refugees are living outdoors, in tents or similar structures, said Michael Kocher, vice president of international programs for the International Rescue Committee.

That part of the world has been hit hard by extreme weather over the past couple of months. First, extreme heat plagued Pakistan, with temperatures in May and June soaring past 100 degrees Fahrenheit (38 degrees Celsius). The heat is escalating the discomfort for many.

"People are living in cramped situations, often unsanitary situations, and it's very hot," Kocher said. "In many places, there is not enough clean water or adequate sanitation. Heat exacerbates that problem."

As World Refugee Day approaches -- it falls on Saturday this year -- the forecast calls for even more dramatic weather changes in the coming weeks. In Southeast Asia, long stretches of scorching temperatures are usually the prelude to the rainy, or monsoon, season.  Watch Angelina Jolie talk to CNN's Anderson Cooper about the world's refugee problem »

The term "monsoon" refers to a seasonal reversal of wind that typically occurs in late June or early July. For countries like Pakistan and India, this change brings daily, nonstop downpours.

The change in the weather is essential for local crops, according to John Fasullo, project scientist with the National Center for Atmospheric Research.

"The Southeast Asian monsoon is the key source for regional agriculture," he told CNN. "It provides the majority of the moisture to support food needs for one-half  the world's population. ... It also brings a beneficial cooling of the temperatures."

The problem is, monsoon rains can also cause devastating floods. Fasullo says the threat for flooding can be "continual from late June through early September."

In Pakistan, for example, where agencies have witnessed a large increase in displaced people over the past year, the monsoon of 2008 was particularly intense.

If 2009 brings similar floods to the country, there will be a new threat for refugees exposed to the storms: mud.  Watch how the monsoon is affecting refugees »

"The camps are quite threadbare," Kocher said. "Tents are held to the ground by rope. It's hard to keep people dry. The ground gets muddy, which can lead to dirty water and bad sanitation facilities."

Vulnerability to nature's dangerous elements is not only a concern for people displaced in Pakistan. Refugees in Afghanistan are subject to brutal winters, while in Iraq, scorching heat and sandstorms are common challenges for those without sufficient shelter.

Of World Refugee Day, actress and humanitarian Angelina Jolie says, "Please do not forget them, and remember them on this day."

Here are answers to some commonly asked questions:

• How can I help world refugees that are exposed to the monsoon season and other weather dangers?

Go to CNN.com/ImpactYour World. There, you will find links to charities that help refugees and others in need.

• Does the monsoon season affect the weather in the United States?

Southern Arizona and parts of New Mexico see heavy rain during the North American monsoon season, which runs from June 15 through September 30. This time of year, the wind shifts, tapping into moisture from the Gulf of California and the Gulf of Mexico, and producing strong thunderstorms that bring the majority of the region's annual rainfall.

@highlight

As World Refugee Day approaches, monsoons could compound refugees' troubles

@highlight

World contains 42 million displaced people -- 80 percent in developing nations

@highlight

In Pakistan, the 2008 monsoon season brought rains that flooded refugee camps

@highlight

UN Goodwill Ambassador Angelina Jolie: "Please do not forget them"