(CNN) -- Walking through a hushed cemetery at night with only a flashlight to guide your way can be a stirring experience for amateur ghost hunters this Halloween.

"A lot of paranormal societies use graveyards for training grounds," said Alan Brown, author of more than 20 books on the subject. "If you get an EMF reading in a graveyard, there is no electricity there, so it has to be coming from some other source."

Oftentimes, the spirits you may encounter in a cemetery aren't kind or frightening but rather full of grief in this final resting place.

"Oddly enough, a lot of cemeteries aren't that haunted," said Richard Senate, a historian and ghost hunter of 33 years. "People haunt where they loved. The idea of haunting a cemetery outside of someone who is grieving -- that's what we're picking up, the grief of a person, rather than their spirit linked to a site."

However, there are still an abundance of spirits roaming their final resting place, he said. Senate shared what he regards as some of the most haunted cemeteries in America. Visiting one of these historic sites just may introduce you to someone, or something, waiting on the other side.

St. Louis Cemetery No. 1, New Orleans

Rich with history and lore, New Orleans' above-ground cemeteries have been inspiration for storytellers and authors alike. Before these elaborate tombs were built, the ground often gave up the recently buried during floods or heavy rains. Because the city is situated below the water table, burial was not a practical option, and the small cities of above-ground tombs began.

Cemetery No. 1 is perhaps the most famous of New Orleans' cemeteries. Visitors have witnessed phantom figures, Civil War ghosts and yellow fever victims restlessly stalking through the maze of crypts, Senate said. But perhaps the most well-known spirit is that of Marie Laveau, the city's own voodoo queen. She is often seen walking the grounds.

"She haunts her tomb," Senate said. "If you go there, take along a piece of chalk, make 3 X's on her tomb, and if you ask a prayer or request, she will help you get it. Always bring your chalk."

After pausing, Senate added, "It's a pretty creepy place. I don't know if I want to be there at night."

Resurrection Catholic Cemetery, Chicago

Not all cemetery hauntings involve walking through a graveyard at night. Chicago's most famous spirit is really just looking for some company, and a way home.

The locals call her "Resurrection Mary," Senate said. She is seen not only within the cemetery but just outside of the gates. If you're driving through the area, she just may try to hitch a ride.

Over the years, thousands of people have reported a young woman who flags down passing cars for a ride home. When they ask for an address, she supplies that of the cemetery. Often, "Mary" vanishes in the car or steps out at the cemetery and fades into darkness, Senate said.

During the '30s, a Polish woman between the ages of 17 and 22 was on her way back from a dance at the O'Henry Ballroom when she was killed in a car accident. She was buried in Resurrection Cemetery, and locals believe that this is "Mary." She is always seen wearing a vintage ball gown and seems incredibly lifelike -- until she vanishes.

Hollywood Forever Cemetery, Hollywood, California

Not only is this cemetery full of Hollywood legends from the silent film era to our recently departed celebrities, Senate says it is also full of ghosts. And they don't just come out at night; you can see Hollywood's ghosts during the day.

Before Rudolph Valentino died, he made a habit of visiting hospitals and spending time with children. He spoke to one little girl who was going to have an operation and offered her words of encouragement. The girl survived her operation and recovered.

When Valentino died, she vowed to visit his grave each year and place a red rose on his gravestone. She became known as "the lady in black," and she was quite visible in the '30s. But when the lady in black died, her ghost carried on the tradition. Both her and Valentino's ghosts have been seen by his grave, Senate said.

Of course, these are just a couple of the site's rumored hauntings.

Boothill Cemetery, Tombstone, Arizona

Once a rollicking silver rush town, Tombstone is now the true embodiment of a ghost town. The scenes of incredible violence that took place in its lawless streets still resonate, especially the infamous gunfight at the O.K. Corral among the Clantons, the Earps and Doc Holliday. Three of the Clanton gang were killed in the fight, which only lasted about 30 seconds. They now rest in Boothill Cemetery, alongside gamblers, smugglers and outlaws, Senate said.

There are dozens of "boot hill" cemeteries across the country, especially the West. The name refers to those who "died with their boots on" or in a violent way. But Tombstone's cemetery, and the entire town, is considered to be one of the most haunted. Ghosts of outlaws and the Clanton gang are often seen in the cemetery, hoping to avenge their death.

"Tombstone is a true place for ghost hunters to go," Senate said. "It is chock full of haunted sites, and the cemetery is but one."

Gettsyburg Cemetery, Gettysburg, Pennsylvania

The site of one of the deadliest battles in American history is naturally still haunted by the vestiges of war, where families clashed and broke apart on the battlefield during a staggering three-day campaign.

The battlefield itself became a burial ground for thousands of men, many of whom were later relocated to proper graves. The Gettysburg Cemetery offers a final resting place for all of the men who never made it home. Shadowy phantom figures in both Union and Confederate uniforms still pace the battlefield and cemetery.

But Senate notes that one of the most persistent ghosts is really just there to be social. In the cemetery, a man is often seen wearing a black hat with a star, symbolic of one of the Texas regiments fighting with the Confederates at Gettysburg. He often tries to converse with tourists and on several occasions has posed with families for photos or takes a photo of family if they request it, Senate said. During photo development or even on the camera's screen, the man disappears.

For an encapsulating haunted experience, Senate recommends staying in the Farnsworth House Inn. Confederate snipers hid in the house during the battle, and their ghosts roam the rooms today.

If you go

Should you decide to stop by any of these cemeteries and go on your own ghost hunt, Senate has a few words of advice. Remember to be respectful of those who have passed on, and don't disturb any grave to try to incite a ghost.

"You should be like a ghost: No one should know you've even been there," Senate said.

@highlight

This Halloween, visit some of the most haunted cemeteries in the country

@highlight

St. Louis Cemetery No. 1 in New Orleans is rumored to be haunted by a voodoo queen

@highlight

The ghost of Rudolph Valentino is often seen in Hollywood Forever Cemetery