Paris, France (CNN) -- French lawmakers Tuesday recommended a partial ban on any veils that cover the face -- including the burqa, the full-body covering worn by some Muslim women.

The ban on the "voile integrale" -- which literally means "total veil" -- would apply in public places like hospitals and schools, and on public transport, a French parliamentary commission announced.

It would also apply to anyone who attempts to receive public services, but it would not apply to people wearing the burqa on the street, the commission said.

The commission stopped short of recommending a full ban because not all of the 32 commission members could agree on it.

They will now recommend that Parliament pass a resolution on the partial ban. Such a resolution, if passed, would not make the wearing of a full veil or burqa illegal, but it would give public officials support when asking people to remove it.

Commission members began their work six months ago after French President Nicolas Sarkozy controversially told lawmakers that the full veil was "not welcome" in France.

Sarkozy said the issue is one of a woman's freedom and dignity, and did not have to do with religion.

The French National Assembly assembled a cross-party panel of 32 lawmakers to study whether women in France should be allowed to wear the burqa -- or any other full veil, including the niqab, which shows only the eyes. The commission also studied whether such full veils pose a threat to France's constitutionally mandated secularism.

Commission members heard from 200 people from all areas of French society, including Muslims, though they only heard from one woman who wears a veil.

By recommending a ban on full veils in public places such as hospitals and schools and by anyone receiving public services, the commission members said they wanted to assist those working with members of the public when asking that full veils be removed. That would include school teachers who meet children's parents or ticket agents at train stations.

A date for the vote in Parliament has not been set, though it is unlikely to happen before regional elections which are scheduled for March 14 and 21. Parliamentary majority leader Jean-Francois Cope said this week he believed the resolution will pass.

Any law directed at full veils is likely to be challenged in the courts both in France and at the European level.

More than half of French people support a full ban, according to a recent opinion poll. The Ipsos poll for Le Point magazine found 57 percent of French people said it should be illegal to appear in public wearing clothes that cover the face.

That's despite government estimates that less than 2,000 women in the country actually wear the full Islamic veil.

France has about 3.5 million Muslims, representing about six percent of the population, according to research by the Pew Forum on Religion & Public Life. The country does not collect its own statistics on religion in accordance with laws enshrining France's status as a secular state.

French lawmakers believe the burqa is a growing phenomenon beneath which lies a not-so-subtle message of fundamentalism.

Those who advocate the ban say women are often forced to wear full veils by the men around them -- husbands, fathers or brothers -- and that it is a sign of subjugation.

However, women who actually wear the veils deny that.

"You are going to isolate these women and then you can't say that it is Islam that has denied them freedom, but that the law has," said Mabrouka Boujnah, a language teacher of Tunisian origin.

Boujnah, who at 28 is about to have her first child, says she came to wearing a full veil gradually, after wearing headscarves as an teenager. She said she believes a law against full veils would take away fundamental rights of Muslim women.

She and her friend Oumkheyr, who would not give her last name, say they prefer to cover their faces out of piety. The women, both French citizens, say they are only following their religious beliefs and France should respect that.

But even some Muslims in France think the full veil goes too far.

There is nothing in the Quran that directs women to cover their faces, said Imam Hassen Chalghoumi, who runs the Islamic center in Drancy, a Paris suburb. He said it is ridiculous to do so in France.

France already has a law against Muslim girls wearing headscarves in state schools. It sparked widespread Muslim protests when the French Parliament passed the law in 2004, even though the law also bans other conspicuous religious symbols including Sikh turbans, large Christian crucifixes and Jewish skull caps.

In 2008, France's top court denied a Moroccan woman's naturalization request on the grounds that she wore a burqa.

France is not the only European Union country to consider banning the burqa. Dutch lawmakers voted in favor of a ban in 2005, although the government at the time left office before legislation could be passed.

--CNN's Jim Bittermann in Paris contributed to this report.

@highlight

French lawmakers propose ban on burqa in some public places including hospitals and schools

@highlight

Inquiry follows comments from President Sarkozy that the veil is "not welcome" in France

@highlight

Government estimates less than 2,000 women in France wear the full veil

@highlight

More than half of French people would support a ban according to a recent poll