(CNN)  -- Following the World Health Organization's announcement that radio frequency emissions from cell phones may increase the risk of some kinds of brain cancer, what do you need to know about the radiation coming from your phone?

How can you protect yourself? And should RF emission information be listed on cell phone packaging, and in stores?

First things first: The WHO study did not say "cell phones cause brain cancer."

Rather, there is some evidence indicating a possible connection -- and while not conclusive, it warrants further study.

Consequently, WHO has now categorized radio frequency electromagnetic fields as a "group 2B" possible human carcinogen. Here's how Ed Yong, head of health information at Cancer Research UK, explained it in his detailed analysis of the WHO announcement:

"Group 2B means that there is some evidence for a risk but it's not that convincing. This group ends up being a bit of a catch-all category, and includes everything from carpentry to chloroform."

Dr. Gupta: Cell phones, brain tumors

So it's worth being aware of this classification -- just as you should be mindful of your intake of coffee, another group 2B carcinogen. But this announcement is not a reason to panic.

Would labels help?

San Francisco has been wrestling with whether to require cell phones to be labeled for their RF emissions.

Last year, the city tried to mandate cell phone radiation labeling in stores, originally to take effect February 2011. But according to the San Francisco Chronicle, "implementation was delayed until May 1, then June 15. There now is no proposed start date."

The city backtracked on this partly out of concern over a lawsuit filed by the Cellular Telecommunications and Internet Association -- but also because officials didn't know how to ensure the accuracy of the labels.

Scientists aren't sure what's the most realistic, intuitive way to communicate cell phone RF emissions to consumers.

Specific absorption rate, a measure of the rate of RF energy that your body absorbs from the phone, is the most commonly cited benchmark. For a phone to be certified by the FCC and sold in the U.S., for example, its maximum SAR level must be less than 1.6 watts per kilogram.

But Joel Moskowitz, director of the Center for Family and Community Health at University of California, Berkeley, told the Chronicle that "specific absorption rate isn't a very useful measure because it's the peak reading on a variety of tests conducted on cell phones to measure their radiation, but doesn't indicate the average amount of radiation a user would generally be exposed to."

He likened it to a car's gas mileage being reported only based on driving it up a steep hill. Such a measurement could actually make a car shopper avoid a hybrid because it doesn't perform well on hills, even though it would generally consume less gas.

CNET recently updated its guide to cell phone radiation levels, which ranks phones according to SAR.

Cell phones and radiation: The 10 highest- and lowest-emitting models

What cell phone users can do

If you are concerned that cell phones might increase your cancer risk, probably the best way to put the WHO announcement to good use is to minimize how much you hold your cell phone next to your head.

More tips on minimizing cell phone radiation

Your best bet is to use a headset that physically plugs in to your phone, such as earbuds with a microphone attached. Unlike Bluetooth headsets, this entails no additional RF exposure near your head -- although it may take a moment to connect your headset to your phone.

While the WHO examined only the possible risk of brain cancer, you can further reduce your cell phone RF exposure by placing your phone a few inches away from your body while using it -- such as in a purse or on the table.

Or whenever possible, talk via your phone's speaker function, or send a text message instead of placing a call.

The opinions expressed in this commentary are solely those of Amy Gahran.

@highlight

WHO classifies radio frequency electromagnetic fields as a "group 2B" possible carcinogen

@highlight

Group is catch-all category, and includes everything from carpentry to chloroform

@highlight

Scientists aren't sure how to communicate cell phone RF emissions to consumers

@highlight

Specific absorption rate is the most commonly cited benchmark