(CNN) -- A few hundred yards from the Pearl Roundabout, the epicenter of Bahrain's protest movement, you can be blissfully unaware of the turmoil that has suddenly engulfed this island kingdom.

Caressed by the muzak of Richard Clayderman, you can wander the polished floors of a mall that would dwarf many in suburban America. There's a Radio Shack, a Krispy Kreme doughnut shop and, it seems, every apparel store known to the United States. You can escape the political drama playing out here by taking in a movie at the 16-screen megaplex cinema.

Bahrain's malls -- and there are dozens of them -- are emblematic of an aggressive drive to make this kingdom a Gulf powerhouse. The slogan is "Business Friendly Bahrain." Big international banks are coaxed into setting up here; Bahrain is the banking center of the Gulf. There is a surfeit of luxury property for rent.

High-profile international events are staged here -- including round one of the 2011 Formula 1 Grand Prix, but that was canceled last week due to the unrest.

A large pool of migrant workers provides cheap labor -- sometimes it seems there are almost as many Pakistanis and Filipinos here as Bahrainis.

Through the hazy glare, the Manama skyline boasts shining high-rise complexes, with more to come, despite a sharp decline in rental values over the past two years, according to international real estate agency Knight Frank.

But just a few miles from the malls, there are non-descript villages of narrow alleys and general stores, where the jumble of cheap goods spills onto the curbside. In the past week, the streets of several have been festooned with black flags of mourning. On Tuesday, 32-year-old Reida Houmeid was laid to rest in the seaside village of Al Malkiya. He was shot in the head by security forces last Friday near the Pearl Roundabout and succumbed to his injuries three days later. At his funeral, the Imam delivered a harsh judgment against Bahrain's rulers, reminding mourners of the slaying and beheading of Hussein Ibn Ali in the year 680, an event widely regarded as marking the definitive break of the Shia and Sunni branches of Islam.

Houmeid's eight-year-old son stood near his father's grave with a photograph around his neck. It showed him sitting on his father's shoulders, a broad smile on his face. This day, his face was a study in confusion and sadness.

Within sight of Houmeid's grave is the sea he loved as a fisherman. The gentle Gulf waters are the color of lapis lazuli; the well-worn boats of the fishermen nudge against grander leisure craft. After the funeral, his brother Ghidir said Reida would sit in his boat and talk for hours about Bahrain and "what was wrong."

The village saw a bitter and sometimes violent dispute about the fishermen's access to the seafront, an incendiary issue here. Much of Bahrain's coastline has become private property as the kingdom has become richer. It is just one of many grievances felt by the majority Shiite community in Bahrain, which has been ruled by the Sunni al Khalifa dynasty for 200 years. At the Pearl Roundabout, re-occupied by protesters since Saturday, one display shows satellite photographs of all the property purportedly owned by King Hamad and the royal family on the island.

The Shia complain of discrimination in housing, incentives offered by the government to non-Bahraini Sunnis to move here, and a lack of job prospects. But the Shia also have political demands, demands that have suddenly taken on a sharper edge with the events of the past week.

The chants of tens of thousands of marchers in Bahrain Tuesday included "No Shia, no Sunni, only Bahraini," but also "The regime must go." The call that most echoes around the Pearl Roundabout is "Down, Down Khalifa."

Late Wednesday, some of the 23 political detainees released on Tuesday were due to appear at the roundabout to address a growing crowd. A campaign that began barely two weeks ago to demand constitutional reform is, at least in some quarters, morphing into one for regime change, according to both opposition sources and human rights activists.

Not that the king or Crown Prince Salman bin Hamid bin Isa Khalifa will entertain such a prospect. The crown prince is leading an initiative to start a dialogue with opposition groups, and the government is offering various olive branches. Besides the release of the detainees, it has promised an investigation into the killings of protesters -- the opposition says 10 died last week -- and it has cancelled the arrest warrant for Hassan Mushaimaa, leader of the more hardline Haq movement. Mushaimaa was due back from self-imposed exile in London late Wednesday.

The crown prince has also set no deadline for protesters to leave the Pearl Roundabout. For his part, King Hamad said Tuesday that "the best alternative is to sit at the national dialogue table." But this is not a state accustomed to fast-paced political change, and diplomats say there is still disagreement within the ruling elite about what concessions to offer.

And then there is the regional dynamic. No sooner was King Abdullah of Saudi Arabia home after medical treatment in the United States than King Hamad flew to meet him. The two royal houses are close allies -- Sunni, hostile to Iran and pro-western. The U.S. Fifth Fleet is based in Bahrain. Regional commentators say the Saudi nightmare is to see the al Khalifa family toppled, with the Shia gaining ascendancy on an island so close to Saudi Arabia that it is linked by a causeway. Adjacent to that causeway are Saudi Arabia's own Shia communities, in its oil-rich eastern provinces.

In another world away from those sparkling malls, a gritty and unpredictable power struggle is underway in the Gulf's smallest country.

@highlight

Modern Bahrain is courting big businesses

@highlight

The Shia majority complains of discrimination

@highlight

The opposition is beginning to suggest regime change