Charleston, South Carolina (CNN)Police officers Saturday accompanied the hearse carrying the body of Walter Scott to his South Carolina funeral service, where hundreds of mourners celebrated his life and death as a catalyst for change in America.

A pair of officers on motorcycles were part of the large procession delivering the father of four -- who was fatally shot in the back by a police officer -- to a service open to the public.

An overflow crowd gathered on a humid and occasionally rainy April afternoon at W.O.R.D. Ministries Christian Center in Summerville, which has a capacity of about 300 people.

The flag-draped casket of the U.S. Coast Guard veteran was wheeled inside the church as Scott's relatives and friends followed. Some dabbed tears; others embraced.

Hundreds, including local officials, assembled inside the packed sanctuary -- in corridors, under an awning at the entrance, wherever they could stand.

Silence filled the vast space as Scott's daughter Samantha read a poem of love dedicated to her father.

Anthony Scott said God had selected his brother as a candidate for change in America.

"The change will come," he said, bringing to the crowd to its feet.

The head of the church, George Hamilton, spoke of how Scott had brought members of his family to the church, of the agony of not only losing a family member but having to watch it happen on video.

The death of Scott, who was black, at the hands of a white police officer was "motivated by racial prejudice," Hamilton said. It was "an act of overt racism."

"Hate came because Walter was an African-American," he said.

Hamilton said his remarks were not meant as an indictment of law enforcement, but he singled out the officer who killed Scott as a "disgrace to the North Charleston Police Department."

"There is gong to be change," he said. "Walter's death will not be in vain."

After the service, pallbearers gently lifted Scott's casket into the hearse. Crowds poured from the church. A slow-moving procession of black cars then made its way to Live Oak Memorial Gardens in Charleston for the private burial.

Chris Stewart, an attorney for the Scott family, said the death represented more than an race issue.

"It's a human issue," he said. "We're getting emails from people in Arkansas telling us, 'I'm a white male, and I'm supporting this family.' Their son is going to be remembered for changing the way we look at each other."

On Friday night, Scott's open casket was draped with an American flag, and he was in a dark suit for his private visitation in Charleston. A Dallas Cowboys banner -- his favorite NFL team -- was placed outside the casket, and a figurine of a Cowboys player stood at his side.

But Scott's family was missing.

They needed privacy, said Charleston Mayor Joseph Riley, who attended.

A week ago, Scott was killed in North Charleston after getting pulled over for a broken taillight.

A passer-by caught the shooting on cell phone video, and Officer Michael Slager was swiftly charged with murder. He was fired and faces life in prison or the death penalty if convicted.

Who was Walter Scott?

The video shows Scott running from an officer, who fires eight shots. Scott is struck five times; he falls to the ground.

"Nothing in this video demonstrates that the officer's life or the life of another was threatened," National Urban League President Marc Morial said. "The question here is whether the use of force was excessive."

But one witness is speaking of a struggle before the shooting. And at least one expert believes a murder charge may not hold up.

On Thursday, Gwen Nichols told CNN's Brian Todd that she saw Scott and Slager scuffling at the entrance to a vacant lot.

"It was like a tussle type of thing, like, you know, like, 'What do you want?' or 'What did I do?' type of thing," Nichols said. "I didn't hear Mr. Slager saying 'Stop!' "

Nichols' account has similarities to Slager's. He had told investigators that he had tussled with Scott over his Taser and that he feared for his safety.

A timeline of events

Criminal defense attorney Paul Callan said he believes Slager's defense will play up the reported scuffle in arguing that this is not a murder case.

"Defense attorneys will say this was a heat of passion shooting -- (that) this was something that he did suddenly after some kind of an altercation, a physical altercation with a suspect," Callan said. "And that would constitute manslaughter under law, as opposed to murder, and it makes a huge difference in sentencing."

In South Carolina, a murder conviction requires a measure of premeditation.

But the account from the witness who recorded the cell phone video, Feidin Santana, paints a different picture.

He was walking to work when he saw Slager on top of Scott, he said, who was on the ground. Santana said he could hear the sound of a Taser in use.

He said he didn't see Scott go after the Taser, as Slager initially claimed. He said he believes Scott was trying to get away.

"Mr. Scott never tried to fight," Santana said.

Neither the struggle nor the use of a Taser was captured on video, because Santana started recording shortly after that.

Investigators from the South Carolina Law Enforcement Division found troubling inconsistencies from the very start, it said in a statement.

"We believed early on that there was something not right about what happened in that encounter," division Chief Mark Keel said in a statement. "The cell phone video shot by a bystander confirmed our initial suspicions."

Slager's lawyer, Andy Savage, has complained that he "has not received the cooperation from law enforcement that the media has."

Savage's office said in a statement that it has yet to receive "any investigative documents, audio or video tapes, other than a copy of Mr. Slager's arrest warrant."

The news release added that the lawyer has been advised that the police union that Slager belongs to "is no longer involved in the case."

Charleston County Sheriff Al Cannon said Slager's wife, Jamie, who is eight months' pregnant, and his mother had a visit with him at the county detention center Friday.  Slager was being held in isolation and being "monitored for his mental health," Cannon said.

In a statement, one of Slager's lawyers said the meeting lasted about an hour.

"His wife and mom were tearful but strong, and they were all very grateful for the chance to see him in person, even if separated by a thick pane of glass," the statement said. "They held up family photos -- and even Jamie's ultrasound from earlier that day -- to remind him of all those who love him. Throughout the visit, Michael was focused on Jamie and their baby and was very relieved to know that she is being shown so much love and support by their families."

A second video, taken from a police dash cam, has also emerged from the day Scott died. It shows moments before  the shooting, when things seemed to be going smoothly between Scott and Slager.

Scott apparently tells the officer that he has no insurance on the vehicle, and Slager returns to his car to do paperwork. Then Scott gets out of the car and runs out of the camera's frame.

Scott was the subject of a bench warrant over $18,104.43 in unpaid child support at the time of the stop, according to court records. That was why he ran, lawyers for the family said after the funeral service.

U.S. Rep. James Clyburn, D-South Carolina, told reporters outside the service that Scott lost a $35,000-a-year job the first time he was jailed for failing to pay child support.

"He said it was the best job he's ever had," Clyburn said. "Now you have to ask ... if you want to collect child support, there's got to be income. And you ain't going to make much income from jail. It seems to me that we need to take a look to how to deal with that issue without causing unemployment and the loss of freedom."

On Friday afternoon, police met with a man who was in Scott's car, but the passenger's name wasn't in a police report obtained by CNN. He was detained briefly after the shooting, one officer wrote in the report.

Scott family attorney Chris Stewart said he was a co-worker and friend. But he did not identify the passenger by name.

On Friday, a few mourners trickled into the Fielding Home for Funerals. A white banner with a blue star near Scott's casket displayed his favorite NFL team. It said: "Tradition, the Cowboys way."

"This is a heartbreaking tragedy for everyone in our community," said Riley, the mayor. "It breaks everyone's hearts."

CNN's Polo Sandoval and Martin Savidge reported from Charleston, and Ben Brumfield and Ray Sanchez reported and wrote in Atlanta and New York.

@highlight

Police officers escort the funeral procession to the service

@highlight

Scott's family did not attend his visitation; they need privacy, mayor says

@highlight

Police meet with the man who was a passenger in his car when it was pulled over