(CNN) -- When I won the reality show competition "Survivor: Africa" in 2001, I never dreamed that an obscure African flower would provide the drug that later helped me survive cancer. But that's the way my life has unfolded.

One day I was battling opponents for a million dollars, the next I was battling lymphoma for my life.

I couldn't have won either fight without having nature on my side. Now I'm working hard to protect natural areas that will provide the source of future drugs that could save millions of lives.

On the show we were expected to live off the land. I learned very early that survival would mean figuring out how to work with, rather than against, nature.

We used thorny acacia plants to keep predators away from our camp. We drank from the same watering hole as elephants and giraffes, learning the best times to drink and how to stay out of their way.

Nature was a good teacher. I won $1 million and the confidence that I could survive just about any challenge.

In 2009, I was diagnosed with Hodgkin's lymphoma, and it turned out that the confidence I gained on "Survivor" proved even more valuable than the million dollars. But not even the trials of the show could have prepared me for the greatest struggle of my life.

Chemotherapy drugs wracked my body for months. But as they worked I found some comfort when I learned that one of them was derived from an African flower, the rosy periwinkle.

The drug born of this flower, vincristine, was part of the regimen that saved my life. My cancer is now in remission and once again I owe my survival to working with nature.

My case is not an isolated one. It turns out that dozens of plants in nature manufacture anti-cancer agents as chemical defenses. Scientists figured this out years ago, and 80 percent of all anti-cancer drugs possess an active ingredient from the natural world.

This promise extends to other diseases as well, with half the new drugs created in the past 25 years derived from nature.

According to a recent study, natural drugs and related products are used to treat 87 percent of all known diseases, including cancer, heart disease, diabetes and HIV.

Yet this pharmaceutical pipeline is in danger.

Researchers unraveled the biochemistry of the snakeroot plant to improve the treatment of hypertension, but the plant is now threatened by deforestation in Indonesia.

Scientists derived a compound for treating severe chronic pain from a cone snail found in Pacific coral reefs, though its habitat is now threatened by destructive fishing practices and marine pollution.

The first antiviral medication approved for the treatment of HIV/AIDS came from a marine sponge, yet marine habitats around the world are threatened by pollution, overfishing and climate change.

Given the accelerating destruction of rainforests, reefs and other natural habitats around the world, we must take action today -- as there's no telling how many useful undiscovered natural compounds we could lose for tomorrow.

Right now, there's a bipartisan bill in Congress, the Global Conservation Act of 2010, that seeks to address extinction and natural resource depletion worldwide by laying out a strategy for helping other countries protect millions of square miles of natural habitat.

President Obama must put his weight behind this bill and the Congress must pass it soon.

According to the World Conservation Union, more than 16,000 species, plant and animal alike, are in danger of extinction, largely because of human activities.

Indeed, scientists warn that two-thirds of the planet's 10 million species could face extinction by the end of the century. Time is not on our side.

I won "Survivor: Africa," and I've won my battle against cancer. But in each case, I didn't do it alone. I had the most unlikely of partners: a small watering hole and, later, a flower.

I don't know what I'll need from nature next or where the newest nature-based medicines will come from, but I'm not willing to risk losing any of them.

The rosy periwinkle saved my life. Who knows what could save yours?

@highlight

Winner of TV's "Survivor: Africa" beat cancer with chemo from African plant

@highlight

Ethan Zohn's brush with death spurred him to save natural habitats

@highlight

Zohn urges Congress to pass bill that outlines strategy to protect natural habitats