(CNN) -- The Department of Energy is putting federal money behind the development of small-scale nuclear reactors that supporters say are cheaper, safer and easier to build, though the design still needs federal approval.

The first award under a $452 million program to boost the development of small modular reactors will go to a consortium led by Babcock & Wilcox and the Tennessee Valley Authority, the Southeastern utility that already operates three commercial nuclear plants. The reactors will be about a third the size of those now used in nuclear power plants, with the B&W design generating about 180 megawatts of electricity -- enough to power almost 200,000 homes.

However, industry skeptics say the economics and the safety of the concept remain untested.

The total amount of the award has yet to be calculated, but the government will pay up to half the project cost and will work with the companies to get the new reactors licensed and operating within 10 years, the Energy Department said.

"Restarting the nation's nuclear industry and advancing small modular reactor technologies will help create new jobs and export opportunities for American workers and businesses, and ensure we continue to take an all-of-the-above approach to American energy production," Energy Secretary Steven Chu said in a statement announcing Tuesday's decision.

Unlike current designs, the units -- shorthanded as SMRs -- are designed to be installed underground instead of being located inside towering concrete buildings. They could run longer on the same nuclear fuel, and additional reactors could be added in a "plug and play" fashion, said Paul Genoa of the Nuclear Energy Institute, the industry's trade association.

"You don't have to build a 1,000- or 1,500-megawatt power plant and hope that demand catches up," said Genoa, the NEI's senior director of policy development. "You can build chunks of power to more closely meet your demand curve."

Nuclear plants provide about 20% of the U.S. electric power supply, but most of the 104 operating reactors date back to the 1960s and '70s. The Obama administration has supported the construction of the first new reactors since the 1979 partial meltdown at Pennsylvania's Three Mile Island plant, providing $8 billion in federal support for two nuclear power plants in Georgia.

The industry and the Energy Department say that would make SMRs a good choice for small utilities. But the designs are still under review by the Nuclear Regulatory Commission, whose approval is the worldwide "gold seal," Genoa said.

The NRC launched a widespread review of U.S. nuclear safety after the meltdowns at Japan's Fukushima Daiichi nuclear power plant in 2011 caused by that nation's devastating tsunami. Genoa said safety and security recommendations issued after that disaster -- and after the September 11, 2001, terror attacks on New York and Washington -- are being included "from the ground up."

Japan's nuclear fight intensifies

Placing the reactors underground would make them less vulnerable to the shaking from earthquakes, and the surrounding earth would absorb much of the heat released if an accident occurred, Genoa said. The new designs are "orders of magnitude safer" than existing plants, "and we believe those plants are safe," he said.

But Edwin Lyman, a nuclear expert at the Union of Concerned Scientists, said the advantages touted by the industry -- smaller facilities and fewer workers -- could be "invitations to disaster."

"What Fukushima has shown us is that existing nuclear power plants don't have the personnel or resources to cope with severe emergencies," said Lyman, a physicist and senior scientist with the watchdog group. In addition, the modular design could make it more difficult to inspect and maintain key components, many of which would be located within the pressure vessel at the heart of the reactor, he said.

Lyman also questioned claims that about the cost advantages of the smaller reactors, noting that the boom in natural gas is squeezing even established nuclear utilities.

"The SMRs are without a doubt going to be more expensive than even large reactors," he said. "Their economics are only getting worse."

Genoa acknowledged that some design issues "cut both ways," and that the first companies to adopt the new technology will incur higher costs. But he said the experience of other industries, such as aerospace or the U.S. nuclear submarine program, shows costs can drop significantly over the life of a program.

"It's important to understand that these designs are in the early stage -- at best 20% to 30% complete," he said.

@highlight

The Energy Department announces support for small modular reactor design

@highlight

Supporters say the units will be cheaper and safer than current reactors

@highlight

U.S. regulators are still reviewing the designs