Baghdad (CNN) -- The murky abduction account of an American -- who no one appeared to even know had gone missing in Iraq until he resurfaced -- is raising questions about everything from his name to the circumstances surrounding his reported kidnapping.

The U.S. Embassy in Baghdad announced in a statement Sunday that Randy Michael Hultz was in the compound, having been transferred there by United Nations officials the previous day.

The statement described Hultz as a "private citizen" who was in Iraq "on private business," and "not an employee or contractor of the U.S. government."

This characterization differs sharply from that offered in a bizarre, pre-taped news conference Saturday conducted by members of a Shiite militia loyal to radical Iraqi cleric Muqtada al-Sadr.

Reporters who had been hastily convened for the news conference, which took place outside the heavily fortified Green Zone where the U.S. Embassy is located, learned that the militia was releasing a man they said was U.S. soldier Randy Michaels.

One Sadrist lawmaker said that the man had been captured in battle nine months earlier. The man, himself, did not identify himself by name though he did say he was a former soldier who was working as a civilian when he was abducted.

Amid Iranian tensions, Iraq seeks alternative oil routes

A Pentagon official insisted all active duty U.S. troops have been accounted for and no civilian was recently reported missing, and even the man's ex-wife said she didn't know he had been kidnapped.

A U.S. official, who had knowledge of the man and had seen the video from the al-Sadr-linked militia, identified the man as Rand Michael Hultz -- a former Army soldier who served in Iraq shortly after the 2003 invasion and later returned as an "entrepreneur."

The account by the official, who spoke on condition of anonymity because of the nature of the case, is supported by interviews the man gave to an Iraqi television stations in 2010 in which he identified himself as Hultz and detailed his business ventures.

During Saturday's news conference, the man was wearing a U.S. military uniform and accompanied by two members of Sadr's political party. The uniform, which did not feature a rank or a last name, was devoid of unit and combat patches.

The man said he had been abducted in Baghdad on June 18, 2011, by "Yom al-Maoud under the direction of Sayyed Muqtada al-Sadr," also known as the Promised Day Brigade.

While al-Sadr had disbanded his notorious Mehdi Army in 2008, a small group of hand-picked fighters -- known as the Promised Day Brigade -- continued attacks that primarily targeted American troops, the U.S. military has said.

Hultz said he was held in various locations across the Iraqi capital by Promised Day Brigade members.

"It was explained to me that my release has been for more of humanitarian reasons and that there was no exchange involved," he said.

Hultz also told reporters that he deployed as a soldier to Iraq in June 2003 and then "moved to a civilian capacity."

During the news conference, the lawmakers produced what appeared to be the man's U.S. military identification card and U.S. contractor ID card.

Maha al-Douri, a lawmaker and a member of the al-Sadr movement, said at the news conference that the man had been in captivity for nine months, consistent with the reported June 2011 abduction date.

Al-Sadr's party was a middleman between the Promised Day Brigade and the United Nations to facilitate the man's release, according to al-Douri.

The U.N. Assistance Mission for Iraq simply said two lawmakers -- al Douri and Quasay al-Suhail -- handed over an American citizen, who was then transferred to the U.S. Embassy.

Bahaa al-Aaraji, the head of Sadr's Ahrar political bloc, said the man was "captured in battles" but had no further information. He called the release a goodwill gesture to the American people following the withdrawal of U.S. troops.

Besides the fact the Pentagon says no U.S. troops are missing in Iraq, the website of the Defense Prisoner Of War and Missing Personnel Office on Saturday listed three Defense Department contractors as missing. Hultz was not among them.

Hultz's ex-wife, Kendra Hultz, did not immediately return a CNN telephone call seeking comment. But she told The New York Times on Saturday that she knew he was in Iraq but had little contact with him and did not know what he was doing.

"He just disappeared," she said.

Another U.S. official with knowledge of Hultz, who spoke on condition of anonymity, said he returned to Iraq in 2006 as a civilian contractor. The official was not authorized to speak to the media.

Sometime after returning to Iraq, Hultz moved into private business.

According to a 2010 interview with al-Hurra television station, Hultz described himself as the chief economic officer of Baghdad-based SAK Commodities, an investment and financing group also known as the Sanna Al Kassir General Trading Company.

SAK Commodities, according to the reports, signed a number of contracts to assist the Ministry of Housing and Construction and construction firms to build houses and other buildings.

As CEO, Hultz met with some of Iraq's powerful political players, including former Prime Minister Ayad Allawi. Photos of the two men and details of a March 2010 meeting in Baghdad were posted online by various business news groups.

The SAK Commodities website was unavailable Sunday afternoon, and the Baghdad telephone numbers associated with its various online press releases were either disconnected or went unanswered.

As to Hultz, by Sunday he'd been provided "all necessary consular services, including a medical check-up and debriefing," according to the U.S. Embassy. Diplomats were helping Hultz "as he considers his plans."

"The Embassy reminds all private American citizens living and working in Iraq to register with the Embassy at travel.state.gov and to pay heed to the Iraq country-specific information, including the current travel warning for Iraq," the U.S. government said in its statement.

Tawfeeq reported from Baghdad and Carter reported from Atlanta; Journalist Mohammed Lazem and CNN's Gregory Clary and Barbara Starr contributed to this report.

@highlight

NEW: Randy Michael Hultz is at the U.S. Embassy in Baghdad, after being handed over

@highlight

NEW: The embassy says Hultz is a "private citizen" who didn't work for the government

@highlight

Iraqi lawmkers say the man, who may have gone by various names, was abducted

@highlight

A militia tied to a radical Iraqi cleric identified him as a U.S. soldier upon releasing him