Colorado Springs, Colorado (CNN) -- Firefighters made little headway Thursday against a raging wildfire near Colorado Springs, Colorado, which has scorched close to 16,000 acres, destroyed 360 homes and claimed at least two lives.

Witnesses spoke to the two victims in the afternoon, El Paso County Sheriff Terry Maketa told reporters.

"They said that they could see a glow to the west. They were packing their personal belongings, trying to get out," he said.

Earlier, county spokesman Dave Rose told CNN that the Black Forest Fire, burning northeast of the city, now appears to be the most destructive in terms of property lost in state history.

Some 750 firefighters were battling the blaze, which was 5% contained late Thursday. With the help of helicopters and air tankers, they established a loose perimeter.

"The fire is very, very active within the containment area, and we don't have a high level of confidence at all that we'll be able to hold all of these lines around this fire," Rose said.

The fire's evacuation area was 93,000 acres, affecting approximately 38,000 people and 13,000 homes, and the flames were estimated to have burned through 15,700 acres, said Maketa.

That marked a dramatic increase from the 8,500 acres officials said had been burned by Wednesday night, he noted.

After he spoke, residents of about 1,000 homes in Colorado Springs were told to evacuate.

"Wind is probably our No. 1 threat," the sheriff said. Combined with dry brush and high temperatures, the winds have fanned devastating flames.

Maketa struggled to find a phrase to describe how ferocious the fire is, settling on "very dynamic."

"If it's a draw, that's a victory today because we haven't had too many draws in the last couple of days," he said.

'The flames were there'

Among those who lost their home were husband and wife, Jaenette and Kristian Coyne.

"We literally had five minutes, and we left because it was, the flames were there," Jaenette Coyne told CNN's AC360 Thursday night.

She said she grabbed a baby album and a personal computer with pictures on it. She also took a firebox, which contained most of the couple's important documents.

The Coynes actually saw their home burn on live TV.

"It was probably the worst thing I've ever seen in my life. You have that moment where you say: 'Is that really my house?' But we know it was. However, now I'm grateful that I know. A lot of people here just don't know," Jaenette Coyne said.

In northeast Colorado Springs, CNN iReporter Heather Croze took photos outside her home, capturing a billowing plume of smoke. One shot shows just how wide the smoke was on the horizon.

A county fairground northeast of the Black Forest Fire looked like a Noah's Ark with families who fled with their animals to escape the looming inferno.

There were nearly 30 chickens, several hundred horses, a handful of cows and a couple calves, and many alpacas and miniature horses, according to the Elbert County Sheriff's Office. Assorted dogs, cats, goats and donkeys mingled with mules and llamas. Three stallions were there. And for good measure, one yak.

At least eight families also have taken refuge at the Elbert County Fairgrounds in Kiowa, the Denver Post reported, which is about 35 miles southeast of Denver.

Joanne Gaishin slept outside in her car after fleeing her home with 18 chickens and three turkeys. "I stayed in the front seat of my car with all of my fowl in there, with the roosters crowing in the morning," she told the paper.

'We have each other'

Paula Warren, one of thousands of residents forced to flee her home northeast of Colorado Springs, spoke about how difficult it was to leave and wonder if her home was all right.

"I thought I had about an hour, and it turned out to be about 20 minutes," she said. "I had a pillowcase full of socks, and that's basically all I have."

By Thursday afternoon, she got bad news. A friend called her to say that her home was on an online list of residences that had been designated as destroyed. Warren didn't know exactly where the friend had seen the information but she believed it to be true.

For a person who had just been told their home was gone, Warren had a cheerful attitude when talking with CNN, laughing and saying that she was just going to go back home when she could, hitch up a trailer on the property, live in that and rebuild her house.

Her home sat on five acres and she doesn't think the land has been damaged. "Trees are still standing," she said.

For now she and her two miniature horses are staying with a friend on the outskirts of Colorado Springs.

The animals have adjusted fairly well, she said.

"You can't just take 'em to a Motel 6," she said. "And my friend is very tolerant."

Like Warren, CNN iReporter Mike Schultz lost his home. He sent images of it burned to the ground, showing charred remains.

His wife, Caml Schultz, said their family was able to save only some photographs, paperwork and few items of clothes.

"But we have each other, and we're blessed. So many people have suffered loss, and so we're just thankful that we're here and safe and that we're loved, and that we have so many people that are willing to help take care of us," she said.

Working to protect homes

Sheriff Maketa praised the swift and strong help that civilian workers have been getting from National Guard and other military responders. Authorities said that they are watching neighborhoods and homes to do everything they can to keep them safe while combating the blaze.

Still, there have been losses.

Maketa said Thursday that 360 homes had been destroyed; another 14 were damaged.

Rose, the El Paso County spokesman, stressed later that those figures were preliminary, and said he would expect them to increase.

"There are areas of the Black Forest that we have not been able to get into at all to make any sort of assessment. So it's almost impossible to come up with another number, but it is safe to assume that that number will in fact rise," he said.

Ken Litch, a 12-year resident of the area, watched Wednesday as the Black Forest Fire gained ground on his home. There wasn't much else he could do.

"A hundred homes would be nothing," he told CNN affiliate KUSA. "Whatever is in its way, it's going to take."

The inferno is likely to continue for a couple more days as temperatures are forecast to stay in the 90s through Friday, with winds gusting up to 30 mph.

Famous bridge still intact

Another major fire in the state is the Royal Gorge Fire, which is burning 55 miles to the southwest, on the other side of Colorado Springs.

It burned several buildings around the iconic Royal Gorge Suspension Bridge, and threatened the bridge itself.

Authorities downgraded the number of acres burned from 3,800 to 3,100 late Wednesday. The wildfire was 20% contained, the state office of emergency management reported. Twenty structures have been lost to the flames.

"We have made good progress on the fire today without any accidents or injuries," said Dennis Page, incident commander for the fire.

The famous Royal Gorge Bridge that spans the Arkansas River is intact but needs to be inspected before it can reopen for tourists, a spokeswoman for the Royal Gorge Bridge and Park said.

The suspension bridge, which is 956 feet above the river and among the highest in the world, is made of more than 1,000 wooden planks.

"We did not know until today whether the bridge was still standing," Gorge Bridge and Park spokeswoman Peggy Gair said.

Gair says fire at the park burned a visitor's center, a tramway building, a carousel and several restaurants.

Are you there? Send an iReport

There were other fires in the state as well, including in Grand and Huerfano counties. Black Forest was the biggest of the blazes.

Gallery: Wildfire photographer Kari Greer goes inside the inferno

Paul Vercammen reported from Colorado Springs; Dana Ford and Ashley Fantz reported and wrote from Atlanta. CNN's Dan Simon, Greg Botelho, Shawn Nottingham and Dave Alsup contributed to this report.

@highlight

NEW: The two victims may have been trying to evacuate

@highlight

NEW: "If it's a draw, that's a victory today," sheriff says

@highlight

The Black Forest Fire has scorched at least 15,700 acres

@highlight

Some 360 homes are destroyed; 14 are damaged