(CNN) -- They were outside every polling station I visited in Cairo: earnest young men bent over laptops on rickety tables, checking names and ID numbers against voting lists, explaining to people where they were supposed to vote, and, in light of Egypt's wildly complicated electoral system, how to vote.

Scattered around the tables between the laptops were pamphlets and fliers for candidates of the Freedom and Justice Party, the newly established political wing of the once banned but now free and unfettered Muslim Brotherhood.

"Who doesn't want freedom and justice?" a middle-aged man asked me approvingly as I leafed through a pamphlet over at one of the tables in the working class Cairo neighbourhood of Sayida Zaynab.

The "help" at the polls was just the tip of an organizational iceberg that may well ensure the movement emerges victorious from the first, critical round in Egypt's first post-Mubarak parliamentary elections.

Egypt awaits election results

Both the movement's leaders and rank-and-file are now quietly confident their moment is fast approaching. They have, after all, been working -- methodically and patiently -- to achieve it since the movement's founding in 1928 in the city of Ismailia, on the Suez Canal.

They've come a long way since then -- occasionally operating openly, other times hounded by the police. Shortly after Hosni Mubarak was ousted, the movement was legalized. Journalists can now jettison the tired old phrase "banned but tolerated." The Brotherhood is unbound.

The movement is well entrenched in mainstream Egyptian politics. Its leaders do not appear to be wild-eyed fanatics. Most are highly educated -- doctors, lawyers, engineers, professors, and businessmen -- and come from solidly middle-class backgrounds.

Some western observers see the Brotherhood as a sinister, secretive society, feigning moderation and democracy in public while in private embracing an extremist, totalitarian, anti-western agenda. The movement's Egyptian opponents frequently describe the Brotherhood as sheep in wolves' clothing.

Its members endured decades of persecution by the authorities, going back to the days of the monarchy. In the 1930s and 1940s the Brothers were accused of assassinations and bombings - although the Brothers always publicly rejected violence as a means to political ends. The secrecy that alarms some Egyptians may have simply been a necessity to function in an environment where the secret police, the mukhabarat, and their army of informers were watching everyone. But who knows.

Whatever one thinks of the group, it is skilled at building broad popular support through its extensive network of charities and social services, and stepping forward in emergencies when the state has failed.

In 1992 when an earthquake in Cairo left hundreds of the city's poor homeless, it was the Brotherhood who quickly mobilized to provide food, blankets and medical care. The government's reaction was criticized as slow, late, and clumsy. In 2006, when a ferry sank between Saudi Arabia and the Red Sea port of Safaga carrying more than 1,000 workers from Upper Egypt, the Brotherhood rushed relief supplies, only to have them blocked by the government. The first official reaction to the ship's sinking, as I saw myself, was to send hundreds of riot police to Safaga. Government relief supplies arrived three days later.

In a country where the sheer mass of people sometimes overwhelms creaking government services, the Brotherhood has won praise for its ability to create order out of chaos.

"What's wrong with good organisation?" said Abdel Aziz Zaid, production manager at an industrial printing press in Cairo and Brotherhood member. He was keeping an eye on the turnout at the Mohamed Ali School in Sayida Zaynab. He smiled confidently as a steady flow of voters -- women to the left, men to the right-walked past him to cast their ballots.

"When people see that we are well-organised now and were well-organised in the past, they will know we can use that organisation to achieve prosperity in the future," he said.

What men like Abdel Aziz Zaid call public service, critics shrug off as cynical, opportunistic stunts to win popular support. For Egypt's impoverished millions, however, motives don't matter. They need all the help they can get.

The Brotherhood is often accused of opportunism, but, if that's the case, it's chosen its opportunities wisely. During this year's uprising, the Brotherhood kept a low profile, letting secular and leftist youth take the lead. When it became clear Mubarak's days were numbered, the Brotherhood's presence in Tahrir Square increased steadily. The group's leaders cheered the fall of Mubarak but never took credit for it.

During the recent protests against the ruling Supreme Council of the Armed Forces, the Brotherhood stayed on the sidelines. They condemned what they called police brutality, but also rejected calls for them to join the protests. They were bitterly criticized by the activists in Tahrir Square, who warned they would be punished at the ballot box.

But the people in Tahrir, not for the first time, misread the public mood. Many Egyptians I spoke with outside the Square said they were tired of demonstrations and clashes, wanted the elections to proceed, and wanted the country to settle down.

The large turnout for the first two days of voting, and the dwindling numbers in Tahrir Square, suggest that the Brotherhood once more played its cards well. Call it opportunism, call it clever politics. The result is the same.

I met 29-year-old Amna Abdel Aziz as she was going up to the stairs of a school to vote in Sayida Zaynab. "I'm going to vote for the Freedom and Justice Party!" she proclaimed loudly.

An office worker and mother of three, she listed her reasons for voting for the Brotherhood's Party: "If the Muslim Brotherhood run the country, they'll fix everything - health, housing, jobs, girls who walk around with their hair uncovered, girls who walk around in the wrong clothing. God willing, they'll fix everything."

Amna was wearing a headscarf, hijab, not the full face-covering niqab favoured by the ultra-conservatives, so I was a bit taken aback.

"You mean," I asked, "the Brotherhood will force women to wear the hijab?"

"No, no," she responded. "They'll just convince them it's better for them."

And that seems to be the attitude of many members and supporters of the Brotherhood -- that they'll bring people over not by compulsion but rather by conviction and example.

It's an attitude 27-year-old interior decorator Hind Mohamed vehemently rejects.

The Muslim Brothers, said the unveiled Hind, "are just liars. They don't do what they say. They use religion to convince people to vote for them."

Obviously they hadn't convinced her. She was waiting in line to vote "against the Muslim Brotherhood," she said.

The movement's leaders are well aware that many Egyptians, especially Christians, liberals, leftists and others, are wary of their growing power. Senior Brotherhood leader Issam Al-Arian is quick to reassure them they are all partners in a new democratic Egypt.

"They are our friends, our neighbours, our citizens, they are Egyptians as we [are], and they have the same rights and duties, and nobody can deny that," he told me on the second day of voting. "If they oppose us, they are participating in building this country, and are correcting our mistakes, if we commit a mistake. And this is very important for a democratic system."

A few years ago I interviewed Mahdi Akif, then the leader, or Supreme Guide, of the Muslim Brotherhood. Akif, a doctor, had worked in Germany but had also spent many years behind bars under Gamal Abdel Nasser, Anwar Sadat and Hosni Mubarak. "A long-term guest of the government," is how he described it with a chuckle.

Like so many Egyptians he had a sharp sense of humor. But the smile evaporated when he told me, "We are a religion, a mission, a programme. I don't care what the government thinks. What concerns me is that God is satisfied."

Rifaat Said, the wizened old leader of the leftist, secular Agama's Party shared with me his concerns about the Brotherhood. "So, if you are not with them, the Brotherhood, with God's party, are you with the devil's party?"

Said spent time in prison with the Brotherhood's Akif, and knows him well. He doesn't trust the group.

"If God's party reaches power," he asked me, "who can move them away?"

"God's party" is closer today to power in Egypt than it's ever been.

@highlight

Muslim Brotherhood members had to endure decades of persecution by Egyptian authorities

@highlight

It has drawn wide support in Egypt during times of crisis when the government was seen as slow

@highlight

It was widely involved in the protests that led to the fall of Hosni Mubarak's regime

@highlight

But it remained on sidelines during recent protests against the ruling Supreme Council of the Armed Forces