Washington (CNN) -- The Fukushima Daiichi disaster is focusing attention on a problem that has bedeviled Washington policymakers since the dawn of the nuclear age -- what to do with used nuclear fuel.

Currently, spent fuel -- depleted to the extent it can no longer effectively sustain a chain reaction -- is stored in large pools of water, allowing the fuel to slowly cool and preventing the release of radiation.

But events in Japan, where two of the six spent fuel pools at the Fukushima Daiichi facility were compromised, have raised questions about practices at the nation's 104 nuclear reactors, which rely on a combination of pools and dry casks to store used fuel.

"I truly believe we must re-think how we manage spent fuel," Sen. Dianne Feinstein, D-California, said at a Senate appropriations subcommittee hearing Wednesday.

In California, Feinstein said, fuel removed from reactors in 1984 is still held in spent-fuel pools, well beyond the minimum five to seven years required by federal regulators. "It's hard to understand why the Nuclear Regulatory Commission has not mandated a more rapid transfer of spent fuel to dry casks," Feinstein said.

Currently, there is no maximum time fuel can remain in spent fuel pools, the NRC said Wednesday. As a result, critics say, nuclear plants have made fuel pools the de facto method of storing fuel, crowding pools with dangerous levels of fuel, industry critics say.

As of January 2010, an estimated 63,000 metric tons of spent fuel was in storage at U.S. power plants or storage facilities, according to the Nuclear Regulatory Commission.

"For the history of our nuclear power program, I would say, the storage of spent fuel... has been an afterthought," Ernest Moniz, a physics professor at the Massachusetts Institute of Technology, testified. "I believe we should really start thinking hard about consolidated storage, presumably in federal reservations, to solve a host of problems."

The NRC and industry critics differed on whether spent fuel pools are safe.

"Spent fuel pools are considered 'safety significant' systems, so they meet a lot of the same standards that the reactor itself would have to meet," said Greg Jaczko, chairman of the NRC. "For example, the spent fuel pools themselves are required to withstand the natural phenomena like earthquakes and tsunamis that could impact the reactor itself."

David Lochbaum, a nuclear physicist with the Union of Concerned Scientists, disagreed.

"At many sites there is nearly 10 times as much irradiated fuel in spent fuel pools as in the reactor core," he said. "The spent fuel pools are not housed in robust concrete containment structures designed to protect the public from the radioactivity they contain. Instead the pools are often housed in buildings with sheet metal siding like that in a Sears storage shed," Lochbaum said.

"I have nothing against the quality of Sears storage sheds but they are not suitable to nuclear waste storage," he said.

A nuclear industry representative said the "lack of a national strategy" on waste storage is exacerbating the problem, since it does not know whether to place spent fuel in permanent, on-site containers, or containers suitable for transport.

"We want to limit the number of times we have to handle used fuel. We want to be able to take it out of the pool once, put it in a cask... Not all casks are designed for transportation for example," said William Levis, a power company president speaking for the Nuclear Energy Institute.

Jaczko said spent fuel pools don't endanger the public. "We don't have a maximum time (fuel can stay in the pools)," he said. "But we do analyze the fuel. (Fuel) goes through a very rigorous analysis to ensure that (it can be added to the pool) safely and securely."

A high-ranking energy department official, meanwhile, said a commission studying the issue of spent fuel will issue an interim report by July 29. The commission was formed after the Obama administration killed a plan to store nuclear waste at Yucca Mountain in Nevada.

@highlight

Events in Japan have raised questions about spent-fuel storage in the United States

@highlight

The U.S. has 104 nuclear reactors, which rely on pools of water and dry casks for storage

@highlight

An estimate by the NRC said some 63,000 tons of spent fuel was stored in the U.S.

@highlight

The NRC and industry critics disagree on whether spent fuel pools are safe