Beijing, China (CNN) -- For thousands of years, China has seen itself as the Middle Kingdom, the center of the universe -- a view that shapes China's understanding of the world and contributes to an indifferent attitude toward other countries.

The world may be watching the U.S. election, but China isn't concerned with who wins. And many here believe America has lost the credibility it once had on the world stage.

Unlike the 1960s or '70s, when America had a more convincing claim as the moral arbiter of the world, many Chinese officials now believe the United States is only concerned with its own economic gain.

Map: World weighs in on U.S. election

In China there is little understanding of American society, or its politics. People stand on the sidelines of the Republican vs. Democrat debate; they don't pick up on the nuances of the discussion, and they can't tell the difference between the parties' positions.

The mainstream Chinese media aren't reporting on the U.S. elections, nor are mainstream websites, which is exactly how the Chinese government wants it. In fact, media coverage at all regarding the United States rarely strays from local or regional events and their relations to China, like the current dispute between Tokyo and Beijing over the Diaoyu Islands.

Chinese intellectuals, and indeed the public at large, believe that no matter who wins the race, America will have to be soft in its approach to our country because there is so much at stake.

Postcard: How Hong Kongers see U.S. election

As for the candidates, people know Obama as a personality, but few could tell you what his government has accomplished in the last four years -- and Mitt Romney remains a complete unknown.

For all the tough talk about China during the presidential debates, Romney and Obama evaded any mention of China's suspect human rights record, corruption, and rule of law.

By not tackling these controversial topics, the candidates are protecting a strategic partnership with China at the expense of essential human values and beliefs.

Personally, I think Obama seems more reliable than his opponent, even though I'm disappointed with his stance on China's human rights record. And although his administration has done very little to further rights here, I still wish him luck on Election Day.

Postcard: Is Obama still Kenya's favorite son?

While the Chinese people desire democracy, they are skeptical of the U.S. system because its elections don't seem to engender progress for Americans.

Democracy is a societal practice, and elections are only a part of it. The U.S. elections are certainly an exercise in democracy, but wealthy individuals and corporations can now pour significant amounts of money and advertising into manipulating the public.

The campaigns are mere showcases, extravagant yet empty -- and the time, money and energy spent on the grand spectacle could have been used to solve specific problems for Americans.

Postcard: Nigerians enjoy election soap opera

Regardless, Americans should still be proud. It is essential for politicians and leaders to have open discussions about their policies, character, and beliefs. It is the key to public trust and understanding in an open society. I don't think people like the way the debates and elections are designed, but at least they're an outlet for people to make a stand.

In contrast, all major decisions in China are made behind closed doors. Here the public knows very little about who their politicians are, the decisions they have made and what they believe in. In a world that demands social change, this approach cannot survive forever.

Recently I tweeted: "Judging from recent events, China has not met the requirements that constitute a country. There is no consensus on recognized elders, no clear set of values, no independent state military, no full citizenship, no international respect, no transparency for leaders' whereabouts, no clear borders, no equal access to defense attorneys, no proper administration of justice, no taxpayer rights... As a country, China is missing all the qualities it needs to call itself a country. China is merely a faulty conjecture."

Postcard: Obama finds support among Chavistas

The one-party system in China is inhuman. It stands against the weight of civilization. It rejects the foundations of modern living, humanity and individualism. The Beijing Olympics and the Shanghai World Expo show just how much effort China is willing to spend to enter the global stage. But while China desires to understand the world, it fails to accept its universal values.

China and the U.S. are two societies with very different attitudes towards opinion and criticism. In China, I am constantly under surveillance. Even my slightest, most innocuous move can -- and often is -- censored by Chinese authorities.

Recently I danced in a video spoof of the song "Gangnam Style," and it was quickly banned across multiple Chinese online video platforms. But the story still traveled all over the world, carried in hundreds of international media reports.

Postcard: Drug war being ignored in U.S. election?

That sort of censorship wouldn't happen in the U.S. -- but even though America's government allows its critics to speak out, it is difficult to create any real impact in a country where a vast number of voices are at risk of being drowned out by others.

In other words, regardless of your location, social background or political system, it is never easy to speak up against authorities -- it requires a lot of skill and persistence.

It is impossible to compare Chinese society with the U.S., as each system has its own dangers. But as the world's two great superpowers, the upcoming U.S. election and Chinese leadership reshuffle demonstrate two different extremes in handling shifts in political power.

Postcard: Why Berliners, U.S. are kindred spirits

The people in both nations share a sense of hopelessness; they feel empowered and disappointed at the same time but on different matters. No matter the country or system, it's clear that the relationship between the masses and their leaders must be transformed.

It won't be easy, and there will be constant challenges ahead, but it can be done.

The opinions expressed in this commentary are solely those of Ai Weiwei.

@highlight

Ai: Romney, Obama evaded mention of China's suspect human rights issues in campaign

@highlight

While not perfect, Ai says America should be proud of its elections and democracy

@highlight

Ai: China's one-party system is inhuman, stands against weight of civilization

@highlight

While China desires to understand the world, it fails to accept its universal values