(CNN) -- Schadenfreude -- joy at the misfortune of others -- is a bad thing.

So I've been trying to resist temptation these past months as I watch Attorney General Eric Holder deal with public and congressional reaction to the "Fast and Furious" scheme, the failed attempt by the Bureau of Alcohol, Tobacco, Firearms and Explosives to seed and then track U.S. firearms to Mexican drug cartels.

Fast and Furious was a secretive, high-risk operation seemingly intended to deal with an intractable problem abroad. On those grounds, some may be tempted to equate it to a CIA covert action.

But even if some attributes are similar -- tough problem, edgy solution, inherent complexity, great secrecy, high operational and political risk -- it was definitely not a covert action since those are clearly defined in an executive order as the province of the Central Intelligence Agency

Beyond that, if it had been a true covert action, the attorney general would have had to give his opinion as to its lawfulness beforehand; the implementing agency would have had to exhaustively articulate risk; the National Security Council would have had to judge it favorably; President Barack Obama would have had to authorize it; and the Congress would have had to be briefed before its implementation.

And all concerned would have had the opportunity to reject a bad idea, whatever its rationale.

These routine safeguards not only protect agencies, their leaders and their officers from legal and political jeopardy, they also protect the government from serious missteps.

Now Holder, without such safeguards in place, must defend himself against some very tough accusations, including one by some skeptics that the operation was intended principally to discredit, and thereby justify further regulation of, firearms dealers.

This is where the schadenfreude comes in.

After the congressional elections of 2006, the CIA was forced to defend edgy (often controversial and sometimes unsuccessful) actions in a tough political environment. President George W. Bush was politically weakened, the Senate and the House were under Democratic control and a presidential election was in the offing.

On the Hill, the questions were aggressive, often partisan and, in my view, sometimes even deeply mean-spirited and unfair to the many intelligence professionals who were putting their lives and careers on the line in a very successful effort to protect America from further attack. The agency dealt with the committees as best a nonpolitical organization could, fully recognizing that, although congressional oversight was a necessary instrument, it could sometimes be a difficult one.

But any personal instinct toward some common "executive branch" empathy for Holder is muted not only by the dubious character of Fast and Furious, but by some of the attorney general's other actions, as well. While out of office, for example, he famously called for a "reckoning" for CIA officers and other officials who authorized and conducted operations that were edgy and risky and intended to deal with difficult circumstances.

Once in office, he launched a "reckoning" of CIA renditions, detentions and interrogations of terrorists by directing the Justice Department to reopen investigations closed years before by career prosecutors. This decision was opposed by then-CIA Director Leon Panetta and seven of his predecessors, and Holder reportedly made the decision without reading detailed memos prepared by those career prosecutors declining to pursue further proceedings.

The CIA officers affected by this may be forgiven some feelings of irony when they now hear the attorney general repudiating some of the charges made against his officers by stating: "Those who serve in the ranks of law enforcement are our nation's heroes and deserve our nation's thanks, not the disrespect that is being heaped on them by those who see political advantage."

Of course, it was also Holder who decided in 2009 to release what had been secret DOJ memos outlining the details and providing the legal justification for the Bush administration's interrogation program. The release was defended by the administration as part of a broad commitment to "transparency."

Holder may have had even more in mind though as, according to a contemporary Newsweek account of the decision, the leadership of the Department of Justice calculated that "if the public knew the details, ... there would be a groundswell of support for an independent probe," and that when the decision to release those memos had been made, the attorney general and his leadership team "celebrated quietly, and waited for the national outrage to begin."

Later that summer, Holder also released a previously classified CIA inspector general report on the interrogation program as the administration seemed to be actively shaping this story to put its predecessor's actions in the worst possible light.

As I said, schadenfreude is a bad thing. But it is sometimes hard to avoid, especially when life seems to come full circle.

Attorney General Eric Holder has made it clear that he thinks he has been subjected to a heavily politicized process over Fast and Furious.

If he has -- and that's still an if -- I suspect that some folks at CIA know exactly how he feels.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of Michael V. Hayden.

@highlight

Former CIA director says "Fast and Furious" operation causing problems for AG Eric Holder

@highlight

He says the scrutiny is similar to the attention paid to CIA covert operations

@highlight

Hayden says Holder was among those who failed to understand the need for risky operations

@highlight

He says Holder now defends law enforcement "heroes" who "deserve our nation's thanks"