(CNN) -- Bringing a growing health concern to Congress, scientists squared off Thursday over whether cell phones contribute to brain cancer.

Rep. Denis Kucinich of Ohio holds a model of a 5-year-old child's brain absorbing cell phone radiation.

Studies have indicated that long-term cell phone use may be associated with brain cancer, according to Dr. Ronald Herberman, director of the University of Pittsburgh Cancer Institute, and Dr. David Carpenter, director of Institute for Health and the Environment at University of Albany. They both testified in front of the House Subcommittee on Domestic Policy.

"I cannot tell this committee that cell phones are definitely dangerous. But, I certainly cannot tell you that they are safe," Herberman said.

Herberman and Carpenter cited the results from a study recently presented by Dr. Lennart Hardell of Örebro University in Sweden.

The results indicated that people who use cell phones have double the chance of developing malignant brain tumors and acoustic neuromas, which are tumors on the hearing nerve. The study also said people under age 20 were more than five times as likely to develop brain cancer.

But Dr. Robert Hoover, director or Epidemiology and Biostatistics Program at the National Cancer Institute, said the study has not yet appeared in a peer-reviewed journal, so has not come under sufficient scrutiny. The evidence for the connection between cell phones and cancer is inconclusive and more research is needed, he said.

"Larger studies are needed to sort out chance and bias," Hoover testified.

Interphone, a series of multinational studies on the risk of cancer from cell phones, has not found an increase in tumors associated with the first 10 years of mobile phone use, he said.

Some findings show an increased risk of tumors diagnosed on the side of the head that the cell phone is pressed against, but this pattern has not been seen consistently, Hoover said.

CTIA, the International Association for Wireless Telecommunications, declined the invitation to testify, Rep. Dennis Kucinich, a former Democratic presidential candidate from Ohio, who led the hearing, said.

Steve Largent, CEO of CTIA, issued a statement Wednesday saying the industry has supported scientific research on these issues and supports the Federal Communications Commision's safety guidelines.

"The available scientific evidence and expert reviews from leading global health organizations such as the American Cancer Society, National Cancer Institute, United States Food and Drug Administration and the World Health Organization reflect a consensus based on published scientific research showing that there is no reason for concern," Largent's statement said.

The overall evidence for the cancer-phone link has not been statistically significant at a 95 percent confidence level, a standard in science, Carpenter said. But he also noted that U.S.-funded research is very scarce.

"Are we at the same place we were with smoking and lung cancer 30 years ago?" he asked.

Carpenter and Herberman testified that the risk of brain cancer for children is far greater than for adults. Herberman demonstrated a model showing that the radiation from cell phones would penetrate far deeper into a 5-year-old's brain than an adult's.  See models from researchers at the University of Pittsburgh »

But the incidence of brain cancer in children has not increased significantly from the late 1980s to 2005, Hoover said.

The Federal Communications Commission limits cell phone radio frequency energy emissions, called the specific absorption rate (SAR), at 1.6 watts per kilogram, as measured over one gram of tissue.

The standard was developed in 1997 in consultation with Institute of Electrical and Electronics Engineers, a professional association open to everyone, including manufacturers and health specialists.

But the SAR standard reflects a biological response to cell phone radio frequency energy heating tissue, Kucinich said.

Many experiments show that radio frequency energy does cause "biological effects" without heating tissue, although not all of those effects are harmful, Carpenter said. Hoover agreed that there could be such effects related to cancer risk, but they have not been properly vetted in a laboratory.

The FCC itself does not have the expertise to evaluate whether this standard is appropriate protection for possible heath risks, Julius Knapp, director of the FCC's Office of Engineering and Technology, testified.

The hearing took place just a week after the Cleveland Clinic reported a study showing that keeping a cell phone on talk mode in a pocket can decrease sperm quality.

Herberman had issued a warning to physicians, scientists, and staff at the University of Pittsburgh in July advising them to limit cell phone use because of the possible risk of cancer. The Israeli Health Ministry endorsed this recommendation within a week, he said.

Ellen Marks of Lafayette, California, whose husband found out he had a brain tumor on his right frontal lobe in May, attended the hearing.

The tumor is on the same side of his head where he held his cell phone, which he used about 30 hours per month. She believes the tumor is the result of cell phone use.

"I often threatened to throw it in the garbage, and how I wish I had," she said. "This horror could have been avoided with a simple warning."

@highlight

Studies conflict; do not consistently show cell phones cause cancer, expert says

@highlight

Expert says he cannot say they are definitely dangerous or definitely safe

@highlight

Children are at higher risk for cancer-causing radiation from phone, scientist says

@highlight

Woman at House panel hearing says her husband's brain cancer from cell phone