West Pokot, Kenya (CNN) -- More than 13 years after his parents drowned in a flash flood, David Kakuko is at the Moruny River, building a bridge that might have prevented their deaths.

The hanging footbridge will provide safe passage over the Moruny, a frequently flooded waterway in West Pokot, Kenya.

"Before the bridge, there [were] so many people, so many who lost their lives," said Kakuko, 32. "I know, because I have no parents. I have no parents, because this river took them."

Kakuko is working alongside other local residents and Harmon Parker, a master mason who has been building bridges through Kenya's mountainous terrain since 1997.

Parker, a Lexington, Kentucky, native who came to Kenya in 1989, has seen firsthand how flash floods -- and the threat of predators such as crocodiles and hippos -- can make rivers impassable in isolated communities.

"I've worked all over Kenya," said Parker, 54. "And every community [has] a story of ... loved ones lost."

When Parker arrived in Kenya as a young missionary, he befriended Jay Hindson, a fellow development worker who introduced him to a bridge build in 1996. The experience changed the course of his life.

"It was a plea from the community," Parker recalled. "I saw that building a bridge could change lives and transform communities."

Parker has been building bridges ever since, and in 2003 he founded the nonprofit organization Bridging the Gap. The organization oversees the building of bridges that not only save lives but connect isolated villagers to resources that can improve their way of life.

"When it floods, people really suffer not being able to get to the clinic or the market or to their school," Parker said. "Like every people, they have dreams. They want to prosper."

Since 1997, Parker has helped build 45 bridges in Kenya. He estimates they've affected tens of thousands of lives, but he insists his work is not about the numbers.

"I have built many bridges in very remote areas for the 'few and the needy' that a larger organization may not consider," he said. "Knowing this bridge will probably save at least one life is what makes me tick. ... I build bridges because I want to save lives, lives that I will never know about."

Parker's hanging footbridges are simple in design, with an average length of 120 feet and an average cost of about $6,000. They are built using basic materials and local tools so villagers can maintain them and make repairs when needed.

There is high demand for Parker's help. But because of limited financing, he is able to organize only five or six projects a year.

To determine which projects he takes on, Parker visits the village that initiated the request. To qualify for a bridge, the river in question must be considered a peril to cross. It also has to inhibit access to education, health care or commerce.

Parker also requires that the community demonstrate a willingness and ability to participate in the construction of the bridge, whether it's by gathering sand, making gravel or digging foundations.

It's "so they can take pride in their bridge, so that they feel they played a big role in it and that they have ownership," Parker said.

Kakuko has no problem with making that commitment.

"It is good for us, because this is our bridge," he said. "It is not for the men who gave it to us. It is ours. So people should guard and watch over it like it is their own."

Although the bridges are sponsored by donors, villagers are also expected to provide some form of financial contribution.

"I don't know how many goats I have in this region. But they always give me a goat," Parker said. "I was even offered a young wife in a real rural area. And I had to refuse that."

Parker's work requires that he spend weeks, even months at a time away from his wife and home in Nairobi. And over the past 15 years, he's been robbed at gunpoint, plagued by parasites and afflicted with grave illnesses such as malaria and dengue fever. But he doesn't see his role as sacrificial.

"I feel I'm blessed ... privileged to do what I'm doing," he said. "A bridge is a beautiful metaphor for many things. There are bridges of hope, bridges of peace, bridges of life. To me, bridges are beautiful."

Want to get involved? Check out the Bridging the Gap website at www.bridgingthegapafrica.org and see how to help.

@highlight

Harmon Parker's nonprofit group helps Kenyans build footbridges over perilous rivers

@highlight

The bridges not only save lives; they connect people to schools, markets and health care

@highlight

Parker came to Kenya in 1989 as a young missionary with masonry skills

@highlight

Because of limited financing, he is able to organize only five or six bridge projects a year