Beijing (CNN) -- Demonstrators braved a heavy police presence and the threat of arrest by massing Thursday in the streets of Kunming, China, to protest the planned construction of a chemical plant, they said.

"It was mostly a peaceful protest," said an activist who asked to be identified only by his family name, Young. "We were singing the national anthem, shouting 'Get out, refinery!' together."

He added, "We were scattered by the heavy police force in the area. I saw locals scuffling with police, people getting arrested and pulled away."

Read more: Can social media clear air over China?

The plant is a hot topic in the city, which is the capital of Yunnan province in southwestern China.

"Every Kunming person cares about this issue," said another Kunming native, a 50-year-old man who said rows of police thwarted his efforts to reach the heart of the protest. "The police kept blocking off the protest, block by block."

Local government officials did not respond to CNN phone calls for comment.

Photos posted on Chinese social media sites showed uniformed and riot police surrounding groups of demonstrators.

The five activists who spoke to CNN asked not to be named for fear of reprisals from Chinese authorities.

The oil refinery and chemical plant would be built in Anning city, about 50 kilometers (31 miles) west of Kunming, according to Xinhua, China's state news agency.

Report: China lax in treating, policing lead poisoning

Opponents fear the chemical plant would produce tons of paraxylene, a carcinogenic chemical identified by the acronym PX.

Several days after a May 4 protest, the Kunming mayor joined executives from the state China National Petroleum Corp. and the Yuntianhua Group for a joint news conference.

"The government will call off the project if most of our citizens say no to it," said Mayor Li Wenrong, according to Xinhua.

The provincial general manager of China National Petroleum Corp. has said the refinery will not use the chemical.

"The project has no PX facilities, nor will it produce PX products," Hu Jingke said, according to Xinhua.

Kunming residents expressed deep distrust of government officials and the state-owned enterprises behind the refinery project.

Several said authorities took draconian measures in the days running up to Thursday's protest in an attempt to prevent demonstrators from taking to the streets.

Opinion: Why booming China needs to act fast

A 25-year-old Kunming native who asked to be identified as Claire told CNN that police detained and interrogated her for more than nine hours after she was caught distributing anti-refinery fliers on a city street Tuesday.

"I understand we need oil refineries," Claire said in a phone interview. She said she opposed this one because "it's just so close to the city and the fact that the whole process was not transparent and we're not allowed to ask questions."

Claire said police accused her of staging an "illegal gathering."

As part of the interrogation, she said, police took her to the print shop where she had made copies of her fliers. Then they escorted her to her parents' home, where they demanded that she erase files about the refinery from her computer. Finally, she said, they threatened her and banned her from attending Thursday's protest.

CNN Blog: Why China's leaders should worry about climate change

"Basically, they're saying if I have this on my record, I won't get any government job or state-owned enterprise job," Claire said.

Several other Kunming residents said students and employees of state-owned companies had been warned not to attend the demonstration.

"Kunming is a beautiful city, where we have cleaner air than any other cities in this country," Young said.

"We fear the refinery will destroy the city's natural environment, and we demanded to see the environmental impact assessment report of this project. But we were rejected by the government who told us it's a 'state secret.' "

An executive from Yuntianhua, which also has a major stake in the chemical plant, told journalists that an environmental impact assessment for the project had not been completed, Xinhua said.

In March, Chinese Premier Wen Jiabao promised that health safeguards would be improved and efforts would be made to control air pollution and make water supplies safer.

China air pollution: 'Slightly polluted' or 'hazardous'?

"We should adopt effective measures to prevent and control pollution and change the way we work and live," Wen said.

The emphasis on environmental and health issues comes as China's leaders confront growing anger about choking pollution, contaminated food, and water that is unsafe to drink.

The statistics are staggering. China now burns 3.8 billion tons of coal each year, nearly as much as the rest of the world combined. In January, the smog over Beijing was so thick, it could be seen from space.

China's CO2 emissions rose by 720 million tons in 2011 -- a 9.3% increase. Pollution and dust generated in China have been found as far away as California.

Maintaining blockbuster growth has sometimes come at the expense of environmental protections.

The government has made explicit its intention to weigh environmental regulation against the cost to the economy. But analysts say the public outcry over pollution has tipped the scales.

China has already tried to boost the use of alternative sources of power, setting standards for solar energy installation and switching from coal to gas in some cities.

CNNMoney's Charles Riley contributed to this report.

@highlight

Photos posted on social media show riot police surrounding demonstrators

@highlight

Protester: "I saw locals scuffling with police, people getting arrested and pulled away"

@highlight

"Every Kunming person cares about this issue," another protester says

@highlight

Opponents fear the plant would produce tons of paraxylene, a carcinogenic chemical