Editor's note: Laura Gómez is professor of law and American studies at the University of New Mexico. Gómez, who has a Ph.D. in sociology and a law degree from Stanford University, is the author of "Manifest Destinies: The Making of the Mexican American Race."

Laura Gómez says Sonia Sotomayor's "wise Latina" comment has been taken out of context.

(CNN) -- It is likely that Judge Sotomayor will face some questions from members of the Senate Judiciary Committee this week about her 2001 "wise Latina" remark.

In a speech at a Berkeley conference on Hispanic judges, Sotomayor said, "I would hope that a wise Latina woman, with the richness of her experiences, would more often than not reach a better conclusion than a white male who hasn't lived that life."

Her comment has been lampooned on the cover of the National Review, where cartoonists apparently could not quite fathom a wise Latina judge, choosing to portray Sotomayor as a Buddha with Asian features. It has caused Rush Limbaugh and others to label her a "racist," and it has caused even liberals to bristle.

I was a speaker at the conference Sotomayor's speech kicked off, and I would like to put her comment in context.

Entitled "Raising the Bar: Latino and Latina Presence in the Judiciary and the Struggle for Representation," the conference brought together -- for the first time, to my knowledge -- judges, lawyers, scholars and law students to consider the state of Latinos in the judiciary.

By 2050, Hispanics will be 30 percent of the U.S. population, and yet the number of Latino judges remains tiny. The number of female Hispanic judges is even smaller; Sotomayor is one of two Hispanic women among federal appellate judges, and there are not much more than that among the hundreds of federal district judges.

Part of the impetus for the conference was to signal the potential crisis for our courts in the 21st century if we do not get more Latino lawyers interested in becoming judges and more appointed to the bench.

In this context, I did not find Sotomayor's comment controversial. As I look at the speech eight years later, I'm struck by how measured and careful she was in making the claim.

First, the sentence I have quoted here followed Sotomayor's acknowledgement that there is no universal definition of "wise."

Second, she presented the statement as aspirational by using the phrase "I would hope"; she was talking as much about the ideal of diversity as its reality.

Third, she specified that she was talking not about all Latinas and all white men but about ideal types; she invoked a "wise" Hispanic woman who has had a particular set of life experiences and white male judges who have not "lived that life" (suggesting that some white males could, in fact, bring a similar empathy and/or life experience to the bench).

Fourth, she went out of her way to say that she thought this would be the case "more often than not," rather than all the time.

Finally, in the next sentence of her speech, Sotomayor went on to specify that she was addressing the dynamics of an appellate court with multiple judges (such as the three-judge and en banc panels on which she sits as an appeals court judge and the Supreme Court), rather than talking about a trial court context in which a single judge presides.

She was referencing the group dynamics on a U.S. Supreme Court of nine justices who converse publicly during oral arguments and privately during conferences over cases. In these settings, who a judge is, in all the ways that matter, undoubtedly affects his or her own thinking about cases as well as that of the other justices.

Does anyone that doubt that Justice Thurgood Marshall's identity as an African-American male or his experience as a civil rights lawyer shaped his judicial philosophy and influence his fellow justices some of the time? Most watchers of the Supreme Court have similarly concluded that Justices Sandra Day O'Connor and Ruth Bader Ginsburg have had a great impact on their colleagues in cases of particular interest to women, such as abortion and sex discrimination.

Ultimately, whether, holding other things constant, women of color make "better" judges than white men is an empirical question that we are unable to answer definitively any time soon, given the small numbers of minority judges.

That inquiry itself begs the question of quality explicit in Judge Sotomayor's comment: What makes one judge better than another? Better for whom? Some political scientists have argued that the appropriate measure is essentially political: Is the judge better for those who elected the president who nominated the Supreme Court justice?

At the end of the day, a judge's race and gender may have less impact on how she decides a particular case than how the larger public perceives the court on which she sits. In a society in which African-Americans and Hispanics, in particular, report high rates of dissatisfaction and lack of faith in the courts and other criminal justice institutions, the racial and gender makeup of the judiciary has greater relevance.

Of 111 Supreme Court justices, all but four have been white men. It's past time the nation's highest court looked more like the nation.

The opinions expressed in this commentary are solely those of Laura Gómez.

@highlight

Laura Gómez: Critics of Sotomayor take her remarks out of context

@highlight

She says judge carefully hedged comment about "wise Latina" judge

@highlight

Gómez: Key merit of diversity on court is public view of judges' legitimacy