(CNN) -- Few female Chinese artists have attained the level of international recognition that sculptor Xiang Jing enjoys.

Her work has been exhibited in America and throughout Europe. She was the subject of a recent joint survey show at the Museum of Contemporary Art Shanghai. She was one of four winners of this year's Martell Artists of the Year competition and was also recently featured in Italian Vogue.

Xiang first garnered attention for her sculptures of women. Working in porcelain, bronze and fiberglass, her figures are often nude, slouching, and wearing vacant or depressed expressions.

"Your Body," a 2.6-meter-high fiberglass sculpture made in 2005 was collected by the Saatchi Gallery. A seated, slouching and vacant-eyed nude woman with a scar on her abdomen, sagging breasts and fat rolls, critic Gao Shiming, a dean at the China Academy of Art, has described the work as an expression of "fatigue ... emptiness and helplessness."

The effect of Xiang's work is often disquieting, even though her figures are recognizable. According to curator and critic Lilly Wei, Xiang's "sense of social satire is anchored in the commonplace, in the daily exigencies and social exchanges of an ordinary woman's life, in the small vanities, frauds and violations."

Xiang says her work is always a kind of ongoing philosophical inquiry.

"From the day we are born, we have many, many questions -- all kinds of questions from what we see, what we experience and what we know.

"I think art is possibly one of the ways, one of the channels, to help us to find out certain truths," she says.

Her sculptures of women, for instance, are an attempt "to deal with everything that had to do with female existence."

But, she says, "after a while, if you work on a deeper level, you will discover that whether male or female, you're ultimately dealing with human nature. In other words, the deeper you go, you move further away from gender but you get closer to human nature."

More than gender politics, she is interested in human relationships. "Individuals are in fact very alien, very distant to each other. However, as we're collective animals, social animals, we all end up in a kind of a relationship ... I think we're like two neighboring islands, gradually getting close to each other."

More from Human to Hero: From builder to Pritzker-winning architect

Raised in Beijing by an editor and film studio director, Xiang studied at Beijing's Central Academy of Fine Arts, graduating in 1995.

One of the first artists to make an impression on her was Tian Shixin, a sculptor from Guizhou whose work Xiang first saw when she was at high school. It was the first time she had seen sculpture that wasn't a politically-freighted monument or memorial, she says. "He had created an emotional state of human beings."

But Xiang's process is too personal to be inspired by anyone or anything else.

In fact, she rejects the notion of inspiration altogether. "I don't think art is like design, when one can have an inspiration here or an inspiration there."

"Art is more the expression of your points of view, or whatever you want to express in the long process of your understanding -- often it has a very long thread throughout."

Every three years, Xiang puts on a solo show containing series of works that represent a particular line of questioning, she says.

Typically, she draws a rough sketch with measurements marked in, which her assistants use as the basis for creating a steel framework. Xiang then uses clay to shape a form, from which a plaster mold is created, which she then paints.

The production phase is physically exhausting for Xiang. "Every time when I work on something, I would eat very little and sleep very little and become very, very thin."

But, she says, "the most challenging part of the whole creation is the initial thinking process," something she describes as "painful," even "torturing."

"The actual work ... I can complete it within a year or a year and a half. But before that, I have to think for a long, long time ... trying hard to convince myself."

She says she doesn't use photographs or work from models: "It all comes from my head."

Although her sculptures are strikingly lifelike, Xiang says she isn't aiming for realism.

"If you put a real person's face next to it, you will see a lot of differences. But what matters to me is ... the poignance of the expression."

"I want my art to awaken the sensibility of each onlooker, to awaken his body, so that his body can experience the sculpture. That's why I really want people to stand right in front of my sculpture, to face (it)."

More from Human to Hero: Top designer shares secret of staying in vogue

Xiang knows she is living in an interesting period of Chinese history. "I was born in 1968. We've gone through the Cultural Revolution, then the Reform and Opening Up period, then the recent years of rapid economic growth.

"These have been the decades when China has gone through the most dramatic, the fastest changes ever. And contemporary Chinese art has been born and developed within these last 30 years."

What that means for Xiang personally is not yet clear, though. Being thrown into the cross currents of history is, she says, "good fortune" on one hand, but she also says, "I'm not very adaptable."

In fact, an artist heralded by critics and collectors as exemplary of exciting new developments in a still-developing world, says she often feels out of step.

"I feel that I'm gradually becoming more and more alien to this era, as I feel that the world has become more and more extrovert, more and more superficial.

"It's become ever so easy to know, to see and to experience too many things. The ways for us to get to know the world have become more and more diverse. There are more and more channels ... and more and more platforms.

"People have become ... more and more extroverted. However, I think there should be another part that should look inward ... into an inner world ... a world that exists within us. And this world isn't small at all. In fact, it can be enormous."

@highlight

Xiang Jing attracted international attention with her large-scale sculptures of women

@highlight

Her work is held by the Saatchi Gallery and has been exhibited throughout Europe.

@highlight

Her sculptures are the result of ongoing philosophical inquiry, Xiang says.

@highlight

Although representative of a new generation of artists, Xiang says she feels alien to our information era.