Bangkok, Thailand (CNN) -- The central business district of Bangkok dodged severe flooding Saturday afternoon, but surrounding areas of the bustling capital faced further inundation at the next high tide.

A dreaded tide on Saturday spurred residents' fears that it would overwhelm defenses along the Chao Phraya River and its many canals.

Bangkok's outer suburbs were already submerged, but the central city has been largely spared the misery Thailand has been suffering for months in the nation's worst flooding since 1942.

In the east and the north of the city, water was at waist-level in some neighborhoods.

But the city -- which sits barely above sea level -- still faces two converging threats.

Massive runoff was flowing south to the sea through Bangkok, as high tides pushed the water in the opposite direction.

"The challenge is to manage the huge runoff from the north passing via the city on its way to the Gulf of Thailand," a Red Cross bulletin said.

Bangkok's Chinatown area -- normally hopping with activity on a Saturday afternoon -- was largely desolate, with few passers-by wading in knee-deep water.

Prime Minister Yingluck Shinawatra ordered work crews Friday to cut channels in roadways to allow faster drainage, according to the MCOT news agency. But the plan was rejected late in the day in favor of dredging canals and using pumps, the Bangkok Post reported.

Health concerns were rising with the water.

Bangkok residents plodded through murky waters without knowing what lurked within, the risk of infection and communicable disease worrying health officials. The government sent out crocodile hunters after reports of crocodiles and snakes in the filthy floodwater.

"We were hearing disturbing reports of dangerous animals such as snakes and crocodiles appearing in the floodwaters, and every day we see children playing in the water, bathing or wading through it trying to make their way to dry ground," said Annie Bodmer-Roy, spokeswoman for the humanitarian agency Save the Children.

As floodwater entered homes, some Bangkok residents still in the city made plans to leave.

Thanyarat Hemkittiwat said she was going to stay with relatives outside the city.

"Some families in southern Bangkok had their house flooded," said the 31-year-old worker at a furniture export company, which was shut after it also was flooded. "The water level is 2 meters (six feet) high and smells very bad," she said.

The Bangkok Post reported that government buses had evacuated a number of elderly residents from the northern and eastern suburbs, and would pick up residents of the capital on Saturday and take them out of Bangkok. As of Saturday, an estimated 1 million of the city's 12 million residents had left.

Another Bangkok resident said she was worried about abandoning her house, which has been flooded for five days, and would not leave.

Panic buying has led to a shortage of food and bottled water in the capital, residents said.

And the worst might not yet be over.

Another high tide -- expected to reach about 4 meters (13 feet) high -- is forecast for Sunday morning.

Officials urged tourists to steer clear of Bangkok, while noting that many of the other tourist spots, such as Phuket, remained dry and open for business.

Thailand's Ministry of Public Health had transferred 280 of the capital's 520 patients in severe condition to 22 hospitals upcountry, the MCOT news agency reported.

The remaining 240 patients will be taken to hospitals in other provinces by Sunday, it said, citing Permanent-Secretary for Health Paichit Varachit.

Health Minister Witthaya Buranasiri said that, after months of flooding, 107,101 Thais have been diagnosed with stress, 6,214 with depression and 878 at risk of suicide. In all, 1,356 people were under observation by health officials, the minister said, according to MCOT.

The U.S. State Department issued a travel alert on Thursday, recommending against all but essential travel to affected areas. It noted that most tourist destinations, such as Phuket and Chiang Mai, were unaffected.

U.S. Ambassador Kristie Kenny said the crisis was slow-moving and it was hard to know what would be hit next.

The floods, caused by monsoon rains that saturated rivers, have killed 373 people nationwide and affected more than 9.5 million people,

Are you there? Share photos, video but stay safe

The government has called the flooding the worst to afflict the nation in half a century and said it might take more than a month before the waters recede from some areas.

The government has set up more than 1,700 shelters nationwide, and more than 113,000 people have taken refuge in them.

Overall damage from the floods could exceed $6 billion, the Thai Finance Ministry said.

CNN's Sara Sidner, Kocha Olarn, Ivan Cabrera, Moni Basu, Aliza Kassim and Elizabeth Yuan contributed to this report.

@highlight

Some areas outside of central Bangkok are covered in waist-deep water

@highlight

The flooding in Thailand is the worst since 1942 and has killed 373 people

@highlight

Thailand is dealing with massive runoff from monsoon rains compounded by high tides

@highlight

Another high tide of about 4 meters (13 feet) is forecast for Sunday morning