(CNN) -- Four Nigerian farmers and the environmental group Friends of the Earth took oil giant Shell to court Thursday in the Netherlands to demand a proper cleanup and compensation for pollution in the Niger Delta.

The farmers want the Anglo-Dutch multinational to "clean up the oil pollution in their fields and fishponds" and make sure their pipelines are maintained and kept secure to prevent leaks in the future.

The civil case has been filed against the Nigerian subsidiary of Shell, the Shell Petroleum Development Company (SPDC), and its international headquarters in the Netherlands, Royal Dutch Shell.

Read more: Ice floe forces Shell to call off Arctic drilling

Based on "years of oil pollution in three villages in the Niger Delta," it could have "major legal consequences internationally," the Dutch branch of Friends of the Earth, known locally as Milieudefensie, said in a statement ahead of the first hearing.

The three villages concerned are Goi, hit by a spill in 2004, Oruma, affected by a spill a year later, and Ikot Ada Udo, hit by various spills in 2007, according to Friends of the Earth.

Shell argues that it has cleaned up the spills to the satisfaction of the Nigerian authorities, and has no case to answer.

But Friends of the Earth says that oil pollution has had a devastating and continuing impact on vegetation, water supplies and local fishing ponds.

The campaign group says this is the first time a Dutch company has been brought before a court in the Netherlands over environmental damage caused abroad.

"It is also the first time that the headquarters of a multinational concern on the European continent has been summoned to appear in court for environmental or human rights violations in a developing country," it said.

Shell insists it is "committed to cleaning up all spills from its facilities" and blames saboteurs who steal oil from its pipelines for much of the environmental damage.

Read more: Could it finally be springtime for Nigeria?

"The real tragedy of the Niger Delta is the widespread and continual criminal activity, including sabotage, theft and illegal refining, that causes the vast majority of oil spills," Shell spokesman Jonathan French said in a statement Thursday.

"It is this criminality which all organizations with an interest in Nigeria's future should focus their efforts on highlighting and addressing."

French said that Shell had cleaned up three leaks at three locations, from 2004 to 2007, which were caused by sabotage. Under Nigerian law, oil companies are not liable to pay compensation for damage caused by sabotage spills, he said.

The court is expected to hear from both sides in the case Thursday and will probably deliver a verdict late this year or early in 2013, Friends of the Earth said.

"Hopefully, the legal route that Milieudefensie has chosen will ensure not only that four people in the Niger Delta have a better life but also increase the opportunity for thousands of their fellow citizens and millions of people worldwide who now often are without rights against powerful and sometimes unscrupulous multinationals," campaign coordinator Geert Ritsema said.

The argument over the impact of oil production in the Niger Delta, which includes the Ogoniland region, is a long-running one.

The world's third largest wetland, the Niger Delta is diverse and rich with mangroves and fish-rich waterways. But oil drilling has turned it into one of the most oil-polluted places on Earth, with more than 6,800 recorded oil spills, accounting for anywhere from 9 million to 13 million barrels of oil spilled, according to activist groups.

Read more: Chevron facing $18B judgment in Ecuador

Many residents make their livelihoods from fishing and depend on the polluted mangroves and creeks.

A report by the U.N. Environmental Program last year found that pollution from more than 50 years of oil operations in the Ogoniland region, by Shell and other companies, was more far-reaching than thought.

The assessment, commissioned by the Nigerian government and funded by Shell, concluded that restoration of the area could take up to 30 years, cost $1 billion and become the largest cleanup operation in history.

"Control and maintenance of oilfield infrastructure in Ogoniland has been and remains inadequate: the Shell Petroleum Development Company's own procedures have not been applied, creating public health and safety issues," the report found.

Shell has previously accepted responsibility for two oil spills in Ogoniland in 2008 and 2009.

CNN's Alexander Felton contributed to this report.

@highlight

The case was brought by four Nigerian farmers and the Dutch Friends of the Earth

@highlight

They want compensation for damage caused by oil spills and a proper cleanup

@highlight

Shell says it is "committed to cleaning up all spills from its facilities"

@highlight

The oil giant blames pipeline thieves and saboteurs for causing oil spills