(CNN) -- A fledgling force of Syrian military deserters said it struck an important government security complex on the outskirts of the capital overnight, a bold strike reflecting the resolve and confidence of the regime's opposition.

The assault came ahead of an Arab League meeting Wednesday to reaffirm a decision to suspend Syria's membership, a move the group made over the weekend after President Bashar al-Assad's government failed to abide by a proposal to end a brutal crackdown on protesters.

Also Wednesday, France recalled its ambassador to Syria, the French Foreign Ministry said. The move followed attacks on French missions in Syria.

The defector group, called the Free Syrian Army, said it attacked an air intelligence base in Harasta and planted "powerful explosions inside and around the compound that shook its foundations."

Andrew Tabler, an expert on Syria at the Washington Institute for Near East Policy, said air intelligence has been deeply involved in the eight-month-long crackdown by the Syrian government against protesters, a grinding civil conflict that the United Nations says has left more than 3,500 people dead.

Tabler said the strike reflects the growing sophistication of the Free Syrian Army, which has brigades across the country and has been in existence since the summer.

"It opens up a new era of the conflict," he said, adding that the development represents "a bad direction" for the country. "Until now, most of the protests have been peaceful."

The Free Syrian Army said it "carried out special operations in various areas in Damascus in order to spoil the plan that the regime is preparing against our people and our homeland."

The regime should "take note" that the deserter force "is capable of striking them in any place and at any time we want," the group said.

Activists said the deserter army used rocket-propelled grenades and the intelligence complex was damaged. Activists also reported damage at the complex in Harasta, an eastern suburb of the capital, Damascus.

Free Syrian Army Lt. Abdullah al Odah, speaking to CNN in Istanbul, Turkey, called the late-night operation brief.

He said 20 defectors armed with rocket-propelled grenades and Kalashnikov rifles participated and that it involved people from inside as well as outside the security branch. He didn't know whether security forces suffered casualties but he said no rebels were hurt.

He called air intelligence "one of the most terrifying secret service departments in Syria" and said such security entities will be targeted by defectors.

"This branch is responsible for many of the crimes against Syrian people and political prisoners," al Odah said. "We will announce the whole story to the world in the correct time."

It was one of five actions reported by the opposition force, which has recently emerged as an important factor in the opposition movement as more and more soldiers have left the Syrian army.

The opposition force also reported clashes with personnel loyal to al-Assad in several areas. They include Qaboun and Arbeen, Damascus neighborhoods, and Saqba, a suburb.

There was also fierce fighting in Douma, a city in the Syrian countryside.

"A clash between the Free Syrian Army and Assad's criminal gangs and his mobsters (the shabiha) in Douma, our Free Syrian military caused the Assad's gangs a lesson that they will never forget and heavy losses at the roundabout in the Douma municipality," the army said. The shabiha are pro-government militias.

Tabler said the Free Syrian Army consists of soldiers who've left their posts instead of obeying orders to fire on protesters. They've also had active operations in and around Homs, Idlib and other areas recently, he said.

Opposition groups like the Free Syrian Army have been calling on the international community to help protect protesters. They have urged the United Nations to impose a no-fly zone, as it did in the Libyan conflict, and a naval blockade. Army leaders have said such policies could allow them to establish a base of operations to launch a campaign to bring down al-Assad's regime.

The group surfaced when seven military officers, believed to be original members of the Free Syrian Army, announced their defection in a video posted on YouTube in July. The group's leaders, who had been exiled to Turkey, say they're directing a guerrilla war effort against the al-Assad regime, which acknowledges an increasing number of deadly attacks on its soldiers, including a bombing of a Syrian army tank near Daraa recently.

Col. Riad al-Assad, a 30-year veteran of the Syrian air force, claims to lead a force in Syrian cities of some 10,000 mainly low-ranking soldiers, a number impossible to verify. But the opposition fighters are believed to have little firepower -- planting bombs and carrying out hit and run attacks -- and they're a small force in comparison with Syria's military, which numbers in the hundreds of thousands.

The group has a Facebook page, which calls on other soldiers to join it.

The Arab League, meeting in Rabat, Morocco, said al-Assad didn't stick by his pledge to release detainees, withdraw armed elements from populated areas, and allow unfettered access to the nation by journalists and Arab League monitors.

The league has also called for unspecified sanctions against Syria and called on member states to withdraw their ambassadors from Damascus, a decision that will be up to each nation.

The Syrian Arab News Agency, a state-run outlet, quoted a government source as saying that "Syria decided not to participate" in Rabat, where there was a ministerial meeting of the Arab League council and an Arab-Turkish cooperation meeting.

Turkish Foreign Minister Ahmet Davutoglu told the Arab-Turkish group that the Arab League's move to suspend Syria's membership was "a responsible and well-timed step that put forth the gravity of the situation."

He said Syria hadn't fulfilled commitments to the league and the Turks to rein in the instability. A former ally of Syria, Turkey has threatened to cut off power supplies if Syria does not change course. Turkey's Energy Ministry said it has suspended negotiations with Syria over joint oil exploration.

"The Syrian administration should read the message of the Arab League correctly, and by ending the violence it is inflicting on its people open up the way for the inevitable process of democratic transformation. It is not possible for any administration to win a struggle against its own people. It is not possible for an administration based on collective punishment and everyday killing people on the streets to be successful," Davutoglu said.

"The Syrian administration must know that public opinion in neither the Arab world nor the world at large can bear these heart-wrenching images forever. Time is working against the Syrian regime. All of the credit and the helping hands that have been extended to the Syrian regime to date have been wasted," he added.

The final communique Tuesday from the Arab-Turkish forum "emphasized the necessity of halting the bloodshed and violence against Syrian citizens, and the importance of taking urgent measures to assure the safety of civilians. The ministers stressed the importance of the stability and unity of Syria and the need for the resolution of the crisis without any foreign intervention."

The Arab ministers also "expressed their appreciation to Turkey for providing temporary protection on its territories for Syrian citizens who fled to Turkey."

Mohammed al-Ikhsafi, Morocco's ambassador to Syria, told CNN a demonstration occurred in front of his country's embassy in Damascus on Wednesday.

"There was some improper behavior in front of the embassy. The protesters threw tomatoes and rocks at the embassy and they brought down the Moroccan flag and raised the Syrian flag instead," al-Ikhsafi said. "I asked them to send in a delegation so I can listen to their demands and what they were protesting against. I explained to them Morocco's stance in the Arab League and then they left. The demonstration is over now. No one was physically attacked or injured." Morocco's Foreign Ministry condemned the attacks on its embassy, the country's official news agency reported.

The United Arab Emirates denounced an attack on its embassy. A Western diplomat in Damascus told CNN in an e-mail that windows were broken there.

"The Syrian government will shoulder the responsibility on maintaining the security of its diplomatic mission and the respect and safety of its staff," said foreign affairs undersecretary Juma al-Junaibi. "It is clear that there was negligence on the part of the Syrian government in providing the necessary measures to ensure the protection of the UAE diplomatic mission in Damascus, and the protection of its staff."

On Saturday, pro-government protesters attacked Arab and Turkish entities in Damascus, Aleppo and Latakia. The Turks have demanded compensation for damage to their buildings and they have evacuated families of diplomats and some nonessential personnel. On Monday, Syria's state news agency reported that Syria's foreign minister publicly apologized for the embassy attacks.

And Jordan's King Abdullah said this week that a person in al-Assad's position would step down, a statement observers interpreted as a call for the Syrian president to do just that.

For its part, the Syrian government freed 1,180 detainees Tuesday as part of the Arab League peace plan.

But opposition groups said the gesture was too little, too late.

The death toll keeps mounting, they said, with at least 81 killed in clashes Monday -- making it one of the deadliest days of the uprising.

The number of civilians killed Wednesday was 20 -- 11 in Homs, 7 in Idlib, and 1 in each Daraa and Damascus suburbs -- said the Local Coordination Committee of Syria, a coalition of activists.

CNN is not able to independently verify claims of fighting and casualties because the Syrian government has restricted international media access to the country.

@highlight

Free Syrian Army says it knows of no casualties in assault on government complex

@highlight

"It opens up a new era of the conflict," a scholar says

@highlight

A Turkish diplomat says "helping hands" to Syria have been wasted

@highlight

More deaths are reported in Syria on Wednesday