Beitunya, West Bank (CNN) -- Fakher Zayed is accustomed to trouble erupting on his doorstep.

For the past several years, Palestinian protesters have often clashed with Israeli security forces in front of his house. The four-story building stands on the edge of the West Bank village of Beitunya, within sight of the Israeli separation barrier and Ofer prison.

At first, the May 15 anniversary of the "Nakba," the exodus of more than 700,000 Palestinians after the 1948 Arab-Israeli war, looked like just another day of Israeli-Palestinian skirmishing.

"(The Palestinians) were throwing stones, and the (Israeli) soldiers throw the tear gas. Plastic bullets," Zayed said. "They run away. After three or four minutes, they came back to throw stones again."

To protect his home, his family and his carpentry business, Zayed installed more than half a dozen security cameras around his building, which operate 24 hours a day.

Last Thursday, these cameras captured the chilling shooting deaths of two Palestinian teenagers. According to six hours of raw, unedited video distributed by the children's rights advocacy organization Defense for Children International and reviewed by CNN, the two boys -- ages 17 and 16 -- were shot on the same patch of asphalt on the same day, the second victim 73 minutes after the first.

The families of the boys, as well as Zayed, blame the Israeli military for the killings.

"This is the first time they're shooting to kill here," Zayed said, speaking to CNN while standing on the exact spot outside his home where the two boys were filmed being shot.

But an Israeli military spokesman say its forces fired no live rounds during hours of clashes on May 15.

"During that demonstration that was extremely violent, the Israeli Defense Force used crowd-control methods and riot-dispersal means to prevent and control the overflow of the violence," Lt. Col. Peter Lerner told CNN.

"The preliminary IDF inquiry indicates that no live fire was shot at all on Thursday during the riots in Beitunya, and we have to determine what caused this result," Lerner added.

Security camera footage

CNN producer Kareem Khadder was filming the clashes in Beitunya on May 15.

Several dozen Palestinian youths used the wall of Zayed's house as cover. Periodically, they jumped out to hurl stones at about a half-dozen Israeli soldiers and border police officers standing on a hilltop perhaps 100 meters away. The Israeli forces responded with volleys of tear gas while periodically firing rubber-coated bullets from their rifles.

At one point, Khadder filmed a Palestinian teenager who appeared to be struck in the leg with one of these semi-lethal rounds. The boy hopped and limped for a few seconds in obvious pain but then turned around and rejoined the clashes.

At 1:45 p.m. May 15, Zayed's security camera caught the moment when one of the stone-throwing boys was mortally wounded.

Seventeen-year-old Nadeem Nouwarah was dressed in a sleeveless black t-shirt, wearing a black and white kefiyeh scarf to cover his face and carrying a backpack over both shoulders. As he walked toward the Israeli military positions in front of Zayed's door, Nouwarah suddenly fell forward, landing briefly on his hands, before rolling over to lie on his back.

Within seconds, a crowd of Palestinians gathered to lift Nouwarah and rush him to a waiting ambulance. According to a medical report, Nouwarah was pronounced dead in a hospital less than two hours later, having suffered a single bullet wound that entered his chest and passed out his back.

Though Khadder didn't know it at the time, he was filming two Israeli security troops firing their rifles at the Palestinian protesters at the same exact moment when Nouwarah was shot. In the video, it is not clear what kind of rounds the Israelis were shooting or whether their gunfire hit Nouwarah. However, Khadder's camera shows that less than 15 seconds after one of these gunshots, Palestinians were already racing to put the fatally wounded Nouwarah in the ambulance.

Suffering the effects of tear gas, Khadder soon left the protest. He was unaware that Nouwarah's wounds were fatal.

At 2:58 p.m., the security cameras filmed a second fatal shooting. Sixteen-year-old Mohammad Odeh Salameh was at the front lines of the protest, wearing a green Hamas flag as a cape as well as a green Hamas headband over his black mask.

As he was walking away from the Israeli positions, he suddenly fell to the ground and struggled briefly to get up. The boy was shot just a few steps from where Nouwarah had been wounded.

Doctors pronounced Salameh dead on arrival at the hospital, with a bullet wound that had pierced his back and exited his chest.

School in mourning

At St. George's school in Ramallah, relatives and classmates of the first victim, Nouwarah, were in mourning this week. Students wore black t-shirts with photos of the smiling boy. The eleventh-grader was pictured wearing a backward baseball cap.

"There were 21 students in our grade," said his 16-year-old classmate George Yousef. "Now, we are 20."

Nouwarah's father, Siam, told CNN he had expressly instructed his eldest son not to attend the Nakba protests.

"Afterwards, I felt he was not convinced with what I told him," said Siam, who works as a hairdresser in Ramallah.

Nouwarah appeared to have gone to the anti-Israel protests directly from school on the afternoon of May 15. His father showed CNN the bloody backpack his son was wearing when he was shot.

There was a small hole in the bag, in roughly the same location where the bullet would have exited Nouwarah's body.

Siam Nouwarah then pulled a packet of bloodstained papers out of the bag. They were photocopies of a textbook that included the writings of Anton Chekhov, accompanied by a teenage student's handwriting, doodles and class notes.

"We were surprised when we took the school backpack back from the hospital to find this bullet inside," said the elder Nouwarah. He then pulled a small used bullet stored in a plastic bag out of the backpack.

The metal slug appeared to be from a 556 NATO round, the standard ammunition used in M-16 rifles carried by Israeli security forces. It was impossible for CNN to confirm the authenticity of the bullet.

Siam Nouwarah said he was saving it for a forensic examination. He accuses Israeli soldiers of killing his son.

"The entire world should understand and know that my son was wearing a school backpack and leaving school when he was assassinated in cold blood," the grieving father said.

Ballistics

On Thursday, Lerner, the Israeli military spokesman, told CNN that a request had been put in with the Palestinian Authority to do a ballistic report on the bullet found in Nouwarah's backpack.

"That round that was presented shouldn't have been in the bag, so it also raises a question," he said. Lerner repeated the military's assertion that Israeli security forces fired only rubber-coated bullets -- which are not designed to penetrate bodies -- in Beitunya on May 15.

Regarding the CNN video of the Israeli security forces firing rifles at the Palestinian demonstrators at the moment when Nouwarah was shot, Lerner said the weapons being used had an attachment at the end of the barrel for firing rubber-coated projectiles.

Asked whether there could been some malfunction or mistake that would have led to the firing of a lethal round rather than a rubber-coated projectile, Lerner said, "I'm not aware of any malfunction at this time."

Meanwhile, the U.S. State Department has joined several human rights groups calling for an investigation into the deadly incident.

"I am deeply concerned about the circumstances surrounding the recent death of two Palestinian minors," wrote Christopher Gunness, a spokesman for the United Nations in the West Bank.

According to initial reports, Gunness added, both boys appeared "unarmed and appeared to pose no direct threat."

@highlight

May 15 marks the "Nakba" exodus of Palestinians after the 1948 Arab-Israeli war

@highlight

During protests in the West Bank this year, two Palestinian youths were shot dead

@highlight

Israel's military says the protest was extremely violent but that "no live fire was shot"

@highlight

But one of the dead teenager's fathers alleges his son was "assassinated in cold blood"