While Iraq's military claimed Wednesday to have driven back militants battling for control of the country, the chairman of the Joint Chiefs of Staff told Congress that the United States has received a request from the Iraqi government to use its air power in the conflict.

Gen. Martin Dempsey, the senior ranking member of the U.S. armed forces, spoke before the Senate Appropriations Committee Wednesday on Capitol Hill in Washington, saying that the United States' "national security interest (is) to counter (ISIS) where we find them."

ISIS is the Islamic State in Iraq and Syria.

Comprising mostly Sunni Muslims, ISIS is an al Qaeda splinter group that wants to establish a caliphate, or Islamic state, that would stretch from Iraq into northern Syria. The group has had substantial success in Syria battling Syrian President Bashar al-Assad's security forces. Since launching their offensive in Iraq, ISIS claims to have killed  at least 1,700 Shiites.

Hundreds of thousands of Iraqis have fled, prompting fears of a brewing humanitarian crisis.

Qassim Atta, a spokesman for Iraqi security forces, on Wednesday night said an investigation had been ordered into 59 high-ranking security officials accused of leaving their posts. The officials could be executed if found guilty, Atta said.

Concerns over an oil refinery in the Iraqi town of Baiji continued, a key consideration because so much of Iraq's economy depends on its oil production. The country produces 3.3 million barrels per day and has the world's fourth-largest proven crude oil reserves, according to OPEC.

Militants attacked the refinery complex, managing to take over some 60% of it, and set fire to five storage containers, according to police officials. Sporadic clashes are ongoing, they said.

Earlier, Atta said in a televised news conference that Iraqi forces had killed 40 ISIS militants in Baiji, 225 kilometers (140 miles) north of Baghdad, the capital.

"The situation in Tal Afar, Samarra, and Baiji is under control," Atta said.

Atta claimed that Iraq's military were "defeating ISIS in the Baiji area" and that "most of the areas" around the northwestern city of Tal Afar were liberated.

That apparently included 50 Siemens employees, including eight Germans, who were holed up in a power station in Baiji but have been freed, according to German officials. The employees are safe and well, CNN was told.

According to German diplomats, around 8,000 German nationals are currently in Iraq.

Tal Afar fell to ISIS on Sunday, according to Iraq's military. Many Tal Afar residents, including ethnic minority Shiite Turkmen, fled the fighting north toward Iraq's Kurdish region.

The casualty numbers and the situation on the ground have not been independently confirmed by CNN.

Saudi government denial

Iraqi Prime Minister Nuri al-Maliki struck a defiant note in his weekly address, insisting that Iraqi authorities "will win" despite the setbacks of the past week, during which Iraqi security forces crumbled in Mosul and elsewhere before the militants' advance.

"We absorbed the initial shock of the military operations and now we are on the rebound we will respond and keep the momentum," he said. "What happened was a catastrophe, but not every catastrophe is a defeat."

Al-Maliki blamed political paralysis, not military weakness, for the crisis. He urged Iraqis to unite against terrorism, insisting that the political process would begin to move now that elections are over.

Critics blame al-Maliki and his Shia-dominated government for the worsening sectarian division in Iraq.

Earlier, the Prime Minister's office released a statement accusing Saudi Arabia of appeasing terrorists and providing radical groups with material and moral support.

"The Saudi government must bear responsibility of the serious crimes committed by these groups," the statement read.

On Wednesday in a strongly worded statement, the Saudi Arabian government denied that the kingdom provides "either moral or financial support to ISIS or any terrorist networks. Any suggestion to the contrary is a falsehood."

The Saudis blamed the Iraqi Cabinet for "exclusionary policies (that) have fomented this current crisis."

Obama, congressional leaders huddle

On Tuesday, ISIS militants battled Iraqi security forces for control of Baquba, only 60 kilometers (37 miles) from Baghdad.

The fighters have "made a great advance on Baquba" and are pushing very hard to take it, officials said Tuesday. But the city has not fallen.

Holding on to cities so close to the capital, where nerves are fraying, may prove crucial to al-Maliki's government.

What is happening in Iraq is increasingly taking on the urgency of an international crisis.

On Wednesday, U.S. President Barack Obama huddled with congressional leaders.

"We had a good discussion. The President basically just briefed us on the situation in Iraq and indicated he didn't feel he had any need for authority from us for the steps that he might take and indicated he would keep us posted," Senate Minority Leader Mitch McConnell told reporters.

Also Wednesday, U.S. Vice President Joe Biden spoke with al-Maliki, and other leaders, by phone.

"He emphasized the need for the Prime Minister -- and all Iraqi leaders -- to govern in an inclusive manner, promote stability and unity among Iraq's population, and address the legitimate needs of Iraq's diverse communities," according to a statement from the White House.

The administration faces some tough choices.

Obama has ruled out ground troops. Airstrikes remain under consideration.

A video message purportedly from a Moroccan Sunni cleric called for attacks against U.S. embassies worldwide if the United States conducts airstrikes in Iraq. The message, believed to be from Sheik Mohammad Ali Algzouli, was posted online Tuesday.

Turkish citizens kidnapped

Iraq's neighbor, Turkey, and India have also seen its citizens caught up directly in the conflict.

A Turkish official told CNN on Wednesday that the country is aware "some construction workers in Kirkuk may have been kidnapped. We are following developments." Kirkuk is one of the provinces that has seen heavy fighting.

The latest reported incident follows the abduction of 48 Turkish citizens last week from the Turkish Consulate in Mosul, Iraq's second-largest city. It fell to ISIS militants just over a week ago after Iraqi forces collapsed.

The Turkish Foreign Ministry said Tuesday that all efforts continue toward the safe return to Turkey of the consulate staff and 31 other Turkish citizens held in Mosul's Geyara district.

India's Ministry of External Affairs said Wednesday that 40 Indian nationals working in Mosul for a construction company had been kidnapped in Iraq.

Their location is unknown, ministry spokesman Syed Akbarruddin told reporters in New Delhi. The kidnapped Indians work for the Tariq Noor Al Huda Co., based in Baghdad, he said.

Civilians flee

Families -- mostly Shiite -- are leaving Baquba and other Iraqi cities in droves. They're taking whatever possessions they can carry. Some are even taking livestock.

Over the past week or so, ISIS militants have pressed forward, taking large chunks of territory. They have had several significant victories, including Tal Afar, Mosul and two villages in Diyala province.

In their advance through Iraq, the militants have had support from Sunni tribes and militia angered by al-Maliki and his government, which they accuse of marginalizing Sunni concerns.

The tribes, who fought alongside U.S. forces to push al Qaeda militants out of Iraq in 2006 and 2007, want to see al-Maliki forced from power but their continued backing for ISIS is not guaranteed.

Baghdad offensive

The Obama administration appears to have some confidence that the insurgents will fail to take the capital.

A senior intelligence official drew a contrast between Iraqi Security Forces defending Baghdad and other Iraqi soldiers who melted away in the face of ISIS fighters across northern Iraq earlier this month.

"ISF elements protecting Baghdad are assessed to be more loyal to the regime and are composed of mostly Shia who are more likely to resist," the official said. "These factors, plus the fact that they are defending the capital, should motivate the ISF elements in Baghdad to put up a better fight."

Al-Maliki fired four top military officers that "deserted and did not fulfill their professional and national duty," according to a statement read Tuesday on state TV.

Among them were the operations command chief for Nineveh province -- of which Mosul is the capital -- and two of his officers, the statement said. Another commander will be tried in a military court in absentia for fleeing the battlefield to an unknown place.

The Iran variable

President Hassan Rouhani said Wednesday that Iran would spare no effort to protect holy Shiite shrines in neighboring Iraq from "killers and terrorists," Iran's state-run Islamic Republic News Agency reported.

A senior security official in Baghdad told CNN last week that Iran had sent about 500 Revolutionary Guard troops to help fight the ISIS militants.

Rouhani denied the report over the weekend but said he would be open to helping if asked, though with strategic guidance rather than troops. Iran is often accused of using proxies to hold sway in the region but has never militarily intervened in any sovereign country.

Iran is closely allied with the Shia-led government of Iraq.

The United States and Iran held "very brief discussions" in Vienna, Austria, about Iraq and the threat posed by ISIS on Monday.

Forces on standby

Still, leaving nothing to chance, the Pentagon is moving more firepower and manpower into the region.

Already at the U.S. Embassy in Baghdad, dozens of Marines and Army troops have moved in to beef up security. Another 100 personnel are in the region to provide support if needed, the Pentagon said.

The aircraft carrier George H.W. Bush and five other warships are now in the Persian Gulf. More than 500 Marines and dozens of helicopters are on standby.

Speaking at a CNN town hall meeting on Tuesday, Hillary Clinton, former secretary of state and a potential 2016 presidential candidate, said the Iraqi government made a "mistake" by failing to forge an agreement with the United States to keep American troops in Iraq after the war.

The United States wanted American soldiers to be immune from prosecution. The Iraqi government resisted.

"It's imperative that the government of Iraq, currently led by Maliki, be much more inclusive, much more willing to share power, involve all the different segments of Iraq," she said.

"And I believe strongly that if Maliki is not the kind of leader who can do that, then the Iraqi people need to think seriously about the kind of leader they need to try to unite Iraqis against what is a terrible, imminent threat from these most extreme terrorists."

MAPS: ISIS presence

@highlight

Vice President Biden stresses need for national unity in talk with Iraqi PM

@highlight

A cleric called for attacks against U.S. embassies in the case of airstrikes

@highlight

Investigation will probe Iraqi security forces who left posts, general commander says

@highlight

Saudi Arabia responds to Iraq's accusation that it's helping ISIS, calling allegation a "falsehood"