Wu Yuanhong, a man suffering from schizophrenia in China's southeastern Jiangxi Province, was forced by his mother to live in a small metal cage for 11 years after he beat a young boy to death.

Reports of Wu's dire situation surfaced in Chinese media last May, accompanied by images of the 42-year old sitting in the cage in his underwear, his feet shackled by a heavy chain.

Cases similar to Wu are not unheard of in China. Work pressure, the breakdown of traditional family structures, and other aspects of China's rapid modernization have brought an increase in psychological stress to the population.

There are often reports of violent, random attacks, killings and suicides. One of the most memorable was when a depressed 27-year-old factory worker tried to feed himself to a pair of Bengal tigers at a Chengdu zoo by jumping into their cage last February.

Not enough help

The country's public health system is struggling to keep up with the demand in mental health care.

Around 173 million Chinese suffer from a mental disorder, according to a 2009 study published in British medical journal The Lancet. But there are only 20,000 psychiatrists, equaling 1.5 for each 100,000 people, or a tenth of the ratio in the United States.

Professor Michael Phillips, director of the Shanghai Mental Health Center at Shanghai Jiao Tong University, estimated that only 5% of people who currently have a mental illness in China have received psychiatric care from a professional.

"The factors that affect the low care-seeking rates are many," he said. "Lack of awareness that they suffer from a psychiatric condition, lack of locally available mental health services, fear of stigma, belief that seeking psychological help will be useless, costs, etcetera."

Dubious therapy

As a response to the massive demand for help with mental health problems, under-qualified mental health practitioners have sprung up across the country.

Dr. Sammy Cheng Kin-wing, Hong Kong-based chairman of the Division of Clinical Psychology, part of the Hong Kong Psychological Society, said he receives many complaints from the public.

Commonly complaints are about unregistered psychologists who give unprofessional advice to clients, fail to provide proper assessments and break confidentiality.

"Many people are setting up practices in mainland China. Some are well-trained, but that's just a minority. Because the need is so great, the unqualified can still run their businesses and offer treatment. I've been in contact with patients who feel very angry over services received, sometimes with emotional state worsened during treatment. They said they would never see a psychologist again," said Cheng.

Professor Phillips agreed that "charlatans occur everywhere" and "there are uneducated subgroups in China that are gullible."

"In terms of professional services there are certainly locations with sub-standard levels of care, primarily because of a lack of trained personnel," he added.

'Ankang'

Ironically, while those in genuine need of help have been unable to get any, the government has used confinement in mental institutions as a way to silence political dissenters, human rights activists claim.

Nicholas Bequelin, a senior researcher at Human Rights Watch (HRW) in Hong Kong, said it's a method that has been used increasingly over the past decade, calling it "an absolute violation of medical ethics."

One of those alleged to have been a victim of the practice, is Xing Shiku. Chinese Human Rights Defenders say he has been incarcerated in a psychiatric hospital in Heilongjiang Province for more than six years. Xing, they say, had been filing complaints to the central government about corruption and other problems related to the privatization of the state-owned company where he worked.

These mental institutions are called "ankang" ("peace and health") hospitals and are managed by the Public Security Bureau. Treatments include beatings and electric shocks, according to HRW. As of 2011, there were some 20 "ankang" institutions operating in China.

Although China's National Health and Family Planning Commission did not directly respond to the allegations, they stated that "China's mental health organizations strictly follow laws when practicing diagnosis and treatment." They added that diagnoses of mental disorders are made according to the Chinese Classification of Mental Disorders and International Classification of Diseases.

Baby steps

The government has taken steps to address the shallow mental health system, such as financing mental health services and provide training for primary care providers. Most notably, a new mental health law was introduced last year -- it took 27 years to pass the legislation.

Among the most significant changes was a new set of rights for patients, including not being hospitalized against their will.

Despite constructive changes, HRW argues that there are still plenty of loopholes.

"The very first test of the mental health law will be whether those held in psychiatric facilities for political reasons are immediately released," the organization's China director, Sophie Richardson, said in a statement.

The new law is a big step in the right direction, most commentators say. But a voluntary admissions system will further increase the need for more mental health practitioners and community-based services, potentially sending a system already in disarray into further decline.

While a wholesale reform of the mental health system is needed, one expert says no number of laws and certifications can help therapists gain the most important skill of all: a nuanced understanding of human emotion.

Harry Hoffmann and his wife Tina, a psychological counselor, run Da Wen, a counseling and coaching private practice in Kunming, Yunnan Province. Part of their business is to train those who wish to become therapists themselves.

"I met a man from Chengdu with a master degree in psychology who said 'I have learned nothing about inner feelings and emotions (from school). Can you help me to gain those skills?'" said Hoffmann. "For me, therapy is almost like art, with a set of ethical guidelines and a holistic health approach."

Factory life far from home leaves China's migrant workers vulnerable

@highlight

There are 1.5 therapists for each 100,000 mental illness sufferers

@highlight

Unqualified therapists prey on the weak, worsening their condition

@highlight

Human Rights Watch says mental hospitals are filled with political prisoners