The first time the South Korean factory owner watched his North Korean employees nibble on a Choco Pie, they appeared shocked -- even overwhelmed.

He summed up their reaction to the South Korean snack in one word: "Ecstasy."

Much like what Twinkies are to Americans, South Korea's Choco Pies -- two disc-shaped, chocolate-covered cakes, sandwiching a rubbery layer of marshmallow cream -- are ubiquitous, cost less than 50 cents and are full of empty calories.

But on the other side of the Korean border, the snacks are viewed as exotic, highly prized treats, selling on North Korea's black markets for as much as $10, according to analysts. Their rising popularity in the north reveals an unexpected common ground between the two Koreas, despite their fractious relationship -- a shared sweet tooth.

This month, an art exhibition called "The Choco Pie-ization of North Korea" opened in New York, exploring the symbolism of the treat. The high value in North Korea of the Choco Pie, something considered so widespread and mundane in South Korea, is  "a sad tragic story," said the artist, Jin Jo Chae.

Chae smeared melted chocolate across the North Korean newspaper Rodung Sinmun, staining the state-run propaganda with something sweet. She used the chocolate to make a symbol of Choco Pie, written in the lettering style of Coca Cola. Her exhibit, displayed at Julie Meneret Contemporary Art gallery, also contains piles of Choco Pies as well as a gold-plated one.

"Through this Choco Pie, I found the potential from chocolate as an object that changes a society," Chae said.

The Choco Pie represents something more than just a treat.

Subversive Choco and Coke?

Despite perceptions of North Koreans as brainwashed, insulated masses, the hunger and desire for Choco Pie shows that "complete quarantine is impossible," wrote Richard Lloyd Parry in London Review of Books. Lloyd wrote that it "reveals a susceptibility to outside influence in a society commonly regarded as impenetrable." The crumbly mass of chocolate and marshmallow had taken on a subversive aspect.

Indeed, Chae, the artist behind the exhibit, says, the Choco Pie "has a power in how it works as a mind changing tool between South and North."

The South Korean factory owner, who introduced his North Korean workers to Choco Pies, washed down with a Coca Cola, said the products seemed to leave an impression on his staff.

"It was clear that the workers had gotten at least some idea of capitalism and that it wasn't all bad," he told CNN.

"They had only associated the United States with evil, and the fact that they could love something that the U.S. had produced -- specifically Coca Cola -- was an eye-opener."

Choco trade

The factory owner, who did not wish to be named, operated his business for seven years at the Kaesong Industrial Complex, one of the key symbols of cooperation between North and South Korea, and the site through which Choco Pies trickled into North Korea.

At the complex, more than 100 South Korean factory owners employ about 50,000 North Korean laborers to manufacture products like clothing and shoes. Kaesong, considered to be an important source of hard currency for North Korean leader Kim Jong Un's regime, sits just a few kilometers north of the Demilitarized Zone, which divides the two Koreas. It re-opened in September after a five-month hiatus.

"It's really the only one place where North Koreans and South Koreans come in regular contact together," said Stephen Noerper, senior vice president of the Korea Society, in New York.

While workers at Kaesong brought their own rice, the South Korean factory owners provided them with soup and snacks, said the factory owner who spoke to CNN.

"The snacks were necessary because the workers were walking to work often for hours, because there were no buses and they became very hungry as they were working," he said.

Choco Pie and Coca Cola were the standard snacks with other South Korean managers at Kaesong. They provided two Choco Pies a day, because "otherwise, (the workers) would not have energy to sustain themselves at work," he said.

But he and fellow South Korean managers also noticed a conspicuous lack of Choco Pie wrappers at the factory.

"It became clear that the workers were hiding them and taking them home to give them to their children," he said.

Choco's value

The snacks spread to North Korea's informal markets, valued in the marketplace as about $10 in purchasing power, and holding something of a sweet spot for North Koreans, said Noerper.

"It's sentimental role," Noerper said. "It's given by South Koreans. It's a South Korean product."

The Choco Pies have even been sent in balloon launches to North Korea by some advocacy groups. But Park Sang Hak, a prominent North Korean defector who regularly sends leaflets and supplies from South Korea, said the Choco Pies are not ideal for the balloons, because they weigh too much and crumble. Park says he prefers to send U.S. $1 bills, vitamins and information through USB drives.

Choco replaced

At Kaesong, the South Korean factory owners eventually switched from Choco Pies to cup noodles -- "in order to provide a more substantial snack," the former factory owner told CNN. The change, he said, was well-received.

One of the most surprising things he remembered from his years at the factory was how North Korean workers were mystified by everyday items. The workers had no idea how to use a Western-style toilet, and had never seen toilet paper before, he said.

He has since pulled out of Kaesong.

Through all the stories about noise and misinformation about North Korea, perhaps the Choco Pie is a reminder of an aspect missing in the narratives about the country, said Noerper.

"We lose sight of the fact there's a common human experience. We need to realize North Koreans are regular human beings -- that 99% of North Koreans just desire a better life."

"They want a Choco Pie at the end of the day."

@highlight

Businessman describes North Korean workers at Kaesong trying Choco Pie for first time

@highlight

Popularity of snack in North Korea shows how it could penetrate that country's society

@highlight

South Korean workers give cup noodles instead of Choco Pie