(Budget Travel) -- Looking for cheap airfares for your big trip abroad but suffering from search fatigue? When all else fails, try one of these tested strategies.

Even if you've packed your bags, being flexible on departure dates could save you money.

Strategy No.1: Start your search at Kayak.com

We find that meta-search site Kayak is the all-time best place for scoring the cheapest plane tickets. Our biggest beef with Kayak's competitors is that, when you click to book a fare, you're typically directed to a new page. Sometimes it's only then that you find out your actual departure time. Or worse, you're forced to plug in your dates and departure cities all over again, only to discover more-expensive fares.

Kayak stands apart. Once you've found a good flight, click on the price and you'll be sent directly to the airline's Web site, where the exact price for the exact flight you selected unfailingly appears.

Strategy No. 2: Use fare-history charts

It's the classic dilemma: Should you buy the best fare you see today or wait because the price might go down? Here's how to come up with an educated guess. Use Kayak to fetch fares for your itinerary and then click on "Show chart of fare history," which is a link near the top left-hand corner of the search results. If the chart says that the average fare for your route is much higher than the fare you're seeing today, then you should probably book the ticket because it's cheap relative to historic prices.

Strategy No. 3: Monitor fares and be ready to jump

Plug in your dates and routes, as well as a price threshold, at a fare-tracking service, such as Yapta or Hotwire's TripWatcher. Each site will ask you to join (free), and then will do several price searches per day. You'll receive an e-mail alert as soon as the flight drops to your specified price. To name your "trigger" price, look at Kayak's fare-history chart to see the lowest fare recorded for this route, and use an amount close to that as your baseline.

Yapta is the industry leader for tracking fares -- even Google incorporates Yapta's data in its search results. Hotwire's TripWatcher is also excellent, allowing you to program automatic searches of your chosen route over a 60-day window (which is a nice perk and increases the chances you'll find a bargain fare as long as you can be flexible in your travel dates). There is a catch, though: While both sites cover popular routes, neither covers the entire world.

Strategy No. 4: Run a flexible-date search

You may save hundreds of dollars by moving your departure or arrival dates by a day or two, either earlier or later. To see how much you might save, we recommend you take Kayak's flexible-date search tool for a spin -- it covers the broadest range of routes and airports of the competing tools we tested.

In our trials, Expedia's flexible search came up with only the most popular routes, so your route may not qualify. Orbitz's flexible-date calendar gave a nice overview of fares on various days, but departure times were not initially shown. Travelocity provided a few different ways to search flexibly -- either within a few days of a selected date, or over selected months -- but like Orbitz it failed to show dates and departure times right away. Finally, relative newcomer Trax.com's flexible search tool lacked a "search nearby airports" feature, which meant it gave you fares from major airports, but missed cheaper fares departing nearby. In short, Kayak is your best bet for a flexible-date search.

Strategy No. 5: Book two tickets instead of one

You may save hundreds of dollars if you split your international journey into different legs and buy separate tickets for each leg. For example, rather than buy a single ticket for direct flights between Chicago and Barcelona for $1,000, you may be able to buy two tickets -- one for a round-trip ticket between Chicago and New York City for $200 and another for a round-trip ticket between New York City and Barcelona for $600 -- and save about $200.

The quickest way to figure out if you can save by booking two tickets is to figure out if there is a hub airport that funnels most American travelers to your overseas destination. Then, look into reserving separate tickets to and from that hub.

For instance, Miami is the hub for flights to most destinations in South America and the Caribbean, meaning that a majority of Americans flying southward internationally pass through Miami's airport instead of, say, either Houston or Atlanta. Another hub airport is Los Angeles' LAX, which is the main funnel for people heading to Australia, the South Pacific, and Asia. New York City's airports are common layover spots for most of the planes crossing the Atlantic to Europe and points beyond.

We recently tested this approach for a round-trip between Houston and Sydney. Our initial searches on a few travel Web sites didn't turn up any nonstop flights between the two cities, but we did find multi-stop tickets. Delta's best fare between Houston and Sydney in November was $1,012, with a stop in Los Angeles. That caught our eye. If there's a large number of flights to Australia passing through L.A., then the City of Angels might offer bargain direct flights to Down Under -- because the greater volume of flights often prompts a greater number of fare sales. So we checked out fares between L.A. and Sydney. It turns out they started at $652.

Next, we did a quick search for round-trip airfares on flights between Houston and Los Angeles. We found flights for $252, bringing our two-flight total to $904 -- for a savings of 11 percent over Delta's flight for $1,012.

If you decide to book two tickets on two different airlines, be sure to allow extra time to make your connections, and consider buying good travel insurance to make sure you're covered in the event of a problem. You can save money on insurance policies by buying them directly from an insurer, such as industry giant TravelGuard, rather than through a middleman, who will charge a marked-up price.

Strategy No. 6: Shift your trip to another month

When all else fails and you just can't get the fare you want, think about off-season travel. In a guidebook, look up your destination's high (or peak) season, low season, and in-between (or "shoulder") season. Then travel at a time when your destination is less crowded -- and travel costs are correspondingly lower. But don't get rained on: before you opt for a cheaper season, you'll want to know about the average weather, so search your guidebook (or a site like weather.com) for monthly trends.

Web searches on sample itineraries will also reveal which months are cheaper to visit your destination. For instance, we recently discovered that fares from Houston to Australia were as much as $800 lower in November than in January.

Get the best travel deals and tips emailed to you and enter to win a free trip - CLICK HERE!

Copyright © 2009 Newsweek Budget Travel, Inc., all rights reserved.

@highlight

There are several ways to search for flights to find cheaper fares

@highlight

Use the fare-history chart on Kayak.com to see how a given fare rates

@highlight

Run a flexible date search to find out if you can save a lot at different times

@highlight

Separate trip into different legs and buy separate tickets