(CNN) -- The dreadful shooting sprees of the past few months, which claimed dozens of innocent lives, shocked and unnerved millions of Americans. The specter of some heavily armed madman turning a theater, a temple, a mall or a school into his personal battle zone has become all too real and terrifying.

The latest episode still unfolding in Southern California implicates, oddly enough, a former Los Angeles police officer, 33-year-old Christopher Jordan Dorner, who allegedly is seeking redress for perceived mistreatment by the LAPD. Dorner was a member of the department for three years before losing his badge in 2008, reportedly for lying about a fellow officer. When he was unable to win back his job, murder became, as a manifesto attributed to Dorner put it, "a necessary evil" for him to prevail in the face of racism and injustice.

LA cops talked by suspect, and brutal past

Other than the alleged gunman's former profession, this case is actually quite prototypical of the nearly two dozen massacres that occur each year in the United States. It is a story that my Northeastern University colleague Jack Levin and I have seen time and time again in our several decades of research on this extreme form of violence. By looking closely enough, one can usually make some sense of seemingly senseless behavior.

The notion of a deranged gunman who suddenly snaps and goes berserk is more myth than reality. Rather, mass murderers act methodically and with purpose. And unlike the shooting sprees in Aurora, Newtown and elsewhere, in which victims who were unknown to their assailants had the horrible misfortune to be in the worst place at the worst time, most mass murders involve people specifically targeted for specific reasons.

Mass murderers tend to be middle-aged men who see themselves as victims of injustice. Although bitter, resentful and full of despair, they see others, often the former boss or supervisor, as the people who are to blame for their miserable existence. Indeed, the workplace is one of the more familiar venues for mass murder, going way back to the 1980s when "going postal" became part of our everyday vernacular.

Manhunt reminiscent of D.C. sniper case

Typically, we see a former employee in public service or private industry who feels mistreated and wronged. Believing that his firing is patently unjust, and with nothing left to lose, he decides sooner or later to become the powerful one who will do the "firing." When he is deprived of his financial security, sense of purpose and dignity, the idea of getting even becomes all consuming.

As I write this on Day Six of the L.A. area manhunt, the terror enveloping the region is combined with anxious uncertainty over when the threat will finally be over and, more critically, whether the victim count will rise before the alleged assailant is found dead or alive. Already five people have been shot -- the daughter of the union representative who participated in Dorner's unsuccessful grievance hearing and her fiance were fatally wounded, as was one of three police officers gunned down in the continuing rampage.

These five victims are actually surrogates, in what is known as "murder by proxy." Even when the primary targets are not readily available, others may be viewed as guiltyâ€”and may be assaulted-- simply because of their association. Meanwhile, dozens more among the alleged gunman's hit list of enemies remain on edge and in hiding until it is safe to resurface.

Not surprisingly, one of the more prominent features to the usual mass-murder profile is access to a powerful enough weapon to achieve an expansive deadly plan. Particularly frightening in the ongoing L.A. drama, of course, is the marksmanship skills that Dorner undoubtedly acquired through his careers with the Navy and in law enforcement, giving added significance to the phrase, "armed and dangerous."

Alleged cop-killer's manifesto details threats

Adding insult to injury, the man at the center of attention is likely thrilled. If he is like most mass murderers, it is not the spotlight that he is enjoying, but the satisfaction of payback. Others have been made to suffer, as he has in the past. The big question is how many more will be harmed in his methodical and deliberate quest for revenge.

The opinions expressed in this commentary are solely those of James Alan Fox

@highlight

James Fox: LA rampage case is typical of mass murders; like most, planned, methodical

@highlight

He says mass murderers tend to be aggrieved middle-aged men, aiming to regain 'power'

@highlight

He says in Dorner case, some killed were not actual targets, but cases of 'murder by proxy'

@highlight

Fox: Assailant usually thrilled at attention, satisfaction of 'payback'