(Mental Floss) -- 1. Backgammon

Other than chess -- the history of which is well-covered elsewhere -- the most enduring table game of the last few centuries is backgammon, also known as "tables" early in its history. Backgammon itself is a descendant, at least in spirit if not in direct lineage, of the games of Senet and Ur.

The missing link may be the Middle Eastern game Nard or Nardshir, with rules nearly identical to backgammon's and appearances in Babylonian and Persian literature between 300 and 850 A.D.; when the Arabs conquered Persia in the 6th century, the game spread throughout the Muslim world, moving up the Caucasus and into Central Asia as well as Spain, from which it headed further into Europe.

Mental Floss: 5,000 years of boardgames (Part I)

Willard Fiske, author of the misnamed Chess in Iceland (which includes histories of many table games beyond chess), argues for Nard as the connection between tables/backgammon and the table games of antiquity, while David Parlett identifies its entry into Europe as Table, later Tabula, by way of the Byzantine Empire and then Greece.

Tabula first appears in literature through an epigram written by the Byzantine Emperor Zeno, who lamented a particularly unfortunate throw of the dice in verse that was reproduced several decades later by the Greek poet Agathias.

An early variant of Tables, called Tick-Tack (derived from the game tric-trac, where the goal was achieving certain scores or positions rather than bearing off all of one's pieces), even earns mention in Shakespeare's "Measure for Measure", as Lucio says to Claudius in response to the latter's plea for Lucio to talk to Claudius' nunnery-bound sister: "I pray she may; as well for the encouragement of the like, which else would stand under grievous imposition, as for the enjoying of thy life, who I would be sorry should be thus foolishly lost at a game of tick-tack. I'll to her."

The term "backgammon" itself first appears in 1645, spelled "baggammon," in a letter that also referred to Irish, a simpler predecessor that didn't include doubles or the levels of winning found in the modern game.

Mental Floss: 5,000 years of boardgames (Part II)

2. Othello

Popular today under the trademarked name Othello, the game previously called Reversi predates the Othello brand name by more than a half-century, but the name Reversi fell into the public domain several decades after its invention and publication.

The inventor of Reversi remains in dispute; the original patent went to Briton Lewis Waterman in 1888, but he was later accused of theft by James Mollett, whose Annexation game purportedly dated to 1870.

Othello differs from Reversi only in name, in starting placement (in Reversi the first four pieces go in the center, but not necessarily in the familiar diagonal pattern), and in origin myth, as Othello was "invented" in Japan in the 1960s by Goro Hasegawa.

3. Risk

Risk was first published in France in 1957 as La Conquete du Monde, or "World Conquest," the name under which Parker Brothers first published it in the United States. The game was invented by Oscar- and Palme d'Or-winning film director Albert Lamorisse, who was also the author of the children's book "The Red Balloon," adapted from his Academy Award-winning short film of that name.

Game historian Bruce Whitehill has written that the choice of the Risk name reflected the first initials of the four grandchildren of the company salesman who suggested the name, although the story seems to be apocryphal.

Mental Floss: Settlers of Catan: Monopoly Killer?

4. Diplomacy

Diplomacy, tabbed by one gamer friend of mine as "Risk for grown-ups," was developed by Allan Calhamer in the early 1950s but was not published until 1959, when Calhamer decided to print it himself after existing game houses weren't interested.

A favorite of John F. Kennedy, Henry Kissinger, and Walter Cronkite, the game has sold over 300,000 copies since its 1960 publication by Games Research, and the game has endured the vicissitudes of the game-publishing industry, going to 3M, Avalon Hill, and now Hasbro. Calhamer, a Harvard graduate, drifted through law school and a few other jobs before settling on a career as a postal worker. He never published another game.

Mental Floss: Card Game World Domination: The Rise of 'Dominion'

Part of the brilliance of Diplomacy is that it involves no luck whatsoever. Seven players (no more, no fewer) represent seven great powers in Europe at 1900. They must form and break alliances with each other to try to be the one player left at the end who controls the majority of the 34 spaces on the map of the continent.

The game relies entirely on negotiations and player strategy, with numerous strategy guides abounding online, including an entire Wikipedia article on a popular opening sequence for Italy called the Lepanto opening. One of a handful of games (with Risk) in both the GAMES Magazine and Origin Awards Halls of Fame, Diplomacy is an excellent choice if you enjoy knife fights with your friends and holding grudges that last well beyond the final move.

Mental Floss: The story behind settlers of Catan

5. Checkers

The game known today as checkers or draughts likely traces back to Alquerque, a game that first appears in a 1283 treatise by Alfonso the Wise, summarizing the state of dice, table, and board games in that era. The "de doze" variety of Alquerque, where each player began with twelve pieces, was played on a five-by-five grid, with only the central space unoccupied at the opening.

A player moves by sliding any piece horizontally, vertically, or diagonally to an adjacent, vacant space, or by jumping over an opponent's piece to a vacant space, thereby capturing the piece he jumped. The game could, and arguably should, end in a draw, as there is no luck involved and the second player can always simply counter the first's moves. Alquerque was found throughout southwestern Europe from Sicily to France to Catalonia.

Alquerque itself was related to the games known collectively as "merels," from the Latin merellus meaning a token or game piece. Parlett asserts that merels were viewed on par with chess and tables by the aristocracy of the Middle Ages, where the wealthy could afford the specially-designed boards required for these games, often owning two-sided boards to allow for the play of two of the three games.

Merels were two-player games where each player is trying to line up three of his pieces in a row, a style of game largely fallen into disuse but recognizable in Tic-Tac-Toe (also known as "noughts and crosses" in the U.K.) and the 1970s staple Connect Four.

6. Scrabble

In 1938, architect Alfred M. Butts revised his own word-tile game, Lexiko, calling the new version Criss-Cross Words and -- stop me if you've heard this before -- found his idea rejected by the game-publishing establishment. (Among those rejecting it: Milton Bradley, Parker Brothers, and Simon & Schuster.)

When early demand proved more than he could handle while holding down a full-time government job and some freelance work as an architect, Butts sought a publisher, eventually selling the rights to James Brunot, executive director of the President's War Relief Council, in exchange for a royalty on future game sales; Brunot tweaked the board, retitled the game Scrabble, and lost money for three years before his fortunes turned.

For reasons lost to history, sales started to increase radically in the summer of 1952, led by a large order from Macy's. From sales of just 1632 units in 1950 -- a drop of about 33 percent from 1949 -- Scrabble moved just under 3.8 million copies in 1954, by which point Brunot had licensed the game to Selchow & Righter.

If you're interested in Scrabble, I highly recommend Stefan Fatsis' entertaining history of both the game and his own obsessive efforts in the world of competitive Scrabble players, Word Freak.

Mental Floss: 10 words that will help you win at Scrabble

7. Hex

One entire class of games that has largely disappeared since its heyday in the 1960s and 1970s is connection games -- largely abstract games where players would try to capture areas or block opponents' paths by connecting disparate points on a board of lines or pegs.

The best-known example is Hex, invented independently in the 1940s by two mathematicians: Piet Hein of Denmark, and John Nash of the United States and "A Beautiful Mind" fame. (Parlett actually gets this one wrong, referring to Hein as "a Princeton University student," conflating the two men.)

First commercialized in 1952 by Parker Brothers, who gave it the name "Hex," the underlying game is played on a board of variable size but equal length and width where the game spaces are hexagonal, thus each bordering six adjacent spaces. The players play at perpendicular angles to each other, and each player's goal is to connect from his side to the opposite side.

Nash proved that the game is a determined game: There can be no tie or draw, as the only conclusion is when one player completes a path between two opposite sides of the board.

8. TwixT

TwixT, now out of print, was invented by Alex Randolph in 1962 and published by 3M as part of its "bookshelf games" series a decade later.

TwixT's board is a 24×24 grid of holes, where each player places pegs to connect to his pegs already on the board. The only permitted placement mimics that of a chess player's knight -- two holes in one direction, then a 90-degree turn and shift of one more hole.

The goal of TwixT, as in Hex, is to connect from one side to the other, but in TwixT the chain would be a series of pegs and connectors. TwixT, unlike Hex, is in GAMES Magazine's Hall of Fame, but is not commercially available, as the rights went to Hasbro when the company purchased legendary board game publisher Avalon Hill.

For more mental_floss articles, visit mentalfloss.com

Entire contents of this article copyright, Mental Floss LLC. All rights reserved.

@highlight

Backgammon is the most enduring table game, other than chess

@highlight

Risk may have been named after the first initials of a company salesman's grandchildren

@highlight

Checkers can be traced back to Alquerque, a game that first appeared in 1283