Sao Paulo, Brazil (CNN) -- After years of trying to put the past behind it, Brazil has created a truth commission to investigate crimes committed during a painful period in history known as the dirty war.

Hundreds of people disappeared or were killed during a 20-year military dictatorship that ended in 1985. Violent student protests and an armed underground movement were squashed in brutal crackdowns.

Some 9,000 people were jailed and tortured. Among them was a young leftist guerrilla, Dilma Rousseff, who went on to become the current president of Brazil.

Rousseff inaugurated the commission in May.

"Brazil deserves the truth. The new generations deserve the truth," she said at a ceremony in Brasilia.

"Above all, those who lost friends and relatives and who continue suffering as if they were dying again every day deserve the truth," she said as she choked back tears.

A blanket amnesty law drawn up during the dictatorship means the commission won't launch any trials. But some Brazilians hope it could be a first step toward having that law abolished, something that has already happened in neighboring Argentina and Uruguay.

Torture victims have long fought for a change to the law.

Amelia Teles was jailed in 1972 along with her husband at a Sao Paulo police station once known as OBAN, a notorious torture center.

"That's where my cell was, it was 'X6,' " Teles said as she walked around the now-reformed police station. "From what I remember, I was tortured for 15 days."

Teles and her husband were militants of the underground Communist Party. She said police brought in their children, ages 4 and 5, to pressure them.

"When (the children) saw me, they said, 'Mom, why is Dad green and you're blue?' " Teles said. "I looked down at my body and realized I was so bruised that I was blue all over."

Teles pointed to the second-story rooms where she said she suffered waterboarding and electric shocks and spent hours in a device called the "parrot's perch."

"I spent days without any hope of surviving," she said. "But the fact that I can come here and speak and not be jailed ... I think that's progress. That's a political victory."

The seven-member truth commission has been given two years to investigate human rights crimes. It has unprecedented access to former prisoners, military leaders and archives.

Paulo Sergio Pinheiro, one of the commissioners and a former diplomat at the United Nations, said the group hopes to expose information that has been hidden for the last 27 years.

"We are trying to reconstruct the chain of command of the decisions to kill or torture," Pinheiro said. "Something that's not clear or transparent at this moment."

The government has had to overcome outright hostility from retired military brass, and the commission is now grappling with the possibility that some of the archives may have been destroyed. But Pinheiro is optimistic the commission will help Brazil come to terms with its past and a legacy of impunity in some institutions.

"There are some practices by state agents, like torture or summary executions, that need to be stopped," he said. "The report, the work of the truth commission, will be a collaboration to deal with this terrible legacy."

Many Brazilians agree that exposing the truth is a way of exacting justice.

Ivo Herzog was 9 years old when his father, the editor-in-chief of a TV station, was killed while in jail.

Military officials called it a suicide. But Herzog said he believes his father, Vladimir Herzog, was tortured and killed, a theory that archives have supported.

Herzog said he doesn't want revenge, but he does want the perpetrators to be known.

"To be held accountable by society," he said, "that's the most important thing."

More and more Brazilians are calling for the same. A group of young activists has started organizing protests outside the homes of former military rulers to denounce them to their neighbors and society at large.

"These people who are living the good life like nothing happened, I want to see them excluded," Herzog said. "That's my biggest wish."

Brazil Supreme Court starts massive corruption trial

@highlight

A commission is being set up to investigate human rights crimes in Brazil

@highlight

Thousands were jailed or tortured during a military dictatorship that ended in 1985

@highlight

President Dilma Rousseff: "The new generations deserve the truth"

@highlight

The commission has access to former prisoners, military leaders and archives