(CNN) -- The state visit of the President of Ireland, Michael D. Higgins to Britain this week is the culmination of a series of contacts at head of state level over 21 years, the most important of which was the successful State visit by Queen Elizabeth II and the Duke of Edinburgh to Ireland in May 2011.

I had been surprised to learn, in the spring of 1991, that as the seventh President of Ireland I would become the first to visit Britain as president. It is difficult to believe now but no previous Irish president in the history of the state had traveled to "mainland" Britain for official business. There was a problem, for example, with how to describe me. Because of Northern Ireland, the British would not agree to call me "president of Ireland"!

The occasion of my visit was to accept an honorary degree from Cambridge University, conferred by its chancellor, the Duke of Edinburgh and join President Vaclav Havel in London to decide on the logo and values for the Bank for Reconstruction of Eastern Europe. This was one illustration of the fact that relations between the two countries were not normal because of the disputed claims at the time by Britain and Ireland over Northern Ireland.

My first meeting with Queen Elizabeth II occurred in May 1993 when she invited my husband Nick and me to take tea in Buckingham Palace. This was neither a "state visit" or an "official visit"; it was a sui generis, carefully orchestrated meeting at head-of-state level between two countries with a troubled past seeking, in a symbolic way, to begin reconciling. We both understood the symbolism of that moment, captured in photographs of the two women heads of state smiling side by side.

In 1995 I joined the Queen for an event in St. James Palace, London, commemorating the 150th anniversary of the Queen's Colleges which had been established in Belfast, Cork and Galway (although only Belfast retains that name and original structure). In June 1996 I was honored to be invited on an official visit to Britain by Prime Minister John Major, which included a lunch with Queen and Prince Edward, preceded by an inspection of the guard of honor at Buckingham Palace. That was the most emotional moment for me, standing beside the Queen and hearing the Irish national anthem played.

President Mary McAleese had a number of opportunities to strengthen the personal relationship in meetings with Queen Elizabeth during her 14 years as president and ultimately was her host for that memorable state visit in 2011. There is understandable anticipation on both sides of the Irish Sea for the return state visit of Higgins to Britain next week.

During and since my presidency of Ireland, a difficult peace process was undertaken and came to fruition. I remember hosting a lunch in my official residence in 1995 for Senator George Mitchell, who had been asked by U.S. President Bill Clinton to help organize an economic conference in Belfast, so that those still fighting in the streets there might begin to think of a future peace dividend.

Later Mitchell's role changed to that of an effective mediator at the beginning of the peace process. The Good Friday Agreement was signed during the first year of McAleese's presidency and, being from Northern Ireland, she was able to support in symbolic and diplomatic ways the further progress in establishing peace and shared political power in Northern Ireland.

Trade and cultural relations between the two countries intensified during this period, helped by the fact that both countries are members of the European Union and share many common interests. Important amendments were made to the Irish constitution, which requires a referendum of the people, that both permitted the State to comply with the Belfast Agreement and provided for the removal of the "territorial claim" contained in Articles 2 and 3.

The Northern Ireland referendum, to approve the agreement was held on the same day as the Irish referendum thereby symbolizing that the citizens of the land had the power to realize a change. As the relationships at all levels improved there was a growing pressure for this to be recognized at the highest state level, and we are about to witness the final act in that formal process.

In my current work as U.N. special envoy to the Great Lakes in Africa, I am required to be in Rwanda at the time of the state visit next week, marking the 20th anniversary of the terrible genocide in that country. When I can, I will be glued to a television set, hoping to see coverage of a state visit that will evoke many memories and bring about the full normalization of the relations between two close and historic neighbors.

READ: Queen welcomes Irish president -- and the thaw continues

@highlight

Michael D. Higgins makes state visit to Britain this week, first ever by Irish President

@highlight

Understandable anticipation on both sides of the Irish Sea, says former President Mary Robinson

@highlight

Robinson: Visit means full normalization of relations between two close and historic neighbors