When Barack Obama was a newbie president, there was no shortage of ambition or lack of confidence in the government he was about to lead. Government should be seen as a force for good, not evil. Sure, he told us, it needed to be "smarter and better," but that could—and would—happen under his watch.

Never mind that Bill Clinton spent years "reinventing government" with mixed success. Or that only 2% of the American public believes that government can be trusted to do the right thing all the time. President Obama was convinced he could change all that with programs that would deliver for America—such as health care reform—and the public would be grateful.

Instead, the President is living his own version of "Alice Through the Looking Glass": staring down a rabbit hole of government bureaucracy and inefficiency. The government he has studiously tried to grow, manage and change has become his own personal nemesis. All of which makes you wonder: Does the President himself trust government anymore?

The scandal at the Department of Veterans Affairs is just the latest in a slew of bureaucratic messes that strike at the core power point of the Obama presidency: Making government work. Consider the disastrous health care website rollout. The IRS controversy. Even the question of NSA surveillance raises questions about the role of government: Did the civil libertarian Obama allow spies to run amok?

The President is clearly having a running debate with himself over all this. About a year ago, after the NSA program was revealed and Democrats and libertarians started squawking, Obama seemed more than a tad defensive on government spying.  "If people can't trust not only the executive branch but also don't trust Congress ... to make sure that we're abiding by the Constitution ..." he said, "then we're going to have some problems here."

Indeed.

These are not trivial matters. Health care is the signature legislative achievement of the administration, and a botched rollout made it smell bad at the start. Fixing the VA—and aiding veterans—is a cornerstone of the Obama presidency. And yet, it all looks as if somehow the bureaucracy has beaten the boss.

It's a management issue. So far as I can tell, the governing style of this administration has two extremes: issues singled out for micromanagement (as in, foreign policy, from the West Wing) and issues completely delegated (as in, VA management). What seems to be  missing is the in-between: the continual monitoring and early warning system that avoids presidential blindsiding. That's the area in which most of the business of government actually gets done.

And it can get done. The apparatus to do the nation's business in a competent way is there. Use it, and manage it. That's what chief executives are hired to do.

Government is unwieldy and difficult and hard to tame, sure. But if your presidency is based, in large part, on telling Americans that government can work for them--which it can--you need to make it work.

It's not that the President is a hopeless manager. He does very well when he leads a hierarchical organization with a single goal, like a presidential bid. He's top dog, he's not negotiating with anybody, and he's not trying to get people to do things they don't want to do. In a campaign, for instance, they all want to elect the same person: him.

But when you have to negotiate—or lead—people not related to you, or not indebted to you or who don't agree with you, it's a different story. Managing or negotiating with people with mixed motives (Congress, anyone?) is not an Obama strong point.

By nature, bureaucracies are hard to trust and even harder to tame.  And if a chief executive isn't careful, it's an energy-sapping (and legacy endangering) vortex that sucks you right in. Just ask Obama, who was government's best friend.

Does he still feel that way today? Hard to know. But my guess is he's a bit like Alice in Wonderland. "I can't go back to yesterday," she said, "because I was a different person then."

Opinion: Obama is responsible for VA mess, but it may not be entirely his fault

@highlight

Obama's plan was for a "smarter and better" government with demonstrable benefits

@highlight

Gloria Borger says President is instead staring down rabbit hole of government incompetence

@highlight

She says the VA scandal, after the health care website woes, highlights the problem

@highlight

Borger: Obama can be effective in managing but needs to grab control of bureaucracy