(CNN) -- As Mitt Romney prepares to make the case for a first term, give a thought to what we can expect from a Barack Obama second term.

It's probably going to look a lot like the second terms of George W. Bush, Bill Clinton, Ronald Reagan, and Richard Nixon -- driven not by his own agenda, but by events beyond his control. Bush's second term was defined by the after-effects of the Iraq decision he made in his first term; Clinton's by impeachment and the Internet boom; Reagan's by deficits and Gorbachev; Nixon's by Watergate.

And what will define Obama's?

1) Republicans will hold at least one House of Congress, maybe two.

2) The U.S. economy will continue to mend, as the financial crisis recedes into the past.

3) Unless forcibly prevented, Iran will enrich enough uranium for multiple nuclear weapons sometime before 2017.

4) Natural gas production will continue to surge.

Prediction 1 implies that there will be no bold Obama legislative agenda in a second term. The votes just won't be there. The second-term Obama agenda will have to be executed through agency action and executive order. And he'll have lots of opportunities via the big laws passed in his first term: the Affordable Care Act, Dodd-Frank, and so on.

Critics often talk about how long these laws are. Yet however long the enactment, the text of a complex modern statute is only the very roughest guide to its future operation. The crucial operating decisions are made by presidential appointees, supervised by the courts. Congress drafts, but the administrators fill in the details - and the details, as the saying goes, are where the devil lurks.

A re-elected President Obama will have large powers to reshape the health industry and financial services -- not with some dramatic law, but with a thousand undramatic lower-level edicts that cumulatively can redefine a law in ways never imagined by its authors.

Politics: Reggie Love -- Obama leads like he plays

But there is one agreement that the president and Congress will have to reach: over future taxes and budgets. The Bush tax cuts of 2001, extended in 2010, will expire at the end of 2012. The president has said he would allow those tax cuts to lapse, at least for high income levels. Republicans are determined to preserve them. Who'll blink? On past precedent, you might guess that the president will. But the president knows that people expect him to blink -- which may inspire him to hang much, much tougher.

2) Recovery comes much more slowly from recessions caused by financial crises, according to the authors of the best study of the subject, Carmen Reinhart and Kenneth Rogoff.

Yet if recovery comes slowly, it does come eventually. By 2015, the U.S. economy should be reaching normal growth and fuller employment. Deficits will begin to shrink; the country's present desperate mood will abate. And Republicans and Democrats will furiously argue over who deserves the credit, as they still argue over who deserves credit for the 1990s boom.

We also saw in the 2000s, however, that employment can grow strongly without generating very much in the way of wage increases for most working people. The U.S. economy added almost 2 million jobs in 2004, more than 2 million in 2005, about 1.7 million in 2006, and more than 700,000 in 2007. Yet the median wage as of the end of 2007 still had not caught up to its 2000 peak, adjusting for inflation.

In the post-2009 recovery, almost all the income growth has been captured by the most affluent few. President Obama may deplore that trend, but he seems to have no very clear idea of how to alter it.

3) U.S.-led sanctions and Israeli-led sabotage have slowed the Iranian nuclear program. Few experts expect that these non-belligerent means will work indefinitely.

What then? Israel could attack Iran. The United States could hit even harder. But suppose -- as seems most likely -- that both allies flinch from war. Then the U.S. and Israel will confront a radically reshaped Middle East, one in which America's friends will be weaker and more fearful and Iran will be more assertive and intransigent.

The president's hopes of reconciling the Islamic and Western worlds -- of midwifing a Palestinian state -- and of finishing off jihadist terrorism will all bump into the reality of an emboldened Iran and depleted American prestige.

4) Second terms tend to bring disappointments, but one huge success seems to be gathering for whoever happens to occupy the White House over the next four years: the advent of that long promised goal, energy independence.

The surge in natural gas production in the United States, the full development of the massive oil sand resource in Canada, could make North America the world's fastest-growing energy region in the years ahead and put the continent on the way to self-sufficiency by 2020. It won't have quite happened yet by 2017, but the achievement will at least be visible on the near horizon.

It will be a strange irony of history if the president of hope and change left office as the president who presided over the greatest surge in domestic fossil fuel production since the 1930s.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum: A second term for Barack Obama would have a different shape

@highlight

He says Dems likely won't control both houses, giving him little chance for major legislation

@highlight

Frum: Obama would likely benefit from an improving economy but would face challenges overseas

@highlight

U.S. energy production boom would bring U.S. closer to energy independence, he says