(CNN) -- He is a towering figure in the history of cinema, a colossus who has frightened and thrilled audiences in equal measure. Now King Kong, the famous silverback from the silver screen, is roaring and pounding his way onto the theatrical stage.

Merian C. Cooper's 1933 classic fantasy tale of a giant gorilla has become a musical reality at the Regent Theatre, in Melbourne, Australia -- thanks to a six-meter high robotic puppet, and the pioneering work of puppeteer Sonny Tilders.

"It's been amazing. They're not just praising the puppet, they are praising the character. That is so rewarding," Tilders told CNN.

The animatronics expert leads a 35-strong team at The Creature Technology Company in west Melbourne and has an impressive track record in both film and theater.

The 46-year-old has more than two decades' experience making high-tech puppets and counts "Stars Wars -- Revenge of the Sith" and "The Chronicles of Narnia" among his many movie credits.

He was also the robotic brains behind the hugely successful "Walking with Dinosaurs -- The Arena Spectacular" stage show, but the scale of King Kong was unlike anything he had attempted before.

The rubber and rabbit fur model seen hanging off the Empire State Building swatting bi-planes in the original film was 24 inches tall. The modern stage incarnation of Kong stands six meters high and weighs more than a ton.

Read this: Yoda, E.T. and the greatest movie puppets

When the multi-million dollar project started five years ago, Tilders originally set out to create a fully animatronic creature but ended up combining old-fashioned puppetry with modern robotics.

"We were considering having two versions. We were developing other technologies that we would need for animatronic limbs to move," he said.

"But to cut a long story short, we were so impressed by what the manned puppet could do that we had a change of heart and said we should do the whole show with marionette puppets. It made much more sense."

Suspended from the ceiling, Kong's limbs are manipulated on stage by 10 specially trained stage circus artists who scurry over and around the puppet, shifting his arms and legs by hand or using ropes.

Clad in black from head to toe, these shadowy figures called the "King's Men," work in tandem with three off-stage puppeteers -- the "voodoo" operators -- who control the mechanical functions inside Kong.

Around 300 meters of electrical wiring are crammed inside the puppet's steel and aluminum shell powering 16 microprocessors and 15 servo motors which move Kong's eyes, eyebrows and eyelids, nose, lips, jaw, neck and shoulders. He also makes sounds -- a vital part of making his movements appear realistic, says Tilders.

Marrying the mechanical functions of interior with the organic-looking Lycra and latex exterior is one of the big challenges of animatronics, Tilders says.

"We wanted to create a puppet that was really dynamic on stage. One of the ways to solve that and not kill anyone or destroy the puppet or the stage itself was to make his extremities -- his arms and fists -- in a way that has as little steel as possible."

Read this: Huge mechanical beasts stalk French theme park

From the elbow down, Kong's arms are filled with air, allowing him to furiously pound the floor without causing a minor earthquake.

Overlaying the air bags are a series of sculptured muscle bags made from a stretchy nylon material that expands and contracts to mimic the sinewy movements of the real thing.

He might not be the largest marionette in the world - that record is held by France's street theater company Royal de Luxe -- but he is, says Tilders, the most articulated.

"Often (big puppets) are quite simple and slow, but what we've developed is a hybrid technology enabling us to do some powerful and specific moves."

The Creature Technology Company's ambitions were aided by UK-based stage automation experts Stage Technologies who provided the four-ton track-and-trolley system suspended above the stage.

"It's a machine that allows Kong to both move around the stage and be raised up and down but also take different positions," said Stage Technologies' Group CEO Mark Ager.

"We move his torso with eight winches and that allows us to change the aspect of it. So, for instance, when he walks, his shoulders can roll from side to side. It's basically a big boys version of a wooden cross you see on smaller puppets."

The company, which is currently helping pop star Pink fly around stage on her world tour, has previously assisted Tilders with the Walking with Dinosaurs project, helping create a flying prehistoric bird called an Ornithocheirus.

But the complexity of Kong surpassed anything they have previously built, leading to a few nerves as opening night approached.

"Given (Kong) is the main actor it was quite a concern, but it is incredible," he said.

"There's an awful lot of engineering that goes into something that looks so effortless. He feels real. I think you have to see inferior robotic incarnations to see quite how clever (Kong) is."

Overall, it's been an extraordinary collaboration of engineering and software expertise with sculptors, artists, musicians and actors creating a unique spectacle.

The critics like it too. Many have warmed to the show itself since it opened in June and almost all have heaped lavish praise on Kong himself. It's only a matter of time before audiences worldwide get their chance to feel the towering stage presence of Kong, said Tilders.

"It's definitely going overseas," he said. "The financial model can't rely on 20 million people in Australia. Obviously, we would love to go to Broadway because that's the natural home for the story."

@highlight

Giant marionette/animatronic King Kong takes to stage in Melbourne-based musical

@highlight

Puppet created by same company who created Walking with Dinosaurs arena tour

@highlight

Merian C. Cooper's classic 1993 adventure adapted for stage with a six-meter tall Kong

@highlight

Team of puppeteers on and off stage control Kong's movements