Washington (CNN) -- It was a tale of two rulings -- the best of times and the worst of times for Obamacare in the federal appeals courts.

First, a three-judge panel of the D.C. Circuit court of appeals ruled Tuesday against a key component of the law -- the federal subsidies for millions of people who signed up for health coverage.

The 2-1 decision created a legal path for a possible Supreme Court case that could essentially gut the 2010 Affordable Care Act, which passed with zero GOP votes.

A few hours later, all three judges on a 4th Circuit panel in Virginia decided the opposite by declaring the subsidies legal and proper.

What the court decisions mean for you

Opposing rulings

The opposing rulings increased the chances for the issue to reach the nation's highest court, and demonstrated the deep political divisions over the law despised by conservatives intent on undermining it.

Both judges in the majority of the 2-1 D.C. Circuit ruling were appointed by Republican presidents, while all three in the unanimous 4th Circuit panel were appointed by Democratic presidents.

Republicans immediately hailed the D.C. panel's ruling against the subsidies as evidence of what they called fatal flaws in the health care law.

"This is yet more evidence that Obamacare is not working -- and cannot work -- for the American people," said GOP Sen. Lamar Alexander of Tennessee, who faces a conservative primary challenger questioning his right-wing credentials.

At the White House, spokesman Josh Earnest expressed confidence in the administration's legal position, saying Congress clearly intended for all Americans to have access to tax credits if needed so they could afford health insurance.

CNN Poll: Obama's numbers not great but holding steady

The issue: subsidies

The legal argument involves a provision in the health care law that says people who obtained coverage through state-run exchanges can get federal subsidies such as tax credits. It doesn't specifically say that those signing up on the federal exchange also are eligible.

Opponents of the law contend that lack of specificity renders illegal the subsidies for anyone who enrolled through the federal exchange.

Only 14 states and the District of Columbia set up their own exchanges, meaning that the 4.7 million who signed up for subsidized health coverage through HealthCare.gov could be affected.

"It will kill Obamacare," Republican Sen. Orrin Hatch of Utah said of an eventual Supreme Court ruling against the subsidies. "It would make it very difficult for Obamacare to continue because the cost of health care is going to go sky high for those who are not in the state exchange."

For now, the law remains unchanged and the subsidized policies are unaffected until the legal case plays out, Earnest told reporters. The Justice Department said the government would appeal the D.C. panel's decision.

Partisan divide

The easiest fix -- changing the law to specify that it allows subsidies for coverage purchased through the federal government as well as state exchanges -- would mean reopening the debate in Congress.

Unlike last time, when Democrats held majorities in both the House and Senate, Republicans now control the House and are expected to make gains in the November election, perhaps taking over the Senate too.

That means Obama and Democrats have no chance of getting Congress to approve any remedial change in the law.

Sen. Ted Cruz, R-Texas, one of the leading crusaders against the health care act, argued Tuesday that the federal subsidies amounted to assuming funding powers the Constitution granted Congress.

Earnest, however, said Congress intended "to ensure that every eligible American who applied for tax credits to make their health insurance more affordable would have access to those tax credits, whether or not the marketplace was operated by federal officials or state officials."

White House revises contraception opt out

Ambiguity

The opposing rulings Tuesday pivoted over the meaning of the word "ambiguous."

In Richmond, the 4th Circuit judges labeled the Affordable Care Act ambiguous on whether subsidies should be allowed for consumers getting insurance on federal exchanges.

When a law is ambiguous, courts give deference to a federal agency's interpretation of the law, which in this case is the Internal Revenue Service rule allowing the subsidies.

The D.C. Circuit decision concluded that Obamacare was unambiguous in restricting subsidies to insurance purchased on exchanges "established by the state," rather than the federal exchange.

In his dissent, though, appellate Judge Harry Edwards -- a Democratic appointee -- argued that labeling the phrase "established by the state" as unambiguous "strains fruitlessly to show plain meaning when there is none to be found."

Republicans to sue Obama over health law

Obamacare: Your guide to health insurance terms

CNNMoney's Tami Luhby and CNN's Joe Johns and Bill Mears contributed to this report,which was written by Tom Cohen.

@highlight

NEW: One ruling goes against the government, another supports its position

@highlight

The rulings reignite the fierce political debate over Obamacare

@highlight

For now, nothing changes until the cases completes the legal process

@highlight

The issue would impact those who signed up for Obamacare on the federal exchange