Washington (CNN) -- As the Martin Luther King Jr. National Memorial was officially dedicated Sunday, speakers called for carrying on King's ideals and values and confronting issues including bullying and social and economic justice for all Americans.

"Nearly 50 years after the March on Washington, our work -- Dr. King's work -- is not yet complete," President Barack Obama said at the dedication ceremony.

The nation faces many challenges, he said, including an ailing economy, substandard education, war and tragedy.

Progress, he said, can often be a slow and painful process. During the civil rights movement, "progress was purchased through enduring the smack of billy clubs and the blast of fire hoses. It was bought with days in jail cells and nights of bomb threats." Every victory was met with setbacks and defeat, Obama said. Today's America can draw strength from that struggle, from King's belief that we are one people and from his refusal to give up, the president said.

"Let us not be trapped by what is," Obama said. "We can't be discouraged by what is. We've got to keep pushing for what ought to be."

He noted that King "will stand for all time, among monuments to those who fathered this nation and those who defended it. A black preacher, no official rank or title, somehow gave voice to our deepest dreams and our most lasting ideas."

"I know we will overcome," the president said. "I know there are better days ahead. I know this because of the man towering over us."

The monument to the slain civil rights leader was due to have been dedicated on August 28, the anniversary of the 1963 March on Washington when King delivered his world-altering "I Have a Dream" speech, but Hurricane Irene forced the event to be postponed.

Perhaps, said the Rev. Bernice King, one of King's daughters, that postponement was due to divine intervention. "Perhaps God wanted us to move beyond the dream into action," she said.

"As we dedicate this monument, I can hear my father saying that oppressed people cannot remain oppressed forever," she said. "The yearning for freedom eventually manifests itself ... I hear my father saying what we are seeing now, all across the streets of America and the world, is a freedom explosion."

She called for "a radical revolution of values and reordering of priorities in this nation."

She urged attendees to also pay homage to her mother, Coretta Scott King, who even as a grieving widow with four children "raised a nation in my father's teachings and values. It was vitally important to her that his life and principles become institutionalized."

The memorial site, which features a striking 30-foot statue of King gazing out on the iconic Tidal Basin, lies between the Lincoln Memorial and the Thomas Jefferson Memorial on the National Mall. The statue, representing a "Stone of Hope," sits forward from a "Mountain of Despair."

Visitors pass through the mountain on their way to King's statue and an expanse along the basin rimmed with an inscription wall covered with stone carvings of some of his most famous quotes. The four-acre area will also feature the iconic cherry blossom trees that draw thousands of tourists to the Mall each spring.

"The very first time that I came to the site, I was almost overwhelmed," Martin Luther King III said. "I really was impressed by this artist. He was able to capture the essence of my dad."

On Sunday, he described his father as "a champion of human rights and social justice for all people," regardless of race, gender and ethnicity.

"Let us not forget that he paid the ultimate price for our civil rights," he said.

But, he said, "we've lost our souls," noting the recent killing of a black man in Mississippi; child bullying; wars in Iraq and Afghanistan; and the lack of social and economic justice. The American dream, he said, has "turned into a nightmare for millions."

Former CBS Evening News anchor Dan Rather said that while King's main battle was racial injustice, today's fight is against greed and for economic justice. "This time we judge people, not on the content of their character, but the color of their money," he said. "Once again, we have Americans on the outside looking in."

"There is heavy lifting to be done again," Rather said. "And in the spirit of Dr. King's lasting legacy, we need to start now."

If King were here today, said the Rev. Jesse Jackson, he would tell the Occupy Wall Street protesters to "keep protesting. Remain nonviolent. Stay disciplined. Stay focused."

U.S. Rep. John Lewis recalled protesting in Washington 48 years ago. Of those that spoke near the Lincoln Memorial that day, "I'm the only one still around," he said.

He recalled that King never asked protesters to do anything he would not do himself. "He was arrested, jailed, beaten and constantly harassed. His home was bombed. He was stabbed. He suffered the slings and arrows of hate."

He said he's heard talk that nothing has changed. "Come and walk in my shoes," he told attendees. "Dr. King is telling you that we have changed. We're better people. We're a better nation."

Other speakers at the dedication included the Rev. Al Sharpton; the Rev. Joseph Lowery; actresses Cicely Tyson, Diahann Carroll and 12-year-old Amandla Stenberg; and Marian Wright Edelman, founder and president of the Children's Defense Fund.

Singer Aretha Franklin sang "Take My Hand, Precious Lord," a tune she said King often requested. The Obamas listened intently as she sang. Michelle Obama applauded in spots, while the president closed his eyes.

The Obama family toured the memorial before the president's speech.

Controversy still lingers around the statue and a quote from King.

Sculptor Ed Dwight, who has made seven statues of King, objects to the memorial's depiction of the icon -- and to the artist chosen to create it.

"This idea of having this 30-foot-tall sculpture of this man, and this confrontational look, he would not appreciate that, because that was not him," Dwight argues.

He also objects to the choice of Chinese artist Lei Yixin.

"I feel strongly that the whole thing should've been done here in America," Dwight said.

Harry Johnson Sr., head of the Dr. Martin Luther King Jr. National Memorial Foundation, said: "We got the best man for the job."

And Lei, for his part, said America did not have sole claim on King.

"Martin Luther King is not only a hero of America, he's also a hero of the world," he said.

Celebrated poet and author Maya Angelou has a different objection to the memorial, saying that one of the quotes has been edited to make King appear arrogant.

It reads: "I was a drum major for justice peace and righteousness."

Angelou says an important clause was taken out of the passage from a 1968 sermon at Ebenezer Baptist Church in Atlanta.

King's original words were: "If you want to say that I was a drum major, say that I was a drum major for justice. Say that I was a drum major for peace. I was a drum major for righteousness. And all of the other shallow things will not matter."

Leaving out the "if" changes the meaning, Angelou said.

"It should not be seen like he was so full of himself. Because he was not. He was a very humble man," she said. "It is not an apt reportage of what Dr. King said. It is an edited statement."

The memorial's executive architect Ed Jackson stood by the wording and said there are no plans to alter the structure.

Jackson, who oversaw the memorial's design and construction, said in a statement that the memorial foundation "feels comfortable with the choices we needed to make based on the space available and the messages that we wanted to convey to visitors."

He said a "council of historians" had been consulted, adding they suggested 14 quotations and two statements for possible inclusion on the monument's granite walls that "best characterize and reflect" King as a leader as well as his values.

"In no way do we believe that this paraphrased statement diminishes Dr. King's intent of the words he delivered," Jackson said. "The inscription on the Stone of Hope comes directly from Dr. King's words."

Former U.N. Ambassador, former Atlanta mayor and civil rights leader Andrew Young said King was sensitive about his small stature, as he stood only 5 feet 7 inches.

"Now he's 30 feet tall, looking down on everybody," Young said.

CNN's Athena Jones, T.J. Holmes and Roland Martin contributed to this report.

@highlight

NEW: Obama: "We've got to keep pushing for what ought to be"

@highlight

King's children urge that his ideals and values be remembered

@highlight

Speakers at the ceremony urge the pursuit of economic justice

@highlight

Celebrated writer Maya Angelou says King has been edited to make him seem arrogant