(CNN) -- Women undergoing in-vitro fertilization should have only one or two embryos transferred during the process, depending on their age, says a study published Wednesday in the British medical journal The Lancet. Transferring three or more embryos during any IVF cycle should be avoided when possible, researchers say.

The prospective study analyzed more than 124,000 IVF cycles that ultimately led to the birth of more than 33,000 babies from January 2003 to December 2007. The data were obtained via the UK Human Fertilisation and Embryology Authority, a database of all fertility treatments conducted in the United Kingdom. The study excluded treatment cycles that transferred frozen embryos.

The researchers divided the women in to two groups: Women younger than 40 and those 40 and older. The study found that in women 40 and older, transferring more than one embryo resulted in a higher rate of live births. However, transferring three or more embryos in a single cycle also led to a higher rate of health complications for both the mother and the baby, in part because the chance of giving birth to twins or triplets was higher.

These two findings led authors to conclude that women who are 40 and older should have two embryos transferred per IVF cycle, while younger women should have only one embryo transferred, and no patients should have more than three embryos transferred at one time.

"We show that even in older women, we should never have more than three embryos transferred," says Scott Nelson, one of the study authors who is a professor of reproductive and maternal medicine at the University of Glasgow.

"It doesn't improve the chances of a woman having a healthy baby."

Dr. Glenn Schattman is a reproductive endocrinologist and the president of the Society for Assisted Reproductive Technologies (SART). He agrees that maximizing the chance of a healthy pregnancy while at the same time limiting the chance for multiple births should be the ultimate goal of reproductive clinicians. However he disagrees with the study's interpretation.

"There are limitations of the study that concern me significantly in terms of the conclusions that were drawn," says Schattman.

In the United States, unlike the United Kingdom, transferring three embryos is more of an acceptable practice if certain prognostic indicators are present.

According to Schattman, a woman's age is the most important factor in terms of pregnancy outcome but needs to be looked as a continuous variable. He says one major limitation of Nelson's study is that the women were lumped in to only two groups: those younger than 40 and then the rest, when in reality the chances of a woman getting pregnant can depend on other variables as well.

"We look at women under the age of 35, 35 to 37, 38 to 39," and so on, says Schattman.

He says transferring three embryos is a valid practice if certain factors are in play, including a woman's age, the number of failed IVF cycles she has already experienced and the quality of her embryo.

"If you limit the number of embryos you put back inside of a 42-year-old woman, you reduce her chance of having a child," because implantation rates are so low for a woman that age, says Schattman.

Conversely, according to the 2009 embryo transfer guidelines published by SART, a 37-year-old woman could receive three embryos if she had already experienced failed IVF attempts or had poor quality embryos.

So what's the bottom line for women considering IVF?

Because IVF is an involved, often draining, process, Schattman says doctors need to determine how many embryos will be transferred on a case by case basis.

"We can't set an absolute limit that applies to every person," says Schattman.

"Twins are not an ideal outcome and not a desired outcome. You really want to adjust the number of embryos ... to not only maximize the chance of achieving a pregnancy but to counter that with a desire to reduce multiple births."

@highlight

Study published in Lancet analyzed more than 124,000 in-vitro fertilization cycles

@highlight

It discourages transferring three or more embryos during any IVF cycle

@highlight

One expert disagrees: "There are limitations of the study that concern me"