More than 90% of the Internet was shut down in Syria Thursday as rebel clashes with Bashar al-Assad's forces were reported near the Damascus airport.

It's not the first time the Web has been blocked in the war-torn country, but the move toward the airport could be highly significant, said retired U.S. Army Gen. Mark Kimmitt, who worked as assistant secretary of state for political-military affairs under President George Bush.

Damascus, the capital, is the seat of al-Assad's power. It is also home to many Syrians who belong to the Alawite sect. The al-Assads are Alawite.

Rebels fighting al-Assad's forces and possibly winning at or near the airport "would have a psychological affect," Kimmitt explained. "The civilians in Damascus will feel cut off from the outside world."

The Alawites, he said, understand there are very few alternatives other than staying in Syria now, but if rebels take the airport, they would likely feel trapped. Some will go on about their lives, a coping mechanism, he said. Some will flee to neighborhood countries, while others may actually choose to take a stronger position in defending al-Assad.

Strategically, Kimmitt noted that most of the military's aircraft are being flown out of bases elsewhere in the country.

The road to Damascus International Airport was shut down because the rebels and the military were fighting on the outskirts of the city, said the opposition-supporting, London-based Syrian Observatory for Human Rights.

Egypt Air is canceling flights to Syria starting Friday, said Egypt Air spokesman Mohamed Rahma.

The airline cited a "deteriorating situation" around the Damascus airport, a Cairo airport official said, according to Egyptian semi-official news agency Al-Ahram.

On the other side, government-run TV ran an urgent banner saying that the road to Damascus International Airport had been secured after "terrorists" attacked cars.

Al-Assad's regime has routinely blamed terrorists for the violence in the country.

Internet blocked

Also Wednesday, most Internet access in Syria was shut down, according to the Internet monitoring group Renesys.

It was not clear who was behind the latest outage, but the government has intermittently cut off Internet access several times in the past two years.

Opposition activists often transmit updates about the civil war in reports and images on the Web.

Syria state TV reports that the government's minister of communications said maintenance workshops were working on "fixing the blackout in the main communication and Internet network in a number of Syrian provinces."

U.S. Ambassador to Syria Robert Ford said that in response to government Internet-related actions, the United States has given "a thousand pieces of non-lethal equipment -- largely communications gear" to help opposition activists get around the cyber roadblocks.

He spoke in Washington on Wednesday about the humanitarian situation in the country. He talked to CNN Thursday.

"The Syrian government has been monitoring (the Internet) for years. They have been using the Internet with Iranian assistance to track opposition activists, arrest and kill them," Ford said.

"That is the reason why our non-lethal assistance to the Syrian opposition, we put a special emphasis on communications equipment precisely to help the Syrian people tell the world what is going on inside Syria," he said.

"A lot of the pictures that you see on the nightly news are from communication equipment that we supply to very brave and very dedicated opposition activists inside Syria," Ford said. "We have provided over a thousand pieces of non-lethal equipment -- largely communications gear to help them get around the restrictions on the Internet that the Syrian government imposes."

But Kimmitt, asked by CNN to respond to Ford's comments, said he thinks the gear that United States has provided has not been enough.

"I think it's an attempt on the part of the (Obama) administration, albeit it has an insufficient amount of support for the rebels," the former general said. "What side of history are we going to end up?

"To suggest a thousand pieces of equipment has made a difference -- I would turn back to the number of casualties we've seen."

About 40,000 civilians have been killed since the first protests began in March 2011 against al-Assad's government, according to the opposition Center for Documentation of Violations in Syria. Meanwhile, more than 380,000 Syrians have fled the violence and become refugees in countries such as Turkey and Lebanon, the United Nations reports.

The Local Coordination Committees in Syria, the group that speak for the rebels, said Thursday that at least 20 people were killed and more than 80 wounded in an airstrike in a residential area, the Al-Ansari district in Aleppo.

Most of the wounded were children, they said.

An anti-Assad activist in Aleppo uploaded videos of the attack. One shows children being dug out of rubble and rushed away. In another video on older man appears dazed as he carries the remains of a bomb.

He says: "This is a gift from Bashar to the people of Al-Ansar district. Look at the building over there. Two floors have been destroyed, and this is part of the rocket that destroyed these buildings."

Rebels claim to shoot down military aircraft

On Wednesday, villagers in northern Syria picked pieces of a downed fighter jet from an olive grove after rebel fighters claimed to have shot down three government aircraft in 24 hours.

Al-Assad's government has relied increasingly on air power to battle the 21-month-old revolt against it, and witnesses said a cheer went up when the jet went down near Aleppo.

"We want to take this ... to show them in the other villages," a man who identified himself as Abu Dargham told CNN as he showed off two twisted chunks of metal. "Let them see what happened to these planes."

The downed plane's tail was largely intact, but the fuselage was in pieces and the type of aircraft was not immediately identifiable. Locals picked it apart, some of them stuffing pieces into bags as a tractor hauled away what appeared to be an engine. Cheering children were piled on the tractor as it drove away.

Witnesses said two fliers ejected from the plane before the crash. One was found unconscious and taken to a makeshift clinic, while villagers said they were still searching for the other late Wednesday.

Rebels posted two videos online to support their claims. One shows rebels carrying an unconscious man wearing what looks like a military pilot uniform, while another includes footage of medics bandaging a bloodied and moaning man.

"Here is the pilot who was shelling houses of civilians!" someone says off-camera. "The heroes of Darret Ezza shot down his plane!"

@highlight

Rebels clash with the military near the Damascus airport, according to reports

@highlight

The airport is a key location for Bashar al-Assad's regime

@highlight

A U.S. observer says taking the airport would be a "psychological blow"

@highlight

More than 90% of Internet access is blocked in Syria, a monitoring group says