New York (CNN) -- Those following the news of the oil spill in the Gulf of Mexico may be surprised at how much is still unknown about the extent and movement of the oil, in particular below the sea surface, as engineers and scientists attempt to stanch the flow.

More than five weeks after the oil rig disaster, and even with today's sophisticated technology, tracking and measuring the spill remains a huge challenge. Understanding fundamental difficulties with measuring in deep water helps explain why.

Because oil is lighter than water, it tends to rise to the surface and form slicks that can be very damaging to the natural ecosystem, and ultimately the regional economy, as we are seeing now. Spraying chemical dispersants on the slick, as BP has, is one way to remove oil from the surface. The dispersants break the slick into small droplets, which are transferred down into the water column by waves and turbulence.

BP has also injected dispersants into the oil plumes rising from the oil rig's broken plumbing on the seabed to try to prevent oil slicks from forming on the surface at all. This appears to have been at least partly successful in reducing the size of the surface slicks.

The oil that does not reach the surface is dispersed through the water column by ocean currents. Instruments lowered from a research ship in the gulf have detected large oil plumes near the leak, more than 3,000 feet down. This is therefore the first spill where large plumes of oil have been observed spreading below the sea surface.

While we have some understanding of how much oil is sitting at the surface and where it is heading, we have virtually no idea how much oil and dispersants are drifting below the surface of the gulf, nor do we know where these pollutants are going.

It is notoriously difficult to take measurements at that depth. We can remotely survey large areas of the sea surface with planes and satellites but surveying the ocean's interior is vastly more difficult. Water blocks electromagnetic waves, such as light and radar, preventing us from imaging the deep.

To map underwater concentrations of oil and dispersants, instruments need to be lowered into the plumes to take measurements and samples that are later analyzed in a lab. Close to the source, where oil-droplet concentrations are high, it may be possible to map the plumes using sound waves, but dissolved chemicals, such as dispersants, cannot be detected with such acoustic methods at all. In other words, we can "see" what is at the surface, but to find out what is going on beneath the waves, we need to put our "feelers" out.

Decades of research on natural plumes, such as those rising from deep-water, hydrothermal hot springs on midocean ridges, and man-made plumes, such as sewage outfalls, have taught us that mapping subsurface plumes is time-consuming and costly. To put this into perspective, consider how hard it would be to map the ash cloud from the erupting volcano in Iceland if, instead of satellites, we were forced to use weather balloons.

Near the source of the oil plumes in the gulf, the sampling problem is particularly severe because "young" plumes tend to be extremely patchy (the oil distribution is very uneven). Varying ocean currents, such as tides and eddies, move the plume patches around continuously and randomly, and cause the plumes to spread. This makes sampling both easier, because the plumes become less patchy and therefore harder to miss; and more difficult, because the plumes become more dilute and therefore harder to detect.

With each passing day the problem gets worse as the oil spill's boundaries grow.

In recent days, scientists began mapping the subsurface oil plumes by ship and using unmanned underwater robots (floats and gliders). Unfortunately, these plume surveys are unlikely to produce a reliable estimate of the amount of oil dispersing through the gulf, especially since much of the oil may already be too dilute to detect.

To determine the extent of the oil spill, we will need to combine measurements with computer modeling. But even a perfect model cannot make valid predictions if the data are wrong. Therefore, it is crucial that the amount of oil leaking into the gulf be estimated accurately. I am hopeful that the recently formed "Flow Rate Technical Group," a multi-agency team that includes the National Oceanic and Atmospheric Administration, will be able to carry out this task with minimal outside interference.

It is equally important, however, to continue to collect data on the circulation in the gulf over the full water depth to validate and improve the realism of models for this spill.

And monitoring the circulation should continue even after the oil leak has been stopped, until the oil has dispersed sufficiently so as not to pose any further biological risk. In this way, we will have a better idea of the full environmental impact of this incident.

The opinions expressed in this commentary are solely those of Andreas Thurnherr.

@highlight

Andreas Thurnherr says it may surprise that much still unknown about spill's flow in deep sea

@highlight

Surface oil can be measured, he says, but vagaries of dispersal at depths thwart technology

@highlight

Thurnherr: Data collection must continue when spill is done to gauge environmental impact