(CNN) -- Another day, another toll in Syria's civil war: 213 dead.

For many around the world, the story of the fighting in Syria is a near daily listing of casualty figures that represent the devastation of war. For those on the ground, it's the reality of nearly two years of fighting with no end in sight.

It's that reality the country's principal opposition group says led it to suspend its participation in next week's meeting in Rome of the Friends of Syria -- an international conference of diplomats from more than 60 nations working to bring about an end to the violence.

"Enough is enough. The whole world is not doing anything," Adib Shishakly, a member of the Syrian National Coalition, told CNN on Friday. "We are not going to any more conferences."

In a statement released Friday, the coalition said it also would not accept upcoming invitations to meetings in Washington and Moscow.

What's next?

The war in Syria began in March 2011 when President Bashar al-Assad's government brutally cracked down on protesters, partly inspired by Arab Spring uprisings in the region, calling for political freedoms.

The protest movement quickly devolved into an armed conflict along somewhat sectarian lines between majority Sunnis and al-Assad's minority-Alawite dominated government. Alawites are an offshoot of Shiite Islam.

World leaders have been hard pressed to end the fighting with the U.N. Security Council hopelessly deadlocked amid concern the violence could spill over into neighboring countries and destabilize the region.

The United States, the European Union and the Arab League -- the backbone of the Friends of Syria -- have supplied aid to rebels in the form of communications equipment and humanitarian aid.

The rebels want more, specifically military aid in the form of arms and training.

"We want the U.S. to help the people on the ground," Shishakly said.

But countries have stopped short of providing military aid as many did to Libyan rebels over concerns about the unity of the fractious Syrian opposition. Concerns also have been raised about rebel ties to an al Qaeda affiliate, the al-Nusra Front, and other militant groups.

Counterproductive move?

The news that the National Coalition was pulling out of the meeting came as a surprise to the United States where at least one senior U.S. official warned the move would be counterproductive.

The meeting will provide the opposition its first opportunity to meet with new U.S. Secretary of State John Kerry, according to the official, who spoke on condition of anonymity.

The coalition did not notify the United States ahead of its decision, said the official, who was not authorized to release the information.

Britain urged the coalition to reconsider its move.

"It is important to have Coalition participation, and we strongly urge members to help win the arguments for achieving more support for the Opposition. The Coalition is making progress; it is not easy, but now is not the time to give up," the Foreign Office said in a statement.

The National Coalition, meanwhile, is pushing ahead with plans to create a transitional government despite al-Assad's refusal to cede power.

A head of the interim government will be named within 10 days, according to a statement released Friday by the group at the conclusion of a two-day meeting in Cairo.

See-saw battles

The announcement by the coalition comes as see-saw battles between government forces and rebels have reached a near draw in the civil war, with neither side gaining ground in recent months.

The fighting has spilled from the countryside into city centers, with rebels and government forces reportedly clashing in the capital city of Damascus as well the country's largest city of Aleppo.

The opposition Local Coordination Committees of Syria said 213 people killed in fighting across the country Friday. Of the casualties, 92 were killed in the opposition stronghold of Aleppo, according to the group.

CNN cannot confirm casualties as access to the country has been severely restricted.

The deaths in Aleppo, according to the opposition, occurred when Scud missiles were fired Friday by government forces at rebel strongholds in predominantly residential neighborhoods.

The missile attack came a day after a series of car bombs targeted government buildings in the capital city of Damascus, including the headquarters of al-Assad's ruling party, and left at least 53 people dead and more than 230 wounded.

The United Nations recently estimated 70,000 people died in the fighting in Syria.

CNN's Elise Labott and Chelsea Carter contributed to this report.

@highlight

"The whole world is not doing anything," a Syrian opposition member says

@highlight

The opposition says it is boycotting the Friends of Syria as a sign of protest

@highlight

The meeting of international diplomats is meeting next week in Rome