Lebanon (CNN) -- As world leaders debate what to do about Syria, one thing remains clear -- the plight and suffering of the people is only getting worse.

According to the United Nations, more than 100,000 Syrians have died in the conflict and about 2 million Syrians have fled their country, mostly to Jordan, Lebanon, and Turkey.

An estimated 6.8 million people are in desperate need inside Syria. As an aid worker for Mercy Corps for over a decade, I can attest that this is a humanitarian disaster of historic proportions.

Mercy Corps is already supporting nearly 2 million people affected by the crisis, and we are now working around the clock to prepare for a variety of possible scenarios that could play out in the coming days or weeks.

Although we haven't seen any significant change in the number of refugees crossing into Lebanon and Jordan yet, one likely scenario is a significant increase in refugees, and possibly a flood of families fleeing the violence in Syria.

These refugees will have immediate emergency needs -- like food, shelter, water and medical and psychological care -- but neighboring countries that are already hosting hundreds of thousands of refugees are overwhelmed and struggling to support any newcomers.

I see firsthand the tremendous burden the Syrian refugees are already placing on countries like Jordan, Turkey, Lebanon, and most recently Iraq. Their limited natural resources are being tapped, their economies are suffering and their own citizens are feeling the strain.

In Lebanon the influx has caused a spike in the cost of rent, food and basic necessities, and a drop in household incomes as refugees, desperate for work, accept lower than standard wages.

I recently met Ali Ahmad Obeid, a Lebanese small business owner, who has been running a carpentry shop for the past 14 years. Before the conflict, he had five employees and his business was thriving. But in the past two years, his business has suffered.

He told me: "I used to rent my shop for 350 thousand Lebanese Liras, now the price is double. I can't afford the rent and I had to let my employees go... I can barely feed my children."

This all creates tensions between the host communities and the refugees that has an additional destabilizing effect on the region, and that's a serious problem. The humanitarian response needs to address longer-term needs like creating jobs, while still providing urgently needed immediate assistance.

Despite these challenges, host countries and the international aid community are building transit reception areas to accommodate incoming refugees who may have to wait for immigration processing and registration in the case of a massive influx of new arrivals.

In Jordan, we are working closely with the U.N. and other aid organizations to prepare a new refugee camp (Azraq camp) located east of Amman. We are accelerating our work on providing water and child-friendly spaces, and the camp is scheduled to open in the next two weeks. It will accommodate 30,000 refugees upon opening, and can expand to accommodate up to 130,000 refugees.

Mercy Corps has pre-positioned aid packages for new refugees, who often arrive with only the clothes they are wearing. Mattresses, blankets, hygiene kits and baby-kits are on stand-by to meet a possible increased need. We are also expanding our child protection programs to ensure young refugees have access to psychosocial support and activities they desperately need to recover from the traumatic events they experience.

With no solution to the crisis on the horizon, the hope of refugees being able to return home anytime soon is remote. I've spoken with hundreds of refugees over the past year and most of them are realizing it will be a long haul. The majority of them don't see how the divisions that wrack Syria will be mended, but no one I have talked with has given up on their dream of returning.

'Slow response'

Ehmad, a teenager from Homs who came to Lebanon over a year ago, told me he was so homesick that he actually tried to return. Despite the fighting, he went back to Homs and found his neighborhood destroyed and totally deserted, and couldn't stay. Back in Lebanon, Ehmad told me he no longer cares who wins. "I just want the fighting to stop so we can go home and restore our country," he said.

Currently, the Syrian humanitarian crisis is woefully underfunded. From a private donor standpoint, Mercy Corps has raised just over $1 million for our Syria refugee work, mostly from a handful of major donors, but that is over two years. For the earthquake in Kashmir (2005) we raised more than $8 million in private donations in about two months. Without the necessary funding to run desperately needed programs, I am seeing more and more Syrian families and children facing desperate conditions.

Donor response to slow-onset, conflict-related humanitarian emergencies is always slow compared to rapid-onset natural disasters -- but giving to the Syrian crisis has been exceptionally slow. That said, giving has picked up recently as media coverage has intensified and we are reaching out aggressively to find the resources required to help families fleeing the violence.

However, as the conflict wears into a third year, governments and individuals need to make more funding available -- not only to the immediate crisis, but for longer-term solutions that include livelihoods and other economic enabling opportunities, and education for over a million refugee children.

It is also critical that neighboring countries keep their borders open to Syrians who need to flee the conflict, despite the challenges that these massive, mobile populations can bring with them.

Syrians are desperate, and their challenges will almost certainly get worse before they get better. This is the most complex humanitarian crisis of our time and it is more critical than ever that the international community strengthen its support.

The opinions expressed in this commentary are solely those of Cassandra Nelson.

@highlight

Nelson: I see firsthand the burden Syrian refugees are placing on neighboring countries

@highlight

The humanitarian response needs to address longer-term needs like creating jobs, she says

@highlight

Nelson says the hope of refugees being able to return home anytime soon is remote

@highlight

This is the most complex humanitarian crisis of our time, she writes