(CNN) -- There are few more concrete examples of the longtime rift between Catholics and Protestants in Northern Ireland than the walled city on the River Foyle.

Its official name, and the name used by most residents of the UK, is Londonderry. But Irish nationalists and Catholics call it simply Derry.

The city was a flashpoint for the violent conflict between unionists and nationalists that swept Ireland from the 1960s through the 1990s. Its Catholic and Protestant children attend segregated schools. Even today it's not uncommon for road signs pointing motorists to Londonderry to have the "London" blacked out by graffiti.

This weekend, however, Derry-Londonderry plays host to an event its organizers hope can help unite this divided city, at least for a few days. Called Lumiere, it's a four-day festival expected to attract tens of thousands of spectators to see the city's historic cathedrals, walls, bridges and squares illuminated by splashes of light. Projects range from LED and neon sculptures to large-scale projections by leading artists and lighting designers from Ireland and beyond.

"It (the city) has been a contested space for a very long time. And we're going there in the hope that ... maybe people who haven't felt comfortable standing next to each other in the streets will find an opportunity to do that," said Helen Marriage, co-director of Artichoke, a London-based company that stages large-scale public events across the UK.

"It may be a naive hope, but the hope is that communities who are divided by heritage or tradition or faith will find something new they can all enjoy together."

Marriage knows what she's talking about. In her eight years at Artichoke, which she co-founded with Nicky Webb, she has orchestrated numerous public, artistic spectacles in London and other cities. Each have drawn throngs of people who packed the streets, faces bright with wonder, to witness their city be transformed if only for a moment into something magical.

"I don't exaggerate the power of what we do," Marriage told CNN during her recent appearance at the PopTech conference, an annual gathering of artists, scientists and thought leaders in Camden, Maine. "But the way people are moved by the work, and the way it makes them feel about their town, is something that's hard to describe. You can absolutely feel it in the air."

The Sultan's Elephant

In retrospect, the birth of Artichoke's first project was a minor miracle.

In the early 2000s, Marriage and Webb wanted to bring Royal de Luxe, a French street-theater company, to London to mount a spectacle in the streets with enormous marionettes acting out a fanciful story about a young girl and a time-traveling elephant. Marriage had to persuade skeptical city officials to shut down parts of central London and reroute traffic while convincing them the event wasn't just a piece of frivolous disruption.

"You can imagine sitting in front of 25 gentlemen in various uniforms and suits, and saying, 'Hey guys, it's a kind of fairy story, about an elephant and a little girl. And we'd like to shut the city (down) for four days,'" she said. "A lot of them admitted afterwards that they thought we were mad."

This lobbying effort took Marriage five years.

"I used to go to these meetings and say, 'Please, may I do this?' And then I realized I was asking the wrong question. If you say to somebody, 'Please may I do this thing that's a bit unusual,' you're placing them in a position where they have to authorize your unusual behavior. And of course their instinct is to say no," she said.

"So I said, 'This is happening, on these dates. How can you help me?' And immediately the response was different. Because nobody was being asked to take responsibility for something they couldn't possibly imagine. Nobody ever really said yes. They just stopped saying no."

The event, "The Sultan's Elephant," was a huge success in May 2006. Londoners, despite anxieties about crowded public spaces after the terrorist bombings that had rocked the city 10 months earlier, turned out in droves.

Crime in London plummeted that weekend, and the event -- funded by government arts agencies and private donors -- generated an estimated 28 million pounds to the city's economy, Marriage said.

To her, the emotional impact was even greater.

"People really took it to their hearts," she said. "It's always an incredible moment when the city is returned to the people who live and work there. And they can wander freely as if in a playground, for no better reason than something is happening that they love. The real point of it is to create a moment of magic and wonder in people's lives."

Plinthers and a Telectroscope

Artichoke's subsequent projects were smaller in scale but no less imaginative. In 2008, they worked with British artist Paul St. George to unveil the Telectroscope, a fanciful contraption that claimed to link London and New York by means of a transatlantic tunnel and lots of mirrors.

Thanks to a fast broadband connection, people in London could peer into the "tunnel" and see a live feed of New York City, and vice versa. Thousands invested in the illusion that they were peeking through a subterranean scope at the other side of the world.

Marriage and her team followed that in 2009 with "One & Other," which took over London's Trafalgar Square for 100 days and nights. The square's famous monument to Adm. Horatio Nelson is flanked by four smaller plinths, or platforms -- one of which sits empty. So Artichoke turned it into a monument to living Brits by inviting people to be hoisted atop the plinth to do whatever they pleased for one hour.

The rules: Only one person would be allowed at a time, they could take up only what they could carry, and they couldn't do anything illegal.

More than 35,000 applied and the winners -- "plinthers," they were called -- were picked randomly by lottery and assigned a time. The event began in July and ran for 2,400 hours, day and night, with a new person occupying the plinth each hour. Many used their 60 minutes for performance art, others for tribute or protest. Some played music. Twelve stripped naked. One man proposed to his girlfriend.

"People used it in incredibly imaginative ways," Marriage said. "The summary of all of those hours became the artwork. It was sort of a portrait of a nation at that point in our history.

"We always choose projects where we can insert the project itself into the DNA of the city," she continued. "We don't work in galleries or opera houses or theaters. We work in the streets, using the buildings of the city, the architecture of the city, as the stage."

Cities of light

Then came the first Lumiere festival, held in November 2009 in Durham, a small medieval city in northern England. For four dark, wintry nights, Artichoke's artists transformed its cityscape of castles, stone walls and cobbled streets into gleaming spectacles of light.

The festival proved so popular that it was repeated in 2011 and then again earlier this month, when an estimated 175,000 people came to view 22 installations across the city.

The success of Lumiere in Durham inspired Marriage to double down this year on the festival in Derry-Londonderry. In planning the event, she and Artichoke were careful to embrace both Irish and English traditions and to include members from Catholic and Protestant communities.

"Many of the works that we have commissioned have been made to reflect on the city's divided history and the current progress being made towards its shared future," she said.

At its simplest level, Lumiere invites people to come out and enjoy artworks specially designed for each nook and cranny of its historic host cities. Whether the Derry-Londonderry festival, which closes Sunday night, has a more profound, lasting impact remains to be seen.

But Marriage is optimistic.

Based on her experiences with past Artichoke events, she believes "the simple act of sharing a newly imagined world leaves a lasting legacy in all those who experience it."

@highlight

Helen Marriage is co-director of Artichoke, a creative company that stages big public street events

@highlight

The company's newest project, a festival of illuminated art, is underway in the UK

@highlight

Festival, called Lumiere, seeks to help unite divided Irish city of Derry-Londonderry

@highlight

Marriage spoke to CNN at PopTech, an annual conference in Camden, Maine