After years of speculation and rare case reports, a study suggests that stimulant medication -- mostly used to treat attention deficit hyperactivity disorder -- may have played a role in a handful of cases of sudden, unexplained death in children and adolescents.

Untreated ADHD can lead to  poor school  performance and increase adolescents' risk for harmful behavior.

The study authors stress, however, that parents and doctors should not refrain from treating children with ADHD just because of these results.

"The association is significant in that it's real, but that doesn't mean it's not a very low risk," says lead author Madelyn S. Gould, Ph.D., a professor of psychiatry and public health at Columbia University, in New York. "There probably does need to be more careful monitoring, but the bottom line is that parents should not take their children off stimulant medication they're currently on and should not be scared to have their child go on a stimulant if that's what they and their doctors decide is the best thing for their child."

The study, published this week in the American Journal of Psychiatry, is the first to suggest that the stimulants may pose a risk -- albeit remote -- in children without underlying heart problems. About 2.5 million children in the United States take such medications.

Stimulants linked to 1.8 percent of unexplained deaths

Gould and her colleagues compared medical records and parent interviews of children and adolescents who had died between the years of 1985 and 1996, including 564 who had died from an unexplained heart-rate abnormality or other causes, and 564 who died as passengers in motor vehicle accidents. They excluded cases with other known possible causes of death, such as asthma or congenital heart diseases.

Of all the unexplained cases, the researchers found that 10 children, or 1.8 percent of the group, had had stimulant medication prescribed. This compared with only two cases of stimulant use, or 0.4 percent, among healthy children who had died in motor vehicle accidents -- a group used to represent a general population of healthy children and adolescents. Health.com: Treatment options for ADHD at any age

In all 10 cases, the children were taking methylphenidate, the active ingredient in Ritalin and Concerta. A similar drug, Adderall, is composed of mixed amphetamine salts and was not included in the study results because it was first approved in 1996.

However, the Food and Drug Administration in 2006 asked the manufacturers of stimulants, including Adderall, to add a warning to their label saying the medications should not be used in children with structural heart abnormalities or other heart problems. At the time, the FDA advisory panel rejected a more stringent black-box warning about the possible risk of sudden unexplained death.

Strattera, another medication approved for ADHD in children, is not a stimulant medication.

A spokesperson for McNeil Pediatrics, which distributes and markets Concerta, says the company welcomes any data that add to the body of knowledge in this therapeutic area, but did not make a specific comment on the new study.

Michael Billings, a spokesperson for Novartis, the manufacturer of Ritalin, notes that the drug has been used for more than 50 years and is the most studied ADHD medication. Health.com: Secrets to a stress-free home

"For all of its products, Novartis reviews its global safety and efficacy through post-marketing surveillance and consistently reports new information to health authorities on an ongoing basis," says Billings. "Review of Novartis safety data has failed to detect an increased risk in sudden cardiac death associated with methylphenidate use."

Not a watershed moment, researchers say

Gould says it's important to report this association, but she is also concerned about the results being misinterpreted. "We're very sensitive to not wanting this to be some watershed moment where stimulant medications start to get used less and get used inappropriately," she explains.

In an editorial accompanying the article, Benedetto Vitiello, M.D., and Kenneth Towbin, M.D., of the National Institute of Mental Health, agree with Gould's concerns. Health.com: The Top 5 cholesterol myths

They write that the study findings "should underscore that stimulant medications are not innocuous and that their therapeutic use requires careful diagnostic assessment, diligent safety screening, and ongoing monitoring.

"However, it is equally clear that sudden, unexplained death is a rare event, this is only the first such study, it relies on small numbers, and it is not possible to quantify the risk beyond estimating that it is very small."

Indeed, since a double-blind, placebo-controlled trial isn't ethically possible in this situation, it is hard to conduct a study that's not without flaws.

Although the researchers are confident that the results are not due to any underlying factors -- children with ADHD often have asthma and heart conditions also linked with sudden death, and so these cases were eliminated from the analysis --"one can never be 100 percent sure that there aren't other unknown or undiagnosed issues," says Gould. Health.com: Slideshow: Celebrities with ADHD

James Perrin, M.D., a professor of pediatrics at Harvard Medical School and Massachusetts General Hospital for Children, says the study isn't surprising "nor particularly convincing." He says the research is flawed because, among other problems, it may have underestimated the number of children who were taking stimulants. The rate of stimulant use, particularly in the accident-related deaths, was lower than expected, he says.

"The study adds very little to what we already know, i.e., that some children who receive stimulants experience sudden unexpected death," says Dr. Perrin, who was not involved in the study. "The current study should not change the use of any medications or treatments."

More research, careful monitoring is needed

Stimulant medications currently contain a warning targeted to specific high-risk children, including those with structural heart defects, cardiomyopathy, or heart-rhythm disturbances. The medication labels also warn that stimulants may raise blood pressure and heart rate, and have been linked with stroke and heart attack in adults.

When deciding whether to put a child on stimulant medications, both clinicians and parents should weigh the seriousness of the situation, says Gould. The benefits may not outweigh the risk in cases in which attention problems may be keeping a B-student from becoming an A-student, she explains. Health.com: Yoga moves to beat ease stress, insomnia, and pain

But with more serious cases, the choice should be clearer. Untreated ADHD can be harmful in itself, leading to poor performance in school and increasing adolescents' risk for harmful behavior such as reckless driving, unsafe sexual practices, and substance abuse.

"I have two boys, now grown, so I can certainly relate to parents facing these decisions," Gould says. "If my child was having problems to the extent that a neurologist or psychiatrist was recommending medication, I would want the medication -- although, even though we didn't discuss this specifically in the study, I would want my child to have an EKG."

In 2008, the American Heart Association recommended that doctors consider routine electrocardiograms before starting children with ADHD on stimulants or other psychotropic medications, but underscored the need for future research. An EKG may help to detect cardiac abnormalities that would increase a child's vulnerability to sudden heart problems.

Parents considering stimulant medication for their children should also provide their doctor with a detailed family history, including any heart problems or sudden deaths of close family members.

Future research should focus on new ways to detect which children are most at risk for sudden death when taking stimulants, says Gould, since not all cases seem to be detectable with routine screenings. Until then, a thorough examination and careful monitoring is the best way to reduce a child's danger.

The study was funded by a grant from the NIMH and a contract with the FDA.

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

Study: Stimulant meds, often used in ADHD, may have role in kids' deaths

@highlight

Authors warn parents not to stop treating kids with ADHD; risk is low

@highlight

Stimulant meds currently contain a warning targeted to specific high-risk children

@highlight

About 2.5 million U.S. children take such medications