(CNN) -- Whether Moammar Gadhafi stays or goes, the turmoil-wracked country is likely to be in for more of a rough time, two Libya experts told CNN Monday.

"Whichever way this goes, I think there's going to be a good amount of chaos," said Diederik Vandewalle, associate professor of government at Dartmouth College.

During his 42 years in power, Gadhafi has limited the formation of political and other institutions, Vandewalle said. "All civil society organizations have been eviscerated by the regime," he said.

In a telephone interview Monday night, he predicted more bloodshed if Gadhafi steps aside. "We could see some tribal uprisings" as competing groups seek a share of Libya's oil wealth, he said, describing the likely scenario as "not very pretty."

But, he added, oil exports will likely continue after "some" interruption. "It would be in the interest of all parties that oil keep flowing," he said, dismissing as unlikely any apocalyptic scenario in which Libya would descend into civil war.

The current uncertainty will likely be decided in the next few days, he predicted. "It seems to me that we're in an endgame here," he said. "The big question is how much bloodshed we're going to see." He called the violence against unarmed civilians "extraordinary, but not surprising from a regime that's truly entrenched."

There are few candidates in the wings to replace Gadhafi -- "no younger leadership able to assume that mantle of leadership," he said.

But Gadhafi's imminent departure is not a foregone conclusion, he added, putting the odds at "80% go, 20% stay."

Ronald Bruce St John, who has written seven books on Libya, said Gadhafi's reign appears to be drawing quickly to a close. "He's losing support by the hour from critical people in his regime," he said.

But St John said it was unlikely that the next leader would emerge from the military, since Gadhafi has long sought to keep the institution at arm's length.

"Though he was an army officer when he came to power and was supported by the military and all the original members of the Revolutionary Command Council were from the military, he has, from the beginning, evidenced a great distrust for the military," St John said. "He recognized it as the most likely power to overthrow him."

As a result, Gadhafi has routinely rotated commanders "so no one established a base of support."

Unlike Egyptians, who were seeking a more liberal system, Libyans want a new system, St John said. Accomplishing that will mean "a great deal of chaos in the short term," he predicted.

"If he does leave, I think we'll see the tribal leadership of Libya, probably through social leadership committees, trying to come up with some kind of a nonviolent solution," he said.

St John noted that two major tribes had already withdrawn their support of Gadhafi. One of them, the Warfala tribe, has long been a supporter. The other, the Zuwayya, is one of the larger tribes of eastern Libya and is located near the terminals from where oil is exported. "That's a significant loss," he said.

Though another strongman could emerge, St John predicted instead that a nationwide network of "social leadership" committees set up by Gadhafi in 1993 and composed primarily of traditional leaders and tribal leaders would seek to take charge.

Gadhafi had tried without success to eliminate the more than 100 tribes in Libya in an effort that lasted from 1969 to 1980, St John said. So in 1993, the leader made a dramatic move -- reinforcing the tribal system and recognizing its leaders as important by creating social leadership positions, St John said.

The leaders were given power at the local level as well as such "goodies" as housing and scholarships for their tribal members, he said. But the gifts came with a catch: "In turn, you must recognize that you're in charge of your tribe," St John said. "If they step out of line, we'll go to you."

If Gadhafi leaves power, "those tribal leaders will try to find a way to put together some kind of a new government," he predicted. "I think you'll see the tribes being the ones that will, in the short term anyway, try to find a way through the obvious chaos that's going to occur."

Are you there? Share photos, video

Not everyone predicts rough sailing. Sayyid Idris Al-Senussi, an exiled Libyan opposition figure who said his great-uncle was overthrown by Gadhafi, predicted that any transition would go smoothly.

"If Gadhafi departs, there will be no problem," he told CNN in a telephone interview from Washington. "There will be a national council, which would be represented by all the tribes and all the Libyans from all different walks of life."

He said the opposition already has a constitution and a flag ready for use in the event of Gadhafi's departure.

"We will have a democracy," he predicted. "After this experience, I don't think they'll allow anybody to single-handedly rule."

Despite an exile that has lasted four decades, Al-Senussi said he would return to Libya "in a heartbeat."

But Dartmouth's Vandewalle said Al-Senussi and his relatives would have little hope of gaining a position of power upon their return.

"It's about as likely that they'll get back in power as the Marcoses in the Philippines," he said, referring to the family of the former president of the Philippines, Ferdinand Marcos, who in 1986 fled a military rebellion and moved to Hawaii.

@highlight

"I think there's going to be a good amount of chaos," says one Libya expert

@highlight

Gadhafi has "eviscerated" civil society organizations

@highlight

Tribal leaders expected to seek a solution