Editor's note: Nell Minow is editor and chairwoman of the Corporate Library, an independent research company, and was named one of the 20 most influential people in corporate governance by Directorship magazine and "the queen of good corporate governance" by BusinessWeek Online. She has co-written three books.

Nell Minow says AIG's board must be held accountable for the $160 million in bonus payments.

(CNN) -- The stories about the outrageous $160 million bonus payments at AIG have all omitted the most important names.

They are the members of AIG's Board of Directors Compensation Committee.

These people should have been on the hot seat before the House Financial Services Subcommittee on Capital Markets, Insurance, and Government Sponsored Enterprises, alongside CEO Ed Liddy. Although there is a lot of blame to go around, ultimately the buck stops -- or, I should say, the bucks should have stopped -- with them.

Why haven't we learned that it is the boards who are responsible for the massive failures of strategy and risk management at these companies? Regulators, journalists, securities analysts and investors routinely ignore the most obvious indicators of investment risk that are presented by bad boards of directors.

This is particularly obvious in the case of AIG, which has been a serial offender in corporate governance, especially in executive compensation.

Those of us who remember former CEO Hank Greenberg's departure from AIG in 2005, after a corporate governance meltdown that included excessive compensation, appreciate the irony of his comment to ABC News that the retention bonuses were "mind-boggling." Mr. Kettle, Pot is on line 1.

Compensation committees are not responsible for individual pay packages below the CEO, but they are responsible for determining their overall structure -- and for making sure that the CEO's job includes effective management on compensation issues.

Retention of employees may be a legitimate goal of a compensation program, but it can be accomplished in a way that is both effective and credible by being tied to performance goals and by delaying vesting until after the bailout funds are returned to taxpayers.

The Corporate Library released a report in February about the boards of the bailout companies, many of which were outliers in their governance and compensation practices. Some of these were clear indicators of investment and liability risk. In several cases, we found individuals who not only sat on more than four corporate boards but also sat on more than one of these particularly troubled boards during this period.

Former White House Chief of Staff Erskine Bowles, for example, served on the boards of Morgan Stanley, General Motors and Wachovia -- and at various times was also a director at Merck, VF Corp., Krispy Kreme and Cousins Properties.

Several other directors from these troubled boards also sat on either five or six boards altogether. We call the phenomenon of directors who serve on four or more corporate boards "overboarding."

Overboarding can limit the time and attention a director has for each board. It can also be an indicator of -- or a contributor to -- so many relationships and connections that it makes it more difficult to provide the respectful skepticism necessary for independent oversight.

In all, 11 of the 27 companies we identified as "troubled" had at least one overboarded director. Six had more than one; at Merrill Lynch, there were five. By comparison, fewer than 30 percent of S&P 500 companies have even a single overboarded director, and fewer than 5 percent have more than one.

Another key finding from our analysis: Shareholders at these companies were well aware of the relative weakness of these boards and had expressed their dissatisfaction by withholding votes from many of these individuals the year before these companies collapsed.

At least 13 individual directors, all of whom sat on at least three corporate boards during this period, had received a 13 percent or higher negative vote.

The highest of these was a 38.58 percent negative vote received by Sir Winfried F.W. Bischoff at McGraw-Hill, where he sat on the compensation committee. Bischoff also served on the boards at Citigroup (as chairman and interim CEO), Eli Lilly and Prudential.

Although the businesses of these companies do not overlap enough to impair Bischoff's designation as an "independent" director or to create legal conflict of interest concerns, it is relevant that McGraw-Hill owns ratings agency Standard & Poor's, which not only rates the other companies for which he was a director but also issues ratings on which the other companies rely in their assessment of risk.

Because of the extensive involvement that financial services companies have in many different aspects of the business of large public corporations, directors of those companies in particular should be especially cautious about overlaps and conflicts.

Badly designed compensation is an indicator of poor corporate governance, and poor corporate governance is an indicator of investment risk. Instead of trying to tax the bonuses at AIG, the government and the shareholders should insist on new directors.

The company's Web site says the compensation committee has five members. The two longest serving ones are James F. Orr III, who joined the committee on May 17, 2006 and Virginia M. Rometty, who joined it on January 17, 2007, according to the company's 2007 proxy statement.

The committee's charter says its responsibility include making recommendations to the full board regarding AIG's compensation programs and reviewing and approving any hiring, severance or termination payments.

People say that the definition of insanity is doing the same thing over again and expecting a different result. In this case, insanity is allowing the same people to continue to serve on the board after massive failure and expecting them to produce a different result.

The opinions expressed in this commentary are solely those of Nell Minow.

@highlight

Nell Minow: People often overlook crucial role of company board of directors

@highlight

She says AIG's board is ultimately responsible for the firm's mistakes

@highlight

Minow: Compensation committee members should be held to account

@highlight

She says many finance firm board members are too busy on other boards