(CNN) -- The mysterious visitor stands in a patch of scrubland in Somalia, surrounded by Islamic militants wielding AK-47s. His face is covered by a white-and-red headscarf; he is slim and seems young. But there is something puzzling about him: His skin is fair, and when he speaks in an audio recording, his English is near perfect and spoken with a North American accent.

The militants -- belonging to Al-Shabaab -- say his name is Abu Abdulla Almuhajir (the foreigner). And they say he is an envoy from the al Qaeda leader, Ayman al Zawahiri, thousands of miles away in Pakistan.

Almuhajir has turned up in the desolate scrubland, they say, to offer al Qaeda's help with famine relief. Photographs show him at what appears to be an aid camp that Al-Shabaab claims it has set up for victims of the famine. The recording says he is delivering aid that al Qaeda had purportedly collected, including food, clothing and $12,000 converted into Somali currency.

A video showing the images and audio recording was posted to Islamist websites last week. U.S. counter-terrorism agencies are still trying to ascertain Almuhajir's identity and whether he really was an al Qaeda envoy -- about which there is some doubt.

The event, at which a large group of Somalis were shown sitting crossed-legged on the ground, was clearly a propaganda ploy by Al-Shabaab to boost its popularity -- and that of the al Qaeda brand. International aid agencies have sharply criticized the group for banning or obstructing aid in areas in central and southern Somalia worst hit by the famine. The group's brutal imposition of Taliban-like practices in territory under its control has also alienated many Somalis.

If authentic, the event suggests a strengthening of the relationship between hard-line factions of Al-Shabaab and al Qaeda. Though factions of the group have long been allied with al Qaeda and share its vision of global jihad, the video of the meeting would be a rare demonstration of such ties.

The so-called emissary told his Somali audience that al Qaeda felt their pain and urged Muslims to support Al-Shabaab, which is fighting Somalia's government in an effort to implement a stricter form of Islamic law. He also recalled Osama bin Laden's long interest in Somalia, saying he "played a major role in repelling invading forces of the Muslim land in Somalia."

And Almuhajir promised that al Qaeda's new leader, Zawahiri, would continue that support.

"In a recent release, Sheikh Ayman brought the drought in Somalia to the attention of the Muslim Ummah (or global Muslim community) and encouraged them to support their brothers in Somalia," he said.

Western counter-terrorism analysts have been puzzling over the identity of "the foreigner." Several Americans and Canadians are believed to have joined al Qaeda in Pakistan in recent years and risen through the group's hierarchy. The most prominent has been Oregon-born Adam Gadahn, 33, al Qaeda's English-language spokesman who joined forces with the group around a decade ago. But counter-terrorism analysts say that Gadahn's voice (and waistline) is very different from that of the mysterious al Qaeda envoy pictured in the Al-Shabaab video.

Another candidate is Adnan Shukrijumah, 36, an American citizen born in Saudi Arabia who spent much of his youth in New York and South Florida, who joined al Qaeda around the time of 9/11 and rose up the ranks to become a planner for the group's external operations. But the envoy appears to have fairer skin than Shukrijumah. And then there is Jude Kenan Mohammed, 22, from Raleigh, North Carolina. He is believed to be still at large in Pakistan after leaving the United States in October 2008 to allegedly wage jihad. Just after he arrived, he was arrested by Pakistani officials, charged with weapons possession and released on bail. The following year, he failed to show up to his court hearing, suggesting he may have slipped into tribal areas.

It may be that the whole event was manufactured in an effort to bolster Al-Shabaab's credentials after a series of military setbacks. Sending an al Qaeda envoy from Pakistan to Somalia -- especially a Caucasian -- would be risky. And there are more than a dozen North Americans (from both the U.S. and Canada) who have gravitated to Somalia to wage jihad in recent years, among them Abu Mansoor al-Amriki. The 27-year old from Alabama, whose real name is Omar Hammami, has produced Al-Shabaab hip-hop videos in an effort to extend the group's appeal to English-speaking youths. Despite several unconfirmed reports that he had been killed, Hammami remains on the FBI's most-wanted list. But his voice is not an obvious match to that of the mysterious al Qaeda envoy.

Al-Shabaab still controls most of central and southern Somalia, and has recently shown ambitions to take its campaign beyond Somalia's borders. In July 2010, the group carried out a pair of deadly bombings in Kampala, Uganda, killing more than 70 people. it was the first attack the group launched outside Somalia, and was in retaliation, Al-Shabaab claimed, for Uganda's deployment of peace support forces in Somalia.

In September, the U.S. Africa Command warned that Al-Shabaab, Boko Haram in Nigeria and al Qaeda in the Islamic Maghreb were trying to synchronize their efforts to launch attacks on U.S and Western interests, but had yet to show a significant capability to export terror. There is also evidence, according to Western intelligence officials, of cooperation between Al-Shabaab and the al Qaeda affiliate in Yemen.

But within Somalia, the group is under growing pressure. It has been pushed from its last redoubts in the capital, Mogadishu, even though it retains the ability to launch suicide bombings in the city. And in recent weeks, Kenya has accused Al-Shabaab of kidnapping Western tourists and aid workers in northern Kenya, allegations which the Somali group denies. Kenyan troops have launched a cross-border operation against Al-Shabaab in southern Somalia with the apparent intention of setting up a buffer zone across the border.

That's prompted the threat of retaliatory strikes inside Kenya. "The Kenyan public must understand that the impetuous decision by their troops to cross the border into Somalia will not be without severe repercussions," the group said in a news release in English on Monday.

Somalia analysts view this threat as real but believe Al-Shabaab will carefully weigh the costs and benefits of any such reprisal. The Somali group has an extensive presence in Nairobi -- home to a quarter-million Somali refugees -- and operates a network of safe houses in the city. "They could easily tear apart Nairobi, but they've done nothing there at all because they realize this is their golden egg," said Michael Taarnby, an Al-Shabaab expert at the University of Central Florida.

@highlight

Recording, images on Islamist websites purport to show fair-skinned man fluent in English

@highlight

Al-Shabaab militants say he's from al Qaeda leader al Zawahiri, in Somalia to dispense aid

@highlight

Event suggests a strengthening of ties between Al-Shabaab and al Qaeda hard-liners

@highlight

But the identitiy of the man hasn't been determined, and the event may be a ploy