(CNN) -- The president of the Maldives, one of the world's most popular honeymoon destinations, resigned Tuesday after a revolt by police officers, his spokesman said, leaving the normally idyllic chain of islands in chaos.

Mohamed Nasheed was the first democratically elected president of the Indian Ocean nation in three decades.

"This morning, about 500 opposition supporters along with some Islamic hardliners protested outside the army headquarters, shouting slogans, and some police officers mutinied and joined them," Nasheed's spokeman said. "And so, the president was in a situation where he could either tell the army to forcibly crack down on the protesters or he could step down. He chose the latter.

"This is a situation where the first democratically elected president in the Maldives is taken down by a former dictator and his supporters," the spokesman said.

Nasheed said in a nationally televised address that he was stepping down because he didn't feel he was able to maintain security and peace in the country, which attracts hundreds of thousands of tourists every year.

Strategically located in the Indian Ocean but extremely poor, the country is threatened by rising sea levels. Nasheed once held a Cabinet meeting underwater, with ministers wearing scuba gear, to highlight the problem.

Vice President Mohammed Waheed Hassan was sworn in as president shortly after Nasheed resigned.

But journalist Sumon Chakrabarti, who is at work on a book about the Maldives, suggested Hassan is a puppet who would not last.

"He comes from a very small political party. He's respected as an academic" but has little support of his own, Chakrabarti said. "I doubt how long they will allow this man to remain in power."

Chakrabarti said he felt the coup was "the end of democracy in the Maldives. It throws the whole notion of democracy out of the window."

And that is a cause for international concern, he said.

"Here was the country's first democratically elected president and he was forced to resign by a cocktail of religious extremists, the brother of the former president... forces like businessmen who are also members of Parliament, and then the police force, which was always loyal to the former dictator," he said.

The police officers appeared to have sided with the Progressive Party, which is loyal to former president Maumoon Abdul Gayoom, who ruled Maldives for 30 years before Nasheed defeated him.

Nasheed had faced strong criticism in recent months from opposition groups calling for Islam to play a greater role in the running of the country, spurred in part by the supporters of Gayoom.

The country is more than 98% Muslim, according to a 2011 Pew Forum report on the global Muslim population.

The coup signals a rise in extremism, Chakrabarti said. "It's going from being one of the most moderate Muslim nations on Earth towards extremism," he said.

The different political parties in the country, an archipelago of almost 1,200 coral islands south-southwest of India, planned to meet Tuesday afternoon to discuss the next step, said Bunya Maumoon, a spokeswoman for the Progressive Party.

In 2008, Nasheed became the country's first democratically elected president in 30 years.

The nation was rocked by violent protests last year that Nasheed accused Gayoom's supporters of orchestrating. But demonstrators said at the time they were protesting economic conditions, created by reforms imposed by Nasheed.

The government also clashed with opposition groups in December over the issues of massage parlors and the sale of pork and alcohol in resorts.

Tuesday's events unfolded after about 200 policemen gathered in Republic Square in the capital, Male, according to Ahmed Rasheed, an executive producer at the state TV station.

A peaceful standoff with members of the Maldives defense forces in the square turned violent early Tuesday morning, he said, describing the situation in Male as "chaos."

The policemen took over the state TV station later Tuesday morning. They changed its name from the Maldives National Broadcasting Corporation back to its old name, Television Maldives.

Gayoom is still considered a hero by many in Maldives who credit him for transforming a fishing culture into a tourist nation.

During his long rule, Nasheed was among his fiercest critics, alleging that Gayoom ruled with an iron fist, crushing dissent, amassing wealth and stacking his administration with friends and relatives.

Nasheed was arrested as a journalist several times and held as a political prisoner.

Until his defeat by Nasheed, Gayoom won six previous elections as the only candidate on the ballot.

He had sought a seventh five-year term, saying that he would need a few more years to see through the reforms he has put in place.

Maldives is also grappling with a very likely possibility that it will go under water if the current pace of climate change keeps raising sea levels.

Most of it lies just 4.9 feet (1.5 meters) above sea

The United Nations' Intergovernmental Panel of Climate Change has forecast a rise in sea levels of at least 7.1 inches (18 cm) by the end of the century.

Male is already protected by sea walls. But creating a similar barrier around the rest of the country will be cost-prohibitive.

Soon after his election, Nasheed raised the possibility of finding a new homeland for the country's approximately 400,000 residents.

He is the subject of an upcoming documentary, "The Island President," that tells the story of his efforts to raise awareness of climate change.

CNN's Sarita Harilela, Sumnima Das and Judy Kwon contributed to this report.

@highlight

NEW: The Maldives is going from moderate Islam towards extremism, an analyst says

@highlight

NEW: The vice president is sworn in as president, a TV broadcast shows

@highlight

The country's political parties will meet later Tuesday to consider next steps

@highlight

Spokesman: Nasheed chose to step down rather than have the army to crack down