What kind of font are you? Which do you find most attractive? And how can this help with your love life?

This might sound like copy from a cheap dating website. But according to Sarah Hyndman, a British designer specializing in typography, our taste in fonts reveals more about us than we'd expect.

"Fonts form a kind of language of their own, and we are all unconsciously fluent in it," she says when I visit her studio in Hackney, north London.

"Each font gives a different message and atmosphere, and we instinctively understand that. Typefaces have a deep significance for everyone."

In other words, they may reveal who we really are. And what we desire.

Smelling fonts

Hyndman recently gave a lecture at the London Design Festival that explored the complex network of associations triggered by different fonts.

By way of demonstration, she lines up three bottles on the table, next to a sample of three fonts: Comic Sans, Times New Roman and Helvetica.

As bizarre as it sounds, my job is to match up the bottles and fonts using only my sense of smell.

The first bottle, when opened, smells of bubblegum. There's no question that this is Comic Sans. The second gives out the aroma of coffee: Times New Roman. And the last one contains a neutral, Helvetica odor.

It was surprisingly easy. "More than 80% of people give the same answer," she says. "This shows how deeply typography is embedded in our psyche."

Hyndman is working with scientists at the Crossmodal Research Laboratory at Oxford University to establish the links between certain fonts and our senses, including taste, hearing and smell.

"We've found that rounded fonts are commonly associated with deep reds and sweet tastes," she says.

"Jagged, angular typefaces evoke salty or sour tastes, and harsh sounds.

"This may be based in evolution. When our ancestors were foraging, sweet, sugary foods were the supreme energy source. And they used all their senses to identify them."

Finding love

How can all of this be applied to the game of love?

To illustrate, Hyndman takes out another collection of props: candy bags with different fonts pinned to the outside.

This time, my job is to choose the one that best reflects my personality, and the one that would represent a desirable partner.

I think for a moment, and decide that Gill Sans is the most "me".

Inside the bag -- in addition to font-shaped candy -- is a description of my personality.

"You are a traditionalist, your news comes via the BBC and you use correct grammar in texts and tweets," it says. "Your ability to communicate clearly and in a friendly tone of voice will being future opportunities your way."

This analysis is based on the cultural context of the Gill Sans font, which was created in 1926 by Eric Gill, who was inspired by Edward Johnston's iconic London Underground typeface.

It was quickly adopted by British Rail and Penguin Books, as well as the BBC. So the fact that I was drawn to it, apparently, indicates that I'm an establishment kind of guy.

To which I respond: meh.

What about my ideal partner?

I dither for a moment, then plump for Caslon. It seems elegant, characterful and balanced, somehow.

The perfect type?

My ideal woman, I discover, has "strong ties to [her] home but has travel in [her] future. [She] will be influential in the Americas". This is because Caslon, though invented in Britain in the 18th Century, became extremely popular in America.

It was Benjamin Franklin's favorite font, and was used both on the Presidential Seal and the Declaration of Independence.

Now, my wife has no significant connections to the United States. But I do write for CNN (whose logo, Hyndman says, is "sweet with a little bit of savory, a little twist of crunch").

Perhaps my choice of fonts actually describes my employer? Either way, it is a good idea to try out Hyndman's online font-based personality test.

Admittedly, it's not completely watertight. But it might just increase your chances of finding someone that is just your type.

For those interested to know more, Sarah Hyndman has launched a new series of "Tuesday Type Tastings" in London.

More from Style:

Biodesign: Why the future of our cities is soft and hairy

The amazing art on these Communist-era houses was a rebellion back then

@highlight

New font-based personality quiz can help you identify your perfect partner

@highlight

British designer Sarah Hyndman believes our taste in fonts can be very revealing

@highlight

Try the test and see if you can find your type of lover