(CNN) -- In 2007 and 2008, the American economy suffered through its greatest crisis since the Great Depression. The Treasury Department estimates that from 2007 to 2009, the heart of the Great Recession, more than 8.8 million American jobs disappeared and more than $19 trillion in household wealth was lost.

In response to the crisis, the federal government took steps to reform our financial system, most significantly, passage of the Dodd-Frank Wall Street Reform and Consumer Protection Act. Signed into law by President Barack Obama four years ago Monday, this bill was designed to improve accountability and transparency in our financial system, ensuring we never again face a financial crisis of this magnitude.

Regrettably, Dodd-Frank has done little to address the root causes of this crisis. Instead, by institutionalizing bailouts and undermining a competitive and fair marketplace, this law has joined Obamacare as another example of big government overreach that has ultimately done more harm than good for the American people.

Wall Street reform law only half done

At 849 pages, Dodd-Frank touches nearly every aspect of our financial system, from capital ratios of large financial institutions down to new rules on the credit cards most Americans have in their wallets.

Dodd-Frank has only grown larger since Obama signed it. Much of the statutory text tasks Washington bureaucrats with writing nearly 400 rules. As of the first of this month, law firm Davis Polk reported 45% of rulemaking deadlines have been missed.

Since its enactment, Dodd-Frank has imposed $21.8 billion in compliance costs while producing regulations that require nearly 60 million hours of paperwork with which to comply, according to estimates by the American Action Forum, a center-right policy institute.

These compliance costs can be devastating to small community banks and credit unions. Often they are the only financial institutions serving small towns and rural areas such as those throughout my district in western North Carolina. Assuming these small institutions can withstand this Dodd-Frank-induced regulatory onslaught and stay in business, they will join larger banks in passing these added costs along to consumers, driving up the cost of borrowing and reducing access to much-needed credit.

Among the great indignities of the financial crisis: American families were footing the bill for the massive taxpayer-funded bailouts of Fannie Mae, Freddie Mac and other large financial institutions while struggling to scrape by in the broken economy. In 2009, Bloomberg estimated that the U.S. government and other federal agencies had committed nearly $13 trillion to support these failing institutions. The nearly $13 trillion represented 90% of the U.S. gross domestic product for 2008.

In signing the law, Obama claimed that never again would the American people foot the bill for these large firms. Yet amazingly Dodd-Frank does not just fail to end these bailouts, it cements them into law and greatly increases the likelihood the American people will be stuck with the federal government's bailout tab again in the future.

In addition to an alphabet soup of new agencies, such as FSOC (Financial Stability Oversight Council) and OFR (Office of Financial Research), Dodd-Frank also gave us the Consumer Financial Protection Bureau, a uniquely (some might say dangerously) unaccountable addition to our federal bureaucracy. Designed with the noble goal of consumer protection, the agency was given significant power to regulate financial offerings but was designed in a manner to leave it free of oversight from both the White House and Congress.

Among the agency's "accomplishments" is its qualified mortgage rule that has negatively affected credit availability in the mortgage market. The rule has especially harmed those who have typically struggled to access credit in the past, women and minorities. A recent report from the Federal Reserve Board showed roughly one-third of black and Hispanic borrowers would not qualify for mortgages under the rule.

Even more troubling is the bureau's latest project, the National Mortgage Database. In an apparent effort to make the National Security Agency jealous, this database will track individual Americans and their personally identifiable information, including the most intimate personal and financial details, going back as far as 30 years.

And this does not even begin to address the consumer agency's management failures that have led to claims of discrimination and retaliation against minority employees going unpunished and spending $216 million to renovate its rented office space.

Put simply, Dodd-Frank is but another failed big government "reform" -- just like Obamacare, the Troubled Asset Relief Program, or TARP, and the stimulus. When will this administration realize more government does not solve problems, it is the problem?

Join us on Facebook.com/CNNOpinion.

@highlight

Rep. Patrick McHenry: Wall Street reform law isn't working four years after enactment

@highlight

He says Dodd-Frank law has imposed billions in costs and millions of hours of extra work

@highlight

McHenry argues it is another example of big government overreach