Washington (CNN) -- There will be plenty of legacy items by which to judge President Barack Obama.

Obamacare, for instance: Whether the new law that seeks health insurance for every American is a prudent piece of policy or an albatross of government overreach is a matter of opinion. How about drawing down the wars in Iraq and Afghanistan? What about his efforts to police suspected terrorists abroad through the use of deadly drone strikes?

None of these, in the long run, might be as important as his efforts to help the economy, which, ironically, has felt stronger just as Americans' faith in Obama to steer it has dwindled.

According to a Pew Research Center poll from November, just 31% of Americans approve of the way he is handling the economy.

By one measure, the Obama economy is almost back to par. If he's lucky, the economy might be able to save his second term.

"It's impossible to tell the future," said Julian Zelizer, a professor of history and public affairs at Princeton who has written about presidents and their legacies for CNN. "If the economy moves in a positive direction and in the next two years we are really out of the sluggish economy that he started his presidency with, people will value that."

What sort of value remains to be seen.

The short-memory syndrome

Certainly, handing off a good economy would help his long-term legacy. In the short term, there seems to be little appetite among Republicans on Capitol Hill for some of his legislative priorities like raising the minimum wage or passing an immigration reform bill.

An emboldened president would enter those negotiations with a stronger hand. He'd also have more power to sway budget negotiations that could affect future spending on social programs such as Medicare and Social Security.

Stephen Weatherford, a political science professor at the University of California, Santa Barbara, said Americans have short memories.

"To a kind of ironic extent, if presidents come in facing big problems and they're able to do something to solve those problems, people don't evaluate them based on those problems," he said.

"It becomes a kind of, 'What have you done for me lately?' problem," said Weatherford, who thinks Obama's domestic legacy will be focused squarely on the health care law.

"I think if the health care law is in place and works, he'll be remembered really favorably," said Weatherford, comparing the law to the Great Society social programs enacted by President Lyndon Johnson.

The U.S. unemployment rate fell to 7% in November. It's an imperfect measure for the health of the economy. People long unemployed and who aren't looking for work aren't counted, for example. But that's the lowest unemployment rate since Obama was first elected president, when the rate sat at 6.8%.

In hindsight, that 6.8% figure from 2008 seems low, either because Americans at the time were used to much lower jobless rates or because in the time since then we've become used to much higher rates. In 2008, the economic ground was rumbling with talk of the potential for an economic apocalypse.

The unemployment rate grew a full percentage point in the 2 1/2 months between his election that year and his inauguration in January 2009, and it peaked a little less than a year into his presidency at 10% in October 2009.

Now we call it the Great Recession, something much worse than your father's recession but probably not quite as bad as your grandfather's Great Depression.

The U.S. government took an activist approach to saving the economy. It began pouring hundreds of billions of dollars into bailouts of the banking and auto industries in the final days of the Bush administration. The Federal Reserve was just beginning to pump trillions of dollars into the economy through a menu of bond-buying programs and artificially low interest rates.

Taking an approach, running with it

Obama took this activist approach and ran with it. He spent a good portion of his new political capital passing a nearly $800 billion stimulus program opposed by all but three Republicans in the Senate.

The rollout of the stimulus, by the way, was beset by a flawed website and created a huge political headache as those hundreds of billions of taxpayer dollars flooded into the economy -- the effect was not immediately felt by everyone and it was hard to quantify as it was spread across years.

Even if the recovery is felt most prominently in the coming years, it could affect perception of those early programs, Zelizer said.

"If the last two years of the Obama presidency are filled with a possibility economy, it's going to change the way we view the stimulus and his other economic programs," he said.

Temporary increases to food stamps authorized by the stimulus package only ran out at the beginning of November. Temporary increases in unemployment insurance are set to run out at the end of this year. The ultimate effect of billions spent on infrastructure had a short-term effect on jobs, but will also have long-term benefits.

Continued growth will come with growing pains. Fed Chairman Ben Bernanke or his soon-to-be successor Janet Yellen are expected to taper off the Fed programs that have helped buoy the back end of the economy and kept interest rates down.

The Congressional Budget Office guessed that the stimulus kept the unemployment rate 2% lower than it otherwise would have been in 2010. That means the country could have faced 12% unemployment instead of 10% at the height of the Great Recession, but we'll never know for sure.

What we do know is that the national debt skyrocketed as the federal government spent furiously to save the economy. The stimulus cost $830 billion, according to the CBO. Deficits have started to shrink as the economy has improved and Republicans in Congress have insisted on spending cuts. But the debt now stands at nearly $17 trillion.

America's Debt: CNN Money special section

A Wall Street rally; a widening divide

But while the stock market has rallied during the Obama presidency -- the Dow Jones Industrial Average has nearly doubled during his time in office -- the divide between wealthy and struggling Americans has grown exponentially.

Potentially rising interest rates and less help for the unemployed and the hungry as those stimulus programs run out could exacerbate the problem, which Obama has made clear will be a focus of his remaining time in office.

"I believe this is the defining challenge of our time: Making sure our economy works for every working American. It's why I ran for President. It was at the center of last year's campaign," Obama told a liberal group during a speech in an economically depressed area of Washington, D.C., on Wednesday. "It drives everything I do in this office. And I know I've raised this issue before, and some will ask why I raise the issue again right now."

He later added that he think the government should be spending money to invest in creating opportunities for Americans.

"A relentlessly growing deficit of opportunity is a bigger threat to our future than our rapidly shrinking fiscal deficit," he said.

After his re-election, Obama extended Bush-era tax cuts for all but the wealthiest Americans, making good on his campaign effort to make them pay a little more in the coming years.

The economy for years has been the issue that Americans want politicians to fix. More than health care or the Iraq war, the economy dominated the 2008 election â€” 55% of voters said it was the most important problem facing the country.

Four years later, when Obama was re-elected, the economy and unemployment split the top spot.

Perhaps one sign of an improved economy is that a different poll, conducted by Gallup in October, found that the economy is no longer the top concern of Americans. Now it is "government dysfunction."

Two academics wrote recently that Democratic presidents seem to preside over generally better economies than Republicans. But there's no evidence that their policies are the reason.

That means it's perhaps not fair to give presidents credit when the economy improves or blame them when it goes bad.

"It's never fair," Zelizer said. "Presidents don't have total control of the economy. They can't even control Congress. But fair or not, that's what happens."

@highlight

The Obama legacy likely will include many elements

@highlight

One will be the economy

@highlight

It might even be THE one in the long-term of history