(CNN) -- Climate scientists are getting desperate. After years of enduring politically motivated attacks, they are still scrambling to defend their findings.

In a letter last month to Science, 255 of the nation's most prominent scientists -- all members of the National Academy of Sciences, including 11 Nobel laureates -- repeat conclusions that by now should be entirely familiar, even tedious, to anyone who has followed the science at all. Our planet is warming because of increased greenhouse gases in the atmosphere.

Burning fossil fuels and deforestation have caused most of the increase. Climate change is a threat to coastal communities, food and water supplies, and ecosystems. And contrary to some recent claims, it is not too late to do something about it. The scientists conclude, in obvious exasperation, that one "snowy winter in Washington does not alter" these basic facts.

The immediate trigger for the letter Virginia State Attorney General Kenneth T. Cuccinelli's recent demand that climate scientist Michael Mann, director of the Earth System Science Center at Penn State University, produce a large volume of paperwork related to his scientific research and communications with fellow scientists during his years at University of Virginia from 1999 to 2005. "McCarthyite" is how the scientists characterize Cuccinelli's action, filed under the state's Fraud Against Taxpayers Act.

Many have dismissed Cuccinelli as silly, particularly in light of his efforts to impose Christian modesty on the state seal of Virginia, and his actions could be shrugged off if they were isolated. But they are the latest example of a persistent, and worrisome, trend: attacking scientists who have done key work that demonstrates the human impact on climate.

Mann is the principal author of the "hockey stick curve" -- a graph that boldly illustrates the dramatic rise in average global temperatures over the past 50 years, a rise unlike anything in the previous 1,000 years. Because the hockey stick curve is visually compelling, it's been reproduced many times, and in 2001 the Intergovernmental Panel on Climate Change featured it in their third assessment report. It's also made Mann a target for those who don't want to admit that global warming is a real problem.

Mann testified about his work in the U.S. Congress in 2003, in hearings sponsored by Sen. James M. Inhofe of Oklahoma, who has called global warming a "hoax." Two years later, Texas Rep. Joseph Barton demanded that Mann supply copious documentation related to his testimony, based on what Barton, who has no scientific training, alleged were "methodological flaws and data errors" in his work.

Peter Gleick, the lead author of the Science letter, was threatened with a lawsuit by contrarian Patrick J. Michaels in 2003. Michaels has long denied the scientific evidence of human-caused warming, and  Gleick said those views flew in the face of overwhelming scientific evidence and  likened them to believing in a flat Earth.

In 1995, a group called Global Climate Coalition, composed of the American Petroleum Institute and a host of fossil-fuel dependent corporations, attacked Benjamin Santer, a scientist at the Lawrence Livermore National Laboratory who had done key work demonstrating the human "fingerprint" on climate. Without any substantive evidence, the group accused Santer of committing "scientific cleansing" of the IPCC's Second Assessment Report by removing mention of uncertainties to make global warming appear more certain than it was.

A handful of physicists attached to another think-tank, the George C. Marshall Institute, splashed the accusation onto the pages of the Wall Street Journal, ensuring millions of Americans saw them. Santer was later vindicated -- all the co-authors testified he had made no unauthorized changes. Yet the impression of wrong-doing remained.

Perhaps no scientific name is more associated with global warming than Roger Revelle, mentor to Al Gore, who first warned of the risks of human-caused climate change in the 1950s. In 1992, a paper was released that claimed Revelle had changed his mind about global warming and no longer believed it was a problem. The claim was repeated many times in the mass media, including The New Republic and The Washington Post.

Revelle was elderly and seriously ill at the time, and died before he had a chance to respond. His graduate student, Justin Lancaster, tried to set the record straight by publicly disputing the claim. He was soon sued by the author of the claim, and lacking funds to defend himself, was forced to settle out of court, leaving his personal and professional life in tatters.

But it isn't just climate scientists who have been vilified, personally attacked, and threatened with lawsuits and congressional investigations. Since the early 1990s, there has been a sustained history of attempts to undermine any science that suggested that contemporary industrial society might be doing irreparable harm to human health and the natural environment.

This included the science that demonstrated the harms of DDT, the dangers to children of second-hand smoke, the causes of acid rain, and the reality of the ozone hole. Often the same people were involved in several or even all of these attacks. The common feature in all these cases was a link to think tanks promoting free markets and opposing government regulations.

One doesn't have to be a conspiracy theorist to see the pattern: People are loath to admit that our free market system has created problems that the free market has proved ineffectual to solve.

Nicolas Stern, former chief economist at the World Bank, has called global warming "the greatest and widest-ranging market failure ever seen." Deaths from tobacco smoking, environmental destruction from DDT and other pesticides, acid rain and the ozone hole were market failures, too. Insufficiently regulated market capitalism created these problems, and it took government interventions -- and in some cases, international agreements-- to fix them.

If you tried to argue that global warming is not a market failure, you'd just look silly. So extremist defenders of the free market have found themselves an easier target. Science is arcane and scientists are frankly often incomprehensible. But the important point for us to understand is this: Scientists have done nothing wrong. On the contrary, they've been repeatedly vindicated in their work on environmental change.

The real crime is not to be found in some pile of obscure scientific documents or the e-mails of harassed scientists. The real crime is that our best science is being undermined by ideologues, confusing us about some of the most important issues of our time.

The opinions expressed in this commentary are solely those of the authors.

@highlight

Oreskes, Conway: 255 scientists wrote letter to reiterate global warming findings

@highlight

Authors: Letter came after attack on scientist whose work shows human impact on climate

@highlight

They say attacks similar to those aimed at science on DDT, second-hand smoke, acid rain

@highlight

Common to all, they say, is link to think tanks promoting free markets, opposing regulations