(CNN) -- After meeting Monday with six victims of sexual abuse by clergy members, Pope Francis apologized for the crimes committed against them and begged forgiveness "for the sins of omission on the part of church leaders who did not respond adequately to reports of abuse."

Apologies are all well and good, but this one brings to mind two trite but true sayings: "Too little, too late" and "Actions speak louder than words." Unfortunately, Francis has more to do so that future popes won't have to keep saying "I'm sorry" for these crimes and the Catholic Church's cover-up.

This is not to downplay the important symbolism of public apologies from the church's top leader. Indeed, Francis seems sincere and acknowledges the complicity of the institutional church in the cover-up, not just the actions of individual men.

But Francis is not the first pope to meet with sex abuse victims or even the first to offer an official apology for what has to be one of the gravest evils in the church. His predecessor, Pope Benedict XVI, met on several occasions with victims, including during a trip to the United States. After one such meeting, he also issued a formal apology, saying he was "deeply sorry for the pain and suffering the victims have endured."

In comparison, Francis' apology, given during a lengthy homily, was more extensive, emphasizing the psychological and spiritual pain victims have endured and noting that these "despicable actions" had been "camouflaged with a complicity that cannot be explained."

It also was better than his, "Yes, but ..." apology earlier this year, when he mentioned that abusers were "quite a few in number, though not compared to the total number" of priests, after earlier complaining about how the church had been unfairly singled out for the problem of sexual abuse of minors.

Given the enormity of this problem facing the Catholic Church, however, victims' rights groups are correct in expressing disappointment with how long it took for the new Pope to meet with them (16 months into his pontificate). In March, editors of the National Catholic Reporter, which has been covering sex abuse by clergy for nearly three decades, implored the Pope in an open letter to make meeting with victims a priority.

As someone who clearly understands the significance of his actions -- everything from his choice of attire to whose feet he washes on Holy Thursday -- Francis should have met with victims much sooner than this.

Still, Monday's apology seems to be part of more significant movements in the Vatican, including the naming of a victim to a new panel to address sex abuse and the recent defrocking of a Polish archbishop and papal ambassador accused of paying for sex with minors.

But there is much more to be done, starting with the removal of Kansas City-St. Joseph Bishop Robert Finn, who has been found guilty of failing to report suspicions of child abuse to police or state child welfare authorities. The diocese has recently been ordered to pay $1.1 million for violating terms of an earlier contract of reparations.

Of course, a good apology includes not only acknowledgment of personal and/or corporate responsibility for the victim's pain, but also a promise to fix things, or at least to not continue to inflict that pain. The church is finally, after decades of denying or minimizing victims' pain, accepting responsibility. But we're not yet there on fixing things.

That's why victims' rights groups are understandably frustrated by the molasses-like pace of the church on this issue. Barbara Blaine, president of the Survivors Network of those Abused by Priests, applauded the courage of the victims who met with Francis on Monday but complained about the need for more decisive action.

"The Pope says the church should 'make reparations' to victims. That's secondary. Stopping abuse and protecting children comes first. And sadly, no child on earth is safer today because of this meeting," she wrote in a statement.

Here's another saying: "To err is human; to forgive, divine." If that's true, it will be the victims who will be the real saints, not the apologizers.

@highlight

Heidi Schlumpf: Pope Francis met with victims of clergy sexual abuse, begged forgiveness

@highlight

She says apology good, but he must do more to make amends with victims, all Catholics

@highlight

She says Vatican steps positive; Pope should remove Kansas City bishop who covered up

@highlight

Schlumpf: Victims' groups want more action; if they can forgive, they are ones to be commended