London (CNN) -- It may appear to be the height of bad taste: a collection of handguns clad in silver and studded with precious stones.

But although these weapons, which were produced by Tiffany & Co in the late 19th Century, were able to deliver lethal force, they were never designed to be fired.

"So far as we know, the guns never killed anybody," says Pierre Terjanian, the head of the Arms and Armor department at the Metropolitan Museum of Art, New York, where a collection of seven such guns is kept.

"They were produced to symbolize the potency of American manufacturing and craftsmanship, and were created using techniques that nobody else could equal."

Guns not blazing

Tiffany & Co had been producing decorative presentation swords that were awarded to American officers during the Civil War and Mexican-American War of 1846-8.

In the 1880s, the company moved into firearms, taking delivery of standard-issue Smith & Wesson handguns and transforming them into one-off works of art.

They were clad in silver, etched with intricate designs, and studded with precious jewels. Each weapon was unique; one was adorned with an American buffalo hunting scene, while others were inspired by Japanese or Islamic design.

These formed the centerpiece of the American display at the World's Fair series of exhibitions, which started with the Great Exhibition in Crystal Palace, London, in 1851, and then were held around Europe and the United States.

"At the time, a great aura surrounded the Wild West in Europe," says Terjanian. "It was at the time of the closing of the frontier, and people were already thinking nostalgically about it.

"Tiffany took Wild West symbolism and combined it with high-quality craftsmanship. It confirmed that Tiffany was an American firm with global ambitions, which could do things that nobody else could."

Uniquely beautiful objects

Among the techniques that the weapons showcased were advanced enameling -- two colors were blended together in a way that had never been seen before -- and the use of chemical etching, as opposed to straightforward engraving.

Tiffany & Co also produced a Winchester rifle, which was famously used in the conquest of the West. Although it was technically able to fire bullets, the thick silver cladding made it impossible to disassemble and clean, and the heavy ebony wood made it too heavy to use effectively.

Despite the focus on display, several weapons were purchased by American businessmen, including Jason "Jay" Gould, the prominent railroad magnate. According to Terjanian, a particularly beautiful weapon -- which had a butt made of carved ivory -- was acquired by a well-known sharpshooter named John Wynans, who used it to demonstrate his skills.

In all, about 50 guns were produced by Tiffany. The project was abruptly discontinued in 1911, when New York adopted gun control laws.

"These are very important objects," says Terjanian. "They showed that objects may have a function, but their symbolic meaning can be greater.

"They stood not for combat but for handiwork and the imagination. They surprised and impressed everybody, and acted as ambassadors for Tiffany & Co and for the United States."

The future Underground: London's new spaceship-style tube trains

Did artists eerily predict the Ukraine crisis?

Would you eat Fukushima soup?

The lost art of the American pin-up

@highlight

Tiffany & Co produced about 50 decorative guns

@highlight

They were intended as a showcase for craftsmanship and a symbol of American power

@highlight

The largest surviving collection is held by the Metropolitan Museum of Art, New York