In the space of a short few months, the self-styled Islamic State (also known by the acronym ISIS) has claimed to have established a fundamentalist state and revived the Caliphate, while seemingly monopolizing the market on young foreign fighters from Europe and North America, while conducting a sophisticated social media and propaganda campaign.

Amid the highly publicized beheadings of Western journalists, soldiers and aid workers accompanied by personal messages to U.S. President Barack Obama, ISIS has established itself as the main jihadist group in the world today, leaving al Qaeda struggling to make an impact.

However, al Qaeda is now fighting back and seem eager to reclaim some of the limelight. In a 55-minute video released less than two weeks ago, the current leader of al Qaeda, Ayman al-Zawahiri, promised to "raise the flag of Jihad" and to spread Islamic rule across the South Asia by operating in India, Bangladesh and Myanmar, under the new rubric "Qaeda al-Jihad."

Although government officials are still trying to verify the authenticity of the video, the idea has already been welcomed by the Pakistani Taliban, whilst India has expressed deep concerns over al Qaeda's plan to establish a permanent presence in the region.

Al-Zawahiri's announcement did come as a bit of a surprise, as the recent activities of ISIS had been dominating news headlines all over the world and led many to believe that al Qaeda has now dwindled and faded into the background, as newer, younger and more sophisticated groups have replaced it.

As to why the Indian subcontinent has been declared as the new home for al Qaeda, Zawahiri cites the aim of rescuing Muslims from oppression and injustice in the region as the group's main driving force.

'Muslim lands'

In the video, al-Zawahiri makes reference to tribal violence in Ahmedabad, Gujarat, Assam and Kashmir, as well as violence against the Rohingya Muslims by Buddhists in Myanmar. By arguing that places such as Bangladesh and Myanmar were once "Muslim lands" until the enemy occupied and fragmented them, al-Zawahiri proposes that the lives of Muslim people in the region can be improved and liberated through the establishment of an Islamic state guided by Sharia law.

However, the timing of the video suggests the reasons al-Zawahiri gives are surface deep. In truth, this bold announcement by al Qaeda is more likely an attempt to branch out into new and untapped markets that are viewed as beyond the reach of its rival, ISIS. This would be an obvious and natural thing for al Qaeda to do since ISIS clearly has far more success both globally, in terms of publicity, and locally, in that they have eclipsed the local al Qaeda affiliate, Jabhat al Nusra.

ISIS has also managed to do things al Qaeda never could. For one, being primarily focused on fighting a distant enemy -- the West -- al Qaeda has been unable to evolve beyond being a terrorist organization, whilst ISIS has moved from being an al Qaeda offshoot to progressing into a fully-fledged state -- or at least that is how they and their fellow jihadists view things. This has enabled ISIS to attract foreign fighters on a far larger scale than al Qaeda ever did.

More worryingly, from al Qaeda's perspective, is the fact ISIS seems to be attracting smaller splinter groups previously viewed as being in al Qaeda's domain of influence. For example, the Algeria-based "Soldiers of the Caliphate" group, which was previously viewed as an al Qaeda-linked faction in North Africa, recently declared itself an ally of ISIS.

Regardless of the reasons al Qaeda gives -- or does not give -- as to why it is expanding into the Indian Sub-Continent, the strategic and tactical implications of this move are potentially immense. Firstly, although 80% of the population is Hindu, according to a 2011 census, India alone houses around 140 million Muslims whilst another 132 million or so Muslims are in Bangladesh. This means roughly one fifth of the world's Muslims are in these two countries alone, whilst Myanmar is home to a small Muslim community that is being systematically persecuted.

Al Qaeda's plan will fail

With the Pakistani market being saturated and ISIS increasingly dominating the Middle East, one can understand why al Qaeda has decided to push into this largely untapped market, especially since so few jihadist recruits, in relative terms, have been from these two countries historically.

However, there are good reasons why India and Bangladesh have not been fertile breeding grounds for jihadists in the past. These countries have their extremist minorities too but they have not experienced the large influx of Gulf State largesse that neighboring Pakistan has, and they have much more pluralistic cultural traditions. In the case of India at least, there is also a much more robust democracy and in the case of both countries Islamist-inspired groups do not have significant influence in government.

In all likelihood, al Qaeda's attempts to branch into India and Bangladesh will fail. In fact, al-Zawahiri is illustrating his cultural naivety by making this announcement and assuming that these countries are just like Pakistan. They have also got off to a very bad start by mistakenly attacking a Pakistan frigate which they mistook for an American aircraft carrier a couple of days ago. Three terrorists were killed and seven arrested in the failed attempt.

It is clear is that al Qaeda is panicking and witnessing the rise of ISIS with dread and jealousy. However, they will have to work a lot harder to regain the momentum they lost after the killing of Osama bin Laden.

@highlight

ISIS has established itself as the main jihadist group in the world today

@highlight

This has left al-Qaeda struggling to make an impact, according to Quilliam's Ghaffar Hussain

@highlight

Al Qaeda leader Ayman al-Zawahiri promises to "raise the flag of Jihad" and spread Islamic rule across S. Asia

@highlight

But there are good reasons why India and Bangladesh have not been fertile breeding grounds for jihadists, Hussain says