(CNN) -- Google began an ambitious project in 2004: to scan and index the world's paper books and make them searchable online.

Nine years later, the company has overcome a major roadblock in its mission. On Thursday, a judge dismissed a class-action lawsuit against the Google Books project brought by authors who claimed the project violated their copyrights.

By sheer numbers, the Google Books project has been a huge success. More than 20 million books and magazines have been scanned using optical character-recognition technology, making each word or phrase searchable, so snippets of text are part of Google search results.

It also has been a lightning rod for controversy. Google did not seek approval to scan many books that were still under copyright, nor did it offer to compensate authors or publishers in any way, claiming the scans were fair use.

The program doesn't put entire books online for free. If a book is still under copyright, search results will only show the brief section that includes the word or phrase searched for and the page number it appears on, along with details about the book itself.

Google compares the system to a card catalog. Books that are out of copyright can be viewed in full and even downloaded, and people can buy books whose authors or publishers are part of Google's Partner Program.

"As we have long said, Google Books is in compliance with copyright law and acts like a card catalog for the digital age, giving users the ability to find books to buy or borrow," said a Google spokesperson.

Because the company only shows "snippets" of the books in search results, it claims the project falls under fair use. Fair use is an exception to copyright law that allows copyrighted work to be sampled or used in certain circumstances, typically by altering or using the original work in a new "transformative" way.

"The use of book text to facilitate search through the display of snippets is transformative," Judge Denny Chin said in his ruling. He said the Google Books program provided benefits to the public.

"It advances the progress of the arts and sciences, while maintaining respectful consideration for the rights of authors and other creative individuals, and without adversely impacting the rights of copyright holders," said Chin.

Opinion: Why I took on Google over orgy images

The ruling notes that the majority of the books scanned are out of print, and that Google provided digital copies to the libraries that allowed them to scan their collections. The books scanned are also primarily nonfiction titles, which have less copyright protection than fiction.

The Google database is used by researchers, librarians and educators and greatly expands access to books around the world by putting them online. By converting print to digital text, the program has also made it easier to convert titles into more accessible formats, like text-to-speech and Braille.

"This has been a long road and we are absolutely delighted with today's judgment," said the Google spokesperson.

Google patenting an electronic 'throat tattoo'

@highlight

Judge dismisses class-action lawsuit against Google's book-scanning program on Thursday

@highlight

Google Book program has scanned millions of paper books, made the text searchable online

@highlight

Authors complained the Google project infringes on their copyright