(CNN)Everywhere you look there are two-wheeled drivers waiting ominously for passengers to hop on board. They're the backbone of public transport in Uganda and the fastest way to get around the capital city, Kampala. The boda boda motorbike taxi is a staple used by all sectors of society.

Traditionally, the usual way of catching a ride was to venture into any street corner packed with tens of boda bodas or simply waiting for one to pass by.

But now, a new local startup are bringing this classic mode of transport into the technological age by providing the ability to hail a boda boda at the click of a smartphone.

"Bodas are the main thing getting people from A to B," says Alastair Sussock, co-founder of SafeBoda, "and we're trying to professionalize this transportation in the city."

The motorbike taxis have their greatest popularity globally in Uganda, with over 80,000 riding the streets of Kampala, according to Sussex who wants to seize upon the country's burgeoning young population. Uganda has more than 24% of the population aged between 10 and 19 years old, according to UNICEF -- and Sussock wants them to get on their bikes.

"Young people use smartphones in Kampala and it's one of the youngest countries in the world," he says.

For now, the Uber-like startup operates mainly in the northern districts of Kampala, where a click on the SafeBoda app -- in addition to the traditional method of hailing them on the street -- will bring you a Safeboda bike, complete with a uniformed driver in a bright orange jacket, helmet and fully trained in road safety. He'll even have a helmet for you.

Safety has long been a concern for those riding boda bodas as the bikes are a leading cause of death and head injury in Kampala. A study conducted at Mulago National Referral  Hospital in Kampala, by researchers at Makerere University, identified approximately 40% of trauma cases at the hospital to be due to boda-boda accidents.

I request a SafeBoda to take me to meet the team in the upmarket area of Kisementi, in Kampala's central district. As i stand waiting, at least 10 regular boda bodas pass by beeping to get my attention and business. A driver called Richard Lalunga then arrives who I spot clearly in the distance thanks to his bright orange jacket and orange helmets -- one on his head and one on his handlebars.

Lalunga has been a boda driver for four years and joined SafeBoda four months ago to learn more about road safety. He explains how he now earns more than ever before due to a loyal customer base stemming from his safe driving. The ride was in fact calmer than those taken with other bodas, and unlike some, as we ride along the congested streets no kerbs were scaled or mounted to avoid the traffic. The name stands - safeboda.

The dangers lie in the low use of helmets -- by both drivers and users -- alongside risky driving and poor road safety practices. This makes many fearful of catching a two-wheeled ride but the team at SafeBoda are trying to lure people back on board. They're reinventing the boda boda reputation to prove they can be safe, as well as fast and economical.

"It's a market-based approach to road safety," says Sussock, an economist, who believes that as word spreads about the skills of his drivers, the income -- and safety -- of his drivers will rise and reflect this.

"People in Uganda don't wear helmets," says Sussock. "So how do we get them to wear helmets?" The answer, is by providing one.

Driver training is provided in partnership with the Ugandan Red Cross and takes place for up to three weeks to cover road safety and bike maintenance -- and it seems to be working.

Since its inception in November 2014, the fleet of drivers at SafeBoda has reached 50, currently occupying four areas towards the north and center of the city. The main need for safe driving is in the congested streets of downtown Kampala where the company plans to expand into next.

"If we train people and make them good and responsible drivers, we're going to save lives," says Ricky Rapa Thomson, who manages the drivers. "But implementing has been a challenge," he says about the difficulties in changing the mindsets of a population.

The team are dreaming big, with plans to expand to 100 by the end of March and 800 by the end of 2015. "With over 1,000 drivers we can begin to change the entire boda industry," says Sussock.

More from African Start-Up

Read this: Bike tour gives taste of township life

Read this: This 'eco stove' does more than cook your dinner

Editor's Note: Every week, African Start-Up follows entrepreneurs in various countries across the continent to see how they are working to make their business dreams become reality. Follow the show on Twitter.

@highlight

Ugandan start-up SafeBoda are changing the face of boda-boda motorbike taxis

@highlight

A click of their app brings you a bike complete with a safety trained driver and protective gear