(CNN)Ciudad Juarez, Mexico, was once known as the murder capital of the world. Back in 2010, at the height of cartel violence, the city averaged 8.5 killings per day.

But five years later, local officials say the city is much safer, and plans are underway to lure foreign tourists and investors back to Juarez. This month the city launched the tourism campaign "Juarez is Waiting for You."

The rebranding effort started quietly a year ago, and on April 10, it was on full display. Mayor Enrique Serrano officially kicked off the campaign, giving what he called an "unprecedented" high-profile tour to regional leaders from the United States and Mexico.

U.S. Rep. Robert "Beto" O'Rourke of Texas was one of those on a leg of the Juarez tour. His congressional district includes El Paso, Texas, which sits directly across the Rio Grande. O'Rourke says there's good reason for locals to be hopeful.

"As a region, El Paso and Juarez represent 20% of all U.S-Mexico trade. The binational ties are strong and have remained strong," O'Rourke says. "Yes, we had a really difficult time for a ... period. Juarez was at one time the deadliest city in the world."

O'Rourke speaks of a time between 2009 and 2012 when men, women and children were killed indiscriminately. Many were helplessly caught in the cartel violence. Others were victims of the drug turf war. It wasn't that long ago, O'Rourke says, that he thought twice about crossing the bridge into Juarez.

"(Now) I travel to Juarez regularly to have lunch or meet people or just to go. I always feel safe and secure."

A spokesman for the Chihuahua state attorney general's office told CNN that at one point, there were days when Juarez had more than 20 killings.

"That was normal," spokesman Julio Castaneda told CNN. "It's safer now."

The numbers from the attorney general's office seem to bear that out. More than 3,000 people were killed in the city just four years ago, but so far this year there have been 89 killings, according to Castaneda -- a dramatic decrease in the violence.

"Undoubtedly, the work we did here in the past year with the police institutions, and specifically the local police, helped. There was a coordinated effort between agencies," Castaneda said. "Without a doubt this work played a part in breaking apart the gangs that were plaguing the city."

The government cleaned up corruption within the local police force, and fired or arrested a lot of bad cops who were helping the cartels.

Another factor that may have helped: The turf war between the Juarez and Sinaloa cartels essentially ended, with the Sinaloa cartel claiming victory in the battle for the trafficking route in Juarez.

O'Rourke argues that the El Paso-Juarez border is "safer than it's ever been." He cites the "30 million lawful crosses from El Paso into Juarez" last year as a symbolic step.

Yet there are those who don't want to celebrate too soon.

"For Juarez to be considered a safe city, there's a long way to go," says Sergio Meza, executive director for Plan Estrategico de Juarez, an independent organization that works to improve the city's quality of life.

"Just this past year (in 2014) there were 424 homicides. In 2007, there were 272. Yes, we're not as bad. But we're still very sick," Meza told CNN from his office in Juarez. "In reality, we're progressing from the conditions that were generated by the insecurity. We're still working out the corruption in the city. It's still an issue here."

With more than 40% of Juarez living below the poverty line, according to Plan Estrategico de Juarez, the future of the city will depend on "the people's participation in public matters." In fact, the organization's slogan is "Nothing is fixed alone. Participate."

"We are looking at a compromised future," Meza said. "We don't talk about that. We don't have the money to generate work here."

One bright spot: U.S. investment is making a comeback.

American companies Delphi, Honeywell, Flextronics and Lear are among those that ramped up hiring and investment in Juarez over the last year. That hiring would have been hard to imagine four years ago. But with the average salary at $20 per week for local workers in the maquiladores, or factories, along the U.S.-Mexico border in Juarez, Meza says more needs to be done.

The scars from the recent past remain. Several buildings downtown are shuttered and marred by graffiti. Americans who, before the violence, came to Juarez for bargain shopping have not returned in the numbers seen before the spike in violence. But in a sign of progress, the U.S. State Department amended its travel warning for the city. While it still urges visitors to exercise appropriate caution, it's no longer telling people not to come.

Longtime residents of Juarez and neighboring El Paso may be reluctant to say the wounds of the violent past have altogether healed. In the last year, however, they have definitely noticed that "life is back."

"I measure it by the everyday coming and going of people," Gustavo Reveles, 39, told CNN. "For someone who grew up on the border and for someone who spent half of his life crossing the border on a weekly basis, it's encouraging to be crossing back to Juarez without that sort of hesitation or worry that something might happen."

Reveles lived in Juarez until he was 15 and now lives in El Paso. He says the threat of violence is "still a little bit concerning," though that hasn't stopped him in recent weeks from going to Juarez to meet friends for dinner and drinks.

"Things have changed," he said. "To go through what Juarez went through, you see life there again. You see a semblance of what was there before. To really recover and heal wounds, there's a long way to go, but the process has started and that's a step in the right direction."

CNNMoney's Octavio Blanco contributed to this report.

@highlight

Cartel violence helped make Juarez the murder capital of the world five years ago

@highlight

But the murder rate in the city has declined rapidly since 2010

@highlight

Now city leaders are working to bring visitors and foreign investment back to Juarez