The battle in Washington over the budget is not mere partisan squabbling. What we are debating is the perennial argument between right and left: Do we as a society prefer to leave the well-being of our people to the indifference of the market economy, or do we believe that government also has an important role to play?

We are accustomed to thinking of the argument between left and right as an ideological or philosophical debate, so it has no "correct" answer. But there is an answer: We are entirely capable of knowing what policies best contribute to people leading positive and rewarding lives.

In recent decades, social scientists have been studying human happiness in the same way we study any other human attribute. Vast new multidisciplinary research has emerged around the proposition that it is possible to empirically measure the extent to which people view their lives as satisfying.

Can it be stopped? 8 answers on Obamacare and the shutdown

So what conditions best promote more rewarding lives?

The answer is simple and unequivocal: Happier people live in countries with a generous social safety net, or, more generally, countries whose governments  "tax and spend" at higher rates, reflecting the greater range of services and protections offered by the state. (These findings come from analysis of data from the World Values Surveys for the 21 Western industrial democracies from 1981 to 2007 for my book "The Political Economy of Human Happiness." Similar findings have been reported in peer-reviewed journals like "Social Research" and the "Social Indicators Research.")

The relationship could not be stronger or clearer: However much it may pain conservatives to hear it, the "nanny state," as they disparagingly call it, works. Across the Western world, the quality of human life increases as the size of the state increases. It turns out that having a "nanny" makes life better for people.  This is borne out by the U.N. 2013 "World Happiness Report," which found Denmark, Norway, Switzerland, the Netherlands and Sweden the top five happiest nations.

Conservatives may be equally troubled to learn that labor unions have a similar effect. Not only are workers who belong to unions happier, but the overall rate of happiness for everyone -- members and nonmembers -- increases dramatically as the percentage of workers who belong to unions grows, reflecting the louder political voice that organization gives to ordinary citizens.

All this remains true when controlling for the many other things that might also affect quality of life, such as  income, age, gender, marital status, or their country's culture, history, or level of economic development. Critically, "big government" and labor unions also promote happiness not merely for those toward the bottom or middle of the income distribution, but for everyone, rich and poor, men and women, conservatives and liberals.

The same pattern emerges when looking at our states. People who live in states with higher welfare spending, more organized labor, more liberal state governments, more regulation of business, and a greater recent history of control by the Democratic Party, are all more satisfied with their lives, regardless of income, and again when controlling for other factors that are likely to affect well-being.

Zelizer: GOP strategy on shutdown courts doom

The reasons the progressive agenda promotes happiness are complex, but stated simply, the more we supplement the cold efficiency of the market with interventions that reduce poverty, insecurity, and inequality, the more we improve quality of life for everyone.

As poet and novelist Wendell Berry observed, "Rats and roaches live by competition under the laws of supply and demand; it is the privilege of human beings to live under the laws of justice and mercy." It takes no great insight to see that a world with less insecurity and less poverty, which is to say, a world more governed by justice and mercy, is one that people of all social classes will find more satisfying.

Many benefit directly from social programs or the representation of their interests by unions; others worry less than they otherwise might because they know these institutions exist when needed; and everyone benefits indirectly by living in a society which is relatively free of social pathologies, such as the higher rates of violent crime, that come with the poverty, inequality and insecurity that liberal policies help ameliorate.

The data demonstrate that this is not merely softhearted wishful thinking. Whatever else unions and liberal public policies might do, they help make the world a better place to the extent that we believe  human happiness is the appropriate metric to  measure such judgments.

That in turn suggests the most intellectually compelling strategy available to progressives in the battle for public opinion: Traditional New Deal policies are precisely those that best allow citizens to pursue the happiness that the founders of our republic so famously argued to be the final justification for the American experiment.

@highlight

Benjamin Radcliff: Well-being should not be decided by the indifferent marketplace

@highlight

Radcliff: Research shows happier people live in places with generous social safety nets

@highlight

In Western nations, he says, the quality of  life for all  increases with more liberal policies

@highlight

He says this applies to U.S. states: People happier with less insecurity and less poverty