(CNET) -- Verizon Wireless smartphone customers use 25 percent more data than AT&T iPhone customers, thanks in large part to new Verizon's new Android smartphones, a recent study indicates.

Validas, a company that analyzes cell phone bills and usage for consumers and corporate customers, analyzed 20,000 consumer phone bills between January and May of 2010 and discovered that Verizon Wireless smartphone customers consume on average about 421 megabytes per month. Meanwhile, AT&T iPhone users consume roughly 25 percent less data, or about 338 megabytes per month.

The full Validas report will be published on September 1.

The comparison between smartphone data usage on Verizon's network and iPhone data usage on AT&T's network is important to note, because iPhone users have typically been viewed as the heaviest data users in the entire mobile market.

The fact that Verizon is seeing a major uptick in data usage in the past six months, largely due to new Android smartphones, could be a key predictor of wireless data usage patterns going forward. If the trends continue, Verizon could see an explosion in data usage.

So far, Verizon's network hasn't faced any major hiccups due to the onslaught of new data traffic. This is in contrast to AT&T's network, which, over the past three years since the iPhone was launched, has beencriticized for dropping calls and offering slower than expected data download speedson their iPhones in some parts of the country.

"Verizon's network is holding up really well as it adds more data traffic," said Ed Finegold, chief analytics officer for Validas. "Verizon has always had a reputation for a solid network. And it looks like so far, it has been able to handle the additional traffic."

As Verizon continues to sell more Android devices, the carrier will likely put its network to the test even further. Smartphone data usage started exploding for Verizon when the company launched its first Android phones in the fourth quarter last year, Finegold said. With more Android devices coming on the market in the next few months, it's likely that the volume of Android smartphones on Verizon's network will increase.

That said, the total number of cell phone customers -- including those using feature phones and smartphones -- using Verizon data services is much less than the number of customers using these services on AT&T's network. For example, 71.2 percent of all AT&T cell phone subscribers, which includes users of smartphones like the iPhone as well as feature phones, use data services, while only 43 percent of all Verizon cell phone users subscribe to data services.

Even though fewer Verizon cell phone subscribers are using data services, individually, they are consuming roughly the same amount of data each month as the average AT&T customer. AT&T cell phone subscribers, on average, consume 149.6MB a month. The average Verizon cell phone subscriber consumes about 147.2MB of data per month.

When it comes to smartphones, usage patterns between AT&T and Verizon customers are also similar. But Verizon appears to have more power-users that fall in the midrange of data consumption.

According to data analyzed by Validas, about half of AT&T's iPhone customers use less than 200MB of data per month. And about 47 percent of their iPhone subscribers use between 200MB and 2GB of data with about 90 percent of those customers using less than 1GB of data per month. This means that about 2.5 percent of AT&T's users consume more than 2GB of data per month.

Hard-core data users

Verizon Wireless smartphone subscribers have similar usage patterns to those on AT&T's network. But where they differ is in the number of subscribers that are using between 500MB to 1GB per month of data. Verizon has twice as many of those customers than AT&T has, Finegold said. More than 11 percent of Verizon Wireless smartphone users fall into this category, versus just 5.6 percent of iPhone users.

He speculates this difference is because Android users tend to be more hard-core data users, whereas the iPhone may be used more by casual users who like the phone because it's cool.

"The iPhone makes much more of a lifestyle and social statement than an Android phone makes," Finegold said. "People interested in an Android are looking for horsepower."

In an effort to keep iPhone data usage in check so it doesn't completely overwhelm its network, AT&T recently eliminated its all you-can-eat data plan. Instead the company offers two tiers of services. For $15 a month, new smartphone subscribers can get up to 200MB of data per month. And for $25 a month they can get 2GB of data.

Verizon still offers its unlimited data plan. Company executives emphasized that point at the launch of the new Motorola Droid X earlier this summer. But executives have also said that Verizon will eventually move to a tiered pricing model.

AT&T's new pricing only affects a small number of customers. But if Verizon were to adopt the very same pricing model, more of its heavy data users on Android phones would likely be affected. According to the Validas report, a little more than 4 percent of Verizon's smartphone users consume more than 2GB of data per month compared with only about 2.5 percent of AT&T's iPhone customers.

Validas' analysis also clearly shows that heavy data users are primarily using AT&T and Verizon Wireless, while customers who tend to use less data, are subscribing to Sprint Nextel and T-Mobile USA.

For example, about half of Sprint's cell phone subscribers, including smartphone customers, use data on Sprint's network. But the average usage is only about 133.4MB a month. T-Mobile only has about 22.3 percent of its cell phone subscriber base subscribing to data, and those consumers are only using about 120MB of data per month.

Sprint Nextel and T-Mobile want a bigger piece of the data action, which is why the companies have been investing in next-generation networks. Sprint is partnered with Clearwire, which is building its 4G network across the country using WiMax.

Sprint recently launched the first WiMax-enabled phone that can switch between its 3G network and the 4G Clearwire network. Sales have been strong, but the company has suffered from component shortages making the devices hard to get.

The Validas analysis doesn't include the launch of this new phone, called the HTC Evo. So it will be interesting to note whether the launch of this device will significantly move the needle on data usage on Sprint's network.

Meanwhile, T-Mobile is also trying to strum up more data usage on its network by upgrading its network to the next generation of 3G technology called HSPA+. But even with faster network speeds in some markets, Sprint and T-Mobile still lack the comprehensive coverage that AT&T and Verizon offer.

The biggest problem for Sprint and T-Mobile is putting the right devices in the hands of the most prolific data users.

"People who travel tend to be more mobile, and they also tend to be power users when it comes to mobile data," Finegold said. "They want to know that the coverage is there when they need it, and they're generally more willing to pay for that. So they are definitely higher value customers."

© 2010 CBS Interactive Inc. All rights reserved. CNET, CNET.com and the CNET logo are registered trademarks of CBS Interactive Inc. Used by permission.

@highlight

AT&T iPhone users consume 25 percent less data than Verizon Wireless customers

@highlight

iPhone users were typically viewed as the heaviest data users in the mobile market

@highlight

Verizon's network hasn't yet faced any major hiccups due to the onslaught of new traffic