New Delhi (CNN)If there were an annual prize for the "World's Most Hopeful Economy," it would likely go to India. After years of disappointing returns, the world's largest democracy rediscovered vigor in 2014. Stocks rose by a third; foreign investment grew by a quarter; the economy at one stage expanded at its fastest pace in two years. Beyond economics, the public mood seemed to lift: There was new hope for a young and tech-savvy India, unburdened by the failures of the past.

One man dominated the headlines, peddling optimism: India's new Prime Minister Narendra Modi. Modi has fashioned a role for himself not only as CEO of India Inc. but also as its global ambassador, with blockbuster speeches promoting India in New York, Tokyo and Sydney. He is also India's brand manager, launching catchy campaigns such as "Make in India," "#MyCleanIndia" and "Digital India."

Modi has won a broad mandate, as evidenced by his party's performance in tricky state elections in December. And yet, 2015 marks the end of Modi's honeymoon. After all, hope can only go so far. Modi's greatest accomplishment in 2014 was to offer promise: He energized weary Indians. He convinced the world that India had a giant "open" sign on its front doorstep -- almost literally, with visas on arrival. He spent much of the year in campaign mode, in India and abroad.

But in 2015, Modi will need to transition from speechmaker to doer, or else risk disenchanting another generation.

That suggests 2015 will be a defining year for India.

Let's start with economics. India was blessed with favorable tail winds last year. At the start of Modi's term, Brent crude was trading at about $110 a barrel. By year-end, prices had halved. Cheaper oil was a boon to India's economy: The deficit shrank, inflation fell, and perhaps most crucially, the government took the opportunity to end decades of subsidies and deregulated diesel. New taxes on oil look set to generate billions of dollars in excess revenue every year.

India's government will look to use that money well. Can it deliver on its promises of clean water and power to 1.25 billion Indians? Can it really improve India's broken infrastructure -- ports, roads, trains and bridges, some of which never seem to connect? Can it begin to fulfill its promise to put a toilet in every home? Or has too much been promised?

In any case, India needs much more money and investment, likely from abroad. And Modi will need another important currency: cooperation from his lawmakers. India needs to rid itself of arcane laws on retrospective taxation. It will look to unite its states under a common tax system to foster free trade and business. But these acts will take political will and wile. Can Modi legislate as well as he can campaign? Can he really, as his government has promised, improve India's ranking for doing business from a dismal 142nd in the world to somewhere in the top 50? These are all questions that Modi will need to answer in 2015.

Foreign policy has come easily to Modi so far. He will begin 2015 basking in the glow of receiving President Barack Obama, the chief guest at India's Republic Day, on January 26. Obama will be the first sitting American president to visit India more than once. For Modi, however, good foreign policy means good business. He will look to strike deals not only with Obama, but with many other world leaders in 2015 -- on energy, trade, defense and infrastructure partnerships.

All that sounds right up Modi's alley. The great unknown is how he will respond to a major foreign policy crisis, the likes of which he largely escaped in 2014. How will he react to a major skirmish with Pakistan? How will he balance his desire to boost Chinese trade with fears about Beijing's growing assertiveness in the region? And what will he do if, in a big global crisis, he is pushed to choose sides between any of Russia, China and the United States? Can India remain everyone's friend? Will Modi develop a values-based vision of India's place in the world?

On domestic issues, a year ago, Modi was known outside India mostly for his inability -- or worse, apathy -- in stopping one of the worst religious riots in modern Indian history, when some 2,000 Muslims were killed in Gujarat, the state he ran at the time. Modi's perceived role led to his U.S. visa being revoked. A year on, New York City received Modi as if he were a rock star. In the space of a year, Modi has managed to transform his image abroad from pariah to visionary leader. Recent events are cause for renewed worry. Reports of Hindu groups forcing Christians and Muslims to "convert" to Hinduism threaten the very basis of the Indian secular state. Minorities simply cannot live in fear. In 2015, Modi will need not only to be a voice of reason, but he will also have to rein in radical fringe elements of his Hindu support base.

The safety of women will remain a major issue of concern at home and abroad. At his 2014 Independence Day speech, Modi remarked how the Indian people's heads "hang in shame" with each report of rape. The sad reality is that Modi will probably make the same comment at this year's speech. As I've written previously, India has let its women down for centuries: They rank 134th in the world for economic opportunities, 126th for education and 141st for health. How can that be good enough for a country that aspires to be a major world power?

Beyond politics, from living and reporting in India, I am hopeful about this country's future. My optimism is based less on politics or economics, and more on a larger trend: the country's technology boom. While the West has evolved in its Internet use -- from dial-up to cable to mobile 4G -- India's journey has been different. It has jumped straight to a mobile revolution. Most Indians who discover the Internet will discover it on a cheap smartphone, not a PC. The pace of technology adoption, coupled with faster and cheaper hardware, will transform India in ways we are only just beginning to comprehend.

So, expect India to start leapfrogging many of the problems the West has spent decades dealing with: India has never had a real database of its citizens, but soon it will be the first country to have an entirely digital biometric ID system. There will be real changes in people's lives and their economies with the help of e-commerce and apps for health, education, banking and transport. Beyond oil, politics or demographics, the biggest tail wind for India lies in its adoption of technology.

This will be India's real revolution, and it is already underway.

@highlight

Ravi Agrawal: India needs much more money and investment, likely from abroad

@highlight

The great unknown is how Prime Minister will respond to foreign policy crisis, he says