(CNN) -- I grew up a poor kid in Detroit.

Government cheese sandwiches, occasional nights without electricity, long-distance telephone calls reserved for emergencies only.

Yet despite our struggles, my family never lost hope that life would get better for us. We never lost faith in the American dream.

And as trivial as it may seem, a lot of that had to do with Red Lobster.

Now before you dismiss the notion that a chain restaurant could somehow be a beacon of light, you have to understand that in my neighborhood, if your family went to Red Lobster for dinner, that meant you were really doing something. It meant you got dressed up in your church clothes. It meant you would be using a salad fork and maybe even ordering the fancy dish you saw on TV. It meant twice, sometimes three times a year, a poor family like mine could order a steak in a middle-class restaurant and pretend we were rich.

This is why when word recently came out that the chain was in financial trouble, I -- and many people who grew up poor like me -- paused.

"Our industry is in a period of significant change,with relatively low levels of consumer demand in each of the past several years for restaurants generally, and for casual dining in particular," said Clarence Otis, the CEO of Darden, the parent company of Red Lobster, Olive Garden and Longhorn Steakhouse, among others.

According to Forbes, Darden reported a 37.6% drop in earnings per share in the first quarter of the current fiscal year compared with a year before. Red Lobster was the biggest culprit. The magazine reports that the restaurant's revenue dropped 4.9% during the second quarter. Darden this month announced plans to separate Red Lobster's 705 locations from the rest of its portfolio with the possibility that it could be sold off.

As I've gotten older and a bit more affluent, perhaps even snobbier, I recognize that with the exception of those delicious cheddar biscuits, most of Red Lobster's dishes pretty much taste the same.

But statistics suggest that we haven't been going to restaurants like Red Lobster the way we used to, and it's not because our collective palate has changed.

It's because we can't afford to eat out anymore.

In the four years since the economy began to rebound, the median annual household income fell by 4.4%. But for black households like the one I grew up in, income fell by nearly 11%, more than twice the rate of Latino homes and three times that of whites. Red Lobster remains a favorite spot for black families to dine after church. I imagine it's harder to do with over a 10th of the family's income gone.

But it's a mistake to blame the erosion of buying power and the decline of middle-class touchstones like Red Lobster or JCPenney on just the Great Recession.

The truth is, the working class has been getting pinched for decades.

From November 2012 to November 2013, weekly earnings rose 1.1% while the consumer price index increased 1.2%, according to the Bureau of Labor Statistics. That small uptick may not seem like much until you factor in three years ago, wages increased 1.8%, and the CPI was up 3.5%. And that may not seem like much until you realize that almost every year since 1983, a series of small ticks like those two examples has been widening the gap between between what we earn and what we can buy.

Consider the poverty threshold.

For a family of four in 1983 it was $10,178. Adjusted for inflation, that should be $23,817.03 today. However, the actual 2013 poverty threshold is $23,492, a difference of $325.03.

When you're living check to check, that's a lot of money.

When you're living check to check with smaller checks to work with, luxuries quickly fall by the wayside. Luxuries like going out to eat, which has slowed considerably since 2010.

Red Lobster is not the only restaurant seeing more empty seats than in years past. It's just the one that happens to have an interesting tie to the poor folks I knew.

The poor folks I know.

As the nation talks about income inequality and the prospects of raising the minimum wage, it's interesting to note that the true buying power of minimum wage peaked in 1968. That also happens to be the same year Red Lobster was founded.

I'm no economist, but I doubt that the struggles of the working class and the struggles of a restaurant that depends on the working class for business are just a coincidence.

The opinions expressed in this commentary are solely those of LZ Granderson.

@highlight

LZ Granderson grew up poor, and a real treat once or twice a year was to go to Red Lobster

@highlight

The chain is in financial trouble, which LZ says is tied to fewer people going out to eat

@highlight

LZ: Wages are down, and middle-class or working-class families aren't going out for dinner

@highlight

LZ says JC Penney and other stores that cater to middle class are in trouble, too