(CNN) -- If you want to see the impact of Iran's growing power in the Middle East, look no further than Syria.

On Monday, three important developments occurred simultaneously:

First, world diplomats scrambled anxiously to salvage plans for a conference on Syria scheduled to start on Wednesday. The "Geneva II" meeting almost went off the rails before it began, with Syrian opposition leaders threatening to stay away unless the United Nations retracted the invitation it had unexpectedly extended to Iran.

At the same time, a new report about the Syrian civil war showed what appears to be convincing evidence of large-scale "systematic torture and killing" by the regime of Syrian President Bashar al-Assad, Iran's top ally. The report's authors said the new evidence could prove al-Assad and his regime are guilty of perpetrating crimes against humanity.

And in the third major event of that day, the interim nuclear deal between Iran and world powers went into effect. Under the deal negotiated in November, Iran suspended some of its nuclear enrichment operations, and Western governments started lifting some of the economic sanctions they have used to pressure Tehran.

Opinion: Syrian genocide needs justice

These three events will be included by historians and analysts when they write the story of the turmoil of the early 21st century Middle East. They will note that this was a week that showed the consequences of Iran's gradually rising influence, as the Islamic Republic moved steadily toward its goal of becoming the dominant power in the region.

Not long ago, the dictator al-Assad appeared on the verge of losing power to a popular uprising. President Barack Obama declared he "must get out of the way." But his regime's loyal allies in Tehran sent in reinforcements.

At the urging of its Iranian patrons, Lebanon's Shiite militia, Hezbollah, moved its forces across the border into Syria, helping to turn the tide of the war and adding to its increasing radicalization. The war went from a grassroots democratic movement to a brutal showdown between Sunni extremists -- whose strongest elements now include al Qaeda fighters -- against Shiite forces loyal to Iran and al-Assad.

Now the Syrian war, which has displaced millions of civilians and has killed more than 130,000, according to the Syrian Observatory for Human Rights, is spilling into Lebanon, Iraq and elsewhere.

It has become a proxy war for regional rivalries, with Sunni states, including Saudi Arabia and Qatar, supporting the opposition, and Iran, along with Hezbollah, standing steadfastly with al-Assad by providing him with manpower, ammunition and intelligence.

Iran has not only saved al-Assad, it has changed the character of the fight.

It has turned it into a much more dangerous regional conflict, all but eliminating the prospects for a positive outcome anytime soon and adding to the indescribable suffering of the Syrian people.

Where do Iran's nuclear program and the agreement with world powers fit into all this?

The interim deal was meant to freeze the nuclear program in place for six months while a final agreement is negotiated. But the announcement of the deal late last year immediately transformed the landscape. In the eyes of Arab states, the U.S. was taking the first steps towards capitulating before Iran's aspirations. The Iranian regime's goal is to spread its version of Islamic revolution and to make Iran the most powerful country in the region.

The sight of top American and European diplomats rushing to Geneva to negotiate with Iran sent a strong message. Within days, the balance of power started shifting. Countless delegations crossed the Persian Gulf, as Arab rulers allied with Washington sought to strengthen ties with Tehran. Saudi Arabian officials railed against the United States.

One reason Iran signed the interim deal is that it has already achieved a great deal of what it sought with its nuclear program. Under the so-called Joint Action Plan, Iran has suspended uranium enrichment above 5% and will start getting rid of its 20%-enriched uranium, which is close to weapons grade. But nobody thinks the deal, as it stands now, is a solution. In some respects, Iran is already a nuclear power, although it doesn't yet have the full immunity that nuclear weapons would create.

As if to reinforce that point, Iran's top nuclear negotiator, Abbas Araghchi, told Iranian television that if Tehran decided to resume enrichment to its previous levels, it could do it in 24 hours. The White House dismissed the statement as meant for domestic consumption. But the fact is that Iran is not dismantling its centrifuges. It is just unplugging them.

In the meantime, Iran's economy has already started recovering. European, Asian and Arab businessmen are lining up to make deals with a resurgent Iran. Arab diplomats are speaking in measured tones about their Persian neighbor, but behind the scenes, the worries are palpable.

The mere prospect of an Iranian presence at the Geneva talks came close to scuttling the diplomatic effort. The U.N. withdrew the invitation after the rebels said they would not attend, and both Washington and Riyadh pressured the U.N. But already Iran and Syria have indicated they have no intention of supporting the meeting's official goal of creating a transitional government to end Syria's war. Syria's regime will likely become more beholden to Iran than ever.

A stronger Iran would deepen the divisions separating Sunnis and Shiites, Arabs and Persians, Saudis and Iranians, Palestinians and Israelis, making them all but impossible to bridge. The region would become a greater threat to itself and the world.

The talks in Switzerland will now start. But the fighting, torture and killing in Syria will continue, even as former war crimes prosecutors say al-Assad is viciously slaughtering his own people.

In the end, much of the Middle East's future will depend on whether negotiators can find a way to stop Iran from advancing its power to the point where it becomes essentially invulnerable. Otherwise, the region will become an even more dangerous and desperate place, as we see today in Syria.

The opinions expressed in this commentary are solely those of Frida Ghitis

@highlight

Frida Ghitis: Syria a good example of Iran's growing power in the Middle East

@highlight

She says Iran is the top backer for al-Assad's regime, which commits reported atrocities

@highlight

She says U.S. wants new Syria government; Iran's backing makes al-Assad unlikely to deal

@highlight

Ghitis: Interim nuclear deal makes allied Arab nations fear the West will weaken