(CNN) -- It feels like a rerun of the Orange Revolution. Similar to late 2004 when hundreds of thousands of Ukrainians took to the streets to protest what they saw as a fraudulent presidential election, mass demonstrations have been taking place ever since the government in Kiev suspended an association and trade agreement with the European Union some days ago.

No less than back then, observers inside and outside the country are stunned by the civic force unleashed. Across the country, Ukrainians have been gathering for Euro Maydans, coined after the Kiev square that is the epicenter of protests now as it was then. Social networks, independent media and street talk are again abuzz with minute-by-minute news, appeals for nonviolence, help offered to protesters and humor ridiculing the powers that be.

Ukraine protests grow as president responds

Ukrainians also pin their anger -- and their hopes -- on largely the same protagonists as nearly a decade ago. There is the government of President Victor Yanukovich, whose rigged election in 2004 and rejection of the EU accord now, both times with backing from Russia, blatantly ignored the will of many Ukrainians.

These, in turn, rally behind an opposition led by a motley crew composed of boxing champion Vitali Klitschko, nationalists and, from her prison cell, the erstwhile Orange icon Yulia Tymoshenko. And as back then, the government has started to peddle back, and indications now are that the protesters may succeed with their demands.

Yet not all is dÃ©jÃ  vu, and the stakes now seem even higher than during the Orange Revolution. Many in Ukraine feel today that they have reached a final junction. They do not want to miss what may be the last opportunity in many years to come for a principal, some even say civilizational, choice between Europe and Russia, democracy and dictatorship, sovereignty and subordination, prosperity and poverty, modernity and mayhem. Indeed, the contrast between what Ukraine can expect from her Western and Eastern neighbors could not be starker.

Opinion: Beware Russia's power play

The EU has, over several years, negotiated the most comprehensive association and deep free trade agreements ever, and it is ready to sign these with Ukraine. They require the country to adopt hundreds of EU laws, regulations and standards, and necessitate much-needed reforms of Ukraine's often dysfunctional political, legal and state institutions. In return, the EU would abolish visas for Ukrainian citizens and open its common market of 500 million consumers to Ukrainian companies, resulting in a considerable boost to the country's GDP and prosperity.

While promising to affiliate Ukraine closely with the EU, to reinforce its independence and to benefit its democracy, rule of law and market economy in the long-run, the agreements fall short of a full membership perspective for the country, and they contain very limited assistance to accomplish the painful process of reforms required. Most importantly, however, the EU has been reluctant to include with its offer short-term support to Ukraine's battered economy and finances.

Russia, on the other hand, has used the dire need of Ukraine for immediate cash injections to promote its own integrationist project, the Eurasian Union. This is Vladimir Putin's attempt to bring back former Soviet republics under the Kremlin's hegemony and to restore its erstwhile status as a world power, and it is to be fully functional by 2015.

This anti-EU, which currently comprises only Belarus, Kazakhstan and Russia, does not demand political, economic and social modernization but is content with the same autocratic and oligarchic status quo that Russia herself preserves. In return, current and would-be members are lured with Russian political backing, financial subsidies and security guarantees, while countries opting against are threatened with debilitating sanctions. In either case, Russia effectively undermines the independence and statehood of its smaller neighbors.

Ukraine, the largest, most strategic and highly symbolic among Russia's neighbors, has experienced this arsenal of Russian sticks and carrots for years -- and the more massively, the closer it moved to signing its EU association and trade agreements. Faced with this choice, the Ukrainian government and society have clearly grown apart.

The former gave in to Russian pressures, mainly drawn by the short-term prospect of financial aid offered by Moscow and only concerned with preserving its political power. The latter has increasingly understood that a free, democratic and prosperous Ukraine is possible only in ever closer, and one day full, integration with the EU. It is this understanding that manifests itself in the demonstrations across the country.

It is now on the EU to seize the moment. It must be no less proactive than it was during the Orange Revolution and engage the Ukrainian government and the protesters in a national dialogue for a way out of the current impasse.

It must clearly state that Ukraine has a perspective of EU membership as per its own founding documents, and it must ready the same support -- political, financial and institutional -- that it has provided to other new democracies on their way to the EU. It must mobilize, directly and through the IMF, the resources for Ukraine to weather its imminent financial collapse, and it must shield the country from likely Russian retaliation, whether economic sanctions, political meddling or worse.

Hundreds of thousands of courageous Ukrainians have handed their country, and Europe, a second chance. It may be the last, and it must not be wasted.

The opinions expressed in this commentary are solely those of Joerg Forbrig.

@highlight

On November 21, Ukraine's government decided to suspend talks with the European Union

@highlight

The decision has sparked the biggest protests since the 2004 Orange Revolution

@highlight

Joerg Forbrig says President Victor Yanukovich has ignored the will of the majority

@highlight

It is now up to the EU to engage Kiev and protesters in a national dialogue, he says