(CNN) -- There's a children's book from 1977 called The Big Orange Splot. In it, all the houses on one block look the same. Until one day, when a pelican drops a bucket of orange paint on one roof. Instead of painting over it, and returning to the status quo, Mr. Plumbean decorates the roof—and then the facade, and then the yard—with wild, rainbow patterns. His neighbors think he's lost his mind. But one by one they see the beauty in individual expression, however weird and wacky it may look at first.

The popular book sounds like an allegory about communism, and conformist lifestyles. And as it turns out, something similar happened in the Hungarian countryside in the 1960s, during the height of communism. The result—those decorated houses—are the subject of Hungarian Cubes, by Katharina Roters.

From 1965 to 1988, János Kádár ran things in Hungary. Unlike the leaders of the other Eastern Bloc countries, Kádár practiced a sort of relaxed strain of communism: the Hungarian People's Republic had a free market, and was tolerant (more than Stalin, at least) of individual voices and public dissent. These policies ultimately became known as "Goulash Communism." It's fitting, then, that during the Goulash Communism era, a peculiar architectural trend took off: People started painting the facades of their houses with abstract shapes, in wild shades of color.

It might be more accurate to say a decorating, or public art movement, began to take off, because the architecture style in question began in the 1920s, long before Kádár's time. It followed the principles of Communist urban planning: city blocks filled with square, economical row houses. They were designed for efficiency, meaning every house was the same, and every house was boring.

That didn't last forever. In Hungarian Cubes, Roters documents those countryside row houses during Kádár's reign, after residents started freewheeling with colors and shapes to make it so no two houses looked like. Roters noticed the painted "Magyar Kocka", or Hungarian Cube, houses in 2003 after moving from Germany to a small Hungarian town. Some of the homes have trompe l'oeil paintings around the window, like facsimiles of shutters or trimming. Others look like abstracted images of sun rays, or harvested crops.

"Today you can buy a car you like, you can do everything you like. In this uniform world where people were not allowed to have some individuality, you had to wait for the same car as your neighbor," Roters says. "The facade is what I can show to the outside to the world. This was a free space at this time where the people can show and express their individuality."

Roters has spent years photographing the Magyar Kocka houses. She's met some of the original owners, but also is watching as the Cube houses undergo renovations and new paint jobs. "The intellectual elite in Hungary they hate the kind of housing and the period and the ornamental decoration," Roters says. In Hungarian Cubes, she writes: "In the eyes of the rural population, these houses are simply no longer up-to-date and are therefore...these witnesses to a way of life are slowly but surely disappearing." The houses are a relic of some rare individualism during a time of homogeneous, community-centric thinking.

Hungarian Cubes is available here, through Park Books.

Read more from WIRED:

Unexpected shooting targets used by the world's armies

What's inside Sriracha that makes it so delicious?

Someone reinvented the butter knife and it is amazing

How to fix your iPhone's annoying autocorrect

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

In her new book, Hungarian Cubes, Katharina Roters highlights decorated houses from the communist era

@highlight

During the so-called "Goulash Communist" period, people started painting their houses with bright colors and abstract shapes because of the lax government

@highlight

At the time, houses were supposed to be simple and homogenous