Miami (CNN)Despite calling the case "incredible" and the newly discovered evidence "very intriguing," a judge Friday ruled against overturning the conviction of a onetime wealthy businessman who's been sitting in prison for 27 years for the killing of two people inside a downtown Miami hotel.

Krishna "Kris" Maharaj, 75, was not in court when Judge William Thomas said, "This court fully weighed the materiality, relevance and inconsistencies of the newly discovered evidence, and concludes that such evidence falls dramatically short of establishing that the murders were committed by anyone other than Mr. Maharaj."

The convicted killer's family sat in the front row of the courtroom, and held each other as the judge uttered those words. Just a couple of rows behind them, the wife and mother of the victims, Derrick and Duane Moo Young, shed tears of happiness.

Maharaj's attorneys have 30 days to appeal the decision. They did not say whether they would do so.

From luxury living to prison bars

It was October 1986, when police arrested Maharaj -- an international food importer and newspaper owner -- in the shooting deaths of his business partners, Derrick Moo Young and his 23-year-old son.

At the time, the British citizen was living the good life in South Florida. He had owned luxury cars and horses that raced against thoroughbreds held by Queen Elizabeth II. That all came crumbling down.

Despite having an alibi, Maharaj was charged with murdering the Moo Youngs because they allegedly had cheated him out of more than $400,000. He was found guilty and sentenced to death -- a penalty that was later reduced to life in prison.

Then, in April 2014, Judge Thomas, of Florida's 11th Judicial Circuit Court, granted Maharaj a chance that could open the door to freedom.

A hearing was held in November to determine whether new evidence from Maharaj's lawyers "undermines confidence in the verdict," according to court documents. Defense attorneys also had to establish that the new "evidence would probably produce an acquittal or less severe sentence on retrial."

A cartel connection?

Maharaj's lawyers said evidence suggested the murders were committed by former members of Pablo Escobar's infamous Colombian drug cartel.

In the late 1970s and early '80s, Escobar cashed in on the exploding popularity of cocaine in the United States, said reporter Mark Bowden, author of "Killing Pablo."

Maharaj: I was framed for murders ordered by Escobar

Leader of the Medellin Cartel, Escobar was responsible at one point for almost 80% of Colombia's cocaine exports, making him the seventh richest man in the world, Bowden told CNN.

Escobar was killed in a rooftop shootout with authorities in 1993.

According to a motion filed last year by Maharaj's attorneys, a "Colombian drug cartel member confirmed that the Moo Young murders were committed at the behest of Pablo Escobar."

"The Moo Youngs were laundering money for the Colombian cartels," the defense motion said. "This is what precipitated their murders."

An ex-cartel member confirmed that "Maharaj was not involved in the murders of the Moo Youngs, and that they had to be eliminated because they had lost Colombian drug money," according to the defense motion.

"We've got several Colombian cartel people to say, 'We did the murders,'" Maharaj defense attorney Clive Stafford Smith told CNN on the phone last June.

The defense team also alleged Florida prosecutors covered up evidence in the 1987 trial that could have proved Maharaj's innocence.

The prosecution's case

Although prosecutors said they stood by the decades-old case, in a June email to CNN, a state attorney spokesman wrote, "Now that we are re-engaged in litigation on this matter, it would be inappropriate for us to be commenting at this time."

But, in their own motion, prosecutors wrote, "The only thing that is obvious to anyone who really looks at these fantastical allegations by the defendant is that they are empty and have no substance."

"None of [the potential witnesses named in the defense motion] have any first hand knowledge, provide no admissible testimony or evidence and only attempt to further the nonsensical and wholly speculative theories of the defense," the prosecution document said.

The evidence against Maharaj was significant.

Police found his fingerprints in the guest room at Miami's Dupont Plaza Hotel where the shootings occurred. Maharaj said he was there for a meeting, but departed before the Moo Youngs were killed.

Nineteen fingerprints found at the crime scene have never been identified, according to the defense motion.

Maharaj: Then and now

Maharaj told CNN's "Death Row Stories" that he left the hotel and drove 25 miles to Fort Lauderdale to have lunch with one of his newspaper employees. The employee signed an affidavit as an alibi witness.

The restaurant manager, Ron Kisch, told "Death Row Stories," he remembered seeing Maharaj having lunch that day.

"It doesn't seem like there's any way possible that he could have killed people at 12 o'clock and then been in for lunch sometime between 12 and 2," Kisch said.

Five other witnesses came forward saying Maharaj was with them on the day of the murders, "Death Row Stories" reported.

Today, Maharaj sits in a medium-security correctional facility outside Miami. He had been in poor health, according to his lawyer, although he seems to have improved.

CNN's Javier De Diego reported from Miami.

@highlight

Judge in Florida rules against new murder trial

@highlight

After 27 years in prison, lawyers claimed new evidence could free ex-millionaire

@highlight

Kris Maharaj's lawyers say he was framed for a drug-money hit ordered by Pablo Escobar

@highlight

Prosecutors say Maharaj shot and killed a father and son in a Miami hotel