(CNN) -- It's hard to believe it's been more than a year since I stood before the audience at one of my favorite forums, TED. But a year later, our vision for an oil-free world where electric cars are more convenient and affordable than gasoline-powered cars remains the same.

It's been a turbulent year for the global economy, and the events of recent weeks only underscore the urgency of our situation as a society and as a planet. We see firsthand the severe damage oil can inflict, not only on our global economy but also on our environment.

Just look at the tragedy unfolding in the Gulf of Mexico. We will soon see the damage of this horrific event in very human terms, as the damage to the industry, the environment and the livelihood of those in the Gulf grows and all struggle to recover in the coming months and years.

My hope is that we will soon get to a point where we see that the cost of oil in human capital is no longer acceptable and that the increasing complexity of finding and retrieving this diminishing resource no longer makes economic sense. The good news is we are already seeing a shift that will ultimately take us from a transportation system based on a volatile oil ecosystem to one based on a more sustainable model using electric cars that creates a market for clean energy.

The shift to electrification is inevitable, and we're seeing some of the world's leading countries make strong commitments to electrification. China, France, Japan and Israel are just a few. Motivations vary from country to country, but the end result will be the same: a stronger economy, healthier automotive sector and increased development of clean energy, leading to a healthier society.

We will see new countries emerge to lead the way, and we will see former powerhouses who fail to act, left behind in this new sustainable global economy. While governments have the ability to accelerate the shift, the question remains how quickly we can get there.

My start-up, Better Place, has made great progress in the past 12 months, and we're moving forward in all of our committed markets. We began the year by raising $350 million in a financing round led by HSBC, and we continue to drive toward a full system test in Israel later this year, followed by our commercial launches in Israel and Denmark in late 2011.

On April 26 of this year, we launched the first switchable-battery electric taxi project in Tokyo. With the support of the Japanese government, we've partnered with Nihon Kotsu, Tokyo's largest taxi operator, to show what's possible in a rigorous environment with cars that drive almost continuously. Tokyo has much to gain from this: The city's 60,000 taxis may only represent 2 percent of all cars in the city, but they are responsible for 20 percent of emissions. If the switch works for taxis, imagine how it can work for average drivers.

Just two days before our Tokyo launch, Better Place signed a memorandum of understanding with Chery Automobile Co., China's largest independent auto producer and exporter. You can't talk about the future without considering China: They get it, they'll do it, and it's that simple.

Today, only 2 percent of China's population owns a car, but 80 percent of sales last year came from first-time car buyers, presenting a huge opportunity to get it right. The Chinese recognize EVs as a solution to the problem of the oil monopoly and its associated pollution, as well as an opportunity to leapfrog internal combustion engine technology and the rest of the auto industry. In fact, recent research from HSBC predicts that China's share of the global EV market will grow from 2.7 percent this year to 35 percent by 2020.

In late 2011, we're planning countrywide rollouts of the Better Place model in Israel and Denmark. With the infrastructure deployment under way, both of these countries will be ready when the first EVs from Renault come to market. We are talking about mass market with these cars -- as Better Place and Renault have committed to 100,000 electric cars for Israel and Denmark beginning in 2011. This is just the beginning, and we're seeing clear direction and new visionaries emerge such as Carlos Ghosn, CEO of Renault Nissan, who sees a future where EVs are mass marketed and make up 10 percent of all car sales by 2020.

Call it a revolution or an evolution, but this shift is happening today. While we still face a number of challenges, over the past 12 months, we've seen a new willingness from the global auto industry to change. Two years ago, most automakers considered electric cars a niche market, but today, we see almost every automaker in the world producing electric vehicles.

As the benefits of a more sustainable transportation model are realized, we will very quickly see a dramatic change in the global economy, the health of the car industry and, most importantly, in the air we breathe. All of this points the way to a bigger, brighter future. It's simply up to us to make it happen.

The opinions expressed in this commentary are solely those of Shai Agassi.

@highlight

Shai Agassi says Gulf spill makes it ever more obvious oil costs too high for powering cars

@highlight

He says countries like Japan, China, Israel committing to some electric cars

@highlight

For example, his company has electric taxi project in Japan to show what's possible, he says

@highlight

He says as countries realize benefits to global economy, more will adopt electric car technology