Paris (CNN) -- Reaction to the arrest of International Monetary Fund chief Dominique Strauss-Kahn ranged from concern to outrage to sadness Tuesday in France, where one politician said he was the victim of a "lynching" and others cautioned against what they see as a rush to judgment.

Underscoring the cultural differences between France and the United States, many French recoiled from images of Strauss-Kahn, who is charged in the alleged sexual assault of a New York hotel housekeeper, in handcuffs and in court -- photographs that would be prohibited under French law to protect the presumption of innocence.

Some French speculated about whether he was the target of a political setup, while others questioned what they see as a rush to judgment by U.S. authorities and the American media.

"There's a general feeling of a media, a judicial fury -- of a lynching," Jack Lang, France's former minister of culture and education and a Socialist Party lawmaker, told Europe 1 radio.

Lang called the American justice system "inhumane." "For 48 hours now, only the side of the accusation has been heard ... and the versions given by police have been contradictory," he said. "The refusal to allow him out on bail, when no violent crime has been committed -- even in America suspects are usually let go on bail if a violent crime has not been committed."

Strauss-Kahn's defense attorneys have insisted he is innocent. Defense attorney Benjamin Brafman on Monday called the case "very defensible."

"The forensic evidence, we believe, will not be consistent with a forcible account, and we believe there is a very, very defensible case, and he should be entitled to bail," Brafman said during the hearing Monday.

A judge disagreed Monday, decreeing Strauss-Kahn a flight risk and denying him bail. He is currently housed in New York's Rikers Island jail complex.

Strauss-Kahn's arraignment was televised and clips played on various networks. "Perp walks," in which defendants -- accompanied by police -- walk in front of photographers handcuffed are standard fare in America.

"That is not the case in France," where cameras are not allowed in courtrooms, the head of the Socialist Party, Martine Aubry, told reporters Tuesday in Paris. A 2000 law prohibits the publication of photos of a defendant in handcuffs or in court. Aubry said many of her colleagues were "shocked" at what they saw.

"Since yesterday we've been overwhelmed by the images and also by the charges against Dominique Strauss-Kahn," she said. "So we are here to say what we have always done unanimously for the last three days, to remind everyone first of all of the presumption of innocence." She took no questions from reporters.

"I think that for Americans it's the normal procedure, so there's nothing shocking about these pictures, but in France it's true that these pictures are very shocking for us, because in France we don't have the right to show images of a man who is charged but not yet convicted," French resident Veritas Galabova, who works in finance, told CNN on Tuesday. "... It's two cultural points which are different."

Benoit Hamon, spokesman for the Socialist Party, said, "It's very bizarre, strange for us to see one of our leaders between two American cops, like in a movie."

Some French also said they believe investigators moved too quickly to arrest Strauss-Kahn, who was pulled off a plane to Paris in police custody hours after the alleged incident took place in a $3,000-a-night suite at New York's Sofitel hotel.

"There is a real feeling that there's a rush to justice here," said Nathan King, a correspondent for France 24 television network.

However, Linda Fairstein, former head of the Manhattan district attorney's sex crimes unit, defended the investigators, saying if the special victims unit "had probable cause ... they did the only thing that they could do, which was to stop this man before he left the country."

Strauss-Kahn was widely considered a leading contender to be put forth as the Socialist Party's presidential candidate and face President Nicolas Sarkozy in next year's election.

"If you are pro-Sarkozy, you are happy," French teacher Paul Verite said Tuesday. "If you're not pro-Sarkozy, you have many worries, because it was clear that he was the one with the most chance of beating Sarkozy."

Verite said he believes the timing is suspect. "It makes more sense that it was a setup than that he's really guilty," he said. "It could happen, but it's quite strange for something like this to happen a year before the presidential election."

Explaining the impact of the news in France, King said, "If John Edwards had won the nomination for the Democratic Party to run for president and then find out everything we know now and add a criminal element to it -- you get how big that is."

Edwards, a former U.S. senator from North Carolina, admitted in January 2010 that he had fathered a child with his mistress.

Many French also said they feel Strauss-Kahn hasn't been given a chance to present his side of the story adequately, King said.

"We have a tradition in France ... not to judge one way or the other until the real facts have been clearly established," Galabova said. "For the moment, we have only heard the side of the accusation, and I'm not saying that's not true, but simply that we haven't heard the opposing side and the defense's side, so I think we really have to wait for the real facts to understand what happened."

The Socialist Party's Aubry told reporters, "So far, we have only heard accusations from the prosecutor. That is the law. They are following it. There you go. It's not our (system). And we are waiting for that other voice, the one of Dominique Strauss-Kahn and his lawyers, which we will hear in the days to come."

The Socialist Party, meanwhile, insisted Tuesday it will not be deterred from its efforts to win back the presidency in 2012. Presidential primaries will be held on schedule, said Hamon, the party spokesman.

France typically has a laissez-faire attitude toward extramarital affairs, even if they result in children. News like that involving Edwards or former California Gov. Arnold Schwarzenegger, who acknowledged Tuesday he fathered a child a decade ago outside of his marriage, doesn't cause much of a stir. When the scandal involving President Bill Clinton and Monica Lewinsky broke during the 1990s, many French said it proved Clinton was strong and could lead the country, King said.

The late French President Francois Mitterrand fathered a child during a long-term affair. When asked about it by reporters, King said Tuesday, that Mitterrand responded, "Yes, of course, but it's my private life." "The cultural difference is fascinating," King noted.

However, criminal charges in the Strauss-Kahn case may decrease the French tolerance, King said.

"I think the French press knows the difference here," he said. "They've long put up with affairs and not reported them ... but this is criminal."

In addition, sympathy for Strauss-Kahn may be eroded, King said, by allegations from French politician Anne Mansouret, who said following Strauss-Kahn's arrest that he attacked her daughter, French journalist Tristane Banon, in 2002. Mansouret said she cautioned her daughter not to report the alleged incident to police out of concern it might adversely affect her career, as Banon was just starting out in journalism.

Banon's attorney told CNN Monday they are considering filing a police complaint in light of the charges against Strauss-Kahn. Strauss-Kahn's attorneys have not responded to CNN requests for comment on the 2002 allegations.

In arguing against allowing the IMF chief to go free on bond Monday, prosecutors said during his arraignment they believe Strauss-Kahn has engaged in "similar acts" at least once before.

CNN's Ivan Watson, Saskya Vandoorne, Alanne Orjoux and Catherine Clifford contributed to this report.

@highlight

Many French find pictures of a handcuffed Dominique Strauss-Kahn disturbing

@highlight

One French politician compares the case to a "lynching"

@highlight

Some French says Strauss-Kahn should be able to present his defense sooner

@highlight

The Socialist Party pledges to forge ahead with presidential primaries for 2012