(Financial Times) -- "It's very important that Apple not become the developer for the world," Tim Cook, Apple chief executive, told analysts last month. "We need people to invent their own stuff."

On Monday, he is due to express those same feelings face-to-face with Choi Gee-Sung, chief executive of Samsung -- the Korean company that Apple alleges is the chief culprit in copying its iPhone and iPad inventions.

Their two days of judge-ordered settlement talks in a San Francisco courthouse will attempt to find a resolution to their rival patent claims, before a full-blown jury trial gets under way, scheduled for July.

This is the key dispute among more than 50 cases that have developed between the two companies over the past year in 10 different countries. Any agreement hammered out here could bring others round the world to a swift conclusion.

"I don't know if the parties will settle; this case is just one part of a very complex ecosystem, and putting CEOs in the room together is always a roll of the dice," says Mark Lemley, a professor at Stanford Law School.

"But both parties need to settle the larger war and get on with innovating. Fighting all the patent battles to the end will leave no one the victor."

Apple seems to be the one more eager for a resolution at present, and not just because of Tim Cook's feelings. "I've always hated litigation and I continue to hate it ... I would highly prefer to settle versus battle," he said in April.

The urgency for Apple and its lawyers is that Samsung has overtaken it in smartphone sales on the back of Apple's leadership in innovation. It shipped 45m smartphones in the first quarter, according to Strategy Analytics, compared with Apple's 35m.

"Samsung has vaulted into first place in worldwide sales of smartphones, with massive sales of its copycat products," alleged a recent Apple filing. "Samsung's infringement of Apple's intellectual property has already resulted in damages that reach billions of dollars."

Apple has pursued injunctions and import bans to try to keep not just Samsung out of its markets, but HTC and Motorola as well, all three Samsungbeing users of Google's rival Android operating system.

HTC's latest Evo 4G LTE phone was impounded by US Customs last week following an International Trade Commission decision in Apple's favour. Apple filed on Friday for an injunction to ban Samsung's Galaxy Tab 10.1 tablet.

The battle with Samsung began in Northern California in April 2011, with Apple filing a 373-page complaint of patent and trademark infringement. Other skirmishes have since broken out in France, Germany, Italy, Spain, the UK, Netherlands, Australia, Japan and South Korea.

Apple's original complaint includes allegations that Samsung infringed on elements of the iPhone's look -- its rectangular shape, rounded corners, silver edges, black face and display of icons. It also alleges Samsung copied features such as the way instant messaging was displayed and even mimicked Apple's trademarked touch-icons for applications such as Phone, Contacts, Photos and iTunes.

Samsung hit back with its own list of alleged patent infringements by Apple -- backed by its 6,000-strong US telecoms patent portfolio and its claim to have first introduced a smartphone as far back as 1999. The key patents Samsung relied on all relate to the inner workings of phones and how they connect to 3G networks.

Florian Mueller, an independent patent analyst, says that Samsung could land itself in more trouble by going to war with patents that are essential to standards such as 3G. Antitrust authorities are already investigating whether these should be "Frand" patents -- available for anyone to use under "fair, reasonable and non-discriminatory" terms.

For its part, Apple is fighting over design elements that are already disappearing in newer models as companies figure out workarounds to possible infringements. For example, Android phones and tablets are "unlocked" by swiping from inside a circle on their touchscreens now, rather than swiping along a bar, as on the iPhone.

David Martin, chairman of M-Cam, a US patent analysis company, says there is so much "prior art" -- earlier innovations covering similar ground -- that Apple and Samsung are inviting subsequent third-party litigation by airing the strengths and weaknesses of their patents in public.

"Third-party patent holders, of which there are literally thousands in this space, are salivating over the fact that you are going to have this ongoing acrimony, allowing people essentially to learn where constructive claims of infringement can be made," he says.

Apple did not respond to a request for comment on its litigation. Samsung declined to comment.

However, for Apple at least, it is about far more than banning rival products, winning damages or earning royalties in any future licensing agreements, according to Mr Mueller.

"It's critical that its products continue to be able to distinguish themselves with unique features," he says.

"That's what drives consumers to buy them, that's what sustain its margins and make this all worth tens even hundreds of billions of dollars to Apple."

© The Financial Times Limited 2012

@highlight

Samsung, Apple begins two days of judge-ordered settlement talks in a San Francisco courthouse

@highlight

Attempt to find a resolution to their rival patent claims before a full-blown jury trial gets under way