(CNN) -- When the winner of the women's singles at the U.S. Open picks up her check for $2.6 million -- buck for buck the same as the men's champion -- she might well reflect that, if not for Billie Jean King's pioneering efforts, those riches might not exist.

Supreme champion on the court, battler for equality off it, King took on the male-dominated tennis establishment and won.

She was the driving force behind the formation of the Women's Tennis Association (WTA) in 1973, the same year she famously beat former men's grand slam champion Bobby Riggs in the "Battle of the Sexes" match in Houston.

"Everybody should thank her and shake her hand," King's fellow tennis icon Chris Evert told CNN's Open Court. "She put money in our pockets and provided a living for hundreds and hundreds of female athletes.

"Tennis is the frontrunner in all sports in equality, so she deserves all of the credit."

40th anniversary

Forty years on, King, who turns 70 in November, has been celebrating the WTA's anniversary in a series of events which defined the role of women not just in sport, but in society itself.

The fledgling Virginia Slims tennis circuit for women professionals had been established at the start of the 1970s, but the leading players like King and Australian Margaret Court -- the all-time leading grand slam singles winner -- were still paid a fraction of the prize money available to their male counterparts.

The men had formed their own union -- the Association of Tennis Professionals (ATP) in 1972 -- and King was convinced it needed to be replicated for women.

Using her famous powers of persuasion, and with help from other key figures such as Dutchwoman Betty Stove, compatriots Rosie Casals and Nancy Ritchey and Britain's Ann Jones, a meeting was convened at the Gloucester Hotel in London, just before the Wimbledon championships.

Within a few short hours, the articles of the association were signed and the WTA was born.

Player power

"We finally all came together as one voice and having the power of one -- you know just one group. It made such a difference," King told CNN.

Martina Navratilova was then just starting out on her incredible career, and it was only later that she appreciated the significance of what had happened.

"My first year playing -- 1973, my first Wimbledon -- I had no idea what the association was, but being American and being a bit older, Billie Jean again had the foresight to get us organized just in time," the Czechoslovakia-born Navratilova told CNN.

Already an influential figure in the United States and helped by her then husband Larry, an astute lawyer, King had threatened to boycott the 1973 U.S. Open if equal prize money was not awarded.

As defending champion, King had considerable leverage and the organizers gave in to her demands. When Court won the 1973 title she received the same prize purse -- $25,000 -- as the men's champion.

Male chauvinism

But this concession was the exception rather than the rule in major sports.

Such male chauvinism was personified by former Wimbledon champion Riggs, a shameless self publicist, who made a fortune from gambling on his own tennis matches.

Seeing an opportunity to make more money, Riggs challenged both Court and King, claiming that even in middle age -- he was 55 -- he could beat the top women players.

King ignored him at first, but Court took up the challenge and played him in a match in California on May 13, 1973.

King had realized the significance of the occasion and had done her best to encourage the Australian to take it seriously.

"I said, 'Margaret it's not a tennis match, it's about social change, it's about social justice, it's about all the things we're working for,' and she goes, 'I don't'. She wasn't politically orientated!

Riggs match

"So Margaret played him Mother's Day in 1973 and lost (6-1 6-2). it's called the Mother's Day massacre and I just thought, 'Oh no!' "

King needed no second bidding, and the famous "Battle of the Sexes" match came to fruition on September 20 in the Houston Astrodome.

"I thought it would set us back 50 years if I didn't win that match," said King. "It would ruin the women's tour and affect the self esteem of all women."

The entrances -- King on a gold litter in the style of Cleopatra, Riggs on a rickshaw pulled by women models in skimpy outfits -- added to the theater.

Once the match started, King, at 29 and the peak of her powers, made her opponent eat his earlier words and boasts.

With a winner-take-all $100,000 check riding on the outcome, Riggs lost his nerve and was beaten 6-4 6-3 6-3.

Iconic moment

"The drop shot and volley heard around the world," said Britain's Times newspaper as an estimated global TV audience of 50 million watched the rout.

King and Riggs embraced at the end, and became friends off the court until his death in 1995 of prostate cancer.

Prior to the WTA's formation, King had realized the significance of legislation passed through the U.S. Senate and House of Representatives and signed into law by President Richard Nixon in June 1972.

Title IX made it a requirement under law for male and female students to be afforded equal federal funding in their high school and college studies.

"Before that, young women were not getting anything, there was gender quotas -- like 5% in the medical school at Harvard -- there were really terrible gender quotas and also women could not get an athletic scholarship in the States," said King.

"Now because of Title IX, women from all over the world can go to our American colleges on a scholarship and get grants. It's very powerful because it's about equality in education and activities, and sports comes under activities."

Quantum leap

According to 18-time grand slam singles winner Navratilova, King took advantage of the mood of the moment to push through changes which were ahead of their time.

"Billie Jean, she just pushed the clock forward, she sped up the process," Navratilova said.

"Any progress is measured by jumps, and that was one of those jumps that pushed the clock forward and allowed us to move forward as women athletes and to make a career out of it so it wasn't just a hobby. "

King was to play competitive singles for 10 more years after her 1973 heroics on and off the court, but injuries took their toll.

Her final grand slam singles triumph came at Wimbledon in 1975, her sixth success on the grass at SW19, but victory in the women's doubles at the 1980 U.S. Open competed her set of 39 major titles overall.

A firm believer in the team ethic, she played for and captained the U.S. in the Wightman and Federation Cup competitions, while King and her husband Larry were founding partners of World Team Tennis in 1974.

Team ethic

The format of that competition sees men and women playing a five-set competition in a mix of singles, doubles and mixed doubles.

It has proved a successful formula, with the franchises playing to big crowds across the United States.

For King, the whole ethos of the event sums up her attitude to life and equality.

"That's the way I want the world to look: men and women working together, championing each other, helping each other, promoting each other -- we're all in this world together," she said.

The fight she started for equal prize money in the grand slams took 34 years to reach its fruition when Wimbledon became the last of the four to fall into line in 2007.

"I remember the fight for prize money, I remember how many meetings were set, how many battles we had, and we all seemed to have stood by what we believed was right," Maria Sharapova told CNN when a unique meeting of former No. 1s gathered at Wimbledon to celebrate the 40th anniversary of the WTA.

Sharapova, who has become the highest earning female athlete in the world, acknowledged that she and the current leading players owe a lot to King.

Grateful thanks

"She had a big role obviously, there is a lot to be grateful for," she said.

King shows no sign of slowing up, with her commitments to World Team Tennis and various foundations.

In 2009, she was awarded the Presidential Medal of Freedom and found out that President Barack Obama was a fan of hers from time she spent in Hawaii when he was young.

"It's funny because he actually watched me practice at his high school. He told me when I met him for the first time," added King, who was honored for her work advocating for the rights of women and the lesbian and gay community.

She was divorced from Larry King in 1987 and her current partner Ilana Kloss is a former professional on the WTA Tour.

Life's goals

Even as a precocious teenager on the public courts of Long Beach in California in the late 1950s, King had decided her priorities.

"I had an epiphany about our sport. I really wanted to spend the rest of my life fighting for equal rights and opportunities for boys and girls, men and women," said King.

"I always knew if I could ever be No. 1 in tennis, I'd have a platform."

King has used that platform to great effect and the current No. 1, Serena Williams, remains her biggest fan.

"Billie Jean has been my ultimate inspiration," Williams, who will start the defense of her U.S. Open title in New York next week, told CNN.

"I had the honor of playing when she was Fed Cup captain and I learned so much from her.

"Not just women's tennis but women's sport would be greatly diminished if it wasn't for Billie Jean."

But it's been a journey that has taken its toll even on someone as outwardly tough as King.

"I've stood up but I'm scared a lot. I'm really scared a lot," she revealed.

"I felt very alone, very isolated at times but you know what -- I always felt like we were trying to do the right thing then I didn't care so much what people thought."

@highlight

Billie Jean King is a 12-time grand slam singles champion

@highlight

American is a famed fighter for equality and women's rights

@highlight

She was the driving force behind the women's WTA Tour

@highlight

Founded the same year she beat Bobby Riggs in famous "Battle of the Sexes"