(CNN) -- Shortly after 1:30 p.m. on February 24, 2010, a SeaWorld Orlando trainer lost her life in a tragic accident involving one of the park's killer whales. The death of Dawn Brancheau was an occasion of almost unbearable sadness for those closest to Dawn -- her family, friends and colleagues at SeaWorld.

I was honored to know Dawn and count myself among those SeaWorld team members deeply affected by her loss.

Dawn's death has been the subject of thousands of articles, broadcast news stories, blogs, books, and now a feature film called "Blackfish." Many of these accounts trade in the details of Dawn's death in graphic detail. They do so not to inform but, rather, regrettably, because of the desire to sensationalize.

Filmmaker: Why I made 'Blackfish'

The three years since Dawn's death have seen the emergence of individuals who have chosen not to honor her memory, but rather to use the events of February 24, 2010, to advance their own interests. Some seek commercial gain. Others seek to forward a political or philosophical agenda. Still others appear to be engaged in self-promotion.

But anyone approaching this subject in good faith must recognize a simple fact: Our staff has interacted with killer whales -- for veterinary care, training, shows, educational presentations, husbandry, exercise, play and enrichment -- hundreds of times a day for nearly 50 years. The tragedy of Dawn's death cannot and has not been ignored, but neither should the literally millions of safe interactions we have had with killer whales over that span of time.

"Blackfish" focuses on a handful of incidents over our long history at the exclusion of everything else. Not a single interview with a guest who was inspired and enriched by their experience with killer whales at SeaWorld. Not one visitor who left SeaWorld more aware of the need to preserve the world around them. Not one word about the thousands of ill, orphaned and injured animals rescued by SeaWorld or the millions of dollars we dedicate to supporting conservation and research.

There is no acknowledgment anywhere in the film of the great things SeaWorld does every day or the simple fact that our animals are healthy and passionately cared for.

SeaWorld answers CNN's questions on orcas

I started at Sea World in 1975 and have witnessed the growth and changes that come with a company that is dedicated to understanding these magnificent animals. We have collected invaluable information about these animals that could not be obtained from observation in the wild.

In the three years since Dawn's death, we have again made significant changes at SeaWorld. We have altered how we care for, display and train these extraordinary animals. We have changed the facilities, equipment and procedures at our killer whale habitats. The care and educational presentation of these animals at SeaWorld has been made safer than ever.

Does "Blackfish" inform its viewers of that fact? No, it does not. And by that omission the film reveals itself not as a work of objective documentary filmmaking, but rather as something closer to propaganda. As we have said many times, there is simply no higher priority for us than the safety of our guests and staff and the welfare of our animals.

We understand that there will always be individuals and groups opposed to the care of animals in zoos and aquariums. We recognize that we must defend what we do and the manner in which we do it. Blackfish, like other works driven by the same agenda, ignores the extraordinary benefits to conservation, scientific research and education of America's zoo and aquariums. But through it all SeaWorld remains the world's most respected marine zoological institution. Our parks are staffed with skilled and caring zoological professionals, all of whom deserve to have their work celebrated, not dishonored by things like "Blackfish."

Despite what the makers of this film may suggest, SeaWorld is the kind of organization that draws dedicated and passionate people like Dawn Brancheau. These are the men and women who have built SeaWorld into an extraordinary place, one that provides inspiring, enriching and educational experiences to more than 11 million people each year.

That, not the inaccurate and shamefully misleading account in "Blackfish," is what SeaWorld really is.

The opinions expressed in this commentary are solely those of Michael Scarpuzzi. This article first appeared on the San Diego Union-Tribune in August, and was republished with permission from SeaWorld.

@highlight

Michael Scarpuzzi has worked for SeaWorld since 1975

@highlight

He says the film "Blackfish" "focuses on a handful of incidents"

@highlight

SeaWorld has "altered how we care for, display and train" orcas since 2010

@highlight

Watch an encore of "Blackfish" on CNN, Saturday, Nov. 2 at 9 p.m. ET