London (CNN) -- Tensions between police and marauding gangs continued into Tuesday in areas of Great Britain, after violence initially sparked by the shooting death of a 29-year-old man in London spread to other parts of the nation.

The number of people arrested in London since the violence began has risen to 334, police said Tuesday.

During the overnight hours, standoffs continued at several locations in London as police in riot gear warily watched roaming gangs often just yards away.

A bus in Ealing, West London, a bus was vandalized and set on fire, while the driver was still on board. He escaped without injury.

There was evidence of vandalism in central London, with visible damage to a number of shops.

The developments come as reports flowed in from other parts of the country that outbreaks of violence and vandalism had occurred.

In Bristol, in southwest England, police said several shops and vehicles were damaged Monday night and "a number of main roads have been closed to allow officers to take control of what is currently a volatile situation."

"Officers are urging people to avoid the city centre at this time. People already in the city centre should leave the area and go home," Bristol police said in a statement early Tuesday.

Street disturbances appeared to have spread to Birmingham, about 120 miles north of London, where police said "several premises" in the city center had been attacked "with some shop windows smashed and property stolen in various locations."

A police statement issued early Tuesday said about 100 people had been arrested in Birmingham and added there were no reports of "major injuries of member of the public or police officers as a result of the disorder."

Disturbances also were reported in the Liverpool area, about 180 miles northwest of London, with police there saying officers had responded to "reports of vehicles on fire and criminal damage" in south Liverpool.

The office of British Prime Minister David Cameron announced that Cameron would return to London Monday night, cutting short a vacation in Italy, for meetings to discuss the violence.

As disturbances and looting flared in various parts of London, an official from the London Fire Brigade told CNN: "We are too busy now to take any calls from the media."

Police reported "fires burning at a number of premises including a very large blaze at a sofa factory" in the south London borough of Croydon.

In the Hackney area of east London, gangs attacked a police car and shops. Video showed riot police involved in skirmishes, youths destroying a police car, smashing shop windows, a sporting goods shop being looted and the window of another shop being smashed.

Police said in a statement that a crowd of between 250 and 300 people gathered, with those in the crowd throwing "petrol bombs" and setting cars ablaze.

In Lewisham in south London, a car was set afire. "This is just thugs wanting to intimidate people," Councillor Michael Harris told the BBC. "We've had good community relations in Lewisham and it's simply not justified." He described the people carrying out the acts as young people whose faces were covered with masks.

Several hundred people in the center of Peckham in South London threw projectiles -- stones, clay pots and bottles -- with one policeman saying, "they raided the bottle bank," CNN's Dan Rivers reported from the scene.

Large numbers of them, many with faces covered by shirts and bandannas, rushed back and forth with police -- in far fewer numbers -- standing their ground at the entrances to roads, Rivers said.

Police created a cordon around Clapham Junction, one of London's busiest train stations, with trains unable to go to or from the station. There was no obvious sign of violence at the station but a policewoman told CNN it was not safe for people to go near the station. The policewoman did not explain why.

The violence started in the ethnically diverse, working-class suburb north of London's center whose residents are predominantly Afro-Caribbean. Saturday's riots occurred after the shooting death Thursday of Mark Duggan, a black man, as he was seated inside a cab.

Officers from Operation Trident -- the Metropolitan Police unit that deals with gun crime in London's black communities -- stopped the cab during an attempted arrest and soon afterward shots were fired, the Independent Police Complaints Commission (IPCC) said. Duggan, a father of four, was fatally shot. Shooting deaths are rare in England.

The commission divulged neither who shot Duggan nor why police had stopped the cab, with the incident still under investigation.

Some reports suggested that Duggan was held down by police and shot in the head, but the IPCC has denied this.

"Speculation that Mark Duggan was 'assassinated' in an execution style involving a number of shots to the head are categorically untrue," the IPCC said in a statement.

A British police watchdog group said evidence from Thursday's shooting scene, including a nonpolice firearm, was to undergo forensic testing.

The man's family and friends, who blamed police for the death, gathered Saturday night outside the Tottenham police station to protest.

The protest began peacefully but soon devolved into riots as demonstrators -- whose numbers included whites and blacks -- tossed petrol bombs, looted stores and burned police cars.

The unrest prompted Home Secretary Theresa May to cut short her summer vacation and return Monday afternoon to London.

In all, 35 police officers have been injured since the violence broke out, Metropolitan Police said.

On Monday morning, residents in the South London neighborhood of Brixton awoke to see the aftermath of Sunday night's sporadic shooting in the commercial center. A KFC's windows were smashed, a Foot Locker store was burned, and the main street was closed as police investigators combed through the area looking for evidence.

Police said they were reviewing closed-circuit television footage in an attempt to identify looters.

Looting also occurred in pockets of Enfield, next to Tottenham, in north London.

"The scenes of violence and destruction over the weekend are utterly appalling," said London Mayor Boris Johnson, in a statement. "People have lost their homes, businesses and livelihoods through mindless violence. I understand the need for urgent answers into the shooting incident that resulted in the death of a young local man, and I've sought reassurances that the IPCC are doing exactly that. But let's be clear these acts of sheer criminality across London are nothing to do with this incident and must stop now."

A representative of Johnson said Monday evening that he was cutting short his family holiday in North America to return to London.

Police said the rioting and looting in other parts of the capital were "copycat" events conducted by opportunists and criminals.

"This is not about the black community and the police, it's about young people and the police," said Shaun Bailey, a youth worker, in a statement circulated by the mayor's office. "And let's not beat around the bush and pretend this is some type of social justice protest -- it's sheer criminality."

The specter that such violence could arise had been a concern to David Lammy long before the weekend. The Labour MP for Tottenham told a reporter in March that Tottenham could become a scene of violence as cuts to social-service programs for youths were implemented.

"It's heartbreaking," he told the Tottenham & Wood Green Journal. "I'm really worried that the social experiment that we're seeing from the Tory-led coalition will lead to scenes akin to something that we see in some of the inner-city areas of America and that's why we need to bring this government down."

But the leader of Enfield Council, Doug Taylor, was unmoved. "There can be no justification for the violence and the looting," the Labour Party member told a reporter.

Deputy Prime Minister Nicholas Clegg called the rioters "opportunists -- cynical folks who are indulging in smash-and-grab criminality."

Police say they have evidence that some of the rioting was coordinated using social media, including Twitter.

Tottenham was the site of riots before. In 1985 Floyd Jarrett, who was of Afro-Caribbean origin, was stopped by police near the Broadwater Farm estate in Tottenham on suspicion of driving with a forged tax disc, a document all British vehicles must carry.

A few hours later, officers raided the nearby home of his mother, who collapsed and died during the raid. Rioting erupted shortly afterwards. Like the current violence, a protest outside Tottenham Police Station sparked the 1985 conflict.

CNN's Dan Rivers, Annabel Archer, Phil Black, David Wilkinson, Atika Shubert, Bryony Jones, Erin McLaughlin, Bharati Naik, Aliza Kassim and David Wilkinson contributed to this report.

@highlight

NEW: Bristol police tell citizens to stay away from "a volatile situation" in the city

@highlight

NEW: A bus is attacked and vandalized in Ealing, West London

@highlight

Police report disturbances in the Liverpool area

@highlight

Prime minister returns to London from holiday