(CNN) -- For the second time in five months, a U.S. soldier from a Washington military base is accused of committing atrocities against civilians in Afghanistan.

The unidentified soldier, an Army staff sergeant, is accused of firing on civilians, killing 16, in a house-to-house shooting rampage in two villages on Sunday, according to officials from NATO's International Security Assistance Force.

Shooting could affect U.S. military mission

He had been stationed at Joint Base Lewis-McChord, a sprawling military installation between Tacoma and Olympia, Washington.

A handful of soldiers from the base have been involved in violent incidents in the past few years, including four soldiers convicted of killing Afghan civilians in 2010 as part of a "kill squad." Also in 2010, three other soldiers "suffered dangerous public mental breakdowns" after returning from Afghanistan, with two of them shot to death by police, according to the Stars and Stripes military newspaper.

This year, a former soldier from the base is believed to have shot a Washington park ranger to death on New Year's Day.

Twelve soldiers on the base committed suicide in 2010, according to the base's Northwest Guardian newspaper.

Last month, Army officials said the forensic psychiatric review process at the base's Madigan Army Medical Center was itself being reviewed.

"This was not just a rogue soldier," said Jorge Gonzalez, executive director of G.I. Voice, a veteran-run nonprofit organization that operates a soldiers' resource center near the base called Coffee Strong. The base is "a rogue base, with a severe leadership problem," he said.

"If Fort Lewis was a college campus, it would have been closed down years ago," Gonzalez said.

In the wake of Sunday's shootings, he called for a congressional investigation and hearings "into the multiple crises" at the base.

Taliban vow revenge for shooting rampage

Others have expressed alarm as well.

In December 2010, the Stars and Stripes military newspaper said the facility had gained a reputation as "the most troubled base in the military." It also reported that year that multiple investigations were under way into the conduct of troops at the base and the adequacy of the mental health and medical care soldiers were receiving upon their return home.

Attempts to contact the base's public affairs office were not immediately successful Monday.

In January, the body of Benjamin Colton Barnes, 24, was found face-down in a creek in Washington's Mount Rainier National Park after a manhunt. Barnes, who was assigned to Joint Base Lewis-McChord before his 2009 discharge, is believed to have fatally shot park ranger Margaret Anderson on New Year's Day.

Police said Barnes was also wanted in connection with a shooting during a fight at a party in a Seattle suburb. That shooting took place before Anderson's death.

While investigators said they had little insight into Barnes' mindset or motive, the woman with whom he was in a custody dispute said in court documents filed last year she was frightened to be in the same state with him. She wrote in other documents, reported by CNN affiliate KIRO, that Barnes might have been suffering from post-traumatic stress disorder after a deployment to Iraq.

In November, Army Staff Sgt. Calvin Gibbs, also assigned to the base, was sentenced to life in military prison after a court-martial convicted him of murdering three Afghan civilians, cutting off pieces of their corpses to keep as "souvenirs" and planting weapons on the bodies to make the men appear to be Taliban fighters killed in battle.

Gibbs, who will be eligible for parole in 10 years, was the highest-ranking of five soldiers charged with being part of a rogue "kill squad" targeting civilians in 2010. Another seven were charged with lesser crimes, including abusing drugs, keeping "off the books" weapons and intimidating a fellow soldier against speaking out against the killings.

Murder and assault charges against one of those five soldiers were dropped last month, according to the Tacoma News-Tribune newspaper.

Gibbs led the 3rd Platoon of the Army's 5th Stryker Brigade in Afghanistan's Kandahar province. The platoon was tasked with patrolling small villages in the area to build relationships with Afghans, who were wary of the U.S. presence in their country. Instead, prosecutors said, Gibbs and a small group of rogue soldiers plotted to murder civilians.

"The plan was to kill people," Army Spc. Jeremy Morlock, who was among those charged in the deaths, said in court in March 2011 after his guilty plea.

"There was a group of soldiers in the 5th Brigade numbering in the single digits who did not behave with honor," Col. Barry Huggins of the 2nd Brigade, 2nd Infantry Division, who supervised the courts-martial, said last month in his first public remarks about the case, according to the News-Tribune. "Justice was served in a timely manner. We should not make the mistake of assuming those soldiers represent all soldiers."

The 5th Brigade has been renamed the 2nd Brigade, according to the News-Tribune.

Last month, two doctors at Madigan Army Medical Center were removed from clinical duties and assigned to administrative work, the Seattle Times newspaper reported, citing Army Medical Command officials. U.S. Sen. Patty Murray told the Times that the two included Dr. William Keppler, a retired Army officer who leads a forensic psychiatric team responsible for assessing the post-traumatic stress disorder diagnoses of soldiers under consideration for medical retirement.

Army Medical Command told the Times it has "initiated a top-to-bottom review of the process associated with the forensic psychiatric reviews conducted at Madigan Army Medical Center."

A diagnosis of PTSD qualifies a soldier for medical retirement and benefits. The investigation was triggered in part by concerns that Madigan doctors involved in the screening process were "unduly influenced by worries about the escalating costs of paying benefits," the Seattle Times reported last week.

Complaints from soldiers previously diagnosed with PTSD but later accused of exaggerating their symptoms also prompted the probe, according to the newspaper.

Some 285 soldiers who were evaluated at Madigan since 2007 will be asked to undergo a second evaluation, Western Regional Medical Command, which oversees the medical center, said in a statement last week.

Joint Base Lewis-McChord was formed in 2010 by the merger of Fort Lewis, an Army post, and McChord Air Force Base. At 415,000 acres, it is the largest on the U.S. West Coast, according to its website, with tens of thousands of military and civilian personnel and their families.

The primary unit on Fort Lewis is the Army's I Corps, according to the website, and the primary unit on McChord Air Force Base is the U.S. Air Force's 62nd Airlift Wing. In addition, the joint base houses "more than 30 different units from the Army, Air Force, Navy, Marine Corps, Reserve and National Guard and Department of Defense agencies," the site says.

The suspect in Sunday's shootings acted alone and turned himself in after the incident, according to ISAF officials. A U.S. military official, who asked not to be named because of the pending investigation, said the suspect is in his mid-30s and has served several tours in Iraq, although this was his first deployment to Afghanistan.

The incident shocked U.S. officials and prompted outrage in Afghanistan and has fueled fears of intensified anger against U.S. troops in Afghanistan that erupted in deadly riots last month over the inadvertent burning of Qurans by American troops.

The soldier accused in Sunday's deaths remained in U.S. custody on Monday as investigators try to determine his motive, including examining his mental stability and medical history.

@highlight

Joint Base Lewis-McChord soldiers have been involved in several violent incidents

@highlight

Four soldiers from the base are convicted of killing Afghan civilians in 2010

@highlight

One veterans' group calls it "a rogue base with a severe leadership problem"