Ethiopian Prime Minister Meles Zenawi, a strongman in the troubled Horn of Africa and a key United States ally, has died, his government announced Tuesday.

Meles had not been seen in public in months, sparking intense international speculation about his health.

The government revealed neither the cause nor the location of his death Monday at the age of 57.

Meles came to the forefront as a leader of a guerrilla insurgency against dictator Haile Mengistu Mariam in 1991 and cemented power in the ensuing decades.

Seen by admirers as a force for stability in a region with Islamist insurgencies in Somalia and Yemen and a history of famine, he was also criticized for cracking down on political opposition and the press.

"He came to power at the barrel of a gun, but he made the transition from rebel leader to political leader very quickly," said Ayo Johnson, a writer on Africa and director of Viewpoint Africa.

But he never overcame his "mindset as a rebel leader," and his democratic credentials were "poor," Johnson said.

"The West turned a blind eye to many aspects of his game that were not up to scratch," he added.

That's partly because of his action against Islamist movements in the region, including an invasion of Somalia in 1998, Johnson said.

"He supported everything that the United States wanted to do against terror," he explained, such as give American drones based in the region permission to use Ethiopian airspace on their way to targets in Somalia.

And "he was able to address the fundamentals -- health care, education, reducing the poverty rate," Johnson said.

U.S. President Barack Obama praised Meles' "unyielding commitment to Ethiopia's poor" in a statement Tuesday, citing his "personal admiration for (Meles') desire to lift millions of Ethiopians out of poverty through his drive for food security."

But in June, U.S. Sen. Patrick Leahy, a Vermont Democrat, highlighted a different aspect of Meles' rule -- the case of journalist Eskinder Nega, who was then before a court in Addis Ababa.

While praising the prime minister's work in "containing the real threat of terrorism in the region and making gains against the region's recurring famines," Leahy accused him of "trying to silence those who do not toe the official line."

His Ethiopian People's Revolutionary Democratic Front took all but one seat in parliament in elections in 2010, Africa expert Jason Mosley pointed out in the wake of Meles' death.

"Nearly 200 people were reportedly killed, and tens of thousands detained" in the previous elections in 2005, said Mosley, who is with the Chatham House think tank in London.

Last year, Ethiopia found two Swedish journalists guilty of supporting terrorism and sentenced them to 11 years in prison.

Meles died at 11:40 p.m. Monday from an unspecified infection, spokesman Bereket Simon said.  Deputy Prime Minister Hailemariam Desalegn is now in charge.

There will be no elections before the next scheduled ballot in 2015, Bereket said.

Meles had been scheduled to step down in 2013 as part of a transition process, Mosley said, but questioned whether he genuinely intended to relinquish power.

Meles was out of the country when he died and members of his family were with him, according to Bereket. He did not say what country Meles' body was in or when it would return to Ethiopia, except that it would be soon.

The spokesman acknowledged the prime minister had been sick for some time but didn't immediately seek treatment.

The news came almost a week after the government said Meles was "recovering well" after treatment for an unspecified illness.

Bloggers launched a counter of the number of days he's been missing, while citizens took to social media to discuss his whereabouts and exchange conspiracy theories.

The secretive nation had released little information about his whereabouts, prompting rumors and opposition claims that he was dead or facing a life-threatening illness.

The government held a news conference last month and announced Meles received treatment for an unspecified illness.

His absence was more evident last month when Ethiopia hosted an African Union summit in its capital of Addis Ababa. Meles, a key player in talks on the tensions between Sudan and its rival neighbor South Sudan, did not attend.

Former U.N. Secretary-General Kofi Annan said Ethiopia under Meles had "played a key role in both the region and the African continent."

"I hope that his successor will continue to be a driving force on a wide range of issues, from brokering peace negotiations to shaping development relationships," Annan said.

Ethiopia, a key Western ally often lauded for effective use of aid money, is surrounded by unstable nations such as Somalia and Sudan. Meles has been credited with working toward peace and security in the region, and the Ethiopian army sent peacekeepers to battle the Islamic extremist group Al-Shabaab in Somalia.

People we've lost in 2012: The lives they lived

@highlight

Obama praises Meles Zenawi's "unyielding commitment to Ethiopia's poor"

@highlight

He supported "everything the United States wanted to do against terror," an expert says

@highlight

Critics point out his efforts to stifle political opposition and silence journalists

@highlight

He came to power as part of a guerrilla insurgency against a dictator