(CNN) -- A very wise district attorney once gave a piece of pragmatic advice to a young assistant prosecutor investigating a prominent political figure. The case involved evidence that could possibly support a criminal indictment yet was unlikely to result in a conviction. That DA's advice to his young assistant: "If you are going to shoot at the king, you'd better be able to kill the king."

The wisdom of that literary caveat, self-evident to those who pursue the powerful, is particularly relevant to the Gov. Chris Christie scandal involving traffic delays at the George Washington Bridge.

In the days and weeks to come, prosecutors with potential jurisdiction over a criminal investigation of Christie and his political acolytes regarding the agonizing traffic tie-up -- and a possible subsequent cover-up -- will be carefully screening the evidence. They would be wise to consider the pragmatic advice about king-slaying, which has been quietly observed by sensible prosecutors for years.

Three prosecutors have potential jurisdiction: Manhattan District Attorney Cyrus Vance Jr.; Bergen County, New Jersey, Prosecutor John Molinelli; and U. S. Attorney Paul Fishman, the man who replaced Christie as New Jersey's federal prosecutor.

Opinion: A lesson for Chris Christie from Richard Nixon

Vance is a Democrat, known for nonpartisanship. Molinelli was appointed Bergen County prosecutor by Christie's predecessor, a Democrat. And Fishman is the appointee of a Democratic president with the blessing of New Jersey's two U.S. senators, both Democrats.

All three prosecutors enjoy reputations for fairness and integrity in the conduct of their offices, but it would be a deft trick for each of the three to reassure residents of New York, New Jersey and the nation that any investigation (and possible prosecutions) will be free of political influence.

Though Vance may have a shred of a right to prosecute (because the bridge touches land in New York County), I suspect he is wise enough to know that his Manhattan DA's Office has no business interfering in this Jersey mess.

Molinelli, though, has more legitimate concerns -- the individuals most affected were those living in the Bergen County towns he serves. There is even a New Jersey criminal statute entitled "Official Misconduct" relating to the abuse of governmental authority by public servants for personal gain that may be relevant to the bridge brouhaha.

As a lame duck prosecutor appointed by Christie's predecessor, Democrat John Corzine, Molinelli will face heavy scrutiny if he tries to slay the king -- in this case, the governor.

Enter Fishman, the U.S. attorney and potential white knight. Though a registered Democrat appointed by President Barack Obama, he was sworn into office by Justice Samuel Alito, a conservative icon.

Opinion: Christie's bogus 'stages of grief'

Fishman has sterling credentials and a reputation for fairness. He's vowed since 2009 to keep politics out of his powerful office and to depoliticize it after many prosecutions by his predecessor were criticized as having been political in nature. That predecessor? Chris Christie.

The legal bloodlines of this case are more mixed than the contents of a Meadowlands landfill. Fishman, as the ranking Fed, can force local Jersey prosecutors out of the ring through a variety of tactics, if he chooses to do so. Bergen's Molinelli could insist on proceeding -- but, in the face of a potentially more serious federal intervention, most local prosecutors would back off.

Why would the locals defer to Fishman? The answer is entirely pragmatic. These prosecutors have to work together on many overlapping cases as they each seek to round up New Jersey's notorious collection of bad guys. And a local DA generally defers to a federal prosecutor who can supersede him in a variety of ways. Politics and pragmatism enters every field in our system, even criminal prosecutions.

Given Christie's political prominence -- both in New Jersey and nationwide -- you are certain to see, in coming days and weeks, a steady stream of information discreetly leaked to news media regarding ongoing criminal and civil investigations.

Though Christie will endure potentially embarrassing legislative hearings, predictable federal subpoenas, and possible damage to his promising presidential candidacy, I think it's safe to say the governor will not be indicted. There is a greater downside to that scenario: Voters may be convinced it is indeed a political witch hunt intended to cripple a leading presidential candidate.

Despite some titillating hints from insiders, the bulk of evidence relating to the bridge fiasco probably remains undisclosed.

Christie, as a former prosecutor, is far too smart to have left his fingerprints or interoffice "DNA" on any specifics of the bridge fiasco.

Even if a former aide or political pal testifies against the governor as part of a prosecutorial deal, most jurors would want to see corroboration. Nobody likes a snitch, even a political one. The case will look like a political hatchet job and the wounded, angry "king" may strike back with political vengeance. The public will doubt the integrity of the prosecutor destroying his reputation.

Opinion: Christie's choice -- Be seen as a crook or a schnook?

More of his political aides may fall as the search for scapegoats continues, but the governor will not be taken away in handcuffs. Why? Because as that wise prosecutor once said, "If you are going to shoot at the king, you'd better be able to kill the king."

The opinions expressed in this commentary are solely those of Paul Callan

@highlight

Paul Callan: Prosecutors are loath to charge a powerful political figure

@highlight

He says it's unlikely that Chris Christie left his fingerprints on the bridge issue

@highlight

The rule is that if you charge a powerful figure, you'd better be able to win the case, he says

@highlight

Callan: Prosecutors will be wary of perception that they are on a political witch hunt