People in cars and on bikes whizzed by Moustafa Mohamad as he sat on a sidewalk in Washington one day not so long ago. Commuters poured out of the Dupont Circle Metro station and rushed by on their way to school or work. Tourists rumbled by on a double-decker bus.

Mohamad hoped some of them paused to take notice of him. He hoped that somehow his presence on the sidewalk would help relatives and friends nearly 9,400 miles away, in his hometown -- the besieged Syrian city of Kobani.

That city near the Turkish border has been the site of intense fighting for weeks between ISIS extremists and Kurdish forces backed by fighter jets and bombers from the United States and other countries.

Mohamad longed to do what he could to help his fellow Kurds -- even from a great distance, in the relative safety of America. For a few recent weeks, that meant he sat on a sidewalk, refusing to eat and surrounded by signs.

"America: Support Kurdish boots on the ground," one sign said.

"Stand up for freedom before it's too late," read another.

A third told people how long he had been on hunger strike.

"I felt it was my duty to undertake this hunger strike to share the pain and suffering of the people of Kobani with the people of America," he said from his perch on an overpass above Connecticut Avenue, strategically chosen for its foot traffic and proximity to a Starbucks.

The 51-year-old Kurdish activist came to the United States in 1999 after seeking asylum from Syria. Mohamad had been a member of the Syrian parliament before he fled out of fear of becoming a target of political violence. He now lives in Denver, where he works at a pastry shop, with activism occupying all of his free time.

On the sidewalk

The 15th day of his hunger strike began like most others before that.

Though it had been more than two weeks since he had eaten solid food, he remained in good spirits. He and a supporter, a Kurdish activist from Washington, unfurled banners. Mohamad went to a convenience store to stockpile Gatorade. He unfolded his chair and loaded his sustenance into a large gray cooler bearing a sign that said "Slavery... abolish it forever!"

Next to him stood a mannequin adorned in the brightly colored, beaded clothing traditionally worn by Kurdish women. At the foot of the mannequin sat yet another sign. This one said "ISIS Slave Sale: $500.00 for Kurdish Women."

That's a reference to an ISIS practice documented by human rights organizations: Members of ISIS have enslaved and sold women in parts of Iraq and Syria they have captured since their dramatic and bloody ascent.

Most of the passers-by in Washington have no doubt heard news of the horrors ISIS has inflicted on people in Iraq and Syria. They may have heard that the terrorists in ISIS have beheaded people and gloated about it in online in gruesome videos.

For many of them, what's happening in parts of Iraq and Syria under ISIS control is a daily horror they hear about on the news. For Mohamad, it's personal.

Worrying about friends and relatives

Many of his friends and family lived in Kobani when ISIS attacked this year, he said.

"My immediate family, the women and younger siblings, they all left for Turkey," he said. "The able-bodied relatives of mine are fighting."

He said militants kidnapped his nephew and held him for five months, forcing him to watch violent videos.

"He now prays five times a day," Mohamad said. "We feel he has been disturbed but we are lucky to have him."

He said ISIS also held two of his cousins for a time.

His accounts are difficult to verify, but there is little doubt that ISIS has kidnapped Kurdish children. Human Rights Watch said in July that ISIS kidnapped 133 Kurdish boys and held them hostage for a month.

"Two of the boys who escaped told the media that ISIS was forcing the children to undergo lessons in Sharia and jihadist ideology, and one of these boys said that ISIS beat the children who misbehaved," Human Rights Watch said.

A Kurdish teenager told CNN in June that he was among dozens of students abducted by ISIS in May. He said he and the other students were on buses, riding home from school after final exams, when ISIS fighters in pickups stopped them.

The boys wound up in an ISIS-controlled city, where they were forced to watch videos of executions and suicide bombings, said the teenager, Mohammed, who asked that his full name not be used for fear of his safety.

"If you try to leave," he recalled the militants saying, "we will cut your heads off."

Yet he said he and three other boys managed to escape after a few days.

What can one person do?

Thousands of miles away in Washington, Moustafa Mohamad hoped his hunger strike cast a spotlight on the suffering of people like the Kurdish teenagers kidnapped by ISIS.

Family and friends encouraged him to try a less hazardous form of protest, but he declined. Instead, he sat and passed out fliers to anyone who would take one and tried to promote an online petition calling for a humanitarian corridor into Kobani.

Days turned into weeks.

On Day 18, a supporter surprised Mohamad with a rocking chair to replace his weathered folding chair. That brought a grin to his face as he nestled back into his new home away from home, blocking the erratic wind with a placard reading "Fasting for Kobani."

On Day 19, a Kurdish string duo strummed traditional music. Mohamad tapped his foot in rhythm, seeming to forget about his appetite for a short time.

On his 22nd day of hunger strike, Mohamad held strong, exclaiming, "My stomach has stopped ordering me around!" His doctor admired his spirit but ordered him to wrap it up.

So the next day, surrounded by friends and supporters, Mohamad enjoyed a bowl of lentil soup there on the sidewalk he had occupied for more than three weeks. His hunger strike was over.

Did he accomplish anything?

Was it worth it?  Did he accomplish anything?

Mohamad mulled the question a few weeks after ending his hunger strike.

"In doing what I did, I was not only trying to share the suffering of my compatriots, but also pay homage to the likes of Gandhi and Dr. King, who thought if suffering has to be endured for the social good, the activists should undergo it first," he said.

A protest like the one he engaged in doesn't lend itself to "immediate metrics," he said, so it's hard to quantify whether his efforts made a difference.

"I may have reached thousands in person," he said.

A few news organizations told his story. So he reached people that way, too.

Did it do anything to help people in Kobani?

That's a hard question to answer, he said, but he has no regrets.

"Now that it is over," he said, "I am glad I was able to do my bit for the people of Kobani."

@highlight

Syrian Kurd living in U.S. goes on three-week hunger strike on Washington sidewalk

@highlight

Moustafa Mohamad wants to draw attention to plight of his hometown, Kobani

@highlight

He says his able-bodied relatives are fighting ISIS in Kobani

@highlight

Hunger strike is in the tradition of Mahatma Gandhi, Martin Luther King Jr., he says