The phone of the first officer of Malaysia Airlines Flight 370 was on and made contact with a cell tower in Malaysia about the time the plane disappeared from radar, a U.S. official told CNN on Monday.

However, the U.S. official -- who cited information shared by Malaysian investigators -- said there was no evidence the first officer, Fariq Abdul Hamid, had tried to make a call.

The official told CNN's Pamela Brown on Monday that a cell-phone tower in Penang, Malaysia -- about 250 miles from where the flight's transponder last sent a signal -- detected the first officer's phone searching for service roughly 30 minutes after authorities believe the plane made a sharp turn westward.

The details do appear to reaffirm suggestions based on radar and satellite data that the plane was off course and was probably flying low enough to obtain a signal from a cell tower, the U.S. official said.

The revelation follows reporting over the weekend in a Malaysian newspaper that the first officer had tried to make a telephone call while the plane was in flight.

Asked Sunday by CNN about the newspaper report about a purported effort to make a call by the first officer, Malaysia's acting transport minister Hishammuddin Hussein said, "As far as I know, no, but as I said that would be in the realm of the police and the other international (authorities) and when the time comes that will be revealed. But I do not want to speculate on that at the moment."

U.S. officials familiar with the investigation told CNN they have been told that no other cell phones were picked up by the Penang tower.

Pilots are supposed to turn off their cell phones before pushing back from the gate.

"It would be very rare in my opinion to have someone with a cell phone on in the cockpit," safety analyst David Soucie said. "It's never supposed to be on at all. It's part of every check list of every airline I am familiar with."

When the plane first went missing, authorities said millions of cell phone records were searched, looking for evidence that calls had been made from the plane after it took off, but the search turned up nothing.

Underwater search is shortened

Efforts to find the missing plane and the 239 people aboard were focused beneath the choppy surface of the southern Indian Ocean on Monday as Australian authorities sent a U.S. Navy-contracted submersible diving toward the sea floor.

But after completing just six hours of searching for underwater debris, the autonomous underwater vehicle Bluefin-21 returned to the surface, according to the Joint Agency Coordination Centre in Perth, Australia.

It should have taken the probe and its operators 24 hours to map the first portion of the search area: 16 hours to map, four hours' travel time to just above the ocean floor and back, and four hours for analysts to examine the data gathered.

It is unclear how much of the area -- 5 kilometers by 8 kilometers (3.1 miles by 4.9 miles) -- the Bluefin scanned. It could take up to two months to scan the entire search area.

Officials said a built-in safety feature recalled the underwater search vehicle after it exceeded its operating depth of 4,500 meters (14,763 feet).

Capt. Mark Matthews, who heads the U.S. presence in the search effort, said the Bluefin aborted so the crew could refine the mission parameters. Charts indicated the ocean was at most 4,400 meters (14,436 feet) deep, so when the Bluefin went deeper than that, it was returned to the surface.

"It happened in the very far corner of the area it's searching, so they are just shifting the search box a little bit away from that deep water and proceeding with the search," he told CNN's "Erin Burnett OutFront."

The decision to put the Bluefin-21 into the water for the first time in the 38-day search comes nearly a week after listening devices last heard sounds that could be from locator beacons attached to the plane's "black boxes."

"We haven't had a single detection in six days," Australian chief search coordinator Angus Houston said. "It's time to go underwater."

The probe is equipped with side-scan sonar -- acoustic technology that creates pictures from the reflections of sound. Such technology is routinely used to find sunken ships and was crucial in finding Air France Flight 447, which crashed into the Atlantic Ocean in 2009.

Houston cautioned against hopes that the underwater vehicle will find wreckage of the plane, which disappeared on March 8 on a flight between Kuala Lumpur, Malaysia, and Beijing that should have taken about six hours.

"It may not," he said. "This will be a slow and painstaking process."

The bottom of the search area is not sharply mountainous -- it's more flat and almost rolling, Houston said. But he said the area probably has a lot of silt, which can "complicate" the search.

The search area for the Bluefin is in what officials labeled the most likely area the plane could be.

"It was the site of the highest signal strength or the loudest received signal," Matthews told CNN, referring to the pings detected by a towed pinger locator, a wing-shaped listening device connected to the ship by a cable. "It was also where we had an increase in signal strength as we drove through the area and then a decrease as we drove out of the area."

New clue on the surface of the water?

Another possible clue into the plane's disappearance emerged Monday.

Australian officials announced the Australian ship Ocean Shield had detected an oil slick Sunday evening. It is unclear where the oil came from. A 2-liter sample has been collected for examination, but it will take a few days to analyze.

"I stress the source of the oil has yet to be determined, but the oil slick is approximately 5,500 meters (3.4 miles) downwind ... from the vicinity of the detections of the TPL on Ocean Shield," Houston said.

CNN Aviation Analyst Les Abend, who flies a Boeing 777, said the engines on the plane have about 20 quarts of oil each.

"It could be slowly dripping up to the surface," he told CNN's "Anderson Cooper 360." "They're saying an oil slick. I'm wondering if it's just some sort of a fluid slick. It could be (from) hydraulics."

If it is oil, it's not the first oil slick detected as part of the search. A similar find in the first days of the search was determined to be fuel oil from a freighter.

Surface search nearing end

Twelve aircraft and 15 ships participated in Monday's search efforts on the surface, covering an 18,400-square-mile (47,600-square-kilometer) area. The surface search was among the last, Houston said.

"The air and surface search for floating material will be completed in the next two to three days in the area where the aircraft most likely entered the water," Houston said.

That search was energized last week when searchers using the Navy-owned pinger locator and sonobuoys detected sounds that could have been from the plane's black boxes, or data and voice recorders.

But after a week of silence, the batteries powering the locator beacons are probably dead, a top official from the company that manufactures the beacons told CNN on Sunday. They were certified to last 30 days, a deadline that's already passed.

That means searchers may not be able to detect any more pings to help lead them to those pieces of the missing plane.

"More than likely they are reaching end of life or already have. If (a beacon) is still going, it is very, very quiet at this point," Jeff Densmore told CNN's "State of the Union with Candy Crowley" on Sunday.

The time is ripe to move on to other search techniques.

"Every good effort has been expended, but it's now looking like the batteries are failing, and it's time to start mowing the lawn, as we say, time to start scanning the sea floor," said Rob McCollum, a CNN analyst and ocean search specialist.

Catherine Tamoh Lion, the mother of the missing plane's chief steward Andrew Nari, said the news that no more pings have been heard is upsetting.

"Our sadness is now just prolonged," she told CNN.

"I feel like they are somewhere," she said of the passengers. "I don't know where. Just praying to God. Miracles can happen. "

How do underwater sonar subs work?

What happens after the pingers die?

Listening for pings, water plays tricks

@highlight

CNN aviation analyst says surface slick could be fluid leaking from underwater plane

@highlight

Cell phone tower detected co-pilot's phone around time of disappearance, official says

@highlight

An oil slick has been found 5.5 kilometers (3.4 miles) from where pings were detected

@highlight

Underwater search vehicle comes back to surface early after exceeding depth limit