He had been guarding the U.S. Embassy in Ankara, as he'd done many other days -- with commitment and professionalism. She had gone there to have tea with the ambassador, a respected television journalist set to renew acquaintances with a diplomat and do her job.

Then came the blast.

Whether or not they'd crossed paths before, these two people's stories now forever will be intertwined -- thanks to a man Turkish authorities say belonged to the Marxist Leninist organization known as the Revolutionary People's Liberation Party, or DHKP-C, which the U.S. government and others label a terrorist organization.

What is the DHKP-C?

Ecevit Sanli, as he was identified by Istanbul police, died after detonating his bomb near the embassy's Gate No. 2 around 1:15 p.m. (6:15 a.m. ET) Friday.

So, too, did the Turkish guard -- described by U.S. Ambassador Francis Ricciardone as a "hero," and identified by Turkey's semi-official Anadolu News Agency as Mustafa Akarsu.

A photo showed the journalist being carried away on a stretcher, apparently bleeding. Rather than sitting with her for tea, Ricciardone visited the woman -- Didem Tuncay -- at Ankara's Numune Hospital, and afterward described her as "one of the best."

While theories have been floated,  neither Turkish nor U.S. authorities have detailed why they think Sanli blew himself up. Prior to Friday, he was known to U.S. and other intelligence agencies, a U.S. law enforcement source told CNN.

Whatever Sanli's rationale, the explosion spurred security clampdowns at diplomatic facilities in Turkey, plus messages of condolences and solidarity. Turkish Prime Minster Recep Tayyip Erdogan called it an attack "against the peace and welfare of our country."

Yet the violence reverberated well beyond Turkey's borders, however, especially in the nation whose embassy was targeted.

The spotlight on U.S. diplomatic installations was already intense after violence last September in Egypt, Tunisia and Libya, where Ambassador Christopher Stevens was one of four Americans killed in Benghazi.

U.S. Rep. Ed Royce said Friday's explosion in Turkey served as "yet another stark reminder of the constant terrorist threat against U.S. facilities, personnel and interests aboard."

"Coming after Benghazi, it underscores the need for a comprehensive review of security at our diplomatic posts," said Royce, a California Republican and chairman of House Foreign Affairs Committee.

'He exploded at the guard'

The bomber had first gone to the rear access of the embassy, then went to a checkpoint on the building's perimeter where IDs are checked, explained U.S. State Department spokeswoman Victoria Nuland. According to law enforcement sources working on the investigation, Sanli blew himself up on a walkway for embassy employees and their guests.

"He exploded at the guard," Nuland explained.

The guard, Akarsu, on one side of the security barrier was killed. Two guards on the other side of the glass survived, said the State Department spokeswoman.

The blast blew a hole in what appeared to be a building that is part of the compound's outer gate, images from CNN sister network CNN Turk showed. This was all part of a large complex that includes blast doors, reinforced windows and a series of metal detectors that visitors must navigate before reaching embassy offices.

Are you there? Send us your photos and videos, but please stay safe

The attack stirred swift condemnations, as well as fresh security precautions. The U.S. Embassy in Ankara subsequently put out a statement telling Americans not to visit that facility or U.S. consulates in Istanbul or Adana "until further notice."

Portions of Paris Avenue, where the targeted embassy is located, were shut down, according to Anadolu news. Germany and France, meanwhile, were among the countries who tightened their security in the wake of the blast.

The U.S. ambassador said in a statement that he'd "paid my respects to the family of the Turkish hero who stood guard for us every day."

Calling him "well trained (and) committed to his job," Ricciardone praised the late guard as a "good, excellent, professional guard" who "died defending the Turks and the Americans who work at the embassy."

The ambassador also talked about visiting Tuncay, whom he recalled was "the first person to interview me when I arrived two years ago at NTV." Having learned she'd recently left the Turkish network, Ricciardone said he invited her to tea.

"She serves her country by getting the truth to the Turkish people," the ambassador said. "She, I think, is one of the best."

Not first brush with terror for Turkey, U.S.

Friday's blast was hardly Turkey's first brush with terror.

At the nexus of Europe and Asia, and with deep roots in the Muslim and Christian spheres, Turkey has long been a boiling pot -- and, occasionally, a target.

In recent years, it has been site of many acts of political violence from groups such as leftist anarchists, Kurdish separatists, Islamists and al Qaeda.

Hasan Selim Ozertem, a security expert at the International Strategic Research Organization in Ankara, said Friday's attack could be related to recent arrests of DHKP-C members.

Since the beginning of January, 85 members of the group have been taken into custody, he said, adding that Turkish police have been closely focusing on the group over the past five years. The DHKP-C was established in the 1970s.

Ozertem said that one plausible theory is the group is trying to send a message to Turkish authorities by attacking the U.S. Embassy because it is near the Turkish parliament building.

DHKP-C has a track record as a "subcontractor" group for other militant outfits, and it is also believed to have relationships with states in the region such as Syria and Iran, Ozertem said.

The group has a relationship with the PKK, the Kurdistan Workers Party, which has been at odds with Turkey's government for some time. Ozertem said the attack could be linked to negotiations between the PKK and Turkish government.

Another possibility is that Syria or Iran could be involved, considering the recent deployment of Patriot missiles in Turkey as a defense against possible missiles from Syria.

The explosion occurred as about 400 U.S. military personnel are moving Patriot missile defense equipment to a Turkish base as part of an effort to defend the country from possible attack from Syria. The first battery became operational last Saturday in the city of Adana, NATO said, and more equipment arrived Wednesday in the port city of Iskenderun.

Erdogan, however, ruled out that Friday's attack had anything to do with Syria, according to an interview on the private Habertuk channel later reported by Andolu.

Of course, this may have to do primarily with the United States itself -- independent of anything involving Turkey or its government.

While the U.S. Embassy in Ankara has not seen this kind of incident in decades, in 2008 three police officers died in a shootout with assailants outside the U.S. Consulate in Istanbul.

Three attackers died in the incident, which the U.S. ambassador at the time called "an obvious act of terrorism." One of the attackers in that incident was believed to have trained with al Qaeda in Pakistan's Waziristan region.

Read more at CNN Turk.

@highlight

A suicide blast occurs at a checkpoint on the perimeter of the U.S. Embassy in Ankara

@highlight

A wounded journalist was going to have tea with the U.S. ambassador, he says

@highlight

The ambassador has talked with the family of the "excellent" guard killed in the blast

@highlight

The bomber, part of a leftist terror group, was known to the U.S., source says