Dolpa, Nepal (CNN) -- Ram Bahadur Jafra and his two brothers crouch on a field, picking through blades of grass and staring at the soil. They have traveled five days by foot to a Himalayan meadow at a 4,300 meter elevation deep inside Nepal's Dolpa district. They came, as tens of thousands do each year, to harvest a highly valuable commodity from the high-altitude soil: the Himalayan caterpillar fungus -- also known as Himalayan Viagra.

Caterpillar fungus, or as it's called in Tibetan, "yartsa gunbu," meaning "summer grass, winter worm," is a specimen created when a parasitic fungus infects caterpillars underground which, were they not forestalled by the fungus, would produce ghost moths.

After the fungus mummifies the caterpillar underground, it thrusts out of the soil. It's this tiny protuberance that the harvesters spend weeks each spring searching for.

A hundred or so people crawl across the field in a mulled silence until a sole searcher lets out an excited cry. Dozens rush over to witness, Jafra is the first to arrive.

The woman who has discovered the specimen uses an ice pick to prod the earth and dig a hole about six inches in diameter. She then lifts a clump of earth up and sifts out the specimen. The crowd gossips about its value -- "it's small, only 300 rupees!" (about $3). A middle man will offer her that amount, then walk it to a market in Tibet and sell it for three times the price.

Jafra explains: "We pay attention when other people find them. This is our first time coming for the harvest. We've been here for nearly a week. We haven't found anything, because we don't know what they look like -- we don't know what we're looking for."

See also: Himalayan glaciers 'buck melting trend'

Like many others, Ram and his brothers traveled for the harvest betting on hope alone. "People in our village talked about the money to be earned, so we came," he says.

The rumors of riches are not baseless. According to experts, the market value of yartsa gunbu has increased by 900% between 1997 and 2008.

One study says 500 grams of top quality yartsa gunbu can sell for up to $13,000 in Lhasa, Tibet, or up to $26,000 in Shanghai. Average annual income in Nepal's rural mid-and-far-western hills, where many harvesters live, is just $283, according to the government.

Police in Dolpa expect 40,000 people to migrate to the district this year. The influx of migrant harvesters speaks volumes to the increasing global commodification of yartsa gunbu. Prized in traditional Tibetan and Chinese medicinal practices for its power as an elixir or an aphrodisiac, in recent years commercial dubbing of the product as "Himalayan Viagra" has driven up both demand and market value around the world.

But the unprecedented flood of harvesters has observers concerned about the environmental impacts of this informal economic boom.

"Look at the hills," says Gyalpo Thandin, a student in Dolpa, "they're all torn up from people digging. By next year they'll be deserts."

Thandin, who was visiting home for the harvest, remembers when the yartsa gunbu season meant local bounty, not commercial competition. "Just five years ago the numbers were lower," he says. "Every year we see more people come and more grasslands get damaged. People who come hack at the land with tools and leave it to dry out."

He says his family's yaks have died in recent winters due to depleted grass caused by the harvest.

See also: Bringing Nepal's ghost town back to life

Environmental protection measures offer some hope. Six years ago, a committee of community leaders in Dolpa instituted a taxation system on harvesters in an effort to control numbers and ensure the local community remained resilient amidst environmental changes.

The committee charges locals 1,000 rupees ($11) and outsiders 3,000 rupees ($33) to join the harvest. The system is intended to spend the money on environmental protection measures and to subsidize food for villages in the district.

Similar systems exist in harvest areas across the Himalayas. However, some worry the measure is ineffective.

A former committee member who spoke on the condition of anonymity suggests that charging admission to the harvest has only made it seem even more valuable, and as a result, drawn more harvesters. "The goal of the system was to charge people and therefore limit the number who would want to come for the harvest, but putting a price on the entry might actually be encouraging more people," he says.

A leading expert on Himalayan caterpillar fungus, ecologist and geographer Daniel Winkler, believes the future of the harvests is contingent on many factors -- collection intensity, rainfall, and climate change among them.

"Centuries of collection indicate that caterpillar fungus is a relatively resilient resource," he says.

But his research suggests that over-harvesting is contributing to fewer fungal spores being around for the next season. Winkler believes education is the key element to promoting sustainable resource conservation.

"Knowledge of fungal reproduction ... and (establishing) an end-date to the collection season might allow for sufficient spore dispersal to guarantee sustainability," he adds.

As communities in Nepal, one of the world's poorest countries, cope with the economic need and the increasing desire for high-value commodities like yartsa gunbu, conservation efforts will require cooperation between leaders at village, district, and national levels. There is no question this Himalayan "gold rush" buoys rural economies. Keeping it around for future generations will be the challenge.

@highlight

Caterpillar fungus -- known as Himalayan Viagra -- is prized in traditional medicine

@highlight

Thousands of people travel to Nepal's Dolpa district each year to harvest the caterpillar fungus

@highlight

Some locals say the harvesters are damaging hillsides and grasslands

@highlight

Expert says education is needed for the harvesting to be sustainable long term