(CNN) -- The rapid thud-thud-thud of military choppers overhead on Wednesday was the first thing to catch the attention of the residents of Cuernavaca, a city south of Mexico City known as a retreat for city-dwellers and tourists alike.

The helicopters landed near Punta Vista Hermosa, a majestic resort where condos sell for millions of Mexican pesos, and before long, seemingly hundreds of military personnel were on its grounds.

A few hours later, a ferocious firefight broke out between the military and a cell of drug traffickers.

"Things like this rarely happen here," said Yadira Abigail Flores Delgado, who works at a nearby private security firm. "I could hear the shots and the helicopters. It was a very ugly incident."

The outcome, however, was sweet for the administration of President Felipe Calderon.

In a strong blow to one of Mexico's most notorious drug cartels, Mexico's navy killed Arturo Beltran Leyva, head of the Beltran Leyva cartel and one of Mexico's three most wanted criminals.

Six other cartel members and one naval petty officer also died in the raid. Three other people were arrested.

The end of Beltran Leyva's reign at the helm of the violent cartel was hailed by Mexico and the United States as a major victory for Calderon's offensive against the cartels, a war that has claimed more than 14,000 lives since 2006. More than 7,300 people have been killed in drug-related violence this year, according to a tally by Mexico's El Universal newspaper.

"This action represents a major achievement for the people and government of Mexico, and is a decisive blow against one of the most dangerous criminal organizations in Mexico," Calderon said, speaking from the U.N. Climate Change Conference in Copenhagen, Denmark.

The U.S. Drug Enforcement Administration said that its cooperation with Mexico played a role in Wednesday's action.

"[Beltran Leyva's] death has dealt a crippling blow to one of the most violent cartels in the world, and it comes as a result of significant cooperation and information sharing between law enforcement in the United States and our courageous partners in Mexico," DEA Acting Administrator Michele M. Leonhart said in a written statement.

Video footage of the condo where Beltran Leyva was staying revealed bullet-ridden walls. A plate of eggs and ham was set at the dinner table, which was adorned with two fruit bowls. A large baggie containing a white substance was nearby.

On Thursday, authorities presented to the media two women and a man who were arrested in the raid. Their role with the cartel was not made clear.

The women were identified as Catalina Castro Lopez and Gabriela Vega Perez. The man's name was not immediately released.

It was believed that the raid was linked to another operation last week.

On December 11, the navy got into a firefight in Cuernavaca with gunmen of the Beltran Leyva cartel. Three of the gunmen were killed and 11 were arrested, according to the navy.

Calderon said Wednesday's operation "was the result of an intense intelligence effort by the Mexican navy."

"We've never seen anything like this," Flores Delgado said. "Everyone is scared."

The fear was palpable at a children's hospital right behind the complex where the drug lord was killed.

Three military personnel posted themselves inside the hospital hours before the shooting started, saying only that they were in the middle of an operation, said Dr. Antonio Villa Montiel.

The shooting started just after 8 p.m. and lasted for about an hour and a half, about 30 minutes of which were very intense, Villa Montiel said.

"There was gunfire, machine gun fire and grenades, some of it very close to the hospital," he said. "Inside the hospital there was much stress, fear and anxiety. Some people even panicked."

Three navy personnel were wounded by hand grenades, one fatally, the navy said.

Navy 3rd Petty Officer Melquisedet Angulo Cordova died while being treated for his injuries, navy spokesman Adm. Jose Luis Vergara said. One of the other two navy men was in serious condition and the other was in stable condition, Vergara said.

"It's a battle won, but by no means the war," said Tony Payan, associate professor of political science at the University of Texas-El Paso.

The death of the leader of a major drug cartel is a victory for the government, but it could also spur more violence, said Payan, an expert on drug trafficking in Mexico.

For such a high-level blow by the military, reprisal killings by the cartel are a possibility, Payan said.

Violence could also flare from within the Beltran Leyva organization itself, as its lieutenants jockey for position in the inevitable reorganization.

Finally, rivals -- and maybe even allies -- of the cartel may fight for a piece of the organization's lucrative smuggling routes, Payan said.

Beltran Leyva and his organization rose in the Pacific state of Sinaloa, home to a powerful cartel of the same name.

Beltran Leyva and his brothers initially were allied with the Sinaloa cartel, headed by Joaquin "El Chapo" Guzman. A series of disputes over the past years, however, led the Beltran Leyva brothers to turn on El Chapo, or "shorty," and they have been most recently linked with Los Zetas, another violent cartel opposed to the Sinaloa group.

One of the Beltran Leyva brothers, Alfredo, was arrested by Mexican authorities last year and remains imprisoned. Another brother, Hector, was indicted on drug trafficking charges out of New York and Washington. The slain brother, Arturo, was also named in those indictments.

The Beltran Leyva cartel is known for air transportation expertise, Drug Enforcement Administration spokesman Michael Sanders said.

An estimate from two years ago said the group smuggled 300 to 400 kilograms of cocaine monthly into the United States, Sanders said. The group is also known to smuggle black tar heroin.

iReport: Ride-along with anti-drug task force

Earlier this month, the U.S. Treasury Department added Hector Beltran Leyva and other top cartel figures to a list of "specially designated narcotics traffickers," a move that freezes any assets they have under U.S. jurisdiction and prohibits people in the United States from conducting business with them. Arturo Beltran Leyva was already identified as a kingpin in May 2008.

In the most recent addition, the U.S. government named 22 members of the Beltran Leyva organization and 10 related companies.

Since taking office, Calderon has made fighting the drug cartels a priority. More than 40,000 troops have been deployed throughout the country to help small and often corrupt local forces.

But it was the navy that made one of the biggest busts in the war on drugs.

The reason may be because after years in the field, the army was not as reliable as a fresh force.

"Calderon has finally understood two things: that the army is susceptible to corruption, and that the army is not sufficient," Payan said.

@highlight

Arturo Beltran Leyva was one of Mexico's three most wanted criminals

@highlight

Beltran Leyva and his brothers rose in the Pacific state of Sinaloa

@highlight

Six other cartel members and one naval petty officer also died in the raid