Hamid Dabashi is the author of "Iran: A People Interrupted." He is Hagop Kevorkian Professor of Iranian Studies and Comparative Literature at Columbia University in New York. His Web site is http://www.hamiddabashi.com/

Hamid Dabashi says protesters in Iran would be harmed by U.S. aid to "promote democracy" in that nation.

(CNN) -- On a number of occasions and in perfectly pitched and calibrated statements, President Obama has expressed his unequivocal support for the civil rights movement in Iran without appearing to interfere in Iranian domestic affairs.

This has been particularly admirable given the pressure that is coming his way from a U.S. Congress that -- up until the night before the Iranian presidential election -- was discussing even more severe economic sanctions on Iran, which would have hurt precisely the young men and women the legislators now seem too eager to support.

Obama can help this budding seed of hope for civil liberties even more emphatically by altogether cutting the budget "to promote democracy in Iran," evidently channeled through the U.S. Agency for International Development. Ken Dilanian of USA Today reports, "the Obama administration is moving forward with plans to fund groups that support Iranian dissidents."

This financial aid is not only a waste of taxpayer money under these severe economic circumstances, but is in fact the surest way to kill that inborn and grassroots movement.

It mostly will be abused by expatriate and entirely discredited opposition groups ranging from the monarchist supporters of Reza Pahlavi to the members of the Mojahedin Khalq Organization, and it will in turn strengthen the hand of the regime to denounce the Green Movement as funded by Americans.

The U.S. government shouldn't give a penny to these groups or any other outlet dedicated to promoting "democracy in Iran" from the sunny coasts of California to the green suburbs of Washington.

As the whole world is now a witness to it, the civil rights movement in Iran is a nonviolent demand to exercise people's constitutional rights to participate in the democratic aspirations of their homeland, turned bloody only by the custodians of an Islamic republic who seem to be too conscious of their own illegitimacy.

This movement has been decades, if not centuries, in the making. And it needs no American money to sustain itself. The only thing it needs is the moral voice of the American civil rights movement to come to its aid.

Just one quote from the Rev. Martin Luther King Jr. (or more accurately from the prominent 19th century abolitionist Theodore Parker) about the arc of the moral universe being long, but ultimately bending toward justice, will go a long way toward supporting this movement.

If I were the president, I would reallocate that budget and spend it on enriching inner city public schools, enabling them to develop courses on modern Iranian and Islamic history. I would convene a national convention with the first lady presiding in which public high school teachers would be brought together to think through curricular changes that would teach the next generation of Americans more about the world in which they have to live.

From the same fund I would establish an annual prize for 100 best essays on a contemporary Islamic society written by a junior from a public high school. A prize could be applied to college tuition. I would call it the Rosa Parks-Neda Aqa Soltan Prize for Non-Violent Civil Rights Movement.

Not just one but four swords of Damocles are now hanging over the Iranian civil rights movement. One of them, the severe crackdown by the custodians of the Islamic republic, has already dropped ruthlessly. Iranians are more than capable of dodging it and continuing with creative ways of civil disobedience and nonviolent strategies of pushing forward from their versions of the Montgomery, Alabama, bus boycott of 1955-1956 to their Civil Rights Act of 1968.

But the other three swords are held over this movement from outside Iran, in fact from the United States government. These are 1) the misappropriation of funds to promote democracy in Iran that will in fact abort it; 2) the fear of even more severe economic sanctions that will do nothing to the ruling elite except exacerbate its belligerence while hurting the very brave men and women daring the brutality of their government; and 3) the threat of military strike that, should it materialize, will have this hopeful uprising as its very first target while creating the condition of an open military coup in Iran, turning it to another Pakistan.

The United States can only lead, if it must, by example, by practicing what it preaches. Our inner schools cannot suffer from unfathomable poverty of educational tools while we allocate millions of dollars to useless, ineffective, discredited "oppositional" forces.

Whatever the fate of the Islamic republic, the noble cause of civil liberties will remain constant in Iran and will emerge as a model for the region. By wedding the freshly cut flower of Neda Aqa-Soltan's young life in the fertile soil of Rosa Parks' memory, Iranians and Americans will finally come together in their common dreams of basic human decency. And what better president to have a hand in that union than the man who is a beneficiary of the courage and imagination of Rosa Parks and a witness to Neda Aqa Soltan?

The opinions expressed in this commentary are solely those of Hamid Dabashi.

@highlight

Hamid Dabashi: U.S. government planning millions to aid democracy in Iran

@highlight

He says the money could discredit and kill the Iran protest movement

@highlight

He says the money should be spent to improve schools in America

@highlight

Dabashi: Iranian protesters need inspiration from civil rights movement, not money