London (CNN) -- If keeping track of friends was the first wave of social media, the next may be all about hooking up with strangers.

Apps designed to connect like-minded people, both online and in the real world, are being promoted as potentially capable of generating the kinds of billions Facebook may or may not be worth.

But to achieve this, tech companies must encourage users to make a leap into an unknown world and throw private information into a void.

"If we get this right, I cannot think of a bigger thing to be working on right now," said Paul Davison, CEO of Highlight, one of the most buzzed-about of such apps to emerge this year. "We can take billions and billions of dollars."

Like other so-called "social discovery" apps, Highlight works by allowing a small online cloud of personal information to follow a user wherever their cellphone goes. Whenever two users pass in the street or walk into the same venue, Highlight compares their data and alerts them to things they share in common, such as friends, music or favorite TV shows.

Why faces matter to Facebook

Davison, 32, sees this as a powerful way to solve an imperfect social world in which many people try but fail to find the right friends, partners or employees.

"There is serendipity everywhere," he told CNN this week at Le Web London, a tech conference that wraps up Wednesday. The event brings together some of the biggest names in social media innovation and its agenda showcases a number of data services which, like Highlight, attempt to steer us away from the vagaries of chance.

"But sometimes it just needs more engineering," he added.

Davison is clearly not alone in thinking this. Since its launch in January, Highlight has received positive reviews from tech-industry journalists and was one of the most heavily hyped apps this spring at SXSW Interactive, the tech conference in Austin, Texas. A similar app, Glancee, was snapped up by Facebook in May.

Davison won't disclose how many people have signed up for Highlight to date, but our tests in London this week revealed a relatively thin pool of users. (For context, another fledgling rival, Banjo, hit 1 million users in April.) He appears to be some way off from the fabled "critical mass" at which a network becomes an attractive user destination.

To get there, he must first convince people of the value of sharing -- a task he acknowledges as tricky.

"People freak out, they say it's creepy," he said. "And if they don't want to share, then that's fine, they don't have to. But the social benefits to this far outweigh any cost to privacy."

Davison, who is currently expanding Highlight's two-man operation with half a dozen new hires, said he believes users will be won over by the ability to validate peoples' identities via Facebook or other existing social media platforms, and by the limited space in which the data is broadcast.

Facebook to show you adds based on your Web browing

"We connect people over a 150-meter radius. There's something about a short sense of space that creates trust," he said. "Trust is critical. We think about it all the time and we want to be a simple product that people love. We don't want to be too spammy, too aggressive or anything like that."

Davison said he is not entirely sure how he will monetize his creation. Still, he is confident that it has lucrative potential -- provided it can avoid being pigeonholed as a dating app or conference-networking tool.

"Both those are big markets, but if you focus on them you end up with a very vertical growth plan," Davison said. "We want to go beyond that. We want something that everyone will use everywhere."

While some may doubt Highlight's ability to persuade a mass-market audience to share with strangers, Davison's goals aren't without precedent -- largely thanks to a trail blazed by similar app Badoo.

Founded in 2006 by Russian entrepreneur Andrey Andreev, Badoo now connects 153 million people around the world. It is hugely successful in Europe and is currently pushing into the United States.

Though it has a reputation as a dating site -- some news reports have described it as like Facebook, but for sex -- the motivation behind Badoo's hook ups are numerous, according to Benjamin Ling, the company's newly appointed chief operating officer.

"We're solving a fundamental need of humans to connect and meet with other people," Ling told CNN on the sidelines of Le Web.

Could mobile apps save local news?

Whereas Highlight focuses on specifically locating and identifying strangers in close proximity, Badoo casts its net much wider, linking like-minded souls in nearby neighborhoods and leaving it up to them to set up a physical rendezvous.

Yet, said Ling, it recognizes that people are clearly willing to take a leap into the unknown.

"As children, we have no problem meeting people, but as we grow up it becomes harder," he said. "The social friction increases. What we do is help reduce that friction."

Badoo makes money as a "freemium" service. There is no charge to join, but users can pay to promote themselves across the network in the same way that retailers optimize their position in Google searches. Ling said further revenues could soon come from advertisements.

Badoo has already achieved the critical mass needed to make it a going concern and seems to have no problem persuading users to share personal details -- a fact that should be encouraging to Highlight and other, newer social startups. Like any dating or social site, however, it must combat users who post false identities.

Mobile devices offer 'seductive' fantasy

"The key thing in gaining trust is user choice. Users only share the information they want to share," Ling said. "As with every open platform, it is open to abuse. We have the ability for our community members to flag abuse, and we have 250 moderators. We allow users to authenticate their profiles, via Facebook or Twitter or their mobile phones."

And, said Ling, he is confident the space will grow as society opens up to the possibilities of sharing with strangers.

"Teens growing up now are more comfortable with the online world, and so the cultural mores are beginning to change over time, and that makes us optimistic," he said. "This model of interaction is going to be much more prevalent in the future."

@highlight

Mobile apps connecting strangers in real world might be "the next Facebook"

@highlight

Highlight connects mobile users within 150 meters based upon mutual friends or interests

@highlight

Badoo operates on same principle but covers more distance

@highlight

Some worry that GPS-aided introductions will seem creepy