The Pentagon unveiled plans Tuesday for fully integrating women into front-line and special combat roles, including elite forces such as Army Rangers and Navy SEALs.

While Air Force, Army, Navy, Marine and special forces commanders detailed steps they will take, not all shared the same comfort level with the initiative, raising potential real-world scenarios that must be addressed before moving too far forward.

There was concern for how women might handle some of the more taxing physical demands of combat across the board and for how men might view the presence of female troops in tight-knit elite units.

Women are permitted to serve in some hazardous jobs and did so in Iraq and Afghanistan where a number were killed. But it wasn't until January that then-Defense Secretary Leon Panetta formally lifted the official ban on women in combat.

Top leadership embraced the overall concept and goal of completing the change by January 2016, but gave service commanders some room to fill in the details.

"The department remains committed to removing all gender barriers wherever possible and meeting our missions with the best qualified and most capable personnel," Defense Secretary Chuck Hagel said in a May 21 memo to individual service leaders that was released on Tuesday.

Obama: Assaults threaten military trust

"I remain confident that we will retain the trust and confidence of the American people by opening positions to women, while ensuring that all members entering these newly opened positions can meet the standards required to maintain our warfighting capability," Hagel said.

More than 200,000 women are in the active-duty military, representing about 14.5% of the overall force, according to Pentagon figures. Most serve in the Army.

Despite the past official ban on combat, some women who have served in Iraq and Afghanistan found themselves in firefights. They have been part of gun crews, air crews and in seamanship specialties.

Officially assimilating women into the most grueling elements of the armed forces comes as the Defense Department wrestles with new concerns about sexual assault in the military, with statistics showing an increase in those reports.

It also comes as the U.S. military adjusts its mission and force to a post-war era for the first time in 12 years as it winds down combat operations in Afghanistan and confronts severe budget cuts.

Military leaders released individual plans for the Army, Air Force, Navy, Marines and special forces on Tuesday, and said they would spend the next year or so evaluating how they should be carried out.

The service branches will collect and analyze information on the impact of introducing potentially hundreds of thousands of new positions into the armed forces.

They also will validate standards and agreed that it was premature to forecast how things might play out and whether women would ultimately be admitted to all combat roles.

Services will evaluate cultural issues and physical demands associated with fully integrating forces and, in some cases, assessing the views of men who comprise the Rangers, SEALs and Army Green Beret units.

Moms, daughters think about rape before enlisting

"I want to let it work. I think we owe it to everybody," said Army Maj. Gen. Bennet Sacolick, the director of force management and development for the U.S. Special Operations Command.

Sacolick said he wanted to be "an honest broker" and raised more overall caution than the other officers.

"I just want to see what happens," he said.

Areas to be examined range from psychological or behavioral problems that could arise in small elite groups deployed in remote locations to performance-based tasks like repetitive lifting of a 55-pound tank round that is required by a Marine infantry unit.

The Pentagon said the extended window is necessary for a thorough job and said it would proceed in a "measured and responsible" manner. In many cases Congress would be notified.

"There is an understanding that doing this right takes a period of time," said Juliet Beyler, who directs the officer and enlisted personnel management.

@highlight

Pentagon ordered in January to open combat jobs for women

@highlight

Plans allow for women to serve in special forces units, including SEALs

@highlight

Not all commanders share same enthusiasm for integration program

@highlight

Commanders concerned about impact on women, others on men