(CNN) -- Ten years ago, President Putin of Russia faced an embarrassing foreign policy defeat. Assisted by Russia's ablest spin doctors, Putin's favored candidate, Viktor Yanukovych, had won Ukraine's presidential election, or at least had won the count.

But thousands of protesters, alleging electoral fraud, surrounded government buildings, camping in the snow and waving orange flags. Eventually, Putin's Ukrainian allies capitulated. The Supreme Court called another round of voting, and voters dumped Yanukovych in favor of a politician, Viktor Yushchenko, who called for Ukraine's rapid admission to NATO.

Putin was left spluttering. But he waited. In the winters of 2006 and 2009, gas supplies from the Russian company Gazprom were temporarily halted over payment disputes, but these were quickly resolved. Within a few years, self-destructive squabbling among Ukraine's new democratic leaders, as the economy stagnated, had discredited the "Orange Revolution." Putin found he could actually get along quite well with Yushchenko's main rival, Yulia Tymoshenko.

Skip ahead ten years and Yanukovych, elected president in a reasonably free election in 2010, again finds himself facing angry crowds in Kiev's Independence Square, or "Maidan." This time the protesters demand he sign an association agreement with the EU that Putin has opposed. As before, Putin makes clear his disdain for the demonstrators and his support for Yanukovych.

Yet, when his client is forced out of office, this time -- after violent street fighting between heavily armed Berkut riot police and protesters hurling stones and Molotov cocktails -- Putin does not sit on his hands.

Over the course of a few days, Russian troops occupy the key points in Ukraine's predominantly Russian-speaking Crimean peninsula. The invasion sets off the most serious international crisis in Europe since the turn of the 21st century.

Opinion: How Putin carries out power grab

Is Putin-2014 the same person as Putin-2004? Why in such ostensibly similar crises did he react in radically different ways? Why take an enormous gamble when he could be sure the current democratic victors in Kiev would self-destruct as quickly as the first crop? He would have to swallow a short-run setback. But Putin could then indulge his schadenfreude watching liberal prime minister Arseny Yatsenyuk tussle with nationalist leader Oleh Tyahnybok as Ukraine's economy melted down and the EU and IMF prepared a financial aid package sure to offer too little, too late, and only under stringent conditions. Within a few years, a more pro-Moscow administration was likely to emerge.

By contrast, Russian troops in Crimea was the one thing certain to unite Kiev's factions, mobilize Ukraine's population and prompt rapid Western action on economic aid. At the same time, military intervention promised a string of unwelcome repercussions: Western sanctions, visa bans for members of the ruling elite, asset freezes, diplomatic embarrassments, even perhaps exclusion from the G8. For Russia, already facing a stagnant economy, such moves could only accelerate capital flight and scare international investors.

Even more perverse, invasion would throw away in one day two years' worth of reputational capital, accumulated from a string of unexpected foreign policy successes. From isolation over Syria, Putin had managed to emerge as peacemaker in late 2013, persuading Syrian President Bashar al-Assad to pledge to surrender his chemical weapons.

By granting asylum to NSA leaker Edward Snowden, the Russian president could claim -- implausibly -- to be on the side of citizen privacy and transparency. Despite a chorus of gloom in the Western press, the Sochi Winter Olympics had passed without terrorist attacks or other disasters and with Russian athletes dominating the medals count.

Is there a rational explanation for Putin's resort to arms in 2014? Western analysts have been at a loss. To those who have been raising the alarm about Putin's expansionist drive and wounded pride since before he came to office, there is nothing to explain: the dictator has shown his true colors. Yet this is hardly more informative than the stopped clock that is right twice a day.

If Putin-2014 was a militant expansionist, why did Putin-2004 hold back? What to make, then, of Putin-2000 who, when asked whether Russia might one day join NATO replied: "Why not? I do not rule out such a possibility." Later there was Putin-2002 who said that the Baltic states joining NATO was "no tragedy." Over the years, Putin acquiesced to U.S. bases in Central Asia after 9/11, shared intelligence with Washington, agreed to cut nuclear arsenals by two thirds, and defied his own Communist protesters to establish a route through Russia for U.S. military supplies to Afghanistan.

So what has changed? Most plausibly, Putin hopes to use the conflict to ignite nationalist pride and anger at home, building a new base of anti-Western support for his leadership as he loses the backing based on economic performance. (With oil prices no longer rising, and global liquidity tighter since the 2008 financial crisis, Russia's growth slowed to just 1.3 percent last year.) If so, this is unlikely to work.

In a poll one month ago, 73 percent of Russians opposed intervention in Ukraine's politics. Comparable nationalist rallying points in the past such as Russia's 2008 invasion of Georgia produced a spike in Putin's ratings, but one that had completely reversed within a few months. The costs of the Crimean intervention, in reduced investment and international isolation, will last longer than the immediate rally behind the flag. So will the heightened tensions with other neighboring states that contain large Russian-speaking minorities, such as Kazakhstan and the NATO-members Estonia and Latvia.

Opinion: Putin's endgame and why the West may have a hard time stopping him

That after 14 years the leader of an increasingly authoritarian state should start to make mistakes is not surprising. Such leaders tend to become trapped in an information bubble of their own creation.

Surrounding themselves with friends and colleagues with similar world views, they --deliberately or unwittingly -- cut themselves off from unwelcome information.

They forget that the media they have censored tells them only what they want to hear, and that the "experts" they have cultivated are those that reinforce their own prejudices. They start to believe the verdicts of the courts they have politicized.

Like all people but more so, they succumb to attribution bias -- believing the worst of others and the best of themselves -- and to the overconfidence effect -- the tendency to exaggerate the odds of success. The result is a distorted view of events that is self-serving and black and white. German Chancellor Angela Merkel, who spoke to Putin by phone last Sunday, said that he seemed to be "in another world."

The result can be decisions that put the leader's own position at risk. Gen. Augusto Pinochet, after ruling Chile for 15 years, came to believe he was extremely popular. To his dismay, a plebiscite he called in 1988 revealed that most Chileans would rather have a different leader. Other authoritarian leaders, such as Daniel Ortega of Nicaragua, have lost power after calling elections that they were sure they would win.

Although his regime faces no immediate danger, and the first polls may well show initial support for his moves, Putin has made his task of holding onto power in the medium run more difficult. Business elites, both in and outside his circle, will resent the new instability and isolation the Crimean operation has created. The Russian stock market fell almost 13% on the first day after the invasion, and the Central Bank had to raise interest rates to stanch decline in the ruble. Support for any intervention with economic and human costs is likely to drain away fast.

Yet, the information filter around Putin will make it hard for him to evaluate what is going on. Rather than recognizing his own mistakes, he will tend to believe stories of betrayal and external hostility. Unless the dissonance rises to such a level that it provokes a major rethink -- and he proves flexible enough to question his own action -- he is likely to continue miscalculating as the crisis unfolds.

The opinions expressed in this commentary are solely those of Daniel Treisman.

@highlight

Ten years ago, Vladimir Putin tolerated a Ukraine uprising, ultimately seeing things go his way

@highlight

Daniel Treisman: Why did Putin take the bold step of sending forces into Crimea in 2014?

@highlight

He says the costs will almost certainly outweigh the benefits for the Russians

@highlight

Treisman: Like many authoritarian leaders, Putin may now believe his own rhetoric