(CNN) -- Judging solely by the headlines, one might conclude that China's economy is finally starting to hit a wall. After several decades of near double-digit annual growth, gross domestic product rose by a relatively cool 7.5% in this year's first half. Property prices are down. So is investment in factory capacity and real estate.

But companies that interpret slower GDP growth to mean that business opportunities in China and other emerging markets will begin to fade are making a serious mistake. The consumer class is still growing rapidly in key emerging markets, and the competition from savvy, extremely capable domestic companies is intensifying.

In China's case, the lower GDP growth rate actually reflects an important structural shift in the economy -- from growth that is driven by extraordinarily high fixed investment fueled by loans from government-owned banks to growth that is driven by private consumption. This transition has been a top goal of the Chinese leadership as it seeks more balanced and sustainable economic growth.

China illustrates an important phenomenon found in many emerging markets. What many gloomy economic reports miss is that private consumption continues to rise. This is fueled by steady, rapid growth in the country's middle-class and affluent households, which in China we at The Boston Consulting Group (BCG) regard as having annual disposable incomes of at least $12,500. Since 2010, people living in middle-class and affluent households surged from 10% of China's population to 25%. In just another three years, this share is projected to leap to 35%, according to BCG analysis.

Some of the sharpest consumption growth in China is occurring among the upper middle class, which we classify as households with annual disposable household incomes of $25,000 to $50,000. The population in this income segment has been has been rising 12% annually. Astonishingly, Chinese upper middle class are projected to account for 5% of global consumption by 2020. These consumers are the sweet spot for many international companies because they tend to sharply accelerate their consumption in such product categories as automobiles, premium personal-care products, fresh foods, financial services, and travel.

While companies like the e-commerce giant Alibaba generate the most buzz, it is only one of many innovative companies prospering from the rapid growth of China's middle class. At BCG, we have been tracking a particularly impressive group of hard-charging competitors that we refer to as "local dynamos" -- emerging market-based companies that are staying home and conquering their domestic markets.

The dynamos move at breathtaking speed, have formidable business models for catering to local consumers, are highly adaptable and are remarkably adept at taking advantage of digital technologies. They have averaged compound annual revenue growth of 28% annually over the past four years, compared with 5% annual growth among S&P 500 companies.

Eleven of the 50 dynamos that we identified globally in a recent report are consumer goods companies -- more than from any other sector. This reflects the opportunities created by surging consumption in emerging markets. Ten of the 50 are based in China. They span sectors from banking and food retailing to consumer electronics.

Home Inns & Hotels Management illustrates how Chinese dynamos can operate successfully while moving at warp speed. Home Inns saw a huge opportunity in the underserved and highly fragmented market for budget hotels. From 2008 to 2013, it increased its number of hotels from 500 to more than 2,000, in part through an aggressive strategy of franchising. It also boosted the number of cities served from fewer than 100 to 300. With revenues of $1 billion in 2013, Home Inns controls nearly 25% of China's branded economy-hotel segment.

Xiaomi, another dynamo, demonstrates the digital prowess of China's new breed of consumer-product companies. Xiaomi relies entirely on e-commerce to sell its affordable smart phones, which are priced at between $100 and $300.

To reach China's Internet-crazed youth, Xiaomi uses a variety of popular social media to extensively market its products and solicit customer feedback, which it incorporates when designing and improving its devices. After just three years in operation, Xiaomi reached $5 billion in revenue in 2013 and sold more smartphones in China -- nearly 19 million -- than Apple. Xiaomi passed Samsung in the second quarter of 2014 as China's top smartphone brand.

Even if companies have little interest in the China market, the local dynamos should be on their radar because they are potential future global competitors. A number of companies on BCG's 2014 list of "global challengers" -- fast-growing companies based in emerging markets that are becoming global leaders or have the potential to do so -- have followed the path of leveraging their dominance in domestic markets to go global.

Twenty-nine of the 100 challengers on the 2014 list are Chinese, including appliance maker Haeir Group, automaker Geely International, and medical device producer Mindray Medical International. Prominent examples from other emerging markets are Chilean wine maker Concho y Toro, Chinese appliance marker Haier Group, Mexican cellular phone giant America Movil, Philippines fast-food conglomerate Jolibee, and Indian vehicle companies Bajaj Auto and Mehindra & Mehindra.

Whether one sees China and other emerging markets as the world's biggest growth opportunities -- or as the source of potential threat -- don't let slower GDP statistics distract you into pulling back. The battle for a share of the growing consumer class is underway now and will grow more fierce.

Read this: The 10 hottest startups in Asia

Read this: Want to get rich? Move here!

More from Virtual Think Tank

The opinions expressed in this commentary are solely those of Jeff Walters.

@highlight

Jeff Walters: Consumer class still growing rapidly in key emerging markets

@highlight

Gloomy economic reports miss that private consumption continues to rise

@highlight

Many innovative companies prosper from rapid growth of China's middle class