(CNN) -- It has been five years since Mohammad Z. left Syria to train as a doctor in Detroit.

He works long hours. He's big on hockey. He's devoted to the Red Wings.

He's immersed in America, yet his heart is with Syria and the Syrian people.

It's hell inside Syria. But for Mohammed and other Syrian expatriates who want to end the regime of Bashar al-Assad, this is a kind of golden moment. Ethnic and religious and political divisions are melting away to serve one shimmering goal.

"I can't tell you how many wonderful Syrians I have met here who've devoted their money and time to see a democratic, free Syria," said Mohammed, whose last name is being withheld by CNN to protect his brother and parents in Syria. "You see the Christians, the Muslims, the nonreligious people; you see people from different ethnic backgrounds: Arabic, Assyrian and Kurds."

An underground newspaper in Syria recently published an essay of Mohammad's. In it, he wrote, "The revolution has brought us together, and we had scattered in loneliness."

For Mohammad and many other Syrian expatriates, there is no going back to the old Syria. For them, Syria has to change.

"These are people who've been exposed to the American culture and brought up in an environment -- even in Syria -- where there was Internet and dishes and satellites and they can see how the rest of the world lives," said Naser Danan, a Cleveland-based doctor with the Syrian Expatriates Organization.

While the expat group has members in other Arab countries and in Europe, Danan estimated that a majority of the 600 or so members are young doctors in the United States -- ironic, because al-Assad himself has a medical degree.

The group supports an end to al-Assad's regime, though it doesn't act as a political opposition entity. Members raise money to buy food and medicine for Syrians caught in the violence, and they speak in public about what's going on in Syria.

Cancer researcher Hazem Hallak recently spoke to a group of high-school students in Ardmore, Pennsylvania. When one of the students asked how he reacts to the latest videos coming out of Syria, Hallak said he doesn't watch anymore.

He explained why by describing the last video he watched from Syria. Someone recorded Syrian soldiers invading a house looking for the husband of the household. When they didn't find him, Hallak said, they cut off the head of his young son, hung it in the doorway and told his wife, "This is what will happen to your husband if he doesn't turn himself in."

Last May, Hallak's brother, a doctor in Syria, was arrested and killed -- his body mutilated -- after he returned from a trip to the United States.

A few expatriates in the United States are part of the Syrian National Council, the group that many Syrians consider to be the official political opposition.

One of them is George Netto, a cancer specialist who teaches and practices at Johns Hopkins University in Baltimore.

Netto, who is Christian by birth, said he joined the opposition group "to show it's really the entire spectrum of the Syrian people fighting the regime: Christian, Sunnis, poor, rich, educated and noneducated ... we wanted to burst that bubble they're trying to depict that it's only armed radicals or armed gangs."

In Detroit, Mohammad said he was going to anti-al-Assad rallies even before the Syrian secret police, the Mukhabarhat, arrested his brother who was protesting in Syria.

Mohammad said the police kept his brother locked up for three months. He said they interrogated him and tortured him from day one. (Listen to Mohammed read his brother's essay about that time)

After three months, the police let Mohammed's brother go to make room for a wave of new prisoners. But as soon as he was freed, he returned to protesting.

Mohammad said he would not tell his brother to stop protesting. If he were in Syria now, he said, he would do the same thing.

"This is not only an uprising," he said. "It's an epic, a human epic that's being written by the Syrian people."

@highlight

Syrian expatriates across the world are uniting against the regime of Bashar al-Assad

@highlight

Their mission is cutting across ethnic and religious lines

@highlight

Many Syrians are raising money in the U.S. and speaking about the crisis