(CNN) -- Reclusive author J.D. Salinger has emerged, at least in the pages of court documents, to try to stop a novel that presents Holden Caulfield, the disaffected teen hero of his classic "The Catcher in the Rye," as an old man.

J.D. Salinger has stayed out of the public eye for most of the past half century.

Lawyers for Salinger filed suit in federal court this week to stop the publication, sale and advertisement of "60 Years Later: Coming Through the Rye," a novel written by an author calling himself J.D. California and published by a Swedish company that advertises joke books and a "sexual dictionary" on its Web site.

"The Sequel infringes Salinger's copyright rights in both his novel and the character Holden Caulfield, who is the narrator and essence of that novel," said the suit, filed Monday in U.S. District Court in New York.

Published in 1951, "The Catcher in the Rye" is an iconic take on teen alienation that is consistently listed among the greatest English-language novels ever written.

Salinger, 90, who has famously lived the life of a recluse in New Hampshire for most of the past half-century, last published in 1965. With the exception of a 1949 movie based on one of his early short stories, he has never authorized adaptations of any of his work, even turning down an overture from director Steven Spielberg to make "Catcher" into a movie.

"There's no more to Holden Caulfield. Read the book again. It's all there," the court filing quotes Salinger as saying in 1980. "Holden Caulfield is only a frozen moment in time."

The filing refers to the new book's author as "John Doe," saying that the name John David California probably is made up.

The first-time novelist's biography on Amazon.com says California is the son of a Swedish mother and American father who was named after the state where he was born.

It claims he is a former gravedigger and triathlete who found a copy of Salinger's novel "in an abandoned cabin in rural Cambodia" and that it helped him survive "the most maniacal of tropical fevers and chronic isolation."

The Web site's description of the book is written in the same choppy, first-person stream of consciousness that Salinger employs as Holden wanders the streets of New York. It describes a character, "Mr. C," who flees his nursing home and "embarks on a curious journey through the streets of New York."

The lawsuit names Swedish publisher Nicotext; its offshoot, Windupbird Publishing Ltd.; and California-based SCB Distributors as defendants.

The Web site for Nicotext advertises such books as "The Macho Man's (Bad) Joke Book" and "Give It To Me Baby," which it describes as an erotic "flick book."

Marcia Paul, Salinger's New York-based attorney, declined to speak on the record, citing her client's private nature.

E-mail messages to Nicotext were not returned Wednesday.

Aaron Silverman, president of SCB Distributors, said the people behind the new book plan to defend it against the lawsuit.

"We believe we have the right to distribute this book and the publishers believe they have the right to publish it," he said.

Silverman, whose company distributes books by about 150 publishers, called "60 Years Later" a work of "social science fiction," saying that California doesn't plagiarize, but sets a well-known character in an alternate place and time -- as literature has done for centuries.

"It's amazing," he said of the book. "If it was something else, or it felt like a knock-off or whatever, I would have told the publisher we wouldn't do it. But it's really just amazing."

Despite his cloistered lifestyle, Salinger nods to the contemporary marketplace in the lawsuit, noting that, as of last week, " 'The Catcher in the Rye' currently sells more copies on Amazon.com than 'Harry Potter and the Sorcerer's Stone,' 'The DaVinci Code,' 'To Kill a Mockingbird' or 'Of Mice and Men.' "

A hearing in the case is expected Monday. Salinger's lawyers will ask a judge to freeze publication of the book until a final ruling is made.

The book is already available in Europe and the United Kingdom, and is scheduled to be released in the United States in September. The lawsuit asks that sales be halted and that books already distributed be recalled and destroyed.

The argument is reminiscent of the legal tussle over the 2001 novel "The Wind Done Gone," a parody of Margaret Mitchell's "Gone With the Wind" told from the perspective of a slave.

Mitchell's estate argued that the book, by novelist Alice Randall, infringed upon her copyright. But the 11th District U.S. Court of Appeals ruled in Randall's favor, saying the book was protected as a parody of a well-known work.

Salinger's lawyers say "60 Years Later" deserves no such protection.

"The sequel is not a parody and it does not comment upon or criticize the original," the lawsuit argues. "It is a rip-off pure and simple."

@highlight

Lawsuit seeks halt to "60 Years Later: Coming Through the Rye"

@highlight

J.D. Salinger says "sequel" infringes on copyright of his classic novel

@highlight

New author says he's former gravedigger, discovered "Catcher" in Cambodia

@highlight

Court hearing scheduled for Monday in New York