New York (CNN) -- When Gina Keatley first moved to New York to attend culinary school, she noticed that many of her neighbors were missing limbs.

"I lived on 99th Street across from some projects," she said. "I would walk to the train and think, 'Why are there so many amputees?'"

Keatley found out that many of them had to have amputations because of complications from diabetes. Diabetes can reduce blood flow to extremities and cause nerve damage, and sometimes amputations are necessary if serious infection sets in and there is severe damage to the tissue and bone.

The neighborhood where Keatley lived, East Harlem, has the highest diabetes rate in Manhattan, according to city health officials. It also has the highest obesity rate: One-third of adult residents are obese or overweight.

"It's so shocking to me to see people who are poor and unhealthy and literally dying in the street," said Keatley, an award-winning chef and nutritionist.

Keatley said that when she would visit more affluent neighborhoods near East Harlem, she wouldn't see nearly as many amputees. And she was pretty sure she knew why.

"You go over this invisible line, and there are people with farmers' markets, people with organic food ... healthy sandwich shops," she said.

There's not much of that in East Harlem. Instead, the poor community is saturated with inexpensive fast food.

"These people are literally dying for nourishment," she said.

Fresh out of college and determined to make a difference, Keatley turned down more lucrative jobs in the culinary industry to start Nourishing NYC. Since 2008, the nonprofit has provided fresh food and nutritional education -- for free -- to nearly 100,000 people in Harlem and the Bronx.

Once a week, Keatley and her army of volunteers, driving in a vegetable-oil-powered truck, hand out 500 to 1,000 pounds of fresh produce to people on high-trafficked corners. The food is donated by local partners.

"If you want somebody to try a tomato, you give them a tomato," Keatley said. "It's an inspiration. They have to feel it, touch it, taste it. ...

"When we work with someone who's never had a blueberry at (age) 50 and they try it ... we're opening up people to a world of culinary they've never had."

Keatley and her group also provide a recipe for how to prepare the ingredients healthfully. Sometimes they dispel myths and misconceptions.

"A lot of people, especially with diabetes ... don't even understand the basics of their own disease," said Keatley, 31. "(Some) think that if you wash rice, it's no longer a carbohydrate. ...

"We have to give them the (correct) information, because ignorance spreads. One person says it, the next person says it and then everybody thinks: 'Rice isn't a carbohydrate. We can eat as much as we want.'"

Do you know a hero? Nominations are open for 2012 CNN Heroes

Twice a week, Nourishing NYC holds nutrition classes at community gardens, shelters and nonprofit organizations that serve New York's low-income population. In the summer, it connects with children through its Junior Chef program, which partners youth with adult volunteers who teach them basic culinary skills and encourage better food choices.

"We really want them to start early on so we can set a ripple effect for the rest of their life," Keatley said. "But at the end of the day, the parents are the ones doing the shopping. So we have to win them over as well."

Pedro Robles participated in the Junior Chefs summer program a year ago. Since then, the 8-year-old and his family have been frequenting their local farmers' market in East Harlem and transforming the way they eat.

"We learned more about the fruits and vegetables from the Junior Chefs class because Pedro taught us everything he learned," said Pedro's mother, Deborah. "We go to the farmers' market, and he picks out all the fruits and vegetables he wants. ... Eggplant is one thing I had never tried before, and I liked it. Now we eat it all the time."

Nourishing NYC also holds events year-round. For example, there are local community gardening workshops for Earth Day, and around Thanksgiving the group distributes 1,000 free turkeys. It also assembles a special class of junior chefs who receive ingredients and instruction to prepare healthy holiday feasts for their families.

This month marks the launch of Keatley's newest program, Nourishing USA, which aims to combat hunger and advocate nutrition in communities nationwide. People can apply on her organization's website to receive a free "Hunger Advocacy Kit" that includes seeds for 500 meals, instructions on how to grow them, and information for hosting a food drive in their own communities.

"We want people to have a food drive, but we give them instructions on how to do it and what products would be healthy," Keatley said. "And most importantly, it teaches philanthropy to young children. The idea of not just giving a dollar ... but to do it with your own hands, to grow something, to connect with it, and then to distribute to people right in your neighborhood who really need it."

Keatley knows what it's like to grow up poor. From age 4 to 14, her family was homeless. She rarely went to school. But while her troubled childhood taught her to be more compassionate later on in life, it also taught her that someone's past doesn't have to determine their future.

"We don't want to let people make money an excuse and say that, 'We can't eat well because, you know, we're broke,' " she said. "I can feel your pain, but it's not okay to literally be committing almost daily suicide by eating bad foods, by having your children be obese. We have to work together as a team and rise above excuses. ...

"You really can eat healthy on a low budget. I don't like the connection between poverty and obesity. ... Everybody deserves a long, healthy life."

Want to get involved? Check out the Nourishing NYC website at www.nourishingnyc.org and see how to help.

@highlight

Gina Keatley's nonprofit is giving fresh food to people in poor New York neighborhoods

@highlight

The group also educates people about how to eat healthy on a low budget

@highlight

Keatley is hoping to eliminate the correlation between poverty and obesity

@highlight

Do you know a hero? Nominations are open for 2012 CNN Heroes