Editor's note: In our Behind the Scenes series, CNN correspondents and producers share their experiences in covering news and analyze the stories behind the events.

Tony Acevedo, right, meets with a governor of Mexico in 1945. It was Acevedo who first inspired CNN users.

ATLANTA, Georgia (CNN) -- I'll never forget holding World War II medic Tony Acevedo in my arms. He wept and convulsed for more than 10 minutes, his body constricting and tightening in a way I'd never seen before. "I'm sorry," he said, repeating, "I'm sorry. I want to say more, but I can't."

I held his hand and hugged him until he calmed. I had asked what I thought was a simple question. "When I say the name Erwin Metz, what comes to your mind?"

That's when the demons of 1945 took over.

Metz was one of the Nazi commanders who headed a slave labor camp known as Berga an der Elster, where 350 U.S. soldiers -- 80 of whom had been targeted for being Jewish -- were beaten, starved and forced to work in tunnels at a secret V-2 rocket factory. They worked 10 to 12 hour days with only 400 calories of food, mostly bread made from sawdust. More than 100 soldiers died at the camp or on a forced death march of more than 200 miles.

Other Berga survivors had described Metz: "A real bastard." "Butcher of the Earth." They said he talked with a high-pitched lisp. Behind his back, the soldiers called him Donald Duck.

But he wreaked hell on the men. He shot one soldier, Morton Goldstein, through the head, execution-style, according to the survivors. Acevedo described seeing Metz dump ice water on one emaciated soldier. The soldier died of shock moments later.

Acevedo catalogued the atrocities in a diary he kept hidden in his pants, using a Sheaffer fountain pen to record what he saw all around. When the soldiers were on their forced death march, Acevedo asked to use his pen for a tracheotomy to save a soldier named George Buddeski. Metz refused.  Flip through the pages of Acevedo's diary »

"You're going to kill him then," Acevedo responded. Metz grabbed a rifle from a guard and cracked the young medic across his face. Acevedo suffered permanent nerve damage from the blow.

Buddeski died April 13, 1945, on the death march on what the soldiers call Hell's Highway. The soldiers learned of another death that day: President Franklin Delano Roosevelt. "Your Jew president has died," the Nazis said mockingly.

There, in the middle of Germany, the American soldiers bowed their heads. "We held a prayer service for the repose of his soul," Acevedo's diary says. Amid the chaos and death all around them, these men -- these soldiers who suffered so much -- took the time to stop and pray for their president.

When CNN first reported Acevedo's story in November, I had no idea it would lead to what I witnessed this weekend: The U.S. Army reversing course on six decades of silence and recognizing the Berga soldiers for what they went through.

It's always been a touchy subject for the Army. The U.S. government in 1948 commuted the death sentences of Metz and his superior, Hauptmann Ludwig Merz. The men walked free in the 1950s, one of dozens of convicted war criminals whose sentences were commuted as part of an effort to bolster Germany, which was facing the threat of Soviet expansion.

In explaining its decision on the Berga commanders, the War Department said, "Metz, though guilty of a generally cruel course of conduct toward prisoners, was not directly responsible for the death of any prisoners except one who was killed during the course of an attempt to escape."  Read the War Department's explanation for commuting their sentences »

That prisoner was Goldstein, the one shot through the head.

When you read that document, it doesn't sit too easy. The government excuses the killing of one soldier. Berga soldiers will tell you they were never called to testify against Metz or Merz. They say they could've told of many other atrocities.

When Metz and Merz were freed, the survivors felt the Army betrayed the war ethos of "leave no soldier behind." They eventually got on with their lives. Many went on to the top of their professions. They're all the most patriotic Americans you'll ever meet.

As the survivors reached their 70s and 80s, many began wondering why the government still refused to recognize them. It nagged them. It angered some of them.

No ranking Pentagon official had described Berga as a "slave labor camp."

Heading into last weekend, the six Berga survivors present knew a two-star general was being sent to meet with them. Many were skeptical: What can a general do at this point to make us feel better? Surely, a two-star won't call it a "slave labor camp" after all this time. Nah, he'll toe the company line.

These were men who'd been disappointed before. They didn't want to set expectations too high this time.

But there at the Rosen Centre Hotel in Orlando, Florida, something magical transpired.  See photos of the Berga men being honored »

U.S. Army Maj. Gen. Vincent Boles did a sit-down interview with me, while six Berga survivors -- Samuel Fahrer, 86; Morton Brooks, 83; Sidney Lipson, 85; Peter Iosso, 83; Wallace Carden, 84; and Edward Slotkin, 84 -- watched.

"It wasn't a prison camp. It was a slave labor camp," Boles said.  Watch the general set the record straight after six decades »

I was stunned in that moment. I'll even admit I got choked up. I knew history had just been made, the legacy of the Berga soldiers preserved for all time. The men looked on stoically and I knew what they were thinking: "Drash, pull yourself together! We got a two-star in our presence!"

I was thinking about all that transpired in the last eight months.

I thought about Bernard "Jack" Vogel and Izzy Cohen, who were forced to stand without food and water for days, pushed to their deaths. Cohen was a 32-year-old father of two young children. I had met with his 90-year-old wife, Florence, and their daughter, Nomi, months before.

Florence is a diminutive woman, the epitome of class and grace. She told me a story I'll never forget. When Izzy left for war, he kissed his family goodbye at a train station in California. He looked at her and said, "Whatever happens happens." Those were the last words he ever spoke to her.

When she was notified Izzy was a prisoner of war on March 16, 1945, one relative shouted, "That's just like Izzy to take the easy way out of war." Izzy Cohen died three weeks later, a victim of the Holocaust. Tears filled Florence's eyes as she spoke. She changed the family name, so her son would never be targeted as a Jew.

I thought about Martin Vogel, the brother of the man who died with Izzy. Martin called one day in November, crying his eyes out. "Are you the one who did the story on the medic, Tony Acevedo?" he said, struggling for words. "My brother is the one who died in his arms."

Martin Vogel adored his older brother. They were best friends. He entered the Army so he could be just like his brother. They were 19 and 17. He had searched for decades for answers to Bernard's death. "A month doesn't go by that it doesn't come up in the course of my own thoughts," he said. "But to me, it's always there."

At the time his brother died such a horrific death, Martin Vogel was just a few hundred miles away. He was guarding a POW camp inside Germany where U.S. troops treated their Nazi captives under the Geneva Conventions. To this day, Martin, now 82, can't speak about his brother without crying.

More than a dozen other families of Berga victims have reached out. I've listened to each one and put them in touch with Acevedo for answers about their loved ones.

I'm not the first to report on Berga. Authors Mitchell Geoffrey Bard, Flint Whitlock and Roger Cohen have written books on it. The late Charles Guggenheim made a documentary about Berga.

But what happened in recent months, I can only attribute to the power of online media and the ease of access to communicate. You can scroll through Acevedo's diary and read the War Department document explaining why Metz and Merz were set free. Millions of you read the pieces, e-mailed them around and rallied around these weathered war heroes. It took on a life of its own.

Hundreds of you lobbied Rep. Joe Baca, D-California, and Rep. Spencer Bachus, R-Alabama. The two congressmen then pressed Army Secretary Pete Geren to recognize the soldiers.

It was humbling when Boles, the two-star general, told me that my reporting and my colleagues on CNN television preserved the men's legacy, culminating with the Army recognizing them. That feels mighty good.

It was even more humbling talking with the fellas. They all survived the Battle of the Bulge, when a million young men went head-to-head on the battlefield. It was an honor to see the six survivors present in Orlando receive flags flown over the Pentagon in their honor; Samuel Fahrer was awarded the Bronze Star, one of the nation's highest medals.

"Just as they never left their fallen comrades, we will never leave them," Boles said. "You were good soldiers and you were there for your nation."

I wished the other Berga survivors were there, especially Acevedo.

But Acevedo didn't make the trip. His wife is ill. If he was going to leave her side, he felt the right thing would be to get honored in Washington. A soldier with pride. A medic to the end.

My final message is to my generation and the next. Don't be so quick to shove grandpa and grandma into a nursing home. Sit down with them. Listen to them. Hear their stories. The greatest generation. They're cut from a different cloth and we're losing them too fast.

@highlight

Two-star general credits CNN's online reporting in preserving WWII legacy

@highlight

CNN's Wayne Drash filed series of reports in recent months on slave camp soldiers

@highlight

350 U.S. soldiers were held at a Nazi slave labor camp in 1945

@highlight

The Army had never recognized the men until last weekend