(CNN) -- As a third-grader in Winsted, Connecticut, last year, Matthew Asselin was sick -- a lot. He was lethargic and plagued with a persistent wet cough, respiratory infections and painful headaches.

As the school year wound down, Matthew's health worsened. He was out for two weeks in the spring with pneumonia and then developed a sinus infection so severe he needed to spend the night at the hospital, where he received intravenous antibiotics and breathing treatments.

In all, Matthew missed 53 days of school.

But over the summer, a strange thing happened. Matthew was healthy. He was energetic. He could ride his bike for hours at a time.

"When we put him back in school this year, within three weeks, he missed 10 days with a respiratory infection," Melissa Asselin said. That's when Matthew's mother had an a-ha moment.

"When he was out of school, he was well. When he was in school, he became ill," Asselin said.

Matthew's parents concluded that the 9-year-old's school, Hinsdale Elementary, was making their son sick.

Indoor air problems

Figures are hard to come by, but studies have estimated that a third or more of U.S. schools have mold, dust and other indoor air problems serious enough to provoke respiratory issues like asthma in students and teachers.

A national survey of school nurses found that 40% knew children and staff adversely affected by indoor pollutants.

Indoor air affects more than health. A growing body of research suggests students also perform better in schools with healthier air.

"If you get an unhealthy building, you're not going to have a successful school," said Lily Eskelsen, vice president of the National Education Association, the largest teachers' union in the United States.

"Asthma is the number one chronic illness that keeps kids out of school, and it's growing," Eskelsen added.

About one in 10 children in the United States now has asthma, which causes them to miss an average of four days of school a year, according to the Centers for Disease Control and Prevention.

Dr. John Santilli, a Connecticut allergist, says he has treated dozens of students sickened by school air. Even when children don't miss school, he said, the medications they take for asthma and conditions like rhinitis, an allergic reaction to mold or dust, can make it harder for them to do their best work.

"They're on antihistamines, they're on nasal sprays, they're on asthma medications, and this limits their ability to perform," Santilli said. "These kids can't concentrate. They can't focus on what's going on."

Dr. Santilli says about 20% to 30% of people are susceptible to mold or dust, which triggers an allergic reaction. The resulting symptoms can include itchy eyes, runny nose, coughing, headaches, fatigue, even memory problems and slowed thinking.

"It takes a lot to make you sick, but it takes very little exposure once you're sensitized to provoke symptoms," Santilli said. "As time goes on, it takes more and more out of you, and you get sicker and sicker."

A growing problem

Researchers and others who follow the issue say school air problems have probably been exacerbated in recent years by funding cutbacks that have resulted in less money for building upkeep and maintenance.

In Reading, Pennsylvania, the school board cut $18 million from the 2011-12 budget -- more than $1,000 per student -- which left acting Superintendent Drue Miles with little money to fix problems among aging buildings.

At Reading's Southern Middle School, for example, water pours into an upstairs classroom through holes in the roof when it rains. There's no money to replace the roof, only patch it, Miles said.

"The buildings continue to deteriorate, and we only have a small amount of dollars to spread to do just some minimal things," Miles said.

Researchers at the New York state Health Department found a correlation between building maintenance at the public schools and hospitalizations for asthma. The condition of roofs, windows, walls and boilers were all related to the health of children at the school, researchers found.

A similar study in Boston schools found a link between asthma rates and leaks, mold, lack of repairs and visible signs of insects or rodents.

Children are particularly at risk because their bodies are still developing and they breathe in more air, pound for pound, than adults.

"Schools are more densely occupied than office buildings, and children aren't little adults. They're uniquely vulnerable," said Claire Barnett, founder and executive director of the Healthy Schools Network, a nonprofit group focused on environmental health in schools.

Teachers at risk

Kids aren't the only ones affected by school air.

Joellen Lawson was a special education teacher at a Fairfield, Connecticut, elementary school so plagued with mold that it robbed Lawson of her health. Officials finally decided to tear it down and start from scratch, costing the district more than $20 million.

"I've never recovered fully, and I've also never had a pain-free day," said Lawson, who is on permanent disability with a host of ailments including chronic obstructive pulmonary disease, a condition that has left her with 50% of her lung capacity.

According to a survey of teachers in the nation's capital, two-thirds reported air quality at their schools of either fair or poor. More than half of Chicago teachers responding to the same survey also reported fair or poor school air quality.

More than a quarter of Chicago teachers surveyed said they had suffered adverse health effects because of the school environment; a third of the Washington teachers also reported these adverse health effects.

One family's solution

Tests this fall at Matthew Asselin's school, Hinsdale Elementary, showed elevated levels of mold in the gymnasium/cafeteria and two other areas, and the school district spent $16,000 for a thorough cleaning. The school board is also considering whether to close the school temporarily to replace a leaky roof and make other repairs.

Matthew's parents aren't taking any chances with their son's health. They pulled him from Hinsdale. His mother, Melissa, who received her degree in elementary education last year, is now home-schooling the 9-year-old.

The change has been a financial burden on the family, but Asselin says she wouldn't have it any other way.

"He's a different child," she said. "Now he's so healthy and happy. I can't put a price on that."

@highlight

Woman says school air sickened her son for 53 days last school year

@highlight

New York study finds correlation between building maintenance and illness

@highlight

Studies estimate one-third of U.S. schools have mold, dust and other indoor air problems

@highlight

Connecticut school so plagued with mold officials decided to tear it down