Disney's It's a Small World ride turned 50 in April.

By way of tribute, we asked top industry experts for their picks for the biggest game changers in the history of theme park attractions.

Most insane new U.S. roller coasters

It's a Small World, Disneyland (California, 1971)

It's painfully upbeat, fabulously kitsch and impossible to forget, but what exactly makes It's a Small World so special?

"The ride demonstrates the power of employing artists to create an experience rather than simply asking engineers to build a ride," says Robert Niles, editor of ThemeParkInsider.com.

"The combination of Mary Blair's iconic design work combined with the Sherman Brothers' enduring theme song made It's a Small World the first true theme park ride.

"This wasn't some generic tunnel of love ride -- it inspired Pirates of the Caribbean, the Haunted Mansion and the new generation of theme park dark rides that followed."

Disneyland, 1313 Disneyland Drive, Anaheim, California; +1 714 781 4565

Outlaw Run, Silver Dollar City (Missouri, 2013)

Outlaw Run, the first wooden roller coaster with multiple inversions, opened in 2013.

"A few years ago, Idaho-based company Rocky Mountain Construction developed a system where they could replace part of a wooden track with a steel plate," says Justin Garvanovic of the European Coaster Club.

"One major upshot was that it would now be possible to send wooden coasters upside down. The first example, Outlaw Run, saw the creation of something completely new.

"It's hard for a ride over 100 years old to do something 'game changing,' but Outlaw Run did exactly that."

Silver Dollar City, 399 Silver Dollar City Parkway, Branson, Missouri; +1 800 475 9370

MORE: 9 of the scariest, best waterpark rides

Blue Fire, Europa Park (Rust, Germany, 2009)

This German theme park ride catapults riders from zero to 71 mph in 2.5 seconds, but it's regarded as a game changer for other reasons.

"For years companies tried to create a roller coaster with perfect track geometry -- meaning smooth -- and a perfect train," says Justin Garvanovic of the European Coaster Club.

"The problem was the overhead restraint, which could be uncomfortable.

"When [theme park supplier] Mack decided to build its first upside-down coaster in 2009, engineers also decided to design one without an overhead restraint.

"The result was comfortable and safe, and seven more have since opened -- Mack can't build them fast enough."

Europa Park, Europa-Park-Strasse 2, Rust, Germany; +49 7822 776688

Matterhorn Bobsleds, Disneyland (California, 1959)

The foundation for this attraction is actually a pile of dirt that was excavated during the construction of the moat around Sleeping Beauty's Castle -- a surprising start for what would become one of the world's most famous theme park rides.

"This is the first tubular steel continuous track roller coaster," says Tim O'Brien, vice president of communications at Ripley Entertainment.

"The tubular steel roller coaster is probably the biggest game changer in rides. It allowed for larger rides and for more variation, with sharper turns, sharper slopes, loops and corkscrews."

Disneyland, 1313 Disneyland Drive, Anaheim, California; +1 714 781 4565

Journey to the Center of the Earth, Tokyo DisneySea (Tokyo, 2001)

On Journey to the Center of the Earth, mushroom forests, electrified gas clouds and lava monsters all help transport riders to another dimension.

"In my opinion, this Jules Verne-inspired volcano dark ride is the world's best themed experience," says Stefan Zwanzger, theme park expert and founder of thethemeparkguy.com.

"Nothing beats it. It redefines the word 'immersiveness.'

"It's beautiful, it's suspenseful and thrilling. I've never seen anyone disembarking looking disappointed."

Tokyo DisneySea, 1-1 Maihama, Urayasu, Chiba Prefecture, Japan; +81 45 330 5211

MORE: Child paradise, aka world's largest Legoland Water Park, opens

Harry Potter and the Forbidden Journey, Islands of Adventure (Florida, 2010)

Whether you're a fan of the boy wizard or wish he'd magic himself away to another planet, it's hard not to be impressed by this high-tech ride.

"Harry Potter and the Forbidden Journey was the first ride system to combine a tracked dark ride vehicle with a row of seats mounted to the end of an industrial robotic arm," says Craig Hanna, chief creative officer at theme park design firm Thinkwell Group.

"The things that ride system could do with guests created the viewpoint that you are the camera in an astonishingly cinematic ride experience."

Islands of Adventure, 6000 Universal Blvd., Universal Orlando Resort, Orlando, Florida; +1 407 224 4233

MORE: Harry Potter theme park opening in Florida this summer

Great Moments with Mr. Lincoln, Disneyland (California, 1964)

A talking, moving character might not sound incredibly exciting but the animatronic Mr Lincoln character, which now forms part of the Great Moments with Mr. Lincoln audio-animatronic stage show, left audiences speechless when it first appeared.

"Mr. Lincoln, which was introduced by Disney at the 1964 New York World Fair, introduced the first generation of animated characters," says Dennis L. Speigel, president of International Theme Park Services.

"People hadn't seen anything like it -- they thought the animation was an actor in disguise.

"Mr. Lincoln launched a new era in theme park offerings."

Disneyland, 1313 Disneyland Drive, Anaheim, California; +1 714 781 4565

The Racer, Kings Island (Ohio, 1972)

This double, racing roller coaster is regarded as a crucial part of the renaissance of the roller coaster in the early 1970s -- a time referred to as the industry's second golden age.

"This ride was introduced in 1972 and was the first wooden roller coaster built since 1947," says Speigel.

"It was a game changer for the global industry in that it was the reintroduction of the wooden roller coaster.

"Park operators came from all over the world to see it, and it truly launched the wooden coaster on a global basis."

Kings Island, 6300 Kings Island Drive, Kings Island, Ohio; +1 513 754 5700

MORE: 11 top theme parks opening soon

Walt Disney's Enchanted Tiki Room, Disneyland (California, 1963)

Talking macaws, Maori gods and a magic fountain are all vital components of the Polynesian-themed animatronic show.

The fact that it remains one of Disneyland's most popular attractions is impressive considering that it opened in 1963.

"This was the world's first use of audio animatronics," explains Robert Niles, editor of ThemeParkInsider.com.

"It also employed the animated elements in a fully immersive environment that broke the fourth wall of the stage or screen, surrounding people in music and animation."

Disneyland, 1313 Disneyland Drive, Anaheim, California; +1 714 781 4565

Adventure Thru Inner Space, Disneyland (California, 1967)

Gone but not forgotten (it closed in 1985), this retro theme park ride was the first to use Disney's patented Omnimover system.

"The Omnimover ride system allowed ride designers, for the first time, to change the direction that riders were facing as they moved through the ride," says Robert Niles at ThemeParkinsider.com.

"No longer did you simply face the ride vehicle in front of you. Vehicles could swivel to redirect attention to animation elements located on either side of passengers, giving designers more opportunities to shape an immersive narrative experience."

Disneyland, 1313 Disneyland Drive, Anaheim, California; +1 714 781 4565

Pooh's Hunny Hunt, Tokyo Disneyland (Tokyo, 2000)

This ride doesn't offer high speed thrills or frightening monsters -- unless you've got a teddy bear phobia.

It's the way passengers move around in their super-sized honey pots that sets the ride apart.

"Pooh's Hunny Hunt was a huge game changer because this was the first trackless ride and the first time ride designers were no longer forced to use a linear path," says Craig Hanna at Thinkwell Group.

"The vehicles split in different directions, they dance, they pull into scenes and pause.

"I left that ride giddy at the possibilities."

Tokyo Disneyland, 1-1 Maihama, Urayasu, Chiba Prefecture, Japan; +81 45 330 5211

MORE: Haw Par Villa: World's most bizarre family park

The Amazing Adventures of Spider-Man, Islands of Adventure (Florida, 1999)

This ride took three years to build but it appears the effort was worthwhile -- it's won several awards and has been awarded Amusement Today's Golden Ticket award for best dark ride for 12 consecutive years.

"One real game changer is the Spider-Man ride system and its multimedia technology," says Maximilian Roeser at Mack rides.

"The 3D effects are so highly detailed and synchronized to the movement of the cars that you hardly can tell what is projection and what is real set."

Islands of Adventure, 6000 Universal Blvd., Universal Orlando Resort, Orlando, Florida; +1 407 224 4233

@highlight

It's a Small World is still one of Disneyland's most popular attractions

@highlight

Blue Fire at Europa Park in Germany is the first upside-down roller coaster without a restraint

@highlight

Pooh's Hunny Hunt in Tokyo Disneyland freed designers from the restrictions of a linear track