(MentalFloss.com) -- On Memorial Day, we thought it might be a good time to take a look at some of the rules for respectfully displaying the American flag, as dictated by the United States Flag Code.

When did these flag rules fall into place?

Surprisingly late in American history. On Flag Day in 1923, a group of organizations headed by the American Legion outlined the National Flag Code as a set of advisory rules for displaying the flag. These rules became law during World War II and form the bulk of what's now the United States Flag Code.

These rules cover all manner of extremely specific situations, but they're all governed by the same basic principle: the flag is one of the most visible and important symbols of our country, so we should treat it with respect.

Are you really supposed to lower the flag at sunset?

You don't have to. While the flag code notes that displaying the flag only from sunrise to sunset is "universal custom," it makes an exception. "However, when a patriotic effect is desired, the flag may be displayed 24 hours a day if properly illuminated during the hours of darkness."

When should the flag be displayed?

Section 6 of the flag code states, "The flag should be displayed on all days." However, the code goes on to say that the flag should especially (emphasis added) be displayed on the following days: New Year's Day, Inauguration Day, Martin Luther King, Jr. Day, Lincoln's birthday, Washington's birthday, Easter, Mother's Day, Armed Forces Day, Memorial Day, Flag Day, Father's Day, Independence Day, National Korean War Veterans Armistice Day, Labor Day, Constitution Day, Columbus Day, Navy Day, Veterans Day, Thanksgiving, Christmas, state holidays, states' dates of admission, and "such other days as may be proclaimed by the President of the United States."

Where should the flag be displayed?

Section 6 of the flag code covers this question, too. The flag should be displayed in or near every schoolhouse on school days, on or near the main administration building of every public institution each day, and in or near every polling place on election days.

Why doesn't, say, the Dream Team take the courts in American-flag jerseys at the Olympics?

The flag code thought of that one, too. Section 8 of the code covers "Respect for the Flag," and it explicitly states, "No part of the flag should ever be used as a costume or athletic uniform. However, a flag patch may be affixed to the uniform of military personnel, firemen, policemen, and members of patriotic organizations."

Mental Floss: Why do we sing the National Anthem at sporting events?

Any other restrictions on wearing the flag?

Section 8 also states, "The flag should never be used as wearing apparel, bedding, or drapery."

What about those American flag lapel pins that so many folks wear?

The flag code thought of that one, too. Section 8 rather elegantly states, "The flag represents a living country and is itself considered a living thing. Therefore, the lapel flag pin being a replica, should be worn on the left lapel near the heart."

Is it true you have to retire and burn a flag that touches the ground?

No, that's a myth. The flag code is quite a bit more realistic about this situation. While the code states, "The flag should never touch anything beneath it, such as the ground, the floor, water, or merchandise," there's no rule saying that a flag that slips has to immediately be burned.

Instead, the code stipulates, "The flag, when it is in such condition that it is no longer a fitting emblem for display, should be destroyed in a dignified way, preferably by burning." Unless hitting the ground once renders the flag unfit for display, there's no need to burn it.

When is it acceptable to fly the flag upside down?

The flag code allows for flying the flag with the union (the blue field of stars) down only "as a signal of dire distress in instances of extreme danger to life or property."

We know that the American flag is supposed to be displayed in a position of prominence over other flags on American soil. Are there any exceptions to this rule?

Section 7 of the flag code provides one major exception: the flag of the United Nations can be flown in the position of honor or prominence at the U.N. headquarters in New York.

The only other exception involves church services performed by naval chaplains while at sea. In these instances, the church's flag may fly above the American flag during the service.

Mental Floss: Videos: Dogs welcoming home soldiers

What's the penalty for breaking the flag code?

There isn't one. The flag code is an odd duck in this regard. As part of the United States Code, the flag code is technically federal law. However, the code doesn't outline any measures for enforcement or punishment. Basically, the flag code is a set of advisory rules for Americans who want to know the proper and respectful way to display their flag.

Even if the flag code did provide measures for its enforcement, it's not clear that the measures would be constitutional. Individual states used to have their own prohibitions on and penalties for desecrating the flag, but the 1989 Supreme Court decision Texas v. Johnson invalidated these laws as infringements on free speech. Congress responded by passing the Flag Protection Act, which made flag desecration a federal crime. The Supreme Court struck down this law in the 1990 case United States v. Eichman.

Can anyone stop me from displaying the flag?

In 2006 the Freedom to Display the American Flag Act of 2005 officially became law. This law basically says that no condo board, housing co-op, or residential real estate management group can restrict a person's right to display the American flag on their own residential property as long as the display jibes with federal law and is reasonable.

What days is the flag always flown at half-staff?

The flag always flies on half-staff on Patriot Day (September 11 of each year), Peace Officers Memorial Day (May 15), and Pearl Harbor Remembrance Day (December 7). On Memorial Day, the flag flies at half-staff until noon, at which point it is raised to the top of the staff.

What if I can't fly my flag at half-staff?

Some flags, like the ones commonly seen in school classrooms or on houses, are fixed in a certain position on their poles. How does one handle the sticky situation of a flag that physically can't be flown at half-staff? The United States Code doesn't cover this conundrum, but the American Legion advocates adding a black ribbon to the top of the flag's pole to indicate mourning.

Mental Floss: Why is the flag flown at half-staff in times of mourning?

What about adding new stars for new states?

Should we ever pick up a 51st state, Section 2 of the flag code stipulates that the state will get a new star on the flag. It won't be an overnight process, though. The new star will make its debut on the first Fourth of July following the state's formal admission into the union.

For more mental_floss articles, visit mentalfloss.com

Entire contents of this article copyright, Mental Floss LLC. All rights reserved.

@highlight

The flag is one of our country's most important symbols, so we should treat it with respect

@highlight

1923: the National Flag Code created advisory rules for displaying the flag

@highlight

The rules are just that: advisory. There is no penalty for breaking the flag code