(CNN) -- Apple sue us next? Not a chance.

That's the gist of Google's message following Apple's $1 billion victory over Samsung in a California patent suit. The search giant is doing its best to quell fears that its Android operating system could be the next target for Apple's lawyers. And you can't blame them.

Google has to do something to keep its partners in the smartphone and tablet world from panicking, to say nothing of investors. But experts say that while the Apple v. Samsung suit didn't describe a legal route that leads directly to Mountain View, Google had better watch its back.

Apple v. Samsung ripped apart both the hardware and software used in Samsung's very popular smartphones and tablets. Arguments hinged on whether certain hardware features -- like a bezeled display and a lozenge-shaped earpiece -- had been ripped off from Apple by Samsung's designers. A jury decided that in multiple instances they had.

Apple also filed claims that Samsung developed operating system features that violated Apple patents. Samsung licenses Google's Android operating system for its tablets and phones, and makes changes to personalize the user experience. Those small changes include pinch-to-zoom, tap-to-zoom, and bounce-back features, which fall under Apple-owned utility patents.

Google, which has stayed silent about the case until now, said Monday that these utility patent features aren't part of the core Android operating system, which runs underneath Samsung's and other device manufacturer's modifications. Google gives its licensees a plain, stock version of the Android operating system, which by itself does not violate Apple's patents. However, licensees can modify the Android system and build any feature they like, and those features could violate other patented technologies.

Here's Google's full statement in reaction to the verdict:

"The court of appeals will review both infringement and the validity of the patent claims. Most of these don't relate to the core Android operating system, and several are being re-examined by the US Patent Office. The mobile industry is moving fast and all players -- including newcomers -- are building upon ideas that have been around for decades. We work with our partners to give consumers innovative and affordable products, and we don't want anything to limit that."

Phillip Philbin, an intellectual property attorney with national law firm Haynes and Boone, says Google's statement is a message to its partners that the verdict only applies to Samsung's products, and not the entire Android ecosystem. "It's essentially Google saying that the patent issues apply to Samsung's software changes and Samsung's hardware, but not to 'core' Android or other Android products," says Philbin.

Looking at the case, Purdue law professor Mark McKenna says Google is focusing on distancing itself from the pinch-to-zoom, the tap-to-zoom, and the bounce-back features that Samsung created, saying they aren't included in its base Android code. "Google's claim is that those features are part of the modified experience from other companies that license the Android operating system," says McKenna.

Analysts agree with Google's stance, saying there is no evidence out there that the core Android operating system has infringed on Apple or any other company's patents. But Google has yet to endure the scrutiny of a full-blown patent suit. The California jury was looking at what Samsung did or didn't do, not what Google did or didn't do. That's a key distinction. But if Google has its way, no jury will ever test its claims.

Google has gone to great lengths to keep its operating system distinct from iOS with widgets, rotary and pull-tab lock screens, and an applications menu separate from the home screen. All very un-Apple-like design flourishes. Even Google's Nexus hardware line, made with Samsung, HTC, and Asus, includes designs with rounded corners, curved screens, and textured battery covers that could never be mistaken for an Apple device.

Still Google is not immune to a patent lawsuit, even though it wouldn't be easy for Apple -- or anyone else -- to bring a case. One of the chief reasons Apple hasn't yet gone after Google, McKenna says, is because Google doesn't make any money from selling the Android operating system (it makes money from mobile ads). Since Google is giving away Android, it makes it hard for Apple to prove that the operating system harms its market share.

"That doesn't mean Apple couldn't sue Google, it just makes it more challenging to prove the direct impact," says McKenna. "That's why Apple's gone the indirect route, by suing device manufacturers that can modify Android."

And it's not inconceivable that Apple eventually decides to go directly after Google, McKenna says. If it gets on a winning streak in U.S. courts against the rest of the handset makers, it might take a shot. "This is Act 1 in a multi-act play," says McKenna. "Apple is on the record saying they want to destroy the Android ecosystem, and to do that it's either going have to go after the all the software makers, or every single hardware manufacturer that sells these things."

Whether its Apple going after its next victim, or the Samsung case going to appeal, Philbin agrees there is a long way to go. "Patent litigation takes place on at least three fronts â€” the district court, the patent office and the federal circuit," he says. "What we've had so far is just the district court's ruling and we haven't even heard from the District Judge on this yet. So this process is far from over."

The legal process perhaps, but as is the case in the fast-moving tech world, the design process has already moved on. Pick up the latest Samsung smartphone and you won't see the hardware or software features that the jury found violated Apple's patents. Samsung has learned its lesson, albeit in a very expensive way. Google already has a tight grip on Android, and you're likely to see that grip tighten as it looks to avoid any of its own patent litigation woes.

The good news for consumers is that rather than waiting for jury verdicts in the future, there's a good chance we'll be waiting for the next crop of smartphones and tablets with forms and features that are distinct -- not just a bunch of Apple copycats.

With additional reporting by Nathan Olivarez-Giles.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

Google is trying to quell fears that its Android system could be the next target for Apple

@highlight

Experts say Google had better watch its back over possible patent litigation

@highlight

Analysts: there's no evidence the core Android system has infringed on Apple's patents