American defense officials Tuesday pushed back against the notion that China has used cyberespionage to obtain extensive design information on advanced American weapons.

"Suggestions that cyberintrusions have somehow led to the erosion of our capabilities or technological edge are incorrect," said Pentagon press secretary George Little. "We maintain full confidence in our weapons platforms."

The Pentagon was responding to a list of weapons systems whose secrets had been compromised by Chinese cyberespionage, which the Washington Post says was in a confidential report by the Defense Science Board.

While the extent of the secrets stolen was not clear, the list of compromised weapons in the Post included some of the Defense Department's crown jewels of high-tech fighting: jets like the F-35 and the FA-18, anti-missile defenses like the Patriot and Aegis systems, the new Littoral Combat Ship and the Global Hawk unmanned surveillance plane.

Contacted by CNN, several members of the Defense Science Board declined to comment.

Former officer allegedly leaked U.S. military secrets to Chinese girlfriend

But James Lewis, a cyberexpert at the Center for Strategic and International Studies, said that China could use such cyberespionage in several ways that could put American fighters at risk: to copy weapons technology, counter American weapons based on that knowledge or even disrupt their operation by interfering with the software that runs them.

"If you mess with that software," he said, "the airplane won't fly. The missile will miss its target and the ship might not get where it was intended to go."

Rep. Mike Rogers, R-Michigan and chairman of the House Intelligence Committee, described cyberespionage as "tremendously serious."

"The viciousness, and just the volume of attacks, not only by the Chinese but Russians and others trying to get the blueprints of our most sensitive material is just breathtaking -- and they're getting better," he told CNN's Wolf Blitzer.

He laid out why such attacks might matter.

"We, in some cases, have to go back for any material that may have been stolen ... and redesign it. It costs more money," he said.

"It costs billions and billions of dollars extra to try to make sure that we're staying ahead of our adversaries with technology. When they steal it, they leap ahead. That means we have to invest more, and change that technology. It is a serious problem."

In a publicly released portion of the Defense Science Board's report, the authors warn that cyberwarfare "may impose severe consequences for U.S. forces engaged in combat," including American weapons failing to operate, communications problems, or even planes or satellites potentially crashing.

One American official, while acknowledging cyberintrusions from China, said the claims of design details being compromised were overstated.

"The idea that somehow whoever the intruders were got the keys to the weapons kingdom is a stretch," the official said. "Getting one piece without the rest of the parts makes it hard to build a weapons platform."

Defense officials also said they have taken steps to address the concerns, and that some of the information about potential breaches was dated.

Kevin Mandia of Mandiant, a cybersecurity firm that has also been tracking Chinese military hackers, said that while many key Pentagon installations are well-fortified against hackers, cyberdefenses need to be deployed more widely.

"There's a lot of engineering that gets done in an academic setting," he said. "There's a lot of engineering that gets done at the defense industrial base. And a lot of these places have been compromised for over 10 years."

The allegation of cyberpenetration comes at a time when China has been stepping up its efforts to close the gap with the United States in terms of advanced military technology. In recent years, China has tested a missile that knocked out a satellite, conducted test flights of a stealth warplane, deployed its first aircraft carrier and developed an advanced "carrier-killer" missile for warfare against ships.

China's embassy in Washington did not immediately respond to inquiries from CNN about the allegation of stealing secrets. But in the past, Chinese officials have said China does not conduct cyberespionage on U.S. agencies or companies.

@highlight

"We maintain full confidence in our weapons platforms," says Pentagon spokesman

@highlight

He was responding to a report in the Washington Post

@highlight

The newspaper published a list of compromised weapons

@highlight

Rep. Rogers: "When they steal it, they leap ahead"