New Haven, Connecticut (CNN) -- A court clerk at the trial of Steven Hayes, who was convicted of capital murder in a 2007 Connecticut home invasion, read Tuesday from writings of Hayes' alleged accomplice describing the incident in graphic detail.

"I swung again, and then again ... a look of stunned shock in his eyes," wrote Joshua Komisarjevsky about the nighttime attack with a bat on Dr. William Petit, who was sleeping on the porch when the attack began that July night, and proved to be the lone survivor.

Prosecutors allege Hayes and Komisarjevsky invaded the Petit home, beat Hawke-Petit's husband bloody, strangled Hawke-Petit, set the house afire and tried to flee. The crime shocked the well-to-do New Haven suburb of Cheshire and drew national attention.

The writings, read aloud to the jury by a court clerk during Tuesday's penalty phase of Hayes' trial, were selected from a 40-page letter Komisarjevsky wrote to author Brian McDonald in 2008. They describe the men moving on to the bedrooms where Jennifer Hawke-Petit and her daughters, 17-year-old Hayley Petit and 11-year-old Michaela Petit, lay sleeping.

"All were compliant," he wrote. "This time I took a risk, pulled the trigger, and the chamber was loaded. ...  The Petit family passed through their fears and into terror. ... It was captivating, validating that this pain in me was real. ... I was looking right at my personal demon, reflected back in their eyes. ... Hayley is a fighter; she tried time and time again to free herself. ... Mr. Petit is a coward; he ran away when he thought his life was threatened, and ran away to leave his wife and children to madmen. ... I was cheated of my retribution, and so was Steve. ... I am what I am; I make no excuses. ... I'm a criminal with a criminal mind."

Police testified that, after finding evidence of a bank account containing $20,000 to $30,000, the two forced Hawke-Petit to go to a bank in the morning and withdraw money from the account. Prosecutors said Hayes took her to the bank while Komisarjevsky stayed behind.

When Hayes and Hawke-Petit returned with the money, the two men allegedly set the home afire and fled. Inside the home, authorities said, Hawke-Petit, 48, was found raped and strangled. Her two daughters, one of whom had been sexually assaulted, died of smoke inhalation. Petit, the sole survivor, escaped to a neighbor's home.

Komisarjevsky added in his writings, "I'm ultimately responsible for my own actions. ... Had Mr. Petit fought back in the very beginning, I would have been forced to retreat. ... You're the first line of defense for your family, not law enforcement."

Petit, who was in the courtroom, showed no visible reaction as these passages were read. Afterward, outside the courthouse, he told reporters, "I really don't want to dignify the ravings of a sociopath who appears to be a pathological liar as well."

Referring to the 11-year-old, Komisarjevsky continued, "I tasted her fear." After she was dead, he wrote, he took "blackmail pictures" of her body that he "intended to use against Mr. and Mrs. Petit. ... What I was not prepared for was my demons getting the better of me."

The reading continued: "How could I have gone oh so far, far wrong? ... Michaela, angel of my nightmares, my pain to yours does not compare. ... You call me from beyond the grave. ... If only I could simply lie here and will myself to die. ... Michaela, Hayley, and Jennifer, forgive me; I am damned. ... I can't believe I lost control; I hate myself/I love myself. ... I stand condemned."

Komisarjevsky added, "My forthcoming death sentence will be an action of mercy."

Prosecutors had objected to the defense's plan to read excerpts of Komisarjevsky's letters and journal, calling the writings "fiction and fantasy."

"It's kind of like 'The World According to Josh,'" prosecutor Michael Dearington told Judge Jon Blue.

But Hayes' attorney, Tom Ullmann, said the writings show that Komisarjevsky -- who is to be tried separately -- "is the mastermind here ... and Mr. Hayes' culpability is less."

Blue denied the prosecutors' motion to bar the writings, saying, "Mr. Hayes is fighting for his life at this stage, and he's allowed great latitude."

Hayes, 47, was convicted earlier this month of 16 of the 17 charges against him -- including nine counts of murder and capital murder and four counts of kidnapping -- in the deaths of Hawke-Petit and her two daughters.

After hearing testimony in the penalty phase, the same jurors who convicted Hayes must decide if he should be executed.

Earlier in the day, the writings read like a how-to manual on breaking into homes. "My fundamental trademark is cat-type burglaries," Komisarjevsky wrote. "I'm a burglar; everybody knows I'm a burglar. ... You'd be surprised what people contract me to steal."

"As my skill progressed over the years, I've reached the point where I can get into a house without any tools, only night vision," Komisarjevsky wrote. When he believes a home's occupants are sleeping heavily, "I make my way to the breaker room and start shutting down the electricity. ... I have night vision; they have darkness."

Four journals were found in Komisarjevsky's cell, testified Rafael Medina, a detective with the Connecticut State Police major crimes unit. In the journals, which were seized by authorities, Komisarjevsky discusses the Cheshire case, he said.

Medina testified that what he read in the journals led him to believe Komisarjevsky was communicating with McDonald, whom Medina described as "a book author." Visitor logs showed that McDonald had visited Komisarjevsky once, he testified.

In the penalty phase, jurors are allowed to consider evidence they heard during the guilt phase of the trial. They can also consider new testimony or evidence that attorneys introduce, which might include the defendant's long history of prior convictions and anything that casts Hayes in a positive light.

Hayes himself could testify.

The defense offered testimony Monday from witnesses who had interacted with Hayes through work, from his apartment complex or because of his drug addiction.

That testimony continued Tuesday with Philip Theeb, a building contractor who said he knew Hayes through his girlfriend and gave him work as a painter. Theeb described Hayes as a hard worker and said he loaned Hayes his truck on the weekend the attack took place, but "on Monday morning he failed to show up."

He told jurors he had met Komisarjevsky before, and tried to call him after Hayes did not show up. When he first heard from the police, he said, he thought Hayes "had done something stupid." When he heard what Hayes was accused of, Theeb said, he was "shocked. ... I couldn't believe it."

William Petit has said he will not offer a victim impact statement during Hayes' penalty phase, saying in a statement he "regretfully" decided against doing so because Connecticut's law on victim impact statements is unclear and could provide convicts with grounds to appeal their sentences.

After Wednesday, when just one witness is scheduled to testify, no testimony will occur as the judge and attorneys work on jury instructions. Testimony is to resume Monday.

@highlight

NEW: "I swung again, and then again"

@highlight

Portions of letter from Joshua Komisarjevsky read in court

@highlight

Defense: Komisarjevsky, who is to be tried separately, was "the mastermind"

@highlight

Hayes was convicted of capital murder in the 2007 home invasion