Editor's note: Dina Mehta is an ethnographer, social media consultant and blogger based in Mumbai, India. Her personal blog is Conversations with Dina. She has contributed to building several communities on the Internet, such as Worldchanging, Tsunami Help, KatrinaHelp, SkypeJournal and Global Voices Online.

Dina Mehta says social networks channeled the sadness and rage of the attacks into action.

MUMBAI, India (CNN) -- I celebrated my 42nd birthday on November 26. We were thinking of stepping out for a coffee at the Taj hotel that night when a friend called to say there was a terrorist attack in town.

My first reaction was to switch on the TV and simultaneously go online to Twitter.

There was a lot of confusion, anger and sadness as we witnessed together parts of our city go up in flames -- icons and symbols that stand for the Bombay I grew up in. I live about 8 kilometers from the scenes of the attacks.

Many of us didn't sleep much that night. Some of us have worked together during disasters like the tsunamis and Hurricane Katrina, and we used our influence and experience to get the word out. Our updates and conversations on Twitter kept us connected.

Twitter is a social tool where social networking meets blogging. Many have referred to it as microblogging, as each post -- or "tweet" -- you make is restricted to 140 characters.

We didn't feel alone anymore or scared. Fellow tweeters worldwide were experiencing and sharing in our pain and our anger during the prolonged siege.

The morning after, a friend and fellow blogger in the United States asked me how I was coping with it all. Her question was whether I found myself working it through intellectually or emotionally. My answer was that there was anger. Lots of it. And I was not alone in feeling it.

Blogging and Twitter allowed me to channel this anger. We were busy trying to source authentic news and information around lists of injured and deceased, hospitals requiring blood, and helping folks abroad and in other cities in India connect with their friends and family.

Some of the little things that touched me were people all over the world just volunteering time, love and attention through hugs and words of solace.

One example: We had a list of injured people -- an illegible fax -- and after tweeting that we needed help transcribing it, we were flooded with offers to help from all over the world.

Others abroad were busy proclaiming that they would run to India and not from it.

Here are just a few of the tweets:

• I can't say don't be sad, but don't be overwhelmed with sadness. Know that there's still more love than hate.

• hugging you. There are more good and decent people in the world than hateful ones. Even if that's hard to see today.

• Overwhelmed by the kind and touching emails that my clients have sent since yesterday. All affirm faith in India and Indians.

• I join you and all the brave people of India!

• from nyc, we pray for you and thank you for your courage in reporting to the rest of the world. it has greatly helped many

• Just feelings of solidarity with all of you in Mumbai

• We all are. . :( #mumbai

• So sorry for you and your fellow peace loving Indians

• sadness is not the word but anger that should be vented out before we subside into our own daily life

These spontaneous responses bring home so strongly that what we are dealing with is not just Mumbai's problem or India's problem alone. This could never have happened without the social web. It is taking many new people forward on journeys that before they wouldn't have even contemplated.

On Monday, a bunch of us met at Leopold Café, one of the sites attacked last week, and lighted some candles and had a beer. Many of us are being asked how people can contribute to help families affected, and today we meet with non-governmental organizations to try to work out how we can harness this amazing energy online into raising funds for those affected by the attacks in the short term.

We've been speaking to activist groups on different continents about how we could pool the community and our learnings to make a difference.

The "we" I speak of is not an organization but a loosely joined community. We are bonded, and I truly believe that in the face of utter horror, wherever it might occur, we have a strong pillar in this emotional connection we feel as equal human beings and not in our narrow identities prescribed by nationality or religion or race or gender. This is an evolving revolution sparked by how people are using social tools on the Web.

Of course, as with any social system, there will always be those who wish to perpetuate the politics of religion, of division and hate. We see this on the Web, too. The dilemma is, do we engage with them, and can we? There is no doubt we are being violated in every way, by politics, by religion, by a complete breakdown of security.

And yet, I find I do not want to have that discourse or feed these divisions. It feels like a violation of my own person.

Leave that to the politicians. Let me act.

The opinions expressed in this commentary are solely those of Dina Mehta.

@highlight

Dina Mehta: Social media like Twitter became key point of contact and news

@highlight

She says the Mumbai terror attacks led to sadness and rage

@highlight

Mehta: The emotions were shared worldwide through social media

@highlight

She says concrete actions resulted from widespread use of social networks