(CNN) -- During the past few months, I have gently suggested to my patients that they receive the flu vaccine. Many said yes, but some declined.

Today, as I look up Google's national flu trend map, I see nearly the entire country painted in an alarming red, signifying "intense" flu activity. According to the Centers for Disease Control and Prevention, 41 states are experiencing widespread flu outbreaks. There are 26 times more flu cases this year than last. And in Boston, near my primary care practice, a public health emergency was declared this past Wednesday.

I shake my head when seeing these headlines, and I vow to be more persuasive when it comes to giving the flu vaccine. More patients need to be protected against influenza by getting flu shots earlier in the season.

Like many other clinics across the country, my office is flooded with patients suffering from coughs, runny noses, fevers and body aches, all potentially caused by the flu. Thankfully, the vast majority of adults survive. But others fare less successfully: the young, the elderly, and those with chronic conditions like asthma, diabetes or cancer.

Severe flu complications, like pneumonia, can hospitalize these patients, or worse, be fatal. Consider the young. According to William Rodriguez, a pediatrician at the Food and Drug Administration, between 43 and 153 children have died in the past 10 flu seasons combined. Already, 18 children have died this season.

One reason why the flu outbreak is so prevalent this year is that the predominant strain, H3N2, hasn't been this widely circulated since 2002-03 and is associated with a more severe illness.

But another reason is the relatively low percentage of patients who received a flu shot. This year's vaccine is well matched to the circulating viruses and, while not perfect, provides good protection. Flu shots are about 60% effective. But more than half of Americans skip the vaccine. Only 46% received one last year. This year's numbers are about the same.

The reason many cite, "I got the flu from the flu shot!" isn't valid. There are no live viruses in the vaccine. If someone got sick after the shot, it's because of a coincidental illness caused by the scores of other non-influenza viruses that can cause similar upper respiratory symptoms.

Others say, "I've never had the shot before, and I've been fine." In some, the flu can be debilitating, leaving patients bedridden for days. In others, it can simply be a runny nose or a minor cough. But it's still the flu and can be spread to more vulnerable patients, with disastrous consequences for them.

According to Frank Esper, a viral respiratory disease expert at UH Case Medical Center in Ohio, "Every time you vaccinate yourself, you're not just protecting yourself, but you're protecting everyone you know, including individuals who are young or pregnant."

It's still not too late for a flu shot. Go get one if you haven't already. Although its protective action won't take effect for about two weeks, the flu season hasn't peaked.

I realize I have to do a better job to dispel these myths in the exam room and convince more of my patients to receive a flu shot. But patients can also help. Read the headlines and learn from the current flu crisis. Then be proactive and get a vaccine earlier in future flu seasons.

The opinions expressed in this commentary are solely those of Kevin Pho.

@highlight

Kevin Pho: Nearly every state has "intense" flu activity

@highlight

Pho: More patients need to be protected by getting flu shots earlier in the season

@highlight

He says one reason the flu is so prevalent is that a main strain is associated with severe illness

@highlight

Pho: Read the headlines and learn from the current flu crisis