(CNN) -- It's Election Day in America. Across the country, mayors, governors and other officials will be elected. The results will be dissected for meaning. Mandates will be claimed and trends extrapolated. And we'll all pretend not to notice that somewhere between 60% and 80% of eligible voters didn't bother to cast a ballot.

It's an off-year election, yes, with no compelling national contests. But even in years that we think of as high-water marks of civic participation, such as 2008, four out of 10 eligible voters stay home. In the world's self-proclaimed greatest democracy, a norm is now setting in that says, quite simply, voting is for suckers.

That certainly was the message of a recent interview and essay by the comedian Russell Brand. Both went viral, especially among young people, and it's easy to see why. He's an irreverent, facile commentator. And his message, meant for a British audience but applicable here too, is that politics is now fundamentally rigged, making voting a folly and revolution a necessity.

But what Brand really ends up proving, in entertaining fashion, is that being half-right can be a very dangerous thing.

It's hard to dispute that politics in America has become a rigged game. Why else is Congress is in a mad rush to cut food stamps while shielding corporate subsidies? How else would more than half the $400 billion in annual federal tax breaks flow to the richest 5% of Americans? We live in an age when advantage and disadvantage are increasingly undeserved, when economic inequality and unequal political voice reinforce each other in a vicious cycle.

This is what the scholars Jacob Hacker and Paul Pierson described in their book "Winner-Take-All Politics" -- a methodical, bipartisan array of national policies to disinvest in the middle class and the poor and to reward the privileged for already being privileged. And this is what gave us both the tea party and Occupy Wall Street, movements united by little except their deep-seated anti-elite anger.

It's understandable, then, why millions of younger, poorer, darker-skinned Americans -- for that's who disproportionately fills the ranks of the non-voters -- would check out of politics and voting altogether. But the stark contrast between what the tea party and Occupy each did after their first bursts of anger underscores precisely why checking out makes a bad situation worse.

The tea party organized at the precinct level, fielded candidates, won elections and became if not a majority then a king-making (or at least government-shutting) minority in legislatures across the land, including the U.S. House of Representatives. The Occupy movement didn't. That helps explain why American politics still tilts more rightward on economic issues than its people do, and why a president re-elected by a wide margin a year ago is still playing defense.

Critics such as Brand may be astute in their diagnosis, but they're deluded in their prescription. There is no such thing as not voting. In a democracy, not voting is voting -- for all that you detest and oppose.

While abstaining from the ballot can be dressed up as an act of passive resistance, it is in fact an active delivery of power and voice to those who'd like to take advantage of you. Far from weakening an unjust system, not voting only amplifies the system's pain-inflicting power.

So perhaps the most compelling appeal to today's nonvoters isn't that "it's our patriotic duty" (though it is) or that "others gave their lives for this right" (though they did). It's this: not voting is for suckers.

Some frustrated nonvoters claim there's no meaningful choice anyway between the two parties. This is colossally naive.

Imagine for a moment where the country would be today if all the people who formed the tea party had decided that politics was just too sordid or that their individual votes couldn't possibly make a difference. Politics may indeed be sordid, but it changes only to the extent we aggregate votes.

To be sure, today's political debate is too narrow, disallowing ideas such as a guaranteed minimum income or single-payer health care. But it also, at least for now, disallows a dismantling of Social Security or repeal of civil rights laws. The question is this: Which set of disallowed ideas would you hate to see become law? And what's more likely to usher in what you fear -- voting or not voting?

Brand and his fans speak vaguely of the need for a "revolution" to upend everyday democracy. It turns out everyday democracy already provides for revolution. In the 2012 election, youth voters, low-income voters, Latino voters and Asian voters all turned out at less than 50%. Mobilize 100% of them and our nation's political priorities become completely different and our government radically more responsive to all the people.

You say you want a revolution? Vote for one.

The opinions expressed in this commentary are solely those of Eric Liu.

@highlight

Eric Liu: Between 60% and 80% of eligible voters won't vote in Tuesday's elections

@highlight

Liu: Russell Brand says it's a folly to vote, politics are rigged; we need a revolution

@highlight

Liu says in a democracy, not voting amounts to voting for all you detest and oppose

@highlight

Liu: If all young, poor, black, Latino, Asian voters cast ballots, that would cause a revolution