Washington (CNN)President Barack Obama strongly condemned what he called a "cowardly, evil" terror attack in Paris on Wednesday that claimed 12 lives and praised France for standing "shoulder to shoulder" in the fight against terrorism.

Obama said Wednesday that he had "reached out" to French President Francois Hollande and pledged to offer "every bit of assistance" to help France, a country he praised as "America's oldest ally." Three gunmen burst into the satirical magazine Charlie Hebdo's headquarters on Wednesday morning and also fired at police officers in the streets outside while shouting "Allahu Akbar" -- God is Great in Arabic.

"They have been with us at every moment when we've -- from 9/11 on -- in dealing with the sort of terrorist organizations around the world that threaten us," Obama said. "For us to see the kind of cowardly, evil attacks that took place today, reinforces once again why it's so important for us to stand in solidarity with them just as they stand in solidarity with us."

Sitting in the Oval Office alongside Vice President Joe Biden and Secretary of State John Kerry, Obama also stressed that the U.S. would work to ensure the safety of Americans living around the world because "these kinds of attacks can happen anywhere in the world," he said.

Obama focused also focused on the target of the attack, emphasizing that the assailants were striking at the "universal belief in freedom of expression."

"The fact that this was an attack on journalists, an attack on our free press also underscores the degree to which these terrorists fear freedom -- of speech and freedom of the press," Obama said.

Speaking to CNN's Wolf Blitzer Wednesday night,Secretary of Homeland Security Jeh Johnson said he was "confident that these...killers will be brought to justice."

He declined, however, to confirm comments from House Homeland Security Chairman Michael McCaul that the U.S. government was aware of the names of the three attackers, or reports that they may have been apprehended, stating only that "events are unfolding rapidly."

But he did indicate the U.S. is doing "a number of things to support the French government in this manhunt and this investigation," and suggested under typical protocol, the U.S. Would use all its available national security resources to try to track down the origin and motivation of the attackers.

Johnson said while "this was very definitely a very sophisticated, precise and lethal operation," it was still unclear what motivated the attackers.

"We don't know yet exactly what motivated these people, whether they received direct orders from a terrorist org or whether they were inspired by something they saw and read," he said.

Secretary of State John Kerry earlier in the day addressed the French people directly -- in both English and French -- expressing American solidarity in the face of the attacks.

"We stand with you in solidarity and in commitment both to the cause of confronting extremism and in the cause which the extremists fear so much and which has always united our two countries: freedom," Kerry said in a press conference. "No country knows better than France, that freedom has a price because France gave birth to democracy itself."

Kerry made similar remarks in French, proclaiming that terrorists who claim the satirical magazine Charlie Hebdo is dead, are wrong.

"Le pouvoir de la libertÃ© d'expression vainquera dans la lutte contre l'obscurantisme," he said, meaning "The power of freedom of expression will be victorious in the fight against darkness."

White House Press Secretary Josh Earnest also pointed to France as a "stalwart ally" in the fight against ISIS. France is a member of the U.S.-led coalition that has carried out attacks against ISIS, and Earnest said that the U.S. is "keenly aware" of the "risk associated with that."

He added that U.S. is still "trying to determine what happened," but did point out that the U.S. and its allies are aware of the threat that foreign fighters joining ISIS in the Middle East could pose if they  return to their home countries and carry out attacks using "that training, use that equipment."

Earnest added that top national security officials have been in touch with their counterparts in France and that the U.S. will provide resources to investigate the attack.

"We are confident that the people of France are not going to be cowed by this threat," Earnest said.

Earnest also highlighted the need for "leaders in the Muslim community" to stand up and proclaim the peaceful nature of their religion.

National Security officials monitoring, investigating

The Department of Homeland Security is "closely monitoring" the situation in Paris, a senior official from the department said in a statement.

"DHS will not hesitate to adjust our security posture, as appropriate, to protect the American people," the official said. "We also encourage the public that "If You See Something, Say Something" and to report any suspicious activity in their communities to the appropriate law enforcement authorities."

Johnson, speaking earlier in the day, would not say whether he is considering raising the terror threat level in the U.S., but highlighted the increasingly complex terror threat the world faces -- with more terror groups, but also "lone wolf" actors.

"[These are] actors who may lurk within our society, that could strike with little notice, commit an act of violence because they have been inspired by things they have seen on the internet, social media, in literature, without accepting a direct order...from a terrorist organization," Johnson said.

He added that investigators are still trying to determine the exact "nature" of the attack.

The U.S. Embassy in Paris said on Twitter it has "no plans to close or limit access" to the embassy or other diplomatic facilities in France. The embassy also changed its Twitter profile picture to the "Je suis Charlie" (I am Charlie) image circulating in France in the wake of the attack.

U.S. national security and intelligence agencies are rushing to see if they "missed any signs" or warnings of a terrorist attack against France, a senior U.S. official told CNN. For now, officials have found "nothing that matches."

The official said the U.S. does not believe the attack suggests further attacks against Americans the U.S.

"Our major concern is to quickly identify the individuals involved," in the attack the official said.

U.S. officials also pointed out that the attackers were wearing masks, contradicting reports that ISIS leadership told adherents to show their faces when carrying out attacks.

A U.S. official told CNN that French authorities are rapidly trying to find the alleged gunmen.

"If they can't find these guys right away, then they will quickly be sharing any profile information or details with us," the official said.

White House questioned Charlie Hebdo in 2012

The attack Wednesday was not the first time the satirical publication Charlie Hebdo apparently drew the ire of Islamists. Its headquarters were firebombed in 2011 the day after it published a satirical cartoon of the Prophet Muhammed.

And when the magazine published more satirical cartoons mocking the Prophet in 2012, the White House questioned the magazine's "judgment" in September 2012.

"Obviously, we have questions about the judgment of publishing something like this. We know that these images will be deeply offensive to many and have the potential to be inflammatory," then-White House Press Secretary Jay Carney said. "But we've spoken repeatedly about the importance of upholding the freedom of expression that is enshrined in our Constitution."

Carney went on to say that the White House didn't question the magazine's right to publish the cartoons, but just "the judgment behind the decision to publish it."

"Now it has to be said, and I'll say it again, that no matter how offensive something like this is, it is not in any way justification for violence," Carney said at the same briefing.

Paris attack quickly becomes Washington funding fight

Lawmakers react

Members of Congress also woke up to reports of the terror attack and some took to Twitter to condemn the attack.

One of the only two Muslim members of Congress Rep. Keith Ellison (D-Minnesota) condemned the attack and called for unity in the face of violence.

"I condemn the attack in Paris today. My thoughts are with the families of those killed. I urge swift justice for the people responsible," Rep. Keith Ellison tweeted. "The goal of terror is to stoke hatred and division. We must stand united against people who choose violence."

The New York Police Department boosted security measures in New York City, Republican Congressman from New York Peter King told CNN.

Sen. Joe Manchin (D-West Virginia) called the attack a "horrific situation" and said the U.S. needs to be "very vigilant" on MSNBC.

"There wont be another day in our life that we wont have to be vigilant about terrorist attacks in any place," he said.

Sen. Bill Nelson (D-Florida) called the attackers "murderous extremists" on Twitter and Republican Sen. Mark Kirk of Illinois also took to Twitter.

"Americans stand united with those around the world who value freedom of speech in mourning the victims of terrorism in Paris today," Kirk said.

Sen. Chris Murphy (D-Connecticut) tweeted that he was "appalled by the attack."

"My heart goes out to the victims & their families," he wrote.

And in an interview with CNN's Dana Bash, Sen. Lindsey Graham (R-South Carolina) condemned the attacks and pointed to the shared values between the U.S. and France."Even though it's in France, it's an attack on us," Graham said.

CNN's Barbara Starr and Alexandra Jaffe contributed to this report.

@highlight

President Barack Obama addressed the attack, from the Oval Office on Wednesday afternoon

@highlight

Secretary of State John Kerry spoke to the French people in their language

@highlight

Obama pointed to France as a close ally in the war on terror. France is part of the coalition fighting ISIS

@highlight

U.S. national security officials are working closely with French officials and are looking for any "missed" warning signs