(CNN) -- The girl the Taliban wanted dead has not only survived but was able to walk out of the hospital last week. But other highly publicized, vicious attacks on women and girls have not had such triumphant outcomes.

Malala Yousafzai's ordeal is not over yet: Doctors say the 15-year-old campaigner for girls' education, whom gunmen shot in the head as she rode a school bus in Pakistan, will be readmitted in late January or early February for more cranial reconstructive surgery.

She left the hospital just days after gunmen attacked a van in Pakistan's Swabi District, less than an hour from the capital, and killed six women and one man who worked at a children's community center. Five of the dead were teachers; two were health care workers. The center, a charity, offered a school for girls and vaccinations for polio, among other diseases, along with maternal health treatment.

Yet another attack unfolded around the time of Malala's release. India is reeling from the death of a woman who dreamed of becoming a doctor. Brutally gang raped, mutilated and thrown from a bus, the physiotherapy student later died in a Singapore hospital. Her name was not made public in India, but her cause electrified the nation. Her father, who sold family land to move his family to Delhi from rural India to help his daughter realize her education dreams, is left heartbroken.

"She wanted to be a doctor and said it was only a matter of a few years and that when she was a doctor (all our suffering), it will end,'" her father told the BBC. "I remember asking her once, 'Who are all your friends?' She replied, 'Dad, it's only my books I am friends with.'"

What all of these attacks have in common, along with their brutality, is that they are attempts at extinguishing the talent and potential of women -- or half of the population. In a world that needs every doctor it can find, every educator and politician who is willing to tackle the status quo, these young women offered a glimpse at a brighter future in which all can contribute.

No less than investment oracle Warren Buffett made that very case recently, referring to the United States, which has seen its share of less brutal attempts to hold women back.

"What a waste of human talent; 50% of the talent of the country we pushed off in a corner for almost 200 years," he said in an interview with Melinda Gates. "It is one of the things that makes me optimistic about the future -- we are getting to the point we are starting to realize we need to use 100% of our talent -- it makes me very optimistic, but we still have a way to go."

His words echoed those of the World Economic Forum in its annual Gender Gap Report.

"The key for the future of any country and any institution is the capability to develop, retain and attract the best talent," the report said. "Empowering and educating girls and women and leveraging their talent and leadership fully in the global economy, politics and society are thus fundamental elements of succeeding and prospering in an ever more competitive world."

Until now these horrific attacks on women and girls, attacks I have written about concerning Afghanistan, have been seen as shameful and isolated incidents. But they are a shared loss in a globalized world.

These young women and their legacies -- Malala, who will continue her fight, and the others, who will not -- are on the front lines of deciding what our world looks like. Will young women who speak out on the need for education be stopped or celebrated? Will girls who dream of becoming doctors stay alive long enough to do so? And when will we realize that their battle is one shared by everyone who dreams of a safer, more stable, more prosperous world in which more people have a stake? Perhaps Buffett's words will help enlist more fighters in the cause. Because the economic and human rights stakes are high.

Increasingly the world is recognizing the value and the contributions of girls and women. But progress is slow while violence is tolerated. And as the attacks in Pakistan show, educating girls remains a potentially deadly line of work.

"They wanted to kill her," said her father not long after gunmen shot his daughter. "But she fell temporarily. She will rise again. She will stand again." He was right.

The opinions expressed in this commentary are solely those of Gayle Tzemach Lemmon.

@highlight

Gayle Lemmon: Taliban failed to stop education advocate Malala Yousafzai by shooting her

@highlight

Lemmon: Similar attacks on other women and girls trying to reach their goals were fatal

@highlight

Attacks are efforts to stamp out women's progress, rights and potential, she says

@highlight

She says potential of half the population will not be realized if violence is tolerated