(CNN) -- It seems like the opposite of what you'd expect, but my cancer diagnosis -- a staggering Stage IV colon cancer diagnosis, delivered to me at the age of 28 -- gave me a new lease on life. It has changed me, and enriched my life, in ways that I never could have imagined.

Even in the moment I learned of my diagnosis, and the grim prognosis that followed, I wasn't afraid. I wasn't sad. I didn't feel sorry for myself, and I wasn't angry. I was ready. I was ready to fight this disease head-on and show myself -- and everyone else -- what I was made of.

I believed that my will to survive, to thrive, to love and laugh and enjoy my life -- would carry me through any physical challenge.

And it has. Forty-six rounds of chemo (and counting), three surgeries, 10 rounds of radiation, and here I am. I am still fighting. And I will continue to fight until cancer gives up, because there's no way I will.

My fighting and competitive spirit has served me well, but my ability to be open to learning has been equally valuable.

Throughout my time battling cancer, I have learned so much about taking care of my body, mind, and spirit. Just months after my diagnosis, I made the jump to strict veganism. I drink green juice, not alcohol. I exercise daily. I manage stress levels and I make sure I always get enough sleep. I've done acupuncture, reiki and guided meditation.

I take deep breaths. I smile and laugh and listen to great music and appreciate beautiful things. I soak in my life and I am constantly grateful. Becoming sick was the way I learned how to be well.

'On Looking': The world you're not seeing

By far, the best part of my cancer-killing adventures has been becoming a part of a community of cancer warriors and their loved ones.

My fellow patients are more than just friends. They are my brothers and sisters in this fight. When they do well through treatment, I celebrate with them. And when they struggle -- or die -- I am just as upset about it as if they were a part of my family. That's because they are.

My best friend in the cancer world, a fellow warrior and a phenomenal woman named Annette, passed away at the end of last year. Losing her has been one of the most difficult things I've ever had to endure. But her fighting and undefeatable spirit, and my desire to honor her, have helped fuel the fire in my belly. It has helped me push forward with my mission: My mission for the cure.

It's called The Wunder Project. A simple but revolutionary initiative that sees every penny donated going to cutting-edge research that I hope will get us to the cure for colon cancer in under 10 years. It sounds crazy, right? The cure. But this is real. And I'm betting my life on it.

Several months ago, I asked my doctor -- a world-renowned oncologist and researcher at USC Norris Comprehensive Cancer Center named Heinz-Josef Lenz -- a series of simple questions.

If you had all the money in the world, could you cure colon cancer? Do you know what steps to take to cure the disease? Is money the only thing standing in the way of the cure? The answer to all of those questions was an emphatic yes.

Lenz and his dream team -- scientists and researchers from the United States and abroad -- are sure that they can find the cure for colon cancer if they have the funds to do the necessary large-scale research and drug development that the team has long been known for.

KISS frontman: I'm deaf in one ear

It's my job, and my mission, to lead the movement to raise those funds so they can do their work. It's my job to start something unprecedented, a global uprising against cancer, focused solely on supporting the groundbreaking research necessary to change the face of cancer forever -- for all of us.

The goal of The Wunder Project is to raise $250 million in two years. Through that funding, we hope to have the cure in under 10 years. It sounds like an impossible goal -- to find the cure for cancer -- but it is possible. It is within our grasp. And I will make sure that we seize this opportunity. For Annette, for myself, and for my fellow cancer warriors.

From the moment I was diagnosed, I knew it wasn't the end of the line for me. I think that I always knew, deep down, that it was the end of the line for cancer. And through The Wunder Project, I know it will be.

@highlight

Gloria Borges was diagnosed with Stage IV colon cancer at 28

@highlight

"I was ready to fight this disease head-on," she says

@highlight

Borges has started The Wunder Project to raise funds to cure cancer