(CNN) -- Every year the holidays bring cold weather, family gatherings, gift-giving, and of course, the perennial debate over the Constitution and Christmas. Recently, a Long Island school district drew criticism following a performance that removed the holier lyrics from the traditional Christmas song "Silent Night."

Some parents objected when the fifth-grade choir at the school in Kings Park, New York, left out phrases such as "Christ the Savior".

The school superintendent said the principal and choir director removed the references to avoid "offense to people of other faith," according to Newsday.

But regardless of the reason, would it be legal for a school choir to perform "Silent Night" in its traditional form?

To enter the fray we have to understand some of the basics about the often-uncertain relationship between the First Amendment and public schools.

First, let's dispel the myths: The First Amendment does not ban all mention of any religion in public schools. As the Supreme Court has noted, "total separation (between church and state) is not possible in an absolute sense."

After all, when our kids study world history, they are often studying religion. Wars, civilizations, exploration, and human culture have always been motivated in part by some form of dogma.

To filter religion out of history leaves something that cannot, in good faith, still be called history. And while some Christmas music consists of light-hearted fare, other pieces are authored by Handel or Bach, and have undeniable value in a musical curriculum. Religion has always been a part of our civilization; the Constitution and our courts recognize this.

Instead, the Establishment Clause only prohibits the "advancement" or the "inhibition" of religion by the state. Of course, that's a distinction that's much easier to describe than it is to identify in real life. When does a school cross the line into advancing or inhibiting religion?

In 1971 the United States Supreme Court decided Lemon v. Kurtzman and formulated the "Lemon Test," which is a three-pronged evaluation of the constitutionality of legislation concerning religion. A court will consider the following:

1. The government's action must have a secular (non-religious) purpose.

2. The government's action cannot have the principal or primary effect of (a) advancing religion, or (b) inhibiting religion. It would be impossible to develop a public school curriculum that did not in some way affect the religious or nonreligious sensibilities of some of the students or their parents. Therefore, the test is not "any effect." Rather, the courts will look to the "principal or primary" effect.

3. The government's action cannot "excessively entangle" itself with religion -- that is, it cannot intrude into, participate in, or supervise religious affairs.

So how does this apply to singing Christmas carols in school? Fortunately, the courts have squarely dealt with that issue, in the context of ... you guessed it ... "Silent Night."

In perhaps the first case to deal specifically with Christmas music, an atheist father challenged the Sioux Falls, South Dakota, school board's use of "Silent Night" (and other songs) in the school's Christmas program. The Eighth Circuit Court of Appeals -- one of the last stops before the Supreme Court -- applied the Lemon test in Florey v. Sioux Falls School District, and held that both the study and performance of religious songs, including Christmas carols, are constitutional if their purpose is the "advancement of the students' knowledge of society's cultural and religious heritage, as well as the provision of an opportunity for students to perform a full range of music, poetry and drama that is likely to be of interest to the students and their audience."

The court also reiterated that:

"It is unquestioned that public school students may be taught about the customs and cultural heritage of the United States and other countries." And that schools may "allow the presentation of material that, although of religious origin, has taken on an independent meaning."

After Florey, it appears that the Establishment Clause does not prevent the singing of Christmas carols with religious origins by public school choirs, though the line seems very thin. For example, if instead of singing "Silent Night," the kids were made to take a quiz testing them on the religious facts undergirding the song:

Q: In the song Silent Night, who is the "Saviour"?

A: Jesus Christ!

Then the school likely crosses into administration of religious training, which is the domain of family and church, not schools. If nothing else though, it certainly appears that "Silent Night," though much more religious than "Jingle Bells," or "White Christmas," is a street-legal public school choir song.

So it appears that schools may include even religious Christmas carols in their curriculum without violating the Constitution. But, can a school go the other direction, and prohibit all Christmas carols from the curriculum?

At least one federal court has held that they can. In Stratechuk v. Board of Educ., South Orange-Maplewood School Dist., the Third Circuit Court of Appeals held that a school district's policy to bar performance of religious holiday music at seasonal shows, while allowing it to be taught in class, had a legitimate secular purpose of avoiding potential Establishment Clause problems, and was not "hostile" to religion.

So schools appear to have broad discretion to include or prohibit Christmas carols, as long as they don't run afoul of the Lemon test.

Navigating the constitutional perils of religion in school is not easy -- indeed, every year the holiday season brings with it an Establishment Clause debate. The courts and schools will continue to struggle with defining permissible non-secular content. At least there are some less contentious holiday traditions that we can always count on: egg nog, gift returns, and bad decisions at office parties. Happy holidays indeed.

The opinions expressed in this commentary are solely those of Danny Cevallos.

@highlight

Danny Cevallos: A New York school district edited lyrics of "Silent Night"

@highlight

He says courts have delved into issue of singing Christmas Carols in schools

@highlight

First Amendment doesn't bar all religion from schools, but courts have set guidelines, he says

@highlight

Cevallos: "Silent Night" is fine for a school choir in most cases