Washington (CNN) -- The Supreme Court turned aside Friday a gay rights group's request to temporarily suspend enforcement of the controversial "don't ask, don't tell" policy on gays in the military.

The justices issued a brief order allowing the policy to remain in effect temporarily, until the full appeals process is completed.

The Log Cabin Republicans had filed an emergency request with the nation's highest court to reverse the 9th Circuit U.S. Court of Appeals decision allowing the military to continue with "don't ask, don't tell" while the government appeals a lower court ruling that the law is unconstitutional.

The appeals court, in San Francisco, California, is debating the constitutionality of barring openly gay and lesbian people from service in the U.S. armed forces. Until the larger questions are decided, that court had allowed the current enforcement policy to remain in place, prompting the time-sensitive appeal to the high court.

The justices were, at this stage, being asked to rule only on the narrow enforcement issue. They are likely to tackle the constitutional questions after the appeals court issues its ruling, if Congress or the White House does not act first to repeal the current law.

"Log Cabin Republicans are disappointed that the Supreme Court decided to maintain the status quo ... but we are not surprised," Log Cabin Executive Director R. Clarke Cooper said in a written statement. "We are committed to pursuing every avenue in the fight against this failed and unconstitutional policy."

Pentagon spokesman Col. Dave Lapan said the Defense Department "believes the decision upholding the stay was appropriate."

The high court's two-paragraph order noted that Justice Elena Kagan did not participate in the decision. As solicitor general in the Justice Department before joining the high court in August, Kagan had been involved in preparing initial briefs in the case.

In September, California U.S. District Judge Virginia Phillips declared the military's ban on openly gay troops to be unconstitutional. She later granted an injunction barring enforcement of the policy. The Justice Department requested a temporary stay of that ruling, which was denied by Phillips but granted by the appeals court.

The appeals court later overturned the district court's injunction.

The appeals judges also noted that legislation pending before Congress to repeal the policy would render the case before them moot. The House of Representatives has already passed a repeal provision, and the Senate may consider it as part of a broader defense authorization bill when it returns for a lame duck session in mid-November.

The appeals court is set to hear oral arguments in the case next February. The losing side would probably ask the Supreme Court to step in once again, but the justices have the discretion not to accept the case for review.

President Obama wants to repeal "don't ask, don't tell." He reached an agreement with Defense Secretary Robert Gates and Adm. Mike Mullen, the chairman of the Joint Chiefs of Staff, on a process that includes a military review of how to make a successful transition to openly gay and lesbian troops serving alongside straight colleagues.

The three men would then have to certify the repeal.

Gay rights groups say the policy violates the due process and First Amendment rights of military members. In their appeal, the Log Cabin Republicans said allowing the policy to remain in effect pending appeal is unacceptable and would cause "irreparable harm."

The government presented "no evidence to support a finding that open service by gay and lesbian individuals harmed the military's interests, and ... both civilian and military leaders admitted that DADT actually impairs military interests," the appeal said.

"Deference to military judgment here tips the scales against a stay, rather than in favor of one," it says.

But the Obama administration, supported by Pentagon officials, argued that suspending the 17-year-old policy and forcing the military to immediately change course while the case is being appealed would cause problems during a time of war.

"The military should not be required to suddenly and immediately restructure a major personnel policy that has been in place for years, particularly during a time when the nation is involved in combat operations overseas," the government said in its high court brief.

The case puts the administration in an unusual position of supporting a repeal, but filing court motions to prevent it from happening faster than planned. The legislation before Congress includes the process for repeal agreed to with Gates and Mullen.

In response to the court case, Gates recently raised the level at which gay and lesbian troops can be discharged under "don't ask, don't tell" by ordering that it be done only by the secretaries of the Army, Navy and Air Force.

In a memo written to the heads of all the military services, Gates said his action was taken in direct response to the legal uncertainty surrounding "don't ask, don't tell" law.

Since Gates made the change, no service member has been discharged, according to Pentagon spokesman Geoff Morrell.

CNN's Jennifer Rizzo and Larry Shaughnessy contributed to this report

@highlight

Obama officials want the policy repealed, but oppose a court ruling to end it

@highlight

Log Cabin Republicans want enforcement of "don't ask, don't tell" suspended

@highlight

The policy on gays in the military remains in effect until the appeals process is complete

@highlight

A lower court has found the law unconstitutional