Istanbul, Turkey (CNN) -- The downing of a Turkish jet over the Mediterranean last Friday by a Syrian missile took Turkish-Syrian tensions to a new level. Though the Turkish government did not declare war as some expected, and others feared, it did declare Syria a "clear and present danger" and raised its rules of engagement to an alert level.

How we came to this point is an interesting story. The 550-mile long border with Syria, Turkey's longest, has often been tense. During the Cold War, Syria was a Soviet ally, Turkey was a NATO member (as it still is) and the border was heavily mined. Moreover, Hafez Assad, the father and predecessor of Syria's current dictator, Bashar al-Assad, supported and hosted the PKK, the outlawed Kurdistan Workers Party, which has led a guerrilla war against Turkey since the early '80s. (PKK is defined by Turkey and the United States as a terrorist group.) Turkey had come close to waging a war against Syria in 1999 because of this PKK connection.

Turkey moves forces to Syrian border amid tensions, official says

However, the relations surprisingly changed for the better in the first decade of the new century. Bashar al-Assad, who replaced his father in 2000, seemed to promise a more open and friendly Syria. In Turkey, the Justice and Development Party of Recep Tayyip Erdogan, which came to power in 2002, initiated a foreign policy of "zero problems with neighbors." This led to a fruitful Turkish-Syrian rapprochment: Erdogan and Assad became friends, trade between the two countries was boosted, and borders were opened for visa-free travel. Just two years ago, the two countries looked like the core states of a would-be Middle Eastern Union modeled after the EU.

But this honeymoon came to an abrupt end with the Arab Spring. The Erdogan government, whose claims include democratizing Turkey by saving it from the tutelage of the country's overbearing military, intuitively sympathized with and announced support for this democratic wave in the region. Yet while this proved to be a winning game in Tunisia, Egypt and Libya, Syria turned out to be a tougher case.

Throughout the initial months of the demonstrations in Syria, which began in March 2011, the Turkish government hoped and tried to persuade al-Assad's regime to allow a peaceful transition to democracy. This hope was gradually replaced by frustration, however, and Erdogan soon began to condemn the "barbarism" and "savagery" of the Syrian regime. The trouble for him, as it usually is, was also personal: As he said in the Turkish Parliament on June 21, Assad had promised him change and reform but proved to be a liar instead.

Consequently, Turkey rapidly emerged as one of the boldest supporters of the Syrian opposition, and the Syrian National Council, formed as the dissidents' umbrella group, found a base in Turkey. Meanwhile, at least 15,000 refugees from Syria, both dissidents and their families, were given shelter on the Turkish side of the Syrian border.

Moreover, the Free Syrian Army, a rebel group formed by the Syrian soldiers who deserted to the opposition's side, not only operated from Turkey but, according to some reports, were helped with arms and other supplies as well. The Syrian response was to add Turkey to its own version of the axis of evil -- the United States, NATO, Saudi Arabia and in fact much of the rest of the world -- in its official propaganda.

Inside Turkey, this engagement in the Syrian crisis has supporters and critics. The supporters are mostly Sunni conservatives who strongly identify with the Syrian opposition, which include the Syrian Muslim Brotherhood. (The massacre of thousands of Sunnis in Hama in 1982 by Hafez Assad had been a tragic memory in the minds of these conservative Turks, who now believe that the Syrian leopard has simply not changed its spots.)

Other voices in Turkey, ranging from hardcore secularists to pro-Iranian marginal Islamists, accuse the government for being naively involved in a conflict cooked up by "Western imperialists."

The plane incident came on top of all this. The downed jet was apparently an unarmed but military aircraft which, according to the Turkish government, was on a peaceful mission to test the NATO radar system based in eastern Turkey. Syrians said the plane violated Syrian airspace and was shot within it.

The Turkish government said the plane violated the Syrian airspace "mistakenly and very briefly" but was hit by a Syrian missile despite immediately having reverted to international airspace. The plane's two pilots, who apparently fell to the sea, are missing.

The Turkish reaction to the incident was outlined by Erdogan in an address in the parliament that came four days after the incident. In a very strident tone against the "bloody dictator of Syria," Erdogan announced that Turkey now sees its southern neighbor as a "clear and present danger" and will change its rules of engagement: "Any military element that approaches the Turkish border from Syria by posing a security risk will be regarded as a threat, and will be treated as a military target." The very same day, some Turkish tanks on the Syrian border were repositioned, implying that Ankara meant business.

Yet almost no one in Turkey seems enthusiastic for war. Many here point out that Turkey's ascendance in the past decade has been thanks to its "soft power." That mainly rested on the country's economic boom and democratic reforms, which seemed to present a synthesis of Islam, free-market capitalism and political liberalism.

Photos: In Syrian hospital, no escape from war

But should Turkey now consider putting some "hard power" on the table, without which it might become ineffective in its region? This is a question that Turks are passionately discussing these days, and the answer seems to matter a lot for the Syrians as well.

The opinions expressed in this commentary are solely those of Mustafa Akyol.

@highlight

Mustafa Akyol: Syria downing of Turkish plane has brought countries' tensions to new level

@highlight

He says relations had evolved to friendly until Arab Spring; Syria aggression opened new divide

@highlight

He says Turkey's Erdogan had tried to ease Syria to peace, but now it's in military posture

@highlight

Akyol: Turkey used "soft power" to gain regional strength. Must it use "hard power' to keep it?