(CNN) -- Fifty years after President John F. Kennedy's assassination, there are very few down-the-line defenders of the Warren Commission to be found. The investigation into JFK's murder was inadequate, rushed and manipulated by powerful officials.

Just consider a few of the commission's flaws.

-- President Lyndon Johnson and FBI Director J. Edgar Hoover had all but decided what the report would say -- that Lee Harvey Oswald was the lone gunman with no conspiracy -- within 48 hours of the shooting.

-- The report was issued on a political timetable. LBJ wanted it out well before his election in November 1964.

-- The FBI was less interested in the full truth and more determined to avoid blame for misreading Oswald's violent character. Hoover later admitted: "We failed in carrying through some of the most salient aspects of the Oswald investigation. It ought to be a lesson to all."

-- Far worse was the behavior of the CIA, which coached some witnesses, hid others and withheld important information. The agency never told the commission it had been keeping tabs on Oswald or why. To this day, the CIA says it did not have a relationship with Oswald and that it is not withholding anything important about the assassination from the public.

-- Even more suspiciously, the CIA maintained its subterfuge and continued to lie to yet another official JFK investigation in the 1970s, this one run by the U.S. House of Representatives. It was a chance to come clean, with lesser consequences, and the CIA didn't take it. The director of that study, Robert Blakey, now denounces the CIA and says he doesn't believe anything the agency told him and his panel.

-- Both the CIA and the FBI failed to inform the commission about their various arrangements with the Mafia, another prime suspect in Kennedy's killing. They considerably underplayed Oswald killer Jack Ruby's organized crime ties. "The evidence does not establish a significant link," the commission asserted, but in fact, Ruby was in frequent contact with mobsters.

-- A surprising number of first-hand, close-in witnesses from Dealey Plaza on November 22 were never interviewed by the commission. These people had useful information to impart. I interviewed some of them, still living after the passage of five decades, and to this day they cannot understand why the commission was uninterested.

-- The commission dismissed or ignored some compelling testimony that contradicted its preferred findings.

Thus, the Warren Commission failed to find the full truth when the trail was hot, and when most Americans would have welcomed the most thorough possible investigation, even if the process was lengthy and costly. We can never recapture that moment, or reel in the cynicism that has developed because of its inadequacies.

If we could go back in time, maybe it would be possible to figure out why the CIA was so interested in Oswald or why the FBI was so responsive when Oswald demanded to see its agents while he was in a New Orleans jail in August 1963. (Ask yourself whether the FBI would come running if you summoned it while incarcerated on a minor charge.)

It would also be useful to know what really happened when Oswald visited the Cuban and Soviet embassies in Mexico City just two months before the assassination.

With this extensive a list of shortfalls, is it any wonder the Warren Commission is widely derided? So, it may come as a surprise that, despite everything, a large part of the commission's basic conclusion turns out to be correct.

Lee Harvey Oswald almost certainly was the man who killed President Kennedy. Under an alias, he had mail-ordered an Italian rifle from Chicago. The Dallas police found photos of Oswald holding a rifle, taken by his wife. Contrary to theories that float on the Internet, the pictures were not doctored.

Oswald had demonstrated violent tendencies by attempting to kill Major Gen. Edwin Walker in April 1963. Oswald's wife has recalled that he had also made a veiled threat against former vice president Richard Nixon.

Oswald's rifle was found, and his palm print was identified on a box inside the sniper's nest on the sixth floor of the Texas School Book Depository. The trajectory of the bullets fired from the open window essentially matches the wounds suffered by both President Kennedy and Texas Gov. John Connally, who was sitting a few inches lower and to the left of JFK in the jump seat in front of the president.

After Oswald's first bullet missed the car entirely, the so-called "magic bullet" that struck JFK in the back was perfectly aligned to do substantial damage to Connally's body. And the final bullet that hit JFK in the head came from up and behind him, not the front. There is a reasonable physiological explanation for the actions of the president's body in the car once his skull was blown apart.

Two Dallas reporters in the motorcade saw a rifle protruding from the window (though not Oswald himself, who was shielded). A depository employee watching the motorcade from the fifth floor window below the one with the gun testified that he heard the sound of a fast-moving bolt action rifle and brass cartridges falling on the floorboards just above his head. A homemade paper bag was left on the sixth floor, and the employee who gave Oswald a ride to the depository on the morning of November 22 testified that Oswald was carrying a parcel wrapped in brown paper that Oswald claimed was "curtain rods," but which just as easily could have been a disassembled rifle.

Oswald was the only employee found missing from the depository a short while after the assassination. Most of the ballistics and eyewitness evidence suggests that Oswald shot Officer J.D. Tippit later that afternoon -- hardly the deed of an innocent person. Oswald tried to shoot another officer at the Texas Theatre when he was captured a little while later, shouting, "It's all over now."

Oswald was a deeply troubled man, a castaway who never fit well anywhere and could get along with few. He was someone yearning to be great but without the wherewithal to achieve it. At the end of his rope on November 22, 1963, Oswald had left his wedding ring and most of his money behind for his wife Marina and his two young daughters. He grabbed his rifle and planned to go out in a blaze of history-making glory by striking out at the ultimate symbol of power and success, a president who by pure chance would be passing by his place of low-level employment. Had Oswald not been killed by Jack Ruby, we probably would have learned as much in a few weeks or months.

Yet the story doesn't necessarily end with Oswald. There is no question that many powerful individuals and groups, some with whom Oswald had personal association, possessed the means, motive and opportunity to kill President Kennedy.

Was Oswald encouraged or manipulated in any way? Did anyone overtly or covertly aid him? After the assassination, were the FBI and especially the CIA simply trying to cover up for their incompetence in missing Oswald's nature and intent, or were there more sinister motives?

So much time has passed that we may never know, but our one chance to discover more is in the release of thousands of additional pages of memos relating to the assassination, including hundreds of items from the CIA.

After 50 years, it is absurd that anything is still hidden. Supposedly, the documents will be made public in a few years, but there is no guarantee. The Assassination Records Collection Act, signed by President George H.W. Bush in 1992, requires that all remaining documents about the Kennedy assassination be released by October 26, 2017.

The next president will rule on any requests from the CIA and other agencies that materials be withheld or redacted after 2017. Under the law, the president can do so only if there is identifiable harm to our national security that outweighs the public interest in disclosure. But it's possible the CIA could succeed in having some memos held back and others substantially redacted.

The right time came long ago for complete disclosure. Transparency cannot bring President Kennedy back, but at long last it can help America to come to terms fully with November 22, 1963 -- and perhaps to prevent similar events in our future.

The opinions expressed in this commentary are solely those of Larry J. Sabato.

@highlight

Larry Sabato: The investigation into JFK's murder was inadequate and rushed

@highlight

Sabato: Although the Warren Commission is derided, its basic conclusion is correct

@highlight

He says Lee Harvey Oswald was the killer, but was he manipulated in any way?

@highlight

Sabato: We need transparency; memos relating to the assassination must be released