(CNN) -- The Obama administration vastly underestimated the tens of thousands of barrels of oil pouring into the Gulf of Mexico after the Deepwater Horizon disaster, despite contrary information from scientists using better methodologies, a report from a national panel investigating the response said Wednesday.

And, the report said, the White House Office of Management and Budget squelched higher worst-case estimates once government officials accepted them, preventing the public from hearing them.

The staff also sharply criticized later White House estimates that 75 percent of the oil had been scooped up, burned or naturally dispersed, saying an operational tool -- known as the oil budget -- used by responders failed to accurately account for biodegradation and was not peer-reviewed by scientists.

The working paper from the National Commission on the BP Deepwater Horizon Oil Spill and Offshore Drilling looked at the government's response to the April 20 explosion that triggered the spill, and whether it accurately and appropriately conveyed information to the public. The explosion claimed 11 lives and led to thousands of barrels of oil being spewed into the Gulf daily for almost three months.

"By initially underestimating the amount of oil flow and then, at the end of the summer, appearing to underestimate the amount of oil remaining in the Gulf, the federal government created the impression that it was either not fully competent to handle the spill or not fully candid with the American people about the scope of the problem," said Wednesday's report.

Federal officials have stated that the low flow-rate estimates did not negatively affect their operations to stop the oil spill.

"Even if responders are correct, however, loss of the public's trust during a disaster is not an incidental public relations problem," the 29-page report said. "The absence of trust fuels public fears, and those fears in turn can cause major harm, whether because the public loses confidence in the federal government's assurances that beaches or seafood are safe, or because the government's lack of credibility makes it harder to build relationships ... that are necessary for effective response actions."

The report issued Wednesday is considered a working paper. The commission will issue a formal report January 12, 2011.

The president appointed the commission in June and tasked it to provide recommendations on how to prevent future spills and mitigate the impact of any that do occur. The commission is headed by former Florida governor and former U.S. Sen. Bob Graham and former Environmental Protection Agency administrator William K. Reilly.

Government officials, reacting to the report, said the response was "in full force and immediate" and that the government adequately warned the public of worst-case spill scenarios.

Rep. Edward Markey, D-Massachusetts, chairman of the Select Committee on Energy Independence and Global Warming, said BP won't be able to escape liability.

"Low balling the flow rate numbers was BP's attempt to hide both the truth and their wallet from the American people," Markey said.

After the oil rig sank, the U.S. Coast Guard and BP initially put the spill at 1,000 barrels per day.

The administration later derived a 5,000-barrels-per-day estimate, depending on an "unsolicited, one-page document" based on visual operation of the speed at which the oil was leaking from the end of the riser at the bottom of the Gulf.

Despite "inaccuracies" in the National Oceanic and Atmospheric Administration scientist's estimate of 5,000 barrels, the government stuck with that number through May 27, despite estimates from outside experts suggesting a much higher figure, the report said.

The panel's staff wrote that in some cases, nongovernment scientists relied on more refined or better-established methodologies.

"It is possible that the early official flow estimates would have been more accurate if the government had either enlisted greater in-house scientific expertise, or enlisted outside scientific expertise by making available the data on which government estimates were based," the report said. "The government appears to have taken an overly casual approach to the calculation and release of the 5,000 barrels a day estimate -- which as the only official estimate for most of May, took on great importance," the report said.

Soon after the spill, the Minerals Management Service and BP reported a worst-case estimate of 162,000 barrels, but that was replaced by another estimate received by the Coast Guard and NOAA of 64,000 to 110,000 barrels per day. The actual figure turned out to be about 62,000 barrels per day.

A barrel of oil is equivalent to 42 gallons (159 liters).

According to the report, NOAA wanted to make public some of its worst-case models and requested approval from the Office of Management and Budget. That request was denied.

A member of the government team assembled to address the gulf between official and independent flow-rate estimates told CNN, "We were never pressured [by the government] that we should change our [flow rate] number."

Ira Leifer blamed the initially low oil flow-rate estimates on the poor quality of data the group of scientists had from BP. Better video and data led to the rise in the daily oil spill estimate, he said.

The report also faulted the government's tracking of the spill. It said a White House official in August claimed 75 percent of the oil was "gone." But the response team could not support that claim, panel staffers wrote.

That information was never meant "to be a precise tool," and the administration should not have used it as a scientific report, they said. "It did not attempt to quantify biodegradation, or the exact amounts of remaining, dissolved, and dispersed oil, which were not the targets of response action."

Further, it said, the government's failure to account for the stages of biodegradation increased public confusion of how much oil was actually "gone."

The federal government later Wednesday said it acted appropriately with regard to spill estimates and the clean-up.

"As for the predictions about the spill flow rate, senior government officials were clear with the public what the worst-case flow rate could be: in early May, [Interior] Secretary [Ken] Salazar and Admiral Thad Allen told the American people [in media interviews] that the worst case scenario could be more than 100,000 barrels a day," said a statement from OMB Acting Director Jeffrey Zients and NOAA Administrator Jane Lubchenco.

"The federal government response was full force and immediate, and the response focused on state and local plans and evolved when needed," the statement continued. "As directed by the President, the response was based on science, even when that pitted us against BP or state and local officials, and the response pushed BP every step of the way. Finally, and most importantly, the response provided results for the people of the Gulf Coast."

Regarding the flow and recovery of the spilled oil, Zients and Lubchenco said responders worked with best known information at the time and later came up with improved analysis.

"The facts bear out that the federal response significantly mitigated the impact of the spill," they said.

The report has been posted online at http://www.oilspillcommission.gov/document/amount-and-fate-oil

@highlight

NEW: Government officials says response since April mitigated problems

@highlight

Panel's staff said the government response undermined public trust

@highlight

Report indicates the White House office refused to air worst-case figures

@highlight

The April 20 explosion claimed 11 lives, resulted in millions of barrels of oil going into Gulf