(CNN) -- If the U.S. election race conjures up images of mud flying through the air for many Japanese, campaigning politicians in the Land of the Rising Sun evoke visions of a more white-gloved affair.

Japan's politics are as Machiavellian as anyone else's behind closed doors, but their public campaigns are demure compared to the United States -- and many in Tokyo are aghast at the negative campaign tactics used on the road to the White House.

Japan has plenty on its mind these days. The country is wrangling with questions about how to rebuild its tsunami-devastated coast, what to do with its idled nuclear reactors, and whether a tax hike will solve its economic woes, so it's no surprise if people in Tokyo aren't riveted to the lead-up to the U.S. elections.

But the U.S. is important to Japan's economy and to Japan's increasingly rocky relationship with North Korea, so people are not ignoring it completely -- even if U.S. politics falls somewhere below the 'retirement' of a young pop idol in the morning shows' news order.

For those not up on their Japanese pop, Atsuko Maeda's surprise announcement that she was leaving mega-pop idol group AKB48 in March got as much breathless coverage in Tokyo, maybe more, than Rick Santorum garnered in the U.S. press for his decision to exit stage right of the 2012 Republican primaries.

In the 2008 Democratic primaries, Japanese observers saw Hillary Clinton as a powerful and intriguing former first lady, but it was Barack Obama's historic run that got even more attention when a small coastal city that happened to bear his name formed the "Obama for Obama" support group.

Japan watched the group cheer as the Super Tuesday election results came in 2008. They still make sweet steamed bean buns, called manju, with Barack Obama's picture on them and have announced plans to erect a statue of him in town.

The idea that whoever won the 2008 Democratic nomination would make history was exciting for the Japanese. This time around, most people see the current field of Republican hopefuls as a noisy blur, an only-in-America phenomenon -- or a "matsuri," as one woman described it, in reference to Japan's colorful, oft-chaotic outdoor festivals.

The notion that American campaigning is a complicated "show" was mentioned repeatedly by the people I spoke to, and Twitter is filled with Japanese observers likening U.S. politics to "watching a movie".

One thing that adds to the unreality of it is the issues at play. While there are right-wing parties in Japan, their focus tends to be a noisy brand of nationalism, rather than the emphasis on religious values embraced by Republican candidates like Mitt Romney and Rick Santorum. The major newspapers have recently carried election primers on the role of Mormonism and evangelical Christianity in the election. One such piece asked: "What is this 'evangelical Christianity' we hear about in the U.S. elections?" Religion simply isn't as loud a voice in Japanese politics as it is in the American election race.

Read more: Election postcard from Paris

Not that the U.S. has any kind of monopoly on noise. Rules dating back to the 1950s heavily restrict how Japanese politicians can campaign. These laws prevent candidates from taking to Twitter or updating their websites during the 12-day campaign period. In that short time, white-gloved candidates drive around waving from their campaign cars, repeating their names and asking for votes over loudspeakers attached to the car roofs.

Japanese candidates park their cars at intersections with heavy foot traffic and make speeches with microphones plugged into portable amps in front of some of the busiest train stations in the world. While small crowds do gather, people generally tolerate the racket only grudgingly. When a British man was arrested last spring for grabbing a microphone from a candidate in front of a train station in a Tokyo suburb and shouting, "Japanese elections are too noisy," he found an outpouring of support online from Japanese people who were also quietly fed up with the racket.

Many Japanese are intrigued by the idea of the U.S. candidates' debates. The handyman in my Tokyo flat complex told me the debates are the reason that he thinks the US election process is "better than Japan's."

"The debates are on TV, right? That gives everyone a chance to listen to the candidates, understand what they believe, and then make up their minds," he said. "We don't have anything like that, so we don't know as much about who the candidates actually are before we vote."

Those who watch the elections more closely view the debates and the hoopla around them more warily. One Japanese student told me: "What's good about the 'show' side of the debates is that it gets more people to watch. But ultimately you don't know if you're getting the candidate's own views or just hearing what his team of strategists came up with. It's easy for people to be manipulated by the politicians and the people behind them."

Many Japanese people say that they don't fully understand the U.S. election system, and I am quick to reassure them that many of us Americans wouldn't want to be tested on it, either. But they have the sense that the American elections are more direct, and that the U.S. is therefore a more representative democracy.

Read more: Election postcard from Cairo

Japan has a symbolic emperor and a parliament, and citizens do not directly elect their leader. There are no primaries; party leaders choose candidates. Since the campaign season is so short, they often look for candidates who will have good name recognition. This is why the less-powerful Upper House of the Diet often hosts a cast of minor celebrities including TV anchors, talk show commentators -- and even a handful of pro-wrestlers. The most colorful of these was Atsushi Onita, who didn't shy from mentioning his signature "thunder fire powerbomb" move in the Diet.

The need for name recognition is one reason why political seats are seemingly passed down within families. The handyman explained, "When a politician's son or daughter runs for office, we say, 'Oh, that's so-and-so's kid, he'll do,' without giving it too much more thought." He's clearly not the only one who thinks this way -- a study in 2009 found that a quarter of Diet members and almost half of the LDP legislators at the time were the children of former politicians.

Even if the American election itself seems inscrutable to Japanese voters, the result -- a leader who is in office for at least four years -- looks good. Japan has had four prime ministers since Obama won the 2008 election, and the margin for error is thin. The Ph.D. student says, "Fixed terms in the U.S. mean that even a sloppy start can be redeemed, but in Japan, they dissolve the Diet easily, so they can't recover from mistakes."

As Japan slowly rebuilds after the earthquake, calls are growing for a system with a stronger, more directly elected leader and a more efficient system of government. Japan will be looking at what parts of the U.S. system it might want to draw from and what it could improve. And until then, Tokyo will be looking up from its smartphones once in awhile at the American political matsuri.

@highlight

While Japanese campaigns are more civilized, the Japanese enjoy the more boisterous U.S. election race

@highlight

The Japanese city of Obama formed the "Obama for Obama" group in 2008

@highlight

Religion isn't as loud a voice in Japanese politics as it is in America, reports Barron