(CNN) -- Wang Yue, the two-year-old girl who was left for dead on a narrow street in southern China after a hit-and-run accident, has died.

The toddler, nicknamed Yueyue, had been cared for in a hospital in Guangdong province since she was injured a week ago.

She succumbed to severe injuries Friday morning.

Two hit-and-run drivers ran over Yueyue, one after another, after she wandered into the alley outside her father's hardware store. Both fled the scene but are now under arrest.

But there was one thing more shocking than the double hit-and-run: the seeming apathy by pedestrians, cyclists and drivers—18 of them—who did not stop to help.

Yueyue laid motionless in the street for 10 minutes until Chen Xianmei, a 58-year-old woman who collects trash for a living, passed by. She moved her to safety and called for help.

A security camera captured the incident on tape. After the video was posted online, Yueyue's plight prompted sympathy, outrage and debate in and outside China. How could 18 people pass by the critically injured child and do nothing? The incident has also prompted widespread soul-searching in China about the state of the nation's morality and civic-consciousness.

Why is it so difficult for Chinese nowadays to be a Good Samaritan? There are many possible explanations and many possible culprits.

Some blame it on the lack of laws and regulations. Others argue it's caused by the failure of China's education system to inculcate respect for human life and dignity.

Still others blame it on what some call "jingshen kongxu", or spiritual vacuum. As the country's 1.3 billion people compete to make money and climb the economic and social ladder, experts say, many people find themselves spiritually adrift.

Reynard Hing, an astute China-watcher, cautions against making sweeping conclusions. "It's funny how many people read into this, to the point that anti-Chinese sentiment arises," he wrote me. "This situation is not unique to China."

He cites the case of Kitty Genovese. In 1964, the woman in Queens, N.Y. was chased and stabbed to death by an assailant over the course of half an hour while 38 of her neighbors watched from their windows and did nothing to help.

Psychologists, Hing tells me, have dubbed this phenomenon the 'bystander problem'—the one factor that would predict Good Samaritan behavior was how many witnesses there were to a tragic event: The more bystanders, the less likely someone will step up to help.

I asked Xia Xueluan, a socio-psychology professor at Peking University, about the seeming callousness of the 18 passersby. One factor is the district where it occurred, which has a concentration of hardware stores like the one Yueyue's father owns. "(They) are owners of hardware stores originally from different parts of China who hardly know each other. Together they comprise a 'strangers' society', instead of one made up of real friends and acquaintances, or the "acquaintances' society'."

Xia said the two sub-groups are fundamentally different. "In an 'acquaintances' society'," he explained, "their relationship is of intimacy, trust and interdependence. In the 'strangers' society' it is characterized by estrangement, distrust, and independence. In such a society, it is not surprising to see incidents like this."

James Feinerman, a law professor at Georgetown University likewise cites the changes brought about by rapid urbanization. "In big cities, where many people have moved in from outside, where there are thousands of newcomers from the provinces, there's a feeling that you are better off just leaving people you don't know alone," he said in a CNN interview.

Other observers blame the incident on a breakdown in public trust. A joint survey by three universities in Beijing revealed that the root cause of people's reluctance to help others in need is a lack of trust among residents. Only about 8% surveyed said they still strongly trust other people.

Should an elderly person in need be helped? Over 60% of the respondents said "yes", but more than 84% also believed it is too risky; recently in China, there have been several cases of individuals who faked injuries only to sue those who come to their aid.

In 2006, an old woman in the eastern city of Nanjing was injured after rough jostling at a bus stop. Peng Yu, a young man and fellow passenger, offered help and even took her to the hospital. Later, however, the old woman and her family sued him in court, which eventually ruled that Peng Yu should pay 40% of the medical costs.

Similar cases have happened in recent years.

"There must be something wrong when it is considered risky to be a Good Samaritan," China Daily wrote in an editorial this week. "Apathy and distrust are the last things a harmonious society needs. It is imperative that we find a way to protect Good Samaritans from being wronged."

Peking University's Xia Xueluan calls this the "interpersonal trust crisis". He explains: "This kind of crisis is highly contagious and could deteriorate due to lack of legal support. As a netizen puts it, it's not that the good people can no longer be found in our society. It's that nobody can afford to do good deeds—the price can be too high."

Days after Yueyue's tragic accident, millions of China's micro-bloggers are still pouring out their anger and frustration.

"After Peng Yu's case, if you were the first to find Yueyue after the accident, would you rescue her?" Netizen Yi Jingge wrote.

That is a question many in China are now asking themselves.

@highlight

A 2-year-old toddler in China died after being hit by two separate cars

@highlight

Video shows neither driver stopped to help, nor did 18 passersby

@highlight

Incident has caused an uproar around China, as well as soul-searching

@highlight

"There must be something wrong when it is considered risky to be a Good Samaritan"