New York (CNN) -- The tragic death of President Lech Kaczynski and Poland's political and military elite among the trees of the Katyn Forest is surreal, given that in those same woods, thousands of Polish prisoners of war were murdered by Joseph Stalin's secret police.

The delegation was headed for the Katyn Forest near Smolensk, Russia, to honor the 22,000 Polish prisoners of war killed 70 years ago by the Soviet Union's NKVD, forerunner of the KGB.

In 1940, Stalin ordered the assassination of Poland's military and political leaders in order to create a leadership vacuum so he could prop up a Communist puppet state in Warsaw.

Many of those killed in Saturday's plane crash helped to overturn Soviet Communism in Poland in 1990. They included Poland's top generals, several bishops, the head of the national bank and several deputy government ministers.

During the five decades of Soviet occupation of Poland in the Cold War, the Russians covered up the Katyn Massacre, claiming that Nazi Germany had murdered these officers. But forensic evidence found in mass graves proved that the Polish prisoners were taken into the woods, with their hands tied behind their backs, and one by one, they were shot dead in the back of the head by the Russians. The mass graves were discovered by German soldiers in 1943 when they saw pawprints of wolves that had been digging up the bones.

In 1990, after the collapse of the Soviet Union, the truth began to slowly emerge with revelations by Russian leaders Mikhail Gorbachev and Boris Yeltsin.

It's no secret that Moscow was not excited about Kaczynski's visit to Katyn, because he demanded to know the full truth about the murders. For the Kremlin, the official commemoration took place last Wednesday when Russian Prime Minister Vladimir Putin and Kaczynski's political rival, Polish Prime Minister Donald Tusk, took part in ceremonies at the same gravesite where Kaczynski was heading.

But Kaczynski's delegation included family members of murdered officers who wanted the Russian government to open all of the remaining archives concerning the massacre.

For decades, the cries of Polish families who want to know what happened to their loved ones have fallen on deaf ears. Kaczynski was their voice.

Many will no doubt compare this crash to the 1943 death of Polish Prime Minister Gen. Wladyslaw Sikorski, who died mysteriously when his plane crashed into the sea near Gibraltar after he asked the International Red Cross to investigate the Katyn Massacre. At the time, the American and British governments were not willing to address the massacre because they were trying to help the Soviet Union fight Nazi Germany on the Eastern front.

Let us hope the flight data recordings from Kaczynski's downed plane will provide enough evidence to dissuade conspiracy theorists.

Ironically, because of Kaczynski's death, more people have already heard about the Katyn Massacre than would have heard about it had he simply placed a wreath at the gravesite. For those Polish officers in the mass graves at Katyn, Lech Kaczynski's death was not in vain.

Many Russian government officials appeared on Polish television after the disaster expressing sincere regrets over the death of Kaczynski and his delegation. Putin has flown to Smolensk, where he said that he would oversee the investigation into the crash. Hopefully, these are signs that this tragedy will somehow lead to the full truth about Katyn and reconciliation between Poland and Russia.

For decades, Katyn has been the symbol of the worst in Polish-Russian relations. That is why several months ago, the Kosciuszko Foundation began working on a conference about the Katyn Massacre to be held at the Library of Congress on May 5. The goal is to provide a forum for political leaders, scholars, authors and human rights advocates from Poland, Russia and the United States to discuss new details on the massacre, and the possibility of finding a path toward reconciliation between Poland and Russia.

There will also be a display of rare Katyn photographs and documents on loan from The Council to Protect the Memory of Struggle and Martyrdom. Andrzej Przewoznik, secretary-general of the Council, was to be one of the speakers. He died in Saturday's crash. Now, this conference and exhibit will be a tribute to him, as well as to the other Polish leaders killed in Katyn during the 1940s, and in 2010.

The opinions expressed in this commentary are solely those of Alex Storozynski.

@highlight

Plane crash killed many Polish leaders headed to commemorate Katyn Massacre

@highlight

Alex Storozynski says the massacre by Soviets in 1940 remains a source of friction

@highlight

Polish president, killed in crash, was voice of those who wanted to know about the massacre

@highlight

Storozynski hopes for reconciliation for Russians and Poles still seeking full truth