Beijing (CNN) -- He is China's most outspoken critic. But when he won his freedom after three months in prison, it came with a cost -- that he keep quiet.

One day after Ai Weiwei was released on bail, the dissident artist remained at home, unable to speak with anyone about why he was detained or what awaits him now. All he was able to tell reporters was that he was all right.

The terms of his bail stipulated that he not talk to the media.

"And he has reached an agreement with the authorities and that agreement is that he will not say anything about what happened during the 80 days that he was held incommunicado and also that he will desist from any advocacy of the rule of law, human rights or criticism of the government," said Nicholas Bequelin of Human Right Watch,

Ai's release came without much fanfare. It was quietly reported Wednesday by the state-run Xinhua news agency. Many in Beijing Thursday seemed unaware that he had been freed.

A group of journalists and supporters gathered at his home and studio, hoping to be able to speak to him. Ai looked haggard and thinner. He managed a smile but declined to answer questions.

"I'm fine," he said. "I'm sorry I can not talk. I am on probation, please understand."

It was not a customary answer from the provocative conceptual artist, renowned as a harsh, uncompromising critic of Chinese government policies.

He's most famous for designing the Bird's Nest stadium for the 2008 Beijing Olympics. But later Ai called for a boycott of the games because he said China was using them as propaganda. He also has accused the Chinese government of trying to silence dissidents.

Ai was seized April 3 while planning to board a plane to Hong Kong and later accused of economic crimes, a move that prompted international condemnation and added to criticism over China's controversial record on human rights.

He was never formally charged or tried.

Ai's Beijing studio was raided, and his wife and eight assistants were taken into custody for questioning. Beijing police accused him of evading a "huge amount" of taxes, Xinhua reported in May, more than a month after he was detained. Investigators accused Ai's company of intentionally destroying accounting documents.

His prolonged detention sparked international outcry, especially among artists and museum officials in the United States and Europe. He became a rallying point among human rights activists overseas who condemned China's crackdown on political dissidents, lawyers, artists and religious groups.

Observers in Beijing said it may not be coincidental that Ai's release on Wednesday took place on the eve of Premier Wen Jiabao's upcoming visit to Hungary, Britain and Germany, where Ai enjoys wide support among artists and politicians.

The news came after more than 140,000 people in 175 nations joined a campaign spearheaded by Change.org that urged the artist's immediate release. Leading art institutions including the Guggenheim Museum, the Museum of Modern Art, London's Tate Modern and the Association of Art Museum Directors were part of the campaign.

Fellow activist Zhao Lianhai cheered Ai's release, but expressed concern about the current situation, especially the ongoing crackdown on dissent.

On China's cyberspace, Ai's name is nowhere to be found, censored out of existence. Even words with the slightest connection to Ai -- AWW, or "the fat guy"-- are blocked, too.

Some Chinese netizens tried to camouflage their postings.

"The man whose name can not be mentioned is released!" read one post.

International reporting on Ai, including on CNN, was blacked out.

China's mainstream press has largely downplayed Ai Weiwei's release; most newspapers ignored it.

Ai will not be on Twitter, Facebook or on television. Under bail conditions, he has lost his freedom of speech, said Jerome Cohen, adjunct senior fellow for Asia studies at the Council on Foreign Relations.

"He's got to keep quiet and behave according to the criteria of the Chinese police for the foreseeable future," Cohen said. "He's not the only one. This has happened many times before," said Cohen, also a professor at NYU School of Law.

Beijing police told state media that Ai had been released on bail because of his good attitude in confessing his alleged crimes and also said he was suffering from a chronic disease. It is not clear to what disease police were referring.

Ai has also said that he is willing to pay the taxes he allegedly evaded, police told Xinhua.

Relatives and human rights groups said they believe Chinese authorities targeted him because of his irreverent commentary on modern Chinese society, though the Chinese government denied his activism had anything to do with his detention.

"He is not alone in this position and in fact shares it with many human rights lawyers, writers, activists and young people online," filmmaker Alison Klayman recently told CNN.

"A lot of the censorship that happens in China is self-censorship, and I think the fact that Weiwei doesn't engage in self-censorship is a big reason why people gravitate to him," said Klayman, whose feature film "Ai Weiwei: Never Sorry" is set to be released this fall.

But for now, Ai will have to be silent.

CNN's Jaime FlorCruz contributed to this report.

@highlight

Ai Weiwei was released Wednesday night

@highlight

He is known for his irreverent commentary on China

@highlight

But the conditions of his bail bar him from speaking to the media

@highlight

He tells reporters he is fine but cannot talk