HONG KONG, China (Reuters) -- Paul Lee got his liver from an executed Chinese prisoner; Karam in Egypt bought a kidney for his sister for $5,300; in Istanbul Hakan is holding out for $30,700 for one of his kidneys.

Doctors in Pakistan have been arrested for abducting people, drugging them and stealing their kidneys.

They are not so unusual: a dire shortage of donated organs in rich countries is sending foreigners with end-stage illnesses to poorer places like China, Pakistan, Turkey, Egypt, Colombia and the Philippines to buy a new lease of life.

Lee, a 53-year-old chief subway technician in Hong Kong, was diagnosed with liver cancer in January 2005 but doctors denied him a transplant because they feared the tumor would spread.

A friend told him about a transplant hospital in China's north eastern Tianjin city and he signed up for a place. That April, he paid 260,000 yuan ($34,380) for a transplant -- surgery that saved his life.

"The hospital has connections with a lot of prisons," Lee told Reuters. "Mine came from an executed prisoner from Heilongjiang. I thank the donor deeply."

The World Health Organization estimates that 21,000 liver transplants are carried out annually, but medical experts put annual worldwide demand at at least 90,000.

Demand for kidneys also exceeds supply, and that has given rise to organ trafficking and a black market for rich people and "transplant tourists" who travel to poor countries to buy body parts from people with few other routes to a better living.

A donor in South Africa receives $700 for a kidney compared with $30,000 in the United States. A lack of transparency and little protection for donors has spurred calls by international bodies to crack down on, or at least regulate, the trade.

But even where the trade is banned, laws are often muddled or laced with loopholes, which are sometimes defended by vested interests.

And the unregulated route is much less complicated for the recipient. Any transplant procedure involving a living donor carries risks for the donor -- especially for liver transplants which involve removing part of the donor's liver.

The complications can include bleeding, infection, even death.

In the transplant trade, the recipient need not worry about, for example, exposing a living relative to that risk.

"It is cheaper and your next of kin is not taking the risk and you don't have to care for someone you don't know. Once you pay, it is discarded in a way, it is dispensable," said Luc Noel, a Geneva-based coordinator for Clinical Procedures at the World Health Organization.

China recently banned the sale of human organs and restricted transplants for foreigners, saying it must first meet demand at home for 2 million organs a year.

Only 20,000 transplants are carried out in China each year. Of these, 3,000 are liver transplants and 95 percent of them use livers from dead donors.

China defended its use of organs from executed prisoners, saying consent was obtained from convicts or their families. A transplant operation using the liver of a dead donor costs around $33,000 in China.

"What is important is the transparency, it has to be open to scrutiny ... if China makes its current system open to scrutiny and very transparent, that would do good," said the WHO's Noel.

In Asia, a cultural obsession with keeping the body of the deceased intact has stymied public organ donation programs.

Excluding China, Asia has fewer than 200 livers donated by people ahead of their death each year, said Lo Chung-man, professor of hepatobiliary and pancreatic surgery at the University of Hong Kong.

Pakistan, where trade in human organs is not illegal, is turning into a "kidney bazaar", said the chief executive of Pakistan's Kidney Foundation, Jaffar Naqvi.

There are no confirmed figures for the number of foreigners coming to the country for new kidneys but Naqvi said there were 13 centers in Lahore alone which reported more than 2,000 transplants last year from bought kidneys.

Patients, mostly from Europe, Saudi Arabia and India, pay about 500,000 rupees ($8,500) for a new kidney, he said. Donors are paid $300 to $1,000 and often get no medical care after the surgery.

There is no consent in some cases. In May police arrested nine people, four of them doctors, for abducting people, drugging them and stealing their kidneys for transplant operations.

In the pipeline is a draft law aimed at banning the trade, but a powerful lobby bent on preserving it is trying to ensure it allows kidney donations for a non-relative, with no payment. Such a clause allowing "altruistic" organ donations will ensure the trade continues with secret payment to donors, Naqvi said.

Stories of people selling their organs, especially kidneys, are not uncommon in Egypt, where more than 30 percent of a population of more than 73 million people live below the poverty line.

Karam, who asked to be identified only by his first name because organ trading is illegal, said it took him only 15 days to secure a kidney for his sister who was suffering from kidney failure. He said a doctor found him a man willing to sell his kidney for 30,000 Egyptian pounds ($5,300).

"The fees of the doctor were 5,000 pounds. Both his money and the fees of the hospital were deducted from the money the 'donor' received," said Karam.

He said doctors usually help in finding people willing to sell their organs from their patients' lists.

Abdel-Kader Hegazy, head of the disciplinary committee at the Doctors' Union, said Egyptian law lacks clear punishment for those involved in illegal transplants, making it easy for doctors to repeat the offence.

"The law says it is illegal to trade in organs but does not specify the punishment. We at the union suspended many doctors and closed their practices, but they have appealed before courts and won their licenses back," he told Reuters.

"It is an annoying and a regrettable situation. Well-known doctors and professors are doing this. They are rich people but they do it because they have no moral values."

The union has been pushing for legislation to regulate organ transplants, with a draft bill including heavy fines and a prison sentence for those involved and a ban on transplants between people of different nationalities.

But the draft law has been languishing in parliament for several years because of differences between doctors and senior Muslim religious leaders on whether Islam allows organ transplants in the case of clinical deaths.

In Turkey, students, unemployed young men and struggling fathers post adverts on the Internet selling their kidneys, listing their drinking and smoking habits and blood type.

These would-be donors say they have had enquiries from Germany, Israel and Turkey with asking prices going up to 50,000 lira ($38,760).

Hakan, a 27-year-old security guard in Istanbul with two young children who also requested only his first name be published, told Reuters he received five or six offers from Turkey and Germany, offering 10,000-15,000 lira ($11,600), but he's holding out for 40,000 lira.

"Of course it's frightening but there's nothing else to be done," he said, adding he hadn't told his wife as he knew she would object.

"I'm doing it because of my family, if I was alone it wouldn't matter. I've got two children ... there's nothing else I can do for them." E-mail to a friend

Copyright 2007 Reuters. All rights reserved.This material may not be published, broadcast, rewritten, or redistributed.

@highlight

Organ shortage in rich states has created a trade from poorer countries

@highlight

"Transplant tourists" travel to poor countries to buy organs from the desperate

@highlight

Pakistan, where trade in human organs is legal, is turning into a "kidney bazaar"

@highlight

Patients pay $8,500 for a new kidney, while donors are paid just $300 to $1,000