Palo Alto, California (CNN) -- The Internet doesn't have a flag or a national anthem, but it does have a government.

For the most part that would be the Internet Corporation for Assigned Names and Numbers , which faces near-constant scrutiny from countries, corporations and netizens. Think of ICANN as the head referee of a heated sporting event, under fire from all sides and rarely able to please everyone.

Last week, the U.S. Federal Trade Commission wrote a letter saying ICANN has long failed to provide safeguards that protect consumers from online swindlers and help cybersecurity officials catch such crooks. In the letter, the FTC also criticized a major ICANN initiative that would let Internet users run their own domain-name extensions, to accompany .com, .org and others.

The federal agency fears that a quick expansion of domains, a project that has been several years in the making, would increase the likelihood that scammers could trick people who enter common misspellings, such as Amazon.comm. The government is also concerned that it will have a more difficult time getting information about website owners after the switch.

"The potential for consumer harm is great, and ICANN has the responsibility both to assess and mitigate these risks," four top FTC officials wrote in a joint memo.

The FTC's criticisms are just another in a series of legal battles, political pressures and public name-calling that comes with being the most visible party overseeing the global Internet. There are several other governmental gatekeepers for the Web, but ICANN gets the most attention, and ire.

As for the domain expansion, ICANN officials say they are working to improve the data they can provide to governments and police, and that they have stringent rules in place for who can register which extensions. Another ongoing controversy, the .XXX extension for porn sites, was initially resisted by ICANN's board of directors. But the organization now supports it and may have to defend that stance in court against adult-entertainment companies who fear the .XXX domains will marginalize their sites.

How ICANN works

At the helm of this 23-year-old organization is ICANN president and CEO Rod Beckstrom, a confident and excitable executive with a helmet of long blond hair.

Beckstrom and his 130 or so employees receive a lot of guff, but they aren't afraid to give some back. He says he has serious concerns about a bill in the U.S. Congress called the Stop Online Piracy Act, which shifts much of the blame for carrying illegal content onto website publishers.

ICANN, based near Los Angeles in Marina del Rey, California, was once closely tied to the U.S. government. Although it must keep its headquarters in the United States by contract, it has bases in Belgium and Australia. The United States has sometimes reluctantly loosened its grip over Internet governance.

Proposals for new Internet initiatives are often handed to ICANN by various Internet registry organizations, and the ICANN board votes on each. The organization has to consider recommendations from a committee of national governments, and many countries have strong opinions.

With the Stop Online Piracy Act in the United States or systems in China and other Asian countries proposing major changes to who is responsible for what information is posted online, ICANN has to pick its battles and juggle hundreds of competing interests. Its critics often overpower its allies.

As Internet access begins to reach practically every part of the world through the proliferation of smartphones, the network is at risk of being pulled in many different directions -- or splintering, as it has behind China's Great Firewall. No government wants to be the next victim of a so-called social-media coup, in which the freewheeling nature of the Web becomes a target for censorship.

"ICANN stays neutral, and it has to keep running," Beckstrom said in a recent interview from his office here in Silicon Valley. "We're a lot like Switzerland."

A frequent target

In international politics, Switzerland is typically neutral but rarely controversial. On the other hand, ICANN receives plenty of blowback for its policies, including for those with which it has little or no direct involvement.

For example, ICANN has been criticized for being slow to respond to a shortage of Web addresses that could make certain websites inaccessible to some people. However, ICANN has a fairly small role in this transition from Internet Protocol version 4 to 6, ICANN chairman Steve Crocker said in a phone interview.

"ICANN's role in all of this is very restricted, but we often get looked at as the center of these things," Crocker said.

ICANN officials say its own initiatives, such as .XXX and the global domain expansion, are controversial but necessary as the Internet keeps growing.

"Any time you take a system that started out small and expand it hugely, you get a lot of changes," said Crocker, who was a member of the team that posted the first message to ARPANET, the Internet's predecessor.

Like any government, ICANN is said to make decisions slowly. Crocker defends ICANN's process as thorough and sufficient. After a change has been implemented, it is generally up to each country's government to enforce the rules or systems set up by ICANN.

"We don't have the authority of being a government," he said. "If we did, that would create more problems."

The Internet's governmental bodies say they are more effective at getting things done than America's political system, which is often seen as polarized and gridlocked. The Internet has an effective system of checks and balances, said John Curran, the president and CEO of the American Registry for Internet Numbers. The registry is one of five international groups that propose new initiatives to ICANN.

"If people (in national government) would take time to listen as much as they postulate their views, then we would have progress," Curran said by phone last week. "We have people actually discuss the issues. We don't have people showing up with fixed positions."

The Interplanetary Internet

In the efficiency-obsessed technology sector, ICANN has streamlined its system of yearly goals under Beckstrom, a former finance executive for Morgan Stanley who transitioned to high tech and cashed out at the height of the dot-com bubble in 1999.

Beckstrom, who has also served as a director for the U.S. National Cybersecurity Center, plans to step down in July. ICANN said last week it is searching for a replacement.

Vint Cerf, a sage-like founding father of the Internet, has discovered ways to continue contributing to Internet governance since stepping down as ICANN chairman in 2007. He is a vice president for Google with the unusual title of chief Internet evangelist.

"The Internet doesn't just happen," Cerf said by phone. "It's a continued battle to keep it as open and accessible and free as possible. And it's hard to do."

Some of Cerf's attention has shifted to something called the Interplanetary Internet. As its name implies, the plan involves designing a network that can work in outer space. Light speed is fine for the Earth's Internet, but it is an obstacle when sending an e-mail to Mars.

But the Internet still faces major hurdles on its home planet. Cerf said he believes governmental organizations, like ICANN, will need to continue to adapt.

"These institutions got created in response to the forces in the ecosystem," Cerf said. "I would not say that this was top-down architected. I don't think it could be, because these institutions got created as the demands made themselves apparent."

As new demands and stakeholders emerge, the Internet and its stewards will find obstacles, whether it's an overzealous government or the speed of light.

@highlight

ICANN is an international organization that governs the Internet

@highlight

Some have criticized ICANN for how it's expanding the types of available domain names

@highlight

Other initiatives, such as the .XXX domains for porn sites, have been controversial

@highlight

The Internet is overseen by several organizations and has a checks-and-balances system