(CNN) -- Following AstraZeneca's most recent rejection of Pfizer's bid, many may ask if this is a lost opportunity for British innovation, or the salvation of it?

I think both points of view miss the real story. The key challenge for the UK is not about ownership structure, but about being a hub for the development of 21st-century medicines.

To be sure, most of the UK life science sector will be mightily relieved that Britain is still home to two of the global giants of biomedicine. But Britain must not become complacent about bioscience investment.

To keep them and other companies investing here we need to continue the prime minister's crusade to make the UK the best place in the world for 21st century medicine design.

To understand why, you need to understand the sector. Having worked for fifteen years in the industry -- not for "Big Pharma," but for insurgent biotech companies and charities, who are increasingly the ones discovering most of the new medicines -- the controversy over the proposed merger was fascinating.

It highlighted fundamental issues at the heart of the revolution transforming the pharmaceutical industry.

The truth is that "Big Pharma" is failing to develop enough new medicines. Their old business model -- dependent on producing a steady pipeline of expensive "blockbuster" drugs to sell to Western governments -- is broken.

Instead, these companies have now become reliant on the smaller and more innovative biotechs (and increasingly charities) to fill their pipelines with a new world of genetically targeted medicines.

The pharma sector is radically changing, from being all about the discovery of old style drugs through biological research, to the design of personalized and genetically profiled drugs through research based more in hospitals than pharma factories.

To succeed in this new world of 21st century biomedicine, the UK has to unleash the unique power of its public health service the NHS -- a global powerhouse for modern drugs design.

If we do so, we can deliver huge benefits to NHS patients, slow death rates in key diseases like cancer, reduce our drugs bill by making the UK the fastest and best place in the world to develop, test and prove these new medicines -- which would allow us to pay a discounted rate -- AND kickstart a 21st century life sciences cluster. It's a massive prize.

That's why I was so pleased when the prime minister invited me to help the UK set out our ground-breaking Life Science Industrial Strategy in 2011, which has been internationally welcomed.

Different companies are responding to this challenge in different ways. AstraZeneca last year electrified the sector by wholeheartedly embracing the Life Science Strategy, embedding its staff in the Cambridge biotech and hospital campus.

Pfizer, meanwhile, is known in the sector as the lead exponent of the M&A model: delivering shareholder returns by acquiring other companies. In either case, the success of the Life Science Strategy was proved when both announced that after closing their respective factory plants in Sandwich and Cheshire, they were moving not to Cambridge, Massachusetts, but Cambridge, UK.

The fact that these companies are in the UK, despite our becoming in recent decades one of the slowest and lowest priced purchasers of drugs, is testament to the model we have adopted.

The truth is that we need to worry less about who owns these companies -- after all the shareholders in both cases are global, as is the management -- and more about their level of commitment to the UK as a place to develop and sell modern medicines.

We need to be rolling up our sleeves and making sure whoever owns the company has a strong commitment to the UK for the right reasons, namely because it is the best place on earth to develop 21st-century medicines.

Western governments no longer have a right to expect or demand investment. We have to compete and win it by being more entrepreneurial.

The truth is that what really matters is that the UK remains a world-class place to discover and develop new 21st-century medicines. If we get that right, we can be relaxed about where the capital and talent flows from.

Without it, we won't have any takeovers to debate. The very possibility of the takeover was a tribute to the UK as a place where people want to do business.

For the physical and economic health of us all, long may it remain that way.

READ MORE: Pfizer ditches pursuit of AstraZeneca

READ MORE: Pfizer bid reveals British protectionism

WATCH MORE: Pfizer defends its bid

The opinions expressed in this commentary are solely those of the George Freeman.

@highlight

MP George Freeman says the failed Pfizer bid for Astrazeneca is not a lost opportunity

@highlight

Instead, it ensures a focus on the crusade to make the UK a hub for medicine design

@highlight

Freeman says the UK must look to its public health service to boost research

@highlight

That will ensure the debate continues to be around doing business in the UK