London (CNN) -- He's brought bloodthirsty zombies, squalid junkies and murderous housemates to life on the big screen, but faced the toughest task of his career at London 2012: bringing boogying nurses, bucolic scenes and butterflies on bicycles to a worldwide audience of a billion people.

Danny Boyle, the Oscar-winning director -- and east London resident -- best known for hit movies "Trainspotting" and "Slumdog Millionaire" was the man responsible for the Olympic opening ceremony, the show that televisions around the world were tuned in to at the start of London's long-awaited Games.

And while those of his films set in Britain have painted a darkly comic picture of the country, "Isles of Wonder" -- the "Tempest"-inspired extravaganza which kicked off the Games -- proved much more of a celebration of the nation.

Live blog: Let the games begin

A billion people across the globe tuned in for the three-hour, $42.4m show, which featured 10,000 adult volunteers, 900 children, 12 horses, 10 chickens, nine geese, three cows and a flock of sheep.

With an uplifting, "people power" theme combining references to British history and pop culture, the rambunctious ceremony covered subjects as diverse as the Industrial Revolution, the National Health Service, popular children's book characters including Peter Pan and Mary Poppins, and pop stars past and present.

It was well received in the United Kingdom and abroad, drawing an average audience of 40.7 million people in the US, topping the previous record of 39.8 million for the 1996 Atlanta Games.

"The Ceremony is an attempt to capture a picture of ourselves as a nation, where we have come from and where we want to be," Boyle explained in a statement in the run-up to the Games, saying he hoped to tell the country's story, with the help of a vast army of volunteers who, he said, "are the purest embodiment of the Olympic spirit and represent the best of who we are as a nation."

"We have to celebrate all that is great about the past but also all the potential Britain has in the future," said British Prime Minister David Cameron.

"The difficulty is how do you cram in all that is great about our country, whether it is sport, art, literature, history, contribution to world events. I'm confident they have done a good job and there were one or two moments I was really moved by. There's something for everyone."

Opinion: Is Team USA's militaristic uniform a problem?

Britons are known for their ability to laugh at themselves, and it appears Boyle sought to capitalize on this -- as The Economist noted recently, "opening ceremonies are a country's opportunity to sell itself to the world. Britain appears to be selling irony."

Olympics organizers say that Boyle's experience, energy and unusual vision made him the perfect man for the job.

"His ability as a storyteller, as a creator of spectacle, his background in both theater and film and the passion he has for this city and this project -- they all just screamed at us," said Bill Morris, director of Ceremonies for the London Games, when Boyle was appointed to the role. "It wasn't a difficult choice."

"Danny gets this," London 2012 Chairman Sebastian Coe told CNN back in 2010. "He gets the Olympic Games, he gets sports, he lives in London, he's a stone's throw from the Olympic Park, and it was just such an obvious fit."

It was not always thus: Boyle, 55, was born into a working-class family in Manchester, northern England, the son of a power plant worker and a cafeteria employee, and as a child had hoped to become a Catholic priest.

But after a school trip to see a much-lauded Royal Shakespeare Company performance of "Richard II," and a visit to the cinema with classmates to see Stanley Kubrick's controversial "A Clockwork Orange," his ambitions turned instead to film and theater.

Boyle studied English and drama at university, before working at the RSC and at London's innovative Royal Court Theatre, where he was deputy director in the 1980s.

He moved into television, and then on to movies, making his big screen debut with "Shallow Grave," the darkly humorous tale of three flatmates who discover a suitcase full of cash when their new lodger dies of a drug overdose.

Despite being made on a shoestring budget -- Boyle is reported to have said the team behind it were forced to sell off furniture to buy film stock when the $1.55m budget began to run short -- "Shallow Grave" became Britain's biggest grossing film of 1995, earning $20m worldwide, as well as a string of positive reviews.

He followed it up with "Trainspotting" (1996) the critically-acclaimed story of a group of Edinburgh heroin addicts, which launched the careers of Ewan McGregor, Kelly Macdonald ("Boardwalk Empire") and Kevin McKidd ("Grey's Anatomy"), and was hailed by Rolling Stone magazine as "a visionary knockout spiked with insight, wild invention and outrageous wit."

London welcomes world for Olympics opening ceremony

Its success -- the movie, which had cost just $2m to make, earned $72m -- prompted a move towards Hollywood, but Boyle's career faltered with his first two big-budget projects, "A Life Less Ordinary," and "The Beach," and he briefly returned to television in the UK, before making his movie comeback with 2002's post-apocalyptic zombie flick "28 Days Later."

He then changed tone, directing the more family-orientated family feature "Millions," (2004) about two brothers who find a stash of pound notes only days before the UK is set to switch its currency to the euro.

Five years later, he scooped the Oscar for Best Director when "Slumdog Millionaire," the story of a poor Indian teenager who wins a TV gameshow, swept the board at the 2009 Academy Awards.

And it is the uplifting, life-affirming mood of "Slumdog Millionaire" that the director brought to the opening ceremony, because despite the dark subject matter of many of his films, and his recent return to theater with a rapturously-received production of Frankenstein, Boyle insists he remains positive, an optimist.

Speaking in 2010, he said: "I want it to feel like a very genuine expression of the welcome to the athletes and to the Games of the city, and especially from east London."

As the athletes launch into competition in venues around his home, his ceremony's combination of novelty, national pride and nuttiness seems to have accomplished exactly that.

Complete coverage: The 2012 Olympic Games

Photos: Olympian outtakes

Blind archer posts first world record of London Olympics

@highlight

Danny Boyle is the mastermind behind the London 2012 Olympics opening ceremony

@highlight

Boyle is best known for hit movies "Slumdog Millionaire," "28 Days Later" and "Trainspotting"

@highlight

Despite the films' black humor, director insists his work is positive, life-affirming

@highlight

Ceremony tipped as "expression of welcome," celebration of Britishness