(CNN) -- Peter Trimble found his formula through trial and error. A design student at the University of Edinburgh, he was aiming to produce an artistic exhibition for a module on sustainability, when he stumbled on "Dupe," a living alternative to concrete.

A lab technician introduced Trimble to Sporosarcina pasteurii, a bacterium with binding qualities, sometimes used to solidify soil to hold road signs in place. The student tested it with one of the world's most abundant resources - sand. Pumping bacterial solution into a sand-filled mould, he added nutrients, urea derived from urine as fertilizer and calcium. After a year, and hundreds of failed experiments, this process manufactured a stool around 70% the compression strength of concrete.

The process requires less than one-sixth of the energy used in concrete production, and is completely biodegradable. Crucially, Trimble believes his mechanism has the added benefit that it could be employed by anyone, anywhere.

"Once you have the basic framework it should be transferable. Imagine a Tsunami-hit farm in Indonesia that is not getting supplies. You could use sand and bacteria on site, practically free, and have shelter housing that is far more permanent."

Trimble is working with NGOs to apply Dupe to Aboriginal settlements and insecure regions of Morocco. But while the applications are new and experimental, the concept of growing the material for our built environment is increasingly regarded as not merely interesting, but essential.

According to the U.S. Environmental Protection Agency, the construction industry accounts for 40% of the world's C02 emissions, 40% of U.S. landfill and has been uniquely resistant to change. Concrete, bricks and cement have remained the dominant materials since the industrial revolution in the early 19th century, and as pressure mounts on resources and climate, scientists and architects are looking to the natural world for solutions.

Building bacteria

Bacteria have been at the center of alternative methods. North Carolina start-up Biomason is growing bricks on an industrial scale, cultivated from sand by microorganisms. The company has won major prizes and funding for the bricks, which will be used in a structure for the first time this year in a pedestrian walkway, ahead of building projects across the world.

Similar processes are being developed to build in the most challenging environments. British architects see an opportunity to cultivate new life in deserts, while NASA believe bacteria could allow the construction of bases on other planets without the headache of ferrying the material there.

While bacterial processes save heavily on carbon, there are concerns that by-products could be poisonous. But another living brick -- made from mushrooms -- has no such problems.

Functional fungus

New York firm Ecovative are producing materials that combine agricultural waste products such as corn stock with mushroom mycelium -- the roots of the vegetable. Over five days the mycelium binds the waste to create a block with a stronger compressive strength than concrete, with none of the heat or energy required by regular bricks.

The product is in commercial use for packaging, producing thousands of units a month, and the company is expanding into construction. Ecovative believe that in addition to being renewable and decomposable, natural properties give them a performance advantage.

"It has great insulation properties", says Sam Harrington, Ecovative Director of Sustainability. "A key benefit is flame resistance -- without adding any chemicals we were able to achieve a Class A fire rating".

There is scope for development. Mycelium effectively dies once its growth is complete, but Harrington is looking ahead to material that does not. "We are exploring ideas of living materials, perhaps that are self-healing or respond to leaks with indicators."

Ecovative are in dialogue with major construction companies, and the material will soon be tested on a historic scale. A collaboration with architects The Living won the prestigious MOMA (Museum of Modern Art) PS-1 competition, and their creation will be installed in the museum courtyard this summer.

Growing for gold

"Hy-Fi" will be the largest ever grown structure, and first large building to claim zero carbon emissions. It will be formed of three 40-foot spiral towers constructed from the mushroom material, with varying properties of brick to maximise light and ventilation.

The material's versatility offers unique design opportunities, says David Benjamin, lead architect of the project.

"You can dial in almost any performance you want. You can mix and match a variety of properties such as water resistance or UV resistance, lightness or durability. You can grow the bricks in almost any shape"

Benjamin says the bio-bricks could be made to last as long as traditional materials, but believes architecture must embrace temporary structures.

"It's essential to recognize that not all materials should last for centuries. A lot of the steel in our buildings will last longer than we need. Our idea is a building that be made locally and quickly, and then have a plan for when the life of the building is over."

Future applications would include pop-up stores, festival "tents" and emergency shelters, says Benjamin, but there are greater hopes for the material within the industry.

Stronger than concrete

"I could imagine every structure you would built out of bricks", says Dirk Hebel, Assistant Professor of Architecture and Construction at the Future Cities Laboratory in Singapore. "No high-rises, but smaller scale structures and houses. The material is stronger than concrete, with better insulation capacities".

The challenge will come in commercializing the products, Hebel feels. "There is huge demand for alternative materials. The question is how easy it is to penetrate the existing market. This needs time and a couple of buildings to show the possibilities".

Stealing from nature

Another, more radical approach takes the material from nature but also allows it to build the structure. Michael Pawlyn, director of Exploration Architecture, is a leading figure in biomimicry, having previously applied natural processes to create man-made forests in England and the Sahara Desert. His latest project to grow a "small venue for spoken word performances" from undersea biorock was recently unveiled at the Architecture Foundation in London.

"In biology, complex structures achieve resource efficiency by putting things in exactly the right place, which is very difficult with made materials", says Pawlyn. "Our ways should deliver significant resource savings."

Drawing on the natural accumulation of coral reefs, his team would install a steel frame in the deep ocean and leave it to attract material. Growth would be focused on specific areas of need using an electrical current.

"We're interested in looking at its structural growth patterns. We have stress gauges on the structure to measure force in particular areas. If one is highly stressed, we can input more current so the rate of deposition matches the force."

Pawlyn believes the structure could be built within two years, for consideration at scale. As with Ecovative, a key challenge ahead is to integrate still-living material to allow intelligent biosensors that respond to the building occupants.

Innovators in this space acknowledge the ongoing barriers presented in an industry that has resisted modernization. But from rock to fungus, sand to space dust, the use of materials and processes designed by nature herself offer both a solution to the sustainability crisis, and a glimpse of our new built environment: clean, efficient, and alive.

Read more from Make, Create, Innovate:

Music 'hackers' unleash new generation of cool and bizarre instruments

Forget wearable tech, embeddable implants are already here

Feeling glum, happy, aroused? New technology can detect your mood

@highlight

British student invented new process of growing building materials using bacteria and sand

@highlight

Other living bricks made of mushrooms are soon be widely tested by US architects

@highlight

New bio bricks offer flame, UV, and water resistance without adding any chemicals

@highlight

Their use can prove crucial for life in deserts or construction of bases on other planets