(CNN) -- President Barack Obama should use the breathing space provided by the fiscal-cliff compromise to address some of the issues that he shelved during his last term. One of the most urgent is child farm labor. Perhaps the least protected, underpaid work force in American labor, children are often the go-to workers for farms looking to cut costs.

It's easy to see why. The Department of Labor permits farms to pay employees under 20 as little as $4.25 per hour. (By comparison, the federal minimum wage is $7.25.) And unlike their counterparts in retail and service, child farm laborers can legally work unlimited hours at any hour of day or night.

The numbers are hard to estimate, but between direct hiring, hiring through labor contractors, and off-the-books work beside parents or for cash, perhaps 400,000 children, some as young as 6, weed and harvest for commercial farms. A Human Rights Watch 2010 study shows that children laboring for hire on farms routinely work more than 10 hours per day.

As if this were not bad enough, few labor safety regulations apply. Children 14 and older can work long hours at all but the most dangerous farm jobs without their parents' consent, if they do not miss school. Children 12 and older can too, as long as their parents agree. Unlike teen retail and service workers, agricultural laborers 16 and older are permitted to operate hazardous machinery and to work even during school hours.

In addition, Human Rights Watch reports that child farm laborers are exposed to dangerous pesticides; have inadequate access to water and bathrooms; fall ill from heat stroke; suffer sexual harassment; experience repetitive-motion injuries; rarely receive protective equipment like gloves and boots; and usually earn less than the minimum wage. Sometimes they earn nothing.

Little is being done to guarantee their safety. In 2011 Secretary of Labor Hilda Solis proposed more stringent agricultural labor rules for children under 16, but Obama scrapped them just eight months later.

Adoption of the new rules would be no guarantee of enforcement, however. According to the 2010 Human Rights Watch report, the Department of Labor employees were spread so thin that, despite widespread reports of infractions they found only 36 child labor violations and two child hazardous order violations in agriculture nationwide.

This lack of oversight has dire, sometimes fatal, consequences. Last July, for instance, 15-year-old Curvin Kropf, an employee at a small family farm near Deer Grove, Illinois, died when he fell off the piece of heavy farm equipment he was operating, and it crushed him. According to the Bureau County Republican, he was the fifth child in fewer than two years to die at work on Sauk Valley farms.

If this year follows trends, Curvin will be only one of at least 100 children below the age of 18 killed on American farms, not to mention the 23,000 who will be injured badly enough to require hospital admission. According to Center for Disease Control and Prevention statistics, agriculture is one of the most dangerous industries. It is the most dangerous for children, accounting for about half of child worker deaths annually.

The United States has a long tradition of training children in the craft of farming on family farms. At least 500,000 children help to work their families' farms today.

Farm parents, their children, and the American Farm Bureau objected strenuously to the proposed new rules. Although children working on their parents' farms would specifically have been exempted from them, it was partly in response to worries about government interference in families and loss of opportunities for children to learn agricultural skills that the Obama administration shelved them.

Whatever you think of family farms, however, many child agricultural workers don't work for their parents or acquaintances. Despite exposure to all the hazards, these children never learn the craft of farming, nor do most of them have the legal right to the minimum wage. And until the economy stabilizes, the savings farms realize by hiring children makes it likely that even more of them will be subject to the dangers of farm work.

We have a responsibility for their safety. As one of the first acts of his new term, Obama should reopen the child agricultural labor proposal he shelved in spring of 2012. Surely, farm labor standards for children can be strengthened without killing off 4-H or Future Farmers of America.

Second, the Department of Labor must institute age, wage, hour and safety regulations that meet the standards set by retail and service industry rules. Children in agriculture should not be exposed to more risks, longer hours, and lower wages at younger ages than children in other jobs.

Finally, the Department of Labor and the Occupational Safety and Health Administration must allocate the funds necessary for meaningful enforcement of child labor violations. Unenforced rules won't protect the nearly million other children who work on farms.

Agriculture is a great American tradition. Let's make sure it's not one our children have to die for.

The opinions expressed in this commentary are solely those of Cristina Traina.

@highlight

Cristina Traina: Obama should strengthen child farm labor standards

@highlight

She says Labor Dept. rules allow kids to work long hours for little pay on commercial farms

@highlight

She says Obama administration scrapped Labor Dept. chief's proposal for tightening rules

@highlight

She says Labor Dept. must fix lax standards for kid labor on farmers; OSHA must enforce them