Westminster, Colorado (CNN) -- It seems like a simple question, but ask Victor Perez and Dulce Garcia what grade they're in and you won't get a traditional answer.

At almost any other school in the country, the 11-year-old friends would be in fifth grade. Not so at Hodgkins Elementary in Westminster, Colorado, where there are no grades and no grade levels. Here, children are grouped together in classes based on their ability, not their age

In literacy class, Victor and Dulce are both in level seven. In math, Victor is in level seven while Dulce is still learning level six.

"He's the highest in the class," said Dulce, who is proud of her friend's achievements.

The move to do away with grade levels throughout the Adams County School District began three years ago. Standards-based learning, as it's called, is founded on the belief that every child learns in different ways and at different speeds. With the school district on an academic watch list, educators here were eager to reverse the slide.

"Every single student is getting an individualized education," said Hodgkins Principal Sarah Gould, who helped usher in the reform at her school two years ago. "We are giving our kids exactly what they need when they need it."

Children work at their own level in each subject and must demonstrate proficiency in various learning targets, achieving a score of 75% or higher before they're allowed to move on to the next level.

During a recent visit to Jennifer Gregg's literacy class, students ranging in age from 8 to 10 were gathered in small groups or working on their own to hit their learning targets. Each table had a basket with books separated into four different reading levels.

Gregg says when she first heard about standards-based learning, she wondered, "How do you juggle that many levels in one classroom?"

Now, she sees the benefits, since students aren't frustrated by work that's too hard, nor bored with assignments that are too easy.

"The kids know exactly what they're working on ... and what they need to do, so it's very empowering for them," she said.

Gregg's students come to her when they're ready to take the proficiency test to move to the next level.

"I don't know if 'hounding' is the right word," Gregg said, "but they definitely will let you know...'Please sign me up.'"

Unlike traditional schools, students at Hodgkins can move up a learning level anytime they're ready, not just at the end of the year. When a visitor asked who had moved up a level in the 2010-11 school year, almost all hands shot up. A large bulletin board in the hallway displays the smiling faces of nearly 400 students who had changed levels in the month of March.

"The time is right for a system that focuses on individual students and lets them progress at their own pace," said education researcher Robert Marzano, who is helping the district develop standards-based learning, a system that was first introduced in the 1960s. "The conversation around the country is about that like it's never been before."

The Adams 50 school district is made up of about 10,000 students, mostly from Hispanic families. About 40% are still learning English. In the last decade, as demographics began to change, standardized test scores fell, leading the district to be placed on an academic watch list.

School board president Vicky Marshall said the district needed something drastic to turn it around. She set out to enlist teachers and parents, aware that without their support, the new system would fail.

High school teachers were among the first to embrace the idea, realizing students would have to have mastered material before moving levels.

Their response, according to Marshall: "'You mean, by the time they get to us they're going to know all ... of the prior material that they should know in biology, in math, in social studies, and I'm not going to have to spend the first three months of their freshman year figuring out what they don't know? ... Wow -- absolutely.'"

Parents, however, did have concerns, especially whether there would be a big age range in some classes.

"We were very quick to say, 'No, we're not going to have someone with a mustache ... sitting next to a 6- year-old.' That's just not going to happen," she said.

Instead, older children at lower levels are given extra help, as they are in traditional middle and high schools.

Standards-based learning in the Adams County School District is currently in place in kindergarten through ninth grade, and will be integrated through all high schools by 2014. But it's not for the faint of heart.

This particular approach was developed by the Re-Inventing Schools Coalition, a nonprofit organization that helped turn around a small, struggling school district in Alaska. Students there went from 0% attending college to nearly 90% going on to secondary education or the military.

The organization's executive director, Wendy Battino, said that in order for standards-based learning to work, schools must have strong leadership and shared vision. Of the approximately 300 schools that have attempted to enact this system, Battino said, half haven't been able to stick with it.

"Superintendents last 2-2½ years on average in this country. It's really hard to lead systemic change when you have that much turnover," Battino said.

Community and school support are critical, she said, "so when a leader does leave, you have enough shared vision and stakeholder support that they will hold onto this and it won't leave, despite the next leader."

The message is particularly relevant in Adams County, where the schools superintendent who brought the change recently resigned. And since school board members are are limited to two four-year term limits, the unanimous support may wane if standardized test scores don't improve. So far, they haven't.

In last years' CSAP test, only 39% of Hodgkins' third- graders tested proficient in reading. That's 8% lower than the previous year, before the new system was put in place.

School Board President Vicky Marshall explained that it would take three to five years for any type of major reform to show results.

"So I would say, if within three to five years we're not seeing the kind of results that we project, yeah, it probably could be at risk," she said.

Principal Gould is quick to point out that the initial drop in test scores was expected, since many kids were placed in lower levels to make up for gaps in their educations.

"Our hope and goal is that when this year's test scores come out and the following year's, that progression will just continue to increase," Gould said, adding that test scores don't paint the whole picture.

Discipline problems, Gould said, have decreased 76% in the past two years -- a sign, she said, that the system is working.

"When students are challenged exactly where they need to be," she said, "there's not a lot of time for students to be messing around in class."

@highlight

A Colorado school switched to standards-based learning

@highlight

It means students learn according to ability, not their age group

@highlight

District leaders say it will take 3-5 years to improve test scores