MIAMI BEACH, Florida (CNN)  -- On the grainy, silent black and white video, it's hard to tell exactly what happened the night of June 14 in Miami Beach. But one thing is certain: A tourist, Husien Shehada, can be seen falling to the ground, shot by a police officer. Shehada, 29, later died.

Husien Shehada, at left with his brother, Samer, was shot dead by Miami Beach police on June 14.

Four nights later, again in Miami Beach, Lawrence McCoy allegedly pistol-whipped a cab driver and led police on a chase. Police say shots were exchanged. McCoy, also 29, was killed.

Officer Adam Tavss, a 34-year-old former history teacher with three years on the force, was involved in both police shootings, the first in Miami Beach since 2003.

Although it is not yet clear whether Tavss fired one of the shots that killed McCoy, questions are being raised as to whether the officer was cleared for patrol duty too soon after the first shooting.

Police and the Miami-Dade County state attorney's office are investigating the shootings. The inquiry is expected to last several more months. All the records and reports have been sealed.  Watch surveillance video of the first shooting »

The families of Shehada and McCoy are asking the Justice Department to investigate. Tavss, who is now assigned to desk duty, declined through his attorney to speak with CNN, citing the ongoing investigation.

Miami Beach Police Chief Carlos Noriega has defended both shootings.

"It is important to note that the subjects in both cases had exhibited aggressive, violent, non-compliant and criminal behavior," the chief said in a statement to the media.

Noriega added that officers "are required to make split-second decisions based on a variety of factors and cannot afford to hesitate or be wrong."

The Miami Beach department's standard operating procedure for use of force, a copy of which was obtained by CNN, states that any officer involved in a fatal shooting must be assigned to administrative duties for at least 72 hours. The department also mandates psychological support.

Tavss was removed from duty for 72 hours, evaluated and then cleared by Noriega to return to patrol, which is departmental policy. On his first day back out on the street, Tavss was involved in the second shooting.

Each of the nation's 20,000 police departments sets its own policy for police involved in shootings and fatalities. Some departments keep the officers off the streets for a week or longer. In virtually all cases, psychological evaluation and counseling are mandatory.  Watch CNN's report on the shootings »

Maria Haberfeld, a professor at John Jay College of Criminal Justice in New York and an expert on police use of force and stress management, said she had never heard of an officer being involved in two shootings within four days.

"I think it's a gross error of judgment for any police department to maintain a rule that allows an officer who was involved in a fatal shooting to be back on the streets four days after the incident," Haberfeld said.

A study by the Justice Department's National Institute of Justice found that officers involved in fatal shootings can be affected for months afterward.

"In the days, weeks and months that follow a shooting, officers may suffer adverse reactions such as sleep interruption, anxiety and depression," a report on the study said.

Officers "experienced a range of psychological, emotional and physiological reactions that distorted time, distance, sight and sound," the study concluded. In some cases, the study found, officers could not recall firing their weapons.

But even experts are undecided on just how much time off the street is enough, because every incident and every police officer is different.

"It's hard for me to estimate whether it's weeks or a little bit more, but certainly not days; certainly not hours. It's just too irresponsible toward the officer and toward the society the officer needs to serve," Haberfeld said.

Police officers across the country train on how to make difficult split-second decisions on the use of deadly force.

The sheriff in neighboring Broward County uses an interactive video screen that places officers into scenarios they might face while on patrol.

"In less than half a second, your pulse may go from 60 to 160, 170, and your heart's beating out of your chest, and you have to make a split-second decision," Broward Sheriff's Sgt. Bill Pennypacker said.

Witnesses, police and surveillance video obtained by CNN provide the following, sometimes conflicting, accounts of what happened during the two Miami Beach shootings:

Husien Shehada and his brother, Samer, had come from Virginia to spend a long weekend with their girlfriends in Miami Beach. Early on Sunday, June 14, they got into a scuffle with another group of men, who intervened after Samer Shehada allegedly assaulted his girlfriend.

Investigators said they believe that the two brothers were looking for revenge against those men when somebody called 911, reporting that two men were walking down the street and that one of them might be carrying a machine gun. The callers said they could see the outline of a large gun underneath his white shirt, and he was carrying it in his left hand.

In a color security camera tape released by the Miami Beach Police Department, it appears that one of the brothers was carrying something under his shirt, holding it with his left hand.

Tavss and other officers approached the brothers in front of Twist, a popular South Beach nightclub. A grainy black and white videotape shows the brothers together and Husien Shehada falling to the ground. A police officer can then be seen approaching.

Samer Shehada said he and his brother were cooperating. "His hands were up for a good two seconds, three seconds," Samer Shehada said. "He wasn't in the process of raising his hands. His hands were up."

One witness told CNN that when Tavss approached the brothers with his gun drawn, the brothers were belligerent. The witness, Derek Reynolds, was working security at the club that night. He said the two men cursed at police and wouldn't put their hands up.

"It got intense. ... They weren't cooperating," he said. "One guy reached behind him, and he got shot."

Law enforcement sources say a coat hanger and a bottle were found at the scene, but no gun was found. Samer Shehada said that neither he nor his brother was carrying a coat hanger, much less a gun.

After the shooting, Tavss was relieved of duty for 72 hours, per department policy.

When he returned to street patrol, he was one of several officers who responded to a 911 call reporting that that a taxi driver had been pistol-whipped and his cab stolen.

Police confronted Lawrence McCoy on a Miami Beach causeway. According to police, McCoy ran and fired at the officers. McCoy was shot dead by police. It is not yet known whether Tavss fired any shots.

John Contini, an attorney representing the families of both men shot by police, said McCoy was shot nine to 11 times.

No weapon was found on McCoy. Police found a gun several days later in Biscayne Bay, but they say they don't know if it belonged to McCoy.

Lawrence McCoy Sr. said his son's civil rights were violated.

"Michael Vick was convicted and put in jail for two years for killing dogs -- for killing dogs. I want justice for my son," he said.

Contini said Tavss should be in jail. He also questioned the policy that allowed him back on the street so quickly.

"In fairness to the officer, you don't put him on the street, with a gun and a badge, to be in this situation without allowing for a period of decompression -- for the officer's sake, to get some help," Contini said.

@highlight

Miami Beach police officer Adam Tavss is involved in two police shootings

@highlight

Second shooting happened on his first day back on street

@highlight

Questions are being raised as to whether he was cleared for duty too soon

@highlight

Miami Beach police chief decides when an officer is ready to return