Ten states are being granted waivers to free them from some requirements of the No Child Left Behind education reform law, with President Barack Obama explaining Thursday that the move aims to "combine greater freedom with greater accountability."

Colorado, Florida, Georgia, Indiana, Kentucky, Massachusetts, Minnesota, New Jersey, Oklahoma, and Tennessee are the first of what could be many more states that will no longer have to meet 2014 targets set by the law.

In exchange for that flexibility, those states "have agreed to raise standards, improve accountability, and undertake essential reforms to improve teacher effectiveness," the White House said in a statement Thursday morning.

Obama elaborated on the rationale for the decision later in the day, speaking at a White House event attended by teachers and school superintendents.

He stressed that his administration remains committed to the overarching goals of raising standards and closing the achievement gap in the nation's public schools. At the same time, "We determined we need a different approach" than what was prescribed by the landmark legislation.

"We've offered every state the same deal: We've said, if you're willing to set higher, more honest standards then we're going to give you the flexibility to meet those standards," Obama said.

Each of those states granted waivers Thursday offered different approaches. Massachusetts, for instance, set a goal to slash its number of underperfoming students by half within six years; Colorado is setting up a comprehensive online database of assessment measures, among other steps; and New Jersey is developing an "early warning" system in an effort to prevent students from dropping out of school.

New Mexico also requested such flexibility from the No Child Left Behind law, and the Obama administration is working closely with that state. Another 28 states, Puerto Rico, and the District of Columbia also have indicated plans to seek such flexibility, according to the White House.

"This is good news for our kids, it's good news for our country," the president said of the waivers, adding that one approach may work well in one part of the country while another may better suit another place. "If we're serious about seeing our children reach their full potential, the best ideas aren't just going to come from here in Washington."

John Kline, R-Minnesota, and Duncan Hunter, R-California, sent a joint letter last summer to Education Secretary Arne Duncan calling the then prospect of allowing waivers a "cause for concern."

"Issuing new demands in exchange for relief could result in greater regulations and confusion for schools and less transparency for parents," the two House Education and the Workforce Committee members wrote. "Additionally, the proposal raises questions about the department's legal authority to grant constitutional waivers in exchange for reforms not authorized by Congress."

And last month, Kline again criticized Obama for having "the audacity to circumvent the people's elected representatives by granting No Child Left Behind waivers with special strings attached," according to a press release from his office.

Still, the decision was cheered by leaders from several states -- many of them led by Republican governors -- who successfully obtained waivers, as well as the country's largest teacher's union.

Florida Education Commissioner Gerard Robinson, for instance, said the change was needed, because having federal accountability measures "overlaying" state ones was "confusing."

Georgia State School Superintendent John Barge described the waiver for his state as "wonderful news for Georgia's students, educators and parents. No longer will we be bound by the narrow definitions of success found in No Child Left Behind."

And Indiana Gov. Mitch Daniels, who was President George W. Bush's director of the Office of Management and Budget when the law was passed, described No Child Left Behind as "an important step forward, but it needed additional flexibility that Congress hasn't yet provided."

"The waiver will make for a fairer system and one that focuses on what matters most: getting the whole system to perform better in terms of student learning," he said in a statement.

The president of the National Education Association, which represents 3.2 million teachers and administrators and has endorsed Obama's re-election bid, lauded those states granted waivers who "have committed to working with teachers, parents and other community stakeholders to implement changes designed to better support students."

At the same time, union President Dennis Van Roekel described the waivers as a temporary move as he pushed for passage of more "comprehensive" reform.

Bush signed No Child Left Behind into law in 2001. One of the bipartisan bill's sponsors was the late Sen. Ted Kennedy, a Democrat from Massachusetts. The law included a focus on measuring student outcomes, largely based on standardized test results.

Some supporters say it has helped close an achievement gap between disadvantaged students and others.

But the law is a source of controversy, with opponents arguing it is turning classrooms into test preparation centers, taking time away from subjects that aren't tested, and potentially contributing to cheating scandals.

Secretary Duncan says the law drives down standards, weakens accountability, causes narrowing of the curriculum and labels too many schools as failing, the White House said in its news release. "Moreover, the law mandates unworkable remedies at the federal level instead of allowing local educators to make spending decisions," it said.

The law has been in need of reauthorization since 2007, and the president has been critical of the lack of congressional action on the matter in recent years.

Last September, the Obama administration announced that states could apply for waivers from some provisions of the law if they meet other federal mandates.

To get the waivers, states had to adopt and have a plan to implement "college and career-ready standards," the White House said.  "They must also create comprehensive systems of teacher and principal development, evaluation and support that include factors beyond test scores, such as principal observation, peer review, student work, or parent and student feedback."

Based on standards set by the existing law, more schools were listed as failing last year than in any previous year since the law's passage. About 48% of schools did not make what's called "adequate yearly progress" in 2011, up from 39% in 2010, according to the nonprofit Center on Education Policy.

In his remarks Thursday, Obama expressed confidence that the academic performance of the nation's students would improve using a more flexible approach -- though he also emphasized that any change won't be instantaneous.

"This is not a one-year project, this isn't a two-year project," he said. "This is going to take some time, but we can get it done."

@highlight

A GOP lawmaker has said the waivers wrongly "circumvent" Congress

@highlight

Obama says the waivers "combine greater freedom with greater accountability"

@highlight

The 10 states will not have to meet 2014 targets set by the law, signed in 2001

@highlight

The states have agreed to raise standards and undertake reforms