(CNN) -- Nobel laureate Aung San Suu Kyi called for the rule of law, an end to ethnic conflict and strong democratic institutions in Myanmar on Thursday as she began a historic first trip to Europe after decades of house arrest.

"Am I overly ambitious?" she asked, then smiled. "Well, perhaps. I am ambitious."

The audience erupted in laughter and cheers as she declared that she was speaking not as a representative of government, then grinned and added: "Not yet, anyway."

The democracy campaigner was speaking at the annual conference of the International Labour Organization, a U.N. agency. Worker and employer representatives, as well as government officials, attended the event.

Answering questions after the speech, she said she had nothing to forgive the country's military rulers for.

"In some ways I don't think they did anything to me. They placed me under house arrest, but that gave me time to read," she said with a smile, adding: "Sometimes when my schedule is very hectic, I look back with some nostalgia" at nearly two decades of being confined to her home.

She said her country, which is also known as Burma, needs "reconciliation, not retribution," as it moves toward democracy.

Suu Kyi was recently elected to parliament as her National League for Democracy won dozens of seats in by-elections. It remains a minority in parliament.

Suu Kyi said she was "concerned" about ethnic and religious violence in the country after clashes between Buddhists and Muslims in the past week have left many dead or homeless.

"Of course I am concerned, as I think everybody else in Burma is," Suu Kyi said of the clashes in Rakhine state.

"We have said again and again rule of law is essential. ... Without rule of law, such communal strife will only continue," she warned, urging that the conflict be handled with delicacy, sensitivity and "cooperation of all people concerned."

She also addressed ethnic violence in Kachin state, saying: "A cease-fire is not enough. We have to have a political settlement if there is to be a lasting peace."

U.N. special envoy Vijay Nambiar, who returned from a visit to Rakhine on Thursday, said he had seen smoke rising from the remains of houses that had been burned.

"I'd like to say the worst is behind us," he told CNN's Kristie Lu Stout, but could not say that the unrest was over.

"Trauma, fear, insecurity" will continue for some time, he warned, and said that reconciliation in the area will be "a long haul."

Violent clashes between Buddhists and Muslims prompted the government of President Thein Sein to declare a state of emergency in Rakhine on Sunday, calling in the military to help impose order.

The unrest in the western coastal area of Myanmar, which borders Bangladesh, has left 21 people dead and thousands seeking shelter in refugee camps, Myanmar state TV reported Tuesday evening.

Suu Kyi said part of the problem was the "porous border" and "fear that there will be illegal immigrants."

"We need very clear and precise laws with regard to citizenship," she said.

She urged International Labour Organization delegates to think of the people of her country as "your own people, your own children," as she described the hopelessness many young people in Myanmar face.

"Restless, directionless youth agonize over the fruitlessness of their existence," she said.

"Please encourage your governments, your businesses, your workers to build the kind of society that will build the future of our country," she said in a departure from her prepared text.

She called on them "not just to look at investment opportunities" in the mineral-rich nation, but "to judge how much potential there is for good for the whole world. ... Our people have such spirit in them."

The International Labour Organization has for years pressured Myanmar to eradicate forced labor, which it says is widespread in the country. On Wednesday, the conference voted to lift restrictions on Myanmar's participation in the organization's activities, ending 13 years of isolation.

During her trip, Suu Kyi will finally collect the Nobel Peace Prize that she was awarded in 1991, when she was under house arrest.

She said Thursday that she had been too busy preparing for the trip to think about how she would feel when she received it.

While in Europe, she is also scheduled to address both houses of the British Parliament, be the guest of honor at a concert in Dublin, Ireland, and celebrate her 67th birthday with family.

The trip is only Suu Kyi's second abroad since she returned to Myanmar in 1988 to care for her dying mother, and comes close on the heels of her first trip outside the country earlier this year.

A military coup in September 1988 put Gen. Saw Maung in power, setting off anti-government demonstrations and a crackdown that left hundreds dead.

Suu Kyi -- whose husband, Michael Aris, remained in England -- became a leading activist and co-founder of an opposition group, the National League for Democracy. She was placed under house arrest for the first time the following July on charges of trying to divide the military. She spent much of the next two decades confined to her home by the ruling junta.

When her party won the 1990 general election in a landslide vote, the military rulers -- in power since 1962 -- refused to let the National League for Democracy serve, nullifying the results.

The military rulers have since loosened their grip on power, allowing a series of democratic reforms. Her house arrest ended in 2010, and she was able to travel around the country during her party's election campaign this year.

On Saturday, about 21 years after she was awarded the prize, Suu Kyi is expected to finally deliver her Nobel lecture at the Oslo City Hall in Norway.

Cities hosting her are well prepared for the fanfare.

In Dublin, a giant banner hangs from Liberty Hall ahead of her scheduled Monday arrival. There, she will be the special guest at a concert, "Electric Burma."

The event is organized by Art for Amnesty founder Bill Shipsey and features a range of entertainers and personalities, including Bono, Vanessa Redgrave, Bob Geldof, Angelique Kidjo and former Tiananmen Square student activist Wu'er Kaixi.

Amnesty International, which has campaigned for Suu Kyi and other political prisoners in Myanmar during the past two decades, will award Suu Kyi its highest honor, the Ambassador of Conscience Award. Past recipients include Nelson Mandela and Vaclav Havel.

Bono, who has long dedicated the song "Walk On" to Suu Kyi at U2 concerts to highlight her detention, will present the award. Tickets for the event sold out in 20 minutes.

From Ireland, she plans to travel to Britain -- where she spent time as a student -- to celebrate her birthday Tuesday, before she addresses lawmakers at Westminster Hall in London on June 21, an honor usually reserved for heads of state.

Suu Kyi's trip will end in Paris, where she will be a guest of French President Francois Hollande from June 26 to 29 in honor of her "fight for democracy and the rights of man and to reaffirm France's will to support the political transition in Myanmar," according to the Elysee Palace.

CNN's Elizabeth Yuan and Jethro Mullen contributed to this report.

@highlight

NEW: Aung San Suu Kyi says she has nothing to forgive Myanmar's military rulers for

@highlight

NEW: She calls for a cease-fire and political reconciliation after ethnic clashes

@highlight

An audience cheers as Suu Kyi says she doesn't represent government -- yet

@highlight

She will collect her Nobel Prize on her first visit to Europe in more than two decades