(CNN) -- Under mounting pressure from activists and advertisers, Facebook is ramping up efforts to stamp out hate speech, particularly depictions of violence against women.

The move, announced Tuesday, came after a weeklong campaign by women's groups targeting pages that celebrated or made light of rape, domestic violence and sexual degradation of women.

"In recent days, it has become clear that our systems to identify and remove hate speech have failed to work as effectively as we would like, particularly around issues of gender-based hate," Marne Levine, a Facebook vice president in charge of public policy, wrote in a post on the site.

"In some cases, content is not being removed as quickly as we want. In other cases, content that should be removed has not been or has been evaluated using outdated criteria. We have been working over the past several months to improve our systems to respond to reports of violations, but the guidelines used by these systems have failed to capture all the content that violates our standards. We need to do better -- and we will."

A coalition of women's groups, under the banner Women, Action & the Media, celebrated the announcement, saying that Facebook has asked them to be part of an ongoing conversation about improvements to the social network.

Pages flagged as offensive by the group had such names as "Kicking Your Girlfriend in the Fanny Because She Won't Make You a Sandwich," "Violently Raping Your Friend Just for Laughs," "Raping Your Girlfriend" and "Fly Kicking Sluts in the Uterus." Searching for those pages Wednesday delivered no results.

"It is because Facebook has committed to having policies to address these issues that we felt it was necessary to take these actions and press for that commitment to fully recognize how the real world safety gap experienced by women globally is dynamically related to our online lives," author Soraya Chemaly, who helped spearhead the effort, said in a post on the group's site.

In Levine's post, Facebook promised to:

-- Update guidelines that its Community Standards team uses to identify hate speech, with help from legal experts and women's groups

-- Update training for team members who police hate speech

-- Increase accountability for Facebook users whose pages don't legally qualify as hate speech but who post content that is "cruel or insensitive"

-- Implement a policy that requires users who create pages with questionable content to publicly attach their personal account to them

-- Encourage groups already working on cyber-hate issues to include the women's coalition.

"These are complicated challenges and raise complex issues," Levine wrote. "Our recent experience reminds us that we can't answer them alone."

Tasked with policing a site with roughly 1 billion users, Facebook says it has sought to strike a balance between cracking down on hateful content while still allowing for freedom of expression.

"We seek to provide a platform where people can share and surface content, messages and ideas freely, while still respecting the rights of others," Levine said. "To facilitate this goal, we also work hard to make our platform a safe and respectful place for sharing and connection. This requires us to make difficult decisions and balance concerns about free expression and community respect."

Such issues have come up repeatedly in the past, notably when Facebook users created fan pages celebrating accused Colorado theater shooter James Holmes or Boston Marathon bombing suspect Dzhokhar Tsarnaev.

The recent campaign by women's groups was launched last Tuesday with an open letter to Facebook complaining about pages deemed offensive. The letter complained of a double standard toward imagery on the site in light of past controversies over Facebook removing more innocuous content, such as photos of women breastfeeding.

"These pages and images are approved by your moderators, while you regularly remove content such as pictures of women breastfeeding, women post-mastectomy and artistic representations of women's bodies," read the letter, signed by dozens of women's groups from around the world. "It appears that Facebook considers violence against women to be less offensive than nonviolent images of women's bodies.

"In a world in which hundreds of thousands of women are assaulted daily and where intimate partner violence remains one of the leading causes of death for women around the world, it is not possible to sit on the fence. We call on Facebook to make the only responsible decision and take swift, clear action on this issue, to bring your policy on rape and domestic violence into line with your own moderation goals and guidelines."

On Twitter, supporters posted violent images they said were originally shared on Facebook pages. They included a picture of a woman at the bottom of a stairwell with the caption, "Next time, don't get pregnant" and multiple postings of a dramatized photo of a man threatening a frightened woman with captions like "Dishes: Do them now" and "Women deserve equal rights ... and lefts."

The letter also encouraged people to contact Facebook advertisers. According to the group, supporters sent more than 5,000 e-mails to advertisers, in addition to posting messages to advertisers on Twitter and Facebook itself.

The group claims that 15 companies said they were pulling their ads from Facebook as a result of the efforts. Nissan UK and Nationwide were among those who announced they were doing so while others, like Dove soap, said they were working with Facebook on a solution.

"We fully support that today @womenactmedia & @Facebook reached a joint position on rights," Nissan UK posted on its Twitter feed late Tuesday.

User responses on Facebook's post were mixed. While many of the roughly 300 comments Wednesday morning thanked the site, others suggested it wasn't enough or speculated that it wouldn't have happened without pressure from advertisers.

There was also pushback from users who called it a threat to free speech.

"Oh look," said user Mathew Bates. "The hurt feelings police is attempting to undermine the First Amendment again."

Many, however, seemed optimistic -- but cautious.

"It's a start but I'll believe it when I see it in the long term," wrote user Melissa Perault. "We need to make sure FB follows up on this."

Facebook's community standards page says, "Facebook does not permit hate speech, but distinguishes between serious and humorous speech. While we encourage you to challenge ideas, institutions, events, and practices, we do not permit individuals or groups to attack others based on their race, ethnicity, national origin, religion, sex, gender, sexual orientation, disability or medical condition."

@highlight

Facebook ramps up crackdown on hate speech after pressure from women's groups

@highlight

Protest focused on pages that celebrate violence against women

@highlight

Site says it will increase training, update guidelines, work with activists

@highlight

About 15 companies pulled advertising, according to protesters