L'AQUILA, Italy (CNN) -- Leaders of both industrialized powers and emerging economies have agreed to work together on setting a goal to limit global warming to levels recommended by scientists, U.S. President Barack Obama said at the G-8 summit.

G-8 leaders wait for an aide to remove toe markers as they pose for a family photo in L'Aquila, Italy, on July 8.

The G-8 countries -- comprising the United States, Britain, France, Germany, Italy, Japan, Canada and Russia -- agreed to a target of reducing their carbon dioxide emissions by 80 percent by the year 2050 to try to prevent the Earth's atmosphere from warming by more than 2 degrees Celsius (3.6 degrees Fahrenheit), Obama said.

Thursday's meeting with emerging economies including China also secured a commitment from the developing countries to work for limiting global warming to the 2 degree Celsius threshold, Obama said.

"Developing countries among us will promptly undertake actions whose projected effects on emissions represent a meaningful deviation from business as usual in the midterm, in the context of sustainable development, supported by financing, technology, and capacity-building," said the declaration from Thursday's Major Economies Forum on Energy and Climate.

The declaration stopped short of setting targets for the developing nations. Obama said the emerging economies agreed to work toward setting specific targets.  Watch report from CNN's Ed Henry »

He called the commitment of the emerging economies "an important stride forward" in minimizing climate change, but acknowledged that the issue he called one of the most challenging of our times would be difficult to confront.

Environment groups gave the announcement a cautious welcome. Joanne Green, head of policy at Cafod, told the Press Association: "Agreeing that average global temperatures should not rise by more than two degrees is forward movement but it is woefully inadequate compared to what was needed."

And Oxfam spokesman Antonio Hill said: "Today 17 countries, responsible for more than 80 percent of the world's emissions, agreed for the first time that it'd be nice to take the road which stops the planet heating up by more than 2 degrees.

"While G-8 countries continue to speed in the opposite direction, towards a cooked planet and climate catastrophe, poor people want to know whether rich coutries will now actually turn around before it's too late."

The vast majority of climate change scientists warn that warming above the 2 degree Celsius threshold would mean potentially catastrophic impacts on Earth.

U.N.-led negotiations on a new global climate change treaty are aiming to conclude with an agreement among 192 nations in Copenhagen, Denmark, in December. Obama said the G-8 targets and work with developing countries are intended to support the international climate change treaty that will succeed the Kyoto Protocol in 2012.

In the United States, Congress is debating a new energy policy that could codify the G-8 target for emissions reductions in law. A House bill that recently passed has the same target of an 80 percent reduction by 2050, but Senate passage of a measure remains uncertain.  Watch as leaders tour quake zone »

Republican opponents contend the United States would put itself at a competitive disadvantage by setting firm targets when China and other emerging economies would be free to pollute without limits. Some Democratic senators also fear harmful effects on fossil fuel industries in their states.

The Major Economies Forum led by Obama included the G-8 countries along with Brazil, China, India, Mexico, Australia, South Africa and others. The Forum nations account for 80 percent of the world's greenhouse gas emissions.

Its declaration Thursday outlined a range of actions including funding mechanisms for both reducing greenhouse gas emissions and helping nations and ecosystems adapt to global warming, along with more money to pursue alternative energy sources.

The declaration said the world's emissions should peak as soon as possible and then start going down. It acknowledged that industrial powers have emitted most of the pollution causing climate change and therefore have a greater responsibility in responding.

Australian Prime Minister Kevin Rudd announced the creation of an institute to study and advance so-called clean coal technology intended to reduce the harmful pollution from coal-fired energy.

In addition, the declaration recognized "that the timeframe for peaking will be longer in developing countries, bearing in mind that social and economic development and poverty eradication are the first and overriding priorities in developing countries and that low-carbon development is indispensable to sustainable development."  Watch what's on agenda at G-8 summit »

Todd Stern, Obama's special envoy for climate change, noted that China and other emerging economies had never previously acknowledged the 2-degree Celsius threshold or committed to reducing emissions from current levels. He called those steps "significant," but conceded they fell short of binding commitments to meet specific reductions goals.

However, Stern said the 2-degree threshold was the "underpinning" of the global goal for an overall 50 percent reduction in greenhouse gas emissions by 2050, including the 80 percent cuts targeted by the G-8 countries.

Obama acknowledged the United States has previously failed to meet its responsibilities regarding climate change, and he pledged a renewed commitment and leadership. In his remarks, Rudd made a point of welcoming the new leadership role by Obama and the United States.

Obama will meet Friday with Pope Benedict XVI, who launched a verbal assault on global capitalism ahead of the G-8 meeting, lambasting "grave deviations and failures" and calling for a "profoundly new way of understanding business enterprise."

The pope challenged bankers to turn away from the practices blamed for bringing about the global economic crisis and instead use their power to help the world create wealth and economic development.

"Above all, the intention to do good must not be considered incompatible with the effective capacity to produce goods," Benedict said Wednesday.

After his meeting with the pope, the first U.S. African-American president will make his first trip as chief executive to Africa, traveling to Accra, Ghana. Obama's father was a native of Kenya.

CNN's Paula Newton in L'Aquila, Italy, contributed to this report.

@highlight

U.S. President Barack Obama: Leaders will work together on climate change

@highlight

At Italy summit, leaders pledge to slash greenhouse gas emissions

@highlight

Leaders pledge aim to achieve a 50 percent reduction in global emissions by 2050

@highlight

Meeting takes place in heart of quake zone where about 300 people died