(CNN) -- On July 13, 2013, a Florida jury found George Zimmerman not guilty in the death of Trayvon Martin. The former neighborhood watchman never denied fatally shooting the unarmed teen, but he said he did so because he feared for his life.

The intensely watched murder trial inspired passionate debate about race relations in America, gun laws, profiling and self-defense, and a good deal more.

Here's where some of the key players are one year after the verdict.

George Zimmerman

Zimmerman has popped up a few times post-verdict. Just days after his acquittal, he helped rescue of a family of four from an overturned SUV. His wife, Shellie, filed for divorce in September, citing irreconcilable differences -- and in November, Zimmerman was arrested and charged with felony aggravated assault for a domestic dispute with his girlfriend. Prosecutors dropped the case in December after Zimmerman's girlfriend recanted part of her story.

Since then, he says, he has turned to painting as a "creative" way to express himself, and that he would like to pursue a legal career. In the meantime, he remains unemployed, and the nearly $500,000 raised online for his defense is at a near zero balance. The U.S. Department of Justice investigation into whether Zimmerman violated Martin's rights is still ongoing.

Bids for George Zimmerman artwork top $100,000

Zimmerman's parents sue Roseanne Barr over tweets

Judge Debra Nelson

Nelson is still serving as a circuit judge in Seminole County, Florida. She had taken the Zimmerman case near the end of her one-year rotation in the criminal courts. After presiding over the high-profile trial, she went back to handling civil cases.

Ironically, she presided at the related case Zimmerman v. NBC. She ruled recently that Zimmerman was not entitled to any money from the network, effectively dismissing his allegations that NBC portrayed him as racist by selective news editing. As of July 1, Nelson is back for another turn in criminal courts.

Benjamin Crump

The colorful attorney who represented Trayvon Martin's parents, Sybrina Fulton and Tracy Martin, has been busy, taking on several high-profile cases spanning the nation. Crump regularly speaks at conferences on race relations and is currently representing the family of Robbie Tolan, a former baseball player shot in Texas by a police officer in 2008. The case was dismissed in 2012 by a federal appeals court, but in May, the U.S. Supreme Court unanimously ruled the court failed to consider the Tolan family's accounts.

Sybrina Fulton and Tracy Martin

Trayvon Martin's parents have been actively engaged in working to change "stand your ground" laws and speaking to groups and conventions around the country about ethnic profiling and prevention of violent crimes. Fulton and Martin are heavily involved in a foundation they established in their son's name, which provides stipends to families who have lost children to gun violence.

Angela Corey

The tough-talking prosecutor continues to take on high-profile cases as the state attorney for the Fourth Judicial Circuit of Florida. In February, her office argued a case against Michael Dunn, accused of shooting at four teens in a vehicle after complaining about the volume of their music. Jordan Davis, 17, was killed. Trial results were mixed: Jurors found Dunn guilty on three counts of attempted second-degree murder, but deadlocked on the first-degree murder charge for Davis' death. Dunn's retrial is expected to begin in September, after which he will be sentenced for his previous convictions.

Mark O'Mara

The defense lawyer was inundated with calls after his victory defending the man who was once described as "the most hated man in America." O'Mara, who does not currently represent George Zimmerman, is now flush with new business and is a current CNN legal contributor. Of the approximately $2.5 million legal fees racked up over the course of the trial, O'Mara and co-counsel Don West each received a single payment of approximately 2.4% of the total costs -- or about $30,000 each. There is no expectation of further payments.

Bill Lee

The ousted former Sanford, Florida, police chief, who took the brunt of criticism about how the initial investigation in the shooting was conducted, is now working as a special agent with the Florida Department of Law Enforcement's Orlando Regional Operations Center Public Integrity Squad. As an investigator, he looks into alleged misconduct of public officials, including in-custody deaths and officer-involved shootings. Lee is no longer a supervisor, but FDLE colleagues say he is a "tremendous asset" to the team.

Rachel Jeantel

The bombshell prosecution witness, who captivated trial-watchers, graduated from an alternative high school in Miami in May. A cadre of supporters took Jeantel, 20, under their collective wings after she was subjected to scathing public criticism over her appearance, demeanor and speech during the trial. After Jeantel appeared on CNN last July, popular morning radio talk show host Tom Joyner offered financial assistance to pay her way through college. Jeantel says she's interested in pursuing a postsecondary degree and is weighing whether she wants to attend college or go to fashion school.

Jurors

To date, little is known about the mainly faceless jurors who deliberated for more than 16 hours before rendering George Zimmerman's fate. Five white women and one black Hispanic woman were on the main panel; four alternate jurors, two men and two women, were also selected. Juror B29 told ABC she believed Zimmerman "got away with murder" but that she had to "grab our hearts and put it aside and look at the evidence." Alternate juror E54 told WOFL he "supported the verdict." Juror B37, the first juror to speak, told CNN that Zimmerman was "justified in shooting Trayvon Martin" but that he "had good in his heart, he just went overboard." She initially planned to write a book about her experience but withdrew after major backlash against her comments.

@highlight

Zimmerman found not guilty in death of Travyon Martin on July 13, 2013

@highlight

Since then, Zimmerman has turned to painting to express himself

@highlight

Martin's parents speak to groups about preventing ethnic profiling

@highlight

Jurors have largely stayed out of the spotlight