Washington (CNN)Republicans poised to take control of Congress are already threatening to kill what could turn out to be President Barack Obama's most significant second-term achievement: a nuclear deal with Iran.

U.S. and Iranian negotiators are quickly approaching a November 24 deadline to reach an agreement that would freeze Iran's nuclear program in return for lifting international sanctions on the Islamic Republic. Hopes for a deal have been rising, though Obama cautioned this weekend a "big gap" remains between the two sides and there are powerful constituencies in each country angling against an agreement.

In the United States, Republicans -- long skeptical of the talks -- are increasingly furious that Obama might sideline Congress to finalize an accord. They're especially angry that the administration might make such a move after last week's midterm elections gave the GOP -- dominated by foreign policy hard-liners -- firm control of the House and Senate.

"Like North Korea in the 1990s, Iran will use a weak deal as cover to get nuclear weapons," said Illinois Republican Sen. Mark Kirk, a prominent skeptic of the negotiations.

Given the opposition, the Obama administration is believed to favor a framework agreement that, at least initially, would not require Congress to lift sanctions. Instead, the President would temporarily "suspend" them.

The personal stakes for Obama are immense as he seeks to restore his footing following last week's election drubbing. A deal would elevate his legacy, which lacks a defining foreign policy triumph, and validate his vow to talk to leaders of U.S. enemies first made in a CNN campaign debate seven years ago.

It would also mark a stunning diplomatic breakthrough after 35 years of estrangement between Washington and Tehran and represent a major advance on one of the world's thorniest non-proliferation problems.

Some of the president's critics doubtless sense a chance to deny Obama a diplomatic win.

What to expect from the lame duck Congress

But others, including some Democrats, worry that Obama is being hoodwinked by Iran. They fear the mullahs will pocket sanctions relief and then cheat their way to a nuclear bomb.

Republicans could respond to what they see as a "bad" deal by seeking to impose new sanctions or drawing up punitive oversight benchmarks for Iranian compliance.

That could so sour already tenuous confidence between Washington and Tehran that the deal could crumble.

South Carolina GOP Sen. Lindsey Graham said this weekend that he would back a "good" Iran deal but would "kill" any agreement that he found problematic.

On Thursday, Graham will try to bring up a bill in the Senate that would require Obama to submit any agreement to Congress within three days for review. If he refuses, or if lawmakers vote to show their disapproval of the deal, funding for its implementation would be cutoff.

And Kirk has already pledged to mobilize the new Senate behind legislation he wrote with Democratic Sen. Robert Menendez which would target Iran's oil industry with sanctions and provide a "diplomatic insurance policy" he says would result in a "strong deal" to reverse Tehran's nuclear program.

Some Obama opponents on Capitol Hill reject the idea they are opposed to any deal and say an agreement is possible that would address their concerns. But they complain the White House has not worked with lawmakers to arrive at the best combination of carrots and sticks in the talks. They contend that a bad deal is now more likely because the administration has been too eager to make concessions to Iran.

The White House declined to discuss its tactics. But the administration has long warned that new sanctions would upend its diplomacy and it denies accusations that Obama plans to go around Congress.

Russia steps up nuclear plans in Iran as talks near deadline

Obama would be sure veto any legislation that could threaten the agreement.

But Republicans could draw on skeptical Democrats to get closer to a veto proof majority of 67 Senate votes.

An official with a prominent pro-Israel policy group in Washington added: "It is not a question of doing the math. The precise change is in the leader's office. That now enables sanctions legislation to move forward."

But other sources doubt that if it really came to it, there would be enough Democrats to challenge the president's veto and risk being accused of trashing a deal the rest of the world has embraced. But they admit the numbers are tightening.

Jim Walsh, a research associate at MIT and an expert on Iranian nuclear diplomacy, predicted a fierce political battle.

"There will definitely be a fight. It will be a hard fight, but I think it will be a fight that the president can win because the consequences of failure are high," he said.

The White House has already won one skirmish over Iran.

Last year, critics sought to derail an interim nuclear deal, but failed largely because Democratic Senate Majority Leader Harry Reid blocked sanctions bills.

Obama will not have that safety net in the new Republican Senate that convenes in January, and backers of an agreement fear even the threat of tougher action.

Dylan Williams, director of government affairs for J Street, a left-leaning pro-Israel group said new sanctions would "guarantee" a fracturing of the international coalition against Iran.

Even if opponents fail to overcome a veto, Congress could still stir up the kind of trouble that could embolden hardline opponents of President Hassan Rouhani who argue Washington can never be trusted to stick to its commitments.

And a deal could not survive as "temporary" forever -- eventually Congress would have to act.

"It is clear there is a significant problem," said Trita Parsi, founder of the National Iranian American Council, which advocates dialogue between Washington and Tehran. "At the end of the day, the president needs to lift sanctions through Congress in order to make a deal possible."

The politics on Iran are getting trickier for Obama by the day.

Republicans are outraged at reports last week that he wrote to Iran's Supreme Leader Ali Khamenei, days before the Ayatollah issued a barrage of tweets slamming the "barbaric, wolflike and infanticidal regime" in Israel.

Meanwhile, a report by the UN's nuclear watchdog body last week suggested Tehran may have violated an interim nuclear deal by feeding natural uranium gas into one of its centrifuges. Iran was also accused of blocking existing inspections to its nuclear plants.

The White House has already shown it is ready to play political hardball over Iran, warning last year that anyone who opposes the deal is effectively backing a march to war with Iran.

Obama is also at odds over Iran with Israeli Prime minister Benjamin Netanyahu, who views the prospect of an Iranian bomb as an existential threat to the Jewish state. Netanyahu warned in a video address to Jewish Federations leaders on Tuesday that it was obvious Iran wanted to remove sanctions and it should be "equally obvious" that it is not prepared to dismantle its nuclear program in return.

The White House argues Israel's demand for a complete dismantling of Iran's nuclear infrastructure is impractical. Instead, it wants the deal between the permanent five members of the UN Security Council, Germany and Iran to lengthen the period of time it would take Tehran to dash towards a bomb.

"We will not let Iran get a nuclear weapon. Period. We mean it," Vice President Joe Biden said in Washington Monday as negotiators from Iran, the US and Europe toiled in Oman to bridge gaps on a deal ahead of a final round of talks in Vienna next week.

In the event they're successful, the pressure on key lawmakers from the White House and pro-Israel lobby groups will be intense.

Incoming Republican Senate Foreign Relations committee chairman Bob Corker will be a vital player, as he has voiced skepticism of the president's Iran diplomacy in the past, while being more pragmatic than other Obama critics on sanctions.

Another key player is Sen. Chuck Schumer, who is staunchly pro-Israel but could give fellow Democrats cover to stick with their president by backing a deal.

And Hillary Clinton will increasingly be looked to by Democrats for guidance in the event of a deal. The former secretary of state and potential 2016 contender has backed Obama's diplomacy but expressed skepticism Iran would sign on to a verifiable deal to halt its nuclear program.Â 

@highlight

GOP senator to bring up bill that would require Obama to submit Iran deal for approval

@highlight

New sanctions could embolden hard-liners in Tehran

@highlight

White House likely to warn of possible march to war if agreement fails