Jakarta, Indonesia (CNN) -- Sandiaga Uno is without doubt one of Indonesia's richest men.

With an estimated personal wealth of $400 million dollars and assets valued in the billions, the 41-year-old's climb to the top is an inspiration to many budding entrepreneurs.

Yet this father of two, from humble beginnings is not interested in promoting his own story but rather that of his country and its enormous potential.

Dressed in a green batik shirt, a patriotic gesture to the rich cultural heritage of Indonesia, the businessman knows how lucky he is. From his high-rise office building in downtown Jakarta, Uno speaks of the sacrifices his parents made to send him to university in the United States. It was there he discovered an interest in business that led him to a job in Canada.

But his dream of working overseas came to an abrupt end when the company he was working for collapsed, putting Uno out of a job. He was forced to return home, but the timing couldn't have been worse with Asia in economic meltdown from the 1997 financial crisis.

Struggling to provide for his family, Uno decided against the odds to set up his own business and with four staff in a tiny office, Saratoga Capital was born.

Twelve years later it is one of Indonesia's largest investment firms employing more than 20,000 people.

Uno believes failure is just as important as success and while he admits there were plenty of hard knocks he was confident his gamble would pay off in the long term.

"I knew when Asia came out of the crisis energy would be in high demand. So we started getting serious looking at those opportunities," he said.

And now it is energy that is his primary focus; investing in coal, oil, gas, toll roads, plantations and shipping ports.

Indonesia is going through an enormous economic boom thanks partly to its valuable natural resources. Indonesia's stock market is outperforming its neighbors and the region. Growth is expected to reach 6 percent this year and an emerging middle class is fueling domestic demand.

Despite all this success, Uno believes the country's wealth is not being evenly distributed. Around 40 million of the country's 242 million people still live below the poverty line and Uno describes this as a recipe for disaster.

"Basically if we are not careful the rich will get richer and the poor will get poorer and the gap will be the next embryo of the next unrest. So we as businessmen need to make sure the wealth is spread more equally," he said.

Uno is extremely passionate about the future of Indonesia and while he will talk up the country as the next place to invest along side China and India, he's acutely aware and critical of its pitfalls.

He says corruption is the number one problem holding his country back, a view shared by many in the international community. He says to have sustainable growth Indonesia must be attractive to foreign investors.

"I think the government is on the right track in stamping out corruption; it's moving in the right direction. But the speed and pace is not satisfactory, I think people want to see more," he said.

Another major problem is infrastructure and for Uno this has become his "personal crusade". He says anyone who visits the nation's capital Jakarta is greeted by a dilapidated international airport followed by gridlocked roads. His companies have $20 billion to invest in infrastructure projects.

"The money is there, we just need the government to sort out the land acquisition problem among other things which will require changes in the law and then we can start building the infrastructure Indonesia so desperately needs," he said.

Earlier this year, Uno was invited by U.S. President Barak Obama to attend an Entrepreneur's Summit in Washington DC. He describes how impressed he was with the U.S. President who spoke to him in Bahasa and believes the leader of the free world knows just how important Indonesia has become.

Uno says his wealth brings power -- he regularly has the ear of his president Susilo Bambang Yudhoyono -- but insists it's not about money or the people you brush shoulders with. His motivation to succeed is much greater than that.

"I see all these paradoxical situations. Indonesia has the 18th largest economy but we're ranked 122 in the world for ease of doing business. It doesn't gel and it really ticks me off. We should do better," he said.

"We are so rich in resources but we can't even produce. For example we produce coca but don't have chocolate factories. We produce crude palm oil but we don't have perfume or soap industries. So we're just exporting our raw materials without being able to process it. I think in the next four to five years Indonesia must be able to generate that expertise."

@highlight

Sandiaga Uno is one of Indonesia's wealthiest businessmen

@highlight

His company Saratoga Capital employs over 20,000 people

@highlight

Uno believes Indonesia has huge potential for growth

@highlight

Poverty gap and corruption threaten the country's development, Uno says