(CNN)For many kids living in rural and non-electrified parts of South Africa, the final school bell doesn't just signal the end of another day of learning. Instead, it also means the beginning of an arduous trek through busy and dangerous roads to get back home in time to complete their homework before sunset.

For Thato Kgatlhanye, this was all too familiar. She saw it every day in her hometown of Rustenburg, a mining community in the North West province of South Africa.

So the young entrepreneur decided to do something about it.

"This is our home. The reason we started this business is we looked at our community and we wanted to do work that matters," explains Kgatlhanye.

That work turned into Repurpose Schoolbags -- the first green initiative from Rethaka, a social startup Kgatlhanye co-founded alongside childhood friend-turned-business partner Rea Ngwane.

The millennial pair -- aged just 21 and 22 years old respectively -- are taking advantage of the plastic waste in their region, upcycling it into 100% recycled plastic schoolbags for local disadvantaged students.

But here's the twist -- the bag also doubles as a light.

The backpacks feature a solar panel in the flap -- which charges as the children walk to school -- as well as strips of reflective material, an added safety design to make the children more visible to traffic in the early hours.

A bright idea

"One of the first obstacles these kids face is not being able to finish their homework," says Kgatlhanye, the first runner-up at the 2014 Anzhisha Prize, a pan-African award celebrating entrepreneurs aged 15-22 who've come up with innovative ways to solve problems in their communities. "If a child doesn't have access to light then as soon as the sun goes down there is not time to do anything but sleep."

Kgatlhanye explains the design is to help poor households from using up candles which might otherwise have lasted an entire week. And the children can focus on their homework without worrying about disrupting the family dynamic.

"A child simply does not have the luxury of burning the midnight oil and practicing their math sums until 12 o'clock at night because [the family] have one candle which was meant to be rationed for the whole week."

After a six-month pilot phase earlier this year, the resourceful entrepreneurs are now distributing their 100% upcycled plastic bags to schools they've identified around their howetown of Rustenburg.

The company has also teamed up with local individuals and corporates who are willing to cover the cost of the bags on behalf of the students. Depending on their donation, these so-called "giving partners" typically matched to a class, a grade or a school.

Overcoming challenges

Launched last year, Repurpose Schoolbags has grown to today employ eight full-time staff -- six of which are women -- while its workshop produces around 20 bags a day.

Yet, running such a business hasn't been without challenges. Kgatlhanye says there was a fair few failures in the beginning -- especially around training staff. Another problem the two young businesswomen faced early on was the lack of infrastructure for plastic recycling. But instead of letting this become a setback, the pair went about creating it themselves.

"We get [plastic] from landfill sites and collect it from schools that have come on board as "Purpose textile banks" and local schools run campaigns to get students to bring in plastic to be upcycled," Kgatlhanye explains.

"The plastic comes to our workshop where we process them into a textile, sew it up with industrial sewing machines and then we distribute," she continues.

"Seeing the kids believe that you can have waste and rubbish ... [that can be turned into] so much more -- you get kids being interested in recycling, whereas before you're in a rural area the concept of upcycling is a foreign concept.

"But when it comes in the form of a tangible product that helps you out -- now kids are picking up litter around the community," she adds.

New year, new products

Looking ahead, the two have big plans for the future. Kgatlhanye says they are already hard at work as they prepare to take on an additional 12 employees to meet the growing demand for their bags, as well as introduce new products.

She says: "We've gotten a huge interest from other countries across Africa. We've also started with product development -- having other things for sale like conscience bags made out of the same material that corporates can then buy for their conferences and summits.

"We've also started development with a luxury brand to develop things like clutches. As part of the proceeds of the sales, we'll be able to finance and subsidize these bags."

Photographs provided by Miora Rajaonary for Emerging Innovation, a new magazine of creative ideas and management practices in the Global South.

Read this: 12 brilliant African entrepreneurs under 22

Read this: Bike tour gives taste of township life

More from African Start-Up

@highlight

Repurpose schoolbags is a green initiative from Rethaka, a South Africa-based startup

@highlight

Thato Kgatlhanye and Rea Ngwane founded the startup to create positive change

@highlight

Their 100% recycled plastic schoolbags double as a nightlight for schoolkids

@highlight

The bag features a solar panel that is charged during the walk to school