(CNN) -- As Ashton Kutcher becomes the first to collect 1 million followers on Twitter and Oprah Winfrey sends out her first tweet, tech observers are debating: Does Friday mark a new peak for the microblogging service? Or the beginning of its demise?

Ashton Kutcher told Larry King Friday that the battle was about proving one person can have a voice.

Some bloggers and Twitter users have expressed concern that the once-cultish site is being overwhelmed by celebrities and media hype, while others are excited by Twitter's ever-growing reach.

"It's a big milestone. This brings Twitter mainstream," said Andrew Cherwenka, a Huffington Post contributor and Web developer at Trapeze.com, referring to Kutcher and Winfrey's Twitter breakthroughs.

"A lot of people are saying this is going to be the death of Twitter, and I don't understand that at all," Cherwenka added. "It's just another stage in Twitter's acceleration."

"The challenge for Twitter -- besides, of course, getting a business model in place to handle the infrastructure required to sustain this kind of growth -- is going to be maintaining the fact that it's the community at large, not the celebrity users, that's at the core of this service," said Caroline McCarthy, who writes a CNET News blog about social media.

"The power of Twitter is about the millions of people using it and how easily it is to filter and aggregate their thoughts and conversations," McCarthy told CNN. "It can't be all about Ashton and Oprah."

In the much-publicized duel, Kutcher's Twitter account crossed the 1 million mark on Twitter about 2:13 a.m. ET Friday, narrowly beating CNN's breaking-news feed, which had 998,239 followers at the time. CNN passed the mark at 2:42 a.m. ET.

On Friday, Kutcher went on "Larry King Live" to talk about the battle and why he felt the duel was so important.

"We now live in an age in media that a single voice can have as much power and relevance on the Web, that is, as an entire media network," he said. "And I think that to me was shocking."  Watch Kutcher discuss reaching one million milestone »

Early Friday Winfrey sent her first tweet from the Chicago, Illinois, set of her TV show. The all-caps message was sent at 10:10 a.m. ET and said, "HI TWITTERS. THANK YOU FOR A WARM WELCOME. FEELING REALLY 21st CENTURY."

Winfrey drew more than 73,000 Twitter followers before she sent out her first tweet. By Friday afternoon her Twitter following had climbed above 100,000.

"Twitter has experienced watershed events over the last two years since we founded the company, and momentum continues to build," Twitter co-founder Biz Stone said Friday in an e-mail to CNN. "Certainly having Oprah and Ashton embrace Twitter so enthusiastically will be another big moment for us."

But Kutcher also acknowledged on "Larry King Live" Friday that while he was able to get so many followers because he is well-known, he was trying to show that anyone can have a voice and let their story be told.

"I think it's really important that Twitter is not about celebrities. It's not a platform for celebrities," he said. "In all these interviews and things, it's been celebrity -- you know, people know have been on TV. It's really about everyday people having a voice. And I don't want it to be dwarfed by celebrity."

Sean 'Diddy' Combs, who joined Twitter and threw his support behind Kutcher, told Larry King that he views Twitter as an important medium for him to share who he "really" is, and give fans a direct line of communication to him.

"It's a chance for people to know the real me," he said. "Due to my own fault there's such a persona of the Hamptons and the bling-bling and the "Forbes" list and who I'm dating. There's more substance to me than that. Over time I've just wanted to make sure that that has gotten out."

Kutcher told Larry King that initially, Twitter was a tool to feed his ego until he realized that he could use the service to make a difference.

"At the end of the day, we all have ego, we all have some level of ego," he said. "But if we can use our ego to actually create good charitable things in the world in some way, and use our ego -- originally, I defined Twitter as an ego stream when I first saw it. But then what I realized is if we can transform that into something that's positive that can actually effectively change the world, that can be a really valuable tool."

Kutcher had challenged CNN to the Twitter race, saying he would donate 10,000 mosquito bed nets to charity for World Malaria Day in late April if he beat CNN, and 1,000 if he lost. CNN agreed to do the same.

The battle between @aplusk, Kutcher's Twitter handle, and CNN's feed gained much attention on Twitter, with fans pulling for both sides.

Web junkies watched Kutcher on a live video stream as he celebrated with champagne, surrounded by his wife, Demi Moore, and friends.

"We are over a million. CNN is still trying to get there. And that is just how it goes," Kutcher told the camera as his friends screamed. "There are a million people that need to be thanked for this."  See Kutcher celebrate his milestone »

No single Twitter account had previously reached 1 million followers, according to two Web sites that track popularity on Twitter, a site on which users post 140-character messages that are distributed to groups of followers.

"Kudos to Ashton and all those in the @aplusk camp. Now more than ever, the consumer is in the driver's seat and we couldn't be more gratified than to be part of this historic social media milestone," said CNN spokeswoman Jennifer Martin.

CNN maintains more than 40 official Twitter accounts, with a total of more than 1.5 million followers. Kutcher was racing the network's breaking-news feed, @cnnbrk. That account provides only brief updates about breaking news, therefore CNN doesn't send a lot of alerts -- just those for major events the network believes its audience will want to know.

"We'd like to thank every one of our followers for helping CNN reach the 1 million mark, and we are delighted to raise our donation to 10,000 bed nets for World Malaria Day in recognition of them," Martin said.

Not to be outdone, Winfrey said in a tweet Friday morning that she would donate 20,000 mosquito bed nets to charity. "American Idol" host Ryan Seacrest, another popular Twitter user, also agreed Friday to make a donation of mosquito bed nets, which help prevent the biting insects from spreading malaria in tropical countries.

"Ashton's 'Twitter race' is an amazing example of how we can leverage new technology to battle an ancient disease," said Scott Case, CEO of Malaria No More, the charity expected to benefit most from the mosquito bed net donations. "Not only is Ashton helping Malaria No More raise awareness ... he's also galvanizing his Twitter army to help end malaria deaths."

The online feud between CNN and Kutcher also drew attention to the popularity of Twitter, which has seen breakneck growth over the past year. Twitter saw 131 percent growth in March alone, with 9.3 million unique U.S. visitors that month, according to comScore. The group attributes the increase to media attention on the site.

Cherwenka, the Huffington Post blogger, believes Kutcher may be one of the first people to leverage the power of online social networking for widespread social good.

"It's a turning point in media. He's one person who uses a free media platform to reach a large audience. And that really hasn't been done before," Cherwenka said. "He didn't spend a penny on this. And that's kind of the point of any kind of social activity on the Web."

But will all this celebrity-driven hype turn off longtime Twitter users? Time will tell, observers say.

"I know some Twitter early adopters and loyalists are feeling a bit ambivalent about this influx of mainstream attention, and are likening it to when their favorite indie band gets big overnight," said CNET's McCarthy. "They're excited to see this service really take off, but at the same time are concerned that it's turning into a sort of novelty fad."

CNN.com's Brandon Griggs and John D. Sutter contributed to this report.

@highlight

NEW: Ashton Kutcher: "It's really about everyday people having a voice"

@highlight

NEW: Kutcher: I realized I could use Twitter to "effectively change the world"

@highlight

Oprah Winfrey, Ashton Kutcher taking Twitter's popularity to new heights

@highlight

Kutcher beat CNN early Friday in a race for 1 million followers on the site