The villagers had congregated at the tent, as they often did at the end of the workday, to sit and chat.

Among them were men who sold vegetables or wood. Others mined or traded minerals used to make alloys like stainless steel.

They were husbands and fathers, brothers and sons.

But unlike villagers who might gather like this in many other parts of the world, these men had strange company at their customary get-together.

They were living in North Waziristan, one of Pakistan's thinly governed tribal areas bordering Afghanistan and a hotbed of militancy.

Hanging above them in the evening sky were four remotely piloted aircraft. Drones.

Without warning, the aircraft unleashed a volley of missiles that struck the tent, killing eight people.

A few minutes later, after other villagers had approached the wreckage to help the victims, the drones fired again, deepening the carnage.

By the end, 18 people were dead, including at 14-year-old boy, and 22 others were wounded, including an 8-year-old girl.

"Body parts were scattered everywhere. Bodies without heads and bodies without hands or legs," said Ahsan, a miner and local resident who had been praying at the time of the first wave of missiles.

Malala to Obamas: Drone strikes 'fueling terrorism'

'Will I Be Next?'

Ahsan's account of the attack in the village of Zowi Sidgi in July 2012, along with those of other witnesses and victims' relatives, form part of a report released Tuesday by Amnesty International titled "'Will I Be Next?' U.S. Drone Strikes in Pakistan."

The report provides detailed information on nine out of 45 drone strikes it says were carried out by the United States in North Waziristan between January 2012 and September 2013.

In some of the attacks, it says, the victims weren't members of militant groups like al Qaeda or the Taliban, but just ordinary civilians, like the workers in Zowi Sidgi.

It recounts another strike, in October 2012, in which a 68-year-old woman, Mamana Bibi, was blown apart by a drone as she picked vegetables in front of her grandchildren, several of whom were injured in the attack.

"Amnesty International is seriously concerned that these and other strikes have resulted in unlawful killings that may constitute extrajudicial executions or war crimes," the report said.

Mustafa Qadri, Amnesty International's Pakistan researcher, said that while war crimes have possibly been committed, that cannot be confirmed without more information from the U.S. government.

Leaders due to meet

Made public the day before Pakistani Prime Minister Nawaz Sharif is due to meet U.S. President Barack Obama in Washington, the report calls for a series of measures to bring the drone program in line with international law.

Those include conducting impartial investigations into the cases documented, bringing those responsible for human rights violations to justice and offering compensation to civilian victims' families.

On Tuesday, Sharif was at the United States Institute of Peace in Washington.

"Recently our political parties in a national conference declared the use of drones is not only a continued violation of our territorial integrity but also detrimental to our resolve at efforts in eliminating terrorism from our country," Sharif said.

"This issue has become a major irritant in our bilateral relationship as well. I therefore would stress the need for an end to the drone attacks."

Sharif has previously called for an end to the U.S. drone program in Pakistan, where it has stirred deep anger, and will raise the issue with Obama on Wednesday, said Aizaz Ahmad Chaudhry, a spokesman for the Pakistani Foreign Ministry.

"The government of Pakistan believes drone strikes are against international law and the sovereignty of Pakistan," Chaudhry told CNN. "Drone strikes are counterproductive to fighting terrorism."

Pakistan wants to persuade the United States to stop using drones, he said.

"International opinion is against drone strikes, not just here in Pakistan, but in the world," Chaudhry said. "This opinion is strengthening."

Adding to the pressure, Human Rights Watch also released a report on U.S. drone attacks Tuesday -- this one focusing on Yemen.

Letta Taylor, a senior counterterrorism researcher for Human Rights Watch, said the group found at least two clear cases of violations of international laws of war, but those did not reach war crimes status.

The group said four of the six attacks it had investigated "may have violated the laws of war."

Sources: Drone strikes in Yemen kill 6, including senior AQAP leaders

Lack of U.S. disclosure

Based on extensive field research, the reports underlined the difficulties of gathering information on attacks in dangerous areas of Pakistan and Yemen.

"We found that despite assurances from President Obama that (the U.S. government is) doing its utmost to protect civilians from harm, that in fact in many cases it is killing innocent civilians, even dozens of them, if not more," Taylor said.

And both reports noted the U.S. government's unwillingness to talk about the cases.

The lack of information from U.S. authorities, Amnesty said, makes it impossible "to reach firm conclusions about the context in which the U.S. drone attacks on Mamana Bibi and on the 18 laborers took place, and therefore their status under international law."

White House Press Secretary Jay Carney rejected the idea that the United States has violated any laws.

"To the extent these reports claim that the U.S. has acted contrary to international law we would strongly disagree," he said at a press briefing Tuesday. "The administration has repeatedly emphasized the extraordinary care that we take to make sure that counterterrorism actions are in accordance with all applicable law."

The U.S. government has said strikes by the unmanned aircraft are a necessary part of the fight against militant groups. In May, Obama defended the drone program and disclosed the guidelines determining its use.

He said drones would be deployed only when there is an imminent threat, no hope of capturing the targeted terrorist, "near certainty" that civilians wouldn't be harmed and "no other governments capable of effectively addressing the threat."

Civilian victims in Yemen

But Human Rights Watch said the evidence it had gathered "strongly suggests" that the strikes in Yemen it documented "did not adhere" to the policies set out by Obama.

The group said the attacks its report covers took place between 2009 and 2013, killing 82 people, at least 57 of them civilians.

The strikes ostensibly targeted suspected members of al Qaeda in the Arabian Peninsula (AQAP), but victims included women, children, truck drivers and other civilians, the report said.

"At least four of the strikes were carried out by drones, a fifth strike by either drones or warplanes, and a sixth one by cruise missiles releasing cluster munitions, indiscriminate weapons that pose unacceptable dangers to civilians," it said.

The report also questioned the military validity of several of the suspected al Qaeda operatives targeted.

Fear and polarization

Both reports describe the climate of fear created by the drones in Pakistan and Yemen, and the polarizing effect the attacks are having on local populations.

"The ultimate tragedy is that the drone aircraft the USA deploys over Pakistan now instill the same kind of fear in the people of the Tribal Areas that was once associated only with al Qaeda and the Taliban," said the Amnesty report.

"Like other forces operating in the Tribal Areas, the USA appears to be exploiting the lawless and remote nature of the region to evade accountability for its violations," it said.

Human Rights Watch described a similar situation in Yemen.

"We Yemenis are the ones who pay the price of the 'war on terror,'" Faisal bin Ali Jaber, a relative of a cleric and a police officer who were both killed in a drone attack in August 2012, was quoted as saying in the report. "We are caught between a drone on one side and al Qaeda on the other."

The report warned that "should the United States continue targeted killings in Yemen without addressing the consequences of killing civilians and taking responsibility for unlawful deaths, it risks further angering many Yemenis and handing another recruiting card to AQAP."

'A dangerous precedent'

The reports set out a list of recommendations, primarily for the U.S. government, but also for authorities in Pakistan and Yemen.

More broadly, Amnesty warned that the American government may be setting a troubling standard in its use of drones that other countries could follow.

"U.S. policy and practice on targeted killings and drones are not only of concern in their own right: they also set a dangerous precedent that other states may seek to exploit to avoid responsibility for their own unlawful killings," the report said.

In Yemen, images of the charred, shattered remains of the cleric and policemen killed in August 2012 have circulated in the village where the attack took place, the Human Rights Watch report says.

"Now when villagers see these images," Jaber, the relative, was quoted as saying, "they think of America."

@highlight

White House denies any laws were violated

@highlight

Amnesty International and Human Rights Watch release highly critical reports

@highlight

They detail multiple U.S. drone strikes in Pakistan and Yemen

@highlight

Amnesty International suggests that some of the attacks may constitute war crimes