(CNN)Tensions are running high following the massacre at the offices of Charlie Hebdo in Paris on Wednesday, and that is exactly how it should be. The correct, human response to an atrocity of this nature is revulsion and deep moral anger.

Far from precluding rational understanding, such anger should cause us to demand sensible, productive analysis and to brush aside comments from politicians or pundits that do not live up to the seriousness of the moment.

The "clash of civilizations" has become a popularized frame that is wheeled out whenever an attack by Islamic extremists is carried out against a Western target. It casts a democratic, liberal West as being locked in an epic struggle with a backward and violently intolerant Muslim world. According to this narrative, the West, which treasures freedom of speech, has this week come under attack from an Islamic culture that refuses to accept any instance of what it regards as blasphemy.

Voices from the left and right can be heard repeating the assumptions underlying these sweeping generalizations. Consider two examples from the United Kingdom this week. Nigel Farage, leader of the anti-immigrant party UKIP, opined that there are people living in Britain from other cultures who "hate us" and represent a "fifth column," thus implicating entire communities as enemies of the nation.

Separately, the liberal British journalist Jon Snow tweeted: "Paris: brutal clash of civilizations: Europe's belief in freedom of expression vs those for whom death is a weapon in defending their beliefs." Snow of course knows very well that a handful of armed men do not constitute a "civilization," just as he knows what the phrase he employed is universally understood to mean. With the far right on the march across Europe, and violent reprisals being carried out against blameless French Muslims, now is not the time for inflammatory or even careless language.

Moreover, these two-dimensional representations do nothing to help us make sense of what is actually going on. Ascribing characteristics to entire "civilizations" as though they are uncomplicated and homogenous, containing no competing or contradictory forces, is to tell ourselves a fairy tale rather than to face the world as it really is.

Take the idea that freedom of speech is a Western value. Clearly Europe and North America enjoy a high degree of freedom of expression. But the elected governments of many Western states also provide material support to some of the most repressive regimes in the world.

In Saudi Arabia Friday, dissident blogger Raif Badawi was publicly flogged for the crime of facilitating debate and insulting Islam. In states such as Bahrain and Egypt, those expressing unacceptable opinions can find themselves jailed, tortured, and even massacred, while the governments of the United States and United Kingdom continue to arm the regimes responsible.

France too is a major weapons dealer in the region, supplying states such as the UAE and Qatar, the latter of which jailed the poet Mohammed al-Ajami for 15 years for "insulting the Emir" and calling for the overthrow of the government. The support given to these tyrannies by Washington, London and Paris is not an aberration, but a core component of long-established strategy. If democracy and freedom of speech are inherently and uncomplicatedly "Western values," how does one account for this?

Similarly, if democracy and freedom of speech are antithetical to the values of Arab or Muslim culture, then how to explain the thousands, even millions of people in the Middle East that have, especially since late 2010, fought and risked their lives for precisely these things, often against regimes backed by Western states?  Are we to airbrush from the picture those participants in the Arab uprisings who are both Muslim and defenders of human rights, ignoring their bravery and their sacrifices?

Freedom has its champions and opponents in all parts of the world. The degree of freedom secured at any given moment merely reflects how the struggle between the two sides has played out so far, rather than some innate cultural attributes. The social systems of the West were not born democratic, but became that way through often painful periods of internal conflict, France being the classic example.

Likewise, the extreme puritanism of ISIS and al Qaeda has not emanated smoothly and naturally from the cultures and religious practices of the Middle East (where it continues to be overwhelmingly rejected). In the modern era, it was originally imposed by force in the Arabian Peninsula when the House of Saud conquered the area in the early twentieth century. The Saudis have since promoted fundamentalism, often as a way of suppressing more secular forms of opposition, and have lost control of the results with disastrous consequences.

The roots of Islamic extremism are complex. Western state support for regimes like Saudi Arabia, and pursuit of disastrous wars, not least in Iraq, may not be the decisive causal factors. But they are part of the mix, and profoundly unhelpful. What we need now is not false division between "East" and "West", but for democrats on both sides to stand together against extremism and violence in all its forms.

@highlight

'Clash of civilizations' line wheeled out when Islamic extremists attack Western target is sweeping generalization, David Wearing says

@highlight

These two-dimensional representations do nothing to help us make sense of what is actually going on, Wearing writes

@highlight

What is needed is for Muslim and Western democrats to stand together against extremism and violence in all its forms, he says