SEATTLE, Washington (CNN) -- Saana Nyassi considers himself lucky.

Saana Nyassi is a player for the Seattle Sounders soccer team. He is also a malaria survivor.

He is fortunate not just because he has a natural talent for soccer and the dedication to rise through the ranks in his native Gambia and eventually go to the United States to play for the Seattle Sounders. Before leaving the tiny West African nation for America, Nyassi contracted malaria.

"It's a killer disease," the midfielder, 20, says. "You lose appetite. You are throwing up all the time. Your body gets warm. It's very serious."

Nyassi recovered. But nearly a million people -- mostly young children and pregnant women in sub-Saharan Africa -- do not survive the disease, according to the National Institutes of Health.

On Saturday, before their game against the San Jose Earthquakes, Nyassi and his teammates will mark World Malaria Day by giving a check for $20,000 they raised for Nothing But Nets, a U.N. Foundation-sponsored campaign to supply anti-malarial bed nets to some of the poorest parts of the world.  Watch how researchers are fighting malaria »

Nothing But Nets buys and delivers each bed net for about $10. The nets prevent mosquitoes from biting people while they sleep and passing on the parasite that causes malaria.

Even though malaria was been wiped out in the United States, it still rages in countries in Africa, Asia and other developing parts of the world.

"The challenge is enormous because of the size," says Dr. Regina Rabinovich, director of Infectious Diseases Development at the Bill and Melinda Gates Foundation, which so far has dedicated over $1 billion to fighting and preventing malaria.

Rabinovich, who also contracted malaria during a visit to Gambia, says the Gates Foundation is waging a war against the disease on several fronts.

"Keeping people from getting bitten by a mosquito, that's what a bed net does," she says. "Not having the mosquito thrive, that's what insecticide does. By treating them, you keep someone else from being infected by another mosquito bite."

While malaria can be treated, getting that treatment to people suffering from the disease who are often in remote places and with little access to health care is not always easy. There is no vaccine to prevent malaria. But Rabinovich argues that cases of malaria can be greatly reduced even before a vaccine is discovered.

"The really interesting thing about malaria is that they haven't depended on a magic silver bullet," she explains. "Bed nets protect you about half the time, spraying protects you. It's been the combination of prevention and treatment that's effective. When we have a malaria vaccine it will join that toolbox."

That malaria vaccine could potentially come from a temperature- and humidity-controlled vault nicknamed "the swamp" at the Seattle Biomedical Research Institute. There, larvae imported from India are carefully hatched into mosquitoes.

Using funds from the Gates Foundation, Dr. Stefan Kappe is trying to genetically engineer the parasite that causes malaria and create a vaccine from it. With the vaccine that Kappe is working on, the malaria parasite would be unable to pass from the liver, where the parasites multiply, into the blood.

"We call this the 'you-can-check-in-but-cannot-check-out' approach," Kappe says. "The immune system learns [and] is trained to recognize it -- and when the real parasite comes in, the one that can infect you, your immune system is very quickly able to eliminate it."

If it is successful, the vaccine that Kappe is formulating will aim to prevent malaria every time it is administered -- a crucial element to fighting a disease that is passed from person to person by mosquito bites.

"You need to break transmission, you need to break the ability of the parasite to move to the mosquito and from the mosquito back to humans," he says. "This liver infection is a great place to attack. If you prevent infection right there, then humans don't become infected, the mosquito that bites them the next time can also not become infected and cannot bring the disease to another person."

The vaccine has already been proven effective 100 percent of the time in studies with mice, Kappe says. Now the researcher will begin human trials of a potential vaccine. Or, as he calls it, taking the difficult leap "from mice to men."

Until there is a vaccine, prevention and remedies as simple as bed nets will be crucial.

Success playing soccer means Sanna Nyassi no longer needs to be wary of malaria, but that hasn't made him forget those that do. "I was born poor," Nyassi says. "But things are getting better for me. I have to look back at the other ones."

@highlight

Professional soccer player is also survivor of malaria

@highlight

Saana Nyassi and Seattle Sounders teammates raise funds to fight malaria

@highlight

Researcher looks for vaccine that can break malaria's transmission cycle

@highlight

"I have to look back at the other ones" who are born poor, soccer player says