(CNN) -- Africa is poor, corrupt and rural. Right? Think again. A team of young documentary makers is hoping to burst the myth of Africa as a dangerous backwater by shining a light on some inspiring projects taking place on the continent.

When filmmaker Nosarieme Garrick hit the streets of New York to ask passersby: "What do you know about Africa?" the overwhelming response was "not a lot."

"It's very big, very hot. Most of Africa's impoverished. I'm pretty ignorant to Africa," admitted one man.

"I know about some human rights violations, some wars and genocides," was the bleak answer from another woman.

It was a dismal reflection of many Western stereotypes surrounding Africa -- one that Nosarieme is determined to change.

Watch: Fighting Hollywood stereotypes

My Africa is: hopeful

The 27-year-old hopes to launch an eight-part documentary series 'My Africa Is' -- showcasing the continent through the eyes of its insiders.

"The four things that come to mind when people think of Africa are population, problems, poverty, and promise unfulfilled -- headline media reports on the continent. But that's not the whole story," Nosarieme, originally from Nigeria and now living in Washington, said.

The ambitious project would cover 13 cities across sub-Saharan Africa. Organizers are trying to crowdsource funds through the Kickstarter website and hope to start filming in October if they reach their target.

"Between the 1980s and now the image of famine and wars has been ingrained in people's minds. That's a narrative that's going to be hard to shift," Nosarieme said.

"That's not to discount the fact that this stuff does happen. But what I wasn't seeing was the solutions."

See also: South African ballet dancer confounds stereotypes

Nigeria the troubled oil giant

First up in the documentary series is Abuja in Nigeria -- a country that until the election of President Goodluck Jonathan last year had largely lurched from one military coup to the next.

This is Africa's most populous country and its leading oil producer. Yet few in the country have benefited from the oil boom with more than half the population still living in poverty.

See also: Congo's designer dandies

The President was recently forced to sack bosses from state-owned oil company NNPC amid corruption allegations

Then there's the ongoing violence between Muslim and Christian groups in the north, with even Pope Benedict XVI weighing in to call for an end to the brutality.

Put simply, when it comes to Nigeria, the headlines aren't great.

Getting on the Photowagon

But according to Nosereime, that's only half the story.

"Nigeria is going through a turbulent time," she admitted. "But there's a rising youth who are trying to educate each other."

Indeed the trailer for the first My Africa Is show, the focus is on Photowagon -- a Nigerian photography collective "on a mission to show the giant of Africa through the lens."

Launched in 2009, their powerful images paint a very different image of Africa.

It's a well-rounded collection that captures the frivolity of everyday life, such as market scenes and football matches. But doesn't shy away from some of the more familiar and gruesome notions of Nigeria such as terrorist attacks and military clampdowns.

The 'other' Nigeria

Photowagon co-founder Aisha Augie-Kuta says her mission is to "conquer sports photography as a northern Nigerian female" -- a bold statement for a "very conservative" country.

But the gung-ho 33-year-old appears undeterred as she takes 'My Africa Is' to a Nigeria vs Argentina football match in the capital Abuja.

Traditional dancers and hip-hop singers entertain the crowds during half-time, while ecstatic fans hug each other with each goal.

It's an image of Nigeria that couldn't be further from the grim headlines.

Aisha admitted that if you believed the Western media, you wouldn't step foot inside Africa.

"They see us as a continent without hope," the mother-of-three said.

"For Africans, we see hope on the street everyday. But on the news you don't see that. It's always about the negative stuff.

"Instead, what we see is a lot of poor children dying from malaria or polio. If you listened to the news everyday you'd have no hope from the bombings or corruption. Don't get me wrong, it is happening. But it's not a constant. It's not the Nigeria we in Lagos or Abuja are living in."

See also: South Africa's underground youth culture

The 33-year-old said the country had come a long way since she was growing up under a military regime in the northern state of Kebbi. Aisha remained optimistic about democratic change in the west African country, particularly for women, but was also realistic about its pace.

"There's a lot of opportunity and hope as to where we can be," she said.

"But at the same time there's a lot of uncertainty about how much change the government can bring in."

@highlight

Ambitious documentary hopes to dispel bleak stereotypes of Africa

@highlight

Filmmaker Nosarieme Garrick was shocked to find most people 'ignorant' about Africa

@highlight

'My Africa Is' project needs Â£71,500 funding, with Â£3,500 already raised

@highlight

First episode looks at Nigeria's inspiring Photowagon collective