(CNN) -- A silent, invisible battle is being fought against roadside bombs in Iraq. Though the military doesn't like to advertise their use, electronic jamming systems are playing a key role in neutralizing the threat.

Smoke billows from tires of a U.S. military truck hit by an IED near the Iraqi-Syrian border in October 2005.

"Any weapon we had against IEDs, [improvised explosive devices] was utilized including jamming technology," said Jason Spencer, 29, an Oklahoma City, Oklahoma, engineer who served with the Army in Iraq in 2005.

Vehicle mounted electronic jammers attempt to block a signal going to a radio-controlled IED. The military also uses portable backpack jammers.

"The sophistication of IEDs definitely increased during my time in Iraq," said Spencer. "There was a definite increase in remote detonation."

A signal going to a remote-controlled IED operates on a radio or infrared frequency.

Jamming devices, known as Counter Radio Controlled Improvised Explosive Device Electronic Warfare, or CREW systems, attempt to intercept or block a signal before it reaches its intended target, preventing detonation.

One common method is barrage jamming, which knocks out a broad range of radio signals. However, it also knocks out communications used by U.S. troops putting them at increased risk.

"Ideally what you want to be able to do is have something that can grab very precise signals, capture the signals and render them irrelevant without knocking out your own communication," said CNN military analyst retired Army Brig. Gen. James "Spider" Marks.

These technologies represent the last line of defense, Marks said. "We don't want to give our potential enemies an understanding of what we are doing to counter their efforts," he said.

Along with jammers, troops use air surveillance, robots, blast-resistant vehicles and mine rollers as countermeasures.  See counter-IED technologies in Iraq »

IEDs are the No. 1 source of U.S. and alllied casualties in Iraq, according to the Department of Defense. From July 2003 to July 2007, 1,565 coalition forces were killed by IEDs, according to iCasualties.org.  See the casualty toll inflicted by IEDs »

"We dealt with hundreds of IEDs while in theater," said Spencer. "IEDs were always on our minds during every patrol."

Spencer says IEDs come in a variety of shapes and sizes. "From a simple mortar round on the side of the road with a fuse and a wire running to a push-button, to complex explosives poured into concrete (shaped like curbs) with remote detonators and booby traps."

Most roadside bombs are remotely detonated using common household devices: cell phones, garage door openers, burglar alarms, key fobs, doorbells, or remote controls for toy cars.  Learn more about the IED threat »

"Our enemy hides in plain sight. He buys his bomb parts in stores. It's standard commerce," said Marks.

U.S. forces are dealing with an adaptive, innovative and flexible enemy, according to the Joint Improvised Explosive Device Defeat Organization, or JIEDDO, which is leading the counter-IED effort for the military.

As insurgents modify their devices to outwit the military, the military in turn adapts its own jamming technologies.

Many companies have been tapped to supply jammers to coalition forces. JIEDDO is interested in technologies that can be used in the field within two to eight months -- "light speed" in Defense Department terms.

The Army's main CREW system is the Warlock Duke, a vehicle- mounted radio jammer developed by Syracuse Research Corporation. It's capable of jamming most radio-controlled IEDs, according to the Pentagon.

The Navy, which oversees the CREW program, contracted BAE Systems to produce 3,800 wearable jammers to be fielded in Afghanistan and Iraq in 2008.

Canadian firm Med-Eng is building jammers for the Marines, reports military contractor General Dynamics.

By the end of 2007, JIEDDO will have funded more than 30,000 jammers for Marine and Army units. They have spent $1.6 billion on jamming technology for this fiscal year.

"This gear saves lives every day," wrote retired Gen. Montgomery Meigs, director of the Joint IED Defeat Organization, in a column titled "On the Offensive: The Battle Against IEDs."

One in six IEDs causes casualties in Iraq, JIEDDO reports. To remain effective the enemy "must expose himself more and take higher risks to do his ugly work," Meigs said.

In January, the Government Accounting Office launched a review of JIEDDO and its efforts to counter IEDs. The Defense Science Board criticized the agency for focusing too much on defensive countermeasures "to which the enemy quickly adapts, making these efforts less effective," in an April 2006 report.

JIEDDO is fully cooperating with the GAO, said Col. Dewey Ford, director of strategic communications for JIEDDO. He added that Congress has long supported eliminating the IED threat.

JIEDDO said it is aggressively going after the bomb makers, working to destroy their networks. The agency acknowledges that the mission won't be achieved merely by technical means.

"The best way to counter the IED threat is through understanding the network that allows an IED to even be assembled," said Marks, who supports JIEDDO's work.

"I'd rather have the guy who is going to put that IED in place get killed long before he's even part of the network. And I don't want him to know how I found him out because I want to find out where all his buddies are and kill them too." E-mail to a friend

@highlight

Counter-IED technologies are troops' last line of defense in Iraq

@highlight

Signal jammers used to block an IED from detonating

@highlight

Enemy is adaptive, innovative and flexible

@highlight

Best way to combat insurgents -- go after the bomb makers