(CNN) -- No one may ever know for sure whether Ohio's execution of Dennis McGuire -- in a procedure during which he reportedly gasped, snorted and struggled -- was inhumane, but his family and medical and legal experts said Friday the ordeal points out fundamental flaws in the use of lethal injection.

McGuire, 53, was convicted in 1994 for the rape and murder of 22-year-old Joy Stewart, who was seven months pregnant. He was executed Thursday morning at the Southern Ohio Correctional Facility in Lucasville with an injection of midazolam, a sedative, and hydromorphone, an analgesic.

Columbus Dispatch reporter Alan Johnson witnessed the event, his 19th. "This one was different," he said in a posting on the newspaper's website. "After three to four minutes, Dennis McGuire began gasping for breath, his stomach and chest were compressing deeply, he was making a snorting sound, almost a choking sound at times.

"And I didn't notice it at first, but his left hand -- which had been waving at his kids -- had clenched into a fist."

For about 10 minutes, McGuire appeared to be straining against his restraints, Johnson recalled. "Obviously, he couldn't get up, but he appeared to be trying to get up or at least raise up in some fashion."

Such a response should never have happened, according to Jon Paul Rion, a lawyer representing the killer's family. McGuire's children, Dennis Ray McGuire and Amber McGuire, were among the witnesses.

Controversial execution in Ohio uses new drug combination

"Before the execution, there was a series of experts who testified in federal court that this is a possible to likely outcome to that procedure," Rion told reporters.

He said the family plans to file a lawsuit next week in federal court seeking an injunction against the state's use of the drug combination, alleging that it represents cruel and unusual punishment and, as such, violates the Eighth Amendment to the Constitution. "The family will be satisfied if this process stops," Rion said. "That is their goal."

Douglas Berman, a professor at The Ohio State University and the Moritz College of Law, said in a telephone interview that such a suit would be "groundbreaking." But, he added, the family did not appear to have the standing needed to file it. The family's concern that other people should not have to endure such treatment makes "a nice political statement," Berman said, but may not be enough to file a claim related to the fait accompli.

"It's done," he noted. "There's nothing to enjoin."

Deborah Denno, an expert on the death penalty at Fordham University Law School, was sympathetic to the family. "What happened to Dennis McGuire is consistent with what a number of prominent medical experts said would happen," she said.

But lawyers for McGuire's relatives need not prove he suffered to show cruel and unusual punishment, she said. Knowledge that there was a risk the procedure could have been faulty might suffice, she said.

Also, autopsy results might show evidence he did not receive enough sedative to render him unconscious, she said.

"Ohio will have to review this new procedure they've put in place," said Richard Dieter, executive director of the Death Penalty Information Center, about the drug combination that was used for the first time on McGuire. "I think, now, the judges are going to ask more of the state and not just assume that they have it right."

Dieter, who opposes the death penalty, called the event "an embarrassment" for Ohio, but acknowledged it was not clear whether the movements witnessed by Johnson and McGuire's relatives as well as relatives of the murdered woman were involuntary physical responses or a response to suffering.

Previously, Ohio used a single drug, pentobarbital, for many of its executions, but the manufacturer has said it did not want its product to be used in executions and the state's stockpiles of the drug had expired, Dieter said.

The backup two-drug alternative was originally intended for use only in cases where a vein could not be found, he said.

A similar response came from the maker of propofol when Missouri considered using the drug linked to the death of Michael Jackson in an execution. Missouri gave back its supply.

As different states begin to use different drug combinations, "some of this is a bit of an experiment," Dieter said.

But what happened Thursday was no experiment, a word that has a specific meaning among scientists, said Dr. Joel Zivot, assistant professor of anesthesiology and surgery at Emory University School of Medicine, who pointed out that he was not speaking for his employer. "There is no monitoring Institutional Review Board, no ethical oversight, no gathering of data," he said in a telephone interview. "This is just the state -- with the decision that it's going to execute someone -- taking compounds and giving them to people and then seeing what happens. And then that's all."

He said he was puzzled over how the court -- "with a shrug of its shoulder" -- could allow the possibility of cruelty taking place.

Though he, too, acknowledged that no one can be certain whether the execution caused pain and suffering, "we can only surmise."

The description of McGuire's final moments "sounds like suffering to me," he said. "All you have is how it looks and this one didn't look very good, by all accounts."

Zivot accused the state of "playing doctor, and playing it poorly."

The problem had nothing to do with what drugs may have been used and everything to do with how they were used. "None of these compounds are intended for the purpose of executing people," he said. "They are medicine."

The compounds used by Ohio are in short supply, and their diversion from use in treating people to use in execution is questionable, he said. "It's hard to imagine that that's ethically justifiable," he said.

Dr. Jonathan Groner, who has studied lethal injections, agreed that executions have been medicalized. "We've turned executions into outpatient surgery," said the pediatric surgeon in Columbus, Ohio.

But the medicalization of the procedure has been perfunctory, he said in a telephone interview, noting that neither of the two drugs used on McGuire appears to have been tested in animals for lethality. "Thomas Edison tested the electric chair on all sorts of animals" before it was used on people, he said.

The answer may be to return to the firing squad, which remains a legal way of execution and works surely and quickly. "I think they take about 10 seconds," he said. "And prison guards are actually trained to shoot guns; they're not trained to shoot drugs -- and the equipment is cheaper, too."

But lethal injection is called for by all 32 states that have the death penalty.

Opinion: End secrecy in lethal injections

@highlight

"This one was different," says witness to execution

@highlight

McGuire was convicted in 1994 for the rape and murder of 22-year-old Joy Stewart

@highlight

Killer's family say they will file suit next week to stop any such executions in the future

@highlight

Lawyer questions whether they have the standing to do so