Britain's Prince Charles has called on governments around the world to do more to ensure religious freedom and urged religious leaders to promote tolerance between people of different faiths.

In a video message recorded to accompany the release of a new report on religious freedom, Charles said current events in Iraq and Syria -- where Sunni extremist group ISIS has been massacring people of other faiths and sectarian tensions have flared -- were "horrendous and heartbreaking."

"We've learned with mounting despair of the expulsion of Christians, Muslims and Yazidis from towns and cities that their ancestors have occupied for centuries," he said.

"It is an indescribable tragedy that Christianity is now under such threat in the Middle East, an area where Christians have lived for 2,000 years and across which Islam spread in 700 A.D., with people of different faiths living together peaceably for centuries."

The report, by Roman Catholic charity Aid to the Church in Need, highlights the plight of Christians in particular, saying they "remain the most persecuted faith in the world."

It adds that "Muslims also face serious persecution; often from other Muslims who do not share their exact same beliefs," while Jews in parts of Western Europe are increasingly feeling threatened, prompting many to move to Israel.

Prince Charles, who is heir to the British throne, pointed out that the issue of religious intolerance also affects some African nations and many countries across Asia.

But some hope can be found in the efforts of certain communities and faith leaders who work to overcome division and hatred, and seek instead to engage in interfaith dialogue, he said.

Faith leaders' duty

Charles, who referred to his own Christian faith in the video, suggested positive action to help tackle intolerance.

"First and foremost, rather than remaining silent, faith leaders have -- it seems to me -- a responsibility to ensure that people within their own tradition respect people from other faith traditions," he said.

He also called on governments to honor their duty to uphold the freedom of people to practice their faith, including converting to a different religion if they choose.

It's a principle enshrined in Article 18 of the U.N. Universal Declaration of Human Rights. "Yet even in the West this right is often challenged sadly -- and in many other countries, an absence of freedom to determine one's own faith is woven into the laws and customs of the nation," he said.

Charles reflected on the case of Mariam Yehya Ibrahim, a Sudanese Christian woman who faced a death sentence this year after refusing to renounce her faith. She was eventually released and, after meeting Pope Francis in Rome, arrived in the United States this summer to start a new life with her husband and children.

And he urged those facing persecution not to give up hope, while remaining strong in their faith.

"My heart goes out to all those around the world but especially at this time in the East, whether Christian, Muslim, Jewish, Buddhist or Hindu, who are so brutally persecuted solely for the faith they profess," he said.

Deteriorating conditions

According to the report, which covers the period from October 2012 to June 2014, 81 of 196 countries in the world, or 41%, are identified as places where religious freedom is impaired or is in decline.

Another 35 countries were classified as having some religious freedom issues that are "of concern," but with no deterioration in their status.

Change for the better is noted in only six countries, while conditions have deteriorated in 55 nations, the report's authors found.

Overall, 20 countries are designated as having a high degree of religious persecution. The persecution is linked to extremist Islam in 14 of those countries, while in the remainder it is linked to an authoritarian regime.

"In the period under review, global religious freedom entered a period of serious decline," the report concludes.

@highlight

Prince Charles calls on religious leaders to promote tolerance, understanding

@highlight

He calls on governments worldwide to uphold people's right to freedom of religion

@highlight

Charles: "Indescribable tragedy that Christianity is now under such threat in the Middle East"

@highlight

Report by Roman Catholic charity calls Christians "the most persecuted faith in the world"