It's a potential game changer in the fight against HIV, and doctors say it happened almost by accident.

A baby with the virus that causes AIDS was given high doses of three antiretroviral  drugs within 30 hours of her birth. Doctors knew the mother was HIV positive and administered the drugs in hopes of controlling the virus.

Two years later, there is no evidence of HIV in the child's blood.

The Mississippi girl is the first child to be "functionally cured" of HIV, researchers announced Sunday. They said they believe early intervention with the antiretroviral  drugs was key to the outcome.

A "functional cure" is when the presence of the virus is so small, lifelong treatment is not necessary and standard clinical tests cannot detect the virus in the blood.

Timeline: AIDS moments to remember

The finding was announced at the 2013 Conference on Retroviruses and Opportunistic Infections in Atlanta.

The unidentified girl was born HIV positive to a mother who received no prenatal care and was not diagnosed as HIV positive herself until just before delivery.

"We didn't have the opportunity to treat the mom during the pregnancy as we would like to be able do to prevent transmission to the baby," said Dr. Hannah Gay, a pediatric HIV specialist at the University of Mississippi Medical Center.

Gay told CNN the timing of intervention -- before the baby's HIV diagnosis -- may deserve "more emphasis than the particular drugs or number of drugs used."

"We are hoping that future studies will show that very early institution of effective therapy will result in this same outcome consistently," she said on the eve of the Atlanta conference.

High-risk exposure

Dr. Katherine Luzuriaga, an immunologist at the University of Massachusetts who worked closely with Gay, called the developments fascinating, including the fact that the toddler was found to have no virus in her blood even after her mother stopped giving her treatment for eight to 10 months.

"This is the very first case in which we've conclusively been able to document that the baby was infected and then after a period of treatment has been able to go off treatment without viral rebound," Luzuriaga told CNN.

Once it was determined the Mississippi mother was HIV positive, Gay immediately began giving the infant antiretroviral drugs upon the baby's delivery in an attempt to control HIV infection.

Read more: Why youths aren't getting tested for HIV

"We started therapy as early as possible, which in this case was about 30 hours of age," the physician said. "And because it was a high-risk exposure, I decided to use three drugs rather than one."

Within a couple of days, Gay confirmed the child was HIV positive. She said the baby had probably been infected in the womb.

The child remained on antiretroviral drugs for about 15 months. Her mother then stopped administering the drug for some reason, and care was resumed after health officials intervened, Gay said.

Researchers have long known that treating HIV-positive mothers early on is important, because they pass antibodies on to their babies.

"One hundred percent of (HIV-positive) moms will pass those antibodies, but in the absence of treatment, only 30% of moms will transmit the actual virus," Luzuriaga told CNN.

HIV-positive mothers given appropriate treatment pass the virus on in less than 2% of cases, Luzuriaga said.

"So all babies are born antibody positive, but only a fraction of babies born to HIV-positive women will actually get the virus, and that fraction depends on whether the mom and baby are getting antiviral prophylaxis (preventative treatment) or not," Luzuriaga said.

Newborns are considered high-risk if their mothers' HIV infections are not under control or if they are found to be HIV positive when they're close to delivering.

Moving quickly to suppress the virus

Usually, these infants would get antiviral drugs at preventative doses for six weeks to prevent infection, then start therapy if HIV is diagnosed.

Investigators said the Mississippi case may change that practice because it highlights the potential for cure with early standard antiretroviral therapy, or ART.

ART is a combination of at least three drugs used to suppress the virus and stop the progression of the disease.

But they do not kill the virus. Tests showed the virus in the Mississippi baby's blood continued to decrease and reached undetectable levels within 29 days of the initial treatment.

Dr. Deborah Persaud, a virologist with Johns Hopkins Children's Center, was lead author on the report presented at the conference.

The early treatment likely led to the infant's cure, she said.

'Like pulling teeth' to get doctors to test for HIV

"Prompt antiviral therapy in newborns that begins within days of exposure may help infants clear the virus and achieve long-term remission without lifelong treatment by preventing such viral hideouts from forming in the first place," Persaud said.

Persaud and Luzuriaga are part of a group of researchers working to explore and document possible pediatric HIV cure cases. The group was funded by a grant from amfAR, the Foundation for AIDS Research, and the National Institutes of Health.

Dr. Rowena Johnston, amfAR vice president and director of research, said it is "imperative that we learn more about a newborn's immune system, how it differs from an adults and what factors made it possible for the child to be cured."

Dr. Anthony Fauci, director of the National Institute of Allergy and Infectious Diseases at the National Institutes of Health, said he is enthusiastic about the findings.

"The best way to either eliminate the virus or allow the immune system to suppress residual virus is to treat someone as early as possible after infection so as not to allow a substantial reservoir of the virus to take hold," Fauci told CNN.

"At the same time, you prevent the immune system from being severely damaged by the continual replication of (the) virus for an extended period of time," he said. "The situation with a child born of an infected mother where most of the infections are transmitted to the newborn at or around the time of delivery provides an excellent opportunity to cure an infected baby, and this approach deserves further study."

'Berlin patient'

Researchers say the only other documented case of an HIV cure is that of Timothy Brown, known as the "Berlin patient." In 2007, Brown, an HIV-positive American living in Germany, was battling both leukemia and HIV when he underwent a bone marrow transplant that cured not only his cancer but his HIV.

In an interview last year, Brown told Dr. Sanjay Gupta, CNN's chief medical correspondent, he was still HIV-free.

"I've been tested everywhere possible," said Brown, who now lives in San Francisco. "My blood's been tested by many, many agencies. I've had two colonoscopies to test to see if they could find HIV in my colon, and they haven't been able to find any."

But Brown's case is rare.

And the procedure, which is extremely dangerous, won't work in most patients because the bone marrow he received had a special genetic mutation that made the stem cells in it naturally resistant to the virus.

Researchers tell CNN only 1% of Caucasians -- mostly Northern Europeans -- and no African-Americans or Asians have this particular mutation.

In June, five years after he was "cured," reports surfaced that "traces" of the virus had been found in Brown's blood.

Even then, some HIV experts said that doesn't matter, that he's been cured. In fact, many AIDS experts said they believe Brown has experienced what's called a "sterilizing" cure, meaning the virus has been eliminated from the body entirely.

Routine clinical testing on the Mississippi toddler continues, Gay said.

So far, there is no evidence of the virus.

"On the ultra-sensitive testing, we are occasionally getting signals so we cannot say with certainty that this child is absolutely clear of HIV, but we will continue to follow up with the baby," Luzuriaga said.

"We have formed a hypothesis and that is already driving the design of new studies and clinical trials that will help us to answer the question of whether by coming in very early we will be able to treat children for a while and then remove them from therapy."

Get the latest news from CNN Health

@highlight

Doctors treat girl who was born HIV positive

@highlight

They treated her with drugs before diagnosis was confirmed

@highlight

She is now considered "functionally cured" of HIV, researchers say

@highlight

Researchers hope to one day improve outcomes for other people