The federal government may not be hit with a double whammy on top of the ongoing shutdown, as House Speaker John Boehner told a group of fellow GOP legislators that he won't let the nation default on its debt, according to a House Republican.

Boehner said that he'd set aside the "Hastert Rule" -- that Republicans would only bring measures up for a vote if they are backed by a majority of their caucus -- and rely on Democrats to pass a measure to raise the nation's debt limit, said the House member. This legislator attended a meeting Wednesday involving Boehner, but requested anonymity because that gathering was private.

Congressional Republicans remain divided on how to structure legislation to raise the government's borrowing level. And an aide to the House speaker downplayed the development, saying, "Boehner has always said the United States will not default on its debt, so that's not news."

Still, at least one Democrat -- Sen. Charles Schumer of New York -- cheered the prospect of the GOP leader refusing to block at least this measure that President Barack Obama and his fellow Democrats strongly support.

"This could be the beginnings of a significant breakthrough," Schumer said in a statement. "Even coming close to the edge of default is very dangerous, and putting this issue to rest significantly ahead of the default date would allow everyone in the country to breathe a huge sigh of relief."

The Ohio Republican's vow comes exactly two weeks before the government is set to run out of money to cover its roughly $16.7 trillion debt, unless Congress agrees to lift the so-called debt ceiling. That had long been routine in Washington -- until recently, that is, when conservative Republicans have pushed not to allow more borrowing without significant cuts.

Boehner himself wrote earlier this week in USA Today that "there is no way Congress can or should pass (a debt ceiling hike) without spending cuts and reforms to deal with the debt and deficit and help get our economy moving again." He accused President Barack Obama of refusing to negotiate; Obama and fellow Democratic leaders have since said they are open to talks on any and all budgetary matters, but only after the government is reopened.

Yet Boehner's comments signal that, at least on the debt ceiling issue, he's willing to allow a vote on a measure backed by top Democrats but not most Republicans in his chamber -- something he's refused to do with a Senate-passed measure to reopen the federal government, without any add-ons.

Chief among those Democrats is Obama who, for all his strong rhetoric on ending the government shutdown, has said that avoiding a federal debt default is an even bigger necessity. He's insisted Congress pass such a measure, as is, without tying it to anything else.

"As reckless as a government shutdown is, an economic shutdown that results from default would be dramatically worse," the president said in a speech Thursday in Rockville, Maryland. "There will be no negotiations over this."

Obama challenges Boehner to allow 'yes-or-no vote' on shutdown

While Boehner's comments suggest hope toward some common resolution on the debt ceiling, the government shutdown is another matter entirely.

The two sides appeared no closer to an agreement Thursday, the third day of the shutdown that comes because Congress failed to agree on a budget plan to send to President Barack Obama. In fact, they appeared to dig in -- insisting their approach is best and that the other was to blame for the 800,000 workers at risk of furloughs, shuttering of national parks, loss of funding for various programs and other effects of the shutdown.

A conservative GOP wing has demanded that any spending measure include provisions to dismantle or defund Obamacare, which became law in 2010 and was upheld by the Supreme Court last year.

As he's done before, Obama on Thursday challenged Boehner to stop what he called Republicans "reckless" strategy of refusing to pass the "clean" spending bill -- which doesn't have provisions targeting the president's signature health care reform, the Affordable Care Act, like several passed by the GOP-led House --  and instead pushing measures to fund popular programs on a one-by-one basis.

The shutdown: Personal stories from Americans on the edge

The president said the spending initiative passed by the Democratic-led Senate would pass the House with support from Democrats and some Republicans, except that Boehner won't allow the vote.

"The only thing that is keeping the government shut down, the only thing preventing people from going back to work, and basic research starting back up, and farmers and small-business owners getting their loans -- the only thing that's preventing all that from happening right now today, in the next five minutes, is that Speaker John Boehner won't even let the bill get a yes-or-no vote because he doesn't want to anger the extremists in his party," Obama said.

Senate Majority Leader Harry Reid was part of the Democratic chorus Thursday, accusing Boehner of reneging on an agreement to let the House vote on a "clean" spending package of $988 billion, $70 billion less than Democrats wanted). Boehner went back on that deal, Reid surmised in an interview with CNN's Dana Bash, because he feared fellow Republicans would turn on him and oust him from his position as House speaker.

"His job is not as important as our country," Reid said. "... He has to have some courage."

Reid jabs Boehner, says he reneged on deal

Cantor: GOP should stand its ground

GOP Rep. Michael Grimm said Thursday night that "very, very arrogant and very obstinate" remarks by Reid and what he calls a lack of needed leadership from Obama undermines the chances of reaching a deal.

"If you're going to be insulted ..., and if you're going to be spoken down to, and there's going to be this air of arrogance, you're only going to make things worse," Grimm, of New York, told CNN's Anderson Cooper.

While Grimm and a few other moderate Republicans have backed a "clean" spending bill without anti-Obamacare provisions, some of his colleagues in the House say the party won't budge from their strategy. Rep. Tim Huelskamp of Kansas, for one, described his caucus as "very unified" and said Reid and Obama are "confused" if they think "we're going to fold and let them win on everything."

In fact, House Majority Leader Eric Cantor wrote in a memo that it's the positions of Obama and other Democrats that are "untenable."

House Republicans would continue passing piecemeal funding measures for popular programs such as veterans affairs, national parks and medical research to keep up pressure on Senate Democrats who refuse to consider such measures in the ongoing stalemate, Cantor's memo said.

"While no one can predict with certainty how the current shutdown will be resolved, I am confident that if we keep advancing common-sense solutions to the problems created by the shutdown that Senate Democrats and President Obama will eventually agree to meaningful discussions that would allow us to ultimately resolve this impasse," Cantor said in the memo that a GOP source made available to CNN.

A conversation between two conservative GOP senators showed Republicans think they can win the debate. In the comments caught by live microphone, tea party-backed Sen. Rand Paul told his Kentucky Republican colleague, Minority Leader Mitch McConnell, that continuing to hammer Democrats for refusing to consider GOP proposals would eventually succeed.

Proposal from moderates

Meanwhile, two moderate House members -- one Republican and one Democrat -- proposed a compromise Thursday that would fund the government for six months while eliminating a tax on medical devices in the health care reforms.

Senate Democrats quickly rejected the idea because it would link the health care reform provision to the need to fund the government now while extending deep mandatory budget cuts they oppose for half of the new fiscal year.

GOP moderates huddle as conservatives set agenda

Instead, Obama -- who canceled a trip to Brunei and Indonesia for this weekend's Asia-Pacific Economic Cooperation summit because of the ongoing shutdown -- and other Democrats have said they want to negotiate a broad budget deal that could include tax reforms and other matters. But they're only willing to engage in such talks after the government reopens.

This already slogging debate over what to do about the crisis ground to a halt Thursday because of something that, at first glance, did not directly involve any of the legislators on Capitol Hill, even if it did hit very close to home.

A chase that began at a White House security checkpoint ended near the U.S. Capitol Hill when authorities opened fire on a car containing a woman and a child, an intelligence source told CNN.

Two police officers suffered injuries in the ordeal, according to D.C. Police Chief Cathy Lanier. The female driver -- who didn't fire any shots herself, according to multiple sources -- died of gunshot wounds.

The House and Senate were both put on lockdown, with no one allowed to leave or enter Capitol Hill buildings and everyone urged to steer clear of windows and doorways, for about an hour.

Not long after, Democrats and Republicans reconvened on the House floor and, in a rare show of unanimity, thanked the responding officers.

Then they resumed their normal business -- which, if the past few weeks is any indication, meant more blame and little agreement on how to bring the government back on line.

@highlight

Obama cancels a trip to the APEC summit because of the shutdown

@highlight

Republican: Boehner says he'd allow debt ceiling vote that relies on Democrats to pass

@highlight

President Obama slams "reckless Republican shutdown"

@highlight

A GOP legislator describes Republicans as "very unified" despite reports of division