(CNN) -- Every third Monday in January we gather as Americans to commemorate the values and beliefs -- as well as the ultimate sacrifice -- of Dr. Martin Luther King, Jr.

His tireless advocacy for civil rights, equal protection under the law, labor rights, and for the ultimate realization of our essential creed that we are "one nation, endowed by our Creator with certain unalienable rights, that among these are life, liberty, and the pursuit of happiness" is taught in every school in America, and is now enshrined in a memorial on the National Mall.

Dr. King believed so strongly not only in these values, but also in the moral imperative to heed the "fierce urgency of now." He knew that in the face of injustice no moral man or woman can stay silent -- and he paid for it with his life.

He was a "drum major for justice" He inspired us -- not just with his eloquent sermons, rich in purpose; or his speeches, inspiring and provocative -- but he challenged us with his dream, his daring imagination: to see an America where all of God's children would be equal; all of God's children would have a seat at the table.

Dr. King, along with other men and women of his generation did not just see the barriers. They believed in the opportunities that could be realized if we could just move beyond racial inequality and injustice.

He truly believed that we had to "take the first step in faith, even when you don't see the whole staircase." Just take the first step.

I've written and spoken about Dr. King many times, but this year, one area of his crusade seems particularly worthy of remembrance: the fight for the ballot.

Prior to the passage of the Voting Rights Act of 1965, African-Americans and many others faced regular and malicious restrictions to the free exercise of their constitutionally protected right to vote, especially in my native South.

Literacy tests, poll taxes, and grandfather clauses: many insidious techniques were used by certain states to restrict, confuse, and write off, marginalize and disenfranchise so many eligible citizens from voting simply because of the color of their skin.

Southern governors and those in Washington comfortable with the status quo hid behind arguments about "states rights." Yet these laws were little more than legislated racism and all knew the real goal behind their unequal effects.

In a 1957 speech titled "Give Us The Ballot," Dr. King spoke plainly about the imperative of equal voting rights.

"So long as I do not firmly and irrevocably possess the right to vote I do not possess myself. I cannot make up my mind â€” it is made up for me. I cannot live as a democratic citizen, observing the laws I have helped to enact â€” I can only submit to the edict of others."

For Dr. King, the right to vote was sacrosanct and foundational. It is the very essence of our social contract. Free elections create legitimacy. They imply the consent of the governed. He knew that unfair elections laws did not just hurt minorities or the working poor, they rendered hollow the very essence of American government.

It's a message that's as true today as it was then. The 47-year old Voting Rights Act has stood the test of time, but there are new obstacles to the ballot springing up in today's America.

Around the country, conservatives in state legislatures are attempting to put fresh roadblocks in the path of this most basic right. The latest vogue in anti-suffrage legislation is mandatory photo ID laws.

From Tennessee to Texas, from Wisconsin to Pennsylvania, conservative Republicans and their allies are implementing laws that undermine, even flout, the Voting Rights Act.

The Justice Department has begun to challenge these laws, opposing new efforts in South Carolina and Florida. Laws in other states that have deep histories of discrimination, such as Texas and Mississippi, are also being examined. But many states, refusing to pass neutrally applicable laws, have vowed instead to sue the federal government in court.

These laws disproportionately impact minority communities -- groups much more likely than white voters to lack photo identification for reasons as simple as the fact that they may not own a car and use the city bus to get to work.

According a study published in 2006 by the Brennan Center for Justice at the New York University School of Law, as many as 23 million American citizens -- that's 11% of those of voting age -- lack the government-issued photo ID many of these laws demand.

Keep in mind, this is not just a racial issue. Older Americans are less likely to have these IDs, as are lower-income Americans. College students, who already face challenges based on their seasonal residency, will face an even greater burden than they did previously.

Dr. King demanded that all Americans be given the ballot. We must demand today that we keep it. Demand to keep the ballot because our laws must be made by all of us. Demand to keep the ballot because an election where 23 million can't vote is an election that undermines democracy.

The opinions expressed in this commentary are solely those of Donna Brazile.

@highlight

Donna Brazile: Martin Luther King Jr. knew it was immoral to be silent in the face of injustice

@highlight

She says he believed that the right to vote was fundamental to equality in a democracy

@highlight

Legislation in the 1960s finally secured voting rights for African Americans, Brazile says

@highlight

She says many Americans may see their voting rights threatened by photo ID laws