(CNN)There's an old saying which states the Cape Verde Islands are home to a greater number of musicians per square kilometer than any other country in the world.

In truth, such a definitive claim may be nigh on impossible to prove.

But there is a certain factual accuracy behind the legend: the important and proud relationship the Atlantic island country of just 500,000 people has with music.

Situated roughly 350 miles off the west coast of Africa, Cape Verde has long been a mesh of cultures, history and races. The former Portuguese territory was once a key location for the transatlantic slave trade, a target for 16th century pirates and a refuge for exiled Jews.

From this diverse melting pot were born the unique sounds of the batuque, morna, funana and other distinct musical styles.

Now, Cape Verde is seeking to tap-into the spoils of this rich cultural heritage in a bid to help its economy flourish.

Bereft of oil, gas, gold, diamonds or the conventional natural resources that have fueled growth in many other African countries, Cape Verde has had to look for alternative sectors to aid its development.

And what's more alternative than a jiving, swinging, musical economy?

"Besides fish, it is pretty common (for Cape Verde) to say 'our biggest richness is in music and culture,'" said Christine Semba of Womex, an international networking platform for the world music genre.

The economic potential of music has been also acknowledged  by Cape Verde's prime minister, Jose Maria Neves, while the country's ministry of culture is run by Mario Lucio de Sousa, himself a popular musician.

"The future of our country lies in our capacity to create, our capacity to innovate," Neves said in reference to the music and the arts at a World Trade Organization conference in 2013.

Other elements of the creative economy include handicrafts, fashion and visual arts to name but a few. However, a 2013 report from the UN Conference on Trade and Development noted that Cape Verde's creative sector remained a relatively small part of its economy with much room for improvement and long term planning.

But that doesn't mean there hasn't been some promising early signs that music has the potential to play a key role in the future.

One early musical success has been the Kriol Jazz Festival. The event, which is celebrating its seventh edition, took place in the capital city of Praia this past weekend.

Artists including Grammy-winning U.S. singer Esperanza Spalding have been invited to perform, as have acts from the likes of Luxembourg, Brazil and, of course, Cape Verde.

According to Harold Taveres, a liaison to the mayor of Praia involved with promoting the festival, "KJF has become one of the most spectacular events in Cape Verde.

"We breathe the music in Cape Verde, we live with the music," he added. "Now the festival has brought people from every corner in the world (to share in this)."

During the festival, bars, hotels and restaurants are full to the brim while taxi drivers are seldom unable to find a fare during what locals refer to as "the week of party."

It's a lucrative trade, for sure. Yet in order to take full advantage of this bustling scene the country's ministry of culture, alongside some enterprising private sector figures, thought a deeper relationship with the music business was required.

Enter the Atlantic Music Expo, a three-year-old conference and networking event that seeks to help Cape Verdean artists secure international exposure.

This year's AME took place in the days before the Kriol Jazz Festival. Delegates, local musicians and their management teams were exposed to roundtables, workshops and talks on the intricacies of the global music business.

"We try to invite lots of producers and a lot of journalists from around the world to see the festival and the musicians from Cape Verde," said Jose Da Silva, long time manager of the late Cape Verdean songstress Cesaria Evora.

Da Silva is one of the driving forces behind AME as well as being the founder of the Lusafrica and Harmonia record labels that aim to discover a new generation of artists from Cape Verde.

He hopes that by exposing musicians to a range of experienced industry professionals and top-level musicians, they will become equipped with the tools and ambition to take the music of Cape Verde across the globe.

Not only will this help launch the careers of artists and musicians (with all the respective behind the scenes business structures such developments require) but it will garner valuable attention for the country.

This is where the greatest potential economic benefits lie.

Tourism is expected to account for 20% of the country's GDP by 2024, according to research from the World Travel and Tourism Council. Getting Cape Verde's name out on the world stage through recognition of its rich musical culture is therefore increasingly important.

"Economically it's beneficial for the country because the money we would have to spend on the market to give the country this exposure in the world would be too big," Da Silva said. "This way it costs less money."

Semba agrees with this, and highlights the joined up thinking of the government and private sector actors like Da Silva for special praise.

"In the long term, the whole country is behind this event," Semba said, adding "this is a very innovative approach which we would like to see in many more countries."

It must be noted, however, that few countries have the same natural resources for music as Cape Verde.

More from Marketplace Africa

@highlight

Cape Verde seeking to tap-into rich cultural heritage

@highlight

Tiny island nation wants to grow creative economy