(CNN) -- Are technology companies ailing?

Hewlett-Packard certainly is. The venerable behemoth announced it will implement a restructuring that includes eliminating 27,000 jobs. HP tried to bring itself around by replacing its CEO last year. That didn't quite do the trick, so now it's resorting to the good old-fashioned mass layoff.

One suspects that HP is a little too venerable. It was the first "Stanford spinoff," fittingly reflected in the presence of Hewlett Hall and Packard Hall in the engineering corner of the Stanford campus. Yet HP hasn't stayed ahead of the innovation curve, failing for instance to adapt well to the tablet craze.

This could be the end of an era.

Consider two Stanford neighbors of Hewlett and Packard Halls -- Gates Hall and the Huang Center. Bill Gates' company may be losing the innovation war, too. It's getting pummeled by the tablets as well, and just this week Google's Chrome Web browser overtook Microsoft's Internet Explorer in popularity. By contrast, the Huang Center was funded by Jen-Hsun Huang, whose firm NVIDIA has been revolutionizing the supercomputer field.

But won't those laid-off HP engineers be snapped up by the booming tech sector? Many will not.

The tech job market is excellent for younger workers, but many of those who are laid off and over 35 will find the market less welcoming. They're perceived as too expensive. The HP layoff will consist disproportionately of older workers. Indeed, jettisoning the veterans is often the hidden agenda in mass layoffs. It's no coincidence that many of the U.S. core engineering openings at HP have titles like Recent Graduate, Intern and Post Doc, all aimed at the younger crowd.

The difficulties of older techies have been investigated statistically in studies at American University and the National Research Council, but a very public human face was placed on this recently in an online town hall meeting with President Obama.

The wife of electrical engineer Darin Wedel explained to the president that her husband has never found a permanent job after being laid off by the electronics giant Texas Instruments. Granted, family issues restricted him to the Dallas area, but if the hype regarding a seller's market for engineers were true, Wedel should have been able to find something in that region, which sadly has not been the case.

A former student of mine was a star at HP for 10 years or so, acquiring patents and promotions. Yet he, too, got caught up in a huge layoff, and could find engineering work only sporadically afterward. Ultimately he left the field.

Those who survive this round of HP layoffs will likely find themselves being asked to not only do their own jobs, but also those of the departed. Engineers are exempt employees, hence no overtime pay, and HP will accrue a net reduction in labor costs.

Another tried and true fix for a sick firm (and for the well ones) is to ship work abroad. A few years ago, HP executive Ann Livermore made it plain: "A basic business tenet is that things go to the areas where there is the best cost of production." HP's jobs Web page shows that 48 of the 113 open core engineering positions are outside the United States.

Unlike Livermore's explicit position on cheap labor, former HP CEO Carly Fiorina said that HP offshores work because the American educational system doesn't develop good math skills in its students. That claim is a red herring. HP workers, including those being discarded, are among the best in the business, and were whizzes in math when they were in school. Many of our technology leaders, from Hewlett to Huang, are products of the American school system.

The offshored operations often require U.S.-based workers to make periodic site visits. Survivors of the HP layoffs who always wanted to visit Singapore may now get their chance -- monthly.

To her credit, HP's current CEO, Meg Whitman, conceded that layoffs "adversely impact people's lives." But she insisted that the action is necessary. Probably so, but the message here is that engineers, like many others, will have to get used to a life of layoffs in a globalized economy.

The opinions expressed in this commentary are solely those of Norman Matloff.

@highlight

Hewlett-Packard announced it will eliminate 27,000 jobs

@highlight

Norman Matloff: Many laid-off HP employees will not have an easy time finding jobs

@highlight

He says tech job market is great for young workers, but not for older, experienced workers

@highlight

Matloff: Engineers, like everyone else, need to adjust to the realities of a global economy