(CNN) -- The legacy of U.S. Sen. Edward Kennedy, who died on Tuesday, spreads far and wide, and across the ocean to now-independent Bangladesh. There, he is still revered for calling attention to what many deemed an unfolding genocide.

Massachusetts Sen. Ted Kennedy, known as the "Lion of the Senate," died Tuesday at 77.

It may have started as a politically prudent move by a Democratic senator eyeing the White House during a Republican regime. But Kennedy stood up to the Nixon administration in 1971 and alerted the world to the bloodshed that was engulfing then-East Pakistan.

"In 1971, there were very few leaders from the so-called free world who were paying any attention to what was going on in Bangladesh. And for Ted Kennedy to come forward and to personally visit, the impact was huge," said Akku Chowdhury, founder and director of Bangladesh's Liberation War Museum.

"And that's one thing Bangladeshis have always remembered."

At the time, the U.S. policy -- directed by President Richard Nixon and his National Security Adviser Henry Kissinger -- was to resolutely support Pakistan, from which Bangladesh was trying to secede.

The administration's reasons: The Soviet Union and India had just signed a treaty of friendship, and Nixon was concerned about the expansion of Soviet influence in the region.

Thus, it made strategic sense for the United States to align itself with India's neighbor, Pakistan.

The United States turned a blind eye to reports of atrocities committed by the Pakistani army to suppress the independence movement -- even as U.S. diplomats urged the administration to speak up.

"Our government has failed to denounce the suppression of democracy. Our government has failed to denounce atrocities," Consul General Archer Blood wrote in one of many telegrams from Dhaka to the U.S. State Department questioning American policy. "But we have chosen not to intervene, even morally, on the grounds that the ... conflict, in which unfortunately the overworked term 'genocide' is applicable, is purely an internal matter of a sovereign state."

The "Blood Telegram," as it came to be known, was reclassified as secret, and Blood transferred out of Dhaka.

Soon after, Kennedy traveled to east India to gauge the plight of displaced Bangladeshis -- more than 10 million of whom had sought refuge there.

On his return, he issued a scathing report to the Senate Judiciary Committee on Refugees. The report, "Crisis in South Asia," spoke of "one of the most appalling tides of human misery in modern times."

"Nothing is more clear, or more easily documented, than the systematic campaign of terror -- and its genocidal consequences -- launched by the Pakistani army on the night of March 25th," he wrote.

"All of this has been officially sanctioned, ordered and implemented under martial law from Islamabad. America's heavy support of Islamabad is nothing short of complicity in the human and political tragedy of East Bengal."

The Nixon administration maintained its stance. But Kennedy's focus on the mass killings came as everyday Americans began to share in the outrage. For instance, Beatle George Harrison's Concert for Bangladesh, the first benefit event of its kind, was staged to further highlight the plight of Bangladeshi refugees.

Besieged, the U.S. Congress pushed through a bill to ban arms sales to Pakistan.

On December 16, 1971, Bangladesh gained independence after a 10-month struggle, in which 1 million to 3 million Bengalis were killed.

"When the fighting was over, there were vultures almost too fat to fly, and Bangladesh was a land with few of the sinews of nationhood left unsevered," the National Geographic said in a piece about the birth of the country.

Two months later -- in February 1972 -- Kennedy flew to Bangladesh and delivered a speech at Dhaka University, where the killing rampage had begun a year earlier.

About 8,000 jubilant students crowded into the university courtyard and jammed lecture hall balconies and roofs, greeting him with chants of "Joi Kennedy" -- a variation on the independence slogan of "Joi Bangla."

In his speech, Kennedy drew parallels between the liberation of Bangladesh and the American Revolution. He said America had prospered despite predictions that it would collapse following independence, and so would Bangladesh.

"Even though the United States government does not recognize you, the people of the world do recognize you," Kennedy told the crowd.

On the university campus stood a banyan tree where Bengalis student leaders had planted the seeds for the independence movement -- and which the Pakistani army had destroyed as a symbolic gesture.

During his visit, Kennedy planted a new tree there.

It still stands today -- a testament to a country that overcame long odds to survive and one man who helped champion it.

@highlight

Kennedy spoke out about Bangladesh when U.S. policy was supporting Pakistan

@highlight

Kennedy visited east India, then wrote report on displaced Bangladeshis

@highlight

In report, he accused Pakistani army of "systematic campaign of terror"

@highlight

Beatle George Harrison also highlighted refugees' plight with benefit concert