(Financial Times) -- When Macau unveiled record gambling revenues on Tuesday, the government was silent about the source of much of the cash fuelling the territory's boom: illegal money transfers from mainland China.

From pawn shops offering money withdrawal services, to underground banks using human mules to transport cash across the border, Macau tolerates the illicit methods that mainland punters use to bring money into the former Portuguese colony, which reverted to Chinese control in 1999.

Mainland tourists, who have made Macau the world's largest gambling centre, can legally bring only Rmb20,000 ($3,175) when crossing into the Chinese territory. But many gamblers bring more cash to the casino tables by using their Unionpay debit card to withdraw money -- for a fee.

"There is no risk. We pretend to sell the customer an expensive watch or a piece of jewellery, charge the amount in renminbi to the debit card, and then give him the equivalent amount in Macau patacas or Hong Kong dollars as if the customer had decided to return the object for an immediate cash refund," says the manager of a pawnshop up the street from the Grand Lisboa casino, Macau's oldest casino owned by Stanley Ho, the gambling tycoon.

The manager says the cardholder's records will register the transaction as a purchase. Unionpay, which was formed by China's big banks, says it bans such transactions, but the company declined to comment on the fact that the practice remained widespread. The company said it no longer released data on how much cardholders spent in Macau.

People familiar with the industry say the Macau government cannot afford to shut down the illegal services, which hundreds of pawn shops advertise publicly on neon signs.

"The Macau government's hands are tied," says one veteran Macau policeman. "It is not going to initiate a crackdown, because over 75 per cent of its revenue comes from gaming taxes."

About 16m mainland Chinese visited Macau in 2011, an increase of more than 20 per cent on the previous year, and 60 per cent more than the 10m who visited in 2006. Analysts estimate that up to 30 per cent of Macau's gaming revenue could be channelled through illegal channels.

"Banking restrictions make it very difficult to transfer funds to Macau legitimately, but it is easy for people to find ways [around the rules]," says a senior Chinese bank manager who gambles in Macau.

While the debit card cashback service is the most visible source of money for the less well-heeled punters, those with deeper pockets have found different ways to avoid the restrictions.

VIP punters -- whom analysts estimate generate 70 per cent of Macau's gaming revenues -- gamble on credit provided by so-called junket operators who seek out wealthy mainland gamblers.

The junket operators receive commissions from the casinos or get a share of the profits. They, or their agents, sometimes use underground banks to return the money they have collected as debt on the mainland to Macau. The lenders use criminal gangs from Fujian and Guangdong provinces who in turn pay human mules as little as $5 -- compared with Guangdong's average daily wage of $7 -- to smuggle cash across the border.

While the underground banks are part of what is known as the shadow banking system in China, providing credit to cash-strapped companies, their Macau-related business is limited to transferring money from other sources.

One former junket operator and a Hong Kong owner of a mainland factory in Guangdong province, just across the border from Macau, described how operators also use Hong Kong business people who own companies on the mainland to transfer money illegally.

He said operators handed over renminbi debts collected on the mainland to the factory owner, who used the money to pay his staff wages. Then, the owner sent the equivalent in Hong Kong dollars from his Hong Kong bank account to the operator's account in Macau. Both sides profited by agreeing a mutually beneficial exchange rate.

There is no public data available to indicate exactly how much of Macau's gaming revenue comes from illegal channels, and casino operators and government officials refuse to speak about the issue. Macau's Gaming Inspection and Co-ordination Bureau refused to comment.

"Neither the Macau government nor Beijing wishes to damage the Macau economy. There's good reason to keep the scale of illegal transactions a closely guarded secret so nobody needs to take action," says the police officer.

While Beijing does not condone gambling on the mainland, it has so far not cracked down on the illegal transfers. Analysts say it is unlikely to take action as the Chinese Communist party does not want to destabilise Macau just 13 years after the city returned to Chinese rule.

"Beijing is unlikely to take measures such as tightening visa restrictions or clamping down on debit card cashback services, as long as Macau is seen as a safe and enjoyable place to visit and casino operators refrain from activities or comments that might portray the city in a bad light," says Grant Govertsen, the Macau-based managing partner at Union Gaming Research, a US research group.

© The Financial Times Limited 2012

@highlight

Macau tolerates illicit methods to bring money into the former Portuguese colony

@highlight

Underground banks using human mules to transport cash across the border

@highlight

Macau had record gambling revenues from 16M mainland visitors last year