Beau Willimon has learned a key characteristic to succeeding in both politics and entertainment: not revealing too much.

The "House of Cards" creator, show runner and primary writer talks freely about his show, which concerns a powerful South Carolina congressman, Francis Underwood (Kevin Spacey), and his maneuvers to get his way in the conniving world of Washington. But ask Willimon something basic, such as the premiere date of the popular Netflix series' second season, and he offers an elegant "no comment."

"I can't give you that tidbit right now, unfortunately," the former campaign aide says in a phone interview with CNN, occasionally straining to be heard over the roar of military helicopters.

But Willimon, 35, is willing to talk about plenty of other things: the show's Emmy nominations -- including best drama -- the value of power, the balance between idealism and cynicism and who some of his models are. The Oscar-nominated producer and playwright (his "Farragut North" was turned into the George Clooney film "Ides of March") talked to CNN last week. The following is an edited version of the interview.

CNN: Were you surprised by the Emmy recognition?

Beau Willimon: I always keep my expectations pretty low. I believed and I know everyone on our team believed we had done a good job and we were curious to see whether the television academy agreed, and we were thrilled when they did. That's the icing on the cake, and it tastes pretty good.

Netflix joins the Emmy club

CNN: How much of your political experience has shaped "House of Cards"?

Willimon: My jobs on campaigns were pretty low on the totem pole -- I was an advance man. But a number of my friends, including my best friend, Jay Carson, who is a political consultant on the show, were in the upper tiers and really knew what was going on. (Also,) I built up a lot of relationships in D.C. and the political world in general, and I draw from that all the time. And when any of my friends aren't sure about something, they usually know the person who is.

It's a rough-and-tumble game whenever power is involved -- people's ambitions, their desires, their competitive spirit will often push them to play outside the rules. It's dramatic, it's interesting, and I think it's something we can all identify with to a degree.

CNN: Some rule-breaking on the show seems par for the course, and some might be beyond the pale.

Willimon: Well, beyond the pale ethically for most people, sure. But not beyond the pale in terms of reality. That's an extreme version, but in the history of humanity, a lot of heads have rolled in order for people to ascend to the throne.

CNN: What sources have you relied on?

Willimon: Inspiration is drawn from books like (Robert Caro's LBJ biography and Jeremy Larner's "Nobody Knows"), and other times it's talking to people who worked in that world. I really don't think it's a show about politics at all. It's a show about power. And that power is displayed in our love lives, or our work environments, the way we comport ourselves when randomness brushes up against us.

CNN: Francis often says that he prefers power over money. Do you have any personal views on that, given the influence money has in D.C. nowadays?

Willimon: There's certainly a lot of overlap, right? To a degree, money is a form of power. But I think the differentiation he's drawing is what the end goal is. For some people the end goal is money. And then you see people like Francis who don't deny the importance of money, but that's not the reason he gets up in the morning. Money is finite, it's limited by a number and what you can buy with it. Power has no limits if you're willing to go far enough in order to get as much of it as you can.

CNN: I wanted good things to happen to certain characters. They didn't. I can be a cynic but I guess I want to be an idealist. Is the show cynical?

Willimon: I don't consider myself to be a cynic nor the show to be cynical. In fact, Francis Underwood is an optimist. Where I think people mistake his optimism for cynicism is that he's unapologetically self-interested. He believes ideology is a form of weakness -- a form of cowardice. It hems you in in ways that don't allow you to be flexible. And inflexibility is anathema to progress.

The problem with Washington right now is that people are too stuck to their ideology. When you have both parties who will not find ways to compromise, who won't meet in the middle, you have paralysis. It's the perversion of idealism. I think what Francis has done is liberate himself from belief systems altogether. He says, I've got people over here who think this, and people over there who think that. I'm going to find ways -- whether it's through persuasion or seduction or intimidation or blackmail, whatever my tactics are -- to make sure everyone moves forward.

I think that's attractive to people. One of the comments we often get is people root for Francis because he actually gets things done. He makes an argument for the ends justifying the means.

CNN: Have you gotten much reaction from the actual denizens of Washington?

Willimon: Sure. A lot of people in Washington have watched the show and think it's one of the more authentic portrayals they've ever seen. We definitely push the limits of probability, but everything that happens on the show is more or less plausible. And we don't shy away from the nuts and bolts and nitty-gritty of what it takes to get things done. And sometimes it's ugly.

CNN: I do find the sausage-making ugly. When I watch the show, and Francis talks about "looking weak," I'd be the person he's talking about.

Willimon: Francis is an extreme example because he says, I don't have ideals in the traditional sense. I think he sees an intransigent belief system as a form of cowardice because it dictates your behavior for you. You don't have to make hard choices, you don't have to come up with solutions, you don't have to compromise, you don't have to think outside the box. That's like a sanctioned form of impotence that has the appearance of strength, but not if you scratch the surface.

CNN: Do you think that news media play too much of a role in making that impotence look strong, because they enjoy conflict?

Willimon: That's an interesting question. I don't think that the media actually has the power to determine the course of history. What the media does is respond to narratives that are already coursing through the nation's system. Conflict always makes for a good story, and stories that interest people will always rise to the top of the headlines. But I just see that as a function of the media doing what it has always done since the first leaflet was printed -- trying to find its audience and keep them engaged.

CNN: Does the binge-watching aspect affect the way you write it or make it?

Willimon: It's sort of yes and no. When I first began season 1, we had not made a decision that we would release all 13 episodes at once. So I wrote it thinking it has to be able to work both ways. What affected the writing most was knowing we had two seasons guaranteed before I even started. I knew we had 26 hours, and there were things I could lay into the very beginning of season 1 that wouldn't boomerang back to the very end of season 2. So it's knowing you have such a large canvas to paint on.

CNN: Is there any political figure or artistic figure you see as a model?

Willimon: There are so many. In terms of political figures, someone we keep going back to for inspiration is LBJ. I don't necessarily say he's a model for me -- there are aspects of the way he conducted business that I find admirable and others I find abhorrent. (But) I think there's so much to be gained by digging into this life story. It's an epic American story that happens to be real.

As far as models in the arts, one would be the screenwriter William Goldman, who's a friend and mentor of mine. The thing about Bill that's so extraordinary, besides the fact he's had a career that's spanned half a century, he continues to keep challenging himself. In a similar vein I would say Ken Burns. There you have someone who has such a singular vision and really stuck to it. The documentary world is a tough racket. The ability to make documentaries that are not only so epic and thorough and artful, but have them reach mainstream audiences -- I find it to be not short of miraculous.

CNN: We saw bits of Frank's roots in the first season. Are we going to see more in season 2?

Willimon: I wish I could tell you, but I'm not going to. You'll have to watch and see.

@highlight

Netflix's "House of Cards" is up for nine Emmys

@highlight

Show's creator, Beau Willimon, currently at work on season 2

@highlight

"Cards" follows the machinations of a congressman, Francis Underwood

@highlight

Show has been a critical and popular success