(CNN) -- Liangqiao, a small collection of huts and farms in southern China, is known as a cancer village.

Zhu Chun Yun lost her husband to cancer and now worries for her daughter's health.

It is where Hu Xiaoping, a husband and father and a farmer, died an agonizing death at age 30 one year after being diagnosed with colon cancer.

His widow, Zhu Chun Yun, blames his death on the brown and rust-colored water from the river, which farmers use to irrigate their crops.

"The doctor in the hospital told us not to live here," she told CNN through an interpreter. "He said don't eat the rice and don't drink the water."

Residents of Liangqiao say their river is polluted because of the iron-ore mine about 35 miles away, which is run by a nationally owned company.

Mining for iron-ore exposes naturally occurring heavy metals like arsenic and cadmium, which are both carcinogens. Without proper water treatment facilities, water contaminated with high levels of these metals is hazardous and can possibly cause cancer.

Jingjing Zhang, an environmental lawyer who is working the villagers who want to sue the government, said the Dabaoshan mine has been polluting the Hengshui River for decades.

"I always had a dream to live in a place where there's a clean river I can swim in, but this dream seems very difficult to achieve in China now," she said.

Twenty-eight people in this village of 400 have died over the last 10 years from cancer -- a rate much higher than the rest of country. The overall mortality rate for 2006 was 137 deaths per 100,000 residents.

Pollution is a serious problem throughout China.

The Chinese ministry of health reported that increased pollution has made cancer the leading cause of death in the country.

China, along with the United States, is a leading emitter of greenhouse gases, which experts say can contribute to global warming. In terms of total emissions, China is projected by the International Energy Association to become the world's leading greenhouse gas producing country this year.

It can also impact the U.S. food supply. The amount of food imported from China has grown dramatically in the past decade. According to the U.S. Department of Agriculture, the United States imported $4.1 billion worth of seafood and agricultural products from China in 2006. In 1995, it was $800 million.

In June, the United States banned five types of fish and shrimp from China because inspectors found traces of cancer-causing chemicals and antibiotics in the products.

Small villages like Liangqiao have little recourse against big companies that might be polluting their air or water.

CNN talked to the mine's director who acknowledged environmental issues with the mine, but said it wasn't a problem that could be solved overnight. He said some of the smaller, privately owned mines should share blame for the problems.

The mine has given the villagers some compensation. About 1,700 Yuan ($200) for the whole village, Zhang told CNN.

Zhang continues to build her case against the mine, trying to win compensation for medical testing, health care and damage to the village's rice crops. She hopes to go to trial next year.

Water tests from Huanan Agricultural University have concluded the Hengshui is indeed too toxic for any human use, in stark contrast to what Jingjing said the government told the villagers.

They told her "we already meet all environmental standards," she said.

China is trying to address its pollution problem. In September, the Chinese State Environmental Protection Administration shut down 400 companies for water-pollution violations and suspended 249 other businesses, according to China Daily. And last week China announced a joint campaign with the European Union to clean up China's two largest river basins. The government hopes to have a dramatically cleaner country by August, when it will be host to the Olympics.

It is too late for Zhu's husband. She said that after he got cancer he was unable to work and he reluctantly went for medical treatment.

"He didn't want to go to the hospital because he worried we didn't have enough money to bring up our daughter," she said.

Zhu told CNN she doesn't have time to be sad. All she worries about is caring for daughter and her small plot of land.

The villagers have figured out a way to pipe clean drinking water down from a nearby mountain, but they still use the dirty water to irrigate the crops.

"They have no other choice," Jingjing said. E-mail to a friend

CNN's Dr. Sanjay Gupta contributed to this report

@highlight

River through village darkened by discharges from iron-ore mine

@highlight

Cancer rate in China is 137 per 100,000 people; higher rate in village

@highlight

U.S. imported $4.1B worth of seafood, agricultural products from China in 2006

@highlight

Chinese agency cracked down on polluters in September