How hard is it to create a website to help people get health insurance under the Affordable Care Act?

For three 20-year-old programmers in San Francisco, it took about three days' worth of work.

Spurred by the problems that have surrounded the rollout of the official HeathCare.gov site, the trio created an alternative, Health Sherpa, quickly and cheaply. At first glance, it looks like a triumph of tech-startup nimbleness over government inefficiency.

George Kalogeropoulos, who created the site along with Ning Liang and Michael Wasser, said all three of them had tried using the government website to get insurance.

"We were surprised to see that it was actually fairly difficult to use HealthCare.gov to find and understand our options," he told CNN. "Given that the data was publicly available, we thought that it made a lot of sense to take the data that was on there and just make it easy to search through and view available plans."

The result is a bare-bones site that lets users enter their zip code, plus details about their family and income, to find suggested plans in their area.

"The Health Sherpa is a free guide that makes it easier to find and sign up for health insurance under the Affordable Care Act. We only use carefully vetted, publicly available data," the site reads. "The Health Sherpa is not affiliated with any lobby, trade group or government agency and has no political agenda."

Tech experts enlisted to help fix Obamacare website

The Sherpa are an ethnic group in Nepal, some of whom have long served as guides for people climbing Mount Everest and other mountains in the Himalayas. The name has come to be used generically for any kind of guide or mentor.

Of course, it's not fair to compare the creation of Health Sherpa to the rollout of the more complicated government ACA site, which everyone from President Obama on down has acknowledged as a horribly botched affair.

For one, you can't actually use Heath Sherpa to sign up for coverage. The site states that it's for research purposes only, and that users must verify the premiums and subsidies they find there with state health care exchanges, insurance companies or on HealthCare.gov itself.

"It isn't a fair apples-to-apples comparison," Kalogeropoulos said. "Unlike Healthcare.gov, our site doesn't connect to the IRS, DHS, and various state exchanges and authorities. Furthermore, we're using the government's data, so our site is only possible because of the hard work that the Healthcare.gov team has done."

But it does cast light on the difference between what can be done by a small group of experts, steeped in Silicon Valley's anything-is-possible mentality, and a massive government project in which politics and bureaucracy seem to have helped create an unwieldy mess.

NY government website lists bakery, mechanic for Obamacare help

Creating the original Sherpa site took three days and cost "several hundred dollars," according to Kalogeropoulos. The three programmers have continued fine-tuning the site as its popularity has grown. In less than a week, the site has had almost 200,000 unique visitors and over half a million page views, he said.

"We've heard from people of all ages and walks of life, and thousands of people have reached out to us directly via email, phone, and Twitter to thank us to and to suggest features and request improvements," he said. "Tens of thousands of  people have clicked through to buy a specific plan, suggesting that we are achieving our goal: helping people find a health insurance plan."

Maybe the Obama administration can learn from the Sherpa example. As it scrambles to fix the heath care site, the government  has sought to inject a little more Silicon Valley into the process by enlisting a "Tech Surge" of staffers from Oracle and Red Hat, as well as Michael Dickerson, a site reliability engineer on leave from Google.

@highlight

Three 20-year-olds create alternate site that lets people search for health care

@highlight

Programmers built Health Sherpa in three days for "hundreds of dollars"

@highlight

Site does not let users actually sign up for coverage

@highlight

It was built in response to problems that have plagued Healthcare.gov site