(CNN) -- What is the value and impact of international aid? In an era of global austerity, this is a question that is frequently posed by policymakers and the citizens they represent.

The truth is, it is actually quite hard to measure. But there are important questions about both the quantity and quality of aid that must be answered.

Contrary to popular perception, aid is not one homogenous entity or a single transfer of money from donor to recipient countries. The term "international aid" actually covers a wide variety of things, including food and commodities, advice and training, and debt relief.

In 2011 -- the last year we have comprehensive data for -- total development aid from rich countries stood at nearly $150 billion, according to the Investments to End Poverty report. Only $59 billion identifiably involves the transfer of actual cash to, for example, recipient governments, NGOs operating on the ground or special project funds.

Aid in kind makes up another $25 billion. Most of this is food aid, which is used to tackle acute hunger -- but even this form of aid is not without controversy. Many donors avoid shipping actual food to developing countries, aware that it destroys local markets and harms local farmers.

Research demonstrates that food aid can be poor value for money, especially when food grown in donor countries is shipped to the developing world. Sorghum shipped from the United States is 200% more expensive than it is in Chad and almost 100% more than in Sudan, according to Development Initiatives calculations. Despite this, the United States and Japan continue to make extensive use of food shipments.

Perhaps even more surprising is the fact that large amounts of aid money never actually leave rich countries.

As much as $22 billion -- or 20% of bilateral aid spending -- is spent on activities in donor countries or put towards the cancellation of debt. This includes funds to cover housing, food and other services for the first 12 months of refugees' stay in the donor country. It also includes public spending on universities to cover the costs for students from developing countries. In 2011, $4.5 billion was spent on refugee costs, $3.5 billion on university costs and around $7.5 billion on debt relief.

As important as these expenditures may be, they do not result in any transfer of resources to developing nations. These schemes may of course be beneficial to recipient countries in the long term -- for example, contributing to capacity development if students return to their countries. But it is undeniable that these schemes are at odds with the common perception of aid as financial support transferred from donor to recipient countries to fight poverty.

These different elements of aid obviously have very different effects on economic development and growth. A dollar of cash will have a very different impact to a dollar's worth of food or a dollar's worth of a consultant's time. It is difficult to understand just how bundling all of these items into one lump sum can allow us to draw meaningful and reliable conclusions about the value of aid.

This lack of clarity was part of the motivation for Investments to End Poverty -- a major new report that analyzes aid in all of its complexity. At Development Initiatives we reviewed each individual record of foreign aid from OECD donors over the period 2006-2011 -- over a million rows of data. Now, for the first time ever, we can see just how much aid flows between specific countries and, crucially, what that aid consists of.

The results are striking. For example, according to our calculations, Italy and Denmark both gave very similar levels of bilateral aid, just above $2 billion, in 2011. But almost 70% of Italy's aid stayed in the country, spent on refugee costs and debt relief, whereas around 70% of Denmark's aid resulted in a transfer of resources to developing countries.

On the recipient side, some countries that appear to receive considerable funds in fact receive a lot less than advertised. Our research found that of the $7.5 billion in aid reported as given to the Democratic Republic of Congo in 2011, more than $5 billion was not transferred to that country, and consisted instead of debt relief.

All of this matters because we are at a crossroads in international development. In the last few decades, we have seen unprecedented progress in alleviating poverty, as recognised by world leaders meeting at the United Nations General Assembly in New York in September. There is a growing consensus that we can end extreme poverty by 2030.

The truth is that we cannot meet this goal without international aid. While FDI and remittances undoubtedly contribute to economic growth in developing countries, aid is the only international resource flow which can be targeted explicitly to improve the lives of the poorest people around the world.

In sub-Saharan Africa alone, 400 million people live in extreme poverty and require interventions that are targeted and complementary to existing support to lift them out of it. Without the support of international aid, most poor people will be left behind.

If we want to maximize the impact and reach of international aid, we need to ensure that every dollar is spent as efficiently as possible. We can only do this with better information and a clear understanding. Then policymakers in both donor and recipient countries can make better and more informed decisions, and civil society can better monitor progress and hold them to account.

The opinions expressed in this commentary are solely those of Charles Lwanga Ntale.

@highlight

Impact of international aid is hard to measure, says Charles Lwanga Ntale

@highlight

large amounts of aid money never actually leave rich countries, he adds

@highlight

But extreme poverty cannot be ended without international aid