(CNN) -- Normally, its viewers don't associate "Eurovision" with global politics. The annual singing show is a camp retread of the cultural wasteland of the 1970s -- all crashing ballads, gaudy europop and singing penguins. Britain has signaled its contempt for the contest by sending 76-year-old Engelbert Humperdinck as its representative, a man once regarded as a stud but who now looks eerily like one of those Mexican mummies. The crooner was born two decades before Eurovision even started, and it's touch and go whether he'll survive the weekend.

However, this year the contest, which holds its finals Saturday, has taken on an unexpected degree of controversy. It is being held in the oil-rich tyranny of Azerbaijan, and while contestants were warming up their acts this week, pro-democracy demonstrators were getting beaten in the streets of Baku. The annual singing contest draws an audience of 125 million across Europe, so the dictatorial regime of Ilham Aliyev had hoped to use it as an opportunity to sell his country to the world. Instead it has been a public relations disaster.

Explainer: What is Eurovision?

Arguably, the outrages in Azerbaijan have exposed a hidden dimension of Eurovision. It is and always has been a very political event. That's more obvious this year than most because the politics of Europe are so blatantly and unavoidably polarized.

The most obvious problem is one of definition. What on Earth, you might ask, is a central Asian country like Azerbaijan doing in a contest called Eurovision? Nothing about contemporary Azerbaijan marks it out as distinctly European -- it's Islamic, undemocratic and many, many miles away from the continent.

It's in the contest by an accident of history: Azerbaijan used to be part of the Soviet Union. Its leaders desperately wish to claim some European identity because they want to participate in capital and labor markets -- something that should, theoretically, encourage democracy. But Ilham Aliyev also wants to retain the integrity of a classic Asian despotism. As the European Union engages farther eastward, through Turkey, it has to deal with nations and cultures like these that don't precisely fit its Western, liberal template.

There are plenty of divides within continental Europe itself. Voting has always been political. Britain's 1997 victory was widely interpreted as a "thumbs up" for having elected the popular liberal leader, Tony Blair; its defeat in 2003 was punishment for the Iraq War. Likewise, Eurovision has traditionally operated a buddy system. Nordic countries often vote for each other and Cyprus typically favors Greece. In a way, that's a good thing, because it means that no matter how awful an entry is, someone is duty bound to vote for it. Britain has been bailed out by faithful little Malta several times.

But the end of the Cold War dramatically enhanced the role of politics and favoritism in voting. For many of the new, Eastern participants -- particularly in the war-torn Balkans -- Eurovision became an extension of diplomacy, used to cement alliances with Russia or make amends with former enemies. Songs about regional reconciliation were touching when they debuted in the early 1990s. But now they elicit groans from West European voters because they are interpreted as a plea for geographic solidarity.

The results support the contention that this has become an Eastern group hug. From 2001 to 2011, seven out of 11 winners have been Eastern, with a strong preference for the former Soviet bloc (the pattern is just as pronounced in the junior contest).

Such is the frustration of Western countries that many of them have opted to send novelty acts. Sometimes that accidentally works (Finland's Hard Rock Hallelujah was surely a joke, yet it came in first in 2006), but it often means the folks back home end up humiliated. Britain's longstanding Eurovision presenter, Terry Wogan, quit the show in disgust after the UK's entrant, who was black, received only 14 points in 2008. Blaming the result on East European racial prejudice, Wogan observed that a contest invented in the 1950s to forge a sense of unity in the Cold War era has actually become a symbol of how polarized the new Europe is.

And how poor, too. Spain's entrant, Pastora Soler, has admitted that it would be better if she didn't win on Saturday because she wasn't sure that her country could afford to host the contest. Struggling with soaring debt and unemployment, this former economic miracle is now a pauper state. Directors from Spain's broadcaster, TVE, sent a message to Soler that read, "Please, don't win!" Never has a sadder truth been spoken in jest.

Eurovision was probably at its most hopeful and exciting in the early 1990s, when Europe was emerging from the nightmare of the Cold War and it had fantasies of a prosperous, democratic, unified future. But Azerbaijan in 2012 offers a very different vision. Modern Europe is struggling to integrate countries that have little cultural affinity for it, it is divided by regional loyalties and it is still a long, long way from recovering from the Credit Crunch.

The European dream has ended; the fat lady stopped singing years ago.

The opinions expressed in this commentary are solely those of Timothy Stanley.

@highlight

Timothy Stanley: Eurovision is campy, unserious and this year has taken on more controversy

@highlight

He says host Azerbaijan has squelched pro-democracy protests, made bad PR

@highlight

He says Azerbaijan not even in Europe, contest marred by politics, skews to Eastern bloc

@highlight

Stanley: Contest also reflects polarization of Europe