(CNN)At the edge of the Syrian war, photographer Furkan Temir found despair packed in tent camps and an outpouring of humanity from a tight-knit Turkish border community.

"There were too many people. Every day new tent areas sprung up and even that was not enough. People slept in mosques, abandoned homes, schools, any building they can find, and if they couldn't find anything, they slept in the street," Temir recalls.

The more than three-year Syrian civil war gave ethnic Kurds an opportunity to break away from the central government and operate in semi-autonomous enclaves in the country's north, but it also meant that when the radical group ISIS threatened to overrun the strategic town of Kobani, the minority stood on its own.

The fury and spectacle of the battle on the Turkish border drew the attention of the world and brought Temir with a sleeping bag, a Canon 6D camera and some spare change to nearby refugee camps, where he immersed himself for 17 days.

"I could not just come during the day and sleep in a hotel at night because I wanted to feel what they feel and truly understand the situation," Temir says, "I found myself sleeping, eating, sharing cigarettes and daily life with the refugees. When other photographers would come they would hide their faces because they knew the difference. They felt I was more sincere and trusted me."

In just four days, 200,000 people from Kobani and the surrounding areas fled the horror of a terror group infamous for mass execution, beheadings and crucifixion. The exodus brought mothers cradling babies sucking on pacifiers and fathers bowing under the weight of belongings wrapped in bed sheets to Turkey's already strained border.

The international media, generally barred from access by the restrictions of President Bashar al Assad's government, captured every frame. Television crews perched on Kurdish hilltops broadcast live skirmishes between Kurdish forces and masked ISIS militants just a few hundred kilometers away from the border.

"I used my camera as an instrument to hold my distance from the reality of what was happening, so I wouldn't feel 100% in the situation," Temir says. "There was constant distraction and demolishment. Even the best things that happened destroyed homes and people."

The "best things" were U.S.-led coalition airstrikes that successfully reversed ISIS' advance on the town and deterred the expansion of the group's so-called Islamic caliphate, which stretches from north-central Syria to Iraq's Falluja.

As Turkey's Kurdish community buried more of its soldiers and struggled to feed thousands of homeless families, the smoke and flash of American warplanes bombing jihadis proved an outlet for the ethnic group's seething anger.

"When you are really close to the war but you are still somewhat safe in your own country, and you see bombs dropping down and people dying and other people applauding this, you can tell this is war tourism."  Temir says of the Kurds gathered to cheer the aerial campaign.

Social media

Follow @CNNPhotos on Twitter to join the conversation about photography.

The fight for Kobani is just one chapter in a war the United Nations calls "the biggest humanitarian emergency of our era," but the episode features all the facets of the savage conflict that has claimed the lives of more than a 190,000 people and left an entire generation hollow.

"I am not doing this for fame or money or any earthly reason. First I need to satisfy my own sense of being as human and my connectedness to all humanity," Temir says, "Second I want to provoke a sense of curiosity in people, so they may act on it."

Furkan Temir is a Turkish photographer based in Istanbul. You can follow him on Facebook.

@highlight

Photographer Furkan Temir spent 17 days immersed in refugee camps on the Turkish border

@highlight

Temir brought a sleeping bag, a Canon 6D camera, and some spare change to the camps