(CNN)"Sleeping in our caves is a mystical experience," says Umberto Paolucci. "You'll find your spirit and the real essence of life. Even if you're looking for neither."

As the co-owner of Grotte della Civita, a luxury resort dug into a precipice of primeval stones that seemingly rise from nowhere at Matera in Italy's deepest south, Paolucci knows a thing or two about journeys of discovery and redemption.

Once a refuge for monks, nuns and hermits fleeing persecution in the Middle Ages, the caves slowly fell into oblivion.

For centuries, Matera's 156 rock crypts and maze of grottoes, known as Sassi, were home to "troglodyte" outcasts living in inhuman conditions.

When inhabitants were driven out in the 1950s, the caves became a haven for prostitutes and junkies.

That was before Paolucci stepped in to help oversee their rebirth as a tourism destination.

"When we entered there were illegal dump sites, prostitutes' mattresses, drug addicts' syringes and mistreated pit bulls," says Paolucci.

Several of Matera's cave dwellings and crypts have been restored as a "spiritual hotel."

It's a destination that offers an attractive blend of isolation and luxury for anyone looking for some stress busting or soul searching.

"They're enchanted, magical, but real at the same time," Paolucci adds.

Matera is now a UNESCO World Heritage site, and picked as the 2019 European Capital of Culture.

Modern day pilgrims

At the entrance to Sassi, the same crumbling fresco of the Madonna and Child that once greeted monks and hermits (and, legend says, even Templar Knights) greets modern pilgrims.

Grotte della Civita (Via Civita 28, Matera; +39 0835 332744) features 18 soberly restyled grotto rooms clustered around a cave crypt that serves as restaurant, cocktail and lounge area.

Friars' cells have been turned into deluxe suites. The reception is part of a Benedictine monastery.

Below the hotel are two of the city's most ancient and stunning frescoed rock churches: Our Lady of Virtues and St. Nicholas of the Greek, a shooting location for Mel Gibson's "The Passion of the Christ."

It's no ordinary location.

When I step inside my 80-square-meter suite, made up of three adjacent grottoes, I'm struck by an unexpected wave of spirituality even as I'm worshiping the accommodation's more earthly pleasures.

The suite has a private terrace in the deep gorge of the Murgia Park, cut by a dark river and overlooked by holes carved into the mountain on the other side.

Inside there are heated stone floors, arches, vaults and a high ceiling.

Niches formerly used for votive paintings, sacred statuettes and incense now hold flickering candles and electric spotlights.

A round floor brazier, a cloister bench and an old wooden chest laden with a fruit bowl, ceramic cups, plates and silver cutlery are the sole furniture.

I feel like a privileged hermit.

"Real luxury is the fulfillment of one's most intimate and true need," says Paolucci.

'Primitive spirituality'

"Paradoxically, only a high-end resort gives the possibility to experience the primitive spirituality of such places."

The other grottoes, including a 160-square-meter deluxe suite for four, feature iron crosses and wooden planks covered with thin mattresses that favor asceticism over comfort.

"To hermit monks these grottoes were places of adoration," says Angela Galgano of Un Giro nel Sole tour group.

According to resort manager Michele Centonze, there are plans to expand in 2015 with another restyled crypt, 14 new cave dwellings, a relaxation area, library, spa and canteen.

Until then, guests wanting to restore soul and body have to settle for a massage (with perfumed oils, burning braziers and new age music) inside their grotto.

Evening drinks are served inside the cave church beneath walls that are a puzzle of black holes and candlelit niches.

I sit on a tree trunk below two impressive naves leading to an altar, sipping a glass of red Aglianico wine in front of a crackling fire.

The rectangular tables are former convent doors, there are church benches, an illuminated confessional booth doubling as a walk-in closet and underground cisterns full of coins.

It feels like a ritual or ceremony is taking place.

For those seeking the true hermit vibe, the crypt can be booked for an exclusive solo meal with a menu featuring Matera gourmet dishes such as Pezzente sausages and huge sun-dried and fried Cusco chili peppers.

Back in my room, it's pitch dark.

I search for the matches and light the candles. From the window, Matera looks like a nativity scene.

With no television, radio, minibar or magazines, it does feel like I'm leading a monastic life.

'Nuns' thighs'

Inspired by my convent-style surroundings, I'm up at 7:30 a.m. the following day.

Crossing the rugged rock floor, I open the door to a thick fog covering the chasm below.

It feels like I'm in a scene from Umberto Eco's medieval whodunit "The Name of the Rose."

Breakfast in the cave church is a sensory event soundtracked by a Chopin nocturne playing on a sleek Bang & Olufsen sound system.

Simple food is served beneath the altar: tomato pizza, aubergine and potato pie, house-made bread, yogurt, jam, honey and a mozzarella braid surrounded by slices of kiwi and persimmon.

There are also plums known as "nuns' thighs" due to their unusual shape.

Harrison Rubenstein from New York is another early riser.

"This is such a break from daily life. Utterly regenerating," he tells me.

His thoughts are reflected in comments in the guest book that describe Matera as an "escape from the world," an "ancestral experience" offering "peace and happiness," or simply "Nirvana."

Other 'spiritual hotels' in Italy

Eremito Hotelito del Alma

Built by former jeans designer Marcello Murzilli, this "modern ashram" is set in a 3,000-hectare park in Umbria and has only single-cell rooms, all named after saints.

Dinner is taken in silence while Gregorian chants play in the background. Perfect for a digital detox.

Eremito Hotelito del Alma, Localita Tarina 2, Parrano, Terni; +39 076 389 1010

Relais Sant'Uffizio

A former Holy Inquisition tribunal located in Piedmont's wine-rich Monferrato hills, this is where Dominicans sentenced witches and heretics to death in the 1500s.

The spa uses oils and creams made from monks' herbs and spice recipes.

"Brushing of the Monastery" massage uses sorghum grains to revitalize leg circulation.

Relais Sant'Uffizio, Strada del Sant'Uffizio 1, Cioccaro di Penango, Asti; +39 0141 916 292

La Palazzetta del Vescovo

A former summer residence of Todi's Bishop in the 1700s, this palace, close to Perugia, is surrounded by vineyards and olive groves.

It features just nine elegant rooms with old furniture and carpets.

La Palazzetta del Vescovo, Via Clausura 17, Fratta Todina, Perugia; +39 075 8745183

Hotel Monteconero

This impressive 12th-century abbey sits atop the Conero hill in Marche region, a mystical location covered in greenery.

The Romanesque church serves as the reception and hall, while the cloister has been turned into suites.

The view stretches across the Adriatic Coast's fishing villages and beaches.

Hotel Moteconero, Via Monteconero 26, Sirolo, Ancona; + 39 071 933 0592

@highlight

For centuries, Matera, Italy's rock crypts and maze of grottoes have been home to "troglodyte" outcasts living in inhuman conditions

@highlight

Now many of the caves have been converted into upscale "spiritual hotels"

@highlight

Matera is a UNESCO World Heritage site, and picked as the 2019 European Capital of Culture