Washington (CNN) -- Three weeks until funding starts to dry up for bridge and road projects across the United States, House and Senate committees Thursday put Congress on track toward a deal to avoid construction shutdowns and to keep the federal Highway Trust Fund operating until early next summer.

But even as Republicans and Democrats drew closer together, some in the transportation industry decried the nearly $11 billion proposals as short-term fixes that leave the nation's bigger infrastructure issues untouched.

House and Senate day of action

Without an infusion of cash to the highway fund, the Department of Transportation has warned that road projects may have to start shutting down in August.

After months of failed negotiations, key House and Senate committees passed proposals Thursday that were relatively close in scope and content. Previous drafts had differed in the source and size of funding, as well as how long that funding would last.

Thursday both the Republican-led House Ways & Means Committee and the Democratic-led Senate Finance Committee passed bills with the same central dollar figure, $10.8 billion. That's enough to keep the fund in business until roughly next summer.

The two sides also moved closer on where to get the money.

The Senate committee adopted a House idea, including something called pension smoothing, which allows employers to set aside less money for long-term pension funding. One key difference -- the House bill has a more expanded version of the money-raiser, bringing in three times as much money from pension-smoothing than the Senate.

The bills are much closer on the amount of money they'd raise from an extended increase in customs fees. And they would each transfer $1 billion out of funds for underground storage leaks.

Republican and Democratic senators stressed they had made compromises.

Finance Chairman Ron Wyden had previously insisted on a long-term deal.

"Colleagues, I want it understood that (pushing for a longer-term solution) was my position at the beginning of the negotiations," the Oregon Democrat said to his committee. "But it was clear that it would not be possible to reach a bipartisan agreement (for a longer-term deal)."

His Republican counterpart echoed the story of tradeoffs. "While I won't say I've gotten everything I wanted," ranking Republican Orrin Hatch admitted, " I will say I think we've reached a deal that can satisfy both Democrats and Republicans."

Differences remain

Both bills passed their respective committees on relatively easy voice votes Thursday. But even as they issued warm statements across the north-south axis of the Capitol, lawmakers warned of the remaining differences ahead.

"I commend Chairman Wyden and Senator Hatch for putting together a bill that provides roughly $11 billion, as we did," wrote House Ways & Means Chairman Dave Camp in a statement. "However... it is inconceivable that the House would, as the Senate proposes to do, grant the IRS additional authority to audit and investigate taxpayers simply so Washington can spend more money."

Camp's office would not confirm it, but the Michigan Republican seemed to be objecting to a Senate provision that would increase the amount of time the IRS has to audit taxpayers who incorrectly estimate property values, from three years now to six years. That measure alone raises over $1 billion.

Each bill is expected to pass its respective chamber, with the House planning to vote on its version next week. Then the two sides must quickly agree to a compromise bill if they want to keep money flowing and avoid construction slowdowns starting in August.

Transportation group fires back

As lawmakers breathe a cautious sigh of relief and move toward avoiding another crisis, some in the road construction industry see little reason to celebrate.

"These actions are the latest 'punt and leave the stadium' strategy that has plagued the federal surface transportation program for far too long," wrote Pete Ruane, president of the American Road and Transportation Builders Association.

His group and others have been clamoring for a long-term fix, after 11 stopgap measures in five years. But the politics are a problem. The highway fund currently relies on six types of taxes, including the federal gas tax. And Republicans' anti-tax mantra has prevented all but a few from supporting any increase in those fees.

Hence, what could be a rare ahead-of-deadline deal in Congress looks like continued instability and lack-of-decision to those in road construction.

"Our message to Congress is simple: your job isn't close to being done," Ruane concluded.

Feds warn states: Road construction money running out

@highlight

The DOT has warned that without an infusion of cash, road projects might start shutting

@highlight

Key House and Senate committees pass proposals to avoid that

@highlight

But some in transportation industry decry short-term fixes instead of longer-range plans