Lake Turkana, Kenya (CNN) -- Richard Leakey has spent a lifetime exploring Kenya's Turkana Basin searching for the origins of man.

Each layer of sediment, says the paleoanthropologist and founder of the Turkana Basin Institute, helps to tell the narrative of human evolution.

"You get the whole story of life represented going back from the present right back to the beginnings of an ape that has two legs as opposed to four," Leakey said.

"So the whole story of humanity you can actually trace to the Turkana Basin."

But Leakey says these ancient hills tell another story, a history of climactic changes that gave rise to some species and led to the extinction of others.

With climate change, he says, this history could be repeated.

"The future of humanity is not going to be in the sediments, it is going to be in our minds and our thinking and unfortunately what we find here is that evidence," Leakey said.

"What we find here that is scientifically provable, immutable facts doesn't necessarily get absorbed for the moment by the political class who simply don't want to know the ugly truth that the world is a mess."

On the shores of Lake Turkana -- the largest desert lake in the world -- they don't need to know the science of climate change.

For more than 1,000 years, fishermen have been bringing in their catch, but, in less than a generation, they have witnessed disturbing changes.

"When I was young this lake was full, says Lazarao Maraka, a local fisherman.

"The water just keeps going down. We used to get big fish every day, now they are tiny."

Maraka has reason to worry. Sometimes it is hard to see the effects of climate change, but not at Lake Turkana.

Global human impact on Earth

Thirty years ago the area was covered with water. Now, it is just sand and gravel. And scientists believe that in just a few decades it will be reduced to a couple of puddles.

Upriver dam projects could further hasten the retreat, a potential catastrophe for the entire region that depends on the lake for food and economic survival.

"I think the prospect of many of these half million people living around the lake today of having to relocate to cities and to slums and to abandon their culture, abandon their ancestral land, become paupers in their own land, I think it is very real," Leakey says.

"I think the way of life is gone...I have no doubt about that at all. I think if you came back here or my grandchildren came back in 50 years we wouldn't recognize what we are talking about today."

Leakey's Turkana Basin Institute is trying to understand how climate change is affecting the Turkana.

More: Could big cities lead fight against climate change?

Sometimes the best thing to do is listen. The Turkana say the rains are less frequent and the droughts come more often.

The unpredictable weather and vanishing pasture has decimated their herds.

Climate change does affect the Turkana people, says Ikal Angelei from the Turkana Basin Institute.

"With the increase of drought it has made the communities unable to adapt to the changes, because it happens so often," Angelei said.

Leakey says that anyone skeptical about climate change should visit the Turkana Basin.

"Coming to a place like this, I think you actually show people what happens. These are real issues that you can see and feel and almost touch that may make people understand that we are on the edge of a precipice and we are going over," he said.

"We have accelerated a process and it is based on the belief that somehow we can maintain control. I think our carbon dioxide emissions are out of control."

Even with the changes around Lake Turkana, fishermen like Lazaro Maraka still try to eke out a living the only way they know how.

He worries what will be left for his son Eroo if the lake continues to recede.

"If there is no lake or no fish, then the people will not survive around this lake. This lake is the Turkana's life," Maraka says.

This place has helped unlock humanity's past. Today, it could also be providing a window on its future.

@highlight

Conservationist Richard Leakey has been working in Kenya's Turkana Basin for years

@highlight

Leakey says fishermen have seen evidence of climate change in the water as levels recede

@highlight

Potentially catastrophic as entire region is dependent on the lake for food and economic survival