(CNN) -- When Suzanne Jablonski moved to New Jersey to start a new life, she felt mostly alone in her struggles raising a special-needs child.

Her 18-year-old son, Brandon Timberwolf Munic, has emotional, learning and behavioral difficulties as well as mild cognitive impairment. A single mother, Jablonski often felt as though she were in crisis mode, until she found a support system last year called Mom2Mom.

Mom2Mom is the only helpline in the United States focused on mothers of special-needs children. The service, staffed by moms of special-needs kids, operates 24 hours a day, seven days a week, and callers get follow-up support from a dedicated staff who checks up on them.

"I don't think, 'Oh, my God, this is the end of the world,' even though many times before ... I did," Jablonski said. "I don't feel so alone anymore."

Cherie Castellano, who launched Mom2Mom in 2010, has started a number of initiatives based on the idea of "reciprocal peer support": that people with similar experiences can help each other. Having experienced the stress of having a child with developmental delays, she wanted to provide a way for other mothers to have caregiving support.

Dads are welcome to call the Mom2Mom line too, Castellano said.

Mom2Mom now has about 20 mothers on staff, all of whom have children with some sort of special need, including medical illness and mental health problems. The program is part of University Behavioral HealthCare, which will be under Rutgers University as of July 1.

"It's not just good for the moms they're helping, it's also good for them because they get to feel connected and recognize their own strengths," Castellano said.

Along the same lines, she also founded a law enforcement crisis hot line called Cop2Cop and the veteran support line Vets4Warriors.

A staffer always picks up the hot line, no matter what time of day. In the initial call, the peer counselor mother will find out from the caller what she is calling about and then asks, "How are you?" The conversation then turns from the child's needs to the mother's own mental health and impact on the family.

Most of the time, the caller agrees to engage in ongoing peer support, Castellano said. Mom2Mom then assigns her a support partner with a child who has a similar condition.

Autism: What we know right now

The peer counselors check back often with these mothers, talking about what challenges might arise and the state of everyone's mental and physical health in the family. They can refer them to a network of service providers. Mom2Mom also hosts in-person support group meetings.

Because it's a state-funded program, Mom2Mom's activities are aimed at New Jersey residents, but no one is turned away; peer support counselors will research resources to try to find connections for the callers in their own states. The program has gotten calls from more than 20 states where moms struggle to find support as they care for special-needs children.

On Monday, more than 40 callers came to the Mom2Mom headquarters -- a call center -- in Piscataway, New Jersey, to meet their counselors in at an event to allow peer partners to meet each other for the first time, in honor of Mother's Day.

Castellano met a mother she had been speaking with for two years. Staff members spoke about how much comfort they've gotten from the callers as well.

"For like 20 minutes, there was just hugging, crying and chatter," she said.

Many mothers of special needs children want to appear as "supermoms," being able to balance all of their appointments and challenges and emotions, Castellano said.

"Moms don't want to seem like they're depressed about it or they're sad about it or they're afraid of what's going to happen to their child when they're gone," Castellano said. "There's a lot of shame and guilt and suffering that nobody wants to talk about."

Mom2Mom has been a big help to Debra Lee, 52, of Newark, New Jersey.

The youngest two of Lee's four children are on the autism spectrum: a 27-year-old son and a 20-year-old daughter. Her son graduated from Rutgers and works part-time. She worries about both of them, but especially her daughter, who attends a public school with an autism program and doesn't go anywhere alone.

Growing up autistic: My story

She was one of the first callers to Mom2Mom and connected with peer counselor Mary Beth Walsh. Today, she attends in-person support groups as well.

"You meet a lot of people that you can talk to," she said. "You do a lot of crying. At least you can talk to people who can understand what you're going through. It makes you feel much better."

Since connecting with Mom2Mom, Lee said, she realizes how hard she had been on herself. She had put her whole self into her children and had lost sight of taking care of herself.

Before, she would never buy nice clothes for herself; now, she'll buy suits.

"It just made me see that I could still look nice even though I'm overweight," she said.

Walsh, Lee's peer counselor, has a 14-year-old son with autism. She has been immersed in the world of autism advocacy since his diagnosis, and admires Lee's positive attitude toward everyone on the autism spectrum.

"I might say, 'Oh, he's so sensitive to sound,' but Debra will say, 'Oh, it's amazing how he's always listening to the environment and picking up all these cues.' "

Both these mothers took part in a Mom2Mom collaborative project expressing their feelings and struggles through artwork; each sculpture consists of two pieces of glass connected to look like a book. The result is called "Breathless: Mothers of Children with Special Needs."

Lee's glass panel depicts a tree; she wrote about "having faith."

The Mom2Mom helpline is 1-877-914-MOM2.

@highlight

Mom2Mom provides peer counseling, support and referrals in New Jersey

@highlight

Peer supporters also have children with special needs

@highlight

Many mothers of special-needs children don't want to appear depressed