(CNN) -- Imagine an icy cold day, Arizona. A chilly breeze, southwest California. Snow drifting slowly from low slate clouds, Las Vegas.

Now, keep those images close at hand. You're going to need something to help keep you cool as Mother Earth pours a big bucket of brutal heat on your head.

"I'm not worried as much about the people who have lived here a while," said Sgt. Troy Stirling, spokesman for the Lake Havasu police in that Arizona city along the California border. "It's more the tourists coming into the area, even from Southern California, who aren't used to this kind of heat."

Civic and emergency officials throughout the Southwest say that if there was ever a time to worry, this would be it. The reason isn't just the oppressive heat that plagued the region: It's the fact it is expected to hang around, and possibly even get worse, over the next few days.

Many of the excessive heat warnings issued by the National Weather Service extend through Tuesday night, with advisories from northern California, including Sacramento, all the way to southern Arizona. Forecasters say temperatures through the weekend could rival a 2005 heat wave that killed 17 people in the Las Vegas area.

The culprit is a high pressure dome that's blocking cooler air coming down from the Pacific Northwest, CNN meteorologist Indra Petersons explains. That system won't begin to break up until early next week, she said.

As a result, Phoenix residents should see a high of 118 degrees on Saturday. That's the temperature the National Weather Service expects the thermostat will reach in Las Vegas both on Sunday and Monday. It should max out at 115 in the coming days in Palm Springs, California.

It's not like sunset will provide much respite, as temperatures may not drop below 90 degrees in many places, even in the middle of the night.

Yet all those conditions are practically wintry compared to what's expected in Death Valley, where temps could climb to 129 degrees.

The high temps come just a couple weeks before the 100th anniversary of what the National Weather Service calls the "highest reliably recorded air temperature on Earth" -- 134 degrees on July 10, 1913, in Death Valley's Greenland Ranch.

It likely won't get that bad, but that doesn't mean it won't be dangerous.

That's why Stirling said authorities in Lake Havasu City are making sure every police officer on the beat has cool water or Gatorade handy, why waters at the city's aquatic center are being chilled, and why fire stations are offering free cold water to passers-by.

Precautions are also being taken in the case of a worst-case scenario -- a power outage that knocks out air conditioning that people need to get through the intense heat.

But barring such a calamity, Stirling said, "Most people know, 'We're going to stay indoors.'"

Of course, there will be those who don't do that -- perhaps because they have to be outside, or maybe because they're convinced they can beat the heat.

Those fighting fires -- like a blaze that ripped through a Phoenix salvage yard Friday evening, torching vehicles, sending huge plumes of black smoke into the air and triggering several explosions -- don't have much choice to stay inside.

In California, the so-called Mills Fire in San Bernardino County was still raging at 5:45 p.m. (8:45 p.m. ET) Friday, having more than doubled in size to 200 acres over the course of the day, according to California's Department of Forestry and Fire Protection.

In addition to firefighters, police pitched in by going door-to-door asking people to evacuate. But the weather wasn't, and won't, be much help at all: Forecasts for the area call for sunny skies and temperatures topping out at 109 degrees both days this weekend.

Crissi Zito is one of those people in the heat-drenched zone who ventured outside, even if she didn't have to. Still, when she went out for a run Friday in 100-plus degree heat in Sacramento, Zito was equipped with a water bottle in her hand and the understanding in her mind that now is not the time to push your limits.

"Listen to your body," she told CNN affiliate KOVR. "If your body says, 'I don't feel good, I don't feel right,' go inside, get some shade, get some water."

@highlight

NEW: Those fighting wildfires and other blazes must battle extreme heat as well

@highlight

Excessive heat warnings extend from northern California to Arizona and beyond

@highlight

It could reach 129 in Death Valley -- five degrees short of the all-time record

@highlight

Temperatures may not fall below 90 at night in some areas