From the rooftop of a mosque in the Cairo district of Nasr City, I watched as thousands of supporters of deposed Egyptian President Mohamed Morsy frantically waved posters and chanted angrily.

Moments before they heard that the man who, just a year ago, had been declared Egypt's first ever democratically elected president had been ousted.

The people who had jammed into Tahrir Square on June 30, 2012 to celebrate his inauguration were shocked and enraged.

When long-serving President Hosni Mubarak was toppled from power two and a half years ago, it was the beginning, not the end, of a revolution that has yet to run its course.

Prior to 2011, the presumption among many Egyptians and foreign observers alike was that the long-suffering people of Egypt had an almost bottomless reserve of patience, that as long as they could feed their families, they would put up with whoever was in power.

The uprising that banished Mubarak unleashed energy and a passion that shows no sign of diminishing. If Morsy thought his election victory a year ago, in which he won 51.7% of the vote, was a mandate, he was sorely mistaken.

But Morsy's head never lay steady atop the state. The police never trusted him -- nor did Christians. The army was suspicious and the business community dubious. Many voted for Morsy simply because they saw him as the lesser of two evils, running against former Mubarak stalwart Ahmed Shafiq.

One activist I spoke to, who only gave his name as Abdel Hadi, compared the two candidates during the presidential elections.

"You have two drugs," he told me. "One, Ahmed Shafiq kills you, and the other, Morsy, gives you a bad stomach ache. They're both bad, but Morsy's drug is light. It doesn't kill you. So we'll give Morsy four years. If he doesn't work out, we'll come back to Tahrir and bring him down."

Abdel Hadi's words, spoken in June 2012, were prophetic.

Analysis: What is Muslim Brotherhood?

The night before the massive anti-Morsy demonstrations on June 30, in a packed Tahrir Square, I found people already convinced their president of just one year was soon to be history.

"He's out, he's over, he's finished," one man shouted to me.

"We've gone downhill all the way in that year, economically, security wise," said Abdal Rahman, a businessman. "It's over. They've split Egypt in two, Islamists and non-Islamists. We're all Muslims and we're all believers. Our conflict was a political conflict. They're switched it to a religious conflict."

Many Egyptians were deeply offended that Morsy and the Muslim Brotherhood put their identity as Muslims before their identity as Egyptians. This is a country profoundly proud of its rich heritage, and quick to take offense at those who seem to disregard its place in history.

Last November, many were appalled when a Muslim radical, Morgan Al-Gohary, appeared on talk show on a private TV channel and declared if he and his ilk ever came to power they would destroy some of Egypt's most revered monuments. During the program, he claimed he took part in the demolition of Afghanistan's Bamiyan Buddha statues in March 2001.

The show's host, Wael Al-Abrashi asked, "So you would destroy the sphinx and the pyramids?"

Al-Gohary: "Yes, we will destroy them, if they were worshiped before or afterwards."

One guest, clearly repulsed, told Al-Gohary, "You don't know the history of your country well. The pharaohs were the first to know religion in the world." The Sphinx and the pyramids, he continued, "are mankind's heritage and not the property of the Egyptians alone, they are the property of all mankind."

Although neither Morsy, nor the Brotherhood, ever advocated such a course of action, many questioned their intentions and accused the Brotherhood of harboring barely concealed intent to turn Egypt into a Taliban-style Islamic state.

That was an intangible complaint. Others were more blatant. The economy withered under Morsy, as Egyptians suffered through frequent and prolonged power cuts and fumed in long lines outside petrol stations. Morsy's promises of prosperity and security never materialized. So the people mobilized.

The country's powerful army, responding to the millions in the street, forced Morsy from power on the evening of July 3.

But in the brave, new Egypt, no one gives up without a fight. The celebrations in Tahrir were mirrored by angry demonstrations outside Cairo Univeristy and in Nasr City.

"No one is going to take our vote," a woman shouted to me in front of the university.

"These are legitimate elections," exclaimed her husband. "All the people have approved his legitimacy. He is our legitimate president. How can he [Defense Minister Abdel Fatah Al-Sisi] take this from us?"

Morsy's sudden transformation, from president of the Arab Republic of Egypt, to prisoner, reminded me of something newspaper editor Hani Shukrallah had told me just one year before, on the eve of Morsy's victory.

Egyptians, he said, now "have a sense of their own rights. They have a sense of their personal dignity. They perceive themselves as citizens and this is something that is new for an old guy like me. They look at the state as their servant and not their master."

Morsy, their servant, did a bad job so they fired him.

The real revolution in Egypt is not in the streets. It's in the mind.

@highlight

Wedeman: President Mubarak's removal marked start of revolution yet to run its course

@highlight

Uprising unleashed energy and a passion that shows no sign of diminishing

@highlight

For many President Morsy failed to deliver on promises so he had to go

@highlight

Journalist: Egyptians now look at the state as their servant and not their master