Texas Gov. Rick Perry and others are lashing out at President Barack Obama's decision not to tour border facilities overwhelmed by a flood of undocumented children, saying the U.S. leader needs to see with his own eyes what both sides agree is a humanitarian crisis.

"The American people expect to see their President when there is a disaster," Perry told CNN's Kate Bolduan in an interview that aired Thursday, citing Obama's trip to the East Coast to tour damage caused by Superstorm Sandy in 2012. "He showed up at Sandy. Why not Texas?"

Both Republicans and the White House have described the crush of Central American children as a humanitarian crisis, but Obama said Wednesday that visiting facilities where the children are processed and detained would be little more than a photo opportunity.

"There's nothing that is taking place down there that I am not intimately aware of and briefed on. This isn't theater. This is a problem," Obama said Wednesday.

The controversy has been compared to President George W. Bush's initial decision not to tour the storm-ravaged Gulf Coast after 2005's Hurricane Katrina.

Bush opted instead to fly over the coast in Air Force One, resulting in a famous picture of the President peering down at the devastation from his jet. It left many feeling that Bush was detached and uncaring. Bush later acknowledged that failing to land and at least express solidarity with victims was a mistake.

Perry alluded to that Wednesday in an interview on the Fox News program "Hannity."

"I'm pretty sure that if George Bush had said, 'well I sent my FEMA director multiple times,' he still would have been criticized greatly," he told "Hannity," according to a report on the network's website.

"Because you need to go. That's what governors do, that's what presidents do," Perry said. "When there are natural disasters, when there are crises like these, a president needs to be there to show the American people, No. 1, that he understands."

'Go down there and see what we're facing'

Even some Democrats were critical of the decision. U.S. Rep. Henry Cuellar, D-Texas, said on CNN's "New Day" that it's important for Obama to see what the children are going through.

"I'm interested in him looking at the kids. The kids that I've talked to, little innocent little boys and girls that have come across and have traveled over 1,000 miles, that one-third of the girls have been abused and raped on the way up here," he said. "The last young kid was an 11-year-old little boy from Guatemala that died of dehydration. That is the face that I want him to see. Don't take any cameras, Mr. President, but go down there and see what we're facing."

Obama has called on Congress to quickly approve his request for $3.7 billion in emergency funding to deal with the crisis, which has seen thousands of undocumented children crossing the border without their parents.

Many have surrendered themselves to U.S. Customs and Border Protection officers on the belief they will be allowed to stay in the country, and officials have struggled to house the children amid a staggering backlog of immigration cases.

Obama said Wednesday that "the problem here is not a major disagreement around the actions that could be helpful in dealing with the problem."

The challenge he said, is whether Congress is prepared to "put the resources in place to get this done."

"Are folks more interested in politics, or are they more interested in solving the problem?" he said.

Is the immigration crisis Rick Perry's second act?

Process overwhelmed

The surge of undocumented youths from Central America has overwhelmed federal facilities and revived the debate over an immigration policy overhaul, one of the most partisan issues in the already overheated political climate of an election year.

U.S. authorities estimate that 60,000 to 80,000 undocumented children will cross the border without their parents this year. While many have been released to family pending deportation hearings, others have been detained by authorities amid a growing backlog of pending cases.

Obama administration officials blame the influx on dire conditions in countries such as Guatemala, Honduras and El Salvador.

Critics, however, say the administration invited the problem by halting deportations of some young immigrants who arrived illegally in past years.

"The children are a symptom of policies that have enticed them to come," Perry said. "The first thing you have to do is stop the flow, because if we don't, then the problem's not going to be the size we have today."

Republicans have called for the repeal of a 2008 law signed by President George W. Bush that requires deportation hearings before sending back children from countries that do not border the United States.

"I don't think we can solve the problem unless we revisit" the law, Texas Republican Sen. John Cornyn said.

"What's happened is these children are placed with family members in the United States and given a notice to appear for a later court hearing. Some have called this a notice to disappear, not a notice to appear," as most don't show up, he said.

Another Republican, Sen. Ron Johnson of Wisconsin, said the United States should immediately fly the children back to their home countries. It would cost less and signal U.S. intolerance for those who enter the country illegally, he said.

Funding request

Obama's emergency funding request seeks $1.6 billion to bolster customs and border efforts as well as crack down on smugglers.

Another $300 million would go to help Mexico and Central American governments counter claims by smugglers to desperate parents that U.S. officials won't send their children back.

"While we intend to do the right thing by these children, their parents need to know that this is an incredibly dangerous situation and it is unlikely that their children will be able to stay," Obama said.

The request also includes $1.8 billion to provide care for unaccompanied children crossing the border.

The request is about 10% of the $30 billion in proposed border security funding included in the immigration reform bill passed by the Senate but stalled in the Republican-controlled House.

Perry said lawmakers aren't going to back Obama's funding request if the government doesn't act to stop policies they see as encouraging children to show up at the border.

He told Obama in a meeting that he wants 1,000 National Guard troops deployed to help secure the border, an option Obama seemed less than enthusiastic about.

"What I told him was we're happy to consider how we could deploy National Guard down there, but that's a temporary solution," Obama said of his discussion with Perry. "That's not a permanent solution. And so why wouldn't we go ahead and pass the permanent solution, or at least a longer-term solution?"

It was unclear how much cooperation Obama will get from congressional Republicans on his funding request. A spokesman for House Speaker John Boehner said the request would be considered.

Cornyn and Cuellar plan to introduce legislation Thursday to repeal the 2008 deportation hearing law. The bill, Cuellar said, will include protections for children who come to the United States because of concerns about drug or sex trafficking.

Democrats want to keep the law intact to ensure that children who deserve asylum receive a full hearing.

5 things you need to know about the immigration crisis

What Obama can and can't do on immigration

One night in Denver: The President and governor walk into a bar

@highlight

Obama's decision not to tour border facilities is compared to Bush's Katrina response

@highlight

Americans "expect to see their President when there is a disaster," Texas governor says

@highlight

But Obama says such a trip would have been little more than a photo op

@highlight

The President wants $3.7 billion in emergency funds to deal with the crisis