(CNN) -- The growth of e-commerce in China has outpaced that of western countries during the past five years. This is largely due to the rapid growth of Internet users, improved online payments, increasing coverage and improving services.

Such a trend will continue in the next five years with sales volume predicted to remain at 27% cost of goods sold. Among all the e-commerce business models, business-to-consumer e-commerce is outgrowing others due to its credibility, scale, and services variety and scope.

By 2017, business-to-consumer e-commerce in China is predicted to double its share and reach 46% of the total online sale, according to the China Internet Network Information Center. Yihaodian's fast growth illustrates this trend.

In the five years since its launch in July 2008, Yihaodian has increased its selection from 3,000 stock-keeping units to over 2 million, fulfillment centers from one in Shanghai to 17 in seven cities, revenue from 4 million yuan to over 6 billion yuan, and employees from 40 people to over 9,000.

Yihaodian, which started as an online supermarket by offering mostly fast-moving consumer products, now boasts categories ranging from consumer electronics, apparel, books to mom and baby products.

China, in its current state, lends itself perfectly to e-commerce. The rising incomes of its massive population pave the foundation for a growing user base and this population's density and residential infrastructure allow for efficient logistics. And that's only the beginning.

China's Internet user penetration is barely 43% compared to the United States, which is near 80%, and its online shopping penetration is less than 40% of its Internet user base, about half of the U.S. If these statistics reach the U.S. levels, e-commerce in China will triple its scale.

1. Characteristics of Chinese e-commerce

China's e-commerce industry has many unique characteristics, some a result of its nascent state and some a result of China's intrinsic cultural behaviors. Yihaodian exemplifies several of these characteristics.

Cash on delivery (COD) is still a popular means of payment due to lack of trust in both online payment systems and the e-commerce providers themselves.

However, when people start to gain trust through trial purchases, they shift towards online payment. When we launched Yihaodian in 2008, we had more than 70% of orders paying COD, but now it is less than 20%.

Last mile delivery is mostly done on mopeds and motorcycles due to dense city traffic and the high cost of delivery by trucks. The logistics industry is very fragmented in China, with the likes of UPS and Fedex in China still unable to provide nationwide coverage and quality service.

Many large e-commerce companies have chosen to build their own last mile delivery capabilities to ensure a better customer experience and to facilitate faster growth. In 2011, Yihaodian started our own last mile delivery alongside 30 third party logistics partnerships, allowing us to cover the entire nation. Such a decision was based on the fact that more than 60% of our customers' complaints were centered around delivery services.

Very soon, our own last mile delivery services started to bear fruit with a significantly improved customer experience and a 10% improvement in our CSAT (customer satisfaction) score.

As our order density increases over time, our delivery cost also declines. In 2012, we launched the Service by Yihaodian (SBY) model to provide our merchants with logistics, marketing, platform, and data services. Through SBY, our last mile delivery fleet not only serves our own customers, but also merchants who sell through their own website or through other marketplace platforms. This has further helped us reduce our last mile delivery costs.

Chinese shoppers' behavior is quite different from western countries. For example, online shoppers in the U.S. are used to opening one window at a time and flipping back and forth via navigation buttons, but Chinese online shoppers prefer that each click opens a new window allowing them to navigate a site by jumping between several windows.

The user interface of e-commerce websites in the U.S. are usually very simple and clean with plenty of images, but Chinese shoppers favor crowded websites with information and links all packed into one page providing the impression of a high-energy shopping atmosphere. Yihaodian's first homepage was simple and clean mimicking that of such model websites in the western countries, but after receiving our users' feedback, we quickly made changes.

In general, Chinese consumers are very price sensitive and right now, Chinese e-commerce is primarily a promotion driven business. Shoppers do not yet value the concept of "time is money." Whereas, in the western countries, shoppers are willing to pay considerable fees for expedited delivery, this behavior in China is rare.

2. Challenges faced by multi-national companies

Not many successes for multi-national Internet companies (not only e-commerce companies) can be found in China. Failed or struggling examples include eBay, Google, Yahoo and Groupon.

Reasons include: a) Insufficient understanding of Chinese consumers' shopping behavior, simply copying global business models to fit China's market; b) Management is not localized, not adapting for local competition; c) Higher operational cost than local companies due to compliance and operational overhead; d) Improper organizational structure, resulting in low decision efficiency. E-commerce is a fiercely competitive field, needing much faster and dynamic decisions and local management teams need to be more empowered to respond to the dynamics of the local market.

Yihaodian received an investment by Walmart in 2011, establishing our strategic partnership. We share resources in sourcing, logistics, e-commerce technology, and private label products. This partnership has helped Yihaodian to provide Chinese consumers with more choices, better service and even better prices. It is more beneficial for multi-national companies and brands to conduct e-commerce in China through strategic partnerships or through an e-commerce solution provider to ensure a higher success rate.

3. Trends in e-commerce in China

China's e-commerce industry is experiencing a transition from online shopping as more of a niche market towards online shopping becoming a lifestyle. It is evolving from tasting new, special, and hard-to-find products to buying daily consumption needs such as food, drinks, toothpastes and shampoos.

Mobile commerce is growing at an even faster rate. Consumers using mobile apps exhibit different buying behavior from those using personal computers. For example, Yihaodian's traffic on personal computers and on mobile apps peak at different hours of the day and different days of the week.

Our mobile traffic peaks in the evenings and weekends while personal computer traffic peaks in the early afternoons and during weekdays. Orders on apps are usually smaller, but with a higher frequency and people using both devices are more loyal and sticky.

E-commerce in China is also rapidly penetrating third and fourth tier cities, predominantly due to growing Internet penetration, a local shortage of shopping malls and supermarkets, and an overall lack of available products.

Social commerce is also starting to blossom in China. People trust their friends, opinion leaders and fellow consumers. The advancement of Weibo and social networking sites has accelerated this. Yihaodian started social commerce five years ago by embedding our website into a well-know social networking site Tianya. Yihaodian's official Sina Weibo site has attracted over 2 million fans and some of this site's marketing events have resulted in over one million message forwards.

There is also a trend of integration in the Internet world in China. In the past, we have independent portals: search sites, navigation sites, game sites, social networks, and e-commerce, but many are being integrated to provide customers with one-stop service.

On November 11, 2012, China's e-commerce industry single handedly created a nationwide promotions holiday which we referred to as "Single's Day." Online sales reached 30% of total national retail, a number that will no doubt become the norm in the near future.

We are fortunate to witness this change and proud to be a part of making this happen.

@highlight

By 2017, business-to-consumer e-commerce in China is predicted to double its share

@highlight

Yihaodian, an online grocery business, has boomed since 2008 launch

@highlight

Facets of Chinese e-commerce differs from U.S. websites, writes Yu Gang