(CNN) -- The strong performance of Islamist parties in the Egyptian elections this week raised eyebrows in some Western capitals.

On the one hand, analysts say, the West is inclined to support popular Arab Spring movements that have toppled dictators and brought nascent democracy to the region. On the other hand, they worry about the ascension of radical Islamist movements in a region of critical interest to the United States and its allies.

Secretary of State Hillary Clinton reflected that tension this week when she urged Islamist parties in Egypt to "embrace democratic norms and rules" by creating a government that respects the full range of human rights.

"Transitions require fair and inclusive elections, but they also demand that those who are elected embrace democratic norms and rules," Clinton said Tuesday in a speech to the Organization for Security and Cooperation in Europe, meeting in Lithuania.

The Muslim Brotherhood, an Islamist party widely seen as being relatively moderate, won more than 40% of the vote, according to initial election results. The more hardline al-Nour party took as much as 25%.

Run-off votes were held at the start of this week and more ballots are to come, as Egypt's complicated election process continues.

"We ... expect all democratic actors and elected officials to uphold universal human rights, including women's rights, to allow free religious practice, to promote tolerance and good relations among communities of different faiths, and to support peaceful relations with their neighbors," Clinton said.

Analysts say the strong showing of Islamist parties in the first parliamentary elections since the ouster of former President Hosni Mubarak, a long-time U.S. ally, could inflame regional tensions and complicate key relationships.

"I don't think any Western government is happy about the result of the elections," said Marina Ottaway, a Middle East analyst at the Carnegie Endowment for Peace.

While the Muslim Brotherhood has pledged to respect minority rights and work with liberal parties, much of the concern has focused on the success of al-Nour, a Salafist party that supports broader application of strict Islamic law in Egypt.

How the United States deals with the often unpredictable results of democracy will be key.

"The old formula is not going to work and if we want to be in a position to influence, it will depend on our credibility and the strength of our support for the processes of change," said Steven Heydemann, senior adviser for Middle East Initiatives for the United States Institute of Peace, an independent conflict management think tank created and funded by the U.S. Congress.

In May, President Barack Obama suggested a new formula, saying that the Arab Spring movements were an opportunity "to show that America values the dignity of the street vendor in Tunisia more than the raw power of the dictator."

He followed up last month, when protests flared again in Cairo's Tahrir Square over concerns that the Egyptian military was trying to cling to power.

At the time, he called for the move to a civilian government "that responds to the legitimate aspirations of the Egyptian people, as soon as possible."

But the ability of the United States to influence that change came into focus again Tuesday, when the ruling Supreme Council of the Armed Forces granted most presidential powers to Prime Minister Kamal Ganzouri.

He took office Wednesday and swore in his Cabinet, which will serve until presidential elections are held next June.

Despite Obama's statements of support for a civilian government, Rami Shaath -- a member of the Egyptian Revolutionary Alliance -- reiterated previous statements contending that Ganzouri is a figurehead for the Supreme Council installed to "serve the need of the U.S. in the region over its people's demands."

"He was chosen by the Supreme Council with no political base from Tahrir," Shaath said. "When we demanded a national salvation government, we wanted a representative from the revolutionaries, not a puppet that serves the goals of the military who do not have the right to choose him anyway."

Criticisms such as Shaath's show how little influence the United States has over what's happening in Egypt, and how little it has to gain even if it supports democratic movements there, Ottaway said.

"The most they can do is put some pressure on the liberal parties to make sure they really keep on talking to the Muslim Brotherhood," she said.

Should the United States pull back from its support for democratization in the region, it will lose all credibility among the Egyptian people, Ottaway said.

But even if the United States and other countries do continue to support democratic movements in the Middle East, public opinion in the region has barely shifted, Heydemann said.

"The Arab Spring dividend has proven elusive for the Obama administration," he said.

The best course, analysts say, is for the United States to continue to support democratic movements while setting out expectations, much like Clinton did Tuesday in Lithuania.

If they do, the problem may sort itself out, CNN's Fareed Zakaria said in an opinion piece on CNN.com.

"For decades, political Islam was the language through which people resisted dictatorial regimes. That gave these parties a special status, a kind of halo effect, which has helped them once the dictators fell," he said.

But the only way these parties can retain their popularity once in power is to govern effectively, he said.

"And to be competent at governing and to stay in power, these groups have to moderate themselves," he wrote. "The history of countries from Indonesia to Pakistan suggests that over time, the more radical political elements lose their popular appeal because their mystical attraction was tied up in their opposition to the dictatorships. Once the dictatorships go, their appeal dwindles."

But it won't be a quick process, Heydemann said. The region is in for years of tumult during which the new Arab Spring democracies sort out the differences between conservative and liberal visions of Islamic democracies. And in many respects, the West will be left on the sidelines, watching and waiting, he said.

"Across a broad spectrum of issues, we face a long period of uncertainty," he said. "We're kind of stuck in a way."

@highlight

Egypt's complicated electoral process continues, with more votes to come

@highlight

Egyptian Islamists should embrace "democratic norms," Secretary Clinton says

@highlight

Western leaders aren't happy about Islamist success, analyst says

@highlight

But the U.S. and other countries should stand behind democratization, analysts say