Geneva, Switzerland (CNN) -- Amid increasing optimism that a deal could be within reach, U.S. Secretary of State John Kerry is heading to Geneva to help in negotiations over Iran's nuclear program.

Kerry will fly to Geneva on Friday "in an effort to help narrow differences in negotiations" with Iran, two senior State Department officials said. European Union High Representative Catherine Ashton invited Kerry to the talks, the officials said.

News of Kerry's travel plans came hours after Iran's foreign minister said that officials could reach an agreement by Friday evening.

"I believe it is possible to reach an understanding or an agreement before we close these negotiations (Friday) evening," Iran's foreign minister and chief nuclear negotiator, Javad Zarif, told CNN's Christiane Amanpour.

Though he would not detail what such an agreement could include, he told the state-run Iranian News Agency, "We expect to make a breakthrough."

U.S. President Barack Obama also said Thursday night that a deal could be reached.

There is the "possibility of a phased agreement" with Iran on nuclear issues, Obama told NBC. The first step, if agreed upon, would require Iran to halt advances in its nuclear program in return for "very modest relief" from economic sanctions, he said.

But the United States would still keep "core sanctions" in place, Obama said.

"So that if it turned out during the course of the six months when we're trying to resolve some of these bigger issues that they're backing out of the deal, they're not following through on it, or they're not willing to go forward and finish the job of giving us assurances that they're not developing a nuclear weapon," Obama told NBC, "we can crank that dial back up."

The comments came after a day of meetings in Geneva between Iranian negotiators and technical teams from the United States, France, Britain, Russia, China and non-nuclear-armed Germany -- a group referred to as the P5+1 or EU3+3.

Uranium enrichment is the key issue on the table during the talks with Iran over the future of its controversial nuclear program.

"We are at a very sensitive stage of negotiations, and it is best if these negotiations are done at the negotiating table rather than on live television," Zarif said. "But I can tell you that we are prepared to address some of the most immediate concerns that have been raised, and we expect reciprocally our concerns to be met by the P5+1."

Iranian negotiator: Various issues on the table

The framework has been agreed to, he said. "I hope by tomorrow morning we can start serious work in order to prepare some sort of a joint statement."

It would address an end game "that we all try to reach within a limited period of time, hopefully in less than a year" and a series of actions that both sides would take reciprocally "in order to build confidence and address the most immediate concerns," he said.

Many of those concerns center on Iran's nuclear ambitions, which some countries worry seek a nuclear weapon, an assertion that Tehran has denied.

Zarif said the nuclear program would continue -- in some form. "There won't be a suspension of our enrichment program in its entirety," he said. "But we can deal with various issues, various issues are on the table."

The concerns of each side have been dealt with, he said.

Zarif said Hassan Rouhani's assumption of the presidency in August has opened a window of opportunity that needs to be seized.

He acknowledged that international sanctions have resulted in economic hardship for Iranians, but said they represent a failed policy.

"Instead of 160 centrifuges that were spinning 10 years ago or eight years ago, today we have 19,000 centrifuges," he said. "So that is what sanctions and pressures and intimidation has brought these people who are continuing to advocate that type of behavior."

U.S. officials outline possible deal

Two senior U.S. administration officials said a deal on Iran's nuclear program is in the works. One of the officials said the deal is designed to "stop Iran's progress by stopping the shortening of time by which they could build a nuclear weapon" while also providing temporary, reversible sanctions relief to Iran.

That official cautioned the deal is not done, but said it could happen if the Iranians agree to the P5+1's demands.

They said that, under the potential deal, Iran would agree:

-- to stop enriching nuclear fuel to 20% purity;

-- to render unusable most of its existing stockpile of such fuel;

-- to agree not to use advanced IR-2 centrifuges, which can enrich nuclear fuel five times faster than older centrifuges;

-- not to activate a plutonium reactor at Arak.

In turn, the P5+1 would agree:

-- to unfreeze some Iranian assets held in banks overseas;

-- possibly to consider easing sanctions banning trade in gold, precious metals and petrochemicals.

Other sweeteners were also under consideration, they said.

The officials added that the measures could be reimposed if Iran did not comply with its end of any bargain.

'Getting to the root of the problem'

The details were hashed out during a bilateral U.S.-Iran meeting -- part of an apparent effort on each side to mend fences -- which lasted about an hour on the sidelines of broader talks under way in Geneva.

The U.S. delegation was led by Under Secretary of State Wendy Sherman. The Iranian delegation was led by Deputy Foreign Minister Abbas Araqchi.

Iran talks: Do we want a deal or a war?

"The main issue is getting to the root of the problem, which is the enrichment issue and all things that lead from that," Michael Mann, spokesman for Ashton, said on the sidelines of negotiations.

Iran's supreme leader 'not optimistic' about nuclear talks

Moments later, the Iranian state-run Fars News Agency tweeted a quote from Araqchi: "Enrichment is our red line and its suspension is unacceptable."

When CNN asked Araqchi about the issue of uranium enrichment, he declined to answer.

"The talks are extremely complex and are now going into a serious phase," Mann said. "We want to focus on substance and hope there will be concrete progress over the next couple of days."

U.N. nuclear watchdog: Program could have 'military dimensions'

U.S. official: We think Iran wants a nuclear deal -- and fast

The United States and its partners have accused Iran of diverting resources from its civilian nuclear program to try to develop a nuclear bomb. Iran has repeatedly denied those assertions and says it has no desire to build nuclear weapons.

Resolutions and sanctions passed by the United Nations in 2006 called on Iran to halt all enrichment activities and clarify that its nuclear facilities were being used for peaceful purposes only.

In its August report, the U.N. nuclear watchdog, the International Atomic Energy Agency, estimates that since declaring its nuclear program, Iran has processed 10 metric tons of uranium to 5% purity, the level used for nuclear power plants.

The IAEA estimates that Iran has a stockpile of 185 kilograms of uranium at 20% purity.

Weapons experts warn that this uranium could be further refined for use in a nuclear warhead.

Although experts suggest that amount would not be enough for a single warhead, the IAEA has warned that it believes Iran's nuclear program could have "possible military dimensions."

CNN's Karl Penhaul reported from Geneva. CNN's Elise Labott reported from Washington.

@highlight

Obama: There is the "possibility of a phased agreement"

@highlight

Two senior State Department officials say Kerry will go to Geneva

@highlight

"It is possible to reach an understanding" before Friday night, Javad Zarif says

@highlight

European Union spokesman: Uranium enrichment is the focus of talks with Iran