(CNN)It really isn't fair that just a million people call New Zealand's South Island home.

Why should so few people get to hog such spectacular landscape? (Compared to, say, similarly sized England's population of 52 million.)

The larger of the country's two main islands is more visually stunning than the North Island.

With its smaller population, it's also more lonely and wild.

To get a handle of the island's most sublime landscapes, we asked Auckland-based award-winning photographer Mike Hollman to share his favorite spots to photograph.

Named New Zealand Travel Photographer of the Year in 2013 by the New Zealand Institute of Professional Photography, Hollman grew up on the South Island and says the landscape has had a tremendous impact on his work.

"The light is always changing and offering different views," says Hollman.  

"My favorite time to shoot is in autumn, especially April (New Zealand's fall is from March to May) when the trees turn golden and the light on the landscape is magical."

1. Milford Sound

With an annual rainfall of 6.8 meters, Milford Sound is one of the wettest places in New Zealand.

All that rain makes for spectacular waterfalls, with hundreds cascading into the fjord on a wet day.

Located within Fiordland National Park, Milford Sound is a 295-kilometer road trip from Queenstown, through vast landscapes of mountains and rainforest.

Numerous scenic flight options are available from Queenstown.

2. Glenorchy-Queenstown Road

The 45-kilometer road between Glenorchy and Queenstown may be the most scenic in New Zealand.

Magnificent views greet every turn as the road winds its way along the edge of Lake Wakatipu.

"The light is constantly changing and there are always opportunities for great photographs," says Hollman.

He recommends the view from Bennets Bluff Lookout, 25 kilometers from Queenstown.

3. Matai Falls, The Catlins

Located on the southeast corner of the South Island, The Catlins is home to beautiful waterfalls such as Matai Falls.

There's a lot to explore in the area.

Landscapes range from rolling farmland to sweeping coasts to temperate rainforests.

It's a 30-minute forest walk to reach Matai Falls, with parking available at the Matai Falls car park on the Southern Scenic Route, 18 kilometers south of Owaka.

4. St. Clair Beach, Dunedin

St. Clair Beach is one of the beautiful sandy beaches that sweep along the eastern suburbs of Dunedin.

Located 15 minutes from central Dunedin, it's a popular surfing spot and home to cafes, bars and an outdoor heated saltwater swimming pool.

"The old wooden poles at the end of the beach have always been one of my favorite places to photograph," says Hollman.

5. Moeraki Boulders

These large, strange-looking spherical concretions eroded from the shoreline are some of nature's oddest sights.

Some of the largest boulders measure more than two meters in diameter.

Maori legend claims the boulders are remains of food washed ashore from the wreck of a large sailing canoe.

"Best viewed at low tide, these beautiful boulders always make for interesting photographs," says Hollman.

The boulders are located on Koekohe Beach on State Highway One, 75 kilometers north of Dunedin or 40 kilometers south of Oamaru.

6. Church of the Good Shepherd, Tekapo

Located in Mackenzie Country in central South Island, Tekapo is renowned for its stunning clear skies and was declared an International Dark Sky Reserve in 2012.

"This is a great location for astro-photography, which attracts tourists from the world over," says Hollman.

"The Church makes for a nice subject, with the Milky Way and a shooting star in the background."

Tekapo is located on State Highway 8, midway between Christchurch and Queenstown.

7. Lupins on Lake Tekapo

Each summer the lupins around Lake Tekapoturn turn startling colors, attracting visitors and photographers in droves.

Found along the shores of Lake Tekapo and surrounding countryside, the flowers are usually at their best during the first two weeks of December.

Lake Tekapo is on State Highway 8 between Christchurch and Queenstown.

8. Aoraki/Mount Cook

New Zealand's highest mountain (3,754 meters) is known as Aoraki by Maori; it received its European name, Mount Cook, in 1851.

Located in Aoraki/Mount Cook National Park, it features a number of walks and activities for all levels of fitness.

"The mountain is spectacular to photograph and is always different each visit," says Hollman.

Accommodations at Aoraki/Mount Cook village range from backpacker-friendly to luxury.

The village is 334 kilometers from Christchurch, and 258 kilometers from Queenstown.

9. Icebergs on Tasman Lake

Located in Aoraki/Mount Cook National Park, Tasman Glacier on Tasman Lake is New Zealand's longest glacier at 27 kilometers.

The towering sights can be viewed from the shoreline or you can book a boat trip with Glacier Explorers from September to May for closer views.

10. Lake Matheson

At the heart of Glacier Country and Westland National Park, Lake Matheson is an achingly pretty sight.

Formed by glaciation 14,000 years ago, it's surrounded by an ancient native forest.

The lake mirrors two of New Zealand's highest peaks -- Mount Cook and Mount Tasman.

11. Franz Josef Glacier

A main attraction on the South Island's west coast, this 12-kilometer-long glacier descends from high peaks through temperate rainforest to just about 300 meters above sea level.

Activities can be booked from the township of Franz Josef, located five kilometers away.

12. Southern Alps

Running 450 kilometers from north to south, the Southern Alps form a natural range along the entire length of New Zealand's South Island.

At 3,724 meters, Aoraki/Mount Cook is the highest point.

"A scenic flight is a fantastic way to see these mountains closeup," says Hollman.

"There are many options and they operate out of all of the local tourist areas. For the best light, try for an early morning or evening flight."

13. Waimakariri River

The Waimakariri River flows from the Southern Alps across the Canterbury Plains to the Pacific Ocean.

One of the loveliest areas of the river is near Arthur's Pass.

"The braided river banks and mountain light make for some great landscape photography," says Hollman.

He recommends views of the river from State Highway 73, between Arthur's Pass and Christchurch.

Mike Hollman is an award winning photographer based in Auckland, New Zealand. A Fellow and Master of Photography with The New Zealand Institute of Professional Photography, he was named New Zealand Travel Photographer of the Year in 2013.

His work has been featured in National Geographic's travel photo competitions, published in books and magazines and can be viewed at http://www.mikehollman.com and www.facebook.com/mikehollman.photograph.

@highlight

New Zealand's South Island has fewer people and more scenic views than North Island

@highlight

NZ travel photographer Mike Hollman lists his favorite places to photograph

@highlight

List includes best road trip, glaciers, icebergs and alien boulders