(CNN) -- It's an entirely preventable disease, and when diagnosed early, it's easily treatable. Yet Malaria still claims hundreds of thousands of lives each year.

All it takes is a single mosquito bite and you can become infected. In 2012, the tropical disease caused 627,000 deaths internationally, 90% of them in sub-Saharan Africa. Ashley Uys, a South African biotechnologist-turned-enterpreneur, is hoping to bring that number down to zero.

Through his company Medical Diagnostic, Uys has developed a self-testing kit that can diagnose the disease in less than 30 minutes, and put sufferers on the path to recovery faster.

"I decided to look at what is the most needing product in Africa at the moment. And malaria, malaria is big," says Uys.

"I then decided to look at a malaria test that can actually show you the strain of malaria you have -- the type of malaria -- so (doctors) know which treatment to give you, and then also to see if the treatment is working or not. So I developed a test that can do all of that."

Merging science and business

The best think about Uys' test is the price: they cost roughly 30 cents each, a fact Uys takes immense pride in.

"The fact that (they are affordable) of course makes it more accessible to the public. For me. it is very satisfying to know that a farm worker in a rural area doesn't have to worry about going to a doctor. Our product can be used at the point of care," he says.

"You don't need skilled labor to use it: prick (your finger), run the test and wait for results. There's a lot of diamonds in the rough (is Africa), a lot of potential, and diseases and epidemics are killing off this potential. So it has a knock-on effect that is important."

Given Uys is only 30-years old, he's achieved an incredible amount. Like many young entrepreneurs, he has drawn inspiration from his childhood and surroundings. Using this experience, Uys creates local solutions for everyday problems. For the Cape Town native, malaria prevention is just the beginning.

Saying 'No' to drugs

Uys has turned his attention to another scourge affecting his community: Drug use.

"On the Cape Flats, there was a big problem of drugs abuse," he recalls.

"People abusing methamphetamine, et cetera. Fortunately for me, although I grew up on the Cape Flats where it's very prevalent, I used sport to keep me away from bad habits and getting involved with the wrong crowd."

Now, as the founder of his own biotech company, Uys created a test capable of detecting a range of drugs, including amphetamines, benzyls, cocaine, methamphetamine, heroine and morphine. The idea first came to him when, following a survey of users, he identified the correlation between drug use and eye movement. Following this revelation, Uys had a light-bulb movement that would take his product development to the next level.

"We get five to 10 megapixel cameras on mobile phones. I thought to myself: 'imagine developing an app for your phone where you can actually test your kids for drugs by using the flash as a light stimulus. The camera can capture the movement and calculate the speed of your eyes and action, or (tell) if they're dilated or constricted."

Uys is still working on the prototypes for his Oculus ID pupil scanner, but he hopes the product will be ready to go into the market in coming weeks.

"I'm looking at innovation as the challenge for me. If you look at the first world countries it's satisfying for me to see that we are innovating on that level or even better.

"And me coming from Belhar, I didn't go to Harvard, didn't have a rich dad who could buy me what I wanted -- I had to work for everything. I had to work and study. I used to pack fish when I was a student. And that motivated me to work harder," he says.

WATCH: Nigerian professor makes history

@highlight

Malaria is a tropical disease frequently transmitted by mosquitoes

@highlight

When caught early, it is entirely preventable and yet, it still claims over 600,000 lives a year

@highlight

90% of all malaria deaths are in sub-Saharan Africa

@highlight

South African biotechnologist has developed a test kit to diagnose sufferers earlier