Port-au-Prince, Haiti (CNN) -- Limited runway space and battered telecommunications networks are hindering efforts to get food, water and medical aid into the hands of desperate Haitians amid the devastation of last week's earthquake, relief agencies said Monday.

Doctors Without Borders reported that flights carrying critical medical equipment were being diverted to the neighboring Dominican Republic. Oxfam warned that fuel shortages could be on the horizon. And a volunteer at a hospital in northern Haiti said he has large numbers of open beds, but no way to get patients there from Port-au-Prince.

"My surgeons are sitting around looking at each other, wondering why they came," Tim Traynor told CNN.

While visiting the injured at a U.N. clinic in Port-au-Prince, Haitian President Rene Preval said his ravaged population -- already the Western Hemisphere's poorest -- needs medicine, food and long-term reconstruction assistance.

"The more we receive help, the more we can take care of them," he said.

Louis Belanger, a spokesman for Oxfam in Port-au-Prince, said many roads have been cleared of debris since the magnitude 7.0 earthquake struck Haiti on Tuesday. That has allowed trucks to deliver aid to parts of the capital and its suburbs that had been cut off by collapsed buildings.

But with thousands of tons of aid heading into Haiti, the airport in Port-au-Prince "can't handle all the aid that's coming through," Belanger said.

The U.S. military has been helping Haitian authorities direct air traffic around Port-au-Prince, said Capt. John Kirby, a spokesman for the U.S. Joint Task Force Haiti. But he said "literally hundreds" of flights are trying to land at Port-au-Prince, which has "one tarmac, one runway, one ramp for all the aircraft."

"It is a sheer volume issue," he said. "There are more planes that want to land here than we can accommodate in any given hour."

Bypassing the airport, the U.S. Air Force began dropping supplies by parachute into Haiti on Monday. A C-17 transport flying from North Carolina dropped more than 55,000 pounds of supplies, including 6,900 bottles of water and more than 42,000 packets of combat rations, about five miles northeast of Port-au-Prince.

In addition, Belanger said, the damage to phone lines and wireless networks has made it difficult for aid agencies to communicate with each other and with the United Nations, which is in charge of coordinating relief efforts.

Full coverage of the quake

"What we want to do is coordinate that aid so that we don't just truck in a lorry full of bottled water in a crowded area without any planning beforehand," he said. Haiti's damaged phone network "really posed a huge challenge, and it still does."

In an interview on CNN's "Amanpour" program Monday afternoon, U.N. Secretary-General Ban Ki-moon said effectively orchestrating the flow of millions of dollars of aid into the earthquake-ravaged Caribbean nation is "a great challenge at this time." But he said U.N. officials have requested transport helicopters from the U.S. government and other assistance from the European Union, and is trying to improve port facilities to get more aid ashore.

"I know that there is a frustration amongst Haitian people, but when I met them, from their faces, I have seen that they have great hope and they are great, resilient people," said Ban, who visited Haiti over the weekend. "And I told them ... to be more patient, because (the) whole world (is) standing behind them."

iReport: Quake victims | Looking for loved ones

The next issue relief workers may have to tackle is fuel, needed to run not only vehicles but also generators that are now powering critical equipment, Belanger said.

"The fuel issue cannot become the problem," he said. "It needs to be tackled, and it needs to be tackled soon."

Benoit Leduc, head of operations in Haiti for Doctors Without Borders, said five of the group's supply planes have been diverted to the neighboring Dominican Republic rather than being allowed to land in Port-au-Prince. He told reporters Monday that coordination is "not existing, or not efficient at this stage."

"It's an issue," Leduc said. "I don't really know who is in charge."

iReport: Share your story

Leduc said the diversion of flights to the Dominican Republic has set back plans to erect a portable field hospital by 48 hours -- a critical time when many of injured survivors of the earthquake are now suffering from life-threatening infections.

Meanwhile, in the northern town of Milot, medical volunteer Traynor said the Sacre Coeur Hospital has more than 200 beds and a nearby soccer field where helicopters can land but few patients. He said the U.S. Coast Guard has flown some injured people up from Port-au-Prince, "one or two or three or four people at a time."

"We are within 30 minutes by air. We could take 200 to 300 people. We can do amputations. We have a fully operational trauma center, and no patients," he said.

Impact Your World

Carol Fipp, another volunteer at Sacre Coeur, said eight patients have made it to Milot from Port-au-Prince on their own, taking about seven hours to complete the 75-mile drive. The hospital had fewer than 30 patients Monday afternoon.

"Shout it from the mountaintops: We need helicopters," she said.

CNN's Matt Smith, Eliott C. McLaughlin, Karen Denice and Allison Blakely contributed to this report.

@highlight

Port-au-Prince airport "can't handle all the aid," Oxfam spokesman says

@highlight

Hundreds of planes trying to land at airport, which has one runway, military officer says

@highlight

Oxfam: Phone line damage makes it difficult for aid agencies to communicate

@highlight

Northern Haiti hospital: We have plenty of free beds, but no easy way to get patients here