LONDON, England (CNN)  -- When powerlifting coach Nicola Vaughan-Ellis wanted to create a winning formula for her athletes, she didn't head to the weight room. Instead, she found herself in the classroom.

Coach Nicola Vaughan-Ellis with athletes from Great Britain's powerlifting team.

Head coach of Great Britain's powerlifting squad, Vaughan-Ellis  participated in a course that's designed to boost the leadership and management skills of coaches.

Vaughan-Ellis's responsibilities run the gamut from identifying up-and-coming talent to developing training programs.

She had friends who were corporate performance directors, and realizing the skills they had were applicable to her own line of work, she decided to pursue a professional development course designed for coaches.

"We expect athletes to be the best they can be. Our responsibility as coaches is to be the best we can be," Vaughan-Ellis told CNN.

In pursuit of becoming better managers and leaders, players in the business world have long turned to executive education programs. Elite coaches are taking a cue from business and turning to tailored programs too.

In the run up to the 2012 Olympic Games in London, the desire to develop high caliber coaches is ramping up in the UK, said John Neal of Ashridge Business School, where Vaughan-Ellis took the coaching course.

"A lot of coach development work [in the UK] is ad hoc. It's becoming more clearly defined, but our vision is to establish a more development pathway for coaches," he told CNN.

Vaughan-Ellis trains about 20 powerlifters as part of a program that was established to prepare athletes in Great Britain for major competitive events like the 2012 Olympics and Paralympics.

Nutritionists, psychologists, fitness coaches and sports scientists are all focused on a goal of helping athletes achieve a performance edge, she says. But coaches also need to make sure they make the best decisions for their athletes.

That requires a broad range of skills, from understanding the athlete experience and identifying particular challenges they may encounter as well as having a firm understanding of where funding comes from and making sure it's spent wisely

"We prepare our athletes to be the best in the world. But we also have to make sure that we are making the best choices for them," she said.

Ashridge, which specializes in customized education programs, has been running sport coaching courses since 2001. Its core World Class Sport Coach Development program is endorsed by the British Olympic Association.

The course is made up of 10 one-day master classes that are spread out over a period of about 10 months. In a typical meeting, coaches are given scenarios, break up into groups for discussion and then present their responses to the class.

The program is flexible so coaches can focus on the skills they want to improve. A wide range of topics are covered, from communication, negotiation and team building skills to body language, motivation and development of young players.

Neal estimates that about 160 coaches have completed the coaching program since it was launched. Most participants are UK-based, but coaches come from around the world and represent a long list of sports that includes diving, swimming, rugby, hockey, shooting and cricket.

Coaches have few opportunities to share their knowledge. According to Neal, that's one reason why the course has been popular. One measure of its success: Many coaches, like Vaughan-Ellis, participate more than once.

Due to a lack of funding, however, coaches oftentimes end up paying for the course themselves. Ashridge heavily subsidizes the program and charges £2,000, just about a quarter of what it actually costs to run it.

But in return, the business school gets a unique perspective on decision making that is fed back into its executive education programs, Neal said.

Elite coaches have a lot to offer companies, especially in the current economic downturn, Neal said. More businesses are under pressure to maximize efficiency, and many want to learn from the sport experience, since coaches are required to achieve results quickly.

With 2012 less than three years away, Vaughan-Ellis is planning to return to Ashridge for a refresher.

She says one of the advantages of the program is that it helps coaches deal with pressure by teaching them how to cope with and embrace change. That's an invaluable skill in athletics.

"Sport is change," she said. "You're only as good as your last competition or as strong as your weakest link. You have to move forward and constantly evolve."

@highlight

With 2012 Games approaching, focus on coach development on the rise in UK

@highlight

Elite coaches turn to program run by Ashridge Business School to build skills

@highlight

Course designed to transfer lessons from business world to sport