(CNN) -- A major international environmental group has pulled out of the process to guarantee that diamonds do not come from conflict zones, saying the Kimberley Process had refused "to evolve and address the clear links between diamonds, violence and tyranny." So why are so-called "conflict diamonds" so controversial?

What are conflict diamonds?

Conflict or "blood" diamonds are illegally traded to fund conflict in war-torn areas, particularly in central and western Africa, according to the World Diamond council, which represents the commercial diamond trade.

The United Nations defines conflict diamonds as "...diamonds that originate from areas controlled by forces or factions opposed to legitimate and internationally recognized governments, and are used to fund military action in opposition to those governments, or in contravention of the decisions of the Security Council."

They are generally in "rough" form, meaning they have recently been extracted and not yet cut.

At the height of the civil war in Sierra Leone, it is estimated that conflict diamonds represented approximately four percent of the world's diamond production.

Who suffers?

Apart from the innocent people caught up in the conflicts that the trade fuels, thousands of men, women and children in countries such as Sierra Leone are used as slaves to extract diamonds. They are often forced to use primitive, back-breaking methods such as digging into mud or gravel along river banks with their bare hands. The collected material is then separated using hand-held sieves.

What is the Kimberley Process?

The Kimberley Process started when Southern African diamond-producing states met in Kimberley, South Africa, in May 2000, to discuss ways to stop the trade in conflict diamonds and ensure that diamond purchases were not funding violence.

The result was an agreement by the United Nations, European Union, the governments of 74 countries, the World Diamond Council -- representing the industry -- and a number of interest groups such as Global Witness.

They established the Kimberley Process Certification Scheme (KPCS), whereby members are required to certify that all rough diamond exports are produced through legitimate mining and sales activities and are "conflict-free."

Each shipment carries a certificate that details where the diamonds came from, how they were mined, where they were cut and polished, the parties involved, and their ultimate destination. The idea is that members of the Kimberley Process cannot trade with non-members.

Is it working?

According to Amy Barry of Global Witness, the Kimberley Process has yet to demonstrate itself capable of stopping the trade because of a lack of political will among member states.

"Zimbabwe, for example, is a test case for the KP," she told CNN in 2010, alleging that Robert Mugabe's regime has benefited from the sale of blood diamonds despite it being a member of the Kimberley Process.

She said the huge Marange diamond fields of eastern Zimbabwe are operated by military-run syndicates who beat or kill miners who don't mine for them or pay bribes. The extreme violence perpetrated by the military even included the mass murder of hundreds of miners by helicopter gunships, she added.

But with just one or two member states able to veto any punitive action against abuses or infringements of the KP scheme, no decisive action has been taken against Zimbabwe. "This consensus decision-making means tough decisions don't get made," said Barry. "Certain countries are putting economic and political interests in front of defending the fundamental principles of the scheme."

Is the "conflict trade" limited to diamonds?

No. According to Global Witness, rebel fighters and army units have hijacked the trade in mineral ores, used in the production of mobile phones and computers, from eastern Democratic Republic of Congo (DRC), while subjecting the local population to massacres, rape, extortion, and forced labor.

The "conflict minerals" are then laundered into the global supply chain by export houses, before being transformed into refined metals by large international smelting firms. Global Witness says the operations of some of the world's leading consumer brands are now being scrutinized for evidence of links to this rogue trade.

@highlight

Group pulls out of process to guarantee diamonds do not come from conflict zones

@highlight

Conflict or "blood" diamonds are illegally traded to fund conflict in war-torn areas

@highlight

Thousands in countries such as Sierra Leone are used as slaves to extract diamonds

@highlight

Global Witness: Kimberley Process has not shown itself capable of stopping trade