(CNN) -- After nearly five years as Homeland Security Secretary, former Arizona Gov. Janet Napolitano surprised the nation and many of her friends with last week's announcement that she was being nominated for appointment as the 20th president of the University of California. But no one who knows her (I have, personally and professionally for more than 30 years) is at all surprised at why the UC system wants her, or why she emerged as the nontraditional but consensus choice for the job among a pool of talented and qualified candidates.

Napolitano will leave her Cabinet post as one of the most respected, trusted and personally admired figures of Barack Obama's presidency.

Her new job will be another first in Napolitano's career: She was the first woman valedictorian at the University of Santa Clara; the first woman to be elected governor of Arizona by popular vote; first woman to head the mammoth, sprawling and unwieldy Department of Homeland Security. And now the first woman president of the nation's largest public university system.

Her positions have involved widely different subject portfolios, but there are common threads which reveal and reinforce her strengths. Napolitano knows how to herd cats. As governor and as DHS secretary, she presided over many disparate organizational fiefdoms. Her great success in both jobs was to know how to play to their strengths to achieve common goals. In Arizona a $1 billion deficit became surplus, without a tax increase.

At Homeland Security, she helped transform 22 agencies from across the federal government into what most now view as a single integrated Cabinet Department. In the process, she has overseen the maturation of that department's "one-size-fits-all" security approach to one that matches the strategy to the threat: intelligence-driven and risk-based.

FEMA -- the Federal Emergency Management Agency -- was a late-night talk show joke before she took office. Remember Hurricane Katrina and "heckuva good job, Brownie"? Napolitano worked together with a top-notch professional, FEMA Director Craig Fugate, to lead the federal response to historic natural disasters ranging from Hurricanes Sandy, Isaac and Irene to record flooding in the Midwest and major forest fires in the West. In the process, FEMA turned from a talk-show joke into a top-performing disaster response agency.

Napolitano is not a limelight-seeker. She's a results-obsessed lawyer and public servant who sets priorities. At the Arizona border discussing immigration, on Gulf Coast beaches taking stock of daily progress in dealing with the BP Deepwater Horizon explosion and oil spill, visiting tornado-devastated communities in the Midwest and hurricane-ravaged New Jersey beach towns, she walked beside those who were directly affected and ceded the key camera shots to them.

She assumed responsibility and when she did take center stage it was as a public figure unafraid to deal with hostility and criticism -- as she did as the administration's sole witness during the recent Senate Judiciary Committee hearings on the immigration reform bill.

She brought years of front-line experience to the immigration debate and was a central figure in the ongoing discussions of reform. Her approach was not to throw the baby out with the bathwater. It was to focus on getting rid of criminals and threats to national security, while understanding that immigrants -- like her own Italian family -- have contributed much to this nation's prosperity and security.

She has been was willing and ready to roll up her sleeves and work with all sides to construct an approach on immigration that works -- one that addresses both national security needs and immigrant potential. She applied her experience and expertise in many ways and behind the scenes, including in the final days of Senate debate on the "Gang of Eight" initiative, to remove roadblocks and move the process forward.

Janet Napolitano is also one of the warmest and most caring individuals I know. Few are aware of the time she has devoted to help staff, family and friends in need. One example among many: A longtime mutual friend who served as director of constituent services in her Arizona office was unexpectedly stricken with illness. The woman lingered in ill health for many weeks before her untimely passing.

Away from public and press attention, Napolitano went daily to her bedside, de facto family for an employee and friend who had lost most of hers long ago. In announcing the death, Napolitano paid tribute not only to the professional accomplishments but to the person with whom she had connected and befriended.

"[She] played a critical role in the Governor's Office," Napolitano wrote. "What people may not know is that she was also an author, a hospice volunteer and a woman of deep faith. We're only beginning to grasp how much we will miss her."

Napolitano has done exemplary work at the Department of Homeland Security, most of it away from the spotlight. She played a critical role in helping this administration succeed in areas where previous administrations had not. What people may not know is that she is a fan of football and opera and a friend who has your back. The students, faculty, administrators and regents who make up the University of California system are about to find all this out.

I suspect that as the administration looks to replace her, it will begin to grasp how much it will miss her.

The opinions expressed in this commentary are solely those of Douglas Wilson.

@highlight

Doug Wilson: People who know Janet Napolitano not surprised she's to head UC system

@highlight

It's another "first woman" nod for her. She was first UC Santa Clara valedictorian, first AZ governor

@highlight

He says as governor, DHS chief brought organizational fiefdoms to common cause

@highlight

Wilson: She expertly handled emergency response, reviving FEMA reputation; is humane