Johannesburg, South Africa (CNN) -- South Africans in the emerging middle class are becoming savvy consumers, now concerned with brands. They want information about products and they want it now. Skeptical about the messages of the mass media, they crave one-on-one interaction.

That's where "zonal champions" come in. It's a phrase coined by South African marketing agency The Creative Counsel, describing individuals who live, breathe and promote a brand in specific zones of South Africa.

This is marketing turned upside down, but it works in Africa. While the rest of the world is utilizing social media to advertise commodities, The Creative Counsel is utilizing what it calls the "traditional" type of social media -- word of mouth.

Magdeline Mataboga is a zonal champion. She walks from home to home introducing members of her low-income community to a range of consumer brands.

This is called below-the-line marketing and the target market is the lower-end consumer. In the African market you will find millions of these customers, who might have been overlooked in the past by big multinational businesses.

Read this: 'Africa's tallest building' set for $10 billion tech city

Zunaid Dinath, chief officer of sales and distribution at mobile communications company Vodacom, says: "I think typically we've always catered for the formal market and the upper end of the spectrum, but I think when you go to the lower end of the market ... there's a huge opportunity there and they are the next value chain and the next million customers will come from there."

The Creative Counsel is a $50 million company helping multinationals to reach these million consumers; through doing so they are pioneering African marketing solutions.

Gil Oved, co-founder and co-CEO of The Creative Council, says: "Multinational brands are coming from all over the world and they want in on Africa as is obvious, and agencies like ours are helping them engage a consumer in a new, inventive way, which is actually a very old traditional way. It's one-on-one conversations."

And these conversations are taking place at every social event -- be it after church on a Sunday, after a sports match, at ladies clubs, or at stokvels or shisa nyamas -- unique South African social gatherings.

Zonal champions will inform and educate members of the emerging middle class in South Africa on what to buy, and why they should buy it. This marketing strategy works in Africa because, as Ran Neu-Ner, co-founder and co-CEO of The Creative Counsel explains, African consumers "will use something a friend has recommended or a sister or a brother or a parent or any relative has recommended.

"They're quite wary and skeptical to try new things," he adds. "You need to bear in mind one thing -- their disposable income is very, very low, so they can't take chances, they can't buy something and if it doesn't work go and replace it with a competitor, they don't have the means, so they've got to be 100% certain that the purchase that they make, they're comfortable with and it will fulfill their needs."

Read more: African consumers 'underestimated'

And to make sure the product will fulfill their needs, these consumers ask a trusted member of the community -- a zonal champion.

Vodacom is one of The Creative Counsel's clients; it too utilizes zonal champions to spread its marketing message to consumers who are hard to reach.

Shameel Joosub, Group CEO for Vodacom explains: "In reaching your customers you need to reach them in different ways and one of the big things is that the traditional media doesn't necessarily reach into the far more rural parts of a country... so a lot of it has to be done through word of mouth and promotions.

"What we do is we hire people that actually go out into the different townships, into the different rural areas and really promote the product. They walk the streets and communicate, so they go to taxi ranks and places where people gather and really spend a lot of time promoting the product."

Nontando Vena is a Vodacom promoter who spends a lot of time at a taxi rank in a township called Soshanguve, north of Johannesburg. She says that this type of marketing is effective because it's in a language that consumers understand. "Because you sound like them mostly and they can relate, if they've got any questions that need to be answered they're able to approach you better," she says.

She says that her community members sometimes call her Miss Vodacom, because she represents the brand. For the community, a big multinational such as Vodacom now has a face and a voice and can give one-on-one advice on a daily basis.

"Zonal champions aren't like normal promoters, they don't usually have working hours ... when you live and breathe a brand and you're passionate about it, you do it 24/7, 365," says Oved.

Read More: Consumer giant targets Africa's billion potential shoppers

Apart from bridging the gap between the big multinational and the consumer this marketing strategy also provides employment opportunities for South Africans. Unemployment in South Africa remains a pressing issue, where more than 24% of the citizens are unemployed.

Neu-Ner says that they found a niche: "We found that there's a whole lot of people uneducated and previously probably unemployable, so to speak, and we found a methodology of training and managing these people so we can actually give them a job as a zonal champion or a brand champion, as someone who can drive a message into their communities.

"Typically our trainings are a day, two days, three or four days at maximum and the guys walk in with absolutely no sales knowledge, no knowledge of what a brand is, no marketing knowledge and they walk out doing things like using body language techniques to sell products."

But it's about more than selling products. It's about developing trust that will ultimately lead to sales. Oved explains: "There's a wonderful Zulu idiom, it goes, 'Isandla siya kezane,' which means one hand washes the other. That is the kind of communal perspective that Africans have, which brands that come from all over the world need to understand.

"It means that if you're a brand that needs to support me in the community, create employment opportunities, gives me real product information, I will support you and buy your product -- one hand washes the other.

"If brands can tap into that and build that trust, then they'll win the African continent over."

@highlight

African consumers largely skeptical about traditional mass-media advertising

@highlight

"Zonal champions" used by multinationals to promote brands through word of mouth

@highlight

They are locals who are trusted by their communities to recommend the right product

@highlight

This form of advertising gives employment opportunities to unskilled people