In the mid-March chill Thursday, the victims and their stories continued to emerge as firefighters ferreted through the piles of bricks and wreckage on the East Harlem block where a powerful explosion and fire leveled two buildings.

They brought life to a vibrant neighborhood of corner bodegas, churches, shops and redbrick tenements whose ordinary rhythms were shattered when the Wednesday morning blast killed at least eight and injured dozens more.  The eighth body was recovered Thursday evening, a spokesman with the New York City Fire Department said.

Among the victims was Carmen Tanco, a 67-year-old dental hygienist who relatives tried desperately to reach by cellphone.

"She's sassy, spicy, which is why her and I are so close," her niece, Marisela Frias, 44, said before learning her aunt had died. "We have the same temperament, character. We tell it like it is, tell you the truth, whether you want to hear it or not. What you see is what you get."

Another victim, Griselde Camacho, 44, was a public safety officer at the Hunter College Silberman School of Social Work in East Harlem, the school's website said.

"Griselde was a well-liked member of our community, a respected officer and a welcoming presence at our Silberman building," said Jennifer J. Raab, the college president. "Our deepest sympathies go out to her family, and we are committed to doing everything we can to support them in their time of great emotional need. We also know this is a difficult time for all those who knew and worked with Sergeant Camacho. All of you will be in our thoughts in the days ahead."

Camacho and Tanco were remembered by Carlton Brown, bishop of Bethel Gospel Assembly, on the church's Facebook page.

"Our hearts are heavy as we will truly miss these two beautiful women," Brown wrote. "Many of us share fond memories on how they have blessed our lives with their warm smiles and caring natures. They were both faithful volunteers..."

Rosaura Hernandez, 21, who also perished in the explosion, was a line cook at Triomphe Restaurant, general manager Robert Holmes said.

"We liked her enthusiasm and raw talent," Holmes said.  "It's a terrible loss.  My staff has taken it hard... She was solid as a rock, never got flustered.  She was calm, even-tempered. One of our line cooks was quite close with her.  When he heard she was missing, he said, 'Can I go find Rosie? I gotta look for her.'  I said, of course. It's a terrible tragedy. "

Though authorities have said a gas leak may have triggered the explosion, Mayor Bill de Blasio told reporters Thursday that the official cause was under investigation.

"We know there was an explosion," he said, "but we don't know everything about the lead-up to it."

The other fatalities were Andreas Panagopoulos, 43; George Ameado, 44; Rosaura Barrios, 44; and Alexis Salas, 22.

One fatal victim remains unidentified.

On Wednesday, one woman tried in vain to find her husband, Jordy Salas, who may have been on the second floor of one of the collapsed buildings. She fainted and was taken to a hospital.

Desperate search for survivors

Near 116th Street and Park Avenue, once the heart of New York's large Puerto Rican community, firefighters tore at mounds of bricks in a search for survivors from the collapsed five-story buildings, which housed a piano store and an evangelical church, in addition to apartments.

"We (had) probably about two-and-a-half floors of debris, so we have it now down to about one, one-and-a-half floors," Edward Kilduff, fire chief of department, told de Blasio during a tour of the site. "The victims have primarily been found on the left-center side about 20 feet in."

On Thursday, Con Edison officials said the utility received a call reporting a gas leak around 9:13 a.m. Wednesday from a resident at one of the newer buildings on Park Avenue. The utility dispatched a truck two minutes later, but it arrived after the explosion. The caller reported smelling gas the night before but did not call the utility at the time.

Two gas repairs were made on the block in January 2011 and May 2013 following complaints of a gas odor, Con Ed CEO John McAvoy said. The utility looked back at 10 years of checks and repairs on the gas main on the block and found no "historical condition," he said. In addition, Con Ed checks for leaks in the area on February 10 and February 28 detected no problems.

Fire officials said they received no reports of gas leaks in the area in the last month, while police reported receiving no calls since 2010.

Fire marshals, police arson investigators and the National Transportation Safety Board -- which probes gas explosions -- worked to determine the cause of the explosion.

"In one word, devastating," was how Robert Sumwalt of the NTSB described the scene Thursday afternoon. He called it an "active search and rescue operation."

"You have, basically,  two five-story buildings reduced to essentially a three-story pile of bricks and twisted metal."

Sumwalt said the agency was "operating under the assumption that a natural gas leak led to an explosion," but that his team of investigators had not yet examined the crater where the buildings once stood.

De Blasio said 66 people, including 14 families with children, had received temporary shelter.

Some wreckage was still smoldering Thursday, with the fire whipped by the cold wind, de Blasio said.

"Our biggest concern now is the free-standing wall in the back," Kilduff said. "That was a little more solid last night, but it burned overnight."

The massive explosion shook Manhattan's East Harlem section around 9:30 a.m. Wednesday.

Surreal scenes after explosion

Colin Patterson said he was watching TV when a thunderous blast suddenly sent pianos hurling through the air in the shop where he works.

"They flew off the ground," said the piano technician, who also lives in the building in East Harlem. He told CNN affiliate WABC that he crawled through the rubble and managed to escape unharmed.

A building department official said one of the two Park Avenue buildings that collapsed received a city permit last year for the installation of 120 feet of gas piping. The work was completed last June. In 2008, owners of the adjacent building, which also collapsed, were fined for failing to maintain vertical cracks in the rear of the building. The condition was not reported as corrected to the buildings department.

There were a total of 15 units in the two buildings, officials said.

Building department records detailed a litany of violations, dating back decades, for one of the collapsed buildings, including a lack of smoke detectors, blocked fire escapes and faulty light fixtures.

The mayor told reporters that the report of the gas leak, which he said came about 15 minutes before the explosion, was "the only indication of danger."

Blast shook Manhattan for blocks

Fire Commissioner Salvatore Cassano said responding firefighters barely missed the blast.

"If we were here five minutes earlier we may have had some fatalities among firefighters," he said. "Not being here may have saved some lives."

Once a predominantly Italian neighborhood, the stretch of East Harlem saw a large influx of Puerto Ricans in the 1950s. It went on to be called Spanish Harlem and El Barrio. In the 1990s, many Mexican immigrants began to move into the area, which has been gentrified in recent years, with many mom-and-pop shops replaced by restaurants and bars.

@highlight

An eighth body is recovered, says a fire spokesman

@highlight

Police identify another victim, Andreas Panagopoulos

@highlight

"In one word, devastating," is how NTSB investigator describes scene

@highlight

At least five people are unaccounted for, city officials say