Editor's note: Meloney Dunning, this year's Real Simple "Life Lessons Essay Contest" winner, describes the heartbreaking day when she decided to say good-bye to her newborn son, who was born prematurely.

(Real Simple) -- Sitting in the newborn intensive care unit five years ago, I could feel my heart pound in my chest and my throat tighten in panic at the sight of my son.

Real Simple: How to make positive changes in your life

The doctor had come to my bedside that morning and told me that Phoenix had suffered through a difficult night. But that didn't remotely prepare me for what I now witnessed. Alarms were ringing, the numbers on his monitors plummeting. All the while, my beautiful boy lay there, apparently peaceful, as chaos surrounded him. What frightened me most was that nobody rushed to his side. This state of frenzy, it seemed, was the status quo for our boy, and it was only my husband, Adam, and I who were distraught.

Real Simple: How to tell if someone is lying

Phoenix was just three days old. I had developed preeclampsia during my pregnancy and spent the last several weeks in the hospital, desperately trying to keep him inside and growing. Finally, at 27 weeks, my body decided that it could do no more. The doctors rushed me to the operating room, my frightened husband at my side, and delivered our tiny baby by Cesarean section. He was one pound, 12 ounces and just 12 inches long. Although he was very early and very small, I believed in him. I knew that he would thrive.

Real Simple: How to stop procrastinating

Now Adam and I sat at his bedside. After what felt like forever but was only a few minutes, the nurse approached us. She discussed some of Phoenix's challenges and went to get his doctor. We waited, choking back fear and praying for a miracle.

Real Simple: 24 nutritious and tasty snacks

When the doctor came in, she was calm and gentle. I cannot remember her name or her face. But what I remember is this: She began to describe to us the difficulties that Phoenix had faced in the last eight hours, the hours during which I had slept peacefully, aided by pain medicine and a false sense of security. He had suffered an intra-ventricular hemorrhage, or IVH, which is bleeding in the ventricles of the brain. There are four types, or grades, of severity, the doctor said, and she began to explain the complications related to each type.

Real Simple: How to snack smarter

I remember, too, how time warped as she talked on and on about the types. It was like a trick they do in movies, clock hands racing while someone drones in slow motion. Each time she described a grade, I expected her to stop and tell us that this was the type of IVH that Phoenix had had. But she kept going. At last, she mentioned a grade 4 hemorrhage, and she swallowed hard around the words. Fleetingly, my heart ached for this doctor who had to deliver such news to us, who had to tell us about the permanent damage that this hemorrhage was causing our son.

Real Simple: 8 steps to a happier family life

When she was finally, mercifully finished telling us what Phoenix was up against, we just sat there in shock. She gently explained that we could take time to make some decisions about how we would like to proceed with treatment and left us with our son. In the quiet of the newborn intensive care unit, I could feel the sobs building inside me. "Hurry," I begged my husband as he wheeled me back to my room.

Once there, we both collapsed, allowing ourselves to release the grief behind this closed door. It didn't seem possible that this baby could fail, not this little boy who had spent the last many weeks dancing joyfully on my bladder. Not the feisty guy who had such bursts of energy inside my belly each day. Not our son, whom we had named years in advance, after the power of being renewed by fire. And, yet, here we were.

As I was lying in my hospital bed in the weeks before Phoenix was born, I had often talked to him. I told him my fears about his health. I told him about my love for him. I cried many, many tears. One of my biggest fears, I told him, was that he would be born and spend hours being poked with needles and feeling nothing but anguish. While he still kicked inside me, I told him that if he needed to let go, if he wasn't strong enough for this life, I could handle it. Especially if it meant that he could avoid being in pain. It wasn't going to be that way.

Adam and I had never really discussed the worst possibilities for our son, but we had decided a while back that whatever happened, we would be the ones to decide how Phoenix's care proceeded. Now was the time to face that decision.

While Phoenix still kicked inside me, I told him that if he needed to let go, if he wasn't strong enough for this life, I could handle it. Especially if it meant that he could avoid being in pain.

What we both knew was that we loved this little boy more than anything we had ever known before. We discussed the diagnosis we had been given and what that would mean for his, and our, future. And I knew this: My greatest fear for Phoenix was right before me, coming true inside these walls where life-and-death choices were made every day.

The truth is, it didn't take long for Adam and me to decide that what we wanted was to keep our son comfortable. I thought of his tiny body in the incubator, respirator in place, blood-pressure cuff pumping, needles and catheters and scans and transfusions. It was not how we wanted him to live. What we wanted more than anything was for him to live the time that he had left knowing our touch, knowing our love, feeling that we were with him, no matter what.

We called the few people we could bear to speak with and shared the news. We cried and cried and tried to hold each other, though I was too sore from my own surgery and weeks of bed rest to move into any comfortable position in my husband's arms. When we were calm, we went back to Phoenix's bedside.

The doctor returned, and we told her that we did not want to continue his life support. We asked her if we could find a place to sit and rock him, a private place to say our good-byes and hold him tight. She didn't question our decision for one moment. She just ushered us to an empty room and told us that she was going to unhook the baby from his machinery.

When the nurse brought my baby back into the room, it was the hardest moment of my life. Harder than hearing his diagnosis. Harder than making the decision to stop treatment. Here he was, our sweet little peanut, without any of the lifesaving equipment that he needed to keep him alive. Still, he rested peacefully in his tiny blanket and hat.

When the nurse handed him to me for the first time, I fully realized how little, how light he really was. My husband and I held him and rocked him, petted him and cooed over him as all new parents do. The only difference being that our hello would also serve as a goodbye.

I will always treasure the minutes we spent together in that room. I willed my son to know that no matter how hard it was, I was right here. I would not leave his side. Most of those momentsâ€”his final momentsâ€”I keep inside my heart and have never shared with anyone. They belong to us, Phoenix and Adam and me.

The nurse stayed close by, and, eventually, she let us know that Phoenix had passed. His tiny, little spirit had flown from a body that couldn't hold him. There was no sign from him, ever, in either life or death. Just peaceful release.

In the days and years since his death, I have turned it all over and over in my head. I no longer ask why. Things, bad things, happen to people every day. I have doubted our decision at times, but I know that those thoughts come from fear. In my heart of hearts, I know that we did the best thing we could for our child. And only with this distance can I see that, perhaps, he did the best he could for me, too.

By not listening to me and letting go before his birth, he gave me the gift of being his mother. And that is a gift I would never give up, no matter how much pain came along with the package.

For Real Simple's Sixth Annual Life Lessons Essay Contest, readers were asked: What is the bravest thing you have ever done? Thousands of you responded, with essays that ranged from humorous to heart-breaking. In the end, Meloney Dunning, 39, of Indianapolis, was named the winner, claiming a prize of $3,000.

@highlight

Meloney Dunning is the winner of Real Simple's "Life Lessons Essay Contest"

@highlight

Dunning's newborn suffered an intra-vencular hemorrhage

@highlight

Dunning held her son in her arms as he died