Washington (CNN) -- The Senate will hold its final vote on a sweeping health care bill Thursday morning under an agreement that Majority Leader Harry Reid announced Tuesday.

The vote had been expected on the night of Christmas Eve due to Republican delay tactics to hold off the measure. Reid has insisted it be passed before Christmas.

Reid and Senate Minority Leader Mitch McConnell, R-Kentucky, decided on a timetable to vote on the health care bill and an extension of the federal debt limit on Thursday morning.

First, the Senate will hold another procedural vote on the health care bill Wednesday to set up the final vote.

This procedural vote will require support from all 60 members of Reid's Democratic caucus to overcome a Republican filibuster. The vote Thursday on final passage will need a simple majority of 51 in the 100-member chamber.

Earlier Tuesday, Democrats cleared the second of the three key procedural hurdles on the sweeping $871 billion measure.

The Senate voted 60-39 along party lines to adopt changes negotiated by Reid. The Senate also set a timetable for ending debate on the bill.

Obama said Tuesday he would delay leaving for his Christmas holiday in Hawaii until the Senate holds its final vote on the bill.

"I will not leave until my friends in the Senate have completed their work," Obama said. "My attitude is that if they're making these sacrifices to provide health care to all Americans, then the least I can do is be around to provide them any encouragement and last-minute help where necessary. That's the deal."

The first procedural vote early Monday virtually ensures the bill's final approval, but any measure the Senate passes still would have to be merged with the $1 trillion House version in what could be tough negotiations.

"Health care reform is not a matter of if," White House press secretary Robert Gibbs said, "health care reform now is a matter of when."

Sen. Max Baucus, D-Montana, chairman of the Senate Finance Committee, declared that "the finish line is in sight."

"We're not the first to attempt such reforms, but we will be the first to succeed," Baucus said.

Republicans have mounted a fierce campaign against the bill, using procedural tricks to slow debate and casting the measure as an unnecessary government intrusion in health care that will raise costs.

In remarks Tuesday on the Senate floor, Reid acknowledged the toxic political environment surrounding the nearly yearlong debate.

Senators should set aside "personal animosity," he said. "There's a lot of tension in the Senate, but I would hope everyone would go back to their gentlemanly ways. ... Let's just all try to get along."

If a combined House-Senate health care bill wins final approval from Congress and Obama signs it, the measure would be the biggest expansion of federal health care guarantees since the enactment of Medicare and Medicaid more than four decades ago.

The influential American Medical Association, a traditional opponent of overhauling health care, endorsed the Senate measure hours after a rare 1 a.m. Monday vote to start winding down debate.

Read CNN's Dr. Sanjay Gupta's take on the health care bill

To Democrats, Monday's vote signaled eventual victory on the Senate bill. "The die is cast. It's done," Sen. Charles Schumer, D-New York, said.

Watch how deals got the bill moving

Compromises made to win the backing of lawmakers such as Sens. Ben Nelson, D-Nebraska, and Joe Lieberman, a Connecticut independent, enraged many liberal Democrats and threatened to undermine support for the bill.

Liberal Democrats are upset with Reid's decision to abandon a government-run public health insurance option and an expansion of Medicare to Americans as young as 55.

But top Democrats argue the Senate bill still would constitute a positive change of historic proportions. The legislation would extend health insurance coverage to more than 30 million uninsured Americans while reducing the federal deficit, according to the Congressional Budget Office.

The House and Senate bills agree on a broad range of changes that could affect every American's coverage.

Among other things, they have agreed to subsidize insurance for a family of four making up to roughly $88,000 annually, or 400 percent of the federal poverty level.

Watch how the health care overhaul could affect you

They also have agreed to create health insurance exchanges designed to make it easier for small businesses, the self-employed and the unemployed to pool resources and purchase less expensive coverage. Both the House plan and the Senate bill eventually would limit total out-of-pocket expenses and prevent insurance companies from denying coverage for pre-existing conditions.

Insurers also would be barred from charging higher premiums based on a person's gender or medical history. However, both bills allow insurance companies to charge higher premiums for older customers.

Medicaid would be significantly expanded under both proposals. The House bill would extend coverage to individuals earning up to 150 percent of the poverty level, or roughly $33,000 for a family of four; the Senate plan ensures coverage to those earning up to 133 percent of the poverty level, or just more than $29,000 for a family of four.

Major differences between the bills would be the focus of a conference committee that would try to merge them.

One of the biggest divides is over how to pay for the plans. The House package is financed through a combination of a tax surcharge on wealthy Americans and Medicare spending reductions.

Specifically, individuals with annual incomes more than $500,000 -- as well as families earning more than $1 million -- would face a 5.4 percent income tax surcharge.

The Senate bill also cuts Medicare by roughly $500 billion. But instead of an income tax surcharge on the wealthy, it would impose a 40 percent tax on insurance companies providing what are called "Cadillac" health plans valued at more than $8,500 for individuals and $23,000 for families.

Proponents of the tax on high-end plans argue it's one of the most effective ways to curb medical inflation. However, House Democrats oppose taxing such policies because it would hurt union members who traded higher salaries for more generous health benefits.

The Senate bill also would hike Medicare payroll taxes on families making more than $250,000; the House bill does not.

Another key sticking point is the dispute over a public option. The House plan includes a public option; the Senate plan would instead create new nonprofit private plans overseen by the federal government.

Individuals under both plans would be required to purchase coverage, but the House bill includes more stringent penalties for most of those who fail to comply. The House bill would impose a fine of up to 2.5 percent of an individual's income. The Senate plan would require individuals to purchase health insurance coverage or face a fine of up to $750 or 2 percent of his or her income -- whichever is greater. Both versions include a hardship exemption for poorer Americans.

iReport.com: Give your thoughts on the Senate health care bill

Employers face a much stricter mandate under the House legislation, which would require companies with a payroll of more than $500,000 to provide insurance or pay a penalty of up to 8 percent of their payroll.

The Senate bill would require companies with more than 50 employees to pay a fee of up to $750 per worker if any of their employees rely on government subsidies to purchase coverage.

Abortion also has been a sticking point for both chambers. A late compromise with Catholic and other conservatives in the House led to the adoption of an amendment banning most abortion coverage from the public option. It would also prohibit abortion coverage in private policies available in the exchange to people receiving federal subsidies.

Senate provisions, made more conservative than initially drafted to satisfy Nelson, would allow states to choose whether to ban abortion coverage in plans offered in the exchanges. Individuals purchasing plans through the exchanges would have to pay for abortion coverage out of their own funds.

CNN's Ted Barrett, Dana Bash and Alan Silverleib contributed to this report.

@highlight

NEW: Senate majority leader moves up final vote to earlier Thursday

@highlight

NEW: President Obama says he'll delay leaving for holidays till Senate holds final vote

@highlight

Democrats clear second of three key procedural hurdles to overhaul health care

@highlight

Move follows Monday vote that seems to assure final passage in Senate