Windsor, England (CNN) -- The choice of Westminster Abbey as location for the most eagerly awaited royal wedding in 30 years has taken most royal experts by surprise; their consensus of opinion over the past week suggested that St. Paul's would oversee the marriage of Prince William and Catherine Middleton.

But on reflection, the abbey is the most obvious and perfect venue.

By choosing it, William is showing an astute awareness of his royal status and ultimate destiny as king of England. As a modern royal couple in a modern royal family, William and Kate will start their married life in the most ancient of royal buildings, stepping into the future with one foot firmly in the past and an obliging nod to those kings and queens buried there.

Designed and built as a life's work by Edward the Confessor, Westminster Abbey was consecrated in 1065. Edward was too ill to attend the abbey's opening ceremony and rounded off a particularly miserable Christmas by dying a few days later on January 5 in the fateful year of 1066, the year of the Norman conquest (he is the first monarch to be buried there).

Since then, Westminster Abbey has ruled supreme as the ultimate royal venue. Every monarch since 1066 has been crowned at the abbey, and 17 monarchs are buried beneath its huge Gothic arches. It has also seen more than its fair share of royal marriages. The current queen was married there, as was her father, King George VI, and two of her children, Anne and Andrew.

But inevitably, in the modern world, Westminster Abbey is inextricably linked to the funeral of Princess Diana, and this is the reason many considered it an inappropriate venue for William and Kate's wedding. (Even today, some 12 years after the event, the harrowing image of Diana's coffin being carried into the abbey, draped in the royal standard and covered in lilies, reduces many to tears.)

Still, by all accounts, William and Kate are indeed determined to be a traditional royal couple; despite the current recession, their wedding will be a celebration, with the pomp and circumstance only Great Britain can produce. Neither Kate nor William is making any radical concession to the modern world or demanding any changes in their royal duties.

They scarcely have to. His parents had laid much groundwork for the updating of the monarchy. As strange as it may seem today, Charles and Diana were once considered a thoroughly modern couple. They decided, for example, that Diana would not promise to "obey" her husband at the marriage ceremony, their first-born would be the next monarch (as opposed to the first male child), and any children they did have would be brought up as close to a "normal" childhood as possible.

(That the marriage ended in divorce is sad, but 50 percent of marriages in the UK today end in divorce; again, they were a thoroughly modern couple.)

When William brought Kate out to face the world's press last week, standing together as equals, so obviously in love, you could see how successful Charles and Diana have been. William and Kate are now the golden couple of a very modern monarchy, and it is predominantly because of the influence of his parents (and some help from the queen) that Britain's future king has embraced this position with such maturity.

The monarchy today is a vastly different institution from the one Diana joined all those years ago. The queen now reigns over a multiracial, multifaith, multiethnic population. Prince Charles has acknowledged this fact by promising to be defender of faith, as opposed to defender of the faith when he is crowned king.

Such realities give the lie to the doom merchants crawling out of the woodwork and condemning the monarchy as an archaic institution that has no role in the modern world.

The marriage of William and Kate at Westminster Abbey will be just the tonic a jaded Great Britain needs. Some may scoff, but it is interesting how fast the front pages of the world's newspapers and the schedules of the news channels were cleared once the official announcement was made last week; proving yet again that the House of Windsor is the longest-running, and best-loved, news story of them all.

The opinions expressed in this commentary are solely those of Mark Saunders.

@highlight

Mark Saunders says many royal watchers thought William and Kate would wed at St. Paul's

@highlight

But Westminster Abbey is future king's nod to the past, he says

@highlight

It has power of tradition as site of royal weddings, Princess Diana's funeral, he says

@highlight

Saunders: Couple embraces tradition in monarchy modernized by Charles and Diana