Philadelphia (CNN) -- For many families, a night at the ballpark is a treat. But it can be a nightmare for those with autistic children.

Autism causes a greater sensitivity to environmental stimulation. So the lights, music and roar of the crowd can trigger a severe meltdown that is difficult to anticipate and control.

"They're frustrated and they're scared and they're just overwhelmed," said Debra Forman, whose 8-year-old son, Adam, has autism. "You have to ask yourself if it's worth it."

The Centers for Disease Control and Prevention recently reported that 1 in 68 children in the United States are on the autism spectrum. For many of these families, fear of how their child will react to new situations -- and how others will react to them -- keeps them from gaining everyday experiences others get to have.

"It is tough to go out into public," said Shannan Maxwell, mother of Steven, 6. "When he's having a meltdown on the floor and the whole entire store's looking at you like you're a bad mom, you just want to go and crawl under a rock."

Dr. Wendy Ross was heartbroken to hear stories like this from families. The developmental pediatrician also knew that isolation didn't serve her patients well in the long run.

"If kids are not in the community, building their skills from very young ages, then there's no reason to expect them to be independent one day," Ross said. "It's a social disability. It needs to be addressed in a social setting."

So in 2007, Ross set out to do just that. Today, her nonprofit, Autism Inclusion Resources, helps families affected by autism navigate challenging social situations, such as airport travel, sporting events and museum visits.

"If you start taking steps outside of your door, your world gets bigger and bigger," said Ross, 43. "We just want people to have opportunities."

Take me out to the ball game

Many Major League Baseball teams hold annual "autism awareness nights," when they take temporary measures such as lowering the volume on the public address system. But Ross wanted to do more.

"You can't turn down the volume of the world," Ross said. "It's nice to do it for one night, but our goal is for families to be able to go to a game on any night."

To that end, Ross partnered with the Philadelphia Phillies in 2012 to develop an innovative program.

She armed all the Phillies game-day employees -- approximately 3,000 people -- with knowledge about autism and how to interact with individuals who have the disorder. Now, everyone from the ticket takers to the hot dog vendors at Citizens Bank Ballpark help create an atmosphere where families feel supported.

"I don't expect the staff to be experts, just to be aware of it and (be) understanding," Ross said. "If families need a break, the staff know where to take (them) for a little sensory rest."

Ross also helps prepare the families for the event. They are given a booklet with pictures illustrating each step of the game, from arrival and getting a hot dog to the seventh inning stretch. Then she escorts families to their first game, with tickets donated by the Phillies.

Each family is also provided a clinician at the game who gives additional support if problems arise. For Forman, having the professional assistance was a huge relief.

"When Adam was anxious or ready to leave, I had somebody to turn to, and she had some ideas," Forman said. "Without her there, it would've been a very tough game for me."

Ross hopes that this supported experience will give families the confidence to return on their own. She also believes that this dual approach -- working with the Phillies and the families -- just makes sense.

"It's not enough to work with a child with autism, because we need the community to accept them," she said. "You would never show someone how to use a wheelchair and then not have a ramp."

Beyond the ballpark

Ross has also found her airport travel program to be successful for families. Using the same principles, she trains airline and security staff at major airports and then guides families through a simulated travel experience, including checking in, going through security and boarding a plane.

Since 2010, more than 200 families have benefited from Ross' initiatives.

Building on her success with the Phillies, she is now working with Philadelphia's football and hockey teams. Soon she wants to partner with the city's public transportation agency.

"The hope for Philadelphia is to make it the most autism-friendly city in the country," she said. "It will serve as a model of independence for other cities everywhere."

Ross also hopes that the tools she gives families can help them explore other settings on their own.

"We really see it as a stepping stone to a brighter future," she said. "I feel like it changes the trajectory of lives."

After their successful outing at the ballpark, Forman took Adam to a football game. She believes this is just the beginning of their family's adventures.

"Hopefully, there will be zoos in our future, and aquariums," Forman said. "The world is our oyster."

Want to get involved? Check out the Autism Inclusion Resources website at www.autismir.com and see

@highlight

Parents of children on the autism spectrum often skip social situations out of fear

@highlight

But Dr. Wendy Ross wants her young patients with autism to have those experiences

@highlight

Her nonprofit helps families navigate events like ball games, air travel and museum trips