The stores that line New York City's Fifth Avenue are filled with mannequins that come to life, DJs huddled over mixing boards and waiters lofting trays of free-flowing Champagne -- a scene lit by blinding flashbulbs.

Women pair their Sunday best with heels that would make a podiatrist cringe, as they strut by, ogling the latest handbag collections. For men, it's all about the pocket squares, bow ties and smoking loafers.

Fashion's Night Out, which took place last night in New York and across the world, is not for the self-conscious. The streets run rampant with stylish people taking pictures of stylish people taking pictures. Everyone is looking at everyone else -- Tweeting, Facebooking and Instagramming their favorite looks of the night. One can judge the success of their ensemble by the number of times they're asked for a photograph.

While that might sound a bit pretentious, and just about as fun as, say, a sewing needle injury, Fashion's Night Out started for a more practical reason: To help the struggling U.S. clothing industry in an era of economic uncertainty.

The trademarked event started four years ago, when retail sales were anything but vibrant. By December 2009, retail sales had fallen for six straight months.

The #NYFW diet: Part of the job?

"In 2009, in-store traffic was incredibly low, affecting sales and threatening jobs. It was clear that something needed to happen to get people comfortable with shopping again and to remind them that their purchases were helping to support the economy and the lives of those around them that worked in fashion," said Susan Portnoy, vice president of media relations at Condé Nast. Condé Nast is the parent company of heavy-hitting fashion publications like Women's Wear Daily, Vogue and GQ.

"We feel that Fashion's Night Out helped to jump-start that thinking then, and each year it serves as a reminder," she said.

Vogue, the Council of Fashion Designers of America, NYC & Company (New York City's official tourism organization) and the City of New York decided to team up to "restore consumer confidence" and "boost the industry's economy during the recession" with a one-night celebration of style, but more importantly, commerce.

They brought in celebrity meet-and-greets, DJs, free drinks, swag bags and limited-edition, Fashion's-Night-Out branded merchandise. Forty percent of the proceeds from branded products benefit the New York City AIDS Fund in the NY Community Trust.

Since 2009, Fashion's Night Out has expanded to 19 countries and more than 500 cities in the U.S.

"In addition to the retailers, this event gives a boost to hotels and restaurants, public transportation and dozens of other industries. In the end, we feel local economies on many different levels benefit," said Portnoy.

Yuriko Ogura, 22, is visiting from Osaka, Japan, for the event as well as Fashion Week.

Ogura, standing out in Rockefeller Center with a bright yellow blazer and black cloche hat, said the event's appeal lies in its accessibility: It's an opportunity for the general public to connect with the seemingly intimidating fashion community on a more personal level.

As Katerina Kriticos, a 24-year-old recent graduate from the Fashion Institute of Technology, strolls into the Ted Baker store on Fifth Avenue, she's clearly in her element. The shop is modeled after a London townhouse in the 1920s, and merry women dressed in black and white maid costumes flit about the crowd waiting to enter the store.

Spring 2013 Fashion Week: Behind-the-scenes Instagrams

Kriticos, who lives in New Jersey and is an aspiring accessories designer, met her best friend in New York City for the extravaganza.

"It's not only about the inspiration from all around and being in stores and seeing the new line and getting excited for Fashion Week, it's everyone coming together for a good cause," she said.

Just outside on Fifth Avenue, friends Jason Campbell, 25, Jamel Pearson, 23, and Darnell Barclift, 22, came together to take advantage of the limited time offers, but to also visit friends who work in the retail shops that line the way.

"We always see a little boost in sales due to the increased foot traffic that results from the excitement of the evening," said Fiona Zeman, who handles public relations and marketing for Ted Baker. "It is a wonderful opportunity to welcome in potential new clients and delight them with our unique store environments."

"It's something fun and exciting to look forward to and everyone is invited. It galvanizes the community around a common love of shopping and fashion in unexpected and creative ways," said Portnoy. "It also provides an excuse to broaden a shopper's horizons by exploring new stores and learning about new designers, plus it's a great excuse to gather with friends and enjoy an evening out on the town."

Further downtown, the air is clouded with cigarette smoke while crowd control barriers line the street to help herd the fashionistas.

At designer Nicole Miller's SoHo boutique, assistant manager Fantcha Mendes bops along to the DJ with an enormous smile because, to her, Fashion's Night Out "encourages people to feel good about themselves." Wear what you want, own it, and in the words of Madonna, express yourself.

Despite all the distractions, she's also smiling because Fashion's Night Out, at least for her boutique, achieved its original goal.

"We're having an amazing day so far," she said with a grin, glancing at the register.

The looks debuting at Fashion Week

@highlight

Fashion's Night Out was created four years ago to help the struggling clothing industry

@highlight

Fans connect with the fashion community on a more personal level at the event

@highlight

Some proceeds benefit the New York City AIDS Fund in the NY Community Trust