(CNN) -- Aviation isn't known as the most eco-friendly industry. Carbon emissions aside, running an airline produces an incredible amount of waste. Everything from uneaten food to outdated uniforms is potential landfill fodder.

Southwest Airlines, for one, has decided to do something about it. After a large-scale redesign of many of its 737 aircraft, the carrier found itself with an excess of 80,000 leather seat covers -- enough to fill the Empire State Building.

"We had this idea of 'could we do something with this leather beyond recycling it or shredding it? Could we repurpose it?'" says Marilee McInnis, the airline's senior manager of culture and communications.

Southwest dubbed the initiative "Luv Seat: Repurpose with Purpose," and reached out to potential partners to take the used leather, but found that there were few takers.

"It's awesome to have a great idea, but you have to have support for those -- quote-unquote -- great ideas. I worked with our green team for nine months to find a use for the leather. It's actually much harder than you think it would be," says McInnis.

Following the advice of Bill Tiffany, a Southwest VP who grew up in Kenya, the airline started looking towards Africa for recipients of the used leather. Rather than just donating the goods and leaving it there, the airline decided to take a more holistic approach, giving the materials to NGOs that will use them to provide job training and health education.

The main partner is SOS Children's Villages Kenya, which is providing paid apprenticeships and training to orphaned youth, who in turn make shoes and soccer balls from the leather. The shoes are given to Maasai Treads, who distributes them as part of a campaign to fight debilitating foot parasites. The soccer balls are donated to Alive & Kicking, a charity that uses sport to educate young people on HIV/AIDS and malaria prevention.

"It's really easy to donate and walk away. We didn't want to do that. The leather is finite, but the skills these young people will learn will hopefully take them through their lives," says McInnis.

The redesign was itself an environmental measure. The seats were reupholstered with E-leather, a substance created from scraps the leather industry discards. The material is also lighter, reducing the weight of each aircraft by 600 pounds, and saving on fuel.

No incentive

Scott Hamlin, the founder of upcycling company Looptworks and Southwest's only U.S. partner, says the reason companies are resistant to using second-hand materials is that there's no financial imperative.

"It is unfortunately cheaper and easier for most companies to take materials they've used or have purchased at some point in time and just throw them away. Just landfill or incinerate then," he says.

There is, however, an ecological incentive. According to Hamlin, who will create special-edition bags from the leather, each bag uses 4,000 gallons less water than if created using virgin leather. He also puts the CO2 reduction at 82%.

"The circular economy starts to work when the value of the carbon emissions and water starts coming into play, like in the UK, where they will soon start having tax benefits for low-carbon companies," he says.

An upcycling uptick?

Though Luv Seat is perhaps the largest airline-led upcycling initiative, it is not the first of its kind. When KLM redesigned cabin crew uniforms in 2011, the carrier had the surplus fabric woven into the carpets that lined the business class cabin in the then-new 747-400 fleet. Air France last year had old uniforms recycled into car insulation, and in the past has repurposed plastic meal trays to create cutlery, and used the cables from seat backs to make headphones.

"When we launch a new product, we always ask, 'what is the life cycle of this product and what will we do with it at the end of its life?'" says Sophie Virapin, Air France's vice president of sustainable development.

It's a trend that's only likely to grow.

"This is a new area for us, and with the leather, we're just dipping our toe in the water," explains McInnis.

"Our CEO has asked, 'what else can we upcycle?' So I'm hoping we'll see upcycling for years to come."

Report: Airline recycling in 'sorry state'

@highlight

Southwest Airlines is repurposing 80,000 used leather seat covers

@highlight

The carrier has teamed with African NGOs to reuse the leather

@highlight

The leather will be used in job training and various health education initiatives