(CNN) -- China's 700 million smartphone users will no longer be able to share stories about politics without official approval, according to new regulations announced by authorities on Thursday, which took immediate effect.

The State Internet Information Office released a 10-point document detailing new rules for instant messaging (IM) service providers and users. It is the latest move in an official campaign to "clean up the online environment and rein in rumormongers," according to Chinese media.

Although the rules apply to all IM service providers, they are widely seen as targeting WeChat, the immensely popular mobile app that allows people to share text, videos, photos and audio recording with multiple users at once.

Public accounts on any mobile IM platform will also need to register with authorities using the real names of the owners. There are 5.8 million public accounts in China on subscription-based mobile apps, including celebrities, businesses and other organizations, according to state media Xinhua.

The rules also stipulate that, while the accounts of professional news providers are allowed to post about politics, all other accounts must obtain prior approval from authorities to post -- or repost -- political news.

Dominating the digital

"This is just the latest set of rules to remind everyone who's in charge and provide yet another legal and verbal framework for silencing troublesome voices," says Jeremy Goldkorn, commentator on Chinese Internet and founder of Danwei.com.

A similar set of regulations was imposed on users of Sina Weibo two years ago, the micro-blogging platform commonly referred to as China's Twitter.

Prominent Weibo users were later detained or prosecuted, on charges both related and unrelated to their online activities.

Lately, "rumor mongers" have become the target of the official online clean-up. In April, Qin Zhihui, who goes by "Qinhuohuo" online, was sentenced to two years in prison for spreading false information on Weibo.

"After the takedown of the Big Vs (verified accounts with huge follower numbers) on Weibo last year, I more or less gave up posting anything to the Chinese Internet," says Goldkorn.

"The government has successfully brought Weibo under control and has become the dominant voice there. I have no doubt that they will succeed with WeChat," he adds.

Another user of a popular WeChat account on current affairs said that the new regulation "will definitely impact what I'm going to post in the future.

"It's quite obvious now, other public accounts are definitely going to be more cautious about republishing political news because no one knows how strongly the rules will be enforced. And the term 'political news' is not quite clearly defined. We'll wait to see how things go."

A balancing act

To many China watchers, the new regulations that target mobile use has come as no surprise.

The three-year-old WeChat, owned by Tencent holdings, is unlike any other mobile app. It has taken China by storm, with a monthly average of 398.5 million users who rely on the app to get all sorts of things done -- from booking taxis to sending virtual hongbao (customary gift money). It also extends into e-commerce, gaming, socializing and posting pictures.

"WeChat has turned into the extended operating system of China's mobile millions," said CNN's Kristie Lu Stout, a technology enthusiast and host of "On China."

A Tencent spokesperson said that it "respects related government policies in all markets" where the company operates.

"And Tencent always devotes to create a healthy and secure online environment for our users. We'll take measures against offensive and abusive activities to show compliance with relevant regulations. We welcome users to report such instance to us via online channel."

Staying in the race

With its seamless functions, the China-developed app is fast gaining ground on its Silicon Valley rivals, such as WhatsApp. But now that the government is showing an ironclad crackdown on smartphone app freedoms, how can Chinese mobile developers stay competitive on the global stage?

"This is Beijing's dilemma. The government wants to develop the Internet to drive innovation and economic growth, while keeping tabs on any potential political risk bubbling up online," says Lu Stout.

Danwei's Goldkorn doesn't feel that increased government regulation will have any lasting impact on innovation.

"The social media and news aspect of WeChat is trivial compared to WeChat's personal messaging function that is replacing SMS text messages, its taxi booking and payment system, and wealth management product, and the WeChat-enabled use of QR codes for marketing. This is a highly innovative fusion of a variety of different digital services, and it's beautifully engineered.

"Of course the intellectual repression caused by China's censorious media, telecom and education systems does hinder innovation, but it does not destroy it."

He adds that he sees workarounds to the regulations should users want to disseminate subversive materials: "The point of the rules is not to delete every single vaguely problematic posting, but rather to stop public opinion from being swayed by non-official voices on the Internet."

CNN's Dayu Zhang contributed to this report.

@highlight

China issues new rules for uses and providers of mobile IM services

@highlight

Commentator: "This is just the latest set of rules to remind everyone who's in charge"

@highlight

Will the increased control of mobile use hamper mobile innovation in China?