(CNN) -- Georgia Tugend awoke Sunday with a sense of relief.

Hurricane Irene had roared through her Delaware neighborhood, vast and menacing. The wind knocked out power and scattered debris. Her house did not flood, though. Her family was safe.

"It was not as bad as I feared it would be," Tugend said. "There's nothing I see that can't be fixed with a little elbow grease."

Irene left more than 4 million homes and businesses in the dark up and down the East Coast, and authorities blamed it for the deaths of at least 18 people in seven states. They said it caused at least $1 billion in damage and warned that floods could cause more chaos.

Yet a cautious sense emerged Sunday that the nation had been spared an even more damaging blow from the storm. President Barack Obama had warned last week that Irene could be a "hurricane of historic proportions." Gov. Chris Christie of New Jersey warned that "from a flooding perspective, this could be a 100-year event."

On Sunday, Homeland Security Secretary Janet Napolitano said that Tropical Storm Irene remains "large and potentially dangerous" as it moves inland.

"By and large, with the evacuations and other actions taken, we have dramatically decreased the risk to life over the course of the storm," she said.

Forecasters and government officials warned people for days to take Irene seriously.

As the storm clouds neared, New York City took the unprecedented step of ordering 370,000 people to evacuate. Airlines canceled thousands of flights. Five airports in and around New York City closed, as did the Philadelphia airport. Mass-transit systems closed in Baltimore, Boston, New York, Philadelphia and parts of New Jersey.

After the storm moved north, however, people in places such as Ocean City, Maryland, were thankful that Irene had not left behind as much devastation as it could have.

"It was a long night last night, but I can tell you, we dodged a missile here at Ocean City," Mayor Rick Meehan said.

In New Jersey, Christie praised roughly a million people who heeded warnings to evacuate the Jersey Shore. People "decided we're not going to be tough and cynical and hard-boiled" and played it safe instead, he said.

Christie acknowledged taking lessons from past disasters. Some criticized him for being away during a blizzard in New Jersey last year. And the federal government received withering criticism for its response to Hurricane Katrina, which killed more than 1,700 people in seven states after coming ashore on the Gulf Coast as a Category 3 hurricane in August 2005.

"I think we took a lot of lessons from every one of these different disasters," Christie said.

People in Washington, D.C., also ventured out Sunday to discover that the city could have fared much worse.

"I drove around and there were a lot of downed trees, but other than that, it wasn't that bad," said Eric Goode.

"It was a bit of a let down," said another resident, Samantha Kaplan.

In New York, the unexpected sight of the shining sun buoyed a sense that the city had escaped the kind of problems that forecasters had most feared. Those fears prompted authorities to close the city's mass-transit system and order people in low-lying areas to evacuate.

On Sunday, though, some people asked if the danger was over-hyped.

"A bunch of people in New York have already said to me this morning, you know, 'What was the big deal all about?" CNN's Anderson Cooper said.

"There was so much expectation about, and fear about, what might happen in New York City," he said. "We've seen, it seems like, the best possible outcome so far. Yes, we've seen some flooding in some areas -- in New York, I'm talking about, but certainly not as extensive as had been feared."

Cooper asked CNN Meteorologist Chad Myers what had become of the dire forecasts that envisioned gleaming office buildings swaying as flood waters spilled into lower Manhattan.

Myers said that when Hurricane Irene smashed into the Outer Banks of North Carolina, that contact weakened the storm.

"It literally knocked the stuffing out of the eye," Myers said. "It never got its mojo back."

Meteorologists measured pressure levels inside the storm that could have allowed it to strengthen back into a Category 3 hurricane, Myers said, but Irene's romp over land in North Carolina prevented the eye wall from spinning into a more destructive storm by the time it arrived in New York.

"It never had that opportunity because North Carolina got in the way, dry air came across over Virginia and Maryland and got in the way, and although this was very low pressure, the reason why we could never let the guard down for New York City ... was because the pressure was low enough that at any time, if this storm decided to get its act together, it could have gone from a 60-70-80 miles per hour storm -- it easily could have been a 110 (miles per hour) storm like it was in the Caribbean and like it was in the Bahamas."

Joseph Bruno, New York City's commissioner of emergency management, agreed that it could have been worse.

"We've gotten some benefit from Mother Nature," he told CNN. "We did well. We prepared well also."

He thanked people for heeding Mayor Michael Bloomberg's order to evacuate, which authorities lifted at 3 p.m. Sunday.

Not everyone followed local authorities' evacuation orders, however.

In Lewes, Delaware, about three miles from the Atlantic Ocean, Tugend ignored a mandatory evacuation order because, she said, she could think of no safer place than her home to escape the storm's fury.

As the storm neared, she rounded up candles and matches, put fresh batteries in the flashlights and huddled with her husband, Dave Fiscbach, and their dog, Barkley, a Chesapeake Bay retriever named for basketball star Charles Barkley.

They lost power around dusk on Saturday, but propane fuels her stovetop. She boiled water for spaghetti and heated up sauce. She and her husband sat down to eat as the wind howled and driving rain fell.

"We ate by candlelight, which we haven't done for 20 years," she said.

CNN's Dan Merica contributed to this report.

@highlight

The storm largely spared New York City

@highlight

A woman in Delaware said it wasn't as bad as she feared

@highlight

Irene has caused at least 18 deaths, though, and did major damage in many states

@highlight

Authorities say the potential for danger remains