London (CNN) -- Summer may be drawing to a close but for the eurozone's economy, spring has only just begun.

After 18 months in recession, the single currency bloc finally posted some much needed growth in the form of a 0.3% expansion of gross domestic product for the second quarter.

Watch more: Europe's new challenges

Brussels was quick to take the credit, claiming its policies of structural reforms had finally started to take hold, whilst the investor community cautioned more work would be needed to ensure the nascent recovery could be sustained.

The truth is that yes, things are looking up but it depends where you are in Europe and there's certainly little room for complacency.

Predictably, growth in the eurozone's two biggest economies, Germany and France, underpinned the region's revival.

But a closer look at individual countries further down the pecking order throws up some unexpected surprises, which I've outlined below.

Read more: Can Europe drive a new industrial revolution?

Portugal, a nation whose profligacy and lack of competitiveness led to it being bailed out, grew 1.1% while the Netherlands, famous for its fiscal prudence, shrank 0.2% -- its fourth straight quarter of contraction.

The economies of Italy and Spain remained stuck in reverse gear as well.

So much for the stereotypes and the hard and fast crisis response rules which have taken endless European Union summits to draft.

Reading the data one would be forgiven for thinking three years of austerity never happened. In fact it wasn't even mentioned once in Olli Rehn's own communique.

Watch more: Why Europe's problems will come back

And yet the challenge for Europe's leaders at a time when some of them are coming up for re-election will be to seize upon the green shoots without dropping the ball on spending cuts.

In Germany, which will face a general election next month, business groups are already lobbying any incoming government to boost investment spending.

And in France, large firms are still loath to hire due to the government's lack of fiscal clarity and President Hollande's new punitive tax regime.

A CEO of one FTSE 100 business with over 60,000 staff across the EU told me Europe was in recovery, and that presented opportunities -- but confidence was needed to ensure the upswing really took hold.

Read more: Meet tiny nation bucking eurozone's pain

However, as any business leader will also tell you, confidence is an intangible currency. Indeed, the next challenge for Europe's top brass will be to convince companies the future is bright enough to start hiring again.

Across the eurozone and the broader EU as a whole, firms have been amassing huge cash reserves which, in the face of uncertainty, have been neither spent on new machinery nor on the hiring of new staff.

Such businesses will need more evidence of a true lift than a mere quarter of expansion before they are to undertake any hefty capital expenditure.

The eurozone crisis has dominated the political and economic sphere for more than three years. During that time millions have lost their jobs creating a legacy of high unemployment and long-term underemployment which will take years to tackle.

With more than a quarter of their populations out of work today, countries like Spain and Greece will probably still finding solutions to their jobs crisis by the time the next recession rolls around.

Explore: How the crisis made the rich richer and the poor poorer

That's not counting a whole generation who missed its first step on the job ladder.

If Europe really has learned its lesson, business and government should start setting the wheels in motion now to work together and retrain staff for the jobs available today and tomorrow.

More jobs would boost domestic consumption and help provide a counterweight to export-dependency of the growth generators like Germany.

But to hire, businesses need to be offered incentives.

One incentive is a stable, more robust economy. Another is a benign interest rate environment, which is why what would really give this recovery legs is a rate cut by the end of this year. Mario Draghi, take note.

Read more: Central bankers and the games of wordplay

@highlight

After 18 months in recession, the eurozone finally posted some much needed growth

@highlight

Things are looking up but it depends where you are in Europe, and there's little room for complacency

@highlight

The challenge for Europe's leaders will be to seize upon the green shoots

@highlight

Now, the bloc's business leaders need confidence, but that is an intangible currency