(CNN) -- Many a modern president has lost momentum and suffered what are termed "scandals" in his second term. President Barack Obama's current problems are part of that tradition. But with the exception of Richard Nixon, scandals have not proven fatal. Indeed, Ronald Reagan's Iran-Contra scandal and Bill Clinton's impeachment over the Monica Lewinsky affair were far more serious than what we know so far about Obama's involvement in Benghazi, the Internal Revenue Service or subpoenas of records of reporters' calls. Yet Reagan and Clinton finished their second terms as popular presidents.

America's founding fathers created a system of government deliberately designed to protect liberties rather than be efficient. They feared giving the chief executive too much power and constrained the president with checks and balances to limit his actions. As one wag put it, the system ensured that King George III could not rule over us, nor for that matter, could anyone else.

One partial exception was foreign policy, where the inherent powers of the commander-in-chief give the president somewhat more constitutional leeway than in domestic policy. According to conventional wisdom, this situation leads lame duck, second-term presidents to turn their attention to foreign policy where they have a better chance of creating a second-term legacy. But it's not that simple.

Much of a president's second term depends upon unpredictable external events. For example, during his first term, Woodrow Wilson made every effort to stay out of World War I, and he won re-election in 1916 on that promise. But within six months, Germany's resumption of unrestricted submarine warfare and meddling in Mexico led Wilson to send American troops to fight in Europe -- an enormous departure from the U.S. tradition of avoiding conflicts outside the Western Hemisphere.

And after 1938, Franklin Roosevelt decided that Hitler posed a threat to the United States, but he was unable to convince an isolationist American public to enter World War II until the Japanese solved his problem by attacking Pearl Harbor at the end of 1941.

Reagan's case is also instructive. His tough rhetoric toward the Soviet Union was the hallmark of his first term, and he won a massive re-election victory in 1984. Yet in 1985, after Mikhail Gorbachev came to power, Reagan had the intuition and emotional intelligence to recognize at their first summit in Geneva that Gorbachev -- unlike the inept Soviet leaders that preceded him -- was a man with whom he could do business.

The real success of Reagan's foreign policy was not the tough talk, but the ability to cash in on it by reaching deals that were the beginning of the end of the Cold War. Yet ironically, Reagan almost lost his presidency and his place in history because of careless management that allowed his subordinates to transfer arms for hostages in Iran and use the proceeds to violate congressional laws against providing funds to the Contra rebels in Central America.

Obama's first term was marked by the passage of health care legislation -- unpopular with some, but a historic accomplishment that Democratic presidents have sought since the days of Harry Truman. The Democrats' loss of the House of Representatives in the 2010 elections has constrained Obama's ability to advance other transformational efforts on the domestic front, though some believe that, out of self-interest, the Republican Party may still allow bipartisan reform of immigration law during Obama's second term.

The current "scandals" certainly are expensive to Obama in terms of daily distraction and lost political momentum, but if you think you can write off the rest of the Obama presidency, think again. Too often, Washington focuses so myopically on daily political battles that it fails to pay attention to history. The lessons of history tell us: It is too soon to write off Barack Obama.

The opinions expressed in this commentary are solely those of Joseph Nye.

@highlight

Joseph Nye: Many presidents lose momentum with second-term scandals

@highlight

So some try foreign policy, where constitution gives more chance to make legacy, he says

@highlight

Nye: Wilson, FDR, others found external events can upend plans for foreign policy legacy

@highlight

Nye: If you're writing off Obama's second term, you're not paying attention to history's lessons