(CNN) -- With extreme heat and the worst drought in half a century continuing to plague the farm states, there are important lessons to be learned for all of us -- farmers, consumers and the world's poorest populations alike -- about the effect of climate change.

The Agriculture Department announced this season's first major crop yield forecasts, and they weren't pretty: a nationwide average of 123.4 bushels of corn per acre, the lowest level since 1995. Soybean yield is expected to be low too, though not as bad as corn.

The United States, which is the world's largest producer and exporter of staple grains, is grappling with the biggest surprise in production shortfalls since the Dust Bowl of the 1930s. Certainly, this July surpassed July 1936 as the hottest month on record.

So, how will the devastation affect U.S. crop farmers?

Drought, heat bring spiders out

Since mid-June, corn prices have risen about 60%, more than twice the projected decline in yield. This means that farm revenue will go up. About 90% of the corn acreage is backed by a generously subsidized federal insurance program, described by Steven Colbert as "Obamacare for the corn," so crop farmers will be just fine. Livestock farmers who use corn to feed their animals could see higher costs, but most have contracts with processors who provide their feed grains.

What about consumers? Will high commodity prices affect the prices of food you eat? Not much, actually.

Commodity prices account for just a tiny share of retail food prices. If you're a shrewd shopper, next year you may notice higher prices for meat, milk, eggs, and cheese and all types of processed foods. The USDA estimates that food prices will increase 3 to 4% in 2013. This is not going to radically change your life. People in rich countries like the U.S. are not going to eat much less or much differently as a result of modestly higher prices.

The crop losses will have the most effect on the world's poorest populations. About 2 billion people still live on $2 a day or less. Many of them live in urban areas of developing countries. Often, they must spend half or more of their income on food, the bulk coming from staple grains like corn, wheat and rice. For these people, a huge rise in grain prices is more than noticeable -- it can literally break their budget.

In 2008 and 2011, when corn prices went up to levels nearly as high as today's, the world saw a sharp rise in food riots. Many pointed to wheat prices as a catalyst for revolutions in the Middle East, including Egypt, Tunisia and Libya. It is not hard to see that food-related security problems overseas could cost us far more than the extra pennies we'll pay at the grocery store.

NASA scientist links climate change, extreme weather

The U.S. can ease price pains somewhat by suspending government rules that mandate biofuel production. In 2011, about 40% of U.S. corn crops were diverted to ethanol (a quarter, if we take into account that nutritional content is recycled back into feeds for animals in the form of distiller grains). But this seems untenable politically.

The larger and more important issue is whether this year's bad crop yield is an omen of what we should expect going forward.

Record high temperatures are occurring with far greater frequency than in decades past, and crop yields decline sharply in extreme heat. In research that Wolfram Schlenker and I have conducted using the Hadley III climate model, we project yield declines of about 20% over the next 20 years, holding all else the same. This summer's extreme heat may just become typical in 15 years.

Some have criticized these projections as too pessimistic, and they just might be. An atmosphere richer in carbon dioxide concentrations may allow plants to transpire less water during photosynthesis, and thus, improve drought tolerance. Farmers can adjust to earlier planting times, perhaps avoiding some extreme temperatures during the sensitive flowering period, and lengthening the growing season. And new drought-tolerant crop varieties have been developed.

This season was a good test of these adaptive strategies. It appears they didn't work. Carbon dioxide concentrations are much higher than they were in 1983 and 1988, when it was nearly as hot as this summer. And farmers planted much earlier than usual, many using new drought-tolerant varieties.

Record drought is good business for some

For now, we can take a little comfort that ample harvests in the Dakotas, Minnesota and parts of the South could make up for some of the decimated crops in the central Midwest this year.

But next year? And the years after? In the long term, a warming world will be a difficult challenge for our crops and all of us.

Complete coverage: drought

The opinions expressed in this commentary are solely those of Michael Roberts.

@highlight

Michael Roberts: Extreme heat and drought are signs of a changing climate

@highlight

Roberts: Farmers and U.S. consumers will be fine; food prices will go up a bit in 2013

@highlight

He says the crop losses will have the most effect on the world's poorest populations

@highlight

Roberts: This summer's extreme heat may just become typical in 15 years