(CNN) -- Earlier this year, Sen. Chuck Schumer, D-New York, and House Minority Leader Nancy Pelosi, D-California, expressed support for raising taxes only on households earning $1 million or more, a higher threshold than the $250,000 dividing line backed by President Obama.

Eventually, Schumer and Pelosi declared their support for the president's position. But the $1 million proposal might serve as the basis for a bipartisan agreement.

A number of Republicans, led by Sen. Bob Corker, R-Tennessee, have called for raising tax revenue by capping deductions at $50,000, a proposal that would leave virtually all middle-income households untouched while substantially raising average tax rates on households in the top 2% of the income distribution.

A deduction cap is expected to raise roughly $800 billion in revenue above current policy, which is only half of the $1.6 trillion the Obama administration hopes to raise from high-earners. It is, however, an amount that many congressional Republicans appear to have deemed acceptable.

Politics: The road to fiscal cliff paved with good intentions

One of the central problems with a deduction cap, however, is that it is likely to be opposed by politically influential charitable organizations, which recognize that it will greatly undermine the incentive for high earners to make large charitable donations. Moreover, President Obama has insisted that tax rates on high earners will have to increase, though he has not made an explicit commitment to the Clinton-era statutory top rate of 39.6% (which compares to today's top rate of 35%).

So, is there a way out of this impasse? Rep. Mike Simpson, R-Idaho, along with Reps. Tom Cole, R-Oklahoma, Bob Dold, R-Illinois, and Mary Bono Mack, R-California, have called on congressional Republicans to back legislation that would extend all the Bush-era tax cuts except for the high-income rate reductions, which would be allowed to expire. This remains a minority view among congressional Republicans, but it may well gain support in light of the popularity of allowing the high-income rate reductions to expire.

Another possibility is that congressional Republicans will embrace the Schumer-Pelosi proposal. That is, rather than embrace expiration for the high-income rate reductions for households earning $250,000 or more, they would accept it for households earning $1 million or more.

This would shield a large, politically influential constituency of affluent households, a disproportionately large share of whom live in high-cost metropolitan areas in blue states, while allowing Democrats and Republicans to take a politically popular stand.

Opinion: A tax we could learn to love

To raise somewhat more revenue, this threshold could be set at $500,000 or $410,000, the latter of which would more precisely target the top 1% of households by annual income. Rather than set the tax rate for this new top bracket at 39.6%, Congress could set a rate of 36% or 37%, a face-saving gesture that would contribute to an appearance of moderation.

Back in 2007, Alan Viard, a tax economist at the right-of-center American Enterprise Institute, offered a detailed explanation of why increasing taxes on high-income households alone is unlikely to raise enough revenue to reach ambitious deficit reduction goals. At the time, he estimated that raising $1 trillion in additional revenue relative to the Bush-era tax code from households earning $1 million or more ($500,000 for singles) would require raising the tax rate from 35% to 57%.

If the goal of a millionaire's tax bracket is not to raise revenue in the most efficient manner but rather to make a political point, as seems at least somewhat plausible, it is easy to imagine it as the basis of a political compromise.

The Obama administration is eager to secure more fiscal stimulus for the coming year in light of sluggish global economic growth. So a tax compromise that raises relatively little revenue is arguably desirable, at least in the short term, as it would help forestall an economic contraction.

Homes, cars, jobs: Americans already making big decisions over fiscal cliff

If some small number of Republican senators from swing states are willing to cross the aisle to back a millionaire's tax bracket, President Obama will be able to claim he has a bipartisan consensus in favor of his broad approach to resolving the fiscal cliff. This in turn will make it very difficult for House Republicans to resist.

The opinions expressed in this commentary are solely those of Reihan Salam.

@highlight

Earlier this year Sen. Schumer, Rep. Pelosi proposed raising taxes on millionaires

@highlight

Reihan Salam says their idea of a higher threshold than Obama's $250,000 could work

@highlight

Salam: It wouldn't raise as much money, but would be more politically palatable

@highlight

He says another plus is that it wouldn't risk as much of an economic slowdown