(CNN) -- It all starts on the sixth floor of the five-star Lotte Hotel, in the center of Seoul. After booking my place for Panmunjom Travel Center's Combined Tour, I show up at the agency office at 7:45 on a chilly Friday morning in December to begin my adventure.

A model of a Republic of Korea soldier stands guard in front of a footbridge that dead-ends at the DMZ.

Our destination for the day is the DMZ -- or the "heavily fortified" Demilitarized Zone between North and South Korea. Passport and conservative attire are required on the day -- this is not a do-it-yourself tour.

Four kilometers (2.8 miles) wide, 240 km long and roughly 55 km north of Seoul, the DMZ was created on July 27, 1953, following the Armistice Agreement that ended three years of fighting, if not the war itself.

Half a century later, the untouched buffer zone between the Koreas has evolved into a highly protected ecological sanctuary, home to several rare species of plant and wildlife, including whooper cranes and white herons.

As the tour bus makes its way northward along the "Freedom Highway," the guides brief us on the infiltration tunnels dug by the North Korean army with the intention to covertly invade Seoul and take over South Korea.

Since Kim Il Sung's combat order to dig them in 1971, four such tunnels have been discovered respectively in 1974, 1975, 1978 and 1990. The third tunnel, 75 meters deep and the closest to Seoul, is the one we are scheduled to visit.

Our first stop is Paju, a small city bordering the DMZ, full of ominous symbols that double as tourist distractions leading up to the heart of the border-line tension.

A sheltered peace bell, a footbridge that dead-ends into a barbed-wire fence, an exhibition of military vehicles and missiles employed during the war, the trans-Korean "Iron Horse" train stopped dead in its tracks and an abandoned amusement park are just some of the attractions that greet visitors to Paju on their way to the real danger zone.

Unfortunately, after our extended visit, we learn that the previous night's snowfall has left the road to the Western Frontline dangerously slippery and closed until further notice. In short, our Third Infiltration Tunnel tour has been canceled.

We thus proceed directly to the Mt. Odu Observatory, where we are left in the hands of our new guide, Sky. She proves to be a lively and knowledgeable lady, whose name reflects the well-known acronym used to refer to South Korea's top three universities: Seoul National, Korea and Yonsei.

Among other food-for-thought tidbits, she points out that there are many more South Korean spies sent to the North than North Korean spies sent to the South (see also the movie "Silmido"), which coincidentally puts the whole infiltration-tunnel propaganda into perspective.

After a traditional Korean lunch of bulgogi (grilled beef) or bibimbap (baked rice) at a roadside restaurant and a short documentary screening at Camp Bonifas, we finally arrive at our main destination of Panmunjom, officially called JSA (Joint Security Area) (see also the movie "JSA").

Building up excitement, we are greeted by a sign that reads: "Clear all weapons before entering compound." After a careful passport check, we are instructed to "don't read, just sign" a Visitor's Declaration (later returned to us) stating that "Although incidents are not anticipated, the United Nations Command, the United States of America, and the Republic of Korea cannot guarantee the safety of visitors and may not be held accountable in the event of a hostile enemy act."

As the bus progresses into the lot where we will transfer to a U.N. vehicle, Sky warns us of previous tourist "incidents" resulting in a sudden tour cancellation for all participants, including one in which a man was carrying an unauthorized flask of newly purchased soju (rice wine).

In another, much more serious breach, one "tourist" turned out to be an expelled North Korean trying to get back across the border. In yet another incident, a German human-rights activist tried to backstep into the North. These weren't the first time the tours have been considered as a potential penetration route by either side.

Both South and North Korea offer tours of the DMZ, while the tourists who take in the sight from the North are predominantly Chinese. In our tour group today are mostly Americans and Asians, including a few Singaporeans and lots of Japanese.

The U.S. military's USO (United Service Organizations) also provides tours, as well as the official JSA dress code, which specifies no baggy pants, graffitied T-shirts, among others. Not so long ago, even jeans were outruled, being perceived by the North as linked to American decadence.

Once we are seated inside the U.N. vehicle, passports are examined a second time, along with a quick dress-code check. Mini skirts, heels and flip-flops are out, although sneakers seemed to be accepted -- "so you can run faster" in case of emergency, informs Sky.

We are led in an orderly single file into one of the small blue U.N. conference rooms that straddles the Military Demarcation Line (MDL), where heated scuffles have been known to break out between delegates of North and South.

The southern ROK (Republic of Korea) soldiers in particular are known to be exceptionally fit, running several kilometers each day, while many are certified taekwondo masters.

Only once inside is photography allowed, but no touching -- that includes our hosts, the hard-hatted ROK soldiers, whose dark glasses make eye-contact impossible.

"I feel very comfortable today," remarks Sky, referring to the visible absence of KPA (Korean People's Army) soldiers around the premises. Indeed, there are no footprints in the untreaded snow north of the MDL just outside.

More photo-taking is permitted from a designated outdoor observatory point, then it's back into the bus for a final view of the MDL face-off from a close but safe distance.

As we wait in the lot to transfer back onto our original tour bus, I dare to ask our guide a risque question: What exactly is inside the ROK soldiers' pants? It sounds as if heavy beads are shaking the beat to their every step as they walk.

"Ball bearings," answers Sky. "They put them in their trouser legs so that one soldier walking sounds like a whole troop marching, to scare the enemy."

The bus makes a final outdoor stop at the highest military checkpoint within the JSA, giving us a panoramic view of the naturally disguised minefields that stretch across to the North Korean mountains.

Below in the vast stretch of bush, we see a small clearing on the side of the road, marked by a plaque. We are told it's the site where two U.N. command officers were killed by North Korean guards in 1970 as they were axing down a yellow poplar tree that was blocking the view.

Here on the viewing platform, just 1 km away from the building where the Armistice Agreement was signed 54 years ago, a pyramid-shaped stone reads:

"...From the initiation of hostilities on June 25, 1950, until the Armistice the war cost the Korean people untold treasure, anguish and the lives of approximately 150,000 members of the Republic of Korea armed forces. United Nations Command forces suffered approximately 40,000 casualties in the fight for liberty. Thanks to these sacrifices the Republic of Korea is a 'Free and democratic country!'"

As people begin hopping back onto the bus to leave Panmunjom, two ROK soldiers graciously agree to pose with a few tourists who can't get enough of this military field trip. As we wave good-bye, just before one soldier sees the group off with a dutifully stiff salute, I catch a glimpse of his comrade offering us a rare smile. E-mail to a friend

@highlight

DMZ has evolved into a highly protected ecological sanctuary

@highlight

Four infiltration tunnels have been dug by the North Korean army since 1971

@highlight

Authorities "may not be held accountable in the event of a hostile enemy act"