(CNN) -- A Sikh farmer in India has surpassed a month on a hunger strike, demanding the release of six men from his community jailed since the 1990s during a period of a deadly Sikh separatist movement in the country.

Gurbaksh Singh Khalsa, 48, began his protest on November 14, his aide, Harpal Singh Cheema, told CNN.

His hunger strike brings attention to the fates of Sikhs who were arrested and convicted for their actions during the separatist movement, but who, unlike others, have not had their sentences shortened.

The fact that other Indians sentenced to life have been released earlier, but not the Sikhs, has some accusing the justice system of discrimination against the group.

Those who support Khalsa's hunger strike say it is long overdue that the cases of those Sikhs be reviewed.

An armed Sikh rebellion operated in Punjab, the heartland of the faith, from the 1980s to the early 1990s, when it was crushed.

Hiding from the massacre: 1984 remembered

Many political leaders were assassinated during the insurgency.

India's then-Prime Minister Indira Gandhi was killed by her Sikh bodyguards in October 1984, the same year she had ordered a military raid on the Golden Temple, the holiest of the Sikh shrines, to flush out militants holed up inside.

Three of the six convicts whose freedom Khalsa is fighting for were arrested in 1995 for their alleged role in the assassination of Punjab's then-Chief Minister, Beant Singh, in a car bombing. They were sentenced to life in prison.

The others were convicted under a draconian anti-terror law that has since been repealed, civil rights lawyer H.S. Phoolka said.

"It is not unusual to set lifers free after they have served 14 years in prison," Phoolka said. "These prisoners should also be freed, as normalcy returned to Punjab long ago and they should be joining the mainstream now."

International rights groups have accused both the Sikh separatists and Indian forces of serious violations during the insurgency.

The six Sikh inmates are lodged in the jails of the federally-administered territory of Chandigarh and in Punjab, Karnataka and Uttar Pradesh states.

Khalsa is "weak but says he will not end (his hunger strike) until he sees those six prisoners free," his aide said.

iReport: 'Free those political prisoners [who] should be legally free'

Khalsa's protest, which has drawn support from across the Sikh political and religious spectrum, has gained a viral online attention, although the story is not prominent on India's national media.

"A number of Sikhs were falsely arrested, charged and convicted. Many of them are still in jails despite their old age. It's my personal opinion all such prisoners â€” whichever community they may belong to â€” should be set free now," said Sukhdev Singh Bhaur, general secretary of the Shiromani Gurdwara Parbandhak Committee (SGPC), the top Sikh religious administration in Punjab.

"It's up to the discretion of those governments, administrations to reconsider their cases. We are trying our best," Punjab government spokesman Harcharan Bains said.

In India, state authorities can review a lifer's case after a prisoner serving that sentence has spent 14 years, Bains and lawyer Phoolka said.

"But, otherwise, a life sentence means sentence until the last breath of the prisoner," Bains said.

Rights attorneys, however, say authorities are selectively rejecting reviews of Sikh inmates incarcerated during the Punjab militancy.

"There are numerous examples where life convicts have been prematurely released after undergoing imprisonment of 12 to 14 years or even less," Phoolka said. "It is a great discrimination against... because of their religious beliefs."

Meantime, Human Rights Watch, in a statement to CNN, called upon Indian authorities not to let prisoners remain behind the bars beyond their sentences.

"There were serious human rights abuses during the Punjab insurgency," the human rights group said.

Both militants, with their attacks, and the security forces, abusing the now repealed terror law, committed human rights violations, the group said.

Sikhs and rights bodies have also accused successive Indian governments of going soft on high-profile politicians suspected of perpetrating a massacre of Sikhs in and round New Delhi in the wake of Gandhi's assassination.

Official figures put the number of those killed in the 1984 anti-Sikh attacks at 2,733 in the Indian capital alone. Human rights activists say the death toll was much higher.

"Despite the findings of independent commissions, government forces or officials responsible for excesses, including during the 1984 riots, are yet to be properly prosecuted," Human Rights Watch said in its statement.

Himself a Sikh and the country's first non-Hindu head of government, Indian prime minister Manmohan Singh issued a public apology for the deadly events -- 21 years after their occurrence.

"I have no hesitation in apologizing not only to the Sikh community but the whole Indian nation because what took place in 1984 is the negation of the concept of nationhood and what enshrined in our Constitution. So, I am not standing on any false prestige. On behalf of our government, on behalf of the entire people of this country, I bow my head in shame that such thing took place," Singh told India's Parliament in an impassioned address in 2005.

@highlight

Gurbaksh Singh Khalsa has been on a hunger strike for more than a month

@highlight

He is demanding the freedom of a group of Sikh separatists

@highlight

Both sides in the conflict during the 1980s and 1990s committed violations

@highlight

But some argue that the justice system has been harsher on the Sikhs