(CNN) -- One of al Qaeda's most influential figures in North Africa has been killed by French and Chadian forces, a U.S. official said Friday.

French military sources had earlier said that Abdelhamid Abou Zeid, a deputy leader of al Qaeda in the Islamic Maghreb, was killed in an airstrike in Mali late last month.

Abou Zeid was one of the group's most ruthless commanders, having seized at least a dozen foreigners for ransom. At least two have been killed; several French citizens remain captive.

"He was a senior influential member of AQIM, and his death represents a significant blow to AQIM's efforts to use West Africa, and Mali in particular, as a safe haven," the official told CNN.

Military sources quoted by French media say that in the past few days, Abou Zeid and a substantial number of his fighters were killed during a French bombardment near Aguelhok in northern Mali.

His death was first reported by an Algerian television station Ennahar.

A spokesman for the French Defense Ministry refused to comment on the reports.

The ministry did say air force operations are continuing, including in the Tessalit region, where close to 100 air sorties were carried out this week.

Aguelhok is a remote town close to mountains and the Algerian border -- in a region where many Islamist fighters had regrouped in the face of the French push toward the main cities of the north.

According to analysts, it is an area that Abou Zeid was intimately familiar with, as for years it was his main base of operations before Islamists took over much of northern Mali.

For much of the last year, a constellation of jihadist forces including Abou Zeid had controlled large parts of northern Mali after ethnic Tuareg rebels had forced the army to retreat. He spent much of his time in and around Timbuktu, partly at a luxurious mansion that had been built for Moammar Gadhafi, according to reports from the city.

At the beginning of this year, Abou Zeid joined other Islamist forces making a push southward toward the capital, Bamako. But when the Islamist advances prompted a French intervention, he moved to the area around the less accessible city of Kidal, close to the virtually impenetrable Ifoghas Mountains.

Abou Zeid had been promoted by the emir of AQIM -- and fellow Algerian -- Abdelmalek Droukdel. Droukdel saw him as a loyal counter to the growing power of a rival jihadist commander, Moktar Belmoktar, the man who ordered the hostage attack on the Algerian gas plant in January.

Abou Zeid's ruthlessness -- and his growing influence -- were confirmed three years ago when he ordered the beheading of an elderly British tourist -- Edwin Dyer -- who'd been seized by his group early in 2009. When Malian authorities rounded up a number of al Qaeda suspects in response, Abou Zeid sent a hit squad to the Timbuktu home of a senior intelligence officer, who was shot dead.

The following year, a French aid worker, 78-year old Michel Germaneau, was killed as French commandos tried to rescue him. Abou Zeid's group also staged a raid on a uranium mine in neighboring Niger -- abducting seven workers, four of whom, all French, are still being held.

One of the few Westerners to have encountered Abou Zeid was a French citizen, Pierre Camatte, who was abducted from a hotel in northern Mali in November 2009.

"Physically, there is nothing remarkable about Abou Zeid," he told Le Monde's Isabelle Mandraud after his release. "He is small, and thin. But he seems to be highly respected by members of his entourage."

"He wanted to know whether I knew of any mapping websites on the Internet, Russian websites, so that he could have real-time images."

Abou Zeid's hostage-taking provoked a trial of strength with Belmoktar, who had generated significant funds for jihad from ransom payments for foreign hostages.

By all accounts, the two were very different characters. Abou Zeid had a reputation for extreme brutality and thuggishness, while Belmoktar developed a reputation for strategic cunning. Analysts tell CNN that despite their rivarly, the two men found ways to coexist.

The fall of Gadhafi in Libya gave both men the opportunity to take their operations northward into Libya from their sub-Saharan strongholds. Sources briefed by Western intelligence told CNN that Belmoktar and Abou Zeid made trips to Libya to explore the possibility of cooperation with local Libyan jihadist groups, secure weapons supplies and scout out possible locations for training facilities.

Abou Zeid made several trips to Libya in 2011, according to one source familiar with intelligence from the area.

He was one of several al Qaeda figures in North Africa who had fought in Algeria's vicious insurgency in the 1990s, when whole villages were massacred and atrocities were committed by both Islamist militants and Algeria's counterterrorism forces.

As a child growing up in a poor region of southern Algeria, Abou Zeid had little formal schooling, but his intimate knowledge of the border with Libya made him an expert smuggler.

According to Dario Cristiani, writing in the Jamestown Foundation's Militant Leadership Monitor, he was radicalized by several run-ins with the Algerian authorities. And he was at the heart of the transformation of the Algerian insurgency into an al Qaeda affiliate.

Abou Zeid's death casts further uncertainty over the fate of the French hostages his group is still believed to hold.

In December, before the French intervention in Mali, he accused the French authorities of blocking negotiations for their safe release. Several of the hostages had appeared in videos warning against military intervention for the sake of their own safety. In one video, with masked men holding AK-47s behind them, the men look exhausted and terrified.

Andrew Lebovich, a Senegal-based analyst who recently traveled to Mali, told CNN there is concern that Abou Zeid transported a number of Western hostages with him after he left Timbuktu.

If Abou Zeid was indeed killed, the expectation is his group will retaliate.

"According to available accounts, he was somebody who generated fierce respect and loyalty in his men, so unless his fighting force has been severely degraded, there's a chance his group may lash out to avenge his death in the days and weeks ahead," Lebovich said.

@highlight

NEW: U.S. official confirms death of Abdelhamid Abou Zeid

@highlight

The al Qaeda figure was killed in French airstrike, French military sources have said

@highlight

The deputy leader of al Qaeda in the Islamic Maghreb and his fighters were in northern Mali

@highlight

He had a reputation for brutality