(CNN) -- Earlier this year, the world learned that Oscar Pistorius, a white South African Olympian, was so filled with a "sense of terror" at the prospect of an intruder in his bathroom on Valentine's Day eve that he, in a panic, blasted four gunshots through the door before realizing that he had killed his model girlfriend, Reeva Steenkamp.

Her death is being framed in some circles as a tragic consequence of the fear wealthy South Africans live with in regard to the country's crime, where midnight sounds in bathrooms have them scrambling for bedside weapons, shooting first and asking questions later.

I am not in the position to say whether or not Pistorius's version of events is true. This is for the courts to decide. But as an American who has been in the country for 20 years and lived in Johannesburg and Cape Town, I can speak about the unique mindset that comes from living behind high walls, particularly the kind of high walls Pistorius lived behind in his Pretoria security complex.

That mindset is hardly one of hair trigger fear. In fact, it's exactly the opposite.

Walled complexes are very popular across South Africa, where most of the middle class and all of the rich live behind walls anyway. The walls serve a greater purpose than deterring criminals. They also provide a barrier between the affluent and beggars, junk collectors, basket sellers, fishmongers and job seekers that trawl up and down the streets daily ringing bells and knocking on doors looking for handouts, some on foot and some on horse cart.

Not everyone surprised at Oscar Pistorius' fall from grace

But the South African security complex like the one Pistorius owned offers the resident walls within walls. I lived in a complex like this in Cape Town for four years, where I sat on the body corporate, and learned firsthand the weird paradoxes of living within a maze of concrete. The main problem we faced was the overtly casual way in which residents treated security once they were in the bosom of the compound.

My neighbors, like people in similar complexes in Johannesburg and indeed Pretoria, routinely left ground floor windows and doors to their residences wide open. One outgrowth of this kind of carelessness was the rise of opportunistic thieves who especially targeted security complexes because they know people living there were, ironically, so utterly unconscious of security once they were inside the perimeter of the keep.

As a result, purses and mobile phones were routinely snatched off kitchen counters. These were ridiculously preventable crimes. Living in a concrete womb seemed to make people believe they could totally ignore the possibility of crime that somehow so captured the imagination of Pistorius that he felt compelled to post his now famous 2012 tweet: "Nothing like getting home to hear the washing machine on and thinking its an intruder to go into full combat recon mode into the pantry! waa"

Why brutality is ingrained in psyche of South Africa

When I read that, my first thought was "full combat recon mode"? Pistorius might have been on edge, but we in the body corporate sent out endless nagging e-mails to our far less combat ready complex dwellers urging them to lock their doors, close their windows, and set their alarms at night.

We told them to not leave their garage doors open, and not to make copies of the outside pedestrian gate key for the legions of maids and gardeners who descended on the complex every morning. We begged them to lock their front doors when they popped out to the shops and admonished them to please not let just any stranger in who rang the outside buzzer claiming he was working in one of the empty units.

Our e-mails went mostly unheeded, and the occasional pilfering continued. It seemed that nobody was even vaguely interested in going "full combat recon mode." Why was Pistorius so up for it, I wondered? Then it occurred to me that very few people who are really in "full combat recon mode" have the presence of mind to pick up an iPhone and tweet about it. And even add a weird "waa."

We only had one violent incident at our complex. A woman who lived alone was found dead in her kitchen one morning. She had been strangled. None of her things were taken, and her BMW was untouched. Of course we were communally shocked and then worried about our own safety. A week later the detective assigned to the case dropped by to tell us that she had argued with her boyfriend and he had killed her in a rage. The guy was charged with murder but never went to trial. Turns out he got off on a technicality.

The opinions expressed in this commentary are solely those of Ron Irwin.

@highlight

Oscar Pistorius was charged with murder after shooting his girlfriend in their home

@highlight

Ron Irwin: Walled complexes like Pistorius' home are popular across South Africa

@highlight

He says living behind high walls changes people's mindset about security

@highlight

Irwin: Residents tend to be more careless and casual when they live in a maze of concrete