(CNN) -- High-flying acrobats. Death-defying leaps. Bright lights and performance tents filled with adoring fans. It's the stuff of which dreams are made. After all, who doesn't want to run away with the circus?

But for Joe Putignano, it wasn't as simple as running away -- it took a lifetime of dedication and a battle against addiction to get where he is today: dangling from the 40-foot-high catwalk above the Cirque du Soleil big top.

The house lights are off, and one lone spotlight shines upon Joe's reflective mirror-ball suit.

He is tethered at the waist, head tilted back, arms reaching behind him to grab his foot, which is quickly flexing up toward his head. He starts to spin -- literally because that's what his character is supposed to do, and figuratively, because of the searing pain he's feeling in both shoulders as he contorts into this position.

Though it may seem that Cirque characters are superhuman, they too can get injured. Joe is a real human being with real muscles, bones, connective tissue and joints.

And for Joe, it's not just high-flying acrobatics that cause him pain.

"It's sort of mundane things," he says. "Sleeping hurts a lot, because I'm rolling over on my shoulder. Just drinking a coffee. Washing my hair hurts a lot."

After nearly 1,000 performances of "Totem" and a lifetime of gymnastics training, Joe has finally hit a wall.

"I need to have surgery," he says matter-of-factly. "I really wanted to see if I could continue on, and just kind of manage it, do a lot of physical therapy, and get out of this pain. But we've done that, and we're kind of out of options."

Cirque du Soleil star: Why I fear pain

Joe has what's called a superior labral tear from anterior to posterior -- a SLAP tear for short -- in his right shoulder. His biceps tendon is also torn, and he has a third tear in the subscapular area underneath his shoulder blade.

His left shoulder has just the one injury -- another SLAP tear. That one needs to be operated on as well, and soon, before he has permanent damage to the joint.

And surgery has to be done in a way that preserves Joe's abilities to perform.

"I suppose there's always a risk that when they do fix it, that it will destroy my flexibility," Joe says. "I'm useful in this industry because of my flexibility."

Now this contortionist is headed to another arena with bright lights, where all eyes are focused on him: the operating room. Surgery is scary for anybody, but for Joe, it is potentially the most terrifying thing he's ever encountered.

Joe is a recovering heroin addict. He's been clean for more than five years, but the thought of anything affecting his sobriety -- particularly opioid painkillers after surgery -- is something he isn't willing to risk.

"Opiates made me feel like I was the greatest human being possible. Protected, cared for, loved -- all internally," he said. "So I started my path on opiates and abused them, which ultimately lead me to heroin."

"I'm terrified that if I have an opiate, will it trigger this kind of sleeping demon inside of me?"

Joe's fears aren't unfounded.

"I recently met a woman who was 10 years sober, and she had breast cancer," he said. "She was given Percocet for the pain, and she ended up relapsing. Why does that have to be our reality?"

He's determined to not let it become his reality, both for his own benefit, and to show other addicts they don't have to fear a day where they need surgery.

In 2009, 605,000 Americans who were 13 and older reported abusing heroin in the preceding year, according to the National Institute on Drug Abuse.

That same year, 16 million Americans "misused prescription pain relievers, tranquilizers, stimulants or sedatives for nonmedical purposes," according to that same report.

Most of these nearly 17 million Americans will need surgery someday, and many of them will be prescribed opioid painkillers to combat post-operative pain.

"We don't have exact numbers of the percentage of former addicts that are going back for surgery, but this is definitely a growing problem in America," said Dr. Boris Spektor, assistant professor of anesthesiology and pain management at Emory University and the person who will be managing Joe's pain throughout the process.

"As more and more people are using opioid substances for nonmedical reasons, and using them for medical reasons out of proportion for the dosages that they should be prescribed, it's something we're going to see a lot more of."

Joe's specific plan for post-operative pain management has several facets, the first of which is a pre-operative nerve block.

"It's a way of giving some numbing medication directly to the nerves that are going down to the shoulder," said Spektor, "and we'll do that for as long as possible, because with each passing day, the pain is going to get better."

There is one problem -- Spektor says nerve blocks are usually inserted while the patient is awake to make sure they're placed properly.

Typically they would also give the patient a sedative to help with the pain and anxiety of the procedure, but Joe has abused all three of the medications they use for sedation.

So he'll be fully awake as Spektor pokes around in his shoulder to place the nerve block.

Step two of Joe's pain-management plan involves a cocktail of medications -- none of them drugs of abuse -- intended to reduce swelling, turn down the nerves' pain signals and reduce Joe's stress-response to pain.

Step three involves going to Narcotics Anonymous and Alcoholics Anonymous meetings regularly before and after surgery.

During step four, Joe will see a psychologist the day after surgery and regularly after that to ensure he stays on the right mental path.

And just to add insult to injury, Joe has to go through this intense process twice -- once for each shoulder.

"In my head, it's like -- OK, we're going to go and visit hell, not just once, but twice," he said. "I feel like it's somewhat of a cosmic joke on me."

But will these efforts pay off? Will the plan work?

"I think every patient is unique," Spektor says. "But I think Joe has an incredibly good psychological framework going on. He's got a psychologist that's definitely on board with him, he's got a group of friends that are on board with him. He's got NA and AA meetings that he goes to, and we have a medical framework that's here for him."

"With that combination, I think the likelihood of success is pretty good, but none of us known for sure."

Today marks the first day of the rest of Joe's life. He's dropping into a new type of circus, possibly as you read this. Today he rolls into the OR for the first of his two surgeries.

"I'm fearful; I'm scared; I don't know what's going to happen. I'm jumping into a freezing cold pool, and I don't know how I'm gonna react," he said days before the surgery.

"I can tell you what I'm going to do, how I'm going to think -- all of it's untrue, because I won't know until I'm there. When you're met with pain, only then you'll know how you'll react to it."

Read more about Joe's fears leading up to surgery

@highlight

Joe Putignano's career as an acrobat has left him in need of surgery

@highlight

Putignano is a recovering addict and fears pain meds after surgery will lead to a relapse

@highlight

A four-step pain management plan has been put in place for the contortionist