San Francisco, California (CNN) -- Attorneys supporting the voter-approved ban on same-sex marriage in California filed a notice of appeal in the case Thursday, one day after a federal judge ruled that the measure is unconstitutional.

However, Chief U.S District Judge Vaughn Walker in San Francisco granted a temporary stay along with his ruling Wednesday, which stops his decision from taking immediate effect.

"Proposition 8 fails to advance any rational basis in singling out gay men and lesbians for denial of a marriage license. Indeed, the evidence shows Proposition 8 does nothing more than enshrine in the California Constitution the notion that opposite-sex couples are superior to same-sex couples," Walker, who was appointed to the federal bench by former President Ronald Reagan, wrote in his opinion.

Supporters of Proposition 8 argued, prior to Walker's ruling, that same-sex marriages would be performed soon after his decision and could be complicated by rulings and appeals farther down the legal road.

The judge's decision striking down the ban handed supporters of gay rights a major victory in a case that both sides say is sure to wind up before the U.S. Supreme Court.

The case will be appealed to the 9th Circuit U.S. Court of Appeals. Paul Callan, a former New York prosecutor and criminal defense attorney, said he believes Walker's decision is likely to be upheld there, saying the appeals court "is a very liberal court which is favorable on these issues."

Walker's 136-page decision does a good job in laying out a compelling case for the unconstitutionality of the proposition, Callan said. "He's looking ... to the appellate process, which is going all the way to the Supreme Court."

But, he said, the nation's highest court typically handles big social questions like this one slowly, allowing state and lower federal courts to issue decisions. "And they kind of let it percolate in the lower courts," Callan said.

Opponents of same-sex marriage have said their best bet lies with higher courts.

"The court's disregard for the historical purposes of marriage would require California to embark on a novel experiment with the fundamental institution of marriage," said Charles Cooper, lead counsel for Proposition 8 supporters, in a statement.

He said Walker's decision treats children as a "mere afterthought when it comes to marriage ... And the court also found that there is no benefit whatsoever for a child to be raised by its own biological parents.

"Fortunately, the Constitution does not require the people to substitute the social science musings of gay rights activists for common sense," Cooper said. "This decision will not stand."

Callan said he doesn't expect the Supreme Court to enter the fray immediately.

"I think it's probably going to be another couple of years. A lot of cases will be decided by the lower courts, and then they'll move in and make the big decision as to whether it's legal or not, gay marriage," he said.

The proposition defines marriage as a union between a man and a woman. At stake in the trial was whether the ban violates same-sex couples' rights to equal protection and due process, as protected by the U.S. Constitution.

Same-sex marriage is currently legal in five U.S. states -- Massachusetts, Connecticut, Vermont, Iowa and New Hampshire -- and in the District of Columbia, while civil unions are permitted in New Jersey.

Walker pointed out in his ruling, "race restrictions on marital partners were once common in most states but are now seen as archaic, shameful or even bizarre. Gender no longer forms an essential part of marriage; marriage under law is a union of equals."

Elated supporters of same-sex marriage gathered to celebrate the judge's opinion in the Castro district of San Francisco.

After speeches and songs, they began a march to City Hall.

People waved rainbow flags and U.S. flags, and carried signs that read, "We all deserve the freedom to marry," and "Separate is Unequal."

Similar rallies unfolded in cities across California -- including Los Angeles and San Diego.

"For our entire lives, our government and the law have treated us as unequal. This decision to ensure that our constitutional rights are as protected as everyone else's makes us incredibly proud of our country," said Kristin Perry, a plaintiff in the case along with Sandy Stier. Jeffrey Zarrillo and Paul Katami are the other couple at the heart of the case.

Many Americans, however, still oppose same-sex marriage. In a national survey, conducted by Gallup in May, 53 percent of respondents said such marriages should not be recognized by law, while 44 percent said they should.

Proposition 8 is part of a long line of seesaw rulings, court cases, debates and protests over the controversial issue. It passed in California with some 52 percent of the vote in November 2008.

"Big surprise! We expected nothing different from Judge Vaughn Walker, after the biased way he conducted this trial," said Brian Brown, president of the National Organization for Marriage. "With a stroke of his pen, Judge Walker has overruled the votes and values of 7 million Californians who voted for marriage as one man and one woman."

@highlight

NEW: A notice of appeal has been filed in the case

@highlight

A California judge ruled the state's ban on same-sex marriage is unconstitutional

@highlight

The decision is a major victory for proponents of same-sex marriage

@highlight

The case is expected to ultimately land at the U.S. Supreme Court