(CNN) -- The U.S. Food and Drug Administration is considering how to best regulate electronic cigarettes as tobacco products. While some regulation is needed, the current proposal entails a huge paperwork burden that will create a barrier to entry into the market for all but the biggest players -- namely, Big Tobacco.

Specifically, the FDA has indicated that it may require e-cigarette manufacturers to complete a long paperwork process before it will consider a product for approval.

Many industry watchers believe that only very large manufacturers (i.e., Big Tobacco companies) would have the financial resources to meet the requirements, which could demand an estimated 5,000 hours per application, with every product combination requiring a new application. According to the Consumer Advocates for Smoke-Free Alternatives Association, only 25 products among thousands currently available would eventually be licensed.

The tobacco industry will then be able to buy the small e-cigarette makers that are unable to meet the FDA's requirements.

Big Tobacco will then get to decide which products are sold such that it can manage its own transition from cigarettes to e-cigarettes, or end e-cigarettes as a product category entirely, whichever better serves its financial interests.

In other words, the tobacco industry will be given a monopoly over the first new product to come to market that genuinely stands a chance of disrupting the business of selling smoked tobacco.

Needless to say, the tobacco industry's primary concern is not the health interests of the public.

The World Health Organization has assessed that "effective tobacco control and the commercial success of the tobacco industry are fundamentally incompatible ... accordingly, the tobacco industry can be expected to seek to avoid, prevent, weaken and delay effective policies and programs, which are against its interests."

Electronic cigarettes, also known as vapor products, are designed to mimic the experience of smoking. By heating up liquid nicotine in battery-powered devices, vapors -- rather than tobacco smoke -- are released.

While it's too early to predict the long-term health effects of e-cigarettes, some experts say they are a safer alternative to regular cigarettes, which produce myriad toxic chemicals. For many smokers who have trouble quitting, e-cigarettes are a viable substitute.

The e-cigarette industry is young, thriving and innovative.

There are hundreds of online suppliers, many of which have been pioneers in developing next-generation vapor products known as "mods" or "vaporizers." Unlike traditional retail outlets -- such as gas stations, large grocery store chains and pharmacies -- where point-of-sale data is collected and monitored by financial analysts, growing sales at vape stores and online websites are not being tracked.

Dedicated vape stores have sprung up nationally. The numbers have grown from around 10,000 one year ago to about 16,000 today, according to Ron Tully of Smoke Free Alternatives Trade Association, an advocacy organization for the vapor industry. Vapor products are increasingly attracting consumers.

In Britain, an estimated 700,000 people (5% of all smokers) have transitioned to vapor products, mostly in the past two years. In France, e-cigarettes have helped reduce tobacco smoking according to one survey. These data show an impressive decline in tobacco smoking.

Since the surgeon general issued its landmark 1964 report on the dangers of smoking, public health officials have tried to combat it. However, high-profile researchers believe that e-cigarettes have the potential to save millions of lives among populations of tobacco smokers.

All consumer products are regulated, and e-cigarettes should not be an exception. Consumers need to feel confident that they are purchasing safe, high-quality items. But the regulation of e-cigarettes needs to be proportionate and not discriminatory, especially considering the potential they offer for eliminating the scourge of tobacco-related diseases. In the United States, e-cigarettes have become a top choice for smoking cessation according to a survey.

Meanwhile, Big Tobacco is muddling along, rolling out its vapor products with their underpowered batteries and limited capacity for e-liquid. Yet, almost unbelievably, their one salvation has arrived in the form of the FDA.

How the regulation of electronic cigarettes play out would have huge repercussions on public health and medical drug policies. The FDA should consider creating a tailored regulatory framework, one that would allow the e-cigarette industry to continue innovating to the point that smoked tobacco is made redundant, which could help save many lives worldwide.

And what would this framework look like?

In lieu of its proposed regulations, the FDA should begin by requiring e-liquid and e-cigarette makers to register the ingredients and designs of their products. The agency should work closely with expert third parties -- manufacturers and scientists -- to develop strong product standards. The FDA should also conduct epidemiological research to make sure that e-cigarettes are contributing positively to smoking rate decline.

It's about burdens. If you start from the precautionary principal -- treat something as bad until proved good -- you miss the context that e-cigarettes are designed to replace one of the most dangerous consumer products invented.

The FDA cannot afford to miss this opportunity to get it right on e-cigarettes.

@highlight

The FDA is considering how best to regulate electronic cigarettes as tobacco products

@highlight

Oliver Kershaw: FDA proposal will benefit Big Tobacco companies, and that's bad

@highlight

He says if tobacco industry is given monopoly of e-cigarette products, public health will suffer

@highlight

Kershaw: FDA should let e-cigarette industry innovate to save tobacco smokers' lives