(Mental Floss) -- Investigators are trying to figure out whether the financial fraud allegedly perpetrated by Bernard L. Madoff was, in fact, the largest Ponzi scheme in history. The alleged scam, which cost investors $50 billion, sounds like a classic Ponzi racket.

The New York home of Bernard Madoff, who's accused in a $50 billion Ponzi scheme.

But what is a Ponzi scheme? And why does it bear this name? First, you need to know a little bit about its namesake, Charles Ponzi.

Anyone can work a simple swindle, but you have to be a special kind of con man to have your name become synonymous with "fraud." Ponzi pulled it off, though. After arriving in the U.S. from Italy in 1903, Ponzi knocked around in a variety of unskilled jobs that usually ended when he got into trouble for theft or cheating customers.

A few years later, he moved to Canada, where he spent a hitch in prison for passing a forged check. When he eventually drifted back down to the U.S., he needed a way to make some quick cash.  Watch how a Ponzi scheme works »

Making money via mail

Ponzi eventually found his way to get rich quick using a vagary of the postal system. At the time, it was common for letters abroad to include an international reply coupon -- a voucher that could be exchanged for minimum postage back to the country from which the letter was sent.

Thus, if you sent your buddy in France a letter, you could include a coupon so he could respond. (This practice still exists but is less common.) As exchange and postal rates fluctuated, though, there was an opportunity to make a profit. You only had to purchase postal reply coupons cheaply in some foreign country, send them back to the U.S. to swap them out for American stamps of a higher value, then sell these stamps.

This arrangement was perfectly legal; it was just cleverly gaming the system. Ponzi started buying and selling postal reply coupons using agents in his native Italy, and he was making a good living doing it.

Unfortunately, whatever defect made Ponzi steal from his employers and pass bad checks prompted him to get greedy here, too. He started to recruit investors into his system with the promise of 50 percent returns in just a few days. Investors would pay their cash in, and sure enough, Ponzi would get them the promised return.

Everyone was happy with the results, and word started to spread about this Italian financial wizard. Within two years, he had employees all over the country recruiting new takers for this foolproof investment strategy.

Ponzi was pocketing millions, and he enjoyed a sumptuous life outside of Boston. At his peak, Ponzi was raking in $250,000 a day, which enabled him to collect such necessities as gold-handled canes. He became a celebrity investor, almost like the Warren Buffett of his day.

The scheme

Why is it hard to think of Ponzi's name without affixing "scheme" to the end of it, then? Ponzi's underlying "business" -- the arbitrage on the postal coupons -- wasn't actually as sound as he claimed. In fact, there wasn't even really a business.

However, since so much money was flowing in from new investors, he could just pay off the returns for the old ones from the new cash. In fact, Ponzi didn't even need to pay off the old investors, since many of them wanted to reinvest their returns in this wonderful business. Ponzi's charms made it easy for him to placate any worried customers, and his con looked unstoppable. Mental Floss: 4 very big paychecks for very little work

Fuzzy math

Eventually, though, smarter financial heads started looking at Ponzi's business. Clarence Barron, owner of the Wall Street Journal and founder of the financial magazine that bears his name, realized Ponzi must have been a huckster and went on the offensive.

While Barron conceded that there probably was a way for a person to make a small amount of quick cash on the postal reply coupon scheme, he figured that Ponzi would have to be moving 160 million coupons around to raise the cash he needed to support the business. Since there were only 27,000 postal reply coupons circulating in the world, Ponzi's story didn't check out. (Things only got worse when the Postal Service reported that there wasn't a huge flow of the coupons from one country to the other.)

On top of that, Barron noted that Ponzi told newspapers he invested his own cash in real estate, stocks, and bonds like any normal investor. Barron pointed out the obvious question here: if Ponzi had this failsafe scheme in which he could make a 50 percent profit, why was he putting his own money into plain old investment instruments that would give him (maybe) a 5 percent return? Those certainly didn't sound like the actions of a financial genius.

Barron's conclusions ran as front-page news in the Boston Post in July 1920, which would have been damning for most cons. Ponzi was such a charismatic force of nature, though, that many people chose not to believe the paper's report. Few believed that their hero, the man who had "tripled" their life savings, was anything less than 100 percent legitimate.

In fact, the morning that the Post ran Barron's report, investors lined up around the block outside of his office in an attempt to give him more money -- even after they'd been told that they'd been scammed. Ponzi later boasted that he'd taken in a million dollars in new investments the day the report ran. Mental Floss: 5 of history's worst perpetrators of corruption

The unraveling

Things were starting to look less rosy for the scammer, though. Although he'd largely placated his investors after Barron's report, Ponzi must have realized his window of opportunity was closing. He hired a publicist, William McMasters, but the PR man saw through Ponzi's lies and renounced his client in the press. James Walsh reprints part of McMasters' slam of Ponzi in his book, "You Can't Cheat An Honest Man."

Of Ponzi, McMasters said, "The man is a financial idiot. He can hardly add...He sits with his feet on the desk smoking expensive cigars in a diamond holder and talking complete gibberish about postal coupons."

The next month, regulators raided Ponzi's office and discovered that he didn't have a huge quantity of postal reply coupons. Since Ponzi had used the mail to notify his marks of how their "investments" were performing, he faced serious mail fraud charges; in total, the government brought 86 charges against him in two separate indictments. Ponzi pled guilty to one of these charges in exchange for a light sentence of five years.

He served around three and a half years, then got his release to face state charges, for which he received a sentence of nine more years. But before he could go back to jail, he jumped bail and tried to start new scams in Florida and Texas. (You'd think the government would have learned their lesson about trusting this guy.) Eventually, though, his time on the lam ran out, and he served his whole sentence.

Upon his release, Ponzi was deported to Italy and spent the rest of his life in poverty before dying in 1949 in Rio de Janeiro, where he's buried in a pauper's grave. Mental Floss: 10 things your body can do after you die

For more mental_floss articles, visit mentalfloss.com

Entire contents of this article copyright, Mental Floss LLC. All rights reserved.

@highlight

Charles Ponzi was a real person who swindled investors in a postal scam

@highlight

Ponzi pocketed millions and enjoyed life but a publisher was suspicious

@highlight

Wall Street Journal's Clarence Barron printed front page story slamming Ponzi

@highlight

Ponzi served time, was deported and died in 1949 -- buried in a pauper's grave