Pontiac, Michigan (CNN) -- Lamont Butler is a single father, unemployed for more than a year and trying to do the best for his daughter, 3-year-old Samaya. The family qualifies for the federal government's free pre-kindergarten program, Head Start, but has been on a waiting list for more than a year.

It's tough on both of them; Butler has trouble finding work because he's caring for his daughter, and he worries Samaya is missing out on valuable early education.

"My friend's son got in, and at 4, he can already spell his name, do simple math, and he isn't so shy any more," Butler said.

But Butler's daughter is one of thousands on waiting lists for the 49,000 Head Start classrooms around the country - a list that might get shorter after an investigation into allegations of fraud by some applicants and Head Start workers.

A U.S. Government Accountability Office investigation that concluded in May showed that several Head Start workers committed fraud to enroll families whose incomes were above the federally mandated limit.

Head Start is open to foster and homeless children, kids with some disabilities, families eligible for government assistance and families with incomes below the federal poverty guideline, about $22,000 for a family of four. Programs may enroll limited numbers of kids whose parents make more money.

$9 billion went to support Head Start in 2010, and more than 900,000 children are enrolled in programs around the United States.

The investigation began two years ago, after whistleblowers called the GAO's tip line and alleged that Head Start workers in the Midwest and Texas admitted families that made too much money to qualify. Documents that whistleblowers leaked to the GAO showed that some workers admitted children whose parents made more than $110,000. In some cases, according to the GAO, workers may have lied or manipulated documents so their programs appeared to be within mandated enrollment targets.

"Taxpayers are being ripped off," said Greg Kutz, the managing director of forensic audits and special investigations for the Accountability Office. "The real risk here is that the over-income children were being served, and the poorest children in our country are losing the benefit of Head Start."

A 10-year study released in 2010 by the U.S. Department of Health and Human Services showed that Head Start kids are better prepared academically and socially to enter kindergarten. They have better language skills and are better at making friends and handling classroom settings. Parenting skills improved, too, among those whose kids were in Head Start, according to the HHS study.

Head Start is popular, too, because it's free, while private preschools and day care can cost more than $10,000 per year.

To investigate the complaints, Kutz sent staff members armed with hidden cameras to pose as parents interested in Head Start enrollment. When parents apply, they must present tax records, pay stubs or public assistance documents that prove they meet the federally mandated income standards. The investigators' documents showed they made too much money to enroll, but at eight of the 15 Head Start centers they approached, staff members pretended they hadn't seen the income levels, or they urged parents to lie.

In a tape Kutz showed to Congress in May, one Head Start worker examined the investigators' documents and said, "This is over income."

When the undercover investigators asked what to do, the Head Start worker suggested they didn't have to put both parents' incomes on the form.

With a laugh, she added, "I'm not supposed to say that." Another staffer joked, "Now you see it, now you don't."

Kutz said he doesn't believe these are isolated cases.

"It's pretty disturbing," Kutz said. "I believe the system is very open to fraud."

The problem, Kutz said, is that Head Start workers only have to sign a statement that they've seen proof of parents' incomes. Federal rules don't require Head Start offices to keep income documents on file.

"If you want to go in and say you are unemployed, you could get benefits even if you were making $100,000 because [Head Start wasn't] validating anything," Kutz said.

Not all Head Start programs have been letting the income rules slide. Michigan's Oakland Livingston Human Service Agency, where Lamont Butler hopes to enroll his daughter, has long kept copies of parents' income documents.

"Our goal is to exceed those standards" for documents, said Lynn Crotty, the program's director. "In always maintaining copies of proof of income in our files, that's enabled us to ensure that the families that deserve to be in the program are the ones who are getting into the program."

Yvette Sanchez Fuentes, Head Start's national director, said she took action immediately after learning about the federal investigation last spring.

"We know that what went on the tape, [that the worker] engaged in some fraudulent behavior," she said.

Sanchez Fuentes said the system isn't broken.

"I think it's important to note those are individuals within those programs," she said. "We know the majority of Head Start programs across the country are doing the right thing."

According to Sanchez Fuentes, Head Start officials advised local directors about enrollment procedures, bulked up on admissions training and now make unannounced visits to local programs. A new Health and Human Services tip line lets workers report fraud to the department, which oversees Head Start, instead of going straight to the GAO.

"[President Obama's] administration will not tolerate any type of fraud, waste or abuse," Sanchez Fuentes said. "We will make sure that when we go out to see these local programs, that they are indeed doing the right things and that every federal dollar that goes to Head Start is not being misused."

Still, they have not yet taken Kutz's suggestion to change the policies about keeping income eligibility documents. The issue is up for a 90-day comment period, but the rule won't change unless Head Start leaders decide it's the best course of action.

Demand for Head Start remains strong, even in programs where there's no suspicion of fraud. For parents like Butler and kids like Samaya, that means the wait continues.

"The time we spend together has meant the world to me, but the things I've taught her are only things I know," Butler said. "I know they could do a much better job."

@highlight

An investigation into Head Start enrollment practices shows some centers enroll families who make too much money

@highlight

Thousands are on waiting lists for the free pre-kindergarten classes

@highlight

Head Start leaders are adding more training, checks to enrollment to prevent fraud