(Mental Floss) -- Perhaps your history teachers failed to alert you to these Civil War facts: Jefferson Davis nearly got mugged by an angry female mob; Abraham Lincoln loved the Confederate anthem "Dixie," and Paul Revere was a Civil War casualty.

"Dixie" was was a huge hit across the country and quickly became one of Abraham Lincoln's favorite tunes.

The Civil War, in addition to being among the defining moments of U.S. history, is also the source of some bizarre and surprisingly cool trivia.

1. Lincoln's first solution to slavery was a fiasco

Early in his presidency, Abe was convinced that white Americans would never accept black Americans. "You and we are different races," the president told a committee of "colored" leaders in August 1862. "...But for your race among us there could not be war...It is better for us both, therefore, to be separated."

Lincoln proposed voluntary emigration to Central America, seeing it as a more convenient destination than Liberia. This idea didn't sit well with leaders like Frederick Douglass, who considered colonization to be "a safety valve...for white racism."

Luckily for Douglass (and the country), colonization failed spectacularly. One of the first attempts was on Île à Vache, a.k.a. Cow Island, a small isle off the coast of Haiti.

The island was owned by land developer Bernard Kock, who claimed he had approved a black American colony with the Haitian government.

No one bothered to call him on that claim.

Following a smallpox outbreak on the boat ride down, hundreds of black colonizers were abandoned on the island with no housing prepared for them, as Kock had promised.

To make matters worse, the soil on Cow Island was too poor for any serious agriculture. In January 1864, the Navy rescued the survivors from the ripoff colony. Once Île à Vache fell through, Lincoln never spoke of colonization again.Mental Floss: 6 Historical Events People Love to Reenact

2. Hungry ladies effectively mugged Jefferson Davis

The Confederacy's image hinged on the notion that the rebellious states made up a unified, stable nation.

However, the hard times of war exposed just how much disunity there was in Dixieland.

Civilians in both the North and South had to cope with scarcity and increased food prices, but the food situation was especially bad in the South because outcomes on the battlefield were directly linked to the CSA's currency -- rising food prices were hard enough to deal with without wild fluctuations in what the money in your pocket could buy.

Invading northern troops, of course, poured salt on the wounds of scarcity, burning crops and killing livestock. But in Richmond, Virginia, those who couldn't afford the increasingly pricey food blamed the Confederate government. Hungry protesters, most of whom were women, led a march "to see the governor" in April 1863 that quickly turned violent.

They overturned carts, smashed windows, and drew out Governor John Letcher and President Jefferson Davis.

Davis threw money at the protesters, trying to get them to clear out, but the violence continued. So, he threatened to order the militia to open fire, which settled things down pretty quickly.

3. The Union used hot air balloons and submarines

The balloons, directed by aeronaut Thaddeus Lowe, were used to spot enemy soldiers and coordinate Federal troop movements. During his first battlefield flight, at First Bull Run, Lowe landed behind Confederate lines, but he was rescued.

The Union Army Balloon Corps got no respect from military officials, and Lowe resigned when he was assigned to serve, at a lower pay grade, under the director of the Army Corps of Engineers.

In all, the balloonists were active for a little under two years. Mental Floss: 7 Modern Flying Car Designs

In contrast, the paddle-powered Alligator submarine saw exactly zero days of combat (which is why it can't officially be called the U.S.S. Alligator).

It suffered from some early testing setbacks, but after some speed-boosting tweaks, it was dispatched for Port Royal, South Carolina, with an eye towards aiding in the sack of Charleston. It was to be towed south by the U.S.S. Sumpter, but it had to be cut loose off of North Carolina on April 2, 1863, when bad weather struck.

Divers and historians are still looking for the Alligator today.

But the undersea capers don't end there. A few months after the loss of the Alligator, the CSA launched their own submarine, the H.L. Hunley, named after its inventor.

The Hunley attacked and sank the U.S.S. Housatonic off the coast of Charleston, making it the first submarine ever to sink an enemy ship.

The only problem is that it also sank soon afterwards, and all eight crewmen drowned.

4. "Dixie" was only a northern song

The precise details of when composer Dan Emmett wrote "Dixie" seemed to change every time he told the story (and some even dispute that Emmett was the author in the first place).

But he first performed it in New York City in 1859, with the title "I Wish I Was in Dixie's Land."

Emmett was a member of a blackface troupe known as the Bryant's Minstrels, but he was indignant when he found out that his song had become an unofficial anthem of the Confederacy.

He went on to write a musicians' marching manual for the Northern army.

Before and during the war, the song was a huge hit in New York and across the country, and quickly became one of Abraham Lincoln's favorite tunes.

The day after the Surrender at Appomattox, Lincoln told a crowd of Northern revelers, "I have always thought 'Dixie' was one of the best tunes I have ever heard. Our adversaries over the way attempted to appropriate it, but I insisted yesterday that we fairly captured it."

He then asked a nearby band to play it in celebration.

5. Paul Revere was at Gettysburg

Paul Joseph Revere, that is the famous Paul Revere's grandson.

Unfortunately for fans of the first Revere and his partly mythical Ride, PJR was in the infantry, not the cavalry, with the 20th Massachusetts.

He and his brother Edward were captured at the Battle of Ball's Bluff in October 1861. After being released in a prisoner exchange, the Reveres rejoined the fight.

Paul was promoted to Lieutenant Colonel in September, 1862, shortly before he was wounded in the brutal Battle of Antietam (a.k.a. the Battle of Sharpsburg).

Edward, however, wasn't so lucky -- he was one of more than 2,000 Union soldiers who didn't make it out of Sharpsburg, Maryland, alive.

By the following year, Paul was promoted again to Colonel, leading the 20th Massachusetts at Chancellorsville and, in his final days, at Gettysburg.

On July 3, 1863, he was mortally wounded by a shell fragment that pierced his lung, and he died the next day.

He was posthumously promoted again to Brigadier General, and is buried in Cambridge, Massachusetts.Mental Floss: 10 Things to Remember About Memorial Day

6. Mark Twain fired one shot and then left

At least, that's what he claimed in "The Private History of a Campaign that Failed," a semi-fictional short story published in 1885, after The Adventures of Huckleberry Finn, but before A Connecticut Yankee in King Arthur's Court.

In it, he recounts a whopping two weeks spent in 1861 with a Confederate militia in Marion County, Missouri. But he introduces the tale by saying that even the people who enlisted at the start of the war, and then left permanently, "ought at least be allowed to state why they didn't do anything and also to explain the process by which they didn't do anything. Surely this kind of light must have some sort of value."

Twain writes that there were fifteen men in the rebel militia, the "Marion Rangers," and he was the second lieutenant, even though they had no first lieutenant.

After Twain's character shoots and kills a Northern horseback rider, he is overwhelmed by the sensation of being a murderer, "that I had killed a man, a man who had never done me any harm. That was the coldest sensation that ever went through my marrow."

However, his grief is slightly eased by the realization that six men had fired their guns, and only one had been able to hit the moving target.

7. The armies weren't all-male

Hundreds of women on both sides pulled a Mulan, assuming male identities and appearances so that they might fight for their respective nations.

Some of them did it for adventure, but many did it for monetary reasons: the pay for a male soldier was about $13 month, which was close to double what a woman could make in any profession at the time.

Also, being a man gave someone a lot more freedoms than just being able to wear pants. Remember, this was still more than half a century away from women's suffrage and being a man meant that you could manage your monthly $13 wages independently.

So it should come as no surprise that many of these women kept up their aliases long after the war had ended, some even to the grave.

Their presence in soldiers' ranks wasn't the best-kept secret. Some servicewomen kept up correspondence with the home front after they changed their identities, and for decades after the war newspapers ran article after article chronicling the stories of woman soldiers, and speculating on why they might break from the accepted gender norms.

Perhaps not surprisingly, in 1909 the U.S. Army denied that "any woman was ever enlisted in the military service of the United States as a member of any organization of the Regular or Volunteer Army at any time during the period of the civil war."

For more mental_floss articles, visit mentalfloss.com

Entire contents of this article copyright, Mental Floss LLC. All rights reserved.

@highlight

Hundreds of women in both armies dressed as men so they could serve

@highlight

Confederate anthem "Dixie" was a favorite of Abraham Lincoln's

@highlight

Confederate President Jefferson Davis was effectively mugged by a gang of women

@highlight

Paul Revere's grandson fought at the Battle of Gettysburg