(CNN)For decades, U.S. climate change policy amounted to a hypocrisy associated with bad parenting: "Do as I say, not as I do."

That began to change Monday when President Barack Obama's administration announced its boldest step yet to reduce the nation's biggest source of pollution blamed for global warming -- carbon emission from power plants.

A proposed new Environmental Protection Agency rule would reduce such emissions 30% by 2030, compared to the levels in 2005.

The move announced by EPA Administrator Gina McCarthy was intended to show the world that the United States would walk the climate change talk, and establish Obama's environmental legacy as he enters the final third of his presidency.

"For the sake of our families' health and our kids' future, we have a moral obligation to act on climate," McCarthy said. "When we do, we'll turn risks on climate into business opportunity. We'll spur innovation and investment, and we'll build a world-leading clean energy economy."

Obama later made a similar case in a conference call with the American Lung Association, noting that power plant pollution contributes to asthma and other diseases suffered by American kids, especially black and Latino youngsters.

"This beautiful blue ball in space"

"This is something that is important for all of us," he said, urging support for efforts to work together to help protect "this beautiful blue ball in the middle of space there we're a part of."

The announcement, expected for months, prompted immediate protests from the energy industry, Republicans and some Democrats from coal and oil states who complained the proposed EPA rules would harm the economy and raise energy prices.

"All the major legislative and regulatory proposals to combat global warming kill jobs and disproportionately hurt lower income people and minorities," the conservative National Center for Public Policy Research argued in a list of "top 10 reasons Washington should not impose new global warming laws or regulations."

Nonsense, Obama shot back, noting how similar warnings always greeted major environmental progress in the past, but eventually proved untrue.

"What we've seen every time is that these claims are debunked when you actually give workers and business the tools and incentive they need to innovate," he said, citing previous government moves against air pollution and acid rain.

Carbon pollution that increased dramatically since the industrial revolution of the 19th century corresponds to the warming of the global climate, and scientists predict rising oceans, volatile weather patterns, changing agriculture zones and other impacts in coming decades that will affect everyone on the planet and require an increasing percentage of national budgets to prevent catastrophic results.

Energy industry campaign

A multimillion-dollar campaign backed by the energy industry has sought to debunk the science of climate change, but polls show most Americans believe the planet is warming.

Almost a third of America's carbon emissions comes from electricity generation, and the proposed EPA rules announced Monday would give states a variety of options to meet the goal of an overall 30% reduction in such pollution by 2030.

Some of the ideas already being used include improving energy efficiency at plants, changing how long they operate each day and increasing alternative energy sources such as wind and solar production.

EPA officials concede some of the dirtiest power plants now operating, such as older coal-fired plants, will end up shuttered as the nation shifts its reliance from traditional fossil fuel sources to cleaner alternatives.

Coal supplied 37% of U.S. electricity in 2012, compared to 30% from natural gas, 19% from nuclear power plants, 7% from hydropower sources such as dams and 5% from renewable sources such as wind and solar, according to the U.S. Energy Information Administration.

By 2030, just over 30% of U.S. electricity will come from coal and about the same amount from natural gas, with wind, solar and other alternative sources providing about 9%, according to the EPA officials who spoke to reporters on Monday on the condition of not being identified.

According to the EPA, the proposed new rules would reduce carbon pollution by the same amount as removing two-thirds of all cars and trucks form American roads.

It put the cost as high as $8.8 billion a year, but noted health gains such as fewer premature deaths and respiratory diseases along with other benefits would be worth tens of billions of dollars to the U.S. economy.

Higher costs or more opportunity?

While critics contend the EPA rules will mean higher electricity costs, Obama and members of his administration argued the transformation to a more energy efficient power sector would bring lower electricity bills in the future.

For Obama, another key motivation is to give the United States standing to pressure emerging economies in China, India and other countries to also adopt cleaner energy policies.

Until now, U.S. calls for all players to participate in global climate change agreement went unheeded because developing countries argued America and other industrialized powers got rich while polluting, and now they should have the same chance to develop.

At home, enemies of climate change legislation complained any U.S. steps would be meaningless, putting America at a disadvantage for policies that would do little on their own to reduce overall global emissions.

White House spokesman Jay Carney told CNN on Monday that in order to get the kind of global buy-in necessary to achieve the kind of overall cuts in carbon emissions required to make a difference, the United States "has to lead, first of all, and this is an indication that the United States will lead on this very important challenge posed by climate change and global warming."

The EPA will hold a public comment period and then revise the proposal over the next year. Under the proposed rule, states would have until June 30, 2016, to submit plans for achieving the reduced emissions target.

States that need more time can submit an initial version by that date and explain the need for more time, with a final version due one or two years later, "as appropriate," the proposed rule says.

"This is something we put off"

According to the EPA , the regulation will  "reduce pollutants that contribute to the soot and smog that make people sick by over 25 percent." The agency projects the reductions will avoid 2,700 to 6,600 premature deaths and 140,000 to 150,000 asthma attacks in children.

"This is something we can't put off, and the President deserves huge credit for making this his legacy," said David Doniger of the Natural Resources Defense Council.

Opponents were equally effusive in their condemnation.

"The administration has set out to kill coal and its 800,000 jobs," Sen. Mike Enzi said in the GOP weekly address Saturday. The Chamber of Commerce, a business federation, estimated the new regulations will cost the economy $50 billion a year.

Obama's move could affect competitive Senate races in coal industry states such as Kentucky, North Carolina and Colorado at a time when Democrats are trying to keep control of the upper chamber.

"By imposing these draconian new rules on the nation's coal industry, President Obama and every other liberal lawmaker in Washington who quietly supports them is also picking regional favorites, helping their political supporters in states like California and New York while inflicting acute pain on states like Kentucky," said Senate Republican leader Mitch McConnell, who is facing a re-election battle in November in the Bluegrass State. "The impact on individuals and families and entire regions of the country will be catastrophic, as a proud domestic industry is decimated â€” and many of its jobs shipped overseas."

Some Democrats doubting

Some Democrats from fossil fuel states who face tough re-election battles, such as Sens. Mary Landrieu in Louisiana and Mark Pryor in Arkansas, expressed concern Monday with the proposed EPA rule but stopped short of condemning outright the need to address rising carbon emissions.

Democratic Sen. Jean Shaheen of New Hampshire, who also has a tough re-election challenge from former Massachusetts Sen. Scott Brown, took her own regional approach to the matter, saying the EPA rule was needed to balance regulation of power plants.

"For too long, the Midwest has been allowed to lag behind New Hampshire and other New England states in addressing carbon pollution," she said, referring to acid rain regulations that affected her region. "The draft EPA rules will get Midwest power plants to do what power plants in New England have already done and will decrease the air pollution that moves from the Midwest to our states."

Shaheen added that  "we are already seeing the impact of climate change in New Hampshire, threatening many of our traditional industries and the health of our children," saying she would "carefully review the proposed EPA rules to ensure they protect New Hampshire, but the time for national action is long overdue."

Robert Redford: Take the path to clean energy

Opinion: Cleaner air will help save planet

CNN's Holly Yan, Kevin Liptak, and Mary Grace Lucas contributed to this report.

@highlight

President Obama says critics always wrong with dire predictions

@highlight

Administration officials say it will build jobs, benefit the economy

@highlight

The regulations will prevent up to 6,600 premature deaths, the EPA says

@highlight

Plan will cost up to $8.8 billion annually but bring benefits worth $55-$93 billion, EPA says