Washington (CNN)Almost immediately following the news of the first terrorist attacks that eventually killed 17 people across France, the global community united around a Twitter hashtag "Je suis Charlie" and just days later foreign leaders linked arms with their French counterparts to lead a historic million-person strong rally.

Meanwhile, explosives strapped to a girl who appeared to be about 10-years-old detonated on Saturday, killing at least 20 people, in a country whose encounters with terrorism were also punctuated by a hashtag -- this time "#BringBackOurGirls" of Nigeria. Boko Haram militants killed as many as 2,000 people, mostly civilians,in a massacre that started the weekend before the terror attack on Charlie Hedbo in downtown Paris.

Both the attacks in Nigeria and those in Paris are shocking and horrifying in their own respects, and yet one fomented an unprecedented international reaction -- a popular show of force that rivaled even the reaction to 9/11 -- while the response to the attacks in Nigeria paled in comparison.

Here are a few of the reasons why:

Symbolism

The terrorist attack on the satirical publication Charlie Hebdo was not just violent, but highly symbolic.

While the terrorists in Nigeria targeted innocent civilians in a strategic northern town in Nigeria and in a crowded marketplace, the gunmen who stormed the headquarters of Charlie Hebdo took aim at one of the most cherished values in France: freedom of expression.

The attack quickly sparked the hashtag and image on social media proclaiming "Je Suis Charlie," I am Charlie. In a way that few nations would, the French people took the attack on Charlie Hebdo as an attack on the very core of their country's constitution and values -- a country where the line between politics and culture blends often seamlessly and where criticism and mockery of public officials rushes toward -- not away -- from controversy.

It's a special relationship to a freedom won over and fought for more than once through bloody revolution that even President Barack Obama recognized as he reacted to the Charlie Hebdo shootings.

"No country knows better than France, that freedom has a price because France gave birth to democracy itself," he said.

And Americans can directly relate to attacks on freedom of speech, former U.S. Ambassador to Nigeria John Campbell said.

And beyond the French people's broad reverence for freedom of speech, France is a country heavy on symbolism, embodied by its national motto of "Liberté, Egalité, Fraternité," Liberty, Equality, Fraternity.

That symbolism, which drove millions into the streets of Paris, cities around France and around the world, was also quickly seized on by France's President François Hollande, who quickly called for national unity in an address that honed in on France's ardent belief in freedom.

And while the reaction to the attacks in Paris evolved naturally through social media, Hollande and his government successfully picked up on the public sentiment and amplified those voices.

Nigerian President Goodluck Jonathan, though, had concerns more pressing than issuing a rallying cry of defiance in the face of attacks that again sought to undermine his country's very sovereignty.

In fact, while Jonathan issued a statement condemning the attack on Charlie Hebdo and expressing Nigeria's "full solidarity" with the people of France, he failed to do the same for the victims of terrorism in his own country. Jonathan is up for reelection next month and the atrocities committed by Boko Haram are the last thing he wants to address.

And the attacks in Nigeria have barely resonated within the country's borders, said John Campbell former U.S. ambassador to Nigeria.

"It hasn't even had a very large impact in Lagos," Campbell said of Nigeria's most populous city.

By contrast, the attacks on freedom of speech resounded strongly not just in France, but around the world.

"Americans can directly relate to attacks on freedom of speech. They can directly relate to terrorism and the impact in France is being compared to the impact of 9/11 in the United States," Campbell said. "Boko Haram by contrast is viewed as a kind of civil war ... and it's all happening a very long way away."

Hollande, however, came face to face with an opportunity -- an opportunity to boost his own sagging political fortunes and to help unify a society increasingly fractured by politics.

A country aching for long-lost national unity

The attacks also gave France a shot in the arm, reinvigorating a long-lost sentiment of national unity not seen since at least the last World Cup.

Hollande has faced the lowest popularity of any President in French history, with just 13% approving of his leadership at the end of 2014.

Driving Hollande's sinking numbers, an economy struggling to reboot has also fueled the historic rise of France's far right party, the National Front.  And after waves of immigration, the National Front and its xenophobic, protectionist platform are thriving on the perception that immigration is changing the color and meaning of the French nationality and challenging the very core of France's identity.

But the reaction to the attacks has given the National Front and Marine Le Pen a slap in the face like only Charlie Hebdo -- which regularly lampooned the party and its leader -- could.

Le Pen decided not to attend the march after she was not expressly invited, though the event was open to any participants.

Instead, the demonstrators in Paris proclaimed a national unity cut in stark contrast to the divisive rhetoric of the National Front.

Christians, Muslims and Jews, immigrants and those with deep roots in France joined together to proclaim "Je Suis Charlie." But that's not all they proclaimed.

Muslims joined others in carrying signs saying "Je Suis Juif," I am Jewish, a powerful statement that countered not only the third gunmen Amedy Coulibaly's targeting of Jews but also increasingly concerning reports of rising anti-Semitism in France that are spurring thousands of French Jews to emigrate to Israel.

And all joined in singing "La Marseillaise," the powerful rallying cry that is the French national anthem.

Common fears

As much as the terrorist attacks failed in their objective of silencing criticism of their Islamist ambitions, the attacks brought concerns over homegrown terrorists and foreign fighters to the surface -- not just in Europe, but in the United States.

The three gunmen who locked down Paris for days were not only French citizens, but two claimed to be affiliated with al Qaeda in the Arabian Peninsula while Coulibaly pledged allegiance to ISIS, the Islamist group which has ravaged parts of Syria and Iraq and inspired militants around the world.

The attacks have prompted American intelligence officials to scrutinize their terror databases and reassess potential threats, and White House Press Secretary Josh Earnest discussed the risk countries like the U.S. and France face in taking the fight to ISIS.

But the attacks by Boko Haram in Nigeria don't stoke the same fears in the West, former House intelligence committee chairman Mike Rogers said.

"A lot look at Boko Haram and associate them more as a separatist group than an al-Qaeda minded group. I think that's wrong," said Rogers, who is now a CNN National Security commentator. "If you have a group that is this brutal and shows this much disregard for human life and it's growing and it's trying to recruit people to its cause, this is a huge problem."

Opinion: Boko Haram massacre: 7 questions worth asking

Al Qaeda in the Maghreb (AQIM) was at one time the largest funder of Boko Haram, Rogers said, and AQIM has largely influenced the Nigerian group's tactics.

While Boko Haram doesn't present as much of a threat to the U.S. as ISIS, Rogers believes U.S. officials should be more concerned about Boko Haram, particularly as the economies in African countries are booming and much of the continent is looking for trade relationships beyond the continent.

Without a sense of urgency or a direct threat, the American and European public are unlikely to react to attacks in Nigeria in the same way as they react to attacks in Paris.

And besides Americans have grown numb to the level of violence throughout the African continent, said J. Peter Pham, director of the Africa Center at the Atlantic Council. Boko Haram alone killed an estimated 10,000 people in 2014.

"There's a sense that 'That's Africa, bad things happen. This is Paris, it's a Western country. This shouldn't happen,'" Pham explained. "We're conditioned by years of reports coming out of Africa to expect this type of thing in Africa."

Optics and a 24/7 media

People around the world watched for days as the manhunt and later tense standoff unfolded between French security forces and the terrorists. In France, around Europe and in the United States, people connected on social media and reacted in real time as they watched each development unfold on cable news or through dramatic videos posted to YouTube.

And that coverage dominated the news cycle, with little if any information popping up on TV about an ongoing massacre in northern Nigeria that would in the end claim 2,000 lives. Instead, most found out late this weekend or on Monday morning about the attack in Nigeria that started on Jan. 3.

There are not only fewer reporters and news cameras in Nigeria than in Paris, but access to the northern region of Nigeria where the attacks unfolded is dangerous and practically inaccessible.

"There aren't visuals of Baga and what happened there," Pham said of the town ravaged by Boko Haram's militants. In Paris, everything is happening "in real time," he added.

@highlight

France and Nigeria experienced waves of terrorism during the first weeks of 2015

@highlight

While the terror attacks in Paris sparked international unified outrage, reaction to Nigeria was more muted

@highlight

Symbolism, politics and media all played a role in how France's response to terrorism was perceived