Tunis, Tunisia (CNN) -- Tunisia's interim president and prime minister resigned from the ousted leader's ruling party, state TV said Tuesday, a move seen as a gesture to placate angry street demonstrators and keep the unity government afloat.

But at least four ministers from opposition parties have pulled back from the new government, leaving some observers concerned that the coalition may collapse before it can set up new elections.

President Fouad Mebazaa and Prime Minister Mohammed Ghannouchi submitted their resignations from the Constitutional Democratic Rally, which was the ruling party of Zine El Abidine Ben Ali -- now in exile in Saudi Arabia.

Members of the opposition and the Ben Ali party formed a unity government to replace the ousted president, but there have been difficulties in getting that administration going because protesters are demanding that more should be done to sweep the old guard out of power.

The displeasure was reflected Tuesday in central Tunis, when roving packs of protesters staged demonstrations and up to 1,000 protesters took to the streets of the capital and called the country's new unity government a sham.

The opposition parties were listening. Lotfi Al Ahwal, a senior member of the General Union of Tunisian Workers, confirmed that the union's administrative committee is calling for all of its members to resign from the recently formed unity government. Three ministers have already stepped down, Al Ahwal said.

The union's administrative committee, which met Tuesday in a Tunisian suburb, decided not to accept any government that has officials from the old regime and called for demonstrations against the ruling party.

Another opposition leader, Mustafa Ben Jaafar, was to serve as health minister in the new government but suspended his participation in the united government, his spokesman, Abudallah Tif, told CNN Tuesday.

The move by the interim president and prime minister was seen as a way to disassociate themselves from the old guard and salvage the new government.

Earlier, Ghannouchi said in an interview with Europe 1 radio that some officials from the old regime kept their positions "because we need them in this time of building democracy."

"All ministers who have retained their jobs have clean hands and they are very competent. They also have a merit. With their dedication, they have succeeded in reducing the destructive capacity of some areas," he said.

He emphasized that a new election will take place in six months and will be the first to be held in a free Tunisia.

Ghannouchi also said that "we will not forgive" those responsible for wrongful shootings, including people who may have been personal officers of Ben Ali, and that "all those who were behind this massacre will be held responsible."

Weeks of demonstrations have left 78 dead and 94 wounded, the government said. Many of the injured were police officers, according to the country's interior minister. It was not immediately clear how many may have been shot by those affiliated with Ben Ali.

Ghannouchi -- who said the military didn't shoot people -- emphasized that he never gave any order for police to shoot people and only allowed tear gas and rubber bullets.

When peaceful gatherings started to grow in size, witnesses said, police would step in and start firing tear gas and chase protesters with their batons.  At least a half dozen people were beaten, witnesses said, and one man's arm was broken.

At the same time, more people began going back to work and more businesses were opening Tuesday, as many tried to restore a sense of normalcy despite the unrest permeating certain places in the restive country.

But many others remained angry about the country's new unity government, saying they don't want it to include anyone from the old administration, which fell apart after Ben Ali fled last week.

"No leftovers from the old regime!" protesters chanted.

Ghannouchi's 19-member cabinet was to include three opposition leaders and 10 independents, he announced Monday. The new government will be tasked with leading Tunisia toward new elections, he said.

Opposition leaders Ahmad Ibrahim and Ahmad Najib Al Shabi were named to serve as education minister and minister of local development, respectively.

Monsef al Marzouki, the leader of Tunisia's National Congress Party -- a leftist and secularist movement that was banned by Ben Ali's ruling party -- returned to Tunisia from exile in Paris to cheers from demonstrators at the Tunis-Carthage International Airport.

Among the holdovers from the previous government is Ahmed Friaa, the interior minister. Friaa has vowed that those who should be held responsible for mistakes of the past will be punished.

Hager Ben Mahmoud, a 34-year-old bid manager at a software company, told CNN that normalcy is creeping back, with banks, shops and grocery stores in Tunis starting to reopen. But the military is ever-present.

"There are still a couple of demonstrations because people are against the fact that older members of the political party (will remain) in power," she said.

She said that the Tunisian workers union is asking people to go back to work in order to get things back to normal.

In the city of Sfax, Tunisian State TV said, all of the the shops, pharmacies, cafes and most banks are open as usual.

Unlike the previous two days, no demonstrations had taken place in Sfax Tuesday, the report said. The army is still positioned in most areas but not as prominently as in previous days.

Ben Ali fled to Saudi Arabia last week after ruling the country for 23 years, following weeks of protests over what Tunisians said were poor living conditions, high unemployment, government corruption and repression.

The unrest over the past several weeks was triggered in December when Mohamed Bouazizi, an unemployed college graduate, set himself ablaze after police confiscated the fruit cart that was his source of income. He died early this month.

Recent diplomatic cables from the U.S. Embassy in Tunisia, disclosed by the WikiLeaks website, revealed growing discontent with what Tunisians believed was widespread corruption and nepotism within Ben Ali's government.

The unrest has stoked concern across the world, with international leaders calling for an end to violence and offering assistance to develop a Tunisian democracy, with a unity government  that "ensures a peaceful democratic transition."

"Tunisia has reached a point of no return. The EU will stand side by side with Tunisians as they pursue their peaceful and democratic aspirations," Catherine Ashton, the European Union foreign policy chief, and Stefan Fule, commissioner for enlargement and the European neighborhood policy, said in a statement released Tuesday.

Secretary-General Ban Ki-moon underscored the EU statement, appealing "for broad-based consultations in Tunisia to establish an inclusive interim government leading to the holding of timely and credible elections through which the citizens of Tunisia can freely choose their leadership."

"The United Nations stands ready to provide assistance to the Tunisian people," he said.

CNN's Ben Wedeman, Rima Maktabi, Tom Evans, Joe Sterling and Neil Curry contributed to this report.

@highlight

NEW: At least 4 opposition ministers back away from unity government

@highlight

The president and prime minister leave Ben Ali's old movement

@highlight

Angry protests erupt in Tunisia's capital and witnesses report violence

@highlight

Tunisians are steadily trying to get back to a semblance of normalcy