Selma, Alabama (CNN)Crowds massed at a bridge in Selma, Alabama, Sunday to remember and reflect upon the sacrifices of another crowd that gathered at the same bridge half a century ago on a day that came to be known as "Bloody Sunday."

Walkers marched across the Edmund Pettus Bridge in the afternoon to commemorate those freedom-marchers who were clubbed and tear-gassed by state troopers as they peacefully filed across on March 7, 1965. The crowd was massive. It was shoulder to shoulder near the bridge and several blocks away. There were so many people that walking is a bit misleading -- people just really moved inch by inch along the way.

The protest decades ago against the denial of civil rights to Americans based solely on the color of their skin, and the television coverage of the bludgeoning dealt them, hastened the passage of the Voting Rights Act of 1965.

On Sunday at Selma's Brown Chapel AME, a historically black church, leaders in the religious and political realm as well as community organizers gathered to hear speeches, sing hymns and remember what happened 50 years ago. U.S. Attorney General Eric Holder was in the audience. Rev. Jesse Jackson spoke, as did Rev. Al Sharpton.

An important figure in the decades-long fight for civil rights, former Atlanta Mayor and U.N. Ambassador Andrew Young remembered the struggle in the 1960s but wanted everyone to keep pushing forward and thinking about achieving economic equality today.

"We've got to focus on ourselves not as problems but as visionaries," he said.

"We have come a long, long way, but I have enjoyed every bit of it," Young remarked.

Several people remarked at how much it meant that the day before, on Saturday, America's first African-American President, Barack Obama, made a rousing speech on racial progress in a diverse country.

He said that the struggle against discrimination continues today. Looking back, the "Bloody Sunday" march was triggered when a law officer shot a black man dead the month before.

But it was about more -- the right to vote for all Americans. About 600 people were going to march 50 miles to the state capital in Montgomery before they were forcibly stopped.

Sunday's festivities started with a breakfast and end late with a dance. A string of parades, receptions, reflections, films and discussions will fill the time in between. The  commemoration marking 50 years since "Bloody Sunday" continues on Monday.

"Our march is not yet finished. But we are getting closer," Obama said Saturday, his words echoing into a crowd of thousands lined up in front of him.

Obama emphasized that a day of commemoration is not enough to repay the debt paid by the marchers who were beaten 50 years ago as they demonstrated for voting rights.

"If Selma taught us anything, it's that our work is never done," the President said near Edmund Pettus Bridge.

Read President Obama's prepared remarks

The President said that what civil rights marchers did years ago "will reverberate through the ages. Not because the change they won was preordained; not because their victory was complete; but because they proved that nonviolent change is possible; that love and hope can conquer hate."

He hailed the marchers as heroes.

The President said that "the Americans who crossed this bridge, they were not physically imposing, but they gave courage to millions. They held no elected office. But they led a nation."

The President called on Congress to restore the Voting Rights Act, first passed in 1965.

In 2013, the U.S. Supreme Court overturned a key provision of the law that required certain states with a history of racial discrimination at the polls to "pre-clear" any changes to the law with the federal government before implementing them.

Efforts to revive key provisions of the act have stalled in Congress.

50 years later: Memories from 'Bloody Sunday' nurse

Many of the nation's leaders, activists and celebrities were in Selma on Saturday attending various activities taking place in memory of the historic event.

On Saturday, Rep. John Lewis -- one of the demonstrators bloodied by troopers 50 years ago -- and nearly 100 other members of Congress from both parties joined the President at the bridge in Selma -- a bridge that still bears the name of Pettus, a Confederate general who was also a Ku Klux Klan leader.

"We must use this moment to recommit ourselves to do all we can to finish this work. There's still work to be done," said Lewis, adding this is an opportunity to "redeem the soul of America."

John Lewis's memories of the march

Reflecting a sense of change in the half century since "Bloody Sunday," and with Selma again in a national media spotlight, the mood in the crowd Saturday was of unity, and talks were focused on how to move America forward.

But some current Selma residents worried that after the dignitaries leave their town -- with a population 82% black and with more than 40% of its people living below the national poverty level -- will fade from view except for its historical significance.

Geraldine Martin, 59, has lived in Selma all her life. She was 9 years old on "Bloody Sunday" and with her mother had just welcomed a little sister, Belinda, to the world on that day. The two sisters grew up in Selma less than a decade apart.

Opinion: Selma's historic bridge deserves a better name

Belinda left Selma after high school and now lives in Atlanta. Her view of Selma has changed over the years -- looking in from the outside.

"I don't see how Selma will move forward without togetherness," said Belinda. "There is no diversity in Selma. People don't live together."

CNN's Moni Basu reported from Selma. CNN's Slma Shelbayah wrote and reported from Atlanta. CNN's Steve Almasy and Douglas Brinkley contributed to this report.

@highlight

A large crowd walks the footsteps of those who marched 50 years ago

@highlight

They are crossing the Edmund Pettus Bridge, named for a former KKK leader

@highlight

President Obama called Saturday for renewal of Voting Rights Act