(CNN) -- When Howard Chiou went to Taiwan for his grandmother's funeral, he had another dead person on his mind -- the cadaver he was dissecting in his anatomy class. The Emory University medical student kept dreaming about who this dead man might have been when he was alive.

"It was at the funeral that I learned that one of my uncles had the ability to see ghosts," said Chiou, sharing his story at Carapace, a monthly oral storytelling event in Atlanta.

"During the entire funeral, my uncle's there giving a play by play of what my grandmother's doing in spirit form," telling guests that she was happy they were present.

After the funeral, the uncle listened to Chiou's dreams and suggested a diagnosis of "spirit attachment" and treatment for the body's restless spirit. As Chiou led up to the last day of his anatomy class three years ago, Carapace's standing room only crowd waited on pins and needles to hear if he applied his uncle's treatment to the body.

Atlanta residents Randy Osborne and Joyce Mitchell started Carapace more than a year ago as a local chapter of the Moth, a New York City-based oral storytelling group with a growing number of programs around the country (and a few in other countries).

The Atlanta group, which broke away from the Moth and held its first independent event last month, is one of a growing number of oral storytelling groups across the country telling true stories before a live audience. Many people in the audience usually make up the potential list of storytellers for the night.

Veteran Carapace storyteller Tim Banks, a retired Delta employee, shared the tale of a hawk that kept vigil with mourners after his brother's funeral. Only after hawks continued to visit him did he mention it to his sister-in-law, who told him that his brother loved hawks and would stop the car to watch them anytime he spotted them.

Atlanta advertising executive Ben Yaun, a first-timer at the event but a teller of stories within his family, held the audience captive with a tale of an enormous, attacking snapping turtle that took over a fishing trip from his childhood.

"It was prehistoric, I tell you, it was prehistoric!" he shouted to laughter from the audience.

"There's no other type of performance really where the audience becomes the performer and becomes the audience again," Osborne said. "There's the intimacy of telling a story without any notes. You're singing your own song and telling your own story. You're getting up there and finding your way in front of the audience's eyes."

Carapace rules are simple: Put your name in the hat and you might get picked, tell a personal story, keep it to five minutes, no notes, no political rants, no poetry, no grudges, no propaganda. Have a beginning, middle and end. Know the last line of your story. Pay your tab. Check out Carapace's Facebook page for the complete set of rules.

Author George Dawes Green gets a lot of credit for the recent growth in oral storytelling as performance. Green founded the Moth in 1997 in his New York loft, inspired by nights with friends drinking Jack Daniels, playing poker and telling stories at his friend Wanda's home on St. Simons Island in Georgia. The group was named after the moths that would sneak through the rotten porch screens, drawn to the lights.

"Storytelling seems to be in our DNA," said Green, author of "The Juror," "Ravens" and "The Caveman's Valentine." "Stories are the ways in which we can impart dense clusters of information glued together by emotion. It's really how we learn about the world in a way we can grasp and remember."

The Moth has grown into a nonprofit with professional staff that runs storytelling events and competitions in New York, Los Angeles, Detroit and Chicago (with more cities to come) as well as storytelling training for corporations and high schools and community centers in underserved neighborhoods. There is also a Peabody-award winning Moth Radio Hour on public radio.

Oral historian Stephen Sloan says oral storytelling speaks to our identity as human beings, and he isn't surprised at the recent popularity of true stories told live.

"Before technology, storytelling was how you knew what was meaningful, how you had any deep understanding of who you were and what your place was in the world," said Sloan, a history professor and director of Baylor University's Institute for Oral History.

"It was the way those ideas were communicated to us. That same thread is in these stories, the unscripted nature of it, the reality of it, the rawness of it. Something significant and very deep is conveyed through the relating of experience."

Those stories attract large crowds to Moth's flagship Mainstage programs in New York and elsewhere. The Moth staff chooses a theme and invites five people from all walks of life -- some known and some not known to the audience -- to tell 10-minute first person stories on stage, said Moth artistic director Catherine Burns.

Although the stories aren't strictly memorized, the artistic staff helps the storyteller to frame stories so they know where they're going with their tales. "It takes an enormous amount of work but that's what we're dedicating to doing," Burns said.

As the Moth has grown and partnered with interested storytellers to launch "MothUP" affiliates in various cities around the country, a few local groups have chafed against rules more recently required by the national organization. The Moth intended MothUP affiliates to help create Moth StorySLAMs, which are the Moth's storytelling competitions, in those cities.

The local groups in Atlanta and St. Louis have created communities of storytellers who have found a family, where a laugh or nod tells the teller that he has connected with the audience. The members weren't as interested in competition.

Founders of both groups found they were violating other Moth rules: They had too many people attending to fit into a living room (a location requirement) and neither wanted to charge admission. Atlanta didn't want to have judging. St. Louis gave preference to first-time storytellers.

"We open the stage to anyone who wants to tell a story and we try to fit in as many stories as we can," said Stacey Wehe, a founder of the St. Louis group, now named the Saint Louis Ten.

Both sides describe the parting as amicable.

"We underestimated what the demand would be, which is a luxury problem to have," Burns said. The Atlanta and St. Louis groups "got to a size that wasn't what the program was supposed to be. We didn't want to hold them back but we weren't ready to launch a slam there. We hope we'll do more in those cities eventually."

Back at Manuel's Tavern in Atlanta, where Carapace holds its free monthly get-togethers, any storyteller who didn't get picked to speak was invited to come up on stage at the end of the evening to share their first, last or best line.

Carapace's Osborne says it tends to be a popular part of the program, and that June night is no different. Atlanta resident Shannon Turner, who was raised in the oral storytelling tradition in Appalachia, has the crowd wanting more with her single line: "And that, my friends, is how God kept me a virgin."

@highlight

Carapace is an oral storytelling group that has people tell true stories before an audience

@highlight

Rules: Tell a personal story, keep it to five minutes, no notes, no political rants, no poetry

@highlight

The Moth runs storytelling competitions in New York, Los Angeles, Detroit and Chicago