DHAKA, Bangladesh (CNN)  -- More than 1,700 people have died in Bangladesh after a devastating tropical cyclone ripped through the western coast of the country, and the toll is expected to rise, a government spokesman tells CNN.

Families stand amid the wreckage caused by the cyclone Friday in southern Bangladesh.

Brig. Gen. Qazi Abedus Samad, director of operations for the country's armed forces, told CNN Saturday the toll had reached 1,723, and the figure is expected to rise.

As flood waters recede, aid workers say they expect to find scores more bodies when remote villages are finally reached and the counting is done.

They face debris-blocked roads, no electricity and almost nonexistent communications.

In addition to the dead, another 15,000 people have been injured. Thousands of people have been displaced and many are still missing.

Cyclone Sidr, with sustained winds of at least 131 mph (210 kph), made landfall Thursday night along the western coast of Bangladesh near the border with India, unleashing floodwaters.

Government spokesman Fahim Munaim told CNN by telephone that the government held an emergency Cabinet meeting Saturday to assess the disaster and discuss recovery issues.

He said the extent of the cyclone's damage may be much worse because emergency relief had not been able to reach remote areas.

The government has identified the 12 worst districts -- all of them located on the southern coast -- out of the 23 affected by the cyclone, Munaim said.  See victims pick up the pieces after the storm »

The Bangladeshi air force, army and navy are working to provide shelter for the many people who have been displaced. Power is still out in much of the country but it is being restored.  Watch how the cyclone spawns a large relief effort »

Vince Edwards, national director of the relief agency World Vision in Bangladesh, said the high wind speeds of Cyclone Sidr have laid waste to the all-important rice crop and caused a huge loss of livestock.

He said 280,000 families have been rendered homeless by the cyclone, but many have been able to get shelter from family members.

World Vision is deploying 135 staffers and 7,000 volunteers to provide food, shelter and other relief. The group is appealing for $1.5 million in further funds to assist some 9.300 families rebuild their homes.

In Dhaka -- about 200 miles north of the worst-hit region -- there were power outages, massive traffic jams and spotty phone service, CNN's Cal Perry said from the city.

"From an infrastructure perspective, the country absolutely has been brought to its knees," he said.

Red Crescent spokeswoman Nabiha Chowdhury told CNN that communication with her agency's teams who have arrived in the stricken area is spotty, but they have resources with them to immediately help people with water purification, which she said was a top priority.

Those teams have cash with them to buy relief supplies from local wholesalers, said Chowdhury, who said the latest number of people injured was 15,000 with 1,000 missing. Chowdhury said about 600,000 people had fled, adding that about 2 million people lived along the coast.

The U.N. World Food Programme said it has enough high-energy biscuits to feed 400,000 people for several days.

Another humanitarian group, Save The Children, appealed for aid from the public.

"Many families have lost everything, including their homes and their crops, and they are struggling to survive," said Kelly Stevenson, Save the Children's Bangladesh director.

"We are appealing to the U.S. public to support our efforts to assist children and families affected by this disaster. We remain very concerned about possible outbreaks of cholera and severe diarrhea due to the lack of access to clean water," he said in a written statement.

The U.S. Department of State pledged Friday pledging "to work with the government and foreign donors to assist in relieving the effects of the disaster."

Department spokesman Sean McCormack said the U.S. Mission in Bangladesh, anticipating the storm, pre-positioned 16 Zodiac boats, water treatment systems, water ambulances and food for a more rapid response.

U.S. Defense Secretary Robert Gates was expected to approve plans to send up to three Navy amphibious warships, with up to 3,500 Marines, to locations off the coast of Bangladesh to assist in relief efforts. E-mail to a friend

@highlight

More than 1,700 people dead, toll expected to rise, official says

@highlight

15,000 people are injured following Thursday's tropical Cyclone Sidr

@highlight

U.N. World Food Programme has food for 400,000 people for three days

@highlight

Power outages, massive traffic jams and poor phone service in Dhaka