(CNN)One would expect that the U.S. Environmental Protection Agency has the best interests of the public in mind, but its recent decisions have cast serious doubt upon this assumption.

One in particular could have a dramatic impact on the safety of the U.S. food supply: It is the mandate of the EPA to regulate the use of agricultural chemicals like insecticides and herbicides, as well as to determine their allowable limits in food and drinking water.

Herbicides (weed killers) are mixtures of chemicals designed to spray on weeds, where they get inside the plants and inhibit enzymes required for the plant to live. The active ingredient in the most widely used herbicide is glyphosate, while some herbicides contain 2,4D.  2,4D is best known as a component of Agent Orange, a defoliant widely employed during the Vietnam War. Until the introduction of GM crops about 20 years ago, herbicides were sprayed on fields before planting, and then only sparingly used around crops. The food that we ate from the plants was free of these chemicals.

In stark contrast, with herbicide resistant GM plants, the herbicides and a mixture of other chemicals (surfactants) required to get the active ingredient into the plant are sprayed directly on the crops and are then taken up into the plant. The surrounding weeds are killed while the GM plant is engineered to resist the herbicide. Therefore, the food crop itself contains the herbicide as well as a mixture of surfactants.

To accommodate the fact that weeds are becoming glyphosate resistant, thereby requiring more herbicide use, the EPA has steadily increased its allowable concentration limit in food, and has essentially ignored our exposure to the other chemicals that are in its commercial formulation.

As a result, the amount of glyphosate-based herbicide introduced into our foods has increased enormously since the introduction of GM crops.  Multiple studies have shown that glyphosate-based herbicides are toxic and likely public health hazards.

Of equal importance in terms of health is the fact that herbicides are now being used to rapidly kill non-GM grain crops at the end of their growing season in order to speed up harvesting.  So, a product can be labeled GM-free but still contain high levels of herbicide.

The fact that agricultural chemicals are now inside the food crops that we eat is a fundamental shift in both our food production system and human exposure to toxic chemicals.  Unfortunately, it is about to get even worse.

Since 2,4D has been used for over 50 years, its toxicity to farm workers and neighboring populations is well documented. EPA sponsored studies have shown that those repeatedly exposed to 2,4D have an increased risk of Parkinson's disease, cancer and birth defects.   Its nonagricultural use is banned in some European countries.

Despite this information, and warnings from many knowledgeable organizations, scientists and doctors, the EPA has recently concluded that the commercialization of corn and soy genetically modified to be resistant to both 2,4D and glyphosate will have no adverse effects on human health and has allowed the introduction of these crops in many states.  The summary statements used to justify this decision are on the EPA website, but the scientific data and discussion to support it are not available to the public.

Some predict that because of these GM crops and the inevitable increase in weed herbicide resistance, the amount of 2,4D entering our environment could soon increase up to 30 fold over the 2010 levels.

As a medical research scientist, I consider this EPA allowance a grave error and believe that it will ultimately lead to a public health disaster.  This conclusion is based upon the following considerations:

1) 2,4D, glyphosate, and surfactants are inside the plant and cannot be washed off.  Recently shipments of soybeans to Asia have contained 50-fold the amount of glyphosate allowed in Europe, and high levels are in U.S. GM soybeans while none is detected in conventional and organic beans.

2) 2,4D is toxic, and safety testing of glyphosate formulations has shown that they are endocrine disrupters and cause liver and kidney damage.  Moreover, it appears that the specific formulation of 2,4D and glyphosate that will be applied to the new GM crops has not been tested for health safety. Because soy- and corn-based foods will contain these chemicals, they should be considered food additives and fall under the jurisdiction of the FDA, which would require extensive safety testing.  Currently none are required.

3) Glyphosate and 2,4D accumulate in the environment, and the amounts will increase in our food and drinking water as their combined use becomes widespread and weeds become more resistant.  Glyphosate is already found in the blood and urine of people, and in a soy rich nutrient mix given to infants.

4) While the producers of the new, doubly herbicide resistant crops and the U.S. regulatory agencies have some control over the production and use of herbicides in this country, they cannot control those made or used abroad.  The relatively uncontrolled use of glyphoshate-based herbicides in South and Central America has lead to significant increases in birth defects, kidney toxicity, and cancer.  It will be much worse if 2,4D is thrown into the mix.

What does this all mean? Consumers should consider purchasing certified organic soy and corn products until the EPA withdraws its allowance of food crops that contain herbicides, and every effort should be made to prevent the introduction of additional herbicide resistant crops.  These food additives are not good for you or your children.

@highlight

EPA has steadily increased the allowable concentration limit of herbicides in food  supply

@highlight

David Schubert: Herbicide resistant crops present health risks for consumers that cannot be ignored