Washington (CNN) -- In less than a month, the government may shut down. Lines are being drawn. Vacations are being canceled. Friends are becoming enemies.

Are you concerned yet? Confused? Well, if you're not, you should be.

At the center of complex negotiations in Washington is a sturdy little political device known as a continuing resolution, also called a "CR."

A continuing resolution? A CR? What in the heck is that? Good question. It is a legislative tool designed to keep the government running when the president and Congress can't get it together.

By October 1 -- the deadline to keep funding everything in the government from the IRS to the Army -- you'll probably hear the term hundreds of times in news articles and out of the mouths of commentators and pundits. So let's explain:

Q: What is a 'CR'?

A: It's a legislative trick to pay the bills. The federal government's fiscal year starts October 1. And the one key duty laid out in the Constitution for Congress is to pass spending bills that fund the government.

Want a few billion for roads and bridges? Go see Congress. That aircraft carrier needs a new paint job? Congress is the place to go.

Sounds simple enough, but, in reality, the House and the Senate haven't done their job.

In the past year, Congress hasn't passed any of the 12 different spending bills that fund the much of the government, including defense programs, transportation projects and education.

So when Congress doesn't do its job, then it has to pass a continuing resolution, also referred to as a short-term spending bill or a stop-gap spending measure.

It is a bill that sidesteps the lengthy budget process and funds the government for a specified period of time. It can last anywhere from a day to a year.

CRs are not an anomaly. They have been used 156 times between 1977 and 2011.

And before 1977, they were so common that Congress changed the start of the fiscal year from July to October to give lawmakers more time to pass the spending bills. That worked for a few years but then Congress settled into the new schedule and, like any high school student -- or journalist on deadline -- it procrastinated. So it had to revert back to the use of CRs to keep the government open.

And here we are.

Q: Why shut down the government?

A: Yea, why? And what does CR have to do with a government shutdown?

Often, a CR is a simple legislative extension to accommodate lawmakers who don't get their work done. It's not designed to solve a debate embroiled in partisan politics.

"Typically these appropriations bills are not that partisan," said Steve Ellis, vice president of Taxpayers for Common Sense.

But that's not always the case.

Congress "recognizes one of their leverages is the power of the purse," Ellis said, adding that politicization of the budget process has become more polarized during the Obama administration.

House Speaker John Boehner has proposed a short-term spending bill that would fund the government until December 15. But then politics got in the way.

This year, a core group of conservative Republicans in the House wants to tie the entire $986 billion annual operating budget to a provision to defund the health care law known as Obamacare.

House GOP leaders delay vote on spending bill after conservatives rebel

Still, it's rare that the threat of a government shutdown revolves around a partisan legislative poison pill. More often it's about spending levels and the size of the government.

That's the track Republicans usually take. Since 2011, they have used budget battles -- and taken the country to the edge of government shutdown -- to extract $2.3 trillion from federal spending.

It's worth it, they say, to rein in the first two years of the Obama administration's spending spree, which included $830 billion in economic stimulus and an expensive new health care law.

Q: Have we been here before?

A. Yes. In 1995 and 1996, President Bill Clinton battled a Republican-led Congress over spending levels (his nemesis was then-Speaker Newt Gingrich).

It ended in a government shutdown -- for 28 days at the end of 1995 and beginning of 1996 -- and the American public largely blamed Congress.

Following the shutdown, Clinton gained an enormous political upper hand and Gingrich later lost his job as speaker.

While politics seem particularly bad during these times, it's important to remember that the government hasn't actually shut down under this Congress or this president. Yet.

Q: So why is this so hard?

A. Passing spending bills is not easy. They can reflect the fundamental differences of governing philosophy. Should we fund school lunches or more tanks? Aid to Egypt or money for Detroit?

It often takes intense negotiating between the two chambers of Congress and the president. But some in Congress complain that President Barack Obama has not been the easiest guy to work with, especially when it comes to bridging partisan gaps.

He rarely interacts with members of Congress, many say they don't trust him and he has angered once-friends on the Hill with his recent positions on Syria.

Congress shifts its focus away from Syria resolution

But the fight over the continuing resolution is just an extension of a deeper fight over the budget. Much to the dismay of Republicans, the Senate in recent years has failed to pass even a simple budget, a precursor to spending bills.

And even though the Senate finally passed a budget -- it did so in March after the House acted -- leaders in both chambers couldn't agree to start the process of combining their versions into a final bill. So the budget went nowhere.

Jim Manley, a former aide to Senate Majority Leader Harry Reid said the budget encapsulates Washington.

"The current budget process symbolizes all that is wrong with Congress right now. It's broken and needs to be fixed," he said.

Q: But they're really not going to do this, are they?

A: That's not clear. House Republican leaders are well aware of the political risks of threatening to shut down the government. They are reluctantly trying to avoid tying a short-term spending bill to defunding Obamacare. Not surprisingly, a CNN/ORC International poll shows that Republicans would again be blamed if the government does shut down.

CNN Poll: Who would get blamed for government shutdown?

"Only a third would consider President Barack Obama responsible for a shutdown, with 51% pointing a finger at the GOP - up from 40% who felt that way earlier this year," said CNN Polling Director Keating Holland.

Q: Isn't this a really bad way to run the greatest democracy on Earth?

A: Even if the continuing resolution wasn't wrapped up in talks of politics and government shutdown, Ellis argues that "it's a terrible way to run government."

CRs fund the government at the same level as the previous year. That means wasteful programs that need to be stopped or cut back aren't, and programs that need more money don't get it.

"One way to force government to have waste and inefficiency is to have a CR," Ellis said.

Q: Can it get any worse?

A: It could. The CR is going to be one fight the Congress will have over the next couple of weeks. The next fight will be over the debt ceiling -- permitting the government to borrow more money to pay off its past spending debts.

But that's a different story for a different day.

CNN Political Editor Paul Steinhauser contributed to this report

@highlight

More talk of a government shutdown prevails in Washington

@highlight

Common budget tool to fund the government, the "continuing resolution," is becoming more divisive

@highlight

Some Republicans are trying to tie government spending to defunding Obamacare

@highlight

Experts say continuing resolutions are inefficient