(CNN) -- "Our country has changed," wrote Chief Justice John Roberts on June 25, 2013, when five of the nine Supreme Court Justices dismantled the historic Voting Rights Act.

Roberts is correct in at least one respect: Today's Republican Party is no longer the party of Abraham Lincoln, as former Supreme Court Justice John Paul Stevens reminded us again in a recent article in The New York Review of Books. Stevens, a lifelong Republican appointed to the court by Gerald Ford, attacked Roberts and his Republican colleagues for usurping the authority of Congress which had overwhelmingly renewed the act in 2006.

But 48 years ago this week, the Republican Party supported the cause of voting rights. On August 6, 1965, when President Lyndon Johnson signed the Voting Rights Act into law, he gave the second pen he used to Everett Dirksen, the Republican Senate Minority Leader. Dirksen deserved the honor because he was a major architect of the act. In fact, the bill was written in Dirksen's office as he sat next to Acting Attorney General Nicholas Katzenbach. Later, insiders joked that the bill should be called "Dirksenbach."

Although suffering from emphysema, ulcers and an enlarged heart, Dirksen worked hard defending the bill on the floor of the Senate, successfully defeating Southern efforts to weaken it. Johnson feared that a Southern filibuster would delay the bill until the Senate adjourned for the summer, a dangerous prospect. "They been doin' that for 35 years that I been here," Johnson fumed, "and I been watchin' 'em do it."

Opinion: 50 years later, civil rights struggle is far from over

Johnson turned to Dirksen for help. The Senator from Illinois persuaded 23 fellow Republicans to vote for cloture, shutting off a filibuster and freeing the Voting Rights Act for an up or down vote. When it came, 30 Republicans joined 47 Democrats to pass the bill and send it to the House for their consideration.

After Southern efforts to destroy the bill in the House were defeated and differences between House and Senate versions of the bill were resolved in conference committee, the 1965 Voting Rights Act was passed overwhelmingly by both houses of Congress that August, with Republican support.

Soon, however, Republicans began to court white voters in the South and elsewhere who were alienated by the Democratic Party's embrace of civil rights. Richard Nixon first adopted this "Southern strategy" in his 1968 presidential campaign, following the advice of Kevin Phillips, a political advisor, who later noted that "the more Negroes who register as Democrats in the South, the sooner the Negrophobe whites will quit the Democrats and become Republicans."

And so it came to be: Blacks, who were affiliated with Lincoln's Republican party after the Civil War and well into the 20th century, moved decisively to join the party of Johnson, and later Clinton, and Obama, while the Republican Party moved sharply to the right and came to mostly represent white Americans.

In 2010, after winning control of 25 state legislatures, Republicans enacted a series of laws designed to suppress the votes of those who elected Barack Obama president in 2008.

Then, on June 25, 2013, the conservative majority on the Supreme Court bid a final farewell to the party of Lincoln by demolishing the Voting Rights Act in Shelby County v. Holder. Troubled by this development, John Paul Stevens, a Republican appointed to the court in 1975 by President Gerald Ford, offered his dissent in The New York Review of Books article.

Justice Stevens felt strongly that the court had erred in taking the case, since Congress had thoroughly investigated and found evidence of racial discrimination in voting in 2006, resulting in the act's near-unanimous reauthorization that same year.

He argued that the chief justice's opinion had failed "to explain why such a decision should be made by the members of the Supreme Court," and not the Congress. After all, the Fifteenth Amendment to the Constitution, which prohibits interference with voting on the basis of race, color, and condition of previous servitude, clearly gives the Congress the right to pass legislation to enforce that amendment. "The members of Congress, representing the millions of voters who elected them, are far more likely to evaluate correctly the ...issue...," Stevens concluded. Conservatives on the court were guilty of the judicial activism they had long decried.

Veterans of forgotten voting war count the cost

In a final ironic twist, Stevens quoted Antonin Scalia's dissent in the Defense of Marriage case, which Stevens thought applied at least as well, if not better, to what the court had done in Shelby County v. Holder: "We have no power to decide this case. And even if we did, we have no power under the Constitution to invalidate this democratically adopted legislation. The court's errors on both points spring forth from the same diseased root: an exalted conception of the role of this institution in America."

Stevens' dissent, coming as it does from the man who served longer than any other Republican appointee on the Supreme Court, testifies to how far that party has strayed from its origins.

With the gutting of the Voting Rights Act, Republicans throughout the South are again passing voter suppression laws (and, in North Carolina, legislation which would damage women's reproductive rights). It is no longer the party of Lincoln or Reagan. It has become the party of Jefferson Davis. Whether the American people wish to turn the clock back to 1861 remains to be seen.

The opinions expressed in this commentary are solely those of Gary May.

@highlight

Gary May: Roberts court gutting Voting Rights Act, recalls that GOP no longer party of Lincoln

@highlight

He says leading Republican in 1965, Dirksen, was architect of act, rounding up GOP votes

@highlight

Later, Republican "Southern Strategy" wooed white voters, blacks flocked to Democrats

@highlight

May: Now court has abetted GOP, as it tries to obstruct voting rights in states