New York (CNN) -- Pedro Hernandez was arraigned early Friday evening on a second-degree murder charge tied to the case of Etan Patz, the New York boy whose disappearance 33 years to the day spurred nationwide attention about missing children.

The suspect appeared about 6:25 p.m. Friday via video feed from Manhattan's Bellevue Hospital, where he is being held for evaluation and is on suicide watch, according to a law enforcement source.

Judge Matthew Sciarrino presided over the proceedings from a New York courtroom, where people watched the arraignment.

Sciarrino denied bail for Hernandez after defense attorney Harvey Fishbein said the suspect has a "long psychiatric history" including schizophrenia, bipolar disorder and hallucinations. The lawyer asked that Hernandez undergo a full psychiatric evaluation, a request the judge granted.

Dressed in an orange jumpsuit and sitting at a brown table, Hernandez did not speak and showed no evident emotion during the proceedings.

The next major step in the legal process would be for a grand jury to hear prosecutors' evidence against Hernandez for a potential indictment, after the defense waived its right to an expedited indictment on Friday. It is not clear when this might happen.

Earlier Friday, Hernandez was sent to the hospital "because he's on medications, and we prefer to administer those in a hospital setting," said police spokesman Paul Browne, who declined to elaborate on the medications.

"When Hernandez arrived at the hospital, he began making statements that he wanted to die, and a psychiatric evaluation was ordered, " added the law enforcement source.

The former Manhattan stock clerk who lived in Etan's neighborhood when the boy vanished was arrested the previous day by police following up on a tip.

Neighbors say suspect in Patz killing lived a quiet life with his family

Hernandez, who was 19 in 1979, told police he lured Etan to a store with the promise of a soda, choked him and placed his body in the trash about a block and a half away, Police Commissioner Ray Kelly said. The boy was killed in the basement of a Manhattan building, according to the charging document filed late Friday afternoon by the Manhattan district attorney's office.

"Detectives believe in the credibility of the statement," Kelly said, although investigators had not uncovered any forensic evidence linking Hernandez to the boy's disappearance.

Kelly said it is unlikely that Etan's remains would be found.

Patz investigation a 33-year-long roller coaster ride

"He did the right thing, you know, to confess," Hernandez's brother-in-law Jose Lopez told CNN affiliate KYW. "Get this thing over with for the people out there and the family over here."

But Lisa Cohen, whose 2009 book, "After Etan," is widely considered the definitive account of the case, said she's not convinced that Hernandez killed the boy.

"No, I'm not, but that's not necessarily because he didn't do it," she said. "That's just because this has just happened. I'd never heard his name before."

Hernandez has no criminal record and is the father of a teenage girl, Kelly said.

Etan, 6, went missing on May 25, 1979, a block from his home in Manhattan. He was walking to school alone for the first time when he vanished.

His disappearance helped spawn a national movement to raise awareness of missing children, including the then-novel approach of putting an image of the child's face on thousands of milk cartons.

Missing child case 'awakened America'

In the years after Etan's disappearance, Hernandez told a family member and others that he had "done a bad thing" and killed a child in New York, police said.

While the motive remained unclear, Kelly described it as a crime of opportunity and said Hernandez was remorseful.

"The detectives thought it was a feeling of relief on his part," he said.

Other employees of the store were interviewed after Etan disappeared, but not Hernandez, police said.

"I can't tell you why," Kelly said.

The police investigation continues, as does the FBI's, the agency said in a statement Thursday night.

"The FBI's investigation into the disappearance of Etan Patz remains active and ongoing. We remain determined to solve this case," FBI Assistant Director Janice K. Fedarcyk said in the statement.

Thursday's arrest came nearly a month after investigators searched the former basement workshop of carpenter Othniel Miller, who had given Etan a dollar the day before the boy's disappearance for helping him around the shop. Etan had said before he disappeared that he planned to use the dollar to buy a soda.

The search produced no apparent clues.

"Mr. Miller is relieved by these developments, as he was not involved in any way with Etan Patz's disappearance," said Miller's attorney, Michael C. Farkas. "At the same time, Mr. Miller is very pleased that those responsible for this heinous crime may be brought to justice, and the Patz family may finally have the closure they deserve."

A separate law enforcement source said Thursday that Hernandez's claims were being treated with "a healthy dose of skepticism."

The tipster whose information led to Hernandez's arrest contacted authorities months ago after news coverage of their renewed search. That contact, at least in part, prompted investigators to question Hernandez.

A spokeswoman for the Manhattan district attorney's office, which reopened the case in 2010, declined to comment on the recent development.

Etan was officially declared dead in 2001 as part of a lawsuit filed by his family against Jose Antonio Ramos, a drifter and convicted child molester acquainted with Etan's baby sitter.

A judge found Ramos responsible for the boy's death and ordered him to pay the family $2 million, money the Patz family has never received.

Although Ramos was considered a key focus of the investigation for years, he has never been charged in the case. He is serving a 20-year prison sentence in Pennsylvania for molesting another boy and is set to be released this year.

President Ronald Reagan named May 25, the day Etan went missing, as National Missing Children's Day.

CNN's Ross Levitt and Jordana Ossad contributed to this report.

@highlight

NEW: Pedro Hernandez is quiet and shows no apparent emotion during his arraignment

@highlight

NEW: His lawyer cites Hernandez's "long psychiatric history"

@highlight

Authorities believe Hernandez killed Etan Patz, a New York boy who went missing 33 years ago

@highlight

Investigators have not found forensic evidence linking him to the case, official says