(CNN) -- In the physical world, WikiLeaks founder Julian Assange is a wanted man. In the virtual world, his website is under attack and on the run.

There isn't much question that the person who obtained the WikiLeaks cables from a classified U.S. government network broke U.S. law and should expect to face the consequences. The legal rights of a website that publishes material acquired from that person, however, are much more controversial.

There are many prominent Americans -- and a great many ordinary Americans -- who have made their views clear over the past week that WikiLeaks' "cablegate" website should not be considered constitutionally protected speech.  Others, however, believe equally strongly that now that the material is out, news media and website owners have the right to publish the material.

What is troubling and dangerous is that in the internet age, public discourse increasingly depends on digital spaces created, owned and operated by private companies. The result is that one politician has more power than ever to shut down controversial speech unilaterally with one phone call.

After suffering aggressive cyber attacks last weekend, Assange removed his "cablegate" site from servers in Sweden and purchased a new home for it on Amazon's web hosting service. On Tuesday, Amazon talked on the phone with the office of Sen. Joe Lieberman, chairman of the Senate's committee on homeland security.

Shortly thereafter, Amazon booted WikiLeaks. The senator responded with a statement: "I wish that Amazon had taken this action earlier based on WikiLeaks' previous publication of classified material. The company's decision to cut off WikiLeaks now is the right decision and should set the standard for other companies WikiLeaks is using to distribute its illegally seized material."

This is not the first time Lieberman has demanded that an American internet company take down controversial material. Last time, the outcome was different.

In 2008, Lieberman wrote to Google CEO Eric Schmidt, demanding immediate removal of "content produced by Islamist terrorist organizations from YouTube."  While YouTube did remove a few videos that violated community guidelines against violence and hate speech, it refused to remove most of them.

Google's lawyers determined that the material Lieberman wanted removed, while upsetting to many Americans, was clearly protected under the First Amendment. "While we respect and understand [Lieberman's] views, YouTube encourages free speech and defends everyone's right to express unpopular points of view," Schmidt wrote in his response.

He continued: "We believe YouTube is a richer and more relevant platform for users precisely because it hosts a diverse range of views, and rather than stifle debate, we allow our users to view all acceptable content and make up their own minds."

The New York Times editorial page chimed in: "While it is fortunate that Mr. Lieberman does not have the power to tell YouTube that it must remove videos, it is profoundly disturbing that an influential senator would even consider telling a media company to shut down constitutionally protected speech."

Amazon's dumping of WikiLeaks at one senator's request brings into stark relief one of the core problems Americans have grappled with since before our country even existed: Where is the right balance between security, on one hand, and civil liberties, on the other?

We have always disagreed passionately. Much of American politics and a large number of constitutional battles center on this question. One might even argue that our political and legal systems are designed to enable this argument to continue indefinitely as new technologies and challenges arise.

But the WikiLeaks Amazon case also highlights a new problem for American democracy -- and ultimately for the future of freedom and democracy more globally. A substantial if not critical amount of our political discourse has moved into the digital realm. This realm is largely made up of virtual spaces that are created, owned and operated by the private sector.

As far as the law is concerned, Amazon is off the hook. Speech within the kingdom of Amazonia -- run by its sovereign Jeff Bezos and his board of directors with help from the wise counsel and judgment of the company's executives -- is not protected in the same way that speech is constitutionally protected in America's public spaces.

The law gives Amazon the right to set its own rules. The company's terms of service clearly state that it "reserves the right to refuse service, terminate accounts, remove or edit content in its sole discretion." By clicking "agree," the customer has legally consented to "represent and warrant that you own or otherwise control all of the rights to the content," and that said content "will not cause injury to any person or entity."

Given that citizens are increasingly dependent on privately owned spaces for our politics and public discourse, however, the fight over how speech should be governed in a democracy is focused increasingly on questions of how private companies should or shouldn't control speech conducted on and across their networks and platforms.

We are facing new questions on which Americans have no clear consensus, and which were not covered in civics class: How will decisions made by private internet and telecommunications companies about what content they will or won't allow affect the ability of citizens to carry out informed debate on important matters of public concern? What are the private sector's obligations and responsibilities to prevent the erosion of democracy?

While Amazon was within its legal rights, the company has nonetheless sent a clear signal to its users: If you engage in controversial speech that some individual members of the U.S. government don't like -- even if there is a strong case to be made that your speech is constitutionally protected -- Amazon is going to dump you at the first sign of trouble.

Let's hope that there will always be other companies willing to stand up for our rights as enshrined both in the U.S. Constitution and in the Universal Declaration of Human Rights -- and by extension their right to do business with us.

The future of freedom in the internet age may well depend on whether we the people can succeed in holding companies that now act as arbiters of the public discourse accountable to the public interest.

The opinions expressed in this commentary are solely those of Rebecca MacKinnon.

@highlight

Rebecca MacKinnon says many differ on whether media should publish WikiLeaks cables

@highlight

What's troubling, she says, is that Sen. Joe Lieberman can get Amazon to dump it from server

@highlight

She asks: What are private sector's responsibilities to prevent erosion of free speech?

@highlight

Writer: Future of free speech on internet turns on companies' accountability to public interest