(CNN) -- As long as there are postmen, life will have zest.

So said philosopher William James, though younger generations may question the need for snail mail at all.

But Louis Schlamowitz, for one, is grateful to postmen, who over the years have dropped thousands of envelopes into the mailbox of his cramped apartment in the Canarsie neighborhood of Brooklyn, where he has spent all his life.

In that box came words and photographs from the famous -- and sometimes the infamous.

Now, in his closet, he has three jackets hanging, lonely among the 60 photo albums stacked up from the floor and on the shelf. "South America" contains Manuel Noriega. Fidel Castro. "U.S. presidents" includes John F. Kennedy, Ronald Reagan, Barack Obama and Harry Truman, who started Schlamowitz on his unusual hobby.

Then there's the Middle East album, a veritable assortment of dictators, fallen and felled. Among the likes of Ayatollah Ruhollah Khomeini, Yasser Arafat and Hosni Mubarak is Moammar Gadhafi, whose ignoble death last month earned Schlamowitz himself a bit of instant fame.

Schlamowitz's collection -- he says he has more than 6,000 letters and autographed photos -- had been written about before, but after Gadhafi died, everyone became curious about why an 81-year-old American corresponded with the despot.

To answer that question, Schlamowitz takes his questioners back to 1953, when he was a young Army private in Korea.

His buddy had a sole Christmas card left and Schlamowitz decided he would send it to Truman.

"He won't reply to me," Schlamowitz thought. "I'm nobody special."

But his friend insisted he mail it. "What do you have to lose?" he said.

His friend thought wisely, it turns out.

A month and a half later, came the response, on presidential stationery.

Schlamowitz was inspired. If Truman can write back, why not others?

Back in New York, he married, had a daughter, and worked for 35 years designing floral arrangements first at a Manhattan shop, then closer to home in Brooklyn.

When he saw someone in the news, he looked up the person's address and dropped a letter in the mail. He was especially fond of politicians and world leaders.

He wrote to Gadhafi, then a young colonel who had usurped power in Libya in 1969 through a military coup. He asked for a signed photograph.

"I found his name in the papers," Schlamowitz says, sitting at a cluttered table surrounded by metal folding chairs. "I wished him well."

He got his photo and a letter that said: "Your kind message to Col. Moammar Gadhafi, leader of the great first September revolution, has been received with great appreciation."

Schlamowitz, a devout Jew, even received a Christmas card from the Muslim Gadhafi.

Gadhafi wrote several times more; one letter attacked America for practicing terrorism with its support of Israel -- not what a Jewish man who also had letters from Israel's Golda Meir, Yitzhak Rabin and Moshe Dayan would want to read.

"America practices terrorism against the Palestinian people through providing Israel with the planes and weapons for attacking the Palestinian camps. America's countering of those people's struggle is a crime against humanity and liberty," Gadhafi wrote.

Schlamowitz put the typewritten words into the album, alongside photos of Gadhafi, autographed in red ink.

But he stopped writing to Gadhafi, he says, after the 1988 bombing over Lockerbie, Scotland.

"They were shooting down a plane killing innocent people," he says. He didn't want to be "mixed up with individuals who were committing crimes against humanity."

After the Libyan uprising was well under way, Schlamowitz felt an urge to write again.

"If you don't do the right thing for your people and for your country, eventually your people will turn against you," he told the dictator. The letter was returned to him, unopened.

"He should have stepped down like the president of Egypt," Schlamowitz says. "Maybe he would be alive today. But power, it's not that easy to give it up."

If Schlamowitz's correspondence has intrigued the public, it has certainly raised eyebrows in the halls of intelligence. He says he's been visited by the CIA, FBI and Homeland Security a number of times. They told him his name keeps popping up in Washington. They wanted to know what his connection was to some of these men, considered enemies of America.

Schlamowitz explained it was no big deal. That he just wanted to write to them and maybe get a photo to hang on his otherwise drab walls.

"You look like a clean-cut fellow," a CIA agent once told him. "It's a hell of a hobby you have, Schlamowitz."

Schlamowitz has sold only a few of his prized possessions. Two letters from Marilyn Monroe fetched $500. A Christmas card from Jackie and JFK, $50.

Someone once offered him $35,000 for the whole collection. He wanted to pay him $10,000 up front and the rest after an auction. The problem was the advance was a personal check. Schlamowitz wasn't going to take that chance. Cash only, he says.

Three years ago, a guy from Brooklyn offered him a dollar for each piece he owned.

"You must be sick," Schlamowitz told him. "And I am even sicker dealing with you."

Schlamowitz has no idea what his collection is worth, but he knew when he was getting ripped off.

He's thankful for his daughter and grandchildren. They are sure to take good care of his treasure trove after he is gone.

Lately, he hasn't been writing as much. His hand gives way, he says. Tough to keep it all going at his age.

He doesn't know why reporters called on him so much, though he certainly enjoys showing off his stuff.

"I'm nobody special," he says. "I just want to be a part of history."

An ordinary guy with an extraordinary collection.

@highlight

Louis Schlamowitz likes to correspond with world leaders

@highlight

Among them were Fidel Castro, Ayatollah Khomeini and Moammar Gadhafi

@highlight

Gadhafi's death cast the spotlight on Schlamowitz

@highlight

He has over 6,000 letters and autographed photos in his Brooklyn apartment