(CNN) -- President Barack Obama and Republican candidate Mitt Romney traded accusations on tax policy Thursday, with both claiming at campaign stops in battleground states that the other's strategies have failed.

Romney used a rally in Golden, Colorado, to unveil a simplified campaign message called for by some Republican strategists, laying out a five-point plan that he said would put the nation back on the correct economic path.

The proposals are traditional conservative stances on domestic energy production, trade, job training, deficit reduction and boosting small businesses, with Romney promising that, if elected, he would deliver on them to unleash the full potential of the U.S. economy.

"His policies have not worked. They have not gotten America back to work again," Romney said of Obama, citing 41 straight months of unemployment over 8%. "I'm going to get America working again."

In particular, Romney challenged Obama's call for extending lower tax rates, set to expire at the end of this year, only for income up to $250,000 for families or $200,000 for individuals, which would allow the rates on income above those marks to increase to 1990s levels.

Calling that plan a tax increase, Romney said it would inhibit the job creation needed for economic growth and described the Obama policy as being "like a dog trying to chase its tail."

In Orlando, Florida, Obama attacked Romney's call for more tax cuts as an example of long-standing Republican policy that was most recently enacted by his predecessor, helping bring the recession that was in place when Obama took office.

"They have tried to sell us tax cut fairy dust before," Obama said. "It is not a plan to move our economy forward. It takes us backward to a place we don't need to be."

Obama blasts Romney tax plan in Ohio

The president also made a campaign visit to Virginia, while Romney joined Republican governors -- including several potential running mates -- at an Aspen, Colorado, conference.

In a format resembling a celebrity "roast" -- but one with blue blazers and verbal bouquets instead of vulgar put-downs -- the seated governors rose one-by-one to praise Romney.

New Jersey Gov. Chris Christie called Romney a man of "fabulous ingenuity" and "great integrity."

"We need you, we're looking forward to your services as president," said Gov. Mary Fallin of Oklahoma.

"I really appreciate your focus on middle class families," Virginia Gov. Bob McDonnell told Romney.

In a hint that Romney's decision on a running mate might come soon, his longtime adviser Beth Myers, who heads up the campaign's search for a vice presidential candidate, will be traveling with Romney to Colorado.

Polls show that Romney and Obama are statistically even in Colorado and Virginia, while Obama holds a small lead in Florida. All three states are among the eight or so considered vital to the chances of both candidates in November.

The CNN Electoral Map

Reviving the American dream of equal opportunity has been the central theme of Obama's campaign, and Romney's new five-point message Thursday was an effort to blunt the president's middle class outreach.

In general, it rehashes Romney's previously stated stances on energy, taxes, deficit reduction, trade and small business development but offers few details

For example, the energy component involves easing regulations to expand domestic production of oil, coal and natural gas. A conference call by Romney's advisers made no mention of alternative sources such as solar or wind energy championed by Obama, but Romney included continued pursuit of such programs in his later remarks in Colorado.

The tax component came under heavy criticism from Obama, who cited a study by the Urban Institute-Brookings Institution Tax Policy Center that says Romney's proposals would provide large cuts to the very wealthy while increasing the burden on the lower and middle classes.

Eric Fehrnstrom, a senior Romney campaign adviser, called the report "a joke" on Thursday's conference call, while Romney economic adviser Kevin Hassett said it fails to include the projected revenue increase from an expanded employment base that Romney's policies would bring.

"Eliminating that from your analysis means you're going to have a very, very biased result," Hassett said. Romney officials also complained that one of the study's three authors was a former member of Obama's Council of Economic Advisers.

In his Florida remarks, Obama ridiculed the Romney team's criticism of the report, noting another of the co-authors was an economist in the administration of Republican President George H.W. Bush.

"They said (the report) didn't take into account the economic growth that would result from tax cuts," Obama said, drawing laughter when he added: "We all know how well that worked the last time they tried it."

Romney calls for cutting today's rates by 20% as well as eliminating the Alternative Minimum Tax and limiting current deductions, exemptions and credits available to top-level income earners.

However, Romney has yet to say which specific tax breaks he plans to eliminate, and the Tax Policy Center report indicated the result of his plan would force the tax burden to shift toward lower- and middle-class Americans.

In its study, the Tax Policy Center did not score Romney's plan directly, saying it lacked sufficient details. Instead, the center said the plan represented a number of Republican proposals.

The Romney campaign officials said Thursday that the specifics of the tax proposal remain to be worked out, with deputy policy director Jonathan Burks adding that Romney, if elected, "would write a tax bill that would achieve those goals."

"It's not a question of today we have a 2,000-page tax plan," Burks said.

Tax policy has become a central economic issue, with Congress deadlocked over proposals to extend most or all of the Bush-era tax cuts set to expire at the end of the year.

House passes Republican tax-cut plan

Romney and Republicans want to extend all the Bush tax cuts for now to prevent any increase, while Obama says the lower rates should not continue for the wealthiest 2% of Americans to bring more fairness to the system. Both sides call for comprehensive tax reform after the election as part of necessary deficit reduction steps.

The issue touches on the foundations of the nation's political divide, with Republicans driven by their conservative base seeking to shrink government to reduce deficits while Democrats want a blend of spending cuts and more tax revenue in order to maintain what they consider essential services and entitlement programs.

With just over three months until the November election, the race has become a contentious struggle to convince voters that the other guy would take the country in the wrong direction.

In anticipation of Obama's Florida trip Thursday, the Romney campaign released a new ad in the state that blames the president for a stalling economy there.

Romney ad hits Obama on Florida economy

Florida, currently rated a "toss up" on CNN's Electoral Map, has been hard hit by a weak housing market. Its unemployment rate of 8.6% is higher than the national average, but down from a high of 11.4% in 2010.

A Quinnipiac University/CBS News/New York Times poll released Wednesday showed Obama with a 51%-45% lead in Florida, which has 29 electoral votes.

Another new Romney ad Wednesday hammered Obama over unemployment and other economic problems, saying: "Americans need a change. We need a new president."

Campaigns turn to economy ahead of jobs report

Obama's campaign responded to the ad by citing Romney's opposition to the auto industry bailout.

"Let's get this straight -- the very person who argued for the U.S. auto industry to go bankrupt, something that would have caused more than a million jobs lost and utter economic devastation in the Midwest, is now trying to attack the president on how it was handled?" campaign spokeswoman Lis Smith said in a written statement.

Meanwhile, the liberal group MoveOn.org will run a 30-second television spot in battleground states mocking the amount of money spent on Rafalca, the dressage horse competing at the London Olympics that is co-owned by Romney's wife, Ann.

Looking a dressage horse in the mouth

The group said the ad to air in Nevada, Ohio and Pennsylvania is told from the perspective of the horse, pointing out that the Romneys spend $77,000 a year for its upkeep.

"After Mitt Romney repeals health care and ships your jobs overseas, I daresay your life won't be nearly as pampered as mine," it concludes. "After all, you're not one of his horses."

In a statement, MoveOn.org's executive director said the group was not lampooning the horse itself.

"There's nothing wrong with taking good care of a horse, but there's something messed up about a millionaire who spends twice what most Americans make in a year caring for a horse, but wants to take away people's health care and offshore their jobs," Justin Ruben wrote.

CNN's Tom Cohen, Peter Hamby, Kevin Liptak and Paul Steinhauser contributed to this report.

@highlight

NEW: Mitt Romney appears on stage with some potential VP nominees

@highlight

Romney lays out a five-point plan for the country

@highlight

President Obama ridicules what he calls Republican "tax cut fairy dust"

@highlight

Both candidates campaign Thursday in battleground states