(CNN) -- As the global population hits 7 billion in the coming days, nations can take steps to tackle critical challenges and prepare for the arrival of billions more people this century, the United Nations said Wednesday.

The milestone is expected to be reached on October 31.

"With planning and the right investments in people now ... our world of 7 billion can have thriving, sustainable cities, productive labor forces that can fuel economic growth, youth populations that contribute to the well-being of economies and societies, and a generation of older people who are healthy and actively engaged in the social and economic affairs of their communities," UNFPA, the United Nations Population Fund, said in a new report.

Among the steps the report focuses on are empowering young people with economic opportunities; planning for the growth of cities; developing programs to share and sustain the Earth's resources; and improving education, including sexual education.

A U.N. report published in May predicts a global population of 9.3 billion by 2050, and more than 10 billion by the end of this century.

"With only a small variation in fertility, particularly in the more populous countries, the total could be higher: 10.6 billion people could be living on Earth by 2050 and more than 15 billion in 2100," says the Population Division of the U.N. Department of Economic and Social Affairs.

Much of the increase will come in Africa and Asia.

In light of growing concerns about the global economy, the new UNFPA report highlights financial dangers facing people in industrialized and developing nations.

"While labor shortages threaten to stymie the economies of some industrialized countries, unemployed would-be migrants in developing countries are finding more and more national borders closed to them and the expertise they may have to offer. And while progress is being made in reducing extreme poverty, gaps between rich and poor are widening almost everywhere."

The 7 billion mark is a huge spike from less than a century ago. In 1927, the global population was 2 billion.

It was only 13 years ago that the population was at 6 billion, the United Nations says.

Changing demographics are quickly reshaping the world in numerous ways.

People under the age of 25 make up 43% of the world's population, the United Nations says.

About half of the world's population lives in cities. Within about 35 years, two-thirds will, it says.

While reaching 7 billion in 2011 has long been predicted, the new U.N. report Wednesday -- "State of World Population 2011" -- highlights changes and trends to offer a complex picture.

In a summary of the report, the agency notes that "women are on average having fewer children than they were in the 1960s."

The number of children a woman is expected to have dropped from an average of 6 to 2.5, the report says.

But there are far more women than there were in the 1960s.

"In some of the poorest countries, high fertility rates hamper development and perpetuate poverty, while in some of the richest countries, low fertility rates and too few people entering the job market are raising concerns about prospects for sustained economic growth and the viability of social security systems," the summary says.

A few more facts and figures from the report:

--Today there are 893 million people over the age of 60; by the middle of the century, that number will rise to 2.4 billion.

--Asia will remain the most populous area this century, but Africa "will gain ground as its population more than triples, increasing from 1 billion in 2011 to 3.6 billion in 2100."

--The combined population of other areas -- including the Americas, Europe, and Oceania -- is currently 1.7 billion, and is expected to rise to nearly 2 billion by 2060, "then decline very slowly."

@highlight

NEW: World population could surpass 15 billion by the end of the century, the U.N. says

@highlight

In 1927, the world's population was 2 billion

@highlight

People under age 25 make up 43% of the current population

@highlight

Africa's population is expected to more than triple this century