(CNN) -- In the last six months, the Obama administration has been pushing for a change in labor regulations that would, for the first time since the 1970s, make home care workers eligible for overtime pay under the federal Fair Labor Standards Act. While the motive behind the proposed changes is noble, the unintended consequences are too great to overlook.

We can all agree that providing higher wages to home care workers would reward professional caregivers, attract more qualified people to this growing industry and improve care for the elderly and disabled. These are common goals for both caregivers and families. However, mandating that home care workers be eligible for overtime pay will have the opposite effect.

As the head of a home care agency in Massachusetts, I am required by state law to pay overtime to caregivers who are eligible. For those of us who hoped the law would result in caregivers earning more money, it is disappointing.

The reality is that many home care workers' weekly wages would be higher if overtime pay were not required.

Why? The answer is simple: The law does not -- and cannot -- require families or home care agencies to employ the same caregiver once that person reaches the overtime threshold. When a caregiver has put in 40 hours during the week, employers usually switch to other workers who have not yet reached that limit, even if the first worker is available and wants to earn more money.

Imagine you are hiring, either directly or through a home care agency, someone to help keep a parent safe and comfortable at home. Your parent doesn't need medical services but requires assistance with bathing, dressing, walking, meal preparation and related activities. This "long term custodial care" is not covered by Medicare, so you have to pay out of pocket. While the costs can add up, it's less expensive than an assisted living facility.

Let's say you need more than 40 hours of custodial home care every week. If your caregiver wants the extra income, you can arrange for him or her to work more than 40 hours at the wage you have agreed to.

But what happens if the hourly rate for the caregiver goes up by 50%? If you were paying $20/hr through a home care agency, the cost would now come to about $28/hr -- a huge increase. Do you keep the same caregiver coming and pay $28/hr, or do you hire another one to finish out the week at $20/hour?

If, like most families, you are on a budget that stretches every dollar, you would tell the first caregiver to stop work (and stop earning money) at 40 hours of service. You would then hire a second caregiver to finish the week.

Opinion: Home care workers deserve protections

The fact is that many seniors in our country are living on limited budgets. Any increase in home care wage for caregivers means more money flowing out of the Social Security check or retirement savings of seniors. Most families have little incentive to pay the higher rates associated with overtime work.

For a professional caregiver who wants to work more than 40 hours a week at the regular rate (and many do), that option evaporates when overtime pay is required. Someone who used to work 50 hours now can only work up to 40 hours.

In states that require overtime pay, families often choose to not assign overtime hours to their caregivers. Home care workers do not wind up with overtime assignments and higher earnings; instead, they receive less work and make less money. Seniors who receive care have less access to the caregiver of their choice due to budgetary concerns.

This is surely not an outcome sought by those who advocate revising the rules of the Federal Fair Labor Standards Act. Choosing to expand a law whose effect clearly reduces the earnings of lower-earning workers is bad politics and bad policy.

Paying home care workers more money would have clear social benefits, but if it comes at the cost of pricing vulnerable seniors out of the home care market or reducing the earning potential of caregivers, then we need to rethink our laws.

The opinions expressed in this commentary are solely those of Jim Reynolds.

@highlight

Obama administration is revising labor rules to mandate overtime pay for home care workers

@highlight

Jim Reynolds: Motive behind proposal is noble, but law will have opposite effect

@highlight

Caregivers' weekly wages would be higher if overtime pay were not required, he says

@highlight

Reynolds: Many seniors live on limited budgets and don't want to pay higher rate for overtime