(CNN) -- A temporary truce Saturday between Israel and Hamas provided a precious few hours for hundreds of people, who had fled the fighting, the opportunity to learn whether they had a home to return to in Gaza.

Some would use the time to collect belongings from their homes and the bodies of loved ones who were killed in the weeks-old conflict. For others, there was nothing to do except pick through rubble and debris.

During the 12-hour humanitarian cease-fire, a CNN crew traveled to two Gaza neighborhoods -- Shujaya and Beit Hanoun -- hit hard by the fighting.

Here, in their own words, is what they saw:

From Salma Abdelaziz: Losing a home

An elderly woman struggles to scale a mound of rubble and twisted metal.

"Did you see my house? What happened to it?" she asks a neighbor who crosses her path.

"It's all gone," he responds. "There is nothing left"

The two appear small standing amid the massive mounds of debris in Gaza's Beit Hanoun district, where they quietly and calmly converse about the destruction of home after home in their neighborhood.

"Are you sure? What about my niece's house?" the women asks.

"It's demolished. The whole area is demolished." the man says.

Around them, others assess the damage -- in whispered conversations. There is no wailing or screaming from anyone over what was lost.

This is the third conflict in six years for the people of this tiny coastal strip. The people in the neighborhood are calm, almost methodical, in their approach to war and its consequences.

From Ian Lee: Choosing what to save

A family of five stands next to their front door, the only piece of their home in Gaza's Shujaya neighborhood that remains intact.

The building's cinder blocks have been split in half. Shrapnel has peppered the building's exterior. The damage is just too extensive and is unlikely to be repaired.

But there is no time to mourn. The family is fighting against the cease-fire clock, with only a few hours to gather what belongings they can salvage from the rubble.

"We didn't expect this. Everything is destroyed," one family member told CNN. "We are looking for whatever we can carry before heading back to a UN-run shelter."

Despite the extensive damage to their home, they say they feel lucky compared to their neighbor. Just a few feet away, a massive crater marks the spot where their neighbor's home once stood.

There is nobody there to gather belongings left behind. Nothing is left.

From Karl Penhaul: Proof of a life

Wooden doors were blown off their hinges. Through the gap, I could pick out Mohammed Al-Zaneen tip-toeing through the debris of his three-story home in Gaza's Beit Hanoun neighborhood.

He gently plucked a framed photo from a wall. It was a picture of his grandfather Said Al-Zaneen, the patriarch of Al-Zaneen's sprawling family. The old man died long ago. But Al-Zaneen appears intent on rescuing his grandfather's memory.

Then the rubble gave up another treasure, a green plastic folder. As Mohammed sifted through it, he discovered the family's birth certificates and school diplomas.

For a people caught in the midst of a brutal war, Al-Zaneen, like so many other civilians in Gaza, is desperate to find any scrap of paper that proves he still exists.

From Joe Sheffer: Through the lens

Peering through my lens, I see the vista of the Gaza neighborhood of Beit Hanoun: the anarchy, the rubbish, the empty shell casings and the lingering smoke.

The scene is one of displaced families, and a strange sense of calm, as they collect whatever fragments of their lives they could salvage.

Then, through the lens, there appears an almost timeless scene -- three women clutching their few possessions, walking through the smoke that pours from gutted buildings.

They are followed down the rubble-strewn road by a man who is leading a horse. A foal apprehensively trails the procession, being lead to safety from the inferno.

Through the seemingly never-ending rubble, across the power lines that bisect the road and the stench of rot, this small quiet procession of will marches before me. The image seems almost biblical, if it wasn't so clearly a vignette of modern warfare.

From Abdelaziz: The rubbish of war

A young boy in a yellow shirt carries a plastic bag and walks indifferently through the ruins of Beit Hanoun neighborhood in a pair of dusty black flip-flops.

His relatives walk alongside, carrying a few possessions bundled in bed sheets and balanced on their heads.

He stops for a moment in front of me, stares me straight in the eyes, and -- without uttering a single word -- throws a handful of machine gun ammunition casings at my feet.

My eyes follow him as he walks away, almost begging him to speak.

But his message is clear to me: He has no room for the rubbish of this war.

@highlight

Gaza residents returned to their neighborhoods during a temporary truce between Israel and Hamas

@highlight

"We didn't expect this. Everything is destroyed," one resident says

@highlight

Some carry their belongings away in bed sheets or on their heads