At times angry and choked with emotion, Secretary of State Hillary Clinton on Wednesday took on Republican critics of her department's handling of the September terrorist attack in Libya that killed the U.S. ambassador and three other Americans, but repeatedly distanced herself from a direct role in specific situations.

"As I have said many times since September 11, I take responsibility," Clinton told two long-anticipated congressional hearings examining the attack that became a major issue in the November presidential election.

Conservative Republicans challenged Clinton on the lack of security at the diplomatic compound in Benghazi, where Ambassador Christopher Stevens and three others were killed, as well as the erroneous account provided four days later by U.N. Ambassador Susan Rice that the attack grew spontaneously from a protest over an anti-Islam film produced in the United States.

Sen. Ron Johnson, a tea party backed Wisconsin Republican serving his first term, persistently questioned Clinton on Wednesday morning about what he described as Rice "purposely misleading" the American people.

Security Clearance: Clinton lays out daunting security challenges in North Africa

"We were misled that there were supposedly protests and something sprang out of that, an assault sprang out of that and that was easily ascertained that that was not the fact," Johnson said, adding that "the American people could have known that within days."

Shouting and gesturing with her arms in frustration, Clinton shot back: "With all due respect, the fact is we had four dead Americans. Was it because of a protest or was it because of guys out for a walk one night decided they'd go kill some Americans?"

Her fists shaking, she continued: "What difference, at this point, does it make? It is our job to figure out what happened and do everything we can to prevent it from ever happening again, senator."

Five things we learned from the Benghazi hearings

Later Johnson, interviewed by CNN's Erin Burnett, said he still did not think Clinton answered his question.

"The American people also have the right to be told the truth," said Johnson.  "They have an expectation that this administration, this president will be honest with them.  And so it makes a big deal of difference. I'll tell you what, I was surprised by Secretary Clinton's reaction to that."

Another conservative, Sen. Rand Paul of Kentucky, told Clinton she should have been fired for not reading cables from Stevens and others in Libya.

Later in the day, conservative GOP Rep. Jeff Duncan of South Carolina accused Clinton of  "national security malpractice" by letting the Benghazi consulate "become a death trap."

Duncan also questioned Clinton's claim of taking responsibility, noting she still had her job and the State Department officials cited for culpability by an independent review also remained on the payroll, though on forced leave pending possible further steps.

#whatdifferencedoesitmake: Clinton quote goes viral on Twitter

At both hearings, which together totaled more than five hours, Clinton acknowledged the "systemic breakdown" cited by an Accountability Review Board she appointed and noted she had accepted all 29 of its recommendations, adding her department was taking additional steps to increase security at U.S. diplomatic facilities around the world.

However, she also told both the Senate Foreign Relations Committee and House Foreign Affairs Committee that she had no direct role in the handling of requests by Stevens and other diplomats for increased security that were denied, saying: "I didn't see those requests. They didn't come to me."

In reference to the erroneous talking points by Rice that were aired on September 16, Clinton told the Senate panel that she was focused at that time on ensuring the safety of U.S. personnel at other facilities where protests were taking place.

"I was pretty occupied about keeping our people safe, doing what needed to be done," Clinton said, adding "I wasn't involved in the talking points process."

Ticker: What Benghazi hearing could say about 2016 White House

At one point, Clinton attempted to wrap up the issue, saying: "If you wish to fault the administration, it's that we didn't have a clear picture, and we probably didn't do as clear a job explaining that we did not have a clear picture, until days later, creating what I think are legitimate questions."

The independent report from the review board said it did not find "that any individual U.S. government employee engaged in misconduct or willfully ignored his or her responsibilities" leading up to the attack. However, one State Department official resigned and three others were placed on administrative leave after the report was released in December.

One of the GOP's harshest critics of the administration over the Benghazi attack, Sen. John McCain of Arizona, called Clinton's testimony unsatisfactory.

Johnson says he should not have 'speculated' about Clinton's emotional moments

He said her department had yet to fully disclose all e-mails and other communication from Stevens and others in Benghazi, noting the American people, including the family and loved ones of those killed, deserved full answers.

Critics also complain the assailants remain at large, and Clinton noted that "we continue to hunt the terrorists responsible for the attacks in Benghazi and are determined to bring them to justice."

She told Wednesday's hearings that the FBI is pursuing what she called "very positive leads."

In her opening statement to both panels, Clinton said the Benghazi attack didn't happen in a vacuum but was part of a "broader strategic challenge in North Africa and the wider region."

Clinton's Benghazi statement: 'Not just a matter of policy -- it's personal'

She defended her department's response, saying there was "timely" and "exceptional" coordination between the State Department and the Pentagon on the night of the attack

"No delays in decision making. No denials of support from Washington or from the military," Clinton said. The review panel's report "said our response saved American lives in real time -- and it did," she added.

Clinton also said she directed the response to the attack from the State Department that night and "stayed in close contact with officials from across our government and the Libyan government."

In addition, Clinton said she immediately took steps to beef up security at U.S. posts around the world and to implement the review panel's 29 recommendations.

Clinton made clear that the security situation in North Africa and the Middle East remained threatening in the wake of the Arab Spring upheaval, with longtime leaders ousted in Egypt, Tunisia and Libya.

The fledgling Libyan leadership turned out to be unable to fulfill traditional security commitments to the U.S. diplomatic compound, she said.

Opinion: Benghazi blame game is useless

"What I found with the Libyans was willingness but not capacity," she said.

Clinton also warned that weapons from Libya have turned up in Algeria and elsewhere, adding that "this Pandora's Box if you will" represented a major security threat.

"The Arab Spring has ushered in a time when al Qaeda is on the rise," she said. "The world in many ways is even more dangerous because we lack a central command [in al Qaeda] and have instead these nodes that are scattered throughout North Africa and other places."

Clinton expressed particular concern at events in Mali, where well-armed Tuareg militia, who had been working for former Libyan leader Moammar Gadhafi, came home just as al Qaeda in the Islamic Maghreb (AQIM) gravitated toward the area.

The size and topography of northern Mali, with its endless desert and caves, made for a long but necessary struggle, she said, adding that "we cannot permit northern Mali to become a safe haven."

Opinion: Rand Paul vs. Hillary Clinton, clash of titans

Overall, she said, at least 20 U.S. diplomatic outposts "are under a serious threat environment as I speak to you."

Wednesday's committee appearances were some of the last acts for Clinton before she leaves her post as long planned, and Clinton showed a personal side in discussing what happened.

"For me, this is not just a matter of policy," she told the Senate panel. "It's personal."

In reference to the return of remains of the four slain Americans, Clinton said in a voice choked with emotion: "I stood next to President Obama as the Marines carried those flag-draped caskets off the plane at Andrews. I put my arms around the mothers and fathers, sisters and brothers, sons and daughters."

Democrats on both panels made a point of praising Clinton's service and noted that House Republicans have voted to cut funding for diplomatic security. However, Republicans rejected any connection between budget resources and vulnerability at the Benghazi compound, citing a report by a State Department financial officer.

Clinton faces hearings with numbers on her side

The hearings provided Republicans with a final opportunity to question Clinton, considered a possible presidential contender in 2016, on camera before she leaves office. After the September attack, conservative Republicans focused on the issue to attack the Obama administration's handling of the Libyan revolution and the overall Arab Spring upheaval.

Several legislators made references on Wednesday to Clinton's possible political future, with Republican Steve Chabot of Ohio drawing a laugh from the secretary when he said: "I wish you the best in your future endeavors. Mostly."

Polls show strong public support for Clinton and her performance as secretary of state, with an ABC News/Washington Post survey released Wednesday showing 67% of respondents had a favorable impression of her.

Clinton was originally scheduled to testify last month but postponed her appearance as she was treated for illness, a concussion and a blood clot near her brain. The country's top diplomat returned to work just over two weeks ago.

Pentagon releases official timeline of Benghazi attack

@highlight

Secretary of state completes more than five hours of sometimes contentious hearings

@highlight

Libya wanted to provide security, but lacked the capacity, Clinton said

@highlight

"I take responsibility," Clinton tells Senate committee

@highlight

Clinton's appearance before Congress was delayed due to health issues