(CNN) -- Federal support for renewable power helped the United States reclaim from China the title of the world's biggest investor in clean energy, researchers for the nonprofit Pew Charitable Trusts reported Wednesday.

The $48 billion in U.S. private investment in technology such as wind turbines and solar panels in 2011 edged out China's $45.5 billion, Pew researchers found in a new study. Worldwide, investors put $263 billion into renewable energy projects last year -- a 6.5% increase over 2010 -- and the cost of producing electricity from solar power was cut in half, the study found.

But the U.S. gains have been boosted by government incentives, including provisions of the 2009 economic stimulus package, that are due to disappear within two years, said Phyllis Cuttino, director of Pew's clean energy programs.

"Those countries that have long-term policies in place are the ones that have had consistent growth," Cuttino told CNN. "And we don't have that."

And while U.S. investors have been ponying up while the incentives are in place, much of that money is going into projects overseas -- and America is importing the resulting products.

"The United States is, frankly, missing an opportunity if we do not manufacture and export to these counties with growing middle classes who are going to be purchasing these products," Cuttino said.

Solar, wind, biomass and small-scale hydroelectric projects installed worldwide had the capability to produce about 565 billion watts, or 565 gigawatts, of electricity in 2011, the report found. That's about 10 percent of the worldwide total, and roughly enough to reduce carbon emissions most scientists blame for a warming climate by between 3% to 6%, according to analysts at the Breakthrough Institute, a California-based think tank that concentrates on energy and the environment.

In the United States, renewables other than hydroelectric provide about 4.7% of U.S. generating capacity, according to figures from the U.S. Energy Information Administration.

Germany saw the third-largest investment in alternative energy with nearly $31 billion in 2011, even though that figure was down 5% from 2010, the Pew report found. The Germans added more than 7 gigawatts of solar energy capacity in 2011, while Italian investments grew by nearly 40% to $28 billion. Italy added about 8 gigawatts of solar energy, mostly in small-scale projects.

And India saw a 54 percent increase in support for clean energy. Indian projects grew to $10.2 billion, adding 2.8 gigawatts in wind power.

Germany and China have boosted their green energy sector "through consistent policies," by setting targets for new generating capacity, the report said.

"What that tells investors is, 'Go there -- they're in it for the long term,'" Cuttino said. "They're not going to let that expire in 2013." Meanwhile, no new U.S. wind projects have been commissioned for 2014, she said.

The United States is also seeing a boom in cheap natural gas, which produces fewer carbon emissions than coal or oil. And in the past year, the collapse of the solar energy firm Solyndra has cast a pall over alternative energy funding in the United States.

Solyndra filed for bankruptcy in 2011 after receiving more than $535 million in federal loan guarantees, putting more than 1,000 people out of work. President Barack Obama's Republican opposition has attacked the loan-guarantee program as "crony capitalism," accusing Solyndra of receiving special treatment because a key investor was an Obama fundraiser, but supporters say the company was undermined by the explosive growth of China's solar industry.

Cuttino said companies are going to fail as the renewable power industry grows, comparing it to the early years of the automobile industry.

"There were over 100 companies trying to make cars at the turn of the century," she said. "And now we basically have three."

@highlight

Government incentives boost U.S. investment in green power, Pew says

@highlight

But many of those incentives will expire in the next two years

@highlight

Countries that have long-term policies draw more investment