The theory of evolution. The theory of relativity. The Cat in the Hat. All were brought to you by introverts.

Our culture is biased against quiet and reserved people, but introverts are responsible for some of humanity's greatest achievements -- from Steve Wozniak's invention of the Apple computer to J.K. Rowling's Harry Potter. And these introverts did what they did not in spite of their temperaments -- but because of them.

As the science journalist Winifred Gallagher writes: "The glory of the disposition that stops to consider stimuli rather than rushing to engage with them is its long association with intellectual and artistic achievement. Neither E=mc2 nor Paradise Lost was dashed off by a party animal."

Watch an interview with Susan Cain

Introverts make up a third to a half the population. That's one out of every two or three people you know.

Yet our most important institutions -- our schools and our workplaces -- are designed for extroverts. And we're living with a value system that I call the New Groupthink, where we believe that all creativity and productivity comes from an oddly gregarious place.

Picture the typical classroom. When I was a kid, we sat in rows of desks, and we did most of our work autonomously. But nowadays many students sit in "pods" of desks with four or five students facing each other, and they work on countless group projects -- even in subjects like math and creative writing. Kids who prefer to work by themselves don't fit, and research by educational psychology professor Charles Meisgeier found that the majority of teachers believe the ideal student is an extrovert -- even though introverts tend to get higher grades, according to psychologist Adrian Furnham.

TED.com: Carl Honore praises slowness

The same thing happens at work. Many of us now work in offices without walls, with no respite from the noise and gaze of co-workers. And introverts are routinely passed over for leadership positions, even though the latest research by the management professor Adam Grant at Wharton shows that introverted leaders often deliver better results. They're better at letting proactive employees run with their creative ideas, while extroverts can unwittingly put their own stamp on things and not realize that other people's ideas aren't being heard.

Of course, we all fall at different points along the introvert-extrovert spectrum. Even Carl Jung, who popularized these terms in the first place, said there was no such thing as a pure introvert or a pure extrovert -- that "such a man would be in a lunatic asylum."  There's also a term, ambivert, for people who fall smack in the middle of the spectrum.

But many of us recognize ourselves as one or the other. And culturally we need a better balance of yin and yang between the two types. In fact, we often seek out this balance instinctively. That's why we see so many introvert-extrovert couples (I'm an introvert happily married to an extrovert) and the most effective work teams have been found to be a mix of the two types.

TED.com: Using our practical wisdom

The need for balance is especially important when it comes to creativity and productivity. When psychologists look at the lives of the most creative people, they almost always find a serious streak of introversion because solitude is a crucial ingredient for creativity.

Charles Darwin took long walks alone in the woods and emphatically turned down dinner party invitations. Theodore Geisel, better known as Dr. Seuss, dreamed up his creations in a private bell tower in the back of his house in La Jolla. Steve Wozniak invented the first Apple computer alone in his cubicle at Hewlett Packard.

Of course, this doesn't mean that we should stop collaborating with each other -- witness Wozniak teaming up with Steve Jobs to form Apple. But it does mean that solitude matters. And for some people it's the air they breathe.

In fact, we've known about the transcendent power of solitude for centuries; it's only recently that we've forgotten it. Our major religions all tell the story of seekers -- Moses, Jesus, Mohammed, Buddha -- who go off alone, to the wilderness, and bring profound revelations back to the community. No wilderness, no revelations.

This is no surprise, if you listen to the insights of contemporary psychology. It turns out that you can't be in a group without instinctively mimicking others' opinions -- even about personal, visceral things like who you're physically attracted to. We ape other people's beliefs without even realizing we're doing it.

Groups also tend to follow the most dominant person in the room even though there's zero correlation between good ideas and being a good talker. The best talker might have the best ideas, but she might not. So it's much better to send people off to generate ideas by themselves, freed from the distortion of group dynamics, and only then come together as a team.

I'm not saying that social skills are unimportant, or that we should abolish teamwork. The same religions that send their sages off to lonely mountaintops also teach us love and trust. And the problems we face today in fields like economics and science are more complex than ever, and need armies of people to solve them.

But I am saying that we all need alone time. And that the more freedom we give introverts to be themselves, the more they'll dream up their own unique solutions to the problems that bedevil us.

@highlight

Susan Cain: Many of the world's great advances have been made by introverts

@highlight

She says society puts pressure on children and adults to work in groups

@highlight

"Groupthink" can get in the way of imagination and creativity, she says

@highlight

Cain: Give introverts the freedom to be themselves