(CNN) -- When Barack Obama is sworn in as president January 20, there will be music -- by, among others, Aretha Franklin, Yo-Yo Ma, Itzhak Perlman and the U.S. Marine Band. There will be prayers and speeches -- including Obama's inaugural address. And for the fourth time in the nation's 56 inauguration ceremonies, there will be poetry -- by someone far less well-known.

Elizabeth Alexander says poetry can help solve problems by looking at them from a fresh angle.

After the president's speech, Elizabeth Alexander will read a poem she is writing for the occasion. Alexander is a 46-year-old Yale University professor and a friend and former faculty colleague of Obama's.

She joins three other poets who have read at inaugural ceremonies -- Robert Frost in 1961 for John F. Kennedy's inauguration and Maya Angelou and Miller Williams, who read at Bill Clinton's 1993 and 1997 inaugurations.

Alexander has written five books of poetry, including "American Sublime," a finalist for the Pulitzer Prize in 2005. Her father is Clifford Alexander, secretary of the Army in the Carter administration, and her mother teaches history at George Washington University. Her brother is an adviser to Obama's transition team.

Alexander's view of poetry is captured in a few lines from "American Sublime" (Graywolf Press):

Poetry is what you find / in the dirt in the corner,

overhear on the bus, God / in the details, the only way

to get from here to there. / Poetry (and now my voice is rising)

is not all love, love, love, / and I'm sorry the dog died.

Poetry (here I hear myself loudest) / is the human voice,

and are we not of interest to each other?

Alexander spoke Friday to CNN.com.

CNN: What do you think is the role of a poet in a ceremony like this?

Alexander: I think that the fact that President-elect Obama has decided to have a poem in this ceremony is a wonderful affirmation to the power of language, the way in which poetry gives us distilled and mindful and careful language that can both give us a moment of pause, a moment of contemplation and that can also ... look at the world from a slightly different angle.

CNN: You met Barack Obama when you were both teaching at the University of Chicago?

Alexander: In the community in Hyde Park, he and Mrs. Obama were just people I'd heard about for a long time and heard wonderful things about, and we were of a generation. ...

He was in the law school, and I was in the Department of English so our day-to-day work didn't really cross so much. ... [We were in] the community of people who were at that time in our early 30s, thinking about the different ways that we could contribute to improving things with whatever skills we had -- political skills, intellectual skills, skills in the discipline of law, in literature, artistic skills. That was the common ground, thinking about how we could contribute to bettering our community.

CNN: And you did it by writing?

Alexander: By writing and teaching. I've been a professor for many years now, and I now teach in the African-American studies department and the English Department at Yale. ... My teaching is incredibly important to me ... helping people see that the study of African-American history and culture is fundamental to understanding this country that we live in. It's been wonderful to be able to share those riches of the culture over the years.

CNN: We have this historical moment, the 80th birthday of the Rev. Martin Luther King, the inauguration of the first African-American president. How does that resonate with you?

Alexander: It's amazing, isn't it? I just shake my head and say, "Isn't that something?" The civil rights struggle in this country and in the world is not over because we have an African-American president. At the same time, this must be recognized as a tremendous moment in our nation's history. I can't tell you how many older people have said to me, "I never thought I'd live to see this day."

The fact that this country has -- with a multiracial coalition -- elected an extraordinary president who is African-American really does feel like just an exquisite moment for us to savor even as we recognize there's still a tremendous amount of work ahead of us.

CNN: What's ahead of us?

Alexander: Oh my goodness, so much. There are wars or conflicts in many different places, there are potentially incipient conflicts in different places, there's the tremendous challenge of the economy. ...

The larger metaphysical challenge is to think about how to work together in new ways that are, if not post-partisan -- because I don't think there's anything wrong with partisanship per se -- borne of new coalitions. Within our communities large and small, making new coalitions and finding common ground is absolutely what we're going to have to do in order to make things better.

CNN: Can poetry help in that regard?

Alexander: I do believe that it can. The way in which poetry models precise and mindful language is useful, because after all if we can't be precise with language, how can we share ideas? Also the felicity of art ... the way in which it makes you draw a breath and look at the world in a different way is very useful to the process of thinking through new solutions. You can look straight in front of you and never get any yield to a problem, but if you can look around the back of it or step to the side of it, those are the ways that we experience some movement with calcified problems.

CNN: So you're going to write a poem about health care?

Alexander: That would be fun. Of course, this [poem for the inauguration] is an occasional poem, it has to serve the moment, it has to serve the day, right? So those are the challenges of writing something that makes sense at this moment on this particular day. But of course, what I hope to do, rather than the laundry list poem, is to find language that will hopefully have a little resonance after the day is done.

CNN: Will you show it to anybody before you read it?

Alexander: I show it to my husband [artist Ficre Ghebreyesus] , and he is my first, last and best critic.

CNN: You wrote an essay about Gwendolyn Brooks [the Pulitzer Prize-winning African-American poet] in which you said that "the pressure on creative work can be intense for artists who belong to groups still struggling for their fair shake in society."

And then later on you said you've seen your work "overpraised by narrow-minded white critics" and "criticized small-mindedly by more than one black woman elder poet -- the same poets I imagined would be pleased by it." Your work is read very differently depending on who's reading it?

Alexander: I think what I was trying to say is that at the end of the day, demographics doesn't really tell you about how your work is going to be received. ... On the one hand, I have devoted much of my work to African-American culture. That's my group, that's who I am, [I'm] proud and unambiguous about that -- but at the same time, one of the really great discoveries of a life in poetry has been that poetry is quirky.

It reaches people unexpectedly. You really, really can't predict who is going to connect with various aspects of your work. That's been a real gift to me; it's made me try not to assume too much about who thinks what and who is able to gain something from work.

CNN: You have two children?

Alexander: Two sons, 9 and 10.

CNN: How do they feel about the poem?

Alexander: They are so excited, and that's of course a lovely thing. And in the excitement, we still live in our every day, so mommy is still mommy, and all the mommy things are expected of me, and that's the way I like it.

CNN: What are your tastes in music?

Alexander: Jazz is the music that I know deepest and love the most, and I mean jazz across the board because that's an incredibly diverse art, and also I must say, R&B, funk and soul speak very powerfully to me.

CNN: Favorite artists?

Alexander: Thelonious Monk is quite a favorite artist. Marvin Gaye, John Coltrane, and also the breadth and accomplishment over a career of Duke Ellington.

CNN: And Aretha Franklin?

Alexander: Can you imagine? I get to hear her at close range. Boy, that's going to be my gift for the year.

@highlight

Elizabeth Alexander will be fourth poet to read at an inauguration

@highlight

Alexander: Poetry can provide a fresh way of looking at problems

@highlight

She says poetry is quirky and no one can predict how people will react to it