(CNN) -- Violence in the United States is not related to illegal Mexican immigrants, but violence in Mexico is connected to vast shipments of weapons from the United States, Mexico's foreign minister told CNN Thursday.

Foreign Minister Patricia Espinosa pointed to efforts by Mexico to stop the flow of weapons, the great majority of which come from the United States.

"Since 2006," she said in a wide-ranging interview with CNN's editorial board in New York City, "the Mexican government has seized over 85,000 weapons in Mexico."

She noted that it's not just "regular weapons," but also machine guns, grenades and other high-power arms.

Robert Pastor, a Latin America national security adviser for President Jimmy Carter in the late 1970s, pointed out last year there were at least 6,600 U.S. gun shops within 100 miles of the Mexican border and more than 90 percent of weapons in Mexico come from the United States.

In contrast, Espinosa said, there's no evidence linking high crime rates with illegal immigration, as some U.S. politicians have contended.

The two largest Latino populations in the United States are in the New York City and Los Angeles areas, she said, but both locales have seen a "dramatic drop in the crime rate."

Government and police statistics show that the crime rate has been decreasing in New York for the past 15 years. Similarly, statistics show that rate for most major crimes in Los Angeles also has fallen in recent years.

"This clearly shows that linking immigration directly with violence is not connected," Espinosa said.

Others make the case, however, that illegal immigration and high crime are strongly linked. Supporters of SB 107, the controversial Arizona immigration law, parts of which were struck down in federal court in July, used that argument to pass the bill this year.

"Border violence and crime due to illegal immigration are critically important issues to the people of our state," Arizona Gov. Jan Brewer said earlier this year. "There is no higher priority than protecting the citizens of Arizona. We cannot sacrifice our safety to the murderous greed of the drug cartels. We cannot stand idly by as drop houses, kidnappings and violence compromise our quality of life."

But statistics from the U.S. Customs and Border Protection agency and the FBI indicate that both the number of illegal crossers and violent crime have decreased recently.

According to the FBI, violent crimes reported in Arizona dropped by nearly 1,500 incidents between 2005 and 2008. Reported property crimes also fell, from about 287,000 incidents to 279,000 in the same period. These decreases are accentuated by the fact that Arizona's population grew by 600,000 between 2005 and 2008.

According to the non-partisan Immigration Policy Institute, proponents of the bill "overlook two salient points: crime rates have already been falling in Arizona for years despite the presence of unauthorized immigrants, and a century's worth of research has demonstrated that immigrants are less likely to commit crimes or be behind bars than the native-born."

Espinosa also addressed comments by Secretary of State Hillary Clinton earlier this month comparing Mexico's drug war to an "insurgency" similar to the problem Colombia faced more than 20 years ago.

"[W]e face an increasing threat from a well-organized network, [a] drug-trafficking threat that is, in some cases, morphing into or making common cause with what we would consider an insurgency, in Mexico and in Central America," Clinton said at a speech to the Council on Foreign Relations. "It's looking more and more like Colombia looked 20 years ago."

Mexican officials, from President Felipe Calderon on down, took exception to that characterization. Espinosa reiterated the point Thursday.

"The realities are very different," she said.

Colombia, she said, was fighting drug-producing and drug-trafficking organizations that also were working with an entrenched Marxist guerrilla movement.

"In Mexico," she said, "the situation is very different. In Mexico, we are dealing with very powerful and strong transnational criminal organizations."

Espinosa also addressed the issue of drug cartels spreading south to Central American nations, which seems to have become a bigger problem in recent years.

"The world is becoming smaller every day," she said, adding that "transnational organized crime does not recognize any borders."

And while the problem is not particularly new, she said, "What has changed is the power of these transnational crime organizations."

Espinosa said some governments in Central America have gotten weaker or don't have the technological capabilities to fight crime, and the drug cartels have taken advantage.

"They have found a place to develop their activities," she said.

CNN's Mariano Castillo contributed to this report.

@highlight

Crime rates have decreased in Latino areas of the U.S., says Mexico's foreign minister

@highlight

But large numbers of guns are flowing from the United States to Mexico, she says

@highlight

Some analysts note there are 6,600 U.S. gun shops within 100 miles of the Mexican border