Sanaa, Yemen (CNN)Government forces and rebels in Yemen agreed to a ceasefire Monday after heavy fighting in the capital, Sanaa, Yemen's interior minister and a rebel official said.

That news came after fighting around the presidential palace and came after Yemen's prime minister went into hiding when attackers shot at him.

Nine people were killed and 67 others injured iin the clashes, Yemen's Health Ministry said.

The Yemeni government, a U.S. ally in the battle against al Qaeda, described the fighting as a power grab by rebels known as Houthis, Shiite Muslims who have long felt marginalized in the majority Sunni country.

Turmoil between the two sides is worrisome to the West because a power vacuum in Yemen could benefit al Qaeda in the Arabian Peninsula, a terrorist organization based in Yemen that took credit for the attack on the offices of Charlie Hebdo in Paris; it also tried to blow up a plane landing in Detroit in 2009.

A Houthi delegate, Ali Daghshan, told CNN that the presidential committee had agreed to a deal after hours of negotiations. Interior Minister Jalal Al Rowaishan also confirmed the ceasefire had been reached.

There are conflicting accounts of the cause of the clashes. Government officials characterize it as a power grab by the Houthis. Houthis say Yemen's military attacked people demanding that authorities lift road closures introduced as a security measure after the presidential chief of staff was abducted in Sanaa a few days ago.

A Western diplomat in Sanaa told CNN the situation was complex.

"Today's events appear to be the next stage in Houthi plans to extend their control in Yemen. But there are many players with many agendas. So this hasn't finished playing out," the diplomat said.

It is unclear who fired first near the presidential palace Monday. Control of the palace is seen as key to the control of the country. There were reports of government buildings, a hospital and residential buildings being hit.

The presidential palace is controlled by the government and mountaintops surrounding the palace are held by rebels known as Houthis, a senior interior ministry official told CNN late Monday.

Both sides will remain where they are until a deal is signed, which is expected to happen Tuesday, said the official.

The Yemeni information minister told CNN's Christiane Amanpour that government control is "almost nonexistent."

When asked to described the situation on the ground, Nadia Al-Sakkaf said: "This is almost a replica of what happened in September, on the 21st of September, when the Houthis came into the city and took over everything, and then there was the peace and partnership agreement, where they pulled back a little bit and allowed a government to be created."

"Now, since then, the Houthis have not really left the capital. They've been around with their arms, and what happened is that they've been interfering in the government's work, but we were trying to get this country going," the minister said.

The U.N. Security Council will hold a special meeting to discuss Yemen on Tuesday.

Prime Minister Khaled Bahah was fired upon when he left a meeting with President Abd Rabbuh Mansur Hadi and the Houthi political group Ansarallah, Al-Sakkaf said. Bahah was unharmed and is now in hiding, she said.

"He is at his place, but currently he has been surrounded by Houthi militias around his place, and they have stationed themselves at rooftops of neighboring buildings. He is worried that the situation might escalate," said the minister.

The senior interior ministry official said the prime minister was inside the Republican palace, some 7 miles (12 kilometers) from the presidential palace.

The gunfire came from a Houthi checkpoint near the meeting place, and the attempt to kill the prime minister was a breach on an earlier ceasefire, Al-Sakkaf said.

But a senior Houthi official condemned the attack and denied the group had anything to do with it, blaming the attempt on an unnamed third party. Houthis said their convoy had also been fired upon after leaving the talks.

Adding to the disputes, the information minister said Yemeni state TV and the state-run Saba news agency are now under the control of the Houthi political movement. But senior Houthi official Ali AlShami denied the movement controlled either news outlet.

There are concerns that as Yemen spirals into greater sectarian violence, al Qaeda, a predominantly Sunni group, will gain an even greater foothold there, with more recruits and a base from which to attack other targets.

"This morning, it was so chaotic. They said that nobody knew what was going on and who was in charge, and these are situations where al Qaeda can easily infiltrate and create," Al-Sakkaf told CNN.

Al Qaeda in the Arabian Peninsula has its home in Yemen, where in recent months, it has come under pressure from Houthi rebels and government forces. But the Charlie Hebdo attack may show the group's apparent ability to direct operations beyond Yemen's borders.

It is thought likely that one or both of the brothers behind the attack in Paris visited Yemen and received weapons training from AQAP and that one may have met with the group's former leader.

A U.S. official said the United States was monitoring the violence Monday and had sufficient military power nearby to evacuate its embassy "on short notice" if needed.

Al-Sakkaf said gunmen linked to the Houthi political movement attacked the presidential palace in a bid to take control of the symbol of power.

Hadi, the President, was not in the building and is safe, Al-Sakkaf said, but government officials were among an unknown number of casualties.

Houthi rebels claimed responsibility Saturday for the abduction of presidential Chief of Staff Ahmed bin Mubarak.

Al-Sakkaf said Monday's dispute began when the government tried to implement a security plan as it feared more abductions of key staff.

But a top Houthi official said Houthis tried to mediate with the army and asked for roads to be opened for citizens, which led to their people getting attacked. He said they then had to defend themselves.

Hadi appointed bin Mubarak as premier in October, but the rebels rejected the nomination.

Osama Sari, senior media adviser to the Houthi movement in Yemen, said the Houthis had detained bin Mubarak as a message to the President.

It was because the President wanted to introduce a new constitution without the approval of the Houthis, Sari said.

The abduction came amid increased tensions in the Arabian Peninsula country after the rise of Shiite Houthi rebels. Houthis swept into the capital last year, sparking battles that left more than 300 dead in a month.

In September, Houthis signed a ceasefire deal with the government. Since then, its members have installed themselves in key positions in the government and financial institutions.

Hadi was elected President in February 2012. He was the only candidate on the ballot.

CNN's Nick Paton Walsh reported from Yemen, and CNN's Susannah Cullinane wrote from London. CNN's Madalena Araujo and Richard Roth contributed to this report.

@highlight

The U.N. Security Council will hold a special meeting to discuss Yemen on Tuesday

@highlight

Yemen's information minister describes the unfolding events as a bid to seize power

@highlight

Roads were closed as a security measure after the presidential chief of staff was abducted