(CNN) -- Along with math, science and social studies, gun safety could soon be part of the first-grade curriculum in some Missouri public schools.

A new measure that advocates for such classes for first-graders was signed into law last week. But the idea has prompted worry from some parents and experts about the role and effectiveness of gun safety programs in a classroom setting.

"I don't have a gun. My family doesn't have a gun. There is no reason for them to be teaching about gun safety when there are children with parents like me," Aimee Patton, a Kansas City blogger and mom to a 6-year-old girl, told CNN in a phone interview.

Though her child attends school in Kansas, Patton has been openly critical of the bill in her blog, Pleasantly Eccentric, since the legislation was introduced one day before the Sandy Hook Elementary School shooting last December. Twenty children -- all of them first-graders -- and six adults were killed at the Newtown, Connecticut, school by a lone gunman.

The measure signed Friday by Missouri Gov. Jay Nixon is part of the larger public safety bill HCS/SB 75. It encourages schools to teach gun safety to first-graders through courses such as the National Rifle Association's "Eddie Eagle" Gunsafe Program.

"The purpose of the program will be to promote safety and protection of children and emphasize how students should respond if they encounter a firearm," says the bill, which was sponsored by state Sen. Dan Brown, a lifetime member of the NRA.

5 things to know about guns

The legislation prohibits school personnel and instructors from making judgments about guns or from using firearms to teach the program.

Brown told CNN in an interview that Sandy Hook didn't spur any changes in the law, which he said had been percolating for years.

"It became more relevant after Sandy Hook," Brown said, also noting that he did not talk with the NRA about the measure.

Brown believes kids unfamiliar with guns are more likely to play with them and pull the trigger. Kids who grow up with guns, "they get it."

A number of other states have taken steps encouraging schools to promote gun safety.

The NRA noted the Missouri law's signing on its legislative website, but the group did not respond to efforts seeking additional comment.

But in testimony before the U.S. Senate earlier this year, NRA Executive Vice President Wayne LaPierre said the group has a "long and proud history of teaching" safe and responsible gun ownership across the board and to kids, in particular.

"Our 'Eddie Eagle' children's safety program has taught over 25 million young children that if they see a gun, they should do four things: "Stop. Don't touch. Leave the area. Tell an adult," he said.

Eddie Eagle is a mascot dressed as an eagle who addresses gun safety issues for children in pre-K through third grade.

"The purpose of the 'Eddie Eagle' Program isn't to teach whether guns are good or bad, but rather to promote the protection and safety of children," the organization's website says, adding that its purpose is to prevent accidents.

Scott Holste, a Nixon spokesman, told CNN the program is optional for school districts and is not mandated under the new law, which authorizes schools to seek public grants to fund safety programs.

States tighten, loosen gun laws after Newtown

Conflicting opinions

Still, Amy Jordan Wooden, a Missouri resident and mother of two young children, thinks gun safety should stay out of her kids' classrooms.

"I think I'm a lot more interested in teachers and the legislature being focused on math, science and reading for our first-graders instead of an NRA curriculum. I trust the parents to teach the kids properly about the power of guns. That is where the responsibility lies, not in a school curriculum," she said.

Other parents disagree.

"There are too many kids who grab the guns and kill their cousins. I agree, I think they should know gun safety. It would be helpful," Cathy Peters told CNN affiliate KCTV.

Two studies critical of gun safety programs

Pediatricians and gun safety experts say, however, that the efforts behind the measure may be misguided.

For instance, a 2004 study on firearm-related injuries in children, published by the American Academy of Pediatrics, found that gun safety programs for children were ineffective, "do not prevent risk behaviors and may even increase gun handling among children."

Another 2004 study of the "Eddie Eagle" program, published by North Dakota State University's Department of Psychology, found that children were able to verbally repeat the program's message, but when they encountered a gun in a role-playing scenario, they were unable to put the skills to use.

The North Dakota study said one shortcoming of programs like "Eddie Eagle" was the absence of active learning approaches.

When and how do parents educate children about guns?

"Information-based programs are less successful because they do not actively allow the children the opportunity to practice the skills being taught," the study said.

Former police investigator and gun safety expert Steve Albrecht said "kids don't have the emotional maturity at that age."

Albrecht is a security consultant for schools and workplaces and is also a parent. He said schools have to play a bigger role in the gun safety discussion but "in concert with the parents."

"Part of the issue has to be educating the parents to keep the guns secure first. Because it doesn't matter if the kids have been to a gun safety program or not," said Albrecht.

Patton agrees. She said the responsibility behind gun safety lies with parents and not with teachers.

But LaPierre told the Senate in January that "teaching safe and responsible gun ownership works" and stressed that firearms accidents are at their lowest levels in more than 100 years because of safety programs like "Eddie Eagle."

Brown said first-graders shouldn't be doing experiential learning with guns and felt the "Eddie Eagle" video would be enough.

Guns OK in post office parking lots, federal judge rules

CNN's Bryan Koenig contributed to this report.

@highlight

Missouri governor signed NRA-backed law last week

@highlight

Some experts say such programs don't work

@highlight

Bill was sponsored by a state senator who is an NRA member

@highlight

Critics say gun safety is the responsibility of gun owners