Tokyo (CNN) -- Japan began dumping thousands of tons of radioactive water into the Pacific Ocean on Monday, an emergency move officials said was needed to curtail a worse leak from the crippled Fukushima Daiichi nuclear power plant.

In all, about 11,500 tons of radioactive water that has collected at the nuclear facility will be dumped into the sea, officials said Monday, as workers also try to deal with a crack that has been a conduit for contamination.

The radiation levels were highest in the water that was being drained from reactor No. 6, the officials said.

These are the latest but hardly the only challenges facing workers at the embattled power plant and its six reactors, which have been in constant crisis since last month's ruinous earthquake and tsunami.

Officials with Tokyo Electric Power Company, which runs the plant, proposed the release of excess water that has pooled in and around the Nos. 5 and 6 reactors into the sea. But most of the dumped water -- 10,000 tons -- will come from the plant's central waste treatment facility, which will then be used to store highly radioactive water from the No. 2 unit, an official with the power company said.

The water in reactors Nos. 5 and 6 is coming from a subdrain and wasn't inside the building itself, officials said. Tests suggest that groundwater is the source of the contamination in these two units, but they are not certain.

Japanese Chief Cabinet Secretary Yukio Edano called the dumping "unavoidable." The liquid was most likely contaminated in the process of trying to cool nuclear fuel rods.

The scope of the dump was staggering.

"For an idea about how much is 11,500 tons, one metric ton is 1,000 kilograms or about 2,200 pounds, which is close to an English ton. Water is about 8.5 pounds per gallon, so one ton is about 260 gallons," said Gary Was, a professor of nuclear engineering at the University of Michigan. "So 11,500 tons is about 3 million gallons. A spent fuel pool holds around 300,000 gallons. So this amount of water is equivalent to the volume of roughly 10 (spent fuel pools)."

It could take 50 hours to dump all the water, Tokyo Electric said.

The dumping of so much radioactive water into the ocean conjures up fears of mutated sea life and contamination of the human food chain, but experts said the radiation will be quickly diluted, minimizing risk.

"To put this in perspective, the Pacific Ocean holds about 300 trillion swimming pools full of water and they're going to release about five swimming pools full of water. So hopefully the churning of the ocean and the currents will quickly disperse this so that it gets to very dilute concentrations relatively quickly," said Timothy Jorgensen, chair of the radiation safety committee at Georgetown University Medical Center.

"It's a considerable amount of water, but the immensity of the Pacific Ocean will quickly dilute this amount of water to harmless levels," he added.

John Till, president of Risk Assessment Corp., similarly cited the vastness of the ocean in helping to minimize harm, and said he does not expect to see any permanent effects on marine life, even close in to the plant.

However, he said officials should continue to monitor the radiation levels closely.

"What we have to watch is how these materials accumulate in food products and then could be consumed by people," Till said.

The build-up of water could cause problems around the nuclear facility, which is 240 kilometers (150 miles) north of Tokyo, Edano said Monday.

Authorities have made a priority of dealing with water from the No. 2 unit, some of which has been gushing into the sea through a crack in a concrete shaft.

"The radioactivity level is very high near the No. 2 reactor, and we know this. We have to stop the leak as early as possible to prevent this from going into the sea," Edano said. "The radioactivity level is much less in the water from the Nos. 3 and 4 units."

Nuclear and Industrial Safety Agency officials said Monday night that the hope is that pumping out the No. 2 reactor turbine plant will lower the water level enough that contaminated liquid won't be able to reach the sea.

"I am not able to say for certain whether or not this will be the last discharge, but we certainly would like to avoid releasing any such water into the sea as much as possible," agency spokesman Hidehiko Nishiyama said.

Officials were still awaiting test results to confirm the water pouring into the ocean is leaking from the highly radioactive No. 2 reactor.

"We don't know clearly, but we feel it is somehow leaking from Unit 2," Nishiyama said. Even if the water is confirmed to have come from the reactor, neither Tokyo Electric nor government officials know how it is making its way from the reactor to the leaking pit, he said.

Once the water is pumped out of the waste treatment reservoir, the agency believes it can safely transfer the water from the basement of the No. 2 turbine plant to the reservoir without further leaks, he said.

Though Japanese officials say the water being discharged is less radioactive than the water now leaking into the sea, its top concentration of radioactive iodine-131 is 20 becquerels per cubic centimeter, or 200,000 becquerels per kilogram. That's 10 times the level of radioactivity permitted in food. But since it's being dumped into the Pacific, it will be quickly diluted, according to Dr. James Cox, a radiation oncologist at Houston's MD Anderson Cancer Center and a CNN consultant.

Reactors No. 1 and No. 3, which have lower levels of water, need to be drained as well. Tokyo Electric's plan is to pump that water to other storage tanks, including some that still need to be set up.

Attempts to fill the 20-centimeter (8-inch) crack outside the No. 2 reactor's turbine building -- on Saturday by pouring in concrete, then Sunday by using a chemical compound mixed with sawdust and newspaper -- were not successful.

As officials mull other ways to cut off the leak at its source, workers will install a silt fence along a damaged sea wall surrounding the plant, Nishiyama said. The aim of this screening, usually used to halt erosion at construction sites, is to prohibit the spread of radioactive particles into the sea.

Workers also have injected a dye tracer into the water to allow them to track the dispersal of such particles, the spokesman added.

Addressing the issue quickly is critical because officials believe it is a source of alarmingly high radiation levels in seawater near the plant, as well as in nearby groundwater.

Complicating the situation is the fact that, in some cases, authorities don't even know how much radiation is getting out.

After some high-profile errors, little new information on water, ground and air radiation has been released since Thursday. One reason is that the dosimeters being used don't go above 1,000 millisieverts per hour, said Junichi Matsumoto, an executive with Tokyo Electric.

Authorities know the water in the cracked concrete shaft is emitting at least that much radiation -- which equates, at a minimum, to more than 330 times the dose an average resident of an industrialized country naturally receives in a year.

Plugging the external leak is job one, in order to prevent the outflow of radiation into the Pacific. But it may not be the most difficult, or important, task ahead.

Authorities still have to figure out how the tainted water got into the concrete shaft in the first place. The water had to come from somewhere, potentially traveling across melted-down nuclear fuel in the reactor's core before somehow reaching the outside.

"We were assuming and hoping (that water) would stay in the containment vessel as vapor after being cooled," Nishiyama, the nuclear safety official, said Sunday. "However, it may have flowed into the building, and then the trench."

Determining why and how that happened -- and what to do about it -- may be "exceptionally challenging," said physicist James Acton, with the Washington-based Carnegie Endowment think tank. Officials may have to inspect a complex array of pipes inside the dangerous radioactive environment inside the containment buildings.

The state of the Nos. 5 and 6 units is another new problem. Water in their turbine buildings' basements threatens the power supply for the system used to cool nuclear material in these units' spent fuel pools, Edano said. This makes it imperative to pump out that water, which will end up into the sea like that from around the Nos. 3 and 4 units.

"Though those reactors are stable at the moment, the growing water level in the turbine houses may disturb their stability," he said.

The effort to keep the Nos. 1, 2 and 3 reactor cores and spent fuel pools cool took a step forward Sunday, when the electricity source powering those three units' cooling systems was switched from a temporary diesel generator to a more permanent, external power supply, according to the International Atomic Energy Agency's website.

Authorities hope this step, as well as preventing damage to the Nos. 5 and 6 units' power supply, will help to minimize the prospect of any more radiation that might contaminate tap water or food.

Farmers have pushed for lower standards on radiation in food, calling them unnecessarily stringent. On Monday, Edano said these limits would not change, even as he outlined a process in which sales restrictions on certain crops, in certain areas, would be lifted if they test safe three times in a row.

CNN's Matt Smith, Tsukushi Ikeda, Yoko Wakatsuki, Junko Ogura, Midori Nakata, Susan Olson and Martin Savidge contributed to this report

@highlight

NEW: Experts say the release will not likely cause lasting environmental harm

@highlight

Water from a treatment facility and around four reactors is being dumped

@highlight

The official calls the step "unavoidable," saying it's needed to ensure safety

@highlight

Basement water threatens the "stability" of the cooling systems of Nos. 5 and 6 units