As you and your family look forward to countless holiday meals yet to come, the recently celebrated Antibiotic Awareness Week might have passed by unnoticed.

Perhaps you've never heard of this global effort to bring attention to the increasing problem of antibiotic-resistant infections.

But if you found yourself pausing in front of the "antibiotic-free" turkey on sale in many stores at Thanksgiving, wondering what those words meant -- and why these birds are more expensive than ones without that label -- you've already joined the debate about antibiotic use and misuse.

The discovery of antibiotics revolutionized medicine some 75 years ago. It meant that bacterial infections that would otherwise result in death could be cured with miracle drugs like penicillin, sulfa and tetracycline.

Infections following battlefield injuries or surgical procedures could finally be treated. Antibiotics could even be used to protect patients undergoing chemotherapy or a bone marrow transplant from the potentially lethal consequences of a weakened immune system, allowing doctors to be more aggressive in the treatment of cancers.

Some infections didn't respond to antibiotics, because the bacteria that caused them were "resistant" -- that is, they could disable an antibiotic, or pump it out as fast as it got into a bacterial cell. Some bacteria simply made alternate versions of the enzymes normally targeted by antibiotics, versions that were no longer blocked or inhibited by an antibiotic.

Usually, there was another antibiotic on the shelf that could still be counted on to work. But that is no longer the case for many of the multi-drug-resistant bacteria causing infections around the world.

How did we get to this point? The answer is complicated, but we can start with the turkey. For over 60 years, poultry and livestock have been fed antibiotics for their "growth-promoting" and "disease-preventing" effects.

The Pew Charitable Trusts estimated that almost four-fifths of the 37 million pounds of antibiotics sold in the United States in 2011 were for meat and poultry production.

Worldwide, more antibiotics are used for agriculture, aquaculture and horticulture than for treating humans.  These antibiotics act on the bacteria that live on and in all animals, suppressing the growth of bacteria that are sensitive to the antibiotic and favoring the growth of bacteria that are resistant.

A nightmare health scenario we can stop

This selection of antibiotic-resistant bacteria in animals has consequences for humans. Food-borne infections are increasingly caused by antibiotic-resistant Salmonella or campylobacter, with outbreaks causing recalls and warnings.

But the less headline-grabbing effects might be worse.  Antibiotic-resistant bacteria in the feces of livestock and poultry make their way to environmental water sources, contaminate commercially sold meat, and are transferred directly to humans with animal contact. These antibiotic-resistant organisms can transfer the genetic know-how for antibiotic resistance to other bacteria within us.

Because of this, the European Union banned the use of antibiotics in animals as growth promoters in 2006. Why hasn't the U.S. Food and Drug Administration done the same?

The agency on Wednesday issued a proposal to phase out the use of certain antibiotics in food-producing animals.

As early as 1973, the FDA published a rule in the Code of Federal Regulations directing drug companies to provide evidence that "subtherapeutic" antibiotic use in food animals to promote growth and prevent infection was safe -- or face withdrawal of approvals for such use.

In 1977, the FDA made an announcement, proposing to withdraw approval of penicillin and tetracycline for use in food animals for any purpose other than treating active infection. Public hearings on the proposed withdrawals were to be held -- and that was the last action by the FDA until it withdrew the hearing notice in 2011 in response to suits by the Natural Resources Defense Council and others demanding that the FDA finally follow through on its plan from 1977.

A ruling by U.S. magistrate judge Theodore Katz in March 2012 ordered the FDA to reissue its findings and initiate withdrawal proceedings, a decision the FDA has since appealed.

In the intervening 40 years, the evidence linking antibiotic use in food animals and antibiotic-resistant infections in humans has continued to grow. The 2008 report of the Pew Commission on Industrial Farm Animal Production documented this evidence, and made a priority recommendation to "phase out and then ban the nontherapeutic use of antimicrobials" in food animals.

CDC sets threat levels for drug-resistant 'superbugs'

Legislative efforts at the federal and state levels to implement this recommendation have met with no success, however, as detailed in the October 2013 follow-up by the Johns Hopkins Center for a Livable Future.

The FDA has done little more than to urge drug companies to "voluntarily" stop marketing antibiotics for growth promotion -- but antibiotic use for disease "prevention" is not discouraged, and proposed rules even weaken veterinary oversight of this practice.

Some opponents warn that modern agriculture will collapse if growth-promoting antibiotics are banned in food animals, but the evidence suggests the opposite.

Countries such as Denmark, which reduced antibiotic use in animals by 60% since 1994 through bans, government monitoring and voluntary cutbacks, saw no declines in total production of poultry or pigs as a result -- and no increase in the amount of feed needed to produce a pound of meat. In fact, pork production has increased by 50% since 1994, and Denmark now exports 90% of all it produces.

Lisa Heinzerling, a professor of law at Georgetown University, argued this year in the Vermont Law Review that the FDA is facing a "moment of truth," a moment when "an administrative agency must confront evidence concerning a social problem it is charged with addressing, and speak the truth, as best it can, about it."

Clearly, however, many entities involved in the sale and use of growth-promoting and preventive antibiotics in food animals profit from this practice and have effectively fought to delay its regulation and restriction.

What can we do? To start, vote with our wallets and buy turkey or chicken or ham that's "raised without antibiotics." It sends a small but important message that encourages farmers who voluntarily avoid the use of antibiotics for growth promotion or disease prevention.

But it's clear that the solution requires action on a bigger scale if the United States is to implement recommendations made repeatedly for more than 40 years to limit antibiotic use in animals to the treatment of infections.

Hopefully, most of us have taken our doctors' advice to heart and no longer demand antibiotics for ourselves or our children at the first sign of a cold, sore throat, or cough -- all common symptoms of viral infections, on which antibiotics have no effect.

What government tests found in your meat

Encouragingly, the resulting decreases in antibiotic use in the community can be linked to decreases in antibiotic-resistant infections. Campaigns to promote judicious use of antibiotics in hospitals are likewise followed by decreases in the number of infections caused by multi-drug-resistant bacteria.

Perhaps, in spite of the pressures to economize during this season, we can also examine the reasons used to justify antibiotic use in agriculture -- a bigger turkey or pig, sent to your table for a lower price -- and ask, are we really getting a bargain?

@highlight

The EU in 2006 banned antibiotics in animals as growth promoters

@highlight

More antibiotics are used for agriculture, aquaculture and horticulture than treating humans

@highlight

Evidence is growing linking antibiotics in food animals and antibiotic-resistant human infections