(CNN) -- Gabrielle Giffords submitted her resignation as a U.S. representative from Arizona before Congress on Wednesday, and an initial reaction might be a sense of despair about her decision to step aside. Many have imposed a narrative of national recovery on Giffords' ability to run for her office again and take her oath in a clear strong voice.

But in this case, it would be a mistake to confuse holding public office with redemption. A congressional seat is not supposed to be a plot point for Hollywood endings, and by passing up the chance to run again, Giffords has demonstrated a respect for the principles of representative democracy.

The authors of the Constitution intended Congress to be a rotating body, free from the cults of personality and lifetime sinecures that characterized European governance. Although it is human nature to see a kind of triumph in being able to come back to one's job after an injury, Giffords understands that the office belonged not to her but to southern Arizona. She made the decision after a year of rehabilitation, and she deserved that time to make a hard call with the best evidence.

Her choice this week recalls an old observation of Harry Truman, who said he always tried to remember that the crowds cheering and the bands playing "Hail to the Chief" were not for him personally. They were for the office of the presidency.

The office of Congress may also be too small for Giffords. This is a body that commands the respect of 8% of the electorate: a record low. And despite the illusion of glamour that surrounds it, the actual work can be physically taxing and spiritually dreary. Traveling back and forth from Washington each week, visiting the House floor multiple times a day for procedural votes, sweet-talking big donors, finding positions that will please the district without making you feel like a sellout -- all of these can take their toll.

After her bruising re-election fight of 2010 -- one of the nastiest races in recent local memory, with an eerie pallor of violence hanging over it -- Giffords herself doubted whether she wanted the job much longer.

She now has a golden opportunity to start a "Gabrielle Giffords Institute" for the study of gun violence or mental health care reform or solar energy or whatever public policy issue she wants to emphasize. Her moral authority and influence may be better used outside the halls of Congress, where she would have been inevitably fettered by the daily grind of politics and partisanship.

In her video announcement, she said: "I will return, and we will work together for Arizona and this great country." And we should take her at her word, even if that doesn't mean a return to elective office.

To be sure, this is not the future anyone would have wanted. There is enormous cruelty in her injury -- the robbery of her ability to speak -- which was one of her truly exceptional qualities.

I remember thinking near the end of her first campaign for Congress, in 2006, that the only thing that could deny her a victory over her maladroit opponent would be some kind of epic goof made during a campaign rally or a debate -- a vague exclamation taken out of context or a damaging statement made in passion. But such a possibility was remote. "Gabrielle doesn't really make mistakes," I told a friend. She possessed a preternaturally strong sense of control over her words.

This was also true in private conversation. Giffords had that quality, cherished among leaders, to gauge the emotional temperature of the person she was with and adjust her own bearing accordingly. There were many times in our friendship when she managed to say the unexpectedly perfect thing in the moment: a key piece of advice, a joke, an anecdote that had precise relevance.

There is a picture of her that is difficult for me to view. It is the last photograph of her taken before the 16 seconds of gunfire that would change everything. She is standing in front of the Safeway on January 8, 2011, looking intently at a middle-aged woman named Doris Tucker, who had been next in line to speak with her

In back of her is the plate-glass front of the grocery store on which the smeary reflections of a few people are visible. Out of this crowd a gunman was about to emerge. But what dominates the frame is Giffords' expression, one of wordless concentration and interest in what Tucker was saying. It was a look that I knew well.

The loss of her ability to find the words in conversation easily is an awful blow. But the Giffords I know won't surrender the primary motivating force in her life, which is the urge to make a difference in the public sphere and to use her talents to make life better for those around her. That was what motivated her first run for Congress five years ago. She is leaving national elective office in the same way she came in: with class and dignity.

It would be a mistake to think of this as a defeat because it is not the neat Hollywood ending we had hoped for. This is not Hollywood. And this is not an ending.

Follow CNN Opinion on Twitter.

Join the conversation on Facebook.

The opinions expressed in this commentary are solely those of Tom Zoellner.

@highlight

Tom Zoellner: We have put a narrative of national recovery on Giffords' ability to run again

@highlight

By stepping down, Giffords shows a respect for principles of democracy, he says

@highlight

Her moral authority and influence may be better used outside Congress, Zoellner says

@highlight

Zoellner: Her driving motivation is to make a positive difference in public life, and she will