CNN -- Sebastian Junger found him crouched on a battlefield in Afghanistan, fighting to stay alive.

Ahmad Shah Massoud, center in white shirt, leads his men in his beloved Afghan mountains.

The Taliban had the man cornered and outnumbered. A sniper's bullet came so close to the man that it plucked dirt between his feet. But Junger watched him coolly orchestrate a cunning counterattack by his soldiers -- all while discussing his favorite poetry and international news.

"He had tremendous magnetism," says Junger, a noted journalist and author who has written bestsellers like "The Perfect Storm," and "A Death in Belmont."

"You didn't even need to speak his language to fall under his sway. That's the only time I've ever really felt that from another person."

The man Junger met was Ahmad Shah Massoud, the "Lion of Panjshir." Today, Massoud is a national hero in Afghanistan, but he's also become something else: the prototype for the tough but enlightened leader Afghanistan desperately needs today, some Afghans say.  Watch how images of Massoud are everywhere in Afghanistan »

Massoud was assassinated two days before the September 11 terrorist attacks by agents linked to al Qaeda. Though he died eight years ago, his legacy looms over any would-be leader in Afghanistan, Afghans and scholars say.  See current key players in Afghanistan »

'He would have found bin Laden'

Afghanistan's government has been accused of being corrupt and weak. Massoud had a reputation for integrity and strength, says Junger, who traveled to Afghanistan in 2000 to profile Massoud for his book, "Fire."

"He would have been very hard for the warlords to intimidate," Junger says.

Massoud had a reputation as a fierce nationalist who would not allow any outside group -- the Russians, Pakistan, the Taliban, even the United States -- to control Afghanistan, says Zieba Shorish-Shamley, an Afghan native and founder of the Women's Alliance for Peace and Human Rights in Afghanistan.

"All he wanted was to have Afghanistan for Afghanistan," Shorish-Shamley says. "If Massoud would have been in power, he would not sell out."

Massoud made his name as a brilliant guerrilla leader. He was born in Afghanistan's Panjshir Valley, the son of an Afghan army officer. He attended college as an engineering student where he became involved in student politics.

Massoud became Afghanistan's most famous resistance leader after the Soviet Union invaded Afghanistan in 1979. Widely read, he studied the works of famous guerrilla leaders. His army fought back nine major offensives by the Soviet army in the Panjshir Valley.

After the Soviet army retreated, Massoud then waged war against the Taliban, objecting to their rigid interpretation of Islam and treatment of women.

While battling the Taliban, Massoud became a bitter foe of the group's chief ally, al Qaeda's Osama bin Laden.

Shorish-Shamley, the women's rights activist, says Massoud was assassinated just before the 9/11 attacks because bin Laden feared Massoud. Massoud's military prowess combined with his knowledge of the Afghan-Pakistan border would have made him an even more formidable threat against the Taliban with U.S. military muscle backing him.

"If they [al Qaeda leaders] were hiding under a rock, he would have found them,'' Shorish-Shamley says. "He was that type of person. He would have found bin Laden."

'He was a charming killer'

Yet there are others who say Massoud wasn't that different from the warlords who try to control Afghanistan today.

After the Soviet army left Afghanistan, various Afghan resistance leaders cobbled together a coalition government to run the country. Massoud was appointed defense minister. But a civil war soon erupted as various factions fought for control of the country. Men under Massoud's command were accused of massacring civilians.

Paul Fitzgerald, co-author of "Afghanistan's Untold Story," says Massoud was a "charming killer."

"He wasn't as bad as the worst," Fitzgerald says. "But from the Afghan point of view, they're all war criminals. They really didn't do any good for the Afghan people."

The Taliban eventually stepped into the leadership vacuum created by feuding Afghan factions. When they gained control of Afghanistan, they pushed Massoud's army into the Panjshir Valley. There Massoud fought a rear-guard action against the Taliban while trying to warn the West about the global threat posed by bin Laden and the Taliban.

Marcela Grad, author of the book "Massoud," says he was the only Afghan resistance leader who never left the country to live abroad. He fought constantly for Afghanistan's independence, but constant war didn't appear to destroy his humanity.

"He had tranquility about him," says Grad, who journeyed to Afghanistan to talk to Massoud's friends for her book. "He brought his poetry books to battle."

Grad says Massoud believed that his fight against the Taliban wasn't isolated but part of a larger battle against a Taliban-like Islam that threatened to spread across Central Asia.

"If Massoud and the Afghans were not being a front against intolerance in that part of the world, we would have had al Qaeda everywhere -- it would have been much worse," Grad says.

Junger, who had interviewed Massoud the year before, says he was crushed by Massoud's death.

"A lot of people who knew him felt that he was the best hope for that part of the world," says Junger.

There may be another Massoud in Afghanistan's future.

A year after Massoud's death, he was named a "National Hero of Afghanistan." As dignitaries stepped on stage to honor Massoud, a thin adolescent with the same aquiline nose and almond-shaped eyes as Massoud stepped before the crowd.

It was Massoud's only son, Ahmad, who was then 13 (he would now be about 20). CNN correspondent Christiane Amanpour, who covered the event, reported that Ahmad said that terrorists may have killed his father but not his vision of a united and free Afghanistan.

"I want to follow in my father's footsteps," Ahmad said. "I want to secure our country's independence. I want to be my father's successor."

@highlight

Legendary Afghan leader instilled fear in Taliban, Afghans say

@highlight

Ahmad Shah Massoud considered prototype for Afghan leader, some say

@highlight

Author Sebastian Junger: 'He had tremendous magnetism'