(CNN) -- I thought I was prepared for North Korea. After all, I'd spent more than half my life studying, traveling to and living in the former Soviet Union as well as other Communist and post-Communist countries.

Commuters head to work in downtown Pyongyang this past February.

So, as we arrived at Pyongyang airport, I felt oddly at home. The same empty airport as in Leningrad in 1969. (In the North Korean capital we later found out our flight was the only one scheduled for arrival that day.)

Staring down at our plane as we taxied to the terminal, a huge color portrait of Kim Il Sung, North Korea's "Great Leader."

No matter where we went over the next nine days, the gaze of Kim Il Sung, or his son, Kim Jong Il, the current ruler known as the "Dear Leader," would follow us, from portraits hung on buildings, monuments, bridges ... to lapel pins on the chests of almost everyone we met, including the two men who greeted us, Mr. Jang and Mr. Song, who would be our guides, minders and controllers for the duration of our stay.

In 1969, arriving in Russia as a student, it seemed that every street I traveled was decorated with the image of Vladimir Lenin, father of the Russian revolution. Adults wore lapel pins with images of the Bolshevik leader, children wore little "Baby Lenin" pins.

"Lenin lived, Lenin lives, Lenin will live." I was told, and so does Kim Il Sung, who died in 1994. Even in death, the Communist leaders have something in common: their bodies are embalmed and lie in glass-covered coffins, on display in mausoleums in Moscow and Pyongyang. Russian experts reportedly helped the North Koreans with the cosmetic aspects of political immortality.

The streets of the North Korean capital reminded me of Moscow in the 1960s. Almost no traffic, just official cars whizzing down empty boulevards, curtains pulled shut to protect elite Communist party members from the prying eyes of pedestrians. In Moscow they used to drive long black Zils or Volgas. In Pyongyang, it's mostly older Mercedes, often an incongruous baby blue.

In any country, one of the best ways to see how people live is to visit the food stores and markets. For several days we pestered our North Korean guides to take us to markets where the first tiny buds of capitalism are sprouting, the government allowing people to sell fruits and vegetables -- one way of relieving the food shortage in the North.

In search of state-owned food stores, I went for a walk one evening in town, without a guide. The stores were closed, it was a holiday, but as I peered through the darkened window of one shop I went back in time to the stores I saw in Russia a quarter century ago. A few tin cans of fish stacked neatly in pyramids, a half-bare counter displaying a few lonely onions and cucumbers. This was in the capital, much better provisioned than the countryside, where North Koreans often go hungry.

Choreographed encounters

In Russia, our guides went to extraordinary lengths to control what we saw and limit our interaction with average people. Mr. Jang and Mr. Song must have studied at the same guide school. Their mentality was the same: make sure we saw nothing that could reflect negatively on the government or Communist Party leadership.

One morning, as we were driven out of Pyongyang to a mountain resort ensuring we would be kept far from any interaction with ordinary people, we asked our guides to let us stop by the road and shoot some pictures of the countryside.

Grudgingly, they agreed. Suddenly, the young one, 29-year-old Mr. Jang, sporting a sleek black pompadour and a smirk, told us to stop. "There is an old woman down there," he explained. Presumably, her bent back was not what he wanted on tape.

Our older guide, Mr. Song, a former diplomat, was more flexible. He cracked a smile when I told him of how my Soviet escorts back in the 1970s took us on a boat ride down the Volga, refusing our pleas to stop along the way. At one deserted spot we were allowed to pull into shore for a picnic lunch. Several of us set off on foot to see what we could find. In a tiny village, we came upon a lovely young woman wearing makeup. When we complimented her on how nice she looked, she said: "They told us you were coming."

Knowing that virtually every encounter is choreographed in advance creates a strange mind-warp. In Pyongyang we asked to see some of the everyday life in North Korea and our guides finally took us to the city park, a magnificently beautiful expanse of hills and trees.

Hearing drumming in the distance, I walked swiftly to see where it was coming from. A few minutes away I spotted an open-air pavilion filled with older Koreans, most of them women in traditional flowing dress, cinched at the bust with a sash. They were singing, dancing and laughing uproariously, some of them beating out a rhythm on small red-painted drums shaped like an hourglass. I begin taking pictures. They simply smiled and kept dancing.

Mr. Song caught up and we both surveyed the scene, utterly charming in its simplicity and gaiety. He turned to me with a smile and said, "They knew you were coming." Was he pulling my leg? Was he telling the truth? I guess I'll never know but I prefer to think that at least this encounter with Koreans was not scripted.

The North may have a hard-edged image in the world of fierce militarism and, just as in the old Soviet Union, much of life is run like the army, with group -- not individual -- activities the norm. Yet, in spite of that hard-edged atmosphere, there is an incongruous feeling of primness, as well.

In Pyongyang, 20-something traffic girls direct the non-existent traffic, robot-like in their white uniforms, black hair pulled back in identical World War II-style chignons. They remind me of little Russian girls in their starched school uniforms, organdy bows in their hair.

Women in Moscow dressed neatly, but modestly, with no access to imported clothes. It's much the same here in Pyongyang yet there is one sign of changing times in today's North Korea: a flash, here and there, of modest jewelry, unthinkable just a short time ago.

Following the Great Leader

How to understand what people really think and feel? It's a question I asked myself so many times in Russia and it hounds me here in North Korea. There was no way for our CNN crew to blend in, with our Western clothes, Western looks and our mandatory silk arm bands, given to us by our Foreign Ministry minders, navy blue with white lettering identifying us as journalists.

In Russia, beneath the surface of repressive political control, if you looked hard enough, and spoke the language, you could sometimes find those lonely dissidents living in "internal migration" rejecting the pressure to conform.

In North Korea, conformity is taken to a degree I never imagined possible. At the "Airarang," the mass gymnastics show celebrating the 60th anniversary of the end of Japanese occupation of Korea, thousands of performers dressed in military uniforms re-enact the battles and suffering that gave birth to their country.

Before the show, a murmuring in the audience builds to a buzz. The personal photographers of Kim Jong Il suddenly appear close to the seat of honor. As the short, rotund leader enters the stadium, the audience leap to their feet, clapping rapturously as "Dear Leader" applauds them back.

Do they believe in Kim? Believe in his "juche" philosophy of extreme self-reliance? Unable to speak Korean, cut off from unscripted meetings with Koreans, I have no answer.

Young Mr. Jang tries to explain it to me: Korea, he says, is like a rabbit. "Its face is toward China. Its back is toward the United States. Its ass is toward Japan. Its mouth is toward Russia."

Korea, he tells me, needs no one. Its unity is its weapon. Surrounded by enemies, it must look to itself to survive.

In the mountains a two-hour drive from Pyongyang, there is a massive museum cut into the mountainside, built to house all the gifts given by international leaders to Kim Il Sung and his son, Kim Jong Il. I ask what is the first gift Kim Il Sung was given?

The guide, an elegant woman in traditional dress, sweeps though the cold marble corridors, leading us to a room where a full-size train car stands, its elaborate wood interior and brass lamps buffed and polished, a gift from Soviet ruler Joseph Stalin.

Down one more corridor to a final room on our tour, the diminutive guide tugs at the door and I gasp. A life-size figure of the Great Leader, dressed in a suit, standing amid trees near a lake, mountains in the distance. It is eerily real. Even the leaves on the trees rustle as a breeze (from a hidden fan?) blows by.

The music is solemn, stately. Mr. Jang and Mr. Song stand reverently and bow. The Great Leader stares blindly into the distance. Does he know where his country is headed?

@highlight

CNN correspondent recalls August 2005 visit to North Korea's capital

@highlight

Visit by international visitors was tightly choreographed

@highlight

North Koreans are taught to adhere "juche," belief of self-reliance