For many people, any interest in the resurgence in Icelandic volcanic activity this year is now a distant memory. However, an eruption from Bardarbunga that began on August 31 continues to this day and has now emitted the most lava of any volcano in Iceland since 1947 and shows no sign of stopping.

To give some sense of the scale, the volcano has now spewed so much lava to the surface that it would fill Wembley stadium to the brim more than 500 times over. And the total area of impact is over 28 square miles.

Unlike a lava flow that is currently destroying homes in Hawaii, however, the lava in Iceland is flowing in an uninhabited area and has only provided stunning visual effects that have been captured by many photographers. However, toxic gas released is causing respiratory discomfort to people in nearby towns, and has even triggered pollution warnings in other countries, including Ireland, and measurable pollution peaks in the United Kingdom.

So far, however, the eruption has not caused any problems from ash clouds because it is erupting beyond the ice cap. However, this could change at any time.

The caldera at the top of the volcano is dropping every day, as magma flows out from below. This is being monitored by a high-precision GPS instrument placed there by gutsy scientists of the Icelandic Met Office.

The subsidence is not smooth, but lurches down in jumps coinciding with earthquakes occurring beneath the surface. This subsidence marks a slow collapse of the caldera, a process that often ends with an eruption.

There are hundreds of metres of ice within the caldera, so any eruption would lead to the production of ash, once it melts its way through the ice cap; melting ice interacts with the magma, turning to steam and exploding the magma into fragments of ash.

If this occurs, the eruption may well affect some flights. It would also cause destructive flooding from melting of the ice.

However, we should not see any repeat of the massive airspace closure in Europe in 2010, the biggest since World War II, following the eruption of the Eyjafjallajökull volcano. That eruption stranded millions of travellers and cost the industry a massive sum.

One key difference between then and now is that there is no longer an aviation "zero tolerance" policy to ash. This means that aircraft are now allowed to fly in areas containing low particle concentrations, and various efforts such as a collaboration of 26 European institutes called FUTUREVOLC, mean that models of ash concentration have been much improved since 2010.

Moreover, the ash produced in 2010 was especially fine, allowing it to stay aloft for a long time. The weather at the time also conspired against civil air authorities and travellers, with dry air and consistent northerly winds causing the ash to spread deep into Europe.

To be sure, there is a small chance of a much more significant eruption. Bardarbunga has had huge eruptions in the past, bigger even than the 1783-84 Laki eruption that led to a long-lived fog over much of Europe, which contributed to extreme low winter temperatures and many deaths. However, the frequency of such large eruptions is low -- separated by hundreds of years on average.

That said, the timing of the next big one may have been brought forward by the shrinking of the ice caps due to climate change. The associated reduction of pressure in the mantle beneath the crust has caused magma generation rates to approximately double over the last century. But the picture here is not 100% clear cut as the altered stress state of the crust may mean that more magma freezes beneath the ground, rather than erupting.

Even without a huge eruption, threats remain from the continued possibility of large floods from meltwater, with potential risk to human life. The highlands north of the Vatnajökull glacier therefore remain closed to the general public.

Taken overall, there remains a possibility of a significant ash eruption in Iceland that may well impact some flights. However, despite all the risks, it is still unlikely we will witness a repeat of the travel chaos that brought European airspace to a standstill in 2010.

@highlight

An eruption from Bardarbunga began on August 31 and continues to this day

@highlight

It has now emitted the most lava of any Icelandic volcano since 1947

@highlight

Toxic gas released is causing respiratory discomfort to people in nearby towns

@highlight

It has triggered pollution warnings in countries such as Ireland