(CNN) -- Eleven years ago this week, the world faced the outbreak of Severe Acute Respiratory Syndrome, or SARS, a new epidemic that infected some 8,000 people, took the lives of 775 individuals, and inflicted $30 billion in damage to regional economies.

The emergence of SARS was a wake-up call for the World Health Organization and its members, including the United States. The world had to do more to prevent, detect and respond to new biological threats.

This is not just a health challenge; it's a security challenge as well.

Infectious diseases -- whether naturally occurring, deliberate or accidental -- have the potential to cause enormous damage in terms of lives lost, economic impact and ability to recover, just as with nuclear, chemical, or cybersecurity attacks.

During the anthrax attacks of 2001, 22 people were infected and five people lost their lives here in in the United States. The cleanup cost was more than $1 billion. The global H1N1 influenza pandemic of 2009 killed 284,000 people worldwide in its first year alone, according to the Centers for Disease Control and Prevention.

In the decade since the SARS outbreak, we have made notable progress. China, for instance, has shown leadership in its transparent approach to the ongoing and rapidly escalating H7N9 influenza outbreak.

Under revised WHO regulations, many countries have increased capability and made event reporting more transparent.

But 80% of the world's nations still are not prepared to deal with new pandemics, and more can and must be done across the health, agriculture and security sectors to elevate this issue and steer resources toward it.

The United States has made addressing infectious disease threats a priority. On Thursday in Washington and Geneva, we are convening 26 countries to launch a Global Health Security Agenda that will accelerate progress on addressing a wide range of global health security threats.

With our partners and allies, we'll be intensifying our efforts to meet the challenges of an increasingly globalized world, whether that means the emergence and spread of new microbes, the globalization of travel and food supply, the rise of drug-resistant pathogens, or the risk of an inadvertent or intentional release.

At the same time, we'll continue to work to prevent terrorists from developing, acquiring or using biological agents for harm.

New diseases are inevitable, but in the 21st century we have the tools to greatly reduce the threat posed by global epidemics. We can put in place a safe, secure, globally linked, inter-operable system to prevent disease threats, detect outbreaks in real time, and share information and expertise to respond effectively.

To achieve this goal, we must work more effectively across sectors and governments, harmonize our efforts, identify what works and measure our progress.

We invite national leaders, international organizations and nongovernmental stakeholders from around the world to join us in this endeavor. Our security and the lives and livelihoods of our citizens depend on it.

The opinions expressed in this commentary are solely those of John Kerry, Kathleen Sebelius and Lisa Monaco.

@highlight

Infectious diseases are security challenges, say John Kerry and Kathleen Sebelius

@highlight

SARS, anthrax, H1N1 and other diseases threaten humanity on a global scale, they note

@highlight

On Thursday, 26 countries convene to accelerate progress on global health security threats