(CNN) -- Last week, the Internet was buzzing with the news that a DNA test of white supremacist Craig Cobb revealed that 14% of his genes originated in sub-Saharan Africa.

The look on Cobb's face as he received the news? Priceless.

Cobb appeared on "The Trisha Show" and discussed his plans to create an all-white town for white supremacists in Leith, North Dakota.

"Whites are the highest expression of DNA on the planet," he said on the show.

When Cobb received the DNA results, he wrote it off.

"This is called statistical noise," Cobb responded. "Oil and water don't mix."

Well, apparently we aren't talking oil and water, are we Mr. Cobb? We're talking human beings -- and they've been mixing since the beginning of time.

That history is what created the "one-drop rule" in America: a legal classification that held that anyone with as little as "one drop" of African or black ancestry was to be categorized as black and treated accordingly. Until 1967, when it was ruled unconstitutional, the "one-drop rule" provided the legal and quantitative definition of blackness, and whiteness.

So while Cobb might "look white" today, in 1813 or 1913, his 14% African ancestry would have been more than enough to render him black by law. In 2013, however, the irony of his heritage shows just how nuanced racial identity is beyond skin color.

During the period of American slavery, 1619 to 1865, freedom was predicated on skin color. If you were white, you were free; if you were black, you were enslaved.

But this simple social order soon became complicated by miscegenation; and with the rampant increase in racial mixing, the lines between white and black, free and enslaved, became more and more blurred.

Whites were afraid of losing their control over the enslaved population. They needed to maintain a firm color line. So, state governments began instituting anti-miscegenation laws. Various and varying articulations of the "one-drop rule" emerged: a classification that held that anyone from 1/8 to 1/16 to 1/32 to any known trace of African or black ancestry was to be categorized as black and treated accordingly. How that "drop" was measured varied from state to state.

The rhetoric of white supremacy not only argued that the races were distinctly different, but also that the black race specifically was inferior, therefore justifying enslavement. Mixing, then, lowered human quality.

In order to maintain its superiority, whiteness had to remain pure. So, what it meant to be white was to be free of "otherness" in general, blackness, specifically. In this way, miscegenation was a threat to the survival of the white race. The "one-drop rule," then, became critical in its defense.

To be white in America was to be "pure."

Or was it?

A 2002 study of racial admixture conducted by Penn State University molecular anthropologist Mark Shriver showed that among those who self-identify as white, upward of 30% have at least 2.3% African ancestry -- the equivalent of having had three black ancestors somewhere within the previous five generations of their family.

What that means, then, is that 30% of the folks who call themselves white have much more than one drop, including white supremacist Craig Cobb.

DNA testing also reveals that somewhere around 60% of black Americans have white ancestry, Shriver's study found.

Taken together, it's clear that racial purity is as much a delusion as white supremacy.

Blood does not define identity.

Although the "one-drop rule" in many ways serves foundational to black American racial identity, and has functioned to draw borders around the black community as we know it, one drop of "blackness" -- whatever that is -- does not constitute black identity.

Blackness, as an identity and as a lived experience, is much more complex and nuanced than any number of drops on a family tree. Blackness is as much about who creates you as it is about what you make of yourself.

So, while I was thoroughly amused by the sight of Craig Cobb's face when he learned that he, too, is "of African descent," I am clear that those DNA test results do not magically make him black; no number of drops ever could.

And blackness is too beautiful to be forced upon people who don't want it. So no worries, Mr. Cobb, your secret's safe with me.

The opinions expressed in this commentary are solely those of Yaba Blay.

@highlight

White supremacist Craig Cobb learned that 14% of his genes originated in sub-Saharan Africa

@highlight

That would make him legally "black" under America's one-drop rule, Yaba Blay says

@highlight

The "one-drop rule" provided the legal and quantitative definition of blackness, and whiteness

@highlight

Blay: Irony of Cobb's heritage shows how nuanced racial identity is beyond skin color