DES MOINES, Iowa (CNN)The 2016 Republican presidential race in Iowa got its unofficial start Saturday with a marathon of speeches, giving close to a dozen potential candidates a chance to introduce (or re-introduce) themselves to a core group of caucus-goers roughly one year before the contest.

Immigration and Islamic extremism took front and center as the White House hopefuls sought to test-drive their stump speeches. On style, it was Wisconsin Gov. Scott Walker and Texas Sen. Ted Cruz who saw strong receptions from the audience, though support for a wide number of candidates was expressed in the hallways after the event.

New Jersey Gov. Chris Christie also sought to establish a deeper bond with Iowa. The Hawkeye State receives outsized attention in presidential years thanks to its first-in-the-nation status during the primary season.

Marathon time

For the 10-hour day of back-to-back speeches, "the candidates" -- as they were called --  joined other high-profile Republicans at Hoyt Sherman Place, an old, intricate theater built in 1877 that also became the first public art museum in Des Moines.

Billed as the Iowa Freedom Summit, the event was co-hosted by Citizens United and Rep. Steve King, a revered lawmaker who represents the northwestern part of the state and has considerable clout among the more social conservative and Christian right faction of the party.

It was no secret that it was considered a cattle call for the presidential race. Former Arkansas Gov. Mike Huckabee, for example, said that the reason he ended his Fox News show was for a bigger goal he has in mind.

"It wasn't just so I can go deer hunting every weekend, I can assure you that," he said.

Others were more blatant.

"I am a potential presidential candidate, yes I am," former Hewlett Packard CEO Carly Fiorina told CNN.

Even Palin angled to get in on some of the action, teasing ahead of her appearance Saturday that she was now seriously considering a run. And real estate titan Donald Trump told reporters Saturday that he'll make his decision before June.

"I'm the one person who can make this country great again, that's all I know," he told reporters Saturday. "Nobody else can."

Palin, in her remarks, was less forward. Ticking through a somewhat dizzying and hard-to-follow speech, Palin suggested that the country is ready for a woman leader -- just not Hillary Clinton.

"Hey Iowa, can anyone stop Hillary?" she said, prompting the audience to cheer. "To borrow a phrase, yes we can!"

The class of 2016

The speakers, who were typically allotted 20 minutes, used a bulk of their speeches to share their own personal upbringings. Ben Carson and Christie talked about their strict but sharp mothers, while Wisconsin Gov. Scott Walker and Texas Sen. Ted Cruz talked about having pastors as fathers.

Other more well-known names in Iowa — like former Pennsylvania Sen. Rick Santorum who won the state's caucuses in 2012 and Huckabee, who won in 2008 — tried to remind Iowans why they picked them in the first place, dipping into their personalities but also focusing on the issues.

Given King's firebrand credentials as an outspoken opponent of illegal immigration, it was no surprise that problems at the border became a focal point in much of the speeches Saturday.

Carson, a retired neurosurgeon, argued "there wouldn't be people coming in here if there wasn't a magnet pulling them in," suggesting there should be criminal punishment for employers who hire undocumented workers.

The main target in the immigration battle, however, was President Barack Obama's executive action to delay deportation for up to five million undocumented immigrants. Or as Palin put it, in her folksy swagger, Obama's decision makes him seem "like an overgrown little boy who's just acting kinda spoiled."

Speakers railed against the President's pledge to use his "pen and his phone" to work around Congress, with immigration as just one example of what many called the president's "overreach."

That was punctuated when DREAM Act Coalition protesters interrupted Rick Perry's speech, leading to one arrest and theater full of Iowans trying to drown out the demonstrators' chants.

The potential candidates also warned about what they see as a dire path for the country, in particular when it comes to foreign policy, a theme that, along with immigration, also seems poised to become a flash point in the 2016 presidential race, unlike in 2012.

Santorum argued that the growth of ISIS is a consequence of the "isolationism" and "weakness" from the Obama's administration. Cruz, like several speakers, said the President will fail in the war on terror if he refuses to use the words "radical Islamic terrorism."

Huckabee blasted Obama for devoting more time to climate change in the State of the Union address than talking about terrorism.

"A beheading is a far greater threat to Americans than a sunburn," Huckabee said.

The issues

There was plenty of the usual Iowa charm on stage, speeches with pig analogies and corn references. And there was more than one reference to how people in Iowa are somehow taller than average.

Shown on a big screen above the stage was an image of a red barn sitting on a green hill surrounded by white fences. Steve King's name — in all caps — was plastered across banners on the stage, as well as the podium.

The contenders also dished out a bevy of red meat, blasting Obamacare, Common Core, the media, Hillary Clinton and the $18 trillion debt. Cruz won huge applause for proposing to place 110,000 IRS employees on the southern border, joking that they'll do a better job at deterring illegal immigration than anything else.

Giving a shout out to the state's newly elected U.S. senator, Joni Ernst, was also a popular item on the agenda for the potential candidates. Nearly all of them referred to her as their "friend," and almost equal amount of affection and time was dedicated to the state's other beloved senator, Chuck Grassley.

Walker, who, like Cruz, paced the stage back and forth as he spoke, delivered an impressive speech that honed in on his record as governor. He talked about implementing voter ID laws, and he painted himself as the valiant warrior who took on the public employees and won during the collective bargaining rights debate of 2011.

He also didn't forget to mention that he's been elected three times in the past four years.

Shortly after his speech, two men, both from Council Bluffs, talked outside about how they were wowed by Walker's remarks.

"If he could do on a nationwide scale what he did in Wisconsin, this country would be," one man, Michael Patomson, started to say, before his friend, Bill Hartzell, interjected: "Transformed. The country would be transformed."

The reception

Many attendees had a hard time picking just one favorite in the line of potential contenders. Several mentioned Fiorina as a surprise hit.

"There was just a pantheon of people to listen to," said Eric Rosenthal of Cedar Rapids.

"Rick Perry was better than last time I heard him — that's good. He needs it," said Ernie Rudolph of Dallas County, Iowa.

Christie also saw a warm reception and contested the idea that a Republican governor of a blue state who has a "Jersey guy" reputation will not connect with voters in Iowa.

"That somehow I'm too loud, I'm too blunt and I'm too direct," Christie said, dismissing the criticism as "conventional wisdom" from Washington pundits. "They're wrong."

Still, he was noticeably different from his usual style. His demeanor was toned down and he read from his prepared remarks on the podium, a stark contrast to his preferred off-the-cuff method.

Some of the chatter in the hallways and to reporters also featured two potential contenders who weren't there: Jeb Bush and Mitt Romney.

Trump put it simply: "Mitt had his chance. He should have won and he choked." As for Bush: "We've had enough of the Bushes."

Sens. Rand Paul and Marco Rubio, as well as Gov. Bobby Jindal, also skipped the event, but given that it's year ahead before Iowans start to caucus, it's unlikely that missing one event will hurt them.

Saturday's event was more of a curtain raiser, giving the first glimpse of what will likely be a competitive Republican primary.

Walker, as he closed his speech, offered a pledge that will likely be mirrored by several of the speakers on stage over the next year: "I'm going to come back many more times."

CNN's Adam Levy contributed to this report.

@highlight

Republicans gathered in Iowa to offer a first glimpse of the 2016 presidential campaign narratives

@highlight

Immigration and terrorism were two of the most common issues discussed

@highlight

Scott Walker and Ted Cruz received strong receptions from the audience