March 14 is my favorite day to be a nerd.

Across the country, math geeks in museums, schools, private groups and elsewhere gather to celebrate the number pi, approximately 3.14. That's why March 14 -- 3-14 -- is Pi Day. What's more, Albert Einstein was born on this day.

A quick refresher: Pi is defined as the distance around a perfect circle, or the circumference, divided by the distance across it, or the diameter. It is also involved in calculating the area of a circle, the volume of a sphere, and many other mathematical formulas you might need in the sciences.

Throughout history, people have been captivated by this number because there is no way to calculate it exactly by a simple division on your calculator. What's more, its digits go on infinitely, without any pattern in the numbers. 3.1415926535897932 ... etc. Even that many digits are more than most people would need for everyday use, but some folks have been inspired to memorize thousands of digits of pi, or even use the digits to create poetry or music.

On Pi Day, one number 'reeks of mystery'

Math may be scary, but pi is not -- as evidenced by the widespread revelry on Pi Day. One might even say -- gasp! -- it's cool to like pi these days. Even the House of Representatives supported the designation of March 14 as National Pi Day in 2009.

In countries where the day is written before the month, Friday is 14-3, which looks less like pi. "And so Pi Day is an acquired taste," mathematician Jonathan Borwein, at the University of Newcastle in Australia, said in an e-mail.

Conveniently, "pi" sounds like "pie," and pies are round. You could celebrate Pi Day in a casual way by grabbing a slice of pastry, or pizza. If you're in enrolled in school, your math class or math department might be doing something special already.

But if you happen to live in a particularly pi-happy place, you might be able to take part in some larger-scale, pi-inspired activities.

Where Pi Day began

If you want to go where the day is said to be "invented," look no further than San Francisco's Exploratorium. Larry Shaw, who worked in the electronics group at the museum, began the tradition in 1988. Last year was Pi Day's 25th anniversary there.

Pi Day began as a small gathering with mostly museum staff. Now it's a public pi extravaganza featuring a "Pi procession," whose attendees get a number -- 0 to 9 -- and line up in the order of pi's digits: 3.14159265 ... you get the idea.

The parade ends at the "pi shrine" -- a pi symbol with digits spiraling around it embedded in the sidewalk, which was unveiled last year.

For those who can't attend in person, the Exploratorium has a Second Life Pi Day event that includes "irrational exhibits, fireworks, cheerleaders, music, and dancing." The museum also lists a bunch of educational activities to teach about the concept of pi.

On Pi Day, is 'pi' under attack?

Where Einstein lived

On the opposite coast, the leafy university town where Albert Einstein spent the last 22 years of his life is showing community-wide exuberance for pi.

Princeton, New Jersey, kicks off Pi Day weekend on Thursday night with a reading by physicist Charles Adler, then heads into a full day of activities on Friday, including a walking tour of Einstein's neighborhood and a pizza pie-making contest.

The pie-eating contest takes place at McCaffrey's supermarket, while an Einstein look-alike competition will match mustaches and wild gray hair at the Princeton Public Library.

Pi fans who have been spending the last year memorizing digits can show off and compete at the library, where the winner among 7- to 13-year-olds can take home a cool pi-hundred (That is, $314.15). The Historical Society of Princeton will have an Einstein birthday party. Tetsuya Miyamoto, inventor of the KENKEN puzzle, will speak at the library as well.

Here are 10,000 digits of pi for you to memorize

The "brainiac town" residents "love this event because it's a way for them to celebrate how quirky they are," said Mimi Omiecinski, owner of the Princeton Tour Company, who started Princeton Pi Day in 2009. "A lot of them get super into it." Last year about 9,000 people participated, she said.

Along with her fascination with Albert Einstein, Omiecinski was inspired to launch a town-wide Pi Day after she heard that the Princeton University mathematics department celebrates March 14 with pie-eating and pi-reciting (As a Princeton student, I got second place for most digits in 2005 and 2006).

Even more pi

Chicago is getting into the pi business too. Lots of restaurants and bakeries are offering Pi Day specials. The Illinois Science Council and Fleet Feet Sports are hosting a 3.14-mile walk/run Friday night, with discounts for anyone named Albert, Alberta or Albertina. Philly.com highlights two options for satisfying your pie cravings in the City of Brotherly Love.

Bostonians can head to Massachusetts Institute of Technology at Pi Time (3:14 p.m.) for pi-themed activities such as "Throw Pie at Your Best Friend on High-Speed Camera."

The Museum of Science in Boston has educational Pi Day events, and the Seattle Children's Museum will celebrate too.

Even the Salvador Dali Museum in St. Petersburg, Florida, will celebrate the day, as "Dali loved the irrational numbers Pi and Phi, often using them and other mathematical principles in his art," according to the museum. If you live in the area, check out their schedule of math-inspired films and tours throughout the day.

There are plenty of online resources too, such as piday.org.

Outside of the physical classroom, Pi Day will be celebrated online through Google's virtual classroom project. David Blatner, author of the comprehensive book "The Joy of Pi," is hosting a Pi Day competition in which students from three classrooms will square off to see who can recite the most digits of pi from memory.

How did Pi Day become such a big thing?

Blatner says that Pi Day has become a hit for the same reason the new "Cosmos" TV show is getting so much attention.

"People all around the world are hungry to make science and math fun and interesting," he said in an e-mail. "We know math and science is important, we know that it's fascinating, but we often don't know how to make it fun and interesting. Pi Day gives us a great excuse to throw away our fear of math and say 'Hey, it IS kind of neat!' "

If you agree, just wait until 3/14/15 -- or as one popular Facebook group calls it, "The Only Pi Day of Our Lives."

That's because pi to four digits after the decimal is 3.1415, and we're unlikely to survive until 2115 to see that second instance of pi perfection.

So get ready next year to take a picture of your digital clock on 3/14/15 at 9:26:53 a.m. That'll be worth more than a thousand digits.

Follow Elizabeth Landau on Twitter at @lizlandau

How do you celebrate Pi Day? Tell us in the comments.

@highlight

Math geeks and others celebrate Pi Day every March 14

@highlight

Pi, or roughly 3.14, is the ratio of circumference to diameter of a circle

@highlight

The Pi Day holiday idea started at the Exploratorium museum in San Francisco

@highlight

Albert Einstein was also born on March 14