Texas Gov. Rick Perry's decision to send up to 1,000 National Guard troops to the southern border is the latest move in a controversy over the influx of migrant youths from Central America, many unaccompanied, streaming into the United States.

It represents concrete action over concerns raised by Perry and other Republicans that border security be given more resources generally and specifically in this case to deal with what most agree is a humanitarian crisis.

The White House, which has declined to approve federal authorization of the National Guard in response to the immigration situation that has flared this year, panned Perry's idea as shortsighted and politically motivated.

Here are the questions we wanted to know about Perry's plan.

Why did Perry call on the guard? Perry said those troops are needed to "combat" crime because the border patrol is busy dealing with the flow of immigrant kids crossing the border from Mexico.

The National Guard will be a "force multiplier" to aid state law enforcement to reduce crime from cartels, traffickers and criminals crossing the border, Perry said.

But isn't this a crisis about kids? Perry said the border patrol is consumed with handling the influx of migrant children and partial family units, who cannot be deported but must be humanely treated and cared for according to U.S. law.

If unaccompanied children approach the troops, however, Texas Adjutant General John Nichols, who is head of the Texas National Guard, said they will "get on the phone" to a border station so that the children will receive water and medical care.

How does that stop the influx? Perry doesn't say that it will. He said he wants to stop border crime.

So what will the border patrol do? The National Guard troops will "refer" suspected criminal activity to the Texas Department of Safety. They will also patrol the border by air, especially at night. And they will amass at the border to provide a strong visual that Perry hopes will "deter" criminals from bringing illicit activity across the border.

What won't they do? The National Guard will not make arrests. "If we were asked to, we could detain people, but we're not planning to," Nichols said.

How much will it cost and who will pay for it? Texas taxpayers are on the hook, and it will cost about $12 million per month.

Will it work? The former head of the National Guard and a former commissioner of the U.S. Customs and Border Protection bureau have said Perry's plan is limited in scope.

"The real solution to basically helping border patrol is going to be a holistic approach to this that goes way beyond more boots on the ground," said David Aguilar, the acting commissioner of CBP from 2011 until 2013.

Aguilar said one thing that will help relieve the workload of border patrol agents is to relieve CBP from being the sole government agency to process and care for the unaccompanied youth in the immediate aftermath of their detention.

The former chief of the National Guard echoed Aguilar's sentiment.

"That measure alone will not solve the current problem. It is far more complex and it requires a unity approach that incorporates state, local and federal resources," said retired Lt. Gen. H. Steven Blum.

When will this take place and for how long? The troops will be immediately deployed over the next 30 days, according to Nichols.  How long they will remain is unknown. Perry is asking the federal government to hire and train an additional 3,000 border patrol agents to replace the National Guard. That part of the plan is up to Congress and the comprehensive immigration plan which would have provided more resources for border security is stalled in the House, and neither body has yet unveiled how they would solve the current border crisis.

Is politics playing a role? Perry is considering another presidential run in 2016. He previewed his National Guard plan in Iowa, a key presidential nominating state, over the weekend and announced it the next day.

Perry has some reconciling to do within a Republican Party that has used the current border crisis to move to the right on the issue.

CNN political analyst and National Journal editorial director Ron Brownstein said that Perry's focus on border security "allows him to shore up his tough on security bona fides" in what has become "a big moment for the Republican Party" on immigration.

Has the National Guard been sent to the border before? Yes. The National Guard is already on the border but in smaller numbers.

A recent and much larger instance was Operation Jump Start, a two-year deployment that began in 2006 to stem the more than 1 million people who were caught crossing the border each year.

What is the situation on the border? The Rio Grande sector, where most of the immigrant children are turning themselves into the border patrol, currently has 3,000 border patrol agents covering 320 miles of land and 250 miles of water, which equates to 5.4 agents per mile. The Tucson sector, for instance, has approximately 15.7 agents per mile.

While the number of unaccompanied youth crossing the border has doubled to nearly 60,000 in the past year, the total number of immigrant crossings has mostly declined. About 1 million people have been caught crossing the border nearly every year between 1983 until 2006, but that number has dropped to about 400,000 in 2013.

At the same time, resources for border security have steadily increased: More than 18,000 agents patrolled the border in 2013 compared to 10,000 a decade ago.

And the amount spent on border security has more than doubled. The Customs and Border Patrol budget jumped from $5 billion in 2002 to $12.4 billion this year.

Immigration statistics facts

@highlight

Texas Gov. Rick Perry is deploying National Guard troops to the border

@highlight

Former heads of border patrol and the National Guard say the plan will have limited impact

@highlight

The plan is expected to cost Texas taxpayers $12 million per month