OXFORD, Mississippi (CNN) -- Unraveling the complex back stories of the more than 200 pardons issued by former Mississippi Gov. Haley Barbour is revealing serious questions about how pardon review decisions were carried out.

But perhaps no pardon is as confounding as the case of Harry Bostick. The retired Internal Revenue Service investigator's pardon has been called "heinous" by critics of Barbour.

"Someone didn't do their homework on this case," said Democratic state Rep. Steve Holland.

When Barbour pardoned Bostick in January, the convicted DUI felon was sitting in an Oxford, Mississippi, jail cell for violating the terms of a previous DUI sentence and was awaiting formal charges from yet another drunken driving accident in October that ended in the tragic death of 18-year-old Charity Smith. Who's at fault in that accident has yet to be determined.

The teenage girl from Okolona, Mississippi, had big dreams of saving money and going to college to pursue a business degree. The young woman's death and the controversy surrounding the case have devastated Linda Smith, Charity's mother.

"She should still be here with me. She should still be here with me. This should not have happened," Linda Smith told CNN during an emotional two-hour interview.

Bostick was given a full pardon for a felony drunken driving offense dating from March 2009. That offense was Bostick's third drunken driving arrest in a little more than year.

The Mississippi Parole Board and Barbour have issued statements saying they didn't know Bostick had another DUI arrest in October. It came after his pardon case had already been reviewed.

Oxford Police Sgt. Hildon Sessums arrested Bostick twice over a span of a year for DUI.

"Right before I put the cuffs on him he said, 'Don't do this to me.' And my comment to that usually is, you did it to yourself," Sessums told CNN as he recounted details of the two arrests.

For the third DUI, Bostick had been sentenced in March 2010 to a year of house arrest and four years in Mississippi's drug court program, an intense drug-and-alcohol-abuse treatment program with strict guidelines that convicted felons like Bostick must follow.

Bostick was still going through the drug court program when he started applying for a pardon last summer. High-profile friends wrote letters to Barbour touting what they called Bostick's genuine lifestyle change.

The letters detail what friends described as Bostick's slide into alcoholism after the tragic death of his teenage son in a "freakish house fire" and after Bostick's divorce, according to pardon and parole documents obtained by CNN.

One letter said Bostick "no longer drinks alcohol" and "has turned his life around."

"Harry Bostick has led a tragic life. A life that has now been turned around by a grace that is bigger than him. He can now be a positive factor in many lives," wrote retired U.S. attorney Jim Greenlee.

On September 30, the Mississippi Parole Board sent its review of the Bostick case to Barbour. The board recommended Bostick for a full pardon with a divided 3-2 vote.

About a week later, on October 7, Bostick was driving under the influence again, according to the Mississippi Highway Patrol. Charity Smith attempted to pull out onto a highway just outside Tupelo when Bostick's truck slammed into the side of her car.

Charity Smith was killed and her older sister suffered serious injuries.

Bostick still has not been indicted by a grand jury in that crash. Because his third DUI was pardoned, a conviction in the latest DUI case would technically be his third offense, but that would still make it a felony in Mississippi.

The Mississippi Parole Board and Barbour are at a loss to explain how Bostick's pardon could have unfolded the way it did. State officials say there is not a mechanism in place to alert them of situations like this.

A Department of Corrections spokeswoman referred all questions about the case to the Mississippi Parole Board.

Bosticks' pardon application packet sent from the Parole Board to the governor's office is filled with references to the "expedited investigation into the circumstances surrounding Bostick's crime," meaning his third DUI from 2009.

According to a state prison official, the "expedited" rush was a result of a flood of pardon applications as the clock was counting down toward the end of Haley Barbour's final term as governor.

Barbour refused CNN's request for an interview but his spokeswoman, Laura Hipp, issued a statement.

"In reviewing Mr. Bostick's case, Gov. Barbour took the Parole Board's recommendation into consideration, and he wasn't aware of the subsequent charges," she said.

Shannon Warnock, chairwoman of the Mississippi Parole Board, issued a statement saying: "I can say that Mr. Bostick's application was supported by testimonials from trustworthy and outstanding members of the community. While the reported circumstances of that arrest are troubling, our system of justice does regard everyone as innocent until proved guilty."

Linda Smith, Charity's mother, worries her teenage daughter's death has been forgotten in all of this. She struggles to understand how state officials could not have known that the man involved in her daughter's violent crash was the same Harry Bostick who had petitioned for a pardon.

"She was a person. She wasn't just some name on a piece of paper. A beautiful person," said Linda Smith.

Her days now are often spent weeping over her daughter's death.

She cried throughout most of her interview with CNN as she showed photographs of the beautiful girl with big dreams.

Linda Smith described her daughter as an artist with a big heart, and she proudly talked about the powerful emotions she feels holding a collection of her daughter's paintings.

One of the paintings was a gift from Charity Smith to her mother. Instead of signing the painting, Charity left her handprint on the back.

But perhaps the most poignant painting was of swirling blues and purples and oranges that reads "Life is Short."

The girl with the artist's heart is now mourned by her mother with a broken heart.

@highlight

Harry Bostick is a repeat DUI offender

@highlight

He was pardoned for his third DUI while facing charges for a fourth

@highlight

Bostick received one of more than 200 pardons issued by Mississippi's former governor

@highlight

Former Gov. Haley Barbour says he wasn't aware of Bostick's fourth DUI violation