(CNN) -- Once again, there are rumblings that the third- and fourth-largest U.S. wireless carriers may merge to form a larger combined No. 3. But would this be enough to keep the U.S. wireless market competitive for consumers?

Last week Bloomberg reported that Deutsche Telekom AG, the parent company of T-Mobile, is negotiating a possible sale of T-Mobile to Sprint Nextel Corp.

According to The Hill and The Washington Post, some industry analysts believe the U.S. government would approve this merger. Rumors of this merger have been around since 2009, when DT was eyeing a purchase of Sprint.

And last weekend, TMOnews reported on an ambiguous non-confirmation/non-denial memo sent to T-Mobile employees by CEO Philip Humm.

Given the nature of wireless networks and the current business landscape, T-Mobile probably needs to make some kind of major move if it hopes to survive in some form.

In the big picture, it takes a lot of capital to build out high-speed wireless broadband networks that can support an ever-growing number of data-hungry devices such as smartphones and tablets -- especially if streaming mobile video becomes popular, and if the Obama administration is serious about its national wireless initiative to make wireless broadband available to 98% of the U.S. population.

Carriers with the largest customer base -- especially the most customers locked in to pricey two-year contracts -- are in the best financial position to build out their 4G networks.

Having those networks, in turn, makes the largest carriers even more likely to attract even more customers. And this is the economic dynamic that could turn the U.S. wireless market into a Verizon/AT&T duopoly, with only some discount carriers surviving on the fringes.

For U.S. mobile users, further wireless market consolidation is a good news/bad news situation. It offers the promise of ubiquitous high-speed wireless broadband networks available in markets outside major metro areas, which would lessen the geographic aspect of the mobile digital divide.

But just because wireless broadband is available in a region doesn't mean everyone there can afford to use it. A less competitive wireless market could mean wireless broadband won't get much cheaper. And it could even get more costly, especially if tiered data plans become the norm -- which would make more sense for the carriers in a less competitive environment.

That would be bad news on the income/class front of the mobile digital divide.

Lately, T-Mobile has been taking a bit of a beating in the U.S. market. Bloomberg noted: "T-Mobile ... has lost customers at an accelerated rate as it trailed rivals in building out a third-generation mobile network and missed out on being able to sell Apple's iPhone. About 56,000 customers abandoned T-Mobile USA last year, while Sprint, AT&T and Verizon Wireless all boosted their counts."

Consequently, DT may not be pleased with what Sprint may be willing to offer for T-Mobile -- so who knows if this merger will happen.

Furthermore, a T-Mobile/Sprint merger might be difficult for technical reasons.

Wireless Week noted: "T-Mobile currently markets its HSPA+ network as 4G but lacks the bandwidth to deploy LTE or WiMAX. Sprint and T-Mobile use different network technology and operate on different spectrum bands, which would complicate a possible merger of the companies' wireless services."

If T-Mobile hopes to survive intact, it'll need access to much more bandwidth in more U.S. locations. So if the Sprint merger doesn't happen, T-Mobile does have options -- mainly leasing additional spectrum or access to other providers' networks, such as LightSquared, a wholesale-only wireless LTE network.

The opinions expressed in this post are solely those of Amy Gahran.

@highlight

Deutsche Telekom AG is negotiating a possible sale of T-Mobile to Sprint Nextel Corp

@highlight

About 56,000 customers abandoned T-Mobile USA last year

@highlight

By contrast, Sprint, AT&T and Verizon Wireless all boosted their subscriber bases