Build it and they will come. That appears to have been the strategy for urban development in China over the last decade, during what has arguably been the largest and fastest urbanization of a society in modern history.

In Zhengzhou, the capital of central Henan province, this approach has had mixed results. Just a few years back, a new development zone, an adjunct to the main city, was labeled China's largest ghost city -- rows and rows of luxury apartments and office buildings sat empty on vast, deserted boulevards.

But now locals here say signs of life have sprung up and the city is growing.

On a recent national holiday, visitors flocked to a new park by the river. It was a remarkable green oasis of willow trees, ponds, fountains and man-made marshes surrounded by shining new towers of glass and steel.

Amid the greenery, several wedding couples posed in tuxedos and gowns for professional photographs, the brides pampered by make-up artists.

Among them were the Zhangs, newly-weds who traveled more than a hundred miles for this photo shoot.

Though they clearly appreciated their surroundings, they said they could not afford to live in the sprawling, newly-constructed district of Zhengzhou.

The same went for 25-year-old Li Cai Juan and her friends. Several years ago, she had an office job at a construction company that built some of Zhengzhou's rows of towers.

Fantasy photos for Chinese weddings

Now a school teacher, Li said, "The housing prices are too high here," in the newly constructed part of Zhengzhou.

According to the local statistics bureau, the average income per month in Zhengzhou is roughly $483 while property prices in the new district stand at $1,660 per square meter, and are expected to climb.

Amid growing unrest over swollen property markets, Premier Li Keqiang has made affordable property prices a pillar of his leadership. However, tighter controls on property markets, such as limitations on homes per person and higher taxes on transactions, have failed to rein in speculative buyers since they were first implemented in 2010.

The following year, as part of its twelfth five-year plan, the government vowed to build 36 million low-income housing units by 2015 in a bid to quell distressed homebuyers.

The rush to the cities

Demand for housing has followed the migration of workers from rural areas to cities where work is better paid and easier to find. In early 2012, for the first time in history, figures showed that more than half of the country's population live in urban areas.

The pace of urbanization has been staggering and the government is counting on it as a main driver of economic growth for decades to come.

"Currently China's urban population is a little over 700 million people," said Tom Miller, author of "China's Urban Billion."

"By 2030, we would expect it to be one billion. One in eight people on Earth will live in a Chinese city. So they still need to do a lot more building."

Miller predicts there will always be a huge demand for housing in China. The challenge will be making it affordable for the Chinese people.

Zhengzhou's population boom

According to city government statistics, the population in Zhengzhou grew by 30% between 2000 and 2010, and today stands at close to nine million people, roughly the same population as New York City (8.245 million in 2011), London (8.174, 2011) and Bangkok (8.281, 2010).

But the city appears to have physically grown even faster.

In an area nearly twice the size of San Francisco, entire new districts of towers have sprung where 10 years ago locals say there were empty fields.

Armies of construction crews are still hard at work. Dozens of new towers are in various stages of completion, even though real estate companies are still clearly struggling to fill some of the completed buildings.

On a street corner, two female university students distributed advertising leaflets to passing drivers and held up a "buy two floors for the price of one" deal for a residential housing development called "Harmony Building."

In the office of another real estate development company, a sales representative told CNN all of the units in neighboring residential towers had been sold. If so, nobody was bothering to maintain the grounds around the apartment buildings where knee-high grass and weeds grew between 30-story towers.

Speculators move in

Meanwhile, real estate sales appeared to be moving more briskly at the Zheng Dong Business Center, where visitors were greeted by football tables, plush velvet couches, a piano, wine and hors d'oeuvres arranged around giant illuminated models of an office park.

Upon arrival, a sales team escorted CNN into a cinema with 180 degree, IMAX-like screen that played an elaborate computer-illustrated film advertising five-star hotels, gyms, shopping malls, offices and restaurants that would one day populate the new development.

It would be another five or six years before this virtual city center would be completed, said a saleswoman named Song Lei.

Asked whether or not she expected there to be enough customers to fill the giant office park, Song said, "Altogether, probably not.

"There are some people buying office buildings for investment and there are others who are using it themselves," she explained.

Some of China's soaring real estate market appears to be driven by wealthy Chinese who prefer parking their money in property rather than in banks where interest rates remain the same as inflation. In less than one year, property prices in Zhengzhou jumped 14%, while the benchmark interest rate remains at 3%.

Two Chinese men who worked as contractors in the construction industry were finalizing a deal on the purchase of two offices in the Zheng Dong Business Center's still unfinished office park.

Both men said they owned multiple properties in the area, some of which were vacant.

"He owns 20 apartments here!" said one of the businessman's employees, laughing. "Come back after 10 years and have a look and it will be completely different," he said, when asked about Zhengzhou's "ghost town" tag.

The businessman, who asked not to be named, said he earned far better returns in real estate than from banks.

Miller said the buy-up of property in China is further encouraged by the fact that unlike many Western countries, there is no annual property tax.

"You pay transaction taxes when you buy a property, but once you've bought it you don't pay anything, which is remarkable," he said.

Build them and they will come?

Compared to China, "the history of urbanization in the West is different. Things happened at a much slower pace," said Behzad Yaghmaian, a political economist and author of "The Accidental Capitalist -- A People's Story of the New China."

"China is a huge country with the capacity to supply the world and now its own market. Things are bound to happen faster and with more mistakes."

The jury is still out on whether or not huge urban development projects like the new districts of Zhengzhou will become vibrant city centers.

But Miller challenges critics who quickly labeled Zhengzhou a "ghost city."

He said in the past few years city planners had constructed 14 new university campuses in the city, which he predicted would ensure a quarter of a million new residents.

"China is different because it has this very authoritarian power structure. Power rests in the hands of very few people, and that means that local government officials can take big decisions looking ahead 10, 15 years... and create something for a society that hasn't really arrived yet," Miller said.

"It's build them and they will come," Miller added, "and build it and force them to come. But of course there will be some big wasteful developments, white elephants, along the way."

@highlight

Zhengzhou is home to what was once called China's largest ghost city

@highlight

Visitors are now slowing coming back, though many can't afford to live there

@highlight

Tighter government controls on housing market has failed to curb price climbs

@highlight

Government is building millions of low-cost housing to meet demand