(CNN) -- As a psychiatrist, former university president and advocate for Arab women in science, Rafia Ghubash is one of the United Arab Emirates' most influential women.

But her latest project is possibly her most ambitious yet: creating the Middle East's first museum dedicated to the achievements of women.

The museum, Bait al Banaat, or House of Women, in Dubai was officially opened at the end of 2012 by Dubai's ruler Sheikh Mohammed bin Rashid Al Maktoum, showcasing the contribution of women to the country's history.

"Women here were empowered a long time ago, but haven't had a chance to tell our story," said Ghubash. "Don't think because we are covered we are not empowered.

"Women here were not in the media, but they were economically engaged and running businesses."

The museum is the culmination of five years' work for Ghubash, who financed the museum with $3 million of her own money.

"For me it was a full-time job but I had 20 volunteers of all nationalities working with me in their free time. It was nice to have people with different backgrounds involved," she said.

In searching for a home for the museum, Ghubash turned down a free site in Dubai's official heritage district for an old house in the historic Gold Souk neighborhood she grew up in.

"I was looking for a place to build and I came across a very old house that I remember from childhood," she said. "It used to be called Bait al Banaat because three unmarried women lived there. Something about the name came to life for me."

Ghubash said her grandmothers' generation contributed far more to the politics, economy, education and literature of the region than has been recognized.

Arianna Huffington tells women: 'Less stress, more living'

The museum contains a room dedicated to the Emirati woman poet Ousha Bint Khalifa -- known as the Girl of Arabia, a gallery devoted to temporary art exhibitions, a collection of Arabian fragrances and oils, traditional jewelery and a women's study center.

"It was very important for me to present the museum in the best way possible to attract a younger generation. I want them to enjoy their culture and heritage," said Ghubash.

Ghubash, 56, has undertaken the museum project while taking a sabbatical from a career that led to her being listed 36th on Arabian Business magazine's "100 Most Powerful Arab Women" in 2011.

She grew up in Dubai in a family where she was encouraged to study.

"I came from a family where both parents made sure there were books available in the house," she said. "I had freedom to read and to think for myself."

Ghubash trained as a doctor at the University of Cairo and for a PhD in London, before returning to the United Arab Emirates as an assistant professor of psychiatry.

In 2001, she became president of the Arabian Gulf University in Bahrain, a post she retained until 2009.

She also founded the Arab Network of Women in Science and Technology, and served as its president for four years.

"My journey in life is very interesting," she said. "I was focusing on becoming a doctor and practicing as a psychiatrist.

"Recently, I found myself attracted to something different: history and culture."

Having achieved her goal in opening the museum, Ghubash is not content to rest and revel in the glory. She is already working on her next project to compile an encyclopaedia of women of the United Arab Emirates.

@highlight

Rafia Ghubash spent five years working on Middle East's first women's museum

@highlight

Our grandmothers' achievements are greater than recognized, she says

@highlight

Ghubash is former president of Arabian Gulf University