One man more interested than most in what President Barack Obama will have to say in his address to the nation Wednesday night is al Qaeda leader Ayman al-Zawahiri.

In his hideout somewhere in Pakistan or Afghanistan, he will likely be hoping that the President sets out a plan to exterminate the Islamic State in Iraq and Syria (ISIS), a group that has eclipsed al Qaeda and made al-Zawahiri seem virtually irrelevant.

Al-Zawahiri and the core of al Qaeda are locked in battle with ISIS for the leadership of the global jihadist movement -- offering very different visions and strategies. ISIS was expelled from al Qaeda in February after rejecting al-Zawahiri's demand that it restrict its activities to Iraq.

ISIS has captured the imagination of a new generation of jihadists -- from Arab and European states alike -- with its ruthless pursuit of a Caliphate, dramatic territorial gains and relentless propaganda machine.

Its chilling brutality toward non-Muslims and Muslims who don't share its rigid interpretation of Islam echo the behavior of its predecessor, al Qaeda in Iraq, whose vicious attacks on Shia Muslims and moderate Sunnis drew the ire of the late al Qaeda leader, Osama bin Laden.

In short, ISIS'  "traipse through Iraq represents a serious organizational, strategic, and ideological blow to al Qaeda," analyst Barak Mendelsohn wrote in Foreign Affairs in June.

So far, the leaders of al Qaeda affiliates have remained loyal (if not enthusiastically) to al-Zawahiri. After the death of its leader Ahmad Abdi Godane last week, Al-Shabaab quickly reiterated its allegiance to the al Qaeda leader, and Nasir al Wuhayshi, al Qaeda's No. 2, remains at the helm of al Qaeda in the Arabian Peninsula (AQAP).

Prominent jihadi preachers like Abu Muhammad al Maqdisi and Abu Qatada have blasted ISIS for deviancy.

Appealing to a new generation of jihadists

But the younger generation of jihadists appears to be more impressed by action than sermons. Al Qaeda foot-soldiers -- from Yemen, Libya, Saudi Arabia and elsewhere -- are flocking to ISIS' standard. To them, its leader Abu Bakr al-Baghdadi is confronting the apostates and building the Caliphate, while al-Zawahiri talks.

It's impossible to know the scale of this exodus. But last week, a group calling itself The Supporters of the Islamic State in Yemen released a video pledging allegiance to al-Baghdadi, calling him the "Caliph of the Muslims... the mujahid in the first row of attack against America."

Even AQAP -- the most effective of the group's affiliates -- has expressed solidarity with ISIS fighters, condemning what it calls the "declaration of war" by the United States on Muslims in Iraq, and calling on "all Islamic groups to support their brothers by afflicting America."

By contrast, it's been a long time since al Qaeda central has carried out any attack of note. Four years ago, a strategy document set out ideas for attacking targets such as cruise ships, dams and bridges as well as aircraft.  But very little beyond "lone wolf" attacks by distant sympathizers of al Qaeda has happened since.

Over the last three years, the most significant terror attacks against western interests have been against the U.S. Consulate compound in Benghazi, Libya, where there may have been some involvement by members of al Qaeda affiliates; the gas plant in southern Algeria in January 2013, carried out by a maverick group that pledged allegiance to al Qaeda but does not appear to have been acting on its instructions; and the Westgate Mall in Nairobi, Kenya -- the work of Al-Shabaab, apparently planned without reference to the al Qaeda leadership, even if it was exactly the sort of operation al-Zawahiri had urged.

Attacks against U.S. military, diplomatic and government targets in Afghanistan have largely been the work of the Taliban and Haqqani Network, though al Qaeda fighters are enmeshed with these groups.

Some al Qaeda affiliates have been forced on the defensive over the last couple of years. The French intervention in Mali pushed back groups linked to al Qaeda in the Islamic Maghreb (AQIM), which had taken over half the country. AQAP seized and then lost several towns in southern Yemen in early 2012, and resorted to suicide bombings and fighting Yemeni government forces from remote hideouts.

Al-Shabaab lost its leader Godane in a U.S. missile strike last week and has lost large areas of Somalia it once controlled to ground offensives by Kenyan, Ethiopian and African Union forces. It has also suffered vicious infighting.  And in Pakistan, the army has gone on the offensive against the Pakistani Taliban -- an al Qaeda affiliate also riven by division -- in the North Waziristan tribal area.

Al Qaeda strongholds still exist

There are still plenty of places where al Qaeda supporters are active and their operations growing: eastern Libya, Syria and the Sinai Peninsula in Egypt, where they have found breathing space amid a collapse of state authority. But amid these fast-moving events, al-Zawahiri has seemed more the cheerleader than the leader, reacting to events rather than directing them.

Last week, in an effort to reclaim relevancy, he announced the creation of al Qaeda in the Indian Subcontinent, led by Asim Umar, which will include at least one faction of the Pakistan Taliban. According to a translation by the SITE Institute, the new offshoot's spokesman, Usama Mahmoud, said its basic goals included jihad against America, supporting the Taliban and establishing a Caliphate (implicitly rejecting the Caliphate claimed by al-Baghdadi).

The announcement steps up the philosophical battle between al Qaeda and ISIS about how the dream of the Caliphate, to which Muslims the world over would owe allegiance, is achieved. Mahmoud spoke of "a Caliphate where the emirs are proud in their closeness to the honest scholars... a Caliphate in whose shadow even the disbelieving people of dhimma (non-Muslim citizens of an Islamic state) have a life of safety and security."

The last condition was clearly aimed at ISIS and its merciless campaign against non-Muslims and non-Sunni Muslims in both Iraq and Syria. Not to be outdone, ISIS' propaganda machine recently posted photographs showing residents of the Iraqi city of Nineveh enjoying "prosperity... under the shade of the Caliphate."

Al Qaeda's hope for the future

Al-Zawahiri may be looking to the withdrawal of most U.S. combat forces from Afghanistan as his best chance of reviving al Qaeda's fortunes. Last week's announcement reiterated al Qaeda's allegiance to Taliban leader Mullah Muhammad Omar as the leader of the Islamic Emirate. Several analysts have also noted a stream of statements from al Qaeda that hint at the coming of a "counter-Caliphate."

Daveed Gartenstein-Ross and Thomas Jocelyn pointed out in Foreign Policy that despite the U.S. surge in Afghanistan, "The remote provinces of Kunar and Nuristan are home to significant cadres of al Qaeda fighters, and al Qaeda continues to operate side by side with its allies in other parts of the country."

There is also the prospect -- or as some would say, likelihood -- that ISIS will over-reach much as did its predecessor, al Qaeda in Iraq -- alienating the Sunni tribes, taking territory it cannot defend and mobilizing more enemies than it can resist. If the coalition now building against it can split ISIS' Syrian and Iraqi possessions and prize cities like Mosul from its grasp, the momentum crucial to its success and appeal will be lost.

The Obama administration seems poised to borrow a page out of its strategy against al Qaeda to deal with ISIS. Last week, Deputy National Security Advisor Ben Rhodes noted: "We've been able to significantly degrade al Qaeda core in Afghanistan and Pakistan, decimate its leadership ranks, reducing the threat that they pose."

Now a repetition in Iraq of the U.S. strategy that reduced al-Zawahiri to a spectator may be his best chance of overcoming the challenge posed by ISIS. The risk is that Washington and its allies will neglect imminent challenges in Afghanistan while refocusing on the militant challenge in Iraq. We've seen that movie too.

@highlight

ISIS was expelled from al Qaeda in February

@highlight

Analyst: ISIS' traipse through Iraq represents an ideological blow to al Qaeda

@highlight

There are still plenty of places where al Qaeda supporters are active