Lisbon, Portugal (CNN) -- Calling it a significant step forward for the alliance and European security, President Obama announced Friday that NATO will develop a missile defense system to safeguard most of Europe and the United States.

The agreement, according to the president, followed a year of talks to determine the best ways to coordinate efforts to protect members of the 61-year-old alliance.

The system would be "strong enough to cover all NATO European territory and populations, as well as the United States," Obama told reporters in Lisbon, Portugal.

The missile defense plan "offers a role for all of our allies in response to the threats of our times," the president said. "It shows our determination to protect our citizens from the threat of ballistic missiles."

Obama addressed reporters during the first day of what he promised would be a "landmark summit" featuring leaders of NATO's 28 member countries, as well as Russia. By the time it wraps Saturday, the alliance aimed to produce a set of new initiatives intending to reinvigorate and redirect NATO 20 years after the end of the Cold War.

NATO Secretary-General Anders Fogh Rasmussen announced Friday that heads of state had agreed to a new mission statement, calling it the alliance's "road map for the next 10 years." Crafting this so-called strategic concept had been a top priority of the meeting, which Rasmussen last month deemed "one of the most important summits in the history of our alliance."

"This strategic concept reconfirms the commitment by NATO members to defend one another against attack, and that will never change," Rasmussen said in Lisbon. "But it also modernizes the way NATO does defense in the 21st century."

The document, prepared from recommendations made by a panel led by former U.S. Secretary of State Madeleine Albright, sought to build upon NATO's work in Afghanistan to redefine the alliance as a "global" actor that would work with regional partners to combat threats outside Europe.

Under the new plan, NATO will bolster its role in counterinsurgency efforts, as well as the stabilization and reconstruction of key countries, according to Rasmussen. The defense alliance will also develop "a standing capability to train local security forces" and create a civilian arm to deal with other nations and groups.

Obama added Friday that NATO, under Rasmussen, was also looking at how to deal with threats like improvised explosives and cyber defenses, all serving a commitment that "an attack on one NATO member is an attack on all."

Afghanistan will be front and center on Saturday's agenda, with NATO members working with others who have committed resources to the nation and its government to "align our approach," according to Obama. He said that includes having Afghan forces transition, between 2011 and 2014, taking over the security and governance mission in the country and forging a "long-term partnership" beyond that.

Russia's relationship with NATO and the United States is also a chief focus Saturday.

Obama said that starting then, NATO will work with Russia "to build our cooperation with them in this area ... recognizing that we share many of the same threats."

In an exclusive interview with CNN's Chris Lawrence, Georgian President Mikhail Saakashvili said he hoped that Russia's deepening partnership with NATO would cause Moscow to take a "more civilized approach" in dealing with its neighbors.

Russian troops have occupied Georgian territory since its invasion in 2008. Saakashvili, whose country's bid to join NATO has been stalled for several years, said that he hoped the alliance's involvement would prompt Russia to withdraw its troops from Georgia.

"Once Russia becomes less paranoid, more cooperative, more self-confident in a nicer way -- because I think lots of things have emerged from their almost paranoid sense of insecurity -- hopefully, the small neighbors of Russia hopefully will feel themselves more safe," said Saakashvili, who met with Obama on Friday.

Obama reiterated his belief that the U.S. Congress should pass the New START nuclear control treaty, which the U.S. and Russia agreed on last spring but has not been ratified by either nation's legislatures. U.S. Senate Republicans have held up a vote on START, citing a heavy workload, in the lame duck session before a new Congress comes in next year, and concerns about the strength of the U.S. nuclear arsenal.

Obama said Friday that NATO leaders had called passage of the treaty -- which, among other things, would restart mutual nuclear inspections and limit the arsenal in the two countries -- critical to European and global security.

"A failure to ratify [this treaty] ... will put at risk the substantial progress that has been made in advancing our nuclear security and our partnership with Russia," Obama said.

The search for a new mandate for the entire alliance comes at a time that 16 of the 28 NATO members have announced cuts in defense spending. NATO officials said leaders are expected to agree at the summit on a list of the top 10 spending priorities, including helicopters, transfer aircraft, technology to combat improvised explosive devices and increased medical capabilities.

The outcome of the war in Afghanistan is intrinsically tied to the future of the NATO alliance, a new analysis from the RAND Corporation suggested. The report, published Friday, warns that the U.S. lead in the war could undermine any future willingness to fight together if needed.

"In an alliance that finds achieving consensus is central, having one partner clearly overshadow all others highlights the real limits of the transatlantic alliance," the report said.

The difficulty and length of engagement will weigh on decisions by alliance members to intervene or aid in the future.

"The scope of NATO's future roles abroad may be more limited, such as focusing on humanitarian assistance or training, advising, and assisting nations that seek support. While these efforts may entail long-term commitments, they would fall well short of committing combat forces," wrote the RAND authors, Andrew Hoehn and Sarah Harting.

The new strategic concept will cite current security challenges facing NATO members in the 21st century, such as terrorism, cyber warfare and piracy.

Rasmussen has encouraged NATO members to be more agile in order to respond to 21st century threats and to continue to invest in military technology despite the global economic downturn. He urged allies to "cut fat, not muscle" and pool military spending.

The United States is pushing for a realignment of military spending priorities.

"We have proposed and hope to have accepted a set of capabilities that the alliance, in a time of dwindling resources, will decide it must fund," U.S. Ambassador to NATO Ivo Daalder told reporters earlier this week. "Those are capabilities that deal with ongoing operations in Afghanistan, but also capabilities to deal with 21st century threats, including beefing up our cyberdefenses and embracing the deployment of missile defenses to protect European territory and populations against the growing threat of ballistic missiles."

Obama also will hold a summit with European Union leaders, seeking to reaffirm a partnership with Europe that many feel has gone adrift as the United States expands its partnerships in Asia. Jobs and economic growth are expected to top the agenda at a time of growing tension between U.S. and European countries over the way to fix the global economy.

While the United States has pushed for stimulating economic expansion with more government spending, many European allies are tightening their belts.

The future of some 80,000 U.S. military forces in Europe will also be discussed. European leaders are looking for Obama to keep U.S. troops at their current levels, although the Obama administration has urged Europe to share more of the burden of its own defense.

CNN's Adam Levine contributed to this report.

@highlight

NEW: NATO members agree on a new mission statement for next 10 years

@highlight

NEW: Georgian president hopes NATO will spur Russia to be "more civilized"

@highlight

NATO leaders, among others, are meeting for a two-day summit in Portugual

@highlight

One goal for the leaders is to reinvigorate the NATO alliance, 20 years after the Cold War