(CNN) -- Five years ago, telling a friend that you interact regularly with a verbose orange traffic cone might earn you a pitying hug and a quick trip to the sanatorium.

But these days, your friend might respond that they trade barbs with Rick Santorum's sweater vest.

Welcome to the age of novelty Twitter accounts, where animals, inanimate objects and other nonhuman entities speak their mind regularly: A pigeon with a foul mouth and a fouler demeanor. San Francisco's famous fog. Even the universe. On the social-media platform, users can express themselves creatively and get laughs by giving voice to those things that can't speak for themselves.

Novelty nonhuman accounts have been a Twitter staple since Sockington, a Boston-area housecat, joined the service in March 2007 on his way to 1.4 million followers. But they've been in the news again recently after one user created @olympicseat, a tongue-in-cheek response to the curiously vacant seats at Olympic venues in London. In the span of a few days, it has amassed more than 21,000 followers.

Another Olympics-related feed celebrates the star-spangled towel that American gymnast Danell Leyva drapes over himself between events. It has more than 12,000 followers -- not bad, considering the average Twitter user has 126.

Most of the people in this group of noteworthy Twitterers say their primary motivation for tweeting is to have fun. For others, it's a chance to make their mark in the crowded world of the Web.

However, all agree that more thought goes into their 140-character musings than meets the eye.

Cat Food Breath

When the woman behind pet-centric account @CatFoodBreath began her novelty Twitter account in August 2010, she wasn't planning on sticking around.

"I figured the best way to test the waters was with a pseudonym," said the Burlington, Vermont, resident who asked that her name not be published to preserve the anonymity of her Twitter persona. "I wouldn't offend friends and colleagues if I didn't follow them, and I could make a polite exit from Twitter when I was done poking around."

Two years and almost 19,000 followers later, she is still at it. In the beginning, though, she and many other novelty account successes admit they didn't really know what "it" was.

"At first, I didn't know this account was about a cat, [but] as I explored the Twitterverse, I soon realized I had a character that people related to," she said.

Real or not, Cat Food Breath is definitely a character. The cat (its gender is ambiguous) writes odes to the couch, gives its owner commands with Garfield-like acerbity and complains about the family dog -- lovingly called "Labradum."

The San Francisco Fog

Other anonymous Twitter celebs began their accounts to educate and bring (hilarious) awareness to unappreciated things that can't speak for themselves, like the San Francisco fog that brings a chill to summers in that city.

"I love everything about the fog," said the man who created @KarlTheFog in August 2010. "I think the way it sneaks over the hills is beautiful, mysterious and even a little romantic. I love how it stops at certain points above the city, creating a wall of clouds. And having moved here from a city where it was 100-plus degrees in the summer, I was mostly excited to not be dripping in sweat for three consecutive months."

The man, who also requested anonymity, was inspired by @BPGlobalPR, a popular parody response to the BP oil spill in the Gulf of Mexico. Through the lens of "Karl the Fog," he reports on the public's feelings toward the fog and acts like a PR rep for the maligned form of weather -- with a witty bent. Karl already has more than 5,000 followers.

Giving "Karl" an identity has brought out emphatic and sometimes cursory responses -- especially when the fog blocked Fourth of July fireworks -- but the Twitterverse has been receptive overall, he said.

"[I get] lots of weather puns and haikus. My favorite tweets are when people take pictures of Karl and post them on Twitter or Instagram," the man said. "Seeing so many people pick up on it and tag Karl in their pictures has been overwhelmingly cool."

The Orange Cone

Like Karl the Fog, @TheOrangeCone loves it when followers interact with him online.

The Orange Cone was originally a MySpace account but came to Twitter after its creator discovered the witty tweets of Bronx Zoo's Cobra, last year's famously escaped snake, and motorsports satirist @nascarcasm. Today the Orange Cone keeps a following of more than 20,000 users up to date on NASCAR happenings.

And his followers respond in droves.

"People notice cones in their everyday life and send pictures to me by the hundreds," said the man behind the Cone, who asked that his name not be used. "I find that hilarious -- people stopping what they are doing in the real world to take a picture of an orange cone. I love it."

He added, "Whenever the cone is hit during the course of a NASCAR race, my feed blows up."

When driver Kasey Kahne hit the cone during a February practice in Daytona, the Twitterverse came to Orange Cone's aid.

"Kasey made a Twitter apology and I added about 1,200 followers in the next hour," he said. "It was insane."

Staying in character

For some, the prospect of interacting "for real" with followers is off the table.

"I am a bit like Banksy. Nobody knows who I am," said the man behind the foul-tempered @PigeonJon bird character, referring to the anonymous Britain-based artist. "If possible, I'd like to keep it this way?" he wrote in an e-mail to CNN.

Apart from that statement, Jon never broke character. Instead, he offered clues to his personality.

"I like Biscuits. I do not like Velcro," he wrote.

The person behind the wildly popular @BronxZoosCobra, which chronicles the "exploits" of a real-life snake that briefly escaped its enclosure at the New York City zoo, also declined to break character in an e-mail exchange with CNN. The account has more than 200,000 followers.

The strangest thing tweeted at the snake, its creator said, was a request for an endorsement from a high school student running for student government. "I endorsed him," she wrote CNN. "He lost. Snake bigotry at its best."

Online alter egos

Many novelty Twitterers with large followings are baffled by their popularity, which has led them to think about the relationship between the Internet and the real world.

"I have a feeling, and I could be wrong, that the people that follow The Orange Cone find it to be more 'real' than some of the drivers out on the track," its creator said. "They can reach out and in most cases get a response. And the fact that no one knows who it is -- which means it could be anyone -- just adds to the mystery and the enjoyment."

Added the man behind KarlTheFog, "I think people in the Bay Area like Karl because the fog was already a character in their lives. In a world that's becoming increasingly personalized, you can surround yourself with a cast of friends on the Internet that match your exact interests and sense of humor."

Being Karl has challenged him to think about sports, pop culture, and politics in ridiculous ways, he said.

"It forces me to be disciplined by sticking to a theme. Since my job isn't creative by nature, it gives me the chance to be as witty as I want."

Other Twitter users say that embodying nonhuman entities gives them the chance to create alter egos. "The Cone gets to say and do the things I think we all wish we could do," its creator said.

The man behind @WeirdHorse, a decidedly oddball stream of musings about, well, horse life, thinks he knows why his 137,000 followers appreciate his quirky humor.

"It's a breath of fresh air because it's not malicious," he said. "It's not forced out by a brand with an agenda or political motive and it's whimsical, throw-away and easy to digest. People respond well to that sort of thing."

Whimsical, yes. But let's be honest: @WeirdHorse may have one little agenda.

"The recent demand for Weird Horse T-shirts and mugs from my site ... has been another perk," he said.

What's your favorite nonhuman Twitter account? Sound off in the comments.

Twitter users names have been changed so that they may remain anonymous.

@highlight

Some popular Twitter feeds personify animals or inanimate objects

@highlight

The London Olympics inspire nonhuman accounts such as @OlympicSeat, @LeyvasTowel

@highlight

Other accounts represent cats, horses, traffic cones and even the universe

@highlight

The average Twitter user has 126 followers, but some novelty accounts have 1 million+