SEOUL, South Korea (CNN) -- The last bit of news I heard before boarding a plane to Seoul a few days ago was that North Korea had just fired 100 artillery shells into the sea near the border with South Korea.

Disturbing news from North Korea comes just as often as stories that make us laugh in disbelief. The many quirky, mystifying, baffling developments in Pyongyang make its young ruler, Kim Jung Un, an irresistible target for comedians.

It was hard to suppress a laugh, for example, when North Korea severely declared that an upcoming satirical Hollywood movie constituted "an act of war" and filed an official complaint with the United Nations.

Those are two sides of North Korea -- deliberately frightening and inadvertently comical. Then there's a third side -- the part that makes us gasp in horror.

A yearlong investigation conducted by the United Nations found that North Korea is a country whose depth of brutality "does not have any parallel in the contemporary world."

According to the report, North Korea engages in murder, torture, slavery and mass starvation to terrorize the population into submission. Stories from refugees who have escaped from North Korea are a chilling reminder that the regime is not just a military threat, it is causing a terrible humanitarian crisis.

North Korea is a Riddle Kingdom that is simultaneously threatening, bizarre and brutal. The regime's unpredictability is one of the factors that allow a small, impoverished state, unable to feed its own people, to stand toe to toe with much more powerful rivals.

It is those random, capricious, frequently dangerous behaviors that allow fragile, brittle, bankrupt North Korea to force its dazzlingly successful neighbor, South Korea, to maintain a constant state of alert, to wonder if its capital city can survive an attack across a border that lies just 35 miles away.

With its conventional and nuclear arsenals, North Korea manages to keep the international community, including the United States, scrambling for an approach that might neutralize the danger and send a lifeline to the victims of the cruel regime.

It's tempting to ignore North Korea's antics as bluster, as empty threats. But Pyongyang has launched deadly attacks. For example, in 2010, it bombed a South Korean island about 70 miles from Seoul, killing four people. It may also have launched a torpedo that same year which sank a South Korean navy ship, killing 46. In 2013, the North detonated a nuclear device and brazenly threatened to launch a "pre-emptive nuclear attack" against the U.S. A fourth nuclear test could be imminent.

After the most recent escalation, South Korean President Park Geun-hye spoke to military leaders and told them to prepare to retaliate. She described Pyongyang as so erratic that you cannot see "even an inch ahead."

The news from North Korea can be so disconcerting that spoofs and rumors regularly make it into the news and social media as if they were fact. Ahead of the World Cup finals a satirical video purportedly showing a North Korean newscast declaring the North's team a finalist for the World Cup went viral, repeated as if it were true, as just another amusing moment from Pyongyang.

And, why not? Truth and fiction are hard to tell apart.

Pyongyang has created its own version of the world for domestic consumption. North Korean government researchers announced their country is the second happiest in the world -- second only to China. The late ruler, Kim Jung Il, was reported to have bowled a perfect game the first time he set foot on a bowling alley. He was also supposedly the world's best golfer.

The official biography of the country's rulers has looked like something out of a Marvel Comics book story. No official biography of the current Kim has been released, other than an account that says he was "born in heaven." That would fit with his father, Kim Jong Il's official story, which claims he was born under a double rainbow with the seasons spontaneously changing and a new star appearing in the sky for the occasion.

The three generations of Kim men who have ruled the North are painted as supernatural to the local population. Abroad, they are cartoonish figures, whose behavior can leave diplomats and strategists scratching their heads.

Just a few months ago, the government published a gasp-inducing racist tirade against President Barack Obama, calling him a "clown" who "does not even have the basic appearance of a human being." It suggested he live with monkeys in a zoo. Racism, a myth of racial superiority, is a striking feature of the culture promoted by the regime.

The authorities have created their own reality, brainwashed the population to keep the state functioning and the regime secure. To anyone who commits what the government deems an infraction, the punishment is inconceivably harsh.

It's all part of the riddle that keeps the world guessing, off-balance and nervous. By firing missiles, threatening neighbors and acting erratically, North Korea portrays itself as mysterious and volatile, and even that perception magnifies its ability to create fear, adding to its power and helping keep the despotic regime in control.

@highlight

North Korea had fired artillery shells into the sea near the border with South Korea

@highlight

Frida Ghitis: North Korea is simultaneously threatening, bizarre and brutal

@highlight

She says it's tempting to ignore North Korea's antics as bluster, as empty threats

@highlight

Ghitis: But by firing missiles, threatening neighbors, it is volatile and dangerous