(CNN) -- To many who watched his long, rambling video statement, Boko Haram leader Abubakar Shekau appeared strangely distracted, unfocused, perhaps under the influence of drugs while boasting of abducting nearly 300 Nigerian schoolgirls.

But there is calculation in such cruelty, and method where some see madness. The kidnapping serves Shekau on many levels, and observers of Boko Haram say he should not be underestimated.

Shekau's on-camera performances are the opposite of the composed appearances of late al Qaeda leader Osama bin Laden and the terror group's current chief, Ayman al-Zawahiri. Jacob Zenn, an expert on Boko Haram with the Jamestown Foundation, a Washington, D.C.-based research and analysis firm, says Shekau has even acknowledged the intellectual chaos of his presentations. But they impress his followers.

Shekau speaks classical Arabic and Hausa, the language of northern Nigerian Muslims, and had a religious education. As deputy to former Boko Haram leader Mohamed Yusuf, who was killed in 2009, Shekau delivered sermons littered with references to Islamic scholars. He also expressed admiration for al Qaeda as a jihadist movement, although Boko Haram is not an affiliate of the group.

Shekau's rejection of the Christian calendar and of allegiance to the Nigerian flag resonates in a region where resentment of a corrupt and distant government runs deep. And his frequent reference to the great Bornu Empire -- a Muslim kingdom that ruled northern Nigeria for some 500 years -- harks back to a golden age.

He is also ruthless in dealing with dissent. Shekau has no deputy and Zenn says that videos issued by the group never show other commanders. "He kills anyone who challenges him, but to blow him off as a madman would be to underestimate his capabilities," says Zenn.

Twice wounded himself -- in 2009 and 2012 -- Shekau appears to revel in violence. After a series of attacks in Kano in 2012, he said: "I enjoy killing anyone that God commands me to kill, the way I enjoy killing chickens and rams."

Nor would Zenn be surprised if Shekau were under the influence of drugs when he recorded his video statement; they have sometimes been found in Boko Haram camps by the Nigerian military.

'I said I would...'

The mass abduction of teenage girls yet again delivered on a threat that Shekau has made repeatedly. "Western education" is a prime target of Boko Haram because in the group's view, it reinforces colonial and Christian influence and suppresses Islam.

In a July 2013 video, Shekau promised that schools would be burned and teachers killed. He has been true to his word. In February, a school in Nigeria's northern Yobe state was attacked and burned down, leaving 29 boys dead. And last September, more than 40 students at an agricultural college were killed.

In abducting so many schoolgirls, Shekau may also have wanted to humiliate the Nigerian government just as the World Economic Forum gathered in the Nigerian capital, Abuja.

Shehu Sani, a human rights activist in northern Nigeria who has previously been involved in mediating with Boko Haram, believes the abduction and other recent attacks are messages to the Nigerian government that the recent arrest of Boko Haram followers in Islamic schools will be avenged. In 2012, Shekau's wife and three children were reportedly taken into military custody.

"Every time people have started talking about the decline of Boko Haram, it has emerged as deadlier and more fierce," Sani told CNN. "This is about a strategy of violence more than about ideology."

Rewarding the fighters

Boko Haram has suffered several setbacks in the last year. The emergence of civilian vigilante groups in cities like Maiduguri has pushed it into rural areas and the Nigerian military has gone on the offensive against the group.

According to Sani, Boko Haram now does most of its recruiting in the countryside, coercing or financially inducing vulnerable youngsters from poor homes to join its ranks. The mass kidnapping of the teenage girls from Chibok may have been part of an effort by Shekau to reinforce the loyalty of these largely uneducated young men by providing them with "free servants or sex slaves," Zenn suggests. In his video, Shekau said of the girls: "We would also give their hands in marriage because they are our slaves."

"Many will likely end up becoming mothers -- it's a real horror and over the next years we'll slowly hear the stories of girls few-by-few as they manage to make it out," Zenn told CNN.

Shekau's unbending, almost medieval Salafism sees girls and women as servants for whom education is a sin. "Women must go and marry," he said in the video statement.

You can't get them back

The location of the abduction and the numbers involved were shrewd choices by Boko Haram. The girls were pulled from their beds at the school, loaded onto buses and trucks and swiftly transported to remote, hilly, forested areas in the northeastern corner of Nigeria. Boko Haram fighters are able to cross the permeable borders with Cameroon and Chad for resupply and to hide out, and U.S. officials believe some of the girls may already have been taken out of Nigeria.

Sani said the timing was no accident: the school was full of both Muslim and Christian pupils taking their final exams.

"They are likely to be in rural, mountainous and forested areas on the move with fighters, with some forced into marriages," he told CNN.

Zenn says it will be very tough to get them back.

"Boko Haram has likely split up or sold the girls into many small groups," and they can be used as human shields in the event of an attack, he said.

Sani also dreads any military operation.

"Any attempt to rescue the girls by force will end in a tragic result -- it could be Nigeria's Beslan," he said, referring to the attempt to free hostages at a school in Russia in 2004 that left more than 300 dead, many of them children.

Bargaining chips for prisoners, cash or concessions

Shekau is not beyond negotiating with the Nigerian government, despite his apocalyptic rhetoric and frequent denials of President Goodluck Jonathan's legitimacy. According to the International Crisis Group, negotiations in Ivory Coast a year ago were on the verge of producing "an apparent peace agreement that was to begin with a ceasefire." Then Shekau was designated a terrorist by the U.S. State Department and abandoned the talks.

Sani believes Boko Haram targeted the girls to force concessions from the Nigerian government -- beginning perhaps with the release of Boko Haram followers from prisons.

"The fact Shekau said he would sell the girls and did not say he would kill them is a clear indication that negotiation is possible. Shekau's video is not going to be the last word from the group on the girls."

And Sani suggests the notion of selling the girls should not be taken literally. "People don't buy girls in this part Africa," he said.

But at least some of them may be traded for ransom money. Boko Haram has begun trading hostages for cash -- most notably in the case of a French family kidnapped in northern Cameroon last year and reportedly freed for some $3 million. It also threatens business leaders in the North with abduction or worse unless they pay up.

The international outrage sparked by the abduction also serves Shekau.

"He doesn't care at all about international opinion but he knows it has put pressure on the government to reach out to him," Sani said.

Just how that process might work is unclear, but Sani has called for a group of Islamic clerics and others to be set up to seek mediation. That would require recent laws banning anyone from having contact with Boko Haram to be waived.

Few believe Boko Haram is going to wither away until the government addresses inequalities in the allocation of funds between the Christian oil-producing south and the Muslim north.

Sani says the stakes could not be higher for the region.

"For now, Boko Haram's focus remains Nigeria, but as they become emboldened they will spread like a cancer throughout central and West Africa."

@highlight

Abubakar Shekau is ruthless when dealing with dissent among his followers

@highlight

He took the reigns of Boko Haram after the death of Mohamed Yusuf in 2009

@highlight

Some analysts wonder if kidnapped girls will be used as bargaining chips