(CNN) -- North Korea's latest nuclear test, coming on the heels of December's successful satellite launch, suggests that Pyongyang is moving forward toward developing a nuclear warhead and a deliverable missile system, experts say. The question remains: How close is it?

The answer, like the cloistered "hermit kingdom," remains largely a mystery, as does much of its nuclear program.

"It's a question over the delivery system and the reliability of those systems," said Daniel Pinkston, senior analyst for the International Crisis Group covering Northeast Asia. "That is essentially unknown, or known by a few people inside North Korea."

South Korean rocket successfully puts satellite in orbit

A 2009 report by International Crisis Group suggests that North Korea "probably has somewhere between six and twelve nuclear weapons, or at least explosive devices," but notes that experts are divided on whether any of these are now usable as warheads -- small enough to be mounted on missiles and durable enough to withstand the hazards of flight.

"It's pretty clear that these are advanced technologies and the systems present a number of engineering challenges -- and to master these technologies requires a number of tests," Pinkston said.

North Korea on Google Maps: Monuments, nuclear complex, gulags

In December, on the first anniversary of the death of its former leader Kim Jong Il, North Korea successfully launched a three-stage rocket that put the satellite Shining Star-3 into orbit. The launch also signaled that the North's long-range missile program now puts the United States within reach.

Last month, the United Nations Security Council unanimously passed a resolution that strengthened sanctions against the North in response to the December rocket launch. Declaring sanctions to be tantamount to "a declaration of war," North Korea threatened further missile and nuclear tests, which it said are a new phase of confrontation with the United States.

For the U.N. and North Korea: Game on

Tuesday's underground nuclear test is North Korea's third, following tests in 2009 and 2006. The test, "probably" conducted in the vicinity of P'unggye, yielded "several kilotons," according to assessments cited by the U.S. director of national intelligence.

Koreas in 2013: Watch the generational politics

Estimates of the size, or yield, of the 2009 nuclear test range from 2.5 kilotons to 6 kilotons, Pinkston said. By comparison, the atomic bomb dropped on Hiroshima had a yield of 16 kilotons.

While the specter of a North Korea able to send nuclear-tipped missiles is worrisome, equally troublesome to the international community is Pyongyang's atomic technology fueling the black market for weapons.

"If its clandestine uranium-enrichment program has made strides, Pyongyang could demonstrate that it will gain access to a far larger pool of fissile material than simply its limited supply of weapons-grade plutonium," wrote Patrick M. Cronin, an Asia expert at the Center for New American Security, in a CNN op-ed. "A larger pool of fissile material is a dual threat: As a vital part of an expanded nuclear weapon program and as a commodity to be sold on the black market."

Timeline: North Korea's rocket-fueled obsession

CNN's Jethro Mullen contributed to this report.

@highlight

North Korea says it carried out an underground nuclear test Tuesday

@highlight

It is the third nuclear test Pyongyang has carried out since 2006

@highlight

It comes after new U.N. sanctions for North Korea's December satellite launch

@highlight

Experts say it's unknown how close the North is to being able to launch a nuclear warhead