(CNN) -- CNN reported Monday on the heart-rending story of Emily Bauer, a teenager from Houston, who suffered a debilitating stroke after consuming what has come to be known as "synthetic marijuana."

Although the role that synthetic marijuana played in Emily's medical condition is not yet clear, what is clear is that these new chemicals might not even exist if it weren't for the prohibition of marijuana, a plant that has been widely consumed throughout the world for thousands of years. A few years ago, people started using synthetic marijuana to evade drug tests -- and it caught on, once news reports publicized its existence.

And even though President Obama and 41 governors have signed legislation criminalizing various forms of synthetic marijuana, this stuff isn't going away -- that is, until we legally regulate marijuana itself.

To understand drug use by teenagers, we must acknowledge that they have grown up with drugs everywhere. We urge young people to be "drug-free," but Americans are bombarded with messages encouraging us to imbibe and medicate with a variety of substances: We use caffeine to boost our energy, we drink alcohol to relax, and we use prescription and over-the-counter drugs to help us work, study and sleep. And despite the draconian punishments associated with illegal drugs, 44% of today's teens will try them before graduating from high school.

Marijuana itself is the most widely consumed illegal drug -- more than 100 million Americans have used it and 20 million have been arrested for it since 1965.

Not surprisingly, given the laws of supply and demand, enterprising chemists have discovered an endless array of marijuana-like chemicals that can be sprayed onto potpourri-like plant matter and sold as "incense." People who have tried synthetic marijuana often report psychoactive effects that are comparable to marijuana, but notably less pleasurable.

Almost no one would touch this synthetic stuff -- actually, it wouldn't even exist -- if it weren't for the criminalization of the marijuana plant itself. Attempting to ban one new substance after another is like a game of whack-a-mole: Each time one gets banned, another untested and potentially more dangerous drug pops up to replace it.

The synthetic marijuana that Emily Bauer consumed was likely one of the "second generation" of synthetic marijuana chemicals. Since Congress and state legislatures banned a host of them over the past two years, the companies producing these products have simply changed their chemical formulations to one of thousands of slightly different chemicals with marijuana-like effects.

These new synthetic marijuana products are not an example of effective legal regulation, but an example of underregulation. Like aspirin or soft drinks, they are not subject to age, licensing, or other restrictions.

Oddly enough, the rush to criminalize synthetic marijuana and other synthetic drugs comes at a time when public opinion is dramatically shifting in favor of decriminalizing, and even legally regulating, marijuana.

More than three-quarters of American voters believe marijuana should be decriminalized, which 14 states have done. They also believe it should be available for medical use, which 18 states and the District of Columbia now allow; and about half think it should be legally regulated more or less like alcohol, as Colorado and Washington are doing. After decades of marijuana prohibition, elected officials and the public are finally realizing that regulating the production and sale of marijuana is the best way to reduce the harms of the illicit marijuana market and the harms of marijuana use itself.

It's important to note that the marijuana legalization initiatives overwhelmingly passed by voters in Colorado and Washington last November create strictly regulated regimes -- with age restrictions (21 and older) accompanied by meticulous government oversight of producers and retail distributors. On the other hand, synthetic marijuana -- whether underregulated or outright prohibited -- hasn't ever been subject to an appropriate level of regulation.

Before rushing to criminalize a new drug, legislators ought to ask: What specific regulatory options would help to reduce the harm to individuals, families and society? We need to ask what's the best way to solve the problem -- how to reduce drug abuse and addiction -- and use the best evidence to guide us.

And the evidence clearly shows that effective, legal regulation reduces the harm of drugs better than prohibition ever does. We have already learned a lot from regulating other substances, such as alcohol and tobacco. Product labeling requirements, as well as marketing, branding and retail display restrictions, are proven to reduce youth access to tobacco products and impulse tobacco purchases.

Tobacco has contributed to more deaths than alcohol and illicit drugs combined. As a result of education initiatives and marketing and age restrictions, smoking has declined dramatically over time -- despite its legality for adults -- in one of the greatest public health success stories of the last generation.

Outright criminalization only drives the demand for the drug to the illicit market. Under prohibition, regulators have no control over where the product is sold, who sells it, or to whom they sell it. Arresting young people, moreover, often causes more damage than drug use itself.

After 40 years of the "war on drugs," the evidence clearly shows that it is ineffective to use the criminal justice system to send public health messages. Prohibition simply creates new public health problems and maximizes the harm associated with illegal drug use.

Indeed, drugs, whether marijuana or synthetic marijuana, should not be legally regulated because they are safe -- they should be legally regulated precisely because they can be harmful.

The opinions expressed in this commentary are solely those of Jag Davies.

@highlight

Emily Bauer suffered a debilitating stroke after consuming synthetic marijuana

@highlight

Jag Davies: These chemicals wouldn't exist if it weren't for the prohibition of marijuana

@highlight

Each time one form of fake pot gets banned, he says, another is designed to fill its place

@highlight

Davies: Regulate real and fake pot, instead of driving them to the illicit market with no controls