(CNN) -- In recent months, Americans have experienced numerous extreme weather-related events, including droughts, wildfires and heat waves.

We've witnessed the warmest spring since record-keeping began in 1895.

Thirty-one states reached record-high temperatures.

The period between July 2011 and June 2012 was the hottest 12 months on record.

And last year 14 extreme weather-related events caused an incalculable loss of human life and cost the U.S. economy more than $55 billion. Understandably, many Americans are wondering if these events are manifestations of a longer-term shift in climate.

Opinion: Why the drought affects me -- and you

At present we cannot definitively link any single extreme event to climate change. But it is worthwhile to consider whether the apparent increase in some extreme events has roots in a larger, longer-term trend, since that would predict a continuation of these events in the future.

That kind of understanding can have practical importance because it can inspire action to reduce economic losses and human suffering â€” often in relatively simple ways. If a region is likely to continue to get rainfall heavier than has historically occurred, for example, then it is sensible for city planners to consider installing larger-bore storm sewers when the time comes to replace aging infrastructure.

The science in this area is getting stronger all the time. In one recently published study, six international research teams led by scientists from NOAA and a number of countries investigated seven different 2011 extreme weather and climate events. In six of the seven, there was sufficient evidence to conclude that climate change caused by human activities played a factor in the events â€” affecting their severity, likelihood or frequency.

News: Extreme weather -- get ready to see more of it

Among those events exacerbated by climate change were heat waves in Texas and Oklahoma, the East African drought and extreme temperatures in Europe and England. On the other hand, the study found no evidence that the devastating floods in Thailand last year were connected to climate change.

Another new peer-reviewed article, the "2011 State of the Climate" report compiled by nearly 400 scientists from 48 countries, documents some of the longer-term trends that are underlying some of these changes. It found that:

-- Carbon dioxide and other major greenhouse gases continue to climb, with the 2011 yearly global average the highest yet;

-- Excess carbon dioxide in the atmosphere is making oceans more acidic;

-- The Arctic is warming about twice as fast as the rest of the planet, and its sea ice is thinning dramatically;

-- And the globally averaged heat stored in the upper ocean was the highest since records began in 1993.

Such striking trends have strong implications for climate, weather and environmental and human health.

One upward trend is indisputable: At NOAA, requests for climate data have skyrocketed, and those data are increasingly helping stakeholders cope with extreme events. Last year, for example, firefighters in Texas used long-term climate information to prepare for the spring/summer 2011 wildfire season. Emergency managers along the Mississippi, Missouri and Red River basins used NOAA climate data to help lessen flooding, months before it began.

Opinion: Why we should expect more weather disasters

Coastal managers are using sea-level-rise data to protect crucial infrastructure.

Businesses and governments depend on climate information to make smart investments.

Electric utilities count on climate data to anticipate peak power requirements and distribute power where it is needed.

These are the kinds of practical actions that inspire me in my job as we work to make the best science available to understand and reduce the impact of extreme events on families, communities and businesses. These and other measures are essential to reducing the effects of extreme weather events and forging a safer future.

The opinions expressed in this commentary are solely those of Jane Lubchenco.

@highlight

Droughts, wildfires and heat waves have plagued the U.S. recently, says Jane Lubchenco

@highlight

We've witnessed the warmest spring since record-keeping began in 1895, she says

@highlight

Lubchenco: Heat waves in Texas and Oklahoma were exacerbated by climate change

@highlight

NOAA's climate data are increasingly helping states cope with extreme events, she says