Young children are far more likely to experience attention and hyperactivity problems if their mother develops diabetes during pregnancy and they are born into a poor or lower-middle-class household, a new study suggests.

The study, published this week in the Archives of Pediatrics and Adolescent Medicine, found that children whose mothers received a diabetes diagnosis during pregnancy (known as gestational diabetes) were twice as likely as their peers to meet the criteria for attention deficit hyperactivity disorder (ADHD) at age six.

Living in a family with below-average socioeconomic status likewise doubled the risk of ADHD in six-year-olds. But children with both risk factors -- those who were exposed to gestational diabetes and grew up in a less-than-affluent household -- had a 14-fold increased risk of ADHD compared to children with neither risk factor.

Health.com: What causes ADHD? 12 myths and facts

The findings don't prove that gestational diabetes directly causes ADHD, but the researchers say they send a message to mothers and doctors that gestational diabetes may pose hidden dangers to a child well after birth, especially if the child grows up in a challenging environment.

"Mothers should be aware that gestational diabetes can affect her fetus," says Yoko Nomura, Ph.D., the lead author of the study and an assistant clinical professor of psychiatry at the Mount Sinai School of Medicine, in New York City.

Gestational diabetes, which affects roughly 5% of expectant mothers in the United States, generally develops during the second or third trimester of pregnancy -- the same window of time in which a fetus undergoes a critical burst of brain development.

Health.com: Tips for a healthy pregnancy with diabetes

Women with gestational diabetes have abnormally high blood sugar (glucose). If the fetus is bombarded with excess blood sugar, energy normally used for nervous-system development could potentially be diverted to absorb that excess, Nomura says. As a result, the central nervous system may not develop properly.

Growing up in poverty would likely aggravate any underlying nervous-system deficits, Nomura says.

"When babies are born into higher socioeconomic status households, they have better access to medical care [and] remedial activities, intellectual stimulus is higher, they have better foods," she says.

In addition, low-income women may not control their gestational diabetes as well as more prosperous mothers-to-be, says Luigi Garibaldi, M.D., clinical director of pediatric endocrinology at the Children's Hospital of Pittsburgh.

"Having diabetes during pregnancy by itself may not be so bad, but if you don't take care of it, there may be consequences on the brain development of the child," says Garibaldi, who was not involved in the study.

Health.com: Exercise tips for people with type 2 diabetes

Nomura and her colleagues followed 212 ethnically and socioeconomically diverse children living in Queens, New York, 10% of whom were exposed to gestational diabetes. From preschool through age six, a trained psychologist or doctoral student evaluated each child for ADHD symptoms annually.

The study had several shortcomings. It was relatively small, and although they did take into account the parents' history of ADHD, the researchers didn't collect data on whether the children had siblings or other relatives with attention or hyperactivity problems. Also, Garibaldi notes, the researchers didn't measure how well the mothers controlled their gestational diabetes.

Still, the study is a valuable reminder that a child's environment -- in and out of the womb -- appears to affect the risk of ADHD, says Joel Nigg, Ph.D., a professor of psychiatry at Oregon Health & Science University, in Portland.

Health.com: ADHD linked to pesticide exposure

Previous research suggests, for instance, that children are at increased risk of ADHD if they're exposed to lead and certain pesticides.

"As a precaution, we might want to add [gestational diabetes] to the list of risk factors we're aware of," says Nigg, who wrote an editorial accompanying the study.

@highlight

Findings don't prove that gestational diabetes directly causes ADHD

@highlight

Mothers should be aware that gestational diabetes can affect a fetus, author says

@highlight

Growing up in poverty likely aggravates any underlying nervous-system deficits