London (CNN) -- With its palaces, sculpted parks, concert halls and museums, Vienna is a city steeped in culture.

Once home to composers including Beethoven, Mozart, and Johann Strauss, and to artists Gustav Klimt, Oskar Kokoschka and Egon Schiele, as well as the father of psychoanalysis, Sigmund Freud, Vienna has been at the forefront of major cultural movements for centuries.

But that doesn't mean it's stuck in the past; Vienna has a youthful side, too, and is visited yearly by backpackers as much as mainline culture aficionados -- something Richard Linklater celebrated in his 1995 film "Before Sunrise," which charted two strangers falling in love in the course of one day, with Vienna as the romantic backdrop.

Whether you visit in the winter for Christmas markets glittering under snowflakes, or in the spring when the flowers in the city's many parks are in bloom, the city is sure to charm.

CNN World's Treasures selects some of the best spots to experience "Old World" Vienna, from galleries and parks to historic landmarks.

SEE

2012 marks the 150th anniversary of the birth of Austrian painter Gustav Klimt, one of the founding members of the Vienna Secession, an avant-garde artistic group at the turn of the century.

Indeed, one of the city's architectural masterpieces, the art nouveau Secession building, was commissioned by the group at as a haven for the latest in contemporary art.

The Museum features Klimt's Beethoven mural, but to see his famed golden-hued painting "The Kiss," head to the Belvedere Museum, housed in a magnificent palace built in the 1700s. It boasts a comprehensive collection of Klimt paintings, alongside works by Kokoschka, Schiele, Vincent van Gogh and Auguste Rodin among others.

Vienna's turn-of-the-century painters owed much to the new theories about the mind coming from Sigmund Freud, and no trip to Vienna would be complete without visiting the Sigmund Freud Museum, where the founder of psychoanalysis lived until he was forced to flee in 1938. Take in a lecture or simply wander around the original waiting room and imagine you are about to be examined by the great man himself.

For those looking to feast their eyes on earlier examples of the city's opulent past, look no further than the Schatzkammer, the imperial treasury and home to the Hapsburg Crown Jewels, which is located in the vast Hofburg Palace, seat of the ruling Hapsburg dynasty.

HEAR

For lovers of classical music, Vienna is a must-visit, as it was in the eighteenth century, when it attracted the young Mozart.

You can visit the apartment Mozart lived in when he composed "The Marriage of Figaro" among other great works, which has been turned into a museum and boasts temporary exhibitions, in addition to the permanent collection of objects in the house itself. You can even hear his music wafting through the rooms as you wander around.

For concerts, head to the Musikverein for performances by the Wiener Philharmoniker and smaller chamber concerts. Or for operas, book a seat at the grand Staatsoper, or the Theater-an-der-Wien, where works by Beethoven and Strauss originally premiered.

STROLL

Vienna has a wealth of open spaces and parks, from the sculpted alpine gardens at the Belvedere Castle to the more laid-back, youthful feel of Danube Island. Rathauspark boasts an ice-skating rink in winter and an open-air cinema in summer. Alternatively, take a walk around the Baroque gardens at the Schonbrunn Palace. A well-worn tourist activity is to ride the Ferris wheel at the Prater Amusement Park, which features in the Graham Greene-penned noir film "The Third Man."

STAY

Places to stay in Vienna are plentiful and cater to all budgets. The Hotel Altstadt is located in the arty Spittelberg district, just behind the MuseumsQuartier and features an impressive contemporary art and design collection; Das Tyrol, a cozy former monastery with a small spa, features art works by young Viennese artists; the Konig von Ungarn has the benefit of being in the same complex of 300-year-old buildings as Mozart's one-time living quarters; and the Hilton Vienna Danube has views over the river.

EAT

Viennese cuisine is not for those watching their waistlines; mouth-watering pastries and cakes, breaded meats and beer and wine a-plenty make the city a feast for the taste-buds. Steirereck serves an impressive, if also not exactly slimming array of delicious Viennese dishes, while Demel serves coffee and cakes for an afternoon treat in-between sightseeing.

@highlight

Vienna is a city steeped in culture; CNN World's Treasures selects the top cultural destinations for visitors

@highlight

Home to Mozart, Sigmund Freud and painter Gustav Klimt; city is full of museums, galleries and concert halls

@highlight

Visit Secession and Belvedere Museums for art; take in a world-class concert ; stroll around parks

@highlight

Enjoy the city's rich and mouth-watering dishes, and treat yourself to a strudel or two