St Petersburg, Russia (CNN) -- Most artistic directors' first day leading a new ballet company is all about meeting the dancers. But for Nacho Duato it's a challenge just to find the rehearsal room.

The mazelike corridors of the magnificent Mikhailovsky Theatre in St Petersburg prove confusing and inspire a few unchoregraphed twists and turns from Duato before he finally identifies the right room and his new company -- the 140 dancers of the Mikhailovsky Ballet.

It's unlikely the theater's floor plan will be the last challenge for the Spanish choreographer who, this month, took over leadership of the company.

He's the first foreigner to lead a Russian ballet company in over a century and has been charged with bringing modern choreography to the Mikhailovsky's classical repertoire.

"Having a look at the past but always stepping forward and stepping into the future ... this is what I think they want and that is why I think they called me," said Duato. "I think they have it pretty clear that they want to change; that they want something new."

A modern ballet dancer and choreographer with an international pedigree, it is hoped he can revitalize the ballet for Russian audiences. While performances at the Mikhailovsky are well attended, there's a growing concern that Russians may become tired of seeing the standard repertoire of classical ballets.

"Russians love ballet. That goes without saying, but the attitude that exists towards Russian ballet in the West is more passionate," said Vladimir Kekhman, billionaire fruit importer and General Director of the Mikhailovsky Theatre.

"I would like that within Russia we would have the same attitude because as we say 'We don't treat what we have until it's gone.' I consider ballet to be a national treasure," he added.

Kekhman is a relatively recent convert to ballet but he has become something of a cultural entrepreneur, investing $45 million of his own money to restore the Mikhailovsky's buildings and, hopefully, its reputation.

Kekhman required fresh talent to oversee his vision and for that, he says, he had to look beyond Russia.

"I looked within our industry to see who were considered living legends of choreography, and when I looked within Russia, I realized that we didn't have choreographers who had the ability to not just choreograph, but also head the company," he said.

He approached Duato, a non-Russian speaker, who has spent the last 20 years choreographing new works as Artistic Director of the Spanish National Dance Company.

At first Duato was reluctant to change direction towards classical ballet. But then Mikhailovsky offered him the chance to bring modern choreography to a classical ballet company and it proved an offer too enticing to pass up.

"I know many people who think he's (Kekhman) crazy, that I'm crazy and that this is never going to work," said Duato. "That this mixture is just like a bomb, an atomic bomb. But he made me feel that 'Let's try, let's do it. Why not? Maybe we can do it.'"

Bringing a modern approach to ballet in Russia, where it's ingrained in the culture might daunt some, but it's a task Duato is relishing.

"It's not a pressure. It's a pleasure. It really is a pleasure to be in a place where ballet (has been) part of the cultural tradition for (such a) long time, and at the same time they want to break through and do new things," Duato said.

Duato has set himself a challenging schedule, hand-picking three dancers to create a ballet so new it doesn't even have a name yet. They have just weeks before the world premiere.

Principal dancer Ekaterina Borchenko is the jewel in the Mikhailovsky's Imperial crown. The company's star ballerina has danced the principal roles in productions of classical ballets including "Swan Lake," "Giselle" and "La Sylphide."

Now, she's relishing the chance to stretch her skills. "In this repertoire, I can show a different side of myself, express myself differently and find something new in me," she said.

Opening night will be a litmus test of just how receptive Russians are to this new direction.

Duato believes ballet is a living organism, which needs to evolve constantly in order to keep the audience interested. It's a philosophy he shares with Kekhman.

"Together we are going to work into something," said Duato. "We don't know how it's going to be but I think it's going to be beautiful. If we put all our hearts and soul into it, it's going to be something fantastic."

@highlight

Spanish choreographer Nacho Duato is the new artistic director at the Mikhailovksy Ballet

@highlight

He's the first non-Russian to take up such a post in over a century

@highlight

The company is trying modernize ballet for Russian audiences

@highlight

Duato has just weeks to get his new ballet ready before the world premiere