Tripoli, Libya (CNN) -- Doctors completed an autopsy of Moammar Gadhafi on Sunday, with the chief pathologist confirming the former Libyan leader died of a gunshot wound to the head.

Dr. Othman el-Zentani would not disclose whether findings revealed if Gadhafi suffered the wound in crossfire or at close-range -- a key question that has prompted the United Nations and international human rights groups to call for an investigation into the final moments of the late Libyan strongman's life.

Doctors performed the autopsy at a Misrata hospital in the presence of officials from the prosecutor's office, Zentani said. Autopsies were also conducted on the bodies of Gadhafi's son, Mutassim, and his former defense minister, Abu Baker Yunis.

No foreign or independent officials were present, Zentani said.

The autopsy report will go to the attorney general's office before it is released to the public, he said.

Meanwhile, the three bodies would likely return to a cold storage unit at a Misrata meat market for public viewing, Zentani said.

Long lines of people turned up all weekend long to view the corpses.

Gadhafi's family issued a statement Friday calling on the United Nations and Amnesty International to push Libya's new leadership "to hand over the bodies of the martyrs of their tribe so they can be buried according to Islamic rites," a pro-Gadhafi TV station reported.

Gadhafi's death Thursday solidified the power of the National Transitional Council, which marked the country's liberation on Sunday in the eastern city of Benghazi, where the uprising started.

But uncertainty was still swirling Sunday about the death of the Libyan leader, who Libyan and world powers wanted to capture and prosecute for war crimes.

Leaders of Libya's interim government have said Gadhafi was killed in crossfire after fighters captured him Thursday.

But others have questioned that account.

Peter Bouckaert, Human Rights Watch's emergencies director, told CNN that fighting had ended when Gadhafi was cornered in a drainage ditch. He said crowds beat Gadhafi in what was a "humiliating end" for the former dictator.

"When he left the area, he was very much alive," Bouckaert said. "There's no reason why he should have been subjected to this kind of mob justice."

An amateur video distributed by the Reuters news agency Sunday showed NTC fighters congratulating a man the fighters say killed Gadhafi. CNN could not independently verify that claim.

The video, purportedly recorded near an ambulance carrying Gadhafi's body, shows a jubilant group of fighters pouring water on a man's head.

"He is the one who killed him," one man says, pointing.

"He killed him in front of me, I swear to God," another man chimes in.

A lawyer for Gadhafi's son Saadi, who fled in September to Niger, issued a statement Sunday saying, "Saadi Gadhafi is shocked and outraged by the vicious brutality which accompanied the murders of his father and brother."

"The contradictory statements issued by the NTC excusing these barbaric executions and the grotesque abuse of the corpses make it clear that no person affiliated with the former regime will receive a fair trial in Libya nor will they receive justice for crimes committed against them," the statement said.

Mahmoud Jibril, chairman of the NTC's executive board, has said Gadhafi's right arm was wounded when a gunbattle erupted between the fighters and Gadhafi loyalists as his captors attempted to load him into a vehicle. More shooting erupted as the vehicle drove away, and Gadhafi was shot in the head, dying moments before arriving at a hospital in Misrata, Jibril said, citing the city's coroner.

The United Nations human rights office and activist groups like Amnesty and Human Rights Watch have called for a probe into Gadhafi's death.

The United States supports those investigation requests, U.S. Secretary of State Hillary Clinton told CNN's "State of the Union" Sunday.

"As Libyans move into the future once again, they need to do so with a sense of unity and reconciliation. They need to hold each other accountable. Those who do not have blood on their hands must be made to feel safe and included, regardless of whether or not they supported Gadhafi in the past," she said. "So we believe in the rule of law, and accountability, and such an investigation would contribute to that."

U.N. human rights spokesman Rupert Colville told reporters in Geneva on Friday that there were "at least two cell-phone videos, one showing (Gadhafi) alive and one showing him dead."

"Taken together, these videos are very disturbing," he said.

"We believe there is a need for an investigation and more details are needed to ascertain whether he was killed in the fighting or after his capture.

@highlight

NEW: Gadhafi's son Saadi is "outraged" over circumstances surrounding his death

@highlight

Gadhafi was killed Thursday but questions remain how he died

@highlight

Doctors have not revealed additional details about their autopsy

@highlight

Clinton says the United States supports calls for an investigation into Gadhafi's killing