(CNN) -- It sounds more like schoolyard taunting than a debate involving presidential power, negotiating with terrorists and bringing home a captured American soldier.

Political leaders escalated their rhetoric and raised new arguments on Tuesday about the secret deal that obtained the release of Army Sgt. Bowe Bergdahl on May 31 in exchange for five Taliban figures detained at Guantanamo Bay.

The controversy touches on a range of volatile issues -- ending the Afghanistan war, releasing Guantanamo detainees, accusations by members of Bergdahl's unit that he deserted -- and it comes in an election year that has further widened the seemingly maximized partisan divide in Washington.

Costs from swap will include "lost lives"

House Speaker John Boehner, a leading Republican voice, told reporters he had no doubt "that there are going to be costs, lost lives associated with what came out of this," calling the swap a de facto deal with Taliban terrorists.

On the Democratic side, Senate allies of President Barack Obama said the deal mediated by the government of Qatar came together too quickly to consult with Congress over an exchange that critics from both parties have labeled too costly.

"All I can tell you is this: (the government) knew a day ahead of time that the transfer was going to take place. They knew an hour ahead of time where it was going to take place," said Sen. Richard Durbin of Illinois, while his Democratic colleague from Michigan, Carl Levin, noted the military's top leadership fully backed the exchange.

"Whether you agree with them or not, its critically important that the American people know that the chairman of the Joint Chiefs and the vice chair of the Joint Chiefs strongly recommended this agreement knowing full well Bergdahl, one, had left his unit and knowing full well how bad these Taliban people were," Levin said.

The dispute involves both the dynamics of the exchange and the endless argument between the executive and legislative branches over presidential powers.

Legal requirement or courtesy?

Members of both parties complain the Obama administration should have let Congress know ahead of time that the exchange was taking place. Some cite the 30 days' notice called for by the National Defense Authorization Act, while others say a simple heads-up would have sufficed.

"It's just a matter of courtesy, whether it was in law or not," said conservative Sen. Jeff Sessions of Alabama, a regular critic of the President. "A matter of this importance should have been discussed with at least key leaders in the Congress."

Administration officials say the deal came together quickly, and the risks to Bergdahl and the military commandos involved in collecting him near the Afghanistan-Pakistan border required keeping the exchange top-secret.

"This was a secret military mission in which disclosure of the mission could put into jeopardy not just the life of Sergeant Bergdahl but also the lives of the American servicemen who were involved in the mission," White House spokesman Josh Earnest said Tuesday. "So discretion on this matter was important."

However, House Armed Services Committee Chairman Buck McKeon of California called such reasoning for not notifying Congress "absurd."

"Nothing in the law requires the Secretary of Defense to disclose the physical details of the transfer," said McKeon, a Republican. "They are merely required to notify us in a classified manner that a transfer will take place, and of the conditions set to prevent a terrorist from re-entering the fight."

Boehner noted that he was briefed as early as six months before another significant and secret military mission -- the 2011 raid that killed al Qaeda leader Osama bin Laden.

"I was given a heads-up several days before" the bin Laden mission, Boehner said. "So this idea that they couldn't trust us to not leak things is just not true."

Democratic Sen. Joe Manchin, a moderate from West Virginia known for criticizing the administration at times, said his main concern was the release of five Taliban figures who could return to the battlefield against U.S forces and interests.

Who was swapped for Bergdahl?

Congressman: Deal gives 'no guarantee' Taliban figures will be tracked

Under the exchange, the released Taliban detainees were taken to Qatar, where the government says it will keep them under watch for at least a year.

But some lawmakers fear there's no guarantee.

"How we are sure that the Qataris are going to do what they are supposed to do and we are able to keep (the released Taliban figures) from engaging again," Manchin told reporters.

A memorandum of understanding between the United States and Qatar on the deal that freed Bergdahl offered "no guarantee" that the five Taliban commanders exchanged for the captured Army sergeant would be tracked, a Democratic member of the House Intelligence Committee told CNN.

Rep. Adam Schiff reviewed the agreement and said, based on his reading, that it is possible the former U.S. detainees "might disappear even during the first year in Qatar."

Schiff told CNN's Jim Sciutto that the United States has "some capability to track them while in Qatar," but after the first year, he said, all bets are off.

"We have to expect them to return to the fight," Schiff said.

U.S. Secretary of State John Kerry defended the swap in an interview with CNN over the weekend, saying the former detainees would be monitored closely, and not just by officials in Qatar. He wouldn't say who else will be watching, but he said the United States is confident the conditions of their release will be honored.

National Security Council spokeswoman Caitlin Hayden said Tuesday that the Obama administration had received "assurances from Qatar" during the deal.

"We have acknowledged that some of these individuals could attempt to return to activities that are of concern. The President said so explicitly on his trip last week," she said. "But we have confidence that we will be in a position to go after them if, in fact, they are engaging in activities that threaten our defenses."

Democrats complain about lack of notice

Administration officials gave a classified briefing to the Senate Armed Services Committee on Tuesday after a similar session on Monday with House members.

On Wednesday, Defense Secretary Chuck Hagel will appear before McKeon's armed services committee to discuss the exchange, which he signed off on as the Pentagon chief.

"He looks forward to explaining why the President's decision to secure the release of Sergeant Bergdahl was the right one, and why the process we undertook in doing so was in keeping with our national interests," Pentagon spokesman Rear Adm. John Kirby told reporters on Tuesday.

After the briefing to House members, some said they were told as many as 80 to 90 administration officials knew of the pending exchange ahead of time, while Congress did not.

Earnest told reporters the figure of 80 to 90 officials discussed in the classified briefing referred to the number with knowledge of intelligence involving Taliban activities in Qatar. The number of administration officials who knew ahead of time of the Bergdahl swap was smaller, Earnest said, but he refused to provide a specific figure.

Schiff told CNN's "Erin Burnett OutFront" that White House officials should have told congressional leaders, even if the law gave them wiggle room.

"I think the President had the constitutional authority ... to make this decision without consulting with Congress," Schiff said. "But I think it would have been wiser, far wiser, for the administration to have notified, certainly the leadership of Congress in the interest of having good relations."

Polls show divide, with more disapproving

More Americans disapprove than approve of Bergdahl's release in exchange for five Taliban detainees, according to two new national polls.

The surveys also indicate a wide partisan divide, with most Republicans opposing the deal while most Democrats approve of it.

Bergdahl went missing on June 30, 2009, in Afghanistan's Paktika province, where he was deployed with the 1st Battalion, 501st Infantry Regiment, 4th Brigade Combat Team, 25th Infantry Division.

An Army fact-finding investigation conducted in the months after his disappearance concluded he left his outpost deliberately and of his own free will, according to an official who was briefed on the report.

The Army has no definitive finding that Bergdahl deserted because that would require knowing his intent -- something Army officials couldn't learn without talking to the soldier, a U.S. military official told CNN.

The prisoner exchange has become a political football, with Republicans who once called for the administration to work for Bergdahl's return now saying the cost was too high.

Was Rand Paul's red meat joke a bit too raw?

Slow recovery

Bergdahl is "continuing to improve every day" as he recovers at a military hospital in Germany, Pentagon spokesman Col. Steve Warren said Monday, but he hasn't spoken with his family yet.

The "decision to speak with the family is a decision the returnee has to make when he or she is emotionally in the right place to make the phone call," Warren said.

When he is ready, Bergdahl will be flown to the San Antonio Military Medical Center in Texas, where he may be able to reunite with his parents.

As Bergdahl recovers, details are slowly emerging about the conditions he endured during five years of captivity.

Citing an American official, The New York Times reported Sunday that Bergdahl told medical staff that the box he was kept in for weeks at a time was pitch black and like a shark cage.

CNN reported Friday that Bergdahl has said he was kept in a small box after trying to escape, according to a senior U.S. official, who spoke on the condition of not being identified. The official also told CNN that Bergdahl suffers from psychological trauma caused by physical abuse.

Obama: 'I make absolutely no apologies' for Bergdahl swap

Opinion: Why we leave no man behind

CNN's Paul Steinhauser, Ed Payne, Catherine Shoichet, Virginia Nicolaidis, Kevin Liptak, Barbara Starr, Elise Labott, Qadir Sediqi, Dana Bash and Deirdre Walsh contributed to this report.

@highlight

NEW: Schiff: Deal offers "no guarantee" Taliban commanders will be tracked

@highlight

Democrats say Bergdahl deal emerged quickly and military approved

@highlight

Speaker Boehner says the swap means "lost lives" down the road

@highlight

Congress should have been told ahead of time, legislators say