(CNN) -- It is a Sunday night in Bridgetown, Barbados.

Here on this Caribbean island, and on the others that make up what's known as the West Indies, life revolves around one thing -- cricket.

On this night, locals gather at historic Kensington Oval, which hosted the 2007 World Cup final. There are no national teams on display this time, but there is a local trophy up for grabs.

It's enough to draw a large crowd of boisterous fans. In the concourse, a familiar face makes his way through the crowd.

He is Franklyn Stephenson, and he is the best to have never played for the West Indies, all because of one decision he and his teammates made 30 years ago.

It left each of them -- forever -- branded a rebel.

In 1983, the West Indies cricket team was on top of the world. Team captain Clive Lloyd, from Guyana, had led them to back-to-back World Cup victories in 1975 and '79.

Contact 'Branded a rebel' presenter Don Riddell on Facebook

Overflowing with talent, the islands of the West Indies could have fielded at least two teams of world-class players. But with all the hype and success, money did not follow. Playing international and club cricket was not enough to earn a living.

At the same time, a world away, South Africa was deep in the heart of apartheid. Its government's policies had split life into different classifications for whites and so-called non-whites.

Such oppression against the non-white population intensified into violence, landing young protesters like Nelson Mandela in jail. Thousands more were arrested or killed.

As the world tried to pressure South Africa's leadership, sanctions were applied, and sport was no exception.

In 1970, the International Cricket Council banned South Africa from international competition, leaving the country's cricket-mad fans deprived of the sport they loved, and their cricketers of the careers they dreamed of.

"You're always optimistic," said former South African cricketer Clive Rice. "The stupidity that existed would change and South Africa would change much quicker, and we'd be back playing international sport. But it hung on and hung on."

'Rebel tours'

To save cricket in South Africa, the sport's administrators knew something had to be done.

So, in secret, they began planning "rebel tours" -- inviting various teams from around the world.

It was a bold move to defy the ICC's ban by offering lucrative contracts. In March 1982, the first rebel team from England arrived in Johannesburg.

"From our point of view, we knew we had the best cricketers in the world," said former South African Cricket Union president Joe Pamensky, one of the rebel tour organizers. "We wanted to show them off to the world so they would see it the same as we saw it."

Later that year, a team from Sri Lanka followed.

And it wasn't long before many began suspecting South Africa was also targeting a team from the West Indies, the dominant force in world cricket.

"You heard a lot of whispers around the place that perhaps these guys were going to South Africa," recalled broadcaster Tony Cozier.

"But at that time, we couldn't believe that they could assemble a team of West Indies players given the whole background to the anti-apartheid movement."

Many big-name West Indies stars were outspoken in their refusal to play in apartheid South Africa.

Captain Clive Lloyd said no amount of money could get him there. Future captain Viv Richards called it "blood money."

But other players were tempted.

The offers from South Africa were more than they would likely see in their lifetimes -- estimated to be between $100,000 and $150,000 per player.

It was enough to draw in names like batsmen Lawrence Rowe and Alvin Kallicharran, fast bowler Sylvester Clarke and wicketkeeper David Murray -- one of the best in the game.

Also agreeing to take part was Collis King, hero of the 1979 World Cup.

"I made the decision because I wasn't getting treated right as far as the West Indies (team) was concerned," said King. "And I said to myself, 'Well, cricket is my job. You're not picking me, I'll go play cricket someplace where people will see proper cricket.' And that's why I went."

More than just cricket

Rising star Stephenson was only 23 in 1983, with a promising career in front of him. He had repeatedly turned down offers to play in South Africa.

But the day the team left, Stephenson had a change of heart.

"I knew the tour was more important than being just cricket," Stephenson said. "I believe that cricket can make a difference, and I'm going to be a part of that team."

On the plane, Stephenson recalled, some of the players began having second thoughts. But it was too late -- they were on their way to South Africa, to face apartheid head on.

"When we got to South Africa, I realized that separation, and it wasn't only black and white," he said. "It's the language that you speak, the area that you live in, and it's what you're allowed to do, and where you can go. So the divisions were very real when we got there."

Unsure of how they'd be received by the country's mainly white fanbase, the West Indies rebels prepared for their first Test match.

But their worries soon proved unfounded -- in droves, crowds came out to see the famous cricketers.

"We packed them in," said Murray. "We turned out 20,000 in Pretoria, the heart of apartheid."

As the tour went on, the players began to believe something more important than just cricket was taking place.

Young kids -- white kids -- were begging them for autographs. It seemed South African fans couldn't get enough of the black cricketers from the West Indies.

"For the first time, they were seeing blacks beating whites," said newspaper writer Al Gilkes, the only journalist from the Caribbean to go to South Africa.

"Here was a country in which no black man had ever seen a black person in competition with a white person, and beating them. To me, that was where the real victory was."

'Destroyed as cricketers'

But critics of the tour disagree. They say the presence of a team of black men in South Africa did not help end apartheid, but instead strengthened and supported it.

Even within the country itself, non-whites protested the West Indies rebels.

Back home in the Caribbean, the reaction was worse. A deep sense of betrayal cut through the Caribbean. Cricketers who were once viewed as heroes were now seen as sellouts.

When the month-long tour was over, the rebel players knew they would have to face the repercussions of their decision back home.

"I felt sorry for them," said Gilkes, "because I knew that they would never outlive what they were returning to."

The fate of their cricketing careers rested with the West Indies Cricket Board of Control.

The players were aware they might face a ban -- after all, England's rebel team had been banned for three years; Sri Lanka's was banned for 25 years.

But they did not expect to be banned for life.

"Many of them were destroyed as cricketers," said University of West Indies Professor Hilary Beckles. "Their cricket careers came to an end."

Murray, once a star, is now drifting, unable to hold a job in Barbados. In the years after the tour, he eventually lost more than just his career.

His wife gave birth to their baby daughter in Australia, while Murray was playing in South Africa.

They faced being deported from Australia for his role in the rebel tours, and were unwelcome back in the Caribbean, too. They had a newborn, and nowhere to go.

"They didn't want me to return," Murray said. "Politics got into it."

When asked if his current situation resulted from his decision to go, Murray answered: "Most likely."

Mercenaries?

For Stephenson, the once-rising star, his cricketing past is behind him. He is now a golf instructor at a country club in Barbados.

But he still finds a way to connect to the sport he loved at the cricket and golf academy he started near his home.

There, a photo of his rebel team sits proudly on the shelf. It is not the memories of the tour he wants to forget, but what came after.

"Nobody looked out for us," Stephenson said.

For the players, their lives defined by this single moment in sport history, each day is a reminder of what they lost by going to South Africa.

But they gained something, too -- strong bonds forged on a tour condemned by the rest of their world, cherished by the participants.

And to this day, they hold strongly to the belief that being in South Africa in 1983 made a difference in disbanding apartheid, less than a decade after the West Indies players were there.

Gilkes wrote a seven-part series about the tour. In the last article, he stated the trip might have started with the players being viewed as mercenaries, but he saw them as missionaries "who converted white South Africans to accepting that blacks were their equals."

"I know I went there as a missionary," King said.

Murray agreed. "I don't see the mercenary part of it or whatever. We were just professional cricketers. You've got work to do."

"What do mercenaries do?" Stephenson asked. "They go and fight somebody else's cause.

"Well, yes I was a mercenary for black people's cause, because wherever I've been, I've been an ambassador for my country, my race and the game of cricket. So if that's being a mercenary, then yes I was."

@highlight

West Indian cricketers shunned after touring apartheid-era South Africa

@highlight

They defied international conventions after being offered large sums of money

@highlight

Accused of strengthening apartheid's grip in South Africa by playing there

@highlight

But players say they made a difference in helping cause of black people