(CNN) -- Swimming superstar Michael Phelps once claimed he scoffed up to 12,000 calories a day. Usain Bolt's big sprint rival Yohan Blake says he chomps 16 ripe bananas every 24 hours.

A tiny Japanese athlete easily tucked away 50 pieces of sushi after training, while another marathon runner gobbled plates of raw mince.

Or how about the weightlifter who drinks the first milk of a cow that has just given birth?

With extreme eating habits like these, it may be some surprise to learn that within the Olympic Village there lurks a culinary trap that can potentially tip athletes over the fine line between success and failure at London 2012.

Competitors spend years honing their bodies to perfection, scrupulously eating the right foods, avoiding the wrong ones ... and then?

They encounter the Olympic Dining Hall.

With a McDonald's at one end and machines dispensing other sponsors' soft drinks and confectionery, the giant eating area provides mountains of fodder from around the world -- a full gamut of gluttony from one extreme of the health spectrum to the other.

Cooking for an Olympic champ: A recipe for success

It's a 5,000-capacity, 24-hour facility where organizers expect 25,000 loaves of bread, 232 tons of potatoes, 75,000 liters of milk and more than 330 tons of fruit and vegetables to be consumed by the time the Games finish on August 12.

Some 1.2 million meals will be served -- 60,000 a day.

"For the younger athletes it's an exciting new experience," says sports scientist Jess Corones, who works with the Australian Olympic swim team.

"It's all free. There's thousands of athletes and there's pretty much every kind of cuisine that you could possibly want. There's a stand that gives you unlimited McDonald's, there's machines that pump out unlimited amounts of soft drinks for you.

"That's exciting and it can be a distraction for them. They think, 'Oh this is so cool,' and they just run to it -- but you have to remind them that it'll still be there when they've finished competing and that until they've finished competing they've got to stay on their normal routine."

What passes for "normal" can vary wildly.

Phelps, after winning a record eight gold medals at Beijing 2008, told NBC that he gorged on carbohydrate-heavy pasta and pizza at the height of his extreme training. Jamaica's 100-meter world champion Blake says he eats so many bananas to keep up his potassium levels.

British weightlifter Jake Oliver says that every morning he drinks a shake containing colostrum -- a protein-rich form of milk produced during the late stages of cows' pregnancy. "I've tried to get people to try it, but they won't. Just the smell of it is enough to put people off," he told UK newspaper The Guardian.

Or even Japan's former Olympic marathon champion Naoko Takahashi, a diminutive runner who told CNN she could consume about 2 kg of fish after a big session.

"I only ate twice a day. But I ate a lot," said Takahashi, who won gold at Sydney 2000 and now works in television.

British Olympian explains her ideal meals

However, it's rare for athletes to eat quite that much, says Corones, who first worked with Australia's track and field team at the 2004 Athens Games. Phelps actually admitted this year that the report of his gargantuan appetite was a myth, saying such intake would be impossible.

"I find it hard to believe," Corones said. "I tell you what, if he is eating that he's got a pretty exceptional metabolism! The only people that I've seen eat close to that are the hammer throwers, and they all weigh in at 120 kilos."

Corones has had some experience of quirky diets though, citing Australia's Ethiopia-born marathon runner Sisay Bezabeh from the 2004 team.

"We had our camp in Italy and all he used to eat every dinner was a bowl of raw mince. I found it quite disgusting but he needed iron for his running, and that's what he did. You wouldn't get many athletes doing that these days."

Good nutrition from a young age can be vital if you want to be an elite athlete.

Becky Stevenson, a British dietitian based in the Netherlands, has researched the importance of vitamin D for improving performance and avoiding injury.

She cites reports that showed Chinese adolescent girls with adequate vitamin D had "significant higher bone mass and muscle strength." Questions have been raised about teenage swimmer Ye Shiwen's incredible performances at London 2012, but such research has yet to prove that high levels of vitamin D could be a contributing factor to her success.

"We know low levels may impact muscle strength and bone turnover, but if an athlete has adequate levels there is no evidence of an enhanced benefit to performance, so natural talent and athletic ability is more likely," Stevenson told CNN.

Meanwhile, studies have shown that young athletes in northern European countries such as Britain, Finland and Germany often suffer from vitamin D deficiency. Proper levels can reduce the risk of stress fractures, inflammatory injuries and upper respiratory tract infections.

"You can get vitamin D in food sources (such as eggs, dairy and fish) but it's not as effective as sunshine production," Stevenson said.

"Those at risk are athletes training at 35 degrees or above latitude -- northern Europe, north China, North America -- as UVB rays are inadequate during the winter months from November to April.

"When we measured our elite tennis players we only found one athlete who was marginal with vitamin D, as he had been injured and was rehabbing indoors.

"There needs to be more research evidence looking at vitamin D and injury prevention -- most of the work is retrospective."

Most athletes use supplements to bolster their dietary intake, everything from everyday vitamins such as magnesium and iron plus products such as whey protein, creatine, carnitine and branched-chain amino acids (BCAAs) specifically aimed at improving performance and recovery.

But, with drug-testing standards improving year by year and the list of banned substances also increasing, there is a strong onus for athletes to be acutely aware of everything they put in their mouth.

"Most athletes are using quite a few supplements. They live an extreme life, the amount of training they do is extreme, they exercise way outside what the normal person would do, so it is important to supplement their diet," Corones says.

"There is a very fine line and it's something that athletes need to stay on top of. The onus is 100% on the athlete and we make that very clear to them from a young age that they are responsible for what goes in their mouth. No matter if it comes from their coach or their parents or their brother or their friend, they have to know what they're putting in their body.

"You might trust your coach 100% but if he gives you a bottle of tablets and tells you it's iron, it's still your responsibility to get that checked. We have hotlines where the athletes can call up and check anything, so it's pretty easy to find out if it's okay to take."

At this stage, with the Games underway and many athletes still waiting to begin their competitions, the emphasis is on refinement as opposed to strength building.

"It varies depending on where we are in the year," says Corones, who works for the New South Wales Institute of Sport in Sydney.

"Earlier on we want them to be carrying a bit of extra weight to reduce the chances of injury and illness, but then when it gets down to racing it's stripped down to the bare minimum," she says.

"We don't really get them to count calories, we more look at what areas of food groups they're eating from. You're looking at getting quality fats, making sure you get enough carbohydrates, and also the timing of the meal -- if you're swimming or doing gym.

"If you're doing gym there's a greater mechanical breakdown of the muscle so we need to eat more protein post the session, with a little bit pre the session."

A big part of Corones' job is making sure athletes learn the right food habits -- and this generally means breaking eating patterns formed at a young age.

"It's a pretty big education process for the athletes. There are still some that struggle with that concept that the less processed it is, the better it is for them," she says.

"Often early on in their careers, in their young teens, they do a lot of training and they want to grab the first thing that's quickest available because they're always hungry after training. So they get in the habit of having a bucket of hot chips after every training session. Obviously that's not great so we try to break those habits.

"We often find that the processed foods -- with the high salt and the high sugar content in them -- that the body can crave them. It's about trying to break those cycles and get them eating as well as they can."

@highlight

Athletes face big food temptations in the Olympic Village dining hall

@highlight

It is open 24 hours and can seat 5,000 people, serving 60,000 daily meals

@highlight

Many competitors have extreme eating habits but taper off at Games time

@highlight

They have to be responsible for everything they put in their mouth, says dietitian