(CNN) -- As human rights advocates around the world celebrate the 64th anniversary of the Universal Declaration of Human Rights this week, their counterparts in the United States are mourning the Senate's rejection last week of the international convention for disability rights. Appalling in its own right, the Senate Republicans' defeat of the 21st century's first human rights treaty is a sad but sharp reminder that misinformation and fear can still override fundamental principles of human decency and common sense.

More importantly, it is yet another blow to the United States' ability to play a leading role in promoting freedoms and human dignity in the world.

The international bill of rights adopted by the United Nations on December 10, 1948, still stands as the gold standard in the daily fight for basic human rights today. As our societies democratize, mature and progress, human rights defenders are winning longstanding battles to expand the frontiers of rights to include women, children, indigenous peoples, LGBT communities and migrants. Economic and social rights are ascendant as well, as people make claims for the essentials of human life: water, food, health, jobs and education.

The United States has a long and generally bipartisan tradition of concern for human rights, a pillar of its founding principles. Americans also have been at the forefront of the global human rights movement for generations and consider ourselves a leading example for others of a rights-respecting society, even if we still have much work to do to improve our record. Indeed, it was Congress' passage of the Americans with Disabilities Act in 1990 that paved the way for the international campaign for disability rights and which served as the standard for the treaty the Senate rejected.

When it comes to international law, however, some Americans get confused. The image of the United Nations as a supranational body with powers to insert itself into our living rooms persists even though there is no evidence to support it.

This myth-making, and its inherent contradictions, are in full display in Rick Santorum's bizarre opinion essay published last week in The Daily Beast. In it, the leader of the conservative movement, to defeat the treaty, claims that unelected U.N. bureaucrats could take away a parent's power to demand special education services for a disabled child. He then asserts that there is no point in ratifying the treaty because it "would do nothing to force any foreign government to change their laws or to spend resources on the disabled. That is for those governments to decide."

Precisely. The hallmark of the U.N. human rights system is its success in elaborating international standards for protecting a comprehensive set of human rights, monitoring states' respect for those rights and making recommendations for improving their records. In exceptional cases involving gross violations, such as war crimes and mass atrocities, governments (though not the United States) have agreed to a more robust set of mechanisms, like the International Criminal Court, to hold individuals accountable.

The emerging doctrine of responsibility to protect civilians has even been applied to prevent the slaughter of civilians in Libya. But these measures are a far cry from any alleged interference of U.N. lawyers in our schools and homes.

At the end of the day, however, national sovereignty trumps these efforts, leaving any state free to follow its own path for governing its people. For better or worse, that's the way it works.

There is a broader and more disheartening message that the world hears from Washington on this year's International Human Rights Day: The United States is losing its moral voice on human rights because it is not leading by example.

As one human rights defender remarked to me recently, his government routinely cites U.S. treatment of detainees at Guantanamo as justification for its own violations of human rights. When the exceptional case, like the "necessary" measures adopted to wage battle against terrorists, becomes the norm, we have lost a major source of credibility to promote basic principles of due process and "innocent until proven guilty."

Unfortunately, the conservative movement's victory in defeating the disability rights treaty is just the latest example of our political leaders' failure to convert high-sounding rhetoric into meaningful action when it comes to human rights. If a war hero Republican like Bob Dole, who uses a wheelchair, cannot persuade his colleagues to do the right thing, then we are all the losers in the battle for human rights.

The opinions expressed in this commentary are solely those of Ted Piccone.

@highlight

Last week, Senate Republicans defeated the international convention for disability rights

@highlight

Misinformation and fear overrode decency and common sense, says Ted Piccone

@highlight

Opponents argued that the U.N. could deny parents their rights to raise children as they see fit

@highlight

U.S. is losing its moral voice on human rights because it is not leading by example, he says