(CNN) -- The six-point peace plan for Syria proposed by Kofi Annan is doomed to fail for one simple reason: Neither President Bashar al-Assad nor the government opposition is interested in making it work.

For al-Assad, full implementation of the plan, which includes a political settlement through dialogue and respect for the rights of citizens to demonstrate peacefully, will bring an end to his regime. From the onset of the uprisings, his government knew that a repeat of the protests in Egypt's Tahrir Square or Bahrain's Pearl Square in Damascus or Aleppo will mean regime change. Al-Assad and his inner circle are not about to create conditions that are conducive for such sit-ins just because the Annan plan calls on them to do so.

For the opposition groups, Annan could spend all the time he wants on negotiations, but any talks not predicated on al-Assad's stepping aside will not be acceptable. The activists who are spearheading Syria's revolution insist that the opposition exile leadership has a limited mandate and that is to discuss details for the transfer of power from the Assad family to the opposition.

The bottom line is that the two main protagonists in the conflict look at the Annan plan as a means to achieve their respective, mutually exclusive objectives.

By agreeing to the Annan plan, al-Assad pursues a dual-track strategy: He appeases his Russian and Iranian allies, who have been pressuring him to accept a political solution, while working to kill his way out of the crisis under the pretext that he is confronting "armed terrorists and gangs."

The opposition wants the cease-fire in order to field mass protests. As one activist from Hama put it to me recently: "We don't need military intervention, we don't need humanitarian corridors, we don't need safe areas. Enforce the cease-fire and millions will march toward the presidential palace demanding Assad's ouster."

After more than a year of uprisings, Syria is still stuck in a violent stalemate. Al-Assad has not been able to crush the opposition, and opposition seems nowhere near to dislodging al-Assad. Increasingly, the conflict is being framed in existential terms, with some involved becoming more radicalized.

The majority of Alawites believe their physical survival is at stake, because they are convinced al-Assad's demise will engender wide-scale revenge killings on them. Hence, they will not accept a solution that will produce a new regime in which they are not guaranteed a leading role. Similarly, the opposition groups believe that if they stop now and al-Assad remains in power, he will hunt them down.

Absent a game changer that will tip the balance in favor of one side or the other, the crisis in Syria will become a full-blown sectarian war pitting Sunnis against Alawites, which will likely spill over into the neighboring countries of Iraq and Lebanon.

Although military options have been considered by the West, it's hard to say whether that would make a difference in reversing the dynamics in the country. A military operation might cause a regional war involving Turkey, Saudi Arabia and Iran, with each country supporting its allies in Syria.

For now, Iran's Supreme Leader has cast his support firmly with al-Assad. A well-informed Iranian source told me that the Iranian regime will support al-Assad no matter what until the end. On the other hand, Russia's Syria policy seems to be in flux judging by its vote in the United Nations recently. It's too early to tell whether Russia will ease al-Assad out the way Saudi Arabia did in the case of Yemen's Abdullah Saleh. Russia and Iran will probably not abandon al-Assad until they are part of the deal-making process about Syria's future government.

One possible game changer is if the protest movement in Syria becomes widespread and covers large stretches of the country.

To date, only four of Syria's 14 governorates constitute the major hubs of the protest movement: Homs, Hama, Idlib and Daraa. While we have seen protests in other regions, they have not been as sustained and extensive as those in the four governorates. This is partly due to the state of fragmentation in the opposition ranks, especially among the exile groups, which do not inspire confidence among fence-sitters.

Although large segments of fence-sitters including businessmen have come around to supporting the opposition, many remain ambivalent because they doubt the opposition will succeed in overthrowing al-Assad. This perception is reinforced by the fact that Annan's plan does not call for al-Assad to step down -- a detail that is not missed by the Assad regime propaganda machine.

While the exile opposition remains divided, there are hopeful signs that the opposition ranks within Syria are becoming better organized, better trained and gaining legitimacy.

The future leaders of Syria will not come from the Syrian National Council or the National Coordination Committee for Change; they will emerge from the ranks of the revolutionary councils that are forming in different parts of the country.

These councils bring together an eclectic mix of the most active local coordinating committees, independent activists, community and business leaders and military defectors. They are putting in place an administrative infrastructure that is akin to a local provincial council, handling everything from media affairs to helping families who lost their homes to providing legal aid to jailed activists. They are also coordinating with each other to protect relief supply lines that cross their respective territories. In the process, the leaders in these councils, who hail from Syria's different religious and ethnic groups, are developing political skills, cultivating local constituencies and learning through trial and error the business of governing.

In a country that is increasingly polarized along sectarian and ethnic lines, these councils can perhaps provide the glue that keeps the country stitched together.

The opinions expressed in this commentary are solely those of Randa Slim.

@highlight

Randa Slim: The peace plan for Syria proposed by Kofi Annan is doomed to fail

@highlight

Slim: After more than a year of uprisings, Syria is still stuck in a violent stalemate

@highlight

She says one possible game changer is if the protests in Syria become more widespread

@highlight

Slim: Members in local councils are Syria's best hope for future leadership