Washington (CNN) -- Narrow passage of a sweeping health care bill by the House of Representatives portends a continuing difficult fight for President Obama and fellow Democrats to get a bill through the Senate and into law.

The House voted 220-215 late Saturday, with 39 Democrats opposed and one Republican in favor, to approve what would be the biggest expansion of health care coverage since Medicare was created more than 40 years ago.

The Affordable Health Care for America Act, or H.R. 3962, restricts insurance companies from denying coverage to anyone with a pre-existing condition or charging higher premiums based on gender or medical history. It also provides federal subsidies to those who cannot afford it. And it guarantees coverage for 96 percent of Americans, according to the nonpartisan Congressional Budget Office.

But turning the bill into law remains uncertain. The Senate must now pass its own version of a health care bill, and Senate Majority Leader Harry Reid of Nevada last week signaled uncertainty over whether that will happen this year.

Once both chambers have passed a bill, a congressional conference committee will merge the two proposals into a consensus version that would require final approval from each chamber and Obama's signature.

On Sunday, Obama praised the "historic" House vote to pass the bill and called on the Senate to "take the baton" and complete its work.

"For years, we've been told that this couldn't be done," Obama said, citing the decades of failed health care reform efforts. "Last night, the House proved differently."

The president called the support by many House members "courageous" in the face of "the heated and often misleading rhetoric around this legislation."

"Now it falls on the United States Senate to take the baton and bring this effort to the finish line on behalf of the American people," Obama said. "And I'm absolutely confident that they will."

However, Republicans and an independent senator who sits with the Democratic caucus signaled Sunday that difficulties remain for Obama on his top domestic priority.

Sen. Joseph Lieberman, an independent from Connecticut, reiterated that he would join a Republican filibuster against a health care bill if it contains a government-run public health insurance option after the chamber's amendment process.

Speaking on "Fox News Sunday," Lieberman called the controversial public option, which is in the House bill and the Senate version being prepared by Reid, an unnecessary provision intended to bring government-run health insurance in the future.

"If the public option is in there, as a matter of conscience, I will not allow the bill to come to a final vote," Lieberman said. He previously has said he won't oppose opening Senate debate on the bill despite the public option provision, and he maintained that stance Sunday.

Lieberman's stance is crucial because the Democratic caucus has the minimum 60 votes to overcome a Republican filibuster. Senate Republicans unanimously oppose the public option, though Sen. Olympia Snowe of Maine has floated the possible compromise idea of a trigger mechanism that would mandate a public option in the future if thresholds for expanded coverage and lower costs go unmet.

The lone House Republican who supported the bill, Rep. Anh "Joseph" Cao, told CNN on Sunday he put the needs of his district over the desire of his party.

Cao's "yes" vote ended up being unnecessary for House Democrats, but it gave House Speaker Nancy Pelosi license to tout bipartisan support for the controversial measure.

"I felt last night's decision was the proper decision for my district, even though it was not the popular decision for my party," said Cao, a first-term representative from Louisiana's traditionally Democratic 2nd District. "A lot of my constituents are uninsured, a lot of them are poor. It was the right decision for the people of my district."

Cao acknowledged he extracted some White House pledges to help his district deal with the continuing effects of Hurricane Katrina in exchange for his vote. Asked about the reaction of fellow Republicans, Cao said the party's leaders "respect my decision, and I respect theirs."

Also Sunday, Rep. Mike Pence of Indiana, the chamber's third-ranking Republican, said on the Fox program that Democrats were ignoring the wishes of the American public by pushing through the huge health care bill.

Pence said the health care bill would raise costs, increase the deficit and lead to a government takeover of the health care system.

"I think the American people are deeply frustrated with the liberal establishment in Washington," Pence said. "If Democrats keep ignoring the American people, their party's going to be history."

Democratic Rep. Chris Van Hollen of Maryland responded on the same show that the Congressional Budget Office reported that the House bill would reduce the deficit.

Van Hollen chided Republicans for failing to confront rising health care costs harming the U.S. economy during the years they controlled the White House and Congress.

"We've had a great system for insurance companies," Van Hollen said, citing large industry profits as Americans face what he called unfair practices such as having coverage denied for pre-existing conditions. "This is a message to the American people; we're trying to bring down your costs to help more Americans afford health insurance."

The House vote less than an hour before midnight Saturday was full of drama. With eight seconds left in the voting period, Democrats began counting down and erupted in roars when Pelosi declared, "The bill is passed" and banged the gavel.

Republican lawmakers stood silently across the floor, some with their arms folded across their chests.

"Well, it was about what I thought it would be," said House Republican Leader John Boehner of Ohio as he quickly exited.

Later, he issued a statement saying the $1.2 trillion legislation would add to the country's "skyrocketing" debt.

"I came here to renew the American Dream, so my kids and their kids have the same opportunities I had," Boehner said. "I came here to fight big-government monstrosities like this bill that dim the light of freedom and diminish opportunity for future generations."

Michael Steele, the chairman of the Republican National Committee, released an equally tersely worded statement.

"Nancy Pelosi and her liberal lieutenants made a lot of promises today to get the votes they desperately needed," he said. "Make no mistake -- the Democrat leadership's assurances were based on political expediency, not principle. Anyone receiving a promise from Pelosi is guaranteed to be disappointed in the end when their votes are no longer needed."

Earlier in the day, Obama met behind closed doors with Democrats to shore up support for the bill, calling it a chance of a generation.

In the run-up to the vote, Republicans and conservative Democrats joined forces to pass an amendment to the bill to prohibit federal funds for abortion services.

It was considered a big win for them and for the U.S. Conference of Catholic Bishops, which used its power -- especially with conservative Democrats in swing congressional districts -- to help force Democratic leaders to permit a vote on the amendment.

The prohibition, introduced by Democratic members -- including Rep. Brad Ellsworth of Indiana and Rep. Bart Stupak of Michigan -- would exclude cases of rape, incest or if the mother's life is in danger.

The GOP accounted for 174 of the votes in favor of the amendment, with one Republican voting "present."

On the Democrats' side, 64 voted for the measure, and 194 voted against.

CNN's Shirley Hung, Brianna Keilar, Deirdre Walsh, Lisa Desjardins and Elaine Quijano contributed to this report.

@highlight

House voted 220-215 late Saturday to approve Affordable Health Care for America Act

@highlight

39 Democrats opposed act, one Republican voted for it

@highlight

Measure now moves to Senate, where support is less certain

@highlight

If both chambers pass a bill, committee will merge the two proposals