(CNN) -- At least 26 people were killed Monday in the Syrian government's ongoing crackdown on dissidents, the pro-democracy group Local Coordination Committees of Syria said.

Among the dead was a 12-year-old boy shot to death when Syrian security forces fired on a funeral procession, according to the London-based Syrian Observatory for Human Rights..

The funeral procession was for a protester killed Sunday, the observatory said.

In addition, 17 people were killed during operations by the military and security forces in Hama as authorities searched for wanted activists and demonstrators, the organization said.

Meanwhile, an adviser to Syrian President Bashar al-Assad said parliamentary elections could be held in the country by the end of the year, Russian media reported earlier Monday.

Bouthaina Shaaban, the political and media adviser to al-Assad, was in Moscow on Monday to speak to journalists on the situation in Syria.

"I can tentatively say that such elections may be held either at the end of this year or the beginning of next," Shaaban said, according to the RIA-Novosti news agency.

The number of people killed in unrest in Syria since mid-March has reached at least 2,600, the U.N. Office of the High Commissioner for Human Rights said Monday.

The U.S. State Department, meanwhile, is condemning the killing of a key Syrian opposition organizer who it says died while in the custody of Syria's security forces.

Ghiyath Mattar, described as a key organizer of protests against al-Assad's regime, was killed after being arrested last Tuesday in the Damascus suburb of Darya, State Department spokeswoman Victoria Nuland said in a statement released Sunday.

"His brave commitment to confronting the regime's despicable violence with peaceful protest serves as an example for the Syrian people and for all those who suffer under the yoke of oppression," the statement said

Mattar was arrested along with leading opposition activist Yahya Sharbaji and a number of other activists, Nuland said.

Mattar was "a symbol of what the Syrian revolution should be -- peaceful and nonviolent," said one of Mattar's friends. "His death is an attack by the regime on peace. His attack is saying, 'We want to destroy the messengers of peace in Syria and the ideals and values they hold."

"His personality was perfectly built to take the role of a leader," said another man, a colleague of Mattar's. "Everyone loved him and he had so many close friends and relatives."

Both men asked not to be named for fear of retribution.

On September 6, Mattar was with Sharbaji when he received a call from Sharbaji's brother saying he was injured and needed help, according to the friend. In reality, security forces had forced the brother to call Sharbaji. The operation led to the arrests, the friend said.

Unrest has plagued Syria for more than six months, as protesters demanding more freedom, democratic elections and an end to al-Assad's regime have been met by brute force.

The government has maintained a consistent narrative: It is going after armed terrorists. But opposition activists say the regime is behind a systematic, sustained slaughter.

Mattar, 26, was on the run for three months before being taken into custody, according to the Syrian Observatory.

The group, citing reports from Mattar's fellow opposition members, said he was tortured to death.

Syria's crackdown on protesters has been roundly condemned by many world leaders and the United Nations. The Arab League has publicly called for al-Assad's regime to show restraint and end the violence.

The United States has imposed sanctions on Syria, freezing assets of specific regime members and banning Americans from doing business with the country. The European Union banned the import of Syrian oil and imposed a travel ban.

Navi Pillay, the U.N. High Commissioner for Human Rights, put the number killed in the unrest at 2,600, citing "reliable sources on the ground," in remarks prepared for delivery Tuesday during the commission's session.

The Syrian Observatory has said more than 2,000 people -- mostly demonstrators -- have died since the uprising began in mid-March.

In her statement, Nuland repeated calls by the United States for al-Assad to step down.

"We call on the (al-Assad) regime to immediately cease all violence against the Syrian people and release all political prisoners. We again call on (al-Assad) to step aside and allow the Syrian people to embark upon the democratic transformation they demand," she said the in the statement.

A video posted on YouTube purportedly showing the funeral of Mattar in Darya showed people marching in the street and chanting: "We will sacrifice our lives and our blood for you, Ghiyath" and "Freedom, freedom, we are the youths of freedom."

Mattar's colleague said that Syrian security forces fired on mourners, and that one man was shot and later died.

CNN can not independently verify the authenticity of the video, the claims or the death toll because the government has repeatedly denied requests for journalists to report inside Syria.

CNN's Salma Abdelaziz, Maxim Tkachenko, Mohammed Jamjoom and Yousuf Basil contributed to this report.

@highlight

NEW: At least 26 people were killed Monday, an opposition rights group says

@highlight

Report: A Syrian adviser says parliamentary elections could be held this year or early next

@highlight

The U.N. High Commissioner for Human Rights puts the death toll at 2,600

@highlight

A 12-year-old child is shot and killed by security forces, an opposition rights group says