Rome (CNN) -- A cardinal from the Philippines, another from Austria and an archbishop from Ireland would be the "least worst" choices to be the next pope, according to a group representing the victims of abuse by priests.

The Survivors Network of Those Abused by Priests, or SNAP, released its list Thursday as cardinals held meetings at the Vatican in a prelude to the selection of the next pontiff.

The three are Cardinal Luis Tagle of the Philippines; Cardinal Christoph Schoenborn of Austria; and Archbishop Diarmuid Martin of Dublin, Ireland.

Martin is not a cardinal, but SNAP noted that a man need not be a cardinal to be elected pope. Historically, the role has gone to cardinals, however.

CNN Vatican analyst John Allen, also a correspondent for National Catholic Reporter, wrote last month that Schoenborn "certainly has the right pedigree for the job."

And Tagle has "been a leader in pushing the church in Asia to take an aggressive stance on clerical abuse," Allen said in a series he wrote on the papal contenders.

Tagle would normally be considered too young for the role, but Benedict XVI's almost unprecedented resignation might have changed the way the cardinals think, he said.

Wednesday, SNAP named its "Dirty Dozen" list of men it judged would be the worst candidates for pope because of their handling of, or comments on, past allegations of child sex abuse against clergy.

The scandal has shaken global confidence in the church in recent years.

A Pew Research Center poll published Wednesday indicates that U.S. Catholics see it as the biggest issue the Vatican faces.

Asked what they think is the most important problem, 34% of the U.S. Catholics questioned mention sex abuse, pedophilia or some other reference to the scandal. No other problem garnered more than 10% of the responses.

A report for Italian news magazine Panorama on Thursday claims that the church hierarchy was alerted to the problem decades ago, in 1965 but buried the warnings.

'Absolutely key'

Since Monday, the gathered cardinals have been holding meetings, known as general congregations, to discuss the most serious questions facing the church.

The last of the cardinals summoned to choose the next pope, Jean-Baptiste Pham Minh Man of Vietnam, arrived at the Vatican on Thursday.

No date has been set for the conclave, or secret election, for the new pope, said the Rev. Federico Lombardi, a Vatican spokesman.

But Cardinal Roger Mahony, the retired archbishop of Los Angeles, suggested that the announcement might not be far away in a tweet posted Thursday.

"Days of General Congregations reaching a conclusion. Setting of date for Conclave nearing. Mood of excitement prevails among Cardinals," he said.

The 115 cardinal-electors -- those under the age of 80 who are eligible to vote for the new pontiff -- are taking time to prepare for what many see as their greatest responsibility.

Although some may be wondering why it's taking so long to set the date for the conclave, Lombardi pushed back against the idea that the cardinals were dragging their feet.

The discussions they are having in the general congregations are a vital part of the process, he said, since once the conclave starts there won't be much time between votes for reflection or the exchange of ideas.

The cardinals have to have all the information they need in order to make a mature, responsible judgment in the election, especially at a time when the church faces complex issues, he said. "The preparation is absolutely key," Lombardi said.

Celibacy for priests a hot issue, not just for church leaders

U.S. cardinals muzzled?

Italian media reports Thursday focused on the Vatican's move to end the news briefings held this week by American cardinals, amid concerns over leaks of confidential discussions among the cardinals.

Sister Mary Ann Walsh, director of media relations for the U.S. Conference of Catholic Bishops, wrote in a blog post that the decision Wednesday came after a media report in Italian daily La Stampa, which gave details of who had said what.

"I compared the shutdown to the old Catholic school style of one kid talks and everyone stays after school," she wrote, saying a similar thing happened before the last conclave in 2005.

"We'll continue briefings, but without cardinals, to help U.S. media especially cover this exciting moment in the church," Walsh added.

It's been a week since Benedict XVI became the first pontiff in six centuries to resign from the role. Popes usually serve until their death.

With Easter around the corner, many inside the Catholic Church would like to see a new pontiff in place to lead ceremonies.

Watch for the smoke: How is a new pope elected?

'Mix and mingle'

All the cardinals, including those older than 80, are entitled to take part in the closed-door general congregations.

Lombardi said 152 cardinals met Thursday morning. A second meeting will take place in the afternoon, as the cardinals seek to pick up the pace before agreeing on the date for the conclave.

Thursday morning's business included reports on the financial state of the Holy See, Lombardi said. He named the cardinals who delivered the reports but did not reveal their contents.

The cardinals could continue their meetings on Saturday, Lombardi added, but are unlikely to meet Sunday when Mass may be held.

Interactive: A look at possible papal contenders

Some of the discussions happen over coffee, as one Vatican spokesman revealed Monday, the first day of the general congregations.

"There's a coffee break for about 30 minutes at a special buffet area in the front part of the audience hall," said the Rev. Thomas Rosica. "Cardinals have an opportunity to go down and mix and mingle."

"They want to say what the next pope will hear, because he's probably in that room, and they also want to alert the people who haven't spent so much time in Rome just what the situation really is here as they see it," Cardinal Francis George of Chicago said.

The electors also want to go into the conclave with pretty clear ideas about whom to vote for, Cardinal Sean O'Malley of Boston said. They, too, have no interest in seeing it drag on, and there is no reason to believe that it will.

The past 11 conclaves have lasted no longer than four days, the diocese of Providence, Rhode Island, wrote on its website.

That wasn't always the case. In the 13th century, the election of one pope took two years and nine months, the diocese said. Catholics grew so angry at the cardinals' indecision from 1268 to 1271, when Gregory X was elected, that they boarded them up in their chamber and tore off the roof to expose them to the elements.

The fiasco led to the creation of the conclave and its precise protocol -- partly to expedite the process.

What's in a name? Clues to be found in next pope's moniker

CNN's Hada Messia, David Schechter, Jo Shelley and Ben Brumfield contributed to this report.

@highlight

NEW: All 115 cardinal-electors are now in the Vatican

@highlight

Group representing victims of abuse by priests names 3 people it wants to see as pope

@highlight

U.S. Catholics say child sex abuse by priests is the biggest problem the church faces