(CNN) -- When night falls over Rwanda, many rural communities far removed from the country's electricity grid descend into darkness.

Unplugged from the power lines, households in these areas rely mainly on fuel-based devices such as kerosene lamps for access to light. Such lanterns, however, are polluting and costly: They emit toxic fumes, pose fire hazards and also put a strain on family budgets.

But recently, an innovative solution has emerged to offer affordable and efficient electricity to low-income households while benefiting the communities by providing jobs to local populations.

Called POWERcycle, Nuru Energy says it has developed "the world's first commercially available pedal generator" -- a foot or hand-powered device that can recharge up to five modular light emitting diode (LED) lamps in approximately 20 minutes, as well as power mobile phones and radios.

Read also: Bamboo bikes put Zambian business on right track

The company says each of its portable LED lamps provides one week of light to a rural household. It also claims that its products are more affordable and reliable than other forms of off-grid offerings that have been developed in recent years, including solar lamps or home solar lighting systems.

"We looked around and said, well, what is the one energy resource that's untapped in this environment? And human power really came to mind," says Sameer Hajee, chief executive and co-founder of Nuru Energy.

"We thought, well, if we can harness human energy in a way that we can create economic opportunity and low-power electricity, wouldn't that be a game changing solution?"

Watch: Can handmade bicycles change lives?

According to Lighting Africa, a joint World Bank - IFC program developed to increase access to clean sources of energy for lighting, 589 million people in the continent live without access to a public electricity facility.

The group says African poor rural households and small businesses pay $10 billion per year for lighting purposes, while communities not connected to the grid spend $4.4 billion annually on kerosene.

Read also: Pay-as-you-go solar power lights up rural Africa

Looking to address the issue of energy poverty, Hajee, a social entrepreneur with a lot of experience in international development, spent more than a month in Rwanda in 2008, trying to figure out what were the energy needs of the country's off-grid population.

What he found out was "actually quite basic [energy needs]," he says. "It's light, it's cooking, it's mobile phone recharging and radio."

Read also: Unplugging from the world's power lines

With help from the World Bank, Hajee co-founded Nuru Energy and in 2009 the company started testing its products in the field.

Hajee quickly realized, however, that innovative technology was not enough for the project to be successful in a place like rural Rwanda. His company also needed to adopt a creative approach in the distribution front.

Read also: Rwanda's B-Boys

"We couldn't just sell product -- we had to actually get involved in the value chain downstream," he says. "We thought, well, if the generator can recharge five lights so quickly, could this not be the basis of a recharging business for a local entrepreneur?"

As a result, the company decided not to sell its products directly to customers. Instead, it set up a network of village-level entrepreneurs who are responsible for marketing, selling, and recharging the lights.

Read also: Experts warn Africa must learn from India's microfinance problems

Hajee says this unique model of distribution has revolutionized the lives of both micro-entrepreneurs and customers.

"If you look at this from the standpoint of the customer," says Hajee, "they would purchase the light for $6 and then they would pay about 20 U.S. cents per week for lighting. This is compared to about $2 a week that they would spend on kerosene before. So it's 10 times cheaper solution for them.

"From the entrepreneur's perspective, in 20 minutes of pedaling, they're recharging five lights, earning about $1 -- any of us that work in Africa know that that's much more than people make in an entire day. So it's a huge value proposition for the customer and for the entrepreneur."

Opinion: Could Africa be world's next manufacturing hub?

Hajee notes that this model can easily be emulated across rural Africa. He says that Nuru Energy, which currently focuses on East Africa and India, has already been approached by a number of potential joint venture partners to roll out the project in other parts of the continent.

"I really hope that what we're providing here is a stopgap solution to the immediate energy needs of...rural populations," says Hajee. "What I would really hope is that, you know, there's certainly effort needed in providing grid quality electricity to these populations. It'll take some time."

@highlight

589 million people in Africa live without access to a public electricity facility

@highlight

Nuru Energy has created a pedal generator that allows light and mobile phone recharging

@highlight

The company says its products are more affordable and reliable than other energy solutions

@highlight

It has set up a network of micro entrepreneurs who sell and recharge the lights