Washington (CNN) -- Gary Johnson and Virgil Goode have no chance of winning the November 6 presidential election, but the two "third-party" candidates could have an impact on who does.

Together, Johnson of the Libertarian Party and Goode of the Constitution Party are in position to siphon a few thousand votes from Republican Mitt Romney and perhaps President Barack Obama in some of the handful of battleground states considered up for grabs and therefore decisive in determining the winner.

Goode, a former Democrat-turned-Republican congressman from Virginia known for an anti-immigration stance and other strongly conservative policies, routinely won well over 120,000 votes in his home district in elections from 1996 to 2008.

If he gets only 10% of that support this time, it could be enough to swing what is currently considered a dead-even race for Virginia's 13 electoral votes to Obama.

Gary Johnson: An uphill battle to catch a wave, win the presidency

"Virgil Goode is a wild card, particularly in Virginia," said Stuart Rothenberg of the Rothenberg Political Report, adding "he could be a factor even if he wins only a handful of votes."

A similar scenario involves Johnson, the former Republican governor of New Mexico, in other states considered too close to call like Colorado, Nevada and New Hampshire, said Wendy Schiller, a political science professor at Brown University.

All three states, with a combined 19 electoral votes, are known for independent-minded voters, she noted, enough of whom might be inclined to back a Libertarian instead of Romney.

In Nevada, a CNN/ORC International poll last month showed Goode winning 4% support and Johnson 3%, with Obama holding a 47%-44% lead over Romney in the state. Based on 2008 turnout in Nevada, the support for Goode and Johnson would amount to about 67,000 votes.

Republican National Committee Chairman Reince Priebus downplayed the impact of third-party candidates earlier this month, telling CNN that Johnson's candidacy was "almost a non-factor."

Could Obama's struggles with white voters cost him the election?

Voters "are not going to throw their vote away when we have an election here that's about the future of America," Priebus said. "I don't see that happening."

CNN polling shows that support for Obama and Romney changes little when third party candidates are factored into state races, said CNN Polling Director Keating Holland.

"In all states CNN has polled so far, the minor party candidates are getting no more than 4% of the vote, and usually closer to 1%-2%," Holland said, noting that including them doesn't change the margin between Obama and Romney. "Statistically speaking, it's difficult to make the case that the minor party candidates are affecting the race."

The influence of third party challengers has dropped dramatically since Texas billionaire Ross Perot won almost 19% of the vote in 1992, drawing conservative ire for harming incumbent Republican President George H.W. Bush's re-election chances against Democrat Bill Clinton.

Eight years later, consumer activist and Green Party candidate Ralph Nader got 2.8 million votes, including more than 94,000 in Florida that ensured Democratic Vice President Al Gore's loss to Republican George W. Bush in the state by 537 votes.

Despite plummeting votes for third party candidates in recent elections, the tight race this year between Obama and Romney makes even fractional support for others potentially decisive in a key state, and therefore the election.

Who's up? Check out: CNN Polling Center

"If the race is close enough, 100 votes can matter," said Scott Rasmussen, president of the polling company Rasmussen Reports. The fierce competition of this year's race means fewer undecided voters and fewer people choosing a third-party option, he noted, adding: "It's not a Ross Perot year."

Goode rejects any insinuation that he seeks to play a spoiler role, saying his policies would be better for the country than those of Obama or Romney.

If he managed to win, "it would shake up Washington in that an average citizen would be president instead of someone that is backed by super-PACs," he recently told CNN.

Johnson depicts himself as more liberal than Obama on social issues and more conservative than Romney on fiscal issues. He says same-sex marriage is a constitutional issue and should be legal, supports legalizing marijuana usage, and also says he would abolish the Internal Revenue Service.

To Schiller, Johnson represents a possible threat that should worry the Romney campaign.

"I think you can argue that Gary Johnson will siphon off Romney votes," she told CNN, arguing that hardcore conservatives who consider the former Massachusetts governor to be too moderate could opt for the Libertarian.

Do the math: CNN Electoral Map

"If Colorado gets closer, I think it will matter if Johnson's in the race," Schiller said, noting that "1,000 or 2,000 votes from Romney -- it makes a difference."

To counter that dynamic, Romney's campaign must make the argument that a vote for Johnson is the same as voting for Obama, according to Schiller.

"Any time you have a third party in a very tight race and that third party candidate seems a lot more like Romney than he does Obama, then if you're Romney, you have to discredit that candidate," she said.

However, Johnson's campaign told CNN in September that some of the candidate's support came from former Obama supporters in Colorado, New Mexico and Nevada.

By running as the Libertarian Party candidate, Johnson hoped to gain the support of the relatively small but fiercely loyal following of Ron Paul, the Texas congressman who has failed in three bids to win the Republican presidential nomination. So far, the polling suggests little progress by Johnson in winning over Paul's supporters.

An NBC News/Wall Street Journal/Marist survey earlier this month in Virginia showed 1% of likely voters -- about 38,000 based on the 2008 turnout in the state -- supported an unspecified candidate other than Obama or Romney. The bulk of that support appeared to be from strongly liberal or moderate younger voters, a demographic closer to Obama's base.

Obama could get hurt by two other minor party candidates -- Jill Stein of the Green Party and Rocky Anderson of the Justice Party -- but both are considered far less likely to get enough support to undermine the president.

A CNN/ORC national poll at the end of September showed Stein with 3% compared to 4% for Johnson, while Goode and Anderson had negligible support. However, Stein failed to register in CNN/ORC polls in recent weeks in Florida and Nevada, and she got 1% support in Ohio compared to 3% for Johnson.

According to Schiller, possible voter apathy by liberals disappointed with Obama's first term helped motivate the president's campaign to mount a huge effort to boost turnout both in early voting and on Election Day.

"I think they understood they had to get the people who would definitely vote for Obama to the polls, period, with no wavering and no indecision," she said.

CNN's Holland warned against assuming supporters of third party candidates changed their mind from a major party contender.

"Minor party supporters usually fall into that category because they don't like the two major party candidates," he said. "So in a hypothetical world in which the race were only between the two major party candidates, a lot of minor party voters would have just stayed at home."

The other candidates, the other debate

CNN's Dan Merica and Lisa Sylvester contributed to this report.

@highlight

Third-party candidates could impact close races in swing states

@highlight

CNN's polling director says there is no statistical impact so far

@highlight

Conservative Virgil Goode could siphon votes from Mitt Romney in Virginia

@highlight

Libertarian Gary Johnson's campaign says it attracts Republicans and Democrats