Washington (CNN) -- When Chris Christie praises President Barack Obama as "outstanding" and "incredibly supportive," you know something extraordinary has occurred.

Obama updated on Sandy; praised by Christie

In this case, it was once-in-a-lifetime Superstorm Sandy, which caused the outspoken Republican governor of New Jersey to declare a state of emergency and seek federal help for widespread devastation.

Interviewed Tuesday on NBC, Christie described Obama's response as "outstanding," and he told CNN that the president had been "incredibly supportive and helpful to our state."

"This is much more important than any election," Christie told CNN's "Piers Morgan Tonight."

Obama has "been outstanding to deal with on this and I look forward to seeing him tomorrow so he can see for himself what this hurricane has done to my state," Christie said Tuesday night.

Such effusive praise from a frequent Obama critic and strong supporter of Republican presidential challenger Mitt Romney put the campaign magnifying glass on a key election issue -- the role of the federal government -- a week before the November 6 vote.

Photos: Aftermath of Superstorm Sandy

It also focused attention on how Romney would handle such a disaster if he were to defeat Obama in what is expected to be a very close election.

On Tuesday, the GOP candidate showed little inclination to address the matter. At a campaign event changed to a storm relief effort in Ohio, Romney ignored shouted questions by reporters on whether he supported the Federal Emergency Management Agency's role in disaster relief.

Instead, he focused his remarks to supporters who donated relief supplies for storm victims on how such efforts contribute to meeting the overall need.

"We won't be able to solve all the problems with our effort this morning," Romney said, adding "one of the things you learn in life is you make the difference you can, and you can't always solve all the problems yourself."

Romney on storm aftermath: 'People are hurting'

Democratic critics of Romney and his running mate -- conservative House Budget Chairman Paul Ryan of Wisconsin -- argue their proposals to cut government spending and provide broad tax cuts without generating more government revenue will end up harming the economy and increasing the federal deficit.

Photos: New York recovers from Sandy

In particular, the Obama campaign challenges Romney's contention that increased economic growth from the tax cuts combined with shifting current federal responsibilities to states, the private sector and humanitarian agencies and charities can balance the budget.

Last year, Romney argued at a Republican presidential debate in New Hampshire that cutting federal spending should be based on prioritizing what is absolutely necessary and shedding the rest.

Asked by moderator John King of CNN if disaster relief efforts should be turned over to states, Romney said that "every time you have an occasion to take something from the federal government and send it back to the states, that's the right direction. And if you can go even further and send it back to the private sector, that's even better."

"Instead of thinking in the federal budget, what we should cut -- we should ask ourselves the opposite question. What should we keep?" Romney added. "We should take all of what we're doing at the federal level and say, what are the things we're doing that we don't have to do? And those things we've got to stop doing, because we're borrowing $1.6 trillion more this year than we're taking in."

King cut in to ask if Romney was referring specifically to disaster relief, a topic in the news at the time following a deadly Joplin, Missouri, tornado, and Romney continued: "We cannot afford to do those things without jeopardizing the future for our kids. It is simply immoral, in my view, for us to continue to rack up larger and larger debts and pass them on to our kids, knowing full well that we'll all be dead and gone before it's paid off. It makes no sense at all."

Romney: States should handle emergency management

With then-Hurricane Sandy bearing down on the East Coast on Monday, Romney's debate comments from 16 months earlier became a topic of political discussion, and the Romney campaign issued a statement in response.

Sandy reminds us of climate change and other forgotten campaign issues

"Gov. Romney believes that states should be in charge of emergency management in responding to storms and other natural disasters in their jurisdictions," said the statement by spokeswoman Amanda Henneberg. "As the first responders, states are in the best position to aid affected individuals and communities, and to direct resources and assistance to where they are needed most. This includes help from the federal government and FEMA."

Henneberg added another sentence to the statement Tuesday, saying that "a Romney-Ryan administration will always ensure that disaster funding is there for those in need. Period."

Opinion: Sandy shows why we need FEMA

Craig Fugate, administrator of the emergency management agency, told reporters Tuesday that the agency had $3.6 billion remaining in its disaster relief fund. The agency works with state and local authorities as well as the American Red Cross and other agencies to help disaster victims rent temporary housing, repair their homes, get loans to cover small business and farm losses, as well as assisting in cleaning up storm debris including hazardous materials.

Vice President Joe Biden, meanwhile, said Tuesday that the federal response to Sandy was "working like it's supposed to," and he highlighted to reporters in Ohio what he described as unprecedented cooperation between city, state and federal authorities and agencies.

A White House statement also emphasized such cooperation, noting Obama spoke by phone with a host of Republican and Democratic governors and mayors from states affected by the storm.

Sandy's impact: State by state

Romney has made political dysfunction in Washington a target of his campaign, blaming Obama for what he calls failed leadership in being unable to forge a deficit reduction deal with Republicans.

Democrats blame Republicans for what they contend has been an unwillingness to compromise, and the focus on cooperation Tuesday by Obama and Biden appeared to be aimed in part at demonstrating the administration's ability to get things done.

The question of the size and scope of the federal government is at the heart of both campaigns.

Obama and Democrats argue that entitlement programs such as Social Security, Medicare and Medicaid are vital to the social contract to provide contributing citizens with basic needs, and that government also has a role to play in education and technological development while providing services such as national defense and disaster relief.

Opinion: Sandy debunks 'nanny state'

Republicans, driven by the party's conservative wing, call for immediate steps to erase the chronic budget deficits and mounting federal debt that they say imperil national security and stability. They want to shrink the size of government and reduce taxes while reforming entitlements by partial privatization, reducing and delaying some benefits and other steps.

Sensitive issues such as disaster relief generally play to the advantage of Democrats and their support for government benefits, especially in a time of crisis when images of suffering victims dominate the airwaves.

Superstorm Sandy breaks records

Obama has avoided any direct political talk in recent days as the huge storm approached the Eastern seaboard, canceling campaign events and focusing his attention on the administration's response. In statements Monday and Tuesday on the storm and its aftermath, he emphasized the need for a collective response while also making sure to point out the federal role in relief efforts.

"We've been able to get over 1,000 FEMA officials in place, pre-positioned," the president said. "We've been able to get supplies, food, medicine, water, emergency generators, to ensure that hospitals and law enforcement offices are able to stay up and running as they are out there responding."

He also sounded a main campaign theme by ensuring those hit hardest by the storm that his administration and the entire nation were with them.

"This is a tough time for millions of folks across the Eastern seaboard, but America is tougher and we are tougher because we pull together, we don't leave anybody behind, we make sure that we respond as a nation," Obama said.

Obama visits Red Cross: 'Storm is not yet over'

At about the same time he spoke, the White House announced that Obama will travel to New Jersey on Wednesday "where he will join Gov. Christie in viewing the storm damage, talking with citizens who are recovering from the storm and thanking first responders who put their lives at risk to protect their communities."

While the president and one of Romney's top supporters will be photographed together responding to disaster, Romney is scheduled to be in Florida for three campaign events.

How to help after the superstorm

CNN's Rachel Streitfeld, Kevin Liptak, Tom Watkins and Mike M. Ahlers contributed to this report.

@highlight

Mitt Romney surrogate Chris Christie praises President Barack Obama's response to Sandy

@highlight

The superstorm focuses attention on the role of government in disaster relief

@highlight

Romney advocates a state-led approach, but his campaign promises enough funding

@highlight

Obama emphasizes federal, state and local cooperation