A common benchmark in the United States for determining when a driver is legally drunk is not doing enough to prevent alcohol-related crashes that kill about 10,000 people each year and should be made more restrictive, transportation safety investigators say.

The National Transportation Safety Board recommended on Tuesday that all 50 states adopt a blood-alcohol content (BAC) cutoff of 0.05 compared to the 0.08 standard on the books today and used by law enforcement and the courts to prosecute drunk driving.

"Most Americans think that we've solved the problem of impaired driving, but in fact, it's still a national epidemic," NTSB Chairman Deborah Hersman said.

The idea for a tighter standard is part of a safety board initiative outlined in a staff report and approved by the panel to eventually eliminate drunk driving, which accounts for about a third of all road deaths in the United States.

NTSB looks to technology to end drunken driving in the U.S.

Hersman said progress has been made over the years to reduce drunk driving, including a range of federal and state policies, tougher law enforcement, and stronger advocacy. But she said too many people are still dying on America's roads.

The board acknowledged that there was "no silver bullet," but that more action is needed at the federal and state levels.

"In the last 30 years, more than 440,000 people have perished in this country due to alcohol-impaired driving. What will be our legacy 30 years from now?" Hersman asked. "If we don't tackle alcohol-impaired driving now, when will we find the will to do so?"

Lowering the rate to 0.05 would save about 500 to 800 lives annually, the safety board  said.

Under current law, a 180-pound male typically will hit the 0.08 threshold after four drinks over an hour, according to an online blood alcohol calculator published by the University of Oklahoma. That same person could reach the 0.05 threshold after two to three drinks over the same period, according to the calculator.

Supreme Court rules against police in drunk driving case

Many factors besides gender and weight influence a person's blood alcohol content, and many states outlaw lower levels of inebriation when behind the wheel.

The NTSB investigates transportation accidents and advocates on safety issues. It cannot impose its will through regulation and can only recommend changes to federal and state agencies or legislatures, including Congress.

But the independent agency is influential on matters of public safety and its decisions can spur action from like-minded legislators and transportation agencies nationwide. States set their own BAC standards.

The board also recommended on Tuesday that states vastly expand laws allowing police to swiftly confiscate licenses from drivers who exceed the blood alcohol limits.

And it is pushing for laws requiring all first-time offenders to have ignition locking devices that prevent cars from starting until breath samples are analyzed.

In the early 1980s, when grass-roots safety groups brought attention to drunk driving, many states required a 0.15 BAC rate to demonstrated intoxication.

But over the next 24 years, Mothers Against Drunk Driving and other groups pushed states to adopt the 0.08 BAC standard, the last state falling in line in 2004.

The number of alcohol-related highway fatalities, meanwhile, dropped from 20,000 in 1980 to 9,878 in 2011, the NTSB said.

Drunk-drive blood tests divide Supreme Court

In recent years, about 31 percent of all fatal highway accidents were attributed to alcohol impairment, the NTSB said.

"I think .05 is going to come. How long it takes to get there, we don't know. But it will happen,"   said the NTSB's Robert Molloy, who helped guide the staff report.

For some, the vote struck close to home.

NTSB board member Robert Sumwalt noted that one of his relatives had been killed by a drunk driver and another is serving a 15-year sentence in a related death.

Many of the recommendations "are going to be unpopular," Sumwalt said. "But if we keep doing what we're doing, we're not going to make any difference."

The NTSB cited research that showed most drivers experience a decline in both cognitive and visual functions with a BAC of 0.05.

Currently, more than 100 countries on six continents have BAC limits set at 0.05 or lower, the safety board said.

The NTSB has asked all 50 states to do the same.

CDC: Teen drinking and driving rates cut in half

A restaurant trade association, the American Beverage Institute, attacked the main recommendation, saying the average woman reaches 0.05 percent BAC after consuming one drink. The group said it based that conclusion on a chart it said was used by auto safety regulators at the National Highway Traffic Safety Administration (NHTSA).

But NHTSA told CNN on Tuesday it no longer uses that chart "as there are many variables" that contribute to an individual's level of intoxication. A new NHTSA chart shows a person with a 0.05 BAC level experiences "reduced coordination, reduced ability to track moving objects, difficulty steering, (and) reduced response to emergency driving situations."

A beer industry trade group said it would examine NTSB's recommendation for lowering the blood-alcohol threshold.

"However, we strongly encourage policymakers to direct their efforts where we know we can get results: by focusing on repeat offenders and increasing penalties on those with BAC of (0.15) or more," said Joe McClain, president of the Beer Institute.

The safety board also recommend that NHTSA provide financial incentives to states to carry out the changes.

NHTSA, which oversees highway safety as a federal regulator and analyzes traffic crash data, said it would work with any state that wants to pursue a lower BAC standard to "gather further information on that approach."

At Tuesday's meeting, the safety board also championed laws allowing police to confiscate a motorist's license at the time of arrest if the driver exceeds a BAC limit, or refuses to take the BAC test.

Some 40 states already use the administrative tool, which the NTSB believes is effective because it is swift and immediate.

And the board recommended more widespread use of passive alcohol sensors, which police can use to "sniff" the air during a traffic stop to determine the presence of alcohol.

The sensor is capable of detecting alcohol even in cases where the driver has attempted to disguise his breathe with gum or mints.  If the sensor alerts, it is grounds for more thorough testing.

The NTSB recommended last December that states require ignition interlocks for all DUI offenders and said states should improve interlock compliance.

Tuesday's recommendations were timed to coincide with the deadliest alcohol-related crash in U.S. history.  On May 14, 1988, a drunk driver drove his pickup the wrong way on Interstate 71 near Carrollton, Kentucky.  The truck hit a school bus, killing 24 children and three adults. More than 30 others were hurt.

What sways teens not to drink, drive? Stories, not stats

@highlight

For a decade, 0.08 has been the blood alcohol benchmark to consider a driver intoxicated

@highlight

National Transportation Safety Board would like to see a nationwide 0.05 level

@highlight

The board would also like to see swifter action on taking away offenders' licenses

@highlight

Restaurant, beer industries say focus should be on repeat offenders