Beijing (CNN) -- Chinese Foreign Minister Yang Jiechi on Tuesday called on the United States to tread carefully on issues related to China's core interests in order to build trust and avoid conflicts.

"In particular, the U.S. side needs to honor its commitments and carefully and properly handle Taiwan- and Tibet-related issues that concern China's core interests," Yang said at a news conference held on the sidelines of the Chinese legislature's annual meeting.

He also said that China and the United States were in "close communication" on the issues of Syria and Iran.

Yang said China opposed the development and possession of nuclear weapons by any country in the Middle East, including Iran. "At the same time," he added, "countries have the right to peaceful use of nuclear energy."

"The Iran nuclear issue should be resolved through dialogue, not confrontation, through cooperation, not sanctions," Yang said. "We oppose unilateral sanctions and believe the majority in the world agrees with that."

President Barack Obama and Israeli Prime Minister Benjamin Netanyahu said Monday they stood together in their efforts to prevent Iran from obtaining a nuclear weapon, but Netanyahu warned that time for diplomacy was running short.

Yang reiterated China's diplomatic stance on Syria, which has been the subject of international criticism. The minister said China's stance has been "gaining understanding and support in the international community."

China this week made new diplomatic efforts to help mediate in the Syria conflict, where President Bashar al-Assad's regime has been pursuing a nationwide campaign to crush the nearly year-old protests against his rule.

The United Nations says at least 7,500 people have died in the crackdown, while opposition activists put the toll at more than 9,000.

Li Huaxin, China's former ambassador to Syria, is visiting the troubled country on Tuesday and Wednesday as a representative of Yang.

Li is expected to discuss with Syrian officials China's "six point statement," which was issued this week. The statement calls for respect of Syrian sovereignty, delivery and distribution of humanitarian aid and support for mediation efforts by Kofi Annan, the former U.N. secretary-general who is now special joint envoy to Syria for the United Nations and the Arab League.

Yang reiterated China's opposition to unilateral outside intervention.

"People in the Middle East know the situation best and it should be resolved by the people in the Middle East. They should determine their own destiny," he said at the news conference Tuesday.

Yang said, although there are some differences and disagreements between Beijing and Washington, "on the whole the Sino-U.S. relationship has been moving forward, not backward."

This year, Obama and top defense officials unveiled a new U.S. defense strategy that focuses heavily on the Asia-Pacific region. Many Asian economies are growing fast, but the region contains numerous potential flashpoints that the administration has identified as crucial to U.S. interests.

The strategy calls for the United States to increase its military's "institutional weight and focus on enhanced presence, power projection, and deterrence in Asia-Pacific," said Defense Secretary Leon Panetta.

When asked whether Beijing views the strategic shift by the United States in Asia as threatening, the foreign minister replied: "The two sides should view bilateral ties from a long-term strategic perspective."

"China and the U.S. have more converging interests in the Asia-Pacific region than anywhere else in the world," he said. "We hope to see and welcome a constructive role by the U.S. in this region, and at the same time we hope that the U.S. side will respect China's interests and concerns."

Those include the issues of Taiwan and Tibet.

Beijing considers Taiwan a breakaway province and has never ruled out the use of force to achieve reunification.

If China were to use military force, the United States -- which does not support Taiwan independence -- could intervene under the Taiwan Relations Act, a 1979 law declaring that peace and stability in the area are in U.S. interests. That raises fears of a much wider conflict were China to intervene.

Taiwan's incumbent President Ma Ying Jeou was re-elected in January. He has fostered warmer ties with China in recent years, providing a lift to Taiwan's economy.

China is grappling with unrest and a series of self-immolations among its Tibetan population in western provinces like Sichuan. It has flooded some ethic Tibetan areas with security forces ahead of the anniversary this month of Tibetan protests in 2008 that ended in bloodshed.

The United States, which recognizes Tibet as an autonomous region of China, has expressed concern about the situation.

Looking ahead, Yang said he saw a trend of peace and development gaining momentum, even as the global community continues to deal with the impact of the international financial crisis.

"The global economy is recovering slowly," he said. "The challenges from climate change, energy and food security remain stark. All these issues will exert major impact on the global situation and on China's diplomacy in the years to come.'

@highlight

Chinese foreign minister cites Taiwan and Tibet as key issues

@highlight

He says China and the U.S. are in close touch on Iran and Syria

@highlight

China says countries have the right to 'peaceful use of nuclear energy'

@highlight

A Chinese envoy is visiting Syria this week amid other diplomatic efforts