Baghdad, Iraq (CNN) -- Abu Ali is 58 years old. He could be 78, his beard gray, body frail and his face a leathery road map that traces the unimaginable horrors his family has endured. It is a face that reflects a visceral human portrait of the grinding violence in Iraq and the toll it has taken on ordinary civilians.

The al-Jibouri family are not politicians, nor insurgents, nor religious radicals. They are -- or used to be -- a family of humble watermelon sellers, plying their trade with plump fruit from Mosul in their stall, barely 50 meters from their home in Baghdad.

Their descent into hell began on July 23, 2007. Their son Ali -- 19 and a week away from his wedding -- was working on the family stall when one of Baghdad's ubiquitous car bombs targeted the market area. He was killed instantly.

"I was a week away from marrying him off," Abu Ali sobs. "Instead I buried him."

Abu Ali doesn't stop crying the entire time we are with the family.

Eight thousand Iraqis died last year, according to the U.N. Iraq Body Count lists 640 civilian deaths so far in January. But numbers are anonymous and cold: to visit the al-Jibouri family is to see and feel and be suffocated by the human reality of those statistics.

As the politicians play politics, and the insurgents deal in death, it is people like this who suffer the fallout, as they always do in war.

Ali's devastated fiance Duaa later married Ali's brother Alaa. Together they had three children: a son, also called Ali, now aged three, and daughters Rukkaya, four, and Narjis, eight months.

In July last year the family was preparing for their annual pilgrimage to the holy city of Najaf, where Ali is buried, to honor his memory. It was July 20, a Saturday, and Alaa and brother Abbas were on duty at the water melon stand.

Everyone heard the bomb inside the family home. It rocked the walls and shook the ground.

Alaa, 23, and Abbas, 17, were blown to pieces, along with several other people. Today, the walls by the old watermelon stand are scarred by shrapnel.

Abu Ali has now lost all three sons. "No one will call me dad anymore," he wails.

The funeral was well attended: hundreds of neighbors and friends turned out, disbelieving what had happened to this family. Chanting and wailing mourners carried the coffins aloft to begin Alaa and Abbas's journey to Najaf to lie alongside Ali.

The children asked daily where their father was. Abu Ali and his wife, Umm Ali, at first couldn't face telling them the truth, instead saying he'd gone to Mosul for more watermelons. Eventually, of course, they had to explain that he, and their uncle, were dead.

"We tell them he has gone to paradise and is watching over them, but Ali especially cannot comprehend," says Abu Ali. "When we say his father is in paradise, he just cries."

Ali is clearly a traumatized boy. His sister seems happy enough, playing on a sofa with her cousin and a tattered doll. Alaa's other child, the baby daughter Narjis, was just a few weeks old when her father died. She smiles at me and touches my watch, enthralled by the shiny wristband and oblivious to her forlorn circumstances.

Then Rukkaya surprises us by suddenly counting to 10 in English. We applaud her and her face lights up with pride. She counts again, and then once more. The smiles her performance brings are a rare event in this home. Ali sits nearby, his head dipping and swaying, as it's done ever since his father died.

The family has a fourth son, Ammar, but after the second explosion he fell apart emotionally and was certain that one day he too would die. And then he vanished, simply disappeared. The family hasn't seen or heard from him since.

Alaa's widow, Duaa, still lives with the family, or what remains of it. She hides in the kitchen during our visit, unwilling to speak about what the two car bombs took from her.

Abu Ali continues to weep and lament the family's bleak future. The watermelon stand was the family's only income. They are seven months behind on the rent for their tiny three-room house on a muddy side street. Six people are crammed into the home, Abu Ali and Umm Ali, and Alaa's widow and three children.

"It's like we are living in a dark place," says the grieving mother, Umm Ali. "What does one do when you lose your children? We don't go out, we keep our door closed. We want to leave and not stay in this country, but we can't afford it."

"They were our bread winners," says Abu Ali. "They supported us, now I have no income, I have to now sell belongings. I haven't paid the rent for seven months.

"It's hard. I think of committing suicide, but what would happen to the children? If an official loses a son, all the media covers it and the family is looked after. I have lost three sons and the fourth fled and no one cares about us."

We leave Abu Ali and Umm Ali and the grandchildren they now raise and they thank us for telling their story to the world. We have no words, nothing that could possibly comfort or offer promise. Just gratitude for their courage in trying to get others outside this place to maybe understand the human cost of what goes on here.

Tomorrow, or the next day, there are sure to be more bombs or bullets sending more families down the tortuous road being navigated by Abu Ali.

READ MORE: Is Iraq worse than ever?

READ MORE: Ex-PM says violence could 'burn up' region

READ MORE: 'Bad old days' return to Baghdad

@highlight

The humble al-Jibouri family's descent into hell began on July 23, 2007

@highlight

Abu Ali was a week away from marrying off his son, but buried him instead

@highlight

In July last year, he lost two more sons to a bomb blast in Najaf

@highlight

Abu Ali doesn't stop crying the entire time CNN reporters are with the family