(CNN) -- The Central Americans crossing the U.S. border in massive waves have been described as immigrants or refugees.

The distinction is significant and could determine whether the migrants are subject to deportation to their home country or eligible to remain in the United States under asylum.

What is an immigrant?

An immigrant is someone who chooses to resettle to another country.

The United States has a legal process for that immigrant to seek legal residency and eventually citizenship.

Many immigrants, however, don't have such legal status and are thus undocumented. As such, they are subject to "removal" or deportation from the United States.

There are 11 million undocumented immigrants in the United States -- a problem that has led Democrats and Republicans alike to declare the U.S. immigration system as "broken." Congress has been deadlocked for years on how to reform immigration laws.

"Migrants, especially economic migrants, choose to move in order to improve the future prospects of themselves and their families," the U.N. High Commissioner for Refugees says. "Refugees have to move if they are to save their lives or preserve their freedom."

What is a refugee?

A refugee is someone who has been forced to flee his or her home country.

As such, refugees can apply for asylum in the United States, a process that could take years.

Getting refugee status isn't easy.

The applicants have to prove that if they return to their home country, they'll be injured because of their race, religion, nationality, membership in a particular social group or their political opinion.

"Refugees are generally people outside of their country who are unable or unwilling to return home because they fear serious harm," the U.S. Citizenship and Immigration Services says.

The Central Americans overwhelming the U.S.-Mexican border are Hondurans, Guatemalans and Salvadorans. Many are fleeing drug- and gang-fueled violence back home.

Is the violence -- any kind -- grounds for a refugee claim? Not necessarily.

The violence has to be targeted to a person specifically, and that's where things get complicated. Every case is different, and because of a law signed by President George W. Bush in 2008, children fall into a special class.

The William Wilberforce Trafficking Victims Protection Action Act, named after a 19th century British abolitionist, is designed to crack down on the global child slave trade. The U.S. law ensured that children who came to the country got a full immigration hearing instead of being turned away or sent back. The hearing would determine whether the children had a valid claim for asylum.

The law is now cited as one cause behind a projected 90,000 children from Central America and Mexico who will cross the U.S. border alone or with other children this year, a huge increase over the 39,000 that the Border Patrol detained last year.

Asylum is a protection available to people who are already in the United States or are seeking admission at the U.S. border.

CNN's Tom Cohen contributed to this report.

@highlight

The distinction can determine deportation from U.S. or the chance to stay under asylum

@highlight

An immigrant chooses to resettle to another country

@highlight

A refugee is forced to flee his or her home country

@highlight

Getting asylum in the United States isn't easy and could take years