(CNN) -- Less than three months ago, the Supreme Court of the United States handed down eagerly awaited rulings on same-sex marriage, voting rights and affirmative action. Next month, the court will begin its new term and likely deal with controversial issues such as abortion, campaign finance reform and the separation of church and state.

When the court is in the middle of a term, it is easy to focus on hard legal questions, the legal views of individual justices and the consequences of landmark decisions. Now is a good time, when the court is in recess, to take a step back and look at the institution itself.

A lifetime is too long

First, our Supreme Court justices are the only judges in the world who sit on a country's highest court and have life tenure. Because the president nominates the justices and the Senate confirms them, the American people do not elect the justices and cannot vote them out of office. In light of the crucial role the court plays across the spectrum of social, legal and political issues, the question of how long our justices serve should be re-examined.

Supreme Court justices often serve more than 25 years and beyond the time they are still fit to perform their duties. For example, according to renown author David Garrow, both Justices William O. Douglas and Thurgood Marshall remained on the bench well after their skills had significantly diminished beyond the point of competence.

The usual justification for life tenure is that the justices need to be independent of the other branches of the government to adequately perform their duties. This need for independence is real and compelling, but there are other ways to achieve that goal.

Other countries use fixed terms, retirement ages or a combination of the two to achieve the necessary independence. There simply is no persuasive reason to allow governmental officials who have virtually unreviewable power to hold their offices for life.

Few witnesses to history

The second aspect of our Supreme Court that needs to be changed is the lack of television coverage of oral arguments and decision announcements. What a shame that during the last week of June when the court handed down and read from the bench numerous important decisions -- including the overturning of the Defense of Marriage Act and the formula in Section 5 of the Voting Rights Act -- the American people had to hear the news indirectly from media personalities instead of the justices.

Similarly in 2012, when the court held three days of oral arguments on the president's most important piece of legislation, the Affordable Care Act, the public should have been able to witness those arguments just like the lucky few who happened to be in the courtroom.

Moreover, it is close to a tragedy that future generations will have absolutely no video record of the court's arguments or decisions in these landmark cases. It would be an invaluable learning tool if young Americans today could see the oral arguments in Brown v. Board of Education or Roe v. Wade.

More than 30 state supreme courts allow cameras in the courtroom with great success. Supreme Court Justices John Roberts and Anthony Kennedy have suggested that the presence of television would lead to grandstanding by lawyers and maybe even the justices themselves, but the experiences in state courts demonstrate such concerns are greatly exaggerated.

When Arkansas was considering placing cameras in the courtroom, Justice Robert L. Brown conducted a survey and found that "state supreme courts have blazed a significant technological trail. ... The public's response, according to those state supreme courts that provide those video broadcasts, border[ed] on the exuberant. . . [N]o state that currently provides video of its oral arguments cites grandstanding as a problem."

Arkansas has joined the majority of states that allow cameras in their courtrooms. There is simply no good reason for the Supreme Court not to do exactly the same thing.

A joke of a job interview

Finally, we have to do something about the national farce that is our Supreme Court nomination process.

The sad spectacle of senators asking questions drafted by their staffs and then allowing the nominees to duck them should give way to serious conversations about the nominees' views so that the American people can participate more fully in the confirmation process. As almost everyone now knows, the justices have enormous discretion to decide cases in accordance with their personal and political value systems.

The differences between Justices Antonin Scalia and Ruth Bader Ginsburg on most constitutional questions have nothing to do with legal interpretation and everything to do with their different backgrounds, experiences and values.

The Senate should do a much better job requiring nominees to answer hard questions about those values and experiences before the nominees are allowed to sit on the highest court in the land.

The opinions expressed in this commentary are solely those of Eric Segall.

@highlight

Eric Segall: Life tenure allows justices to serve past the point of competence

@highlight

Segall: Court should follow lead of many states and allow cameras in courtroom

@highlight

The Supreme Court nomination process is a farce, he adds