(CNN) -- Is al Qaeda looking to ground transportation as a promising target after the introduction of intense security measures for air travel? And are its supporters able to operate out of Iran without hindrance?

Those two questions have been raised after the announcement by Canadian police on Monday that they had thwarted a plot to attack a rail link between Canada and the United States.

The Canadian announcement has puzzled some terrorism experts, because Iranian authorities are widely seen as hostile to al Qaeda. Iran has denied the conspiracy could have been plotted from its territory.

Canadian officials say they did not think the alleged conspirators were "state-sponsored" but suspect al Qaeda elements in Iran had provided two men in Canada with direction, guidance and information.

As CNN National Security analyst Peter Bergen noted, "If these allegations are true, it would appear to be the first time that al Qaeda elements based in Iran have directed some kind of plot in the West."

While Western intelligence agencies have long thought that al Qaeda operatives are present on Iranian soil, they were thought to be under some form of house arrest and under strict control.

Many al Qaeda sympathizers and members took refuge in Iran in the aftermath of the post 9/11 invasion of Afghanistan, including one son of Osama bin Laden, Saad bin Laden, and a son-in-law, Sulaiman Abu Ghaith. Abu Ghaith left Iran in February this year and entered Turkey, but was subsequently arrested in Jordan and flown to the United States in March.

It's still unknown whether he left Iran of his own volition or was told to go. But Iran has become increasingly hostile to al Qaeda as it has become a Sunni sectarian group, especially in Iraq and Syria, as much as an anti-western outfit.

In Syria, the al Qaeda-linked Jabhat al Nusra is one of the most effective fighting groups against the regime of Bashar al-Assad, which is heavily backed by Tehran.

The vast majority of Iranians are from the Shia sect of Islam, and al Qaeda has frequently targeted Shia communities and mosques in Iraq. Al Qaeda leader Ayman al Zawahiri has often railed against Iran in his speeches.

But the United States says there appears to have been some tactical co-operation between the Islamic Republic and al Qaeda. In 2011, the U.S. Treasury Department accused Iran of a "secret deal with al-Qa'ida allowing it to funnel funds and operatives through its territory."

Railroad Targets

Another aspect of the alleged Canadian plot is that it underlines the enduring interest of al Qaeda and its supporters in attacking railroad systems, seeing such operations as relatively cheap and easy to carry out -- with potentially devastating results.

A senior law enforcement official in the United States told CNN's Gloria Borger that one of the routes targeted was between New York and Toronto, with the alleged conspirators looking at possible targets in the Toronto area, such as trestles over roads or water.

"I worry about the vulnerability of mass transit because we know they've been on al Qaeda's radar screen," Robert Liscouski, a former director of infrastructure protection at the Department of Homeland Security, told CNN.

Liscouski said that while significant steps had been taken in the United States to make air travel more secure, not enough was being done to reduce the vulnerability of mass transit to bomb attacks.

He told CNN that there needed to be greater investment in random searches by agents with explosive trace detection equipment and greater deployment of CCTV cameras, saying the extra investment needed in mass transit security amounted to a fraction of the economic cost of a successful attack.

Al Qaeda's interest in attacking railroads was underlined in the wake of the raid that killed Osama bin Laden in May 2011. Documents recovered from his compound in Abbottabad in Pakistan revealed that early in 2010, al Qaeda had discussed an idea to derail a train in the United States, several U.S. officials told CNN. The plan was to be executed coinciding with the 10th anniversary of the September 11 attacks.

By then, two plots against U.S. railroad targets had already been foiled. In March 2008, American al Qaeda recruit Bryant Neal Vinas discussed a plan to attack the Long Island Railroad with al Qaeda operatives in a jihadist encampment in the tribal areas of Pakistan. Vinas later testified that his idea was for an al Qaeda operative to leave a suitcase bomb with a timer on a train and then exit at a station before the device exploded.

His al Qaeda handler then decided the best scheme would be to launch a suicide bombing on a train as it entered a tunnel, to create maximum devastation.

In September 2009, the FBI broke up an al Qaeda plot by Najibullah Zazi and two others to bomb New York subway lines. At their subsequent trial two of the group testified that they settled on a plan to target New York subways during rush hour so they could cause the heaviest number of casualties, instill fear, and inflict maximum economic damage.

Authorities were alerted to the planned attack only days before Zazi drove from Denver to New York, after his communication with a known al Qaeda facilitator in Pakistan was intercepted. Zazi had apparently been asking his handler for help in making the explosive TATP.

Al Qaeda cells have also plotted attacks on railway systems in Spain and Germany. The most lethal was carried out on board several commuter trains in Madrid in March 2004, in which 191 people were killed and more than 1,700 injured.

There is little evidence to link "al Qaeda central" with the Madrid attack, which involved a cell of mainly Moroccan immigrants. Several weeks later the cell that carried out the attack attempted to blow up a bridge on the Madrid-Seville high-speed train line.

The plot was abandoned after the terrorists realized they had been spotted by nearby workers, who alerted police, a Spanish official told CNN. The official added that hundreds could have been killed given the quantity of explosives left at the scene.

The explosives were similar to those used in the Madrid attacks. Bomb disposal experts found between 24 pounds (10 and 12kg) of explosives connected to a detonator with a 440-foot (135-meter) cable.

On July 7, 2005, al Qaeda suicide bombers killed dozens on the London underground system. A follow-on attempt two weeks later failed when the bombs malfunctioned.

In December 2012, German police discovered a crude improvised explosive device placed in a bag on a platform at the main railway station in Bonn. German authorities have stated they have "robust evidence" Islamist extremists were involved but no arrests have yet been made.

@highlight

Canadian authorities suspect al Qaeda elements in Iran provided guidance to alleged plotters

@highlight

Iran has denied the alleged rail conspiracy could have been plotted from its territory

@highlight

Western intelligence has long thought any al Qaeda operatives in Iran are under strict control

@highlight

Al Qaeda's interest in attacking railroads underscored following death of Osama bin Laden