(CNN) -- Immigrants in Illinois without a valid visa or green card could soon carry one form of state-issued documentation -- a driver's license -- thanks to a law signed Monday by the governor.

The bill could affect about 250,000 drivers who traverse Illinois' roads without a license or other documentation that authorizes their presence in the United States. Once it takes effect in 10 months, those who have been in Illinois for over a year who aren't eligible for a Social Security number can get a driver's license if they pass a driving safety test and have valid automobile insurance.

Although he referenced the divisive immigration debate in Washington, Gov. Pat Quinn said the measure signed Monday was mostly motivated by a desire to optimize safety along Illinois roads. Another aim is to reduce an estimated $64 million in annual damage claims related to accidents involving undocumented immigrants, thereby lowering insurance premiums paid by others Illinois drivers.

"Illinois is moving forward," the governor said. "This common sense law will help everybody, regardless of their background, learn the rules of the road, pass a driving test and get insurance. As a result, our roads will be safer, we will create more access to job opportunities, and our economic growth will be strengthened."

The statement issued by Quinn's office touts the positive effect the new law will have on undocumented immigrants -- and, it argues, on the state's economy as a whole.

Specifically, it cites studies that show immigrants "who drive legally are more likely to work, spend and contribute to the economy." And those with driver's licenses will have more job opportunities available to them, which the governor's office says should generally boost businesses in the state.

Access to driver's licenses is also important to immigrant rights groups, who see it as a sign of inclusiveness and perhaps a harbinger of broader immigration reform that will keep more families together.

"Today is a proud day for our immigrant community," said Illinois Coalition for Immigrant and Refugee Rights CEO Lawrence Benito. "The signing of today's law sends a clear signal: Our country is ready to unite in a bipartisan manner to pass a humane immigration reform that includes a pathway to citizenship."

State Senate Minority Leader Christine Radogno, a Republican, said her state's politicians should be proud of the effort, which she said was necessitated by "the inaction of the federal government."

Another Republican, state House Minority Leader Tom Cross, praised a law he said will allow more Illinois residents to legally "go to work, take their kids to school or the doctor," in addition to making "the roads safer for all residents."

Opinion: Stars align on immigration

"Today in Illinois, we take a monumental step in recognizing the needs of many hard-working immigrants living here and contributing so much to our great state," Cross said.

But not all Republicans nationwide support such an initiative. New Mexico Gov. Susana Martinez said last week that she'll push -- for the third time -- to repeal what she called a "dangerous law" that lets undocumented immigrants in her state get driver's licenses.

Critics claim that the 2003 law has made New Mexico a magnet for fraud, with state Secretary of Taxation and Revenue Demesia Padilla contending in 2011 that "illegal immigrants from all over the country come to New Mexico to obtain a license without having the intention of staying here."

The only other state to allow undocumented immigrants to get driver's licenses is Washington. Utah issues driving privilege cards to undocumented immigrants who live in the state for more than six months.

Monday's announcement in Chicago comes the same day a bipartisan group of eight U.S. senators floated their framework for national immigration reform. President Barack Obama -- whom some Latinos had criticized for not making immigration a top priority in his first term, though they overwhelmingly backed him in the 2012 election -- will address the issue Tuesday night.

Possible compromise on immigration reform takes shape

Among other elements, the senators' proposal includes a "tough but fair" path to citizenship for undocumented immigrants living in the United States and a guest worker program for jobs that Americans are either unable or unwilling to fill.

This plan drew swift condemnation from some conservative groups and politicians, reflecting the battle lines on the issue that have been drawn in earlier debates and suggesting that it won't be easy to get any such legislation through Congress.

NumbersUSA, a group seeking to reduce U.S. immigration, called the senators' plan an attempt to "out-amnesty Obama" and said it will urge its 1.3 million members to push to fight it. And Rep. Lamar Smith, R-Texas, said the proposed measures may cost taxpayers millions of dollars as well as thousands of jobs.

"By granting amnesty, the Senate proposal actually compounds the problem by encouraging more illegal immigration," Smith said.

@highlight

Illinois governor signs law that may affect 250,000 who don't have visa or green card

@highlight

Immigrants who pass a driver's test and have insurance can get a driver's license

@highlight

Bipartisan backers say the law bolsters safety, economy and "hard-working immigrants"

@highlight

Signing comes as debate about federal immigration reform continues in Washington