(CNN) -- Kremlin critic and Russian opposition politician Alexei Navalny has been convicted of misappropriating $500,000 worth of state-owned timber.

A court freed him from detention on July 19, pending an appeal of the court's ruling against him.

Navalny has been campaigning for the Moscow mayoralty -- officially registering as a candidate the day before his conviction -- and there have been allegations his trial has been politically-motivated.

Russian authorities insist that is not the case.

LATEST: "I'll win Moscow," says Navalny

Who is Alexei Navalny?

Navalny is a corruption fighting lawyer who famously branded the ruling United Russia party -- founded by President Vladimir Putin -- "the party of crooks and thieves."

He has been a prominent organizer of street protests and has attacked corruption in Russian government, using his blog and social media.

In a 2011 article entitled "Russia rising: The Blogger Who Is Putin's Greatest Challenger," TIME magazine's Simon Shuster said before 2010 Navalny had been known "only to a fairly small online community."

But in November 2010, Shuster said, Navalny "blew the whistle" on what he said was a $4 billion embezzlement scheme at the state-run oil pipeline operator Transneft -- a claim vigorously denied by the head of the company and Russian president Vladimir Putin.

In January 2011, Transneft's boss branded the claims inaccurate, according to Reuters news agency. And in September that year, state-run news agency RIA Novosti quoted President Putin as saying no crimes had been committed by Transneft.

"The leaked documents he presented as evidence, which he posted on his blog, caused a sensation in the Russian and international press, and Navalny soon became known as Russia's top crusader against corruption," wrote TIME's Shuster.

OPINION: Putin a hypocrite on Snowden, Navalny

In 2012, TIME included Navalny on its list of "The World's 100 Most Influential people."

Russian chess legend and opposition activist Garry Kasparov wrote the entry on Navalny -- then 35 -- saying he was -- "at the vanguard" of data dissidents.

How much of a threat does he pose to Putin/Kremlin?

CNN's Moscow correspondent Phil Black said Navalny's passion, charisma, fierce language and commitment to fighting corruption inspired many to join him in protesting on the streets.

Maria Lipman, a political analyst at the Carnegie Moscow Center think-tank, said during the 2011 and 2012 protests over alleged fraud in Russia's parliamentary and presidential elections Navalny was "by far the most popular figure."

"Navalny quite bravely took on some of the very influential people in Russia," she said.

Lipman said Navalny was a fearless and very talented public politician who had managed to "beat the system that Putin built" to keep outsiders out of the political framework.

Navalny presented "a serious political challenge as a result of his unique personality and his amazing energy," she said. "He was able, as a result, to build a following."

"He's become a popular figure but he cannot be described as the leader of the opposition," she said. "He is the most prominent civic figure."

What are the details of his case?

A court in the city of Kirov on July 18 found Navalny guilty of misappropriating about $500,000 in a lumber deal when he was an adviser to the Kirov region's governor. It sentenced him to five years in prison.

Was the verdict expected?

The day before his trial began in April this year, Navalny told CNN's Phil Black he knew he would be convicted and that it was likely he would be jailed.

"I've been investigating corruption in state-run companies by government officials for the last six years. These people steal billions. I'm making it harder for them to steal and they understand my anti-corruption work is a threat."

Asked if he believed he had any chance of winning the case he replied: "Of course not. They didn't fabricate this case to allow that and it's obvious for me it's going to be a guilty verdict."

Why would he be jailed unless he was guilty?

The court found Navalny guilty but his lawyers are appealing the verdict. Russian law forbids convicted criminals running for political office.

Talking to Phil Black before the trial began, Navalny said: "It's true one of Putin's goals in this trial is to stop me from being involved in politics but this law only exists in Putin's system and our goal is to destroy Putin's system."

Lipman said she also believed the verdict was politically motivated. "The government is using law enforcement and judiciary machines to lock up a man who is a political challenge. There is hardly any doubt that the verdict in the courtroom was not made by the judge himself," she said.

"There is every reason to suggest that the verdict announced on July 18 in Kirov was a decision made somewhere very high in the Kremlin executive."

Russian authorities have always insisted Navalny's prosecution is not political.

But a senior investigator recently admitted his colleagues had fast tracked their work in Navalny's case because of his criticism of Russia's political system.

"The suspect is doing his best to draw attention to himself; one could even say he is teasing the authorities," said Vladimir Markin, the spokesman of Russia's Investigative Committee, in April, according to the Washington Post. "So interest in his past grew and the process of bringing him out in the open naturally sped up."

President Putin's spokesman, Dmitry Peskov, told CNN that Putin had not followed Navalny's trial.

So then why has he been released?

When Navalny arrived in court the day after his conviction, he found the prosecutor who had argued he should be sent to prison arguing instead for his release pending appeal, so that he could continue campaigning for the Moscow mayoralty.

Navalny quipped that the court needed to establish the identity of the prosecutor because he may have been replaced by a double.

Lipman described Navalny's release as an "amazing twist."

She said that his release was unlikely to have been as a result of protest action after the verdict was announced. The protest hadn't been nationwide and involved just a few thousand people, she said.

"It was not enough to force the authorities to retreat. Also, the prosecutors' request that he be released ... was filed even before there was a big crowd in the streets. It's really hard to believe.

"It could be the result of some sort of intrigue -- rivalries, tensions at the very top of the Russian political elite."

But she said any political involvement would be denied by the government.

"Their response, invariably, is, it's up to the court to decide," she said. "Of course they would never admit how they interfere."

RIA Novosti reported that the trial judge "repeatedly rejected claims over his partiality and denied several motions to have him replaced."

Will the conviction affect his bid to become mayor of Moscow?

Lipman said that if Navalny's conviction was upheld by a higher court, his name would be unable to appear on an electoral ballot. However, she said he could campaign in the meantime.

"After his release yesterday he can continue running. The idea is that now he is at large up until his lawyers send in an appeal in a higher court re-examine his case. He remains at large and his verdict is not effective," she said.

She said there was "good reason to predict" that the high court would uphold the verdict before the end of the campaign for the September 8 election.

"He is still on a hook. In a theory, this higher court could make a ruling even earlier and effectively terminate his campaign."

Speaking to reporters outside court after he was released, Navalny said he would return to Moscow to discuss his next steps with his staff, RIA Novosti said.

"Regarding my participation in the elections, I am not some kind of a kitten or a puppy to whom they first say it can't participate in the elections and then they say, 'let's release him for a while so he can participate in the elections,'" he said.

Once in Moscow, he will decide whether to boycott the election or continue his campaign, he said, according to the news agency.

"We'll discuss it with the staff and with the volunteers. For now, I will stay a candidate, I am not retreating."

How has Navalny's conviction been received in Russia?

Lipman said Navalny's conviction was not likely to cost Putin any support.

"I don't think it will affect his standing in the eyes of the conservative majority. The status quo is suspicious of any troublemaker," she said.

"The minority of more modernized urban Russians -- people who resent the government for being lawless -- people likely to sympathise with Navalny -- I think they will be even angrier.

"The rift between them and the government will become even broader, but we are talking about a minority."

What about the rest of the world?

The day Navalny was convicted, the European Union's top diplomat, Catherine Ashton, called the trial a sham. And former Soviet leader Mikhail Gorbachev issued a statement saying the case "unfortunately confirms that we do not have an independent judiciary."

Rachel Denber, deputy director of Human Rights Watch's Europe and Central Asia division, said she was not surprised by the guilty verdict but was shocked by the five-year prison sentence.

"Navalny's prosecution is meant to silence a leader and messenger," she said.

Amnesty International's Europe and Central Asia program director, John Dalhuisen, said, "This was a parody of a prosecution and a parody of a trial. The case was twice closed for lack of evidence of a crime, before being reopened on the personal instruction of Russia's top investigator."

But Lipman pointed out the world had also expressed outrage over Russia's crackdown on protesters in 2011 and 2012.

"I don't think it has an effect. Not on previous occasions and not this time."

@highlight

Russian opposition politician Alexei Navalny has been convicted of misappropriation

@highlight

A court freed him from detention on July 19, pending an appeal of the court's ruling against him

@highlight

Navalny famously branded the ruling United Russia party "the party of crooks and thieves"

@highlight

He claims his trial was politically motivated, an allegation the authorities have denied