(CNN) -- In the 100 years since British army officer T.E. Lawrence traversed Jordan's desert and the half century since David Lean set out to capture it for his cinematic epic "Lawrence of Arabia," the blood red landscape that entranced both men has scarcely changed.

Still "vast, echoing and God-like" -- as Lawrence wrote in his account of his war experiences "Seven Pillars of Wisdom" -- the desert's hidden gems are now accessible to all.

Today, Jordan is one of the Middle East's safest tourist destinations and plays host to an endlessly varied landscape. Fifty years since the film crews left, following in Lawrence, and later Lean's, footsteps can still reveal some of Jordan's finest desert jewels.

Wadi Rum

When Lawrence, as a junior officer, was first sent out into the desert to locate the Hashemite rebels who he would join in revolt against the Ottoman Empire, he found himself in a vast gorge, where red rock monoliths rose more than 800m into the air around thin sand corridors.

He was inspired to write of the granite and sandstone cliffs "sheering in like a thousand-foot wave towards the middle of the valley."

In the south of modern day Jordan, 300km from capital city, Amman, near the border with Saudi Arabia, the landscape appears unchanged from the scenes described by Lawrence -- the same landscape which Lean used as the backdrop for the Englishman's first encounter with Alec Guinness' Prince Faisal -- in what is now a protected UNESCO World Heritage Site.

Click on the pindrops above to trace Lawrence of Arabia's Jordan. All photos courtesy Jordan Tourism Board

The natural wonder remains awe-inspiring, says travel writer Matthew Teller who authored the Rough Guide to Jordan: "It's a very evocative place, the sound is echoing off the walls around you, you're looking up and down this broad desert canyon with sun coming down and the blue sky above."

The desert dunes

Lawrence's masterplan of leading an army across the arid brick-red sand of the desert to launch an attack on the coastal town of Aqaba -- an idea considered so perilous that the Ottomans had not bothered to defend against it -- became his defining act.

Those wishing to follow in Lawrence's footsteps can take camel treks from Wadi Rum, says tourism expert Yousef Zureqat, who has worked with Jordan's Dakkak Tours to develop their Lawrence of Arabia adventure trails. More leisurely tourists can explore the wild terrain from the comfort of 4x4s with air conditioning.

The real treat, agree Zureqat and Teller, is connecting with the culture of the Zalabia Bedouin, the descendants of those tribesmen who joined Lawrence in revolt and participated in the filming of Lean's movie.

Eating lamb cooked slowly in a Zarb (sand oven) in the company of the Bedouin, camping out under the stars in black goat hair tents and seeing the sunset "make the desert come alive," says Teller.

Aqaba

At the other edge of the desert lies in the far south of the country, lies Jordan's tiny Red Sea coast and the coastal fortress which would make Lawrence famous.

In 1917, this was where Lawrence claimed credit for uniting Bedouin tribes to mount a surprise attack, emerging from the desert to defeat Ottoman forces whose artillery pointed out to sea.

In David Lean's film, Lawrence lures Anthony Quinn's mercenary tribal leader Auda Abu Tayi to join the attack with the promise of a "great box" of gold in Aqaba.

Since then the fortune of the country's only sea port has only grown: Aqaba now boasts 5* luxury seaside resorts, beach hotels and a marine park.

Amid this modern day opulence, the historic 14th century fortress is still there, though damaged by Lawrence's attack and an earthquake a decade later, and is open to visitors.

Azraq

In "Seven Pillars of Wisdom," Lawrence described the harsh winter of 1917 when -- as he and Faisal prepared to lead their troops north to capture Damascus -- they stopped to rest at the oasis and ancient fort of Azraq.

Far from the path of most tourists, says Teller, the fortress -- including Lawrence's room above the gateway -- are now guarded by the direct descendants of those who provided refuge to Lawrence and Faisal's army.

Visitors willing to travel out to "The Blue Fort" -- one of a string of desert castles built by the Umayyad Dynasty in the 7th and 8th century -- can experience the "unfathomable silence" Lawrence recounts in his book.

While there, visitors can also enjoy the Azraq Wetlands Reserve, established by the Jordanian Royal Society for the Conservation of Nature. Dawn bird watching is popular, says Teller, with migratory birds stopping in the area to drink at the only oasis in 12,000 square kilometers of desert.

Amman

When Lawrence arrived in Jordan in 1916, Amman was a village, home to the ruins of Roman, Byzantine and Islamic civilizations and a new train station on the Ottoman Hejaz Railway.

By the time he sat down to write his account in "Seven Pillars of Wisdom," the railway was in tatters and Amman was capital of the new Emirate of Transjordan -- both thanks, chiefly, to Faisal and Lawrence's revolt.

Today, Amman's sprawling business, technology and financial districts dwarf the old town. But relics of Lawrence's stay can still be found.

The original railway carriages dating from 1908 still make chartered journeys from Qatrana, 90km to the south, on one of the last surviving stretches of the Hejaz Railway, says Zureqat.

Teller describes an old Ottoman-style building of "creamy limestone, with tiled floors, a semicircular veranda in a wooded garden on the slope of a hill overlooking downtown Amman."

It is now a gallery for contemporary Jordanian and Arab art called Darat al-Funun. But, Teller says: "This very beautiful old building was (British Arab Legion Commander) Frederick Peake's house, and the story goes that when Lawrence was a guest of Peake in the early twenties, this house was where he wrote some, or all, of 'Seven Pillars of Wisdom.'"

The 50th Anniversary 4K Restoration of "Lawrence of Arabia" opens in cinemas across the UK on 23 November.

@highlight

Many of the key scenes in David Lean's epic 1962 film "Lawrence of Arabia" were filmed in Jordan

@highlight

The film celebrates its 50th anniversary this month

@highlight

"The Seven Pillars of Wisdom," Lawrence's account of his wartime experiences in the region form the basis for the film

@highlight

Many of the locations described in the book and captured in the film are preserved for visitors today