(CNN) -- In the white sand beaches of Yoff, the small fishing town just north of the Senegalese capital Dakar, a seemingly endless line of brightly colored boats dots the Atlantic seaside.

It was here, about four years ago, that Spanish designer Ramon Llonch was first struck by the mysterious symbols and intricate patterns adorning the hand-painted wooden vessels.

"I was amazed by the beauty of the fishing boats, many of which were old, damaged by the salt and the sun or abandoned," remembers Llonch, who was at the time cycling solo around the West African country. "I was captivated by that colorful mosaic of life with the women selling the fish and the men approaching the shore," he adds.

Read this: African firm invests billions in U.S.

Looking at the old, weathered canoes, Llonch started wondering whether he could find a new use for them while preserving the history of their owners. His idea was to work with skillful local craftsmen and breathe new life into the traditional "pirogues" by transforming them into hand-made furniture.

And that's how Artlantique was born, a company repurposing boats that are no longer sea worthy into upcycled fittings -- anything from whimsical chairs and coffee tables to one-of-a-kind cabinets and even foosball tables.

"It's like a reincarnation of something that had life before -- a life in the Atlantic, a life in Africa," says Llonch. "Every time you see this furniture, you have a piece of the soul and the history of these fishermen," adds the 52-year-old designer.

Long journey

From the waters off the coast of Senegal, through the Dakar-based workshop, to several stores across the world, the journey of transforming the old fishing boats into furniture is far from easy.

Artlantique employs 12 craftsmen, including a co-ordinator who is in regular contact with the local fishermen about the purchase of those boats whose life span on the ocean waters has ended -- usually after 40 to 50 years of use.

Read this: Can Africa unlock its solar potential?

After transporting the boats into Artlantique's workshop, the company's master carpenters start the arduous task of dismantling the 12-meter long vessels. Once that's completed, they decide how to reconstruct the old samba wood -- depending on its size, condition and color combinations -- without any wood treatment or additional painting.

Artlantique's eclectic creations are then shipped to Barcelona, Llonch's base, and from there they are sent to clients across Europe, as well as stores in New York and Tokyo.

Passion for Africa

Llonch says that what makes the furniture special is the history behind it and the creativity of the artisans working with raw materials that are hard to remodel.

"The main reason of this project is to preserve the wood as it was, with all the stories, all the nautical miles sailed in Atlantic," says Llonch.

Read this: Bamboo bikes put business on right track

"This wood ... has certain limitations, not only because it has a shape but also because it's very damaged by the salt, the sea, the sun and the time. But these artisans are very talented," he adds. "Their creativity is not academic, they are like this by nature because (for them) recycling and reusing is not a fashion, it's not a trend."

Looking ahead, Llonch says his goal is to expand the business and help other skilled craftsmen to develop their creative talents.

"Africa for me is a social inspiration, it's my passion," he says. "We started with the fishing boats ... because I was astonished when I saw the beaches with these stylish boats but maybe this is just the beginning," adds Llonch.

"There is a lot of creativity that we can use and we can take from African artists -- I want to continue to collaborate and discover the African talent, this is my aim."

@highlight

Artlantique produces furniture made from old fishing boats in Senegal

@highlight

Many of the colorful boats have sailed the Atlantic for 50 years

@highlight

The company's creations can be found in stores in Europe, New York and Tokyo