(CNN) -- John Cossman's friends call him cancer's iron man. He's had more than 90 radiation treatments and 200 chemo treatments since being diagnosed with head and neck cancer eight years ago.

The cancer has spread to his right lung, his right arm and his brain. Four years ago, he ran out of treatment options -- every available form of chemo had been used.

If he wanted to live, he'd have to enter clinical trials.

"How long do I have here?" he asked his doctor.

"With treatment, two years," the doctor responded. "Without treatment, six months."

Now, Cossman, 61, is sitting in a doctor's office, ready to undergo a CT scan that will determine if his cancer is being kept in check. He's on his fourth clinical trial.

Three times, he's heard bad news. He tries not to think about that as he slides into the giant machine that envelopes his body.

He thinks instead of his wife and 13-year-old daughter, adopted from China. Life offers too much to give in.

"I will know when there's not a whole helluva lot of time left. And I don't feel that way right now. ... If what I'm doing can help somebody down the line, then it's worthwhile."

Holding disease at bay

Cossman is one of 16 patients with progressive forms of cancer currently taking part in a study of a developmental drug by the Cambridge, Massachusetts-based Cerulean Pharma. The company hopes to add another 20 patients to the trial in laboratories in Arizona, California and New Mexico.

The test drug is in the second phase of a three-phase process that takes years before the Food and Drug Administration even considers whether to bring the drug to market.

Cossman is one of the tens of thousands of people worldwide enrolled in drug trials. According to ClinicalTrials.gov, there are more than 96,500 trials under way in 174 countries. Cossman learned of drug trials through his oncologist --"otherwise, I'd know nothing about them."

He wants to make others "aware of head and neck cancer, and that clinical trials are available," he says. "People need to be aware, though, that they are rolling the dice."

In this case, the chemotherapy drug, known as CRLX101, is placed inside nanoparticles -- tiny particles just slightly bigger than molecules -- that are delivered intravenously every two weeks to patients.

The hope is that the nanoparticles target the cancer and release chemotherapy inside the tumors while shielding healthy tissue from the toxicity of chemo, says Oliver Fetzer, the president and CEO of Cerulean.

By doing that, the drug homes in on the tumors and, at the same time, patients can maintain a decent quality of life. "You want to see how long you can actually hold the disease at bay," Fetzer says.

Adds John Ryan, Cerulean's chief medical officer: "The true measure of success in oncology is extending the length of time someone stays alive."

Yet this drug is far from market. The FDA can put a stop to a clinical trial at any moment if unexpected safety issues arise.

"We keep in touch with the FDA constantly throughout the clinical trial," Ryan says. "There's a constant interchange with the FDA, particularly with respect to the safety of the drug and anything unexpected."

It takes about nine years for an oncology drug to go through the necessary clinical studies to FDA approval, said Dr. Kenneth Kaitin, director of The Tufts Center for the Study of Drug Development, an independent nonprofit research group.

According to a 2007 study by the center, a drug company spends about $1.3 billion per approved product, a figure that includes costs of failed test drugs.

When the test drug is for cancer, the patients have very aggressive forms. Success is often measured in small steps.

"What you're normally looking at in this patient population, if you can keep it at bay for two months, you are actually doing quite well, because the patients are so far along" with cancer, says Fetzer. "It's a rule of thumb at best, because every disease is different, every patient is different."

'I went through every type of chemo'

It started with a lump in his throat eight years ago. Cossman thought it would go away. His doctor diagnosed it as head and neck cancer -- a surprise to Cossman because he's never been a heavy drinker or smoker.

He underwent 36 radiation and chemo treatments over 2½ months. He survived on a feeding tube for six months.

The next three years would be cancer free. But in June 2005, a tumor popped up in his right lower lung. Chemo and radiation began again. The tumor was eliminated, yet a spot showed up again about a year later.

"You get to a point where they can't radiate the lung any more."

He still has breathing problems from the radiation to his lung. One chemo treatment clogged up his tear ducts. Another created a rash all over his body.

"By June 2006," he says, "I went through every type of chemo that's been approved for head and neck cancer. The chemo would either stop working or the side effects would be more detrimental to my health."

His option: Die or enter clinical trials.

The first study kept his tumors -- by that time he had four -- in check for about five months. To remain in a trial, tumor growth has to be limited to 20 percent. A scan showed 22 percent growth.

"You can't immediately go from one study to another. You have to be washed out for 30 days of chemicals and radiation."

In his second study, he developed a tumor on his right arm.

He soon was having vision problems and started losing his hair.

The man who had already endured so much was diagnosed with a brain tumor. In December, he underwent surgery to remove it.

His third study earlier this year did not work. "You hold your breath, hoping that it's working. Then, when the CT scan comes back and it shows the tumors are growing, it's really frustrating."

"Do I get depressed? Yes. But do I want to give up? No," he says.

So Cossman entered his fourth study this summer, the trial by Cerulean Pharma.

Fighting on

Dressed in a medical gown, Cossman awaits the CT scan. He's gently glided into the large tube. The tests take just a few minutes.

He doesn't look for sympathy. He has no complaints about what he's been dealt. In fact, he celebrates life because "it's been good to me."

His little girl was 5 when he was diagnosed. She's now 13.

He says far too few cancer patients who could be eligible for trials are aware of them. He wants others who are suffering to be more proactive -- to ask their doctors about all their options.

Slowly, he emerges from his CT scan. The waiting for results begins.

He heads home. He tries not to get his hopes up. His phone rings after a few hours.  On the other end of the line, his doctor delivers the best news he's had in more than a year.

His cancer has grown at a rate of 11 percent, enough to remain on the study.

Yet the good news is only temporary.

A few weeks later, blood shows up in Cossman's bladder and a new tumor is found on his back. His doctor advises getting him off the study. Cossman hopes to enter a new one soon.

"You're always on a roller-coaster when you have cancer. You have some successes and a lot of failures."

Does he still have the fight to live?

"Definitely," he says.

CNN's Jarrett Bellini contributed to this report.

@highlight

John Cossman has been battling cancer for eight years

@highlight

He turned to clinical trials to stay alive after regular treatment options ran out

@highlight

He underwent his fourth clinical study this summer; he's one of 16 people in the study

@highlight

Before FDA approval, a drug goes through yearslong testing