(CNN) -- For the hotel doorman who greeted me on arrival in Kiev this week, the rain storms that have hit the Ukrainian capital served as a metaphor for a different sort of turbulence.

"All of this will pass on the 25th" he said, referring to Sunday's presidential election. For someone who knows that even restoring some of the basic functions of government is going to be a challenge, the idea that a new president will be able to change the weather was a form of black humor.

Barring a major upset, the task of banishing the storm clouds and restoring normality after the tumultuous events of the last seven months will fall to Petro Poroshenko, the veteran insider who won national approval by becoming the only oligarch to support the Maidan protest movement that overthrew Viktor Yanukovych earlier this year.

With opinion poll leads of 30% or more over his nearest rival, the only real question seems to be whether he can get the majority needed win on the first ballot, something that hasn't been achieved since Ukraine became independent in 1991.

The thing that might just make this possible is the prevailing mood of weariness among voters and the realization that the main beneficiaries of continued uncertainty would be Vladimir Putin and those working to break the country apart.

Most recoil in horror at the thought of a divisive and bruising second round. There is even speculation that the runner up might concede for the sake of national unity should Poroshenko fall short of a straight win on Sunday.

This is thought likely if second place goes to Serhiy Tihipko, the former Yanukovych ally expected to do well in the south and east. Very few imagine the other main contender, Yulia Tymoshenko, making a similar sacrifice.

If and when Poroshenko emerges as president, winning the election is going to seem like the easy part compared to an in-tray of daunting and near impossible challenges.

The first will be to put together a parliamentary majority capable of supporting his reform vision. This has become essential with parliament's powers once again increased under the restored 2004 constitution.

Poroshenko's preference would be to keep Arseny Yatsenyuk as prime minister, not least because of the credibility he has established with the IMF and Western governments, while broadening the government to include former Party of the Regions people from the east.

But, as leader of Yatsenyuk's Batkivshchyna party, Tymoshenko may have other ideas if she calculates that opposition would suit her personal interests better. It may take a painful split within the democratic bloc followed by a major realignment and new parliamentary elections in the autumn before Poroshenko gets the government he wants.

Another major challenge will be to find a way of reaching out to the east.

Prospects of holding a successful election in the Donbass region have improved following the intervention of the powerful locally-based oligarch Rinat Akhmetov, but suspicions of the government in Kiev and those who brought down Yanukovych run deep, even among those with no time for the violence of the pro-Russian separatists.

Poroshenko's plans to visit the region in an early gesture of reconciliation will help, as will his willingness compromise on Russian language status. But the real test will be devising a new constitutional settlement that gives the regions the autonomy they want without increasing the risk of fragmentation.

Proposals are being worked on to balance decentralization with programs designed to promote greater social integration between the regions.

None of the efforts to promote greater national cohesion will get very far unless Poroshenko can find a way to turn around an economy projected to shrink by 5% this year.

With tax rises, wages freezes, spending cuts and large hikes in energy prices on the way under the economic reform program agreed with the IMF, the new president's honeymoon period won't extend very far into the autumn unless he can convince Ukrainians that the foundations of recovery are being built.

Signing the economic provisions of the EU association agreement will be an early priority in order to increase trade and strengthen business confidence. But at least some of the important cards are held by Russia.

Greater flexibility on the gas price and Ukraine's outstanding gas bill would help to ease the country's weak financial position. Normalizing the situation in the east is vital to bring back investors frightened off by the threat of civil war.

That is why coming to some kind of understanding with Russia will be another urgent priority for president Poroshenko. His team is confident that with a strong mandate he will be a negotiating partner Vladimir Putin can't ignore and that an agreement can be hammered out within two or three months.

The terms of such a deal remain the most sensitive topic in Ukrainian politics, so details are hard to come by. But they are likely to cover things like Russian access to Ukraine's military-industrial facilities, new gas transit arrangements, the status of Crimea and perhaps an agreement that Ukraine will remain non-aligned.

With most Ukrainians still opposed to NATO membership and the Alliance unwilling to admit a divided country, pragmatists argue that this would mean nothing more than facing up to reality.

Perhaps the greatest challenge for the new president lies in meeting the expectations for change raised by the Maidan. The mood among the protesters certainly seems to have darkened during the course of the election campaign with many dismissing it as a reversion to politics as usual.

They complain about the return of oligarchic influence and expect the dilution of anti-corruption reforms to trigger a new wave of street protests later in the year.

To avert popular disillusionment Poroshenko needs to change the relationship between private wealth and public power. This is what his advisers seem to have in mind when they talk about the "new rules of the game;" reducing the political influence of oligarchs, insisting that they pay their taxes and ending the culture of favoritism in public procurement.

Whether he can go far enough to satisfy the Maidan movement, while securing the cooperation of Ukraine's power elite in meeting the other difficult challenges he has to face is the question that will probably define his presidency.

Perhaps changing the weather would be easier after all.

READ MORE: Ukraine favors Europe

READ MORE: Prince slammed over Hitler jibe

WATCH MORE: 'Chocolate king' leads in polls

WATCH MORE: Memories of Maidan

@highlight

Ukraine's new president looks likely to be Petro Poroshenko, who supported the Maidan protest movement

@highlight

He will face a full in-box, including reaching out to the east, and coming to an understanding with Russia

@highlight

Perhaps the biggest challenge, David Clark writes, will be to rise to the expectations of Maidan