(CNN) -- It was late afternoon in Kiev on July 17 when I spotted the tweet: A commercial airliner had been downed over eastern Ukraine.

My team, more than 250 civilians from the Organization for Security and Cooperation in Europe, had been sent to Ukraine three months before to monitor and report on the security situation in the country and to facilitate dialogue. Now we were involved in something very different.

As the minutes ticked by, we raced to verify claims about the plane. Soon it was confirmed: A Boeing 777 with 298 people aboard it had crashed.

It was exactly 24 hours after Malaysia Airlines Flight 17 fell out of the heavens and into the farmlands of the Donetsk region when our team of two dozen monitors arrived on the scene. We knew we were close when we spotted from a distance the vertical tail, with the Malaysia Airlines logo still largely intact. It lay peacefully, seemingly untouched, in a wheat field.

We were the first international organization on the ground, and with that came an intense, unprecedented media glare that would last for days. Some referred to us as "the eyes and ears of the world" -- and what we saw was horrifying.

Our first observations were of a gruesome scene of smoldering rubble, bodies (some still strapped into their seats), personal belongings and a bewildered group of swaggering rebels, uniformed first responders and foreign journalists. There was no sign of perimeter security. Aside from the vertical tail, the aft section of the fuselage was among the largest, intact pieces of debris.

On the opposite side of a farm road that bisected the main impact site were more terrible scenes: mangled corpses amid still-smoldering fuselage, duty free shopping bags and open suitcases. Farther along the hellish landscape was where the wings, fuel tanks, landing gear and main cabin crashed.

The impact of the jet smashing into the ground caused a fireball in one field that brought temperatures as high as 1,600 degrees Celsius, according to some experts -- enough to melt the aluminum wings of the 17-year-old aircraft and incinerate everything in the immediate area. Incredibly, the small village of Hrabove, just a few meters away, remained relatively untouched.

On Day One, we were only able to spend 75 minutes on the site. The heavily armed rebel who appeared to be in charge was largely uncooperative and clearly unhappy with our presence there. He was aggressive and appeared to be intoxicated. Journalists on the scene told us that they had been hastily corralled, apparently to create a semblance of order.

There were many scenes that defied logic: an opened bag of duty free items with two plastic, un-pilfered bottles of whiskey, a MacBook Pro laptop, a Lonely Planet guidebook to Bali -- not a surprising find given that this "backpacker route" is heavily used by holidaymakers destined for Asia. A few days later we'd find several passports that had been taken away and then put back at the crash site, apparently by a guilt-ridden first responder.

What also struck us was the randomness of how pieces of the plane fell upon this bucolic region of conflict-ridden eastern Ukraine: a toilet sink here, a business class seat a few meters away and next to it the horizontal stabilizers. We were shocked one day to chance upon an enormous piece of the main passenger cabin, hidden away in the woods. I counted 17 windows, some of them still intact.

By far the most horrific scene was four days after the crash, when our team monitored the sealing up of train cars filled with the remains of the plane's passengers, at the railway station in Torez (which, ironically, was where four of our colleagues were kidnapped by an armed group at the end of May).

The stench of death at the station was overwhelming. Yet knowing that these souls were finally on their way home, out of this chaotic scene to a place where they could be cared for with dignity, provided some sense of comfort. I noted how the local women from the railway station took great pains to meticulously seal the car doors -- perhaps feeling in some small way that they had aided the families of the victims.

It was during these first crucial days that our team was able to facilitate access for four small groups of experts: a team of civil aviation experts from Kiev, a three-member team from Malaysia Airlines and that country's department of civil aviation, along with Dutch and Australian experts. I marveled particularly at the stoicism and composure of the Malaysian experts: These are men who live and breathe aviation, and they knew the aircraft intimately.

The tragedy struck deeply for me as well. I had lived and worked for many years in Malaysia, have many friends there and am very familiar with the country and the airline. My roots are in Ukraine, and I've covered commercial aviation as a journalist and I've a well-known fondness for flying.

At least at the end of every day, we were able to retreat to the relative comfort of our hotel in Donetsk city. But even there, the threat of violence was never far off. Late one night, standing on the hotel rooftop waiting to go live on TV with CNN's Erin Burnett, the sound of automatic gunfire sent me and the Turkish crew rushing for cover. I ended up speaking to Erin crouched down near a protective wall.

On August 1, after almost a week-long pause due to security reasons, we were able to establish a new access route that paved the way for daily visits by a critical mass of Dutch and Australian experts to the MH17 crash site.

To finally see dozens of trained sets of eyes combing over the site, starting with the chicken farm near Hrabove, brought us all a sense of accomplishment. As images of the uniformed experts surveying the fields, aided by sniffer dogs, were flashed around the word by the media and via social media, I thought to myself that this must have brought some sense of comfort to the families of the victims. And after days of waiting in Donetsk, I know that the Dutch and Australian experts -- despite the grim task ahead of looking for victims' remains and personal belongings, as well as the dangers of working a crime scene in the midst of an active conflict zone -- could not wait to get down to work.

The sounds of shelling in the distance were a constant reminder of the threat. Little wonder that during an orientation session, one of the commanders instructed the experts to "treat every day here as if it is your last day on site."

I am often asked how we coped with the enormity of all this, of the horrific scenes we witnessed. What powered us through this was knowing that we were providing families with crucial bits of information in those chaotic first days.

As always, our hearts and prayers are with the victims' loved ones, and we hope that we have been able to provide them with some sense of comfort and closure to this horrific tragedy.

MH17 victims' bodies flown home to Malaysia

Mother of two MH17 victims regrets not heeding son's fears

@highlight

Malaysia Airlines Flight 17 crashed in Ukraine on July 17, killing all 298 passengers

@highlight

Michael Bociurkiw was part of first international team of observers on scene

@highlight

Bociurkiw: We saw smoldering rubble of plane with bodies still strapped into their seats

@highlight

Bociurkiw: Knowing these souls were finally on their way provided some sense of comfort