(CNN) -- When Marita Cheng was told to clean her room as a child, she imagined an army of robots doing the dirty work for her.

"I looked around and I didn't see any robots helping me with the household chores," the 24-year-old engineering whiz said. "And I thought: 'I want to be part of making robots a reality.'"

Speaking to Cheng, one of Australia's brightest young scientists, you get the feeling there's not much she couldn't solve with a bit of brain power.

Her latest project? Creating a bionic arm that could revolutionize the lives of quadriplegics around the world.

Young gun

Watching Cheng speaking to a packed Sydney Opera House crowd at one of her TEDx talks, it's hard not to get swept up in her effervescent and eloquent "can-do" view of the world.

"Why are we as a country doing such a bad job at inspiring the next generation of engineers?" she asks, microphone headpiece strapped on, before clicking to her next slide show on a giant screen behind.

Has she always been this confident?

"I don't know, I guess I get scared all the time really," she says, speaking by phone above the din of Melbourne trams trundling past.

Robogals

In 2012, Cheng was named "Young Australian of the Year," a hugely prestigious award that saw her join the ranks of other remarkable youngsters Jessica Watson, the youngest person to single-handedly sail around the world, and swimmer Ian Thorpe, the country's most successful Olympian.

Cheng quickly learned to become comfortable on stage, in the following year giving 150 lectures on her work that combined science and, rather unusually, feminism.

While an engineering student at Melbourne University -- one of just five women in a class of over 50 men -- Cheng founded Robogals, a group of students encouraging girls to get involved in science and technology.

Just 11% of engineers in Australia are women -- it's a similar story the U.S. (14%) and Britain (9%) --and Cheng felt compelled to show a new generation of girls that science could be fulfilling and even, wait for it, cool.

"There's this perception that engineering is for men, and girls don't do that," she said.

"When I go to expos for Robogals, I get young girls come up to me and say: 'Oh my brother might be interested in this.' But I'm like: 'No, this is something you can do, it's really fun.' They don't even realize it's a possibility before you tell them that it is."

Within four years, the organization had expanded to Britain, the U.S., and Japan, teaching over 8,000 girls robotics through school workshops, career talks, and community events.

Out on a limb

When Cheng recently graduated with a degree in Mechatronics and Computer Science, she had the choice of hundreds of job offers.

Instead, she decided to strike out on her own, founding 2Mar Robotics -- a company "focused on building beautiful robots that help us in our everyday lives."

The team is now working on a bionic arm -- called "Jeva" -- which would help quadriplegics. Mounted on a wheelchair, the high-tech limb would be voice-operated and able to remember and repeat common tasks.

"I was still finishing my studies off and I thought: 'What do I want to do? What's a cool, fun thing to do? What will make me feel fulfilled? What will give me purpose in my life?'" said Cheng.

The lucky country

Growing up in a social housing estate in tropical north Queensland, the determined young woman says her mom, a single-parent and hotel cleaner, was a huge influence in her life.

"She always just did what she had to do, and that's what I saw as a kid."

Does she think Australians are too laid back when it comes to technology?

"I think we could have more of a vision for the future," she says. "Otherwise, if you're just focused on the past, then there'll be other countries that are more hungry, more innovative, and doing their best to work towards a better future."

"One day we'll wake up and say: 'OK, what happened to all the great stuff that we enjoy?'"

@highlight

Meet Marita Cheng: the talented technician bringing robots to your home

@highlight

24-year-old named "Young Australian of the Year" for science work

@highlight

Founded "Robogals," global group encouraging girls to study technology

@highlight

Now working on bionic voice-controlled arm for quadriplegics