(CNN) -- It's one of the smallest countries in Africa, and one of the poorest in the world, but Burundi is showing the way in the development of tennis on the continent.

Ravaged by civil war since gaining independence in the 1960s, its relative recent political stability has helped it embrace a sport that is battling to maintain its foothold in the planet's second-largest land space.

Africa has not produced a grand slam singles finalist since Kevin Curren at the 1985 Wimbledon Championships, while Wayne Ferreira reached the semis of the Australian Open for the second time in 2003 and former world No. 3 Amanda Coetzer was similarly successful in '96-97.

Kevin Anderson is currently the continent's top-ranked player at No. 35, and yet another South African -- Chanelle Scheepers -- is its top woman at 92nd.

But the future may lie in a country which is rebuilding itself after conflicts which saw more than half a million people killed and mass migrations of its fleeing population.

Burundi will soon open Africa's third high-performance tennis center, after Pretoria and Senegal's Dakar, plus host a series of top age-group tournaments and an international event.

"We would like every country in Africa to replicate the experience of Burundi," the International Tennis Federation's development projects administrator Frank Couraud told CNN.

"They are not rich, but they really wanted to have this center. I met everyone from the government -- the vice-president, the minister of sport, the Olympic committee. They value tennis very much."

It's not an attitude that's prevalent in Africa, where tennis ranks below sports such as football and athletics when it comes to government funding.

The ITF has three development officers across the continent and supports national tennis federations with equipment and skills programs aimed particularly at young children, but its resources are limited.

"It's very difficult to fight against football -- it's the sport in Africa and they are doing so well," Couraud said. "In a country like Kenya, if you speak to the Olympic committee for funding for coaches, they say our priorities are track and field because this is where we get the medals.

"We need more funding. We would love to see the governments being more committed to developing the game. If you look at our budget ($4.3 million each year) it's what (soccer's ruling body) FIFA gives to maybe one or two nations. There's a huge discrepancy."

Burundi has also produced a potential future star in Hassan Ndayishimiye.

The 17-year-old was included in the ITF's grand slam team for Wimbledon this year and surprisingly made it to the second round of the boys' singles.

Ranked only 112th in the juniors, he received a wildcard into the qualifying draw and beat three players well above him to progress into the main section.

It's a small step, but has earned him a place in the team to tour North America ahead of September's U.S. Open along with Madagascar's Zarah Razafimahatratra -- who's in her second year with the program.

With Tunisia's Ons Jabeur winning the 2011 French Open junior girls' title, having been runner-up in Paris last year, there are signs that the ITF's development work in Africa is producing results.

"We have to focus on these players who have got through the systems, who are very talented, who have big hearts," Couraud said. "When you see Hassan or Zarah on the court they give 200%, they work very hard. We give them the right opportunity now so one day they become professional tennis players -- and then suddenly other African kids will relate to these players.

"When Yannick Noah won the French Open in 1983, in Cameroon and many countries kids identified and wanted to play tennis because they saw Yannick winning. Even to have players in the top 100 on the professional circuit, I'm sure this is going to have a positive effect."

But it's a huge step from being a good junior to a successful professional, especially in a place where travel and equipment are more expensive than the U.S. or Europe.

"If you want to buy equipment in Africa, sometimes a city doesn't even have a sports shop that sells rackets. If they do, it's three times the price in Europe," Couraud said.

The Frenchman estimated that a top-20 junior might have only a 50% chance of making it -- and it could take at least four years to crack the top 100 in the seniors.

It can cost $70-80,000 a year to fund top coaching and tournament travel, so the best option for African players -- for those who have adequate schooling -- has traditionally been to win a college scholarship in the United States.

That was Anderson's route, following the likes of compatriot Liezel Huber and Zimbabwe's Black siblings Byron and Wayne -- who won grand slam titles in doubles events, as has their sister Cara.

"It's a very good option. One of the problems of being in South Africa is we're pretty far from the tennis scene. The amount of flying you're going to be doing, the expense of that is pretty high," Anderson told CNN.

"Recently a lot of juniors have ended up going to college in the States. There are a lot of tournaments there, you can play a lot of matches in the spring and during the summer you can actually go and play in the professional tournaments."

The 25-year-old, now based in Chicago, won his first ATP Tour title in February at his home SA Open, which returned to the men's circuit in 2009 after a 13-year absence.

He said the tournament has provided much-needed visibility for tennis in South Africa, where rugby, cricket, soccer and golf are dominant.

"The toughest thing is a lack of quality exposure. A lot of South African players are pretty sheltered when they go out there for the first time," Anderson said.

"For myself it took me quite a few years to feel completely comfortable, regardless of who I was playing. You don't always know the person and it's easy to build them up in your eyes. You've got to play some guy who's got two coaches and an administrator, and you're there by yourself -- sometimes it's pretty daunting."

While Anderson believes Africa needs more high-profile singles players like Curren, Ferreira and Coetzer to grow the game, his former compatriot Huber is not so sure that it will change the status quo.

Born in Durban, she went to the Van der Meer academy in Hilton Head, South Carolina, at the age of 15 in 1992 after being frustrated by her lack of opportunities back home.

"I was already playing an age group up and winning those tournaments, and the federation didn't have any more money to send us anywhere," the U.S. citizen said.

"It was an unfortunate time, it was around when apartheid ended, and if anything it should have been a time when South Africa got the boom, but really it was society trying to figure it out -- where do we stand, where do we fit in.

"It was a confusing time. A lot of people were let go of their jobs and other people were hired and tennis in South Africa went through a dip there."

Huber was able to take up the academy place only after its owner Dennis van der Meer offered her a cut-price rate of $150 a week -- and even then her father had to beg the air fare from a local businessman.

"In South Africa I don't think they are looking at it as a business. That's kind of what hurts the most," said the 34-year-old, who has won six grand slam doubles titles and been ranked No. 1 in the discipline.

"When Wes Moodie and I won Wimbledon doubles titles in 2005, I actually thought it would change tennis in South Africa. Nothing changed. Maybe there's more important things to spend money on, maybe tennis is not important.

"Maybe it's more important for the government to build schools. I'm not there so I'm not sure why tennis is not getting funding. But it shows."

Her disappointment with the tennis authorities in her former homeland grew when they refused to pay for her plane ticket for an important Fed Cup teams match.

"We had the opportunity to get back in the World Group -- and they didn't pay my ticket," said Huber, who has since represented the U.S. at the Olympics and in Fed Cup. "We had Amanda Coetzer in the top-10 at the time, but having a good singles player didn't raise the profile. I don't know what it will take."

Huber has sponsored an under-15 girls' tournament in South Africa for almost a decade, and has offered to train players for free at the tennis ranch she runs in Texas with her husband Tony, but has been disappointed with the response from South African Tennis.

"In four years we've had three kids over. We were there (South Africa) in March and did a clinic for kids -- it was a big disappointment. We thought we might see the next Ferreira or Coetzer, but the talent wasn't there," she said.

"I thought it would be a huge event, wanting to give something back, but the organization just wasn't there. I ended up using some of the balls I brought back from Australia. The facilities are the same as when I grew up. It's an eye-opener that it hasn't changed."

@highlight

African tennis is struggling to produce top-level professional players

@highlight

Aspiring stars face big obstacles if they are to establish themselves on tour

@highlight

One of the best ways is to win a college scholarship in the United States

@highlight

Otherwise African players are not exposed to top-level competition while they are young