On both sides of the U.S.-Mexico border, key questions are lingering after Mexico's presidential vote.

Election authorities projected Enrique Peña Nieto of the Institutional Revolutionary Party, or PRI, as the winner Sunday night. But his closest competitor, Andres Manuel Lopez Obrador of the Democratic Revolution Party, or PRD, has not conceded.

The election results raise issues rooted in Mexico's complicated political past that will play a critical role in shaping the nation's future, analysts say.

Has the PRI, a political party that critics accuse of being authoritarian and corrupt, changed its approach in Mexico? Will Lopez Obrador and his supporters protest the election results as they have in the past? And will Peña Nieto's proposal to decrease violence mark a significant shift in U.S.-Mexico drug war policy?

Mexico's old guard is back

On the local level, there may not be many differences between today's PRI and the political party that dominated Mexico for decades, said Andrew Selee, director of the Mexico Institute at the Woodrow Wilson International Center for Scholars.

"What's changed on the national stage is that Mexican citizens have different expectations for their federal government that are going to force the PRI to govern in a different way than it did 20 years ago," Selee said.

"Then, the PRI was really a party that included all of Mexico, that had a broad patronage network and tolerated little dissent outside of the party. And the PRI today is going to have to deal with opposition parties that have tasted power, an active citizenry that expects to be involved in major policies decisions and a very vigilant press that will report on everything that happens."

Sunday's election was closer than many expected, Selee said, and Peña Nieto and PRI party leaders realize they secured a narrow victory.

"I get the sense the PRI recognizes that they are going to have to build broader coalitions in order to govern effectively," he said.

Only time will tell, said Jorge Chabat, a professor at Mexico's Center for Research and Teaching in Economics.

"The truth is that we don't know very well who the PRI is now," he said.

And it's unclear how influential leaders from the party's old guard -- some of whom have close ties with Peña Nieto -- will be, he said. In the past, presidential candidates have said one thing on the campaign trail, then done something else in office.

"We don't really know how he is going to behave. ... Now we are going to see, who is Peña Nieto, truly?" Chabat said.

U.S. Rep. Henry Cuellar, a Democrat from the border city of Laredo, Texas, said the answer is clear.

"He is different. He is a young, outgoing personality," said Cuellar, who describes Peña Nieto as a friend and flew to Mexico City over the weekend to support the candidate. "He's from a young, new generation. He'll bring a lot of fresh, new ideas."

An 'explosive' mixture?

Critics of the 45-year-old former governor aren't convinced.

Weeks before Sunday's vote, criticisms of Peña Nieto and concerns about the PRI's possible return to power fueled a student movement that has staged demonstrations throughout the country.

"There's a lot of angry voters. The question mark is, what are they going to do?" said Ana Maria Salazar, a security analyst and former Pentagon official who lives in Mexico City.

In 2006, Lopez Obrador's supporters protested nationwide after election authorities said he narrowly lost to Felipe Calderon in presidential elections.

How will PRI's win change the U.S.-Mexico relationship?

Lopez Obrador claimed election fraud and never conceded, referring to himself as "the legitimate president of Mexico." In Mexico City, his followers staged massive sit-ins and blockades.

It's unclear, Salazar said, whether protesters will take a similar approach this time around, or try something more severe.

"In a country like Mexico, where we already have a high incidence of violence due to organized crime, add to that social unrest, and it could be an explosive mixture," she said. "I certainly hope not, but we will soon find out."

The Mexico Institute's Selee said Lopez Obrador's reaction Sunday night signaled that any protests this year are likely to be less intense.

The former Mexico City mayor was measured In response to the results of Sunday night's quick count, which placed him at least 6 percentage points behind Peña Nieto. Rather than relying on the quick count, which is based on samples from polls nationwide, Lopez Obrador said he would wait for results from the final official vote tally, which begins Wednesday.

"We are going to have all the information and at that time we will establish a position," he said.

After the 2006 vote, which gave Calderon a narrow victory margin of less than 1%, Lopez Obrador was quick to declare fraud.

The difference in reaction is significant, Selee said Monday.

"The fact that Lopez Obrador did not call for mobilization last night means that he's already tipped his hand to accepting the results when they come out. He essentially demobilized his supporters," Selee said.

A different drug war approach?

Beyond Mexico's borders, part of Peña Nieto's campaign platform has been a focal point for U.S. officials and lawmakers: Peña Nieto's pledge to focus more on reducing violence and less on catching cartel leaders and blocking drugs from reaching the United States.

"I am convinced that in terms of security, we need to adjust the policy to keep confronting organized crime, criminal gangs and cartel chiefs head-on," Peña Nieto told CNN en Español Monday. "But we also have to search for a strategy, a reduction of violence in this country. ... The strategy we follow in the short term clear signs of better effectiveness and a reduction in crime rates."

Announcing a crackdown on cartels and sending troops into the streets to help fight the battle were among the first major moves by Calderon after he took office in December 2006.

And for nearly six years, a brutal drug war in Mexico with a staggering death toll of more than 47,500 people has dominated discussions between the United States and Mexico.

Some political opponents of Pena Nieto, whose party governed Mexico for more than 70 years until 2000, have warned that negotiating with drug cartels and gangs could be on his agenda -- an accusation that Peña Nieto has repeatedly denied.

But his denials haven't squelched speculation on both sides of the border that negotiating with cartels -- or at least easing the pressure on them -- could be on the table.

In a congressional hearing last month, U.S. Rep. Jim Sensenbrenner said the war on drugs was nearing a "potential crossroad," referring to Peña Nieto's plan and his party's political history.

"While in power, the PRI minimized violence by turning a blind eye to the cartels," the Wisconsin Republican said, noting that Peña Nieto "does not emphasize stopping drug shipments or capturing kingpins."

In a statement the next day, Peña Nieto's campaign said he was committed to combating organized crime.

"The law is applied; it is never negotiated," the statement said.

Cuellar, the Texas congressman, said this week that such concerns from Sensenbrenner and other lawmakers were unfounded. Changing strategies in dealing with drug violence, Cuellar said, doesn't mean stopping the battle.

"I asked him about it. ... He told me, 'I'm gonna fight it. I want to use a different strategy,' " Cuellar said, noting that relations between the United States and Mexico would likely strengthen under Peña Nieto's leadership.

Pledges to change tack in the drug war were common across party lines on the presidential campaign trail this year, Chabat said.

"In the end, I don't think he will do many things differently than Calderon, because there isn't much that can be done differently," Chabat said. "There's not a lot of room to work. In speeches, it sounds really great to say that you're going to do things differently, but there won't be many changes."

Fareed Zakaria: Mexico on the rise

8 things U.S. could learn from Mexico

@highlight

Projected winner Enrique Peña Nieto says he remains committed to cartel fight

@highlight

Former Pentagon official: Social unrest after the election "could be an explosive mixture"

@highlight

Analyst: Mexicans "are going to force the PRI to govern in a different way"

@highlight

Peña Nieto says he's part of a new generation, but critics aren't convinced