(CNN) -- The "official" night set aside for ghosts and goblins is nearly here, but if you're bewitched by the macabre and the supernatural, there are plenty of places that provide spooky sensations year-round. You won't need a costume to take in these attractions, but if you're looking for ideas on what to wear on October 31, you might find some inspiration from these historic -- and sometimes horrific -- destinations.

Send us the scariest shots from your Halloween celebrations

Ohio's unusual tourism trend

Anyone with a penchant for gloom and doom may want to head for Ohio. The state's tourism department is promoting all things grim -- and it has nothing to do with Halloween.

"These experiences are all genuine and originated due to someone's desire to preserve the history, traditions and tools of the trade," says Tourism Director Pat Barker. That trade is the funeral home business. Highlights include historic hearses, celebrity death memorabilia and how-to lessons on embalming and burial.

The Peoples Mortuary Museum is part of a working mortuary in Marietta, Ohio, and it boasts a collection of classic hearses from past centuries, even a horse-drawn hearse from 1895. Staff members double as tour guides to educate the public on the post-death process. Funeral transportation is also in the spotlight at the William Lafferty Memorial Funeral and Carriage Collection in West Union, Ohio, with vehicles dating back to 1848. The antiques were collected during the four generations that the Lafferty family served in the Ohio funeral business.

The Famous Endings Funeral Collection in Dover, Ohio, is a must-see for history buffs curious about celebrity deaths. Inside you'll find programs from the farewell ceremonies of everyone from Ronald Reagan to Evel Knievel to George Burns. There's the original temporary crypt marker for Humphrey Bogart and a memorial card from Farrah Fawcett's funeral. This quirky collection even has a Facebook page.

If you want to spend the night in the company of such unusual history, check in at the Sturgis House, a funeral parlor turned bed and breakfast in East Liverpool, Ohio. The death mask for Charles Arthur "Pretty Boy" Floyd, who was Public Enemy No. 1 in 1934, hangs above the washing machine in the downstairs laundry room. It's just steps away from the embalming equipment that remains on display as an informal mortuary museum.

Voodoo culture in New Orleans

Novelist Anne Rice was born here and her popular tales often include spirited descriptions of her hometown. She's not the only one to imagine New Orleans as vampire-friendly: The supernatural side of the Big Easy is easy to find on your own or with the help of a professional guide. Several companies offer tours specializing in cemeteries, voodoo or the city's impressive array of stores selling all things eerie such as custom-blended potions, Tarot cards and authentic voodoo dolls.

West Africans brought the voodoo way of life to New Orleans in the 1700s, and the religion flourished in the 19th century. Delve into its many layers at the New Orleans Historic Voodoo Museum, where admission is $5 for adults.

Public rituals were once performed in Congo Square, an open space inside Louis Armstrong Park just north of the French Quarter, and even today you can find a voodoo spiritual temple nearby where a modern-day priestess performs rituals.

Perhaps the most popular voodoo-related attraction sought by history-loving tourists of all kinds is the marked tomb of Marie Laveau, the city's famous "Voodoo Queen." On any given day you'll find tourists in spiritual meditation or simply gawking at all the graffiti and triple-X markings on her tall white tomb inside the walls of St. Louis Cemetery No. 1. Each set of X's represents someone making a request in the fashion of an age-old voodoo ritual.

There's also a cornucopia of New Orleans hotels where the paranormal is considered normal, such as the Monteleone, where you can stay in a haunted room or ride an elevator that seems to have a mind of its own. In 2003, a team of paranormal researchers stayed in the hotel and allegedly confirmed contact with more than a dozen spirits.

The ghost of a confederate soldier is said to be an occasional guest at the newly opened Audubon Cottages; rumor has it he enjoys relaxing on the balcony of cottage No. 4, overlooking the pool.

Chills in Charleston, South Carolina

Chilling attractions in this historic port city include Civil War relics such as bloodied uniforms, an amputation kit and plenty of deadly weapons. It's all on permanent display at The Charleston Museum.

Imagine the fear of James Wiley Gibson, shot and killed by a sniper during the Battle of Secessionville. His uniform is part of the ongoing exhibit, complete with a fabric tear from the bullet's deadly path. If that doesn't make you shudder, have a look at the primitive tools and instruments of the Civil War amputation kit.

Be sure to stop by the Charleston Library Society, a downtown cultural hot spot where you're likely to find someone who's an expert on the city's darker side. If you're there in October, have a glance at the bloodstained manuscript of Henry Timrod. Known as the poet laureate of the Confederacy, this Charleston native produced passionate prose until his death in 1867. His final project was splattered with blood coughed up from the tuberculosis that killed him -- and the morbid page is on display every Halloween season.

The spirits of upstate New York

Fall paints the landscape of upstate New York with colors that lure leaf-peepers from around the world, but this vacation region is also home to a historic fictional intrigue. Thirty miles north of New York City, you'll find Sleepy Hollow, a village made famous by the legend that bears its name.

Washington Irving's classic story about a headless horseman was published in 1820. Various characters and scenes from the legend are said to be based on the people and places of Sleepy Hollow, such as the burial ground at the Old Dutch Church. Irving attended services at the Old Dutch Church as a child, and the author is buried in the adjacent Sleepy Hollow Cemetery (others buried there include Andrew Carnegie and Elizabeth Arden). Guided walking and evening lantern tours are offered. If you're lucky, you'll spot the town's own resident headless horseman.

The area makes for a literary scavenger hunt for those obsessed with the frightful folktale, and Irving's former home, Sunnyside, also hosts "Legend Weekends" where musicians, magicians and puppeteers entertain and encourage continued awe for the author. Edgar Allen Poe also lived near Sleepy Hollow, and readings of his works often take place at the Sleepy Hollow Cemetery.

Where the witches were: Salem, Massachusetts

A short drive north from Boston leads to "The Witch City" of Salem, where witch-related tourism is the lifeblood of the economy. The Salem Witch Museum takes visitors back to the summer of 1692 and the infamous trials that resulted in the execution of 20 people accused of devil-inspired activity. The town goes all out in October with its weeks-long lineup of Haunted Happenings.

Visitors serious about studying this chapter of history can use the museum as an educational starting point, then spend hours, days or weeks traveling through the region touring the homes, historic markers, grave sites and other relics related to witchcraft hysteria. The museum can provide a map and a list of more than 30 sites in the area.

To help put you in the right mindset for a modern-day witch-hunt, check out the museum's blog at www.salemwitchmuseum.com/blog for more information, including suggestions for pre-arrival reading.

Eerie traditions in Edinburgh, Scotland

An international witch hunt might lead you to Scotland, where the North Berwick Witch Trials happened in 1590-1592, some 20 miles from the capital of Edinburgh. The gothic architecture and peculiar history of the Scottish capital add to the city's allure as a bewitching destination. Grave robbers are a notorious part of Edinburgh history and urban legend tells morbid tales of plague victims left to die in underground streets.

Even luxury respects the role of witches and the supernatural: October guests at the prestigious Balmoral Hotel can enjoy the perk of Halloween Afternoon Tea, but the concierge staff says the demand for tours of the eerie and bloodcurdling is high year-round.

The top draws include a castle dungeon attraction featuring actors and thrill rides and the Real Mary King's Close, a series of underground lanes and housing spaces located beneath the Royal Mile that lend themselves to visions of murder and disease. The underground area will host Dark Truth Tours from October 26-31.

Any time of year you might find a library reading, a festival or an underground tour honoring Edinburgh's darker side. If you're one to study the history of Halloween itself, you'll find plenty of claims that the tradition of All Hallow's Eve has Scottish roots.

Finding traditional haunts

From scream parks to corn mazes to haunted homes, sites that evoke ghoulish pleasures are so popular that the Haunted Attraction Association was formed in 2010, to promote the top haunted places around the world, a $300 million industry. If you want to find a scary site in a specific area, the HAA website has a "Haunt Finder" and you can also check out past winners of the organization's annual Oscare Awards.

What are your favorite Halloween haunts?

@highlight

Explore underground streets in Edinburgh, Scotland, with Dark Truth Tours

@highlight

Make a stop in New Orleans for a primer on all things voodoo

@highlight

Visit Sleepy Hollow for a look at the origins of that chilling legend