(CNN) -- As they meet for the first time Tuesday, U.S. President Barack Obama and Mexico's President-elect Enrique PeÃ±a Nieto will be operating in a landscape of U.S.-Mexico relations that has changed profoundly since Mexico's outgoing president, Felipe Calderon, took office six years ago.

Illegal immigration is at the lowest level in four decades, and organized crime violence, which has driven much of recent cooperation between the two countries, is finally declining.

Violence remains a critical issue, but economic issues -- bilateral and global -- have risen to the fore as both countries struggle to emerge from the global slowdown. The two leaders will need to give greater emphasis to economic issues, including job creation. But this is also an opportunity to strengthen cooperation on global issues.

In most trading relationships, the United States simply buys goods or sells them to other countries. With its neighbors Mexico and Canada, however, the United States actually co-manufactures products. Roughly 40% of all content in Mexican exported to the United States originates in the United States.

Opinion: To-do list for Obama and Mexico's new president

The comparable figures with China, Brazil and India are 4%, 3% and 2%, respectively. Only Canada, at 25%, is close. The U.S. and Mexican economies are so deeply linked, growth in one country benefits the other, and lowering the transaction costs of goods crossing the border helps put money in the pockets of workers and consumers.

To do this, it will be important to improve border ports of entry by investing in infrastructure and staffing, as well as implementing new risk management techniques to speed up trusted shipments across the border.

Pursuing an Open Skies Agreement between the two nations' airlines and making the cross-border trucking pilot program -- in which Mexican truckers can carry goods deep into the United States and vice versa -- would also strengthen competitiveness. Although these are generally seen as border issues, the benefits accrue to U.S. states that depend on exports and joint manufacturing with Mexico, including Michigan, Illinois, Ohio, Nebraska, Iowa, South Dakota, New Hampshire and Georgia.

Mexico also has abundant oil reserves and one of the four or five largest stocks of shale gas in the world. Mexico's new government will probably pursue major energy reform over the next couple of years that could spur oil and gas production in dramatic ways. If that happens, it is certain to detonate a cycle of investment in the Mexican economy and could significantly contribute to discussions on possible North American energy security.

Opinion: Mexico's misconceptions

Obama and PeÃ±a Nieto's administrations also offer a time for critical opportunities in education. With an ambitious but inexpensive public and private venture to spur educational exchange, Mexico could train its next generation of engineers, scientists and medical professionals in U.S. universities while American students enjoy access to Spanish and other cultural competencies in Mexico that they need to compete in the global economy.

Without doubt, security cooperation will also remain a critical part of the relationship between the nations. With most of the largest drug trafficking organizations crippled, it is time to focus on strategies that lessen violence and build the rule of law.

The U.S. government can still do a great deal more to reduce money laundering and arms trafficking, and the Mexican government has its work cut out to reform its police, prosecutors and courts. These efforts can be far more effective if the nations work together to benefit the safety and security of citizens in both countries.

Migration is the one issue the two leaders will talk about Tuesday that matters a great deal to both nations but does not lend itself easily to a bilateral agreement. But the enormous drop in Mexican immigration to the United States -- most studies show that illegal immigration has dropped to net zero and may be negative -- allows the two countries to think seriously about what Mexico might be willing to do to police its borders if the United States undertakes a major overhaul of its immigration laws.

Finally, as Mexico continues to grow economically, it will be increasingly possible for the two governments to focus on global challenges. This has already started. Mexico hosted the G-20 earlier this year and also joined the talks for the Trans-Pacific Partnership trade agreement, which led to extensive discussions between the two governments on global economic issues.

Opinion: Latin America's challenge

Trade, security and migration will undoubtedly remain the most important topics as the two leaders meet. But as the bilateral relationship develops, relations between the nations might one day resemble those between the United States and Canada, in which global issues can be equally important.

A balanced and wide-ranging U.S.-Mexico agenda -- one that seeks creative and collaborative approaches on topics ranging from local gangs to global terrorist networks and from regional supply chains to international finance -- promises significant benefits to people in both nations in the coming years.

The opinions expressed in this commentary are solely those of the writers.

@highlight

Writers; Obama and Mexico's next president meet in opportunity for improved ties

@highlight

They say economic issues loom large as immigration and crime issues recede

@highlight

Writers: Circumstances are favorable for new mutally beneficial trade, security pacts

@highlight

As bilateral agenda progresses, they say, two nations can cooperate on global issues