(CNN) -- Anna Hazare, the 74-year-old Indian activist set to begin a 15-day hunger strike at a public venue, delivered a message Thursday to the thousands who have taken to the streets in support of his anti-corruption crusade.

"Your revolution has energized me," he said in a YouTube video posted by his adviser, Kiran Bedi.

Speaking from Tihar jail in which he was staying -- though he was not a prisoner -- he added, "I will stay here tonight and will be out with you tomorrow."

"My health is good. In fact, I am more alert than ever. We will not stop until we get this Lokpal bill," he said, referring to the anti-corruption body that protesters want set up.

And he warned his strike could go on longer. "They've given me 15 days, but if the Lokpal is not established, I will extend my fast by another seven days."

He added, "The people out on the streets are finding it difficult to live because of the corruption. The public will continue to be on the streets as long as this Lokpal isn't created."

Bedi, a former police adviser, wrote in a tweet posting a link to the video, "It was destiny doing this. Share. Anna is ours." She added, "Jai hind" -- long live India.

Hazare was planning to go on a hunger strike to call for stronger anti-corruption measures when he was detained Tuesday. As thousands took to the streets to protest the arrest, authorities let him free, but he refused to leave the jail.

He accepted a police proposal that will allow him to fast in New Delhi for two weeks. The site chosen is Ramlila Maidan, a public ground that often stages exhibitions and events.

He plans to arrive at the grounds Friday.

Hazare only recently rose to national prominence, as his protest seems to have struck a chord with Indian society across the spectrum because corruption is pervasive at all levels of government, observers say.

A new website ipaidabribe.com, in which people can denounce the corruption they encounter in their daily lives, quickly gained popularity.

Hazare's detention appears to have added to his popularity, because it makes it look like the government is going after the messenger rather than offering solutions.

Corruption is considered an endemic problem that affects all levels of Indian society. According to a 2010 Transparency International report, India ranked 87th out of 178 countries in its corruption-perception index.

In April, Suresh Kalmadi, the chief organizer for last year's Commonwealth Games, was arrested and accused of buying a time, scoring and result system from a Swiss company at inflated costs.

India's former telecom minister A. Raja, several bureaucrats and corporate officials are facing trial in connection with a multi-billion-dollar scandal involving the suspected below-price sale of mobile-phone radio waves in 2008.

The draw of Hazare's planned hunger strike was so great that police tried to put conditions on it.

Organizers did not accept six of 22 police conditions for allowing the protest, including limiting the crowd to the capacity of the ground, police said. As a result, Hazare was detained, as were 1,300 supporters who planned to join Hazare at a protest site.

A magistrate sent Hazare and seven supporters to jail after they failed to post bail, according to Rajan Bhagat, a police spokesman in New Delhi. They were freed hours later and brought to a prison office after the magistrate issued release orders, jail spokesman Sunil Gupta said.

The group had refused to leave the prison office until they are allowed to hold their hunger strike without the conditions, the jail spokesman said.

Thousands gathered in several cities, chanting pro-Hazare slogans and echoing his demands. Supporters carrying Indian flags held sit-ins, marches and noisy demonstrations. Many had "I am Anna" labels on their shirts.

Hazare conducted a similar five-day hunger strike in April at New Delhi's Jantar Mantar landmark, ending it after India's prime minister agreed to introduce long-pending legislation.

Anti-corruption campaigners have rejected legislation prepared by the federal government to create a citizen ombudsman, saying the bill, now in Parliament, is too weak a measure.

Critics have accused the activists of undermining lawmakers who will decide the proposed law.

Prime Minister Manmohan Singh on Wednesday justified the arrests in a statement before Parliament.

"Our government acknowledges the right of citizens to hold peaceful protests," he said, adding that Hazare and his supporters would have been allowed to hold their protest fast if they had accepted the conditions.

Amid shouts by opposition lawmakers over the police response to Hazare's protest, the Indian prime minister also cited supremacy of the legislature.

"I am not aware of any constitutional philosophy or principle that allows anyone to question the sole prerogative of parliament to make a law," he said.

Singh, whose government is roiled in massive corruption scandals, said in a national address earlier in the week that no single measure could handle chronic corruption.

"I believe that there is no single big step which we can take to eradicate corruption. In fact, we will have to act simultaneously on many fronts," Singh said.

Amnesty International called Thursday for U.S. President Barack Obama to urge Singh "to respect the rights to freedom of expression and freedom of assembly in the context of anti-corruption rallies taking place in India."

"President Obama has repeatedly described India as a strong ally," the human rights group said in a statement, adding that Obama "should not miss this opportunity to prove that the United States is a friend of the Indian people."

"Any silence will be misinterpreted as the United States looking the other way when it comes to the importance of basic rights like freedom of expression and peaceful assembly in India. President Obama should instruct the U.S. ambassador to India to visit protest sites."

Activists have appealed to government employees to take a day off work in a show of solidarity with Hazare.

In his video, Hazare warned that more arrests could lie ahead. "The jails that are empty, we will keep filling them," he said. "I tell these young people: As long as the Lokpal isn't created, the jails will never be empty."

"We have no demands of the government," he said. "We have just sent them to do two things: look after our money and account for it and make good laws for the country."

He insisted the Lokpal bill would reduce corruption by 65 to 70 percent. "I will not stop, as long as there's breath in my body, until this becomes law," Hazare said.

@highlight

Hazare's YouTube video warns he may extend fast another week

@highlight

Hazare will fast in Ramlila Maidan, a public ground in New Delhi

@highlight

Indian PM Singh says his government acknowledges the right to peaceful protests

@highlight

Amnesty calls on U.S. President Obama to urge Singh to allow the protests