From fighting terrorism to processing payments in the blink of an eye, facial recognition is set to change our ideas on privacy.

A number of exciting developments in the field could even push its toughest critics to reconsider.

"The more people get out of it, the more they'll surrender to it," says Manolo Almagro, senior vice president of digital for TPN Inc. Almagro believes that people will only embrace a technology if the benefits outweigh privacy concerns.

Facial recognition is a computer-based system that automatically identifies a person based on a digital image or video source -- which is then matched to information stored in a database.

Often used in fictional TV-series such as CSI: Crime Scene Investigation, it is soon set to become a real-life tool for fighting crime. In 2014, the FBI will roll the technology out across the U.S. after pilot testing is completed in some states.

Facial recognition is a key part of the agency's ambitious $1 billion Next Generation Identification System (NGI) -- a state-of-the-art biometric identification system that also includes iris scans, DNA analysis and voice identification. The mission is to reduce terrorist and criminal activity by improving and expanding biometric identification as well as criminal history information services.

UK-based Dr. Chris Solomon is an advocate for the technology too. A professor at the University of Kent, Solomon has created an "electronic sketch artist" system that has changed how UK police identify criminals. His method is currently used by 90% of British police and in more than 30 countries.

He explains: "The key advantage here is that it allows people to respond to faces they see rather than having to break it down into component parts."

Credited with helping to solve hundreds of crimes, his facial composite software identifies suspected criminals in a new way. The system, EFIT-V, allows victims and witnesses to select the best and worst matches from a group of computer-generated faces. Based on their responses, the computer eventually "learns" what type of face they are after and displays options accordingly.

But facial recognition technology isn't always so straightforward. Identifying faces from closed-circuit-television (CCTV) footage can be challenging -- as demonstrated after the Boston Marathon bombings earlier this year.

Marios Savvides, Director of the CMU CyLab Biometrics Center, told CNN's Tom Foreman that low resolution can be especially challenging.

"When you look at images collected from standard CCTV footage, the faces are way too small," he said in May.

Savvides explained that it is especially difficult matching off-angle images to frontal facial photographs.

The solution Savvides's team has created is a system that transforms flat photos into 3D. He argues the ability to recreate a suspect from all angles will improve the reliability of facial recognition and also help police track down suspects faster.

The luxury retail sector appears to see potential in facial recognition too. According to the Sunday Times, dozens of stores and hotels are testing the technology in the U.S., the UK, and the Far East.

UK-based company NEC IT Solutions, which also specializes in identification of terrorists and criminals, has created a system that analyzes the faces of potential customers as they enter shops.

The system then checks this information against a database with celebrities and valued customers -- to help stores identify potential big spenders. Once a match is made, the software alerts staff via computer, tablet or smartphone. It can even provide details such as clothing size and shopping history.

Almagro believes that consumers are likely to volunteer information about themselves online if it enhances their shopping experience and helps provide recommendations that "make sense."

A Finnish company, meanwhile, aims to streamline sales by using facial recognition technology for payments. Helsinki-based Uniqul has patented a system allowing payments to be made without wallets or smartphones.

"I've always been fascinated with how people purchase things and started thinking about the ideal way to pay as you walk into a store," says Ruslan Pisarenko, the inventor of the idea.

Anticipating potential customer concerns, Pisarenko says that he isn't too concerned the technology could be marred by security risks.

"We've been thinking about this from day one. Facial recognition is secure by nature and is fundamentally a biometric technology since you need to be in the store to use the technology."

But not everyone has embraced facial recognition with open arms.  In 2011, Facebook introduced a controversial feature which automatically identifies faces in uploaded photos by comparing them to other tagged pictures.

It was rolled out without warning -- a move that backfired in the EU as regulators and privacy campaigners forced the social networking site to turn off the functionality.

In spite of this, Facebook recently announced plans to extend facial recognition to profile photos in other parts of the world.

"Our goal is to facilitate tagging so that people know when there are photos of them on our service," Facebook Chief Privacy Officer Erin Egan told Reuters.

Amie Stepanovich, the director of the domestic surveillance project at the Electronic Privacy Information Center in Washington D.C. argues that Facebook has the largest biometric database in the world, which could eventually compromise its users.

In an interview with NPR, Stephanovich said:

"No matter how much a company attempts to protect your privacy, if they're collecting information about you, that information is vulnerable to government search."

@highlight

Soon, you could pay for goods simply by showing your face to a scanner

@highlight

Government agencies are keen to use the technology, with the stated aim of fighting crime

@highlight

The FBI will roll out advanced facial recognition technology across the U.S in 2014

@highlight

Critics warn of the "compromising" risks of giving intimate information away