Tokyo (CNN) -- Engineers will need six to nine months to bring the damaged nuclear reactors at the Fukushima Daiichi power plant to heel, the plant's owners said Sunday in their first public timetable for ending the crisis.

It will take three months to reduce the levels of radioactivity in the plant and restore normal cooling systems in the reactors and spent fuel pools, the Tokyo Electric Power Company announced. Another three to six months will be needed before the reactors are fully shut down and new shells are built around their damaged housings, the company said.

Meanwhile, Japan's government said it would try to decontaminate "the widest possible area" in that period before deciding  whether the tens of thousands who have been forced to flee their homes will be allowed to return, said Goshi Hosono, an adviser to Japanese Prime Minister Naoto Kan.

"We have to go step by step in order to resolve the problems one by one," Hosono said.

The timetable was released five days after Kan called for Tokyo Electric to show Japanese a pathway to ending the worst nuclear accident since the 1986 Chernobyl disaster. A day earlier, the company would not comment on an industry group's estimate that restoring normal cooling would take two to three months -- a period comparable to the first stage of Sunday's plan.

Tokyo Electric spokesman Hiro Hasegawa acknowledged that public pressure helped speed the company's decision to release a plan and warned that the outline remained tentative -- "but we will do our best" to stick to it, he said.

Because of the still-unknown volume of highly irradiated water flooding the basements of units 1-3, where the cooling equipment is normally housed, the utility is working toward building a separate cooling system. That system would remove heat from the water being pumped through the reactors and decontaminate it before circulating it back through them.

Currently, engineers have improvised by pumping roughly 170 metric tons (45,000 gallons) of water a day into each reactor, an unknown portion of which is leaking out. The leaking water comes out full of such particles as radioactive iodine and cesium, the byproducts of the reactors.

At the plant on Sunday, workers used remote-controlled robots to record radiation, water and temperature data in the building that houses reactor No. 3. Photos released by the utility showed the devices, provided by the U.S. company iRobot, opening the inner door to the reactor and entering the darkened building.

"Everything is a high-radiation area inside the reactor buildings," Hasegawa told reporters at a briefing for international news outlets -- another first for a company that has been sharply criticized for its handling of the crisis.

Meanwhile, Tokyo Electric Chairman Tsunehisa Katsumata fended off nearly a dozen questions from Japanese reporters about whether he or other top executives planned to resign as a result of the disaster.

"At this point, we do not have any decisions or discussions about resigning, as all our efforts is towards resolving the situation," Katsumata said. "We are not sure if resigning is the best way to take the responsibility or to stay in position to resolve the situation." Any decisions may wait until the company's general shareholders meeting in June, he said.

The 5-week-old crisis began March 11, when the plant was swamped by the tsunami that followed northern Japan's historic earthquake. The 14- to 15-meter (45- to 48-foot) wave knocked out the plant's coolant systems, causing the three reactors operating at the time to overheat.

The results included two spectacular explosions that blew apart the housings of the No. 1 and No. 3 reactors and the release of a massive amount of radioactivity that has shrunk considerably, but continued Sunday.

The wild card in the utility's plan may be reactor No. 2, where another suspected buildup of hydrogen is believed to have ruptured the suppression pool -- a doughnut-shaped reservoir at the base of the reactor. That may make it more difficult to carry out one of the first stages of their planned cooling process, filling the concrete primary containment shell around the reactor pressure vessel with water, Hasegawa said.

Unless that damage is repaired somehow, that part of the plan may be unsuccessful, he said.

Tokyo Electric also plans to build a new structure to support the No. 4 unit's spent nuclear fuel pool, around which fires -- the cause of which has yet to be determined -- severely damaged a nearby building.

Hosono said there is no indication this pool is compromised or leaking highly radioactive water or fumes, calling the planned structure a protective measure given concerns about considerable damage to the main No. 4 nuclear reactor building.

Japan's government declared Fukushima Daiichi a top-scale nuclear disaster last week, warning residents of several towns outside the current 30-kilometer (19-mile)  danger zone around the plant to evacuate or prepare to leave their homes. Chief Cabinet Secretary Yukio Edano visited the stricken area Sunday, including a brief trip into the 20-kilometer radius from which all residents have been ordered out.

Clad in a white protective suit and face mask, Edano got within about 15 kilometers of the plant as he met with police who are still searching the area for victims of the March disaster.

"Ensuring people's livelihoods and security is our foremost priority," Edano said after meeting with the governor of Fukushima Prefecture, Yuhei Sato.

Radiation levels in the area are not high enough to cause immediate health effects, but prolonged exposure could cause an increased risk of cancer, according to government data and reports from outside researchers. In Iitate, a village Edano visited Sunday, government figures released Sunday show cumulative doses of radiation since the accident are already more than half the 20-millisievert limit the government

set for long-term evacuations.

Iitate is about 40 kilometers northwest of the plant, outside the danger zones drawn in the early days of the crisis. Hosono said the government does not yet know how much of the contaminated areas can be cleaned up, but added, "We will try to decontaminate as much of an area as possible."

Workers stopped a severe leak of contaminated water into the Pacific Ocean on April 6, but elevated levels of the short-lived nuclear waste iodine-131 recorded over the weekend could indicate a new problem, a Japanese safety official announced Saturday. Iodine concentrations sampled Saturday around the No. 2 water intake were 6,000 times Japan's legal standards, up from 1,100 times on Thursday and down slightly from Friday's figure of 6,500 times.

That number is far below the levels recorded when the earlier leak was spewing radioactive iodine into the ocean at 7.5 million times the limit. Authorities have built a silt and placed steel plates around the intake fence to corral the contamination since April 6.

Iodine-131 has a radioactive half-life of eight days, and the increase could be either from a fresh leak or from sediment stirred up while placing steel panels around the intakes, said Hidehiko Nishiyama, the top spokesman for Japan's Nuclear and Industrial Safety Agency.

"They will continue to monitor this carefully," Nishiyama said. "At this point, they have not visually found any leakage of any water into the ocean, and it is hard to check the conditions around (reactor) No. 2 due to high radiation levels."

Susan Olson, Hiroo Saso, Yuki Arakawa, Asuka Murao and CNN's Junko Ogura contributed to this report for CNN.

@highlight

NEW: Tokyo Electric plans a new structure to support the No. 4 unit's spent nuclear fuel pool

@highlight

Robots probe darkened reactor No. 3

@highlight

Radiation readings in one town are halfway to the government's evacuation threshold

@highlight

Tokyo Electric says it will take 6 to 9 months to wind down the nuclear crisis