(CNN) -- Author R.L. Stine has returned to the evil street that made him famous in the 1990s, and fans are looking forward to the new ways he'll terrorize Shadyside High School teenagers on "Fear Street."

"Party Games," out on September 30, is the first of six new "Fear Street" books that Stine is releasing. The premise: When Shadyside High School senior Brendan Fear has a birthday party at his parent's summer house on Fear Island, things go from bad to worse.

Stine, 70, is the author of more than 300 novels for children and teens, including the much-loved "Goosebumps" and "Fear Street" series. The latter was a major hit, selling 80 million copies and building a fan base that for years has been asking him to revive the spooky series.

"The whole thing happened because of Twitter," Stine said. "It's a great way to keep in touch with my original readers, and 'Fear Street' was mentioned more than anything else. That's what they read when they were kids. And I suppose we're all nostalgic for what we read back then."

R.L. Stine aims to give adults 'Goosebumps'

The new "Fear Street" arrives at a time many consider to be a renaissance of young adult horror. It disappeared as a dominant genre in the early 2000s with the rise of fantasy novels and series such as "Harry Potter" and "Eragon." Popular shows such as "The Walking Dead" and "American Horror Story" helped revive interest in horror literature, said Catherine Scully, young adult editor for the Horror Writers Association.

Like today's TV shows, today's teen horror novels are darker and scarier than the "Fear Street" of the 1990s, reflecting the way popular culture has changed. Along with Stine, a new class of authors is attempting to redefine young adult horror for the "Saw" generation, which can easily find graphic depictions of violence on TV and in movies and video games. By weaving in diverse elements -- such as historic gothic and psychological thrillers -- and making both protagonists and villains more three-dimensional, this new wave of authors is hoping to appeal to readers looking for something more than gore and torture porn.

Unlike horror depicted on television and the big screen, in horror literature for young adults, subtlety is key, rather than shock value, author and horror expert Jonathan Maberry said.

"Modern teen horror goes more inside the personal experience rather than the body count," he said. "The more subtle you go and leave for the reader to interpret, they can participate and it's even scarier."

A brief history of young adult literature

Where it began, where it's going.

The definition of teen horror can be difficult to pinpoint, especially as new authors broaden the range of topics contained within the genre. In the broadest sense, it embodies the disturbing, imaginative manifestations of fear and dread, life-or-death situations, thrilling surprises and a loss of control, authors and literary observers say.

Horror is defined by what scares you, "and that's very personal and different for each person," said Scully, who reviews young adult horror in HWA's 'Scary Out There' blog.

Horror novels by Stine, Christopher Pike and Lois Duncan emerged as a salve to the 1970s and 1980s' "problem novels" that dealt with divorce, drugs and alcohol abuse. In the early 2000s, authors began began weaving elements of horror into fantasy, such as the "Harry Potter" series. Horror was the umbrella genre that gave birth to popular subgenres such as paranormal and dystopian, Scully said.

As the genre evolved, it began attracting more readers with its diversity of subgenres and topics. Themes of empowerment and hope emerged, showcasing teens defeating evil in the face of their greatest fears -- and surviving to the end of the book, Scully said.

Readers sound off: Books that changed YOUR lives

"I look at YA horror as being the swords and shields we give our teens to fight with these problems that we have limited ways of coping with," Scully said. "Teen horror stories are actually empowering them against these horrific things in their life. To have their own stories and their own ways of fighting back, I think we give them a voice."

Cat Winters, Kendare Blake, April Genevieve Tucholke and Kami Garcia are some of the authors folding in suspense and elements of psychological terror into horror novels.

"Horror combines what readers love by merging the scary creatures from 'Twilight' and gritty, horrifying elements of dystopian (literature)," gothic horror author Winters said. "Horror can be a genre of its own but finds its way into almost every other genre."

Kenneth Oppel, author of a young Victor Frankenstein series, believes that part of the appeal of modern young adult horror is the shift away from crazed serial killers to demons within ourselves. Case in point: zombies, monsters of our own creation.

Zombies connect well with the teen experience, standing as a metaphor for misunderstanding, loss or massive life changes and how characters handle the consequences, Maberry said.

Isaac Marion, author of "Warm Bodies," which was adapted for the big screen in February 2013, didn't write his book for young adults. But they connected with the message: figuring out who you are and who you want to be, even if you're a zombie, he said. His book is told from the perspective of a zombie who feels lost until he meets (and doesn't want to eat) a living person.

"It always seemed strange to me that there was no curiosity about what's going on behind the scenes of this creature," Marion said.

Young adult books from page to screen

New twists to old favorites

For years, fans have been asking Stine to revive "Fear Street" in online fan forums and over social media.

But publishers weren't interested, claiming the idea he left behind in 1995 was outdated in the new world of young adult fiction dominated by dystopian worlds and paranormal events. Stine took to Twitter, thanking his fans for their interest while letting them know that the idea was discouraged.

Then, associate editor Kat Brzozowski of Thomas Dunne Books, a division of St. Martin's Press, reached out to him.

The "Fear Street" series married supernatural horror with real-life horror of teenagers' deepest fears and insecurities. That's why they were so popular with young readers, Brzozowski said, including herself. She thought it was fitting that the grandfather of teen horror revisit his most popular series for old fans and a new generation.

Young adult books that changed our lives

While the Stine "recipe" remains the same -- following one character's perspective closely -- Stine says the new "Fear Street" books will be longer, more adult and more violent, reflecting how young adult fiction has changed since the 1990s.

"For me, it's thinking of new scares, plot twists and cliffhanger chapter endings I haven't done before, moving into the modern world," Stine said. "It will be a roller coaster ride of fearful surprises."

Follow Ashley Strickland on Twitter

@highlight

R.L. Stine is reviving his most popular series, "Fear Street"

@highlight

Stine joins other authors in reviving horror books for teens

@highlight

TV shows like "The Walking Dead" helped renew interest in horror literature

@highlight

Author Jonathan Maberry: "Modern teen horror goes more inside the personal experience"