Atlanta (CNN) -- Hussein Shafei prepared Saturday for a journey back to a place of darkness in Libya.

Soon, he plans to stand again in Cell 14, Block 2 at the Abu Salim prison in Tripoli. Only this time, the metal door will not slam behind him, caging him in a bathroom-size cell.

He will be a free man within the confines of what became a potent symbol of Moammar Gadhafi's repression -- Libya's Abu Ghraib.

Shafei wants to return to the place where he witnessed a massacre that fuels his nightmares. Sometimes, he said, his wife would wake him up in the middle of the night, saying, "Hussein. You are screaming. You are scaring the kids."

As many as 1,200 prisoners were killed at Abu Salim in the summer of 1996, according to Human Rights Watch. Without justice, the infamous event festered in Libya's national psyche and eventually acted as tinder to spark the flame of revolt in February of this year.

Rebels stormed the prison a few days ago, freeing those held inside, including an American journalist.

"I am so excited about Tripoli," Shafei said of the distinct possibility of the capital falling under rebel control. "This is the moment I have been waiting for for so many years."

Since his release in 2000, Shafei had thought about Abu Salim's dead. Where were their bodies? What was it like for their children to grow up without their fathers? For a wife to not know what happened to her husband?

He vowed to expose the carnage of that June day.

Then this week in Benghazi, he watched a video posted on YouTube that purportedly showed the storming of Abu Salim. Shafei, now working with the opposition in Benghazi, knew he had to return there.

He was waiting to board a plane to Tripoli. Or perhaps, with the fighting still raging in places like Gadhafi's hometown of Sirte, he will have to go by boat.

With the Libyan regime on the brink of collapse, Shafei hopes the truth about Abu Salim will finally be known. He is hardly alone in his wish.

The shooting went on for almost three hours

Shafei was a teenage college student when he was arrested for offending the regime. Inspired by perestroika reforms in the Soviet Union in the late 1980s, he spoke out in favor of greater freedoms in his own country.

Shafei's mother, Najia, clearly remembers that day in 1988 when she returned to her home in Benghazi to find her daughters wailing. Her son was gone.

"We had no idea where he was," she said from her home in Atlanta. "Whether he was alive or dead."

Nineteen months passed before Najia Shafei learned, through contacts, her son's whereabouts. After that, she occasionally made the long trek west from Benghazi to the prison in Tripoli.

The guards would drag her son out of his cell and into a warehouse at the entrance of the jail, where mother and son met.

If she was lucky, she got 20 minutes with him, she said.

She could never ask him about his situation. There were always guards listening in. He could never tell her about what he knew was going on in that jail -- beatings, torture, deaths.

Shafei spent eight years that way, in a cramped cell, without his family or the education he should have finished. His father died in 1994 and he was released for three days to attend the funeral. That was the extent of his freedom.

Then, on June 28, 1996, prisoners rioting over poor conditions and restricted family visits seized a guard and escaped from their cells.

"Five or seven minutes after it started, the guards on the roofs shot at the prisoners who were in the open areas," Shafei said in an interview with Human Rights Watch many years later.

Security officials ordered the shooting to stop and feigned negotiations. But Shafei told Human Rights Watch that the officials instead called in firing squads to gun down about 1,200 people.

He said a grenade was thrown into the courtyards where the prisoners were gathered.

"I heard an explosion, and right after, a constant shooting started from heavy weapons and Kalashnikovs from the top of the roofs," he said. "The shooting continued from 11 until 1:35."

Much later, while buying lamb at a slaughterhouse in the United States, Shafei commented to his brother Nabil: Not even here can they kill at the rate Gadhafi's men did that day.

"I could not see the dead prisoners who were shot, but I could see those who were shooting," Shafei told Human Rights Watch. "They were a special unit and wearing khaki military hats. Six were using Kalashnikovs. I saw them -- at least six men -- on the roofs of the cellblocks."

The next day, Shafei was ordered to clean the blood-smeared watches taken off the wrists of the dead.

Human Rights Watch said it had no way to verify Shafei's story but another description of the incident from a report by the opposition National Front for the Salvation of Libya corroborated Shafei's account.

Gadhafi's government did not acknowledge the killings and denied any crime had taken place. More than a decade after the Abu Salim incident, the United Nations Human Rights Council noted that the Libyan government was unable to provide any information on its investigation of the allegations.

But the families, mostly from Benghazi, now the de facto rebel capital, did not abandon their longing for answers.

Some of them filed a complaint in a Libyan court in 2007. The Gadhafi regime offered them compensation in exchange for their silence, according to Human Rights Watch.

But the families refused the money, considering it a bribe. Instead, they boldly began to protest each Saturday in Benghazi, an action unprecedented in Gadhafi's four decades of rule.

"It was radical," said Sarah Leah Whitson, director of the Middle East and Africa division at Human Rights Watch.

The government began informing some of the families that their loved ones were dead. But no bodies was ever returned nor a cause of death given.

Among those waiting to find out more are three brothers in Atlanta whose father, opposition activist Izzat Almegaryaf, was plucked from his home 20 years ago.

The Almegaryaf brothers know their father was detained at Abu Salim -- they received letters from him in the early 1990s. But the letters stopped a few years into Izzat Almegaryaf's imprisonment. His sons do not know whether their father was among the massacre victims.

Tasbeeh Herwees, a Libyan-American journalism student in California, recalled in a blog post the funerals for the Abu Salim victims held in the summer of 2009 when she visited Benghazi.

"Inna lillahi wa ilayhi rajioon," each family said. Verily, we belong to God, and to God we return.

Herwees tripped over the words in Arabic, but by the end of her stay she had repeated the phrase so many times that she was fluent.

"I spent more time in tents that summer than in my own home, the cloth of my black abaya sticking irritatingly to my skin from the Saharan humidity," she wrote. "In the faces of the family of the dead, I detected relief in the sea of sadness. 'At least now we know,' they said."

Then in February of this year, the regime arrested Fathi Terbil, a human rights lawyer who represented some of the Abu Salim families. Hundreds of people jammed the streets of Benghazi to protest.

Terbil was released but the demonstrations did not stop. A revolution took root.

"The memories of that summer come rushing back as I watch the present events in Libya unfold from my home in Cypress, California," Herwees wrote. "It was, after all, the Abu Salim families who kick-started this revolution. It was they who initiated protests in Benghazi in front of police headquarters when their lawyer, Fathi Terbil, was mysteriously detained by security officials."

Exposing the carnage

After 12 years at Abu Salim, Shafei was released in 2000. He often cried openly, with flashbacks triggered by something as small as macaroni reminiscent of Abu Salim chow, said his older brother, Nabil Shafei.

He eventually made his way to the United States, where Nabil lived.

"Hussein came here and had a mission," Nabil Shafei said. "He wanted to expose the massacre of Abu Salim."

Hussein Shafei told Human Rights Watch about the carnage he witnessed. He even approached the State Department, which includes the Abu Salim massacre in its statements on human rights abuses in Libya.

As the civil war raged this year and Benghazi blossomed as a city free of Gadhafi's grip, Shafei, now 42, returned there from Charlotte, North Carolina. He took his wife and three children with him.

He has been working with the opposition television station and telling the world about the dark secrets of Abu Salim. Now, as the newly freed prisoners began returning home to Benghazi, Shafei knew the time had come for him to go back to the prison.

It is part of his own healing. The nation must heal, too, he believes. The first step will be to hold Libyan leaders accountable for what happened at the prison.

Najia Shafei is wary of her son's trip to Tripoli. She remains fearful about what might happen to him as long as Gadhafi is still alive.

But Hussein Shafei is determined to complete his mission. He owes it to all those who survived Abu Salim. But mostly, he owes it to the souls of the dead.

@highlight

Hussein Shafei says he witnessed the 1996 killings of 1,200 prisoners at Abu Salim

@highlight

The Libyan government has never acknowledged a crime

@highlight

After his release, Shafei spoke to Human Rights Watch about the carnage

@highlight

The incident served as a trigger for the revolt against Moammar Gadhafi