We're leaving. No, you're not.

That's where the crisis in Ukraine stood Thursday after lawmakers in Crimea voted in favor of leaving the country for Russia and putting it to a regional vote in 10 days.

This act drew widespread condemnation, with Ukrainian interim Prime Minister Arseniy Yatsenyuk calling such a referendum "an illegitimate decision."

"Crimea was, is and will be an integral part of Ukraine," he said.

It was a sentiment echoed by several world leaders, who called the scheduled vote and possible pullout violations of Ukrainian and international law.

"Any discussion about the future of Ukraine must include the legitimate government of Ukraine," said U.S. President Barack Obama. "In 2014, we are well beyond the days when borders can be redrawn over the heads of democratic leaders."

It's not clear how easily the region could split off from Ukraine even if the referendum endorses the move.

The developments came at a dizzying pace Thursday as Yatsenyuk joined emergency talks in Brussels, Belgium, called by leaders of the European Union who support the Kiev government and want to de-escalate the crisis.

The EU and the United States announced plans to freeze the assets of Viktor Yanukovych, who was ousted as Ukraine's president after he turned his back on a trade deal with the EU in favor of one with Russia.

The rejected trade deal prompted months of protests that culminated in February with bloody street clashes that left dozens dead and Yanukovych out of office.

Interpol said it is reviewing a request by Ukrainian authorities that would allow for the arrest of Yanukovych on charges of abuse of power and murder, an allegation tied to the death of protesters.

Moscow has denounced the events that led to Yanukovych's ouster as an illegitimate coup and has refused to recognize the new Ukrainian authorities, putting the two countries on a collision course over control of the Crimea, a peninsula on the Black Sea that has long ties to Russia and has thousands of Russian troops stationed there.

Russian President Vladimir Putin has insisted he has the right to use military force in Ukraine if necessary to protect ethnic Russians under threat in Crimea. Ukrainian officials say no such threat exists and say Putin is using it as a pretext to control the region.

As the standoff continued, Ukrainian authorities announced the arrest Thursday of a leader of a pro-Russian movement in the eastern city of Donetsk. Authorities said he is a Ukrainian national named Pavlo Gubarev, a self-proclaimed governor of Donetsk.

In Crimea, worlds collide

Growing divide

The crisis threatens to not only divide Ukraine, but Russia and the West. Those two sides have exchanged barbs and threatened punitive measures against each other in recent days, all while offering divergent views on the situation in Crimea.

Two diplomats at the center of the crisis --  U.S. Secretary of State John Kerry and Russian Foreign Minister Sergey Lavrov -- met face-to-face on Thursday. They agreed to continue talking "over the course of the next hours, the next days'' to try to find a political solution to end the crisis, Kerry told reporters following the meeting.

The diplomats' bosses, Obama and Putin, talked for an hour Thursday afternoon, with the U.S. president stating "Russia's actions are in violation of Ukraine's sovereignty" and that there is a diplomatic way out, according to the White House.

Putin's office said the call -- initiated by Obama -- "revealed differences in approaches and assessments of the causes of the crisis and the current situation." He also voiced Russia's view it "cannot ignore calls for help" from eastern and southeastern Ukraine, before concluding that Lavrov and Kerry "will continue intensive contacts."

Such conversations haven't stopped either side from taking action.

EU nations, for instance, announced Thursday they will suspend bilateral talks with Russia on visa matters and have threatened travel bans, asset freezes and cancellation of the EU-Russia summit.

"Any further steps by the Russian Federation to destabilize the situation in Ukraine would lead to additional and far reaching consequences for relations in a broad range of economic areas," EU leaders said, having also threatened travels bans on certain Russians and the freezing of some assets.

The United States has taken action. The State Department has imposed a visa ban on Russian and Ukrainian officials and others that it says are responsible for, or complicit in, threatening Ukraine's sovereignty and territorial integrity. Obama signed an executive order laying the groundwork for sanctions against individuals and entities responsible for the crisis.

Despite such pressure, Russia hasn't budged, even refusing to engage in direct talks with the new Ukrainian authorities in Kiev. As  his office noted after the Obama call, Putin believes this government "is a result of an unconstitutional revolution" and imposed "illegitimate decisions."

The dispute has threatened to boil into a military conflict.

Putin has denied claims by Ukrainian officials and Western diplomats that Russia has sent thousands of troops into the region in recent days. Moscow says the heavily armed troops, who are in uniforms without insignia and who have reportedly encircled Ukrainian bases, are local "self-defense" forces.

Meanwhile, Russia has begun  an air defense drill 280 miles (450 kilometers) from Ukraine's border, reports Russian state-run news agency RIA Novosti. A military spokesman called it "the largest-ever exercise held by air defense units" in the region.

Russian authorities said the drills are part of a regular combat training cycle, according to the news agency. But the move comes a day after the U.S. military announced it was beefing up the number of fighter jets in the Baltics, adding six F-15s to the four participating in a NATO mission in the region.

Five possible ways to end the crisis

Voting for Russia or Ukraine?

Amid all the diplomatic wrangling, it is Ukrainians who are most directly affected. And they hardly are speaking with one voice.

Furor in the western part of the country over Yanukovych, his powers and his bringing Ukraine closer to Russia led to his ouster. Now, most people here support the new government and oppose Russian intervention, as well as the prospect of Crimea becoming part of Russia.

The sentiment tends to be very different in Crimea -- which was part of Russia until being given to Ukraine in 1954 by Soviet leader Nikita Kruschev -- and other parts of southern and eastern Ukraine.

Late last month, the parliament in Crimea installed a new, pro-Moscow government late last month -- as armed, pro-Russian men besieged the parliament building -- and does not recognize the authorities in Kiev.

Citizens will be allowed to vote on March 16 on whether they want an autonomous republic of Crimea within Russia; or within Ukraine.

The autonomous region has a 60% ethnic Russian population, having been part of Russia until it was ceded to Ukraine in 1954 by the Soviet Union. But not everyone may be as keen on coming under Moscow's direct influence. About 25% of the peninsula's population is Ukrainian and about 12% is Crimean Tatar, a predominantly Muslim group.

As riot police looked on, hundreds gathered Thursday in the southern port city of Odessa under the flag of the former Soviet Union calling for unity with Russia.

"We are all standing here for Russia," one masked protester told CNN's Matthew Chance. "None of us wants to be part of the European Union."

Late Thursday, the management of the hotel in the Crimean capital of Simferopol where CNN has been based told the network to stop broadcasting from there. Other media outlets got the same message, and no reason was given.

Not everyone in this region wants to become part of Russia. Protesters, including one topless woman who was dragged away screaming, railed against the Crimean parliament vote and Putin. But they were drowned out by a heckling, pro-Russian crowd.

Alex Shiroki, from Yalta, said that his boss asked him, point-blank, "Are you for Ukraine or for Russia?" While his boss favors the latter, Shiroki does not, saying he'd probably leave if Crimea ends up splitting from Ukraine.

U.S. paves way for sanctions on Russians, Ukrainians over Crimea

Michael Crawford, a former British ambassador in Eastern Europe, said that may not happen -- at least easily or peacefully -- even if voters support such a split in the upcoming referendum.

"For Russia to start cherry-picking bits of the former Soviet Union, cranking up referenda in Kazakhstan or Latvia or wherever you like, to try to carve off bits, would be against international law," Crawford said, "And it would be something Vladimir Putin has said he doesn't want to do."

Yatsenyuk said that if Ukraine is broken up, the world will have trouble ever getting another country to give up its nuclear weapons program.

Why? In 1994, Ukraine agreed to give up its Soviet-era nuclear arsenal in return for guarantees -- signed by the United States, the United Kingdom and Russia -- of its territorial integrity and independence.

What happens now to Ukraine "will have an impact on nuclear nonproliferation programs," Yatsenyuk said.

Live updates of the crisis in Ukraine

U.N. envoy to CNN: Situation in Crimea 'dangerous'

Anchor quits: I can't be part of network 'that whitewashes' Putin's actions

@highlight

Putin to Obama: Russia "cannot ignore the calls for help"

@highlight

Crimean lawmakers set a date for a referendum on staying in Ukraine or joining

@highlight

Ukraine's interim prime minister, U.S. President Obama call such a vote unlawful

@highlight

West threatens Russia with punitive actions over Ukraine