London (CNN) -- The widow of poisoned Russian spy Alexander Litvinenko asserted Tuesday that only a public inquiry will bring her justice in the death of her husband.

"I still believe in British justice. It's not easy because I didn't expect this long wait," Marina Litvinenko said outside the Royal Court of Justice after a pre-inquest hearing Tuesday.

Marina Litvinenko wants a public inquiry instead of an inquest, which, in Britain, is a proceeding to establish the facts around a sudden or unexplained death.

A public inquiry is a different proceeding that would "enable the fullest possible investigation" into Alexander Litvinenko's death and, unlike an inquest, can receive evidence behind closed doors, the coroner said during Tuesday's hearing.

In Litvinenko's case, such evidence could involve matters of national security.

On Tuesday, Coroner Sir Robert Owen said he is waiting for a response from the secretary of justice on his petition last week to hold a public inquiry instead of an inquest.

Litvinenko, a former KGB agent and fierce critic of Russian President Vladimir Putin, came to Britain in 2000 after turning whistle-blower on the FSB, the KGB's successor.

He died at a London hospital November 23, 2006, after being poisoned by the radioactive material polonium-210 while drinking tea at the Millennium Hotel in London's Grosvenor Square.

In a deathbed statement, Litvinenko blamed Putin, an accusation the Kremlin has strongly denied.

Marina Litvinenko's lawyer, Ben Emmerson, said during Tuesday's hearing the widow would be unable to play a role in an ongoing proceedings if the government refused the coroner's request.

"The inquest should now stand adjourned. There should be a full stop at the inquest until the matter is resolved," Emmerson said.

Neil Garnham, a lawyer representing the home secretary at the hearing, said a decision on a public inquiry would be made as quickly as possible.

Emmerson charged Tuesday that a foreign office minister made what he said was an "improper approach" to Litvinenko's widow while British Prime Minister David Cameron and Putin met in Sochi, Russia, last month.

The representative approached the widow without reaching her legal team first, Emmerson said. He wanted assurances for Litvinenko that discussions in Sochi would not affect the government's attitude to a full investigation into her husband's death, Emmerson added.

"I have to say I am astonished," Owen said about the contact.

Garnham said nothing improper occurred.

"The foreign office knew that there was likely to be some reporting in the public press of a meeting between Foreign Office ministers and Russian officials about security matters. As a matter of simple courtesy, the minister telephoned Mrs. Litvinenko to let her know of the fact of the meeting, not to discuss the contents, but simply to inform her," Garnham said.

The next hearing into the case is expected in early July.

Prosecutors in London want Russia to extradite Andrei Lugovoi, suspected in the killing, but Russia has repeatedly refused to do so.

In another hearing last December, the counsel to the inquest, Hugh Davies, said evidence provided by the U.K. government shows Russian involvement in the former KGB agent's death and "does establish a prima facie case as to the culpability of the Russian state in the death of Alexander Litvinenko."

In that hearing, Emmerson said Litvinenko was working for the British intelligence service MI6 and had been tasked by MI6 with working also for the Spanish intelligence service as it investigated Russian mafia activities in Spain.

While ill in the hospital, Litvinenko called Lugovoi about a planned trip together to Spain, a phone call that was witnessed by his wife, Emmerson said.

The men were both to provide intelligence to the Spanish prosecutor investigating Russian mafia links to the Kremlin and to Putin, Emmerson said.

In March, exiled Russian oligarch Boris Berezovsky was found dead in the United Kingdom, and his death was deemed "consistent with hanging" with no sign of a violent struggle, British investigators said.

But the death of Berezovsky, 67, triggered speculation about the fate of a onetime tycoon known for his opposition to Putin.

Berezovsky also blamed the Kremlin for the death of Litvinenko. For years, Berezovsky bankrolled the effort of Litvinenko's widow to push for an inquest into her husband's death.

Last month, Edward Lucas, international editor of The Economist, told CNN's Fareed Zakaria that Litvinenko was a former security official -- akin to an FBI agent.

"He annoyed the Kremlin in lots of ways. He had been involved in domestic power battles in the Kremlin, where he complained about the role of organized crime inside the Russian security service. He then defected very publicly," said Lucas, author of "Deception: The Untold Story of East-West Espionage Today."

"In effect they used a ... radioactive weapon, a weapon of terror against a British citizen in broad daylight in the streets of London endangering lots of other people," Lucas said. "I think we still don't quite understand what the Russian motivation was. What we do know is that the British government doesn't want to get into detail about how they know about it, and that to me suggests that they were tapping Russian phones, reading Russian diplomatic communications, bugging Russian officers."

CNN's Claudia Rebaza reported from London and Michael Martinez wrote and reported from Los Angeles.

@highlight

Widow of Alexander Litvinenko says an expanded investigation would bring justice

@highlight

That proceeding is called a "public inquiry" in Britain

@highlight

The coroner asks for a public inquiry instead of an inquest

@highlight

National security matters can be discussed behind closed doors in public inquiry