(CNN) -- The fire that severely damaged a drilling rig in the Gulf of Mexico subsided Thursday as sand and mud stopped up a natural gas well that blew out earlier this week, federal regulators said.

The blaze erupted Tuesday aboard the rig, located about about 60 miles off Grand Isle, Louisiana, in 154 feet of water. What remained Thursday was a small flame "fueled by residual gas at the top of the well," the federal Bureau of Safety and Environmental Enforcement reported.

The accident happened when workers aboard the Hercules 265 hit an unexpected pocket of gas while preparing the well for production. Forty-four workers were evacuated from the rig without injury, officials said.

While the rig remained standing, parts of the structure above water had collapsed as a result of the intense heat, officials said.

The BSEE said Wednesday that the only contamination so far had been a light sheen on the ocean that appeared to dissipate quickly. No oil was being released, the BSEE said. The rig's owner, Hercules Offshore, said Wednesday that it had brought in an environmental expert to keep an eye on wind and ocean conditions to track any possible contamination.

It was not immediately clear what steps would now be taken to secure the well. Hercules Offshore had said Wednesday it was preparing to bring in another of its drilling rigs to prepare a relief well, if necessary.

Tuesday's blowout was the second this month in the Gulf, where the worst oil spill in U.S. history occurred in 2010. Workers on a production platform lost control of an aging gas well while trying to plug it on July 8, resulting in a leak of about 250 gallons of liquid natural gas. There were no injuries.

Most of the work being done in the shallow water off Louisiana now involves attempts to draw the remaining gas out of old wells or to shut down ones that are no longer profitable, said Eric Smith, associate director of the Tulane Energy Institute in New Orleans. In this case, the rig was set up next to an existing gas platform, drilling a "sidetrack" well to reach the remaining gas after an existing well became blocked, Smith said.

In the aftermath of the blowout, the well operator is likely to close it off and abandon the site, he said.

"The platform is probably a write-off. The rig is definitely a write-off," Smith said. "You're probably talking somewhere on the order of $50 million for the rig and $20 million for the platform and existing wells."

Unlike the catastrophic Deepwater Horizon blowout in 2010, which released millions of barrels of crude oil and gas at high pressures, this week's accident "is a much smaller blip on the horizon," he said.

But the recent incidents are a reminder that offshore work is "inherently risky" and that blowouts "aren't that infrequent," said Michael Bromwich, the former chief of the BSEE and its predecessor agency, the Bureau of Ocean Energy, Management Regulation and Enforcement.

"They generally don't lead to the kind of catastrophic consequences that we saw in Deepwater Horizon, but they are unfortunate events that happen," Bromwich said Thursday. "And the fact that we've had two in the last month simply underscores that fact."

The drill rig Deepwater Horizon blew up and sank in April 2010, killing 11 men aboard. The well it was drilling was nearly a mile below the surface of the Gulf, and it took nearly three months to cap.

BSEE oversees about 3,400 wells in the Gulf of Mexico. The agency investigated more than 70 accidents aboard rigs and platforms in the Gulf in 2012, including a November explosion that killed two workers about 20 miles southeast of Grand Isle.

Rules were tightened after Deepwater Horizon, but Bromwich -- who led reforms of the Interior Department's offshore oversight agencies in that period -- said both industry and government need to remain vigilant about the safety of workers offshore.

"These all should be learning exercises," he said. "What went wrong here? Where they errors in human judgment? What remedial or corrective actions should be taken by the company, and what can the industry and what can the regulators learn?"

CNN's Dave Alsup and Eliott C. McLaughlin contributed to this report.

@highlight

NEW: Platform and drill are "probably a write-off," analyst says

@highlight

Gas flow stops at the damaged Gulf of Mexico natural gas well

@highlight

A fire broke out Tuesday when crew members hit an unexpected pocket of gas

@highlight

It's a reminder that offshore work is "inherently risky," former regulator says