(CNN) -- Seventy years ago this week, President Franklin Roosevelt signed the GI Bill of Rights, formally the Servicemen's Readjustment Act, which the House of Representatives and Senate passed unanimously. It authorized unemployment compensation for a maximum of 52 weeks and guaranteed farm, home and business loans up to $2,000 to World War II veterans.

Most importantly, by providing up to four years of education and training at annual tuition rates of up to $500 (the rate then charged by Harvard), plus a monthly living stipend, the bill made it possible for GIs to attend any college or university that would accept them.

That was then.

In 2014, the promise of full and equal access to higher education for men and women in the armed services, and, for that matter, for all academically qualified Americans, has not been fulfilled. Family income, not a concerted national initiative, still dictates whether students, including servicemen and women, go to college and which institutions they attend.

More than 2 million World War II veterans went to college on the GI Bill. At least a quarter of them could not have done this without it. Many excelled; GIs appeared with regularity on honors rolls and deans lists. And they more than paid back the investment that had been made in them. Many of them achieved higher occupational status, more job security, better health and pension benefits and paid more taxes than their peers.

They joined 50% more civic and political organizations and voted more frequently than their contemporaries in post-war America, according to Suzanne Mettler, author of "Soldiers to Citizens: The GI Bill and the Making of the Greatest Generation" and a professor of government at Cornell University.

They also upended a pervasive assumption at the time that college was best suited to affluent Americans. Influenced no doubt by the performance of the first wave of GI Bill students, the 1947 Truman Commission, Higher Education in American Democracy, called for "free and universal access to higher education" for all Americans based on the interests, needs, and abilities of each student, but without regard to race, creed, sex, national origin or economic circumstances.

The GI Bill and the Truman Commission Report touched off a golden age of higher education in the United States. Thanks in no small measure to funding for financial aid and research from states and the federal government, the number of undergraduates increased five-fold from 1945 to 1975, and graduate students nine-fold, according to Clay Shirky in "The End of Higher Education's Golden Age."

In the past 70 years, GI Bill benefits have become significantly less generous than the provisions of the Servicemen's Readjustment Act of 1944. The Korean GI Bill of 1952, the Veterans Readjustment Benefits Act of 1966 and the Montgomery GI Bill of 1985 fell far short of covering tuition and fees at many public and private colleges and universities.

While 52% of World War II veterans enrolled in private colleges and universities under the GI Bill, only 20% of the veterans of Korea and Vietnam were able to do so. It has become more difficult to ask, as Time magazine did in the 1940s, "Why go to Podunk College when the government will send you to Yale?"

Although Sen. James Webb wanted his GI Bill, signed into law by President George W. Bush on June 30, 2008, to give veterans of the wars in Iraq and Afghanistan "the same educational chance that 'The Greatest Generation' had," it provided tuition payments only up to the most expensive in-state public university and restricted eligibility to individuals who spent three years or more on active duty.

More generally, state appropriations for all higher education in recent years have leveled off or gone down, and federal funding for financial aid for undergraduates has not kept pace with the cost of attendance at public or private institutions. The maximum Pell grant, which accounted for about four-fifths of the cost at an average public university in the '70s, now covers about 31%.

Little wonder, then, that three of four individuals from families in the top quartile of the economic distribution have received undergraduate degrees by age 24, but only one of five in the third tier and one of 10 in the fourth -- and the median debt at graduation is rising rapidly. Or that the United States is no longer at the top -- or even near the top -- of countries that send the highest percentage of their young people to college.

More than ever, it is clear that educational achievement promotes economic growth, helps our nation compete in world markets and leads to high incomes as well as individual fulfillment.

So let's mark the 70th birthday of the GI Bill not just by celebrating one of the greatest pieces of legislation in American history. We must also insist that Congress make it a high priority to provide the opportunity for our servicemen and women -- and for all young men and women in the United States -- to use higher education to fulfill the American Dream and go as far and as fast as their ambition, discipline and talent will take them.

@highlight

Glenn Altschuler: 70 years ago, FDR signed GI Bill; more than 2 million went to college on it

@highlight

After later wars, America's promise of higher education to vets diminshed, he says

@highlight

He says GI Bill paid off: Vets got better jobs, were more civicly engaged, paid more taxes

@highlight

Writer: Congress must reprioritize this educational pact with vets and all Americans