Kapikoy, Turkey (CNN) -- Hamide Yeni is a woman on the hunt.

The women's rights activist wears a determined expression on her face as she paces the dirt roads of this remote village, looking for the man who Turkish authorities say beat his wife and put her in a hospital twice in less than 12 months.

"Have you seen Faruk?" she asks the village mayor's daughter. "He disappeared with his car."

"No one's seen him," the woman replies. Some other villagers retreat behind the mud-brick walls of their homes as Yeni approaches.

Convicted wife beater

The man Yeni is looking for is Faruk Platin, one of the 600 residents of Kapikoy.

Last fall, a court sentenced him to 15 months in prison for assault, after his 30-year old wife Sidika was hospitalized with trauma wounds.

Video footage filmed in September of 2009 shows Sidika outside of the hospital in the provincial capital of Van. Her face was horribly bruised; her head encased in bandages. Part of Sidika's right ear had been sliced off. The woman could barely walk and leaned on her brother for support, as she hobbled a few short steps into the hospital.

After the incident, Turkish authorities separated Sidika Platin and her children from her husband and placed them in a state-run women's shelter. But barely two months later, a local criminal court asked that Sidika and her children be handed back to Faruk Platin. He had not served any jail time for beating his wife.

"At that time, because he showed regret and because his [criminal] record was clean, his sentence was postponed," said Meral Demirbas, the governor of Saray district where Kapikoy is located.

"Also, the wife withdrew her complaint."

Sidika Platin is an ethnic Kurd who speaks no Turkish. According to eyewitnesses, when she appeared in court, she could not understand the judge or prosecutor, and relied on her husband to translate legal proceedings.

On a snowy day last December, local women's rights activists like Hamide Yeni could do little more then watch helplessly, as Faruk Platin led his mutilated wife away from the courtyard, back to the village where they lived.

Widespread violence against women

"This kind of thing happens in every village," says Yeni, one of the founders of a grassroots local family protection association in the Saray district of southeastern Turkey. "There are thousands of women like Sidika out here."

In fact, according to a 2009 Turkish government report, 42 percent of women surveyed said they had been the victims of either physical or sexual abuse by their husband or partner. The report concluded that one in four married Turkish women had been injured by partner violence. Meanwhile, one in ten Turkish women were injured by such violence while pregnant.

Some Turkish activists fear the real statistics for violence against women may actually be much higher.

"In all domestic surveys there are 'shadow figures.' That is because women are not willing to tell about the violence, it's a very sensitive issue," says Pinar Ilkkaracan, a co-founder of the Istanbul-based group Women for Women's Human Rights.

"We think it's much higher than 42 percent."

Domestic violence against women is not confined to economically-depressed, rural regions of eastern Turkey. According to the Turkish government survey, the statistics for physical and sexual assault were roughly the same in the countryside as in the most developed, fast-growing cities in the western part of the country.

Over the past 15 years, Turkey has adopted several progressive pieces of legislation to protect women, including a 1998 Protection Order against Domestic Violence. Reform of Turkey's Civil Code in 2001 gave women legal equal status to men in the family.

Meanwhile, changes to the country's Penal Code in 2004 criminalized marital rape. But critics argue that the Turkish state has lapsed far behind in implementing these laws.

"The law prohibits violence against women, including spousal abuse, but the government did not effectively enforce it," the U.S. State Department said in its 2009 human rights report on Turkey.

Despite widespread violence against women, in 2009 the Turkish government reported there were only 52 state-run shelters for women in the entire country. Those shelters have the capacity to house less than 1,300 residents, in a country where the population exceeds 70 million.

"There is a lack of coordinated action and strong will on the part of the government to stop violence against women," says Ilkkaracan.

'It looks as if she was tortured'

Not long after Sidika Platin returned to the village of Kapikoy, neighbors and relatives began contacting authorities, reporting that her husband was once again beating her.

But Sidika's parents and siblings said Faruk Platin repeatedly threatened them when they tried to intervene. Sidika's brother claims on one such occasion, his brother-in-law beat him up.

"That man started beating my daughter the day she put on her wedding dress and he has been violent with her ever since," said Cemile Ozer, Sidika's mother. "I wish he killed her long ago to spare her all the suffering."

In early July, gendarme security forces were summoned to the crude house where the Platin family lived.

Niyazi Yakin, a member of the Kapikoy village council and a relative of Faruk Platin, says he personally asked Sidika if she was being abused, and she said no.

"She deserved what happened," Yakin said. "Because we gave her the chance to leave him and she didn't."

On July 15, Faruk Platin brought his wife to the hospital in Van.

"When the doctors discovered that she was battered, the husband escaped," the Van Social Services Directorate announced in a written statement on July 19.

Doctors at Van hospital said Sidika had trauma marks on various locations on her head, infections from injuries, a fever and there was a third-degree burn in the shape of an iron on her back.

"It looked as if she had been tortured," one Van hospital doctor told CNN, on condition of anonymity because he was not authorized to give an interview.

Though there was no evidence of brain damage, for more then two weeks after being hospitalized, Sidika was in a near-catatonic state, unable to move or respond to questions.

Hakan Cankaya, the deputy chief doctor at the hospital, said psychiatrists suspected she suffered from extreme post-traumatic stress disorder. He added that the hospital frequently received female patients who appeared to be victims of abuse.

"Usually if a woman comes in who has been beaten, she will say 'I fell down the stairs' or 'I bumped into the refrigator," Cankaya said. "It stays in the family...and as doctors, we cannot interfere."

Meral Demirbas, the district governor of Saray, told CNN an arrest warrant has been issued for Faruk Platin, who is on the loose.

But Hamide Yeni says that is not enough.

"The state is guilty, the system is guilty," she says. "It failed to protect the victim."

The governor of Van province and Turkey's minister of state responsible for women's and family affairs did not respond to numerous requests from CNN to comment on the case. Both officials have made visits to Sidika's bedside in Van hospital.

In village of Kapikoy, where many residents eke out a living herding sheep, Yeni goes house to house, dressed in a long skirt and loose headscarf, asking locals why they did not speak up about the violence that had been taking place in their community.

"It wasn't our responsibility," insists Saban Altinli, a brother of the village muhtar, or mayor.

"When there is violence, it doesn't matter if it's your relative," Yeni responds. "You can still make a call and inform that this woman is being beaten."

@highlight

Statistics show the violence is in urban and rural regions

@highlight

Turkey has adopted legislation to protect women

@highlight

There are only 52 state-run shelters for women in the nation