Washington (CNN) -- Finding al Qaeda leader Osama bin Laden and rolling back a resurgent Taliban are necessary steps toward winning the war in Afghanistan, the top U.S. commander there told a Senate committee Tuesday.

Bin Laden remains at large more than eight years after the September 11, 2001, attacks on New York and Washington that triggered the Afghan war, and is widely believed to be hiding along the rugged border between Afghanistan and Pakistan. Gen. Stanley McChrystal, the commander of U.S. forces in Afghanistan, said the world's most wanted terrorist is "an iconic figure" whose survival "emboldens al Qaeda as a franchising organization across the world."

"It would not defeat al Qaeda to have him captured or killed, but I don't think we can finally defeat al Qaeda until he is finally captured or killed," McChrystal told the Senate Armed Services Committee. But he said if bin Laden is hiding across the border, "It is outside of my mandate."

In addition, he said, pushing back the Taliban -- which allowed al Qaeda to operate from Afghanistan before 9/11 -- is a "prerequisite" for destroying the terrorist network.

"To pursue our core goal of defeating al Qaeda and preventing their return to Afghanistan, we must disrupt and degrade the Taliban's capacity, deny their access to the Afghan population, and strengthen the Afghan security forces," he said.

McChrystal's appearance before senators was his second round of testimony on Capitol Hill on Tuesday, following a session with the House Armed Services Committee earlier in the day. Karl Eikenberry, the U.S. ambassador in Kabul, joined him in both hearings.

Both men were called to testify about President Obama's new plan for the Afghan war, which involves the deployment of another 30,000 U.S. troops and a July 2011 date for the beginning of an American withdrawal. McChrystal said the next 18 months will be "critical" to the war effort and said U.S. forces must convince Afghans that "we are going to win."

The United States and its NATO allies must reverse the Taliban's actual and perceived momentum and establish "contiguous security" around the country rather than the pockets that currently exist, McChrystal said. One advantage U.S. troops have is that the Taliban -- which ruled most of Afghanistan before the 9/11 attacks -- remain largely unpopular among Afghans and draw support only through the threat of violence.

"I have never seen evidence that the Taliban have popular support like a political liberation movement," he said.

In August, the general had cautioned that a failure to reverse Taliban gains within 12 months could make defeating the insurgents impossible. But his testimony Tuesday lengthened that timeline.

"The sober fact is that there are no silver bullets," he told the House committee. "Ultimate success will be the cumulative effect of sustained pressure."

McChrystal said he "participated fully in the president's assessment and decision-making process" and fully supports Obama's decision. And Eikenberry, whose leaked cables to Washington indicated that he opposed sending large numbers of troops to the conflict, told the Senate he is "100 percent" behind the new strategy "with the refinement of the mission."

His initial questions, Eikenberry told the House, were about the number of troops, the timeline for those troops, and the context in which those troops would operate.

"The mission was refined, the ways forward were clarified, and the resources now have been committed to allow us to achieve the refined mission," said the ambassador, a retired general who held a senior post in Kabul before retiring from the Army. "With that, at this point in time ... I am unequivocally in support of this mission and I am exactly aligned with Gen. McChrystal in moving forward now to vigorously implement the assigned mission."

Both Eikenberry and McChrystal went out of their way to minimize the differences in their views after reports of an Eikenberry cable advising the president that McChrystal's plans to send more troops would be ill advised because of a lack of confidence in the government of Afghan President Hamid Karzai. In their opening statements, both said they were honored to testify together and each called the other a friend.

But more of those differences were seen when the men gave their predictions about the final outcome of the war.

"I believe we will absolutely be successful," McChrystal responded when the committee chairman, Rep. Ike Skelton, D-Missouri, asked the general point-blank about the chances for success of the U.S. mission.

Earlier, in his opening remarks, the general had said, "The mission is not only important, it is also achievable. We can and will accomplish this mission."

Eikenberry was more cautious, saying that "success is not guaranteed but it is possible."

But McChrystal emphasized that the July 2011 date is only a marker in the broader picture, and not a "major factor" in U.S. military strategy.

"I don't view July 2011 as a deadline. I don't believe it is a deadline at all," he told lawmakers, later adding that he assumed a U.S. troop withdrawal will begin at that time.

"It is a solid decision the president has made and I operate under the assumption that we will begin to decrease our forces beginning in July 2011," the general said.

McChrystal said that the influx of additional troops should bring "significant progress" in the war by next summer, and by next December he should be able to "lay out progress" and show evidence of success in a report he will present.

"My expectation is the insurgency will be less robust in the summer of 2011, significantly so, and it is also my expectation that the Afghan security forces will be more robust," McChrystal said. "I see confidently in the summer of 2011 that beginning the reduction of forces will be appropriate, the pace and scope of which needs to be conditions-based on how strong is insurgency at that point."

He said the Taliban must not become "an existential threat" to the Afghan government, "and thus to the Afghan people."

"So rather than wipe out every Taliban member, what we need to do is lower their capacity to the point where -- within their own means -- Afghanistan can hold them from being a major threat to either their way of life or their government. "I think that, over time, that will cause the Taliban to go away, to become irrelevant, and cease to exist," he explained.

At present, 68,000 U.S. troops are operating under both NATO and U.S. commands in Afghanistan, and around 42,000 non-U.S. forces are under NATO. The Pentagon announced 1,500 more Marines would be deploying this month as part of the new strategy.

Last week, NATO Secretary General Anders Fogh Rasmussen said that Britain, Italy, Poland, Slovakia and non-NATO member Georgia are among at least 25 countries offering to send a total of 7,000 additional troops to Afghanistan.

CNN's Jill Dougherty contributed to this report.

@highlight

NEW: "I don't think we can finally defeat al Qaeda" without getting bin Laden, McChrystal says

@highlight

NEW: General, U.S. ambassador testify before House and Senate armed services committees

@highlight

McChrystal: Perceptions of Afghan people and insurgency will be critical to success

@highlight

McChrystal: "I don't view July 2011 as a deadline."