(CNN) -- When Iranian director Asghar Farhadi accepted his Golden Globe for best foreign film last month, he spoke a few words of thanks, paused and announced he wanted to say something about his people. Two nations held their breath.

"They are a peace-loving people," Farhadi said, and then was gone. Brief though it was, his comment was eloquent, to the point and unsettling in its simplicity.

Likewise his movie. Much of the reason that "A Separation" has made such an impact in the West -- a virtual sweep of the critics' prizes, a Golden Globe and two Oscar nominations, including a virtually unheard of nod for a non-U.S. screenplay -- is that it isn't a foreign film at all (except for all that Farsi).

If anything, it's a feel-good movie, albeit in a wildly perverse way: Having experienced the anguish of Farhadi's characters, the viewer comes away with the inescapable sense of our common humanity, the resounding sense that we're all in this life together. If that sounds clichÃ©d, so be it.

This is not a politically acceptable position, of course.

Amid the glib militarism of Republican presidential candidates, the bellicosity of Iranian President Mahmoud Ahmadinejad and the nuclear recklessness of the mullahs, "A Separation" drives home the oft-ignored fact that Iran is full of educated, sophisticated and cultured people who don't necessarily agree with their government either. Particularly the lead characters of "A Separation."

Farhadi doesn't ask for trouble. No one in the cast declares that, "Our impossible, infuriatingly theocratic regime is anti-intellectual, anti-opportunity, anti-woman, anti-freedom, anti-human." Nevertheless, Simin (Leila Hatami) wants out. A young mother of Tehran's educated middle-class, she wants a better life for her daughter, Termeh (played by the director's daughter, Sarina Farhadi) and -- why not? -- a better life for herself.

She works, she takes classes, she harbors an intellectual curiosity. Under her hijab, her hair is dyed an unnatural but quite chic shade of red, which more or less reflects her disposition. She is adamant. She's going, whether her husband, Nader, is willing or not. And he's not. His father is suffering from dementia and can't be left behind. And, as Islamic law demands that the husband decides where the daughter goes, Termeh is staying, too.

Without giving away the whole plot, it's worth saying that "A Separation" snowballs into a demi-tragedy propelled by institutional hubris: Simin is judged by the system to have insufficient grounds for divorce, but what can happen otherwise when the grounds for her request are the very system that is denying her the divorce?

Nader, needing to find a housekeeper who can care for his father while he goes to work, rashly hires Razieh (Sareh Bayat), a woman so fearful of religious impropriety that she has to call for a ruling before she can change the incontinent old man out of his soggy clothes. That she cannot touch Nader's father, played by Ali-Asghar Shahbazi, lest she violate some religious tenet, verges on the absurdly comedic. The series of misunderstandings and various acts of dishonesty that intertwine so gracefully and with such a dreadful sense of destiny, are all predicated on a system that denies reality.

As such, it can find a mirror in an American political system in which politicians are willing to mouth any absurdity to appeal to a noisy, marginalized and in many cases fundamentalist minority, whose inclinations toward freedom, intellect, diversity and reason don't place them all that far from the mullahs. Frankly, you don't want either group to have a nuke.

But that makes "A Separation" something of a dangerous movie, at least among those for whom division among peoples spells political profit.

At a time of nationalism-cum-tribalism, and a seemingly sweaty eagerness for the United States and Iran to mix it up militarily, Farhadi's camera cultivates emotional generosity: The point of view swings from objective to subjective, capturing the emotions of the characters via their shared point of view.

The perspective swings from Simin to Termeh to Razieh to Nader, the upshot being a marriage of perception, a unity of view, a sharing of experience not only among the characters, but the audience. It all adds up to an experience that is rare at the movies, directorially demanding and which creates the very phenomenon that makes "A Separation" unique and resonant.

You may walk out of the theater, but you can't walk out of the movie. Because its story is all around us.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of John Anderson.

@highlight

John Anderson says Iranian film "A Separation" successful because themes not foreign

@highlight

The film tells story of woman determined to leave Tehran but is thwarted by rigid system

@highlight

He says the irrational paranoia that drives Iranian regime has echoes in right-wing U.S. politcs

@highlight

Anderson: At a time of saber-rattling between nations, the film shows common humanity