(CNN) -- There is a phrase that has long been used in discussing nuclear warfare:

Mutual assured destruction.

What it means is that if various enemies develop and use the most powerful and harmful weapons available, everyone will lose. Everyone will die.

National politics is not literal warfare, although its practitioners like to use the language of combat:

War rooms.

Battleground states.

Attack ads.

And as the political world shifts its focus from one national convention to the other, a sentiment has been building that this year's presidential campaign may turn out to be the dirtiest ever.

You've already seen it in the wall-to-wall television commercials during the primary season; with the fall campaign shifting into overdrive, you can expect the tone of the advertising to make sewage seem pristine by comparison. As Peggy Noonan wrote in The Wall Street Journal: "With all the PAC money floating around, we've entered the Golden Age of mudslinging."

It's not that the candidates are incapable of high-mindedness; they are extraordinarily bright. But in recent years the mantra of high-octane campaigns has been that below-the-belt tactics work, and the rationalization has been that a candidate can't accomplish anything worthy if he or she doesn't get elected in the first place.

Jim Rutenberg, in The New York Times, under the headline "The Lowest Common Denominator and the 2012 Race for President," wrote last month: "The thinking was that the two presidential candidates, both with Harvard degrees, would finally use their intellectual prowess to discuss the nation's challenges seriously." That, he wrote, is looking like an unrealistic expectation, and thus "Strategists on both sides are pondering which campaign is best served by the vitriol."

From time to time there are public calls for a truce in the invective. It never seems to stick. Carol E. Lee, writing in The Wall Street Journal: "Neither side shows any signs of curtailing the negativity. ... One effect of such early negativity is that both candidates figure to be battered by November, and voters could become fatigued earlier."

Why does this matter? With politics more of a spectator sport than ever, what is the real harm in its devolving into an only slightly more refined version of mud wrestling?

The harm is that it's a difficult shift to go from mud wrestler to statesman once the votes are counted. The metaphorical eye-gouging and groin-kicking of take-no-prisoners campaigns may be effective in grabbing voters' attention -- increasingly, watching a presidential campaign play out is like slowing down to gape at a particularly ugly auto accident. But there are indications that the voters are getting wise to the game, and becoming disillusioned with it.

In a front-page story in USA Today before the conventions began, Susan Page reported that a USA Today/Gallup Poll "finds Americans taking a decidedly more negative view of the presidential candidates and the tenor of their campaigns than they did four years ago."

Some of the findings of the poll: Voters are critical of both candidates for making unfair attacks on each other. To an extent not seen in at least the last six election seasons, voters say that they view both the Republican and Democratic parties unfavorably. When, in 2008, potential voters were asked if both candidates would make good presidents, 25% said yes. This year, asked the same question, only 12% said yes.

And that is the danger of mutual assured destruction, politics-style. In warfare, the hoped-for impact of the knowledge that either side could annihilate the other was to preserve a state of peace, however strained or uneasy -- it was, and is, a doctrine of deterrence. In politics, it doesn't seem to inhibit the combatants.

A willingness to use any means to win an election will inevitably, in the end, produce a president. But then the president will have to lead a nation that has turned darkly cynical about the entire process.

There is a publication that has none of the glitz or dinner-party cachet of the national newspapers or television news networks, but it reaches an audience that dwarfs theirs. The publication is the AARP Bulletin -- circulation 22 million -- and its editor, Jim Toedtman, recently wrote an editorial that puts all of this in measured perspective.

Under the headline "Leaders, Try Greatness, Not Meanness," Toedtman said that strategists for the opposing sides are displaying "no interest in compromise," and quoted Allegheny College President James H. Mullen Jr. in characterizing the current process as "a disgraceful stew of invective ... a continuing contest in which each side of the partisan divide sees itself as right and the other as evil, uncaring or, worst of all, unpatriotic."

Does it have to be this way? The editorial recalls John Adams, who "could just as easily have been talking about today when he wrote in 1776 of his fears that the Continental Congress' decisions would be dictated 'by noise, not sense; by meanness, not greatness; by ignorance, not learning; by contracted hearts, not large souls.'"

Adams wrote, "There must be decency and respect and veneration introduced for persons of authority of every rank or we are undone. In popular government, this is our only way.'"

When the country loses that, it loses something essential. Just what is it that we are throwing away? Toedtman's editorial concludes: "Decency, respect and veneration produced compromise and a foundation that has endured for 236 years. We are surrounded by noise, meanness and ignorance. The measure for our leaders must be their ability to rediscover that proven formula of sense, greatness and learning."

But what political consultant would waste his client's money trying to fit those sentiments into a 30-second commercial?

Meanwhile, Election Day is less than 10 weeks away.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: Political campaigns resemble warfare's mutually assured destruction

@highlight

He says politicians believe the only way to win is by using below-the-belt tactics

@highlight

A poll showed that Americans take an increasingly dim view of negative campaigns, candidates

@highlight

Greene: When the country loses decency, respect, it loses something essential