Washington (CNN) -- When Sen. Mark Begich looks at the next two years, he says he is not concerned about the tough votes he is bound to have to make that could have an impact on his re-election in 2014.

The moderate Democrat from Alaska even laughs a bit when he says, "Every vote we take here is tough."

"My strategy has always been to do what I am going to do and focus on my issues," Begich said in an interview with CNN.

Begich is one of six moderate Democrats from "red" states whose terms ends in two years. Max Baucus of Montana, Kay Hagan of North Carolina, Tim Johnson of South Dakota, Mary Landrieu of Louisiana and Mark Pryor of Arkansas are among the 20 Democrats whose terms will be up in 2014; Republicans will defend 13 seats.

CNN Election Center: Complete results

Though no Republican has declared a run against Begich, speculation in Alaska is that Gov. Sean Parnell will challenge the first-term senator. Since 2008, when the former Anchorage mayor narrowly defeated incumbent Republican Ted Stevens, Begich has voted as a moderate and has shown willingness to work with the other party.

At times, he says, that can get lonely: "You feel like a Lone Ranger sometimes."

Asked about positions he has taken on oil and drilling or on transportation in the 112th Congress, Begich said, "Sometimes I feel like I look around and I look behind me and there aren't many national Democrats there. But that is the way it goes."

Though fiscal cliff and budget issues are likely to dominate Congress' lame duck session -- and likely the new Congress -- there are any number of issues that could emerge in President Barack Obama's second term that could test moderate Democrats.

Much has been made of liberal Democrats Elizabeth Warren and Tammy Baldwin elected to the Senate last week and both parties being pulled away from the middle, but Begich points out that moderate Democrats Heidi Heitkamp of North Dakota and Joe Donnelly of Indiana also were elected.

2014 battle for the Senate starts now

Senate votes will be heavily scrutinized in midterms

But Begich's optimism may not be well-founded -- the reality, says Nathan Gonzales from the Rothenberg Political Report, is that even the most benign votes Begich and his fellow moderates make will be used against them in 2014.

"Senators that are up for re-election are up under a larger microscope. Their votes will be dissected even more closely when they are in cycle," Gonzales said.

Joe Manchin of West Virginia fired a warning shot -- literally -- to his fellow Democrats when the former governor was running against Republican businessman John Raese in the special election to fill the remainder of the late Sen. Robert Byrd's term.

In a 30-second statewide TV ad, Manchin fired a bullet through a symbol of the House-passed cap-and-trade legislation -- a bill incredibly unpopular in his coal-rich state -- thereby both highlighting his opposition to the proposal and trumpeting his support of Second amendment rights.

Democrats may also be emboldened by the way voters in some states last week supported Democrats in the Senate even while voting for GOP presidential candidate Mitt Romney.

"We learned from Tuesday's results that voters are willing to split their tickets," Gonzales said.

In Indiana, Missouri and North Dakota, all states in which Romney outran Obama by more than 10 points, Democrats won Senate seats. Though ill-chosen comments on rape by Todd Akin in Missouri and Richard Mourdock in Indiana helped the Democrats in each case, Landrieu's chief of staff, Jane Campbell, is encouraged.

Though she did not guarantee victory -- "I am not telling you that it is going to be easy. Her races have never been easy," Campbell said -- she did sound confident.

Landrieu "has run three times in a state that has always had a Republican lean, and her numbers have gone up every single time," Campbell said. Every election "she has always been among the top targets and she has always shown the people of Louisiana and they have asked her to come back."

Campbell noted the senator focuses on issues that her constituents care about, singling out protecting the state's bayous, holding BP oil company responsible for recovery from the 2010 Gulf of Mexico oil disaster, and education.

New U.S. House: Women and minorities to the left; white men to the right

Focusing on issues important to constituents

Begich took the same tack -- listing issues like oil and natural gas, drilling in the Arctic National Wildlife Refuge and transportation -- as his selling points to Alaskan voters. Throughout the conversation he mentioned issues most Democrats wouldn't touch, like auditing the Federal Reserve, strengthening gun rights and lowering the corporate tax rate.

Begich's strategy seems clear -- focus on issues that matter to Alaskans for the last two years of his term.

"I always run like I am 15 points behind. You always run hard," Begich said. "I am focused in the last several years on the issues that matter to Alaska."

But how does that jibe with the wider Democratic caucus?

When the 113th Congress is commenced in January, Senate Majority Leader Harry Reid will have to unite his caucus. With a mixed bag of priorities, and a handful of more moderate members focusing on getting re-elected in 2014, that could prove taxing.

"Leader Reid has a difficult task and I think the president is going to be looking to define his legacy," Gonzalez said. "I think he is going to try to get something big done that is going to have political consequences. The ones who have the most on the line are the people who will face voters in the midterm."

Jim Manley, who used to work as the chief spokesman for Reid, said he expects that the majority leader is going to go out of his way to make sure every Democrat feels comfortable with each vote.

"There are different ways to juggle votes," Manley said. "In the end, Reid understands that they have to do what they have to do to get re-elected. Reid understands that they need to do what they have to do to represent their constituents."

After all, Manley pointed out, Reid has had to do this ever since becoming majority leader in 2006.

"He spent the last couple of years juggling the competing concerns of (moderates) Joe Lieberman and Ben Nelson against the demands of (progressives) Sherrod Brown and Bernie Sanders."

Begich says he assured Reid before the 2012 elections that he is ready to take hard votes and that the leader doesn't have to worry about putting him in a tough spot. Even so, said a confident Begich, he likes where he is two years out from the election.

"Some of the guys who were running for re-election (in 2012) had to moderate in my direction," Begich said. "I came in with these positions already because that is who I am."

@highlight

With both parties being pulled away from the middle, Senate Dems face uphill climb in '14

@highlight

Six Democrats from states that voted for Romney are up for re-election in midterms

@highlight

Mike Begich notes that two Democratic moderates were elected last week

@highlight

Begich and Mary Landrieu of Louisiana say they'll focus on what their constituents want