Washington (CNN) -- When the incoming U.S. House freshmen of the 113th Congress take their class photo, the image will reflect two very different visions of the nation.

On the Democratic side: Women and minorities -- a coalition that, along with young voters, largely helped re-elect President Barack Obama -- collectively will for the first time in the nation's history outnumber white male Democrats.

On the Republican side: The majority of the House seats will be held by white men -- a group which far outnumbers the now dwindled numbers of House GOP women and minorities after the losses of two minority members and about a half dozen women from that caucus.

"They say that a picture is worth a thousand words. Well the picture that you see before you is worth millions of votes, millions of aspirations and dreams of the American people for problem-solvers to come to Washington to get to the job done, House Minority Leader Nancy Pelosi said in welcoming the incoming freshman class to the Capitol for orientation.

Pelosi's guessing game

"Today we officially welcome our Democratic freshmen to Washington. They are extraordinary leaders who will make our House Democratic caucus the first caucus in history, in the history of civilized government, to have a majority of women and minorities in the caucus."

It also symbolizes something else that is more troubling politically.

"It's basically a sign that both parties are distilling to their core, and they are living in parallel universes," said David Wasserman, House editor for the Cook Political Report.

The stark demographic and ideological differences now reflected in the House will also likely lead to increased partisan showdowns over entitlement spending, education, health care and immigration reform, political and cultural experts say. Studies and polls have shown, for example, that women tend to be more supportive of government spending than men, and those attitudes might have helped influence women's choice for president, said Michele Swers, a Georgetown University American government professor.

"You can draw a clear line between the changing demographics of the parties and the polarization (likely to follow)," Wasserman said.

The shift is the result of an increase in the Hispanic population and concerted efforts among the Democratic leadership to recruit and support female and minority candidates coupled with the effect of redistricting, which created large majority minority districts in states such as California, Florida and Texas.

2014 battle for the Senate starts now

Democrats picked up three seats in the election so far and lead in five others yet to be resolved. A sixth race will be decided in a runoff between two Republicans.

In the heavily contested race to win the newly created 9th Congressional District seat in Arizona, TV ad dollars from a Democratic super PAC helped Democrat Kyrsten Sinema, a former state senator, defeat Republican Vernon Parker, the former mayor of Paradise Valley.

"... We're seeing a record number of Democratic women elected to office," said Jess McIntosh, a spokeswoman with Emily's List, an organization that works to help pro-choice, Democratic women get elected to office, on Election Night. Her group supported Sinema.

"It says voters saw a clear contrast between the parties ... there was an absolute rejection of extremist Republican (proposals)."

Though there has been an increase in women elected to federal office, there is still room for progress, Jennifer Lawless, director of Women & Politics Institute at American University, said.

"Obviously this is movement in the right direction," Lawless said, adding women are still underrepresented in federal offices. "Women are 50% of population, so I'm not sure we should be breaking our arms patting ourselves on the back," Lawless said.

And with those redrawn districts comes increased polarization.

Moderate Senate Democrats eye midterms warily

"What Republicans (in state legislatures) did in redistricting was purge a lot of blacks and Latinos out of their congressional districts," Wasserman said. "Non-white voters are sufficient to win those seats."

Losses among moderate, white, male "blue dog" Democrats and Republican women and minorities further helped change the face of Congress, Wasserman said. House Republicans lost one African-American, one Latino and a net of six women, he said.

House Republicans lost one of their few African-American members when Florida Rep. Allen West appeared to have been defeated by Democratic businessman Patrick Murphy, although West refuses to concede and demands a recount. Blue dog Democrats Leonard Boswell of Iowa, Ben Chandler of Kentucky and Larry Kissell of North Carolina all lost their races.

The House's congressional makeover occurs as a battle looms over immigration reform, which could not only test the new-found political sway of minorities but also the Republican Party's ability to redirect on the issue, said Andra Gillespie, an associate professor of political science at Emory University in Atlanta.

"Strategically, Obama needs to identify pro-immigration Republicans and get them on board pretty quickly. He's got to figure out which Republicans are hip and realize the game has got to change on immigration and help protect them (so) they feel comfortable enough to defect," Gillespie said.

Republican leaders know that there are challenges ahead.

Many issues same since Obama's last news conference

"It's clear that as a political party, we've got some work to do," House Speaker John Boehner told reporters after the election. "The principles of our party are sound," but the question is, "how we talk about who we are as a party?"

But politically, Republicans, who hold control of the House, have little incentive to compromise, Wasserman said.

"A lot of people who anticipated Republicans would lick their wounds ... there's no incentive for House Republicans to fold," he said.

For now, at least.

Republicans "can't continue to write off demographics," Lawless told CNN.

Over the next several generations, the wave of minority voters -- who, according to U.S. Census figures released earlier this year, now represent more than half of the nation's population born in the past year -- will become more of a power base in traditional Republican strongholds such as Alabama, Mississippi and Georgia. That hold will extend across the Southwest all the way to California, experts say.

When that happens, Congress could see the type of political alliances that are now considered rare.

"We're a country that has always presumed male leadership, has always been most comfortable with white male leadership and we're watching the transition of that notion," said Mark Anthony Neal, a cultural and Black studies professor at Duke University.

More on the House from CNN's Political Ticker

@highlight

Women and minorities now make up majority of Democratic caucus in the House

@highlight

After election, House Republican caucus is more white and more male

@highlight

Differences could lead to showdowns and gridlock over immigration, health care and the debt