(CNN) -- When Billy Beane, the subject of the 2004 book 'Moneyball', took over as the general manager of the Oakland Athletics in the late 1990s, he revolutionized the way baseball teams were run.

At a time when other managers and scouts relied on their experience to identify promising new players, Beane successfully used 'sabermetrics' -- the statistical analysis of baseball -- to see value in players other teams had passed over, turning the Athletics into a team capable of competing with the biggest names in the sport.

Now industry watchers say a similar statistics revolution is going on in the business world.

Technological advances are giving rise to huge amounts of data -- about consumers, supply chains and world events -- that businesses can use to make better decisions and gain a competitive edge.

It's called 'big data analytics', and those who ignore it are being warned they risk being left behind.

Watch: Funding 80 start-ups at once

The rise of big data

"Big data is the new oil," says Andy Cutler, director of strategy at SAS, a consulting firm specializing in big data analytics.

"The folks who are going to get good value are those who are going to be able to refine it and turn it into useful products."

Firms like Amazon and Netflix are at the forefront of this revolution, gathering the huge amounts of data generated by their customers and analyzing it to predict what customers will want to buy or watch in the future.

This goes beyond personalized purchase suggestions; Amazon is currently working on technology that will deliver products to you before you've even ordered them, or at least keep them in warehouses nearby in anticipation, says Phil Simon, author of "Too Big to Ignore: The Business Case for Big Data."

Netflix has effectively built its entire business model on analyzing customer data, he says.

"Netflix track every view, every click, all in an attempt to understand what their customers want."

The development of smartphone technologies and near-field communication means analyzing customer data is no longer limited to the online world.

Tailored buying experience

Arne Strauss, analytics professor at the Warwick Business School, says retailers are developing ways of monitoring customers as they enter physical stores, allowing them to optimize store layout and even change on-shelf promotions depending on which customer is walking by.

But predicting customer behavior is just one application.

Major banks including HSBC use big data to monitor and predict fraud -- both by cardholders and staff -- by setting up data-mining systems that collect patterns and look for anomalies.

The investment bank Morgan Stanley uses statistical models to measure the impact market events have on the bank in real time.

Improving the efficiency of large logistical operations is another use.

Delivery firm UPS spends more than $1bn a year gathering data from its fleet of trucks to ensure the most efficient delivery routes.

Meanwhile major supermarkets in the UK are turning to big data analytics to help them provide same-day grocery delivery services -- a huge logistical challenge involving predicting what customers are likely to want before they order it, and ensuring coordinated delivery times that protect supermarkets' already-thin profit margins.

Consultants and academics say businesses who don't jump on the big data bandwagon are at risk of falling behind.

But there are challenges.

Too much information?

Some in the industry fear a backlash from consumers uncomfortable with the amount of individual data being gathered about them, stifling development in some areas.

The speed of the technological development has also created a skills gap. Professor Thierry Chaussalet, who runs a business intelligence and analytics masters course at the University of Westminster in London, says many businesses simply don't understand the big data technology now available and what it has to offer.

Stephen Mills, an associate partner in big data analytics at IBM, agrees there needs to be a culture change.

"The technology is the easy bit," he says.

"The hard part is how to change the culture and the business processes to make use of that new source of data."

The books that changed the world's best business brains

Technology gets a makeover as fashion goes futuristic

How to master Mobile advertising

@highlight

Big data deemed as the 'new oil' according to experts

@highlight

Businesses who ignore the power of big data may fall behind

@highlight

Amazon and Netflix are leading the big data revolution, analyzing customer data to predict what they'll want to buy in the future