SAN FRANCISCO, California (CNN) -- The owner of Luscious Garage is wondering whether the electric wall outlet will be the "gas tank" of the future.

A Toyota Prius hybrid, owned  by Luscious Garage, has been converted to run on electricity.

Drivers of gas-sipping hybrid vehicles are increasingly interested in converting their vehicles from gasoline powered to electric, according to garage owner and lead technician Carolyn Coquillette.

While drivers of conventional gasoline-powered vehicles complain about higher fuel prices, clients of the San Francisco garage are investing big bucks to make their green cars even greener.

That's being done through plug-in conversions and adding more powerful batteries to currently available gasoline/electric hybrid cars, such as the Toyota Prius.

"The regular Prius is a gasoline dependent car; it doesn't get energy from anywhere but the gas tank," said Coquillette.

"What this [conversion] allows me to do is get energy through an [electric wall] outlet, so [the wall outlet] is like my electric gas tank," she said.

Coquillette, who has degrees in physics and English, said she gets three or four calls or e-mails a day, asking about the conversion. And, she says, with gas prices at more than $4 per gallon, she expects even more interest.

A lot of the cars that pull in to Luscious Garage are Toyota Prius hybrids, which Coquillette calls, "the Volkswagen Beetle of our times."

Coquillette showed off the garage's psychedelically painted Prius, which has undergone the conversion.

Its original nickel-metal-hydride battery packs have been replaced with lead acid batteries to extend the distance the car can travel on electricity. Coquillette expects to begin conversions to even more efficient lithium batteries soon.

The plug-in conversion costs about $7,500.

"Gas becomes optional," with this conversion, Coquillette said. "Gas isn't required to move this car anymore. If you want to drive a really long way, without recharging, yes, gas is required, but it gives you the flexibility of not having to burn gas anymore if you don't want to. And that's very liberating," she said.

The garage itself strives to be green, with much of its power coming from solar panels.

And with gasoline approaching $5 per gallon in the San Francisco Bay area, "plugging in cars make a whole lot of sense right at the pocketbook," said Korthof, who works for Energy Efficiency Solar.

What kind of people are converting to this conversion?

"We've seen such a diverse group of people," said Coquillette. "We have some people who come in who are entrepreneurs, who are business people, there are some people who are diehard environmentalists, but there are some people who come in, they just want to burn less gas."

The corporate folks at Toyota don't have any official position on plug-in conversions. They don't endorse or discourage it. iReport.com: Show us your first car

But for hybrid owners who demonstrate exuberant efforts to find more energy efficiency, "we really appreciate the fact that the Prius is the vehicle of choice," said Jana Hartline, environmental communications manager for Toyota.

Hartline said the Prius was not designed with any conversion possibilities in mind, but she said the company welcomes any technology that pushes the envelope on plug-in batteries.

While the nickel metal hydride (Ni-MH) battery will remain the choice for Prius, Camry and Highlander hybrids, Toyota is doing some research and development with lithium ion batteries.

Hartline said Toyota will be using lithium ion batteries in some commercial fleets in late 2009, mostly to learn more about charging behaviors.

Although the current batteries are "durable and reliable," Hartline said lithium ion batteries pack more energy into a smaller space.

Much more research is needed, she said, about how hybrid owners would use their vehicles. For example, how often and for how long owners would plug in to the electrical grid, or a solar supply.

Also, as more drivers become interested in alternative energy, they will need to learn more about infrastructure.

For example:

• Will companies, malls or fast-food joints provide charging stations? • Will they charge for the charge? • In what other ways will the energy infrastructure have to change?

While the 2004-2008 Prius is the most popular hybrid conversion, it is also possible on 2005-2008 Mercury Mariner and Ford Escape hybrids.

And, as Coquillette says on the Luscious Garage Web site, "Any car can become a plug-in hybrid, if you have enough money."

And driven customers don't seem to be letting cost discourage them from the conversion.

"Customers are not coming to me and saying, 'I'll do this if there is a rebate.' People come to me and say, 'I want to do this right away,' " said Coquillette.

Luscious Garage will soon open a second location for the growing number of really green hybrid owners.

"Hybrid technology is one thing. Then there is plug-in hybrid technology, which is the next step, which genuinely removes your dependence on fossil fuel," said Coquillette.

However, most U.S. electricity is created from burning fossil fuels -- about 70 percent, according to the U.S. Energy Information Agency of the Department of Energy. Just under 49 percent comes from coal-burning power plants, about 20 percent from natural gas and about 1½ percent from burning oil.

CNN's Peter Dykstra and Miles O'Brien contributed to this report.

@highlight

San Francisco garage converts hybrid vehicles to plug-in electric power

@highlight

For $7,500, Luscious Garage converts Prius, Mariner, Escape models

@highlight

How will battery-powered vehicles change the nation's fuel infrastructure?

@highlight

Electric cars don't pollute, but much U.S. electricity comes from fossil fuels