(CNN) -- The deadliest Ebola outbreak in history continues to plague West Africa as leaders scramble to stop the virus from spreading.

Over the weekend, Liberian President Ellen Johnson Sirleaf closed most of the country's borders. The few points of entry that are still open will have Ebola testing centers and will implement preventive measures, she said. The president also placed restrictions on public gatherings and ordered hotels, restaurants and other entertainment venues to play a five-minute video on Ebola safety.

"No doubt the Ebola virus is a national health problem," Sirleaf said. "It attacks our way of life, with serious economic and social consequences. As such we are compelled to bring the totality of our national resolve to fight this scourge."

As of July 20, the World Health Organization had confirmed 224 cases of Ebola in Liberia, including 127 deaths. Overall, Ebola has killed at least 660 people in West Africa. There were 45 new cases reported in the region between July 18 and July 20.

Ebola: Fast Facts

Health officials are worried about the virus spreading to other countries in the region. This is the first such outbreak to hit West Africa. On Friday, a Liberian man with Ebola died in Lagos, Nigeria, Nigerian Health Minister Onyebuchi Chukwu said.

Patrick Sawyer arrived at Lagos' airport on July 20 and was isolated at a local hospital after exhibiting common Ebola symptoms. He told officials he had no direct contact with anyone who had the virus.

Lagos State Health Commissioner Dr. Jide Idris said authorities are working to identify people who may have come in contact with the man on his flights. The process has been delayed, he said, because the airline has not provided the passenger lists for all three of the flights Sawyer took. Sawyer flew first to Ghana before he went to Togo and then switched planes to fly to Nigeria, according to the health commissioner.

"In collaboration with the Federal Ministry of Aviation, I've also put into motion mechanisms to track down all contacts at high risk," Idris said.

The state department has identified 59 people so far who came into contact with the man. Twenty have been tested for Ebola.

On Monday, Arik Air, one of Nigeria's biggest airlines, suspended operations into the country's capital, Monrovia, and another city called Freetown, according to AllAfrica.com.

It is unlikely the virus would spread on a plane unless a passenger were to come into contact with a sick person's bodily fluids, according to the Centers for Disease Control and Prevention.

Meanwhile, American health care workers helping to fight this deadly disease abroad have put themselves at risk.

Dr. Kent Brantly, a 33-year-old Indianapolis resident, had been treating Ebola patients in Monrovia when he started to feel sick.

Brantly works with Samaritan's Purse, a Christian international relief agency founded by evangelists Franklin Graham and Robert Pierce. He has been the medical director for the Ebola Consolidated Case Management Center in Monrovia and has been working to help Ebola patients since October.

Deadliest ever outbreak: what you need to know

"When the Ebola outbreak hit, he took on responsibilities with our Ebola direct clinical treatment response, but he was serving in a missionary hospital in Liberia prior to his work with Ebola patients," said Melissa Strickland, a spokeswoman for the organization.

After testing positive for Ebola, he went into treatment at a Samaritan's Purse isolation center at ELWA Hospital in Paynesville City, Monrovia. His condition is rapidly deteriorating and Samaritan's Purse has been working to evacuate him for better care, but Liberia is not allowing the evacuation, according to Samaritan's Purse vice president of international relief, Ken Isaacs. The reason for the delay is unclear.

The CDC said the doctor's family had been with him, but left for the United States before he became symptomatic; as such it is highly unlikely that they caught the virus from him. Out of an abundance of caution they are on a 21-day fever watch, the CDC said.

Another American working with Samaritan's Purse has also been infected. Nancy Writebol from Charlotte, North Carolina, works with Serving in Mission, or SIM. She and her husband used to work with orphans and other children who struggle with poverty-related issues but expanded their efforts to take on the complex medical problems in Monrovia.

She had teamed up with the staff from Samaritan's Purse to help fight the Ebola outbreak in Monrovia when she got sick. She, too, is undergoing treatment.

A spokesperson for Samaritan's Purse said there have been riots outside the clinic.

Another doctor who has played a key role in fighting the outbreak in Sierra Leone, Dr. Sheik Humarr Kahn, is sick. He is being treated by the French aid group Medecins Sans Frontieres --also known as Doctors Without Borders -- in Kailahun, Sierra Leone, according to a representative of that agency.

Kahn had been overseeing treatment of Ebola patients in isolation units at Kenema Government Hospital, which is about 185 miles (298 kilometers) east of the capital, Freetown.

Sierra Leone's minister of health and sanitation called the doctor a national hero for the sacrifices he has made in trying to stop the outbreak.

Doctors and medical staff are particularly vulnerable to the virus because it spreads through exposure to bodily fluids from the infected. It can also spread through contact with an object contaminated by an infected person's bodily fluids.

The disease is not contagious until symptoms appear. Symptoms of Ebola include fever, fatigue and headaches. They can appear two to 21 days after infection, meaning many who are sick don't know it.

The early symptoms then can progress to vomiting, diarrhea, impaired kidney and liver function, and sometimes internal and external bleeding.

Leaders in the international health community characterize the Ebola epidemic as the "deadliest ever."

While the World Health Organization has mobilized to fight the epidemic, it can be a difficult one to stop. It is so highly infectious that it typically kills 90% of those who catch it. The death rate in this particular outbreak had dropped to roughly 60% since it has been treated early in many cases. There is, however, no Ebola vaccination.

Is it time to test experimental vaccines?

With the announcement that Liberia is closing its borders, the country also instituted a new travel policy to inspect and test all outgoing and incoming passengers. The hope is that such measures will stop the spread of the virus.

There has never been a confirmed case of Ebola spreading to a developed country, said Kamiliny Kalahne, an epidemiologist with Doctors Without Borders.

"This is because people generally transmit the infection when they are very sick, have a high fever and a lot of symptoms -- and in these situations, they don't travel.

"And even if they do get sick once they travel to a developed country, they will be in a good hospital with good infection control, so they are very unlikely to infect others," she said.

"This is not the great plague," CNN's Dr. Sanjay Gupta said after his trip to the region in the spring. "But it is a pretty formidable killer."

"The grim reality is it often kills so quickly, people don't have time to spread it."

The CDC held a media briefing Monday to emphasize the fact that there is "no significant risk in the U.S." for an Ebola outbreak. CDC officials said with the spread of Ebola to U.S. health care workers, there is a real need for "vigilance" to make sure workers are careful, get tested if there is any suspicion of illness, and that all sick travelers should remain isolated when returning from areas affected directly by the epidemic.

Stephan Monroe, CDC's deputy director of the National Center for Emerging & Zoonotic Infectious Diseases, said the CDC is working with American health care providers to educate them about Ebola. The agency sent a notice Monday to remind doctors to take important steps to avoid the spread of the illness, including asking their patients about their travel history, particularly if they have traveled to West Africa in the last three weeks.

Watch: Dr. Gupta dispels Ebola myths

@highlight

Aid organization trying to evacuate doctor infected with Ebola

@highlight

Liberia closes its borders to stop Ebola from spreading

@highlight

This is the deadliest outbreak in the history of the disease