Amsterdam (CNN) -- On November 2, 2004, Dutch filmmaker Theo van Gogh was bicycling to work in Amsterdam when he was shot eight times at close range. He died instantly, but in a fit of rage, his assailant, Dutch-Moroccan Mohammed Bouyeri, also attempted to cut off his head with a machete.

Bouyeri killed van Gogh because of a short film he had recently produced with Somali-born Dutch politician Ayaan Hirsi Ali that criticized Islam's treatment of women.

The film showed verses of the Quran projected onto the bodies of several naked young women. It was a film designed to provoke. And it did. Ali subsequently went into a self-imposed exile in the United States.

News: Six things to know about the attack

Now, seven years later, a short, amateurish film entitled "Innocence of Muslims," purportedly created by Sam Bacile in the U.S., portrays the Prophet Mohammed as a philandering child molester. ("Sam Bacile" appears to be a pseudonym.)

Terry Jones, a Christian pastor based in Florida who has a long history of making incendiary statements about Islam, is promoting "Innocence of Muslims." Jones also recently called for an "International Judge Mohammed Day" to be held on the 11th anniversary of 9/11, this past Tuesday.

News about the film has sparked outrage in the Muslim world. Mobs have attacked American embassies and consulates in Egypt, Libya and Yemen. The U.S. ambassador to Libya, J. Christopher Stevens, and three of his staff members were killed in what appears to have been a well-organized attack on the U.S. consulate in Benghazi on Tuesday. The attackers may have used the opportunity presented by the film protests to mount the assault.

These attacks came after the accidental burning of Qurans by U.S. soldiers at Bagram Air Base in Afghanistan in February sparked massive protests across the country, resulting in the deaths of at least 30 Afghans and six U.S. soldiers, all of whom were shot by men in Afghan security force uniforms.

Opinion: Survivor of 1979 consulate attack -- Libya an eerie echo

And these are just the latest in a series of violent reactions to the perceived disrespect of the prophet and the Quran by Westerners -- sometimes intentional and sometimes unintentional -- that, in an increasingly globalized world of almost instantaneous communication, has intensified significantly during the past several years. And Muslim extremists as well as Christian fundamentalists in the West have increasingly intentionally amplified this trend.

Politicians and the media in the Muslim world have also played an important, though perhaps unintended, role in stirring up violence in the wake of a number of these perceived attacks on Islam.

A YouTube video of "Innocence of Muslims" that provoked the Libyan mob to attack the U.S. consulate in Benghazi was initially published in July, but it was not until versions of it dubbed in Arabic appeared online and were broadcast by religious Egyptian news channel al-Nas that protests sprouted in Egypt.

A May 2005 Newsweek article claiming that American soldiers at Guantanamo had flushed a copy of the Quran down the toilet went unnoticed for nearly a week before Pakistani politician Imran Khan pointed the article out in a news conference. More than a dozen people were subsequently killed during protests in Afghanistan. (Newsweek later retracted the story.)

Similarly, when Jones burned a copy of the Quran at his church on March 20, 2011, two weeks went by without any incident. But then President Hamid Karzai of Afghanistan made a speech calling for his arrest. Within 24 hours, protesters stormed the United Nations compound in Mazar-e Sharif in northern Afghanistan, killing seven foreign employees, and demonstrations across the country killed more than a dozen other people.

In 2005, the Danish newspaper Jyllands-Posten published 12 cartoons of the Prophet Mohammed, setting off a wave of protests and attacks over the next several years in which as many as 200 people have been killed.

In 2008, for instance, al Qaeda claimed responsibility for the bombing of the Danish Embassy in Islamabad, which killed a half-dozen bystanders, saying the powerful suicide car bomb was in retaliation for the offensive cartoons. Two years later, Kurt Westergaard, one of the cartoonists, barely escaped from a Somali man linked to Al-Shabaab, al Qaeda's Somali affiliate, who broke into the cartoonist's home in Denmark with a knife and ax.

But the violence sparked by the Jyllands-Posten cartoons, one of which depicted the Prophet Mohammed with a turban-wrapped bomb on his head, began a full four months after the images were published by the newspaper and were the result of a carefully orchestrated campaign by two Danish Muslim clerics who toured the Middle East, presenting a dossier about the cartoons to important religious and political figures.

Opinion: Libya killings show U.S. at risk in Arab world

Included in the dossier were cartoons that had never appeared in the Jyllands-Posten newspaper, showing offensive images of the Prophet Mohammed.

As a result, entering the Jyllands-Posten newspaper in Copenhagen today is akin to visiting a prison, with a heavily barred set of metal gates securing entrance to the building. And just as author Salman Rushdie remains under threat decades after the 1989 fatwa against him for his novel "The Satanic Verses," so too the threat against Jyllands-Posten is likely to endure for many years.

On Wednesday, Karzai released a public statement strongly condemning the recent "criminal act." This was not a reference to the assault on the U.S. consulate in Libya a day earlier that resulted in the four deaths there but to the release of "Innocence of Muslims," the video that denigrates the Prophet Mohammed.

News: Unanswered questions after the attack

Karzai did express his condolences about the deaths at the Libyan consulate when he spoke privately to President Obama. However, his public statement will surely draw attention to an issue that is likely to cause additional violent protests in Afghanistan, which NATO forces are steeling themselves for.

With allies like these, who needs enemies?

@highlight

Peter Bergen: Violence against U.S. over film is part of a pattern of incidents

@highlight

He says Christian and Muslim extremists have incited deadly protests for years

@highlight

Bergen: In several cases, the words of political leaders have helped spark violence