(CNN) -- As winter storms continue to pound the United States, causing billions in damage and millions to be without electricity service, customers inevitably ask why doesn't somebody -- my utility, my regulator, my government -- do something about this? Why aren't power lines, for example, buried safely underground?

It's not that simple.

The short answer? It is expensive, requires the buy-in of multiple entities that serve the community and doesn't always solve the problem.

Because it costs so much to bury power lines, it's crucial that the expense yields value for electricity consumers, who will ultimately bear all the costs associated with providing electricity service.

It's easy to see why a community under siege by intense weather would want to put the lines underground: Underground lines are protected from wind-related damage as well as ice and snow. But they also may be more vulnerable to damage from water intrusion.

They're popular, too, in densely populated areas and new subdivisions where utility poles and a plethora of overhead lines would cause a kind of overhead congestion. As of 2012, about 39% of the customers in the United States reported having underground electricity service.

But going underground can be difficult: In the electric utility business in the United States, it is nearly impossible for the utility, regulator or government to address the question of changing how power is delivered without the sign-on and cooperation of the others.

Frum: Why we should bury the power lines

Let's start with the utility company: It is closest to the challenge, managing the electricity system, but cannot spend the money to change the power line configuration without the assurance from its regulator, whether it is the state public service commission or a city commission, that it will recover its investment through the rates it charges to its customers.

For its part, the regulator cannot directly fix the power lines but still must ensure that any money the utility spends provides value for consumers.

Finally, the government, or the other voice for the consumers, must determine whether consumers are willing to pay for such a change. (The state of Florida's reaction in the wake of the 2004-2005 hurricane seasons provides a model for this type of cooperative effort, as utilities, regulators and government officials meet every year to address the efficacy of Florida's storm hardening efforts, including the potential undergrounding of power lines.)

Then there are two major challenges associated with relocating power lines underground:

First, it is very expensive.

Burying power lines costs roughly $1 million per mile, but the geography or population density of the service area can halve this cost or triple it. In the wake of a statewide ice storm in December 2002, the North Carolina Utilities Commission and the electric utilities explored the feasibility of burying the state's distribution lines underground and concluded that the project would take 25 years and increase electricity rates by 125%. The project was never begun; the price increase was not seen as reasonable for the consumers.

A 2010 study on undergrounding a portion of the electricity system in the District of Columbia for the Public Service Commission found that costs would increase rapidly as utilities tried to underground more of their service territory.

The study concluded that a $1.1 billion (in 2006 dollars) investment could improve the reliability for 65% of the customers in the utility's service territory, but an additional $4.7 billion would be required to affect the remaining 35% of customers in outlying areas. That is, over 80% of the costs for the project would be required to benefit roughly one third of the customers.

Burying the lines raises another potential problem: reduced accessibility of the lines, making it more difficult to repair the system. So while customers may see fewer outages as a result of undergrounding, the duration of those outages may increase.

Electric users ask: Why not put power lines underground?

Other benefits of undergrounding, such as aesthetic ones, may be more difficult to quantify, but studies have shown that consumers are sometimes willing to pay more for underground service.

Second, burying power lines does not always protect them from storm damage. It may mitigate damage from wind events such as flying debris, falling trees and collected ice and snow, but so can trimming trees, replacing wood poles with steel, concrete or composite ones, or reinforcing poles with guy wires. These strategies may be nearly as effective in reducing storm damage and may cost less.

Finally, undergrounding power lines only shifts the risk of damage from wind events to the risk of damage from corrosive storm surge and flooding that may result from rainfall or melting ice and snow. Areas with greater vulnerability to storm surge and flooding will confront systems that are less reliable -- and at greater cost - as a result of undergrounding.

In short, whether a community should go underground with its power lines is a question to be evaluated on a case-by-case basis by the utility, its regulator and the government.

Otherwise, consumers will end up spending more for their electricity service and getting less.

The opinions expressed in this commentary are solely those of Ted Kury.

@highlight

Theodore Kury: When bad weather hits, people ask: Why not bury the power lines?

@highlight

He says it appeals as way to prevent power outages, but difficulties include cost

@highlight

He says utility, regulators, government all must buy-in -- above-ground often easier

@highlight

Kury: Buried lines subject to flood damage and are hard to repair