(CNN) -- European leaders are meeting in Brussels Thursday to discuss further sanctions against Russia.

So far the EU has imposed financial and visa restrictions against 21 carefully selected Russian and Ukrainian officials -- but avoided anyone from President Vladimir Putin's inner circle and stayed clear of any large-scale economic sanctions.

The EU and U.S. have condemned Russian annexation of Crimea as illegal and stepped up their rhetoric towards the Kremlin, but whether they are willing to put more economic pressure on Russia is unclear.

The leaders of Europe's biggest economies are likely to be cautious.

Here's why.

How important is Russia's economy?

Russia is the eight biggest economy in the world, with GDP of more than $2 trillion. But its economy -- which is heavily reliant on commodities, particularly oil and gas, was growing just 1.3% last year compared to 2012, one of the sharpest slowdowns in the emerging markets.

With the Ukraine crisis taking its toll, Russia's economy may not grow at all in 2014, some analysts have warned.

Hopes Russia would be one of the decade's powerhouse economies may have faded, but its close links with the European Union have not.

Would sanctions hit Europe back?

The EU is Russia's largest trading partner, and there are deep economic links between the two. Almost half of Russia's exports -- $292 billion worth -- end up in EU countries. 15% of Russia's GDP comes directly from the country's exports to EU. Russia, in turn, is the third biggest trading partner for the EU, with $169 billion in imports.

But the eurozone itself has only just emerged from its own crisis, and is wary of cutting ties with such a powerful economic partner. Its reliance on gas out of Russia would also feed caution.

Robert Pape, political science professor at University of Chicago with expertise in security studies, says the sanctions would hurt both sides. "Between great powers, leverage is a two-way street, Russia can squeeze us almost as effectively as we can squeeze them," Pape wrote for CNN.

While steps that would push the price of oil down for a sustained period would really bite, these would be hitting right back. Energy supplies remain vitally important for the European Union, to which Russia supplies a third of EU's natural gas. Germany, the eurozone's biggest economy, imports around 40% of its gas from Russia.

What is Russia's economic relationship with the U.S?

The economic relationship between Russia and the U.S. is more unbalanced. Russia is the 20th largest trading partner for the U.S., with $27 billion worth of trade exported across the Atlantic. On the flip-side, the U.S. is Russia's fifth largest partner, with just $11 billion worth of trade.

According to Russian Foundation chair David Clark, trade is a "relatively unimportant" component of relations. Energy links are also weakening as the U.S. looks to shale gas for its energy supplies and heads towards self-sufficiency.

Clark told CNN the U.S. could get greater leverage over Russia from financial sanctions aimed at the country's banking system and stability of the ruble. Measures targeted at named individuals, similar to those contained in the Magnitsky Act, could also be effective. "Russia's angry response to the act shows that it works," Clark said.

But again, the financial links between Russia and the west would mean huge losses for European banks which have lent billions to Russia.

While the EU and U.S. adopted sanctions against 28 individuals, Clark said these "have little more than nuisance value and would have to be dramatically expanded to have a real impact."

"Travel bans and asset freezes aimed at all members of the Duma and Federation Council who voted to annex Crimea would be a start," Clark said.

Targeting the money men who handle the finances and assets (often illicit) of top tier politicians would really hurt, he added. And the names of these individuals are quite well known.

But again, the financial links between Russia and the west would mean huge losses for European banks which have lent billions to Russia.

Are there other options?

The EU has a wide range of legal options here. Its economic significance means sanctions can be very powerful tool. Export and import bans or restrictions that apply to specific products such as oil or diamonds, flights restrictions or investment freezes have been successful in the past.

"Restricting access to foreign capital and the international banking system could prove very damaging indeed because Russia's economy is stagnating and it needs inward investment," Clark said.

But experience shows that economic sanctions rarely work in the pursuit of non-economic goals. "Imposing economic sanctions on a state is similar to backing an angry dog into a corner -- in most cases, the dog will become more vicious, and more defensive," Pape said.

At the end, targeting Russia's national pride may prove more useful.

"A decision by a large group of countries to boycott the 2018 Football World Cup in Russia would probably hurt Russian prestige rather more, especially if FIFA had to move the event to another country," David Clark said.

Read more:

Why annexing Crimea may prove costly for Russia
West's sanctions on Russia: Are they just for show?
Is Russia's annexation of Crimea opportune or opportunistic?

CNN's Irene Chapple and Mark Thompson contributed to this report.

@highlight

European leaders are discussing further economic sanctions against Russia

@highlight

The United States and Europe targeted 28 Russian and Ukrainian officials

@highlight

Tight economic links between Russia and the EU could mean sanctions hurt both sides