Gaza City (CNN) -- Israel's ground incursion into Gaza, which it says is intended to destroy Palestinian militants' tunnels and stop rocket fire into Gaza, has entered its fifth day with the death toll mounting on both sides and U.S. Secretary of State John Kerry arriving in Egypt. CNN's Ben Wedeman, a veteran Middle East correspondent, puts the incursion into perspective.

How does this incursion compare to previous ones by Israel into Gaza, in terms of military force?

Unlike 2008/09, this incursion seems to be focused on areas with high concentrations of people, initially focusing on the Gaza City neighborhood of Shaja'ia. In '08/09 the focus was on areas where rockets were being fired, which were typically away from highly populated communities.

And of course at this stage, it's unclear how many Palestinian casualties there have been in these locations. The people have been warned by the Israelis to leave these areas with phone messages, but while many have left, a significant proportion has stayed behind.

My impression is that Israel has mobilized a much larger military force than in 2008/09 and in 2012. This is part of the picture of the Israelis going into heavily populated areas -- which is a much more dangerous operation, as can be seen by the deaths of at least 13 Israeli soldiers on Sunday.

Is Israel likely to achieve its objective of destroying the tunnels, and stopping the rocket strikes?

So far, Israel hasn't been wildly successful in its stated mission. Since this started, Hamas has been using tunnels in an attempt to ambush and capture soldiers and continues to fire rockets at Israel, although the number fired has gone down. What we see is that as Israel's capabilities have changed, so have Hamas'. Whenever Israel comes up with new tactics, Hamas and other factions seem to find new ways to counter them, such as by using longer-range rockets to fire at Israel, for example.

What is significant now is that Hamas fighters appear to be better trained, with a new set of skills that I don't think Israel anticipated. One Israeli soldier who came out of Shaja'ia was quoted in an Israeli publication that Hamas is fighting like Hezbollah, which waged a successful guerrilla war against Israel's occupation in the 1980s and 1990s, and inflicted high casualties on Israeli forces during the 2006 war between Hezbollah and Israel in Lebanon.

The last serious street fighting I saw in Gaza was in early 2008, and it was almost like it was "amateur hour," with fighters in Gaza parading around with their weapons but not really able to stop the Israeli forces. Now it appears they've learned they must keep a much lower profile. They've developed what could be called commando tactics, and are taking full advantage of their knowledge of their turf.

How long do you believe this incursion will last? How soon before it realistically is better described as a war?

This is now a war, in my modest opinion -- it's gone beyond a mere incursion. Hamas shows no sign of backing down, and didn't jump at Egypt's cease-fire proposal. They want to show that they're a military force to be reckoned with, and are in it for the long run.

Israel's defense minister said it would take two or three days to destroy the tunnels. If this crisis is to end soon, Israel will have to pull back and Hamas needs to stop firing rockets. In Hamas' opinion, they have achieved one of their objectives, which is to give Israel a bloody nose.

They claim to have captured an Israeli soldier -- as yet this is unconfirmed -- but if true, it would be a huge feather in their cap, in their own terms. When Israeli soldier Gilad Shalit was captured by Hamas in a June 2006 raid near the Israel-Gaza border, it took five years before he was freed, in exchange for more than 1,000 Palestinian prisoners -- so, if true, this will be a huge bargaining chip for Hamas.

Will the death toll already suffered by Israel have a serious impact on public opinion in Israel?

Israelis are used to this sort of death toll from Hezbollah, but not from Hamas. I was on the streets of Gaza on Sunday night, when Palestinians celebrated the claims that an Israeli soldier had been captured.

Shortly afterwards, the guns on Israeli navy boats opened up. The immediate conclusion of everyone in the street was that this was Israel's response to the capture of one of its soldiers.

How much effect will the pressure/condemnation from the United Nations (and in the off-mic remarks from U.S. Secretary of State John Kerry) have?

I believe the U.N. remarks will have no effect in Gaza. There is a perception there that the U.N. "talks but doesn't walk" -- it's toothless in other words. Hamas realizes it has few friends in the outside world.

The remarks of the White House last week though will not go down well in Israel, I believe. And the comments of John Kerry on Sunday -- which left some wondering whether he was criticizing Israeli assurances that its ground offensive in Gaza would be limited -- indicate American patience may be wearing thin. After one of his deputies mentioned the latest number of Palestinian casualties, Kerry was heard to say, "It's a hell of a pinpoint operation."

It is estimated that 70% of the more than 500 Palestinians killed in Israel's assault have been civilians. Washington has tied itself to Israel, and that country's right to self-defense, therefore the U.S. is going to feel some responsibility. Americans support Israel rhetorically, but this high Palestinian death toll is very problematic for the U.S. This is why Kerry may be feeling uncomfortable -- he spent almost a year trying to forge a Mideast peace deal, and what's he got to show for it now?

Kerry seeks Gaza cease-fire amid rising casualties

Peter Wilkinson in London contributed to this report.

@highlight

CNN's Ben Wedeman says Hamas is a stronger force this time

@highlight

It has adopted commando-like tactics, he says

@highlight

There was cheering at reports of an Israeli solider captured

@highlight

U.S. has little to show for a year of trying to forge peace, he says