(CNN) -- Much advice for fathers is written about reluctant dads. But, of course, this is not all of us.

Before I became a father, I struggled to find advice that really spoke to me, and I hope that the following bits of wisdom speak to other American dads, men who really want to be the best they can be. Let me begin with where it all began for me.

In August, in the waning days of Ramadan, the month of fasting observed by Muslims, I was confronted with a devastating choice. While Hurricane Irene raged through the streets of New York, my wife was in labor in a Manhattan hospital room. She had been laboring for 22 hours, and now, after repeated attempts to control it, she was wrestling with a fever.

My son, still inside her, was slipping away from us. His heart rate was rapidly increasing, a sign of his distress. My wife and I are the "do everything natural" couple. We took prenatal yoga, went for prenatal acupuncture, found a loving doula and ate copious amounts of kale, and my wife refused all drugs from the moment her pain began. But like countless others, we had to make a difficult call that day. "Let's end this," I said. "Let's take the baby out."

In less than an hour, just after the sun set, doctors performed a c-section and pulled our baby boy out. After they clipped the cord and I said the call to prayer in his ear, we brought him around the curtain to his mother. It is strange that we bring our children into rooms that are brightly lit, with sterile walls, surrounded by strangers wearing plastic gloves. I could only imagine my son's confusion. Thankfully, my son heard our voices, the same voices he had been hearing since he was able to hear while inside the womb.

On the day of his birth, he opened his beautiful eyes bright and wide (thank goodness he has his mother's eyes) and studied us.

It was like he was asking, "who's responsible for me? Oh, there they are. Are they sure they know what they are doing?"

The answer in a word: No. We had no idea what we were doing.

My wife and I are both Muslim, and we both come from large families. I am black, and she is Indian-American. We are tied together by faith and an overriding sense that we need to raise our son in a way that is different from how we were both raised. He is very different from us, born into a very different time. But how do we do this?

As a father, I started by laying out some nurturing father principles and assumptions. They are based in my faith but resonate universally.

First, my faith tells me that my son is without sin. My wife and I are his "spiritual parents," with the tough job of guiding him down a righteous path. To do this, we had to be prepared. Getting married was step one. Waiting a bit before diving into parenthood was step two. Sure, we could have waited longer and discovered more about ourselves as a unit and therefore been better parents. But in truth, no one is ever "ready." Constantly strengthening our own sense of faith as he watches is step three.

Second, my son is good. He is untainted. He does not lie or cheat or steal. He has never cursed, never talked about someone behind his or her back. He smiles at strangers; he's calm when we pray. I have to nurture and bring out the best in him. I have to pay attention to him, let him cry and express himself and listen to him even when I have little attention. Among the tools I have at my disposal is my example. He will follow what I do more than he will follow what I say.

Third, my son was born intelligent, as a whole human being, with the ability to express and understand human emotion. I must help fill that brilliance with information and rich experiences that let him see the beauty of the world and understand how to navigate around the ugly.

Fourth, my son has rights and responsibilities. He has the right to be loved and to find love. He has the right to fail and to succeed, to never go hungry, to never be homeless and to always have a community and a family. He has the responsibility to nurture others, to fight oppression.

Fifth, I have to be the best human being I can be. It is my responsibility to work even when I cannot find work. I must maintain a true and loving partnership with his mother. Through me, he must learn to see all people as created equal, to never disrespect women in any way with verbal, emotional or physical abuse.

Right now, my son is sleeping. I look upon him knowing he feels my love. I also know he can feel stress, tension and negative emotions. As a nurturing father, I should always remember that any mistakes he makes are not a reflection of who he is. At the core, he is a good human being whose soul comes from the Creator of the Universe, and my wife and I have been chosen as the primary caretakers for this vessel of light, this small human being. And we will do the best we know how, praying all along that it is enough.

The opinions expressed in this commentary are solely those of Ibrahim Abdul-Matin.

@highlight

Ibrahim Abdul-Matin looked for advice when he was becoming a dad; now he offers his own

@highlight

He and his wife, both Muslim, know they're raising their son in a different time than theirs

@highlight

He lays out five principles for raising his son, including building faith, setting example

@highlight

Writer: A father must work, must teach respect for women and teach that all are equal