LONDON, England (CNN) -- Inside a former church on a suburban London street, a room has been designed to recreate the conditions found in Siberian salt mines.

CNN writer Anouk Lorie relaxes in Britain's first salt cave, in Wandsworth, London.

The floor and walls are covered with a thick layer of natural sea salt while particles of dry rock salt are pumped into the room.

Welcome to an Eastern European style salt cave which claims to rid asthma and allergy sufferers of their breathing problems through "salt therapy," also known as halotherapy.

With the sound of waves playing in the background and the sand-like mound of salt underfoot, the place could easily be mistaken for an exotic snow beach.

Before entering the salt chamber, visitors are required to wear a shower cap to cover their hair and shoes to preserve the salt's purity.

During each hour-long session they simply sit back, relax and put their feet up while soaking up the saturated air and tranquil atmosphere.

Salt therapy claims to work by clearing the airways of mucus and reducing inflammation triggered by allergies to dust, pollen or pollution. Minerals including potassium and magnesium are said to clean out mucus blocking the airways.

The treatment is widely used in Eastern Europe and Russia, where people with chronic breathing disorders often spend two to three hours per day in underground salt grottos. The Russian government even approved "salt caves" for medical use in 1995.

In the U.S., the trend has been adopted in the Chicago area with the popular Galos Cave. Several spas in other parts of the country have also installed salt breathing rooms.

In 2006, the New England Journal of Medicine published a study on patients with cystic fibrosis who used this kind of saline therapy for 48 weeks. The study found that it was a safe and effective additional therapy for patients.

The benefits of salt therapy were first discovered in the late 1800s when workers in Siberian salt mines were found to suffer from a surprisingly small number of respiratory problems.

Familiar with such treatments in her hometown, Sofia Benke from Hungary was therefore surprised when she moved to the UK two years ago and discovered there were no salt caves in the country.

Have you used the salt cave? Did it work for you? Would you visit one? Tell us in the SoundOff box below

"I was suffering from sinus problems and antibiotics didn't work. I had heard so many stories of how salt caves had treated friends' problems, so I decided to open one in London," the 30-year-old told CNN.

The salt, which has no additives, is shipped in from Lithuania.

Benke's patients vary from six-month-olds to 65-year-olds and most are asthmatic children who come in with their parents. Ideally, treatment lasts one to two weeks and patients need to be in the cave for one to two hours every day, Benke says.

The room's temperature and salt concentration depending on the patients' condition. The benefits are then said to last for up to 12 months. Each session costs around $56 and the first one is free.

Many of the patients have reported positive results. Twenty-eight-year-old yoga instructor Tish Webster, who has always suffered from hay fever and severe allergies to dust, told CNN she noticed results after three sessions.

"I noticed first thing in the morning I wasn't as congested as I usually am. Having now done ten sessions, I haven't yet taken an allergy tablet this year, which is incredible for me."

Despite the positive testimonials, the therapy has not yet been recognized by the UK's National Health Service (NHS) and at least one study suggests the therapy should be used as a complementary therapy, not as an alternative.

Dr Elaine Vickers of Asthma UK, said: "It's currently impossible for us to say whether or not salt caves are beneficial for people with asthma. However, some people say they find them helpful.

"Our advice to people with asthma is to follow the recommendations of your doctor or asthma nurse, and to keep them informed if you decide to try a complementary treatment such as halotherapy."

Other health practitioners say stopping medication like steroids for asthma and only opting for alternative care can be dangerous and counter-productive.

But, according to Benke, some of her patients have stopped medication, not because she urged them to. "I would never do that," she said.

The reason for this is because their symptoms were no longer present after undergoing salt therapy, she said.

@highlight

A salt cave clinic in London says it can treat respiratory illnesses like asthma

@highlight

Treatment is based on a room recreating the conditions of Siberian salt mines

@highlight

The process is called salt therapy, also known as halotherapy