(CNN) -- The protests that have spread through parts of the Arab world led to dramatic change in another country Tuesday, as Jordan's king dismissed his government.

King Abdullah II made the decision following protests in recent weeks in which several thousand people demanded economic and political reforms.

Experts on the region said Tuesday Abdullah's decision was aimed at warding off larger-scale demonstrations in the wake of the huge protests in Tunisia and Egypt.  The Tunisia protests, which began the movement, toppled that country's government.  In Egypt, President Hosni Mubarak has fired his Cabinet, but protesters in massive demonstrations continue to call for his ouster.

The protests -- which have also caught on to various extents in Algeria, Yemen, and Sudan -- have proved to be "a real watershed event for the Arab world," said Blake Hounshell, managing editor of Foreign Policy magazine.  "It's really unprecedented."

There was a series of protests in Arab nations in the 1950s, but those were prompted by an ideology of Pan-Arabism in a post-colonial world, said Emile Hokayem, with the International Institute for Strategic Studies.  A 2005 uprising in Lebanon was about independence and ousting Syria.  While it was successful, the revolution's message was not one that other nations associated with, he said.

"It's different this time.  People are standing up for their economic rights, their dignity. It's very different," said Hokayem.

Ibrahim Sharqieh of the Brookings Institution said there's a whole new mind-set.

"The Tunisian uprising has caused change in the attitude and behavior of ordinary Arab citizens -- and today we are witnessing the emergence of a can-do nation attitude," he explained.

Economic concerns have fueled the protests across the region.  At a speech Tuesday in Singapore, Dominique Strauss-Kahn, managing director of the International Monetary Fund, said the need for action against unemployment was "a strong undercurrent of the political turmoil in Tunisia, and of rising social strains in other countries," according to his prepared remarks.

Arab leaders have been getting the message, Hokayem said, noting an article in the Wall Street Journal in which Syrian President Bashar al-Assad said leaders must "see the need of reform" before protests like those in Egypt and Tunisia break out, because by then "it's too late to do any reform."

Abdullah's decision and Assad's remarks "are preventive moves," said Hokayem.

Hounshell noted that the Jordanian king has sacked his government before in recent years.  "But in the context of what's happening now, it's going to be seen as a way to get ahead of these protests."

When the Tunisia protests proved successful at first, many analysts still doubted a "domino theory" would play out through the Middle East, said Hokayem, because each nation has a different structure, population, and set of challenges.  But "right now, it seems like it's a possibility.  So I think governments are trying to prevent what could be copycat movements in the region."

The level of solidarity in the Arab world has come as a surprise to some experts, said Hokayem.  But "it's a matter of psychology at this point. People feel that there is an overture, and they want to push, want to do it."

Still, there are key differences.  "I still think that monarchies have an edge in terms of legitimacy," Hokayem said.  Tunisia, Egypt, and Yemen are officially republics, and leaders were gearing up for successions by bringing their children to power, sparking fury and frustration in an underserved population.

In Gulf state monarchies, such as Jordan and Saudi Arabia, uprisings that threaten the government are "less likely," said Hounshell.  "But I wouldn't rule it out."

The United States views Egypt, Jordan, and Saudi Arabia as key allies in the region.  The Saudi kingdom has been stable for decades.  "If Saudi Arabia starts to see popular protests," said Hounshell, "then you're really going to see people in Washington freak out."

It remains unclear how far the change in any of these countries might go. In Jordan, whether the king will regain support from protesters by dismissing his government is "a million dollar question," said Hounshell.

@highlight

NEW: Analyst: A "can-do nation attitude" is emerging

@highlight

Whether Jordan's king will gain support is a "million dollar question"

@highlight

"It's really unprecedented," Hounshell says

@highlight

Experts believe monarchies may be more secure