London (CNN) -- Global media tycoon Rupert Murdoch is "not a fit person" to run a major international company, British lawmakers investigating phone hacking at his tabloid News of the World reported Tuesday.

The ruling could prompt British regulators to force him to sell his controlling stake in British Sky Broadcasting, a significant part of his media empire.

The damning report accused Murdoch and his son James of showing "willful blindness" to phone hacking at News of the World, and said the newspaper "deliberately tried to thwart the police investigation" into the illegal activity.

The paper's publisher, News Corp. subsidiary News International, "wished to buy silence in this affair and pay to make the problem go away," the Parliament's Culture, Media and Sport Committee found.

Ofcom, the British media regulator that could force Murdoch out of BSkyB, said it was "reading with interest" the report from Parliament.

The agency noted that it "has a duty under the Broadcasting Acts of 1990 and 1996 to be satisfied that any person holding a broadcasting license is, and remains, fit and proper to do so."

News Corp., which Rupert Murdoch leads as chairman and chief executive, accepted responsibility for some failings Tuesday but pushed back against some of the more critical remarks made by lawmakers.

"Hard truths have emerged from the Select Committee Report: that there was serious wrongdoing at the News of the World; that our response to the wrongdoing was too slow and too defensive; and that some of our employees misled the Select Committee in 2009," it said in a statement.

However, remarks made by some lawmakers after the report was issued on Tuesday were "unjustified and highly partisan," it said.

News Corp. said it had already acted on many of the failings highlighted in the report, had brought in new internal controls and is supporting police investigations into alleged wrongdoing.

Allegations of widespread illegal eavesdropping by Murdoch journalists in search of stories have shaken the media baron's News Corp. empire and the British political establishment, up to and including Prime Minister David Cameron.

Police have arrested dozens of people as part of investigations into phone hacking, e-mail hacking and police bribery, while two parliamentary committees and an independent inquiry led by Lord Justice Brian Leveson are probing the scandal.

Testifying last week before the Leveson Inquiry, Rupert Murdoch admitted that there had been a "cover-up" of phone hacking at News of the World, which ceased publication last July.

But Murdoch, who owns the Sun and the Times in London, as well as controlling The Wall Street Journal, New York Post and Fox News, said his News Corp. had been a victim of the cover-up, not the perpetrator.

"Someone took charge of a cover-up, which we were victim to and I regret," he said Thursday at the Leveson Inquiry.

He apologized for not having paid more attention to the scandal, which he called "a serious blot on my reputation."

Tuesday's report by the Culture, Media and Sport Committee is based, in part, on earlier testimony by Rupert and James Murdoch.

John Whittingdale, the chairman of the committee, said Tuesday that, while there is "no definitive evidence to prove whether or not James Murdoch was aware of ... evidence which indicated that phone hacking was widespread, the committee was nevertheless astonished that he did not seek to see the evidence."

Tom Watson, the Labour lawmaker who has long been one of the fiercest critics of Murdoch, was blistering in a news conference announcing the parliamentary findings.

"These people corrupted our country," he said. "They have brought shame on our police force and our Parliament. They lied and cheated -- blackmailed and bullied and we should all be ashamed when we think how we cowered before them for so long."

But Louise Mensch, a Conservative member of Parliament who is on the committee with Whittingdale and Watson, said the report had gone too far.

She was one of the four Conservative MPs who dissented from the amendment to the report finding that Murdoch was not a fit person to run a company.

She called the amendment "faintly ridiculous," given Murdoch's decades in the business, and accused the Labour members of the committee of pushing through a "nakedly political" statement.

"The amendments were so far out of left field they made a mockery of the whole thing," she said.

The section declaring Murdoch "not fit" passed by a vote of 6 to 4, with support from Labour and Liberal Democrat lawmakers, over opposition from Conservatives. Committee chairman Whittingdale, a Conservative, did not vote.

The report did not accuse either Murdoch of misleading Parliament, but said three of their underlings had done so in testimony to the committee.

Longtime Murdoch right-hand man Les Hinton was criticized, as were Colin Myler, the last editor of News of the World, and Tom Crone, who was the paper's lawyer for decades.

Myler and Crone "gave repeated assurances that there was no evidence that any further News of the World employee, beyond Clive Goodman, had been involved in phone-hacking," the report says. "This was not true and, as further evidence disclosed to us by the newspaper's solicitors Farrer & Co now shows, they would have known this was untrue when they made those statements. Both Tom Crone and Colin Myler deliberately avoided disclosing crucial information to the Committee and, when asked to do, answered questions falsely."

Mensch noted that Myler, the editor of the New York Daily News, "has misled a select committee of Parliament. I would hope that a little bit of attention would be paid to the unanimous findings of the committee where named individuals misled Parliament."

In a statement, Myler said he stood by the evidence that he gave the committee. "The conclusions of the Committee have, perhaps inevitably, been affected by the fragmented picture which has emerged from the various witnesses over successive appearances and by the constraints within which the Committee had to conduct its procedure," he said. "These issues remain the subject of a police investigation and the Leveson judicial inquiry and I have every confidence that they will establish the truth in the fullness of time."

The full House of Commons will have to rule on whether the three committed contempt by misleading the committee, "and, if so, what punishment should be imposed," the report says.

"It is effectively lying to Parliament," Whittingdale said. "Parliament at the end of the day is the supreme court of the land. It is a very serious matter."

BSkyB shares were up slightly in London on the news. Shares in News Corp., which is traded in New York, closed Tuesday up 2.64%.

In a statement to News Corp.'s 50,000 employees, Rupert Murdoch said the report "affords us a unique opportunity to reflect upon the mistakes we have made and further the course we have already completed to correct them."

He said that it was difficult for him to read many of its findings, "but we have done the most difficult part, which has been to take a long, hard and honest look at our past mistakes."

He continued, "We certainly should have acted more quickly and aggressively to uncover wrongdoing. We deeply regret what took place and have taken our share of responsibility for not rectifying the situation sooner."

He said News Corp. officials "have gone beyond what law enforcement authorities have asked of us, to ensure not only that we are in compliance with the law, but that we adhere to the highest ethical standards."

Rupert Murdoch said last week that if he had known the depth of the problem in 2007, when a private investigator and a Murdoch journalist were sent to prison for phone hacking, he "would have torn the place apart and we wouldn't be here today."

But he also suggested last week that key parts of the scandal have been overblown.

"The hacking scandal was not a great national thing until the Milly Dowler disclosure, half of which has been somewhat disowned by the police," Murdoch said.

He was referring to the revelation that people working for him had hacked into the voice mail of a missing 13-year-old who later turned out to have been murdered.

The Guardian newspaper originally reported that the hackers had also deleted some of the voice mails left for the girl, leading to false hopes that she was still alive and deleting them herself. In fact, the messages may have expired automatically.

Murdoch was also grilled over his media empire's back-channel lobbying of the British government and said he learned of the existence of one of the key lobbyists only "a few months ago."

He said he was "surprised" by the extent of the contact by the employee, Fred Michel, with the British government as it considered a bid by News Corp. to take full ownership of British Sky Broadcasting.

That bid collapsed because of the phone-hacking scandal.

The scandal has also forced News Corp. to pay hundreds of thousands of pounds in compensation to the victims of phone hacking.

Murdoch and his son James have been hammered over the past year about what they knew about phone hacking by people working for them.

They have always denied knowing about the scale of the practice, which police say could have affected thousands of people, ranging from celebrities and politicians to crime victims and war veterans.

CNN's Alex Mohacs, Alexander Felton Erin McLaughlin, Elaine Ly and Claudia Rebaza contributed to this report.

@highlight

NEW: "We deeply regret what took place," Rupert Murdoch says

@highlight

British media regulators are studying the findings "with interest"

@highlight

Lawmakers: Murdoch not fit "to exercise the stewardship of a major international company"

@highlight

News International "wished to buy silence" over phone hacking, the report says