If you're rich and want to give money to a lot of political campaigns, the Supreme Court ruled Wednesday that you can.

The 5-4 ruling eliminated limits on how much money people can donate in total in one election season.

However, the decision left intact the current $5,200 limit on how much an individual can give to any single candidate during a two-year election cycle. Until now, an individual donor could give up to $123,200 per cycle.

The ruling means a wealthy liberal or conservative donor can give as much money as desired to federal election candidates across the country, as long as no candidate receives more than the $5,200 cap.

While most people lack the money to make such a large total donation to election campaigns, the ruling clears the way for more private money to enter the system.

In effect, it expands the loosening of campaign finance laws that occurred with the high court's Citizens United decision in 2010 that eased campaign spending by outside groups.

Are campaign donations a form of free speech?

At issue was whether limits in the Federal Election Campaign Act on overall -- or aggregate -- campaign spending by individuals violate the First Amendment rights of contributors.

"We conclude that the aggregate limits on contributions do not further the only governmental interest this court accepted as legitimate" in a 1976 ruling, said Chief Justice John Roberts, who wrote the opinion of the court's conservative majority. "They instead intrude without justification on a citizen's ability to exercise the most fundamental First Amendment activities."

In dissent, Justice Stephen Breyer said the majority opinion will have the effect of creating "huge loopholes in the law; and that undermines, perhaps devastates, what remains of campaign finance reform."

Republican leaders hailed the decision as an affirmation of free expression rights.

"It does not permit one more dime to be given to an individual candidate or a party -- it just respects the constitutional rights of individuals to decide how many to support," said Senate GOP leader Mitch McConnell of Kentucky.

However, congressional supporters of tougher campaign finance laws expressed concern about more private money influencing elections.

"I am concerned that today's ruling may represent the latest step in an effort by a majority of the court to dismantle entirely the longstanding structure of campaign finance law erected to limit the undue influence of special interests on American politics," said Republican Sen. John McCain of Arizona, a longtime proponent of campaign finance reform.

New campaign finance reform?

Some legislators called for new campaign finance legislation in response to the ruling, but such reforms appeared impossible in an election year.

Sen. Pat Leahy of Vermont, the Democratic chairman of the Senate Judiciary Committee, said he would hold a hearing on the impact of "alarming Supreme Court decisions that have eviscerated our campaign finance laws."

Another top Senate Democrat, Charles Schumer of New York, warned of further erosion of limits on special interest influence in elections.

"This in itself is a small step, but another step on the road to ruination," Schumer said. "It could lead to interpretations of the law that would result in the end of any fairness in the political system as we know it."

The case involved Shaun McCutcheon, the owner of an Alabama electrical engineering company, with support from the Republican National Committee.

They objected to a 1970s Watergate-era law restricting someone from giving no more than $48,600 to federal candidates, and $74,600 to political action committees during a two-year election cycle, for a maximum of $123,200.

McCutcheon argued he had a constitutional right to donate more than that amount to as many office seekers as he wanted, as long as no single candidate got more than the $5,200 per election limit ($2,600 for a primary election and another $2,600 for a general election).

"Spending money on advertising, promoting ideas and supporting candidates is an exercise of our right to freedom of speech," McCutcheon told CNN on Wednesday after the ruling came out.

Preventing corruption

Supporters of the limits struck down Wednesday said the law prevented corruption or the appearance of corruption. Without the limits, they argued, one well-heeled donor could in theory contribute to every federal race possible.

The ruling leaves in place current donor limits to individual candidates, and donor disclosure requirements by candidates, political parties, and political action committees.

"What I think this means is that freedom of speech is being upheld," said House Speaker John Boehner, an Ohio Republican. "You all have the freedom to write what you want to write. Donors ought to have the freedom to give what they want to give."

But supporters of the limits expressed disappointment.

"The Supreme Court majority continued on its march to destroy the nation's campaign finance laws, which were enacted to prevent corruption and protect the integrity of our democracy," said Democracy 21 president Fred Wertheimer, a longtime advocate for election money reforms. "The court re-created the system of legalized bribery today that existed during the Watergate days."

Congress passed the individual aggregate limits in the wake of the Watergate scandal, and the Supreme Court upheld them in 1976.

The separate Citizens United case in 2010 dealt with campaign spending by outside groups seeking to influence federal elections.

In that case, the conservative majority -- citing free speech concerns -- eased longstanding restrictions on campaign spending by corporations, labor unions, and certain nonprofit advocacy groups.

The Citizens United ruling helped open the floodgates to massive corporate spending in the 2012 elections. It also led to further litigation seeking to loosen current restrictions on both spending and donations.

What the ruling on campaign money means

@highlight

Supreme Court lifts limits on how much in total one person can donate

@highlight

Its 5-4 ruling means wealthy donors can give to as many campaigns as they want

@highlight

People can still only give a maximum of $5,200 to a single candidate

@highlight

Critics warn the ruling further undermines already weakened campaign finance laws