(CNN) -- Amid a high alert over an alleged al Qaeda plot to attack cities in Europe, France has warned its citizens about travel to the United Kingdom, saying British authorities believe a terror attack is "highly likely."

The move follows a United States warning that Americans be careful about traveling in Europe because of the risk of terror attacks.

Neither the UK nor France raised threat levels in response to the American warning, but each has now warned its citizens about travel elsewhere on the continent.

Europe remains on edge after the warnings, based at least partly on intelligence about a plot obtained from a German-Afghan in U.S. custody in Afghanistan.

Police in France seized 12 people for suspected terrorist ties Tuesday, but it is not clear whether they are connected to the plot that prompted the warning.

Those arrests came a day after a suspected drone strike in Pakistan left five German nationals dead, adding to the unease.

French national police said the 12 suspects were seized in the south of France.

Three have links to a French man -- identified as Riahd Hennouni -- arrested in Italy last month, authorities said. Two of them were arrested in Marseilles and the third was arrested in Bordeaux.

The nine other arrests happened throughout southern France, including some in Marseilles and at least one in Avignon, police said. Police in Marseille said the nine have links to an Islamist movement and are suspected of trying to obtain arms and explosives.

It is unclear whether the 12 are French citizens. None of them has been charged. Under French law, police can detain and question suspects for up to six days without filing charges.

Meanwhile, Italian police said Sunday they detained a French citizen of Algerian origin who is suspected of being a member of al Qaeda. The man was arrested last month by Italian police in Naples, Italy, on a European arrest warrant requested by France, the chief prosecutor in Naples told CNN Monday. The arrest was not announced at the time.

Didier Allard of France's Palais de Justice appeals court identified the man as Hennouni and said an anti-terror judge in Paris had requested his arrest and asked that he be extradited from Italy.

Elsewhere, Pakistani intelligence confirmed that five German nationals were killed in a suspected U.S. drone strike Monday in the northwestern part of the country.

The Germans were among 11 suspected militants killed Monday in the Mir Ali area of North Waziristan, one of the seven districts of Pakistan's tribal region -- a remote and rugged area where militants hold sway.

Three others were foreigners whose nationalities were not disclosed, said the officials, who did not want to be named. The other three were Pakistanis.

The bodies were removed by the Taliban, one of the officials said.

The militants killed are believed to have been members of the group Jihad al Islami, the officials said.

The news of the arrests in France and the Germans' deaths in Pakistan come amid warnings from the United States, Britain, Sweden and Japan advising their citizens traveling abroad about potential terrorist attacks in Europe.

It is not known if Tuesday's arrests and Monday's drone strike, however, are related to the latest alerts.

The U.S. Department of Homeland Security and the FBI issued a joint bulletin Sunday warning of the potential attacks.

The reported plot prompted the U.S. State Department to issue a Europe-wide security advisory for Americans traveling abroad.

The alert did not cite specific countries because the information about the threat was not specific enough to do so, a State Department spokesman said Monday.

Jihadists from the German city of Hamburg are alleged to be at the heart of the suspected plots, European intelligence officials said.

Western intelligence officials say they learned about the potential attacks after Ahmed Sidiqi, a German citizen of Afghan descent, was arrested in Afghanistan in July and taken to the U.S. air base at Bagram for questioning.

He has not been charged, and intelligence sources in Germany said he was cooperating with the investigation.

According to German intelligence officials, Sidiqi and 10 others left Hamburg in 2009 for the tribal areas of Pakistan -- where most of the group joined a jihadist group fighting U.S. and coalition forces across the border in Afghanistan.

Sidiqi told American interrogators that at least one member of his travel group was to be a "foot soldier" in the plot, with other members of the group helping to plan the attacks, a European counterterrorism official told CNN.

Sidiqi's father, Mohammed Naim Sidiqi, said his son was on his way to the German embassy in the Afghan capital to get a new passport when he was detained.

Sidiqi's father says he does not believe the allegations that his son is at the heart of an al Qaeda conspiracy.

"My son is not a killer, he's just not capable of that," he told CNN, stressing that such acts are absolutely forbidden in Islam.

Sidiqi's sister says she, too, is shocked by the reports.

According to Sidiqi's sister, her brother left Hamburg last year to start a new life in Afghanistan with his wife, an Indonesian citizen.

She says that financial problems in Hamburg, including difficulty paying his rent, contributed to his decision to leave.

"He had some debts and he was determined to earn money in Afghanistan to repay them," his father told CNN.

According to German intelligence agencies, Sidiqi had a job cleaning aircraft at Hamburg International Airport before leaving for Pakistan.

Sidiqi's father said he also did some work in Germany related to computers.

Before setting off, Sidiqi told his family he was going to meet some friends in Pakistan and then go across from there to Afghanistan, according to his sister.

In later phone calls he would not reveal his location, according to his father.

Sidiqi's sister confirmed he had attended the Taiba mosque in Hamburg, where several of the 9/11 conspirators met.

CNN's Niki Cook, Winnie Andrews, Nic Robertson, Paul Cruickshank, Matiullah Mati and Frederik Pleitgen contributed to this report.

@highlight

French warning: British authorities believe an attack is likely

@highlight

U.S., others have warned about travel in Europe because of terror threats

@highlight

U.S. warning based on intelligence from a German-Afghan in U.S. custody

@highlight

This week has seen arrests and suspected drone strikes against terror suspects