(CNN) -- North Korea is one of the world's most mysterious and secretive states, regarded as a political pariah and at bitter loggerheads with its neighbor South Korea.

Few people are allowed past its tightly-sealed borders but footballer Ryang Yong-Gi, who was born and raised in Japan by a loyally North Korean family, is in a privileged position when it comes to entering and exiting.

The 31-year-old is captain of top Japanese club Vegalta Sendai, and also plays for the national side of North Korea -- which in the past has faced allegations of mistreatment of its sports teams after major events.

"My number one hope is for North and South Korea to become united," he told CNN's Human to Hero series.

"I think it will contribute to the development of the country in many ways. I think it will open up new possibilities beyond soccer and sports."

A hero to football fans in both Japan and North Korea, Ryang symbolizes the unique power of sport to break down boundaries despite deep-seated differences.

He does not talk about politics with his North Korean teammates -- "They ask me about cars or soccer magazines I have with me" -- but his own views have been shaped by his upbringing, in which he had to gain acceptance in two very different societies.

The Korean community in Japan has an uneasy relationship, at best, with the indigenous population, amid a perpetual state of mistrust on both sides.

Ongoing tensions over disputed territory -- a small group of islands situated between Japan and the Korean peninsula -- has ratcheted up the political rhetoric and fueled prejudices.

But not only has Ryang won respect for his footballing feats, helping his team from J-League division two also-rans to top-flight championship contenders, he has also achieved cult status, regardless of his background.

"I think 90% of the Vegalta's supporters don't care about whether he is North Korean or Japanese," local businessman Shuichi Kanno, a loyal club fan, told CNN.

Legendary player

"We feel he loves the team. He is a legend and his story should be remembered, even after he retires," he added.

Ryang, who has been with the club since 2004, admitted he was initially apprehensive about the reaction of fans.

"I wondered if people would cheer me, a North Korean, but once I was on the team and started playing, I felt l like I was being supported a lot," he said.

"The fans love this team, their local team, and they support me as a part of the team, maybe even more so than to other members."

Watch: Chasing North Korea's football team

Born in 1982, Ryang grew up in the city of Osaka with Korean parents, who are second generation immigrants to Japan.

Japan occupied the Korean peninsula from 1905 to 1945. Well over half a million Koreans who came to Japan during that troubled period stayed after World War II ended, including Ryang's grandfather.

The subsequent Korean War led to two bitterly divided states in the North and South, and Korean immigrants left in Japan also split into separate communities.

Strict loyalty

One of the consequences was special North Korean schools, where the DPRK's flag could be seen flying in the playground, with portraits of leaders such as Kim Il Sung and Kim Jong Il on the classroom walls.

Strict loyalty to that regime is engendered, and that is the education that Ryang received up until high school when, thanks to his sporting and academic achievements, he entered the mainstream Japanese university system.

But the limited range of sporting opportunities in his early schooling also played an inadvertent role in his subsequent professional career.

"My father introduced me to football when I was two or three years old," he recalled.

"Then I went to North Korean schools where only football was available, and myself and other students would play from morning to night -- so in that sense, I think I was blessed."

Ryang was also blessed with a formidable talent and, on leaving education in 2003 found his place in the Vegalta Sendai squad, then playing in the J-League second division.

It was not long before international recognition arrived -- though not for Japan ("I have never thought about it") but through his upbringing and family ties, for North Korea.

Representing his country in Macao, Ryang scored in a 2-0 win over South Korea in the semifinals of the East Asia Games.

Winning acceptance

He admits his enthusiasm to impress, to win acceptance as an "outsider" got the better of him as he charged around the pitch in his midfield role.

"I played in a reckless manner. I felt the need to impress so they would invite me again to play in the national team."

Ryang did impress enough to secure further call-ups, one of a small cadre of Japan-based players with a similar background, who represent North Korea.

He was top scorer as North Korea won the 2010 AFC Asian Challenge Cup, and also took part in a successful qualification campaign for that year's 2010 World Cup finals.

But it is in club football in the highly competitive J-League where he has made the biggest impression, with Vegalta emerging as challengers for the first division title in recent seasons.

Ryang has been an ever present and key member of the side, but it was the shattering events of March 11, 2011 -- when an earthquake and tsunami hit Japan -- which firmly cemented him as a fan favorite.

Sendai was near the epicenter of the quake and Ryang was out driving when it hit. "I thought my tires had gone flat or I had driven over the curb, but the shaking continued and I saw the windows of shops shaking too," he recalled.

"I knew it was a bad one and rushed home to see my wife."

Earthquake disaster

Ryang and his heavily pregnant wife spent the night sleeping in their car, fearful of further damage to buildings in an urban landscape that suffered severe wreckage.

In the aftermath of the disaster, Ryang and his teammates made frequent visits to affected areas to lend support.

The performances of the team also boosted morale, eventually finishing fourth in the J-League with Ryang providing inspiring captaincy,

Kanno, a restaurant owner in the coastal town of Kesennuma which was heavily hit by the tsunami, said Ryang and his teammates made all the difference in those terrible times for the area.

"During the tsunami year, Vegalta and his play gave us an energy, whether they won or lost," Kanno said.

"We are so grateful that he led the team to fourth in the league that year.

"We also would like to thank him that he has stayed with our team despite getting good offers from other teams (in the J-League)."

Ryang's international career has involved intermittent trips to Pyongyang, the capital of North Korea, where he joins up with the domestic based players.

It is seen as one of the most secretive setups in world soccer, due to the DPRK government's isolationist policies.

Affluent lifestyle

However, aside from their interest in the trappings of the affluent lifestyle in Japan, Ryang said his teammates were well acquainted with the action from major football leagues such as the English Premier League and Spain's La Liga.

"Their in-depth knowledge of famous players demonstrates to me that they do watch a lot of soccer on television," he revealed.

So when North Korea qualified for the 2010 World Cup finals in South Africa, drawn to play mighty Brazil in the first group match, it's safe to say they would have known all about Kaka and Robinho and their teammates.

Ryang missed out on selection for the tournament, though he trained with the squad as cover. Despite his personal disappointment, he describes North Korea's narrow 2-1 defeat by the five-time world champion Brazil team  as his "most memorable match, a moving experience."

That match was a high point -- but North Korea's World Cup ended in embarrassment, losing 7-0 to Portugal and then 3-0 to the Ivory Coast.

The squad and head coach Kim Jong Hun were reportedly publicly humiliated by government officials on their return home, though in August 2010 soccer's world governing body halted its investigation into the claims after failing to find enough evidence.

In a statement on its official website, FIFA described the allegations as "baseless."

Role models

Ryang had starred in North Korea's lifting of the AFC Asian Challenge Cup in the World Cup year, contributing goals from midfield ("every goal felt amazing") and also helped the team retain the trophy last year.

2012 was also to prove his most successful season at club level, with Vegalta Sendai finishing second in the league, beaten to the title by Sanfrecce Hiroshima in the closing stages of the season.

Despite being in the autumn of his career, Ryang has entertained no thoughts of retiring and retains a real love for his sport.

"Soccer is part of my life, and it's also my job and I never get tired of it," he said.

His role models are players such as Andres Iniesta of Barcelona and former Serbian great Dragan Stojkovic -- both attacking midfielders in his mold.

Ryang admits that Stojkovic, who is now manager of J-League side Nagoya Grampus, was his hero from boyhood days: "I've always admired him."

Like Stojkovic, Ryang has assumed a captaincy role with his club and takes his responsibilities incredibly seriously.

"I need to have a strong presence in the team, and I also need to be trusted by other players," is his philosophy on leadership.

"I make sure that I run the most, try to stay in the game all the time and make a big effort to change the outcome."

He might be a dogged hard worker on the pitch, but off it he does indulge in a passion he shares with many football stars.

"I love cars. I do not have any favorite model, but when I am allowed to test drive one, I love it instantly and end up buying it," he says.

"As I am not a player blessed with speed, I tend to drive a fast car. Everyone tells me I drive fast and rough."

CNN's Chie Kobayashi contributed to this article.

@highlight

Ryang Yong-Gi is a Japan-born footballer who represents North Korea

@highlight

The 31-year-old plays for J-League side Vegalta Sendai

@highlight

He led the team to second place in standings last season

@highlight

He also aided relief efforts after the 2011 earthquake and tsunami in Japan