(CNN) -- In a down economy, pursuing the American dream can be challenging, but restaurant owner Todd Steele was willing to take a chance.

For nearly 20 years, Steele worked all levels of the restaurant game, from dishwasher to general manager, before partnering with his mom and opening his own eatery called Metrovino on Portland, Oregon's, 11th Avenue streetcar line.

"I would not have picked this spot if it weren't for the streetcar, and my business has certainly benefited from our location," Steele said. "Streetcars are also a romantic way to travel, and they are fun to watch from inside Metrovino."

While America lost much of its love for streetcars as public transportation during the 1960s, a few cities have kept the romance burning. The heart of San Francisco includes its nearly 140-year-old electric cable car system. In New Orleans, the location for Tennessee Williams' "A Streetcar Named Desire," many tourists are drawn by the picturesque St. Charles Avenue Line.

The Obama administration recently offered some U.S. cities a piece of a  $130 million federal fund for streetcar projects aimed at reducing traffic congestion, cutting pollution and reliance on foreign oil, and creating jobs. Transit systems in Dallas, St. Louis, Cincinnati and Charlotte, North Carolina, are slated to share grants from the Federal Transit Administration's Urban Circulator program.

Other cities have plans and other funding for streetcar projects, too.

See map for key projects

But not everyone is a fan of streetcars. "This is a waste of money," said Ron Utt of The Heritage Foundation.

"Streetcars certainly create jobs, but they are a poor investment and create little lasting value," he said. "Because it requires extensive ongoing subsidies, it is also unsustainable. Improving roads would be the better bet in most communities."

CNN iReporter Raymond Becich is a supporter. "Sure, Portland paid incentives to businesses to build along the streetcar (line)," he said. "But how is this any different than any governmental jurisdiction giving tax breaks and other incentives for businesses to relocate to a city or state?"

Streetcars have transformed a "blighted warehouse district ... into a vibrant area of shops, grocery stores, restaurants and apartments that provide entertainment and employment," he said.

But there's nothing streetcars can do that buses can't do better, faster, safer and for far less money, said CATO Institute senior fellow Randal O'Toole. "Even though a single light-rail train can hold more passengers than a bus, a bus route can move more passengers per hour than any light-rail line."

Portland's streetcar system attracts about 12,000 daily riders at an average ticket cost of $1.47. Its creators credit it with $3.5 billion in surrounding development, including shops, restaurants and 10,000 new housing units.

Also, streetcars that run on either hydro or coal-generated electricity spit out less greenhouse gases per passenger mile than diesel buses, according to University of California researchers.

So, what is a streetcar, exactly? The transportation community generally defines it as a rail-based passenger tram that shares streets with cars and trucks.

Becich said he rides his city's system so often he's considering selling his car.

"Riding public transportation in Portland is quick, easy and enjoyable," he said. "It's absolutely easier than driving, and streetcar operators go out of their way to be helpful."

But is it faster than driving? "If you count the time from point A to B, it is slower to ride the streetcar," Becich said. "But if you factor in time to find a place to park and the cost of parking, it is more convenient and cheaper to ride the streetcar."

It's no secret that public transit offers commuters an escape from hectic traffic and a chance to read, make phone calls or snooze.

These transportation issues were recently at the heart of an $85 million question faced by leaders and residents of Fort Worth, Texas: Should they green-light a proposed three-mile streetcar line from LaGrave Field through downtown and into the near-south side?

After much debate, city leaders decided "no" earlier this month "because of the timing and questions regarding how it would be fully funded."

As many as 2,250 people were projected to use the system daily, according to a city study. Utt says that's not very many riders, considering the cost of building and maintaining the line. "Most ridership projections are overly optimistic," he said. "There are good reasons why most cities got rid of their trolley systems in the '50s and '60s."

Read state-by-state data on how commuters get to work

A federal transportation official acknowledged that ridership is often low, according to industry studies.

In Michigan, supporters are working to bring a light-rail line to revitalize downtown Detroit, a city among the hardest hit by the recession.

But on Capitol Hill, a House transportation committee spokesman acknowledged that there may be less federal money available for streetcar projects as Republicans prepare to take control of the House in January.

Transportation blogger Yonah Freemark agreed. "Based on recent decisions by party members at the state and national level, that will mean a renewed emphasis on roadway projects and less proposed funding for transit."

@highlight

Obama administration touts streetcars as a way to vitalize urban economies

@highlight

Feds offer $130 million to cities in Texas, Missouri, North Carolina and Ohio

@highlight

Supporters: Streetcars will create jobs, cut pollution, reduce traffic, shrink oil dependence

@highlight

Opponents: Streetcar programs waste tax money that could be spent on road improvements