Scientists are normally a pretty measured bunch. But in recent months, they've been resorting to some unusual language to get our attention. One top climatologist recently tweeted: "If even a small fraction of Arctic sea floor carbon is released to the atmosphere, we're f'd." When scientists start swearing in public, it is time for everyone to start worrying.

It's not just the scientists that are raising the alarm. This Sunday, hundreds of thousands of people are taking to the streets around the world in the largest climate mobilization in history. If they weren't listening before, our leaders should tune in now. The voice of global concern for action on climate change is back, and this time it's no longer an environmental issue, it's an everybody issue.

And time is short. The world is rushing towards a series of potentially catastrophic feedback loops and tipping points in the climate system, which could see the support system of life itself irrecoverably disrupted. From the release of gigantic amounts of arctic methane gas, to the rapid carbon acidification of our oceans, to apocalyptic flooding, the continued warming of our planet is the greatest challenge our species has faced.

The stakes seem too gargantuan to grasp, but it's this leap in consciousness that's required for our survival. Our civilization is built on a fragile, delicately interdependent, and unsustainable relationship with the natural world. We can't afford to underestimate the massive footprint that humans have on this planet. One quarter of the carbon dioxide in our atmosphere came from our industries. Our oceans are acidifying 10 times faster than at any point in earth's history. We are stretching the limits of this world.

But none of this is grounds for despair. The solution to the nightmare of runaway climate change is crystal clear, and beautiful. We need to shift our societies and economies off dirty energy and on to 100% clean, sustainable energy, within a generation. This goal is entirely achievable. Already, 22% of the world's electricity comes from clean energy and the sector is growing fast -- we just need to put our foot on the accelerator.

'I'm on the front lines of this crisis'

Getting to 100% clean will require a massive battle against the oil and coal industry and their pocket politicians whose subsidies, profits and influence are all at stake. But this change is possible - we now have the alternative energy technology we need to replace fossil fuels. In May, Denmark published a plan to get to 100% clean by 2050, at a cost of less than 20 Euros per Dane per year.   Countries as diverse as Norway and Uruguay are already nearly at 100% clean. Even China, the world's biggest carbon emitter, is rolling out renewables faster than anywhere else on Earth.

The question is not whether we will make this breakthrough, but whether we do so before it is too late. The clock is ticking, the increase in temperature rising steadily towards the 2 degrees Celsius mark - the red line that both scientists and governments have said poses unacceptable risk of the unthinkable.

And that is why the People's Climate March is so critical. There is a gap between the speed of action our survival requires and the action our governments are taking. The street is how we close that gap, because politicians will move faster when people move them. Most large-scale social change has been spurred by movements, from ending slavery to giving women the right to vote. Saving ourselves by shifting our societies to 100% clean energy will require one of the largest, most diverse, and most sustained movements we've ever seen.

On Sunday, that movement will step forward. A new cast of characters in an unprecedentedly broad coalition and cross section of society will take to the street. Climate change has gone beyond environmentalism, it's now about the economy, jobs, justice, family, security. It's about the survival of everything we love.

The UN Climate summit happening two days after the march is an opportunity to build momentum, no more. The Paris summit next year is when we'll need our leaders to sign a new global agreement. If we learned one thing from the 2009 Copenhagen summit, it's that one global summit will never be a panacea.

But the thud of peoples boots marching across the planet together with 130 leaders meeting to discuss a collective response to this crisis heralds a fresh momentum for the road ahead. Even before the mobilization has happened, political leaders are responding to it. Some are even joining the march.

In the final analysis, the question is whether we human beings are capable of being wise, farsighted, and unified enough to pass this test of survival. Many civilizations have fallen to the consequences of outstripping their environments. But our civilization is the first truly global one, with the power to end human life. One way or another, we may be the last civilization. For the sake of our children and their children, we must find the hope, wisdom and unity to save it.

READ MORE: On front lines of climate change crisisREAD MORE: Why warming is imminent threat to U.S.

@highlight

People's Climate March takes place Sunday in cities around the world

@highlight

Patel: World is rushing towards a series of potentially catastrophic tipping points on climate

@highlight

Patel: We need to shift societies off oil and gas energy and onto renewable energy in a generation