(CNN) -- More than 4.3 million people tuned in to watch the U.S. women's soccer team beat Japan in a 2-1 victory in the gold medal Olympic game.

Shannon Boxx was just happy to be on the field.

After injuring her hamstring, Boxx was sidelined for the team's earlier game against Colombia. It was heartbreaking for the athlete to sit on the bench after all the health problems she had already battled during her journey to London.

Boxx was diagnosed with lupus in 2007 when she was 30 years old. At the time she was playing for the U.S. National Team and had begun feeling extremely fatigued; regular training sessions left her with joint pain and muscle soreness.

She went public with her lupus diagnosis in April 2012 and is now working with the Lupus Foundation of America to create awareness about this chronic autoimmune disease that affects 1.5 million people in the U.S.

With lupus, Boxx's body produces auto-antibodies that attack and destroy healthy tissue because her immune system can't tell the difference. The auto-antibodies cause inflammation that leads to pain.

Symptoms can flare up at any time, and although the disease is somewhat controlled with medication, it is a lifelong problem.

We caught up with Boxx after the London Games to talk about her diagnosis and how she deals with it as an elite athlete. The following is an edited version of that interview:

You have lupus, in addition to Sjogren's Syndrome -- another autoimmune disease. How do the two conditions affect you?

Lupus is a chronic inflammatory disease that affects various parts of my body like my skin, my joints and various organs. (One symptom of lupus is the so-called "butterfly rash," across a person's cheeks and nose -- similar to the shape of a butterfly.)

Sjogren's Syndrome is an autoimmune in which your body attacks your moisture-producing glands. I deal with fatigue and joint pain just like with lupus, but it also affects my skin, my eyes and my mouth. I have to regularly use eye drops, drink lots of water and get regular checkups for both my eyes and my teeth.

Keeping my inflammation down throughout my body is my biggest concern.

Lupus attacking my kidneys, Nick Cannon says

How has having an autoimmune disease affected your job?

As an elite athlete, it is my job to maintain a high fitness level, as well as sustain a strong mentality. Now add in a disease where my main symptoms are extreme fatigue and joint pain, and that standard becomes a little bit more difficult to maintain.

I am very fortunate that I have finally found a medicine that helps control my symptoms, but a few years ago that wasn't the case.

I remember in 2010 going to training sessions completely exhausted and my knees throbbing from all my joint pain. I remember willing myself through those training sessions and then getting home and lying on the couch the rest of the day.

Mentally, I was exhausted because I was trying to figure out the right medicines to use; I was dealing with side effects from those medicines and I was keeping it a secret from my teammates.

On the positive side, it has made me so much stronger as a person and as an athlete. I have the mentality that this disease is not going to beat me. I may have a bad day, but it won't stop me from trying again the next day.

How do you control your symptoms?

The medicine I am on now helps control the amount of "flare-ups" I may have, as well as control the amount of inflammation in my body.

To help with joint pain, I wear compression pants to sleep in and I have also been able to tweak our lifting routine so that I don't have to put as much pressure on my joints. I do less Olympic lifts and more body-weight exercises.

Fatigue is probably the hardest one to control because you don't know when it's going to hit you. The best solution for me is, if I start to feel more fatigued than normal, I will train lighter that day or even just take it off completely.

Learning to live with lupus

What do you eat on a regular basis?

I don't have a specific diet. As much as I am training, my goal is to just make sure I'm getting enough food. I do my best to eat a balanced diet, but as of right now it isn't any different than the rest of my teammates.

What advice do you have for our readers who are dealing with lupus and/or Sjogrens Syndrome?

I understand that people with lupus and/or Sjogren's range from mild to severe and no two people are alike in their struggle with either of these diseases.

I believe it's very important to have a support system -- friends, family, the Lupus foundation and the Sjogren's foundation -- that understands what you are going through. I think it's important that you have someone who understands that you can feel good a majority of the time but are there for you when a flare-up happens.

I also believe it's important to stay active, whatever level of activity feels comfortable to you. I hope this is where I have inspired people. I haven't let this disease stop me from doing the sport that I love.

You've just begun to talk publicly about your battles with autoimmune disease. Why did you decide to start sharing your story?

I kept my story a secret for a long time because I didn't want anyone to use it against me in my profession. As I am nearing the tail end of my career, I have realized it is a lot more important to use my voice to help bring awareness to lupus and Sjogren's.

It takes people an average of seven years to be diagnosed, and in that time period they could be doing more damage to their body. If I can help spread the word about what lupus or Sjogren's is and what the symptoms are, maybe I can help get people in to visit a doctor sooner.

Dealing with an injury during the Olympics is something every athlete fears. How do you weigh the benefits of rest/recovery over pushing through the pain to help your team?

Good question. All of these thoughts went through my head when I felt my hamstring go 15 minutes into my first game in the Olympics. In a matter of seconds, I had to weigh both options. Do I push through and maybe do more damage to my leg and maybe hurt the team in the process, 'cause I'm not 100% (and in the worst case scenario, be out for the rest of the tournament): or do I take myself out and give our team the chance with a healthy body in there?

I chose the second, and even though it was hard sitting on the bench I knew I put the team first. I worked hard every day to get back as healthy as I could so I could be available if needed during the playoff rounds.

It seems everything worked out in the end. My hamstring healed and I was able to start in the final game and help my team to an Olympic gold medal. Not a bad way to the end the tournament.

How becoming a patient can make you stronger

@highlight

Olympic soccer midfielder Shannon Boxx has lupus, Sjogren's Syndrome

@highlight

Boxx helped the U.S. women's team win a gold medal against Japan

@highlight

Her autoimmune diseases cause joint pain, muscle soreness, fatigue