(CNN) -- Troops joined rescue operations in Yunnan province, southwestern China Monday following a 6.1-magnitude earthquake but the search for survivors was hampered by rainfall and aftershocks.

At least 398 people have been killed, and 1,801 injured by the quake that struck on Sunday afternoon, state-run media has reported.

The quake struck at 4.30 p.m. local time (4.30 a.m. ET). The majority of the casualties occurred in the city of Zhaotong, Ludian County.

The epicenter of the quake was recorded in Longtoushan Township, 23 kilometers (14 miles) southwest of Zhaotong, and tremors were felt almost 200 miles away. Hundreds of aftershocks have been recorded following the initial tremor.

Beijing has allocated 600 million yuan ($97 million) for relief efforts, Xinhua reported Monday.

It is a fairly remote, partly mountainous area. Many live in low-rise houses made of wood and bricks or plaster, which make them prone to collapse.

Poor housing

The quality of the housing, along with the higher-than-average population density in the area and the relatively shallow epicenter of the quake, was said to be a contributing factor to the death toll.

"Most rural houses in the county were made of brick or wood, were not designed to be resistant to quakes, and many of them were outdated," the China Earthquake Administration said in a statement.

Lu Xuefeng, head of Zhaotong City's communications department, told reporters Monday that an estimated 210,000 households and almost a million residents had been affected by the earthquake.

He said local authorities had dispatched 6,000 troops to join the disaster relief operation, according to state media. They are joined by specially-trained functionaries, medical teams and thousands of volunteers. Civil authorities have distributed tents, folding beds, blankets and clothing.

"I was working ... when my family called and told me our home was destroyed," Mao Quan, a resident of Longquan village, Longtoushan Township, told CNN.

"They told me nearly all houses at the village have been destroyed in the earthquake. There's no shelter, not enough to eat and the roads are cut off so it's hard for aid to go in. I've been walking back to the village since 7 a.m. I tried to hitchhike but it's hard. I'll probably be back home in another two hours."

Some 12,000 homes were destroyed and 30,000 others damaged in Sunday's quake, according to CCTV. Tens of thousands have been relocated from structurally unsafe houses. Some roads have been destroyed and some villages remain cut off.

Power outages

Ten towns and townships faced power outages overnight. Power was restored to around 19,000 homes Monday morning, but communications remain spotty.

President Xi Jinping called for "all-out efforts" in relief operations late Sunday night, with top priority given to saving lives, minimizing casualties and providing adequate shelter for displaced victims of the disaster.

Two commercial planes from carrier China Eastern Airlines have been used to fly rescue and medical teams close to the epicenter.

Premier Li Keqiang, who visited stricken areas on Monday morning, also called for a swift response, urging local authorities to focus attention on search and rescue and also on providing adequate supplies and medical attention for residents affected by the disaster.

Walking for several miles on foot to reach the worst-hit areas, he called on eight government ministries, including civil affairs, health, transport and housing, to send teams to take part in rescue and rehabilitation work.

The scope of the disaster meant that medical facilities were in danger of being overwhelmed.

Officials from Zhaotong urged people to give blood in order to make up a significant shortfall.

Video of the site from CCTV shows rescue workers digging with their hands under several feet of rubble that included dirt, rebar and concrete blocks.

Footage also showed injured adults and children being rushed to hospitals in ambulances.

Power and telephone outages were complicating assessment of the damage, rescuers said. Rain is expected in the next few days, which authorities fear could impact rescue efforts.

Condolences

The White House sent its condolences Sunday, and offered assistance.

"Our thoughts and prayers are with the families of those that lost their lives, those injured or displaced, and all the people of China on this difficult day," National Security Council Deputy Spokesperson Bernadette Meehan said in a statement.

"U.S. disaster response officials are in contact with their Chinese counterparts. The United States stands ready to assist."

The United Nations echoed the sentiment.

"(The Secretary General) offers his condolences to the Chinese Government and the families of those killed, and his deepest sympathies to those who were injured or otherwise affected in this disaster," Secretary General Ban Kee Moon's spokesperson said in a statement, adding that the organization was ready to "respond to humanitarian needs" and to "mobilize international support" as needed.

The U.S. Geological Survey said the quake had a magnitude of 6.1, while the China Earthquake Networks Center reported it as a 6.5-magnitude event.

The area is a mountainous region, known for its natural scenery and ethnic diversity, but is also prone to natural disasters and lies on a major earthquake fault.

Yunnan's neighboring province, Sichuan, witnessed a magnitude 7.9 earthquake in 2008 where at least 87,000 people died.

Measuring the magnitude of earthquakes

What to know about earthquakes

CNN's Jaime FlorCruz and Dayu Zhang in Beijing contributed to this report.

@highlight

At least 398 dead in quake, Chinese state-run TV says; 1,801 people injured

@highlight

Tens of thousands of homes damaged or destroyed

@highlight

China Earthquake Networks Center says the magnitude was 6.5