(CNN) -- The U.S. Supreme Court made a landmark ruling Thursday upholding the controversial, massive reform of health care coverage initiated by President Barack Obama.

Here are four things Americans learned about the federal government's grand vision to ensure health care for everyone under so-called Obamacare:

Skipping insurance no longer an option

The individual mandate is the centerpiece of the Affordable Care Act, the Obama administration's signature law. The mandate, which the high court let stand, requires most Americans to have health care insurance.

Opponents had contended that the government couldn't force citizens to buy health coverage, but the Supreme Court ruled Thursday that the individual mandate is legal under the government's taxing powers. The "tax" comes in the form of a financial penalty on certain individuals who do not obtain health insurance, and the Constitution allows for such a tax, the court said.

The justices, however, found problems in how the law threatens to remove Medicaid funding -- the government's health coverage for the poor -- from states that don't participate in an expansion of eligibility. The court said that the government must remove that threat, and Obama acknowledged remedies are needed.

The year 2014 is the deadline for everyone to get insurance.

Not obtaining insurance in 2014 will cost a person $95 or 1% of his or her income, whichever is higher. In 2015, it's $325, or 2% of income. For families, the penalty will be $285 per household or 1% of income, whichever is greater. By 2016, it goes up to $2,085 per family or 2.5% of income. Penalties will rise each year.

Health care ruling gives GOP new attack line -- taxes

The law promises improved collective health

The law does promise better care and better health for America -- at a cost. Federal health spending is projected to grow from 5.6% of gross domestic product in 2011 to about 9.4% by 2035, according to the Kaiser Family Foundation.

Under the law, preventive care services such as mammograms, physical exams, colonoscopies and vaccinations will be fully covered by insurance companies. This requirement kicked in for new health insurance plans that began on or after September 2010.

Without the individual mandate, 40 million Americans would have remained uninsured, researchers at the Urban Institute's Health Policy Center estimated.

Had the health care law been struck down by the high court, those without insurance would have grown by millions, researchers at the Urban Institute said.

Without the law, "in the worst case scenario, the number of uninsured Americans would increase to 57.7 million in 2014 and to 65.7 million in 2019. In the best case, the number grows to 53.1 million in 2014 and 57 million in 2019," the researchers wrote.

'Obamacare' symbol: Court ruling is 'right direction'

Uninsured not the only ones who'll see a change

Many Americans are already covered by employers' health benefits.

At companies with fewer than 50 workers, the employees must obtain insurance themselves.

Companies with 50 or more full-time employees must start providing health insurance for all workers by 2014 or face stiff penalties.

Cash-strapped entrepreneurs can buy insurance at state exchanges and can get tax credits if their annual individual income ranges between 100% and 400% of the poverty line, which this year translates to $11,170 and $44,680.

Solo entrepreneurs and small businesses can shop for less expensive insurance through the exchanges in each state.

One-person businesses can also turn to exchanges for individuals. Companies with up to 100 workers may turn to Small Business Health Options Programs. Both keep down costs by increasing the size of the insured pool and spreading out the risk.

No exchange is up and running yet. In theory, though, the exchanges will give small firms the ability to buy insurance at rates once belonging to large companies.

By the numbers: Health insurance

Both parties will look to benefit politically from ruling

On Thursday, Republicans indicated that the health care law will be a major issue in this year's presidential election. Obama, a Democrat, agreed.

Republican presidential candidate Mitt Romney said that, if elected, he would seek to overturn the law.

Both candidates were leveraging the conflict to raise money for their respective campaigns.

"What the court did not do on the last day in session, I will do on my first day if elected president of the United States, and that is that I will act to repeal Obamacare," Romney said two hours after the ruling was handed down.

Despite his pledge to repeal the law, if elected, Romney has promised to continue some of the law's consumer protections, such as the ban on preventing care based on pre-existing conditions.

Said Obama: "I know that there will be a lot discussion about this, about who won and who lost. That's how these things tend to be viewed here in Washington. But that discussion completely misses the point."

He said Thursday that the principle upheld by the high court's ruling is that no American should go bankrupt because of illness.

Opinion: Are voters ready to move on?

What the health care ruling means to you

CNN's Tom Cohen, Rich Barbieri, Jennifer Bixler and Jeanne Sahadi contributed to this report.

@highlight

The controversial individual mandate is deemed constitutional as a tax matter

@highlight

Americans must have health care coverage -- or face fines

@highlight

The ruling will continue to play a role this year's presidential election

@highlight

The law will allow more people access to preventive screening