(CNN) -- Last week Palestinian Authority President Mahmoud Abbas officially submitted the statehood request asking that the United Nations recognize "Palestine" as an independent state.

But while Abbas's raising of the document during his speech drew applause at the General Assembly, the United States has already promised it will veto the Palestinian statehood bid at a Security Council meeting Monday.

Why is this move happening now?

The Palestinian Authority leadership says they are making the request for statehood now for a few reasons. Firstly, they argue that over the course of the past two years the Palestinian Authority has made great progress in building the infrastructure necessary for maintaining a sovereign state. They point to the various improvements in governance, security, and physical infrastructure as indicators of their readiness.

Palestinians also point to the September 2011 date that U.S. President Barack Obama laid out over a year ago as the deadline for the successful negotiation with Israel for a two-state solution. The Quartet of Middle East peace, made up of the U.N., European Union, Russia, and the U.S. also set this month as the target date for a negotiated deal. With that deadline not having been met Palestinian leaders argue that that the best way to enhance the chances for peace moving forward is for international recognition of a Palestinian state.

Who is agreeing with the Palestinians' demand, and who is disagreeing?

In the 15-member Security Council, the one body that can confer full U.N. membership, the Palestinians enjoy the support of a majority of the countries. But the United States, which as one of the five permanent members holds veto power, has pledged it will vote down the statehood bid, ending the Palestinians' chance to win full membership.

In the General Assembly, where a vote would be non-binding, the Palestinians enjoy the support of more than 120 of the 193 members and passage of a statehood resolution would be all but assured.

Why do the U.S. and Israel oppose the call?

Both the U.S. and Israel consider the Palestinian strategy a unilateral move that will only hinder the possibility of reaching a peaceful settlement to the Middle East conflict. U.N. action, both countries argue, does not take the place of direct negotiations. Speaking recently to reporters, U.S. Secretary of State Hillary Clinton said: "We believe strongly that the road to peace and two states living side by side does not go through New York, it goes through Jerusalem and Ramallah."

Israel calls for peace talks amid Palestinian statehood push

Surely, if the U.S and Israel don't agree then it won't mean any difference on the ground?

Without the acknowledgement of Israel and the U.S., United Nations recognition of a Palestinian state based on armistice lines that existed before 1967 is largely a symbolic move. Israeli Prime Minister Benjamin Netanyahu has rejected these lines as the basis for a Palestinian state, calling them "indefensible." Therefore the borders, airspace, and movement of people in a new "Palestine" would continue to be controlled by the Israeli military and it would be unlikely to change the presence of about 300,000 Israeli settlers in the West Bank.

If a Palestinian state is recognized, what could that mean for relations/negotiations with Israel?

Many believe recognition of a Palestinian state would exacerbate already poor relations between the Palestinian Authority government and Israel. Some politicians in Israel have called for unilateral responses to the Palestinian bid including the outright annexation of territory in the West Bank, the withholding of tax revenue collected on behalf of the Palestinians, and the cancellation of various parts of the 1993 Oslo accords that created the Palestinian Authority. Potential moves like this and what some believe could be a rising level of Palestinian frustration at unmet expectations could add a great deal of tension on the ground and contribute to the possibility of an outbreak of violence. Palestinian Authority leadership maintains that recognition would help put pressure on Israel to be more reasonable in future negotiations.

Is there risk in this move for the Palestinian Authority?

Beyond the potential response from Israel, the Palestinian bid at the U.N. is risky. The U.S. is opposed to the move and lawmakers in congress have threatened to pull the plug on hundreds of millions of dollars in annual American aid. Others say the move will unrealistically raise expectations of Palestinians and, if little actually changes on the ground, could contribute to regional tensions. The Palestinian Authority could also risk losing support from its own people. The Hamas political faction, which controls Gaza, does not support the U.N. strategy and there are concerns among the Palestinian refugees in the region that the statehood bid could compromise their "right of return" to their homeland.

Would U.N. recognition give the Palestinians anything substantive?

Recognition by the United Nations could potentially give Palestinians greater access to international bodies like the International Criminal Court and the Human Rights Council. Venues like these could serve as a place for Palestinians to file legal challenges to Israeli practices and exert more international pressure on Israel.

What's the current state of negotiations between Israel and the Palestinians?

Currently there are no talks going on between Israeli and Palestinians. Talks fell apart a year ago over disagreements on the issue of Israeli West Bank settlements. Coming off a self-imposed 10-month halt in settlement construction, Israel said it would not renew the freeze. This led the Palestinians to quit the negotiations. In an effort to head off the Palestinian's statehood request at the U.N. the United States and various European countries have been engaged in 11th hour diplomacy to get the talks restarted but few expect a breakthrough deal.

@highlight

Palestinians request U.N. recognition of "Palestine" as new member state

@highlight

U.S. holds veto power, has pledged to vote down statehood bid

@highlight

Israeli PM has rejected pre-1967 border lines as basis for Palestinian state

@highlight

Many believe move may worsen relations between Palestinian Authority and Israel