Cambridge, Massachusetts (CNN) -- Throughout President Barack Obama's political career, he has been dogged by insinuations or, indeed, accusations that he is not "black enough" to warrant strong support from African-Americans.

Rep. Bobby Rush made that assertion when he successfully fended off Obama's effort to wrest from him his seat in the House of Representatives in the Democratic primary in 2000. Alan Keyes voiced that sentiment in his losing campaign against Obama for the U.S. Senate. When Obama accepted the presidential nomination of the Democratic Party, the celebrity scholar Cornel West groused that the first African-American standard-bearer for a major party had "run from history" by failing to mention explicitly the "black freedom movement."

Skepticism regarding Obama's racial bona fides has continued to surface since he moved into the White House. Rep. Maxine Waters, for instance, has recently chided him for failing to craft policies that would explicitly target black unemployment and for otherwise neglecting, in her view, to evince a proper acknowledgment of the baleful and disproportionate pain being experienced in black communities on account of the economic downturn.

What is one to make of this critique?

First, it should not be at all surprising. Black America is ideologically diverse, just like other communities. Moreover, as I document in "Sellout: The Politics of Racial Betrayal," there exists in black America a special anxiety about the loyalties of high achievers, especially when their success is largely dependent on whites and others who are not black. Every prominent black in a predominantly white setting faces, at one time or another, claims from fellow blacks that he or she is "selling out."

Second, Obama's black detractors receive a degree of attention in the news media that is far greater than their representativeness of black America or their influence within it.

The great bulk of black American voters -- upward of 90% -- supported Obama in 2008 and do so today. They do so because of his party affiliation, his liberal policy preferences, his identification with the African-American community (the offspring of an interracial couple, he calls himself black and married a black woman), his personal attractiveness -- he is uncommonly articulate, handsome, knowledgeable and gracious -- and the fact that with all of the added burdens attendant to his blackness, he was still able to climb the Mount Everest of American politics.

Unlike some of Obama's most vocal detractors, the black rank-and-file have a realistic appreciation of the limits of his authority and the power of the forces arrayed against him, including a large, albeit amorphous, strain of racial resentment. Pained by the economic recession, they refrain from blaming Obama and instead direct their ire at those who not only saddled the first black chief executive with such a harrowing task of cleanup but also obstruct him relentlessly and often with barely disguised contempt.

Third, even though Obama's black detractors constitute currently only a small sliver of African-American public opinion, their critique is nonetheless important in practical, electoral terms.

It is often the case that a vocal, motivated minority can exercise influence that far exceeds their numbers. Enthusiasm matters. A drumbeat of complaint calling into question Obama's attentiveness to blacks might well diminish the fervency of the support he will need for his re-election effort. Furthermore, certain actions he might take to respond to the racial critique might well alienate other, nonblack, potential supporters.

The race line will ensnare Obama no matter how he proceeds. It will not necessarily defeat him. His epochal victory in 2008 showed that, unlike previous eras, our own is one in which a black politician can overcome racial barriers to win the highest office in the land. Still, the sobering reality is that race remains an important, persistent force in American life despite the presence of a black family in the White House.

The opinions expressed in this commentary are solely those of Randall Kennedy.

@highlight

Randall Kennedy: Some black voices have said Obama isn't "black enough"

@highlight

He says many blacks who achieve success face similar charges

@highlight

Kennedy says Obama's rank-and-file support in black community remains strong

@highlight

Most realize that Obama is confronting difficult issues, powerful forces, he says