Starting a company can feel like a lonely business. But for a little more than $100 a month, Hong Kong resident Ken Chan can develop his start-up, network with like-minded people and relax with a game of ping-pong -- all under the same roof.

He is one of a growing number of go-it-alone entrepreneurs and freelancers in Asia leaving their apartments and cafes, and settling into "co-working" spaces.

At these shared offices, they get to work in what is usually a laid-back but professional environment. However, almost just as important for these nomadic workers are the social and emotional benefits of mingling with their own kind.

"Coming here, you can feel supported by other people working on their businesses and feel less alone," said Chan, who goes to the co-working space CoCoon, where he works on his Internet start-up, wholedaybuy.com.

But Chan says not to underestimate the practical advantages of having actual office space in Hong Kong, where high rent makes a permanent office out of reach for many who are just starting out. "If you want to meet a client, you want to have the space. It's a physical location to gather people," he says.

Thought to have first started in San Francisco in 2005 with Citizen Space, co-working spaces are now widespread in the U.S. and Europe and are making headway in Asia, courting mostly people in their 20s and 30s working on projects solo or in small teams.

There are now dozens of such places in Tokyo, and a handful have opened in Shanghai and Hong Kong. The congested cities seem ready-made for co-working, with cramped apartments that could make working from home unpleasant -- and unimpressive for investors or clients.

And going it alone is just starting to catch on in Asia, where people traditionally strive to work for large corporations.

"It's only becoming acceptable to take the risk of starting tech start-ups or being a freelancer," says Constant Tedder, the British founder of The Hive in Hong Kong, a co-working space that opened in May.

The cost of going to The Hive ranges from $40, for a day pass, to over $750 per month for a dedicated desk. Tedder sees the demand throughout Asia and is looking to expand to other cities in the region.

For freelancers, who often work in creative industries like design, stuffy cubicles just do not cut it, Tedder said.

"There's definitely this emerging segment of people who don't want to project a corporate image, but they want a comfortable space to work," he says.

The Hive touches all the hallmarks that make co-working an attractive alternative to sitting in a coffee shop with a laptop: The space is open, desks equipped with power outlets are meant for sharing, members each get their own lockers, and enclosed meeting rooms provide privacy when needed. And, it hosts informative talks and networking events.

Most co-working spaces have a heavy component of building community and encouraging entrepreneurship -- some operators say breaking even is nice but not the primary goal.

At CoCoon, which occupies a sprawling 14,000 square feet and has a ping-pong table and meditation room, members must pass an application process, showing that they have something to offer the co-working community, whether it be a solid start-up idea, programming skills, mentorship or investment potential.

"We think Hong Kong can use another place to foster entrepreneurs, and we hope talent can collaborate amongst themselves," says Erica Ma, one of CoCoon's founders.

CoCoon charges $125 per month, which is unusually low, but the founders see the program as a kind of social enterprise to support start-ups and smaller businesses.

The space organizes regular events, including a recent talk on brand licensing and BarCamp, a technology conference that originated in the U.S.

Entrepreneurs say in the daily grind, which often means hours sitting in front of a laptop, it helps to know that others are doing the same thing. Yet people working on Internet start-ups do not get much support, as the field is still seen as unconventional in Hong Kong.

So for Jah Ying Chung, who is starting launchpilots.org, a site that helps young people get involved in social causes, going to CoCoon provides motivation.

"It's different when you're always seeing people doing stuff that's cool. It's a big impetus," she says.

@highlight

Co-working spaces widespread in U.S., Europe and making headway in Asia

@highlight

These places court mostly people in 20s, 30s working on projects solo or in small teams

@highlight

Freelancing catching on in Asia, where people traditionally work for large corporations

@highlight

Most co-working spaces seek to build community and encouraging entrepreneurship