(CNN) -- "My brothers."

That is how President Obama should begin one of the most significant speeches of his presidency: the commencement address at Morehouse College this Sunday. Addressing the historically black all male institution gives Obama an opportunity to rectify his strategic neglect of African-Americans. In this high-profile talk to his own demographic, the president has some explaining to do.

Obama's identity as a black man is usually communicated subliminally, with the swag in his walk, the basketball court on the East Lawn, the sexy glances at the first lady, his overall cool. Now, however, comes the time to be explicit: to speak out loud his affiliation, his fraternal pride and concern. That's the good work that calling us "brothers" would do.

In appearances before African-American audiences, the president sometimes sounds like he's saying the wrong thing. He told the Congressional Black Caucus to "stop grumbling, stop complaining, stop crying." In a Father's Day talk at a black church in Chicago, he criticized "too many fathers" for "acting like boys not men."

African-American men certainly could use an intervention from the most successful African-American man in history. They are on the bottom of many indicators of achievement. They suffer the highest level of incarceration, and the largest homicide rates, of any Americans. In urban areas, fewer than half graduate from high school. Their unemployment is among the highest in the country.

"I'm sorry I haven't done more."

The president has not spoken out forcefully against racial profiling and mass incarceration. He has not memorialized the mainly African-American victims of gun violence in Chicago the way he has memorialized the mainly white victims of gun violence in Newtown and Columbine. Asked why he hadn't done more to remedy the catastrophic rate of African-American unemployment, Obama said, "I can't pass laws that say I'm just helping black folks. I'm president of the entire United States."

"Thank you for your support."

Nobody understands, like this audience will, the contortions a successful African-American man has to make to fit in but stand out, to be strong but not intimidate or frighten, to be black enough but not too black.

But in some ways the African-American community has been too understanding. Emanuel Cleaver, while chairman of the Congressional Black Caucus, said "the president knows we are going to act in deference to him in a way we wouldn't to someone white." Politically it was not the smartest thing to say (the LGBT community didn't turn Obama into the most gay friendly president in U.S. history by going easy on him) but any black man could understand the sentiment. That's why the African-American turnout for the president's re-election was higher than the white turnout.

Now blacks who supported the president are doing exactly what other groups responsible for his victory are doing: waiting for him to return the favor.

"We've all got to do better."

The president isn't the only black man who needs to step up support of his brothers. My friend runs a mentoring organization for black boys in Prince George's County, Maryland, the nation's most affluent black community. There is a long waiting list of boys, mostly without dads in the home, and only about 10 active African-American male mentors.

President Obama provides, for Morehouse men and everyone else, a 21st century model of African-American masculinity. His oft stated support for women's rights is a crucial component. The casual misogyny of some black popular culture, especially hip-hop music and videos, is a disgrace. It's OK for the president to note that not every aspect of black male culture is praiseworthy.

"That includes me."

The government's primary intervention for black men is to lock them up. President Obama cannot, on his own, reverse this course, but he can do much more than he has to disrupt the flow of the one in three young black men who are headed to prison. One example would be to speak in favor of decriminalizing marijuana, as have other politicians like New York Gov. Andrew Cuomo.

Black men are selectively arrested for marijuana crimes, and these arrests have a stigmatizing effect on future employment and earnings that redounds to the detriment of African-American families. Barack Obama was once a young black man who smoked pot, and it would be surprising if he actually believes that it's fair for other young black men to be selectively prosecuted for that.

"I am the most powerful man in the world, and I've got your back."

Those are words profound enough to make a black man cry. I believe them to be true, but hearing them proclaimed out loud would be incredibly meaningful. African-American men feel a special kinship with this president. How inspiring it would be for the president to acknowledge this connection, in his words and in his actions. What a difference it might make for the millions of black boys who now are headed to destinies very different from graduating from Morehouse College or becoming president of the United States.

The opinions expressed in this commentary are solely those of Paul Butler.

@highlight

Paul Butler: At Morehouse commencement speech, Obama must show grads he's a brother

@highlight

He says blacks have supported him even as they've felt neglect as he's balanced his role

@highlight

He says Obama should thank grads for support, provide role model of 21st century masculinity

@highlight

Butler: Obama must show he's engaged on issue of disproportionate incarceration