A new Pew Research Center study shows that millennial women are entering the workplace at near wage parity, with the narrowest pay gap on record.

Millennial women like me are more likely to have graduated from college than their male counterparts. We have role models like Marissa Mayer and new General Motors CEO Mary Barra. Today, there's a much more open conversation about sexism and how it manifests than there was 10 years ago. And it's no coincidence that a recent poll from Ms. magazine found that 73% of women voters under 30 identify as feminist.

It would seem today's young women are set for the post-feminist professional paradise dreamed up by our foremothers.

But until women are paid the same as men, we will never be truly equal.

In a capitalist society, money is the key indicator of worth. The wage gap has functioned across history to make women dependent on men as providers. We can't save as much for retirement, stash away cash to treat ourselves or even take care of our families in the way we want if we're starting at a deficit.

This is an issue of financial security for a generation already facing much more instability than our parents or grandparents.

READ: Millennial women are closing pay gap, but pessimistic about workplace equality

The Pew study found that an astounding 75% of millennial women believe more changes are needed to combat gender inequality in the workplace. It makes sense, then, that these are the same young activists who have been working valiantly for the passage of the Paycheck Fairness Act and who see working-class heroine Lilly Ledbetter as a more imitable role model than Sheryl Sandberg.

Millennial women can get involved by letting their representatives know they want legislation that addresses wage parity for men and women. Additionally, one of the most powerful things young women can do for their own negotiations is to organize with their peers before and after taking a job, so they can know compare notes and know if they are being underpaid.

Information makes a difference in knowing what to ask for.

The best news to come out of this study is that we strongly and rightly acknowledge that the old boy's club is still in place. Young women are far more likely than men their age to cite the continued existence of the wage gap and the reality -- supported by a glance at a recent study on the stagnant role of women on corporate boards -- that men have it easier when it comes to getting the top job. They are just as likely as older women to say that society is set still set up to serve men.

That's notable and promising, since many women my age have been fed the myth that the feminist movement achieved its goals and sexism no longer exists.

But I worry that we, as young women, while understanding sexism to be a systemic problem, still think of it as something we have to fix individually -- and therefore, we don't want to see ourselves as victims of it.

In the Pew study, I was surprised to see that while women are highly aware of gender discrimination and the different forms it takes, very few reported experiencing it themselves.

READ: The generation we love to dump on

It's much less scary to imagine sexism as something that happens to other women. Once you're forced to admit that you've experienced it, you have to either accept it or do something about it.

Feminism is hearing your pain and your struggle in another woman's voice and suddenly realizing there's nothing wrong with you and nothing wrong with her, but something wrong with the world trying to make you think there is.

It's easy to focus the conversation on specific examples of highly privileged women who've made it to the upper echelons of power. But feminism isn't about making it possible for a few women to get power. Instead, it's about changing the system from the ground up so that all women have that opportunity.

In order to do that, women have to be on an equal playing field in terms of pay from the moment they accept their first job.

Some may take from this new study that millennial women, despite the narrowing wage gap, have a bleak view of their future.

As a member of that group, I'd argue that we have a realistic view.

It's that understanding -- that the fight is not over and there is still much more work to be done -- that might make us the generation that crafts workplaces and a world where sexism is truly a thing of the past.

@highlight

New Pew Research study shows millennial women face narrowest pay gap on record

@highlight

Shelby Knox: Until women are paid the same as men, we will never be truly equal

@highlight

75% of millennial women believe more change is needed to combat workplace inequality

@highlight

Knox: Millennial women might be the generation to make workplaces equal