(CNN) -- Joe McGinniss could not believe his eyes. The man he saw in a North Carolina courtroom last week was stooped and shackled, hardly the same smooth and swaggering Jeffrey MacDonald who had told his story so many years ago.

To say the author and the convicted killer have a history would be an understatement. If anything, their first face-to-face meeting in 35 years was anticlimactic.

"He looked like a shadow," McGinniss said of MacDonald, now 68, who some believe the author betrayed for his 1983 best-selling book "Fatal Vision."

"He has a pallor, there was no substance to him," McGinniss continued. "I guess many years in prison can do that to you."

McGinniss testified earlier this month for the prosecution at a federal hearing in Wilmington, North Carolina, that could determine whether or not MacDonald deserves freedom, or at least a new trial.

MacDonald's lawyers assert that newly-discovered DNA evidence -- three hairs that match neither MacDonald nor any of the victims -- and the secondhand confession of a key witness who claimed to be at the family's home the night of the murders justify reopening the case.

Judge hears new evidence in 'Fatal Vision' case

McGinniss said in court that he considers the latest defense maneuver to be "the Holy Grail," MacDonald's last chance at freedom. He remains convinced of MacDonald's guilt.

The attorneys finished their closing arguments on Monday, and the decision is now in the hands of U.S. District Judge John C. Fox. The judge could let MacDonald's murder convictions stand, toss them out, or order another trial. It is expected to take weeks, perhaps months, before a ruling comes in a criminal saga that has made headlines for four decades.

It began when military police officers were summoned to the MacDonald home at Fort Bragg, North Carolina on February 17, 1970. Inside, they found a horrific crime scene. MacDonald's pregnant wife, Colette, was stabbed 16 times with a knife and 21 times with an ice pick. Daughter Kimberly, 5, was bludgeoned and stabbed in the neck. Kristen, 2, was stabbed 48 times; a finger was nearly severed as she tried to fend off the blows.

"It was overkill," said McGinniss, who wrote that MacDonald killed his family in an amphetamine-fueled rage.

MacDonald, a captain assigned to the Green Berets, also sustained a collapsed lung and two stab wounds in what he said was an attack on his family by a trio of intruders, including a woman in a floppy hat who chanted "Acid is groovy" and "Kill the pigs." The word "pig" was written in blood on a headboard, a detail reminiscent of the infamous 1969 Manson family murders in California.

Prosecutors alleged MacDonald staged the crime scene.

The Army investigated first, and MacDonald was cleared at a closed military hearing. But his father-in-law pushed civilian authorities to pursue the case and a grand jury indicted MacDonald in 1975. He was found guilty of murder four years later and is serving a three life sentences. If his appeal fails, he does not become eligible for parole until 2071.

MacDonald has always insisted he is innocent, so the recent developments in the case come as no surprise to McGinniss.

"He's a psychopath. He doesn't have the kind of emotions that you and I would have," the author said. "He doesn't have the capacity to feel badly about it. These weren't his wife and children. These were people that got in his way."

MacDonald's appeals received renewed attention with the release this month of the book "A Wilderness of Error: The Trials of Jeffrey MacDonald." Written by Academy-Award-winning documentary filmmaker Errol Morris, the book paints MacDonald as a man wrongly convicted on the basis of incomplete and corrupted evidence, as well as prosecutorial misconduct.

"We've been sold a bill of goods about this case," said Morris. "It's as phony as a three-dollar bill."

Writer seeks to clear MacDonald

Asked about the controversy, McGinniss was pragmatic in his response.

"It doesn't matter what I think of what Morris thinks," he said. "MacDonald was convicted by a jury in a court of law. He's not in prison because of me and he's not going to get out of prison because of Errol Morris."

McGinniss also tried to put the rest the notion that he was a passionate believer in MacDonald when he embarked on "Fatal Vision." He says he was embedded with the defense team because he was looking for a different angle.

"I thought it would be fascinating to write about the trial from the point of view of how the defense and defendant were experiencing it. I learned everything from the first time in court. I didn't have my mind made up."

McGinniss said what he heard in court was overwhelmingly convincing.

"There came a point in the trial when much to my dismay I started to feel this evidence is piling up and MacDonald isn't doing anything to dispute it. By the end it was still very confusing. I said to myself, 'I think this guy did it,' but he was so charismatic and likable and had such a strong personality. This was before I learned about the psychopathic personality."

McGinniss also disputed the notion raised by the defense and Morris that the prosecutor at the criminal trial threatened witness Helena Stoeckley to alter her testimony. Stoeckley, who died in 1983, had admitted to others that she was present for the killings but she denied it on the witness stand at MacDonald's trial.

Watching MacDonald in court again reminded McGinniss of how much has changed in the three decades since he last laid eyes on him.

"It was in 1987 during the trial of the civil suit against me," McGinniss said. "He was allowed to wear a new suit of clothes. He looked like the host of a daytime game show."

In the civil case, MacDonald accused the author of breaching an agreement to write a book about his innocence. The jury deadlocked and the case was settled out of court for a reported $325,000. Journalist Janet Malcolm wrote a widely read article about the case and was critical of McGinniss, accusing him of deceiving MacDonald by pretending to believe he was innocent after becoming convinced of his guilt.

McGinniss now has another controversial book out, "The Rogue," a biography of Sarah Palin.

In court, MacDonald literally seemed to McGinniss to be a ghost from the past.

"The years since have not treated him kindly," he said. "He sat there at the end of the table and was whispering. He seemed insubstantial.

"I looked at him but he would never look me in the eyes."

@highlight

Author Joe McGinniss wrote about Jeffrey MacDonald in 'Fatal Vision'

@highlight

Former Green Beret doctor was convicted in 1979 of killing pregnant wife, daughters

@highlight

MacDonald maintains his innocence, accuses author of betraying him

@highlight

McGinniss was a witness against MacDonald at recent court appeal