(CNN) -- The ambulance sped toward Baton Rouge, Louisiana, from the New Orleans airport, overrun with refugees from a drowned city. A mother pregnant with twins screamed from labor pains.

Robbie Prepas, a nurse and midwife who struggles with car sickness, tried to stay focused. The babies weren't going to wait.

Five minutes into the ride, Prepas delivered the first twin with no problem. But then, she saw two feet beginning to emerge -- a breech baby.

Panic set in.

"Don't push! Don't push! Don't push!"

Today, five years after delivering those twins in the midst of the chaos that Katrina wreaked, Prepas dwells -- not on the death and destruction that was so well-documented -- but on the life that emerged.

She and her team delivered 20 healthy babies amid the storm's aftermath in a two-week period that "changed my life."

"It's one of those events in America that we should never forget."

Prepas, now 58, has traveled the world with organizations like Save the Children and UNICEF. She went to Ghana, Namibia and Zimbabwe in the 1990s to teach midwives in those African countries how best to deal with emergencies.

A year before Katrina, she traveled to Afghanistan with the Centers for Disease Control and Prevention to figure out why so many mothers and babies were dying at a hospital in Kabul.

As Hurricane Katrina spun toward the Gulf, the urge to help came natural. Based out of San Diego, Prepas was a member of California's Disaster Medical Assistance Team, a group of about 30 physicians, general practitioners, nurses, nurse practitioners and other specialists.

They were told to head to Louis Armstrong International Airport, along with teams from Oregon and Washington. Katrina had swept ashore, and the levee had been breached.

"I had never in my life seen such a disaster as I had in New Orleans," Prepas says. "And, believe me, I've seen the worst of everything."

At the airport, thousands of people milled about. Elderly patients from nursing homes had been dropped off, without medications or even adult diapers. Electricity was out, and there was no running water.

"There were two policemen and two security guards," Prepas says. "There was no organization. We didn't know who to answer to. ... Nobody was in charge."

Prepas and the other 89 medical professionals swung into action. They set up three tents at the front of the airport -- green, for walking wounded and pregnant women; yellow, for slightly more serious conditions; red, for critical patients.

"By the end of two weeks, we had screened and triaged more than 20,000 people."

Prepas was stationed in the green tent, and, at one point, was caring for 50 prenatal patients.

She was sleeping on a luggage carousel when the first woman in labor arrived.

Prepas set up a privacy sheet in the tent and prepared a cot. The first baby to be born at the airport was healthy.

"His name was David," she says.

On the third day, U.S. military personnel arrived to establish order amid the pandemonium.

On that same day, the woman pregnant with twins was brought to the airport. Prepas still doesn't know how the woman got there. "She was 8 centimeters dilated, and she was ready to deliver."

The woman's husband and two sons were at the convention center with no idea she was in labor, or where she had gone.

All Prepas knew was: "I had to get her out."

Frantically searching for an ambulance, Prepas found a group of paramedics who had driven more than 500 miles from Nashville, Tennessee.

"Guys, you've got to drive me to Baton Rouge," Prepas barked. "Now!"

The paramedics radioed a hospital in Baton Rouge to let them know they were bringing a woman in labor with twins.

The two baby boys had other plans. Both boys were delivered en route. The second child, who came out feet first, was discolored. He received oxygen for the next 30 minutes, until they arrived.

Two more weeks passed before that mother and her babies were reunited with the rest of their family.

Prepas' time in New Orleans affected her profoundly on so many different levels. Prepas has curtailed most of her overseas humanitarian missions; she now flies mostly to places in need within the U.S. -- the quake in Haiti being an exception.

A member of the White Ribbon Alliance for Safe Motherhood, Prepas has used the experience to bring attention to rising maternal mortality rates inside the United States, one of the worst in the industrialized world. In 1982, eight women died per 100,000 live births in the U.S.; now, the figure has jumped to 17 per 100,000, largely due to lack of health care for the nation's poorest women, according to the White Ribbon Alliance.

"Women are going to have babies out of place," especially during disaster, she says. "We have to be prepared for that."

One of the toughest things about her job in New Orleans was delivering the babies -- and then walking away.

"Life goes on after an emergency," she says. "I never stayed in touch with them ... but I think about it all the time. It drives me to keep wanting to do all this stuff. It's given me a mission in life."

@highlight

Robbie Prepas focuses not on the destruction of Katrina, but the life that emerged

@highlight

The nurse/midwife helped deliver 20 babies at the New Orleans airport amid the chaos

@highlight

"I had never in my life seen such a disaster"