Hong Kong (CNN) -- A South African chef who has worked in New Zealand for six years claims his work visa was denied because of his obesity.

But New Zealand immigration authorities say the visa was denied because the man "no longer had an acceptable standard of health," that his ability to work was in question and that there is potential "high cost" of his healthcare.

Albertus Buitenhuis, 50, as described by his wife, has "always been on the larger side." And the 278-pound man (126 kilograms) says he struggles with his weight.

So how did a chef who specializes in South African cuisine get caught in the crosshairs of two major controversies -- immigration and obesity?

"I am a chef, not a politician and I do not want to be the poster child for immigration issues -- but I have become that I feel," he told CNN. "I just want to work and live here."

After Buitenhuis and his wife arrived in New Zealand in 2007, they were granted subsequent visitor and work visas. They settled in the city of Christchurch and Buitenhuis found work at a restaurant, the Cashmere Club, where he became known for his "curry of the day."

Their run-in with immigration began when the couple applied for New Zealand residency in 2011. To qualify for residency, Buitenhuis had to take several medical tests. After the exams, the immigration authorities found that "he did not have an acceptable standard of health."

Although Buitenhuis withdrew his residency application, his health information was now on record. In May, Immigration New Zealand rejected his work visa application for health reasons.

Immigration New Zealand did not cite Buitenhuis' weight for rejecting his work visa. The agency stated in a media release that obesity alone is not enough to fail the country's required health screenings. Instead, it cited a litany of Buitenhuis' obesity-related complications and stated that he had evidence of chronic knee joint condition, impaired glucose tolerance and enlarged fatty liver. The agency noted that a replacement surgery for Buitenhuis' knee joint condition could cost over US$16,000 (NZ$20,000).

"The applicant's ability to work is affected by the chronic knee joint condition that he suffers from," the agency stated.

It also listed his "significant risk of obesity complications" as diabetes, hypertension, heart disease, obstructive sleep apnea, some cancers and premature joint diseases. The agency's medical assessors "have to consider to what extent there might be indications of future high-cost and high-need demand for health services."

New Zealand has a public health system, which is free or low cost to users because of government subsidies. Also the country's immigration policy states that people with a body mass index over 35 are not likely to meet health requirements due to health risks.

Buitenhuis agrees with the notion that countries have to protect their taxpayers from high health expenses.

"I see no problem with potential immigrants being screened for risks to either national health or maybe becoming a financial burden on the taxpayers," he said. "All countries do that."

But he said they would've wanted to know sooner. He said they've already put down their roots in New Zealand.

Buitenhuis was heavier at 353 pounds (160 kilograms) when he first arrived to New Zealand. Now 75 pounds lighter, Buitenhuis said he was never warned about not meeting an "acceptable standard of health" until about a year ago.

The only previous mention of his weight was when he applied for residency and an agent warned them that "INZ is very strict on weight and that it was unbelievable that I was actually given a work visa in the first place."

The couple has filed an appeal to Immigration New Zealand, which they expect to hear back in two weeks. His doctor has written a letter of support, stating that Buitenhuis had brought his cholesterol and blood pressure under control and that his BMI is high because of his build.

Since May, the couple have had to stop working because they are considered illegal aliens -- which has thrown their lives into turmoil.

"We've been kicked out of our home. We're in the process of losing our phones, we're going to be cut off. We're living with my sister," he said. "It hurts your pride, it's humiliating."

The couple hopes to remain in New Zealand as their relatives live there.

"We committed no crime and did nothing wrong other than my husband being a foodie," wrote Marthie Buitenhuis, his wife. "We also feel that this situation is treated very lightly while it should be abundantly clear to the officials involved with our case that the situation is urgent."

Countries are limited in what health screening measures are applied to short-term visitors. But the International Health Regulations, a legally-binding international agreement to prevent the spread of diseases, allows countries to apply additional screenings for people who seek long-term residence because of health expenses picked up by the nation's services.

Boyd Swinburn, professor of Population Nutrition and Global Health at the University of Auckland, said in an era of growing waistlines and soaring health costs, tough policy decisions have to be made.

"I think governments are looking for ways to reduce the health care cost burden on the population on the taxpayer," he told CNN. "So they'll be looking at all sorts of ways to do that. I don't think it's an easy call. There are issues on both sides, there's also population and government decisions. Sometimes, they're a bit tough. There are no winners, I'm afraid."

More than a quarter (28%) of New Zealanders are considered obese, which is considerably lower than the United States (35.7%).

This is not the first time New Zealand has made headlines on this issue. In 2009, a 297-pound American woman was denied residency there because of her obesity-related complications, according to the New Zealand Herald. The medical assessor concluded that the woman, who was morbidly obese and diabetic, would cost the health service more than US$19,985 (NZ$$25,000) over four years.

"There's always been a restriction on immigration based on health issues, so the basic principle has always been, if you've got a major health problem that's a drain on the state, that counts against you in immigration," Jim Mann, professor of medicine and nutrition at University of Otago in New Zealand, told CNN. "I don't think that's unique in many countries."

Countries can test immigrants for infectious diseases like sexually transmitted diseases (STDs) or tuberculosis, but the difference is that countries also want to determine beyond potential infections to the economic cost for the state, he said.

"If someone says to me, 'is your risk greater from a whole range of medical issues because of obesity?' Yes it is. I may not like the prejudicial label attached to it. It's a true fact," Mann added.

Madison Park reported and wrote in Hong Kong. Aliza Kassim reported in Atlanta.

@highlight

South African chef is denied work visa in New Zealand based on health reasons

@highlight

New Zealand immigration: Man did not meet "acceptable standard of healthy"

@highlight

Authorities cite his obesity-related complications for the rejection