(CNN) -- By 2050, minorities will be the majority in America, and the number of residents older than 65 will more than double, according to projections released Thursday by the U.S. Census Bureau.

The Census Bureau looks at 2000 results and assumptions about future childbearing, mortality rates and migration.

Minorities, classified as those of any race other than non-Hispanic, single-race whites, currently constitute about a third of the U.S. population, according to Census figures. But by 2042, they are projected to become the majority, making up more than half the population. By 2050, 54 percent of the population will be minorities.

Minority children are projected to reach that milestone even sooner. By 2023, the bureau said, more than half of all children will be minorities.

"Part of it is a higher fertility rate for some of the minority groups, Hispanics in particular," said Dave Waddington, chief of the Census Bureau's population projection branch, which issued the report. "Those groups also tend to be more of the childbearing age. Non-Hispanic white people tend to be a little bit older."

The projections are based on Census 2000 results and assumptions about future childbearing, mortality rates and net international migration, the bureau said.

The group predicted to post the most dramatic gain is the Hispanic population. It is projected to nearly triple, from 46.7 million to 132.8 million, from 2008 through 2050, the bureau said. Its share of the total U.S. population is expected to double from 15 to 30 percent. "Thus, one in three U.S. residents would be Hispanic," the Census Bureau said in a news release.

The African-American population is projected to increase from 41.1 million to 65.7 million by 2050, going from 14 percent of the U.S. population to 15 percent. The Asian-American population is expected to increase from 15.5 million to 40.6 million, or from 5.1 percent to 9.2 percent of the population.

Among the remaining races, the bureau said, American Indians and Alaska natives are projected to increase from 3.9 million to 8.6 million, going from 1.6 percent to 2 percent of the U.S. population. Native Hawaiian and Pacific Islanders are expected to more than double, increasing from 1.1 to 2.6 million.

In addition, the number of U.S. residents identifying themselves as being of two or more races is projected to more than triple, increasing to 16.2 million from its current 5.2 million, the Census Bureau said.

Meanwhile, the non-Hispanic white population is not expected to post dramatic gains in the same period. By 2050, whites are expected to number 203.3 million, slightly increased from the 2008 number of 199.8 million. Whites will comprise 46 percent of the U.S. population by 2050, down from the current level of 66 percent, the bureau said, as the group is projected to lose population in the 2030s and 2040s.

By 2030, all baby boomers will be age 65 and older -- comprising nearly 20 percent of U.S. residents, or one in five Americans, the bureau said. By 2050, the 65-and-older age group will increase to 88.5 million, more than doubling its current number of 38.7 million. Meanwhile, the number of those age 85 and older is expected to more than triple, from 5.4 million in 2008 to 19 million by 2050.

Non-Hispanic whites make up most of the baby boomers, Waddington said. "They're in a higher mortality rate ... nonminority groups tend to be older and dying off faster" instead of reproducing at the rate projected for minorities.

Obviously, the projections will have "very strong policy implications," he said -- medical care for an increasingly elderly population, for instance, educational needs for increasing numbers of minority children and economic effects for the labor force.

"Who's going to do the jobs that are characteristically held right now by certain types of people?" Waddington said. "All those things are subject to change."

The United States is projected to reach the 400 million population milestone in 2039, according to bureau projections. By 2050, the population is expected to be 439 million. Of those, 235.7 million are expected to be minorities.

As U.S. cities and towns have increasingly become more diverse, Census officials knew the day of a majority minority would come, Waddington said. And "the aging one is sort of simple," he added. "That's demography 101."

Other highlights from the report released Thursday:

• By 2050, 62 percent of the nation's children will be minorities, up from 44 percent today. Of those, 39 percent are projected to be Hispanic, up from 22 percent in 2008, and 38 percent are projected to be white, down from 56 percent in 2008

• The percentage of the U.S. population between the ages of 18 and 64 -- the "working age" population -- is projected to decrease to 57 percent in 2050 from 63 percent in 2008.

• The working-age population will become more than 50 percent minority in 2039, and by 2050 will constitute 55 percent of the population.

• By 2050, the working-age population will be more than 30 percent Hispanic, up from 15 percent in 2008; 15 percent African-American, up from 13 percent in 2008; and 9.6 percent Asian, up from 5.3 percent in 2008.

Waddington said the timelines are not written in stone. "It's a projection. And things like the baby boom generation couldn't be predicted." Major changes in policy affecting families and children, or a major policy affecting immigration, could have an impact on the expectations, he said.

The nation's undocumented workers -- estimated at 12 million or more -- are included in the projections, Waddington said. Census data includes all U.S. residents, regardless of their legal status, he said.

CNN's Ashley Broughton contributed to this report.

@highlight

Census: By 2050, 54 percent will be other than non-Hispanic, single-race whites

@highlight

Number of U.S, residents older than 65 expected to more than double

@highlight

Hispanic population projected to make the largest gains

@highlight

Census official says the timelines are not written in stone