(CNN) -- TV sets, computers and smartphones are hard to find in Sangano, Malawi, but farmers here are using an age-old mass communication tool to learn the tricks of their trade: radio.

In a country where the vast majority of the population lives off the land, scores of smallholders in rural communities tune in to Farm Radio Malawi to get valuable information and share ideas on how to improve their yields -- from fertilizing techniques and cultivation tips to harvesting practices and weather forecasts.

"Most of our farmers ... are illiterate," says Rex Chapota, executive director at Farm Radio Malawi. "They're not able to read newspapers or pamphlets or booklets, and even televisions are not out there in the community. So radio is actually the only source of critical information to our farmers, and statistics are showing right now that over 60% of the rural populace at least own a radio."

Farm Radio Malawi is one of the partner stations of Farm Radio International, a non-profit organization that's been teaming up with African radio broadcasters since the late 1970s.

The Canada-based group offers its hundreds of partners in sub-Saharan Africa a wide array of resources, including a weekly electronic news service and an online community that connects broadcasters across the continent.

It also researches and writes radio scripts covering issues such as crop production, farm management and community health. The scripts, which are offered for free, are translated in local languages and read in 38 countries, according to the group.

In rural parts of Malawi, farmers often gather at radio listening clubs to tune in and discuss what they've heard.

"The issue of radio listeners' clubs is very critical to our model," says Chapota. "We do understand that when farmers come together in a group to listen together to a radio program, thereafter they are able to discuss and dialogue on what they've listened to and then they're able to use that in their various fields," he adds.

Malawi, a landlocked country in southeastern Africa, has one of the largest rural populations in the continent. Agriculture accounts for about 80% of the country's labor force, which is why local farm programming can make a big difference in people's lives.

"Right now we are promoting groundnut growing, not only for food, but for income," says Chapota. "So we say that if our farmers are able to produce good groundnuts, which can fetch good prices at the market, then that is very beneficial to their income security."

One of the groundnut farmers who benefited from receiving the station's audible agriculture advice is Benjamin Masiya, who relies on his agriculture income to pay for his children's school fees and clothing. He says he expects his harvest to increase this year after following the radio station's advice, which enabled him to plant two groundnut rows on a ridge instead of one.

Malawi's head of state: 'Why I'm selling presidential jet'

Patrick Chimuvi, a government agriculture advisor in Malawi, says the radio programs have been very successful in helping farmers improve their skills and harvest their produce at the best time.

"Most often they used to harvest in June, but after listening on the radio they ... harvest their crops in May, which was very important because whenever there's a late time of harvesting, there's a loss of products," says Chimuvi.

From preventing the loss of produce to increasing harvests, the broadcasters believe that the lessons learned over the radio airwaves can help fight food insecurity and improve lives in Malawi's rural communities.

"We know that if they improve their famine situation, then their income improves, but also the nutrition improves, and their whole livelihood changes for the better," says Chapota.

@highlight

Farmers in Malawi are tuning in to radio programs to get vital information

@highlight

Broadcasts from Farm Radio Malawi help them improve their yields, they say

@highlight

Some of the farmers gather together to listen to the programs and discuss what they've heard

@highlight

Malawi's economy is largely based on agriculture