In further proof that seemingly nothing can bring Silvio Berlusconi down -- not even a potential jail sentence -- Italy's most colorful public figure is back in contention to lead his country for a fourth time.

Another spell in Italy's highest office would be just the latest chapter in the life of the charming, billionaire three-time former prime minister.

In October Berlusconi was sentenced to four years in prison for tax evasion, but has since appealed the verdict.

Until recently, Berlusconi appeared to be leading a charmed life. His vast business empire spanned media, construction and football, making him the 118th-richest person in the world, according to Forbes, with a net worth of $6.2 billion, and he was Italy's longest-serving post-war prime minister before quitting in 2011.

But last year he became embroiled in charges that he had paid for sex with a 17-year-old girl; his coalition government became ever more fragile; and Berlusconi resigned his premiership as Europe's financial crisis threatened to embroil Italy.

Despite the many scandals that have dogged Berlusconi since he entered politics nearly two decades ago, the 76-year-old is indisputably one of life's survivors. In Parliament, opponents tabled 51 confidence votes in him in the past three years alone, but Italians have thrice elected him as prime minister.

In this election Berlusconi is appealing to tax-burdened Italians' desire for some relief. He has promised not only to abolish the hugely unpopular property tax on primary residences, known as the IMU, he is also promising to pay back the property taxes people have already paid.

Berlusconi is also vowing to cut corporate taxes and income taxes and spend the economy out of the recession.

However his promises have met with considerable skepticism. Prominent journalist Gad Lerner has long been critical of the former prime minister. "Berlusconi has transformed Italian politics into a big show and he is always looking for a spectacular center for his propaganda."

Businessman Gianvencenzo Coppi traveled to Rome to hear center-left rival, Democratic Party leader Pier Luigi Bersani, talk about his commitment to the private sector, but he told CNN he hadn't made up his mind whom he would vote for, but it was unlikely to be Berlusconi.

"He's making promises in my opinion he cannot maintain," said Coppi. "He's promising to cut taxes, the IMU ... and no one knows in which way he can do it."

Cruise ship crooner

Born in Milan in 1936, Berlusconi gave notice early on of his showman side by working as a lounge room crooner aboard a cruise ship to help fund his university tuition -- he studied law.

Various low-level commercial enterprises followed before the fledgling entrepreneur enjoyed his first real success in property development in the late 1960s when he was involved in a project to build Milano Two -- nearly 4,000 flats -- outside Milan.

After amassing a fortune from his property portfolio in the 1970s, he diversified his interests by setting up a TV cable company, Telemilano, and buying two other cable channels in an effort to break the national TV monopoly in Italy. In 1978, these channels were incorporated into his newly formed Fininvest group, which included department stores, insurance companies and even AC Milan -- one of the world's biggest football clubs.

Berlusconi turned his attention to politics in 1993 when he formed the center-right Forza Italia Party and the following year, in a snap election, he won the post of prime minister. However, a dispute with his right-wing coalition partners from the Northern League Party, as well as an indictment for alleged tax fraud, ended Berlusconi's tenure in the job after barely seven months. He was acquitted on appeal in 2000 after the statute of limitations had expired.

After defeat in the 1996 election to his political nemesis, Romano Prodi, he became embroiled in other financial scandals, including a charge of bribing tax inspectors. He denied any wrongdoing and was cleared again on appeal in 2000.

His fortunes turned again in 2001 when he was sworn in as prime minister for a second time. But Prodi -- a former European Commission president -- ended Berlusconi's more successful reign with his center-left Union coalition victory in 2006. At that time, the tycoon had presided over the longest-serving post-war Italian government.

Return to power

Despite having a pacemaker implanted to regulate his heartbeat after he collapsed during a political rally, he refused to slow down. Sporting a hair transplant, cosmetic surgery and a tan, Berlusconi returned to power for a third time in 2008 under the banner of the newly created People of Freedom party.

The next year proved to be one of extremes for the veteran politician. He was praised for his handling of the devastating earthquake that struck the Italian town of L'Aquila in April 2009, and survived criticism after urging survivors to see their plight like "a weekend of camping."

But the following month, Berlusconi's second wife, Veronica Lario, filed for divorce -- alleging Berlusconi had an inappropriate relationship with an 18-year-old aspiring model whose birthday party he had attended. Berlusconi said she was the daughter of a friend and that he had done nothing wrong.

In December that year, a man with a history of mental illness hit Berlusconi in the face with a replica of Milan's cathedral at a campaign rally, breaking several of his teeth and fracturing his nose. Defense Minister Ignazio La Russa told the Italian newspaper Corriere della Sera that the irrepressible Berlusconi continued to shake hands with supporters for "a couple of minutes" after being hit.

With the country's economy reeling amid the financial crisis, pressure on Berlusconi grew. Gianfranco Fini -- a former party ally -- lashed out, accusing him of a lack of attention to the economy and structural reforms that Italy needs. The prime minister survived three votes of confidence in Parliament during 2010 and 2011, winning one by just three votes, but his authority continued to ebb.

Economists said Berlusconi commanded neither sufficient political authority to push through spending cuts nor the moral high ground to squeeze more taxes out of Italians while he faced trial on various charges. Other European leaders criticized him for failing to implement economic reform with sufficient urgency.

Bunga bunga charges

Meanwhile, Berlusconi faced a serious personal challenge with charges of sex with an underage nightclub dancer and abuse of power.

Q&A: Silvio Berlusconi's legal woes

Berlusconi had sex 13 times with underage dancer Karima el Mahroug, nicknamed "Ruby the heart-stealer," say prosecutors who allege the prime minister abused his position when he intervened in May 2010 to get her released from the jail where she was being held on charges of theft. El Mahroug has said she never had sex with Berlusconi and that she lied to him about her age, telling him she was 24.

In September 2011, prosecutors submitted transcripts of approximately 100,000 pages of wiretaps -- from 2008 and 2009 -- to a court in Bari. The prosecutors have accused eight people of paying young women to attend so-called "bunga bunga" parties at Berlusconi's home.

Berlusconi denied the charges and accused prosecutors of conspiring against him in a left-wing plot. "Communism never changes in Italy. There are still people who use the penal code as a weapon in their ideological battles," he said earlier this year.

But, according to the transcripts of the calls, Berlusconi made several controversial remarks, vowing at one point to leave Italy, which he described as a "s****y country" that "sickened" him. When confronted with these remarks, Berlusconi laughed off this and other gaffes.

@highlight

Three-time former PM Berlusconi standing for fourth term

@highlight

Berlusconi appealing four-year prison sentence for tax evasion

@highlight

He has been dogged by scandal since he entered politics two decades ago