(CNN) -- The 2011 Arab uprisings presented the United States with a historic opportunity to take a clear stand on the side of freedom and democracy and strengthen its own standing in the process. Incredibly, the Obama administration has blundered and stumbled, with a response marked by timidity and caution.

As a result, America appears weaker, less influential and less trusted, while the Arab Middle East continues to seethe with instability and violence.

Today, as the Egyptian state shudders, with millions taking to the streets infuriated with a government that is taking the country down a path they do not trust, and as Syrians continue to slaughter each other, with death toll approaching 100,000, there is no side in the conflicts that feels warmly toward America.

The most astonishing part is that the uprisings across the Middle East and North Africa were launched by young, progressive idealists, whose objective was to reshape their countries by overthrowing entrenched dictators and bringing pluralism and democracy.

The DNA of the revolution made it a natural for American support.

Granted, the uprisings also targeted strong American allies, such as Egypt's now-deposed president, Hosni Mubarak. But once the dictator fell, America should have made a much stronger case for the fundamental principles of liberal democracy.

It is extraordinary this is happening under Obama, the leader who took the dramatic step of traveling to Cairo just months into his first term and delivering a landmark speech that vowed to end the "cycle of suspicion and discord" between Americans and Muslims, and affirmed his belief that all people "yearn for certain things," including freedom, democracy, and genuine justice.

When the people took the reins of history into their own hands, Obama's poetry crashed into geopolitical realities, not to mention domestic political considerations.

The choices, in fairness, were not easy. But Obama could have done much better.

Coup worsens Obama's Egypt policy headache

In Egypt, the Muslim Brotherhood, a group with a deeply anti-Western, anti-American ideology, won the elections. Washington was right in trying to work with a government that had been elected by the Egyptian people. But it went too far, ignoring the fundamental principles of democracy that America should have kept at the forefront of the agenda.

Washington had to work with Cairo -- and hence, with the government of President Mohammed Morsy -- but it didn't have to keep as quiet as it did when Morsy and his supporters started pushing away from democratic principles, undermining freedoms and laying the groundwork for a state that would change the character of the country. The pan-Islamist vision of the Brotherhood is deeply offensive to supporters of equality for women, legal protections for minorities, free media, and respect for the views of the opposition.

Instead, in pursuit of stability, the U.S. held its tongue. Occasionally, American officials spoke out, as when the ambassador to Egypt, Anne Patterson, told a small group in Alexandria that "democracy needs a healthy and active civil society."

But when the government went after that same civil society, arresting and then convicting 43 members of nongovernmental organizations -- including 16 Americans -- and sentencing them to prison terms on sham charges, the U.S. kept its voice low, to the dismay of its friends.

The Obama administration has been so timid, so eager to stay out of the fray, that a few weeks before the verdict against the pro-democracy activists, Secretary of State John Kerry passed up the opportunity to take a stand for the workers, and for democracy, by quietly waiving the human rights preconditions of U.S. aid to Egypt and thus allowing $1.3 billion in aid to go forward.

There were better ways to play that hand. America threw away its aces.

In Syria, the U.S. passed up for too long the opportunity to support the most liberal of rebels fighting against the dictator Bashar al-Assad, allowing extremist radicals to dominate the opposition. Now the choices are far more difficult, and America's standing is in tatters with the people who should have been its natural allies.

The oversimplified equation says the country has to choose between its ideals and its interests. But in the case of the Arab uprisings, America's ideals and interests overlap. If Washington stood more convincingly with those who share its ideals, it would strengthen them within their revolutions. It would help them to victory, and then America would become stronger, having real friends in power in the post-revolutionary Middle East.

It's not too late for a course correction.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: The Arab uprisings gave the U.S. a historic chance to side with freedom

@highlight

Ghitis: Incredibly, the Obama administration's response has been marked by timidity

@highlight

She says in pursuit of stability, the U.S. held its tongue as Egypt's leader broke his words

@highlight

Ghitis: U.S. should side more with those who share its ideals and help them in revolutions