Is it an act of compassion or one of belligerence?

Both judgments were offered Friday on the dozens of Russian trucks that have rolled into eastern Ukraine, a move Russian leaders cast as necessary to address a humanitarian crisis and a Ukrainian official characterized as an "invasion" of his nation by its mighty neighbor to the east.

While getting agreement on the right answer is impossible at this moment, there's little doubt the actions have raised tensions to new levels -- and that's saying something, given the volatility over the past many months.

The latest row revolves around aid going from Russia to Ukraine. Kiev had stalled trucks on the Russian side of the border for days, before acknowledging Sunday that the convoy, in fact, had humanitarian aid.

That admission didn't end the discord and debate. As of 11:30 p.m. (4:30 p.m. ET) Friday, 227 Russian vehicles had crossed into Ukraine, according to the Organization for Security and Co-operation in Europe, which has an observer mission at the checkpoint the convoy went through.

All the vehicles were supposed to be monitored by members of the International Committee of the Red Cross. However, the Red Cross said it wasn't accompanying them due to the "volatile security situation" -- a reference to continued fighting between pro-Russian rebels and Ukrainian forces.

Ukraine has repeatedly accused Russia of directly and indirectly bolstering the rebel movement. The Kiev-based government and its allies -- including the NATO alliance and its core member, the United States -- see this convoy as perhaps Moscow's most glaring, egregious move yet.

"We call this a direct invasion for the first time under cynical cover of the Red Cross," said Valentyn Nalyvaychenko, the head of Ukraine's security service.

Right now, Ukraine isn't planning to go after the convoy. Still, Nalyvaychenko thinks its main purpose is to supply rebels and its drivers are not even civilians.

To Russian President Vladimir Putin, it is Ukraine's government -- not his -- that's being irresponsible and fueling instability in eastern Ukraine.

Putin expressed "serious concern" to German Chancellor Angela Merkel about endangered civilians and other impacts from Ukraine's "continued (military) escalation," according to the Kremlin.

He further criticized what he characterized as "Kiev's blatant attempts to hinder the delivery of Russian humanitarian aid" into southeast Ukraine, implying he had no choice but to act.

"Further delay would have been unacceptable," a Kremlin statement said.

U.S. official warns Russia on convoys

The international community hardly embraced Putin's version of events.

The British ambassador to the United Nations said that Russia had no support at a U.N. Security Council meeting Friday on the topic. The diplomat, Mark Lyall Grant, made no doubt about his own country's views on the convoy's entrance into Ukraine.

"It is an undeniable and blatant violation of Ukrainian sovereignty and clear breach of international law and the U.N. charter," Lyall Grant told reporters. "It has nothing to do with humanitarianism."

NATO Secretary General Anders Fogh Rasmussen warned that the the "so-called humanitarian convoy ... can only deepen the crisis in the region, which Russia itself has created and has continued to fuel."

"The disregard of international humanitarian principles raises further questions about whether the true purpose of the aid convoy is to support civilians or to resupply armed separatists," Rasmussen said in a statement.

Merkel talked not only with Putin -- during which she voiced her "grave concern" -- but also with U.S. President Barack Obama.

The two leaders agreed that Ukraine "has continued to deteriorate since the tragic downing" of Malaysia Airlines Flight 17, purportedly by pro-Russian rebels, the White House said. The pair concurred, too, that the convoy "is a further provocation and a violation of Ukraine's sovereignty" and called for the stop "of Russian personnel, military equipment and armored vehicles into eastern Ukraine."

Other U.S. officials laid into Russia publicly.

Pentagon spokesman Rear Adm. John Kirby said that Moscow has been told in "very, very clear (terms) that they should not be doing this under the guise of a humanitarian convoy, to use that as an excuse to cross the border in a non-authorized way."

"Russia must remove its vehicles and its personnel from the territory of Ukraine immediately," Kirby told reporters. "Failure to do so will result in additional costs and isolation."

This view was seconded by Deputy National Security Adviser Ben Rhodes, who deemed the convoy -- which he said his nation and its allies are tracking closely -- "as part of a pattern of flagrant violation of Ukrainian sovereignty." The more Moscow does such things that stir instability in Ukraine, the more it will pay, according to Rhodes.

"If (Russia does) not remove the convoys, we will be making determinations with our international partners about how to ratchet up the costs and consequences on them," Rhodes said.

U.S. official: Up to 18,000 Russian troops on border

It's not just the Russian vehicles that crossed into Ukraine that are causing consternation. So, too, are the Russian troops massed at the border.

There were up to 18,000 such "combat-ready" troops on Friday, a significant increase from previous public estimates by the Pentagon, according to a U.S. defense official with direct access to the latest information.

The official described the units as being in a "fully combat-capable offensive posture."

A second U.S. official said that many of the units were positioned at "crossroads and towns" two to 10 miles from the border.

"They are definitely more overt, aggressive and out in the open," the official said. "They aren't even hiding it."

The second official said the United States has believed for weeks that some Russian troops have crossed the border as part of the convoys of military gear and weapons moving from Russia into Ukraine.

Of particular concern is the apparent transport of long-range and advanced systems including at least two SA-22 surface-to-air missile system and a number of pieces of longer-range artillery.

The fear is that any advance of any kind could make the ongoing fighting -- sparked last year by a political crisis over whether Ukraine would seek closer ties with Europe or Russia -- even worse. U.N. officials estimate that more than 2,000 people have died and nearly 5,000 have been wounded in eastern Ukraine since mid-April.

The dead include Mykola Zelenec, Lithuania's honor consul in the eastern Ukrainian city of Luhansk, who Lithuanian Foreign Minister Linas Linkevicius said had been "kidnapped and brutally killed by terrorists."

Ukraine has time and again accused Russia of effectively fomenting rebellion by supporting rebels -- including militarily -- in eastern Ukraine, some of whom continue to hold territory there despite a push by Ukraine's military.

Russia has denied any direct support for the rebels while voicing sympathy for their fight for self-determination, saying that Kiev is in the wrong for its actions that endanger civilians -- including many ethnic Russians.

Even if the Russian military doesn't explicitly march into Ukraine, there are concerns that it will find other ways to bolster the rebels.

Russia's ambassador to the United Nations, Vitaly Churkin, insisted Friday that the current humanitarian convoy won't be one of them.

He told reporters that Russia received "official acceptance by Kiev authorities" for the convoy, and that Moscow is staying in touch with Ukrainian officials to make sure there are no problems in the process of distribution of the aid.

Ukraine's secret weapon: Funding from the country's millionaires

Six questions: What's happening in Ukraine?

Which foods are off Russian menus?

@highlight

White House: Obama, Merkel agree Russian convoy is "a provocation"

@highlight

UK ambassador: Convoy "has nothing to do with humanitarianism"

@highlight

Lithuania official: Consul kidnapped, killed by "terrorists"

@highlight

Putin blames Ukraine, says it'd be "unacceptable" to delay sending convoy