(CNN) -- Negotiators for Iran and six world powers completed the first day of discussions on Iran's nuclear program Monday in Moscow.

This third round of talks, called after two previous rounds of discussions yielded little result, was marked by "serious and constructive" discussions, Iran's semi-official FARS News Agency quoted Deputy Chief Negotiator Ali Baqeri as saying.

An EU official described the meeting as an "intense and tough exchange of views."

Western powers fear that Iran may be trying to build nuclear weapons, despite its insistence that its nuclear program is for peaceful purposes. The West has been using sanctions and diplomacy to try to stop Iran from producing nuclear arms.

The EU official, who was not authorized to speak to the media due to the sensitivity of the talks, said Iran responded to proposals brought up at the last round of talks in Baghdad, "but, in doing so, brought up lots of questions and well-known positions, including past grievances."

Iran rejected calls during earlier talks for it not to enrich uranium to the point that it can be used for weapons, while the international powers refused Tehran's demand for an immediate end to sanctions weighing on its economy.

Iran's leaders also continued to take a firm line outside of the negotiations. On Monday, Iranian Supreme Leader Ayatollah Ali Khamenei said the country has been the object of "non-stop conspiracies of all the world powers."

"But the efforts of all the hegemonic powers to push the Iranian nation out of the scene will definitely and surely remain futile again this time," he said.

EXCLUSIVE: Israel's president warns "time is out" for Iran

If the negotiations in Moscow unravel, the potential consequences for the Middle East and the rest of the world could be grave. Israel, which is believed to have its own nuclear arsenal and is alarmed over Tehran's hostility toward the Jewish state, has said it may attack Iran to try to stop Tehran from developing nuclear weapons.

And Iran's strategic position near crucial oil shipping routes means the escalation of tensions could put further pressure on the fragile global economy.

After the previous round of negotiations in Baghdad last month, which ran beyond the original schedule, EU foreign policy chief Catherine Ashton offered a glimmer of hope for the Moscow talks. "It's clear that we both want to make progress," she said at the time.

Iran's top negotiator, Saeed Jalili, struck a nuanced position after the Baghdad talks, asserting Iran's right to pursue peaceful nuclear energy but also saying that progress had been made during the meeting.

Sanctions imposed on Iran by the United Nations, the United States and the European Union were one of the key stumbling blocks.

The sanctions appear to be inflicting considerable damage on the Iranian economy. And because 80% of Iran's foreign revenues are derived from oil exports, an embargo by the EU set to go into effect in July will add further pressure.

Jalili said that the removal of "hostile measures" would increase cooperation.

"The current strategy of pressure could make the talks come to an end," he warned. Iran has previously threatened to close the Strait of Hormuz, a vital oil shipping lane, over the sanctions issue.

But U.S. Secretary of State Hillary Clinton insisted the sanctions will remain in place.

"Iran now has the choice to make," she said. "Will it meet its international obligations and give the world confidence about its intentions, or not."

The six world powers made Iran an offer for stopping its processing of medium-enriched uranium, EU officials said.

The proposal also called for Tehran to prove its nuclear program is being used for peaceful purposes as it claims, and comply with U.N. Security Council resolutions, according to a Western official, who spoke on condition of anonymity because of the sensitivity of the discussions.

Iran's counterproposal included five areas of nuclear and non-nuclear cooperation, according to the state-run Islamic Republic News Agency.

Adding to the complexity of the situation, a U.N. report released just after the Baghdad talks said that inspectors had found a high level of enriched uranium in Iran.

The U.N.'s International Atomic Energy Agency asked Iran to explain the presence of particles of enrichment levels of up to 27%, found in an analysis of environmental samples taken in February at the Fordo fuel enrichment plant near the city of Qom.

The previous highest level had been 20%, typically used for hospital isotopes and research reactors, but is also seen as a shortcut toward the 90% enrichment required to build nuclear weapons.

Iran said in response that the production of such particles "above the target value" may happen for "technical reasons beyond the operator's control."

Iran's Ahmadinejad to leave politics, newspaper reports

CNN's Elise Labott contributed to this report.

@highlight

NEW: EU official describes meeting as "intense and tough exchange of views

@highlight

Differences remain between the sides after talks last month in Baghdad

@highlight

Western nations suspect Iran wants to build nuclear weapons, an assertion Tehran denies

@highlight

Israel has threatened to attack Iran to stop it from developing nuclear weapons