(CNN) -- Meat is murder? Well, perhaps not for much longer.

Artist Banksy has satirized modern farming and meat production; could in-vitro meat be a better option?

A pioneering group of scientists are working to grow real animal protein in the laboratory, which they not only claim is better for animal welfare, but actually healthier, both for people and the planet. It may sound like science fiction, but this technology to create in-vitro meat could be changing global diets within ten years.

"Cultured meat would have a lot of advantages," said Jason Matheny of research group New Harvest. "We could precisely control the amount of fat in meat. We could make ground beef with an ideal fatty acid ratio -- a hamburger that prevents heart attacks instead of causing them."

But it isn't just the possibility of creating designer ground beef with the fat profile of salmon that drives Matheny's work. Meat and livestock farming is also the source of many human diseases, which he claims would be far less common when the product is raised in laboratory conditions.

"We could reduce the risks of diseases like swine flu, avian flu, 'mad cow disease', or contamination from Salmonella," he told CNN. "We could produce meat in sterile conditions that are impossible in conventional animal farms and slaughterhouses. And when we grow only the meat we can eat, it's more efficient. There's no need to grow the whole animal and lose 75 to 95 percent of what we feed it."

Conventional meat production is also hard on the environment. The contribution of livestock to climate change was recently highlighted by the United Nations' report, "Livestock's Long Shadow", while groups such as Greenpeace and Friends of the Earth have demonstrated how soy farming for animal feed contributes to the destruction of the Amazon.

In this context Matheny believes his project could significantly cut the environmental impact of meat production -- using much less water and producing far fewer greenhouse gases.

"We could reduce the environmental footprint of meat, which currently contributes more to global warming than the entire transportation sector," says Matheny.

Preliminary results from a study by Hanna Tuomisto, at the Wildlife Conservation Research Unit, University of Oxford, suggest that cultured meat would reduce the carbon emissions of meat production by more than 80 percent.

Making cultured meat

In-vitro meat is made from samples of animals conventionally slaughtered. For example, "pork" is made from pig ovaries retrieved from slaughterhouses, which are fertilized with pig semen, transforming them into embryos. They are then placed in a nutrient solution, where they grow and develop.

It's a long way from the popular image of animals wandering round the farmyard in the sunshine, but then so is modern intensive farming. The factor that could take the research from the lab to the store and into refrigerators around the world is its remarkable commercial potential.

According to New Harvest, meat is already estimated to be a $1 trillion global market, and demand is expected to double by 2050. With concerns about health, animal welfare and the environment growing the appeal of in vitro meat is obvious.

Matheny told CNN that venture capitalists Kleiner Perkins Caufield & Byers have shown an interest in his technology, while Stegman, a sausage subsidiary of food giant Sara Lee, is a partner. The Netherlands' Government has also invested around $4 million in Dutch research into in-vitro meat production.

But it isn't just the suits who are circling with their checkbooks out -- campaign group People for the Ethical Treatment of Animals (PETA) have announced a $1 million prize for the first commercially viable in vitro chicken product. The Humane Society of the United States has also been supportive.

"We think that a technology to produce cultured ground meats -- burgers, sausages, nuggets, and so forth -- could be commercialized within ten years," said Matheny.

"As with most technologies, successive generations should improve in price, quality, and acceptance. We don't think that matching the taste and texture of ground meats will be very difficult. Both conventional and cultured meat is made of muscle tissue. And conventional ground meat is typically highly processed. Chicken nuggets for instance, are made of something called 'meat slurry' -- it would be hard not to do better!"

Public attitude

But the public doesn't always blindly buy what companies believe they should, and acceptance of what is a very radical proposition certainly isn't a foregone conclusion. There are bound to be claims of "Frankenfoods," and reaction against the work.

"Social acceptance isn't guaranteed, but we all want meat that's safer and healthier," he said. "If cultured meat looks, tastes, and costs the same as regular meat, then I think acceptance will be high. The more we learn about the health and environmental impact of conventional meat, the more cultured meat looks like a good alternative."

One obvious touchstone for how in-vitro-meat will be received by the public is perhaps the way GM crops were -- or were not - accepted around the world, something that Matheny draws encouragement from.

"What's interesting about the GM issue is that it has been controversial in some places, but is a non-issue for most consumers," he said.

"Most Americans are regularly eating GM foods. In any case, it's not necessarily the case that cultured meat would involve GM foods.

"We all want meat that's safer and healthier. If cultured meat looks, tastes, and costs the same as regular meat, then do we care that it's produced in a steel tank, rather than in an animal farm?

"Take hydroponic vegetables. We like the idea that they're produced in sterile water instead of dirt and manure. It's true that in-vitro meat isn't natural. Nor for that matter are hydroponic vegetables, or bread, or cheese, or wine. Raising 10,000 chickens indoors and pumping them full of drugs isn't natural, either, and it isn't healthy or safe. The more we learn about how meat is produced now, the more in-vitro meat looks like a better alternative."

Lab-produced meat also raises some ethical considerations. Kate McMahon, Friends of the Earth Energy and Transport campaigner, believes more attention should be paid to improving livestock conditions rather than developing in-vitro meat.

"At a time when hundreds of small-scale, sustainable farming operations are filing for bankruptcy every day, it is unethical to consider purchasing petri dish meat. Rather, we should be making it easier and more affordable to raise livestock in a safe, humane and ecologically sensitive manner," she told CNN.

Gillian Madill, Genetics Technologies spokesperson for Friends of the Earth, thinks that clear parameters for in-vitro development need to put in place: "If we can successfully develop these products, what is the defining line between lab-grown meat and natural animals?" she told CNN.

"That is an especially important question since a high level of differentiation and tissue complexity is required to replicate muscle tissue that we use as meat. We need to draw clear lines in order to prevent the commodification of all life."

Ultimately the success of in-vitro meat may be less about consumer sensibilities and more about the hard realities of feeding a growing global population in a finite world.

"With India and China doubling their meat consumption every decade, there's no sustainable way to satisfy the growing global appetite for meat without a significant improvement in technology," said Matheny.

"Cultured meat offers one solution. Improved plant-based meat substitutes offer another. I expect both will be needed."

Test tube burgers? It seems you could be eating them sooner than you might expect.

What do you think of in-vitro meat? Do you think it could be a solution to the problems connected to meat production and climate change? Let us know in the Sound Off box below.

@highlight

Ongoing research into in-vitro meat; grown in a lab using animal samples

@highlight

Advocates say in-vitro meat is better for health of humans and environment

@highlight

Lab-made meat could be served in a decade, says research scientist Jason Matheny