(CNN) -- "Sometimes when I go I feel ashamed and go back without defecating. Sometimes I wait until dark to go there so no one can see me. I will be very concerned about Diani, my daughter, going to the bush because it is so far from here. At night it is very dangerous. People get killed. A woman and a boy were killed with knives. One woman I know of has been raped."

These are the words of Sandimhia Renato, a young mother from Mozambique. She has to walk 15 minutes every day to find somewhere to go to the toilet.

Sandimhia and 1.25 billion other women around the world, find themselves in similar situations every day, where they have no choice but to put themselves at risk of disease, harassment or even violence because they lack access to something as simple as a safe and clean toilet.

Today, 19 November, is the first U.N. recognized World Toilet Day. It's easy to dismiss such days, but recognition of the need to address this issue is vital.

Read this: Happy World Toilet Day

Access to a safe toilet is one of the most effective ways of reducing death and disease and improving life for millions.

Every hour 70 women and girls will needlessly die from diseases directly linked to a lack of an adequate toilet and safe drinking water. In total one and a quarter million men, women and children will die this year from preventable diseases brought about by a lack of access to these basic services.

To die for want of a toilet is an outrage that we should not be tolerating.

That is why WaterAid, Unilever and the UN partnership organisation, the Water Supply and Sanitation Collaborative Council have produced a new report, We Can't Wait, demonstrating the scale and consequences of this problem.

Writing in the foreword to the report, UN Deputy Secretary-General, Jan Eliasson, and Unilever chief executive officer, Paul Polman, state:

"One person in three lacks access to adequate sanitation. The result is widespread death and disease -- especially among children -- and social marginalization. Women are particularly vulnerable. Poor sanitation exposes females to the risk of assault, and when schools cannot provide clean, safe toilets girls' attendance drops."

Such words from leaders in diplomacy and in business are hugely welcome. WaterAid has been providing access to sanitation alongside clean drinking water and hygiene promotion since the early 1980s. We have also been banging on the door of governments in both the western and developing world for well over two decades, highlighting the practical steps that could be taken to end this tragedy.

Progress has been made. Almost two billion people have gained access to sanitation since 1990. Many governments have made progress towards meeting the Millennium Development Goals that were set in 2000 and are due to achieve many of them by the end of 2015.

One of those targets is a commitment to halve the proportion of people lacking access to what is called "improved sanitation." At the current rate of progress, this promise is way off track. In fact, if we carry on as we are, it will take another 12 years to get the job done.

Even when this goal is finally reached, one in four people will still not have access to safe sanitation. Universal access is still over 50 years away. Such a delay is not acceptable.

What is needed is political will and financing. The business case for doing so is extremely strong. The World Health Organization estimates that every $1 invested in sanitation services returns $5.50. If we halve the proportion of people without access to sanitation, the economic return would be over $54 billion per year. Getting everyone, everywhere access to a toilet would generate over $220 billion a year.

World Toilet Day is an opportunity to celebrate the progress that has been made and recognizes how much more needs to be done.

The opinions expressed in this article are solely those of Barbara Frost.

@highlight

November 19 is the first U.N. recognized World Toilet Day

@highlight

WaterAid chief says over 1 billion people are at risk because they lack access to clean toilets

@highlight

"To die for want of a toilet is an outrage that we should not be tolerating," says Barbara Frost

@highlight

She says "political will and financing" is needed to address the problem