Washington (CNN) -- The Phoenix VA, where dozens of veterans died waiting for care and were placed on secret wait lists, was in total "chaos" with patients needing urgent care and often unable to get it, officials from the VA's Inspector General's Office testified at a Senate hearing Tuesday.

What's more, these officials said some 3,526 patients at the Phoenix VA still "may be at risk" for receiving poor urologic care, according to an ongoing investigation by the IG's office.

The problems of very long wait lists for veterans and serious scheduling issues go well beyond Phoenix and exist in many VA facilities, Inspector General Richard Griffin and members of his staff told the Senate Veterans Affairs Committee.

Nearly 70 VA hospitals or clinics have "knowingly and willingly" altered or manipulated their wait lists and schedules to obscure problems, testified Dr. John D. Daigh Jr., assistant inspector general for health care inspections.

Tuesday's testimony confirmed investigations, reported throughout the past year by CNN, that focused on delays and deaths across the VA system.

In May, following reports of patients dying while waiting for care at the Phoenix VA, VA Secretary Eric Shinseki was forced to step down. Robert McDonald was appointed this summer to helm the agency.

Despite increased oversight, hundreds of thousands of veterans may still remain on wait lists, according to Tuesday's testimony.

'I am committed to fixing this problem'

The VA system might need as many as 28,000 doctors and other medical staff to help fix the problems and provide proper and timely care to veterans, said McDonald, who also testified.

"I am committed to fixing this problem and providing timely, high-quality care that veterans have earned and that they desire," McDonald said. "That's how we regain veterans trust, and that's how we regain your trust and the trust of the American people."

Tuesday's hearing was prompted by an IG report released late last month, examining the situation in Phoenix and also across the VA system.

That report found 28 veterans who suffered "clinically significant delays in care associated with access to care or patient scheduling." And of those 28 patients, six died. In addition the report found 17 other "care deficiencies that were unrelated to access or scheduling," and of those 17 patients, 14 died.

The IG report at the heart of the hearing described what Sen. Bernie Sanders, the Vermont independent who is chairman of the Committee on Veterans Affairs, called "inexcusable" practices in Phoenix.

The report reviewed the cases of more than 3,400 patients and found 28 instances of clinically significant delays in care associated with access or scheduling. Of the 28, six were deceased. An additional 17 cases identified in the report were not related to access issues. A follow-up report specifically focusing on the hospital system's urology department is underway.

'Disappointment, frustration and loss of faith'

"This report cannot capture the personal disappointment, frustration and loss of faith individual veterans and their family members had in the health care system that often could not respond to their mental and physical health needs in a timely manner," said Griffin. "Immediate and substantive changes are needed."

"I said at the time of my confirmation hearing that I will put veterans at the center of everything we do at VA," said McDonald. "So let me begin by offering my personal apologies to all veterans who experienced unacceptable delays in receiving care. It's clear that we failed in that respect."

Griffin estimated that only one-fourth of 93 facilities were not engaging in scheduling manipulation.

"The bad news is that on the other three-fourths, we're pretty confident that it was knowingly and willingly happening," Griffin said. "And we're pursuing those."

The effects of the widespread wait list manipulation is still being felt.

Navy veteran loses his nose waiting for treatment

McDonald said that as of August 15, the Veterans Health Administration had contacted more than 294,000 veterans and had decreased the electronic wait list nationwide by 57%.

McDonald also noted in his testimony that lack of staff was a crucial problem. Internal data indicated a need for 28,000 new staff members, including doctors and other clinicians. A new recruiting push by the VA was underway, McDonald said.

"We are trying to demonstrate to young people studying in the medical profession that VA's where they want to work," McDonald said.

Question: Is the report independent?

Griffin faced questions about the independence of the report.

Sen. Dean Heller, R-New Hampshire, implored Griffin about the report's findings and whether the VA had edited it.

His questioning hinged on a line in the report that indicated that the delays in care could not be conclusively linked to the deaths. Heller asked whether that line was included in the draft of the report submitted for review to the VA.

"It was reported that a line was inserted," Heller said. "And if you're the VA, this is the line you want inserted in that report."

"There are many versions of a draft report," Griffin replied. "The majority of the changes in our draft report came about as result of further deliberations by the senior staff of the Inspector General's Office. No one in VA dictated that sentence go in that report."

Scathing report slams veterans' care but says no definite link to deaths

Griffin explained that he hoped to have the results of the 93 additional site reviews completed by the end of the year.

McDonald testified to numerous efforts underway across the VA system to decrease wait times and provide veterans faster, needed medical care.

He told the senators there is a new push to have many changes made before Veterans Day in November.

@highlight

Officials from the Inspector General's Office testify at a Senate hearing

@highlight

Thousands of patients "may be at risk" for receiving poor urologic care, they testify

@highlight

Inspector general: "Immediate and substantive changes are needed"

@highlight

He estimates only one-fourth of 93 facilities were not manipulating schedules