WASHINGTON (CNN) -- A federal prosecutor formally declared Army biological researcher Bruce Ivins the sole person responsible for creating and mailing the bacterial spores that killed five people in the 2001 anthrax attacks.

Officials said biodefense researcher Bruce E. Ivins, seen here in 2003, committed suicide.

"We believe, based on the evidence we collected, that we could prove his guilt to a jury beyond a reasonable doubt," Jeffrey Taylor, the U.S. attorney for the District of Columbia, told reporters at a news conference Wednesday afternoon.

Taylor presented an overview of the case against Ivins, 62, after the Justice Department released documents detailing the scientist's role in what Taylor called "the worst act of bioterrorism in U.S. history."

The anthrax-laced letters sickened 15 and killed two Washington postal workers, a New York hospital worker, a National Enquirer photo editor in Florida and a 94-year-old woman in Connecticut.

In a statement issued after the news conference, Ivins' lawyers continued to proclaim their client's innocence and said the government's documents and statements fell short of "concrete evidence."

"The government's press conference was an orchestrated dance of carefully worded statements, heaps of innuendo and a staggering lack of real evidence -- all contorted to create the illusion of guilt by Dr. Ivins," attorneys Paul Kemp and Thomas M. DeGonia said.

Authorities took the unusual step of laying out the case to the public after FBI Director Robert Mueller earlier Wednesday briefed survivors and relatives of victims of the attacks on the investigation.

Taylor said Ivins committed suicide last week as federal prosecutors prepared for a meeting with his lawyers to lay out the findings.  Watch Taylor outline the case against Ivins »

"We were able to identify in early 2005 the genetically unique parent material of the anthrax spores used in the mailings," Taylor said. "The parent material of the anthrax spores used in the attacks was a single flask of spores, known as RMR-1029, that was created and solely maintained by Dr. Ivins."

Ivins spent 28 years as a civilian microbiologist at the U.S. Army Medical Research Institute for Infectious Diseases at Fort Detrick, Maryland, where he was trying to develop a vaccine against anthrax.

But Taylor said Ivins' deteriorating mental state was compounded by fears that his vaccine program was in jeopardy, leading him to create a "murder weapon" in the form of a flask of purified anthrax spores in his lab.

"Dr. Ivins was a troubled individual," Taylor said, referring to his documented history of mental illness.

Ivins had been under "significant stress in both his home and work life" around the time of the attacks, an affidavit filed in support of a search warrant states.

About two weeks after the attacks, one co-worker told a former colleague that "Bruce has been an absolute manic basket case the last few days," the affidavit said.

"One theory is that, by launching these attacks, he creates a situation, a scenario, where people all of a sudden realize the need to have this vaccine," Taylor said.

Investigators also traced the envelopes that contained the spore-laced letters to the Frederick, Maryland, area where Ivins lived, Taylor said.

The handwritten letters bore a Trenton, New Jersey, postmark and the date "9-11-01." They ended with "Death to America. Death to Israel. Allah is Great."

Ivins sent an e-mail to a colleague a few days before the attacks that contained similar language, writing that "bin Laden terrorists for sure have anthrax and sarin gas" and have "just decreed death to all Jews and all Americans," according to the affidavit.

Authorities began focusing on Ivins in 2007, but he was unable to give investigators an "adequate explanation" when questioned by authorities about the long hours he had spent at the lab around the time of the attacks, according to the affidavit, which also said Ivins tried to mislead FBI agents by giving them false samples of the bacteria from his lab for analysis.

But Ivins' attorney said the search warrants and the affidavits used to support them could not be considered "smoking guns."

"The government would have the American people believe that after seven years and more than $15 million of taxpayer money, they have found the individual responsible for the heinous attacks of the fall of 2001," Kemp said. "Nothing could be farther from the truth."

At the time of his death, Ivins was under a temporary restraining order sought by a social worker who had counseled him in private and group sessions.

Just a few weeks before his death, Ivins had been hospitalized for psychiatric examination after threatening to kill co-workers, investigators "and other individuals who had wronged him," and agents found body armor, three pistols and several boxes of ammunition in his home when they searched it, the affidavit states.

Wednesday's announcement comes six years to the day after then-Attorney General John Ashcroft publicly declared another Fort Detrick scientist, Steven Hatfill, a "person of interest" in the attacks. Hatfill was not charged and sued over the matter, a case the government settled in June.

His case has fueled skepticism about the allegations against Ivins, and experts in the field have disputed some details that have emerged from the investigation.

Taylor said Ivins was one of few people at Fort Detrick who knew how to operate a lyophilizer, which converts wet anthrax into the kind of dry powder that was used in the attacks.

But Richard Spertzel, a former colleague of Ivins at Fort Detrick, said no one working at a U.S. government lab could have produced such high-quality anthrax in secret.

CNN Producer Kevin Bohn, Bill Mears and Eric Fiegel contributed to this report.

@highlight

NEW: Bruce Ivins' lawyers say documents, statements aren't "concrete evidence"

@highlight

Federal prosecutor says Ivins acted alone in attacks that killed five

@highlight

Records say Ivins tried to mislead feds with false samples of bacteria

@highlight

Justice Department releases hundreds of pages to public