London (CNN) -- Depicting, among other things, Christ's procession to the cross, Spanish soldiers presiding over an execution in sixteenth-century Flanders and a mysterious mill perched atop a hollow cliff, Pieter Bruegel the Elder's 1564 painting "The Way to Calvary" is a complex, multi-layered work laden with symbolism and drama.

Looking at it, according to Polish director Lech Majewski, is rather like watching a movie unfold -- which is why he has brought the painting to life in his new feature film "The Mill and the Cross."

"I started as a painter and as a poet and I went to make movies strictly because I believed that the painters I was fascinated would be making movies if they were still alive," he told CNN.

Based on a book about the painting called "The Mill and the Cross," Majewski's film shows Bruegel (played by Rutger Hauer) discussing the development of his work with patron Nicolaes Jonghelinck (played by Michael York).

Faithfully recreated vignettes play out alongside scenes portraying the artist's creative process, while others depict a mysterious miller figure, representing God, presiding over a mill improbably located on top of a sheer, hollow cliff.

"The Mill and the Cross" premiered in London in March, and has received favorable reviews, notably from "The New York Times," whose critic Daniel M. Gold called the film an "inspiring, alluring meditation about imagery and storytelling."

Majewksi is drawn to bringing art to life: he wrote the screenplay for 1996 film "Basquiat," about the life of New York artist Jean-Michel Basquiat, and directed 2004 film "The Garden of Earthly Delights," which follows an art historian entering into Hieronymus Bosch's famous triptych.

"For me, Bruegel is time," said the director. "You cannot just come and look once at one of his paintings, you always have to enter the work.

"He has this magnetic pull and once you're in, you become entangled in what the figures are doing and you make up your own stories. You can spend your whole life with it, easily outside of the length of a movie," he said.

Transporting the painting into such a different medium, however, took patience: The result is a mix of old-fashioned craftsmanship and the latest in digital film-making technology.

Costumes were hand-sewn by Polish seamstresses and dyed with tints made from boiled onions, beetroots and apples, as they would have been in Bruegel's day; the "right" color black was achieved by burning a candle against a pane of glass, rather than relying on computers to recreate the exact hue; and Majewski himself had to take up Bruegel's brush and complete a partially-visible tree in the top-left corner of the painting to extend the field of vision for the camera to pan across.

But some of the more complex scenes, such as the motions of the mill on the rock, required the use of 3D and CGI.

"Many times I felt that we were doing a digital tapestry, thread by thread," said Majewski.

"We were extremely lucky in that we were riding the crest of wave in technological advancements because literally every week the guys in the computer department were discovering new plug-ins and new developments in the field and employing it for what I wanted to achieve," he said.

The film, he explained, was composed of layers, because the Flanders of the painting is a surreal figment of the artist's imagination, comprising seven different perspectives.

Obtaining the "key" to this aesthetic was hard work, said Majewski, because "Bruegel is a magician in creating these illusory kinds of funnels in the painting."

He added: "His landscapes are like funnels that your eye is dipped into and goes to naturally; he knows how to keep your eye employed and moving."

An exhibition of Lech Majewski's work, including his film installation "Bruegel Suite," based on "The Mill and the Cross" is currently on view at The Wapping Project in London. "The Mill and the Cross" opens in cinemas in Italy on March 30, in Argentina in April, and in Spain in June. The painting which inspired the film, Bruegel's "Procession to Calvary" is in the collection of the Kunsthistorisches Museum, Vienna.

@highlight

Painting by Pieter Bruegel the Elder is brought to life in new movie "The Mill and the Cross"

@highlight

Film by Polish director Lech Majewski, who wrote 1996 film "Basquiat"

@highlight

Image brought to life through painstaking craftsmanship and latest technology

@highlight

Director describes the resulting film as a "digital tapestry"