Jackson Hole, China (CNN) -- Looking for a weekend escape from the city, Annie Liu and her husband fell in love at first sight with a log home in Jackson Hole and bought it for less than $300,000.

Five years on, a weekly 90-minute drive from their downtown apartment to the house has long been the norm. They enjoy gardening, barbecuing or simply relaxing in their getaway surrounded by mountains -- but often shrouded in Beijing's infamous smog.

Yes, the couple's three-bedroom weekend home lies on the outskirts of the Chinese capital -- thousands of miles away from the original Jackson Hole valley in the U.S. state of Wyoming, which is known for its breathtaking natural beauty.

The Chinese Jackson Hole is more crowded, containing some 1,000 single-family houses inspired by rustic lodges in the American frontier. Still, wealthy locals are lured to this sprawling development by the promise of living in the "Wild West."

After driving past security guards in cowboy outfits patrolling "Route 66" on golf carts, Liu's husband Lu Jun pulled over their SUV at the end of a cul-de-sac one recent Sunday.

Opening the door to a world of Americana, Liu and Lu -- both lawyers in Beijing -- proudly displayed their fondness for the United States by adding personal touches to the built-in furniture and decoration that evoke the Old West. She studied and worked in Indianapolis for two years from 2003 to 2005, during which time he visited.

Adorning the earthy-toned walls are colorful license plates from the U.S. states -- including Wyoming -- they have traveled to and a large framed copy of the American Declaration of Independence.

"We want more freedom," said Liu, 40, pointing to the framed copy she bought in Florida. "This is a milestone -- (we hang it here) partially for the history, partially for our profession."

"Many people have been to the United States and enjoy the environment there," Lu, 55, added. "Those who haven't think this place is authentic America and they like it."

That's proven to be a great selling point for developer Liu Xiangyang since he -- with the help of an American designer -- launched the Jackson Hole project a decade ago. He has sold almost all the houses, and seen the property value double over the years with the bigger homes now fetching $1 million each. Official data shows that a typical urban resident in China earned less than $4,000 in 2012.

Annie Liu -- who is not related to the developer -- and her husband feel pleased about their purchase as early believers, and bought a second, bigger house here last year. They say other homeowners share their appreciation for the American culture and values that are reflected in the architecture and setting, despite frequent news reports on rising tensions between the two nations.

"We like the States and we like the lifestyle," Liu said. "Let the governments worry about the things that should be worried about by them."

Her sentiment echoes the most recent results of an annual survey on Chinese people's attitude towards the United States by the Pew Research Center, a Washington-based think tank.

Although the Pew study finds Chinese public perceptions of the United States becoming less favorable in 2012, it notes: "There is one constant: richer, younger, more educated, and urban Chinese all express a more positive view of (the soft power) aspects of America's image. And this also holds true for overall ratings of the U.S."

Developer Liu is a fan of the United States as well, overseeing construction for the next phase on his 70-square-kilometer lot -- the size of 13,000 American football fields. His plans include 2,000 townhouses mimicking the feel of Mendocino, a scenic coastal town in northern California, and a winery that he says will rival Napa Valley in ten years.

In between sipping wine and chatting with residents at a lunch gathering on site, the 51-year-old businessman from the central Henan province reflects on his corporate mission.

"For those who can afford to buy houses here, they have enough money," he explained. "They want spiritual fulfillment."

For that, the developer has built a brand new church in the center of his town -- next to a row of small shops, bars and cafes -- serving residents like Annie Liu, who embraced Christianity as a graduate student in the United States.

"This is an 'American' community so it's a necessary element here," said Liu as she walked out of the soon-to-open Jackson Hole church.

Although she misses the natural beauty and cultural diversity of the United States, Liu says she never hesitated about returning to the motherland because of her and her husband's career aspirations and their roots.

Now comfortably settled at work and home back in China, where the Communist leadership is proclaiming national revival as the ultimate Chinese Dream, Liu feels she hasn't completely abandoned the American Dream -- as she and her fellow residents in this fictional U.S. town pursue their freedom and happiness every weekend.

@highlight

A Chinese developer has built an American-themed town 90 minutes from Beijing

@highlight

The settlement is named after Jackson Hole, a scenic valley in Wyoming

@highlight

He has sold almost all the houses, with the bigger homes now fetching $1M each

@highlight

Richer, educated, urban Chinese express more positive view of aspects of America's image