(CNN)Nearly five months ago, President Obama spoke to the nation from the White House and declared: "Our objective is clear. We will degrade, and ultimately destroy, ISIL (also known as ISIS) through a comprehensive and sustained counterterrorism strategy."

Since then, the United States has provided advisers to the Iraqi military in its fight with ISIS and has bombed ISIS positions. But in an interview with CNN last week, outgoing Defense Secretary Chuck Hagel raised the prospect that the United States might need to expand its involvement.

This week, ISIS has again dominated headlines and TV news coverage around the world with the release of a video allegedly showing Jordanian pilot Muath al-Kaseasbeh being burned alive after being captured by the group. This followed shortly after the apparent killing of two Japanese hostages.

All of which raises the question: How is ISIS doing as it confronts the U.S.-led military campaign against it in both Iraq and Syria? And should the United States get more actively involved on the front lines of the fight, at least in Iraq, where the government is pushing for greater American involvement in its fight against ISIS?

U.S. officials assert the coalition has killed more than 6,000 ISIS fighters since the start of the campaign.

That's a significant loss when you consider that ISIS currently has a core force of 9,000 to 18,000 fighters, according to U.S. intelligence estimates. U.S. officials also estimate that ISIS can also draw on manpower from other militant groups to bulk up to a force of around 30,000.

Gen, Lloyd Austin, the commander of U.S. Central Command who oversees the campaign against ISIS, said last week that as a result of the campaign of airstrikes the group is developing a "manpower issue."

Balanced against this, however, is the fact ISIS continues to recruit at a fast clip. In October, U.S. officials estimated that there were around 1,000 recruits joining ISIS per month from overseas.

Underlining the importance of that steady flow of ISIS recruits, the head of U.S. Special Operations Command, Gen. Joseph L. Votel, said last week that since the Syrian war began over three years ago, "more than 19,000 foreign fighters from 90 different countries have traveled to Syria and Iraq."

So if the CENTCOM campaign is killing around 1,200 ISIS fighters a month and yet ISIS continues -- at least for the moment -- to recruit an estimated 1,000 fighters from overseas a month, the campaign against them has succeeded only to a modest degree.

Hagel told CNN's Barbara Starr last week it might be necessary to send noncombat American troops to help Iraqi troops on the front lines to fight ISIS.

"We have to look at all the options, and I think it may require a forward deployment of some of our troops -- not doing the fighting, not doing the combat work that we did at one time for six years in Iraq and we did for many, many years in Afghanistan, but to help airstrike precision (locate targets)," he told Starr.

Indeed, the introduction of American forward air controllers to call in precise U.S. airstrikes and of U.S. Special Forces embedded with Iraqi units on the front lines will ultimately be necessary if the goal of American policy is to defeat ISIS, rather than simply playing for a draw with the group, which is, de facto, the current Obama administration policy.

On Friday, ISIS launched a surprise attack on Kirkuk in northern Iraq, the largely Kurdish city that is a key to Iraq's oil production. The attack appears to be a strategic decision meant to draw Kurdish fighters away from Mosul, ISIS's overall base in Iraq. ISIS has controlled Mosul, Iraq's second largest city, since June, but in the past month, Kurdish forces have closed in around it.

Kurdish authorities said last week that they've cut a key supply line to ISIS in Mosul and have taken back some 300 square miles of land around the city from the group.

Beyond the Mosul area, ISIS has lost ground in Iraq elsewhere. The  Iraqi army pushed the group out of Diyala province, an important region close to Baghdad as well as more than 1,000 square miles in the Sinjar region in eastern Iraq.

Further, a number of ISIS's leaders have been killed in U.S. airstrikes.

And in Syria last week, ISIS lost control of Kobani, a small town on the Syrian-Turkish border where many of the US-led airstrikes have been concentrated.

But overall, ISIS is maintaining its ground in Syria in spite of those airstrikes. At least one-third of Syria is under ISIS's control.

A number of estimates suggest that ISIS controls a population of around 8 million people in Iraq and Syria. ISIS calls itself the Islamic State and while this may seem a tad pretentious it makes more sense when you realize the group presently lords over a population around the size of the population of Switzerland.

Militants gain new allies despite setbacks

At the same time, ISIS's influence keeps growing around the Muslim world. In the past six months, ISIS has drawn into its fold some dozen militant groups from Algeria to Pakistan.

These affiliates aren't wasting any time in carrying out attacks in the name of ISIS. On January 27, gunmen claiming to be affiliated with ISIS attacked the Corinthia Hotel in Tripoli, Libya, which is favored by government officials and foreigners. They killed 10 people after storming into the lobby and firing guns at hotel guests. Five of the victims were foreigners, one an American.

Two days later, at least 32 people were killed in a series of attacks on soldiers and police in Sinai in eastern Egypt. The terrorist group known as the Province of Sinai has claimed responsibility for the attacks and had pledged allegiance to ISIS in November.

ISIS has recently claimed even more recruits, as it moved into new territory in Yemen, competing there with al Qaeda in the Arabian Peninsula (AQAP).

A Yemeni official who spoke to CNN in January said that the AQAP cadre still significantly outnumbers those in ISIS, but the move into Yemen is significant for the group as it a country where al Qaeda has maintained a presence for more than a decade.

Similarly, in Afghanistan in the southern province of Helmand, a cell of more than 300 fighters loyal to ISIS is led by a former Taliban commander, Mullah Abdul Rauf Khadim.

Militant groups across the Muslim world see the success ISIS has had so far in Syria and Iraq and opt to join it -- often leaving behind organizations plagued by infighting.

The perks they get in return for waving the black flag of ISIS include affiliation with the fastest-growing terrorist group on the planet and a bustling propaganda machine with a strong social media network.

From Afghanistan to Libya, militant groups who once would have looked to al Qaeda for guidance now look to ISIS.

The best way to begin to reverse this is to cripple ISIS in Iraq, where the group has shown itself to be the most adept terrorist group of the modern era, taking control of cities like Mosul, whose population numbers 1.5 million people.

Urban warfare is the hardest kind of warfare and it's hard to imagine that the Iraqi army and Kurdish forces will successfully pull off retaking Mosul on their own.

Winning Mosul back from ISIS will be much more likely if the there are American air controllers calling in close air support strikes against ISIS positions and U.S. Special Forces working side by side with Iraqi units.

Of course, there are risks associated with this. U.S. troops may be killed or injured, but there are also risks associated with the fact that the longer ISIS controls vast swaths of the Middle East, more and more foreign fighters will pour in from Western countries for training with the group and some will seek to bring their skills home to attack the West.

@highlight

Bergen: Five months after Obama pledged to destroy ISIS, it still controls large territory and attracts support.

@highlight

He says Chuck Hagel may be right, that U.S. military may need to be near front lines