New Delhi (CNN) -- In a ruling that human rights groups are calling historic, India's Supreme Court on Tuesday granted the country's transsexual and transgender individuals the right to self-identify their gender.

The ruling means transsexual and transgender people and those who identify as belonging to the "third gender" will not be required to submit medical evidence of their sexuality to be recognized by the government as a member of that gender, said Tripti Tandon, a lawyer for one of the plaintiffs.

A plea was filed before the Supreme Court by India's National Legal Services Authority in 2012 on behalf of the transsexual and "hijra," or third-gender, communities.

"The Supreme Court ruled that everyone has the fundamental right to have their gender identified and recognized in the law without any discrimination," Tandon said. "And it's self-identification of the gender as opposed to medically or surgically assigned one."

The high court also issued a series of guidelines to India's federal government and state administrations for enforcement of its orders, she added.

The ruling states that "gender identity is integral to the dignity of an individual and is at the core of 'personal autonomy' and 'self-determination.'"

Hijras, the ruling said, must be considered a third gender "over and above binary genders under our Constitution and the laws."

The ruling allows females to identify as males and males to identify as females, and no sex reassignment surgery is required for recognition of one's self-defined gender.

Human rights groups praised the ruling, but used the opportunity to push for changes in another law that criminalizes consensual homosexual relationships.

Tuesday's ruling has the potential to alter the lives of people who have suffered oppression, Amnesty International's program director in India, Shashikumar Velath, said in a statement.

But, he noted, the same Supreme Court has overturned a lower court's decision to decriminalize homosexual relationships. The law bans people from engaging in "carnal acts against the order of nature" and dates back to British colonial times.

The court's ruling on transgender, transsexual and third-gender people recognizes that their plight cannot be ignored, said Graeme Reid, director of the Lesbian, Gay, Bisexual and Transgender Rights Program at Human Rights Watch.

"It begins the process of re-establishing the important social role that third-gender people played in traditional Indian society," he said.

CNN's Tara Kangarlou contributed to this report.

@highlight

India's Supreme Court says people have the right to self-identify their gender

@highlight

Human rights groups say it is a victory for transgender and transsexual community

@highlight

But homosexual relationships are still criminalized