Istanbul, Turkey (CNN) -- About 200 Kurdish demonstrators marched up a narrow Istanbul street behind a large banner that said "political prisoners are our pride, we will not stay silent over the deaths in prison."

The group's organizers were expecting trouble. They were marching on Tuesday without a government permit.

Barely 200 yards up the road, the crowd encountered a squad of armored Turkish riot police and a big police vehicle blocking the road.

Without any verbal warning, the vehicle lurched forward and unleashed its water cannon on the crowd. The demonstrators huddled behind their banner for a moment, until riot police unleashed a volley of tear gas canisters into the crowd.

As stinging, acrid smoke engulfed the neighborhood, the middle-aged Kurdish demonstrators quickly gave way to masked youths hurling stones and fireworks at the police.

Tuesday marked the second time in two days Turkish riot police used force against unsanctioned gatherings of political groups challenging the government.

On Monday, security forces in Ankara used pepper spray and water cannons to disperse secularist groups trying to hold a rally celebrating the anniversary of the foundation of the Turkish republic. Participants gathered in defiance of a government ban.

The next day, Turkey's chief prosecutor announced he was launching an investigation into the secularist gathering.

The crackdown during Republic Day in Ankara highlighted how powerless Turkey's once dominant secular establishment has become. It has also led to accusations by long-time supporters in Turkish newspapers that Turkey's Islamist-rooted prime minister is adopting the same authoritarian tactics of the secularist ancient regime.

Tuesday's Kurdish clashes reflect a different power struggle. The riots in Istanbul and other Turkish cities mark yet another day in a bloody 30-year cycle of violence between the Turkish state and the Kurds. It is Turkey's oldest and deadliest ethnic conflict, one that has claimed more than 30,000 lives.

The conflict developed a disturbing new dynamic in recent weeks as a mass hunger strike has spread through the Turkish penal system. According to the Turkish government statistics, at least 680 Kurdish prisoners are now starving themselves, some for nearly 50 days.

"They want two things," said Gulcin Isbert, a member of the Peace and Democracy Party (BDP), which is Turkey's largest and best-organized Kurdish nationalist party. "The right to education and defense in court in their native language, and for the leader of the Kurds, Abdullah Ocalan, to have health, security and freedom."

For decades, the Kurdish language was banned in Turkey despite the fact the Kurds make up the country's largest ethnic minority. Those restrictions have been relaxed over the past decade by the government of prime minister Recep Tayyip Erdogan, which introduced a state Kurdish-language television station.

But Kurdish partisans want to expand those linguistic freedoms.

The demand for the release of Ocalan is much more problematic. He is the founder of the Kurdistan Workers Party, or PKK, a group that Turkey, the U.S. and the European Union label as a 'terrorist organization.'

Though Ocalan has spent more than a decade imprisoned on a Turkish island in the Marmara Sea, the guerilla war he began against the Turkish state continues to be fought.

Last month, the nonprofit conflict mediation organization International Crisis Group published a report arguing Turkey's PKK conflict had reached its deadliest levels in some 13 years, with more than 700 people killed during a 14 month period.

Last weekend, Turkey's semiofficial Anatolian Agency reported a police officer was killed in an apparent rebel attack in southeastern Turkey, the main battle ground in the conflict.

The ICG report also cited Turkish Ministry of Justice statistics indicating Kurds have been targets of a massive wave of detentions, with more than 7,000 prisoners accused of PKK links thrown behind bars over the past several years.

The parents of some of those prisoners were in a tent in a park in Istanbul's Okmeydani neighborhood Tuesday morning, staging a sit-in to support their children on hunger strike. Women in Kurdish head-scarves sat on carpets, some of them decorated with traditional facial tattoos, swaying and singing folks songs in Kurdish.

"Of course we are worried," said Feride Akdogan, whose 26-year old daughter Sehnaz had been on hunger strike for the past 15 days.

Asked whether it was worth losing her daughter to improve prison conditions for PKK-leader Ocalan, Akdogan said simply "thousands of our people have thrown themselves on the fire for our leader."

Ebu Bekir Polat and his wife, Behiye, were participating in the sit-in for their daughter Ciyan. She was arrested two and a half years ago at the age of 18, Polat said, and accused of membership in a terrorist organization, though she had yet to be convicted in court.

"No one has the right to make our kids rot in jail like this for two and a half years," Polat said.

He insisted the hunger strikers were staging their potentially lethal protest in the interest of peace.

"These kids have given their bodies to the fire of hunger ... not just for the Kurdish people, but for the future of Turkey. So that this war can end, so that neither soldiers, police or guerillas in the mountains die," Polat added.

Last week, Turkey's Justice Minister made a televised appeal to prisoners to stop their hunger strike.

"Reform and change, work on expanding freedoms is ongoing," Sadullah Ergin said during a visit to a prison in Ankara. "For your bodies, for your health, for the family members who love you ... stop this action."

But on Tuesday, riot police in Istanbul had little sympathy for relatives of the prisoners.

As squads of riot police and armored cars chased stone-throwing Kurds through the streets of Okmeydani, a police vehicle rounded a corner and started firing its water cannon at the tent where at least 20 mostly middle aged Kurdish women sat on carpets.

A lawyer for the Kurds rushed forward, arguing that the sit-in by the Kurdish mothers was peaceful and had nothing to do with the nearby street clashes.

"They are throwing Molotov cocktails at us," a police commander answered. "They can have 15 minutes to leave the area."

But less than five minutes later, armored police officers began ripping down the tent. Another officer popped open a tear gas canister and tossed it into the tent, at the feet of the increasingly panicked women inside.

As women stumbled to their feet half-blind trying to escape, a Kurdish man kicked the canister out of the tent. A police officer in a suit and gas mask then picked it up and threw it back into the tent.

"Get the mothers! Get the mothers out of there!" yelled a silver-haired Kurdish man named Ali Riza Bilgili, as he struggled to help a woman out of the tent.

A half dozen police officers in helmets and gas masks then worked together to rip down one of the metal ribs holding up the tent.

"Enough!" another Kurdish man screamed. "What has this woman done wrong? You're only doing this because I don't have a gun."

Moments later, the police withdrew. Reinforcements were arriving in the neighborhood. But the protests were also growing. A kilometer away, young Kurdish men momentarily blocked a major commercial road...intimidating drivers by laying rocks on the pavement.

Turkey's Kurdish conflict is still very far from over.

@highlight

Tuesday is the second time in two days Turkish riot police used force against protesters

@highlight

On Monday, security forces in Ankara used pepper spray and water cannons

@highlight

Tuesday's Kurdish clashes reflect a different power struggle