(CNN) -- As oil began approaching the coast of the United States, environmental scientists said the effects of the spill in the Gulf of Mexico could have ecological and biological consequences for years, if not decades.

The intricate ecosystem is a major source of seafood for the United States and hundreds of species of animals and plants are at risk, experts said.

Some areas in the path of the slick are particularly sensitive to problems because unlike the rocky coast of Alaska hit by oil from the Exxon Valdez disaster, much of the coastline that will be hit by the BP spill consists of marshy areas where the water is calmer and more difficult to clean.

The marshes are in extreme danger, said a biologist with the University of Houston who studies coastal wetlands.

"It's likely going to persist for decades because it will get into the marsh where there is very little wave action and the soil is oxygen poor," said Steve Pennings. "The immediate acute impact might not be that severe because there is not much oil getting to a certain spot, but because the oil might stick around [in the sediment] for 20 years you might have a real chronic effect."

The oil spill started April 20 after an explosion on the BP-operated Deepwater Horizon drilling platform in the Gulf of Mexico. Eleven oil-rig workers remain missing and are presumed dead. The rig sank April 22 about 50 miles off the southeast coast of Louisiana and the untapped wellhead is gushing oil into the Gulf. About 1.6 million gallons of oil have spilled since the explosion, the Coast Guard said.

Wetlands in Louisiana and other Gulf Coast states were already struggling because of sea-level rise and the lack of sediment due to some rivers being channelized, Pennings said.

Mike Beck, senior scientist on the global marine team for the Nature Conservancy, said there is a lot of concern for oyster reefs, which were also already suffering. Only 15 percent of the world's oyster reefs remain because of over-harvesting and dredging, he said, and hurricanes have also destroyed some reefs. He said there have been some oil spills in Europe that provide clues as to what might happen.

"What we have learned from other accidents is we've seen mortality and then we have seen lower growth rate," he said, "so that even if they're not killed, you are likely to have much lower [population] growth. We're not likely to be able to eat those oysters for quite some time because ... they hold heavy metals in their tissue."

He estimated that the damage to the reefs could last two to five years, but that other oil spills have shown that in some instances it can be longer than that.

Beck pointed out that 40 percent of the U.S. seafood supply comes from the northern Gulf of Mexico and 95 percent of the species in the seafood harvest are dependent on the health of the nation's estuaries and marshes.

Environmentalist Richard Charter of the Defenders of Wildlife organization said the size of the oil spill will be overwhelming to cleanup crews.

"This event is a self-feeding fire," Charter said. "It is so big and expanding so fast that it's pretty much beyond human response that can be effective. ... You're looking at a long-term poisoning of the area. Ultimately, this will have a multidecade impact."

Some officials worried the destruction could surpass the Exxon Valdez disaster of 20 years ago. That oil tanker ran aground on the Bligh Reef in Alaska's Prince William Sound in 1989 and spilled 11 million gallons of crude oil.

The surface oil from the Exxon Valdez spill had largely disappeared within three years of the spill, according to studies conducted by the National Oceanic and Atmospheric Administration's Office of Response and Restoration. The 1997 report said that what oil did remain could be found on beaches that were near still water. The residual oil was not nearly as toxic as the oil studied in the days after the spill. The report said "intertidal species can tolerate its presence even though it can accumulate in their tissues."

However, a 2003 study published in the journal Science disputed the NOAA finding of toxicity and said that oil in the sediment was still harming the species more than a decade after the accident.

The Exxon Valdez Oil Spill Trustees Council also disagreed. A spokeswoman told the Anchorage Daily News last year that oil in some parts of the sound is still toxic.

All the scientists CNN spoke to said that the long-term impacts of the spill depend on how much oil reaches the coast. The choppy seas are hindering containment efforts, experts said.

"The question is -- we rarely clean up more than 15 or 20 percent of a spill on a calm day, and we aren't seeing a calm day," Charter said.

The impact will also depend on what states are hit. Beck said there are two major loop currents and one runs along the Louisiana wetlands past Mississippi and Alabama then down the coast of Florida and around the Keys.

"Eventually that water moves out into the Caribbean and the Atlantic," he said, indicating the East Coast needs to pay attention to where the oil is traveling.

@highlight

Oil might remain in the sediment of a marsh for 20 years

@highlight

Oyster reefs are immediately in danger and population recovery may be stunted by lingering oil

@highlight

Only about 15 to 20 percent of oil can be recovered from water

@highlight

Currents may take oil around southern tip of Florida into the Atlantic, Caribbean