London, England (CNN) -- Few American presidents have been greeted with the enthusiasm Europe demonstrated for Barack Obama on his election. In part, it was a reaction against his predecessor -- George W. was never loved in the EU -- but there was also the feeling that Obama was a genuine multilateralist.

Europeans, who welcomed Obama as the candidate of change, didn't expect him to agree with them on everything, but they believed that he would at least listen to them.

So now that the showroom gloss is beginning to wear off Obama at home, now that U.S. poll respondents are indicating that the first dents and scratches are visible in the previously gleaming bodywork, how is he being seen between Ljubljana and Lisbon?

In Europe's capitals, as in many places, there was something of a gulp when the Nobel Peace Prize was announced, a feeling that it was being bestowed in hope of what was to come rather than in recognition of what had been achieved.

That said, Obama remains far more popular personally than Bush, whose Iraq war adventure with the eager assistance of British Prime Minister Tony Blair led to splits among Europe's leaders. On the diplomatic circuit, the movers and shakers will still fight for invitations whenever the president swings through European cities.

On the plus side, there was a big welcome, except perhaps among some of the Eastern European states, when the president scrapped the missile defense plans with installations in Poland and the Czech Republic, indicating that he wanted to talk to Moscow rather than lob bricks over their neighbor's wall.

Europeans, who don't possess America's military might and who nearly always, in Winston Churchill's words, prefer "jaw, jaw to war, war," also welcomed Obama's early overture to Iran indicating that if Teheran would unclench its fist, then America was ready to extend its hand.

After the strong influence the climate change deniers appeared to have with the previous administration, Europeans were especially pleased that Obama said he would come to the climate summit in Copenhagen, Denmark. They were impressed with the way he helped to broker a deal at the G20 summit in London in April, something he managed to do without throwing his weight around.

It is a measure of the president's continued pulling power that the Europeans, who have seemingly grudged every extra pair of boots the NATO secretary general has persuaded them to dispatch up until now, are to stump up around 7,000 additional troops for the war in Afghanistan alongside the 30,000 more committed by a president who has now more than doubled the U.S. contingent there.

But while Europe's diplomats and politicians know that the president, too, has to strike political balances, and while they recognize that shared values across the Atlantic won't always mean shared interests, a few niggles are creeping in.

For all the talk about resetting relations between Washington and Moscow, the Europeans are worried that the crucial December 1 deadline passed without a deal renewing the Strategic Arms Reduction Treaty for monitoring nuclear arsenals.

On Afghanistan, Europe's political leaders were muttering behind the scenes as the president took a long time making up his mind about the extra troops. To them, he seemed to be dithering; and with anti-war opinion building in their own backyards, he made their own lives more difficult while they awaited his decision.

Some criticism has come into the open. For example, Bob Ainsworth, Britain's defense minister, has refused to commit the U.S.'s leading ally in Afghanistan to a pullout timetable beginning with the president's promised date of July 2011.

Paddy Ashdown, who knows a bit about these things as the international community's former high representative in Bosnia, reckons that the president failed to produce a political strategy to go along with his military one.

Obama, said Lord Ashdown, was trying to appeal simultaneously to two different audiences. He wanted to tell the folks back home in Peoria, Illinois, that the troops would be home in 18 months, and he wanted to tell the Taliban that an extra 30,000 troops were on their way to make life tough for them. The problem was that the folks back home would focus most on the extra 30,000 troops going out, and the Taliban would focus on the fact that they would start leaving in 18 months.

Taliban leader Mullah Omar is supposed to have said: "The enemy has the watches; we have the time." Insurgents tend to have a longer time scale than democratic politicians, who only too soon will be facing electors once more.

The Europeans, while they like much about Obama's style, are growing just a little uneasy about how things will pan out under his presidency.

"It's early days, but perhaps a little less talk and a little more do might be welcome," one former Downing Street insider told me.

They weren't expecting Superman in the White House, certainly not at a time of major economic recession. They still feel that the new president is a man they can talk to. But they can see that power is moving inexorably from the the G8 to the G20, where Europe's influence will be diluted by major new players like China and India. They may become a little sensitive as the president is seen to cozy up to the new players.

The Europeans also can read the Pew surveys in the U.S. showing that a greater proportion of Americans would like their nation to pull back from a world role and "mind its own business" than did so even during the Vietnam war. They will watch Obama now to see how he resists the pressures of isolationism.

The slight unease one senses now in Europe's capitals is, in a sense, less a personal slippage for Obama than a growing recognition of the weakness of a debt-ridden U.S. economy and of the inability of the world's strongest military power to contain Islamic insurgencies or to find and dispose of Osama bin Laden and Mullah Omar eight years after the mass murders of 9/11.

The U.S. may still have the military might. But even America has to look at the costs column these days. And when the likes of French President Nicolas Sarkozy inveigh against the evils of the "Anglo-Saxon economic model," they have Wall Street just as much in mind as they do the city of London.

Obama, though, doesn't have to worry yet about his personal popularity in Europe. He remains a beacon of hope to many Europeans.

And he will probably remain rather more popular in Europe than he is at home because it is in tackling the back-pocket issues with their own electorates -- like health care -- that most politicians make their enemies.

That may, however, be little consolation to a president with a second term to win in due course. Blair, after all, remained hugely popular in the U.S. But so discredited did he become back home that he was forced to step down and hand over power to Gordon Brown.

@highlight

President Obama was widely supported by many European countries

@highlight

Obama's poll numbers in the U.S. are dropping, though

@highlight

Oakley: Obama doesn't have to worry yet about his popularity in Europe