(CNN) -- Pope Benedict XVI's resignation captured the world's attention, and rightly.

It is the first papal resignation in nearly six centuries. The pope leads a church that includes a sixth of the world's population. His gravitas reverberates outside Roman Catholicism: The pope talks and people listen.

Others are fascinated by Vatican spectacle. Benedict speaks Latin and wears gold vestments. His successor's election by conclave, with sequestering and smoke, is high drama.

But for all the excitement and ceremony, the pope is not the most important thing about Catholicism.

For all his influence, the pope makes up an infinitesimal fraction of the opinions and activities of Catholics.

The most important thing about Catholicism is the 1 billion who claim it as their faith.

In the wake of updating by the Second Vatican Council, Roman bishops emphasized the role of the laity. Lay activism exploded. Many Catholic theologians stressed the whole community of Catholics working together.

Opinion: Why pope will be remembered for generations

The issue is not only what the Church should look like. We should be concerned about media and popular takes on what Catholicism does look like. News coverage of the Church is usually about the hierarchy. Ask average Americans about Catholicism and they likely will mention the pope.

This happened for several reasons.

No other big religious institution is so centralized. The media covers the pope as Catholicism because it is easy to cover the pope as Catholicism. Place a correspondent in Rome or even just use Vatican press releases. There is no highest authority of Hinduism. There is no international imam of Islam.

Also, despite the Vatican II council of the 1960s, popes kept expanding their authority. Benedict XVI endorsed that council but read tradition to support papal sovereignty. If popular opinion overwhelmingly associates Catholicism with the papacy, that's partly because effective Vatican theologizing made it so.

Roland Martin: Pope shows true leadership by resigning

Finally, the U.S. has always had an obsession with the pope.

Ironically, this obsession had roots in anti-Catholicism. Americans "used" the pope as a way to sharpen national identity. American democracy was contrasted with papal demagoguery, American piety with papal superstition, American modernity with papal obsolescence.

U.S. Roman Catholics felt pulled between nation and church. Scholars have noted that American faithful were more pope-identified than coreligionists around the world, as if overcompensating to hold the two sides together.

But obsession involves both attraction and loathing. Even ardent anti-Catholics seemed consumed with fascination for the pontiff. The infamous publisher of anti-Catholic comics, Jack Chick depicts decadent popes lofting ominous speech bubbles, precisely capitalizing on the fact that such scenes make gripping graphic art. It's as if the pope â€” with absolute rule, a throne, pomp and circumstance â€” taps into a repressed fantasy of crowns and ermine.

Perhaps pop god Prince put it best:

So U can be the President

I'd rather be the Pope

Yeah, U can be the side effect

I'd rather be the dope

Arguably Prince is right; the pope is bigger than the president.

But the pope is not the dope. At least not for purposes of best analyzing Catholicism. While the popes have attempted to maintain the status quo from the top down, three major phenomena are happening in the Church from the ground up -- and the media would be well advised to pay attention.

First, vernacular religion. This refers to religion as it is actually lived, rather than how leaders say it should be lived. A term coined by Leonard Primiano of Cabrini College, vernacular religion highlights that while clerics write creeds and command pulpits, official religion is the tip of the iceberg of religious culture.

Opinion: Why next pope must open up church and usher in Vatican III

This became visible in coverage of bishops' activism against President Obama's health care law provisions for artificial birth control. The bishops held the official position that artificial birth control was morally wrong. Most news accounts added that a majority of U.S. Catholic women used it anyway. This addition was a start, but it needs to go further. According to doctrine, women were "going against" their Church. But in terms of vernacular religion, their everyday Catholicism was simply different from the approved version.

Second, other Catholics. Last year a Religion Dispatches blog headline read, "Will the Catholic Church Split?"

As several noted in the comments, Catholicism has already split. Catholicism is actually not one structurally unified body â€” and hasn't been since 1054. The Orthodox churches are Catholic, the biggest headed by the Patriarch of Constantinople. The Anglican Communion (including the U.S. Episcopal Church) identifies as both Catholic and Protestant, headed by the Archbishop of Canterbury. The Old Catholic churches of Europe formed in the late 19th century as harbor for Catholics who rejected papal infallibility; they are in communion with Anglicanism.

In the United States at least 200 separate small Catholic churches and clergy associations exist, often with their own bishops. Some are CORPUS, a corps of married priests who celebrate the sacraments; Roman Catholic Womenpriests, who like many others are ordaining women; and the Ecumenical Catholic Communion, which has partnered with the other two groups.

Third, flows. Some people live in several Catholic worlds. In the United States, a Catholic woman might attend a Roman parish, work for Catholic Charities, serve as an independent Catholic priest, officiate weddings for divorced Romans on weekends and do Buddhist meditation every morning, too.

What would it mean to account for vernacular Catholicism? Non-Roman Catholics? Flows between Rome and other institutions?

Understanding one of the world's most populous faiths needs to encompass all of Catholicism -- not just the Roman version.

And certainly not just the pope.

The opinions expressed in this commentary are solely those of Julie Byrne.

@highlight

Julie Byrne: Pope Benedict XVI's resignation rightly drew enormous world attention

@highlight

She says often media focus on the pope as entirety of Catholic Church

@highlight

While pope commands attention, lay groups have become increasingly important, she says

@highlight

Byrne: Church is split over many issues; Vatican doctrine is only part of the story