(CNN) -- On Thursday, Scotland goes to the polls to consider leaving the United Kingdom. I'm praying they say no. For their sakes and for our sakes as fellow Britons. We need each other.

Don't get me wrong: the English, the Scots, the Welsh and the Northern Irish are all very different people. You can tell it in the accents -- as an Englishman, I find it almost impossible to do a passable Scottish voice because I just can't sustain the requisite level of anger. And while the English are known for introversion and a terror of being noticed, the heat generated by the independence referendum has been a testament to the Scots' uncompromising desire to say what they're really thinking.

You see those differences marked in the landscape.

Journeying from London to Glasgow to observe the campaign, I was struck by the sudden shift in geography as our train crossed the border. Where England is small and crowded, Scotland is huge and empty.

English fields give way to massive Caledonian hills covered in green trees with bald patches of purple flowers. The valleys look like God smashed a fist into the soil -- wild, deep and jagged. That righteous Scottish temper showing through again.

But it's precisely these differences that have made the Union between our countries so remarkable -- and so important. For 300 years, we have sustained a political alliance between nations with distinct cultures that has produced one of the world's most successful experiments in getting along against the odds.

It's a relationship of convenience, of course -- begun in part so that Scotland could share in our imperial ambitions. And, as such, Scotland's presence in the Union has been sustained hitherto largely by good will. We may all have different understandings of our identity, but we share a common understanding of our needs.

This began to change in the years after World War II.

As the empire vanished and industry declined, so the economic outlook of Scotland and England began to diverge. A turning point was the election of Margaret Thatcher in 1979 -- a right-wing leader who may have helped raise living standards in Scotland but whose faith in free markets became increasingly at odds with the Scottish preference for a well-financed public sector.

Scotland could have rallied to the left-wing Labour Party, but Labour, too, moved drastically to the right and left many of its working-class constituents behind.

The credit crunch challenged the idea that the Union was impervious to economic shock and discredited our political leadership in London.

Many Scots turned toward independence as an alternative way of ordering their affairs (while many Englishmen drifted toward the conservative United Kingdom Independence Party). Hence, much of the campaign for independence has centered not around nationalist themes, but socialist ones instead.

Its supporters imagine that if freed from the more right-wing English, they'd be able to spend more and invest in public services. In fact, the opposite is true. Such is the likely size of an independent Scotland's debt, and so uncertain is the future of its currency, that it would almost certainly have to raise taxes through the roof.

That brings us back to the benefits of sticking together. They are both material and emotional.

On the material side, Britain may have been through a tough period recently, but it is now growing mightily. We are predicted to overtake the perfidious French in the size of our economy by 2020 -- making us the fifth biggest in the world.

Our accomplishments in the fields of constructing a welfare state or investing in high-tech sectors have been made possible by sharing resources and talent. Likewise, in a frighteningly insecure world, we all benefit from a united defense. OK, so Britain's army no longer patrols an empire. But it is still one of the most powerful in the world, boasts a nuclear deterrent (moored in Scotland) and is a lynchpin of the Atlantic alliance.

The army is perhaps at the heart of the emotional case for the Union.

Standing together, we've helped win two world wars and seen off the Argentine invasion of the Falklands in 1982. Soldiers have fought in defense of their constituent countries, but always under the banner of the United Kingdom. The ties that bind us, then, are historical and poetic.

Every New Year, we Britons sing "Auld Lang Syne" -- written by the Scottish poet Robert Burns.

It's a song about the importance of remembering old friendships: "And there's a hand my trusty friend!/ And give me a hand o' thine!/ And we'll take a right good-will draught,/ For auld lang syne." It might seem silly to reduce a decision about the future of a nation to a few lines of a song sung drunkenly and off-key at midnight, but friendship is a precious thing that men will give their lives for. Many, many British soldiers have done so in the past. I would save the Union out of respect for their memory alone.

To the Union and the world, the Scots have brought poetry both sublime and hilariously bad.

Schoolchildren across the UK still read the awful lines of William McGonagall that serve as a primer for how not to write. Scottish geniuses -- Adam Smith, David Hume, James Watt, Robert Louis Stevenson, James Braid, Kenneth Graham, Sir Walter Scott, Muriel Spark, Sir Arthur Conan Doyle -- have also given us all the invention of classical economics, a proud tradition of banking, color photography, the flushing toilet, golf, hypnotism, penicillin and the television set.

The locals have also supplied Britain with its last hopeful myth: the rumored existence of the Loch Ness Monster. It's nonsense, of course, but a reminder -- again -- of how much mystery and wonder the Scottish countryside brings to the UK. We are hoping to reintroduce wolves there.

If Scotland votes this week for independence, we will divorce with dignity (excepting a few rows about debt and nuclear weapons). But the United Kingdom will miss her dearly.

We will be reduced and forced to think afresh about who we are and what we stand for. If I'm honest, the prospect of a Union dominated too heavily by the English worries me. We're simply not as loquacious or romantic as our Scottish cousins.

@highlight

Historian Timothy Stanley wants Scotland to stay in the United Kingdom

@highlight

He notes that the historical relationship changed after World War II

@highlight

Scots' quest for a wider social safety net may be hard to achieve alone, he says

@highlight

Stanley says he'd miss England's romantic, talkative partners if they go