(CNN) -- Authorities in some Afghan prisons are torturing detainees into confessions, using methods that meet the international definition of torture, according to a new U.N. report.

The practices documented "are among the most serious human rights violations under international law, are crimes under Afghan law and are strictly prohibited under both Afghan and international law," the United Nations Assistance Mission in Afghanistan (UNAMA) says in the report.

"Detainees described experiencing torture in the form of suspension (being hung by the wrists from chains or other devices attached to the wall, ceiling, iron bars or other fixtures for lengthy periods) and beatings, especially with rubber hoses, electric cables or wires or wooden sticks and most frequently on the soles of the feet. Electric shock, twisting and wrenching of detainees' genitals, stress positions including forced standing, removal of toenails and threatened sexual abuse were among other forms of torture that detainees reported.

"Routine blindfolding and hooding and denial of access to medical care in some facilities were also reported. UNAMA documented one death in government custody due to torture in April 2011, the report says.

The report contains quotes from various prisoners, not identified by name, describing their experiences in detail.

The report comes from interviews with 379 pre-trial detainees and convicted prisoners at facilities operated by different branches of the Afghan government between October 2010 and August 2011.

The Afghanistan government responded that the report "is to some extent not close to reality" and "not entirely in compliance with the facts."

"Torture methods such as electric shock, threat of rape, twisting of sexual organs etc. are methods that are absolutely non-existent in the NDS (National Directorate of Security)," the government said.

But the government added that the report may help draw attention to needed improvements.

"Despite their cruel and barbaric acts," terrorists are being treated "humanely and in accordance with the law," the Afghan government said, in a response included in the UNAMA report. "Beginning from their arrest and investigation to the final verdict of the court they are treated in accordance with the Islamic and humanitarian norms."

UNAMA said officials with Afghanistan's National Directorate of Security "systematically tortured detainees in a number of detention facilities across Afghanistan. Torture does not appear to have been practiced systematically in each NDS facility UNAMA observed."

"UNAMA's detention observation report found compelling evidence that 125 detainees (46%) of the 273 detainees interviewed who had been in NDS detention experienced interrogation techniques at the hands of NDS officials that constituted torture," the report said. Nearly all the detained reported that the abuse was during interrogations and aimed at obtaining a confession or information. "In almost every case, NDS officials stopped the use of torture once detainees confessed to the crime of which they were accused or provided the requested information."

Torture was used on some children under 18, the report said.

UNAMA recommended that the NDS and the police take immediate steps to prevent torture and allow regular, unhindered access for independent monitors. The report also called on the government and the supreme court to take action.

Countries with troops in Afghanistan should suspended transfer of detainees to facilities "where credible allegations or reports of torture and ill treatment have been made pending a full assessment," the report said.

Canada and the United Kingdom ceased transfers of detainees to facilities in Kandahar and Kabul at various times based on reports of torture and ill treatment, the report said. And in July of this year, the United States and NATO'S International Security Assistance Force stopped transferring detainees to authorities in certain areas based on reports of consistent torture and mistreatment, the report said.

UNAMA took steps to ensure that the information it collected was credible, the report said. It "rigorously analyzed patterns of allegations in the aggregate and at specific facilities which permitted conclusions to be drawn about abusive practices ... and suggested fabricated accounts were uncommon."

"The nationwide pattern of allegations is inconsistent with a substantial proportion of detainees interviewed having been trained before their detention in what lies to tell about their treatment if detained."

In its response, the government said it "is committed to observe the whole enforced laws of the country; international human rights treaties; the Convention against Torture and approved articles and put to use all its efforts towards their realizations."

It added, "Maybe there are deficiencies with a country stricken by war and a wave of suicide attacks and other terroristic crimes, we do not claim perfection and that we are doing things 100% in accordance with how things should be. Some of these deficiencies, however, are due to a lack of experience within our staff and their lack of access to proving equipments and facilities and in part due to isolated incidents of individual violations. We are happy that this report also testifies in a part that torture did not take place in a systematic manner in all NDS headquarters."

It also noted that organizers of attacks use children in their plots, and that "most of the anti-government elements do not hold ID cards which makes it challenging for NDS to identify underage individuals... Once it is confirmed that the arrested person is underage, NDS immediately transfers him/her either to the Juvenile Rehabilitation Centre or Juvenile Prosecution Office to investigate the case."

@highlight

NEW: Such practices are "absolutely non-existent" in the National Directorate of Security, the government says

@highlight

NEW: Children under age 18 were tortured, the U.N. report says

@highlight

Practices include suspension, beatings, electric shock, and twisting of genitals, the U.N. report says