LOS ANGELES, California -- Dr. Andre Berger sees himself as a pioneer. Where others in the medical community believe injections of human growth hormone should be given to adults in only rare cases, Berger believes it is a crucial part of keeping people young and vital.

Dr. Andre Berger says the patients requesting HGH from him are getting younger and younger.

Berger, who has been practicing anti-aging and holistic medicine for 30 years, says he is now prescribing injections of HGH to about one out of every four people he treats at his Rejuvalife Vitality Institute in Beverly Hills.

"People come here for generally two reasons; they want to look better, and they want to feel better," Berger says.

While Berger says most of his patients are middle-aged, he's now getting calls from Hollywood 30-somethings wanting HGH and rap artists inquiring about illegal steroids, something he does not offer.

"They feel that part of being a rap star is looking buff and having big muscles, etc., so anything they can do to bring themselves to look like that is going to enhance the whole image," he says.

HGH has been used since the 1950s to help children with growth problems, but it stayed under the radar for other uses until 1990, when Dr. Daniel Rudman reported in the New England Journal of Medicine that men taking a six-month course of HGH reduced their body fat by 14.4 percent while increasing lean muscle mass by 8.8 percent.

The study included just a dozen men, but it inspired a flood of anti-aging literature touting the benefits of growth hormone, along with countless Web sites selling HGH creams and sprays.

Endocrinologists say those products, though, are worthless -- the body can use HGH only when it's injected to treat patients with HGH, Berger says they must be diagnosed with a deficiency of HGH, which happens naturally as the body ages.

"It's a very important hormone, but it's not something to be taken in isolation," he says.

Berger says he prescribes HGH to restore normal levels of the hormone and makes it part of a broader long-term treatment program including diet, nutritional supplements, exercise and other hormone replacement.

Dennis Pelino, a 60-year-old Beverly Hills entrepreneur, says five years ago, he was having trouble keeping up with the younger people he was doing business with, so he started treatments, which included HGH injections.

"My skin tone got a lot better. I just felt better," he says. "My eyes got a lot brighter. My hearing, I swear, got better."

Pelino says HGH injections, along with a healthy diet, exercise, and supplements has made him feel 10 years younger.

"I can keep up with people who are a lot younger than me," he says. "I am not trying to set records, I am just trying to stay in the game, I am doing business here."

But critics argue that doctors are taking huge risks by administering HGH because it hasn't been studied extensively long-term and says many of the same benefits can be found in diet and exercise alone.

"There are serious side effects associated with using growth hormone for these individuals including an elevated risk of cancer, diabetes," says Dr. Jay Olshansky of the University of Illinois at Chicago.

Olshansky, who has studied anti-aging for over 20 years, contends that many of the claims are just false and says that only in the rarest of cases can HGH be prescribed legally.

"It can be prescribed in adults for only two things; muscle-wasting associated with HIV/AIDS, which is extremely rare, and for adult growth hormone deficiency," he says.

Still, celebrities including Sylvester Stallone and Suzanne Somers who have openly supported the use of HGH, have attracted those just seeking a new lease on life. Marketers for HGH therapies claim it's become a $2 billion-a-year business, thanks in large part to aging baby boomers willing to pay big bucks to emulate the stars whose looks never seem to fade.

The Albany-Times Union recently reported, citing unnamed sources, that rapper 50 Cent and singer Mary J. Blige were among celebrity customers allegedly identified in a New York probe of doctors and pharmacists who illegally prescribe steroids or HGH.

The Times-Union report did not suggest there was evidence Blige or 50 cent took the drugs.

Blige denies taking any performance enhancing drugs, and 50 Cent has not commented. Neither star is accused of breaking the law. E-mail to a friend

@highlight

Doctor says more 30-somethings want steroids and HGH

@highlight

HGH first used to help children with growth problems

@highlight

Critics say there are health dangers