Beijing (CNN) -- At just after midnight on Saturday, in a bar down an old lane in Beijing, the band suddenly stops playing. Grabbing the microphone, the manager tells everyone to remain in the venue; the police are outside threatening to escort to the nearest police station any foreigner not carrying valid documents. The atmosphere instantly sours.

This is just one of many incidents that have occurred in Beijing over the weekend following last week's launch of a 100-day campaign to "clean out" non-Chinese living or working illegally in the city. Until the end of August, all foreigners are expected to always have on them a valid passport, visa and resident permit, as stipulated by an announcement on Peaceful Beijing, the official Beijing Public Security Bureau account on popular Chinese micro-blogging site Sina Weibo.

If not, they will face repercussions, which range from fines to police detention and deportation.

A number for a hotline locals can call to report suspicious foreigners was also included in the announcement. Since then, the police presence in the main expat and student areas of the city has noticeably increased, households and companies have been spot checked, and queues at local police stations to register residency are large.

Lin Song, media officer of the Exit-Entry Administration Department under the Beijing Municipal Public Security Bureau, was not available to immediately comment when asked about the crackdown. However, last week in an editorial in the Global Times, he remarked: "Some foreigners do not know Chinese laws well, and they might feel strange being randomly questioned by the police, but it is necessary to improve their legal awareness and make sure they stick to Chinese regulations."

Beijing police announced on Thursday that the city's friendly attitude toward foreigners has not changed. "Beijing will stick to the policy of reform and opening up, and we sincerely welcome foreign friends to work and live in Beijing," a spokesman told the state-run Xinhua news agency, adding that foreigners' legitimate rights will be protected.Â 

But the crackdown has left a bitter taste in the mouths of many, not least those who have resided in the city for years and see it as home. Media worker Jacob Trent was pulled off his bike by the police on Saturday and demanded to produce his papers. "I have been living here for a decade and yet I still get treated like -- and sometimes called -- a foreign barbarian," lamented the American, who speaks perfect Mandarin and is engaged to a Chinese girl.

Another longtime expat, David Park, was equally distressed. "I have noticed a change in how I am treated. It has gone from curiosity to hostility," commented Park. The 27-year-old, an employee at a renewable energy firm, has been contemplating a move back to England. These events will make his decision easier, he said.

Park was not the only person expressing a desire to leave in the wake of tensions. Mia Bate, an African-American doing an internship, has no intention to renew her visa once it expires in September. "I never used to notice people looking at me on the streets," she said. "Now I do and it makes me feel really uncomfortable."

The campaign comes amid a heated online debate about the behavior of foreigners in China. The most noticeable example has been the uploading of a video onto the Chinese video sharing site Youku of a foreign man sexually assaulting a Chinese woman in Beijing. The video attracted more than 11 million views and 80,000 comments to date. Beijing police revealed the foreigner in the video to be a Briton on a tourist visa.

Police deny the incidents are related, but in the minds of both foreigners and Chinese they are. Prominent host on Chinese Central Television, Yang Rui, posted on Sina Weibo that Beijing must clean out its "foreign trash" to "protect innocent girls." According to Yang, they must "cut off the foreign snake heads."

Similar rhetoric has been voiced by locals offline. When Beijing resident Mandy Zhang's mother caught wind of the video, she called her 26-year-old daughter and asked her not to visit places that foreigners frequent. For both mother and daughter, the visa crackdown might not be an ideal solution, but it is necessary.

"Police cannot tell who is good or not. Some foreign men come here with the wrong intentions," Zhang said, adding: "We treat Westerners too well and this needs to change."

According to statistics provided by the city government, Beijing is home to about 120,000 foreigners. Most have arrived during the past decade, attracted by a booming economy and a visa policy that has been relatively relaxed. Crackdowns on this scale are very rare, with the last noticeable one being in the lead up to the 2008 Beijing Olympics.

Lars Laaman, a professor of Chinese history at London's SOAS, who has lived in the capital on and off since the 1980s, says these incidents only occur when the government is feeling uneasy," he commented, alluding to events that have gripped the nation over the past few months such as the dramatic fall from power of Chongqing party chief Bo Xilai.

Whatever the cause, as China's economy continues to grow, its foreign population will likely rise too. Finding a workable solution to the visa situation will become increasingly important.

@highlight

New regulations demand all foreigners carry a valid passport, visa and resident permit

@highlight

Locals can also call a number for a hotline to report "suspicious foreigners"

@highlight

Campaign comes amid a heated online debate about poor behavior of foreigners in China

@highlight

Some expat residents in China report increasing hostility towards them