Manila, Philippines (CNN) -- As the bodies of eight tourists killed in a bus hijacking in the Philippines arrived in Hong Kong, China, on Wednesday, the Hong Kong government urged citizens not to take their grief and anger out on Filipinos despite "the poor way" the hijacking was handled by authorities.

The Cathay Pacific flight, which also carried eight survivors and 19 relatives as well as dozens of officials, was greeted by a large crowd on its arrival at Hong Kong International Airport. In a somber ceremony, bagpipers played "Amazing Grace" as coffins were carried from the plane and wreaths laid upon them.

Several people were helped down a flight of stairs from the plane; one man's hand and arm were bandaged.

Chief Secretary Henry Tang received the arrivals and then told reporters his government would urge its Philippine counterpart to conduct an "comprehensive, thorough, and impartial" investigation.

"The truth is the best consolation for the victims and their families," he said.

He added that Hong Kong is prepared to aid the Philippine authorities during the investigation.

"In order to facilitate a fair and thorough understanding of the incident, we believe it is imperative that the investigation report should at least cover a detailed account of the whole incident; and a detailed account of the causes of death and injuries," he said.

Two of three remaining hospitalized victims had been expected to be released from Philippine hospitals in time for the flight, but it was not known if they were on the plane that landed in Hong Kong.  A third, more seriously injured tourist, remained in an intensive care unit in the Philippines.

Hong Kong's Chief Executive, Donald Tsang,  was to lead a ceremony to raise the flag and lower it to half-staff on  Thursday, and a three-minute period of silence was scheduled for 8 a.m.,  according to the Hong Kong government. Citizens were urged to join the ceremony or pay tribute in other ways during that time.

Meanwhile, residents in the Philippines observed a national day of mourning Wednesday in the aftermath of this week's bus hijacking in Manila.

Hong Kong's Equal Opportunities Commission said in a statement it "understands the strong feelings of Hong Kong people on the poor way that the crisis had been handled by the Philippine authorities."

"The EOC urges all members of the community to stay calm and, in line with our good tradition of tolerance and understanding, refrain from shifting our anger towards an innocent group, particularly the Filipinos who are living and traveling in Hong Kong," the statement said. "The people of Hong Kong have every reason to take pride in the racial harmony of this city, and we should guard against any action that may cause racial hatred or discord."

Former police officer Rolando Mendoza, who was apparently upset about having lost his job, took hostage a busload of tourists from Hong Kong on Monday. Witnesses said Mendoza was initially willing to cooperate, but he was shot dead by police after authorities say he became violent and started shooting hostages.

Rodolfo Matibay, district director of Manila police, took responsibility for how the incident was handled, saying he ordered the police assault on the bus, according to Gen. Leocaldo Santiago, regional director of Manila police.

He has been placed on administrative leave while the case is being investigated.

Four men and four women were killed in the standoff.  One passenger was critically wounded and six others were hospitalized with less serious injuries.

The gunman had previously released nine of the hostages, including a mother and her three children, a man with diabetes and two photographers. The bus driver escaped.

Santiago said police killed none of  the hostages, though a ballistics investigation has yet to be completed.

Philippine President Benigno Aquino ordered all flags at public institutions in the Philippines, its embassies and consulates around the world lowered to half-staff.

In Hong Kong, flags also were lowered and traders at the Hong Kong Stock Exchange paused in silence.

The Chinese territory, meanwhile, issued a black travel alert for the Philippines, advising residents to avoid all travel there.

The government's Home Affairs Department has set up 18 condolence points around Hong Kong to allow people to mourn the victims and offer messages of sympathy. Tsang made an appearance at one of them on Tuesday to observe a minute of silence.

A Facebook page also honors the victims.

At the Hong Kong Management Association David Li Kwok Po College, students and faculty remembered Jessie Leung, 14, who was killed along with her father and sister.  Her brother remains in critical condition; her mother also survived the incident.

"Jessie was a helpful girl -- cheerful, lovely, a good academic," said Catherine Chan, the school's development manager. "We hope her brother will recover soon."

In Manila, a makeshift shrine was erected in front of the bus, with flowers left for the victims.

The deadly standoff unfolded live on television, which the gunman was able to watch on a monitor on the bus.

Santiago blamed the live broadcasts for contributing to the violence as the standoff quickly deteriorated while police surrounded the vehicle.

"We do not want to pass sweeping judgment or make early conclusions except to say that our intention to peacefully end this hostage drama was spoiled when the hostage-taker suddenly exhibited violent behavior and began shooting the hostages," Philippine National Police Chief Director Gen. Jesus A. Verzosa said Tuesday in a statement.

National police said officials noted "some observations and defects during their close monitoring of the unfolding events."

The statement did not provide details. However, it listed poor handling of the hostage negotiations; inadequate capability, skills, equipment and planning of the assault team; improper crowd control; inadequate training and competence of the assault team leader; and noncompliance to media relations procedures in hostage situations.

"The investigation has got to find out, what was the turning point? What happened?" said Richard Gordon, chairman of the Philippine National Red Cross.

Gordon said survivors said the situation inside the bus changed dramatically toward the end of the 10-hour standoff.

"Apparently the man went berserk. He was telling everybody he was not going to harm [them]. ... He said that nobody's going to get harmed. He said that he was probably going to die, but not the hostages," he said.

Santiago said that Mendoza's family members spoke with him early in the standoff and that he appeared "very reasonable and very psychologically stable."

Mendoza was a decorated police officer, winning several accolades. But his career spiraled downward when he was dismissed a year ago for extortion, Manila Vice Mayor Ikso Moreno said, and he wanted his motion for reconsideration to be heard.

Moreno said that Mendoza's brother was arrested during the standoff because he was "guilty of conspiring with his brother" and allegedly helped instigate the shooting.

Gordon said the brother's arrest may have pushed the gunman over the edge.

"When he saw his brother getting accosted by the policemen, he went berserk and he started firing," he said.

CNN's Anna Coren and Elizabeth Yuan contributed to this report

@highlight

Hong Kong government urges restraint in aftermath of hijacking

@highlight

Bodies, remaining tour group members arrive in Hong Kong

@highlight

Condolence points have been set up around Hong Kong

@highlight

A police official says he ordered the assault