Those who have been following the recent soap opera at the University of Virginia may think that it has to do with the blundering dismissal of the president, Teresa Sullivan, and her subsequent re-engagement by the Board of Visitors under instruction by the governor of the state to put their house in order or resign.

In fact, the heart of the drama is not about the president. Nor is it about the board. Rather, it is about the principle stakeholders of the University of Virginia and American higher education in general.

Those who recall the campus disruptions protesting the Vietnam War will remember a slogan of the time, "power to the people." It was meant to be a challenge of the "rulers" by the "masses." In 2012 in Charlottesville, Virginia, we see a similar confrontation.

But in place of chanting "Close the university," on this occasion the students, faculty and others assembled on the quad claimed the right to open the university as their own and called for the right to select their own leader -- their own president.

In the Vietnam era, the students and faculty saw the university as an alien complicit in "the war," something to be overthrown. In today's story, the students and faculty are saying that they are the university, an entity to be protected from a seemingly intrusive force: the Board of Visitors.

These campus constituents who are sometimes called "members of the academy" or "the university community" had the benefit of Sullivan's leadership for only two years, a period traditionally considered far too brief for any group to develop strong feelings of loyalty and attachment. It was not Sullivan personally they were invested in but rather what she represented.

They were offended at being neither consulted nor appropriately informed when she was dispatched without due process or even a persuasive bill of particulars. It was the crime of insult. By ignoring the faculty and students, the board showed a disregard for their standing, and that is perceived as a critical act of rudeness.

The issue comes down to participatory democracy. Sullivan is the icon of the encounter. When the president was furtively fired without a legitimate process, we witnessed a back-of-the-hand slap by Marie Antoinette.

The rehiring of the president after a special emergency meeting of the board is a victory for the president, of course, but more significant, it is a victory for the concept of a governance system in which all parties who have a genuine interest in the maintenance of the university are given an opportunity to play their part, to express their thinking and have it inform the future of their institution. What we see here is the reaffirmation of a social contract that has been in place at a great university devised and established by Thomas Jefferson in 1819.

In life, substance matters, and it does so equally on campus, in business or in government. But process is also important. How things are done reflect our values. Process becomes substance.

In the case at the University of Virginia, the leader of the board, Helen Dragas, was exposed as having disregarded "the way we do things." This is no small matter at an institution like the University of Virginia, with its defining student Honor Code. The action of the board was a gaffe and a blunder. Dragas miscalculated how a slight can inspire a protest movement.

I cannot help to think how ironic it is that this battle has two women in opposition, Sullivan and Dragas. Would this have been possible before the passage of Title IX in 1972, a major contributor in articulating the women's movement? Many lessons will be drawn, articles written, perhaps even a book worth reading about one of the most consequential academic battles of 2012.

Gender equity is far from complete on college campuses, but it has made a good start. In this case, the fact that the media have not made much about the women in the showdown demonstrates how far we have come in contemporary America. Twenty-five years ago, this would have been called a catfight. Today, it is merely a political battle.

@highlight

University of Virginia reinstated its president, Teresa Sullivan, after she was fired

@highlight

Stephen Trachtenberg: By ignoring stakeholders, board committed the crime of insult

@highlight

He says the board showed a disregard for the standing of faculty and students

@highlight

Trachtenberg: Rehiring of president is a victory for participatory democracy