London (CNN) -- A British man left paralyzed from the neck down by a catastrophic stroke seven years ago lost his High Court battle Thursday to gain a legal right to end his life when he chooses.

Tony Nicklinson's condition means it is impossible for him to take his own life -- and he wants the legal right to have a doctor take his life without fear of prosecution.

Since he suffered the stroke in 2005, the former rugby player, now 58, has had to endure what is known as locked-in syndrome.

"This means that most of my body is paralyzed but my mind is as it was before the stroke. All I can move is my head, and the stroke took away my power of speech. Now I talk to people with a perspex spelling board or a computer operated by my eye blinks," he told CNN in an interview in June.

But while expressing sympathy for his situation, the High Court ruled Thursday that such a significant change to the law -- involving overturning the ban on voluntary euthanasia -- would have to be decided by lawmakers.

The judges also rejected a similar challenge to the law brought by a second man suffering locked-in syndrome, named only as Martin.

"The Court recognised that the cases raise profoundly difficult ethical, social and legal issues, but it judged that any change to the law must be a matter for Parliament to decide," a statement from the court said.

The ruling upset Nicklinson, who cried as his wife, Jane, told the waiting media that the family was "bitterly disappointed" and would file an appeal.

In the meantime, her husband will have to continue living as he is, or starve himself to death, she said.

In a statement given via his computer, Tony Nicklinson said: "It's not the result I was hoping for but it isn't entirely unexpected. Judges, like politicians, are happiest when they can avoid confronting the real issues and this judgement is not an exception to the rule.

"I believe the legal team acting on my behalf is prepared to go all the way with this but unfortunately for me it means yet another period of physical discomfort, misery and mental anguish while we find out who controls my life -- me or the state."

His daughters, tweeting on his behalf Thursday, urged people to sign a petition via his Twitter account supporting his "right to die with dignity." Within hours, more than 2,200 people had added their name.

Jane Nicklinson said the family did not intend to go to Switzerland, which has an assisted suicide law, because it was expensive and her husband did not think he should have to go overseas to die.

She and their two daughters fully support his battle in the British courts, which has already lasted several years.

Speaking to CNN in June, Jane Nicklinson described her husband before the stroke as a man who was the "life and soul of the party," making his current severely restricted existence even harder to bear.

"He was a big bloke, ex-rugby player, he worked hard but he played hard. He was full of life, great sense of humor, loved the sound of his own voice," she said.

And she said she wanted the judges to understand "the injustice of it all," as they considered his case.

"You or I could go out and take our lives at any time we want, whereas Tony, being the one who really needs that right, can't do this -- and he's only asking for what everyone else has got really, his right to take his own life, he wants that given back to him," she said.

Before his stroke at age 51, the couple lived a comfortable life in the United Arab Emirates and traveled extensively.

Tony Nicklinson was a senior manager with a Greek civil engineering contractor, a job he enjoyed, and was chairman of the local sports club.

Although he does not necessarily want to end his life straight away, he is frustrated by the indignity and tedium of his current condition, which hasn't changed for seven years and which doctors say could continue for years.

"Some people have in the past spoken to me in the loud, slow and deliberate tones normally reserved for the deaf or daft. I am neither," he said.

"All too often, well-meaning able-bodied people just assume that if a person is so severely disabled that he needs assistance to commit suicide, he must automatically be unable to deal with such choice.

"I say that where a person has the mental ability, he should have the choice of his own life or death. The only difference between you and me is my inability to take my own life."

Nicklinson has embraced Twitter as a way to communicate his views to the world and has more than 40,000 followers.

He describes himself, with wry humor, as a "Twitter novice with locked-in syndrome dribbling his way to an uncertain future."

But asked if social networking service had made a difference to his quality of life, he said he views it "as a means to an end, not an end in itself. Life is too painful for too many reasons for Twitter to make a significant difference."

Nicklinson does not believe it unfair to ask doctors to end life, one of the arguments against a change in the law, saying it is not uncommon for doctors to make such decisions already in the course of their career.

"Doctors pledge to save life and to relieve suffering wherever possible. If it's necessary to end a patient's life to relieve someone's suffering, tough. Doctors can't pick and choose which bits they will do and which bits they won't -- they signed up for the whole package," he said.

"There is too much emphasis on saving life at all costs and not enough thought given by society to the quality of the life saved. I am not advocating that doctors make the life or death decision at the time but the patient should be given the option of assisted dying, if he requires help."

Lawyer Saimo Chahal, who is acting for Nicklinson, said ahead of Thursday's ruling that it would involve a "very significant change in the law" since there is no legal precedent in the United Kingdom.

She said that Nicklinson would be devastated if the ruling went against him, but that he is a "fighter" who would want to carry on the legal battle against what he sees as discrimination on the grounds of disability.

The Ministry of Justice had opposed a change in the law.

CNN's Nima Elbagir, Laura Smith-Spark, Erin McLaughlin and Dominique Van Heerden contributed to this report.

@highlight

NEW: Tony Nicklinson sets up a petition in support of his right-to-die case

@highlight

Nicklinson: Court ruling means yet more "physical discomfort, misery and mental anguish"

@highlight

The High Court says such a significant legal change is down to Parliament

@highlight

Nicklinson's mind was unaffected, but most of his body is paralyzed after a stroke