(CNN) -- Forget everything you know about what's making us fat.

We hear a lot about Americans being fast food-addicted couch potatoes, and while that does play a role in the nation's expanding waist lines, a new study concludes it's not the driving force behind the obesity epidemic.

Instead all Americans -- no matter what income level they have and no matter what neighborhood they live in -- are getting bigger because food is cheaper than ever before, the study authors say. Simply put, we're spending less of our total budget on food so we're buying more.

The study, published in the June edition of the journal CA Cancer, found that people in 1930 spent about a fourth of their disposable income on food. Today food takes up about a tenth of our disposable income. Food is also easier to prepare and easier to purchase than it was in 1930.

That means Americans aren't just eating more high-calorie food, they are eating more of a variety of foods. Consequently, Americans have consumed, on average, about 20% more calories since the 1970s.

Lead study authors Roland Sturm and An Ruopeng hope it will lay to rest some myths about obesity.

He lost 125 pounds, but still felt fat

"If you look at the data over time, you actually see a slight increase in exercise. And Americans have more access to fruits and vegetables," said Roland Sturm who is a senior economist at the RAND Corporation. "It's not Southern hospitality that is driving this trend, nor is it income or education. Really nothing protects us from this challenge of obesity."

On average, Americans have been getting fatter since at least the 1950s, maybe even longer. While the data isn't perfect, experts looking at health records for men between the ages of 40 and 49 see a steady increase in body mass index since 1900.

Obesity isn't only a problem for people who want to wear bikinis to the beach. Excess body fat can raise a person's risk for heart disease, cancer, diabetes, stroke and chronic illnesses.

"What this article reinforces is that we need to continue our research to find what combination of strategies will be most effective long term in helping all of us live healthier lives," said Colleen Doyle, director of nutrition and physical activity for the American Cancer Society.

Doyle suggests a better built environment where it is easy for people to engage in physical activity -- meaning sidewalks and bike lanes and safer streets. Also helpful would be changing social norms so that families will expect healthier school meals and calorie counts are readily available on restaurant menus.

"No one thing is the solution to this problem we are having," Doyle said.

Can you really control where you lose fat?

This latest study points out a few positives. Americans are exercising more: Data from the Centers for Disease Control and Prevention show an uptick in the number of people who say they get 30 minutes of moderate exercise five or more days a week, or 20 minutes of vigorous activity on three or more days (about 51% in 2009, compared to 46% in 2001).

The availability of fresh produce has also increased over the last 40 years, with a 27% increase in fresh fruit and a 21% increase in fresh vegetables per capita from 1970 to 2010. But the number of people who actually eat fruits and vegetables has stayed flat.

That may be one area where public policy could help.

Agriculture policy "has a huge impact on what people eat," said study co-author An Ruopeng. "Maybe instead of promoting commodity food like corn and soy, we could instead incentivize small farms to grow more fruits and vegetables."

"We don't want food to become really expensive again; that is not the answer," said Sturm. "The markets were successful in solving a really old problem" of food scarcity. "Now we have a new problem in the works with obesity, so we may need the market forces now to nudge in a different direction."

How to break your junk food addiction

Sturm believes a policy South Africa has tried may help. In some 800 supermarkets in the African country, healthy foods were subsidized and available at a 25% discount. The price did "nudge people in the right direction" to eat healthier.

A tax on sugary foods and sodas in Mexico was also introduced last year, but experts are still waiting to see what impact that policy will have on eating habits. Here in the United States, some members of Congress have introduced similar taxes, but haven't been able to get them passed.

It will take more than public policy to end the obesity epidemic, the study authors say.

"There is no silver bullet," Sturm said. True change would have to come from the ground up.

Smoking, for instance, used to be common indoors, but policy and social attitude has made that less socially acceptable.

"When people come over to visit, you offer them a coke or freshly baked cookies," Sturm said. "That is the social norm. But maybe in the future we will look at that behavior like we do about public smoking."

Two big meals may be better than six small ones

@highlight

Americans consume 20% more calories than they did in the 1970s

@highlight

Food is cheaper for Americans than at any other time in history

@highlight

The obesity epidemic will not be solved with one policy or plan, experts say