(CNN) -- The U.S. Agriculture Department cited drought and heat on Wednesday in designating 597 counties in 14 states as primary natural disaster areas.

"As drought persists, USDA will continue to partner with producers to see them through longer-term recovery, while taking the swift actions needed to help farmers and ranchers prepare their land and operations for the upcoming planting season," Agriculture Secretary Tom Vilsack said in a statement.

The designations make qualified farmers in the areas eligible for low-interest loans, the agency said.

Affected counties have suffered severe drought for eight consecutive weeks, which qualified them for the automatic designation.

Richard Oswald, a 62-year-old farmer in Missouri's Atchison County, said he has been hit hard by the drought but was not sure whether he would take advantage of the drought designation for his county by getting a low-interest loan.

"The hay situation is not good; the pastures burned up early because of the heat and lack of rain," said Oswald, who was born on a farm and has been farming since he was a teenager. "This is the worst drought that I have ever seen. An emergency loan is great, but it's still borrowed money, and as a farmer, that's not good because you have to pay it back."

Chad Breiner of Wabaunsee County, Kansas, said the drought has affected his bull-selling business because he uses grass for feed and has to buy hay.

"The fact that it hasn't rained significantly since June is going to make 2013 look rather bleak because the ponds are low, the creeks are low, and without adequate moisture in the next few months when grazing comes up, our production is going to be significantly less than normal," he said.

Last year, the USDA designated 2,245 counties in 39 states, or 71 percent of the United States, as disaster areas due to drought.

Australians battle wildfires

Wednesday's announcement comes a day after the National Oceanic and Atmospheric Administration said that 2012 had been the hottest year on record for the continental United States and the second-worst for "extreme" weather such as hurricanes, droughts or floods.

The year's average temperature of 55.3 degrees Fahrenheit across the "Lower 48" was more than 3.2 degrees warmer than the average for the 20th century, NOAA reported. That topped the previous record, set in 1998, by a full degree.

Drought shriveled crops across the farm belt, leading to an expected rise in food prices in 2013, according to USDA. It also turned forests of the mountain West into tinder stands that exploded into wildfires over the summer, scorching millions of acres and destroying hundreds of homes.

Seven of the 10 hottest years on U.S. record, which date to 1895, and four of the hottest five have occurred since 1990, according to NOAA.

Rough winter weather hits Middle East

The year also saw Arctic sea ice hit a record low in more than 30 years of satellite observations and studies that found the world's major ice sheets have been shrinking at an increasing rate.

Scientists are quick to point out that no single storm can be blamed on climate change, but say a warming world raises the odds of extreme weather.

"I think, unfortunately, 2012 really may well be the new normal," said Daniel Lashof, director of the climate and clean air program at the Natural Resources Defense Council, a U.S. environmental group. "It's the kind of year we expect, given the global warming trend is ongoing."

The science of global warming is politically controversial but generally accepted as fact by most researchers, who point to heat-trapping carbon emissions from the burning of fossil fuels as the major cause.

CNN's Matt Smith and Carma Hassan contributed to this report.

@highlight

NEW: "This is the worst drought I've ever seen," says 62-year-old Missouri farmer

@highlight

The designations make farmers eligible for low-interest loans

@highlight

Help kicks in automatically after eight consecutive weeks of severe drought

@highlight

597 counties in 14 states are designated primary natural disaster areas