Port-au-Prince, Haiti (CNN) -- Israeli rescuers pulled a 22-year-old man from the ruins of a three-story building on Friday, 10 days after the massive earthquake killed tens of thousands of people.

The man, who was not immediately identified, was rescued near the quake-ravaged presidential residence south of the capital, according to the Israel Defense Forces.

Maj. Zohar Moshe said American and French doctors asked for the Israeli team's assistance after trying to rescue the trapped man themselves.

The rescuers "were able to release him whole and healthy" and take him to an IDF field hospital in stable condition for further treatment," he said.

Rescuers continue efforts to find survivors who have defied the odds, including a 7-year-old boy and 11-year-old girl who were found Tuesday. Another 5-year-old boy, Monley, was pulled alive from rubble nearly eight days after the 7.0-magnitude quake had leveled much of Port-au-Prince.

More than 121 people have been pulled alive from the rubble, the United Nations said this week.

Fires are expected to flare up in the quake's aftermath, from broken mains and other damage. A massive blaze consumed a textile factory in Port-au-Prince Friday night as U.N. workers tried to contain the flames and spare nearby buildings. The cause of the fire was not immediately known.

Meanwhile, aftershocks from the 7.0-magnitude quake have become a way of life for people here as they spend their days searching for food, water and shelter.

Haitians brace for each aftershock as they wait for supplies and sustenance to reach them.

More than $355 million in donations in the United States alone has been raised for the relief effort, but stacks of aid -- baby formula, pain medication, antibiotics and other much-needed supplies -- are sitting on the tarmac and in warehouses at the airport in Port-au-Prince, the capital.

What is reaching the hands of survivors is getting there at a snail's pace.

"It's a shame, because you would hope that everything could get out there within seconds," Air Force Col. Ben McMullen told CNN's chief medical correspondent, Sanjay Gupta, at the airport. "But that kind of infrastructure just isn't in place."

Full coverage | Twitter updates

Each new aftershock -- smaller earthquakes that follow a more powerful one -- slows down the relief effort even further.

Friday morning's 4.4-magnitude quake was much less powerful than the 7.0-magnitude one that struck January 12, leaving widespread death and destruction in its wake. A 5.9-magnitude earthquake Wednesday was the strongest aftershock of the week -- enough to cause considerable damage, the U.S. Geological Survey said, though the extent of damage that any earthquake causes depends on factors such as its depth, its proximity to dense population centers and the strength of structures where it hits.

An American adoption service provider in Haiti wrote in a blog that the aftershock Wednesday sent "a wall tumbling down on our heads." Save the Children said its staff "heard already-weakened structures collapsing" as a result.

Still, the 7.0-magnitude quake was more than 40 times stronger than the 5.9-magnitude aftershock, researchers said. The death toll is estimated at 200,000, according to the European Union, whose commissioner for development and humanitarian aid, Karel De Gucht, got a firsthand view of the situation in Port-au-Prince this week.

About 250,000 people are in urgent need of aid and another 3 million have been affected, the EU reported.

Despite all the obstacles, some progress was made Friday.

The city's south pier was operating, though slowly. Authorities pushed Friday to get operations moving faster at the port. The north pier remained unusable, and the south pier is the smaller of the two.

In addition to the aftershocks, bottlenecks at all points of entry -- the airport, roads and ports -- have delayed food and medical aid to the estimated 3 million Haitians affected by the quake.

Canadian troops have been working to open an airport in Jacmel, a seaside town about 8 miles from Port-au-Prince.

About 120 to 140 flights a day were coming into the single-runway Port-au-Prince airport, compared with 25 a day just after the quake struck last week. But there was still a long list of flights waiting to come in, Lt. Gen. Douglas Fraser of the U.S. Southern Command said Thursday.

iReport: List of missing, found | Are you there?

To improve air traffic, the U.S. military said Wednesday it had obtained landing rights at the Dominican Republic's air base at San Isidro, about 220 kilometers (135 miles) east of Port-au-Prince.

Dominican troops will start patrolling a critical corridor between Jimani and Port-au-Prince, the United Nations said. The patrol should speed the delivery aid into Haiti, it said.

In the meantime, working under adverse conditions with limited supplies, medical teams have been forced to improvise.

Renzo Fricke, field coordinator for Doctors Without Borders, said this week staffers had to buy a saw in the market so surgeons could do amputations. A CNN crew loaned a medic a pocketknife for another operation.

Lacking rubbing alcohol, doctors have used vodka to sterilize equipment and instruments. Surgical patients are receiving over-the-counter pain medicine because doctors lack stronger medication. One nurse used a string of Christmas lights as a makeshift extension cord.

The USNS Comfort, a U.S. naval hospital off the coast, received about 240 patients over 36 hours, said Capt. James Ware, the commanding officer. "Most of those individuals are critical care types of injuries," he told CNN's "American Morning."

Virtually all are being brought to the ship by air. The ship has 80 doctors, including 24 surgeons, and 140 nurses, he said.

"I think when we're totally mature, which will be in the next two to three days, we believe that we'll be able to push about 150 patients through to the ship and off the ship every day for surgical care, and the government of Haiti is giving us guidance exactly on where those patients will receive their follow-on care," he said, adding that officials hope the international community and the United Nations will oversee that process.

More than 300 aid distribution sites are up and running, a senior U.S. administration official said. More than 700,000 meals and 1.4 million bottles of water have been delivered, along with 22,000 pounds of medical supplies, Fraser said.

Impact Your World

Puerto Rico's 250-feet long, 80-feet wide Barge of Hope -- loaded five pallets high with food and water, medical supplies, generators and sundries -- set sail Friday afternoon.

Puerto Rican authorities say that when it arrives in Haiti on Monday morning, it will be the single largest shipment of aid to arrive there to date. The roughly 4 million pounds of food are enough to feed the people of Port-au-Prince for a week. Organizers say it would take 150 planes to carry as much cargo.

A group of rescuers told CNN Friday that each rescue gives them hope to keep working.

"Every time we find a live victim that's the energy that keeps us going to the next day," said Capt. Louis Fernandez of Miami-Dade Urban Search and Rescue.

"These are some of the harshest conditions I've ever seen," he said, adding, "Nothing has ever prepared us for what we've seen here this week."

At least 9,288 Americans and some of their family members in Haiti have been evacuated, according to the U.S. State Department, though the whereabouts of nearly 5,000 other Americans remain unknown. Some 75 others from the United States -- including five government officials -- are either confirmed or presumed dead.

CNN's Arthur Brice, Susan Candiotti, Jill Dougherty, Eric Marrapodi, Lisa Desjardins and Elise Labott contributed to this report.

@highlight

NEW: Man rescued near the quake-ravaged presidential residence south of the capital

@highlight

NEW: Massive blaze consumes a textile factory in Port-au-Prince Friday night

@highlight

A 4.4 aftershock rattles Port-au-Prince Thursday, following worse one Wednesday

@highlight

Supplies pile up at airport but no distribution system seems to exist, Sanjay Gupta reports