(CNN) -- The lawyer for comedian Bill Cosby, in response to over a dozen allegations of sexual assault by different women over many years, made this statement on November 16:

"Over the last several weeks, decade-old, discredited allegations against Mr. Cosby have resurfaced. The fact that they are being repeated does not make them true. Mr. Cosby does not intend to dignify these allegations with any comment. He would like to thank all his fans for the outpouring of support and assure them that, at age 77, he is doing his best work. There will be no further statement from Mr. Cosby or any of his representatives."

This terse press release tries to convince us that an accusation of rape cannot be true if it is 1) old news 2) already disbelieved by at least one person and 3) made against a man almost 80 years old.

We don't know what Bill Cosby did or did not do, but these allegations should not be easily dismissed. Over a dozen women have come forward alleging remarkably similar patterns of abuse. While alone with Cosby, they say they were drugged and assaulted, then silenced afterward by Cosby handlers.

One of the victims is Barbara Bowman, a 46-year-old married mother of two, who said Cosby repeatedly raped her when she was a teenager and aspiring actress under his tutelage. Bowman has no financial incentive to speak out; she never asked for or received money from Cosby, and the statue of limitations in her case has long passed.

It takes a surprisingly long time for victims' denial to crack. I know this firsthand. Five years passed before I spoke about my own abuse, and another 10 before I wrote about it.

Some victims can't admit for years -- even to ourselves -- that we were raped. Denial, shame and self-doubt are all typical psychological byproducts of being abused by someone you trust. No one wants to be a victim of sexual abuse. It's hard to admit it and it's natural to think that denying a traumatic, demeaning, embarrassing assault gives you control over the damage. Victims sometimes need decades to come forward about what is perhaps the most traumatic physical and psychological betrayal that one can experience.

It is harrowing to speak out about rape and other acts of abuse perpetuated by someone you know. You feel complicit; someone you trusted caused you terrific physical pain and humiliation. This is not like describing how you lost your wallet or broke your leg skiing. Immense courage is required to report the crime, and to allow others to intentionally or unintentionally make you relive painful experiences you'd give anything to forget. The trauma compounds when your rapist is famous. Everybody grills you about meaningless, salacious, intrusive details.

Many people do not want to believe you. It is excruciating to hear about rape and assault. Most listeners therefore want to disbelieve victims. So it's not surprising that these allegations about Cosby have been discredited before. Lawyers, police officers and prosecutors had powerful psychological and financial motives not to believe victims who reported Cosby's attacks.

For these reasons, acquaintance rape and all other forms of intimate violence are vastly under-reported, under-prosecuted crimes. Victims need and deserve extra time, and extra respect, when they summon the courage to expose their assaults.

The stigma of being a rape victim is starting to erode little by little. People who were never raped are beginning to internalize that it's normal to delay reporting rape, it's normal to have great difficulty confronting an abuser, particularly a powerful celebrity, and it's normal for a victim to feel shame, reticence and confusion.

Rape and relationship violence experts know that one of the most important factors in recovering from assault is that the first person you tell believes you. Even if decades-old allegations are surfacing, we need to take them as seriously as if the assaults occurred yesterday.

Let's hope that the media, corporate leaders and our criminal justice system begin to offer compassion and dignity to women (and men) coming forward with allegations of violence and sexual assault. Let's try to find ways to end rape on college campuses, in the military, in the NFL, in our religious institutions, in our homes and elsewhere.

@highlight

Leslie Steiner: Bill Cosby's lawyer tries to dismiss allegations against Cosby

@highlight

Steiner: We don't know what Cosby did or did not do, but we should take this seriously

@highlight

She says over a dozen women have come forward alleging similar patterns of abuse

@highlight

Steiner: No woman wants to be a victim of rape or abuse; it takes courage to report it