(CNN) -- As someone who has had the great honor of commanding four different ships for the United States Coast Guard, I have watched the news about the Costa Concordia -- the grounding of the vessel and the resulting death of at least 11 people -- from the perspective of a seagoing captain.

We must all await the findings of a proper investigation, but for anyone remotely familiar with a captain's awesome responsibilities for the lives of his passengers and crew, the reported behavior of the Concordia's skipper, Francesco Schettino, is almost unfathomable.

The captain of a ship at sea is one of the last bastions of total authority in this world. The ocean is a dangerous place, where life and death decisions often need to be made in an instant. For this reason, a sea captain is granted complete independence, power, and control aboard his vessel.

But with that absolute authority comes absolute responsibility. In the case of a cruise ship, thousands of passengers have come aboard with the expectation that they are in the hands of a competent crew headed by a competent captain. They are depending on his professionalism, skill and dedication to his one and only mission: to navigate his vessel safely and prudently from point A to point B.

To meet that mission, a modern sea captain is provided with all kinds of resources. He is given extraordinary training for the challenges of the waters he is in and the vessel he is commanding. He is given extraordinary electronic gadgetry that allows him to fix his position on the globe within inches. He receives all sorts of input information -- weather reports, charts detailing virtually every hazard in his area of operation, and detailed information on pathways to take and pathways to avoid -- all of which arm him to make good judgments as to where he is going.

The captain of the Costa Concordia had all these resources at his disposal, and yet audio recordings and other accounts appear to show him violating every commonly accepted notion of how a captain will behave in a crisis.

First, he came in close to the island in spite of the obvious navigational challenges that meant in terms of safe passage. It is a captain's responsibility to err on the side of safety. When I commanded Coast Guard cutters undertaking hazardous military missions, I invariably chose the safer path whenever I had the opportunity to do so. The captain of a cruise ship, whose sole mission is the safe transport of your passengers, has no excuse to choose anything but the safest path.

Second, the chaos that followed the grounding of the ship appears to reflect the captain's lack of leadership aboard his vessel. By all accounts he failed to institute a command structure in which his crew was prepared to do their duty to organize the passengers for a safe embarkation from a sinking platform -- and as a result, 11 people are dead and more than 20 others are still missing.

Third, his personal decision to leave the vessel before his passengers had safely embarked from the ship shows a flagrant disrespect for his ultimate responsibilities as a sea captain. A captain does not necessarily have to go down with his ship, but under no circumstances does he leave his ship to save himself before he has saved those whose lives are in his hands.

Given these serial failures of responsibility, the one blessing is that the accident occurred so close to shore, which allowed so many of the passengers to reach safety on their own. One can only imagine how many might have perished had the ship run into trouble at sea with this particular captain and crew.

There will be an investigation in the aftermath. But even before it gets under way, one thing is clear: the training and promotion process that put a man like this in command of a passenger ship missed the character flaw that allowed him to jeopardize his vessel for some apparently transient and empty purpose. That promotion system is in need of serious repair.

When I first heard about the Costa Concordia, I thought back to the guidance that Alexander Hamilton provided in 1790 to the captains of the first 10 cutters of the U.S. Revenue Marine -- the precursor to the Coast Guard. Hamilton advised that they had been "selected with careful attention to character" and told them to "Refrain from haughtiness, rudeness, or insult" and to "Endeavor to overcome difficulties by a cool and temperate perseverance in your duty." He declared that a captain's demeanor and behavior must "be marked with prudence, moderation, and good temper. Upon these qualities must depend the success, usefulness and ... continuance of the establishment in which they are included."

An off duty captain, Roberto Bosio, happened to be on board the Costa Concordia when it ran aground and swung into action, helping dozens of women and children into lifeboats. He has been called a hero in the Italian press, but rejects the moniker. "Don't call me a hero. I just did my duty, the duty of a sea captain," he said. Captain Bosio met Alexander Hamilton's charge. Captain Schettino failed to do so in every imaginable way.

Join CNN Opinion on Facebook and follow updates on Twitter.

The opinions expressed in this commentary are solely those of James Loy.

@highlight

James Loy, retired admiral, says the reported behavior of Costa captain is unfathomable

@highlight

He says ship captains have huge authority, responsibility, training to make good decisions

@highlight

He says Costa captain made series of indefensible decisions, including abandoning ship

@highlight

Loy: Promotion system that put someone with poor judgment at helm needs repair