Washington (CNN) -- As speaker of the House, John Boehner faced battles on two fronts during his first term: fights with President Barack Obama on a series of high-profile fiscal issues, and internal skirmishes with conservative rank-and-file Republicans who openly defied him because they didn't think he was doing enough to cut spending.

And as Obama takes the oath of office and begins to address the challenges of his second term, his on-again, off-again negotiating counterpart faces his own set of challenges in the coming weeks.

Days after the bruising fight at the end of 2012 to avert the fiscal cliff that divided the House GOP conference -- as well as his own leadership team -- a dozen House Republicans broke with Boehner by not supporting him for speaker in the public vote on the House floor. Boehner was reelected with the vast majority of his conference sticking with him, but the episode demonstrated his weakened position and raised questions about whether he could lead his members in new fights ahead.

House Republicans pledge to back Boehner

But after a three-day retreat of all House Republicans last week at a resort in Williamsburg, Virginia, GOP members appear to be regrouping and putting the messy squabbles behind them. Leaders are shifting their strategy away from one of aggressive confrontation to giving some ground to show they can govern.

Boehner succeeded at tamping down the public splits among House Republicans -- at least for now -- and adjusted the expectations for his members. Two years ago, a large freshmen class backed by the tea party handed Boehner the gavel as speaker. This group pushed for massive spending cuts and changes to how the government operates. But the dysfunction and gridlock after those demands hit a wall with a majority Democrat Senate and Obama, sending Congress' approval ratings plummeting.

Polls show the GOP got the bulk of the blame. For Boehner, just getting the bare minimum done on Capitol Hill turned into a herculean task.

Congress faces a trio of major legislative battles in the first 90 days of 2013 -- the need to raise the debt ceiling as early as mid-February, automatic spending cuts kicking in at the beginning of March, and another threat of a government shutdown at the end of March. But instead of arguing as they have -- that their majority in the House is a mandate from voters not to compromise -- GOP leaders decided to start the year taking smaller steps to achieve their goals.

House Republicans to vote on three-month debt ceiling extension

At the retreat, Boehner tapped former 2012 GOP vice presidential candidate Paul Ryan of Wisconsin, popular among conservative ranks, to walk members through the big fights ahead.

GOP faces realities of divided government

Ryan, the House Budget Committee chairman, said the GOP was still determined to force Congress to take up major deficit-reduction measures, but summed up his message to reporters after a session with all House Republicans.

"We also have to recognize the realities of divided government that we have," he said.

Acknowledging that another contentious face-off with the White House over the debt limit wasn't likely to end well for them, Boehner worked with a small group of members that included Ryan and other leading conservatives to come up with a plan to postpone that fight.

As the retreat ended Friday, House GOP leaders announced the House would vote next week on a bill to extend the nation's borrowing authority for another three months. But their plan removed a hardline demand for spending cuts that House Republicans previously insisted had to be attached to any measure to increase the debt ceiling.

That so called "Boehner rule" -- any increase in the debt limit had to be accompanied by spending cuts of the same size -- was only going to run into another public clash with the White House.

Instead, their legislation conditions the increase in the debt limit on a requirement that the Senate pass a budget -- something conservatives complain the upper chamber has failed to do the past four years. And their proposal also includes a provision that says if Congress doesn't pass a budget by the mid-April deadline, its members won't get paid.

House GOP aides maintain that the Boehner rule is still in place as they negotiate measures down the line, but taking it out of the mix for now was a major acknowledgment that the fight had become unwinnable.

South Carolina Rep. Mick Mulvaney, one of the dozen House Republicans who didn't vote to reelect Boehner speaker, told reporters after the retreat that he agreed it was better to push off the most contentious battle.

"Why wouldn't we deal with the smaller ones first, maybe build up a little momentum, build up a little credibility -- not only with the credit markets but also with the folks back home -- that we can actually deal with these things," Mulvaney said, adding, "I think it makes perfect sense. It's a rational, reasonable thing to do."

Another conservative member, Rep. John Fleming of Louisiana, who noted that he's never voted for a debt-ceiling increase, said he supported the approach. He also pointed out that the move reflected a commitment by Boehner to avoid one-on-one-negotiations with the president on these issues in the future, and instead chart a course internally first.

Boehner puts onus on Obama

"I don't see the divisions now that maybe we've seen in the past [among Republicans] and I think the process has improved," Fleming said.

Different tone coming out of GOP retreat

The tone coming out of the retreat signals that leaders convinced many of those pushing for broader changes that they need to rethink how realistic it is to send proposals out of the House only to hit a wall in the Senate.

But the cease-fire between conservatives and Boehner may not last long.

Mulvaney noted that most of the newly elected House Republicans backed his effort to force Congress to offset the disaster aid package for victims of Superstorm Sandy -- a departure from congressional precedent to give immediate emergency money to states without any strings. Although that proposal failed, Mulvaney argued the strong support for it was evidence that conservatives would have more power internally to pressure leaders.

Christie: 'Shame on Congress' for not voting on Sandy aid

"Maybe the freshmen might be a little more fiscally conservative than people expect them to be," Mulvaney said.

Rep. Steve Scalise of Louisiana, who heads the Republican Study Committee, a group of fiscal conservatives, was part of the group Boehner tapped, along with Ryan, to devise the three-month debt-ceiling extension.

While he helped GOP leaders generate buy-in from conservatives for moving away from their insistence for spending cuts now, Scalise summed up his role going forward: "I need to pull our leadership to the right."

It's unclear how the debt-ceiling battle will play out. Some Democrats saw the move to as encouraging, but argue revisiting the issue in three months causes instability for financial markets. And House Democrats called the requirement for Congress to pass a budget a "gimmick."

Fiscal debates will again dominate Congress' agenda for early 2013, but other contentious battles such as immigration reform will also split House Republicans and could test Boehner's hold on the speaker's gavel.

After the shootings at an elementary school in Connecticut in December that killed 20 children and six adults, Obama has urged Congress to make legislation with new restrictions on guns and ammunition a top priority. Boehner told House Republicans at the retreat he'll look at what the administration is proposing, but he doesn't plan for the House to take any action until the Senate passes something, and that could be an uphill battle.

The GOP retreat also featured a panel with pollsters who showed internal numbers highlighting the party's deficit of support among women and minorities. Both Virginia Gov. Bob McDonnell and former Puerto Rico Gov. Luis Fortuno urged members to step up efforts to show it welcomes those groups.

Attracting minority voters a key GOP goal

Rep. Greg Walden, who runs the House GOP 2014 campaign operation to retain and expand their majority, told reporters he tapped Rep. Jamie Herrera Beutler, the youngest female House member and a Hispanic, to help with outreach.

But Walden admitted Republicans need to step up that effort as the Hispanic community was increasing its voting numbers.

"We recognize that Republicans have good answers, we just have bad communications in many cases."

@highlight

House speaker's failed negotiations with Obama weakened him among his own caucus

@highlight

House Republicans come out of three-day retreat looking like internal squabbles being settled

@highlight

Boehner still faces divisive fiscal fights between now and March

@highlight

Other challenges await: Gun legislation and attracting women and minorities to GOP