London (CNN) -- U.S. President Barack Obama's plan to expand the military campaign against ISIS terrorists into Syria, and to boost American backing for rebels fighting Syria's President Bashar al-Assad, represents a grave escalation that risks dragging the U.S. and its allies into an open-ended regional war.

In his televized speech to the nation on Wednesday evening, Obama argued his proposed strategy of extended air strikes and use of local ground forces (but not American combat troops) against the extremists also known as ISIL and the Islamic State in Iraq and Syria was fundamentally different from past White House policies that led the U.S. to fight two Middle East ground wars in as many decades.

But Obama, as he has shown repeatedly since 2008, is a reluctant warrior with no particular expertise in armed conflict. No doubt John F. Kennedy felt that he, too, understood the risks when he started sending American advisors to Saigon in the early 1960s. Like JFK, he may be starting a fight he cannot finish, which will run on and on for untold years.

Obama, who came to office wearing the mantle of a man of peace and agent of change, has ultimately proved little different in this respect from predecessors such as Ronald Reagan and George W. Bush. His tone on television was nationalistic and bombastic. American primacy, he said, was "the one constant in an uncertain world." He continued: "Our endless blessings bestow an enduring burden. But as Americans, we welcome our responsibility to lead."

In Obama's case this sounds slightly disingenuous. Facing a rising, ignorant right-wing clamor about his alleged weakness and indecision in world affairs, the Obama of the "Yes We Can" era has slowly and unwillingly been transformed into Barack the Bomber.

In 2008 Obama promised an end to the wars in Iraq and Afghanistan, a new deal with the Muslim world, a reset in relations with Russia, and real-time nuclear disarmament. Six years later, his plans mostly lie in ruins, shot down like an unsuspecting aircraft over eastern Ukraine, and he is in danger of going backwards.

"I've spent four-and-a-half years working to end wars, not to start them," Obama said last year, explaining his decision not to punish al-Assad for his chemical weapons attacks.

Now, in apparent response to his Republican critics, to public outrage over the beheadings of two American journalists, and with one eye on November's mid-term Congressional elections, Obama is stoking a generational conflict. It has the potential to further inflame Syria's civil war, draw in neighboring countries such as Turkey and Iran and allies such as Britain and France, and provoke the very ISIS threat to the U.S. mainland and Europe that Obama admits does not currently exist.

Obama's strategy, as set out Wednesday, is full of holes. Attacking ISIS strongholds inside Syria will be portrayed by the Assad regime as vindication of its long-standing claim that the real fight there is against jihadists and terrorists, not a legitimate civilian opposition. Obama is gambling on the notoriously fractious Free Syria Army becoming a much more effective force than it has to date, and on Congress's willingness to underwrite it with up to $500 million in additional funds.

Al-Assad, on the other hand, may choose to oppose U.S. intervention -- and he has the aircraft and the air defense systems to do so. What will Obama do if and when an American airman is shot down and captured by the Syrian army? France has already expressed reservations about getting involved in combat in Syria, as distinct from Iraq. There are also familiar questions about the legality of any such action, which will likely be raised by Russia, al-Assad's ally, or others at the United Nations.

Ground wars, if they are won at all, are invariably won on the ground, not in the air. Recent proof of that contention may be found in Afghanistan (2001 onwards) Iraq (2003) and Libya (2011). But Obama's forces will comprise, initially at least, an untested, rag-tag combination of Iraqi army troops (who were sent fleeing by ISIS during its spring offensive around Mosul), Kurdish peshmerga, Syrian rebels, Shia militias and, possibly, moderate Sunni tribal groups.

The fact that Obama has sent 1,100 American servicemen and women back to Iraq to facilitate the airstrikes and help train local forces, and will now send an additional 475, is not reassuring. They will likely be too few to make a definitive difference. So, as Vietnam showed, the call for more and larger reinforcements may not be long in coming.

Obama is relying heavily on the new multi-ethnic government in Baghdad to unite the fractured country behind the effort against ISIS. He sent John Kerry there this week to stiffen its resolve. Leaders such as David Cameron, Britain's prime minister, have made their involvement in air strikes contingent on a coherent and effective approach from Baghdad.

But Iraq's new prime minister, Haider al-Abadi, a Shia like his predecessor, Nouri al-Maliki, is not a miracle worker. The country is deeply divided along party, religious and geographic lines. The Kurdish regional government in Irbil, the current good guys in the eyes of the West, has used the ISIS crisis to cement its claim to de facto independence (while seizing additional territory around Kirkuk). Although a new national government has been agreed, the Kurds' secessionist agenda is fundamentally at odds with Baghdad's objectives.

The Sunnis remain rightly suspicious of what power-sharing promises may mean in practice. There is no convincing sign as yet that they will launch a mooted Sunni Awakening II, taking on ISIS in the way they took on al Qaeda in 2007 under the tutelage of General David Petraeus. The Sunni fear is that once the dust settles they will be sidelined by the Shia majority once again.

Another key part of Obama's strategy -- regional coalition-building -- is unimpressive to date. President George Bush Sr. showed how strong alliances can be built, in the run up to the first Gulf war in 1991, when he brought in Arab armies alongside U.S. and European troops. In contrast, the anti-ISIS "core coalition" announced by Obama last week at the NATO summit in Wales contained not a single Arab country and only one neighbor, Turkey.

Iran, which has tacitly supported U.S. strikes against ISIS in Iraq, may take a different view of attacks in the territory of its ally, al-Assad -- and set to work to counter them. If it does, this in turn could adversely affect delicate nuclear negotiations between Tehran and the West that reach a climax in November.

More recruits to Obama's forces army are promised when the U.N. General Assembly meets later this month. Without overt and practical backing from Saudi Arabia, other Gulf states, and for example, Jordan and Turkey, Obama's bombing campaign to deny ISIS safe haven may begin to look, to Muslims everywhere, like another deeply objectionable intervention by the western powers in the Middle East.

Could Obama achieve the impossible and actually create sympathy for ISIS? Given his shaky strategy and his performance to date, nothing can be ruled out.

Analysis: Obama speech a do-over on 'no strategy' comment

Round-up: Did Obama sell his ISIS strategy?

@highlight

Simon Tisdall: Obama's plan to expand military campaign against ISIS risks open-ended war

@highlight

Campaign could inflame Syria's civil war, and provoke ISIS threat to U.S. mainland - Tisdall

@highlight

Ground wars, if they are won at all, are won on ground, not in air - he adds

@highlight

Tisdall: Could Obama achieve the impossible and actually create sympathy for ISIS?