(LifeWire) -- When George Dello of San Diego was diagnosed with pancreatic cancer and told he had at best five months to live, he didn't immediately begin the chemotherapy treatments his doctor recommended. Instead, he and his wife, Pam, drove up the California coast and spent a week among the redwoods north of San Francisco.

Expert: Family and friends can help the terminally ill by spending time with them.

"These trees are 5 feet wide and 150 feet tall," said Dello, 43. "They still have another 150 feet to grow and are going to stick around for another 1,000 years. When I thought about that, I'm just a flea on the bark. It's unbelievable."

The trip offered Dello, who worked in the auto repossession business, and his wife a chance to come to terms with the diagnosis in  August 2008, and to scratch the trip to the redwood forests off his life "to do" list while he was still relatively healthy.

He died four months later.

The idea that dying well is as important as living well gained cultural currency last year when Randy Pausch, a computer science professor at Carnegie Mellon University, delivered a final lecture a month after learning that his pancreatic cancer had spread and was inoperable. The lecture was viewed millions of times on the Internet and adapted into a best-selling book.

"We cannot change the cards we are dealt," Pausch, who died in July at age 47, told his audience, "just how we play the hand."

"Die the way you live"

It's easy, experts say, for terminally ill patients and their loved ones to focus so much on their medical care and other important practical matters, including funerals and wills, that a "good" death eludes them. Health permitting, a trip like the one Dello took with his wife can help, as can visits from friends and family.

"You're going to die the way you live," says Fran Moreland Johns, a former hospice volunteer and author of "Dying Unafraid."  "Laughter, music, all of the things that have been important in your life -- if you put them to work for making your end times better, you can actually affect your dying days."

"That's where Randy Pausch has set a wonderful example. He brought all of his skills to bear on living until the moment he died."

Tony Wallace, a retired foreign service officer from Arlington, Virginia, went on a Caribbean cruise with his wife, Susan, after he learned in September 2004 that he had amyotrophic lateral sclerosis, or ALS. As his illness progressed, Wallace, a former adjunct professor of public policy at George Mason University, put his teaching and writing skills to work by starting a blog, "Navigating Through ALS," and using it as a platform to help others suffering from the disease.

"I'm not a compiler of life lists of things I never got to do and places I never got to visit," Wallace wrote in December 2007. "I look back on my life to date and view it as a well-judged race -- like a NASCAR race in which you don't set the speed record, but you don't crash, handle the curves well, and deliver a respectable performance."

Wallace died September 4, 2008 at age 67. Susan Wallace, a part-time editor, says her husband's illness, while painful and difficult, offered an opportunity of sorts.

"If I had to choose between a long-term illness and an immediate death, I think I would go for a long-term illness, although it was hard on both of us," she says. "But the last four years have been incredible years, probably the best years of our marriage. We became closer than we ever were."

For friends and family

Friends and family can help tremendously simply by showing up, says Kathy Brandt, vice president of professional leadership, consumer and caregiver services for the National Hospice and Palliative Care Organization. Often, she says, people worry so much about what to say to someone with a terminal illness -- or about saying the wrong thing -- that they just stay away.

"We need to put aside our selfish fears," says Brandt. "That may sound a little harsh, but it's not really about us."

One way to avoid saying the wrong thing is to steer clear of cliches, she says.

"'God has a reason' or 'tomorrow will be another day' -- those kinds of things are trite, but they're also impersonal," says Brandt.

"If the person wants to chat and talk, then just ask a question or two and let the person talk. If the person's not physically well enough to do a lot of talking, ask if they'd like to hear a story about something that happened at work, or saying, 'Would you like me to read a story to you?' It's all about figuring out where the person is at and meeting them where they are."

Visits can be used to tie up loose ends or resolve old conflicts, says Brandt.

Susan Wallace says her husband had time to repair one particularly nagging rift before he died, and Dello also took opportunities to resolve disputes with friends and former co-workers.

"Most people at the end of their life need closure," says Brandt. "If they've offended someone or had an argument with somebody, they can say they're sorry. Oftentimes they like the opportunity to say goodbye to people. They may not say those words, but that's what those visits can be with friends and loved ones."

In Johns' view, the biggest hurdle for most people is overcoming their fear of the unknown and realizing that, for most, death "is not the worst thing that's going to happen."

"We don't know what dying is," says Johns. "Whatever your religious background, it's easier for us to ignore death and pretend that it doesn't happen than to accept it as an unknown with all the other unknowns -- in this day and age there are a lot of them -- and deal with what we can and not be so spooked."

LifeWire provides original and syndicated content to Web publishers. William Lamb is a staff writer for The Record of Bergen County, New Jersey. His writing has appeared in Dwell, the St. Louis Post-Dispatch, the Philadelphia Inquirer and at USATODAY.com.

@highlight

Randy Pausch set an example of a good death for the terminally ill

@highlight

Author: He used his skills to go on "living until the moment he died"

@highlight

Hospice official: People avoid the sick, worrying too much about what to say

@highlight

Visits can be used by dying to tie up loose ends or heal rifts