Here's a sobering statistic for the unofficial start of summer, when we gear up for picnics, barbecues and our kids having more free time on their hands: Memorial Day kicks off what's known as 100 deadliest days for teen drivers.

From Memorial Day through Labor Day in 2012, nearly 1,000 people were killed in crashes involving teen drivers, and more than 550 of those killed were teens, according to National Highway Traffic Safety Administration data analyzed by the nonprofit National Safety Council.

Some of the reasons for the spike make sense. Teens are driving more during the summer and it might be more recreational than purposeful, the National Safety Council reports. For instance, instead of driving back and forth to school, they might be driving to the beach, lake or river, and heading down roads they haven't driven before.

But one of the biggest reasons for the summer risk increase is that teens might be driving more frequently with more of their friends.

"We have always known that passengers were a big risk for teens, but what we're really finding out now is passengers may be one of the most important risks for teens, even more so than things like texting," said John Ulczycki, the National Safety Council's vice president of strategic initiatives.

Think about it this way, Ulczycki said: Passengers are a distraction the entire time a teen is driving, whereas the distraction from texting is probably limited to the seconds or minutes they're looking at screens instead of the road.

Passengers increase the risk of a teen driver having a fatal crash by at least 44%, according to the National Safety Council.

"It's tragic that parents don't really appreciate the risks of passengers," said Ulczycki, who said parents may understand the risks of texting or cell phone use, but aren't as aware of the dangers of a new driver hitting the road with friends in the car.

A majority of states have laws on the books regarding the number of passengers allowed for new drivers. Some states don't allow any for the first six months or year after getting a license; some allow one passenger.

''If you have a kid who had their license for less than one year, you have to think very, very carefully about the conditions or the situations in which you allow them to carry any passengers. You really do," Ulczycki said.

CNN iReport: Parents of teens share driving tips

Ulczycki, a father of six in Wilmette, Illinois, didn't allow his children to drive with passengers for the first year of their official driving lives. "It was a real bone of contention," he said. "They weren't happy about it, but they all survived."

A recent study found that loud conversations and horseplay between passengers were more likely than technology to result in a dangerous incident involving teen drivers.

The study by the University of North Carolina Highway Safety Research Center tracked 52 high-school age drivers in North Carolina who agreed to have cameras installed in their cars. The study appeared in the Journal of Adolescent Health this spring.

When there was loud conversation in the car, teen drivers were six times more likely to need to take actions like making an evasive maneuver to avoid a crash. When there was horseplay in the vehicle, they were three times more likely to get into a similarly serious episode, according to the study.

"Forty-three states currently restrict newly licensed drivers from having more than one young passenger in their vehicle," Robert Foss, senior research scientist at the Highway Safety Research Center, and director of the Center for the Study of Young Drivers, said in a news release. "The results of this study illustrate the importance of such restrictions, which increase the safety of drivers, their passengers and others on the road by reducing the potential chaos that novice drivers experience."

Earlier this year, we traveled to Roxbury, New Jersey, to talk with Barb Dunn, her husband and her 16-year-old son Daniel about how they were trying to teach Daniel about safety as he learns to drive. Daniel will get his license on June 3.

When I recently got back in touch with Dunn about the dangers of the summer months, her anxiety went up.

"My first reaction is fear. Then sadness," Dunn said via e-mail. "I just heard a similar statistic about prom night being a very dangerous time. ... I think we have to take the time to to talk to our children and remind them of the risks and talk about how to minimize them."

Ulczycki of the National Safety Council said the best advice for parents is to understand the risks about passengers and drive with them so they can get accustomed to having people in the car. He also suggest parents consider the risks of driving at night.

"It's not the time of night. It's how dark it is. That's really the risk here, and I think too many parents think of night driving as a social curfew. 'Well, I'll let my kid stay out until 11 p.m. so he's fine,' " Ulczycki said. "It has nothing to do with that. It has to do with the risk of driving after dark."

Annette DiCola Lanteri, a mom of two in Bayport, Long Island, has two girls who are still a few years away from driving age.

The best thing parents can do, she said on Facebook, is to teach teen drivers the best we can.

"Give them the most knowledge we can so that they can adequately protect themselves, then pray," DiCola Lanteri said. "There are so many variables and we only have so much control."

What do you think is the best way to keep teen drivers safe this summer? Share your thoughts in the comments or tell Kelly Wallace on Twitter or CNN Living on Facebook.

For more information on how to keep your teen drivers safe, go to the National Safety Council's DriveitHOME.org.

@highlight

Memorial Day through Labor Day is the deadliest time for teen drivers

@highlight

In 2012, nearly 1,000 people were killed in crashes involving teen drivers during the summer

@highlight

Researchers: Passengers increase the risk of a teen driver crashing by at least 44%

@highlight

More than 40 states have laws limiting passengers for newly licensed drivers