(CNN) -- In the scorching desert of Qatar, scientists are showing that saltwater can be used to help grow crops.

A one hectare research initiative known as the Sahara Forest Project -- modest in size, but not in ambition -- has produced a harvest of barley, cucumbers and arugula in the last few months using a mix of ingredients not usually associated with successful agriculture: seawater and Qatar's ample supply of heat.

Conceived in Norway, the first-ever Sahara Forest Project facility launched last November to coincide with the United Nations Climate Conference e(COP18) in Doha. It implements a range of cutting-edge environmentally-friendly technologies that takes the things that Qatar has in excess -- heat and seawater -- and converts them into a range of valuable resources.

"These are ideas that could sound too good to be true," admits the project CEO, Joakim Hauge, adding that in the early days the project met with an equal measure of enthusiasm and skepticism.

"Really, though, there's a very simple principle behind this. Our starting point was to take what we have enough of -- seawater, heat -- and use it to produce what we need more of -- water, energy and a sustainable production of food."

The project has a global scope. It boasts seawater-cooled greenhouses, concentrated solar power and algae production -- all working symbiotically to solve several of the world's ecological crises in one go.

Read more: Crowdfunding innovation in the Middle East

"Qatar is one of the most challenging climates in the world to work in for this kind of thing," says Dr. Virginia Corless, the science and development manager. "The high temperatures and humidity make it very challenging for our technology. But if the technology works there, and it has, it proves it's feasible for many locations around the world."

In addition to producing food and desalinated water in regions that indigenously lack both, the facility is also looking into greening the desert and creating alternative, eco-friendly fuel sources.

Synergy is one of the cornerstones of the project; it's what allows it to address so many issues at once, like an elaborate, environmental Rube Goldberg mechanism. The facility features a concentrated solar power plant, which turns heat into steam, then, with turbines and generators, into electricity, which in turn pumps seawater to the site, where it is used to cool the greenhouses.

Freshwater waste from the greenhouses is then used to irrigate plants outside. Strategically planted hedges outside the greenhouse help filter the remainder, creating a humidified and cooler environment for plants downwind.

Read more: Qatar's new cultural jewel

Lastly, the saltwater is also used to cultivate algae, which can be used for large-scale bio-energy production -- though currently the algae plant is still in the research phase. Algae production on its own, says Corless, can be expensive and dependent on geographical constraints (it usually needs to be developed along expensive, sought-after coastal property).

"What we're doing is putting an algae cultivation system into an even broader system that can share costs and increase energy. One of the biggest shared costs we have is the saltwater infrastructure," she says.

Neil Crumpton, the chair and CEO of Planet Hydrogen, an NGO that promotes green energy, says the project is, potentially, a "game changer".

"The biggest issues right now are climate change and water resources globally, and these simple technologies can tackle both," he says. "I can't help thinking that this is vision, not mirage."

Read more: Risks and rewards in West Bank city project

Some experts, however, question if the Sahara Forest Project is the best use of resources. The facility, which was funded by fertilizer companies Yara International and Qafco and cost $5.3 million to set up.

"With the same funding, you could restore ecosystems and help people more effectively through community-based natural resource management," says Patrick Gonzalez, a forest ecologist who has conducted research in the Sahel region of North Africa with the University of California, Berkeley.

"Rather than pouring water on desert sands that haven't had much vegetation in centuries, you can restore land that until recently had a healthy tree cover. Natural regeneration of trees in the Sahel is less flashy and more difficult, but you could directly benefit the families that depend on the trees," he adds.

Despite the mixed reviews, Hague says that the site has proven itself with the new crop influx, adding that many skeptics have been won over.

"It helps when people can see it on the ground, and taste the cucumbers and see that this is real," he says. "We've proven that this can be implemented."

@highlight

Sahara Forest Project in Qatar implements a range of cutting-edge green technologies that all work together

@highlight

The system includes seawater greenhouses, concentrated solar power and algae production

@highlight

The goal is to produce food and other vegetation, as well as desalinated water

@highlight

The project has elicited enthusiasm but also skepticism over whether it is a good use of resources