(CNN) -- In the wake of the tragic shootings at Columbine High School, some schools across the country turned themselves into near-fortresses.

Kindergarden students huddle beneath desks in a lockdown drill. Such drills have become common.

They installed metal detectors and security cameras, banned backpacks, required students to carry IDs and posted police in the hallways -- all in the name of keeping students safe.

Now, 10 years after those highly publicized shootings in which two young men killed 13 people and themselves, school security has taken another dramatic turn.

Some of the noticeable security measures remain, but experts say the country is exploring a new way to protect kids from in-school violence: administrators now want to foster school communities that essentially can protect themselves with or without the high-tech gear.

"The first and best line of defense is always a well-trained, highly alert staff and student body," said Kenneth Trump, president of National School Safety and Security Services, an Ohio-based firm specializing in school security.

"The No. 1 way we find out about weapons in schools is not from a piece of equipment [such as a metal detector] but from a kid who comes forward and reports it to an adult that he or she trusts."  See how many homicides have occurred in schools since 1992 »

The Obama administration plans to create secure schools indirectly, by improving overall education, getting kids more involved in their studies and strengthening school communities, said William Modzeleski, a high-ranking official in the U.S. Department of Education who handles school security.

The trend is reflected in security funding, some of which comes from federal grants. Allocations for the Department of Education's Safe and Drug-Free Schools program were cut by a third between 1999 and 2008, to about $294.8 million last year. And a program that has put about 6,300 police officers in public schools since Columbine was scrapped by the U.S. Department of Justice after 2005, according to Corey Ray, a spokesman for the department.

Ray said he's hopeful President Obama's stimulus package will put more police officers in schools. They act as law enforcement officers as well as counselors and mentors to students, he said.

Meanwhile, money for a school counseling grant program has increased since Columbine, with $52 million set aside for this fiscal year, compared to $20 million in 2000, the first year the program was funded, according to budget numbers compiled for CNN by the Department of Education. So while there's more money available for counseling, there's still been a steady decline in federal spending for other aspects of school security.

Some critics say a lack of available funding for high-tech security upgrades may be behind the shift toward less-costly and more indirect violence prevention measures.

"Right now, the economic situation is affecting [school security funding]. Particularly the technology components of security are going to suffer because there's just not going to be the money to do these kinds of things," said Dan Domenech, executive director of the American Association of School Administrators. "We're in the process of laying off teachers and staff."

Trump, the security consultant in Ohio, said schools have lost their focus on security since Columbine. But he added that many effective security programs cost little or no money -- only the time it takes to train teachers and students how to spot potential problems and how to react if a shooting were to occur.

While metal detectors may not be the best tools to prevent school shootings, they still can be useful in some crime-ridden school districts and, along with security cameras, should not be abandoned entirely, Modzeleski said.

Some evidence suggests strong school communities -- where kids feel like they can come forward with problems -- can prevent violent crime.

A 2008 Secret Service report found that in more than 80 percent of instances of school violence, at least one person, usually a fellow student or peer, had knowledge of the attackers' plans. If people who suspect a problem feel comfortable enough in school to tell a teacher or a principal, then attacks could be prevented, Modzeleski said.

After Columbine, many states and school districts made quick moves to increase school security, experts say. Modzeleski said this was a "kneejerk" reaction to the tragic, but rare, event; and a decade later, policies are settling into a middle ground.

"Immediately after any of these incidents I think there's the immediate rush for more security," he said. "That's what I would call the kneejerk reaction to any type of these events: 'We need more cops; we need more metal detectors; we need more cameras.' After that settles in, I think people come to their senses and say, 'Hey, if we're going to keep our kids safe in schools, we need more than that.'" iReport.com: How did Columbine affect you?

After Columbine, some states started requiring schools to prepare for school shootings with lockdown drills, much in the way they prepare for fires or other disasters.

About once a month in Fort Wayne, Indiana, public and private school students pull down window shades and huddle in the back corners of dark classrooms while their schools go into lockdown mode, said John Weicker, security director at Fort Wayne Community Schools.

A school administrator roams the halls to make sure all doors are locked and all students are hidden from what might be a school shooter if this scenario was not a drill.

"You're training the kids," Weicker said.

Similar drills -- which, in some states, are attended by armed and masked SWAT teams -- are now practiced routinely in nearly three-quarters of schools, according to a recent survey of 445 administrators funded by the American Association of School Administrators.

It's difficult to say whether these policies are working, but by some measures, school safety has improved in the decade since Columbine.  Watch parents remember children lost at Columbine »

On average, there have been about half as many deaths per year since Columbine as in the seven school years before the tragedy, according to a 2007 report from the National Center for Education Statistics and the Bureau of Justice Statistics.

In the school year immediately following the Columbine shootings, the number of in-school homicides dropped from 33 in the 1998-1999 school year to 13 in the 1999-2000 year, the report says.

Several experts say the tragedy brought awareness to the issue of school security, which on the whole has been positive. They worry, however, that attention has been waning in the past few years.

A 17-year-old student in Fort Wayne, Indiana, however, said that while he is reassured by tight school security, it's a good thing that the Columbine shootings rarely enter his mind.

"There's a couple times that we'll talk about it in like a history class," said Travis Armstrong, a high school junior. "Because that did happen back a while ago, and therefore it is considered history."

@highlight

10 years after Columbine, schools are taking a new look at security

@highlight

Immediately after the shootings, schools added cameras and metal detectors

@highlight

Now they're trying to foster safer and better school communities

@highlight

Meanwhile, overall funding for school security has dropped by about a third