Buffalo, New York (CNN) -- The rubble that blankets much of Port-au-Prince delivers the deadly verdict on decades of inadequate construction in my home nation.

My siblings were spared; their house was not destroyed, but my apartment back home collapsed. The destruction is of stupefying proportion. My heart cries out to my Haitian brothers and sisters who are enduring so much.

I had long known that Haiti was vulnerable -- it had been hit before, in 1751, 1771 and 1842. I anticipated that if it happened again, damages and loss of life would be substantial, due to the poor quality of the built environment. Some local and foreign scientists were talking about the eventuality of a major quake, but not enough attention was paid to their warnings, and eventually many saw it as only a remote possibility.

I decided to study earthquake engineering, hoping that I would have time to get the education in designing against earthquakes, would get hands-on experience, share the knowledge with engineers back home, and advocate for the adoption of building codes and the integration of sound design criteria against such occurrences. Sadly, I ran out of time.

I know that it is critical that my country now examine what steps ought to be taken to prevent such massive loss of life in the future. This is my humble contribution to this process.

Much has been written about why the earthquake flattened whole communities.

There was the flouting, or just ignorance, of international building codes developed by engineers to provide a framework in construction engineering and design, especially important in a country so susceptible to what we call "multiple hazards" -- earthquakes, hurricanes, storm surges, tsunami. No such building code exists in Haiti.

There was the low-cost unreinforced masonry, or barely reinforced concrete structures that have dominated Haiti's landscape; the anarchic construction that flourished in tightly-packed Port-au-Prince, suffocating the city and further deteriorating its already degraded environment as builders frantically mined and extracted construction materials from its mountainsides.

There was construction in obviously unsuitable areas, such as wetlands and unstable and eroded mountain flanks -- structures there could not possibly sustain the large deformation imposed by the earthquake. They collapsed without warning.

Very few buildings were designed by architects and engineers; most were built with no construction standards -- by wealthy and poor alike. Enforcement of construction permits and site inspections has been lax. Hardly any structure met the minimum requirements to resist the type of horizontal force generated by an earthquake of that magnitude. The ones still standing may just be lucky.

As tragic as this event is, it is also an opportunity to start from scratch and rebuild the country in a planned and orderly fashion.

This calls for a comprehensive urban-development plan. There must be an emphasis on the development of model cities in Haiti, which may intelligently, yet safely, integrate architectural local features -- such as building façades mimicking the fretted wood and intricate latticework that ornamented traditional "gingerbread" houses favored by tourists in the 1950s -- to lure visitors and stoke an economic rebirth.

The government also must adopt and enforce a comprehensive set of construction codes and regulations with a multi-hazard focus. Engineers must think globally while designing and building structures that protect life in such an array of hazards.

Multi-hazard engineering is emerging as a cost-effective solution to engineering design and construction issues in countries like Haiti, where several natural or man-made hazards are involved. And while it is a new concept that hasn't been widely applied yet (it's an approach championed at my university, and by the federally funded Multidisciplinary Center for Earthquake Engineering Research, or MCEER), this multi-hazard focus is imperative in our case.

Haiti's building codes must be based on existing, well-tested research and emphasize the necessity for peer-reviewed design as an embedded layer of safety in the design process.

For reasons of proximity and the role that the United States is playing in the earthquake's aftermath, it would be reasonable for Haiti to base building codes on those used in the U.S. and in American territories like Puerto Rico, which share similar exposure and vulnerability, for example, to annual tropical storms or earthquakes.

Beyond this, the Haitian authorities must provide the local and international private sectors with incentives to invest in the development of affordable housing for the survivors, through tax cuts or tax payment deferments and by making public lands available during the reconstruction efforts.

These housing projects would put people back to work and support the housing market, as realtors and financial institutions will be needed. They would also provide hands-on experience to local engineers, who will need help from the international community as they learn skills required for designing multi-hazard structures to code, while providing a basis to hold them accountable in case of gross malpractice.

This financial and intellectual collaboration can extend to developing a curriculum in multi-hazard engineering that can be required in engineering schools both in private and state institutions in Haiti, and sanctioned by standardized mandatory certification tests for graduating engineers and in educational sessions for practicing engineers.

Of course, a wider reconstruction project must include the new development of lifelines that provide vital emergency response and recovery: health care facilities, communication, electric power, liquid fuel, natural gas, transportation (airports, highways, ports, rail and transit), water, and wastewater.

This is critical, considering that the rescue efforts on the ground right now are hindered by the damage sustained by many of those systems.

In the wake of such destruction, the construction sector can be the main driver for sustainable economic development in Haiti. While it shouldn't have taken such a horrific event to get there, this can be a way to pay tribute to the Haitian people who have demonstrated such resilience in adversity, and to give hope to the families of the countless loved ones who have lost their lives or are injured.

Reversing the course of this catastrophe is going to be a Herculean task, requiring intense resources and a multidisciplinary approach with a strong multi-hazard focus.

The opinions expressed in this commentary are solely those of Pierre Fouche.

@highlight

Haitian Pierre Fouche says he studied earthquake engineering in anticipation of such a disaster

@highlight

He says Haiti's buildings are terribly designed to resist quake damage

@highlight

Haiti needs comprehensive urban-planning approach in reconstruction, he says

@highlight

Fouche: To rebuild, need multi-hazard engineering, strict codes, education and money