(CNN) -- Michigan Gov. Rick Snyder's stunning decision to sign a right-to-work law poses the question: Are these anti-union statutes, which make illegal any union contract that requires union membership or payment of dues a condition of employment, the future? During the last two years Indiana and Wisconsin have also passed laws that curb union strength and slash dues income.

"If Michigan can do it, then I think everybody ought to think about it," asserts Mark Mix, president of the National Right to Work Legal Defense Foundation. Mix listed Alaska, Missouri, Montana and Pennsylvania, where Republicans enjoy large majorities in state legislatures, among the top contenders.

The potential spread of right-to-work laws in the North, even in states where voters heavily favored President Obama for a second term, is a startling and ominous development.

For decades, right-to-work laws were confined to the South or Mountain West, heavily agricultural states where new unions born during the Depression era evoked, among many employers and conservative politicians, the specter of Communism, race-mixing or both. These laws were almost all enacted in the years after the 1947 Congressional passage of the Taft-Hartley Act, which gave states the right to make illegal any collective bargaining contract that mandated union membership as a condition of employment.

Opponents of unionism hailed these laws as insuring a "right-to-work" because they encouraged workers to take a job, even one where the wages and working conditions had been negotiated by a union, without paying the dues necessary to sustain the labor organization. To note that employers encouraged such free-loading would be an understatement. Then and now they denounced "compulsory unionism" and the "labor bosses" who sought to live high on the hog on member dues. In this imagining, it was the union, not the employer, who oppressed the workers.

Opinion: A victory for right-to-work laws

In 1958, right-to-work advocates thought the time was ripe to invade the North. A sharp recession in the late 1950s had sapped union strength at the same moment that the Senate's McClellan Labor Rackets Committee investigation had uncovered unsavory links between Jimmy Hoffa, the Teamsters, and organized crime. Urged on by conservative Republican Sen. Barry Goldwater and financed by a newly created National Right to Work Committee, these anti-union activists put right to work referenda on the ballots of California, Ohio, Washington, Kansas, Idaho and Colorado.

But with the exception of Kansas, all these initiatives went down in overwhelming defeat. That was not only because labor was still a powerful force -- in Ohio union density, the proportion of all workers in a union, stood at nearly 40% -- but also because the Democrats linked their fortunes to the labor movement and to the fight against right to work. As Pat Brown, the California gubernatorial candidate put it, right to work represented "a return to the ugly and destructive law of the economic jungle."

The battle for the votes of African-Americans constituted one of the most remarkable features of these referenda. Right-to-work advocates pointed out, often quite accurately, that many American trade unions failed to adequately represent their minority members. If unions were weaker, minority workers might well get better jobs and promotions. But in Ohio and California especially that argument failed to persuade.

The NAACP distributed a pamphlet entitled "Keep Mississippi Out of California," but even without this kind of propaganda most African-Americans and Latinos knew that an imperfect union was a better friend that a non-union employer whose power and prejudices ruled the workplace unchecked by any countervailing institution.

Today, right-to-work forces are once again making a push to eviscerate unionism in its heartland. Thanks to Citizens United they have unlimited money. Thanks to globalization, slow growth, and corporate attacks, trade unionism is far weaker than in 1958.

In Ohio union density stands at 13.4%, in Pennsylvania 14.6%, in Michigan, birth state of the once powerful United Automobile Workers, just 17.5%, a disastrous drop since the industrial union heyday in the 1950s.

To staunch this anti-union assault, the Democrats have to make the defense of union rights and power a central, organic component of their message to American voters, office holders and workers -- both white collar and blue. Although Democratic legislators in Wisconsin, Michigan and Ohio have bravely fought the Republican right on this issue, President Obama has been notably missing from the action.

Obama denounced "right to work for less" in a post-election speech at a factory outside Detroit, but he was almost entirely silent on the issue both during the demonstrations that convulsed Madison, Wisconsin, in the winter of 2011, during the effort to recall Wisconsin Gov. Scott Walker in the spring of the next year, and throughout the presidential campaign itself.

Obama and his advisers undoubtedly thought that if they wanted to win right-to-work states like Virginia and Florida, they better keep quite about union rights in the North. But this was and is an exceedingly shortsighted and self defeating calculation.

Trade unions stand at the core of the Democratic coalition. They are the last organizations remaining on the liberal side that can effectively appeal to white, working-class men in the Rust Belt swing states. Without the union organization and mobilization of blue collar Latinos in California, Nevada, and New Mexico those states would be almost as red as Texas.

When Obama declared his support for gay marriage, he helped consolidate a growing national consensus in favor of that right. The president and other national Democrats need to use the same bully pulpit to defend trade unionism in its hour of need, not only because their destruction threatens the living standards of our working middle class, but because these institutions are the living embodiment of democracy, interracial solidarity and personal dignity in the world of work.

The opinions expressed in this commentary are solely those of Nelson Lichtenstein.

@highlight

Nelson Lichtenstein: Will more states pass right-to-work laws like Michigan?

@highlight

Lichtenstein: The potential spread of the laws in the North is startling and ominous

@highlight

He says opponents try to paint the union, not the employer, as oppressors of workers

@highlight

Lichtenstein: President Obama need to defend trade unionism in its hour of need