Editor's Note: Lucas A. Powe Jr. is a professor of constitutional law at The University of Texas and the author of the recently published book, "The Supreme Court and the American Elite, 1789-2008." He clerked for Supreme Court Justice William O. Douglas.

Lucas Powe Jr. says it's not a surprise that justices voted 5-4 in favor of the New Haven firefighters.

AUSTIN, Texas (CNN) -- Monday, in the much anticipated New Haven, Connecticut, firefighters' case, the Supreme Court reversed an opinion joined by Judge Sonia Sotomayor, President Obama's Supreme Court nominee.

The reversal was expected and is not the first time an appointee has been reversed by the court he was about to join.

Indeed, two of Chief Justice Warren Burger's opinions for the D.C. Circuit Court of Appeals were reversed in 1969, the year he joined the court. One was Watts v. United States, in which the defendant had been convicted for threatening the life of the president.

By a 5-4 vote, the Supreme Court reversed, holding that Watts' supposed threats were really nothing but hyperbole. The decision came down one month before President Nixon nominated Burger. More significantly, after Burger had been confirmed, the Court reversed him again, this time in a major case -- Powell v. McCormack.

The House had refused to seat Harlem, New York, Democratic Rep. Adam Clayton Powell after he won yet another election. The reasons for the House's action were misappropriation of public funds and abuse of process in state courts to avoid paying a judgment.

Burger wrote that federal courts could not decide Powell's case because the issue was nonjusticiable -- that is, not appropriate for a judicial resolution because issues of membership in Congress were exclusively committed to Congress.

When the case reached the Supreme Court, a lengthy opinion by Chief Justice Earl Warren held that courts could rule in such a case and that a House of Congress could only exclude someone if that person did not meet the qualifications, age, citizenship and residence requirements set forth in the Constitution. There was but a single dissent.

The reversal of Sotomayor was expected because a majority of the current court are Republicans who believe governmental decisions should be made on a color-blind basis. Beginning with the presidency of Ronald Reagan, Republicans have taken aim at affirmative action, and the Republican justices have concurred.

Only once in the past 15 years has the Republican majority voted in favor of minorities in an affirmative action case. That came in 2003, when the court upheld the affirmative action program at the University of Michigan Law School.

That case, however, was profoundly influenced by an amicus brief signed by 45 retired admirals and generals (plus former Defense Secretary William Cohen) stating that affirmative action was essential at the Service Academies in order to create a diverse officer corps in order to ensure necessary military cohesiveness.

When asked about the military brief, Solicitor General Theodore Olson stated that he had not thought about the consequences of ending affirmative action at the Service Academies.

That was enough for Justice Sandra Day O'Connor, a Republican, who switched from her normal skepticism of affirmative action to sustain the law school program. Nevertheless, four Republican justices -- William Rehnquist, Antonin Scalia, Anthony Kennedy and Clarence Thomas -- voted to invalidate the program.

With John Roberts replacing Rehnquist and Samuel Alito replacing O'Connor, the court acquired a majority that appears more concerned about discrimination against whites than about racial equality in American society. Thus just two years ago in cases out of Seattle, Washington, and Louisville, Kentucky, the Republican majority invalidated school assignment plans that the school districts themselves had decided were appropriate to prevent resegregation.

With those cases as background, the majority's sympathy for the plight of Frank Ricci, who studied so hard for the New Haven promotion examination, was easily predictable. But so was the fact that the four dissenters in the Seattle and Louisville cases -- John Paul Stevens, Ruth Bader Ginsburg, Stephen Breyer and the now-retired David Souter -- would side with the city in its concern that the results of the test left no African-Americans eligible for promotion.

What the New Haven case showed was that Republicans have been winning presidential elections and therefore gaining Supreme Court nominations more often than Democrats for the past generation.

So when a Democratic president finally got a nomination, any person selected would dissent from the Republicans' disdain for affirmative action. It is merely a coincidence that the nominee, Sotomayor, happened to participate in the case already.

Some Republican senators may try to use the New Haven majority to paint Sotomayor as out of the mainstream. But that conclusion requires painting the four dissenters as out of the mainstream, too. Only the Republican base could believe that. Sotomayor will be confirmed without a hiccup.

The opinions expressed in this commentary are solely those of Lucas A. Powe Jr.

@highlight

Powe: Two Warren Burger rulings were reversed as he was about to join court

@highlight

He says ruling in favor of New Haven firefighters was not a surprise

@highlight

He says Sotomayor is not out of the mainstream since 4 justices were on her side

@highlight

Powe: Justices named by GOP presidents generally oppose affirmative action