Vatican City (CNN) -- Catholic faithful from around the world poured into Rome on Sunday as the Catholic Church declares Pope John Paul II "blessed," a step below sainthood.

There were cheers as Pope Benedict XVI personally beatified his predecessor, and a huge tapestry protrait of John Paul II was unveiled, showing him as the healthy, vigorous and relatively young man he was early in his papacy.

A vial of John Paul II's blood was placed before the crowds, which were expected to be the largest in the Vatican since the late pope's funeral in 2005.

The blood, which was taken from him by doctors during his final illness for possible transfusion, but never used, was displayed in a specially made silver reliquary.

Next came requests -- first in English and then Polish -- that people put down their banners and flags, and pray silently.

"In heaven a very different celebration is taking place among the angels and saints!" Benedict declared in his homily.

The current pope echoed the many who credit the Polish-born pope with playing a key role in the defeat of Communism, saying he turned "back with the strength of a titan -- a strength which came to him from God -- a tide which appeared irreversible."

John Paul II made a pilgrimage to his native land, then part of the Soviet-dominated Communist bloc, shortly after his election in 1978, and an estimated one third of the entire nation turned out to see him. "Don't be afraid," he exhorted them.

Poland's Solidarity union sprang up soon after, and became the most organized and powerful anti-Communist movement in the Soviet bloc. Many commentators said John Paul helped inspire the movement, which ultimately toppled Poland's Communist government in 1989.

John Paul II's path to sainthood

Benedict on Sunday also praised John Paul's iron will in the face of his physical decline later in his life, saying, "the Lord gradually stripped him of everything, yet he remained ever a 'rock,' as Christ desired."

More than a million pilgrims turned out in Rome, police said. Many in the throng waved Polish flags and holding images of John Paul II, who was archbishop of Krakow in Poland before being elected pope.

The presidents of Italy and Poland were among 16 heads of state at the mass, alongside seven prime ministers, the Vatican said.

There were also big crowds in Krakow for the event, where at least 50,000 people braved pouring rain at the Sanctuary of Divine Mercy in Lagiewniki.

For those who couldn't make it to Rome or Krakow, the Vatican created a special Twitter feed for the event, @Pope2YouVatican. It also launched a Facebook page for it, and streamed it live to iPhones and iPads through Pope2You.net.

Having visiting more countries than any previous pope and becoming the first pontiff from outside of Italy in 450 years, John Paul II also was the third-longest reigning pope in history.

Catholics honor John Paul II in Bucharest,  Romania

The Vatican suggests he was seen in person by more than anyone else in human history, between his 104 foreign trips, the roughly 17 million pilgrims who attended weekly audiences with him at the Vatican over his long reign, and the millions more who saw him at special events in Rome.

Did you encounter Pope John Paul II?

There were demands for his immediate canonization when he died, with crowds chanting "Santo subito," or "Saint now."

But the late pope has critics as well as supporters, particularly among those who accuse him of not doing enough to stop the abuse of children by Catholic clergy.

The Survivors Network of those Abused by Priests (SNAP) vowed to protest at 70 churches in seven countries Sunday, callingthe fast-tracking of pontiff's sainthood "a callous PR juggernaut honoring the man who presided over much of the ongoing crisis."

But John Paul II's former spokesman, Joaquin Navarro-Valls, told CNN he had no doubt he had been in the presence of a saint.

Navarro-Valls cited not only the pope's devotion at prayer, but his concern for others, noting that when the pope called him after the death of his father, his first question was: "How is your mother?"

He also recalled the pope's informality, saying he sometimes had to remind himself that he was in the presence of the pope.

And he said for the pope to retain his "good humor" at the age of 80, in the face of his weighty office and his physical suffering, "is sanctity to me."

The pope's photographer

John Paul II was fast-tracked to beatification when he died in 2005, and becomes "the blessed" John Paul II barely six years after his death -- the fastest beatification in centuries.

Navarro-Valls rejected the idea that the process was moving too fast to let history be the judge of John Paul II, saying canonization could take centuries.

"Once the virtues are clear, why wait?" he asked.

For beatification, a person must be credited with a miracle by the Catholic Church. Benedict ruled last year that John Paul II had miraculously cured a French nun of Parkinson's disease after his death. The pope himself suffered from the condition.

The nun, Sister Marie Simon-Pierre, was one of two nuns who brought the silver reliquary with the blood to Benedict after John Paul II was beatified. Sister Tobiana, who worked in the late pope's household, was the other.

The blood is still liquid because doctors added anti-coagulents to it when it was taken.

The Catholic tradition of venerating saints' physical remains -- known as relics -- dates to the earliest days of the church.

Chicago family credits Pope John Paul II with personal miracle

John Paul II's coffin has also been removed from its tomb and is on display for the faithful to venerate this weekend.

To become saint, John Paul II would need to perform a second miracle.

The man named by John Paul II to be archbishop of Valencia in Spain died on the eve of the beatification, the archdiocese announced Sunday.

Agustin Garcia-Gasco, who was later promoted to cardinal by Benedict XVI, was found dead in his room in Rome at the age of 80, having watched preparations for the beatification the night before.

CNN's John L. Allen, Jr., Hada Messia, Diana Magnay, Per Nyberg and Richard Allen Greene contributed to this report.

@highlight

NEW: More than a million pilgrims remember the late pope, police say

@highlight

Survivors of sexual abuse by priests call the event "callous" and vow to protest

@highlight

John Paul II's blood is displayed before the faithful in a specially made reliquary

@highlight

The Catholic Church is declaring the late pope to be "blessed," a step below sainthood