Liberia (CNN)First, the good news: Ebola is in decline.

2014 was a year of profound fear for communities living with -- and dying of -- the disease; of health workers making the ultimate sacrifice, dying as they tried to save; of apocalyptic forecasts as to the disease's possible spread.

With 8,810 dead, governments and aid agencies are now giving a timeline on when they might reach zero cases -- and they're saying that could be in just a few months.

That there are just a handful of cases left now in Liberia is an incredible feat, but it has come at an equally incredible cost.

And Ebola is still critically dangerous. Hotspots remain. Sierra Leone has 65 confirmed cases, most in the west of the country around the capital and Port Loco where the disease spreads through overcrowded slums.

The World Health Organisation (WHO) said last week that only half the cases in Liberia and Guinea came from known Ebola contacts, which suggests that hidden cases are causing outbreaks.

Even as states of emergency and quarantine restrictions are lifted, there is a chorus of warnings against complacency.

"A single new case is enough to reignite an outbreak," says Brice de la Vigne, director of operations at Medecins sans Frontieres (Doctors Without Borders). "Until everyone who has come into contact with Ebola is identified, we cannot rest easy."

And getting to zero can't be the end of it. Oxfam is calling for "a massive post-Ebola Marshall Plan," saying the world "cannot dither on recovery as it dithered over Ebola."

Their plea comes as the WHO and other agencies engage in intense soul-searching: What went wrong? Why did it take so long to turn the corner on this disease? Could it happen again?

Admitting to organizational shortcomings Margaret Chan, the WHO's Director General, has asked the world's wealthier nations to step up to the plate and support poor countries' fragile health care systems.

"Well-functioning health systems are not a luxury," she insists. "Well-functioning health systems are the cushion that keeps sudden shocks from reverberating throughout the fabric that holds societies together, ripping them apart."

Liberia, Sierra Leone and Guinea have never had well-functioning health systems. They have always had some of the lowest ratio of healthcare workers to patients in the world. Liberia had just one doctor for every 100,000 people in 2013 according to WHO figures. That works out at around 40 doctors for the whole country. Sierra Leone had two per 100,000 people. And there weren't even statistics for Guinea.

Then Ebola destroyed what little healthcare they had, taking the lives of 488 health workers and leaving people too terrified to go through the doors of clinics they saw as harbourers of the disease. Children weren't vaccinated against other critical diseases. Centers distributing anti-retrovirals to the tens of thousands of people with HIV were closed. Mothers gave birth at home.

Now trust in the region's decimated health care system is beginning -- albeit painfully slowly -- to return.

At a clinic in Monrovia, mothers fill a waiting room. They've brought their babies in to be vaccinated -- there are no Disneyland immunization issues here.

"We know that during the height of the epidemic immunization rates collapsed by some 70%," says Sheldon Yett, UNICEF's country representative in Liberia. "Now we're trying to climb back up but it will take time."

Placing preliminary healthcare within the community has also been a success.

Laboratoriess and Ebola Treatment Units (ETUs) have been followed by Community Care Centres, or CCCs. The first were built in November in Sierra Leone. Now there are dozens in Sierra Leone and Liberia. Their basic aim is to provide a place within the community where people can be isolated and provided with preliminary care -- pain relief and oral rehydration -- in an environment which is safe and humane.

Susan Michaels-Strasser, project director of the Global Nurse Capacity Building Programme at the Mailman School of Public Health at Colombia University, has just spent three weeks assessing the impact of these CCCs in Sierra Leone. She thinks they've played a huge role in restoring people's faith in Ebola-related care.

"We saw some amazing innovation," she explains. "Where the family members can see their loved ones who have Ebola, so they're not taken behind a blue fence and never seen again. And even if the person doesn't survive they saw the care that was provided, they saw the attempts to save the life."

The original idea behind the CCCs was to train local volunteers in infection control procedures and have them man the units. But it turned out there were better options.

"What the various partners found when they went into these communities was that there were people, there were nursing students, there were retired nurses, there were nurses who had left the profession but had the skills, the ability and the desire to help," says Michaels-Strasser.

And for all the fear, the heartache and the stigma around the disease, there's a clear sense of pride amongst those who are leading the charge against Ebola at a community level.

Fanah Manasare is from Guinea's Forest Region. Aged 18 years old, he survived Ebola and now he goes from village to village spreading the word about the disease.

"Even elders will listen to me more than they would to you because I have been a victim of Ebola," he says, beaming with pride.

Josephine Conteh says she is "happy" to be working as a nurse at the Pate Bana Maran Community Care Centre in Sierra Leone. "My conscience -- if I saved one person here, I'm thinking that I have saved the whole nation. That makes me feel good."

The Ebola outbreak has helped create some hastily pulled together infrastructure which could form the building blocks of a more robust healthcare system in these three traumatised countries.

And the disease leaves behind people galvanised for action as a result of their ordeal.

Now the question is how to use these resources to transition from an emergency response situation to more sustainable healthcare provision in the future.

@highlight

WHO says fight against Ebola has shifted from slowing transmission to ending epidemic

@highlight

Fewer than 100 new confirmed cases in Guinea, Liberia and Sierra Leone in past week

@highlight

Oxfam has called for post-Ebola Marshall Plan-style support for West Africa