(CNN)The best part of the Supreme Court oral arguments about marriage equality was when Justice Ruth Bader Ginsburg alluded to S&M.

OK, she didn't actually mention S&M, but Ginsburg talked about how the institution of marriage has already changed from long ago, when it was "a dominant and a subordinate relationship."

"Yes, it was marriage between a man and a woman, but the man decided where the couple would be domiciled," said Ginsburg.  "It was her obligation to follow him."

Mary Bonauto, the attorney arguing on behalf of the four same-sex couples who petitioned the Supreme Court, said in response:  "That's correct. ... For centuries we had and Europe had this coverture system where a woman's legal identity was absorbed into that of her husband and men and women had different prescribed legal roles.  And again, because of equality and changing social circumstances, all of those gender differences in the rights and responsibilities of the married pair have been eliminated."

Once upon a time, wives were the legal property of their husbands and "marital rape" was not only not a crime but not even a concept.  To argue that the definition of marriage has not changed since then is either willfully ignorant or woefully naïve.

Justice Anthony Kennedy, widely believed to be the key swing vote amidst a court otherwise generally evenly divided along ideological lines, at one point referred to "the nobility and the sacredness of marriage." Which is true, if you ignore the history of its past and the reality of infidelity in the present.  If anything, the nobility and sacredness of marriage need protecting from straight people.  One downside to arguing that marriage has "always been" between a man and a woman is that, therefore, any problems in the institution of marriage are also plainly the responsibility of heterosexual couples, too.

The one justice who didn't ask a question is Clarence Thomas, who, with one slight exception, has now gone over nine years without a single inquiry from the bench.  It should be carefully noted here that Thomas is a black man married to a white woman.  Anti-miscegenation laws banning interracial marriage were first introduced in 1661 in Maryland.  That means that by 1967, when the Supreme Court considered the constitutionality of such laws, bans against interracial marriage had been officially part of the American "definition" of marriage for over 300 years.  Just 20 years after the Supreme Court struck down the anti-miscegenation laws still in effect in 16 states, Clarence Thomas and his wife, Virginia, were married.

James Braxton Peterson, director of Africana Studies at Lehigh University, has written, "The fact that the Thomas' marriage required progressive Supreme Court action must in some way inform their sense of this moment."  Or maybe not.  Clarence Thomas didn't say one way or the other, though his remarks outside court and in dissenting opinions suggest he's firmly opposed to the Supreme Court doing for other loving relationships what it once did for his own.

But perhaps the example of Clarence Thomas speaks to what seems most glaring about the oral arguments in the marriage equality cases, namely that just as with the rest of America, the Supreme Court seems to have increasingly become a place for partisan theatrics. Perhaps this was always the case, justices hiding their personal beliefs behind legal rationales.

Still, the marriage equality arguments seemed even more shaped by politics than the law.  On the one hand, pulling pages right from Republican presidential candidates, conservative Chief Justice John Roberts suggested the court shouldn't intervene in a state-driven social debate.  Aping conservative religious activists, Justice Samuel Alito asked whether four people could then get married.

On the other hand, Justice Stephen Breyer talked about marriage as a fundamental liberty while Justice Elena Kagan pushed back on whether legalizing same-sex marriage would really harm or take anything away from opposite-sex couples.  Both arguments, and the moral force beneath them, seemed to echo gay rights messaging.

Still, the highly political and momentous decision in Loving vs. Virginia was unanimous.  Whichever way the court rules on same-sex marriage, it appears unlikely the ruling will be unanimous.

So, while the definition of marriage has unarguably evolved, a fact hopefully the Supreme Court will soon confirm with a ruling in favor of marriage equality, what's also clear is that the court has evolved. Blown by the winds of partisanship whipping up America in general, the Supreme Court is increasingly divorced from reason and submissive to politics. The question remains not what is fundamentally the right decision — I think both law and morality are clear in favor of equal treatment.  The question is simply which side of the court will dominate the other.

@highlight

Sally Kohn: Supreme Court seems to have increasingly become a place for partisan theatrics

@highlight

She says marriage equality arguments seemed even more shaped by politics than the law