Washington (CNN) -- The screen is black and white.

A little girl, no taller than the weeds that surround her, stands in a field and picks petals from a delicate daisy. She quietly counts each one.

Suddenly an ominous voice can be heard counting down from 10. She looks up as the camera zooms in on her face, all the way into her iris. And then the unthinkable happens: A mushroom cloud.

Sunday marked the 50th anniversary of the famous "Daisy" ad run by Lyndon B. Johnson's 1964 presidential campaign. The aim of the one-minute spot, widely known as the first political attack ad, was to frame Republican Barry Goldwater as a warmonger.

"No one had attacked anyone like that before," said Robert Mann, a Louisiana State University professor who literally wrote the book about the Daisy ad. "It was a pretty strong, implicit charge -- that my opponent is a reckless cowboy who will destroy your children in a nuclear holocaust."

The end of the spot, which never even mentions Goldwater or shows his image, encourages viewers to vote for Johnson.

It aired only once, during an NBC broadcast of the film "David and Bathsheba," as part of the network's popular "Monday Night at the Movies." An estimated 50 million viewers were watching, not a bad return on the $25,000 spent by Johnson's campaign.

The 'Daisy' spot and five other compelling political ads

While advertising for everyday products such as cleaning supplies had already shifted into a creative realm by that point, political advertising was still intellectually based, Mann noted. It was heavy on facts, light on ethos.

"It was sort of seen as unseemly to advertise a politician like a bar of soap," said Mann, the author of "Daisy Petals and Mushroom Clouds."

Capitalizing on emotions

But the advertising giant responsible for the Johnson ad, Doyle Dane Bernbach, understood what made people buy things -- and ideas.

"You can't give people enough facts to fall in love with you, you got to move them to fall in love with you," Mann said. "The only way to do that is to make it emotional."

And one of the most prevalent emotions in September 1964, less than two years after the Cuban Missile Crisis, was fear.

ISIS fighter featured in Republican campaign ad

Goldwater had listed the use of small nuclear weapons as a possible way to defoliate parts of the Vietnam jungle and destroy key infrastructure used by communist guerrillas. He tried backing away from those comments, saying he wasn't necessarily advocating such tactics. But Democrats had already seized on the language to help drive part of their narrative against the candidate.

"It was almost like a crusade not to have Goldwater become president," said Sidney Myers, the creative director at Dane Doyle Bernbach at the time who helped make the ad. "We just did what we usually do: We take a product, we tell the truth about it in an unusual way."

And Republicans fought back, protesting over what they considered a grossly misleading attack against Goldwater. That in part helped spurred media coverage for the rest of the week, with all three news networks airing the ad. Experts say it was the first example of a political spot becoming a news event.

"It was a commercial that went viral before there was a 'viral,' " said Drew Babb, an advertising creative director who teaches political ads at American University.

An ad is born

So how did they come up with the idea? The firm was hired by the Democratic National Committee to work on a series of 27 anti-Goldwater ads, five of which focused on nuclear warfare.

Myers, now 82, said he was listening to soundtracks of children with sound engineer Tony Schwartz, another mastermind behind the Daisy ad, and they came across sound of a child counting from one to 10.

"We decided that would be a great symbol to use," he recalled. "That symbol of a child counting, then a voice of doom melding into the child's voice -- a great symbol to show that this is what could happen to a child."

Myers said he was inspired by a 1954 French film, "The 400 Blows," by director FranÃ§ois Truffaut. To show that a child had died in the movie, the director froze the shot on the child and zoomed into the child's face.

The Daisy ad was actually shot in a residential field in Manhattan, he said, adding that it took about two hours and 15 to 20 takes to get the shot they wanted from the little girl, child actress Monique Luiz.

Big spending group goes up again in 2014 ad wars

Now 53, Luiz said she barely recalls anything from the shoot. She was about 3 and only remembers her mother taking her to a daisy field. Her parents -- one a fan of Goldwater and the other of Johnson -- had no idea their daughter would be featured in a political spot.

"And so when it aired, I remembered them saying 'Oh my gosh. It's a political ad for Johnson!' " she said. "And then there was all the backlash. I remember my grandmother speaking about it and being concerned that it was so harsh."

Harry Reid push called 'un-American' in new ad

When Luiz moved to Phoenix -- home of the Goldwater's department store -- about 20 years after the ad, she warily avoided the chain, worried she might be found out.

"My grandmother had instilled this fear in me that I shouldn't comment to people that I'm the Daisy girl because, you know, it wasn't necessarily a good thing that I was in that ad," she said.

Because the spot aired only once and Luiz was a toddler at the time, she never saw the full thing until 2000, when she was in a technical college course and her professor asked the class to look up videos online.

Luiz admitted she's not a fan of all the attention the ad has brought over the past 50 years, nor does she feel "completely proud" that the commercial set a precedent for what's become five decades of increasingly negative political ads.

"I don't really like that part of it," she said. "But, you know, it's part of my life and part of my history."

Hillary Clinton is front and center in House super PAC ad

@highlight

Lyndon B. Johnson's campaign aired the "Daisy" ad on September 7, 1964

@highlight

The controversial ad targeted his opponent, Republican Barry Goldwater

@highlight

Experts say the spot, considered the first political attack ad, changed politics

@highlight

Monique Luiz, the girl who starred in the ad, never saw the full thing until 2000