(CNN) -- More than 1 million cancer deaths could be prevented around the world if more nations, particularly low- and middle-income countries, implemented known strategies targeting such deaths, two international groups say.

It's doable, according to the Union for International Cancer Control and International Agency for Research on Cancer, if countries adopt measures to meet the "25 by 25" targets the World Health Organization set last year. The targets aim to reduce premature deaths due to noncommunicable diseases by 25% by 2025.

Cancer deaths total about 7.6 million worldwide each year. Of those, 4 million are in people ages 30 to 69 -- defined as "premature" by the two cancer organizations.

"With the right strategies, at least 30% of (all) cancer cases can be prevented based on current knowledge," according to the Union for International Cancer Control.

The groups made the announcement Monday, the eighth World Cancer Day. The Union for International Cancer Control -- the largest nongovernmental cancer-fighting organization with more than 760 partners in 155 countries -- organized the day to raise awareness among individuals and governments about cancer and cancer prevention.

More than 450 events were held to raise awareness Monday, the group said.

This year's theme: to highlight and dispel myths and misconceptions about cancer, including that it is a "disease of the wealthy, elderly and developed countries," according to the organization. In reality, cancer affects those of all ages and income levels worldwide.

More lives being saved: Cancer death rates drop 20%

In fact, "more (cancer) deaths occur in lower and middle-income countries, than in high-income high cancer countries, even though there are twice as many cases in high-income countries," said Peter Boyle, president of the International Prevention Research Institute in Lyon, France.

Boyle is the main author of World Breast Cancer Report 2012, which was published by the institute and funded by Susan G. Komen for the Cure. It was released Monday.

According to his report, more than 1.6 million women worldwide will be diagnosed with breast cancer this year, compared with about 641,000 in 1980. More than 425,000 will die from the disease each year.

"I was shocked by some of the things we found," Boyle said, adding he believes there are various reasons why women in poorer countries are diagnosed late.

Lack of treatment is one. He cites an example: In Bangladesh, there is one trained oncologist for 150 million people.

There's also a lot of stigma preventing women from seeking treatment. "It's a very, very sad thing," Boyle said.

For example, in Kenya and Uganda, 100% of women seek help with advanced or metastatic breast cancer, said Boyle. Metastatic breast cancer means the cancer has spread to other parts of the body; advanced breast cancer means it's the most advanced stage of breast cancer that has not spread outside the breast. In both cases, a late diagnosis can impede efforts toward a cure.

By comparison, the report said, "It is calculated that less than 10% of the breast cancer patients in the U.S. are diagnosed with LABC (locally advanced breast cancer). Women in the United States are not immune from late diagnoses."

After cancer, my real fight began

Julie Gerberding, a former director of the U.S. Centers for Disease Control and Prevention, on Monday addressed the Global Women's Cancer Summit in Washington, a gathering the Komen Foundation hosted.

She described three women who died from cancer, either because they didn't know they had the disease or didn't take advantage of screening. They were her aunts, she said, and lived in the United States. Two had breast cancer, and one had cervical cancer.

Gerberding said it's a problem "from Arkansas all the way to Zimbabwe."

"We must get better at implementing what we already know," said Gerberding, who is now president of Merck Vaccines.

The summit launched its own "25" goal: to improve breast cancer survival and quality of life in 2.5 million women living in low- and middle-income countries by 2025.

So much could be done, Boyle said, if existing prevention screening techniques such as mammography and breast self-exams were used and existing treatments were available.

He quoted the popular Nike slogan "just do it."

"If every woman in the world had adequate knowledge of breast cancer, had access to early diagnostic programs, had access to high-quality diagnostic services and (was) treated according to the most appropriate protocol for their particular disease, then breast cancer mortality would drop rapidly and significantly and have a profound effect on global women's health," according to the breast cancer report.

Why I donated my bone marrow

@highlight

Using what we already know can help prevent cancer deaths, experts say

@highlight

Monday was the eighth World Cancer Day

@highlight

Organizers aimed to dispel myths about cancer

@highlight

It's a problem "from Arkansas to Zimbabwe," one expert says