(CNN) -- On the morning of August 5, my uncle, Satwant Singh Kaleka, and five other innocent people were gunned down in our place of worship, the Sikh Temple in Oak Creek, Wisconsin. The tragedy left us wondering what it will take to stem the growing tide of hate crimes and violence plaguing our nation.

The Senate is holding a hearing on domestic terrorism on Wednesday, and I hope it will do more than simply offer my community a chance to vent frustrations and appeal for sympathy. My hope is that the hearing provides an opportunity for Americans to come together and identify solutions.

We need to be aware that the killings in Oak Creek, as well as recent attacks on the mosque in Joplin, Missouri, and more than a dozen others across the country, will continue if we turn a blind eye to domestic terrorism. It is a significant, growing threat to our safety and freedom as Americans.

We must ensure our safety within our own borders before we can hope to address violence elsewhere. According to the FBI, between 1980 and 2001, two-thirds of terrorist attacks in America were carried out by non-Islamic American extremists. That rose to 95% between 2002 and 2005.

A recent study by the New America Foundation found that non-Islamic U.S. citizens were behind 10 attacks from 9/11 through 2011, while jihadists carried out four. During the same time, 11 white supremacist, anarchist or right-wing extremists were caught with biological or chemical weapons -- anthrax, cyanide, ricin or sarin -- and four attempted to acquire them. The study found not a single jihadist terrorist possessed or tried to acquire chemical or biological weapons.

Eleven years after 9/11, who are the terrorists?

Even more worrying is that  radical right groups are growing explosively, according to the Southern Poverty Law Center. Yet appallingly, our government has not only failed to increase its efforts to monitor this threat, but in 2009, it decreased efforts, leaving only one staffer in the Department of Homeland Security's domestic terrorism unit, according to Daryl Johnson, a senior domestic terrorism analyst from 2004 to 2010.

We know there are at least 1,018 domestic hate groups in the United States today, many of which promote and explicitly call for violence against those of a different skin color, religion or ideology. How long can we keep our heads in the sand, and how long must we sit by as more innocent people die because a person decides that he won't tolerate the cultural or religious diversity of our nation -- our melting pot?

A coward killed my uncle. A coward, not because he went into a place of worship and took the lives of six unarmed people, and not because he took his own life rather than facing the consequences of his actions. He was a coward because he didn't have the courage to see the humanity of the people around him.

He -- like all terrorists -- killed people because they were not like him, because they were different. The reality is we are all different from one another, and that means we are all potential targets for such violence. This problem affects each and every one of us, so it's imperative that we act decisively, and act now.

This is not a problem that is simply going to go away. The government agencies charged with defending our freedom and safety must make it a priority to fight terrorism not just abroad, but right here at home. And we as the citizens must rid ourselves of the hate speech and the xenophobia -- including Islamophobia -- that divides us. This is particularly true of our leaders.

Opinion: What if U.S. stops policing the world?

We cannot give into the cowardice of prejudice. As the great Franklin Delano Roosevelt once said, "We are a nation of many nationalities, many races, many religions -- bound together by a single unity, the unity of freedom and equality." Together we can -- together we must -- address this challenge by calling on our elected officials to do their duty: defend the safety and freedom we as all Americans cherish.

The opinions expressed in this commentary are solely those of Kanwardeep Singh Kaleka.

@highlight

Kanwardeep Kaleka: Sikh community optimistic about hearing on domestic terrorism

@highlight

Kaleka's uncle was killed in the Sikh temple massacre carried out by American

@highlight

Kaleka: Homegrown terror groups are growing fast and present a real threat

@highlight

The government must make it a priority to fight terrorism at home, he writes