(CNN) -- When the Burj Khalifa officially opened in Dubai on Monday, much of the world press noted the irony of the world's tallest building unveiled just weeks after the emirate's debt crash.

But a look at the history of record-breaking skyscrapers and business cycles suggests otherwise -- the opening of every single "world's tallest" building in the past century has coincided with an economic downturn.

One person who wasn't surprised by the economic woes greeting the dedication of the Burj Khalifa (renamed Monday from Burj Dubai in honor of the sheikh of Abu Dhabi, which recently threw Dubai a $10 billion lifeline) was Auburn University economist Mark Thornton.

He predicted tough times for the emirate two years ago in a blog entitled "New Record Skyscraper (and depression?) in the making." He noted that economic depression or stock market collapse usually occurs prior to completion of such skyscrapers.

"Maybe the economic damage will be confined to the UAE," he wrote in his post on August 7, 2007 -- the summer in the United States when subprime mortgage defaults started to rise, auguring the start of the Great Recession.

The opening of these epic edifices is a strikingly reliable indicator of a business downturn:

* The 186-meter Singer building opened in New York in the wake of the market panic of 1907.

* The Empire State Building opened in 1931, taking the mantle of world's tallest building briefly held by 40 Wall Street and Chrysler Buildings. All of these New York buildings were conceived before the 1929 Crash, and opened after the Great Depression had begun.

* The two towers of the World Trade Center were opened in 1972 and 1973, and the Sears Tower (since renamed Willis Tower) opened in 1974 -- when the U.S. was mired in "stagflation" of growing unemployment and inflation.

* Petronas Towers opened in 1998 in Malaysia, just as the Asia Financial Crisis was sweeping through the region.

This correlation was first noticed by market analyst Christofer Rathke, who while based in Tokyo in the 1980s noticed the spate of building huge building projects in Japan just as its economic bubble burst. "It seemed strikingly similar to what happened during the building of the Chrysler Building in New York," he said. Digging deeper, he found that long-running bull markets always preceded the building of these tall structures.

In 1999, Hong Kong-based analyst Andrew Lawrence wrote a widely read research paper called "The Skyscraper Index" which furthered the argument that super-tall buildings augur bad times.

The index has been treated as a novelty indicator -- much like the Super Bowl index (if a team from the NFC division wins, U.S. stock markets on average finish the year ahead), Thornton said. But Thornton argues in his 2005 research paper, "Skyscrapers and Business Cycles," that the correlation is real: Skyscrapers are a physical manifestation of the bull markets that build them.

"It has all the components that are involved in a major boom or bust cycle," Thornton said.

The components that give rise to the skyscrapers give rise to the boom: loose monetary policy and easy credit drive up land prices, "and people want to build higher to offset that," he said. "You have easy credit and low interest rates fueling stock prices, and this creates an overly speculative market place.

"Monetary inflation and credit tends to increase the size of companies, who grow from local, regional to an international presence" -- creating both the wealth to build and the customer demand, Thornton said.

And, of course, rising wealth inflates egos. "There is an issue of vanity -- people want to build something a little higher, and (customers) want to locate in those prestigious places," Thornton said. "It definitely improves the value of your business card."

The skyscraper correlation is "has a very polarizing effect on people" in the tall building industry, said Steve Watts, a partner with Davis Langdon & Seah international and co-chair of economics committee of the Council on Tall Buildings and Urban Habitat, the international body which officially ranks the world's highest structures.

"It annoys a lot of people, but I personally think that the economics the theory is based on is sound," he said.

However, Watts points out that the economic life of iconic structures outlasts the boom times that created them and the bust that follows. "Compared to a 10-story office block, which probably has a life cycle of 20 years, some of these towers have lifecycles of 70 years or more," he said.

The past decade since the completion of the Petronas Towers "has been a period of time for unprecedented success of tall buildings," he said, but with the ribbon-cutting of the Burj Khalifa and the economic downturn, he believes the go-go times in the high-rise race are over -- for now.

"My personal view is it will be a while before you'll see any other building built that beats the Burj," he said.

If the skyscraper effect is true, that could be good news for the world economy.

@highlight

The opening of every single "world's tallest" building in the past century has coincided with an economic downturn

@highlight

The Burj Khalifa opened just weeks after Dubai had to receive a $10 billion bailout

@highlight

Some researchers say skyscrapers are a physical manifestation of a boom and bust cycle in business