Rio de Janeiro, Brazil (CNN) -- Soldiers patrolling the streets, barely-begun construction sites and sewage-soaked waterways. The 2016 Olympic Games are still two years away, but the list of problems appears to be growing.

The situation in Rio de Janeiro is so dire that the International Olympic Committee Vice President John Coates lashed out in April, calling preparations the "the worst that I have experienced."

He had cited several problems, including water quality, social tensions and delayed venues, particularly the Deodoro Olympic Park, the second-biggest venue, where construction hasn't even begun. He later toned down his comments.

As Brazil prepares to welcome hundreds of thousands of international fans to the World Cup in one week's time, it has to ensure the world it will also be ready for the Olympics two years later.

The delays are exaggerated, says the director of communications for Rio's Local Organizing Committee, called Rio 2016.

"They decided to raise the yellow flag because they were probably scared we would be wasting time watching the World Cup," Mario Andrada told CNN in a recent interview. "But there is zero risk that the venues won't be ready for the Games."

Rio 2016 says 38% of the sites are done, including 11 that are already operational, including the MaracanÃ£ Stadium which will host the World Cup Final.

Preparing for 2016

Progress at construction sites varies widely.

Out in the beachside suburb of Barra da Tijuca, where many of the events will be held, the Olympic Village is at an advanced stage, with huge blocks of apartments being erected.

At the nearby main Olympic Park, the foundations have been laid, but construction hasn't progressed much further.

As for Deodoro, where the BMX, whitewater kayaking and rugby events will be held, construction isn't even expected to start until the second half of this year, but Andrada says they can quickly make up for lost time.

"Deodoro started late, even you could say more than six months late, but Deodoro is very simple to get organized," he said. "The construction there is very easy."

Out on Guanabara Bay, the site of Olympic sailing and windsurfing events, plastic bags and old tennis shoes bob around in the water.

Brazilian sailing gold medalist Eduardo Penido showed us the garbage boats that remove the flotsam from the area of play.

"It's a problem but not for sailing," he said. "It's a problem for the environment."

According to biologist Mario Moscatelli, the bigger problem is what you can't see.

"You're going to put high-performance athletes in this water, that isn't even water, it's a toilet," he said during an interview overlooking the Marina Gloria, which will serve as the base for the Olympic sailing events.

The stench of raw sewage wafted as he spoke.

"I hope authorities do what they promised, because beyond being an environmental and public health problem, it's a national embarrassment."

Even the best estimates from city officials say only 49% of Rio homes are connected to sewage lines.

Rio de Janeiro's mayor, Eduardo Paes, says the athletes run no health risks, but admits the promised cleanup won't be complete before the Olympics.

"This is not going to be a problem for the games. This is a problem for us," he said. "I always think the Olympics are a good excuse to get things done and i think we missed an opportunity."

Tackling crime

On the security front, authorities launched a so-called police pacification program back in 2008 aimed at forcing drug gangs out of the notoriously dangerous shantytowns or favelas. Police have moved into dozens of slums with mixed success.

While crime rates in the shantytowns have broadly come down, there has been backlash from some residents and a resurgence in crime that prompted authorities to call in the army for help earlier this year, further denting Rio's reputation.

At this point, it's too early to tell if the Olympics will face the same kind of widespread protests and discontent leveled at the World Cup.

According to a recent survey by the Pew Research Center, 61% of those interviewed said they think hosting the World Cup is a bad thing because it takes money away from schools, health care and other public services.

The Olympics budget has ballooned to $16 billion, but officials say it's a different story, because private money is largely being used to finance the venues.

"Most of the public money is being spent not on venues, not on fancy stadiums, but on legacy, on transportation, on sewage," said Paes, Rio's mayor, pointing to the extensive bus corridors that the city has already begun, that connects venues and isolated areas of the city.

He'll have two years to convince Brazil and the world.

After the World Cup ends on July 13, all eyes will be on Rio's Olympic Games.

@highlight

As Brazil readies for World Cup, issues linger in Rio for Olympics two years away

@highlight

Rio came under criticism by IOC vice president, but local organizers say the delays are exaggerated

@highlight

Rio 2016 says 38% of the Olympic sites are done