(CNN) -- The goals President Barack Obama set out Tuesday in his Climate Action Plan -- including cutting pollution from coal plants and aggressively pursuing clean energy alternatives -- won't solve all the challenges of climate change, but they are a big first step in protecting the planet from its worst effects. Getting serious about solutions is critically important, especially now and especially for the United States.

Why the rush? Climate change is driven by emissions of a range of heat-trapping gases, especially the total emissions of carbon dioxide, which have been pumping out since the beginning of the Industrial Revolution. How much? Through 2012, that total is about 1,700 billion tons of carbon dioxide from fossil fuel combustion and cutting down forests. In 2012, carbon dioxide emissions in the U.S. were 19.4 tons per person or about 750 pounds per person per week.

Per capita carbon dioxide emissions in the U.S. may be lower now than they were in 1990, but the average American still emits three times the global average. Global annual carbon dioxide emissions continue to grow rapidly, with emissions in 2012 more than 50% above 1990 levels.

Recently, and for the first time in more than 2 million years, the concentration of carbon dioxide in the atmosphere climbed above 400 parts per million, 37% higher than in 1800. The resulting global warming, about 1.5 degrees Fahrenheit, will persist for at least 1,000 years.

With every passing year, the pool of total carbon dioxide emissions grows bigger, causing more warming -- and more warming leads to greater damages from climate, weather extremes like heat waves, heavy rainfall, and coastal storm surge, as well as altered crop yields, threats to human health, and increased risks of wildfire.

The first step? Address the root of the issue, and this is why the action Obama outlined is smart. The plan recognizes the breadth of the problem and focuses on a wide range of emissions sources. It also recognizes that not all the damages can be avoided and that building resilience needs to be a part of the package.

Taking action now is also cost-effective. Slowing and eventually stopping emissions will take time. The global energy system producing most of the carbon dioxide emissions is massive, and includes thousands of power plants and more than a billion vehicles. The components of the energy system are long-lasting: Cars are driven for one to two decades. Power plants are designed to run for up to a half-century. Buildings, which use energy for heating, cooling, lighting, and running equipment, can stand for a century or more.

As things stand now, these realities commit us to continuing emissions into the future. Each new coal-fired power plant that goes online or inefficient vehicle that hits the road extends that commitment. In principle, we can retire existing infrastructure -- like energy-inefficient buildings and carbon-intensive power plants -- early, but such a rapid transformation of an entire energy system would be exorbitantly expensive, essentially because it involves scrapping equipment that has not lived out its useful life.

Building the energy system for the 21st century ambitiously but gradually, starting now, controls the costs by building for the long run and by enabling markets to innovate and drive down costs.

Why is U.S. leadership so important? First, the United States has the necessary skills in science and technology, the tradition of innovation, and the mature capital markets to boldly seize opportunities. Building the energy system of the 21st century is perhaps the greatest business opportunity of the era. It will involve a wide range of technologies that emit little or no carbon dioxide, with greatly increased energy efficiency in vehicles, buildings, and equipment.

Second, the U.S. is the only nation that can truly focus the world's attention on the climate problem. When the U.S. hangs back, it is easy for other countries to question goals or get tangled in internal politics.

U.S. leadership is critical in supercharging the international effort. Today is the day to start.

The opinions expressed in this commentary are solely those of Chris Field.

@highlight

Chris Field: U.S. urgently needs to heed Obama's Climate Action Plan

@highlight

He says we've been pumping massive amounts of CO2 into atmosphere since 1800s

@highlight

He says our buildings, cars, power plants commit us to to a path that needs to change

@highlight

Field: If we don't, we face weather extremes, threats to human health