Cairo (CNN) -- Bloodshed intermingled with blood oaths early Wednesday in Egypt.

Opponents and supporters of President Mohamed Morsy clashed violently at Cairo University, killing at least 16 people and wounding 200 more late Tuesday and early Wednesday, according to the state-run EgyNews agency.

Egypt's army "will sacrifice our blood," its leaders vowed Wednesday to defend the country just hours after President Mohamed Morsy refused to bow to an ultimatum they issued two days before: Find a solution to the deadly unrest sweeping the country or be pushed aside.

The statement posted on the official Facebook page of the Supreme Council of the Armed Forces came as the clock ticked on the military's plan to suspend Egypt's constitution, dissolve the Islamist-led parliament and sideline the president, if Morsy does not find a way to end the unrest, military sources told Arab media and Reuters.

"We swear by God that we are ready to sacrifice our blood for Egypt and its people against any terrorist, extremist or fool," said the statement, which was titled "The Final Hours."

The military has given Morsy until 4 p.m. local time (10 a.m. ET ) to come up with a power-sharing agreement or face a military solution, the sources said.

Morsy refused to bow to the ultimatum, setting the stage for a possible showdown.

In a televised speech late Tuesday, Morsy declared he was elected president in balloting that was free and representative of the will of the people.

"The people of Egypt gave me the mandate for president. They chose me in a free election. The people created a constitution which requires me to stay with the constitution," he said. "I have no choice but to bear responsibility for the Egyptian constitution."

The conflict pits Morsy's supporters -- the Muslim Brotherhood -- against an opposition angered by what they say is the president's failure to take steps to improve conditions more than two years after a popular revolution that ousted Hosni Mubarak.

Morsy gave no indication of stepping down, sharing power or calling early elections, saying he was calling on the military to withdraw its ultimatum and return to its rightful work.

In Morsy's place, the military has said it would install an interim council, made up mainly of civilians, until a new constitution can be drafted and a new president elected, the sources said.

It was unclear what steps the military would take given Morsy's refusal to meet its Wednesday evening deadline. The military has previously stopped short of saying that it was suggesting a coup.

The ultimatum was meant to push all factions toward a national consensus; the armed forces aren't looking to be part of the political or ruling circles, a spokesman, Col. Ahmed Ali, said Monday in a written statement.

While insisting they want no direct role in national politics, the military leaders appeared to be pressuring Morsy to restructure his government.

The steps could include reducing the influence of the Muslim Brotherhood in his Cabinet and calling early presidential and parliamentary elections, a source close to highly placed members of Egypt's leadership told CNN.

Violent clashes

The news came as reports surfaced of clashes between anti-Morsy protesters and Morsy's supporters in Cairo where anti-government demonstrators took to the streets for the third consecutive day calling for the country's first democratically elected president to step down.

Conflicting casualty reports Tuesday afternoon and into the evening put the death toll across Egypt anywhere from two to seven people killed and 144 wounded, according to Arab media and sources. CNN could not confirm the casualty counts.

The growing unrest prompted U.S. President Barack Obama's administration to urge Morsy to call early elections, while warning the Egyptian military that it risked losing U.S. aid if it carried out a coup, senior administration officials told CNN.

Opinion: Egyptians are fed up with Morsy

On Facebook, Morsy's Islamist-backed Freedom and Justice Party called for several nationwide rallies to support the leader. Thousands of his supporters poured into the streets in a Cairo suburb and at Cairo University.

Clashes were reported in at least one Cairo suburb between anti-government demonstrators and pro-Morsy protesters, according to Arab media.

Anti-Morsy protesters have gathered in huge numbers outside a presidential palace where Morsy has been working in recent days. They also have taken to other main squares in cities nationwide.

It was not clear whether Morsy was in the palace.

The anti-government group Tamarod, or "rebel," said in a posting on its Twitter account that Morsy "has no option but to leave" along with the prime minister and the Shura Council, the upper house of parliament.

In the face of the anti-government protests, which began over the weekend, five ministers announced their resignations Monday. The latest was Foreign Minister Mohamed Kamel Amr, Egypt's official Middle East News Agency reported.

Governments issue warnings against travel to Egypt

Thousands demonstrate

Demonstrations continued Tuesday in Cairo's Tahrir Square, where thousands of anti-Morsy protesters had massed, cheering as Apache helicopters buzzed the crowd.

The U.S. Embassy in Cairo, which has been closed since June 30, will remain closed on Wednesday.

The UK was warning against all but essential travel to Egypt, and Canada said it was closing its embassy until further notice "for security reasons."

Although the U.S. is urging Morsy to call new elections, it did not say Morsy should step down immediately, the senior Obama administration officials said.

"We are saying to him, 'Figure out a way to go for new elections,'" a senior official said. "That may be the only way that this confrontation can be resolved."

The officials said nothing in the Egyptian constitution gives Morsy the authority to call for new elections but said that may be the only way to end the crisis.

Opinion: In Egypt, rage must lead to game plan

A State Department spokeswoman, however, denied the assertion. "The reports that we have been urging early elections are inaccurate," Jen Psaki told reporters.

The officials said the United States has also warned the Egyptian military that a coup would trigger U.S. legislation that calls for cutting off all American aid.

Psaki acknowledged that "there are conditions on aid," but said, "That's way ahead of where we are in the process."

Rand Paul: Stop using U.S. taxpayer money to aid Morsy

On Monday, Obama encouraged Morsy in a telephone call to ensure that his government represents all Egyptians, "including the many Egyptians demonstrating."

Morsy's government has insisted that its decisions are legitimate, because it was democratically elected.

Obama addressed this argument directly in his conversation with Morsy.

"He stressed that democracy is about more than elections," the statement said.

Obama reiterated to Morsy that the United States does not support any party or movement in Egypt, it said. He called for an end to violence on all sides and expressed particular concern about sexual assaults on women.

State-funded Egyptian daily Al-Ahram has reported 46 sexual assaults during anti-Morsy protests in Egypt since Sunday, citing the volunteer group Operation Anti-Sexual Harassment.

A Dutch journalist was reportedly raped Friday while covering protests, the Committee to Protect Journalists said. She was hospitalized and underwent surgery before flying back to the Netherlands.

Over the weekend, an Egyptian journalist died in a bomb attack on a Muslim Brotherhood office; four other local journalists were beaten and their camera equipment destroyed or stolen. Two Egyptian journalists were wounded by shotgun fire.

Morsy has few friends as deadline looms

Morsy's failings

Morsy, a U.S.-educated Islamist, was elected Egypt's president in June 2012, but critics say he has become increasingly authoritarian during his year in power.

And he has failed to revive Egypt's economy, which crashed when the 2011 uprising that toppled Mubarak drove tourists away.

That has disaffected many of his supporters among Egypt's poor and middle classes, said Fawaz Gerges, director of the Middle East Center at the London School of Economics.

"That some of the revolutionaries are calling on the army to return to politics is a testament to how polarized Egypt is a year after the election of Morsy," Gerges said. "Think of the millions of people who cheered Morsy after his election. Think of the millions of Egyptians who pinned their hopes on Morsy.

"A year later, now, the millions of Egyptians who cheered for Morsy are saying he must go."

Gerges questioned Morsy's ability to continue to lead but said he doubted the military would depose him. Such a move "would plunge Egypt into a greater legal, political and institutional crisis," he said.

The military will want to see the influence of the Muslim Brotherhood reduced in government and in the constitution, Gerges said.

Mubarak had long repressed the Islamic political movement, but it is now the nation's most powerful political force.

Anti-government demonstrators say they have collected 17 million signatures -- 4 million more than the number who voted Morsy into the presidency -- calling for him to go.

The opposition comprises various groups and loose coalitions, some of which are loyal to the ousted Mubarak government, while others want the army to intervene.

AbdulMawgoud Dardery, a former member of parliament and a Muslim Brotherhood representative, told CNN's "Amanpour" that the military could be an "honest broker" in a national dialogue. He said Morsy has reached out to opposition leaders many times, but the opposition "is afraid of democracy."

"It failed in the previous five elections we had in Egypt since the revolution, and they don't want to fail a sixth time," he said. "That's why they're going to street politics."

U.S. student killed in Egypt was enthralled with region

CNN's Tom Watkins, Ben Brumfield, Jamie Crawford, Schams Elwazer, Karen Smith, Elise Labott, Ben Wedeman, Ian Lee, Housam Ahmed and Salma Abdelaziz contributed to this report.

@highlight

Egypt's military vows to "sacrifice our blood" to defend the country

@highlight

16 people were killed in clashes at Cairo University, state media reports

@highlight

Journalists also hit by violence: one killed, one raped, others beaten

@highlight

Foreign minister resigns, Morsy's office says Egypt won't "go backwards"