(CNN) -- This is an obituary, but not as you know it. One, the subject of this obituary is a horse. And two, he isn't dead.

But come Saturday, countless millions of racing fans the world over will be in mourning for one of the greatest racehorses the sport has ever seen.

Once a racehorse like Frankel retires to spend the rest of his life in the breeding shed he is, in some sense, lost to us forever, and we are left wondering if we'll ever see his like again.

Unbeaten at two, three and four years old, Frankel's career yet seems too short for a talent that burned so bright.

It is inconceivable that we would allow our human idols to retire, unopposed, at their peak of their brilliance.

But the nature of Thoroughbred racing is such that the best horses are victims of their own success: Frankel is simply too valuable to race on.

Valued -- conservatively, some say -- at $160 million, Frankel's true worth can only be realized away from the racetrack.

Infographic: What makes Frankel so special?

Undefeated in all 13 of his races, Frankel is now preparing for this 14th and final challenge.

For those who've savored every one of his 13 appearances so far it will be chance to say farewell to the horse who has redefined our understanding of what is possible in an equine athlete.

For those who have yet to see Frankel in action, Saturday provides one last opportunity to witness a piece of racing history as the Henry Cecil-trained colt lines up in the showpiece Champion Stakes at Ascot Racecourse.

But Frankel's last race will also be his toughest yet, pitting him against the second best horse in the world on rating, Cirrus des Aigles, winner of this race last year and looking in imperious form after a stunning victory in his native France over the Prix de l'Arc de Triomphe weekend.

The venue for the showdown between the world's two top-rated Thoroughbreds, Ascot Racecourse, is one of the most venerable courses in racing -- but is not without its own idiosyncrasies.

Founded in 1711 by Queen Anne, Ascot retains close links with the British royal family.

Perhaps the best-recognized race meeting in the global racing calendar is Royal Ascot, which takes place in June each year. Queen Elizabeth II -- one of the country's best-known racing fans -- attends every day, arriving by horse-drawn carriage from Windsor Castle.

Frankel immortalized on canvas

She will be in attendance again on Saturday to witness the King of the Turf take his final bow.

Ascot has already witnessed what was arguably the greatest win of Frankel's career -- maybe even the greatest win of any racehorse's career -- his 11-length victory in this year's Queen Anne Stakes at this year's Royal Ascot.

That performance, reminiscent of Secretariat's 31-length victory in the 1973 Belmont Stakes -- cemented Frankel's reputation as undoubtedly the greatest racehorse of the 21st century.

But it was also the venue where the wonder horse came the closest he's ever come to losing his unbeaten record.

One year earlier, Frankel had started in the 2011 St James's Palace Stakes. The pacemaker Rerouted set a break-neck pace, soon opening up an enormous gap to the rest of the field.

Frankel's jockey, Tom Queally, appeared to panic, and sent his colt off after the leader. Frankel duly caught him, but the exertion nearly took its toll, and with a furlong to go Frankel's stride was shortening.

He just held off 20-1 shot Zoffany to win by three quarters of a length -- the smallest winning margin of his career apart from his maiden win over Nathaniel (a multiple Group 1 winner in his own right who, incidentally, will also be lining up against his old foe on Saturday).

Notoriously undulating, the going for Saturday's race will be another test for the four-year-old, who has yet to prove himself over such soft ground.

Horse play at Ascot. Spot the Fez!

It plays neatly into the hands of his rival Cirrus des Aigles who, by contrast, won over soft ground in his last impressive outing in Paris.

While most racing insiders will doubtless hold the view that Frankel's sheer class will prevail, a cautionary note is sounded by the experience of Black Caviar; virtually identical conditions nearly caused a major upset earlier this season when the Australian sprinting sensation put her undefeated record on the line at Royal Ascot.

She hung on by the narrowest of margins and was rewarded with a pat on the nose from the Queen herself. Frankel fans will no doubt be hoping the Queen's royal endorsement will bring him a similar degree of luck on Saturday.

In a vintage year for racing that has included not only the daring of Black Caviar, the thrilling possibility of the first Triple Crown winner in four decades in Camelot, the bravado of the little German filly Danedream to capture the King George and Queen Elizabeth Stakes, Frankel's final curtain call has been designed to be the climax to one of sport's great narratives.

Frankel's entire career has been played out, poignantly, against the backdrop of his trainer's battle with cancer.

Frankel himself was named after legendary American trainer Bobby Frankel, who lost his own battle with cancer in 2009, the year his namesake was born. Henry Cecil, who has been knighted by the Queen, was unable to attend Frankel's brilliant win in the Sussex Stakes at Glorious Goodwood earlier season as he was receiving ongoing treatment for stomach cancer.

But he was determined to be at York for Frankel's debut over the mile-and-a-quarter distance that he will attempt again on Saturday.

As a stunned crowed watched Frankel demolish a quality field on his first outing over the longer trip, Cecil permitted himself a smile. Asked how his colt's victory had made him feel, barely audible, he replied: "Young again."

Assuming Frankel can deliver again on Saturday he will give us the Hollywood ending this story so richly deserves.

Long after the applause has died down around Ascot and the last champagne has been popped, Cecil will begin the work of easing Frankel down in preparation for his new life away from the track.

But this once-in-a-lifetime horse will not be forgotten by anyone who has seen him in full flight, making his blazing runs down the home straight.

We are destined to think of Frankel every time we see one of his offspring at a race course.

In a little over a year from now, the first of Frankel's foals will be taking his or her first long-limbed steps in a paddock in some corner of England.

A year after that, if everything goes to plan, that foal could be making its first appearance at a race track.

Perhaps it will resemble him, with his four white socks and the perfect star on his forehead.

His colts and fillies will be their own individuals, of course -- a blend of characteristics passed on by their sire and their dam. But if they inherit just some of their sire's speed, his aggression and his indomitable will to win, a little bit of Frankel's magic will live on.

@highlight

Frankel makes final appearance on a race course at Ascot Saturday

@highlight

The four-year-old colt will be retired to stud after Champion Stakes

@highlight

Frankel is unbeaten in 13 races and has acquired legendary status

@highlight

Queen Elizabeth II will be at Ascot to watch the proceedings