(CNN) -- A driverless taxi is waiting for you outside your house. Cruising through the city, you arrive safely at the airport where you drop off your luggage while ordering a coffee. Check-in is then a matter of just a few seconds, thanks to facial recognition software, while distant biometric scanning allows you to avoid long security queues.

Walking past interactive shopping windows, yoga studios and outdoor green terraces, you arrive at the departure hall, a bright uplifting space dotted with paintings by the French impressionist masters. After having a look around, holographic airport staff guide you to your boarding gate. You soon find yourself aboard sitting in your body morphing seat that is fully-equipped with all the movies from your favorite director.

No, this is not science fiction. Instead, this is how your airport travel experience will be in just 10 years from now-- according to Skyscanner.

The travel booking site released Monday the second part of its "Future of Travel" report which looks at what travel journeys will look like in 2024.

Compiled by a team of 56 experts and futurologists from the travel and tech industries, the study predicts that future travel journey "will be almost unrecognizable from the often time consuming and stressful experience of 2014."

Read this: This plane can 'fly forever'

In 10 years' time airports will be intelligent spaces that will allow travelers to enjoy an automated and stress free journey. Emerging technologies will transform airlines into virtual hubs where passengers will be able to create their own havens to suit their personal preferences.

"Airports and flights will no longer be the price we pay to travel but instead will signify the start of our holidays where travelers can relax and create the perfect space to suit their needs whether they're flying for business or leisure," says Filip Filipov, Skyscanner's Head of B2B.

Here, based on Skyscanner's predictions, CNN's On The Move presents the top three things you can expect to experience at the airport and while flying in 2024.

1. Self-service check-in, scanning sensors and digital bag tags

Future travelers will take complete control of their journey, which will be free of check-in desks and long queues.

Biometric check-in software will eliminate the need for boarding passes and passport checks, while X-ray machines will also become a thing of the past thanks to sensors capable of scanning big groups from a large distance.

Digital luggage tags pre-set with flight details and destination information will allow passengers to track their bags in real time throughout their trip.

"You'd be able to see where your bag is at all time," says Filipov, "and when it is arriving."

2. Art, yoga and waterfalls

Once past security, out go the blunt and dull and in come the cool and splendor.

The soulless departure lounges and mundane transit areas of today will be replaced by uplifting, comfortable lounges filled with paintings and sculptures. If you don't feel like delving into the world of art, amenities ranging from rooftop swimming pools and 3D cinemas to gyms and open-air parks will offer a pleasant distraction before boarding your flight.

Similarly, virtual shopping walls will replace duty free stores, with passengers able to order goods with a simple verbal command. "You will be able to select the goods that you'd like to buy and have them delivered to your home potentially when you're back from vacation," says Filipov.

3. 'Your home in the air'

In cabin smart lighting will make jetlag a thing of the past, while seats that mold to the passengers' body shape will come with pre-loaded films and music according to their tastes.

A mix between a mobile living room and a virtual office, the seating will also allow travelers to hold 3D chats with their family, friends or business contacts through Skype hologram systems.

"That seat will become your home, in a way, in the air," says Filipov. "It will actually be tailored to you, not in terms of how it looks and how it feels but rather the multimedia that goes with it."

Read this: This plane can 'fly forever'

More from On The Move

@highlight

Skyscanner released Monday the second part of its "Future of Travel" report

@highlight

It predicts that journeys in 2024 "will be almost unrecognizable" from today's stressful experience

@highlight

The report says airports will become smart spaces that will allow travelers to enjoy an automated journey