(CNN) -- Some people hire florists and caterers when planning their wedding. Former Google employee Brit Morin brought on a programmer to create a custom app.

That personal app grew into Weduary, a real product that helps people design wedding sites, and Morin went on to create her own lifestyle how-to company called Brit + Co., which combines crafting, homemaking and a bit of tech.

In the year since it launched, Brit + Co. has created tons of step-by-step posts, filmed how-to videos staring Brit, brought in user-generated projects and started selling merchandise such as crafting starter kits, books and subscription boxes called Brit Kits. For $20 a month, Brit + Co. will deliver a Brit Kit box filled with crafting materials and instructions for projects such as gloves that work on touchscreen devices.

Last week, Brit.co entered its newest stage by branching out into content aggregation with a feature called Brit's Picks. The company is pulling in posts from 25 popular crafting and style sites, including Style Me Pretty, Oh Happy Day and Smitten Kitchen, and hand-picking the best posts to share with the Brit.co readers.

Inspired by the Maker movement and the tech culture of Silicon Valley, Morin wanted to combine her interest in technology and crafting with the popular Maker movement.

"There was really no voice or teacher, specifically on the female side, who was really sharing all of these new innovations with those inspired to live creatively," she said of the maker culture.

The projects on Brit.co are fairly simple and meant to be completed quickly, but many incorporate cool gadgetry such as 3D and laser printers, or wired elements such as Arduino kits, which are do-it-yourself computing and circuitry kits. There are recipes for no-bake peanut butter and jelly pie, instructions on how to create homemade headbands in less than five minutes, and plenty of iPhone app and accessory round-ups.

One of Morin's favorite recent projects was an LED cowboy hat she wore to the South by Southwest festival in Austin, Texas. Using littleBits pieces, she stitched wire into the hat to spell out her Twitter handle.

"Being from Texas, it really showed who I am: a little bit style, a little bit country and a little bit tech," said Morin.

Morin says she aspires to be a combination of Marissa Mayer and Martha Stewart. She worked with Yahoo CEO Mayer in the past, and Mayer is an investor in Brit + Co. The company raised a $1.25 million seed round of funding last year from a group that also included Tina Sharkey, the former chairman of Baby Center and co-founder of iVillage.

In an effort to differentiate herself from the doyennes of DIY like Stewart, Morin avoids saying the word "craft," which she thinks makes people think of popsicle sticks. Instead she enthusiastically uses the word "hack" to describe any time- or money-saving trick. For example, she hacked a Jawbone Up fitness tracking device by wrapping the bracelet in gold wire to make it look less like a sports accessory and more like jewelry.

At Brit and Co., Morin's agreeable, bubbly personality is a big part of the product. Her photographs are used to illustrate the various projects. She stars in a the how-to videos online. And she is constantly promoting the brand in magazines and on TV programs. Next week, she's headed to the "Today" show, where she will demonstrate how to use the Shapeways site to print metals in 3D.

This personality-centric approach to branding is all part of her larger plan to emulate some very successful companies.

"We're trying to recreate what it is to have a person as the core of the brand," said Morin. "In the past it was Disney, Rockefeller, Walmart; all these huge companies that have lasted for decades had a person's name in the brand."

Morin's own homemaking skills are self-taught.

The 27-year-old studied business and communications at the University of Texas in Austin before moving to Silicon Valley, where she worked in product and marketing at Apple and Google. Though she has no formal design experience, she says she planned parties when she was younger and taught herself how to sew and cook.

Morin says that, like her, the current generation is interested in homemaking and DIY, but suffers from a lack of time and proper training. Morin says that with so many people 35 and younger growing up with two working parents, there's been less time for passing on cooking, crafting and DIY techniques.

"This generation specifically, as opposed to older generations, didn't spend enough time on the domestic arts," said Morin, who aims to fill in the blanks for today's busy, stylish and proudly geeky DIY fans.

@highlight

Formerly of Apple and Google, Brit Morin has created a tech and craft how-to company

@highlight

Brit + Co. mixes technology such as 3D printers and Arduino kits with craft projects

@highlight

The Brit.co site is expanding into aggregation, starting with 26 popular craft sites