U.N. Security Council members on Wednesday unanimously approved a resolution to address the "growing threat" posed by foreign terrorist fighters, a measure that U.S. President Barack Obama applauded while insisting it "must be matched and translated into action" to have any effect.

"Resolutions alone will not be enough, promises on paper cannot keep us safe, lofty rhetoric and good intentions will not stop a single terrorist attack," Obama said.

If governments abide by the resolution and fully cooperate with one another, the world should become safer, the President said. But it won't be easy, especially given the potential of terrorism to spread beyond the Middle East: Obama noted U.S. intelligence estimates over 15,000 individuals from more than 80 nations have gone to fight in Syria, exacerbating the conflict there and raising the possibility they could "come home" and carry out deadly attacks.

"If there was ever a challenge in our interconnected world that could not be met by one nation alone it is this: terrorists crossing borders and threatening to unleash unspeakable violence," Obama said.

The resolution passed Wednesday requires nations to "suppress the recruiting, organizing, transporting, equipping" and financing of "foreign terrorist fighters," according to Obama. It also also calls on government to "help build the capacity of the states on the front lines of the fight."

But it will take more than corralling groups like ISIS militarily to permanently address the threat, Obama said.

"Potential recruits must hear the words of former terrorist fighters who have seen the truth: that groups like ISIL betray Islam by killing innocent men, women and children, the majority of whom are Muslim," the President said, using his administration's favored term for ISIS.

Obama also said the world must do better at addressing root problems -- from economic insecurity and political instability, including in Syria, where he called for "a political solution" to the years-long civil war there -- that play a role in drawing some to join terrorist groups.

"We must work to address ... the oppression, the lack of opportunity, too often the hopelessness that can make some individuals susceptible to appeals of extremism and violence," he said.

Unanimous vote, but hints of possible issues

After Obama's roughly 10-minute remarks, other world leaders echoed his anti-terrorism views, from Nigerian President Goodluck Jonathan's blasting of groups like ISIS and Boko Haram's "despicable campaign against humanity" to South Korean President Park Geun-hye calling them the "scourge of mankind."

"Terrorism is nothing new. It's been with us for years," French President Francois Hollande said at the Security Council meeting. "But it has taken on another dimension, and it wants to conquer territory now."

There are no "easy answers or quick fixes" to addressing the terror threat in the Middle East, Africa and beyond, British Prime Minister David Cameron said. But something must be done, he added -- and for it to work, the world's governments must be on the same page.

"We need a response that involves every part of government and society, and every country involved in the widest possible international coalition," Cameron said.

The fact countries like Britain and France are backing the United States is hardly surprising. But, as Obama said, what made Wednesday's vote notable is that "it is very rare where the United Nations achieves the kind of consensus that we see represented in this resolution."

In fact, officials from China and Russia -- two (of the five) Security Council permanent members who often stymy U.S. efforts at the United Nations, including those related to the Middle East -- assertively staked out anti-terrorist positions on Wednesday.

In their words, though, there were hints of possible diplomatic obstacles down the road.

Russian Foreign Minister Sergey Lavrov, for instance, warned "against any attempt to narrow down the problem" to select groups, urging the world not to have "double standards in dividing terrorists into good terrorist and bad terrorists."  He also said any efforts must "address longstanding conflicts" like those between Palestinians and Israel.

Meanwhile, Chinese Foreign Minister Wang Yi warned about "terrorist organizations and extremist ideologies ... competing with us for future generations," calling this "a battle bearing on the future of the world."

The world must act, he agreed, but only with the United Nations' stamp of approval. Wang didn't give examples, though the United States and several Arab allies recently launched military strikes against ISIS targets in Syria -- without the U.N.'s or Syria's explicit approval.

"The United Nations and the Security Council have to play the leading role in the global war on terrorism," the Chinese minister said. "This is the only way to maintain unity, achieve effective coordination and take assertive action."

Obama: U.S. leading, but can't do it alone

Before leading the Security Council meeting, Obama made a more far-reaching appeal earlier Wednesday for world cooperation against terror, climate change, Ebola and a host of other issues, saying the world stands at a crossroads "between war and peace; between disorder and integration; between fear and hope."

Many of the world's problems, the President said, stem from "the failure of our international system to keep pace with an interconnected world."

The United States is taking a leading role in addressing many of these issues.

"I can promise you that the United States of America will not be distracted or deterred from what must be done," he said. "We are heirs to a proud legacy of freedom, and we are prepared to do what is necessary to secure that legacy for generations to come."

But, Obama said, America cannot do it alone.

The leaders of the nations gathered Wednesday must decide whether they "will be able to renew the purpose of the U.N.'s founding, and whether we will come together to reject the cancer of violent extremism."

Obama outlined the U.S. government's plan for tackling ISIS, which calls itself the Islamic State, including airstrikes, training and equipping forces battling the group, and working to cut off its financing and flow of recruits. But, as he's said many times before, American ground troops won't be part of the fight.

"Already, over 40 nations have offered to join this coalition. Today, I ask the world to join in this effort," the President said. Those who have joined ISIS "should leave the battlefield while they can."

How Obama came to launch strikes in Syria

Touches on Ebola, Ukraine, other topics

While terrorism dominated Wednesday's conversation, it wasn't the only topic that Obama addressed in his General Assembly speech. Among them:

Ukraine: Russia's involvement in Ukraine represents "a vision of the world in which might makes right -- a world in which one nation's borders can be redrawn by another, and civilized people are not allowed to recover the remains of their loved ones because of the truth that might be revealed," Obama said, referring to efforts to recover the remains of victims of Malaysia Airlines Flight 17, shot down over Ukraine in July.

If Russia rolls back its involvement, the United States "will lift our sanctions and welcome Russia's role in addressing common challenges," Obama said.

Ebola: While the United States is sending medical workers and the military to build treatment centers in Africa, the President called for a "broader effort to stop a disease that could kill hundreds of thousands, inflict horrific suffering, destabilize economies, and move rapidly across borders."

Iran's nuclear program: Obama urged Iranian leaders to work with the United States and others to resolve Western concerns over the country's nuclear program. "We can reach a solution that meets your energy needs while assuring the world that your program is peaceful," he said.

Global poverty: "We will do our part -- to help people feed themselves; power their economies; and care for their sick,"  he said. "If the world acts together, we can make sure that all of our children can enjoy lives of opportunity and dignity."

Climate change:  The United States will work on the issue within its own borders, but "we can only succeed in combating climate change if we are joined in this effort by every major power," Obama said. "That's how we can protect this planet for our children and grandchildren."

Syria: Even as it provides even more support -- including militarily -- to moderate opposition forces battling President Bashar al-Assad's government, Obama said that "the only lasting solution to Syria's civil war is political: an inclusive political transition that responds to the legitimate aspirations of all Syrian citizens, regardless of ethnicity or creed."

Kerry: Fight against ISIS goes on

@highlight

World leaders echo President Obama's anti-terrorism views at U.N. meeting

@highlight

Britain's prime minister calls for the "widest possible international coalition"

@highlight

Russia warns of "double standards"; China calls for the U.N. to take the lead

@highlight

Obama: U.S. "will not be distracted or deterred from what must be done"