(CNN) -- One of the nightmare scenarios of the 21st century is a "rogue state" or terror group getting its hands on nuclear material that could be sufficiently enriched to make a weapon. And diplomatic cables obtained by WikiLeaks show that from central Africa to central Asia, it's a constant preoccupation of U.S. officials.

Two cables from 2007 detailed the discovery of uranium in "multiple containers" in the Democratic Republic of Congo.

"All items have marking and labels indicating that they were produced in Belgium," one says.

The cables, written by the U.S. Embassy in neighboring Burundi, quote an unnamed informant as saying the uranium was found in a fortified bunker.

"It took four months to open the bunker. In the process of opening the bunker two men were killed by a grenade booby trap. There were also land mines planted around it," one cable says.

The informant, described by the Guardian newspaper as a local elder, added: "One container weighing 3 kg is currently located in Bukavu and another 3 kg container is located in Goma," two towns in eastern Congo. And he said he knew of "someone who has 3 containers who would be willing to sell them."

Regarding the motivation of the man and his associates, the cable quoted them as saying "they did not want these items to fall into the wrong hands, specifically mentioning that they did not want Muslims to possess the items." And they were reluctant to notify the Congo authorities because "they were afraid that the corrupt Congolese police would steal the items and sell it themselves."

For U.S. diplomats, one of the challenges is to work out what might amount to a real danger, and what might be a scam.

The Congo informants were "anxiously waiting for some sort of indication from us that we are willing to pay for it," according to the cable. "The men did not know if the uranium was weapon-usable fissile material, highly enriched uranium, what the percentage of uranium-235 isotope or other isotopes were, or how its content was determined."

In the end U.S. diplomats concluded: "This case fits the profile of typical scams involving nuclear smuggling originating from the eastern DRC."

In 2006, another cable -- from Dar es Salaam in Tanzania -- discussed the possible shipment of African uranium overseas. It says that "according to a senior Swiss diplomat, the shipment of uranium through Dar es Salaam is common knowledge to two Swiss shipping companies." The uranium was supposedly from Democratic Republic of Congo and was destined for Iran -- though embassy officials pointed out that the reports were unsubstantiated.

Security at nuclear installations has been another cause for alarm. In 2006, U.S. diplomats toured a non-functioning nuclear research center that included two reactors in the Congo capital, Kinshasa. One, according to the director of the center, contained "5.1 kilograms of enriched uranium," which is U-235, enriched to 20 percent.

The visitors noted: "External and internal security is poor, leaving the facility vulnerable to theft. The fence is not lit at night, has no razor-wire across the top, and is not monitored by video surveillance. There is also no cleared buffer zone between it and the surrounding vegetation."

As for the guards, "some are elderly, and some are occasionally caught sleeping on the job," the cable adds. "It is relatively easy for someone to break into the nuclear reactor building or the nuclear waste storage building and steal rods or nuclear waste, with no greater tool than a lock cutter."

In fact, two fuel rods had vanished from the facility in 1998. One was subsequently found when the Mafia in Italy tried to sell it to unidentified buyers from the Middle East. The other was never recovered.

Guarding nuclear materials appears to have been a problem in Yemen, too. A cable from the U.S. Embassy there earlier this year noted, "The lone security guard standing watch at Yemen's main radioactive materials storage facility was removed from his post on December 30, 2009, according to (name redacted)." And it adds, "Very little now stands between the bad guys and Yemen's nuclear material."

U.S. President Barack Obama has made it a priority to secure vulnerable nuclear stocks within four years in a global drive to pre-empt nuclear terrorism. While some progress has been made, data from the International Atomic Energy Agency show there is plenty of nuclear material on the loose.

In the year to June 2010, the IAEA reported 61 incidents involving theft or loss. Five of the incidents involved high enriched uranium or plutonium, including one of illegal possession.

Several cables refer to attempts to sell nuclear and radiological materials stolen in the wake of the collapse of the Soviet Union. One of the more bizarre incidents occurred in Portugal in 2008, when a man walked into the U.S. Embassy to try to help sell "uranium plates" owned by an unidentified ex-Russian general living in Portugal.

"The material was allegedly stolen from Chernobyl," the cable says. "The walk-in stated he is not on any medications and has not consulted any mental health specialists."

Several incidents are reported in cables from the Caucasus nations -- the most recent so far published referring to an incident last year. A car carrying three Armenians set off a gamma alarm as it crossed into Georgia. "The driver of the vehicle said that he had recently had surgery, during which time a radioactive isotope was injected into his body," an explanation that apparently satisfied the Georgian border guards.

But the alarm sounded again when the car crossed the border at a later date and an inspection "determined that the car was contaminated with Cesium-137," a radioactive isotope frequently found in the low-level waste from medical or research labs which in the wrong hands could be an ingredient for a "dirty bomb."

However, a search of the vehicle failed to produce any radioactive material and the occupants were allowed to go. The Cesium-137 had apparently been delivered.

One interesting aspect of that incident was that the alarm was set off by a "radiation detection portal monitor," hundreds of which have been installed at border crossings in many parts of the former Soviet Union as part of a program run by the U.S. Department of Energy. However, the effectiveness of the devices has been questioned.

One cable on the incident says it "reveals that some training gaps remain within the patrol police on how to appropriately handle alarms."

In another case that is not covered by the leaked cables published so far, two Armenians pleaded guilty last month to smuggling highly enriched uranium into the nation of Georgia, hiding it in a lead-lined box on a train from the Armenian capital, Yerevan, to Tbilisi in Georgia. Their illicit cargo was not detected by alarms, but they were eventually caught by a good old-fashioned sting operation.

The two Armenians, a physicist and the former owner of a dairy business, are now serving long jail terms in Georgia

@highlight

WikiLeaks cables show U.S. concerns about nuclear material on the world market

@highlight

Cables from 2007 describe a Congo incident thought to be a scam

@highlight

Other cables discuss the possible shipment of uranium from Africa