(CNN) -- Bolstered by a new poll that shows him leading in Ohio and two other battleground states, President Barack Obama on Wednesday made his ninth campaign trip this year to the Buckeye State to attack Republican rival Mitt Romney's tax plan as unfair to middle-class Americans.

In Ohio, swing state politics have real-life impact

Obama cited a report issued Wednesday by the Urban Institute-Brookings Institution Tax Policy Center that concluded Romney's proposals for tax reform would end up providing large tax cuts to the very wealthy while increasing the tax burden on the lower and middle classes.

"He's asking you to pay more so people like him can get a big tax cut," Obama told more than 2,000 supporters in Mansfield, the first of two Ohio stops Wednesday. "We do not need more tax cuts for folks who are already doing really well."

Romney's campaign challenged the veracity of the study and blamed the president's economic policies for a still-lagging economy.

"President Obama continues to tout liberal studies calling for more tax hikes and more government spending," Romney spokesman Ryan Williams said in a statement. "We've been down that road before -- and it's led us to 41 straight months of unemployment above 8%."

Earlier, the Romney campaign launched a potentially risky ad challenging the Obama administration's auto industry bailout, which is credited with saving General Motors and Chrysler.

Romney Ohio ad hits Obama over auto bailout

With just over three months until the November election, the race has become a contentious struggle to convince voters that the other guy will take the country in the wrong direction.

The Quinnipiac University/CBS News/New York Times poll released Wednesday showed Obama leading Romney in Ohio, Florida and Pennsylvania, all of which are among the eight or so battleground states vital to either candidate's chances for winning.

Poll: Obama over 50% in Florida, Ohio and Pennsylvania

According to the survey, Obama holds a 50%-44% lead in Ohio and a 51%-45% lead in Florida, which are considered toss-ups in November. The president is ahead 53%-42% in Pennsylvania, which is rated "leans Obama" on the CNN Electoral Map.

"If today were November 6, President Barack Obama would sweep the key swing states of Florida, Ohio and Pennsylvania and -- if history is any guide -- into a second term in the Oval Office," wrote Peter A. Brown, assistant director of the Quinnipiac University Polling Institute, in a statement accompanying the survey's release.

In a key finding that signaled possible trouble for Romney, the candidates were statistically even in all three states on the question of who would better handle the economy.

Romney's main campaign theme is that he is more experienced and better able to bring economic growth than Obama, and his attacks on the president's economic policies have been relentless.

Despite those attacks and unemployment above 8%, Obama is neck-and-neck with the former Massachusetts governor on the issue cited by voters as the most important to them.

Wendy Schiller, a political science professor at Brown University, said before Wednesday's poll came out that the Romney campaign is "betting on economic dissatisfaction" to defeat Obama.

"If that were true, Obama's negatives would be much worse," Schiller said. "There's obviously something else driving people's support other than the economy."

Obama's visit to Ohio showed the importance his campaign places on the state he won in 2008 over Republican candidate Sen. John McCain.

At events in Mansfield and Akron, Obama delivered a modified version of his usual stump speech emphasizing the need to restore the American dream of equal opportunity for all willing to work for it, adding a section on the report by the Tax Policy Center set up by the Urban Institute and the Brookings Institution.

Study: Romney tax plan would shift burden toward poor

Romney calls for 20% cuts to today's rates as well as eliminating the Alternative Minimum Tax and limiting current deductions, exemptions and credits available to top-level income earners.

However, Romney has yet to say which specific tax breaks he plans to eliminate, and the Tax Policy Center report indicated the result of his plan would force the tax burden to shift toward lower- and middle-class Americans.

Tax policy has become a central economic issue, with Congress deadlocked over proposals to extend most or all of the Bush-era tax cuts set to expire at the end of the year.

Obama calls for extending the current rates under the tax cuts for income below $250,000 for families and $200,000 for individuals, while letting the rates on income above those figures rise to 1990s levels.

"If you're fortunate enough to be in the other 2% of Americans, all we're asking you to do is contribute a little more," Obama said Wednesday. "This includes me, by the way."

Romney and Republicans want to extend all the Bush tax cuts for now to prevent any increase, with both sides calling for comprehensive tax reform after the election as part of necessary deficit reduction steps.

The issue touches on the foundations of the nation's political divide, with Republicans driven by their conservative base seeking to shrink government to reduce deficits while Democrats want a blend of spending cuts and more tax revenue in order to maintain what they consider essential services and entitlement programs.

In its study, the Tax Policy Center did not score Romney's plan directly, saying it lacked sufficient details. Instead, the center said Romney's plan represented a number of Republican proposals.

"They found that if Gov. Romney wants to keep his word and pay for his plan, then he'd have to cut tax breaks that middle-class families depend on," Obama said, listing mortgage deductions and health care deductions as examples. "That means the average middle-class family with children would be hit with a tax increase of more than $2,000."

The president made clear that he was relying on the study for the analysis and details, saying, "this wasn't my staff; this wasn't something we did."

"Folks making more than $3 million, the top one-tenth of one percent, would get a tax cut of a quarter of a million a year. Think about that," Obama said.

The Romney campaign argued that the analysis was flawed because it did not account for additional revenue that would result from a reduction in the corporate tax rate -- another part of Romney's plan.

"Ignoring the growth effects of corporate tax reform discredits the Tax Policy Center immediately," a Romney campaign representative said, adding, "By not including the substantial growth effects of the corporate side (of) reforms, the entire study is based on flawed assumptions."

Also on Wednesday, the Romney campaign released a television ad that criticized Obama for the auto bailout. Titled "Dream," the spot features Al Zarzour, a car dealership owner from Lyndhurst, Ohio, saying that under the bailout measure, "the dream ... that we worked so hard for was gone."

"I received a letter from General Motors. They were suspending my credit line. We had 30-some employees that were out of work," Zarzour says in the spot.

Romney has argued the bailout was not the best solution to right the then-struggling auto industry, instead advocating a "managed bankruptcy" process that he said is what ultimately happened.

Jen Psaki, a spokeswoman for the Obama campaign, said the Romney ad was surprising, adding that the president's actions on the auto industry saved 2,200 dealership jobs in Ohio alone.

Obama's campaign has also aired advertisements focused on the auto industry bailout, including one in which an autoworker explains how the bailout helped him.

Romney and the Republican National Committee have paid $8.2 million for a week of ad time in eight battleground states, which a Republican source who tracks ad buys called the largest amount spent on behalf of Romney so far in the general election media campaign.

Romney, RNC make largest weekly ad buy

Last week, the RNC started spending some of the funds it is allowed to use to coordinate with the Romney campaign. This allows Romney's campaign to avoid spending some of its money but stay on the air as the candidate faces millions of dollars of ads from the Obama re-election campaign.

Romney campaign officials have routinely refused to discuss the specifics of its ad spending or where its commercials are running.

According to CNN's ad consultant Campaign Media Analysis Group/Kantar Media, the Romney ad talking about layoffs in the car industry is running in Ohio while a new biography spot with Romney touting his business background is up in Iowa.

The Obama campaign and the Democratic National Committee, which started coordinating ad spending last week as well, bought $5.3 million of ad time in the same eight states between July 21 and August 3, and a separate $3.5 million for commercials running for a week ending August 2.

Another new Romney ad Wednesday hammered Obama over unemployment and other economic problems, saying: "Americans need a change. We need a new president."

Obama's campaign responded to the ad by citing Romney's opposition to the auto industry bailout.

"Let's get this straight -- the very person who argued for the U.S. auto industry to go bankrupt, something that would have caused more than a million jobs lost and utter economic devastation in the Midwest, is now trying to attack the president on how it was handled?" campaign spokeswoman Lis Smith said in a written statement.

CNNMoney's Charles Riley and CNN's Kevin Bohn, Ashley Killough and Kevin Liptak contributed to this report.

@highlight

Mitt Romney's campaign challenges a report on the candidate's tax plan

@highlight

President Obama visits Ohio for the ninth time this year

@highlight

A new poll shows Obama ahead in Ohio and two other battleground states

@highlight

The Romney campaign launches a new ad criticizing the auto industry bailout