Washington (CNN) -- President Barack Obama announced Monday that he has signed an executive order allowing new sanctions against companies that enable Syria and Iran to use technology such as cell phone monitoring to carry out human rights abuses.

The order is part of a broader strategy intended to strengthen the administration's ability to prevent atrocities, including creation of an Atrocities Prevention Board, Obama said in somber remarks at the U.S. Holocaust Memorial Museum to mark Holocaust Remembrance Day.

"These technologies should be in place to empower citizens, not to repress them," Obama said of the measure, which targets the Syrian and Iranian governments, as well as companies that provide them with high-tech equipment to use against their own people.

A White House statement said the executive order signed Sunday "authorizes sanctions and visa bans against those who commit or facilitate grave human rights abuses via information technology ... related to Syrian and Iranian regime brutality."

"This novel sanctions tool allows us to sanction not just those oppressive governments, but the companies that enable them with technology they use for oppression and the 'digital guns for hire' who create or operate systems used to monitor, track, and target citizens for killing, torture, or other grave abuses," the White House statement said.

Obama said the new Atrocities Prevention Board will meet for the first time on Monday at the White House.

It will have members from several government departments, including State, Defense, Treasury, Justice and Homeland Security, as well as other agencies, to help the United States improve its ability to identify and respond more quickly to threats of atrocities, according to the White House statement.

"Across government, alert channels will make sure that information about unfolding crises and dissenting opinions reach decision-makers, including me," Obama said.

Other steps include what Obama called the first-ever intelligence assessment on the risk of mass atrocities and genocide, saying the goal is to "institutionalize the focus on this issue."

"Our Treasury Department will work more quickly to deploy its financial tools to block the flow of money to abusive regimes," the president said. "Our military will take additional steps to incorporate the prevention of atrocities into its doctrine and its planning. The State Department will surge our diplomats and experts in a crisis."

He received applause from the audience of Holocaust survivors and others when he said, in clear reference to the situation in Syria, that "national sovereignty is never a license to slaughter your people."

Obama has come under heavy criticism on foreign policy issues recently from Republicans, including his certain opponent in the November election, Mitt Romney, and the president's comments appeared aimed at defending a range of acts by his administration that he said saved "countless lives" around the world.

Calling the prevention of atrocities and genocide a "core national security interest" as well as a core American value, Obama added: "That does not mean that we intervene militarily every time there is an atrocity committed. We cannot and should not."

Instead, he cited a growing range of tools available and referred to specific achievements such as creation of the world's newest nation of South Sudan as part of a treaty that ended decades of war, resolution of a leadership crisis in Ivory Coast and the resolution of the Libyan crisis.

Obama also announced that he is extending the work of American advisers in Uganda helping pursue the Lord's Resistance Army and its leader, Joseph Kony, who are accused of widespread atrocities.

"Today I can announce that our advisers will continue their efforts to bring this madman to justice and to save lives," Obama said.

Monday's visit to the Holocaust memorial museum was Obama's first as president. He was accompanied by Nobel Peace Prize winner Elie Wiesel, a Holocaust survivor, who urged Obama and world leaders to prevent atrocities such as attacks on citizens occurring in Syria.

In particular, Wiesel said threats by Iranian President Mahmoud Ahmadinejad to use nuclear weapons to destroy Israel must be confronted.

"How is it that the Holocaust number one denier -- Ahmadinejad -- is still a president," Wiesel said in introducing Obama. "He who threatens to use nuclear weapons ... to destroy the Jewish state. Have we not learned? We must know that when evil has power, it is almost too late."

In his remarks, Obama repeated his administration's policy on the issue, saying: "The United States will do everything in our power to prevent Iran from getting a nuclear weapon."

The president has come under criticism from Republicans and some pro-Israel groups for not taking stronger steps to prevent Iran from developing a nuclear weapon.

Israel has made clear it is considering a military strike on Iran's nuclear energy facilities. The Obama administration argues it has worked with international partners to strengthen sanctions against Iran, and more time is needed for those steps to weaken the Iranian economy and influence the regime's behavior.

Romney, in a speech earlier this year to the pro-Israel group AIPAC, excoriated the administration's "policy of engagement with Iran," but erroneously asserted the president had opposed sanctions against Iran at that point.

Supporters of the administration were quick to point out that the most crippling set of sanctions against Iran since initial legislation was passed in the late 1990s occurred under Obama's watch.

In his remarks Monday, Obama also announced that he will award the nation's highest civilian honor -- the Presidential Medal of Freedom -- to the late Jan Karski, a resistance figure who tried to alert the world to the Holocaust atrocities during World War II.

CNN's Jamie Crawford contributed to this report.

@highlight

NEW: President Obama extends the U.S. mission chasing Joseph Kony and the LRA

@highlight

Obama says new technology should empower people, not repress them

@highlight

Companies providing technology such as cell phone monitoring to abuse rights can be targeted

@highlight

The move is intended to provide another tool in cracking down on Syria and Iran