Amid the chaos and the grief, the politics and the finger pointing, we are no closer to answering some key questions about the downing of Malaysia Airlines Flight 17. The crash, which killed all 298 people aboard, has turned a volatile Ukrainian region into a global problem.

Here are five questions we don't yet have the answers to.

1. Who shot down the plane?

Only a full investigation can settle that. This much we know: Flight 17 was shot down using a surface-to-air missile in Ukrainian territory that's controlled by pro-Russian rebels.

Ukraine's government says it has "compelling evidence" that a Russian-supplied battery, manned by Russian operatives, fired the missile. The United States has also pointed the finger at the Russian-trained rebels.

"We have a video showing a launcher moving back through a particular area there, out into Russia, with at least one missing missile on it," Secretary of State John Kerry said on CNN's "State of the Union" on Sunday.

But Russia has denied any involvement. So have the rebels, who accuse the Ukrainians of downing the plane -- without offering proof.

2. Why would anyone target a passenger plane?

If indeed the rebels are behind the attack, they may have mistaken Flight 17 for a Ukrainian military aircraft. In the past few months, the rebels have used surface-to-air missiles to bring down more than a dozen planes, including two transport aircraft, the U.S. Embassy in Kiev said.

Shortly after the crash,  Igor Strelkov,  the self-proclaimed defense minister of the Donetsk People's Republic, claimed on social media that the rebels had shot down a military transport plane. Those posts were later deleted once it turned out the plane was a civilian aircraft.

"It has the earmarks of a mistaken identification of an aircraft that they may have believed was Ukrainian," Arizona Sen. John McCain told MSNBC.

3. Why was the plane flying over a war zone?

Most airlines follow rules set by national civil aviation authorities and take the most direct route available, said Mary Schiavo, a former inspector general of the U.S. Department of Transportation.

The Malaysia Airlines flight left Amsterdam for Kuala Lumpur, Malaysia. It flew over eastern Ukraine, which is a common route for international carriers.

Last week, Eurocontrol, the agency responsible for coordinating European airspace, said Ukrainian authorities had closed airspace in the region below 32,000 feet (about 9,750 meters), but it was open at the level Flight 17 was flying (33,000 feet).

"There's a lot of questions to be asked in a lot of different places," CNN aviation analyst Miles O'Brien said. "Why didn't government officials close off that airspace completely? 32,000 feet, that's a completely arbitrary number."

4. When will international investigators get access to the crash site?

No one knows.

A U.N. Security Council meeting ended early Monday, with Australia introducing a resolution that called for a swift international investigation.

"There's no doubt that at the moment, the site is under the control of the Russian-backed rebels. And given the almost certain culpability of the Russian-backed rebels in the downing of the aircraft, having those people in control of the site is a little like leaving criminals in control of a crime scene," Australian Prime Minister Tony Abbott said Monday.

But Russia, which has veto power as a permanent member of the council, wants a modified resolution -- one that leaves out Ukraine from any investigation.

5. How will Russia respond?

If an investigation concludes the plane was shot down by rebels using a Russian-supplied missile -- or, worse still, by Russians themselves -- President Vladimir Putin will have two choices. And neither, says professor Daniel Treisman, works to his advantage.

Putin could reject the conclusions and stand by the rebels. If he does so, he risks becoming an international pariah. The West might also hit Russia with even tougher economic sanctions, enough to cripple its economy and send it into a recession.

Or, Putin could sever ties with the rebels. But that could present problems, too.

"A relentless barrage of propaganda has convinced many Russians that their co-ethnics in Donetsk and Luhansk are being massacred by troops commanded by a fascist regime in Kiev,"  said Treisman, who teaches political science at the University of California, Los Angeles, and who authored the book The Return: Russia's Journey from Gorbachev to Medvedev."

"For Putin to bow to international pressure and abandon his former charges would look like cowardice."

@highlight

The U.N. Security Council is calling for a swift international investigation

@highlight

Putin has two choices; neither works to his advantage

@highlight

European airspace agency: Ukrainian authorities closed airspace below 32,000 feet