(CNN) -- Once investigators looking for Malaysia Airlines Flight 370 decide to shift from listening for pings emanating from the floor of the Indian Ocean to poring over its terrain, they will begin drawing from a whole new set of tools.

Among them will be the Bluefin-21, a probe equipped with side-scan sonar -- an acoustic technology that creates pictures from the reflections of sound rather than light.

"That is a piece of equipment that does assist in locating where the wreckage may be," said Sylvia Earle, an oceanographer from National Geographic who was chief scientist for the National Oceanic and Atmospheric Administration.

A 'massive, massive task'

Though the discovery of four pings believed to be from the jet's so-called black boxes -- its flight data recorder and its cockpit voice recorder -- have helped investigators narrow the search area, they would still face a formidable task. "It's a lot of terrain to cover," given that the Bluefin-21 moves at the pace of a leisurely stroll, she told CNN.

Though it moves slowly, it creates good images -- so good that they are "almost a picture of what's there ... but it's imaged with sound instead of with a camera."

Listen for a ping, and the water may play tricks on you

Once the debris field is found, then other equipment -- such as remotely operated vehicles -- would be brought in to recover the black boxes, Earle said.

ROVs working at depths of three miles would require power conveyed down a cable from a ship above, she said. "There are not many pieces of equipment in the world able to do this."

And there are only a handful of countries that have manned submarines capable of descending to such depths, she said, citing the United States, Russia, Japan, France and China.

"Having the human presence there can make a big difference," she said. It "can give you a real edge in terms of understanding what's there."

The scarcity of resources "shows how ill-prepared we are to operate in the deep sea," Earle said. "We've invested in aviation and aerospace, and we've been neglecting the ocean."

The time to move from listening for pings to looking for debris is fast approaching, said Alan Diehl, a former Air Force accident investigator. "We're right on the cusp where we need to go from passive listening to active (looking) with the Bluefin," he told CNN.

That's because the batteries powering the black boxes' locator devices are probably already dead, said Mary Schiavo, former inspector general for the U.S. Department of Transportation, who noted that more than four days had elapsed since any pings were detected.

"I'm surprised that they lasted as long as they did," she said.

The failure of searchers to find any debris linked to the plane has not surprised CNN Aviation Analyst David Soucie, author of "Why Planes Crash."

The model used for tracking the debris could be incorrect, he said, noting that that was the case when investigators were searching for evidence of Air France Flight 447, which plunged into the southern Atlantic Ocean in 2009, killing all 228 people aboard.

"They spent weeks looking for debris in the wrong area," he said.

The lack of debris could also mean that the plane did not break apart on impact, but instead sank largely intact, he said.

If that was the case, it could complicate the effort to retrieve the black boxes, since they were stored inside the tail of the plane. Investigators would have to dismantle the tail in order to extract them and whatever secrets they may hold.

Lessons from past air disasters

Where's the debris?

How deep is deep?

@highlight

Probe of the ocean floor will move from ping locators to sonar

@highlight

The Bluefin-21 is equipped with side-scan sonar

@highlight

And once the debris field is found, investigators would turn to remotely operated vehicles

@highlight

An intact plane could complicate the search effort, CNN analyst says