(CNN) -- A heavy police presence in Bahrain on Sunday limited marches by protesters organized to coincide with the controversial Formula One race in the kingdom, won by world champion Sebastian Vettel.

Tensions in Bahrain remain high following the 2011 uprising, in which the majority Shiite population protested against the ruling Sunni minority.

Some of the marches called for by anti-government protest leaders took place, but others were thwarted as police stormed the areas where protesters were gathering.

Smoke poured from burning tires in many villages around the capital, Manama, that are home to the majority Shiite community.

Witnesses reported arrests early Sunday at a high school in Zinj, a suburb of the capital, Manama, between hundreds of student protesters and police.

See: Latest F1 standings and race result

Police raids were reported in some areas overnight, apparently as part of a crackdown by authorities to ensure calm ahead of the Grand Prix.

Red Bull driver Vettel claimed his second win of the season in the 57-lap race, after starting at No. 2 on the grid, as he moved 10 points clear of Kimi Raikkonen in the championship standings.

Raikkonen came in second for Lotus ahead of teammate Romain Grosjean in a repeat of the podium placings from last year's race.

Two female protesters were arrested at the Sakhir desert track Saturday for chanting slogans as the practice and qualifying rounds were held.

A TV crew from British broadcaster ITV News was ordered to leave the kingdom Friday "as they reported on the violent clashes taking place in the buildup to the Grand Prix," ITV News said.

Bahrain's state news agency said the ITV News team had visas to enter the country but "insisted on violating laws and regulations governing the work of the media."

It stated that the kingdom was committed to an open-door policy regarding the media, including "openness, transparency, disclosure of the facts."

Maj. Gen. Tariq Hassan Al-Hassan, Bahrain's public security chief, said meticulous planning had gone into the event, the official Bahrain News Agency reported Saturday.

"Police are out in force to beef up security measures at the Bahrain International Circuit," he is quoted as saying.

Security forces across the country are "undertaking pre-emptive and precautionary measures" to ensure people's safety and protect public and private property, he said.

Human Rights Watch warned Thursday of "the risk that the Bahraini authorities will use repressive measures to close down the protests."

The rights group also criticized the international racing bodies responsible for organizing the race, saying they "have taken no steps to address human rights abuses that appear to be directly linked to the event."

The rights group reported earlier this month that Bahraini security forces had raided homes and arbitrarily detained a number of prominent anti-government protest leaders.

The 2011 Bahrain Grand Prix was canceled after drivers, including former Formula One star Damon Hill, raised concerns after the death of at least 35 demonstrators in a clampdown on unrest.

Last year, opposition calls for large protests raised fears that the Bahrain Grand Prix would have to be canceled for a second year running and pose a threat to car crews, workers and fans. But the race went ahead even as nearby streets were blocked with burning tires and trash.

Anti-government protesters had labeled the race a publicity stunt by the country's rulers to make the nation appear more unified.

Despite fresh protests in the run-up to this year's event, the Federation Internationale de l'Automobile, the sport's regulator, and Formula One Management, the commercial rights holders for the sport, insisted the race would take place as planned.

"The Federation Internationale de l'Automobile (FIA) and Formula One Management (FOM) wish to jointly confirm their belief that the Bahrain GP should go ahead this weekend," the two bodies said in a statement.

"The FIA and FOM also strongly believe that sport can often be a force for good and that the staging of the Grand Prix in Bahrain will come some way in helping soothe some of the issues which have been raised in the media."

While protesters have used the race as an opportunity to bring global attention to their struggle, the Bahrain government insists the event will bring long-term benefits to its people.

"F1 brings significant benefits to everyone in Bahrain, especially economically," the government said in a statement. "Bahrain upholds the right to peaceful protest. It is a country made up of many communities with different views on its development.

"This is why it has launched a dialogue between all political groups to address political issues in a manner that will ensure the country develops in a sustainable way."

Security forces only respond when "protests encouraged by extreme opposition groups result in deliberate and targeted violence," it said, and they use appropriate restraint.

"Some unfortunately believe that continued unrest on the streets affords them a political advantage, when it results in greater divisions between communities in Bahrain. Violence can never be tolerated."

The protests in Bahrain started in February 2011, spurred by uprisings in Tunisia and Egypt.

But the demonstrations failed to gain the traction of other Arab Spring uprisings after a crackdown by authorities in the island state, backed by troops from nearby Saudi Arabia and the United Arab Emirates under the banner of the Gulf Cooperation Council.

Formula One racing is the world's most popular motor sport, and races have a TV audience of more than 500 million, though the scenes last year in Bahrain were viewed as a public relations disaster for both the sport and the country's authorities.

Canceling the race in 2011 cost Bahrain from $480 million to $800 million in potential investments, according to estimates.

CNN's Laura Smith-Spark, Frederik Pleitgen, Salma Abdelaziz, John Sinnott, Caroline Faraj and Schams Elwazer contributed to this report.

@highlight

NEW: Clashes between police and protesters were limited amid a heavy police presence

@highlight

Sebastian Vettel wins the Bahrain Grand Prix on the kingdom's Sakhir track

@highlight

Tensions in Bahrain remain high following a quashed uprising in 2011

@highlight

Bahrain authorities say security forces only respond to targeted violence