Tehran, Iran (CNN)Traveling to Iran these days, the mood among many people and the government can probably best be described using two words: confident and optimistic.

After a preliminary framework for a possible nuclear deal was reached between Iran and world powers, many here believe a final agreement is possible -- and most hope that widespread sanctions relief could be on the horizon.

Businesses are already gearing up for a time after the restrictions are lifted, and many people anticipate a huge boost to the economy.

"Naturally we are all very happy," one woman in central Tehran told us. "We expect better days economically and culturally. We want better relations with the rest of the world." Another man added, "I have a good feeling about it, because my country will be free of the fear of war."

But this weekend, just a few miles down the road, Iran's leaders were celebrating their war machine as the military held its annual National Army Day parade.

As the U.S., Saudi Arabia and other countries criticize Iran for its alleged involvement in funding and supplying the Houthi rebels who have seized power in much of Yemen, Iranian President Hassan Rouhani has praised the military as peacemakers for the Middle East.

"Today, our army is the source of our national stability," Rouhani said in his speech at the parade. "And even more than that -- it is also a source of security and stability in the entire region."

The country's top military brass seemed surprisingly relaxed and unusually willing to speak with Western media outlets. Major General Hassan Firouzabadi, the Chief of Staff of Iran's armed forces and a man who is close to Rouhani, told CNN he hopes the U.S. and Iran can work closer together to fight ISIS in Iraq.

"The unity of humanity based on the right of all human beings to live, and their right to freedom, dictates that all human society is threatened by ISIS, and all humans should unite against ISIS and work against them," Firouzabadi said.

Firouzabadi also repeated Iran's longstanding claim that the U.S. is partly responsible for creating ISIS, which now controls large parts of Iraq and Syria.

"If the Americans really didn't create ISIS, and if they want to destroy ISIS, it is possible for them to achieve that," he said.

"But we have not seen anything so far except intelligence gathering from the U.S. and Britain. We hope that one day, because of their national interests and the will of their nations, the U.S. and the UK will decide to really fight ISIS."

Iran has often dismissed the coalition air campaign as ineffective, while praising its own strategy of training, advising, outfitting and directing Iraqi Shia militias, Kurdish forces and the Iraqi military.

But in another apparent softening of rhetoric, a top military official said he hopes that the animosity between Iran and America will fade.

"At the moment, we consider the United States to be a threat to us because its policies and actions are threatening to us," General Ahmad Reza Pourdastan, the commander of Iran's ground forces, told CNN.

"We would like the U.S. to change its rhetoric and tone of voice so that our nation could have more trust in the U.S. military leadership," Pourdastan continued. "We trust the American people, but the tone of U.S. government and military officials is such that we still consider the U.S. a threat."

At the same time, Iran's leadership is showing no sign of toning down its own fiery rhetoric -- and the usual "Death to Israel, death to the U.S.A." chants echoed around the crowds at the military parade.

The U.S. welcomes some of Iran's support for Iraqi forces in the fight against ISIS, but says at this point that there simply is no basis for deeper cooperation on the battlefield. And for Iran's part, Supreme Leader Ayatollah Ali Khamenei has also rejected direct coordination between the two long-time adversaries.

And even though many Iranians have high hopes for the interim nuclear deal, the leadership in Washington and Tehran is far more skeptical.

In a recent televised speech, Khamenei said it was possible that there would be no deal by the June 30 deadline -- and possibly no deal at all. And Iran's army brass has rejected the notion that nuclear inspectors would get access to military sites.

Meanwhile, the White House has been confronted by a Congress that is largely hostile to the negotiations, and has been making the case that a deal cannot be about trust, but about monitoring and verification.

"Our main concern here is making sure that if Iran doesn't abide by its agreement, that we don't have to jump through a whole bunch of hoops in order to reinstate sanctions," U.S. President Barack Obama said last Friday. "That's our main concern. And I think that goal, of having in reserve the possibility of putting back and applying forceful sanctions in the event of a violation, that goal can be met."

So far none of this has seriously threatened to derail nuclear talks set to resume this week. But despite the confidence and optimism that is currently in the air, there is also fear that things could fall apart if Tehran and Washington aren't willing to make tough concessions.

@highlight

Iran's military held annual National Army Day parade over the weekend

@highlight

Top military official says he hopes U.S.-Iranian enmity will fade

@highlight

U.S. has welcomed limited Iranian help in fight against ISIS but neither side plans full coordination