(CNN) -- Now that President Obama has taken a public stand on the warlords and militia gangs tyrannizing DR Congo, there is a sense that the next chapter in the human tragedy that has been raging there over the past decade and half is about to be written -- or so we can hope.

In the DRC -- Africa's largest sub-Saharan country -- invasions, proxy wars and humanitarian crises have senselessly shut down millions of lives, displaced millions more from their homes and left countless women and young girls brutally raped with the world barely raising an eyebrow.

The latest murderous attempt by the M23 militia gang to besiege Goma, the strategic regional capital of Congo's eastern province of North Kivu, seems to have backfired.

The United Nations says Rwanda has helped to create and militarily supported M23. Although Rwandan President Paul Kagame denies backing M23, the accusation has taken off some of the international gloss he had long enjoyed in the West, and precipitated cuts and suspension of aid money that goes directly to the Kagame regime by the Netherlands, Sweden, Germany, Britain and the European Union.

The United States, which gives no money directly to the Rwandan government, suspended its military aid. In a baffling expression of a refinement of the U.S. position, President Obama made a rare telephone call to Kagame to emphasize "the importance of permanently ending all support to armed groups in the DRC." That set a firm red line on the situation in that region, the first one by President Obama since becoming president in 2008.

Watch video: Kagame on Congo

This was certainly right and good. Kagame is no fool; the diplomatic but emphatic content of that telephone call, monitored by White House's National Security staff and published thereafter for public consumption, speaks volumes. He clearly understood the implicit threat. But it was not good enough.

Left unsaid is that withholding aid money that goes directly to the Kagame regime has not changed many realities on the ground -- a painful reminder of the limits of what previous half-hearted, ambivalent international attempts to halt the crisis in that country had achieved.

However, the situation is not hopeless. President Obama can help to halt the wars engulfing the Congo. It is both economically and politically affordable.

Here is my suggestion -- a three-point road map, if you like, for President Obama, should he choose to put the weight of the United States squarely on the side of the Congolese and engage much more robustly to help end the world's bloodiest war and human tragedy.

Read more: Why the world is ignoring Congo war

1. Changes in Kinshasa

If we are to be blunt with ourselves, Congo's major problem today -- the chief reason that country remains on its knees -- is its president Joseph Kabila. Paul Kagame is just a symptom, at least in theory.

The crisis of leadership in the capital Kinshasa, the disastrous blend of lack of political legitimacy and moral authority, mixed with poor governance and vision deficiency, then compounded with dilapidated state institutions, has become the common denominator to the ills and wrongs that continues to overwhelm the Congo.

In other words, peace will never be secured in Congo, if the moribund status quo is still strutting around Kinshasa.

Obama's minimum objective in regard to ending the wars and human tragedy engulfing the Congo should be to push for changes in Kinshasa. He must make this one of the "10 Commandments" of the Obama Doctrine.

Circumstances demand it to re-energize Congo's chance of success and to enable the renaissance of a "New Africa." And given the effects of Congo's mounting death toll and the speed at which HIV/AIDS is spreading because of the use of rape as a weapon of war, the sooner the better.

2. Keep Kagame in the naughty corner

The wars and human tragedy engulfing the Congo have many fathers and many layers. Rwanda, and to some extent Uganda -- run by Africa's two dearest autocratic but staunchly pro-American regimes -- are, as they have been many times in the past, despite their denials, continuing to provide support to warlords and militia gangs terrorizing the Congolese people.

This is not an apocryphal claim, it's an open secret in Kinshasa, Kampala and Kigali as much as it is in Washington or White Hall, and as real as Charles Taylor's role in Sierra Leone or Iran's support to Hezbollah.

Indeed, reporters across Congo and across the region would testify to this. Kigali has been, one can safely argue, the sole shareholder in the M23 militia gang -- and its elder sisters CNDP and RCD-Goma.

It cannot wash its hands in Pontius Pilate fashion of either the ICC-wanted M23 warlord Bosco Ntaganda, also known as The Terminator, or Laurent Nkunda, who is wanted by the Congolese government for war crimes and is under house arrest in Kigali.

Read more: Prosecutor seeks new Congo war crimes warrants

If President Obama is remotely serious about saving lives in Congo, then fracturing Rwanda's ability to directly or indirectly harbor warlords, support militia gangs, militarize or ethnicize the wars in Congo for control of Congo's easily appropriable but highly valuable natural resources is critical, however politically disgruntling it may be to some in the State Department.

It would reduce the scale, scope and intensity of the killing, raping and uprooting of the Congolese, it would crush Kinshasa's ability to use external support to warlords and militia gangs as an alibi for a lack of progress and, above all, decrease the growing unease of the Congolese towards Rwanda over the crimes of FDLR and the role played by their government in Congo.

3. FDLR

The continued existence in Congo of FDLR, a Rwandan militia gang made up largely of Hutus -- whose leadership took part in the 1994 genocide of Tutsi -- remains one of the most persistent and serious threats to stability in Congo and the region.

Addressing this crisis is of significant importance from both a political and humanitarian viewpoint.

Though there are no definitive statistics on the exact numbers of FDLR fighters, the good news is that experts tell us that the vast majority of its rank and file are in their 20s and early 30s, which means they were too young to have taken part in the genocide in 1994.

The United States, together with the U.N., the EU and African Union, should appoint a special envoy for the African Great Lakes region to midwife a conducive political arrangement in Kigali that could see them returning home -- and see their leaders and fundraisers in Europe arrested.

The opinions expressed in this commentary are solely those of Vava Tampa.

@highlight

President Obama can help end the Congo conflict for good, says Vava Tampa

@highlight

Obama has asked Rwanda to end all support to armed groups in the Congo

@highlight

FDLR militia gang is a threat to stability and must leave Congo

@highlight

Obama must push for change in Congolese government, argues Tampa