(CNN) -- Welcome to bug season, when mosquitoes, ticks and other creepy crawlers make even the bravest mom or dad hesitant to let the kids go outside. Not only are insects annoying, they can carry diseases such as West Nile virus and Lyme disease.

But what's the best way to ward off these pests? A new report, released Wednesday by the Environmental Working Group, finds that no one bug repellent works against every insect, but your best bets are those products made with active ingredients registered with the U.S. Environmental Protection Agency and approved by the Centers for Disease Control and Prevention.

Scientific tests have shown that four registered chemicals provide a high level of protection from a number of bug bites, according to the EWG report: Picaridin, IR3535, oil of lemon eucalyptus (and its synthetic derivative known as p-Menthane-3,8-diol, or PMD) and DEET.

These chemicals are found in many of the popular products on your drugstore shelves. Despite DEET's reputation as a harmful substance, the EWG researchers found it to be one of the most effective chemicals against the risks of West Nile virus and Lyme disease.

"We found them all to be safe, especially if people don't overdose on the product," said David Andrews, lead author on the study and a researcher with EWG. "And these chemicals do protect people against a lot of rather nasty insects."

And that's important because insect-borne illnesses are on the rise. The West Nile virus, which is carried by mosquitoes, infected more than 5,600 Americans last year, and 286 people died from the virus, according to the CDC. A report this week in the Journal of the American Medical Association noted that the virus, which had been declining over the past few years, spiked in 2012, especially in Texas.

By analyzing the epidemic in Dallas County, Texas, researchers found serious West Nile outbreaks begin early, after unusually warm winters. They also seem to be concentrated in one area every year. The virus migrates around the country, so health officials say it's very important to be aware if your area is being affected.

Same goes for Lyme disease. Incidences of the tick-borne illness have more than doubled over the last 15 years, according to the CDC. Although the disease is transferred to humans through the bite of a deer tick, that tick is only found in 13 Northeastern states from Virginia to Maine, and in the upper Midwest, mostly in Wisconsin and Minnesota. If you live in those states, it's best to take precautions.

"You need to know the insects that exist where you live and what works best against them," Andrews said. "No need to spray repellents for, let's say, ticks, if they're not prevalent in your area."

Although these four chemical repellents are effective, they need to be used correctly, the EWG warns. Consumers must follow the basic instructions to make sure that they don't overexpose their skin. For instance DEET, when used correctly, is an excellent repellent, but overuse has been found to cause neurological problems in some people.

Health experts suggest sticking with a 30% concentration, a number that can be found on the repellent's label. Researchers say anything more concentrated isn't necessary unless you are working outside for a long period of time.

"The concentration level doesn't mean how much it protects," Andrews said. "It means how long it protects. So if you are out for a few hours, 30% is just fine."

The EWG also notes that repellents should be a last resort when warding off insects. The organization recommends covering up with clothing, like long pants and long sleeves, socks and shoes. And be aware of the environment around you. Draining standing water -- where mosquitoes breed -- from your yard will keep populations low.

"We realize during the summer people aren't going to be wearing heavy clothing, or worrying about bugs as they enjoy the outdoors, " Andrews said. "So that's why we made this list. These products are out there, they are safe, and people should be using them to protect themselves."

Picaridin

Developed by Bayer AG in the 1980s, Picaridin is not known to irritate skin and eyes and does not have a bad odor. It may also repel bugs for longer periods of time than other chemicals.

Products that have Picaridin: Avon Skin So Soft Bug Guard; Cutter; OFF! Active; OFF! FamilyCare; Walgreens Light and Clean

IR3535

IR3535 has been used in Europe for years. It can be irritating to the eyes but poses few other safety risks. Merck, the manufacturer, recommends formulas with 10% to 30% concentration to repel biting insects and ticks.

Products that have IR3535: Coleman Skin Smart

DEET

Approved for public use since 1957, DEET is the most common mosquito and tick repellent.

Products that have DEET: Bug Off; Buzz Off; OFF! Active; OFF! FamilyCare; OFF! Deep Woods; Repel; Ultrathon

Oil of Lemon Eucalyptus/PMD

Oil of lemon eucalyptus is the trade name for a repellent that originated as an extract of the eucalyptus tree, which is native to Australia. Because the dangers to children have not been thoroughly investigated, products with oil of lemon eucalyptus or PMD have warning labels that say, "Don't use on children under the age of 3."

Most oil of lemon eucalyptus products are sold under the name Repel or Cutter.

@highlight

Four chemicals provide protection from biting bugs: Picaridin, IR3535, PMD, DEET

@highlight

Despite negative reputation, DEET was found to be most effective and least toxic

@highlight

Insect-borne illnesses are on the rise in the United States, experts say

@highlight

Covering up with clothing and draining standing water will also help prevent bites