The Supreme Court concluded a marathon public debate on health care Wednesday with justices signaling an ideological divide that could topple some or all of the the sweeping reform bill championed by President Barack Obama.

On the third day of oral arguments on legal challenges to the 2010 Affordable Care Act, the justices tackled the question of what would happen if they ruled that the heart of the law, the individual mandate that is its key funding mechanism, was unconstitutional.

The six hours of hearings over three days provided an extended public view of the high court in action on one of the most controversial issues of the day, touching on legal concepts involving federal and state powers, individual rights and legislative intent.

High court listens to arguments on Medicaid expansion

At stake is the survival of the signature legislation of Obama's presidency as he seeks re-election in November: the health care reform law that requires most  Americans to have health coverage as part of a systemic overhaul intended to lower  costs.

The justices looked at procedural issues Monday and then tackled the heart of the law Tuesday, the constitutionality of the individual mandate that requires people to get health coverage or pay a fine.

High court divided over health care mandate

At issue Wednesday morning was whether all the law's 450 or so provisions would have to be scrapped if the individual mandate were found unconstitutional.

A separate session Wednesday afternoon looked at whether states would be "coerced" by the federal government to expand their share of Medicaid costs and administration by the risk of losing federal funding if they refuse.

To CNN senior legal analyst Jeffrey Toobin, the questioning by justices Wednesday signaled they are ready to invalidate the individual mandate, a step he said could put the entire law in jeopardy.

"I think the individual mandate is gone, based on the questioning," Toobin said after the morning session.  "It sure looks like there are at least five votes to get rid of ... the individual mandate."

Listen to oral arguments in the historic case

White House spokesman Josh Earnest said the Obama administration remained confident its signature health care law is constitutional.

Anyone who tries to predict the outcome of the case based on the questions justices asked during this week's arguments "is not a very good student of the Supreme Court," Earnest told reporters, adding that Justice Department lawyers faced similar tough questions from conservative judges in lower courts that later upheld the law "in at least a couple of these cases."

However, some of the attorneys general of states opposing the health care law said the three days of arguments showed the justices had serious concerns about the law.

"What we've heard over the last few days is a growing concern from our Supreme Court justices about, perhaps, the federal government has gone too far at the expense of individual liberty and our states' rights," said South Dakota Attorney General Marty J. Jackley.

Even though the health care law's individual mandate appeared to be on shaky legal ground, few on the court seemed eager to take the drastic step of throwing out the rest of the legislation.

Read a transcript of Wednesday's arguments

"There are so many things in this act that are unquestionably OK," said Justice Ruth Bader Ginsburg, citing many provisions not directly related to market reforms such as Native American health care. "Why make Congress redo those? I mean it's a question of whether we say everything you do is no good, now start from scratch."

Added Justice Elena Kagan, "Half a loaf is better than no loaf," meaning some provisions would survive.

However, lawyer Paul Clement, arguing for opponents of the law, told the justices that removing such a central provision of the law as the individual mandate would leave "sort of a hollow shell" that never would have passed Congress in such a diminished form.

In addition, conservative justices appeared in no mood to pick and choose what to uphold in the rest of the law.

"You want us to go through 2,700 pages" of the law? asked Justice Antonin Scalia. "Is this not totally unrealistic ... to go through one by one and decide each one?"

Supreme Court, health care and one little girl

Justice Anthony Kennedy said he was reluctant to take on this "awesome exercise of judicial power," at the expense of congressional discretion.

This week's hearings were among the most politically charged and closely watched in years, with dueling protests and news conferences outside the court building every day on what is likely to be a central issue of the November presidential election.

Overheard on CNN.com: Readers react to hearingsRep. Michele Bachmann, R-Minnesota, a staunch opponent of the health care law, said Wednesday the entire measure falls apart if the Supreme Court invalidates the individual mandate.

"The individual mandate would be the funding stream that makes all of the rest of the act work," Bachmann said. If it gets ruled unconstitutional, then who pays for all the other provisions in the 2,700-page bill? she asked.

Supporters argued that under legal precedent set by the court, the full health care law should be ruled constitutional.

"For the court to strike down this law would be to presume the powers of the Congress and abandon its role as an impartial and deliberate decider of constitutional law," said Sen. Richard Blumenthal, D-Connecticut.

Another Senate Democrat, John Kerry of Massachusetts, acknowledged that supporters are looking at all possible outcomes.

"There is discussion quietly among some people about 'what ifs,' but there is no overall, you know, plan in place because I think that people have confidence the court will do the right thing," Kerry said.

CNN's guide to the arguments

With the legal survival of the individual mandate in constitutional jeopardy, the question of "severability," whether the rest of the law can stand if one part is invalidated, has become more important.

All of this may be moot. If the court decides the mandate is constitutional -- even in a narrowly tailored way -- it will not even bother to take up the severability question presented Wednesday.

In the morning arguments, the clearly divided court expressed concern over whether Congress would have passed the broad reform package without the key funding mechanism, the mandate, firmly in place. However, several of the justices seemed ready to let lawmakers eventually sort out the specific funding questions with or without the mandate.

The nine-member bench now will retreat from the public spotlight.

They will likely gather as a group in a closed-door conference over the next few days and actually decide on the four health care appeals. Going one-by-one in order of seniority, they will all be thinking of the number five, which is how many votes it will take to achieve a majority.

Two families, two viewpoints on health care reform

Once the tallies are sorted out, opinions will be assigned to individuals to craft over the next three months. What the court says in these written opinions, how it interprets the Constitution, will be far more important than what was said in the oral arguments this week.

The rulings may be in essence how legislators, individual Americans and history will judge these justices.

Wednesday's cases gave the administration another chance to regain the rhetorical offensive and defend the entire law's validity. Many legal observers concluded the Obama administration's solicitor general, Donald Verrilli Jr., did little to boost the individual mandate's constitutionality in two hours of intense arguments Tuesday.

The questioning of Verrilli's performance was so widespread that the White House issued a statement Wednesday defending him.

"Mr. Verrilli is an extraordinarily talented advocate who possesses a sharp mind, keen judgment and unquestionable integrity," said the statement by White House Counsel Kathryn Ruemmler. "He ably and skillfully represented the United States before the Supreme Court yesterday, and we have every confidence that he will continue to do so."

Wednesday's first argument dealt with severability, but most court watchers think of it as the "domino effect" issue -- if the individual mandate section is ruled unconstitutional, must the entire law collapse as well?

A federal judge in Florida had so ruled in February 2011, saying: "Because the individual mandate is unconstitutional and not severable, the entire act must be declared void."

However, a federal appeals court subsequently overruled on the severability question while upholding the individual mandate's unconstitutionality.

Opponents of the law say the individual mandate is crucial to its overall impact, since it is the main funding mechanism for the expansion of a range of other programs. This might be the one question on which the justices will ultimately agree in favor of the government.

The high court and election-year blockbusters

Later came the Medicaid "coercion" question, which can be seen as the "national policy implications" issue.

Through this issue, the long-standing fight over "federalism" and the leverage the national government wields over states might soon reach epic levels with a high court decision either strengthening or limiting congressional authority on this and potentially a host of other regulatory areas.

The cases argued Wednesday were National Federation of Business v. Sebelius (11-393) and Florida v. Department of Health and Human Services (11-400).

@highlight

The Supreme Court ends its three days of hearings on health care reform

@highlight

CNN's legal analyst says he thinks the justices will reject the individual mandate

@highlight

Wednesday's key question: Must the law be scrapped if one part of it is invalidated?

@highlight

The White House says it believes the health care law will be upheld