Cairo, Egypt (CNN) -- Low-income households in Egypt are being hit by soaring food prices, placing a major strain on many poor families in the country, who are struggling to put basic staples on the table.

Inside a small Cairo apartment, Howeida Nageh is dicing a few tomatoes in her kitchen. Her three sons have arrived home from school and they are hungry. Yet, the only food available is these tomatoes and a piece of bread -- and this will be the boys' only meal for the day.

"Things are too expensive," says Nageh, whose husband left her to raise her three boys alone. "I used to take two onions and cut them over two tomatoes, cook and eat them. Now the price of onions has increased -- instead of using two, three or four onions, I now just take one and choose the smallest one," adds Nageh, whose largest source of income is the $30 a month she receives from the government.

Read this: 'Harassment map' helps Egyptian women

Egypt, which is the world's biggest importer of wheat, brings in about 70% of its food from abroad. High prices of basic food items have been cited as one the reasons behind the 2011 upheaval that led to the ousting of long-time President Hosni Mubarak. The chant "bread, freedom and social justice" could be heard around Cairo's Tahrir Square, the epicenter for disgruntled Egyptians calling for change.

And now, with the country's currency devaluing, many Egyptians are making their displeasure known when it comes to their daily food shopping.

"People complain," says vegetable vendor Milad Zakher. "They complain because vegetables are expensive. There is no demand like before. Before the revolution there was demand and money -- we used to have money. They were buying and selling and we had income; the revolution made people with no money."

Sky rocketing prices of fertilizers and seeds, coupled with an increasingly dysfunctional government, are creating a difficult situation for farmers, and this is reflected in food prices and availability.

Economist Angus Blair, president of the Signet Institute, a Cairo-based political and economic think tank, says that drastic action needs to be taken quickly to address the situation.

"If you look at the growth in population, [there are] between 83 to 87 million people in Egypt -- that's growing relatively quickly," says Blair. "The agricultural sector will need a new revolution of its own to be able to feed the increasing number of people and the increasing demands for food that Egypt requires," he adds.

Some farmers also complain that access to water can be cut for months, hampering even further their capacity to grow food. Even when they do have water, they say it is so polluted that it poisons their land and animals.

Read this: Radio plants seeds of success for struggling farmers

"First of all, if the water comes clean and regularly, the farmer's job will be easier. Cattle feed will be a high quality," says farmer Ibrahim Botti Omar. "But the alfalfa that cattle eat now is irrigated with polluted water. Therefore, the cattle get a lot of diseases and in less than a year, we've seen many cattle die."

One solution could be increasing the size of farms, as most of Egypt's agriculture is in the form of small holdings of just a few acres. In many cases, small farmers cannot afford modern equipment or techniques.

"The World Bank estimates around half of all food that reaches the final market in Egypt is spoiled," says Blair. "That's partly due to the farming methods, the picking, the packing, the distribution in terms of general logistics," he adds.

Read this: Clouds on horizon for tobacco farmers

The government official tasked with reversing decades of bad management is Salah Abdul Momin, Egypt's technocrat minister of agriculture. He admits that a lot needs to be done but remains optimistic about the future.

"Looking forward, to have a strategy in this issue we have governmental land, the newly reclaimed land," he says. "I'm looking to have 1 million acres in five designated areas to make new communities in this area."

In the short term, Abdul Momin is also focused on reducing wheat imports, as part of a plan to revolutionize Egypt's agriculture by 2030.

But a 17-year plan could be too long term for those currently having to deal with a worsening situation.

Back in Cairo, Nageh's older son, Mohamed, is studying hard to become a banker. He says he aspires to help his family to break the chains of poverty

"I want to be something that brings joy to my family," he says. "To make my mother happy first and make me happy, to feel that I'm doing something good. Something where I can make something of myself."

@highlight

Soaring food prices are putting a strain on poor Egyptian households

@highlight

Economists call for drastic action to address the situation

@highlight

Egypt imports about 70% of its food from abroad