(CNN) -- Just 24 months before the showdown in the Midwest, CNN's Peter Hamby reported this week that possible presidential hopeful Hillary Clinton may have an Iowa problem -- and may again have difficulties winning the state in the 2016 caucuses -- because of weaknesses among the state's most progressive voters.

But that analysis fails to understand and appreciate the country's changing demographics and where U.S. politics is heading.

Clinton hasn't announced whether she'll run for president again. But whether or not she has an Iowa problem, Iowa is largely unrepresentative of America's changing composition. It's 91% white in a country that's 64% white, and it will have a shrinking role in choosing future U.S. presidents.

And, even if Clinton does have an Iowa problem, she will probably have a Georgia solution. The composition of the South and Southwest has now changed to the point where Democrats have a real chance of winning statewide elections for seats long held by Republicans.

Here are the facts: Nine out 10 of Iowa's 3 million residents are white. The state has six electoral votes and 65 delegates. In contrast, 63% of Georgia's 10 million residents are white. They have 16 electoral votes and 124 delegates. In 2012, President Obama lost Georgia by 300,000 votes in a state that has 600,000 eligible, non-voting African-Americans.

And the Georgia solution begins with Michelle Nunn.

The 47-year-old daughter of respected of Georgia Sen. Sam Nunn -- who served for 24 years as one of the state's leading Democrats -- is running for Senate and is poised to prove that a Democrat (and a woman) can win the Georgia seat held by a Republican for the past decade.

Nunn is tied in the polls and has proven to be a formidable fundraiser. Her campaign paves the way for a Clinton win in Georgia because the ground operations and campaign infrastructure she's built will probably assist Clinton's efforts in the state.

As the first woman to hold a Senate seat from the state of Georgia, she readies the electorate to vote for a female president.

In a similar way, Wendy Davis' gubernatorial bid in Texas helps a potential Clinton campaign. Texas is another battleground state with significant numbers of voters of color -- who could one day help turn that state from red to purple -- and Davis' statewide win may pave the way to a Clinton victory in Texas. (PAC+ has publicly endorsed the candidacies of both Nunn and Davis.)

There is a new majority emerging in America, and it's not about Iowa. It's about Georgia, Texas and other states where people of color will make the difference.

These are states where rapid population growth over the past 10 years has resulted in increased electoral votes. Arizona's population increased nearly 25%, and it now has 11 electoral college votes -- one more than they had last time around. Colorado's population increased 17%, and it has nine votes. Florida gained two electoral votes for a total of 29, based on a nearly 18% population increase. Nevada gained one electoral vote, bringing its total to six to reflect a whopping 35% population increase in 10 years. It's a trend that experts expect to continue, and these are all states with large and growing populations of people of color.

In Georgia -- whose primary has usually been held well after Iowa's caucuses -- a changing political landscape is not the exception, it's the rule. Democrats must look forward and invest in the coalition of the future. They must meaningfully connect with communities of color and progressive whites and champion policies that address inequality and immigration and education.

That way, as the Iowa caucuses continue to recede in significance, the Democrats still can win for years to come.

The opinions expressed in this commentary are solely those of Aimee Allison.

@highlight

Aimee Allison: Questions about Hillary Clinton in Iowa aren't as bad as they sound

@highlight

She argues that changing demographics in Georgia and Texas may help Clinton

@highlight

Allison says two women running for top offices in the South could help Clinton