(CNN) -- Canadian explorer Adam Shoalts knew he was heading into uncharted territory when he set out on a solo expedition to explore northeastern Canada's remote Again River.

What the 27-year-old from Fenwick, Ontario, didn't expect was to find himself hurtling over a 20-foot waterfall that had never been documented -- and then go on to discover six more waterfalls after fixing his canoe.

The nearly 100-kilometer long Again River is a tributary of Quebec's Harricanaw River, part of Canada's Hudson Bay Lowlands.

It's one of the largest roadless areas on earth outside Antarctica, says Shoalts, containing rivers so remote that even today there are a few that have escaped accurate mapping -- including the Again.

"The expedition was five years in the making," he says. "Extensive research went into it, looking through explorers' records, Geological Survey notes, speaking directly with aboriginal elders."

But his research didn't offer any hints as to the dangers that lay ahead.

Even Google Earth's low-resolution satellite imagery, all that's available for this remote part of Canada, is deficient for detecting waterfalls.

"The plan was to explore the river, record information about flora and fauna, rapids and the geography in general," he says. "I knew there would be lots of whitewater rapids, but no one knew that waterfalls existed on the river."

'Yikes, this is going to be bad!'

With the support of the Royal Canadian Geographical Society, Shoalts conducted two reconnaissance expeditions to the area (one in 2008 and another in 2009), exploring the wilderness around the Again River.

But he wasn't able to canoe the Again, as just getting to the river's isolated headwaters is a challenge that involves a few days of bushwhacking and creek-hopping.

"In August 2012, I went back, this time alone, determined to canoe the river no matter what," he says. "The seven waterfalls were so unexpected and special."

The first waterfall Shoalts found -- before it was too late to go around it -- was 20-feet high.

Of the six he went on to discover, the highest was 40-feet high.

"My first thought when I realized I was being swept over a waterfall was, 'Wow! What an amazing discovery! The Geographical Society will be thrilled!" he recalls.

"The second thought was, 'Yikes! This is going to be bad!' I realized I couldn't escape from the current so I just braced myself for the drop."

Shoalts says he was sucked underwater beneath the fall "for longer than was comfortable."

He resurfaced, out of breath, and spotted his canoe upside down in an eddy near the riverbank.

"I swam to shore, recovered most of my gear -- except my hat, fishing rod and some moccasins -- and then set about repairing my canoe.

"Once I got my breath, that is. It took about an hour and a half to get the canoe back in shape and ready to continue downriver."

Return to the scene of discovery

This week, Shoalts is heading back to the Again River to continue his work for the Royal Canadian Geographical Society (RCGS).

He'll retrace his route and photograph, measure and document the precise location of each waterfall so that they can be added to topographical maps, pending verification from Spot satellite imagery.

"This expedition is geographical exploration in the truest sense: Shoalts's work will change the map of Canada -- a rarity in 21st century exploration," says the RCGS.

Technology is helping explorers make discoveries in an era when significant finds are incredibly rare.

Most recently, in June of this year, archaeologists announced they'd found a huge medieval city buried beneath impenetrable jungle on a remote mountain in Siem Reap, Cambodia.

It wouldn't have been discovered but for the help of a remote sensing laser instrument.

Though Shoalts says gadgets are useful in the field, it's important not to rely on them completely.

"Modern electronic gear and other gadgetry is no substitute for traditional skills and knowledge," he says.

"In the beginning, I never used a GPS, only map and compass, sun and stars. Now I have a GPS, but I don't rely on it.

"A satellite phone allows me to communicate from the wilderness, but it doesn't work in the forest or in the rain, so it has limitations and I try not to rely on it.

"I use a modified theodolite, designed by my engineer father, to measure waterfall heights."

He also relies on aerial photographs and satellite imagery when planning expeditions, "but ultimately, they are no substitute for old-fashioned 'boots-on-the-ground' exploration."

For those with their own Magellan dreams, it's not too late to get into the game, says Shoalts.

"The age of exploration will never be truly over -- the oceans, caves, Antarctica, so much of northern Canada -- it will take a long time to explore," he says.

"New species are still discovered, and then there will always be archeology, paleontology, science -- imagination is the only limit really."

@highlight

Explorer Adam Shoalts, 27, finds seven uncharted waterfalls on remote Canadian river

@highlight

Royal Canadian Geographical Society says discovery will change the map of Canada

@highlight

Shoalts recounts being swept over 20-foot-high waterfall in his canoe