New York (CNN) -- The worst of the storm has passed, but the recovery effort is just beginning.

A mammoth blizzard that dumped as much as 3 feet of snow in parts of the Northeast headed out to sea Saturday, as workers across New York and New England struggled to get airports, trains and highways back online.

The snowstorm, a product of two converging weather systems, is being blamed for at least nine deaths in three states and Canada.

It forced the cancellation of more than 5,000 flights, and knocked out power to more than 635,000 customers.

That figure had fallen to around 459,000 Saturday night.

"We had a bad storm here with heavy, heavy snow -- starting with a wet snow early, which stuck to the trees, which brought them down on the power lines, and then the temperatures dropping and then high, high winds all combining to a lot of power outages. We have our challenges here," Rhode Island Gov. Lincoln Chafee told CNN.

Track the storm

Forecasters say the storm was still swirling across eastern New England with gusts up to 40 mph in cities that include Providence, Rhode Island, and Boston. But as most of the heavy snow tapered off, a travel ban across Rhode Island, Connecticut and Massachusetts was lifted at 4 p.m.

Blizzard warnings were lifted, along with coastal flood warnings for New England.

Mandatory evacuations were issued earlier Saturday for Massachusetts coastal regions near the town of Hull because of flooding concerns, and high winds whipped throughout the area. Authorities advised residents to leave shoreline areas in Marshfield and Scituate.

While the blizzard did not fulfill record-breaking predictions, travel remained slowgoing.

Hundreds of cars were stranded on the Long Island Expressway in New York after motorists got stuck driving in the snow. They outnumbered the tow trucks and crews deployed to the area for the storm, according to Suffolk County police.

Map, timeline of the storm

The blizzard prompted the U.S. Postal Service to suspend deliveries in seven states.

Postal worker Karlene Calliste left her job around 3 p.m. Friday, got caught in the storm and ended up sleeping at a firehouse in Middle Island, New York, where dozens of other stranded residents were holed up.

"It's crazy. They weren't prepared," she said, adding that a lack of snow plows contributed to the scores of cars and trucks left stuck in the snow.

Three of New York's busiest airports resumed limited service Saturday morning.

At least one runway at Logan International Airport in Boston was to reopen late Saturday, with flights expected Sunday. Bradley International Airport in Windsor Locks, Connecticut, was expected to reopen Sunday morning.

Roads turn deadly

At least nine people were killed in accidents related to the storm -- five in Connecticut, according to the governor, two in Canada, one in New York and one in Massachusetts -- a 14-year-old Boston boy who was helping his father shovel snow.

The boy hopped in the snowed-in family car to warm up. The engine was running and the exhaust pipe was blocked by snow, causing carbon monoxide to back up in the car. Firefighters were unable to resuscitate the boy.

Boston police said they were investigating whether a man in his early 20s found dead a vehicle succumbed to carbon monoxide poisoning.

The department put out a public safety advisory and cited calls related to individuals being overcome while trying to stay warm in vehicles in which exhaust pipes were blocked by snow.

In Poughkeepsie, New York, an 18-year-old woman lost control of her car in the falling snow and struck a 74-year-old man walking near the side of the road, police said. He later died from his injuries.

Other accidents occurred in Connecticut and southern Ontario.

Massachusetts, Connecticut and Rhode Island ahead of the storm ordered all non-emergency vehicles off the streets under threat of imprisonment and fines -- up to a year in jail and $500 in Rhode Island.

Rail transportation came to a virtual halt, with commuter trains running on a patchwork schedule.

Snow piles up; power goes out

Connecticut saw the most accumulation, with 40 inches in Hamden. At its height, the storm heaped snow on the state at a frenzied rate of 4 to 5 inches an hour.

iReporter Scott Green posted a photo of his deck in Cromwell -- covered waist-high with snow.

In Massachusetts, Worcester and Boston received 27 and 21 inches, respectively, with winds howling up to a hurricane-strength 75 mph.

Snowfall in Manhattan reached just under a foot, with heavier accumulations in Long Island, where 27 inches fell in Stony Brook.

"This state had consequences, but nothing like our neighboring states," said New York Gov. Andrew Cuomo. He announced Saturday plans to send utility workers and snow plows to New England to help with recovery.

Snowfall blanketed an area from eastern Pennsylvania to Maine, with overnight lows under 20 degrees as governors in six states declared states of emergency.

The states hardest hit in terms of power outages were Massachusetts and Rhode Island. By Saturday evening, close to 308,000 customers were without power in Massachusetts, while more than 115,000 customers remained without electricity in Rhode Island.

Stay safe with the power out

Electricity dropped out at a nuclear power plant in Plymouth, Massachusetts, said fire spokesman Ed Bradley, but backup generators sprang into action.

Stay connected in the storm

Stay charged when the power goes out

Stranded at the Walmart

More than two dozen people were forced to spend the night at a Walmart in Long Island.

"The roads were just completely impassable," said Jean Miller, who spent at least seven hours on the road before throwing in the towel.

"We were just happy to be indoors and not out there," she said. Miller, whose home is just two miles from the store, says she plans to stay so long as road conditions are dangerous and Walmart allows it.

"They equaled the Red Cross," she said of the big-box retailer.

Hoops snowed out

The nor'easter has swatted down travel arrangements for pro basketball teams headed to New York City, leaving the New York Knicks, San Antonio Spurs and Brooklyn Nets grounded.

The Knicks are stuck in Minneapolis, where they played the Timberwolves on Friday, a spokesman said. They have a home game at Madison Square Garden on Sunday against the L.A. Clippers.

Canceled flights forced the Nets to attempt to get home by train from Washington after a game there against the Wizards.

The San Antonio Spurs, who were originally flying to New York to play the Brooklyn Nets on Sunday night, are stuck in Detroit.

CNN's Jill Martin, AnneClaire Stapleton, Pauline Kim, Erinn Cawthon, Jake Carpenter, Phil Gast, Ben Brumfield, Chris Boyette and Marina Carver contributed to this report. David Ariosto and Mary Snow reported from New York and Dana Ford reported and wrote from Atlanta.

@highlight

NEW: Boston, Connecticut airports to reopen

@highlight

NEW: About 459,000 remain without power

@highlight

At least nine people are killed, including 14-year-old Boston boy

@highlight

Warnings are lifted as the blizzard heads out to sea