(CNN) -- What may be the most famous religious relic of them all, the Turin Shroud, made a rare appearance on Easter Saturday -- on Italians' TV screens.

One of Benedict XVI's last acts as pope, according to Vatican Radio, was to authorize the broadcast of video of the shroud from Turin Cathedral, where the mysterious Christian relic is kept, out of sight, in a bulletproof, climate-controlled glass case.

According to Vatican Radio, only once before have images of the centuries-old linen cloth been broadcast. That was in 1973, at the request of then-Pope Paul VI.

Some Christians believe the shroud, which appears to bear the imprint of a man's body, to be Jesus Christ's burial cloth. The body appears to have wounds that match those the Bible describes as having been suffered by Jesus on the cross.

Many scholars contest the shroud's authenticity, saying it dates to the Middle Ages, when many purported biblical relics -- like splinters from Jesus' cross -- surfaced across Europe.

Even the Roman Catholic Church does not insist the shroud was used to wrap the body of Jesus. Its official position is that the shroud is an important tool for faith regardless of its authenticity.

Archbishop of Turin Cesare Nosiglia will lead a service from the cathedral on Saturday afternoon during which the images of the shroud will be broadcast, according to Vatican Radio.

A video message from Pope Francis was played as part of the broadcast.

In it, he thanked God for the technological advances that have made it possible for the "Man of the Shroud" to be seen by, and reach out to, so many people.

"This image, impressed upon the cloth, speaks to our heart," he said.

"This disfigured face resembles all those faces of men and women marred by a life which does not respect their dignity, by war and violence which afflict the weakest ... And yet, at the same time, the face in the Shroud conveys a great peace; this tortured body expresses a sovereign majesty."

To coincide with the television broadcast, a new Shroud 2.0 app was launched Friday. The app, released in several languages, allows users to scroll over a high-definition image of the shroud and find out more about its history and religious significance.

Giulio Fanti, a professor of mechanical engineering at Padua University in Italy and co-author of the book "The Mystery of the Shroud," said the app will be "very useful" to the scientific community.

Until now, researchers have not had access to a digitalized picture of the shroud, he told CNN. Studies looking into the formation of the image have been based on macroscopic data.

"I hope the app will give us the chance of having microscopic data that will be very useful to confront different scientific research on the shroud, which, until now, is still a mystery," he said.

In 2010: Pope prays before Shroud of Turin

Disputed dating

Carbon dating conducted in the 1980s suggested the shroud dates from the Middle Ages.

But researchers at Padua University say their more recent tests show the cloth does indeed date back to between 280 B.C. and 220 A.D. -- which could place it within Christ's lifetime

Fanti's book, written with religious journalist Saverio Gaeta and published last year, spells out those findings.

"We carried out three alternative dating tests on the shroud, two chemical and one mechanical, and they all gave the same result and they all traced back to the date of Jesus, with a possible margin of error of 250 years," Fanti told CNN.

For the mechanical test, they constructed a machine at Padua University to carry out traction and compression tests on tiny fibers from the linen fabric, measuring only 10 thousandths of a millimeter, he said.

The test samples were found in dust from the shroud, he said.

Nosiglia said, " ... since there is no degree of security on the belonging of the materials on which these experiments were carried out to the sheet Shroud, the Owners and Custodian declare that it can not recognize any serious value to the results of these alleged experiments."

Author and historian Stephen Mansfield uses the image of the Turin Shroud on the cover of his book, "Killing Jesus," which reveals new details around the crucifixion.

In 2010: Shroud of Turin on display for first time since 2002 restoration

The new research into whether the linen cloth dates back to Jesus' time is fascinating, he said.

"My understanding is that there's not unshakeable evidence but it's more difficult to dismiss the shroud now," he told CNN's Piers Morgan.

"Some of the scientific evidence has proven that it is, as you say, older, that there are some inexplicable factors, in the stains and the composition of it."

He chose to put the shroud's image on his book cover "because it's simply an icon of Jesus in this generation," he said, whether its origins are proven or not.

"People say, 'that's maybe the oldest picture of Jesus' -- they don't think of it being something that has to be scientifically confirmed," he added.

'Truly mysterious image'

Benedict prayed before the shroud in 2010, when it went on display for six weeks at Turin Cathedral, its first public showing since undergoing a major restoration in 2002. Before that, it was last on display in 2000.

The shroud -- more than 14 feet long and 3 feet, 7 inches wide -- was restored to remove a patchwork repair done by 16th century nuns after the cloth was damaged in a fire.

Thirteen years ago, when Benedict was still Cardinal Joseph Ratzinger, he wrote that the shroud was "a truly mysterious image, which no human artistry was capable of producing."

The shroud is not scheduled to go on public view again for more than a decade, so the TV broadcast represents a rare chance for the faithful to get a glimpse of the famous relic.

Religious relics: Bulgarian bones could be John the Baptist's as claimed, scientists say

@highlight

NEW: Pope's message says the "Man in the Shroud" speaks to the heart of the faithful

@highlight

Video of the Turin Shroud is broadcast from the city's cathedral on Saturday

@highlight

Some Christians believe it to be Jesus Christ's burial cloth but many scientists disagree

@highlight

New tests show the shroud could date back to time of Jesus, says Padua University professor