(CNN)  -- E. Lynn Harris, the author who introduced millions of readers to the "invisible life" of black gay men, was a literary pioneer whose generosity was as huge as his courage, friends said Friday.

E. Lynn Harris touched fans with his courage and his kindness, friends say.

Harris, 54, died Thursday night while on a business trip to Los Angeles, California, said Laura Gilmore, his publicist.

Harris wrote a series of novels that exposed readers to characters rarely depicted in literature: black, affluent gay men who were masculine, complex and, sometimes, tormented.

Keith Boykin, an author and friend, said Harris encouraged the black community to talk openly about homosexuality.

"We have a 'don't ask, don't tell' policy in the black community," Boykin said. "E. Lynn Harris encouraged people to ask and to tell."

How Harris broke ground

In books like "Invisible Life," "A Love of My Own," and his New York Times best-selling memoir, "What Becomes of the Brokenhearted," Harris virtually invented a new genre: books that depicted black gay men living double lives.

Though Harris wrote primarily about black gay men, some of his biggest fans were black women. His books became staples in black beauty salons, bookstores and book clubs.

"It was hard to go on a subway in places in New York or D.C. and not see some black woman reading an E. Lynn Harris novel," Boykin said.

Harris was an unlikely literary pioneer. He was a former IBM executive who decided to write about his life. He started off in 1991 selling books from the trunk of his car to African-American beauty salons and bookstores.

He eventually became one of the nation's most popular writers with an estimated 4 million of his books in print.

Tina McElroy Ansa, author of "Taking After Mudear," met Harris at the beginning of his literary career when he was selling his first book "Invisible Life." She said they were both so poor they only had enough money to buy each other's book.

Ansa said she took Harris' "Invisible Life" home and was stunned by the time she reached page 20. She came across a scene where Harris depicted two black men playing in the snow with one another.

She immediately dropped the book, called Harris and told him she had never read such a scene before.

"I had never seen homosexual love in African-American men portrayed that way," she says. "It was playful, loving, and it wasn't hidden."

Years later, when Harris became successful, he thanked Ansa for her early encouragement.

"He gave me a string of pearls," Ansa said.

In 2000, Harris told the magazine Entertainment Weekly how important "Invisible Life" was for him.

''When I wrote "Invisible Life," it had to be the first book out of me -- it helped me to deal with my own sexuality,'' Harris said. "'For me, my 20s and early 30s were spent just hiding and running, because there was no one to tell me that my life had value and the way I felt was okay.''

Standing room only at his book events

"It's heartbreaking; he had such a generous spirit," said Tananarive Due, author of "Blood Colony."

"When I was just starting out, he flew me to an event out of his own pocket and put me up just because he thought more people should know my work," Due said.

Harris was as generous with his fans as he was with his friends, some said.

They describe an author who held dinner parties for aspiring writers at his home, loved meeting and hugging fans at book readings, and never seemed to let his fame change him.

"You could get trampled at an E. Lynn Harris reading," Ansa said. "People loved him."

Due said Harris would answer up to 200 e-mails from his fans each day. She said Harris had been a cheerleader in college "and a spirit of joy followed him through his life."

"He genuinely loved being around people and remembered names," Due said. "I remember seeing him at an event in Florida, and one woman in the crowd raised her hand and he said, 'Oh, Mary, you were here for my hardcover book signing.'"

Nonetheless, Harris had his share of personal pain.

He was born in Flint, Michigan, and grew up in Little Rock, Arkansas. In his 2003 memoir, he wrote about enduring abuse by his stepfather and an attempted suicide in 1990.

And he had critics. Some said Harris was a mediocre writer who stumbled on a winning literary formula. Boykin says Harris was stung by some of the criticism.

"He always said 'I'm not a James Baldwin,'" Boykin said, referring to the openly gay black author from the 1960s. "He was writing accessible literature for the masses."

Boykin said Harris received most of his criticism not from outraged straight critics, but people within the black community.

"He was hurt by some of the criticism from some black gay men who felt he wasn't portraying them accurately and others who thought he was telling too much," Boykin said.

In a 2003 Detroit Free Press interview, Harris said he resisted becoming an advocate for gay rights.

"It's such a small part of who I am, " he said. "It's what I do when I'm with my partner that puts this label on me. Most of my friends are straight. I tend to have a regular life, if you will."

Due said there has traditionally been a lot of pain associated with homosexuality in the black community. Harris took a little of that pain away with his life and his books.

"He really helped let the air in," Due said. "He helped us all breathe a little better."

@highlight

Pioneering author broke taboos in the black community

@highlight

Harris created a new genre in black literature

@highlight

Private struggles led to literary success

@highlight

Author: 'He helped us all breathe a little better"