(CNN) -- Western companies operating in Africa have long underestimated the continent's consumers, according to a top executive in one of the world's biggest consumer goods groups.

Frank Braeken, executive vice president of Unilever in Africa, said that for a long time multinationals have thought of the vast continent as a "monolithic" market, failing to address its diversity.

"The African consumer has been underestimated, underserved and underserviced," said Braeken. "What I mean is we have looked at it a little bit generically, like 'the Africans,' a little bit patronizing generically. Now we start to take the African consumer seriously."

Unilever, the maker of brands such as Lipton and Knorr, has been active in the continent for more than a century, with a presence in 15 countries and employing thousands of workers there.

Read more: Are one in three Africans really middle class?

Yet, despite its long history and deep presence, Braeken acknowledged that the company had been slow in engaging with the diverse types of consumers in the continent.

"I'm almost somewhat ashamed to admit that we are still very much in learning mode about what the differences are within Africa."

Braeken said that it was becoming increasingly clear that there were major differences between the different countries in the continent.

"What we now increasingly do is we think much more in terms of sub-clusters, where you have east Africa, where you have west Africa, where you have southern Africa," he said.

"It is more about how you define the brand mix, how you bring it to the consumer, that we localize and that we make it relevant for the local consumer."

A recent survey by Nielsen has identified seven types of consumers that companies targeting African markets need to be aware of.

"Rather than just a continent, Africa must be viewed as 54 separate and distinct countries with a wide array of political, economic, geographical, cultural and social features," said Nielsen's "The Diverse People of Africa" report.

According to the research firm, there is no "single African consumer." Instead, Nielsen says its seven types of consumers can be grouped in three tiers based on monthly income and average spending.

In the first tier belong the "Trendy Aspirants" and "Progressive Affluents" (wealthy, urban, well-educated Africans with high income and consumer packaged goods spending (CPG)).

The second group is comprised of "Balanced Seniors" and "Struggling Traditionals" (middle aged, mid-income Africans with average CPG category spend), while the third one includes "Evolving Juniors," "Wannabe Bachelors" and "Female Conservatives" (this is the continent's biggest tier, consisting of consumers who spend much less than average on CPG categories -- see fact box).

Meanwhile, household spending in Africa is projected to increase from $860 billion in 2008 to $1.4 trillion in 2020, according to a report by McKinsey.

The growth in spending on consumer goods, telecoms and banking can turn Africa's consumers into an increasingly attractive business proposition, creating markets large enough to be appealing for multinational firms, said McKinsey.

Read more: EasyJet founder to launch low-cost airline in Africa

Braeken said the emergence of a stronger middle class is only one part of the story. He argued that the focus should be on how companies can foster innovation and organizational capability to tap the collective spending power of both the high and low ends of the continent's consumer market.

"By having a product that is more affordable you reach down, so certainly you have more consumers in your catchment area," he said, noting that Unilever has doubled the number of stores it goes to physically in the last few years to over 400,000. "So certainly your products can be found in more places in Africa, so you expand your catchment area -- that to us is the real story of our growth in Africa at this moment."

Looking ahead, Braeken said he was very positive about the continent's future but warned that there were still many issues that needed to be addressed, citing infrastructure, good governance, corruption and fostering local talent.

"I'm very optimistic about Africa, but I say it always with a tinge of hesitation because one of the big risks is that we get carried away and therefore forget to talk about the real challenges that are still ahead of it," he said.

"We have to keep on talking about the real issues and then I am sure that Africa can continue that path that it's on now, and we will see not only Unilever but many other companies easily double in size from what they are today."

@highlight

Frank Braeken is the executive vice president of Unilever in Africa

@highlight

He says African consumers have been underserviced by western firms

@highlight

A Nielsen report has identified seven types of African consumers

@highlight

Braeken says infrastructure, good governance and fostering local talent are still challenges