Chandrapur, India (CNN) -- My latest film, "Mary Kom" is about to hit the screens. In it, I play quite literally one of India's strongest women -- the only woman boxer to have won a medal in each one of the six world championships.

Her's is an inspiring story of a young woman who fought odds that were heavily stacked against her to achieve her dreams. She came from a small town but never let the lack of opportunities or any form of discrimination stop her.

With her story still ringing in my head, I set off to a small village near Chandrapur in India's Maharashtra state on International Youth Day at the behest of UNICEF to visit a new generation of strong young Indian women with some very inspiring stories.

The girls I met are part of the Building Young Futures program, or Deepshikha as it is locally known, run in partnership with UNICEF, Barclays and the Government of Maharashtra. The program is determined to challenge the difficulties many girls face across India, providing them with the knowledge and skills required to become strong financially independent women and also very importantly, to become the agents for change and development in their communities.

Bursting with potential

In my eight years as a UNICEF Ambassador championing the cause of adolescent girls, I am so proud of the work we've been able to do together. I passionately believe that young people are bursting with potential, that they can transform society.

But they need help. We need to urgently invest in their future and help them realize their potential and I am determined to help make that happen. Consider the numbers and you will see why this is such a critical requirement: There are approximately 1.2 billion adolescents in the world today, according to the United Nations, of which 243 million of them are in India.

I remember the dreams I had when I was a teenager. With support, opportunities and a lot of hard work I've been able to make them happen. But I know that many youngsters aren't so lucky. In Maharashtra, like many other states in India, girls are held back by not completing education, early marriage, ignorance around health issues, and lacking financial understanding and a voice for decision making.

We owe them a better life, which in itself will have a positive impact on our nation and society as a whole. If we can educate more girls, provide them with employment opportunities and give them the right life skills, their world will open up!

Girls transformed

As I sat in a circle with a group of girls playing a team game about working together and sharing responsibilities, delegating and planning, I could see the true impact of this program. Games like these, alongside Barclays volunteers sharing their financial knowledge, are what help the girls plan, set up and develop their own enterprises. At the end of the session, the girls came together to sing an anthem created especially for them about how "they are taking charge." I had goose pimples just listening to the power and determination in their voices. They had overcome so many hardships and yet they were ready to take on new challenges and improve the quality of life for themselves and everyone around them. I was truly inspired.

I was invited to their marketplace to see the businesses some of the girls have set up with their new found business and saving skills -- making bags, saris and sanitary napkins -- each a story of a girl transformed, taking charge of her life and starting something of larger social relevance. It was a shopping trip with a difference.

So what are the ingredients for a strong girl? How can we make sure that "all girls and boys can make their own name and fate and be independent," as one girl told me.

Here's my list:

• Teach a young adult not what to think but how to think

• Encourage young people to dare to believe, to realize dreams

• Foster a young girls confidence to voice her own opinions and solve her own problems

• Instill an understanding of saving, money and business to become financially independent

• Nurture an interest in their community so their impacts can be shared

Alongside all this, add a bit of magic, encouraging the girls to share their new power and use it to do good for the community. These girls go out and teach other girls and the ripple of empowerment spreads. It's a real, tangible, positive effect where is there for all to see.

Walking along a path in this quiet village in the middle of nowhere, it is easy to see how a girl can get lost -- lost for life.

I was there to meet Sadhana, 23, who had invited me into her home. She was far from lost. One of five sisters, her parents had initially been indifferent and felt burdened by them. The girls were not expected to have a future. Her father was paralyzed and was not able to take care of the family and that's where his young daughter stepped in. Today Sadhana provides for her parents and her family by saving and building a tailoring business herself, as well as doing much good in her village. Her strength is palpable. As I was leaving, her father told me she had become the son he never had. I replied that he didn't need a son, he already had his daughters!

Sadhana told me she learned that she "cannot do anything sitting at home," that she must "come out and take charge of my own destiny."

I thought that was a great message for young people everywhere on International Youth Day. With programs like Building Young Futures, these positive stories and messages will only grow in number.

@highlight

Bollywood actress Priyanka Chopra traveled to western India for International Youth Day

@highlight

She was visiting young Indian women with inspiring stories

@highlight

Many Indian girls are held back by issues such as not completing education, early marriage