London (CNN) -- Does part of social media's future lie in the past? It's a question that's nagging some of the biggest names in the industry as they turn their attention to the swelling digital archives many of us have created online.

One of Facebook's recent overhauls saw the addition of a timeline to help users build a chronological narrative of their lives. Kevin Systrom, co-founder of photo sharing site Instagram, said this week he wants to give his users better access to their older images.

But as we increasingly rely on digital services as a repository for our life stories, is there any guarantee that we will be able to access them in years to come?

Multibillion dollar businesses such as Facebook and Google might seem like rock solid cornerstones of the Internet at the moment, but fortunes change and leviathans can and do go out of business. And a scroll through the fine print of most social media sites' terms reveals no mention of an obligation to safeguard our data.

With such a large question mark hanging over the tech industry, it was only a matter of time before someone smelled a business opportunity.

One of those people is Phil Libin, CEO of Evernote, a service that allows users to archive images, documents and other data.

Libin made headlines at tech conference LeWeb London this week when he revealed that Evernote has 34 million users, of whom 1.4 million are paying customers -- up sharply from the 25 million users and 1 million paying customers he had announced in May. Three-quarters of these new users are coming from mobile devices, he said.

Already sitting on a $1 billion valuation, Libin's site -- often described as an "external brain" -- doesn't look like it has any immediate worries for the future. There's even talk of an Evernote IPO in the next few years.

But Libin believes that he can encourage even more people to park their data with Evernote if he can remove any question of doubt about his company's long-term destiny. To this end, he plans to later this year introduce a legally binding promise that guarantees users 100 years of access to their files -- not that his customers will be around that long.

This involves setting up a protected fund that, in the event of Evernote being taken over or shut down, will pay to maintain its data banks.

"We want people to have to believe that Evernote will be around for 100 years," Libin told CNN. "As soon as 10 years go by when it hasn't been in anyone's economic interest to keep your data, you can almost be guaranteed you won't be able to get it back. But as long as it's economical viable, it'll remain alive."

Eliminating this doubt makes smart business sense. Some data services have endured a rocky ride because of fluctuating faith in their prospects. In 2010, social bookmarking service Delicious experienced a sharp user exodus after Yahoo announced it was selling off the site.

Delicious still exists today and may continue to thrive long into the future. But online-archiving services must establish trust with their users to endure, said Maciej Ceglowski, founder of rival bookmarker Pinboard.

"An archive needs to have a credible plan for offering the same basic feature set over a time scale of decades," Ceglowski told the Personal Digital Archiving conference in San Francisco earlier this year.

In a world where computers and storage solutions are constantly evolving, such plans face hurdles.

"The main technology challenge is what format will be available in 100 years?" says Libin. "It's like people who had eight-track tapes of their favorite music from 30 years ago. Who's going to know how to play a CD in 10 or 20 years?

"There's no magical technology solution -- it's not like we have a file format that someone will be able to read in 100 years," he added. "So we have to make it worth someone's time to convert the data into whatever the newest format is."

Libin says his company is taking cues from the Long Now Foundation, a private organization that is examining ways to preserve data for centuries as part of its broader efforts to promote debate over humankind's distant legacy.

"They're planning for thousands of years," he said.

Of course, no one knows exactly what the Internet will look like a century from now. But Libin, and Evernote, are trying.

@highlight

Services such as Evernote allow users to archive images, documents and other data

@highlight

Evernote hopes to be around a century from now, even if social media sites are not

@highlight

CEO Phil Libin spoke about his company's sharp growth at tech conference LeWeb London