The deadly Ebola virus has been contracted by someone inside the United States for the first time.

A nurse who had worn protective gear during her "extensive contact" at a Dallas hospital with an Ebola patient who died tested positive during a preliminary blood test, officials said Sunday.

The woman had on a gown, gloves, mask and a shield during her multiple visits with Thomas Eric Duncan, but there was a breach in protocol, health officials said.

The patient is a nurse at Texas Health Presbyterian Hospital in Dallas, an official who is familiar with the case told CNN.

The Centers for Disease Control and Prevention in Atlanta conducted testing on the blood sample, and confirmed the results Sunday, marking the first known transmission of Ebola in the United States and the second diagnosis in the country.

She was involved in Duncan's care after he was placed in isolation -- his second trip to the hospital after coming to the United States from Liberia --  said Dr. Tom Frieden, the director of the CDC.

The nurse is in stable condition, Texas Health Resources chief clinical officer Dan Varga said. Duncan, the first person to be diagnosed with Ebola in the United States, died Wednesday.

What's a hospital supposed to do if an Ebola patient shows up?

The nurse had "extensive contact" on "multiple occasions" with Duncan, Frieden said.

"At some point, there was a breach in protocol, and that breach in protocol resulted in this infection," he said at a news conference Sunday. "The (Ebola treatment) protocols work. ... But we know that even a single lapse or breach can result in infection."

Also, Varga said that someone who is a "close contact" of the nurse has been "proactively" placed in isolation.

The hazardous materials unit of the Dallas Fire Department has cleaned up and decontaminated the public areas of the health worker's apartment complex, Mayor Mike Rawlings said. Police are keeping people out of the area and are talking to residents nearby.

"We have knocked on every door on that block," the mayor said.

Hazardous materials units have also cleaned out the nurse's car and will work on her apartment Sunday.

"This development is understandably disturbing news for the patient, the patient's family and colleagues and the greater Dallas community," the CDC said in a statement, announcing the nurse's test results.

It sought to play down a wider risk.

"The CDC and the Texas Department of State Health Services remain confident that wider spread in the community can be prevented with proper public health measures, including ongoing contact tracing, health monitoring among those known to have been in contact with the index patient, and immediate isolations if symptoms develop," the CDC said.

Complete coverage on the Ebola outbreak

Case was anticipated

"We knew a second case could be a reality, and we've been preparing for this possibility,"  Dr. David Lakey, commissioner of the Texas Department of State Health Services, said in a statement Sunday morning.

"We are broadening our team in Dallas and working with extreme diligence to prevent further spread."

The nurse reported a low-grade fever Friday night and was isolated, the health department said. The preliminary test result came in late Saturday.

President Barack Obama received two briefings Sunday on the second Dallas Ebola case, including one from Health and Human Services Secretary Sylvia Burwell. According to a White House statement, the President wants federal authorities to immediately take further measures to ensure health care professionals are able to follow protocols for treating Ebola patients.

'A sign the system is working'

The news that a health care worker might have the disease is not completely unexpected, an infectious disease specialist told CNN's "New Day."

"I think we've always expected that there may be another individual who will come down with the Ebola from the transmission of this one particular person, and we always felt that it was going to likely be one of his close contacts or one of the health care workers, because that's the way this virus works," Dr. Frank Esper said.

For Ebola caregivers, enormous fear, risk and bravery

Esper said Texas officials have been keeping a close eye on people who had contact with Duncan.

"I will tell you that the fact that we identified this individual so quickly is actually to me a sign that the system is working," he added.

Globally, the disease has wrought catastrophic consequences.

The World Health Organization estimates more than 8,300 people have contracted Ebola during this year's outbreak. Of those, more than 4,000 have died.

Ebola not very contagious

Ebola is actually difficult to catch. People are at risk if they come into very close contact with the blood, saliva, sweat, feces, semen, vomit or soiled clothing of an Ebola patient, or if they travel to affected areas in West Africa and come into contact with someone who has Ebola.

Those stricken with Ebola suffer ghastly symptoms, including vomiting, diarrhea, muscle pain, fever and internal bleeding.

Three countries -- Sierra Leone, Guinea and Liberia -- have been hardest hit. And many of those who care for the ill have also come down with the disease.

The World Health Organization estimates at least 416 health care workers have contracted Ebola, and at least 233 have died.

In Liberia, health care workers are threatening to strike if their work conditions don't improve.

The first infection outside of Africa happened in a nurse's aide in Spain, Teresa Romero Ramos. She became sick after she helped treat an Ebola-stricken Spanish missionary.

Her case has prompted questions from fellow medical professionals about whether they are properly equipped to safely treat Ebola patients.

Spanish Ebola patient's condition worsens, doctor says

Another search begins

For weeks, health officials have been monitoring those who had contact with Duncan before he was hospitalized and isolated.

Duncan left Liberia on September 19 and arrived in Dallas on September 20. Four days later, he began feeling ill; the following night, he went to Texas Health Presbyterian Hospital.

But despite telling a hospital worker that he had arrived from Liberia, Duncan was sent home with antibiotics. He returned a few days later and tested positive for Ebola.

And now, the search begins for all the contacts whom the nurse came in contact with.

"We need a whole new crew of people to do contact tracing," said Elizabeth Cohen, CNN senior medical correspondent.

Because Ebola's incubation period can last up to 21 days, the health nurse's contacts will have to be monitored for three weeks.

The Texas health department said officials have interviewed the patient and are identifying any contacts or potential exposures.

"This is not an easy thing," Cohen said. "Keeping track of large numbers of people, taking their temperature twice a day, making sure they don't ... leave town, all of that is a lot of work."

@highlight

A "close contact" of the nurse is being monitored, says CDC

@highlight

The worker helped care for an Ebola patient multiple times, CDC director says

@highlight

He says there was a breach in protocol and his agency is investigating

@highlight

Nurse was wearing protective gear when she helped care for Thomas Eric Duncan