Washington (CNN)The massacre of some of France's top cartoonists has turned a American nightmare -- that Western jihadists could return from war on terror battlefields to wreak carnage at home --  into reality.

One of the two brothers suspected in the slaughter at the offices of a satirical magazine on Wednesday recently spent time in Yemen getting weapons training with one of the most dangerous Al-Qaeda affiliates in the world, US officials briefed on the matter told CNN's Barbara Starr.

And a French source close to the French security services says there is also evidence that one of the brothers, Said and Cherif Kouachi, has traveled to the the killing fields of Syria.

The chilling revelations open up a potentially dangerous new phase of the struggle against global terrorism because thousands of European fighters are estimated to be fighting with ISIS and other extremist groups -- a rich pool of radicals who could overwhelm Western intelligence agencies should they come home with orders to sow terrorist panic at home.

Top officials in Washington have another deeply held fear. Since many Western jihadists have European Union passports, they enjoy visa-free access to the United States, opening the possibility that someone -- not known to U.S. and allied intelligence services and who is not on American no-fly lists like the Kouachi brothers -- could get into the United States.

"That's what multiplies our problem," Republican Rep Ed Royce told CNN on Thursday. "Them returning to Europe is a direct threat to them eventually, potentially coming here."

The paramilitary-style assault on the satirical French publication Charlie Hebdo killed 12 people also underscored a shift away from spectacular, large-scale attacks waged by foreign terror groups like the strike on Sept. 11, 2001. Instead, homegrown radicals inspired by or affiliated with jihadist organizations are launching more limited strikes that still achieve the core aim of terrorism: death, widespread fear and panic.

The shift makes the task of preventing further terrorist attacks even more daunting for Western leaders. They must sift through countless clues of potential small-scale, lone-wolf attacks while also blunting the possibility of another massive strike that could kill thousands in a single incident.

"It is becoming a more and more complex terrorist threat," Homeland Security Secretary Jeh Johnson told CNN's Dana Bash. These are "actors who may lurk within our society, that could strike with little notice, commit an act of violence because they have been inspired by things they have seen on the Internet, social media, in literature, without accepting a direct order from ... a terrorist organization."

The plague of homegrown terror by radicals inspired by -- and sometimes affiliated with -- al Qaeda, ISIS and other groups, seems to be spreading across the globe.

In October, a convert to Islam and self-appointed jihadist provoked terror in Ottawa -- Canada's sleepy capital city -- by gunning down a soldier standing guard at a national war memorial. Two days earlier, a Canadian soldier was killed by a Muslim convert using a car as a deadly weapon.

Just last month, a single hostage taker, apparently inspired by ISIS, seized a cafe in another unlikely terror hot spot -- Sydney, Australia -- killing two people before he was shot dead by police.

And in 2013, homegrown terror hit London, when two British Muslim converts turned extremists hacked soldier Lee Rigby to death in a brazen daylight attack.

Republican Rep. Michael McCaul of Texas, chairman of the House Homeland Security Committee, said the sheer simplicity of the attack in Paris, in which masked gunmen drove up to the Charlie Hebdo offices and started spraying automatic weapons was particularly disturbing.

"That's what keeps me up at night. The small scale attack that goes undetected," he said.

In this new front on the war on terror, extremists no longer need to infiltrate fighters on daring missions to set off car bombs in European cities or to hijack fuel-laden airplanes to knock down skyscrapers. They can instead call on willing recruits already in the midst of Western societies, inspired by increasingly targeted calls by groups like ISIS and al Qaeda to wage war at home.

So far, there are no signs that Wednesday's attack will lead to a heightened risk of terrorist actions in the United States.

But the White House has long voiced fears that because of visa waiver programs with the United States, Europeans enjoy easy entry onto American soil, and radicals armed with nothing more than their maroon European Union passports could, in theory, export their terror.

Senior U.S. intelligence and law enforcement officials working closely with French counterparts will be especially keen to find out whether those behind the Paris attacks are veterans of ISIS' fight in Syria.

The fact that thousands of radicalized, trained and battle-hardened killers with the skills and motivation to attack Western targets could be coming home from war is deeply concerning to American counterterrorism officials.

"If these are foreign fighters coming back, it would be our worst fears realized," said Rep. Adam Schiff, D-California, a member of the House Intelligence Committee.

But even if the attackers in Paris are not veterans of jihadism, they still may reflect a troubling evolution in the nature of terrorism, one that is especially hard for national security officials to combat.

ISIS, which has carved up large swaths of territory in Syria and Iraq, has sought to inspire attacks on Western soil. It emerged recently in Australia that the group's leaders had told potential fighters not to travel to Syria, but to stage attacks at home.

"This really is a pattern," said Mike Rogers, the former chairman of the House Intelligence Committee, who is now a CNN national security analyst. "It is new in that they were able to pull it off."

Thomas Sanderson, an expert on international terrorism at the Center for Strategic and International Studies, said the risk to the United States from European fighters believed to have returned home after fighting in Syria and elsewhere was significant. Around 150 Americans are believed to have also joined the fight with ISIS.

Sanderson also said videos of the assailants on the streets of Paris during the attack suggested they had some level of sophistication, a factor that will also alarm U.S. Homeland Security officials.

"They were not a couple of guys who woke up one day last week" and decided to launch an attack, Sanderson said. "I am guessing they had battlefield experience."

Adnan Kifayat, a former State Department envoy to Muslim communities, said the Paris attack was particularly serious because it suggested radical Islamic groups were now succeeding in their campaign to use propaganda and social media to radicalize Muslims to stay in their home nations to conduct terrorism.

"Some of the messaging has been focused on 'do what you can to help the cause from where you are,'"  said Kifayat, now with the German Marshall Fund of the United States. "They are trying to activate people where they stand. That is obviously scary and moving into a newish front."

That kind of motivational rhetoric has shown to be effective in the United States as well.

U.S. Army Maj. Nidal Hasan was reportedly inspired by the teachings of and emails from Yemeni-based Islamic cleric Anwar al-Awlaki before going on a shooting rampage at a base in Fort Hood, Texas, in 2009, killing 13 people.

The White House said Wednesday that it is paying attention to the risk posed by foreign fighters and the inspiration radicals could find from jihadist groups abroad.

"As a general matter, we are very mindful of the threat from foreign fighters and the threat and the need to try to counter some of the extremist ideology that ISIL is propagating using some pretty sophisticated social media strategies," said White House spokesman Josh Earnest.

Daniel Benjamin, a former State Department counterterrorism official now at Dartmouth College, said the Paris attack showed an evolution of terrorism in a number of ways.

"There hasn't been, to my knowledge, a major jihadist attack involving assault weapons in the West in memory," Benjamin said, and also noted that it was significant that Wednesday's assault took place in France, which despite having Europe's biggest Muslim population, has been largely spared large-scale attacks by radicalized Islamists.

Benjamin cautioned that it remained unclear whether the attackers in the Paris incident were linked or inspired by ISIS or another radical terror group like one of the various branches of al Qaeda. But he said it was increasingly likely that ISIS successes in holding onto territory in the Middle East were having an impact in the West.

"We have seen, just in the last few months, whether it is in Sydney or in Ottawa or in other places, that the perceived successes of ISIS in holding territory in Iraq and in Syria have had a galvanizing effect on those with radical tendencies," he said. "I fear this is something we are going to have to get used to."

@highlight

Paris attack underscores shift away from spectacular, large-scale attacks waged by foreign terror groups

@highlight

Instead, homegrown radicals inspired by or affiliated with jihadist organizations are launching more limited strikes