In a nondescript hotel ballroom last month at the South by Southwest Interactive festival, Andras Forgacs offered a rare glimpse at the sci-fi future of food.

Before an audience of tech-industry types, Forgacs produced a plate of small pink wafers -- "steak chips," he called them -- and invited people up for a taste. But these were no ordinary snacks: Instead of being harvested from a steer, they had been grown in a laboratory from tiny samples of animal tissue.

One taster's verdict on this Frankenmeat? Not bad, actually.

"It was delicious. It tasted like a thin piece of beef jerky," said Michael Wang, a program manager in Washington. "I would have never thought it wasn't real meat."

Forgacs is co-founder and CEO of Modern Meadow, a young company that is developing lab-engineered meat and leather products, known as cultured meat. He is among a new breed of youthful entrepreneurs who are applying tech-startup principles -- innovation, efficiency, data-driven processes -- to address the growing challenges of global food production.

"Once you start to see food as technology, as a form of hardware, you start to ask, why can't food get better?" asked Rob Rhinehart, CEO of Rosa Labs, a nutritional-science startup based in Los Angeles. "But there's a lot of disagreement about what our products are. Is it fake? Is it real?"

For those reasons, these biotech food entrepreneurs may face an uphill climb.

To an eating public increasingly focused on organic, farm-to-table food, cultured meat -- also known as "in vitro" or "test-tube" meat -- sounds unnatural and unappealing. A recent Pew survey found that 80% of Americans would not eat meat that was grown in a lab, although younger and college-educated people are more willing to try it.

"Cultured meat is so new and such a radically different way of making meat to what has gone before," said Neil Stephens, a research scientist at the University of Cardiff in Wales who has been studying lab-engineered food products.

"There is an empirical question to answer about whether people will accept it as meat, and what criteria we use to define cultured meat as meat."

Problem ... and solution?

As these entrepreneurs see it, our current large-scale methods of raising meat are wasteful and harmful to the environment. Research supports this: Raising livestock, for example, requires massive amounts of water, pollutes rivers with manure and, according to the United Nations, produces an estimated 14.5% of global human greenhouse-gas emissions.

On top of that, global demand for meat is expected to double over the next 40 years, placing further strain on the planet's natural resources.

By comparison, lab-grown meat would leave a much lighter footprint and might eventually help alleviate food shortages in some parts of the world, advocates say.

They also say that cultured meat is more humane because no animals are slaughtered.

"It's the future," said entrepreneur Biz Stone, a vegan and co-founder of Twitter and Jelly. "We can't sustain the current model of raising enough animals to feed 7 billion people."

Spotting an opportunity, a handful of biotechnology startups have begun developing alternative food products. Using a formula developed at the University of Missouri, Beyond Meat takes plant protein from soy and peas and applies heating, cooling and pressure to realign it so that its structure resembles meat tissue. The company's fake chicken strips are in 4,000 stores across the United States and have fooled people in blind taste tests.

Hampton Creek Foods has received $30 million in funding for its business model, which revolves around a plant-based substitute for eggs. Its first product, a vegan mayonnaise called Just Mayo, hit stores in California last fall. And after a $2 million crowdfunding campaign Rosa Labs recently began mass-producing Soylent, a drink supplement aimed at meeting all the human body's nutritional needs.

"There's such a wide-open space for innovations if you're starting (a company) around food," said Hampton Creek Foods CEO Josh Tetrick.

But the most fascinating, and polarizing, startup in this emerging space is Modern Meadow. Launched in 2011 by Forgacs and his father Gabor Forgacs, a biophysicist, the company plans to make cultured leather products before tackling the thornier process of growing meat.

"You don't waste as much material (with cultured leather) because animals don't come in the shape of a couch or a handbag," said Andras Forgacs at the SXSW panel discussion in Austin, Texas.

To make cultured beef, Modern Meadow takes muscle cells from a steer and places them in a liquid or gel containing amino acids, vitamins, minerals and sugars -- ingredients that cells feed on -- to stimulate tissue growth.

Scientists flavor the Modern Meadow steak chips by adding sauces, like teriyaki or barbecue, before cooking them in a food dehydrator. The process takes about a week.

"We basically have a team of scientists who developed this," said Andras Forgacs, adding that each chip can be made for less than $100. Costs will go down as production ramps up, he said.

That's still a lot cheaper than the world's first lab-grown burger, which was engineered by a scientist in the Netherlands and served to food critics at a news conference last August in London. (Reviews of the burger were mixed.) The project, funded by Google co-founder Sergey Brin, cost some $325,000.

A cultural challenge

Manufacturing and cost barriers, plus the pokey federal regulatory process, mean that test-tube steaks won't be coming to your neighborhood supermarket anytime soon.

But they are coming, entrepreneurs say.

"We're in for a real revolution in the next decade or two," Forgacs said. Added Tetrick, "By 2030 we're going to see a drastic shift."

They and their fellow biotech entrepreneurs still face plenty of stumbling blocks. There's the issue of health: While lab-grown meat would likely be freer of bacteria and pesticides, its production also may require the use of artificial growth hormones.

Then there's the challenge of making consumers comfortable with eating meat that comes from a laboratory.

And if cultured meat doesn't taste good, nobody will try it more than once.

"It's not the science that's the most difficult part. The hardest part is our culture. We've been eating meat for 2 million years," said Ethan Brown, CEO of Beyond Meat. But, he added, "You can see the change coming when you sit down and talk to a child. No child wants to hurt an animal."

Not surprisingly, the U.S. beef industry is not excited by the prospect of lab-grown meat.

"We feel confident that consumers will continue to trust and prefer traditionally raised (not lab-engineered) beef. No laboratory product will ever be able to take the place of cattlemen and women or the dedication they have to the customer, the consumer, or to rural America," said Chase Adams, spokesman for the National Cattlemen's Beef Association.

"Regardless of market, I do not foresee engineered beef as a viable or attractive option for consumers."

Stephens, the University of Cardiff researcher, believes the idea of cultured meat is still too new for most people to wrap their heads around. Is it really meat, or is it something else?

"If you ask the biologists working on it ... many of them will tell you it will be meat when the material composition of the cultured meat is sufficiently similar to traditional meat," he said. "I am a sociologist, so to me the meaning of something is not defined by its material properties but by how society more broadly makes sense of ... (it).

"Cultured meat is still very new in the public imagination, and I think many people are still working out what they think about it."

@highlight

Tech entrepreneurs are addressing the challenges of global food production

@highlight

One startup, Modern Meadow, wants to engineer meat in a lab

@highlight

Research shows current methods of raising meat are harmful to the environment

@highlight

But survey finds 80% of Americans would not eat meat grown in a lab