President Barack Obama responded on Monday to House Speaker John Boehner's offer to compromise on tax rate increases with his own compromise on both tax increases and spending cuts, according to a source familiar with the discussions.

Obama's latest offer brings the two sides billions of dollars closer to a deal to avert the fiscal cliff, which promises tax increases on income of all levels and across-the-board spending cuts in the new year.

For the first time, Boehner this weekend had offered to accept tax rate increases on household income over $1 million, sources said.  Obama, who had stood steadfast at the threshold of $250,000, on Monday offered Boehner a package which would raise rates on household income above $400,000.

The president also offered ground on cuts to discretionary federal government spending.  His initial offers had included no cuts; his latest offer cuts of $200 billion, divided evenly between defense and non-defense programs.

The two men met face to face at the White House on Monday for 45 minutes, their third such meeting in eight days, a sign of an acceleration in the fiscal cliff negotiations.

Neither side favors returning income tax rates to 1990s levels on all income.

Hours before news of the president's latest offer emerged, White House spokesman Jay Carney made it clear that more work needed to be done.  "The president's proposal is the only proposal that we have seen that achieves the balance that is so necessary" between revenue and cost-cutting, said Carney, who refused to discuss specifics.

Congress had been scheduled to end its work last week, but legislators returned to Washington on Monday and leaders warned members to be prepared to stay until Christmas and return after the holiday until year-end.

"It appears at this stage -- we'll see if anything changes -- but it appears we're going to be coming back the day after Christmas to complete work on the fiscal cliff," Senate Majority Leader Harry Reid, D-Nevada, said Monday.  Last week, U.S. Rep. Chris Van Hollen, D-Maryland, said a deal would have to be reached by Christmas to allow time for the legislative process to approve the required measure or measures by the end of the year.

The source told CNN that Obama's latest offer includes $1.2 trillion in revenue increases on individual income and $1.22 trillion in spending reductions, though Boehner's office said the math adds up differently.

"Any movement away from the unrealistic offers the president has made previously is a step in the right direction, but a proposal that includes $1.3 trillion in revenue for only $930 billion in spending cuts cannot be considered balanced," Boehner spokesman Brendan Buck said.  "We hope to continue discussions with the president so we can reach an agreement that is truly balanced and begins to solve our spending problem."

A senior GOP House aide posited that one difference in the math is the way the White House and Republicans are handling the consumer price index, which takes into account changes in the quantity and prices of products.

Republican aides estimate that the CPI would increase tax revenues by an additional $95 billion over Obama's estimated $1.2 trillion, putting the number closer to $1.3 trillion.

They also do not count Obama's estimated $290 billion in savings on national debt interest accumulation because they do not consider these savings real cuts.

Obama's plan, Republican aides said, does not include a 1-1 ratio of spending cuts and revenue.

Obama's proposal includes $130 billion in spending savings due to changes in the CPI.  It is applied to many entitlement benefits, such as Social Security, to protect participants against rising prices. The chained CPI includes assumptions on consumer habits with regard to rising prices, such as seeking cheaper alternatives, and would result in smaller benefit increases in future years.

Labor unions and advocacy groups for the elderly are expected to oppose it.

Boehner has been under pressure from the White House, Democrats, the business community and some fellow Republicans to give up the staunch opposition to any increase in tax rates.

Conservatives trying to shrink the federal government generally oppose increasing tax revenue. They are particularly opposed to higher tax rates because history shows that once rates go up, it is difficult to later reduce government revenue by lowering them again.

Obama and Democrats argue that increased revenue, including higher tax rates on the wealthy, must be part of broader deficit reduction to prevent the middle class from getting hit too hard.

The president's plan also includes one of his key demands on the national debt, a two-year extension of the debt ceiling being subject to periodic congressional votes under the so-called McConnell mechanism.  That allows the president to notify congress of a debt-ceiling increase. Congress could then take no action and let it go into effect or vote to deny the increase.  Without that mechanism, Congress would have to approve all debt-ceiling increases.

An aide to Boehner said earlier any such increase would have to be offset by spending cuts and reforms.

@highlight

President Barack Obama raises income cutoff for higher tax rates to $400,000

@highlight

Obama also offers $200 billion in discretionary spending cuts

@highlight

House Speaker Boehner concedes on higher tax rates, debt limit

@highlight

Boehner and Obama meet for 45 minutes on Monday