The acting head of the Internal Revenue Service said Thursday that evidence so far shows only conservative groups underwent extra scrutiny cited by an inspector general's disclosure of the agency's targeting of applications for tax exempt status.

An initial report on the IRS targeting scandal this week by Daniel Werfel, the IRS principal deputy commissioner, led to the disclosure that IRS workers flagged both liberal and conservative groups when assessing their eligibility for the tax break available to social welfare organizations.

IRS screeners used conservative-themed criteria such as "tea party" on "Be on the Lookout" or BOLO lists to determine if groups underwent further review for political activity that would make them ineligible, according to Werfel and the inspector general who first revealed the targeting.

Another category of the BOLO lists also had liberal-themed criteria including "progressives," but that category didn't set off the automatic extra scrutiny for political activity faced by conservative groups, according to a letter to the panel this week by Treasury Inspector General for Tax Administration J. Russell George.

Under tough questioning Thursday at a House Ways and Means Committee hearing, Werfel acknowledged that the different BOLO categories meant liberal groups avoided the extra scrutiny cited by the inspector general that included processing delays and extensive questions perceived by conservatives as political intimidation.

The revelation bolstered the argument of GOP Rep. Dave Camp of Michigan, the panel's chairman, that the targeting had a political motive.

"So far, the evidence only shows conservatives being systematically targeted by the IRS, not just flagged through the BOLO, but actually targeted," Camp said, later conceding "we're in the early stages of this investigation."

Werfel repeatedly cautioned that his internal review was incomplete, and that additional information from continuing investigations by the FBI, the inspector general and congressional committees was needed to reach definitive conclusions.

He noted that the 80 groups that have waited more than 120 days for a final decision on their applications for a tax break included a diverse range of political leanings.

"I didn't want to leave the committee with the impression that we're not seeing diversity of political labels across the spectrum," Werfel said of the IRS targeting. "What I'm suggesting is more analysis -- significant more analysis -- is needed before we reach conclusions about what that means in terms of an IRS failure or an IRS issue."

The hearing on the still-evolving scandal featured angry accusations and tense exchanges between legislators, with Republicans inferring a government cover-up of high-level wrongdoing while Democrats accused them of political posturing.

All involved agreed that Werfel needed more time to figure out exactly what happened, who was responsible and why.

That didn't stop Republicans from criticizing his efforts so far. Camp said Werfel's report, filed just over a month after his appointment by President Barack Obama to clean up the mess at the IRS, lacked accountability and reached unsubstantiated conclusions.

"If there is anything this report shows, it's just how much more work must be done," Camp said, noting that Werfel had yet to interview principal figures or get other information necessary to determine the origins or scope of the targeting.

Another GOP legislator, Rep. Kevin Brady of Texas, called Werfel's report "a sham."

Camp also warned Werfel that the targeting scandal and other IRS controversies, such as wasteful spending in past years, would affect his panel's consideration budget request for more money next year.

"Until the IRS proves that it can responsibly manage its current funds, the IRS will not see one more dime in taxpayer funding," Camp said.

Werfel noted that the FBI and inspector general were handling interview of IRS officials involved in the targeting, adding that the investigations could involve criminal behavior.

He repeated the assertion in his report that no evidence so far suggested intentional wrongdoing by agency personnel or influence from outside the IRS in the targeting.

His report released Monday said five managers had been replaced and other steps taken in response to George's audit last month that set off a political firestorm in Washington.

Republican leaders contend the targeting uncovered by the inspector general's audit indicated political villainy by the Obama administration to try to stifle opponents, such as groups with "tea party" in their names that were flagged for additional IRS scrutiny.

Democrats said Thursday that such allegations were politically motivated instead of based on any evidence. Rep. Sander Levin of Michigan, the top Democrat on the panel, asked Werfel if there was any evidence of White House involvement in the targeting, and Werfel answered no.

IRS targeting scandal reshaped by new details

On Wednesday, White House spokesman Jay Carney told reporters that "there's been a lot of flagrant, unfounded accusations made by members of Congress in the Republican Party about this issue, accusations that were made without factual foundation."

Obama's second-term blues

Investigations by the FBI, congressional committees, the Treasury inspector general's office and the IRS continue.

President Barack Obama appointed Werfel to clean up the IRS mess last month after the inspector general's audit uncovered targeting of applications that contained conservative-themed words such as "tea party."

George's audit said the targeting resulted in some conservative groups having their applications delayed or stonewalled with requests for answers to inappropriate questions regarding donors, political beliefs and other matters. The targeting of conservative groups ended in May 2012, the audit said.

In his first substantive report on the agency, Werfel said Monday that its tax-exempt unit used multiple lists of inappropriate criteria in assessing tax-exempt applications until earlier this month, more than a year later than previously revealed.

Werfel said he has suspended the use of BOLO lists in considering tax-exempt applications for now.

Boehner on IRS: Who is going to jail?

Werfel's report Monday said the five IRS managers replaced included the previous acting commissioner he succeeded, as well as the head of the unit based in Cincinnati that handles tax-exempt applications.

In addition, Werfel created an Accountability Review Board to recommend within 60 days "any additional personnel actions necessary to hold accountable those responsible" for the targeting disclosed by the inspector general's report.

As part of his review, Werfel said 80 groups awaiting IRS action on their applications for tax-exempt status for more than 120 days could self-register with the agency as long as they certified under penalty of perjury that they would comply with applicable laws and regulations.

At the heart of the matter is what kind of organization can qualify for tax-exempt status. Regulations limit such status to groups primarily involved in social welfare activities, while political groups are considered ineligible.

Confusion over defining what constitutes political activity versus social welfare activity contributed to the targeting by the IRS, Werfel said.

An IRS statement Monday said the "safe-harbor" option for self-certification would apply to groups that "certify they devote 60% or more of both their spending and time on activities that promote social welfare."

"At the same time, they must certify that political campaign intervention involves 40% or less of both their spending and time," the statement said. Applicants meeting those thresholds would get approval within two weeks of seeking self-certification, it said.

Werfel said the IRS would continue checking on tax-exempt groups to ensure they were following the law.

@highlight

IRS chief: No evidence that liberal groups scrutinized like conservative groups

@highlight

Committee Chairman Camp says the IRS response lacks sufficient accountability

@highlight

IRS acting leader Werfel issued a report on the matter this week

@highlight

The IRS targeting included conservative and liberal groups