(CNN) -- The new year emerges from the depths of winter. In many countries bells ring out at midnight on New Year's Eve -- a sound that the writer Charles Lamb described nearly 200 years ago as the most regretful sound he ever heard, reminding him of everything he had suffered or neglected in the past 12 months.

More recently, though, fireworks have usually taken over this role in providing a fanfare for the coming year all over the world, from Times Square to the beaches of Rio, to hamlets deep in the English countryside.

This shift from peals of bells to spectacular explosions is suggestive. We live now in a world that is turning its back on the old traditions and the old skills and replacing them with something far bigger and much louder, far more brash and much more expensive; a reminder too of technology and military might.

My new book, "The Seasons," investigates how we are becoming cut off from the rhythm of the natural world and the ways in which the annual cycle has been celebrated for centuries. In the past, the customs and rituals that marked the passing of the year linked society and culture to the environment, and in doing so reflected their values of community and ecology.

Today, however, we are witnessing the eradication of the seasons with all-year produce and the replacement of local festivities with mass celebrations of a tiny handful of uniform events, turning contemporary society into an identikit culture with a standardized marketplace.

My answer is not only that we should revive forgotten customs, but that we can also establish new traditions that properly reflect today's values and ambitions.

In fact, the celebration of the new year is an excellent example of how quickly major festivals can be established. Just as many old English festivals have their roots in the classical Mediterranean culture of ancient Greece and Rome, so much of the English-speaking world still follows customs that originated in northeast Atlantic Britain and Ireland 200 or 300 years ago, adapting these traditions to their own climate and culture.

The practice of kissing and singing to welcome in the new year was noted in England by the American novelist Nathaniel Hawthorne in 1856, but there are in fact very few English traditions for New Year's Eve and Day -- not least because until 1752 the new year in England was celebrated March 25.

But in Scotland the practice was to begin the New Year on January 1 with "Hogmanay," which the Scots celebrate with new year customs such as "first-footing." New year celebrations in the English-speaking world are consequently cosmopolitan affairs, mixing Scottish festivities with other European traditions.

Setting the tone

The month of "January," deriving from the Latin "janua" meaning "door," is a transitional time between the old and new, the past and the future. For centuries, January was a key time for setting one's house in order and making plans for the forthcoming year.

Eat a hen in January, for instance, if you wish to live through the year; observe the weather on January 12, to get a taste of the weather for the next 12 months; and note that activities undertaken on January 1 set the tone of work for the rest of the year -- an early version of new year resolutions.

Settle down to some seasonal fare, from nutmeg cakes with currant eyes known as "Pop Ladies" to the wassail cup, a spiced drink shared among family and friends. And there's no need to take Christmas decorations down on the Twelfth Day (January 6) -- that became common practice in the nineteenth century to get everyone back to work.

Before then, it was felt that during the bleakest months of the year in the northern hemisphere there was good reason to keep one's house decorated. So the holly and the ivy, bay leaves, and mistletoe, stayed up until Candlemas on February 2, a tradition that has survived in parts of Canada.

Easter the joker in the pack

The new year also presents a more profound opportunity to reclaim our individuality and our humanity. As we look forward to the coming year, we cannot but be reminded that the calendar of every year is different: days and dates shift (will you have a weekend birthday this year?), leap days and leap years can disrupt the best-laid plans, and Easter is ever the amiable joker-in-the-pack.

The hair-raisingly complicated calculation of Easter, based on both the spring solstice and the lunar cycle, is currently computed by Catholic astronomers using a 14-step algorithm. Even so, minor variations in the Earth's orbit mean that Easter cannot be predicted with absolute accuracy.

It is a humbling reminder of the limits of human control -- and also wonderfully appropriate that such unpredictability can still structure everything from university terms to television schedules, let alone family customs in making and hiding Easter eggs.

Quirky and changeable the year may be, but then so are we -- let's celebrate that.

"The Seasons: An Elegy for the Passing of the Year," by Nick Groom is published by Atlantic Books

The opinions expressed in this commentary are solely those of Nick Groom.

@highlight

The shift from bells to fireworks to bring in the new year is suggestive, says Nick Groom

@highlight

The world is replacing old traditions with something far louder and brasher, he says

@highlight

Old customs should be revived, new ones established to reflect current values, Groom says

@highlight

He argues January provides an opportunity to reclaim our individuality and our humanity