(CNN) -- Back when I was a kid, they were called "whistle-blowers": employees of corrupt companies or government agencies, who went to the press with shocking stories of criminality or abuse.

Daniel Ellsberg risked his life to leak the Pentagon Papers, which destroyed public support for the Vietnam War. Plutonium pellet maker Karen Silkwood was exposing malfeasance at the Kerr-McGee plutonium plant when she was killed in an auto wreck. Jeffrey Wigand exposed Brown & Williamson's practice of intentionally manipulating the effect of nicotine in cigarettes, forcing Big Tobacco finally to admit the addictiveness of their product.

Since the 1960s, dozens of brave, disillusioned Americans such as them have turned against employers who were breaking the law or otherwise harming humanity in some real way. They did so at the expense of their careers and sometimes even their lives.

Somehow, the recent spate of similarly public defections of employees from the corporations they work for just doesn't feel like quite the same thing. Sure, it's pretty easy for most of us to agree with Greg Smith, the Goldman Sachs derivatives dealer who quit publicly via a New York Times OpEd  because "the environment now is as toxic and destructive as I have ever seen it."

Still, he's not complaining that Goldman Sachs is destroying the environment -- as in the air or the water -- through pollution. He's complaining about the corporate environment, the conversation in the corridors and the way the firm is choosing to make money. Instead of helping its clients make money, Smith says, the firm is now -- legally but unscrupulously -- putting its own needs first and fleecing its clients for whatever it can get. He is upset about the collapse of the corporate culture, its ability to create value for clients and the sustainability of the enterprise.

Likewise, computer engineer James Whittaker, who left Microsoft in 2009 to work at Google, returned to Microsoft last month and fired off an angry public blog post about how Google is losing itself in a "whirlwind of desperation." He says that when he first went to Google, it was "a technology company that empowered its employees to innovate." Now, he complains, thanks to its obsession with promoting its Facebook-like Google+ service, "The Google I left was an advertising company with a single corporate-mandated focus."

These gentlemen are garnering the same sorts of astonished headlines and outcry from their former employers and colleagues as did earlier generations of whistle-blowers. And while it may seem like they are turning against their companies, the real difference here is that they see themselves as speaking for their companies. These are not conflicts over corporate malfeasance, but over business plans!

Smith believes it is not just more ethical, but better business for Goldman to think about serving its clients. He thinks it is a better long-term strategy for Goldman to help its clients make smart investments, rather than convincing them to make bad investments -- and then bet against those very same clients.

Whittaker believes Google, the corporation, is turning its back on its greatest assets by focusing on advertising revenues instead of technological innovation. "The trappings of entrepreneurship were dismantled," he explained, "trappings" being a good thing in this context. In short, this is not the way he thinks the corporation can succeed.

Unlike whistle-blowers of the 20th century, this new breed of turncoats reveals just how far from questioning the corporate reality we have come. They become dissidents not by challenging corporate power, but by challenging their own corporation's methodology -- as if they would have been better CEOs themselves. In both cases, they accept the underlying corporate structures and the greater economic operating system in which they function as given circumstances.

What they cannot see from their vantage point is that these companies are behaving in a manner totally consonant with their corporate agendas. The minute Google went public, its only priority was to serve its shareholders. Google is an advertising company. That's how it makes its revenue. Any technological innovations that don't serve this purpose -- and do so quickly -- will be questioned by shareholders and board members looking for big short-term gains.

Likewise, Goldman is in the moneymaking business. They always have been. They are operating on a fiscal landscape where innovation is no longer valued, and where it's easier to make money the old-fashioned way (exploiting people dumber than you are). Occupy Wall Street kids figured this out months ago, and a few million mortgage-holders and retirees figured it out a few years ago: When you have to keep growing at the rate of interest to stay alive, you are going to start making stupid short-term decisions.

In short, the kinds of sustainable, value-creating businesses these corporate escapees are calling for just can't happen within a corporate model based on borrowing, leverage and expansion. It's too little and too late for a few corporate whistle-blowers to tell us how the companies they work for are technically incompetent, distracted by revenues or losing the values that once made them great.

It's time to blow the whistle on the whole thing.

The opinions expressed in this commentary are solely those of Douglas Rushkoff.

@highlight

Douglas Rushkoff says whistle-blowers used to point out company misbehavior

@highlight

But he says recent company trashings by ex-employees were aimed at business plans

@highlight

He says Goldman Sachs, Google -- both criticized recently -- are doing what they exist to do

@highlight

Rushkoff: What the two ex-workers want can't happen in the companies' business model