LONDON, England (CNN) -- If there was a most wanted list for climate change culprits, coal-fired power stations would be number one.

Protesters camping near the site of a proposed coal-fired power station in Kingsnorth, England.

Burning coal contributes half of the excess carbon dioxide (CO2) polluting the earth's atmosphere, a statistic not lost on the hundreds of climate change protesters camping in a grassy field near Kingsnorth power station in Kent, England this week.

Power company E.ON is planning to build a new coal-fired power plant on the site, subject to approval by the British government later this year.

It's one of four power stations on a UK government shortlist to trial the country's first commercial-scale carbon capture and storage (CCS) technology.

The International Energy Agency estimates CCS could reduce carbon dioxide emissions from power plants by more than 85 percent.

Protesters at the Climate Camp concede that if CCS technology was available now and could be fitted to the proposed power station then "maybe we'd look at it."

So what is CCS?

Carbon Capture and Storage refers to the process of stripping carbon dioxide from fossil fuels before or after they're burnt to produce energy.

The carbon dioxide is then piped back into the earth to a depth of at least 800 meters -- deep enough for the pressure of the earth to keep it in a liquidized form where it stays for thousands, if not millions, of years.

Where is it stored?

Depleted oil and gas reservoirs are currently the most practical place to store large volumes of carbon emissions. More research would have to be done on other alternatives including deep saline aquifers and deep coal seams.

Stuart Haszeldine, Professor of Geology at the University of Edinburgh says there's no shortage of potential storage sites.

"You need the pairing of a porous reservoir overlayed and sealed by a lid of impermeable mudstone or salt rock, which is even better. That's actually very common worldwide."

Why isn't it being done?

Well, it is being done, but only a small scale. Trials are underway in a number of countries including Norway, Algeria and Australia. Last week, Australia's national science agency, the CSIRO, announced plans to test China's first post-combustion capture (PCC) technology at a pilot plant in Beijing.

The problem is that while the different processes needed to capture and store carbon dioxide have been around for years, no one has brought them together on a large enough scale to cope with the volume of emissions from a typical power plant.

And then there's the cost...

Professor Haszeldine estimates that if a new power plant costs $1.5 billion to build, it'll cost an extra $700,000 to fit the capture equipment on the first experimental plants.

In theory, the extra cost could be added to consumers' electricity bills but in a competitive power market how many customers would be willing to pay an environmental premium for their electricity and gas? Would you pay more for 'greener' power? Sound off below

"It's a very immature economic market," says Ian Phillips, director of infrastructure at CO2DeepStore, a UK-based company dedicated to the commercialization of carbon storage.

"The people who might do the industrial scale-up -- the power stations -- have no economic incentive," he says.

Show me the money

Aside from government subsidies and investment by companies and private parties, an obvious way to fund the change is through cap and trading schemes. Europe's Emissions Trading Scheme is the world's largest for greenhouse gas.

It works like this: Energy companies are given strict limits as to how much carbon dioxide they can emit each year. If they exceed the limit or cap, they have to buy more.

In 2014, the system is set to change. Energy companies will have to buy all their emissions permits, so from then on any company that stores some or all of its CO2 won't have to pay.

If only it was that simple...

"The problem is that the price of maybe €35 ($54) or €40 ($62) per ton of carbon dioxide will not be enough to fund the gap in the extra estimated cost of these new power plants," explains Professor Haszeldine.

"There has to be a role of member state governments to bridge that gap. In principle that's possible because the government will receive the income from dirty power plants who will have to buy their emissions. What they need to do is take some of that income and give a grant or subsidy to those first experimental power plants."

The theory is that as CCS techniques become more efficient, the cost of capturing carbon will come down so that from around 2020 it will become cheaper for companies to store carbon than to emit it.

Is it really the way to go?

Environmentalists are wary. Friends of the Earth says it's happy for CCS technology to be tested as long as it doesn't divert attention and funds away from developing renewable energy.

"We are all accepting that a demonstration of CCS is reasonable -- you keep your options open in a situation of urgent global need," says Neil Crumpton, adding, "CCS in our view would be mainly a stop gap or a transition technology while we build solar technologies."

So it is dangerous?

In a word, no. Geologists are confident the C02 won't escape from sites approved for storage. Most of the underground vaults would be out at sea anyway.

In some instances, the CO2 could be stored under residential areas, but strict licensing procedures and the need for constant, rigorous testing should allay fears.

"One could argue that in an emergency situation even if you keep most of the CO2 down for one to two hundred years, you've got yourself out of the danger zone, even if it does begin to leak," says Neil Crumpton.

Professor Haszeldine says the environmental cost of not doing it could be catastrophic.

"The risk of not doing it is that the world continues to put carbon dioxide into the atmosphere from burning fossil fuels whether it's coal or gas or oil. The consequences of not doing it are absolutely catastrophic to ocean ecosystems and to the climate system of the world as we know it."

Have your say. Is CCS the way to go? Send us your comments by clicking the "Sound Off" button below.

@highlight

CCS technology being tested in small-scale projects around the world

@highlight

Carbon dioxide removed from fossil fuels and piped back underground

@highlight

Depleted oil and gas fields seen as best place to store captured CO2

@highlight

Change could be partially funded by emissions trading schemes (ETS)