GARDINER, Montana (CNN)  -- More than half of Yellowstone National Park's bison herd has died since last fall, forcing the government to suspend its annual slaughter program.

Between harsh weather, hunting and an annual cull, fully half of Yellowstone National Park's bison have died.

More than 700 of the iconic animals starved or otherwise died on the mountainsides during an unusually harsh winter, and more than 1,600 were shot by hunters or sent to slaughterhouses in a disease-control effort, according to National Park Service figures.

As a result, the park estimates its bison herd has dropped from 4,700 in November to about 2,300 today, prompting the government to halt the culling program early.

"There has never been a slaughter like this of the bison since the 1800s in this country, and it's disgusting," said Mike Mease of the Buffalo Field Campaign, a group seeking to stop the slaughter program for good.

Government officials say the slaughter prevents the spread of the disease brucellosis from the Yellowstone bison to cattle on land near the park. Brucellosis can cause miscarriages, infertility and reduced milk production in domestic cattle.  Watch Yellowstone bison search for pasture »

The U.S. Department of Agriculture estimates that half of Yellowstone's bison herd is infected with the bacterium.

Previously, under the Interagency Bison Management Plan, wandering bison were sent to slaughter without being tested for brucellosis. (The meat -- which experts say is safe to eat if cooked -- and hides were distributed to Native American groups.)

Late this winter the slaughter was limited to animals that tested positive for the disease.

Now the program has been further curtailed; no bison have been killed in the past week.

"The plan requires all of us to do two things: protect a viable wild bison population and reduce the risk of transmission of brucellosis from bison to cattle. We're required to keep bison and cattle separate," National Park Service spokesman Al Nash said.

The USDA acknowledges that bison-to-cattle transmission is difficult to document, but it says investigations indicate that bison were the likely source of infections in cattle herds in Wyoming and North Dakota.

But critics call the culling an overreaction. There is no documented case of the disease passing from bison to cattle, they said.

"I mean, it's hype, it's a hysteria," Mease said. "And it's not a fatal disease."

Last month, two women chained themselves to a railing inside the park's visitor center to protest the policy.

"The Park Service is meant to protect and preserve wildlife in national parks, not indiscriminately slaughter hundreds of [bison]," one of the protesters, 20-year-old Miriam Wasser, wrote in a leaflet she distributed.

Yellowstone is the only place in the lower 48 states where a bison population has persisted since prehistoric times, according to the Park Service.

Herds once numbered in the tens of millions across the continent but were hunted nearly to extinction by the late 1800s. Protected since the early 20th century, the species has recovered.

Bison graze high on Yellowstone's grassy plateaus during the summer. When the weather becomes too harsh and food becomes scarce, they often roam outside the park. That's the problem.

Nash explained the situation in its simplest terms:

"Bison are bison. Bison are nomadic animals. Bison are looking for food. Food is difficult and scarce to come by at the end of the winter. They're leaving the interior of the park [and going] to lower places, in part, to look for food. There's limited tolerance for bison outside the boundaries of Yellowstone National Park."

That's because just two cases of brucellosis would trigger stringent limits on export of cattle from Montana.

"Montana has spent millions of dollars over the years to get brucellosis eradicated from our livestock," said Martin Davis, who has a cattle ranch within roaming distance north of the park. "And to put that in jeopardy -- no one wants that to happen."

Control of the bison population is essential, Davis said.

"Bottom line is, there's too many of them. They've got to be managed. They ran out of pasture. ... They're eating themselves out of house and home."

Under the management plan, rangers and cowboys hired by various government agencies try to harass stray animals back onto park property. Officials shoot animals that can't be persuaded. (Ranchers are not permitted to kill wild bison).

Meanwhile, hundreds of bison are rounded up inside the park every winter and slaughtered to reduce competition for food and therefore the need for animals to wander onto private land.

"It becomes a private property issue," said Davis, who has never had a bison encroach on his ranch. "They walked down onto private property. And if you don't want a buffalo on your private property, you shouldn't have to have them there."

Mease, the activist, portrays the conflict as a simple turf war.

"The Montana cattle ranchers don't want the competition for grass," he said. "They want the national forests and public lands to be all their public-lands grazing allotments, and in that process, they don't want bison."

Federal and state officials said last week they will lease private land bordering the park where up to 100 bison eventually will be allowed to graze during the winter. But the problem is not likely to go away.

"The reality of the situation is that whether you have 4,000 bison or whether you have 200 bison, bison are a nomadic species and they will always be looking out to the horizon and expanding their boundaries," said Tim Reid, chief deputy ranger at Yellowstone.

So the culling program is expected to return next winter.

"It is our job to protect the viability of this population," the Park Service's Nash said. "We take that seriously. We are not taking any actions that will have a serious ongoing negative impact on this population.

"The Yellowstone bison population is healthy, it's strong, it's vibrant. We continue to take actions to protect that herd."

But to activists like Mease, it's just not right to kill healthy bison.

"There's less than 5,000 wild, genetically pure buffalo left in America," he said, "and this is how we treat them?" E-mail to a friend

CNN's Dan Simon, Chuck Afflerbach and Saeed Ahmed contributed to this report.

@highlight

Harsh winter, hunting, annual cull cut Yellowstone bison population in half

@highlight

Annual winter slaughter halted because of large losses

@highlight

Program intended to contain bison to park, protect cattle from disease

@highlight

Advocates say ranchers exaggerate bison's threat to livestock