(CNN) -- If Black Friday lines and stories of violence, vehicular assault and child abandonment taught us anything, it's that the holiday shopping season is a dark, competitive time.

Now search engines are getting into the cutthroat holiday spirit. In a new attack on Google, Microsoft's Bing search engine accuses its rival's Google Shopping tool of being dishonest by only including paying vendors, ranking listings by how much they pay, and not clearly marking the results as sponsored.

To make its point, Bing has launched a detailed site accusing Google Search of unsavory business practices and coined a new word: Scroogled.

"In the beginning, Google preached, 'Don't be evil' -- but that changed on May 31, 2012. That's when Google Shopping announced a new initiative. Simply put, all of their shopping results are now paid ads," reads the campaign's mission statement. It goes on to say "when you limit choices and rank them by payment, consumers get Scroogled."

The accusations are based on real changes. To appear in Google Shopping results, merchants must now pay for Google's Product Listing Ads. The company publicly announced the switch from free listings to a paid-inclusion system in May, and the transition was completed on October 17 in the United States. The new Google Shopping will roll out in more countries starting in February.

"The primary point is, we think they should stop the practice of pay to rank, or at least make it very clear what's going on," said Stefan Weitz, senior director at Bing.

Bing's own search results also include results from companies that have paid to be listed. Weitz says the majority of its listings are from vendors that signed up for free, but it also includes products from third-party aggregators like the eBay-owned Shopping.com. Bing has actually shut down its free sign-up for the holiday season, and any new vendors interested in being listed are directed to Shopping.com, where they will have to pay to be included in search results.

Bing does not visually differentiate between the free and paid listings, so shoppers don't know if a vendor paid to be listed. But the search engine also doesn't use any of that information to determine its rankings.

By default, both sites sort shopping search results by their own custom "relevancy" algorithms. Google's now weighs relevancy by how much a vendor bids, though it also takes into account quality and how relevant the results are to the search terms. To get past this biased listing, searchers can choose to sort by price.

"If you actually were looking at pure price, they would be more comparable," said Weitz.

The disclosures that all Google Shopping results are paid are somewhat hidden. On the main Google Shopping page, a disclaimer that Google is "compensated by some" vendors is buried at the bottom of the page. Search results are formatted to look like a typical Google results page, and you must click on a link that says "Why these products?" to see a similar disclaimer. (Bing's big Scroogled marketing push might actually address this problem for Google. Now, everyone will know they're paid.)

By working closely with vendors instead of scraping public product feeds, Google is attempting to tap into more current data, with up-to-date inventory and price information. As a result, the quality of the individual product search results should improve.

The trade-off is that it is missing some major retailers that do not want to pay to play, most notably Google's actual biggest competitor when it comes to online shopping, Amazon.

Bing Shopping still includes Amazon results, but Amazon has positioned itself as an entry point for online shoppers in direct competition with Google and Bing. A Forrester report released in July found that 30% of online shoppers start researching products on Amazon, while only 13% started on Google.

The Scroogled page claims the exclusion of free listings could result in "not getting the best price when you thought you were," but cursory test searches of major tech products found prices were comparable on both sites. A camera might have a lower price on one, and a tablet come in a few bucks cheaper on the other.

Google Shopping claims a larger volume of product choices than Bing's product tool. Google Shopping currently has around 100,000 vendors and over a billion products in its listings. Bing has 15,000 vendors and "hundreds of millions" of products.

The Scroogled.com page is just one part of a spirited national campaign that will include digital, print and TV ads that attempt to vilify the first-place search engine.

"This was meant to be a fairly lighthearted holiday campaign," explained Weitz. He clarified that Scroggled is a reference to Ebenezer Scrooge, not the similar sounding naughty verb.

Seasonal hijinks aside, Weitz said he has real concerns that this could be the start of a trend at Google, spreading to other Google services such as news.

Google is not addressing the Scroogled attack directly, but did release a statement touting the benefits of its Shopping service, saying, "With new 360-degree, interactive product images, social shopping lists and a fast growing inventory of more than a billion products worldwide, Google is a great resource for shoppers to find what they need."

Luckily, with access to browsers that support multiple tabs and basic math skills, shoppers can easily comparison shop their comparison shopping tools.

@highlight

Google Shopping is the target of a nationwide attack ad from Microsoft's Bing search engine

@highlight

Google now only includes paying vendors in its search results

@highlight

Bing also includes paid vendors from third-party sites, but ranks paid and free listings equally

@highlight

Amazon, the biggest online shopping portal, no longer lists products on Google