(CNN) -- Facebook and Microsoft disclosed that they received thousands of requests for user data from government agencies in the United States in the last half of 2012.

Facebook said it got between 9,000 and 10,000 requests targeting between 18,000 and 19,000 accounts during that period.

"These requests run the gamut -- from things like a local sheriff trying to find a missing child, to a federal marshal tracking a fugitive, to a police department investigating an assault, to a national security official investigating a terrorist threat," Ted Ullyot, Facebook's general counsel, said in a post Friday night

"With more than 1.1 billion monthly active users worldwide, this means that a tiny fraction of 1% of our user accounts were the subject of any kind of U.S. state, local, or federal U.S. government requests."

The disclosure comes amid a firestorm over revelations that both were among companies that turned over user data to the National Security Agency's web surveillance program.

The U.S. government has a sweeping system for monitoring emails, photos, search histories and other data from major American Internet companies, including Facebook, Microsoft, Google and Skype.

"The Department of Justice reached agreements with certain providers that will allow the publication of additional data pertaining to U.S. government requests for user data in compliance with legal process," a Justice Department spokesperson told CNN Saturday. "Under these agreements, the providers plan to begin publishing aggregate totals of criminal and national security requests received from federal, state, and local governments over a six-month period."

More transparency

Both companies got government permission to publish the reports as long as they were grouped with all others requests, including from state and local agencies. The grouping of the data made it hard to single out those made for national security reasons.

Google publishes a transparency report using requests from governments worldwide. It said grouping information is a "step back" for users.

"We have always believed that it's important to differentiate between different types of government requests," Google said in a statement. "... Our request to the government is clear: to be able to publish aggregate numbers of national security requests, including FISA disclosures, separately."

Facebook said it has been in talks with U.S. officials to seek greater transparency on national security-related orders.

In an effort to combat criticism, Microsoft also disclosed information on its data requests Friday night.

"For the six months ended December 31, 2012, Microsoft received between 6,000 and 7,000 criminal and national security warrants, subpoenas and orders affecting between 31,000 and 32,000 consumer accounts from U.S. governmental entities (including local, state and federal)," said John Frank, Microsoft's vice president.

The Snowden index: Opinions about the NSA leaker

Both companies said the information they were allowed to publish falls short of what users need to better understand the issues.

"We are permitted to publish data on national security orders received, but only if aggregated with law enforcement requests from all other U.S. local, state and federal law enforcement agencies," Frank said.

The Justice Department spokesperson said, "These aggregate totals include all instances in which a government entity has served lawful process on the providers - be it a grand jury subpoena or search warrant in a criminal matter, a national security letter, a court order under FISA, or another type of request pursuant to statutory authorization.

"The publication of these numbers will show that an extraordinarily small number of accounts are subject to legal process. These agreements reflect our continued commitment to working with providers to afford greater transparency to the public while preserving confidentiality required for law enforcement or national security reasons."

Obama administration officials have pushed back against criticism on the domestic surveillance in the aftermath of the classified leaks last week that disclosed details of covert surveillance programs.

Edward Snowden, 29, has admitted leaking the classified documents about the covert programs.

Top-secret program

The top-secret program is legal, conducted properly and could have helped detect a 9/11 hijacker had it been in place before the 2001 terrorist attacks, FBI Director Robert Mueller said Thursday.

Civil liberties groups and legislators are among critics condemning the program as government overreach beyond the intention and limits of the Patriot Act originally passed in the aftermath of the 2001 attacks.

"It's my fear that we are on the verge of becoming a surveillance state, collecting billions of electronic records on law-abiding Americans every single day," said Rep. John Conyers of Michigan, the ranking Democrat on the judiciary panel.

Conyers said he is co-sponsoring legislation that would address "the overbreadth and impenetrability of the surveillance programs."

Wrong public perception?

But legislators of both parties joined Mueller in defending the programs.

"This program does not target innocent Americans in any way, shape or form," said House Speaker John Boehner, an Ohio Republican. "These programs have helped keep America safe. They have enhanced our ability to go after terrorists who want to bring harm to the American people."

Democratic Sen. Bill Nelson of Florida said public perception of the government data mining was wrong.

One of the programs, under Section 215 of the Patriot Act, collects billions of phone records to create a database for use in tracking suspected terrorists. Another under Section 702 of the Patriot Act deals with computer activity and other information of foreigners.

CNN's Caleb Silver, Joe Sutton and Jessica Yellin contributed to this report.

@highlight

NEW: "Extraordinarily small number" of accounts subject to legal process

@highlight

Google says grouping information is a "step back" for users

@highlight

The disclosure comes amid a firestorm against companies for releasing user data to the U.S.

@highlight

Obama administration officials have pushed back against criticism