(CNN) -- The International Committee of the Red Cross has been granted access to a detention facility in Syria for the first time since unrest broke out in the country, the committee's president said Monday after meeting with Syrian President Bashar al-Assad.

ICRC President Jakob Kellenberger called the breakthrough "an important step forward for our humanitarian activities in Syria."

Kellenberger's meeting with al-Assad occurred amid mounting reports of bloodshed by Syrian security forces.

On Monday, security forces killed six people during an ongoing crackdown in the province of Homs, according to the Syrian Observatory for Human Rights, an opposition group. The group also reported a similar offensive in Idlib province, where security forces entered with seven armored vehicles, nine cars and four buses. Seventy people were arrested in the operation, and dozens of homes were raided, the opposition group said.

Syria has been engulfed in public protest for months, and the regime has been accused internationally of a crackdown on peaceful demonstrators.

The government has maintained it is targeting armed terrorists. But opposition activists say it is a systematic, sustained slaughter.

"Ensuring that the sick and the wounded have access to medical care will be among the particularly urgent humanitarian challenges to be addressed with the Syrian authorities," the Red Cross said in a statement.

The committee will initially be allowed to see only people detained by the Ministry of Interior, Kellenberger said, adding, "We are hopeful that we will soon be able to visit all detainees."

Also Monday, the Arab League announced that its secretary general, Nabil al-Araby, will travel to Damascus on Wednesday.

The Arab League last week publicly called for restraint and an end to the violence in Syria.

Kellenberger's two-day visit kicked off Sunday with meetings with Prime Minister Adel Safar and Foreign Minister Walid Muallem.

The Syrian government said it briefed Kellenberger on the regime's efforts to "restore stability and security to the country."

Reports have surfaced of people not being able to access medical care during security operations.

The foreign minister "stressed that the public hospitals in Syria are constantly ready and provide the required medical services for all the citizens," the state-run Syrian Arab News Agency reported Monday.

The news agency added that Muallem "appreciated the humanitarian activities of the Syrian Arab Red Crescent Organization which has played an effective role in providing the humanitarian needs of the citizens during the current crisis."

Also Monday, Kellenberger discussed with al-Assad "the rules governing the use of force by security forces ... and the obligation to respect the physical and psychological well-being and human dignity of detainees," according to the ICRC.

On Sunday, the Syrian Observatory for Human Rights said four people were killed in Idlib province and three others were killed in the village of Tahtaiya by security forces pursuing wanted activists.

The opposition group also said a resident from Suraqib who was detained for 20 days died in detention after being tortured. It also claimed that at least 15 people were wounded in the city of Homs due to heavy gunfire by security forces.

Another opposition activist group, the Local Coordination Committees of Syria, said eight were killed in Idlib, four in Hama province, and one each in the provinces of Homs and Damascus.

Meanwhile, the Syrian news agency reported that six troops and three civilians were killed near the city of Muhardeh in Hama province. The agency said a "terrorist group" ambushed a bus carrying troops and civilians, killing nine and injuring 17.

A security patrol pursued the attackers and killed three of them, wounding a fourth and seizing explosives, guns and medical supplies from their stolen pickup, the news agency said.

CNN cannot independently confirm either the opposition or government claims.

Syria has made it difficult for foreign journalists to work in the country since the unrest started, restricting their entry. Officials do not usually comment on opposition allegations concerning the killing or wounding of protesters.

The United Nations has reported more than 2,200 people killed in Syria since February, including more than 350 people since security forces stepped up operations against demonstrators during the Muslim holy month of Ramadan.

When Kellenberger visited Syrian officials in June, he reached an understanding that would give the ICRC and the Syrian Arab Red Crescent "enhanced access to areas of unrest, and negotiations would take place concerning ICRC visits to detainees."

He aims to "review progress made in both these areas," the ICRC said, including "an opportunity to discuss the impending start of ICRC visits to persons detained by the Ministry of the Interior."

The agency "visits detainees in order to assess the conditions in which they are being held and the treatment they receive," it said.

This week's visit comes on the heels of an Amnesty International report detailing the deaths of at least 88 people in detention and describing widespread abuse of prisoners.

CNN's Yousuf Basil, Mohamed Fadel Fahmy and Ivan Watson contributed to this report.

@highlight

NEW: Arab League secretary general will travel to Damascus

@highlight

Red Cross president concludes meeting with Syrian President Bashar al-Assad

@highlight

The ICRC will be given access to government-held detainees, group's head says

@highlight

The organization is also trying to ensure the sick and wounded have access to medical care