(CNN) -- Gary Johnson says there are three keys to his campaign being successful: he needs you to know who he is, he needs to be on the ballot in as many states as possible and he needs other libertarians to support him.

And for the next two months, Johnson, the Libertarian party candidate for president and acknowledged underdog, will be zig-zagging across the country to make those admittedly unique goals a reality.

That is the thrust of his argument: Once you get to know me, I swear you'll like me.

Johnson has fashioned himself the "clear alternative" to Republican candidate Mitt Romney and President Barack Obama in November's presidential election.

The most recent CNN/ORC International poll shows that 3% of likely voters and 4% of registered voters say they'd vote for Johnson. But the fact he is even included in a poll is enough to get Johnson excited.

"It is one thing if it gets reported that I am at 4% nationally," said Johnson, the former governor of New Mexico, "but I don't think I go down when people take a look at who I am and what I have done, I think it actually goes up."

And in some ways, he has proof to back that up.

Johnson first ran for governor of New Mexico -- a state with a majority of Democratic voters -- in 1994 as a Republican. He won in the Republican primary, defeating three other Republicans, and then defeated an incumbent Democratic governor by 10 points. After four years in office, Johnson ran again and won in 1998.

Johnson's popularity remained consistently high through his time as governor, leading one paper to remark that he was "arguably the most popular governor of the decade."

CNN Poll: Could Gary Johnson be spoiler?

But he has his work cut out for him. The most notable third party presidential contenders are from the 1800s -- John Tyler, Andrew Johnson -- and even they were largely independents because their original parties disowned them.

The last third-party presidential candidate to make a significant run at the White House was Ross Perot in 1992. He ultimately carried no states and earned 19,743,821 votes. In 2000, Green Party candidate Ralph Nader was labeled as a "spoiler" after getting nearly 100,000 votes in Florida. He was seen by some as siphoning votes away from Democratic candidate Al Gore, who ultimately lost to George W. Bush in the closest election in modern U.S. history.

And Johnson, who first announced his candidacy as a Republican, only switched to Libertarian when his campaign failed to gain much traction during the primaries. He has huge burdens when it comes to fund-raising -- he had only $14,265 in cash on hand at the start of August -- and in organization, with a passionate but small collection of staff and volunteers in a handful of states.

And then there's name recognition: Gary who?

Still, Johnson believes he can defy the odds and make the unlikely climb.

"I just need to catch a wave by the middle of October and awareness for me is a plus," Johnson told CNN. "I do think that I have a resume to back up everything that I am talking about."

Johnson says he is more liberal than Obama on social issues and more conservative than Romney on fiscal issues. He says same-sex marriage is a constitutional issue and should be legal, he supports legalizing marijuana usage and he says he would abolish the Internal Revenue Service.

The third-party candidate is optimistic and is devoting large sums of his own money to make this campaign possible -- much of which came from Big J Enterprises, his mechanical contracting business in New Mexico.

But what Johnson's here-is-what-we-have-to-do optimism fails to clearly show is the daunting challenge in front of him.

Johnson's ballot access gospel

Johnson is proud that he is likely going to be on the ballot in 47 states, even if that status is being challenged in three states -- Oklahoma, Michigan and Pennsylvania.

Before being asked, Johnson brings the ballot access issue up to differentiate himself from other third-party candidates, like the Green Party's Jill Stein.

"No other third party is going to come close to this 50 ballot access," Johnson says proudly. "I am a clear alternative to the other two and I want to point out that we are going to be on the ballot in all 50 states."

Johnson sees the struggles to get on the ballots as a badge of honor. "We should take it as a compliment," he said, that the party establishment doesn't want him on the ballot.

Compliment or not -- even if you are on the ballot, people have to know who you are.

Hi, my name is Gary Johnson

Fighting for ballot access and libertarian support are all for naught, however, unless Johnson is able to introduce himself to the American people, his campaign admits.

At the heart of this introduction are the three prime-time presidential debates.

"The only way I am (going to be) president of the United States is if I am in the national debate between Obama and Romney," Johnson said. "If that takes place, then anything is possible."

The last time a third-party candidate was included in the presidential debates was 1992, when Perot, an independent businessman, was running for president. And due to the fact that the three presidential debates have been announced without Johnson's inclusion, the candidate admits it isn't likely he will be included.

"It is absolutely an uphill battle," Johnson said, "but that is the only scenario by which I could actually win."

But Johnson isn't putting all his stock in being included in the debates. He is taking his message on the road, hitting 16 college towns around the country in the next few weeks.

In the statement announcing the trip, Johnson touches upon the importance of the youth vote -- and in particular, the way young voters were inspired by another libertarian, Rep. Ron Paul.

A Libertarian courting Libertarians

It is unusual that the Libertarian candidate for president is being forced to court other libertarians, but that's exactly what Johnson has to do with the unflinchingly loyal base of libertarians who support former Republican hopeful Ron Paul. According to Johnson, the Paul supporters are "absolutely pivotal" to his success.

Johnson acts surprised that he has to do this, too. "Where does his support go?" the former governor asks. "To Mitt Romney? To Barack Obama? Or to me?"

Libertarians are a unique set of voters. While they agree on some things -- individual freedoms, the right to do what you want without government coercion and a generally liberal social policy -- they also share a fierce independent streak. That independence, which largely stems from the desire to make their own decisions, makes the libertarian movement less of a cohesive group and more of a set of factions exchanging ideas.

When making his pitch to Paul supporters, Johnson lists a litany of positions on which he and the former candidate agree. "I don't want to bomb Iran, I want to bring the troops home, I want to end the drug war," Johnson says quickly. "I want to end the Patriot Act, I want to balance the federal budget tomorrow and I want to abolish the IRS."

But many Paul supporters don't see those issues as that black-and-white. Reaction to Johnson's candidacy has been tepid and varied.

"He is ok. He is definitely very close," said Mike Salvi, a Ron Paul grassroots organizer.

"Gary is very much in line with Dr. Paul on many issues," said Jordan Page, a performer who traveled with the Paul campaign. "(It's) the first time we have had a viable third party candidate."

"I am not sure if I will vote for Gary Johnson," said Danny Panzella, another Paul grassroots organizer. "I don't see him as a principle Libertarian."

Johnson endorsed Paul in 2008, when the Texas congressman was running for president, and when Johnson dropped out of the race as a Republican in 2012, he urged his supporters to vote for Paul in the Republican primaries.

So far though, Paul has yet to give Johnson much support in 2012.

"We don't have contact with the Ron Paul campaign," Johnson said bluntly. "I am not asking for his endorsement and I don't expect his endorsement."

The tension between Paul and Johnson is evidence of a larger split among libertarians. Paul commanded such a loyal following, that with his political career dwindling, there is power vacuum in the movement right now. With Johnson as the party's candidate, he is trying to position himself as the group's heir apparent.

"I am the Libertarian nominee for president," Johnson said. "I am now the spokesperson for the movement."

@highlight

Johnson switched to the Libertarian Party when his campaign stalled in the primaries

@highlight

The former New Mexico governor may be on the ballot in as many as 47 states

@highlight

Still, name recognition is one of his biggest hurdles as a third-party candidate