(CNN) -- Sid Meier is the director of creative development at Firaxis Games. But to millions, he's better known as the "Father of Computer Gaming."

Now, the designer of "Civilization" is ready to take over a completely new world -- social gaming on the pages of Facebook.

"Civilization" is one of the most popular computer strategy games of all time, and has spawned several versions and updates over the past 20 years. The game allows players to build and develop their own cities, countries and civilizations across the expanse of time.

It has sold millions of copies and drawn in fans from around the world who are involved, vocal and loyal. From its beginning in 1991 to its most recent edition, last year's "Civilization V," Meier said it has been a strong, connected community that has kept the game strong.

"Players have continued to respond to the game in spite of how far technology has come, in spite of how the world has changed, in spite of how the demographics of game players have changed," Meier said. "Each game starts out in a brand new world (and is) probably going to go off in a different direction than your last game. You've never really exhausted the possibilities of the game."

While the game primarily has remained a PC game over the years, Meier took his creation to consoles in 2008 with "Civilization Revolution." The game retained many of the PC version's features, but made them available to a new set of fans -- those who enjoy console and mobile gaming.

"We've seen console games getting more strategic, having more depth. It felt like, both in terms of the technology and also where players were, that they would respond to having a strategy type game on their console."

Fans and critics who enjoyed the fast playability and ease of control warmly received the game. Long-time fans bemoaned the simplicity of the console version, but it won 2008's Best Strategy Game award from the British Academy Video Games Awards.

Now, Meier is ready to take to the pages of Facebook with an incarnation of the franchise called "Civilization World." Developers hope to have the game up and running this summer.

"It's been the most dramatic stretch for the game, I'd have to say, so far," he said.

"We really weren't looking to make a quote-unquote 'Facebook game'," he said. "We were looking at what does Facebook bring us that is unique, that we can leverage and take advantage of with 'Civilization'-style game play."

Meier said there were things that a Facebook game can offer Civ players over a traditional PC game. Connections with friends and a world with potentially hundreds of millions of players provided fuel for the development team to re-imagine the classic strategy game.

"What was really intriguing to us was being able to emphasize cooperative game play, which was something that really hadn't been a major part of 'Civilization' up to now," he said. "A lot of our design in 'Civ World' was taking advantage and using these opportunities for players to work together -- teamwork, communication, planning. Those are all the things that become really important to 'Civ World.'"

Meier points out that a typical "Civilization" multiplayer game can easily span 12 or more continuous hours, whereas a Facebook game will take place in stops and starts over days and week.

He said pacing and having to work with other people would be the biggest adjustments for PC "Civilization" players.

Playing at different times in the day, Meier said, "fundamentally changes the mechanics of the game because if you are not there at the same time as other players, there needs to be ways of leaving messages, ways of communicating Things have to happen at a pace where everybody can be included. So that fundamentally changes the pacing and the mechanisms of the game."

Meier said all the game's traditional pieces -- science, economy, military, culture -- will be in "Civilization World."

"You can do those things yourself but you'll be most effective -- science, for example -- if a couple of people are researching the same technology then that technology will be discovered more quickly and you can all use it."

In the Facebook game, a world will consist of 200 people, all vying for supremacy. The goal remains the same as previous "Civilization" games -- to build an empire that will stand the test of time.

"You have your own city to manage and you can do all kinds of stuff (on your own)," Meier said. "However, the most successful players will be those that can also work together with other players."

Unlike other Facebook games (oh, let's say "Farmville"), "Civilization World" will have a beginning and an end. Players who succeed will be rewarded, and then another game can start.

The game will also look different from its PC counterparts.

"We're dealing with Flash. We're dealing with browsers, dealing with kind of a whole different technology than we are with PCs. It is not your standard PC 'Civ' look by any means."

He said designing a Facebook game does give them the ability to update things really quickly because players are essentially downloading the whole game every time they play. He said they will be taking a look at feedback and making adjustments and providing new stuff frequently.

Meier says he's excited about the prospects of social gaming, but thinks its full potential hasn't yet been reached.

"The future is really out there, but I think we are at the very beginning of exploring the possibilities of social gaming," he said. "It is not like I can see the end and know where this is going."

He said that, ultimately, gamers will decide whether social gaming will stand the test of time alongside consoles and PCs.

"It's just one more place to experience games," he said. "Games are really taking over the world."

@highlight

Sid Meier designed "Civilization," one of the most popular computer strategy games ever

@highlight

The game allows players to build and develop their own cities, countries and civilizations

@highlight

Meier is ready to take on the social gaming network