(CNN) -- Things are looking up for entrepreneurs in the Middle East as a new breed of crowdfunding is emerging to help bring life to innovative ideas from the region.

Based on popular U.S. sites like Kickstarter and Indiegogo they aim to connect everyone, from engineers in Egypt to creatives in Lebanon, with a new way of funding.

Zoomaal is one such site that allows someone to post a "project" like an album, a book or an invention, which the public can then pledge money to.

Each project must fit into one of the platform's categories and be accompanied by a video, a biography of the project owner and a series of "gifts" to incentivize potential backers to pledge money.

In line with regional sensitivities, banned projects include anything to do with alcohol, politics, violence, religion and pornography.

Abdallah Absi, 21, is the platform's founder who has been involved with tech start-ups since he was 16.

"There are many projects in the Arab world that don't have the right connections (to) fund them," said Absi. "We are trying to market these projects through strategic partnerships."

Currently entrepreneurs from 22 countries across the Middle East and North Africa can post a project on the site. Projects include an album launch, a documentary and a new take on the toothbrush.

Globally, crowdfunding is seeing explosive growth. In 2012, the market grew 81% to $2.7 billion, according industry researchers Massolution. But in the Middle East the concept is only just catching on.

A lack of financial support and, crucially, mentorship is something that Absi believes is holding back creative projects and nascent start-ups in the region.

For Habib Haddad, CEO of Wamda, and one of four venture capital funders behind Zoomaal, the true potential of Arab crowdfunding is the connections and exposure it provides.

"There is definitely a funding gap, but that's not the biggest gap. Access to early-stage money is actually now increasing in the Middle East.

"This kind of platform for the Middle East is something that will push the ecosystem of innovators forward," he added. "It will help democratise creativity."

Absi believes the key to making this happen is education and outreach because some "creative communities are not very tech savvy ... and they don't know about the opportunity they can have from crowdfunding."

Another crowdfunding platform to emerge in the region is Cairo-based Yomken.

A non-profit social enterprise, it aims to link up low-tech manufacturers -- who, in Egypt, are often slum-dwellers -- with artists, scientists, engineers and product designers who can help them innovate in their businesses.

Once a prototype of a new product has been made, it can be posted on the site, allowing customers to pre-order.

Adel El-Dib, 49, is a potter Yomken has helped.

Seven years ago, El-Dib who crafts everything from pots and bowls to decorative earthenware, moved to using cheaper fiberglass instead of clay to make food and water coolers. Studies have shown that inhaling fiberglass can cause lung problems, according to the American Lung Association.

Yomken connected El-Dib with an artist and a physicist to design an eco-friendly clay cooler for food and drinks.

The new design, based on an ancient water cooler known as a "qolah" made with an innovative clay mix, can cool water in 12 hours in summer and two in winter. El-Dib has sold his new product on Yomken.

"I always worked on clay since (I was) 12 years old, but lately given the drop in demand, I shifted to fiberglass.

"The designers brought by Yomken have shown me new designs and I was convinced to try (them). Hopefully, they will bring back the clay industry to the market," he said.

The platform was set up in 2012 by Egyptian Tamer Taha, 24, with funding from the World Bank.

According to Taha, basic manufacturing makes up almost 90% of the Egyptian market, and is increasingly under pressure from other manufacturing bases, especially in Asia.

"We try to work on this link from the open innovation part of the website (to the crowdfunding part) ... to try to market innovative products that are coming from Egyptian minds," he said.

Yomken is a politically neutral organization, says Taha, but the security situation after the recent military coup that removed Mohamed Morsy as Egypt's president did paralyze work.

"We hope the month of Ramadan (the annual month of fasting and prayer for Muslims) will bring all the disputing parties together from their narrow political interests and focus on the nationwide interest of the people and the economy," he said.

"This is what really matters. We believe that now ... it's time for the Arab nations to rise again through science and innovation."

@highlight

New online platforms offer chance for ideas to be funded by the public

@highlight

Sites like Zoomaal and Yomken follow crowdfunding model of U.S. sites like Kickstarter

@highlight

Educating artisans and innovators of potential of crowdfunding is a challenge says Zoomaal's founder

@highlight

Global market for crowdfunding was $2.7 billion in 2012 according to analysts