London (CNN) -- A breakthrough in graphene research which could pave the way for new smaller, faster, more powerful computer chips has be made by UK researchers.

Scientists at the UK's University of Manchester say they have demonstrated how graphene -- a two-dimensional material made from a single layer of carbon atoms -- could look inside electronic circuits of the future.

Graphene has been hailed as a "miracle material" which could revolutionize materials science because of its unique properties.

Measuring one atom thick, it it the thinnest material on Earth -- a stack of three million sheets would rise to the grand height of one millimeter.

Graphene is also the strongest (200 times stronger than steel), the most flexible and the most conductive material in the world -- which makes it an attractive alternative to the silicon chip.

In their study, published in the journal Nature Physics, researchers report how they created a four-layered structure consisting of two sheets of graphene sandwiched between two sheets of boron nitride -- a similar two-dimensional material with a thin hexagonal-like structure.

"Creating the multilayer structure has allowed us to isolate graphene from negative influence of the environment and control graphene's electronic properties in a way it was impossible before," Leonid Ponomarenko, lead author of the study.

This "negative influence" relates to graphene's ultra sensitivity to gases and humidity says Ponomarenko, which scientists at the university reported on back in 2007.

"To make its properties more controllable, we have to protect it with something," he said.

The demonstration brings a replacement for the silicon chip one step closer, according to Ponomarenko.

They are reaching their limit for being scaled down, he says, and as computers get more powerful silicon is struggling to meet the increasing energy demands.

The discovery of graphene was made at the university in 2004 by Russian physicists Andre Geim and Konstantin Novoselov, who received the Nobel prize for physics for their work in 2010.

Commenting on the new research, Geim said: "Graphene encapsulated within boron nitride offers the best and most advanced platform for future graphene electronics. It solves nasty issues about graphene's stability and quality...

"It could be only a matter of several months before we have encapsulated graphene transistors with characteristics better than previously demonstrated," he added.

Recent advances at Manchester and other UK universities has prompted the British government to invest Â£50 million ($78 million) in a research hub with the aim of maximizing the commercial potential of graphene.

Its not just computer circuit boards that graphene promises to transform.

The discovery that it is extremely sensitive to single molecules of gas could, according to Geim and Novoselov, lead to the development of new sensors, with possible applications in counter-terrorism.

"We are constantly looking at new ways of demonstrating and improving the remarkable properties of graphene," Geim said.

Countless universities around the world are also engaged in the same task.

The U.S.'s Massachusetts Institute of Technology in Boston, have recently discovered that graphene "exhibits a novel reaction to light," which they say could improve night-vision systems and possibly provide a new approach to solar power.

Excitement is building in the consumer electronics market too, as phone and computer manufacturers look to capitalize on graphene's uniqueness as a transparent conductor.

"The vision is to have electronic devices which can be integrated with your body or clothing, or computers which can be bent or rolled up and put away," said professor Andrea Ferrari, professor of nanotechnology at the UK's University of Cambridge.

Researchers at Sungkyunkwan University in Seoul, South Korea have already demonstrated a flexible touchscreen, he says.

And rumors were rife in cyberspace recently that South Korean electronics company, Samsung were going to release a flexible smartphone, called the "Galaxy Skin" in 2012.

It turned out to be untrue, but bendable phones, computers and televisions may not be far off, says Ferrari.

"It may well be that in the next three or four years, if everything goes well, we may see some transparent and flexible devices made from graphene come to the market."

@highlight

New research at UK university demonstrates how graphene-based computer chip might look

@highlight

"Miracle material" discovered at Manchester University in 2004

@highlight

Russian physicists who discovered graphene awarded Nobel physics prize in 2010

@highlight

Strongest, most conductive material in the world will revolutionize a range of products, scientists say