(CNN) -- The Philippines' first major typhoon of the season has churned across the country, passing close to the sprawling capital Manila on Wednesday and killing at least 38 people.

Typhoon Rammasun made landfall near Legazpi City on the country's east coast late Tuesday. The typhoon, known locally as "Glenda," prompted the evacuations of as many as 350,000 people from their homes in towns and cities across the country.

Maria Ressa, Editor in Chief of the online news agency Rappler in Manila, said Wednesday morning that conditions in the city were extreme, with howling winds and strong rain. Several roofs had been ripped off by powerful winds.

At about midnight Tuesday, the government announced one casualty -- a person killed by an electrical post that was uprooted. 37 other deaths, including a family of three in Lucena city, Quezon province, were announced by the National Disaster Risk Reduction Management Council (NDRRMC). The Council added that there were ten people injured, and eight remained missing.

The closest the eye of the storm got to Manila was about 25 km south of the city around 7 a.m. Wednesday (7 p.m Tuesday ET). 84% of the Metro area now has power restored.

Concerns about flooding, landslides

Fears over storm surges eased as the typhoon began to move away from the city, weakening from a Category 2 storm to a Category 1, with maximum sustained winds of about 150 kilometers per hour.

But concerns remained about the knock-on effects of the rain, including flooding and landslides.

Marco Savio of Plan International spoke to CNN from Makati, Manila's business district early Wednesday morning. He said that, at that time, more than an inch of rain was falling per hour in the city, many areas of which are susceptible to flooding.

"(The) majority are living in areas prone to floods. Schools are closed, offices and buildings (are) closed."

According to a statement from the U.N. Office for the Coordination of Humanitarian Affairs, the typhoon was expected to affect 43 million people spread across 22 provinces.

Around 136,000 households within the affected area are in places highly susceptible to landslides and storm surge. Half of these households, the statement adds, about 342,200 people, are poor. Evacuations have taken place in vulnerable areas on a needs basis.

The NDRRMC said that over 7,000 homes were completely destroyed, and almost 20,000 more damaged. Infrastructure also suffered, with 15 roads and four bridges becoming impassable.

"A Task Force from the humanitarian community was set up to agree on additional measures to enhance our readiness to respond and remains on standby," UNOCHA Humanitarian Coordinator Luiza Carvalho said.

Worst over for landfall city

As the storm passed Legazpi, James Reynolds, a freelance videographer who spent the night in the city, ventured out and saw what he described as a "community effort" to clear the fallen trees and power lines, and repair some of the property damage.

"The buildings made of solid concrete are OK, but a lot of buildings, windows have been blown out, doors blown out and some of the lighter structures that people live in haven't fared so well but generally its not as bad as it could have been" he told CNN.

The storm significantly intensified just before landfall into a much stronger system. It was expected to be of Category 2 strength but upon hitting land turned into a Category 3 storm, with sustained winds of 205 kilometers per hour.

It lost strength as it moved across the island of Luzon.

"People in this region have really been on edge since the events of Haiyan," Reynolds said. "The problem with this storm is that it seems to have caught a lot of people off guard."

As the typhoon passed, he said that the anticipated storm surge in Legazpi "hadn't been an issue."

The storm cut across the main island of the Philippines, hitting numerous population centers across southern and central Luzon. 11 provinces lost power although some were cut off for precautionary measures.

The Philippines is hit by an average of eight or nine storms a year. Rammasun is the first to hit since last year's Typhoon Haiyan killed more than 6,250 people, left more than 1,000 missing and caused widespread destruction.

Rammasun heads towards China

As the storm continues on past the Philippines, conditions over the South China Sea favor intensification. The storm could be a Category 3 as it gains strength over the sea and nears southern China.

The storm is expected to brush the northern part of the Chinese island of Hainan on Friday evening local time (Friday morning ET) as a strong typhoon, likely still a Category 3.

CNN's Samantha Mohr contributed to this report.

@highlight

NEW: Government agency confirms 38 dead, 8 missing

@highlight

Typhoon Rammasun weakens into a Category 1 storm

@highlight

Relief agencies express concern about flooding, landslides

@highlight

As many as 350,000 people were evacuated from their homes