A mother who had never set her eyes on her baby, a poor villager who hadn't worked for years, an old man who had never seen his pension money -- these are just some of the thousands of blind Namibians whose lives have genuinely been transformed by the treatment of a woman who they call their "miracle doctor."

Dr. Helena Ndume, the head of the eye department at Namibia's largest hospital, Windhoek Central, has dedicated her life to help to restore sight in a country where tens of thousands of people are suffering needlessly from a condition that is curable.

Cataracts, a clouding of the lens in the eye,  is one of the main culprits of blindness in Namibia, a country of barely two million. For Ndume, this is simply unacceptable.

"You can't call yourself a progressive country or nation if you still have people going blind from cataracts today," says Ndume, who also runs eye camps across the southwest African country where she treats those who do not have the means to pay for a simple surgical procedure.

A tireless worker, Ndume reckons that she and her team have so far restored the sight of more than 20,000 people.

"There's no money in this world that can pay the joy of someone who was so blind for so many years and then suddenly they regain their vision," Ndume says.

"You're changing the life of so many people, you make it easier for them and it is also productive for the country -- you help people who are taking care of their grandchildren, contributing to the economy of the country, this is very, very good," she adds.

Growing up in South African-occupied South West Africa -- as Namibia was then known -- Ndume's desire as a teenager was to become a fashion designer. But she soon found that she had to give up her dream.

At the age of 15, Ndume was one of the many Namibians who went through Angola to Zambia to join the liberation movement that ultimately led to Namibia's independence. There, she was housed in camps of the South West Africa People's Organization where she was told that becoming a fashion designer was not an acceptable career path.

"In an independent Namibia we need medical doctors, not fashion designers," Ndume remembers being told at the time by Nahas Angula, who is currently Namibia's prime minister.

So instead of following her fashion dream, Ndume was sent to Germany to become a doctor and in 1989 she returned to a liberated Namibia, keen to practice occupational health.

She was urged, however, to specialize in ophthalmology and help to tackle Namibia's bigger problem of  blindness.

In the beginning, Ndume remembers, people were a bit suspicious about having a doctor operating on their eyes. But after the first successful medical procedures, everybody started asking for help.

"There was that few operations, people who came really blind with visual acuity who could only see light perception -- they went back seeing again and that's how the message spread like wildfire," says Ndume.

"For them this was really a miracle and they will even tell me that this is like Jesus when he was making the blind see again and that's I think why they call me the miracle doctor," she adds.

Ndume's amazing energy and dedication has also inspired others to join her mission to rid Namibia of preventable blindness.

As a result, a mix of international groups like Surgical Eye Expeditions (SEE) and Seeing Without Borders and individual doctors travel to Namibia every year, dedicating their time and expertise to help poor people to restore their sight.

"Dr. Ndume is a remarkable woman," says Mike Colvart of SEE. "She is inexhaustible, she is an incredible physician, very capable but also able to motivate people and she's been able to get the governor of Namibia to support her and her colleagues.

"She does provide an amazing service, she works all the time here, 12 hour days, day after days, seven days a week, she never stops," he adds.

And while Ndume had to give up her teenage dream of forging a career in fashion, she says she has no regrets -- she has been able to serve her people and make a profound difference in thousands of lives.

"If you give, you get back, and the getting back is to see people going home very satisfied with bright faces -- coming in looking down and depressed and then they go back home seeing again, that is so rewarding and it keeps you, it makes you come back all the time," she says.

@highlight

Helena Ndume is a doctor who helps tackle Namibia's problem of blindness

@highlight

Tens of thousands in Namibia are blind, hit by the curable condition of cataracts

@highlight

Ndume reckons that she and her team have so far restored the sight of more than 20,000 people