San Diego, California (CNN) -- President Obama deserves an A+ for his agenda for education reform. His decision to nominate Arne Duncan as U.S. education secretary was inspired, and his comments on holding the system accountable are honest, refreshing and insightful.

Obama showed that again this week with a powerful speech at James C. Wright Middle School in Madison, Wisconsin.

He announced that, in the coming weeks, states would be able to compete for their share of more than $4 billion in funding through the administration's Race to the Top initiative. But in order to do that, he said, the states have to demonstrate that they're serious about increasing accountability by doing things like tearing down "firewall laws" that prevent districts from factoring in student performance when evaluating teachers.

That sinister brainchild was brought to you by politically influential teachers' unions who make it their solemn mission to protect their members from the scrutiny and standards that everyday people have to put up in their jobs. Obama's not having any of it.

"If you are committed to real change in the way you educate your children," he told his audience, "if you're willing to hold yourselves more accountable, and if you develop a strong plan to improve the quality of education in your state, then we'll offer you a big grant to help you make that plan a reality."

Like no president in recent memory -- except maybe George W. Bush, who diagnosed that schools are often afflicted with "the soft bigotry of low expectations" -- Obama gets it.

What Obama "gets" is that America's public schools often underperform and help cheat students out of brighter futures for three main reasons:

1) There are low expectations, not just for students but also for parents, schools and whole communities that are written off as not able to compete academically. Too many educators let themselves off the hook by telling themselves that poor kids from struggling backgrounds are somehow incapable of learning as well as kids from wealthier communities.

2) Too many educators and politicians treat public schools as if they exist for the benefit of the adults who teach there rather than the kids who are supposed to learn there. Because teachers have unions and students don't, everything -- including the length of the school year -- is geared for the convenience of the work force and not the clientele.

3) Those intent on preserving the status quo resist tooth and nail any attempt to hold them accountable by linking teachers to the performance of their students or, in an idea that Louisiana is trying and that Duncan smiles upon and would like to see spread to other states, tracing back teachers to the schools of education that produced them.

Obama understands all that. And, it seems, the president learned it during his stint as a community organizer in Chicago, Illinois.

It was there that he went to bat for low-income black parents who, like scores of parents who send their kids to underperforming schools throughout America, are caught in a frustrating and almost comical paradox. They're turned away, shunned, treated with condescension and even insulted by self-serving public school "edu-crats" who treat these institutions like their own private offices where they don't want to be bothered by anyone who doesn't have a teaching or administrative credential.

Then, incredibly, the parents are blamed for not participating and involving themselves more in that hostile environment and when many of them thought that teaching their kids was the job of, well, teachers.

It's been my experience that many teachers don't really care whether parents go to the PTA or help their kids with homework. They just want a constant foil, someone to blame when students flounder and the schools underperform. And, when that happens, in any public school in America, suddenly there's not a mirror to be found. It's always someone else's fault.

I know what you're thinking. Teachers love to portray columnists, analysts and pundits as clueless about the real world of teaching unless we've actually taught in the classroom. Been there, done that. Before I ever started writing a column, I taught for nearly five years in a poor farming town in central California where most of the students were the children of Mexican farm workers. And I learned more about education there than I did from taking graduate courses at Harvard.

I bet that a lot of public school teachers -- many of whom, according to exit polls, vote Democratic -- are already missing the Bush administration.

At least when they were battling the accountability law known as No Child Left Behind, they could say it was someone else's idea put in place by a president who other people elected. Now, they must confront the unpleasantness that comes with a reform effort being pushed by an administration that many of them support.

One way to square that circle is try to make Duncan out to be the problem, as if the education secretary has gone rogue.

Recently, I heard from a professor of education at a state university in San Diego who bristled at the former college basketball player's call for reforming teachers' colleges.

"Mr. Obama," she wrote, "please fire Arne Duncan and let him go back to the basketball court."

Cute. Smug but cute. Trouble is, this week, Obama made clear that, when it comes to fixing our schools, he and the education secretary are on the same team.

The opinions expressed in this commentary are solely those of Ruben Navarrette Jr.

@highlight

Ruben Navarrette says Obama targets "firewall laws" with school funding initiative

@highlight

Obama understands school underperformance, he writes

@highlight

Low-income parents are caught in frustrating paradox, Navarrette says

@highlight

Many teachers just want someone to blame, he says