(CNN) -- Bras can do miraculous things these days (thank you underwire). But can they detect cancer?

That's the claim for First Warning Systems new bra, equipped with a series of sensors embedded in the cups that pick up temperature changes in breast tissue and, says the Reno, Nev.-based company, provide a thermal fingerprint that can alert doctors to the presence of malignant cells.

According to the company's website, the data generated by the sports bra can predict the presence of breast cancer with 90% specificity and sensitivity. Women wear it for 12 hours to accumulate a stable enough reading of temperature, and the measurements are fed into the company's algorithm that then spits out a result: normal, benign, suspected for breast tissue abnormalities, or probable for breast tissue abnormalities.

Sounds like a good idea, right? Except that the concept of using temperature to detect disease may not be ready for prime time just yet. "Hypothetically, it's conceivable that malignant processes would have a temperature gradient compared to non-malignant tissues," says Dr. Therese Bevers, medical director of the cancer prevention center at the Univ. of Texas MD Anderson Cancer Center. "But that gradient may not be very large."

(MORE: A Fashionable Fitâ€”high-tech athletic gear)

The idea of using thermograms to ferret out abnormally growing cells is already being used with an imaging device that takes a temperature reading of breast tissue. Tumors need nutrients to grow, and they start to siphon these off from their own blood supply, which they start to build as they amass more and more abnormally growing cells.

All of this metabolic work generates heat, and it's this temperature change that thermograms â€” and the First Warning bra's sensors â€” are designed to pick up. But when these profiles, which show "hot" and "cold" spots that are supposed to correlate to cancerous and non-malignant tissue, respectively, are compared to mammogram, MRI and ultrasound tests, their findings don't always match up.

"We see some thermograms come back as abnormal, and we do all kinds of imaging with mammogram, ultrasound and MRI and we follow the women and nothing develops," says Bevers. "And we have women with breast cancers that are not seen on the thermograms.

It's not perfect, and needs to undergo much more rigorous testing to understand what role temperature readings can play in cancer screening."

Even if the readings provide a positive result, and if, as the company says, the tumors are at their earliest stages and barely detectable as a mass, it's not clear what doctors can do for women at that point. Surgery isn't an option until tumors reach a certain size that can be identified and removed, and radiation and chemotherapy are too toxic to start before cancers reach a certain threshold to justify the side effects. What do doctors do with a positive test?

For now, they would likely have women come in for more frequent mammograms, MRI or ultrasound testing, to evaluate whether their abnormally growing cells morph into tumors or not. If that's the case, most women will probably have had their tumors detected by one of these methods anyway, even if they hadn't used the bra.

Already, the latest data raise questions about the efficacy of mammograms in women in their 40s; the United States Preventive Services Task Force recently recommended that women wait until they are 50 to start yearly screenings, because studies showed that the costs of screening women in their 40s, including additional testing and complications caused by these supplemental procedures, did not save more lives.

So while the idea of wearing a sports bra for 12 hours to detect breast cancer certainly sounds appealing, the bra may be a bit ahead of itself. It's not clear yet whether predicting, and ideally treating breast cancer with the bra can reduce deaths from the disease, or help women avoid more advanced and aggressive cancers.

"We really need to have more solid data before we start adding on tests, especially when we have tests [like the mammogram, MRI and ultrasound]," says Bevers. Those tests aren't perfect either, but they do have a track record of helping to save lives.

Related Topics: Fashion & Beauty

&copy 2012 TIME, Inc. TIME is a registered trademark of Time Inc.  Used with permission.

@highlight

New bra has sensors that pick up temperature changes in breast tissue

@highlight

Its maker, First Warning Systems, says it can alert doctors to cancer cells

@highlight

Doctors say the system isn't ready to be fully trusted yet