Venice, Italy (CNN) -- Public transport in Venice is like an endless sightseeing tour, and not only for the amount of tourists on the central vaporetto routes.

The waterfront architecture is truly spectacular, from Palladian churches to private palazzos.

And now during the Biennale contemporary artworks and installations are scattered around the city.

Venturing along the waterways leads to some unmissable exhibitions, where art and architecture blend into a beautiful dialogue.

Baroque influence

Close to the Rialto market on the Canal Grande, an 18th century palazzo is home to Fondazione Prada, where all three floors are open to the public for the first time.

During the Biennale it's hosting a show curated by Germano Celant, one of the leading figures of the 1960s anti-formal art movement Arte Povera.

Celant has filled the rooms with a theatrical show.

From 16th century musical instruments, clocks and mechanical curiosities to modern installation pieces involving performers, Art or Sound explores both formal and conceptual ideas relating to music.

You can witness the craft of historic pieces as well as works by key avant-garde artists from Celant's previous collaborations, such as John Cage, Nam June Paik, Michelangelo Pistoletto and Jannis Kounellis.

Their radical rethinking of art and the abstract condition of sound resonates throughout the exhibition.

The unique Venetian Baroque interiors add another level of interest to the show.

It's both raw and historical - unlike any other contemporary art space in the world - with ornaments, carvings and rich details.

The Prada Foundation has a contract as a patron to rescue the building and bring the original frescoes and rare, fine materials back to life, "without trying to modify it through characterless facelifts", Celant explains.

Modernity takes over

On the other side of the water, after the Rialto Bridge, there is the Fondaco Marcello, an exhibition space in a 15th century arms storehouse by the water front.

Here the Biennale theme of Modernity extends into a scientific narrative, looking at possible ways of existence on the Antarctic continent, a subject in total contrast to the surrounding architectural heritage in Venice.

The Antarctic Pavilion, curated by Nadim Samman makes you think of lifestyle and tourism, as well as the ecological and political questions posed by those extreme conditions on the margins of civilization.

Further down towards San Marco Square, a giant composition of 1,179 stainless steel bikes has been neatly stacked on the canal side courtyard garden of the Palazzo Cavalli-Franchetti near the Accademia bridge.

This art installation, titled "Forever" by Ai Weiwei is part of the exhibition Genius Loci, brought to Venice by the Lisson Gallery.

The show continues inside the 16th century palace building with sculptures and installations by international artists including Tony Cragg, Lee Ufan, Julian Opie and Joana Vasconcelos.

Contemporary public art

The rest is slightly more modest in scale than Ai Weiwei's installation, but still spectacular examples of ideas addressed in contemporary public works.

There is a sense of play with architecture and space, exploring the parallels between the two disciplines, such as Anish Kapoor's work which deals with our spatial perceptions.

This exhibition suggests that genius loci 'the special spirit' can be found in the urban space through artworks, materials and forms; a departure from the modernist obsession with functionality.

A short hop on a vaporetto takes you across the lagoon from San Marco to the island of San Giorgio Maggiore, which has become a site for displaying large public installations.

This year a geometric sculpture entitled "The Sky Over Nine Columns" dominates the waterfront square next to Palladio's famous church.

Its surfaces are covered with golden glass mosaics, beautifully reflecting the Venetian sun.

The piece by Heinz Mack, who represented Germany at the Arts Biennale in 1970, was commissioned by the Cini Foundation. Mack is known for monumental installations: "My sculptures are objects of light in space" Mack said.

Behind the church, an exquisitely crafted pavilion has been erected in the garden of the Stanze del Vetro glass museum.

The aquarium-like Glass Tea House Mondrian is designed by Japanese artist Hiroshi Sugimoto, best known for his minimalistic photography.

Sugimoto's pavilion is the first in a series of commissions, supported by the Cini Foundation, which follows the model of the Serpentine Pavilion in London. Installed inside a cedar wood fenced garden, the glass pavilion will also be the setting for a traditional tea ceremony, a performance which exemplifies the delicacy in Japanese culture.

All these shows run parallel to the Architecture Biennale, overseen by Dutch architect Rem Koolhaas this year.

Even if you don't have time to visit the Giardini and the national pavilions, these events outside the main programme are some fantastic cultural offerings, adding another level of meaning to visiting a city with such rich heritage.

Venice Architecture Biennale 2014: 7.6 - 23.11.2014

© 2012 Grand Tour Magazine. All rights reserved.

@highlight

Venice comes alive as the Biennale takes over the city

@highlight

If you don't have time to visit the Giardini or national pavilions, check out the fantastic events outside the main programme

@highlight

Anish Kapoor and Ai Weiwei are among artists exhibiting across Venice