Hong Kong (CNN) -- Borrowed place, borrowed time. That was the mantra in Hong Kong as the clock ticked down to the British colony being handed back to China in 1997.

And as the handover loomed, Hong Kongers were frantic to make money to get a passport before the communist mainland reclaimed the territory. They feared an end to the free-wheeling ways of capitalism where money brought power, prestige -- and if needed, an escape route.

But there was a small, vocal minority who talked instead about the tail wagging the dog. Far from being subsumed by China's political system, Hong Kong would in fact lead it towards democracy.

Why? Because, if this handover worked, it could lure a much bigger prize in the form of Taiwan. If democracy, prosperity and personal freedoms flourished in this territory, Taiwan could be induced to rejoin China after its seminal split in 1949.

Opinion: Why Beijing is courting trouble

But events of the past week have been a watershed in Hong Kong's political development. The ultimate goal of universal suffrage -- one person, one vote -- has been subverted. Yes, there will be one person, one vote, but Beijing has said they want to control who Hong Kong's voters are allowed to vote for.

China's leadership has made it crystal clear that any form of democracy will only come attached to very powerful Chinese characteristics.

Hong Kong's first chief executive, Tung Chee-hwa, who stepped down early after massive protests against his leadership, this week called Beijing's move towards democracy "real and substantive."

It's hard to see how. If anything, Beijing has slammed the door on a true democratic process, one that allows anyone to stand for election.

Hong Kong's pro-democracy politicians have said they will veto any proposal that doesn't allow for full suffrage, leaving the Special Administrative Region back at square one.

Muted reaction

Yet Hong Kong has hardly exploded in anger or frustration. In fact the reaction has been almost muted.

Occupy Central with Love and Peace, a protest group committed to true universal suffrage, had threatened a campaign of bringing business in downtown Hong Kong to a standstill if China didn't allow for a more democratic process.

In June, it conducted an unofficial referendum on the issue. Nearly 800,000 people out of a population of seven million took part despite, or perhaps because of, repeated and sophisticated cyber-attacks and overt criticism from Beijing.

But the strategy of trying to win concessions from Beijing failed. And in an extraordinary admission just after Beijing made its ruling on Sunday, a leader of the Occupy movement, Benny Tai, in an interview with Bloomberg, conceded support for their cause was sliding.

"The number of people joining us (for a long-planned sit-in protest) will not be as big as we expect, because of the very pragmatic thinking of Hong Kong people," he admitted.

In many ways it comes back that same mindset in the run-up to the handover. Pragmatism wins over idealism. Before 1997, the pragmatists were doing what they could to have a Plan B -- a way of getting out of Hong Kong if they needed to -- or working hard to ingratiate themselves with Beijing.

Game of 'chicken'

Today they are apparently not prepared to take on Beijing in an eyeball-to-eyeball standoff. As David Zweig, a professor of political science at Hong Kong University of Science and Technology, said, "If this was a game of chicken, the mainland has said: 'we'll drive straight through this' and Occupy Central has pulled aside and replied, 'we aren't willing to destroy Hong Kong.'"

But it may not be over yet.

Hong Kong street demonstrations have a habit of morphing into a general protest against a range of issues from politics to working conditions to environmental concerns. Economics remain a powerful driving force.

If the economy starts to fade, if unemployment starts to rise, it can become a catalyst for a much broader range of protesters. And neither Beijing nor Hong Kong's leadership can ill-afford to ignore them.

@highlight

Beijing recently said no to Hong Kong voting for its leaders without approval

@highlight

One pro-democracy leader in Hong Kong admitted support for their campaign may be sliding

@highlight

In 1997 Hong Kongers were frantic to get a passport before China reclaimed the territory

@highlight

Others talked about Hong Kong helping to encourage democracy in the mainland