(CNN) -- Another week, another North Korean provocation.

It might seem an understandable reaction to news Monday that North and South Korea had exchanged hundreds of shells across their western sea border. The incident occurred a day after Pyongyang had warned it was preparing to test another nuclear device, and just a week after it tested two medium-range ballistic missiles.

But should the West greet such saber-rattling with a shrug of the shoulders? After all, Western capitals have been engaging in this "dance" for two decades, since the late Kim Jong Il took over as the country's supreme leader. Is this latest round of provocations under his son and successor, Kim Jong Un, simply more of what we've seen before?

Not necessarily, argue some of those closely familiar with North Korea. They warn that under Kim Jong Un's rule, Pyongyang has shown an even greater willingness to raise the stakes, whether it be the multiple missile launches over the past several weeks, the way it stoked a crisis last spring when it announced it had ended the 1953 Korean Armistice Agreement and moved intermediate missiles to its east coast, or its warning that foreign companies and tourists in South Korea should evacuate.

South Korea investigates two suspected North Korea drones

More recently, in the U.S. intelligence community's annual worldwide threat assessment, Director of National Intelligence James Clapper warned that North Korea had "expand(ed) the size of its Yongbyon enrichment facility and restart(ed) the reactor that was previously used for plutonium production" but was shut down in 2007.

"The regime still acts in a very belligerent manner, but it seems less predictable, and more random," said Christian Whiton, deputy envoy to North Korea during the George W. Bush administration.

Timeline: North Korea nuclear program

The younger Kim (and young is the right word -- he is still only 31) took office in December 2011, amid questions over how much control he really has over the levers of power, including the country's military of more than 1 million people.

Since then, North Korea has faced additional international sanctions after the launch of a long-range rocket in December 2012, a move that it followed up with the country's third nuclear test, in February 2013.

"The timing and the intensity of North Korea's provocations (since Kim Jong Un took office) clearly demonstrates a high tolerance for risk," said Ellen Kim, assistant director of the Korea Chair at the Center for Strategic and International Studies.

"Since (Kim) took power he has purged almost all of his elder guardians ... and filled his surroundings with new faces. We are in a situation where we are learning about him a little bit every day through his unpredictable behavior and actions, which is why the current situation with North Korea is a lot more dangerous than before," she said.

But James Person, coordinator of the North Korea International Documentation Project at the Woodrow Wilson Center, suggested this week's exchange of live fire is not, on its own, too troubling.

"North Korea actually warned South Korea in advance that they were going to carry out live-fire drills in seven locations. They advised the South to remove ships from the area. All of the shells fell in the water. No land or military installations were targeted," Person said. "This is comparatively a very mild provocation."

Person said the latest incidents might reflect North Korean frustration on a number of issues, not least the recent joint military drills between South Korea and the United States, which Person described as the largest such exercises in two decades. But most important, Person said, is concern in North Korea over the pace of improved relations with South Korea and the United States.

All just guesswork?

Of course, the most oft-stated problem with speculating on North Korean intentions has been the claim that the information coming out of the country is just too limited to make any concrete assumptions.

"There are no countries as closed as North Korea. Its citizens aren't allowed to travel, and the few North Korean officials who do go abroad are closely watched. You basically have to go back to Stalin's Soviet Union to find something similar," Whiton said. "This makes it difficult to collect even the most basic background information about what is going on, and recruiting espionage sources is very difficult. The regime is very good at preventing knowledge of its inner workings."

South Korea captures a North Korean fishing boat

A troubling glimpse of what is going on inside North Korea came with a U.N. report released in February. In a 372-page report, the Commission of Inquiry on Democratic People's Republic of Korea outlined claims of "extermination, murder, enslavement, torture, imprisonment, rape ... and the inhumane act of knowingly causing prolonged starvation."

"The gravity, scale, duration and nature of the unspeakable atrocities committed in the country reveal a totalitarian state that does not have any parallel in the contemporary world," the report stated.

Yet understanding the inner workings of the regime has proven a tougher nut to crack. This was evident in the speculation that swirled around the younger Kim when it became clear he was the most likely candidate to succeed his father; media reports were full of chatter about whether Kim Jong Un's time at a Swiss boarding school, and his apparent love of basketball, were an indication that he might be more friendly toward the West.

China, North Korea slam U.N. human rights report

Indeed, according to a leaked cable published by WikiLeaks, Japan's intelligence community was said to have relied in part on the book of a former sushi chef for insights into the elder Kim's behavior.

Even China, the closest thing North Korea has to a reliable ally, doesn't fully understand the power struggle going on at the top of the North Korean regime, suggested Minxin Pei, a leading China watcher and director of the Keck Center for International and Strategic Studies at Claremont McKenna College. The gruesome execution in December of the younger Kim's influential uncle, Jang Song Thaek, for example, "caught Beijing by surprise," Pei said.

But Person suggested the supposed impenetrability of North Korea might sometimes be overplayed.

"While North Korea has long defied close scrutiny, there is no void of knowledge about the country. We have much more information to call upon than most care to admit," Person said, adding that the Wilson Center for one has spent years "assembling and translating the diplomatic record of North Korea's former communist allies ... (including) thousands of conversations between North Korean officials, including the supreme leaders, and foreign heads of state and diplomats."

The question confronting policymakers is whether the still inexperienced Kim Jong Un has yet mastered the implications -- and relatively safe limits -- of the brinkmanship that was practiced for so long by his father.

"North Korea is signaling that they are not shutting the door. In fact, quite the opposite is true," Person said. "But this is a very slippery slope -- and could easily turn nasty."

North Korea election provides clues to reclusive Stalinist state

@highlight

Tensions flare again between North, South Korea

@highlight

Experts say West should pay attention to North Korea's saber-rattling

@highlight

Kim Jong Un is still young and his actions are difficult to predict, they say