(CNN) -- When cancer invades the brain, the prognosis is usually grim. Despite his treatment at highly regarded medical centers, Edward "Ted" Kennedy, who served as a Democratic senator from Massachusetts for nearly 47 years, died just over a year after his surgery.

Kennedy suffered a seizure May 17, 2008, while walking his dogs at his home in Hyannis Port. Three days later, doctors at Massachusetts General Hospital in Boston said a brain biopsy revealed a tumor, known as a malignant glioma, in the left parietal lobe.

Malignant gliomas are the second-most common cause of death from cancer for people 15 to 44 years old, according to a 2005 study in the Journal of the American Medical Association.

The causes of glioma tumors are mysterious. Many patients do not have genetic risk factors, and any connections with lifestyle are not clear, said Dr. Larry Junck, head of the Neuro-Oncology Program at the University of Michigan Comprehensive Cancer Center. Junck was not involved in the senator's treatment.

Gliomas do not often spread to other parts of the body, but grow into the brain at their site of origin, Junck said.

Kennedy's doctors did not specify what type of malignant glioma he had. But the majority are glioblastomas, especially in older patients, said Dr. Tara Morrison, a neuro-oncologist at the Fox Chase Cancer Center in Philadelphia, Pennsylvania.

Glioblastoma multiforme, which is the most common primary brain tumor, is aggressive and deadly. Typically diagnosed at age 55, it is not unusual for a glioblastoma to recur after treatment, according to the Mayo Clinic.

Kennedy's treatment -- surgery, followed by radiation and chemotherapy -- would be familiar to many people who have faced cancer. The senator's treatment was  "the standard of care for anyone with a malignant glioma," Morrison said. (Morrison also was not involved in Kennedy's treatment.)

The senator underwent surgery at Duke University Medical Center in Durham, North Carolina, in June 2008. The goal of this kind of surgery is to remove as much tumor as possible, Morrison said.  See a timeline of Kennedy's life »

Surgery is usually followed by six weeks of radiation. Kennedy wrote in a Newsweek magazine article that he underwent proton-beam therapy, a type of radiation therapy, at Massachusetts General Hospital.

The hospital is one of only six centers in the United States that offers proton radiotherapy, according to the nonprofit National Association for Proton Therapy.

The theory behind proton therapy is that its high-energy particles zone in specifically on the tumor and so do not harm the surrounding healthy tissue as much as the X-ray photons in conventional therapy, said Dr. Donald O'Rourke, associate professor of neurosurgery at the University of Pennsylvania School of Medicine.

Despite the enthusiasm about this relatively new treatment, no evidence exists that shows proton-beam therapy is better than conventional therapy at getting rid of the tumor, nor does much data support the claim that it does less harm to healthy tissue, O'Rourke said.

During the five weeks of radiation, a patient typically would take an oral chemotherapy drug called Temodar at a low dose every day, Morrison said. Then, a month-long break is followed by at least six months of Temodar at a higher dose.

Treating malignant gliomas is especially hard because they grow in essential parts of the brain, so it's difficult to get every harmful cell out with surgery, Morrison said.

"It's very hard to remove large portions of the brain without causing functional problems in a patient," she said. The cancer cells also infiltrate structures beyond what a scan can show, she said.

The average life expectancy is from 15 to 18 months after surgery, Morrison said. Only about 10 percent of patients are still alive after five years, Junck said.

Researchers are looking at many other treatments for brain tumors.

The drug Avastin, which is approved for patients whose glioblastoma tumors return, is in clinical trials for use after the initial diagnosis.

The Preston Robert Tisch Brain Tumor Center at Duke goes a step further, according to Dr. Henry Friedman, the center's deputy director.

Friedman said the evidence for Avastin's benefit against recurrent tumors is so compelling that he's taken a "leap of faith" and includes the drug in the regimen for newly diagnosed glioblastoma patients whenever possible, even when they don't qualify for clinical trials.

Immunotherapy is also being studied in clinical trials. Researchers take a portion of the tumor and grind it up with white blood cells from the patient, in hopes that the blood cells will learn to fight the cancer cells, Junck said. Then, the blood cells are injected into the patient to combat remaining tumor cells. The evidence from this approach has been inconclusive, he said.

At the University of Pennsylvania School of Medicine, O'Rourke and colleagues are working on the first noninvasive technique to identify genetic mutations associated with glioblastomas.

They have measured blood flow to the brain with magnetic resonance imaging, or MRI.  A certain level of blood flow is linked to an underlying gene mutation associated with poor prognosis. Researchers hope to use this as a diagnostic tool and as an aid in targeting therapy to specific genes.

"Perhaps more importantly, when you start treating these patients, if those changes in the MRI go away and it appears to be less aggressive, we may be able to say that our treatment is working," O'Rourke said.

Already the researchers can use the MRI method to see if the patient is responding to treatment, and can make treatment selection based on it. They are still working on using it as a diagnostic tool. O'Rourke expects this method to be widely available with the next year or two.

Further down the line, targeted nanoparticles -- submicroscopic particles coated with special substances that direct them to the tumor site and deliver high doses of chemicals -- may be used in treatments that have fewer side effects than drugs available today.

Researchers at Argonne National Laboratory are going to test this approach in brain tumors in mice, but it will be at least five years before it could become available in humans. Read more about nanotechnology's promise for cancer

High-profile people such as Kennedy, who are battling malignant brain tumors, have increased awareness of the condition, O'Rourke said. There has also been a "recent explosion" of technology, such as surgical and imaging techniques, that have helped the survival rate, he said.

"I think in the next 10 years, we're going to see a situation in which we can really classify glioblastomas... and select the appropriate treatments accordingly," he said.

CNN's Caleb Hellerman contributed to this report.

@highlight

Malignant gliomas typically do not spread to other parts of the body

@highlight

The average life expectancy is from 15 to 18 months after surgery

@highlight

Experimental treatments include immunotherapy and Avastin for new diagnoses