(CNN) -- Last month, two political scientists published one of those rare op-eds that gets the political community talking.

The thesis of the piece was contained in the title: "Let's just say it: The Republicans are the problem."

In case that was not clear enough, the authors elaborated: "We have been studying Washington politics and Congress for more than 40 years, and never have we seen them this dysfunctional.

"In our past writings, we have criticized both parties when we believed it was warranted. Today, however, we have no choice but to acknowledge that the core of the problem lies with the Republican Party.

"The GOP has become an insurgent outlier in American politics. It is ideologically extreme; scornful of compromise; unmoved by conventional understanding of facts, evidence and science; and dismissive of the legitimacy of its political opposition.

"When one party moves this far from the mainstream, it makes it nearly impossible for the political system to deal constructively with the country's challenges."

The piece drew its authority from the authors' identity: Thomas Mann and Norman Ornstein, two of Washington's most veteran watchers of Congress. Both men have hard-earned reputations for nonideological independence of mind despite their institutional affiliations: Mann works at the liberal Brookings Institution, Ornstein at the conservative American Enterprise Institute. (Ornstein is a friend of mine, and was a colleague until I was given the heave-ho from AEI in March 2010.)

Now they have backed their provocative op-ed with a new book, "It's Even Worse Than It Looks: How the American Constitutional System Collided With the New Politics of Extremism."

The book backs the arresting op-ed with a battery of depressing research, substantiating their charge that congressional Republicans now act in a uniquely irresponsible way.

The debt showdown last summer was the ultimate case: congressional Republicans nearly forcing a default on the obligations of the United States to get their way on a budget agreement.

But the pattern manifests itself in almost all the business of government, down to the most mundane.

For example: Because Senate rules often require unanimous consent to move to the next order of business, a determined minority can force delay on almost any action it opposes.

Since 2009, Republicans have used this power of delay hyper-aggressively. Compare and contrast the treatment of executive-branch nominees.

Sixteen months into the George W. Bush administration, Memorial Day 2002, only 13 executive-branch nominations awaited confirmation by the Senate. At the corresponding moment in the Obama administration, Memorial Day 2010, 108 nominees were awaiting action by the Senate.

This comparison is supported by another academic study. The confirmation process got gradually slower between the 1960s and the 1990s. Then, suddenly, in the second Clinton administration, the confirmation process seized up.

Under the elder Bush, a Republican president facing a Democratic Senate, 92% of nominees were confirmed within an average of 57 days. In the second Clinton administration, facing a Republican Senate, only 74% of nominees were confirmed, taking an average of 110 days.

Ornstein and Mann offer a convincing array of explanations for the trend toward radicalism within the GOP, including changes in campaign finance and in the electorate itself. They offer too a range of proposals to work around GOP radicalism and restore the effective functioning of Congress. If those proposals have a faint wistful air to them, blame the inherent difficulty of the problem, not Mann and Ornstein.

But one thing is missing from their powerful and important book, and it's a thought I'd like to enter here into the record: The radicalization of the GOP is a function of changes, not only in U.S. politics, but also in the U.S. economy.

Americans are living through an era of disappointment. It's becoming obvious that the U.S. government cannot meet all the expectations that built up in better times.

The tax status quo, the Medicare status quo, the social safety net status quo, the defense status quo -- they can't all be sustained. Something must give, and almost everybody senses it.

In good times, we debate whether government should expand programs or cut taxes -- new benefits in either case.

In these times, we are debating whether government should impose large reductions in programs or impose big increases in taxes -- taking from people benefits that they now enjoy.

Human beings will typically fight much more ferociously to keep what they possess than to gain something new. And the constituencies that vote Republican happen to possess the most and thus to be exposed to the worst risks of loss.

The Republican voting base includes not only the wealthy with the most to fear from tax increases, but also the elderly and the rural, the two constituencies that benefit the most from federal spending and thus have the most to lose from spending cuts.

All those constituencies together fear that almost any conceivable change will be change for the worse from their point of view: higher taxes, less Medicare, or possibly both. Any attempt to do more for other constituencies -- the unemployed, the young -- represents an extra, urgent threat to them.

That sense of threat radicalizes voters and donors -- and has built a huge reservoir of votes and money for politicians and activists who speak as radically as the donors and voters feel.

Which means the solution to the problems so astutely diagnosed by Mann and Ornstein must ultimately be found outside the American political system -- and will not be solved until America's rich and America's elderly become either less fearful or more generous.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

Op-ed from respected political observers says the core problem with government is GOP

@highlight

It says GOP is extreme, won't compromise, is irresponsible, ignores evidence

@highlight

David Frum: GOP's radicalization is the result of changes in politics and economy

@highlight

Frum: Rich GOP voters could lose the most, others fear change in their lives