(CNN) -- In late May 2011, Mitt Romney made his first campaign jaunt to South Carolina, a primary state that bedeviled him during his first presidential campaign and would prove just as vexing in his second.

Romney's difficulties with the conservative base are now well-documented. But among his many problems on the right, immigration wasn't one of them.

On that May afternoon in South Carolina, Romney, his sleeves rolled up and shirt tucked neatly into bluejeans, came prepared to answer a range of tough questions. He delivered a defense of his health care law and equivocated on a controversial Medicare plan being debated in Congress.

He didn't expect to have to talk about immigration, But one activist who felt like a party crasher in the small, hand-picked audience wanted to know if Romney backed amnesty for "illegals." Romney said no, matter-of-factly outlined his positions, and the voter departed seeming satisfied.

The point is this: Even if immigration fails to register as a top issue in the polls -- only 3% of Americans called it the country's "most important problem" in a recent Gallup survey -- the topic continues to burn white hot as a litmus test among a passionate and vocal slice of the GOP primary electorate.

Opinion: Big surprise ahead on immigration

Even when immigration reform is not on the calendar in Congress -- and it wasn't during the 2012 campaign -- it routinely bubbles up in Republican primary campaigns, popping up in town hall meetings, on talk radio and online. And it's not just the dreaded "comprehensive" immigration reform effort that roils grassroots activists; for a defiant portion of the GOP base (looking at you, Steve King), any kind of reform is non-negotiable.

Despite efforts by top Republicans in Washington to improve the party's miserable image among Hispanic voters, not much has changed since the 2012 primary campaign, when GOP voters tore down Texas Gov. Rick Perry for telling a debate audience that they didn't "have a heart" if they opposed in-state college tuition for young illegal immigrants.

Undocumented immigrant lawyer speaks out

A sweeping Senate immigration bill is stalled in the House, effectively dead and nailed into its coffin by its own Republican co-sponsor, Sen. Marco Rubio, who now opposes it.

House Speaker John Boehner says he is open to passing a series of smaller fixes. At the same time, numerous elected GOP officials made intemperate comments about Hispanic immigrants.

This is the party that New Jersey Gov. Chris Christie, who will ceremonially sign a New Jersey version of the DREAM Act this week, must face if he decides to seek the Republican presidential nomination in 2016. And at first glance, his support for the bill, which allows undocumented immigrants who have attended New Jersey high schools for three years to pay in-state college tuition rates, is problematic.

Christie reaches immigration deal with New Jersey Democrats

Having won re-election last November with a majority of Hispanic voters, Christie's support for the so-called tuition equality bill is another notch in his belt as he cultivates an image as a Republican who can appeal to independent voters and nontraditional constituencies. He is, his supporters believe, a GOP candidate who can actually win a national election.

But in the hothouse context of a Republican primary, which he must win to get to a national election, signing the tuition bill seems like yet another example of Christie unfurling a giant middle finger to the very voters whose support he will need once the presidential race begins in earnest this November.

The biggest sin conservatives point to when discussing Christie is symbolic: his arm-in-arm tour of the New Jersey coastline with President Obama after Hurricane Sandy, lending the president a veneer of bipartisan street cred just days before the 2012 presidential election.

There are other apostasies: Gun control measures signed in Trenton, a gushing buddy-buddy appearance with Bill Clinton at a policy conference in Chicago last summer, and his spirited defense of the country's surveillance and drone efforts, a position that rankles libertarians.

Brandon Patterson, a 23-year-old student at the Pat Roberston-founded Regent University in Virginia, summed up the prevailing conservative attitude toward Christie at last summer's Faith and Freedom Coalition conference in Washington.

"He is not very popular here," Patterson said. "Nobody is excited to support him at all. Nobody that I know of. He's a moderate."

Talk to any strategist backing his potential GOP opponents, and you'll hear a similar take on Christie's decision to sign the DREAM Act: Supporting tuition breaks for illegal immigrants burnishes his reputation with the Amtrak corridor pundit class, but it cements Christie's status as persona non grata at the Pizza Ranches of western Iowa and diners of New Hampshire.

"This amnesty bill is just another in a really, really long list of reasons why Republican primary voters don't trust Christie," said a national GOP operative working for a likely 2016 rival. "From guns, to Sandy spending, to hugging Obama, he'll have a tough time winning any early state primaries. Unless, of course, 'Morning Joe' holds an early state Republican primary that I'm unaware of."

But there's another way to look at it: The conservatives who despise Christie for signing the tuition bill probably wouldn't support him anyway. They might not like him, but he doesn't need them, either

Let those conservatives flock to Ted Cruz and Rand Paul and Rick Santorum. The silent plurality of Republican primary voters -- the blue hairs, the country clubbers, the Rotarians -- don't garner the kind of media attention ginned up by tea party groups and outspoken pastors, but they vote.

After all, Mitt Romney, that squishy scion of the hated "establishment," lost the Iowa caucuses by only 34 votes. And whatever failings Christie may have, few dispute that he has natural political talents and a rapport with voters that Romney never had.

Reid says Boehner will compromise on immigration reform

The dynamics of the 2012 race were different than they will be in 2016; a fiscal conservative like Wisconsin Gov. Scott Walker could clog Christie's lane in the business community. But early state operatives sympathetic to Christie are hopeful that there will be even more space in 2016 for a candidate who wants the party to expand its popular appeal.

Tim Albrecht, a Republican operative in Iowa and former adviser to Gov. Terry Branstad, pointed out that the Iowa House passed a version of the DREAM Act way back in 2004. (The bill, however, did not become law.)

"Led by a Republican majority, the Iowa House unanimously passed the Dream Act in 2004," Albrecht said in an e-mail. "Iowa has been ahead of the curve on this issue, and Republicans value fairness. While there will be a vocal minority speaking out against immigration reform, a majority of Republicans and caucus-goers will not take issue with Gov. Christie's position on the DREAM Act, and in growing circles it will gain him support."

And for those without long memories, one only needs to look back to 2008 to find a Republican candidate who bucked the party faithful on a range of issues, including immigration, and won the presidential nomination. John McCain ran for president while the immigration overhaul he backed was collapsing in Congress.

His campaign fell apart in the process, but McCain recovered and mounted a remarkable comeback, facing questions about immigration all the while.

In a crowded Republican field, he even won South Carolina, that conservative bastion, by courting the party establishment and cobbling together a coalition of coastal newcomers, moderate suburbanites and national security hawks in a state loaded with military families and veterans.

Ever since the Barry Goldwater wipeout of 1964, no Republican candidate has won the Republican nomination without having at least one foot planted firmly on the establishment side of the party divide. This is the bet Christie is making, so don't expect him to back away from signing the tuition bill, or any of piece of legislation, once he makes his barely concealed presidential campaign official.

As long as Christie is up front about where he stands, his positions may not hurt him as much as the right claims, said Robert Cahaly, a longtime Republican operative in South Carolina.

"It's running over a political speed bump, not into a brick wall," Cahaly said of Christie's support for the tuition bill. "He's got to do what he thinks is right and not apologize for it. Sort of his schtick."

"Now is as good a time as any to get it out of the way," Cahaly said. "It's kind of like that fight you've got to have with your bother over that lawnmower he wrecked. Don't put it off all summer. It's better for the Thanksgiving table. South Carolina GOP voters have forgiven and forgotten much more. Ask John McCain."

@highlight

Immigration reform remains a litmus test among GOP primary voters

@highlight

Possible 2016 candidate Chris Christie will sign New Jersey's version of the DREAM Act

@highlight

Bill allows undocumented immigrants who attended high school to pay in-state rate

@highlight

GOP operative says as long as Christie is up front about his position, it might not hurt him