(CNN) -- Syrian opposition leaders have dubbed Friday's planned demonstrations "Friday of Saleh al-Ali," a prominent Alawite who commanded one of the first rebellions against the French mandate of Syria in the early part of the 20th century.

Some opposition activists said they hope the name prompts the powerful minority ruling class, which is composed primarily of Alawites, to join the demonstrations demanding the fall of the regime. They also say the name sends the message that their demands are not directed against Alawites, but against the regime.

Government opponents accuse the regime of identifying them as an Islamist movement, which they deny.

The plans came as Syrian refugees continued Thursday to flee across the Turkish border to escape violence, as world powers amplified their outrage over the Damascus regime's tough crackdown on peaceful demonstrators.

The number of Syrian refugees now in Turkey stands at 8,904, Turkish emergency officials said.

Their report comes a day after Turkish government officials, including Turkish Prime Minister Recep Tayyip Erdogan and Foreign Minister Ahmet Davutoglu, met with a special Syrian envoy to help stem the growing tide of refugees.

Violence in the country and an offensive in and around the town of Jisr al-Shugur spurred thousands of people to make their way to the border region, and Turkish officials are worried that the crisis could deteriorate and destabilize the area.

Davutoglu met Thursday with Syrian envoy Hasan Turkmani, who also sat down on Wednesday with Erdogan.

The foreign minister briefed the news media in Ankara about the border crisis, the Turkish meeting with the Syrian envoy, and his visit with Syrian refugees on Wednesday in the Turkish city of Hatay.

"It was a meeting that was very comprehensive in which everything was openly discussed, based on mutual confidence and a joint understanding of sharing matters," Davutoglu said of the meeting with Turkmani and his delegation.

Calling for a "strong, stable and prosperous Syria," Davutoglu urged the timely development of a "comprehensive reform process" there and an end to the discord in Syria.

"I hope the positive scenario of introducing reforms and eliminating violence will take place," he said. "I don't even want to think about the other scenario."

He said Turkey will provide humanitarian help to Syrians massed on the Syrian side of the border. Many Syrians who have fled their homes haven't crossed into Turkey and have instead lived near the border in grim conditions.

"Turkey will never refrain from any help for Syria," Davutoglu said.

On Wednesday, the U.N. human rights office called for "a thorough probe into the allegations of widespread abuses committed by Syrian authorities during their violent crackdown."

"The most egregious reports concern the use of live ammunition against unarmed civilians, including from snipers positioned on rooftops of public buildings, and the deployment of tanks in areas densely populated by civilians," according to a preliminary report prepared by the Office of the High Commissioner for Human Rights.

"As of mid-June, the number of those killed during such incidents is believed to have exceeded 1,100 persons, many of them unarmed civilians; among them were women and children," it said, according to a U.N. statement.

The human rights office said reports indicate that up to 10,000 people have been detained over three months, and security forces "have perpetrated acts of torture and other cruel and inhuman treatment against detainees, resulting in death in custody in some cases."

The report, which covers the period from March 15 to Wednesday, is based on data from U.N. agencies, human rights activists, a small number of victims and witnesses, and various other groups. The human rights office said it had to rely on these sources because it hasn't been able to get its own staffers into Syria.

There also have been reports that the rights of people to freedom "of assembly, expression, and movement" and to get food and health care have been violated.

"The material currently before the high commissioner is a matter of grave concern and reflects a dire human rights situation in the Syrian Arab Republic," the report said. "The alleged breaches of the most fundamental rights on such a broad scale require thorough investigation and, with respect to the perpetrators, full accountability."

Navi Pillay, the high commissioner for human rights, urged Syria "to grant access to the country for the fact-finding mission established by the U.N. Human Rights Council."

More than 50 nations issued a tough statement on human rights abuses in Syria at the U.N. Human Rights Council on Wednesday, and the U.S. State Department underscored the thrust of the message Thursday.

"The international community has been shocked by the horrific reports of torture and arbitrary arrests, and widespread use of violence against peaceful protesters," said State Department spokeswoman Victoria Nuland. "This outrageous use of violence to quell protests must come to an end now."

The State Department called on Syria to allow the high commissioner's office to pursue its mission.

CNN's Yesim Comert and Kamal Ghattas contributed to this report

@highlight

NEW: Friday's planned demonstrations are named for a former Alawite leader

@highlight

More Syrian refugees trickle over the Turkish border

@highlight

The U.N. human rights office calls for a "thorough probe" into abuses

@highlight

The tumult in Syria began in mid-March