(CNN) -- Despite the excitement over the royal tour of New Zealand and Australia, the commonly held view of politicians in both countries appears to be that the writing is on the wall for the reach of Britain's monarchy to its far-flung South Pacific realms.

The Queen's official representative in Australia last year expressed support for replacing the monarch with an elected head of state, while New Zealand's ex-foreign minister and former head of the Commonwealth has said the country is "inching towards republicanism."

But how inevitable is it really that Australia and New Zealand will abandon their monarch to become republics?

Despite the view of the political classes in both countries, republicanism seems to be in reversal.

This year Australian Prime Minister Tony Abbott restored knights and dames after nearly 30 years, bestowing titles on the incoming and outgoing governors-general.

New Zealand Prime Minister John Key restored titular honors in 2009 after they had been abolished by a Labour government in 2000. Neither of these prime ministers will create a republic.

As in Britain, fondness for the monarchy has grown with the Queen's Jubilee and the popularity of the Duke and Duchess of Cambridge, and baby Prince George, whose attractiveness is refreshing monarchism.

Prince William has already reinforced loyalties in Australia and New Zealand with his visits to comfort embattled communities after the disasters of earthquakes in Christchurch and floods in Brisbane.

There are differences between Australia and New Zealand, however. The republican movement was, and is, stronger in Australia.

Empire status

To understand why, we need to turn to history. For a start, Australia was more Irish.

Transportation of thousands of convicts to the Australian colonies did not lend itself to devotion to the sovereign. So it is unsurprising that Australia developed a nationalist republican tradition, expressed by the "Bulletin" magazine from the 1880s -- with the motto "Australia for the Australians" -- that opposed the monarchy.

National hero Henry Lawson's first published poem, "A Song of the Republic," sought freedom from the "wrongs of the North and Past."

But no cleavage of loyalty threatened the imperial connection when Australia became a nation in 1901, and republican radicals remained in the minority. Membership of the empire conveyed a sense of pomp, pride and greatness in both countries. New Zealand decided its status within the empire would be grander by staying separate from Australia.

Historically New Zealand was the more loyal dominion, and more economically dependent until Britain joined the EEC, a move that did not help monarchism.

In 1911, New Zealand borrowed to build a battleship for the Royal Navy, whereas Australia established its own navy; and New Zealand introduced conscription in the First World War whereas Australia did not. New Zealand was last to sign the Statute of Westminster in 1947. It was not until 1986 that New Zealand finally removed the United Kingdom's residual powers to make law for New Zealand under a Constitution Act.

Colonization and honors

New Zealand Maori play an important part in the country's position on the monarchy. There is no equivalent voice for Aborigines with their harsher experience of colonization. The status of the Treaty of Waitangi, signed in 1840, is central in the New Zealand case, whereby the chiefs ceded government to the Queen of England in return for her protection. Ever since, "the Crown" has been of supreme importance to Maori.

Australia was first to introduce a republican-style honors system in 1975, including the Order of Australia. Again, a reformist Labor government made the change. Prime Minister Gough Whitlam, who led the initiative, joked that the only imperial honor he ever awarded was a damehood to Dame Edna Everage -- the character created by cross-dressing Australian comedian Barry Humphries.

For a while national and imperial honors systems overlapped and the Australian States continued to use imperial honors until the end of the 1980s.

The Order of New Zealand was introduced by a reformist Labour government in 1987. The remainder of the New Zealand honors system, however, had to wait until 1996. Jim Bolger, the then National (non-Labour) prime minister, is a republican, and his stance prompted the creation of a Monarchist League of New Zealand. Bolger denies that his Irish background explains his republicanism.

Constitutional change

Both Australia and New Zealand founded republican movements in the 1990s to act as lobby groups advocating constitutional change, the New Zealand one based on the Australian model.

But in New Zealand opinion has been more evenly split between republicanism and support for a constitutional monarchy. Recent polls put republican views in the minority, at about a third.

Australia differed from New Zealand in holding a referendum on becoming a republic in 1999, despite the prime minister's monarchism and a divided Liberal Party.

The Labor Party was near-unanimous in favor. In the event the people voted "no," because republicans were divided over how the president would be appointed. The referendum provided for appointment by parliament, when many favored a directly elected president. Distrust of politicians decided the result.

The monarch's popularity is a critical factor. Nothing is likely to happen in either country while the Queen is alive, except perhaps the design of the flags currently being waved at the Duke and Duchess of Cambridge.

As for baby Prince George, support for his position as future heir to the thrones of Australia and New Zealand may be dictated in part by the sustainability of his -- and his parents' -- celebrity status.

The views expressed in this commentary are solely those of Philippa Mein Smith.

@highlight

Republicanism in Australian and NZ seems to be in reversal, says Philippa Mein Smith

@highlight

Mein Smith says neither country's current prime minister will create a republic

@highlight

But she says the two countries' positions differ, with NZ historically the more loyal

@highlight

Australians' vote not to become a republic was in part due to distrust of politicians, she says