The vast blue sky stretched above Clara Bohitile's pick-up truck as it trundled down a dirt road deep in the Kalahari bushveld.

Stopping in a whirl of red dust, one of her workers jumped off the back to open the wire gate to her ranch.

It was a typical African rural scene, but with a difference: traditionally the driver would have been a white Afrikaans male farmer, but Bohitile is a black woman. Originally from a township in the capital Windhoek she now runs her own cattle farm, known locally as a "kraal".

Bohitile represents the changing face of Namibia. Under both German colonial and South African apartheid-era rule, political power, wealth and the ownership of productive land were deliberately dominated by whites. But since the country's independence in 1990 there have been concerted efforts to change the legacy of discrimination.

"The percentage of black farmers is still very small in comparison to white farmers," said Bohitile.  "But, indeed, we are entering that market, as black farmers we go through a lot of training, we do practicals on farms and we just get wiser and wiser and we try to do the right thing."

Land reform in Namibia is one of the county's most emotive issues and changing the old patterns of ownership is not easy.  Bohitile is making a success of her venture, but she is former Deputy Minister of Education and a prominent businesswoman today, which gave her access to capital and a head start.

iReport: send in your views on the country

Next to Bohitile's ranch is a former white-owned farm on which eight resettled black families are struggling to make a living.

Some assistance came last month when a white Namibian mentor, sponsored by German money and directed by the government-owned Agricultural Bank of Namibia arrived to advise one of the new owners, Naftali Katjiuongua.

"We are making money," said Katjiuongua.  "But its not enough to help us. Things are very expensive. We need more help from the government."

Problems remain but Namibia has come a long way from when I first visited the country as a teenager in 1976.  I will never forget the long rows of dusty, mostly dilapidated cars parked in the port of Walvis Bay. They had been left behind by white Portuguese settlers fleeing the revolution and civil war in neighboring Angola.

Read more: moving on from a difficult past

In South Africa, the flames of the Soweto uprisings were filling the air, while the war against white rule raged on the Namibia borders.

The future for many in southern Africa seemed hopeless then. There seemed to be no way out of the conflict between white and black over who should rule the land and own the wealth.

I could never have imagined that over 35 years later Namibia would be such a peaceful country, although serious issues remain: unemployment is estimated to be over 50% and over 70% among youth, the gap between rich and poor is too high, and skills development is low.

Test your knowledge of Namibia

Yet black Namibians have made huge strides. The CEO of the country's largest diamond mining company, Namdeb, is Inge Zaamwani-Kamwi, a black woman who is leading a new struggle in the country.

"The war for talent is an ongoing challenge," she says.  "We don't believe we can ever say we have trained enough.  When there is progress and you are moving forward you will need to keep up with skills development."

Bohitile and Zaamwani-Kamwi are two women who encapsulate the new Namibia, and the possibilities open to them today were virtually unimaginable in the past.

Namibia's success is that black advancement has not meant white diminishment.

German and Afrikaans culture is still strong. There remains a strong sense of shared identity among Namibians of all races, and a common belief that their future can be better.

Hamilton Wende is a freelance writer and television producer. He has written six books and is a producer for CNN's Eye on Namibia coverage.

@highlight

Namibia is slowly moving on from its history of discrimination

@highlight

Land ownership remains emotive issue

@highlight

Efforts being made to encourage more black farmers and gender equality

@highlight

Possibilities today were unimaginable in the past, says Wende