(CNN) -- When she was a public health administrator for the state of California, Kathryn Hall-Trujillo found that her greatest challenge was paying for babies who were born sick.

"The figure we were working with at that time was about $300,000 ... to stabilize a baby for the first 90 days," said Hall-Trujillo, who worked for the state from 1976-1991.

At the same time, she said, it cost just $2,000 to ensure pregnant mothers received all the care they needed for a healthy pregnancy and proper delivery.

The staggering disparity, along with troubling rates of infant mortality in America, compelled Hall-Trujillo, 62, to find a solution.

"It occurred to me that one of the things that we could do that would cost hardly anything was to make sure that moms who were at risk ... [were] really connected to care," she said.

What Hall-Trujillo came up with was Birthing Project USA. Since 1988, the nonprofit organization has been battling high infant-mortality rates by pairing soon-to-be moms with volunteer "sister friends" who provide guidance and support through the pregnancy and first year of the baby's life.

Of every 1,000 babies born in the United States, at least six (6.14) do not survive their first year of life, according to the CIA World Factbook. That gives the United States only the 45th best infant mortality rate in the world, trailing top-ranked Monaco (1.78 deaths per thousand births) and countries such as Japan (2.79) and the United Kingdom (4.78).

And African-American babies, regardless of the mother's age, income or educational level, are more than twice as likely to die before the age of 1 than Caucasian babies, according to the U.S. Department of Health and Human Services.

It is this at-risk group that the Birthing Project primarily targets.

"By the act of going back and saving what we consider to be our little sisters at risk, we have found out that we're also saving our own lives, because we need this kind of information and ... support, regardless of where we are on the socioeconomic ladder," Hall-Trujillo said.

Hall-Trujillo started the project as an experiment while working for the state in 1988. She paired 10 young, pregnant African-American women who had little access to financial, educational and emotional support with more experienced black women who had further education and more stable income. The idea was to have the pairs work together to ensure positive birth outcomes. This became the founding "sisterhood" that has since been replicated thousands of times.

Hall-Trujillo participated in the experiment as a "sister friend" herself. But just days after delivery, the baby of her "little sister" died from complications.

"I used the words infant mortality ... every day of my working career. But until I held DeAndre in my arms, I never realized that that meant counting dead babies," she said. "[That] was...enough to really change my life."

The experience moved Hall-Trujillo to quit her job and work on the Birthing Project full time.

Do you know a hero? Nominations are open for 2010 CNN Heroes

Since its inception, the Birthing Project has welcomed more than 12,000 babies in 94 community chapters in the United States, Canada, Cuba, Honduras and Malawi.

"We've been doing this long enough now that you can hear a  child -- 20 years old -- say, 'I was born into the Birthing Project,' " Hall-Trujillo said. "That means more to me than anything that I may have given up, because in return I have received a whole community."

Hall-Trujillo and veteran chapter leaders train women who step up and create chapters in their own communities. Together, they identify local partner organizations that provide the support services needed for maternal and child health, such as parenting classes and transportation to doctor appointments. The volunteers then help connect their pregnant sisters to those resources.

"All of us want to see our babies born as healthy as possible to families who are prepared to care for them," Hall-Trujillo said.

Laniqua Roussell, 36, and her "little sister," Evan Batiste, 20, are part of the group's newest chapter in New Orleans, Louisiana. The two were paired together in April, at the end of Batiste's first trimester.

Roussell has played a key role in Batiste's pregnancy. She not only helps make sure Batiste is eating right and attending her prenatal appointments, but she also helps Batiste budget her money and find access to affordable, stable housing.

"I wanted a big sister that [has] kids, [has] accomplished a lot in life already to teach me things I don't know," Batiste said. "I could tell she cares about me. I could sense it. ... I needed that."

For Hall-Trujillo, seeing the difference the Birthing Project is making is "magical."

"We can do something to help save the world," she said. "All these women prove me right."

Want to get involved? Check out the Birthing Project website at www.birthingprojectusa.org and see how to help. You can nominate a 2010 CNN Hero at cnnheroes.com.

@highlight

Birthing Project USA helps soon-to-be mothers find guidance and support

@highlight

The goal of the mentoring program is to prevent babies from being born sick

@highlight

Kathryn Hall-Trujillo came up with the idea while she was a public health administrator

@highlight

Do you know a hero? Nominations are open for 2010 CNN Heroes