(CNN) -- Artists Joana Hadjithomas and Khalil Joreige have spent the last 13 years collecting the spam and scam emails that most of us delete from our junk folders.

Their content -- from pleas for sympathy and money to promises of easy fortune -- give an alternative history of the world over the past decade, according to Hadjithomas and Joreige, both from Lebanon.

A video installation, called "A Letter Can Always Reach Its Destination," featuring people reading from scam emails, is one of the five winning pieces of the Abraaj Capital Art Prize unveiled at Art Dubai this week. (March 20).

It is the world's only art prize specifically for Middle Eastern, North African and South Asian artists and the only one that rewards proposals rather than finished artworks, say the organizers.

The winners were announced last October, and the artists had five months to work on their pieces.

The other four winners were Palestinian artist Taysir Batniji, Wael Shawky from Egypt, Risham Syed from Pakistan and Raed Yassin from Lebanon.

Hadjithomas said they chose 45 emails to read out for "A Letter Can Always Reach its Destination" from some 4,000 received over the years.

"In our work we are very interested in the way you write history," said Hadjithomas.

"The scammers chose places where corruption is possible, such as Africa, the Middle East or Russia, and base their stories around real events and conflicts in these countries.

"Sometimes they claim to be close to the protagonists of the events, such as the son of an African dictator.

"You can read a kind of history of the world over the last 10 years in a different way through these emails.

"You can understand a lot about African conflicts, Iraq, Libya, Russia or what was happening in other parts of the world."

The video features ordinary people reading emails originating from their own countries. The stories sounds convincing until they mention the $35 million they have, said Hadjithomas.

"They are melodramatic stories about people dying, cancer and disease. We chose ones that were well written, even if their English was poor.

"Sometimes the stories are not very far from their lives of the people reading them and some were very touching to film. You can be fooled by them for a while."

Also on Inside the Middle East: Can Baghdad be beautiful again?

A more personal piece comes from the Palestinian artist Taysir Batniji, who produced "To My Brother, which he describes as a tribute to his brother Mayssara, killed by an Israeli sniper during the First Intifada in 1987.

"To My Brother" is a series of 60 inkless carvings on paper, tracing photographs from Mayssara's wedding in 1985. The pages look blank from a distance and only reveal their detail up close.

"My work is about disappearance in general and especially in the Palestinian context," said Batniji. "This piece comes in the same line, but it is more personal.

"It was hard to begin work because when I started looking at the pictures, it was the first time I had looked at them since his death.

"After three months' work, I felt I was living with my brother again, being with him day by day."

Lebanese artist Raed Yassin combines his take on his country's civil war with the ancient tradition of recording military victories on vases.

Lebanon has a history of political instability. In 1975 civil war broke out between Christians and the Muslim-PLO alliance. It raged for 15 years years, killing more than 100,000 people.

His work "China" features seven Chinese porcelain vases featuring key battles from Lebanon's civil war.

It is, according to the exhibition booklet, "part-beautiful object, part-historical document, and part-mass-produced product."

The two remaining prize winners also give a modern twist to historical events or art forms.

Wael Shawky, an Egyptian artist and filmmaker, produces a medieval marionette theater with ceramic dolls. The scene shown is taken from a painting by the French painter Jean Fouquet featuring Pope Urban II delivering a speech, which is thought to have led to the launch of the First Crusade one year later, in 1096.

The curtains to the theater open for only a minute at a time, leading to the title, "A Glimpse of Clean History."

Pakistani artist Risham Syed's work "The Seven Seas" is seven embroidered quilts featuring maps of port cities along trading routes of the former British empire.

"Apart from being trade gateways, these cities were also sites of resistance and rebellion against the imperial powers," says the exhibition booklet.

Also on Inside the Middle East: Saudi women: Pampered or oppressed?

Nat Muller, the Dutch guest curator of the Abraaj Capital Art Prize, said the works -- displayed under the title "Spectral Imprints" all follow a common theme.

"The works all refer to history and how we are living in a moment when the models we are used to are coming apart, from the Arab Spring, to financial crisis in Europe and America to the Occupy Movements," she said.

"It's the first time that there's a unified exhibition at Abraaj, that's my own little Arab Spring. The exhibition is more than the sum of its parts. The exhibits are strong, but also speak to each other to give a richer experience."

Muller said the $120,000 prize money given in advance based on proposals allowed artists to make work that would not otherwise have been possible.

"It's extremely important that there's production money because that's the most difficult thing for artists to find resources to concentrate on a piece they want to make," she said. "It allows artists to venture outside their comfort zone and do things they would not normally do."

"Now in Dubai there's an art scene that's maturing so these political and critical artworks can be appreciated in a place like this," added Muller.

@highlight

Abraaj Capital Art Prize specifically for Middle Eastern, North African and South Asian artists, say organizers

@highlight

Winners announced based on proposals and the completed works unveiled five months later

@highlight

Art works all have historic theme and include a video installation, quilts, vases, etchings and more