(Health.com) -- More than one in 10 women develops depression during pregnancy. Now, a new study suggests that women who are treated with antidepressants are more likely to give birth early or to have newborns that need to spend time in a neonatal intensive care unit.

Babies of women taking SSRIs were born earlier and were more likely to have been admitted to intensive care.

Depression itself can have ill effects for both mom and baby. Therefore, the benefits of the antidepressants -- known as selective serotonin-reuptake inhibitors -- may still outweigh the risks for some women, researchers say.

"There is no easy way out of this," says Dr. Tim Oberlander, a developmental pediatrician at BC Children's Hospital, in Vancouver, Canada, who has studied the effects of SSRIs on children exposed in the womb, but was not involved in the current study. "Depression needs to be managed, and for some women, the use of these medications is appropriate and necessary." Health.com: 3 Signs you should stop, adjust, or switch antidepressants

The new study, led by Dr. Najaaraq Lund, of Aarhus University, in Denmark, found that babies whose mothers had taken SSRIs were born earlier and were more likely to require treatment in an NICU.

Women have been using SSRIs during pregnancy since the early 1990s, Lund and her colleagues point out in the report, which is published in the October issue of Archives of Pediatrics & Adolescent Medicine. These drugs, which include Zoloft, Prozac, and others, are widely considered to be the safest type of antidepressant medication to take during pregnancy. It's been difficult to confirm their safety, however, especially since investigators have to find a way to distinguish between the effects of depression itself -- and habits that depressed women may be more likely to engage in, like drinking and smoking -- and the drug on the newborn. Health.com: Do pregnancy and bipolar disorder mix?

Lund and her colleagues tackled this issue by including a group of women who reported a history of some type of psychiatric illness but weren't taking SSRIs. Some, but not all, of these women had suffered from depression. "Using this group as a comparison group takes into account possible genetic or lifestyle factors associated with present or previous psychiatric disorders," the researcher notes.

The analysis included 329 women who took SSRIs in pregnancy, 4,902 with a history of psychiatric illness who weren't taking the drugs, and 51,770 women who reported no history of psychiatric illness and weren't taking SSRIs. All had received prenatal care at Aarhus University Hospital between 1989 and 2006.

Babies of women taking SSRIs were born an average of five days earlier than those born to women who had no mental illness, and were twice as likely to be born preterm. The babies whose mothers took SSRIs were 2.4 times as likely to have been admitted to the NICU than infants who hadn't been exposed to the drugs in utero.

They were also more than four times as likely to have Apgar scores below eight, just five minutes after birth. (Apgar scores measure an infant's health at birth by looking at his or her breathing, heartbeat, reflexes, muscle tone, and skin color; scores of seven and above are considered normal, and a newborn's Apgar score has no influence on how he or she will fare later in life.)

There was no difference between SSRI-exposed babies and unexposed babies in head circumference or birth weight.

Antidepressant medication is just one part of the equation in addressing women's mental health during pregnancy, notes Oberlander, who says depression in pregnancy is a "huge public health issue" with lasting implications for women and their children. Helping ensure that women are getting enough social support and adequate nutrition is essential, he adds, while alternative treatments for depression -- such as exercise, light therapy, and omega-3 fatty acids -- ought to be explored further. "In general, optimizing non-pharmacological treatment would be a really important step," he says.

He explains that it is essential to follow SSRI-exposed babies as they grow up, to identify any problems and intervene as necessary. However, he and Lund agree that it's still unclear whether the differences seen at birth will have lasting effects on a child's development and health. Health.com: 6 Rules for a healthy postpartum slim-down

"As depression itself can influence birth outcome in a negative direction, treatment is warranted in some cases based on the existing body of evidence," Lund says. "In cases with mild or moderate symptoms, psychotherapy can be used as an alternative treatment. In severe cases and in patients with a history of recurrent, severe depression, continuation or initiation of treatment might be the best option.

"Every single case should be considered individually, and the decision should be made by the woman and her ob-gyn and psychiatrist," she says. Health.com: Why you cannot wait to treat postpartum depression

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

Danish study finds babies whose mothers took antidepressants were born earlier

@highlight

Babies of mothers who took SSRIs were 2.4 times likely to be in intensive care

@highlight

It's unclear whether differences seen at birth will have lasting effects on child