(CNN) -- In 2006 I spoke at TED about developing children's natural powers of creativity and imagination. Returning to TED in 2010 I wanted to focus on the need for a radical shift in education more generally.

Reforming education is rightly seen as one of the biggest challenges of our times. In my view, reform is not enough: The real challenge is to transform education from a 19th century industrial model into a 21st century process based on different principles.

Current systems of education are based on the manufacturing principles of linearity, conformity and standardization. The evidence is everywhere that they are failing too many students and teachers.

A primary reason is that human development is not linear and standardized, it is organic and diverse. People, as opposed to products, have hopes and aspirations, feelings and purposes.

Education is a personal process. What and how young people are taught has to engage their energies, imaginations and their different ways of learning.

Learn more about Ken Robinson at TED.com

In the talk I gave at this year's TED conference, I made a passing reference to fast food. Let me elaborate briefly. In the catering business, there are two main methods of quality assurance. The first is standardizing. If you have a favorite fast food brand, you can go to any outlet anywhere and know exactly what you will find: same burger, fries, cola, décor, and attitudes. Everything is standardized and guaranteed. By the way, this "cheap" food is also contributing to the most costly epidemic of diabetes and obesity in human history. But at least the standards are guaranteed.

The other method of quality assurance are the star ratings guides, like Michelin. These methods do not prescribe what's on the menu, when restaurants should open, or how they should be decorated. They set out criteria of excellence and it's up to each restaurant to meet them in their own way. They can be French, Mexican, Italian, Indian, American or anything else. They can open when they choose, serve what they like and hire whom they want.

In general they are much better than fast food and offer a higher standard of service. The reason is that they are customized to local markets and personalized to the people they serve.

Education reform movements are often based on the fast-food model of quality assurance: on standardization and conformity. What's needed is a much higher standard of provision based on the principles of personalized learning for every child and of schools customizing their cultures to meet local circumstances.

This is not a theory. There are schools everywhere that demonstrate the practical power of these principles to transform education. The challenge is not to take a single model to scale but to propagate these principles throughout education so that teachers, parents, students and principals develop their own approaches to the unique challenges they face in their own communities.

Standardization tends to emphasize the lowest common denominator. Human aspirations reach much higher and if the conditions are right they succeed. Understanding those conditions is the real key to transforming education for all our children.

The opinions expressed in this commentary are solely those of Ken Robinson.

@highlight

Sir Ken Robinson: School reform is often a process of mandating standards and uniformity

@highlight

Industrial model for schools provides standards but no room for creativity

@highlight

He says for creativity to thrive, schools must meet individual and community needs