(CNN) -- Republican Gov. Scott Walker's convincing win Tuesday in Wisconsin was not just a victory for the governor himself, but a major triumph for conservatives in the fight to curb public employee unions. For the country's sake, however, it will be far better if this struggle remains a fight rather than all-out war.

In the run-up to Election Day, the Wisconsin recall vote was widely touted on the right as the second most important election of 2012. It was ignited when Walker pushed through a budget repair bill to curb the public employee unions. One key provision prohibited the unions from engaging in collective bargaining about anything other than pay (firefighters and police were exempted). Another provision said that a civil servant can no longer be forced to join a union and pay dues; there must be freedom of choice.

That set off a firestorm of protests, turning the state capital upside down. Hundreds of vociferous protesters occupied the Wisconsin Statehouse, Democratic legislators bolted to Illinois to try to deny a quorum, and tens of thousands took to the streets.

For a while, it looked as if Walker had gone too far. Wisconsinites needed just 540,000 valid signatures to trigger a recall against him; they gathered more than 900,000. Public polls in May 2011 showed Walker with a dismal 42% approval rating vs. 55% disapproval. The mainstream media portrayed the recall as a huge showdown over collective bargaining rights and were often sympathetic to the protesters. Walker seemed headed toward defeat this June.

But in the many months that followed, the mood clearly changed. One of us (David Gergen) spent two days recently in visits to Madison, Green Bay and Milwaukee. Sentiment was often strong for Walker, especially among small-business owners. People agreed that new laws have helped to reduce government costs at a state and local level and that the economic outlook is somewhat better.

Some told stories of teachers who were happier now that they didn't have to pay union dues and had more freedom. The Wall Street Journal has reported that membership in the state's second largest public union, the American Federation of State, Country and Municipal Employees, fell from 62,818 in March 2011 to 28,745 this February; the union disputes the figure, but no one disagrees that the unions have been losing members.

As Election Day approached and polls started to show Walker with a solid lead, some Democrats increasingly tried to argue that the vote wasn't really a referendum on on Walker's reforms but rather about a host of more local issues.

Don't be fooled: This recall was and is centrally about the public sector union fight, and it is important. Walker survived handily in the state that gave us one of the nation's legendary progressives, "Fighting Bob" La Follette, as well as the first public-sector, collective-bargaining agreement, and it is hard to deny that the nation is speaking. And with Walker surviving comfortably, a state that favored Barack Obama by 14 points in 2008 and seemed headed for the president's column again should turn deep purple.

Opinion: In Wisconsin, deep anger isn't going away

The winds of change are blowing. Public employee unions have traditionally been well-regarded since they started up a half-century ago. A New York Times poll in February 2011 showed that a considerable majority still looks upon them with favor.

But in recent years -- from "rubber rooms" for teachers who can't be fired in New York City to the prison workers unions in California that helped to drive prison spending to nearly the same level as all higher education in the state -- resentments have been stirring against the power and alleged abuses of public sector unions. Too often in the past, critics argue, governors and mayors have signed on to sweetheart pension and health care deals for the unions -- the same groups who helped them get elected.

Now with huge bills mounting and governments broke, a backlash is growing, led by Republican governors. Gov. Chris Christie's dust-ups with the public sector unions in New Jersey have won no awards for congeniality, but he is pushing forward and his approval has recently been as high as 59%, an astounding number in a relatively blue state. Gov. Mitch Daniels in Indiana has also enjoyed public support for his efforts to trim union power.

In Ohio, voters went the other way in a November 2011 referendum, rejecting Gov. John Kasich's public sector reforms. Some see the Wisconsin vote on Walker as a rubber match victory for the reform side; Walker himself has compared his efforts to Ronald Reagan's battle with the air traffic controllers -- a pivotal moment in Reagan's presidency.

Republicans are not alone in this struggle. Notably, New York's Democratic governor, Andrew Cuomo, has been waging a vigorous campaign to reduce the state's financial commitments to union pension and health plans, and Gov. Jerry Brown has been forced in the same direction in California. Democratic mayors, such as Rahm Emanuel in Chicago, have charged forward, too.

Clearly, many of the arguments against the public employee unions have great merit. Too often in the past, just as in the auto industry, management signed onto lavish deals underpinned by rosy economic scenarios that in today's environment just aren't affordable. Trims have to be made, starting with new employees. Among ardent school critics, it is now an article of faith that teachers' unions are also blocking serious progress in K-12 education; a film coming this fall, "Won't Back Down," is much anticipated by people who want an overhaul of the system and who see it as a good depiction of the problem.

But there is a difference between fixing what is broken in public employee unions and trying to destroy them. There was a time in our history when public unions were suspect -- Franklin D. Roosevelt himself once wrote that "the process of collective bargaining, as usually understood, cannot be transplanted into public service." In today's world, however, with growing inequalities in pay and business able to exercise so much power in politics, firefighters, police officers and teachers deserve a right to be represented, too.

For those of us who support charter schools and other K-12 changes, it is equally important to recognize that engaging in all-out war with teachers' unions will wind up punishing children more than anyone else. However many charter schools there are, the fact will remain that the vast majority of lower-income students will be taught by teachers who belong to unions. And that will be true as far as the eye can see. It is far better to find ways to collaborate than to waste time in search and destroy.

Emanuel is pointing the way forward in Chicago. He is cracking down on abuses -- a sanitation worker, for example, who was paid some $38,000 in the first four months of this year for overtime alone. But Emanuel is extending a hand, not a fist. "I'm not looking to beat labor. I want them to be a partner in solving" the city's problems, he told reporters.

Walker's victory on Tuesday will galvanize those battling to curb the excesses of public employee unions. From them could come great progress -- as long as we don't forget to honor those who serve the public well.

The opinions in this commentary are solely those of the writers.

@highlight

Wisconsin Gov. Scott Walker survived recall effort by wide margin Tuesday

@highlight

When Walker limited public worker unions rights, it caused a firestorm

@highlight

Walker's win, authors write, reveals the extent of the backlash against these unions

@highlight

Writers: Other governors are right to curb abuses, but they shouldn't crush unions