(Oprah.com) -- It came as no surprise to a woman we'll call Joan when, after 16 years of marriage, she and her husband started discussing the possibility of divorce. Deep down she'd never believed her marriage, or any marriage, could be genuinely happy. Still, the reality was crushing. "I was desperate," she says. "I thought, 'I'd do anything to feel better.'"

How about singing every day, making lists of things that made her happy, and getting a "joy buddy"?

Those are among the suggestions given in Awakening Joy, a class taught by James Baraz, a meditation instructor and founding teacher of Spirit Rock Meditation Center in Woodacre, California. A series of exercises, lectures, and meditations stretched over 10 months, Awakening Joy is designed to bring more happiness to people's lives.

Like some participants, Joan, who heard about the program while attending a meditation retreat at Spirit Rock, initially balked at the idea of singing. "I thought James wanted me to join a choir," she says, "but I took it on faith that the singing was going to work." So she started trilling along with the "Hairspray" soundtrack while driving. "It seemed ridiculous, but that's what initially helped me the most."

"The course uses practices that lead the mind toward states of happiness and well-being," says Baraz. "In other words, it teaches you to focus on how it feels to feel good." The first and most important step, he says, is intention: making the decision to be happy.

Robert Holden, Ph.D., author of "Happiness Now! Timeless Wisdom for Feeling Good Fast" and director of the Happiness Project in the United Kingdom, agrees that this is key. "Intention is another word for focus. Whatever you focus on will become more apparent and will grow. For centuries, optimists and pessimists have argued over who's right, and the answer is they both are; each sees what they're looking for. If you focus on happiness, that's what you become more aware of."

Once participants have made up their minds to be happier, Baraz gives them the tools -- delivered in lectures to the live class he teaches in Berkeley and in twice-monthly e-mails sent to participants in other areas -- to teach them how to cultivate a positive state of mind. Among them:

• Writing what the word joy means to you

• Doing some form of physical movement -- such as yoga, dance, or walking -- a few times a week

• Making a "nourishment list" of activities you enjoy, checking off those you do regularly and circling the ones that could be done more often

• Checking in with your "joy buddy," a kind of running partner in the pursuit of happiness.

"That's important," says Holden. "One of the major blocks to happiness is a sense of isolation. If you're alive, you need help."

There are also guided meditations, including instructions on how to be mindful --being present for whatever you're doing and, as Baraz says, "simply being aware of what is happening right now without wishing it were different."

For Joan, that turned out to be a bigger challenge than singing -- especially when her husband suggested that they begin the separation process.

"Awakening Joy isn't about being a happy little do bee," she says. "You're taught that when feelings arise, no matter what they are, you stay with them. When my husband said we should contact a mediator, I cried years of tears. But by accepting those painful feelings, I had a watershed moment: I realized that I really wanted this marriage."

Rather than assuming divorce was inevitable, Joan started to see other possibilities. "From that day to this, it's been a whole different experience," she says. "My husband and I are still together, and in a way that I honestly didn't think was possible."

For Baraz, the best testimonials come from former skeptics; he admits that he himself wouldn't be the best case study. "I've always been a relatively joyful, celebratory kind of person," he says. He found his spiritual path in Buddhism, but when his studies became very serious, so did he.

"Then I realized that the Buddha was called the Happy One, and he said, 'Go for the highest happiness.' That became the focus of my teaching." (Baraz points out that one needn't be a Buddhist, or of any particular faith, to reap the benefits of Awakening Joy. "Ministers, rabbis, and secular experts have successfully used these basic principles," he says.)

The idea for the course began eight years ago, when Baraz's wife, Jane, gave him a book called "How We Choose to Be Happy," by Rick Foster and Greg Hicks. "The instructions made a lot of sense, but they didn't have a spiritual dimension," Baraz says. "So I added that and presented it as a series of talks with my weekly meditation group for about three months to see what would happen." The results: "We got happier and happier!"

Baraz then turned Awakening Joy into a six-month class and found that participants maintained a positive attitude even after it ended (as long as they practiced the exercises; as with diets or working out, continuity is essential).

Word of mouth about the course that could make people happier began to spread: The first round of Awakening Joy meetings consisted of about 40 members. The next numbered 100; the next, 200, and then 500. It went international when its members began e-mailing their monthly homework assignments from the lectures to friends. Baraz was thrilled to receive messages from strangers in Europe, Africa, and New Zealand. "It works!" they wrote. Apparently, you didn't have to be there to get the joy.

Nor do you have to be the type who can deftly turn a frown upside down. "I'm the person who walks into a nicely designed room and notices only that the painting was hung too high," says Gretchen, age 56.

In addition to being a "serious" woman from a depressive family, Gretchen also found herself in chronic pain after sustaining a back injury. "It was horrible," she recalls. "Medication made me sick. I felt guilty about not being able to work, and I thought people were judging me." Though a specialist was able to alleviate some of her physical discomfort, Gretchen fell into a deep depression.

She heard about Awakening Joy after taking Baraz's meditation classes at Spirit Rock. "The first thing I was hit by was the instruction to notice what it feels like when you're happy," she says. "I loved the walks I took to help my back, but before, I just plodded down the street, not noticing anything. Now I'm aware of how I feel when I'm walking, which enhances my enjoyment."

Writing lists of things she's grateful for was also a big help. "A lot of my seriousness has lifted," she says. "I have a lighter heart. I still have chronic pain, but I know there's a lot to feel good about."

Baraz is writing a book about Awakening Joy and the people who now routinely roll up the windows in their cars so they can sing as loudly as they want to. "More than 2,000 people have tested it, so it's not some airy-fairy idea," he says. "I've learned that it's possible to change, no matter what your history or the limiting beliefs you've held on to. If you have the intention to be happy and you do the practices, if you give it your best shot and are very patient, it works."

We're all so used to thinking that we'll finally be content when we find the perfect partner, lose weight, or get our dream job. Is it really possible to become happier just by deciding you can?

"We use the language of having, getting, and chasing to describe happiness, rather than being," says Holden. "What we've learned about happiness is that it isn't an it or a thing. Research has proven that there is no one set of circumstances that makes someone happy; it's more about having a healthy mental attitude toward whatever you're experiencing. So, you can either chase happiness or you can choose to be happy. It really is that simple."

By Suzan Colón from "O, The Oprah Magazine," January 2008.  E-mail to a friend

Subscribe to O, The Oprah Magazine for up to 75% off the newsstand price. That's like getting 18 issues FREE. 

Subscribe now!

TM & © 2009 Harpo Productions, Inc. All Rights Reserved.

@highlight

Joy is different for everyone, but some may not recognize it

@highlight

Make a list of activities that nourish your spirit

@highlight

Expert: What you focus on in your life will grow

@highlight

Get a partner to encourage and nudge you towards joy