(CNN) -- Many people fail to have great careers because they make excuses to avoid taking action. They dismiss the importance of passion to great careers by claiming that passionate people are abnormal.

By contrast, in most people's eyes, those who are normal only need to work hard and they will have at least a good career.

But good jobs are disappearing, as bad and great jobs squeeze out the middle range. Hard work alone buys little advantage.

The most common excuse is to use the importance of family and personal relationships as the reason to avoid the demands of a great career.

But how can you be a great spouse, parent or friend by denying your true identity?

Without passion, no one can fully express their talent or define who they are.

TED.com: Keep your goals to yourself

Since pursuing your passion is a necessary -- but not sufficient -- condition for a great career, it becomes logically essential to find your passion as a starting point.

Nevertheless, many people struggle to find their passions. What mistakes are they making?

Often they assume that finding one's passion is a matter of luck. They see that some people found their passions as children. Often others seem to just trip over their passion as they move into adulthood. The process seems random and difficult to view as a methodical process of search.

Yes, some are lucky. They have the luck of being born into a family in which a family member or friend shows them a domain that immediately engages them, or one that slowly sneaks up on them. In the absence of the lucky circumstance of their family, the search would have been longer and more challenging.

TED.com: A kinder, gentler philosophy of success

But notice that some who pursue a childhood or family "interest" do so only as a convenient default choice. It was there and so they chose it to avoid further thought or uncertainty. It is hardly an interest, although they may speak of it very positively -- the better to tell themselves or others that they made a "wise" choice.

The majority of us do not have the advantage of circumstance, and therefore have no choice but to search for our passion.

Many people fail to find their passion because they either fail to search methodically or search persistently. Some will simply not commit the time and energy to a search that can often be frustrating. In fact, they want their "destiny" to find them; they do not want to find it themselves.

You cannot find your passion idly staring into space, hoping for it to appear as a revelation, from one book, article, blog posting or casual conversation.

TED.com: 4 lessons from robots about being human

Those who search and find their passion place themselves in intensely stimulating environments, and stay there until the job is done. It can be intellectually exhausting.

There are many such environments. Some read voraciously; others seek out many people in many situations and engage them in intense conversation. Some do both. Others visit every major museum and gallery in North America. They find their passion by immersing themselves in human experience.

But you cannot just read, talk or experience. You must also have your mind in high gear. You must be fully engaged, reading and thinking to a purpose. You must be constantly saying to yourself about whatever book, fact, argument, person or experience is at hand: Why? What if? Why don't they?

Yes, it is intense. And yes, too few are practiced in this art, no matter their level of education.

But you will never find your passion in the modern way: by surfing or browsing. Recognize the superficiality implied by those words and by our impatient, thoughtless world.

You will have to stand against the popular culture to find your passion. Too many do not have the independence of mind or force of commitment to do so.

TED.com: Inventing is the easy part

Take the time you need. Recognize your mind's natural tendency to resolve its painful uncertainty by rushing to judgment, even to the judgment that it is time to give up.

How will you recognize your passion when you encounter it? Usually, it is quite easy. One moment you are reading in hopes of finding a topic of great interest; then you find that you are reading and do not want to stop. Or you find yourself in a regular conversation, and you start talking with excitement about an idea. Or you find yourself in an activity and you lose track of time itself. The rule of passion is simple: the mind cannot stop thinking about that which it loves.

Your passion is what you would do even if you won the lottery.

Even with a passion identified, there is a common pitfall. Some people find their passion, and then relying on no more than popular opinion, they dismiss the passion as one that "cannot be turned into a livelihood." And they move on to try to find a second, more practical love. That is not necessarily a bad choice since one could certainly have more than one love.

But before you look for a second love, you should creatively examine whether your first found love could support a career. Research the experiences of those who have found ways to pursue such livelihoods. Never take conventional wisdom as anything other than folklore, to be tested against your logic and experiences.

Remember that passion is necessary for a great career, but it is not sufficient. There's no magic here. Success also demands persistence, focus, discipline, independence of mind, resourcefulness, experimentation and high creativity.

The opinions expressed in this commentary are solely those of Larry Smith.

@highlight

Larry Smith: Most people fail to have great careers because they make excuses

@highlight

He says people shun trying for greatness, saying it would harm their personal, family life

@highlight

He says great careers require people to find their passions and act on them

@highlight

Smith: Success also requires persistence, focus, discipline and resourcefulness