(CNN) -- General Eric Shinseki, one of the finest soldiers of his generation, performed a final act of service for his country when he fell on his sword. It was a sad moment but, as a life-long patriot, he knew he had to resign as secretary of Veterans Affairs.

As good an officer as he was, he could no longer expect to lead his huge department, a bureaucracy second in size only to Defense and representing nearly 15% of the entire federal civilian work force. Evidence has been piling up that he and his top lieutenants knew shockingly little about misdeeds within the department, despite years of negative reports. And he was rapidly losing the confidence of Congress, the public and most importantly, veterans.

Now, attention can rightly expand from investigations of the past -- though they must go on -- to how to fix the future. A White House that has hardly covered itself with glory needs to get on top of the problem and stay aggressively there.

The place to start is to appoint a world-class leader to run the place and recruit a squad of young, talented veterans from Iraq and Afghanistan as a personal support team.

Unfortunately, the best person in the country to run the VA is the least available: Robert Gates. No one knows more or as has been more effective in running large, massive public institutions than Gates. He was not only superb at running the CIA but was then successful in running Texas A&M (the seventh-largest university in the country) and went on to serve with great distinction as secretary of defense, winding down two wars for Presidents Bush and Obama.

Borger: Obama defeated by bureaucracy?

But Gates is now happy in retirement in Washington state, thousands of miles away from Washington, D.C. If you have seen him on a book tour, you may have noticed the neck brace he had to wear for a few months. He jokes that one morning over breakfast he told his wife he was thinking of returning to D.C. and the next thing he knew, he woke up in the hospital with a broken neck.

The point is that the VA desperately needs a leader who can overhaul an agency notoriously resistant to change, someone who knows a lot about military culture. After Gates, the next best choice is likely to be his last deputy at DOD, Ashton Carter. (Disclosure: Carter is a friend and esteemed colleague from the Kennedy School.) Carter won very high marks among civilians and military as deputy secretary, the person who "runs the building."

The White House may also find a retired four-star general who would be a good fit; retired Gen. John Allen, whom the President tapped to help out with negotiations in the Middle East, quickly comes to mind. But the roster of people who would be strong choices is actually quite limited, so the search must be relentlessly tough-minded.

Even so, this is not a one-person job. A new secretary will need reinforcements. There are none better than some of the veterans who have come back from Iraq and Afghanistan, peeled off their uniforms, and volunteered to continue their service as civilians -- rightful heirs of the World War II generation.

A smart White House would recruit some of the best among them and put them to work fixing the VA in some imaginative way -- possibly in full-time stints, possibly in consulting teams. An obvious candidate as leader: Lt. Cmdr. Eric Greitens, a Rhodes Scholar, Navy SEAL, veteran of several tours, best-selling author, founder of the veterans group, The Mission Continues (I serve on its board).

In recent years, I have had the privilege of teaching a number of veterans who have pursued graduate degrees at Harvard. They are extraordinarily talented and ready to help. Start with Maura Sullivan, for example: Northwestern undergrad, Marine officer in Iraq, graduate of the Harvard Business School and Kennedy School, now rising in leadership ranks at PepsiCo and serving on a federal veterans advisory board.

Top talent is ready and willing. Why not ask them for help? Iraq and Afghanistan veterans have had too little voice in the VA. It's time to call on the best to serve their country again.

@highlight

David Gergen: An admirable Shinseki performed selfless act of service be resigning VA post

@highlight

VA needs world-class leader with support team of ex-servicemen and women, he says

@highlight

Gergen: It's a narrow field of qualified. Ashton Carter. retired General John Allen would be good

@highlight

Gergen Most crucial is recruiting top-flight veterans who can help imaginatively pull VA into shape