(CNN) -- House Republicans have been forced to close a potential loophole on their much-touted insider trading law -- a loophole CNN uncovered and reported about last month.

Because of CNN's report, the Senate and House passed new legislation Thursday to close the loophole that could have allowed family members of some lawmakers to profit from inside information.

Senators who were critical of the loophole after it was unearthed applauded the fix.

The STOCK Act, one of the rare bipartisan bills passed this year, was signed by President Barack Obama in April.

Obama signs STOCK Act to address 'deficit of trust' in Washington

Lawmakers proclaimed that the bill, officially called the Stop Trading on Congressional Knowledge Act, would restore trust in government. It also applied new rules to some employees of the executive branch.

But CNN discovered the law that members of Congress thought they voted for earlier this year wasn't exactly as advertised. The STOCK Act requires that any trades of $1,000 or more made on or after July 3 have to be reported to the House and Senate within 45 days. But the House and Senate came out with two completely different interpretations of that rule.

In the Senate, the Ethics Committee released one page of guidelines in June ruling that members and their spouses and dependent children all have to file reports after they make stock or securities trades. But the House Ethics Committee disagreed.

Its 14-page memo released in June found that House members and aides covered by the law that their spouses and children were not covered. The Office of Government Ethics, which oversees all federal executive branch employees, sided with the House, informing its employees that their spouses and children don't need to file these periodic reports.

Both of the lead sponsors of the Senate bill didn't realize the discrepancy until CNN brought it to their attention last month.

Massachusetts Republican Scott Brown, the only Republican senator to attend the White House signing ceremony, said he was "obviously very concerned."

"Say I find out some information, I tell my wife and she goes and trades on it, what's the difference?" Brown told CNN.

Brown, who speaks constantly about this bill in his neck-and-neck race for re-election against consumer advocate Elizabeth Warren, said the whole point of passing the law was to demonstrate that members of Congress weren't held to a different standard.

Massachusetts Senate race in a dead heat

"I mean, bottom line, we're supposed to have that level of transparency and have us be treated like every other member of the United States and bottom line, if we can't do it, then -- sorry, if they can't do it -- then we shouldn't be able to do it as well."

Sen. Kirsten Gillibrand, D-New York, also criticized the House decision not to include congressional spouses and children when the loophole was brought to her attention.

"I think it's wrong, and I think it's unfortunate because the reality is the whole point of this legislation is we should play by the exact same rules as every other American citizen, and when all of America looks at Washington, they know it's broken."

"We're trying to restore just a small measure of confidence through this kind of transparency and accountability," Gillibrand said.

After CNN told Brown about the House interpretation, Brown fired off a letter to his GOP colleagues in the House, Speaker John Boehner and House Majority Leader Eric Cantor.

"The House interpretation leaves a loophole and the appearance of an ongoing double standard," Brown said in the letter.

"It is deeply troubling that the House of Representatives and Executive Branch would attempt to operate under a substantially weaker interpretation than the Senate," he added, demanding that the House adopt the Senate's view and require all spouses and dependents to begin reporting stock trades.

Why was there a difference?

Robert Walker, a Washington ethics attorney and former chief counsel for both the House and Senate Ethics Committees, explained that the Senate bill did include a provision that covered spouses and children, but when Cantor's office wrote the House version, this language was shifted to a different section of the bill. The change meant that spouses and dependent children weren't subject to the new reporting requirements.

"The House recrafted some of the provisions of it and moved some of the provisions around. In that process, some of the Senate bill that applied to filing of these new reports was moved from one section of the bill to the other," Walker said.

The Senate Ethics Committee decided to stick with the spirit of the law that senators originally intended, but the House Ethics Committee went with the letter of the law, which included the loophole not requiring spouses and children to report financial transactions in a timely fashion.

More Congress: No aid for farmers amid drought

Why did it matter?

The loophole went to the heart of what the STOCK Act set out to do.

While there were already laws in place barring members of Congress or the executive branch from profiting from nonpublic information that they learn in the course of their duties, it was extremely difficult for those at the Securities and Exchange Commission to enforce those laws.

The financial disclosure forms House members and senators were already required to file only come out once a year, making it tough to track any relationship between legislative action and a stock trade. That's why the STOCK Act added the rule that after each trade over $1,000 a report had to be filed in a timely manner.

Walker stressed the new law provides "more immediacy, more real time so that the public could have more real-time understanding of what their members, of their senior staff and other high government officials were doing with their finances, what kinds of trades were they making."

The chairman of the House Ethics Committee, Rep. Jo Bonner, R-Alabama, and the ranking Democrat, U.S. Rep. Linda Sanchez of California, defended their committee's interpretation of the law in a written statement to CNN last month.

"As has been noted by outside experts, the office of Government Ethics and various House offices of expertise, including the Office of Legislative Counsel and the Office of General Counsel, with whom the Committee consulted, the plain language of the STOCK Act and the Ethics in Government Act is unambiguous and beyond dispute and the Committee interpreted it correctly."

Initially when contacted by CNN, Cantor's office insisted it did nothing to change the intent of the STOCK Act. But when pressed with the new information uncovered by CNN, the majority leader's office conceded it made changes to the House bill that effectively took out the requirement for spouses and children to file these reports.

Cantor's spokesman insisted that the change was unintentional and the majority leader's office did not believe when they passed their bill that it differed from the Senate version.

"Since new information has been brought to our attention with respect to this discrepancy, we are reviewing our options regarding transaction reports in the House of Representatives," Doug Heye said at the time.

Still, another question is why the House changed the legislation in the first place. A GOP leadership source insists there were no sinister motives, that Cantor and the broader GOP leadership made changes after consulting with Ethics Committee lawyers.

In the two weeks since CNN's report, Cantor's office consulted with the Senate to determine how they should fix the loophole. After consultations with leaders of both parties, new legislation was drafted. The two-page bill passed unanimously by both chambers on Thursday before Congress left Washington for their month long summer recess.

Following the change, Gillibrand issued a statement applauding it.

"The intent of this important reform bill was clear from the start, to restore people's faith in their elected leaders by ensuring we play by the exact same set of rules as every other American. Including family members in our monthly disclosure requirements was an integral piece of restoring that faith, and I am pleased the House will finally join the Senate in conforming to these important new rules," said Gillibrand.

Brown also praised the move to fix the law.

"I'm pleased that with today's legislative action, we've made sure the House will follow the Senate Ethics Committee's lead and implement the law the way it was intended. The same rules need to apply across the board -- no matter who you work for. "

In addition to closing the loophole for spouses and dependent children, the new legislation passed by the House and Senate also made a change that the Obama administration requested.

Some administration officials voiced concerns that the ability of foreign governments to view personal financial information about top government employees posed a national security threat.

To address those concerns, the bill gave executive branch employees a waiver from the requirement to disclose their stock or securities trades until September 30 to allow some additional time to determine the appropriate procedures for those officials.

Read all of CNN's latest political coverage

@highlight

STOCK Act, passed in April, requires more transparency when lawmakers make trades

@highlight

Loophole would've allowed family of some lawmakers to profit from inside information

@highlight

CNN brought discrepancy between House and Senate interpretations to light last month