Istanbul, Turkey (CNN) -- Investigative newspaper reporter Ismail Saymaz thought he faced 10 criminal cases against him for articles he had written.

But when he logged on to a Turkish government website to check his legal status, Saymaz discovered an unpleasant surprise: two new cases filed against him.

"They are asking for up to 95 years imprisonment for me in these 12 [cases]," he said.

The charges against Saymaz range from violating secrecy to influencing judicial processes.

Media watchdog organizations warn growing numbers of Turkish journalists now face not only the threat of lawsuits and fines for their work, but also possible jail sentences.

According to the International Press Institute, as of September 30, 50 press workers were incarcerated in Turkish prisons and at least 50 more were facing possible jail sentences.

The climate of intimidation led the European Commission to accuse Turkey of not sufficiently guaranteeing freedom of expression.

"Concerns remain as regards political attacks against the press," the European Commission announced Tuesday, in its annual progress report on Turkey's bid to become the first predominantly Muslim country to join the European Union.

The European report comes on the heels of a decision by the association Reporters Without Borders to downgrade Turkey's rating on a press freedoms index.

In two years, Turkey has dropped from 102 to 138 on the association's index, and now sits among the bottom 40 countries of the world when it comes to freedom of the press.

"These declines can be explained," Reporters Without Borders wrote, "by the frenzied proliferation of lawsuits, incarcerations, and court sentencing targeting journalists."

At a speech in England on Monday, Turkish President Abdullah Gul conceded his country faced shortcomings when it comes to freedom of the press.

"There are unfortunately certain cases that have been brought before the courts about journalists and it is a cause of concern for us as well," Gul said. "There are certain legal amendments that will be introduced on this subject."

Gul's Justice and Development Party, or AKP, has instituted historic reforms since it first swept to power in 2002. Strict taboos imposed by the once politically-dominant Turkish military have been relaxed.

"The taboos have changed. The military is not taboo anymore," said Mehmet Ali Birand, a veteran journalist who was black-listed and lost his job for his critical reporting on the military-dominated regime.

But as power has shifted over the past decade from military to civilian rule, the AKP government has introduced laws that make it easier to prosecute journalists.

A 2005 change to the Turkish penal code established prison sentences for press-related crimes such as "breach of secrecy" and "influencing of a fair trial."

The journalistic red lines are now much harder to discern, said Mehmet Ali Birand -- who anchors the prime-time evening news on Turkey's Kanal D.

"We knew what the military censorship was," Birand said. "The problem with civilian government -- you don't know. ... It's very, very unpredictable now."

Last year, the Turkish government slapped Birand's employer, Dogan Media Group, with a $2.5 billion fine for unpaid taxes.

At the time the assets of Dogan Group, Turkey's largest media conglomerate (and a business partner of CNN's parent company Turner Broadcasting), was valued at $2.8 billion.

Tuesday's European Commission assessment report argued the penalty against Dogan Group amounted to a political attack against the press.

Throughout Dogan Group's subsequent battle over tax evasion charges, several journalists working for the conglomerate -- speaking on condition of anonymity for fear of losing their jobs -- told CNN they routinely self-censor reports to avoid arousing further anger from the government.

But journalists said they are also frequently targeted by court cases launched by the political opposition. Investigative journalist Ismail Saymaz said roughly half the cases he faces stem from articles critical of the AKP government, while the other half come from articles critical of Turkey's older secular establishment.

"In a country like Turkey, where political polarization is widening between traditional power-holders from the military and Kemalists on the one hand and conservative liberals on the other, ... we journalists become the ones who take the first bullet," he said.

In 2007, Armenian newspaper editor Hrant Dink was gunned down outside his office in downtown Istanbul.

The man accused of Dink's murder was caught on security camera moments after he allegedly shot the editor. Three years later, he has not been convicted.

In the meantime, newspaper columnist Nedim Sener has been fighting in court after publishing a book accusing Turkish police of not doing enough to stop Dink's murder.

At one point, Sener faced a possible 32 years in prison -- a stiffer penalty than the one potentially faced by the alleged murderer.

Last summer, a court acquitted Sener. Several police officers named in his book are trying to appeal the decision, he said.

During a state visit to England, Turkish President Abdullah Gul urged observers to appreciate the democratic reforms his government achieved over the past nine years.

@highlight

Media watchdog organizations say Turkish journalists face lawsuits, jail sentenced

@highlight

50 press workers imprisoned in Turkey; 50 more facing possible jail sentences, says report

@highlight

"Everyone in Turkey today can express their opinion," says Turkey's president