(CNN) -- Today, the nation commemorates the 150th anniversary of Abraham Lincoln's Gettysburg Address. All 278 words.

Three days later, on the 50th anniversary of the assassination of John F. Kennedy, Americans will recall his most moving speeches, also crisp and concise.

The lesson is clear: To express big ideas, use few words.

New media, such as Twitter and texting, demand brevity. But brevity is also important if you're communicating as Americans did before "tweet" became a noun and a verb. The newest technologies reinforce the oldest technique of effective writing and speaking: Keep it simple.

Although the Gettysburg Address was deceptively simple -- 10 sentences, consisting mostly of one or two-syllable words -- it communicated complex concepts. As the historian Garry Wills has written, by stressing the egalitarian ideas of the Declaration of Independence, "Lincoln had revolutionized the Revolution, giving people a new past to live with that would change their future indefinitely."

Lincoln's new vision of "a new nation, conceived in liberty," rather than a loose federation of states, foreshadowed a national government that takes the lead in protecting the rights and promoting the well-being of its citizens.

Ken Burns: Learn Lincoln's words by heart

Almost a century later, President Kennedy looked to Lincoln's oratory as a model of clarity. Preparing his inaugural address, Kennedy asked his speechwriter, Theodore Sorensen, to read every previous inaugural and also the Gettysburg Address. As Sorensen later recalled, he was impressed by how "Lincoln never used a two- or three-syllable word where a one-syllable word would do, and never used three words where one word would do."

Sorensen's early drafts reflected this lesson, and, as historians and memoirists have agreed, Kennedy's revisions made the speech sparer still. The most memorable line -- "Ask not what your country can do for you, ask what you can do for your country" -- includes only one word (used twice) longer than one syllable.

Lesson from Lincoln: Mr. President, you're talking too much

Still, some despair that Twitter has dumbed-down public speech. They should re-read history. Long before Twitter, TV sound bites, telegraph dispatches and tabloid headlines all put a premium on big ideas, briefly expressed. The best way to grab someone's attention has always been to say something simply.

Let's look at some of the most memorable lines from the first inaugural addresses of four 20th century presidents. Although written before Twitter, they are tweet-able: 140 or fewer characters. And they foreshadow big ideas in their presidencies.

50 years after JFK's famous 'Ich bin ein Berliner' speech

Kennedy's entire "Ask not ..." takes only 78 characters, yet it is credited with motivating movements from the Peace Corps to the civil rights struggle.

In 1933, Franklin D. Roosevelt declared, "The only thing we have to fear is fear itself." Eminently tweet-able -- only 44 characters. And he restored Americans' self-confidence, making possible the "bold, persistent experimentation" of the New Deal.

In 1981, Ronald Reagan said, "Government is not the solution to the problem, government is the problem." With these 72 words, he set the stage for cuts in federal taxes and social programs.

In 1993, the most quoted line in Bill Clinton's inaugural was, "There is nothing wrong with America that cannot be cured by what is right with America." The longest line of the four -- 85 characters -- but still tweet-able. As a speechwriter working on the inaugural address, I remember the sighs of relief when its relative brevity -- 14 minutes -- briefly convinced The New York Times' language maven, William Safire, that "Clinton proved he could edit himself, a happy augur of discipline elsewhere," presumably in Clinton's economic and social policies.

To be sure, memorable lines must be rooted in thoughtful speeches. "Ask not," "Nothing to fear," and "Government is the problem" succeeded because they were clarion calls for historic endeavors.

But history is kindest to those who speak simply. As Muriel Humphrey reportedly advised her eloquent but often long-winded husband, Hubert Humphrey, in order to be immortal, a speech should not be interminable.

The opinions expressed in this commentary are solely those of David Kusnet.

@highlight

David Kusnet: The Gettysburg Address was only 278 words, JFK's best talks were brief

@highlight

Twitter didn't dumb down speech, he says. A few words can relay complex ideas

@highlight

"Ask not what your country can do for you, ask what you can do for your country" just 78 words

@highlight

Kusnet: Many short phrases kicked off change: Those who speak simply are remembered