Wings clipped, noses cut off, stripped down to the bone, these old birds will never fly again. But the giant hangar at the home of Tarmac Aerosave is not a graveyard for planes -- it's a recycling yard.

Tarmac Aerosave has been dismantling disused aircraft at its base in "Aerospace Valley" -- a cluster of French flight engineering firms near the town of Tarbes in southern France -- since it was formed in 2009. Although the company's primary business remains aircraft storage, it has stripped 12 planes completely since its inception

"We receive an old aircraft ... and completion of this work (is) when all the material can be reused," says Sebastien Medan, head of dismantling at the French aerospace company

Where planes go to die

The parts salvaged during this process are repackaged and repurposed. Landing gear and wing flaps are shipped out to be reinstalled in new planes while cockpits are reborn as flight simulators. All parts that are saved can be sold on by the aircraft owners. The remaining waste and scrap metal, meanwhile, is broken down for resale by Tarmac.

"The percentage of the aircraft to be recycled is around 87% (and) actually we expect to rise that to 90%" says Medan.

See also: In-flight phone calls to become standard

With Tarmac's parent company, Airbus, predicting that more than 9,000 aircraft will be retired or withdrawn from service over the next 20 years, there's a clear need for aging planes to be disposed of in an environmentally friendly manner.

By relieving retired models of their most valuable assets, Tarmac also believes it can transform airplane recycling into a lucrative business and one that makes sense for airlines looking to dispose of old models.

The cost of storing a disused aircraft can be as much as €20,000 ($25,000) per month. This compares to a one-off cost of between €100,000 and €150,000 (between $125,000 and $185,000) to tear down a plane, stripping it of items that can be reused or sold on at a profit.

A conductor who loves the sound of fighter jets: These people really love to fly

"All the materials we take out from each aircraft could be used in other industry, especially aeronautical industry," says Medan.

While the efficiency savings this process brings are obvious, Tarmac also believes that dismantling old planes will allow engineers to better design more efficient aircraft in the future. Understanding how parts erode, decay or develop over time will allow them to transfer that knowledge into new designs.

"We are collecting in-service aircraft components to asses the remaining characteristics and capability in terms of stress and fatigue," says Olivier Malavallon, project director of business development and change at Airbus.

"It's crucial in terms of experienced feedback in better designing the aircraft and providing to the designer some guidance -- how best we can assemble things together where things are fitting better."

As it stands, Tarmac's site in southern France can cater for 20 aircraft at a time, the company says. Across the border in northern Spain, however, a new site is being prepared by one of the company's subsidiaries. It will be able to store 200 planes at a time, and strip down between 30 and 40 models a year.

According to Malavallon this expansion will enable Tarmac to prepare for the coming influx of retiring planes. It will also ensure aircraft are disposed of in a way that is efficient and makes the most of valuable materials.

Instead of "going from cradle to grave," he says, airplanes will go from "cradle to cradle."

You told us: Top 5 spots for plane geeks

Ayesha Durgahee is the resident reporter on CNN's Business Traveller. Follow Ayesha on Twitter at @AyeshaCNN.

@highlight

Tarmac Aerosave recycles disused aircraft at its plant in southern France

@highlight

Airbus says around 9,000 planes will be retired or withdrawn from service over the next 20 years

@highlight

Tarmac believes recycling old aircraft could save airlines considerable amounts of money