(CNN) -- Between the presidential candidates and congressional races, at least $4.2 billion may have been spent on an election that ultimately ended up preserving the status quo in Washington.

Voters elected the same president and the same political parties -- the Republicans in the House and the Democrats in the Senate -- will run Congress.

Did all that record spending really matter?

At the presidential level, maybe not so much.

Partial totals of what was spent so far show that between the candidate, his party and well-heeled outside groups, the "Red Team" spent more money on the effort to elect Republican Mitt Romney than the "Blue Team" did to re-elect President Barack Obama, according to an analysis by the Center for Responsive Politics, a nonpartisan group that monitors the influence of money on politics.

Combined, the candidate, the national party, and outside spending groups, like conservative issue-oriented nonprofits and super PACs, had spent more than $1 billion on Romney's effort.

The liberal version of that combination of groups spent about $96 million less on the Obama re-election. That number will change once the final accounting is completed. There was a ton of last-minute spending on attack ads and get-out-the-vote efforts.

However, the Obama campaign raised almost twice as much as the Romney camp.

Business group blows $29 million on election losers

"I'd be surprised if he left anything in the bank," said Bill Allison, editorial director at the Sunlight Foundation, a nonpartisan nonprofit that advocates for greater government transparency.

No matter who spent more, Allison worries that the amount of money involved in this election will dramatically change politics.

"I think the most worrisome thing is that this is the first billion dollar-plus presidential campaign, so what this means is this amount will become the benchmark," Allison said. "If you want to be a serious contender in the future, you will have to have those kind of resources and it gives an outsized role then to the outside groups who are able to raise unlimited funds."

Difference seen in congressional races

Allison believes money may have made the most difference in congressional races.

It seemed to have played a particularly big role when interests outside of a candidate's state got involved. The Center for Responsive Politics estimates that outside groups spent some $1.3 billion and counting on the election. In 2008, they only spent $262.7 million.

The difference this time was mainly due to a landmark court ruling two years ago that effectively permitted a sharp increase in outside spending, especially by corporations and unions.

"At the presidential level, candidates are able to raise enough money to get their message out and drive their own narrative," Allison said. "Down the ballot though, where you've got outside groups dumping $500,000 into a race and the opposition doesn't have the cash on hand to compete, that could make a real difference."

In a CNN analysis of spending in a dozen key Senate races, most of the candidates who won spent the most money.

One Senate race that saw record amounts of outside money was in Wisconsin. Senator Herb Kohl, a Democrat who had held his seat since 1989, decided to retire this year. Both candidates who ran for his seat had strong name recognition in Wisconsin.

American Crossroads defends campaign spending to donors

Democrat Tammy Baldwin served seven terms in the U.S. House. She is well known nationally as the first publicly-out lesbian to be elected to federal office. Her Republican opponent, Tommy Thompson, was a popular Wisconsin governor before becoming Health Secretary in the administration of George W. Bush.

After winning a bruising Republican primary, Thompson was seen as an early favorite -- partly because Wisconsin has recently leaned much more 'red.' In August, Thompson had a nine-point lead in the polls, but Baldwin had fully turned the tables by the end of September.

Thompson rallied and by Election Day, the race was too close to call.

The primary had left Thompson cash poor while Baldwin was able to outpace him in fundraising. She spent virtually all of it -- $11.6 million -- as of the October reporting deadline. Thompson raised $7.36 million and spent $6.04 million, according to the Center for Responsive Politics.

Outside groups, super PACs spent more 
Outside groups spent even more on the race than did the campaigns. Super PACs and special interest groups spent some $18.9 million on efforts opposing Thompson and only $2.6 million in support of him. The groups spent $15.5 million against Baldwin, $1.2 million for her.

The biggest outside group that tried to hurt Baldwin's chances created a slew of negative ads. In them, Republican operative Karl Rove's group, Crossroads GPS, called Baldwin a "rubber stamp" for the president, who was "too extreme" for the state. Crossroads GPS spent more than $6 million on this race, but lost.

"You have to keep in mind though candidates don't win elections just because they spend more," Allison said. "A win is also based on how effectively a candidate spends their money and on just how effective a campaigner the candidate is."

Analysis: It's never too early to talk about 2016

In the Senate race in Indiana, for instance, Republican Richard Mourdock outspent Democratic opponent Joe Donnelley by about $7 million. But Mourdock lost.

Mourdock ran a strong race, but took a hit in the polls when, at a debate, he made a controversial remark about rape and abortion.

In Wisconsin, Thompson's campaign also hit a few bumps along the way. A low point may have been when Thompson's son told an audience, "We have the opportunity to send President Obama back to Chicago, or Kenya." He later apologized for the remarks.

While the race remained tight throughout election night, Baldwin defeated Thompson 51% to 46%. Baldwin will become the first female Senator to represent Wisconsin and the nation's first openly gay person to win a Senate seat.

"I didn't run to make history," Baldwin said in her acceptance speech. "I ran to make a difference."

It looks like the money she spent on the race may have made a difference, too.

@highlight

At least $4.2 billion spent in 2012 election

@highlight

Analysis shows in House, Senate races, those who spent most won

@highlight

Obama campaign rasied almost twice as much as Romney camp