Lagos, Nigeria (CNN)  -- Nigeria on Tuesday faced international calls to bring to justice killer mobs armed with guns and knives who massacred hundreds of villagers in the country's rural heartland.

As more details of the atrocities emerged, Nigeria's acting president, Goodluck Jonathan, replaced his national security adviser, although it was not clear whether the move was related to the weekend violence.

At least 200 Christian villagers died in the attacks early Sunday, when groups of men with guns, machetes, and knives attacked people in three villages south of Jos, in the Plateau State, Human Rights Watch said.

Other agencies gave higher death tolls. Sani Shehu, president of the nongovernmental agency Civil Rights Congress, put the number of dead at about 485. And a Christian leader who participated in a mass burial of 67 bodies Monday in one of the towns said about 375 people were dead or still missing.

Explainer: What's behind the violence

Human Rights Watch cited witnesses as saying the attackers were Islamic men and that they targeted Christians, mostly from the Berom ethnic group. The victims were in the villages of Dogo Nahawa, Zot, and Ratsat, about 10 kilometers (6 miles) south of Jos, the state capital.

The attackers had previously lived in the villages but left last month, Human Rights Watch said, citing multiple witness accounts.

Witnesses, community leaders, and journalists who visited the villages told Human Rights Watch they saw bodies -- including those of children and babies -- inside houses, on the streets, and in the pathways leading out of the villages. They said many homes, cars, and other items were burned and destroyed.

The U.S. diplomatic mission to Nigeria expressed its "deep regret" at the violence in the area.

"We extend our sympathies to those who have lost their loved ones and friends, and for the massive destruction of property," the mission said in a statement.

"We continue to urge all parties to exercise restraint and seek constructive means for addressing the continuing cycle of violence in Plateau State. Such loss of life and destruction cannot continue to weaken the fabric of unity and peace that all Nigerians love."

The mission called on the Nigerian government to make sure the attackers are brought to justice.

Human Rights Watch called on Jonathan to make sure the attacks are "thoroughly and promptly investigated" and to prosecute those responsible.

The attacks were reprisals for previous attacks against Islamic communities in the area and the theft of cattle from herdsmen, Human Rights Watch said. Police have arrested 98 people in connection with those attacks, the group said, citing official police figures.

John Onaiyekan, the archbishop of Abuja, told Vatican Radio on Monday that the violence is the result of a dispute over access to natural resources, not religion.

"This kind of terrible violence has left thousands dead in Plateau state in the past decade," said Corinne Dufka, a senior West Africa researcher at Human Rights Watch. "The authorities need to protect these communities, bring the perpetrators to book, and address the root causes of violence."

Jonathan, who was installed as acting head of state in February while President Umaru Yar'Adua recovers from illness, has called for calm. He put security on high alert Sunday and began operations to seek the attackers.

Human Rights Watch said the additional military presence and patrols have been largely limited, however, to major roads and towns and have not protected the smaller communities.

The most populous country in Africa, with a population of more than 150 million, Nigeria is almost evenly divided between Muslims and Christians.

With more than 78 million Muslims, it has the sixth-largest Islamic population in the world, according to a study last year by the Pew Forum on Religion and Public Life.

While some outbursts of violence are between Christians and Muslims, other disputes are based on ethnicity. The country is home to 250 to 400 ethnic groups, making it one of the most diverse African nations, according to the International Displacement Monitoring Centre.

CNN's Christian Purefoy in Jos, Nigeria contributed to this report.

@highlight

Nigerian national security adviser replaced after massacre

@highlight

At least 200 Christian villagers died in the attacks early Sunday

@highlight

U.S. diplomatic mission to Nigeria calls for killers to be brought to justice