(CNN) -- With more than half the world's population living in cities, there's never been a more important time to consider sustainability.

Sydney has been at the forefront of this since establishing the "Sustainable Sydney 2030" vision. If cities are to thrive, we can't continue to allow accidental growth.

A clear plan supported by residents, workers, businesses, visitors and backed by strong political leadership is what we need.

In Sydney, this has been our warmest winter in 150 years with the average daily temperature rarely dropping below 68 degrees Fahrenheit (20 degrees Celsius). Last summer we had our hottest day on record, hitting 114.8 degrees Fahrenheit (46 degrees Celsius).

Looking forward, we are bracing for another scorching summer of heat waves, drought and fire.

The City of Sydney (CoS) has set some ambitious targets by aiming to cut 70 percent of our carbon emissions by 2030 (on 2006 levels of 5.4 million tonnes per annum).

We've looked into a number of clean tech solutions over the years, many of which we're already putting into place.

This includes installing Australia's biggest program of building-mounted solar panels -- with 5,500 solar panels on 30 buildings.

Not only have we rolled out LED streetlights that emit half the carbon, but we've also retrofitted 45 council owned properties to reduce energy, water and waste.

To go green, CoS are working to increase the urban canopy by 50 percent by 2030. This includes planting 8,900 trees since 2005.

With a warming of two degrees - and projections show we are headed for a four to six degree change -- we risk catastrophic climate change. While Sydney is moving towards a more sustainable future, climate change demands we do more.

Last week a study released by the Australian Energy Market Operator found the cost of moving Australia to 100 percent clean energy would be roughly equal to sticking with coal. That's one of the reasons we're working on plans for local and clean energy.

Gas-fired trigeneration - a technology that uses heat from energy production making it more than twice as efficient as coal power stations --is one of the tools we're using to end our reliance on coal-fired power and generate 30 percent of our energy needs from clean, renewable sources.

As far as transport goes, cities like New York and London have experienced a cycling boom and despite the nay-sayers, Sydney has also seen a 113 percent increase in cycling since 2010.

But to give residents an efficient transport option that gets them out of their cars, we are completing a 125-mile cycling network.

As Sydney becomes a greener and better connected place, our long term "Sustainable Sydney 2030" plan is designed to make sure the city works for everyone, now and in the future.

To make that happen we'll need to make bold decisions and test new ideas and that's exactly what we're doing in Sydney.

@highlight

Combating climate change is at the heart of "Sustainable Sydney 2030", says Sydney's Mayor.

@highlight

From investing in solar panels to LED street lights, Sydney is exploring ways to cut energy.

@highlight

The city also set some ambitious targets to cut 70 percent of carbon emissions by 2030.