Editor's note: Dr. Thomas H. Murray is chief executive of The Hastings Center, a nonprofit research institute on bioethics in Garrison, New York. Murray was formerly director of the Center for Biomedical Ethics at Case Western Reserve University and president of the Society for Health and Human Values.

Thomas Murray says doctors have responsibility for welfare of children conceived through IVF procedure.

GARRISON, New York (CNN) -- The birth of octuplets to a California woman last week raised a boatload of issues that can distract us from the central ethical question posed by the case: How do we take children's well-being into account in reproductive medicine?

Yes, it's puzzling why an unemployed single woman who already had six children wanted a passel more. And it is not crazy to wonder who will pay for these children's needs over the years, beginning with what is sure to be a gobsmacking bill for neonatal intensive care.

For now, we can put aside the lifeboat problem: A human uterus is not built for eight passengers; the odds for each child to be born alive and healthy go down as the number in the lifeboat goes up.

Her physicians offered to reduce the number of fetuses she was carrying; citing her moral convictions, she declined. As of the last reports, all eight survived. Still, knowing what we do about the many risks that come with being born too soon and too small, their medical course is likely to be complex and unsteady.

What this case really does is split wide open a fault line running through infertility treatment in American medicine. People who show up at fertility clinics are adults. In the typical case, they've been trying to get pregnant for a year or more without success.

When all goes well, a cycle of IVF (in-vitro fertilization) results in a pregnancy and the birth of one, perhaps two, healthy babies. As a son, a father, and now a grandfather, I can attest that there is no more important or enduring relationship in our lives than the one between parents and children.

Whether that relationship is forged through infertility medicine, adoption or the old-fashioned way matters not at all: What counts is that adults who want to love and raise a child are matched with a child who needs just that love and care.

The point of infertility treatment, after all, is to create a child. But that child-to-be is not the clinic's patient -- the would-be parents are. I believe that the interests of those children deserve at least as much consideration as the wishes of the prospective parents.

The vast majority of infertility patients are no doubt fierce advocates for the well-being of the child they so earnestly seek to bring into their lives. What happens, though, when the client's request shows little consideration or regard for the welfare of the would-be children? What happens if a woman in her early 30s with six children wants eight embryos implanted all at once?

A responsible physician could turn down such a request, citing professional guidelines that counsel implanting one, at most two, embryos in women younger than 35. How Nadya Suleman ended up with eight is a mystery. That's what Nadya Suleman is claiming.

Perhaps there is a physician somewhere willing to defy the wisdom of his or her peers; perhaps Suleman used fertility drugs rather than IVF as she claimed. Whatever the case, this guideline is based on safety. Carrying more than a couple of fetuses is dangerous to the pregnant woman and to the health and survival of the fetuses in her womb.

Citing safety is a prudent way to turn down requests an infertility physician thinks are ill-considered. But sometimes that gambit isn't available.

A psychiatrist friend who conducted intake interviews for a well-respected clinic described a rough-looking couple who carried for their up-front payment thousands of dollars in cash stuffed in a bag -- drug money, she was certain.

She was able to discourage the couple from following through on their plan. Here's the rub: Her concern was the ultimate well-being of the child that the clinic was being asked to help create. But the ideology of American infertility medicine allows physicians to escape from making any judgments about the suitability of prospective parents.

There is understandable worry that cracking the door to considerations about parents' motives and capacities would blast it wide open for nasty, petty stereotypes and prejudices. That would be an awful result.

The American Society for Reproductive Medicine acknowledged in a 2004 report that fertility programs may withhold services when they can provide "well-substantiated judgments" that the child will not receive adequate care. But that same report has a huge loophole.

Providers can abdicate almost all responsibility to anticipate the welfare of the children they help create by claiming "an obligation to treat all patients who would benefit from medical treatment." The statement goes on to say that "except when significant harm to a future child is likely," they "should not be required to make assessments of a patient's child-rearing abilities or other child welfare issues."

It's time for the profession -- and business -- of reproductive medicine to accept their firm, inescapable ethical obligation to give the interests and well-being of the children they help to create the same consideration they give to the desires of the adults they serve.

The opinions expressed in this commentary are solely those of Thomas Murray.

@highlight

Thomas Murray: The case of the birth of octuplets in California raises questions

@highlight

He says doctors typically cater to the wishes of their patients, the parents

@highlight

In IVF cases, the doctors also have responsibility for children's welfare, he says

@highlight

He says doctors shouldn't use a loophole to evade their responsibility