(CNN) -- They spoke of loss, of heartbreak and of their search for justice.

Six mothers gathered at a church in Washington to share their pain: the pain of losing their sons to a police officer's bullets.

There was Valerie Bell, whose son Sean was fatally shot, hit by bullets dozens of times.

"November 25, 2006, 50 shots were shot at his car for no reason," she said. "They didn't take my son to be a human being. I've never heard of a person shooting a dog or an animal 50 times."

There was Collette Flanagan, who buried her son Clinton Allen.

"My only son, Clinton Allen, was shot and killed by a Dallas police officer on March 10, 2013. Clinton was only 25 years old, and he was shot seven times, once in the back, and he was unarmed."

There was Mary Ann Hopkins, who struggled to speak about her son Gary, a sophomore in college.

"A police officer who had been in trouble many times before pulled him off the ledge of the car," she said. "Another officer comes around and says he saw an altercation to grab for the officer's gun and shot him in the chest."

Theirs is the pain that's now fueling the protests raging across the nation -- some peaceful, some not quite so.

Bigger than Ferguson

Organizers are calling this a "Week of Outrage." But as demonstrations pop up around the country, one thing is clear:

This is bigger than Ferguson, Missouri, and New York.

The protests over police brutality that the recent deaths of unarmed black men may have started in those cities, but the experience is hardly limited to those communities.

"We share an unspeakable pain and special bond at the arms of losing a loved one at the hands of reckless, callous and malicious police officers," Dorothy Copp Elliott said at the First Trinity Lutheran Church gathering on Tuesday.

"Trayvon Martin, Michael Brown and Eric Garner's deaths have caused men and women of conscience and all colors to stand up and say, 'Enough is enough.' "

Medical students: It's a 'public health crisis'

Protesters across the country Wednesday flooded Twitter with photos of demonstrations, using the hashtag #whitecoats4blacklives.

Physicians for a National Health Program said the protests showed medical students taking a stand to show "racial violence as a public health crisis."

"Racial bias and violence are not exclusively a problem of the criminal justice system. As we have seen in Ferguson, Mo., New York, and countless other places, bias kills, sickens, and provides inadequate care," the organization said in a statement.

In Nashville, a group of demonstrators wearing white coats shut down a busy street near the Tennessee state capitol for more than 30 minutes, CNN affiliate WKRN reported.

Harvard Medical School's Twitter account posted photos of students and faculty lying in an atrium at the school during a "die-in" protest.

At the University of California, San Francisco, school officials praised students for protesting.

"We want to commend our student leaders who have organized and engaged in peaceful demonstrations that acknowledge the relation of racism and violence to health, as awareness is the first step towards change," Dr. J. Renee Navarro, vice chancellor of diversity and outreach, said in a statement posted on the school's website.

Another shooting

And new instances of officer-involved shooting seem to be adding fuel to the fire.

In downtown Phoenix on Tuesday night, dozens of protesters shut down traffic and light rail tracks for about an hour, angry over last week's shooting death of an unarmed drug suspect during a scuffle with a police officer.

"Give everybody the same rights; treat everybody the same," Deja Curry told CNN affiliate KTVK. "They know it's bigger than race."

Eric Garner Jr., the son of the man who died after a New York police officer held him in a chokehold, said he was proud of how protesters are carrying on.

"It made me feel proud because I don't have to share this moment by myself and my family," the son told CNN's "Erin Burnett OutFront."

"It's amazing how everybody (is) doing this. My father and I appreciate it."

Protesters 'die in'

At New York's Grand Central Terminal on Tuesday night, protesters re-enacted the chokehold that killed the elder Garner and then laid on the ground and chanted.

Dariel Ali, who's participated in New York protests for days, held a sign that said, "My only crime is being black."

"There's a lot of racial profiling going on within the system," he said as protesters chanted behind him.

It's been encouraging to see the ranks of protesters grow in recent days, he said.

What's next?

"We gain numbers," Ali said, "and we take the streets, like we always do."

California march

For the third night in a row, protesters took to the streets in Berkeley, shutting down BART transit stations and snarling traffic.

"Indict, convict, send those killer cops to jail," some chanted, according to affiliate KTVU.

The Berkeley City Council canceled Tuesday night's meeting ahead of the latest round of demonstrations.

"We received credible threats," Berkeley Police Chief Michael Meehan told KTVU.

A night earlier, the California Highway Patrol arrested 150 people for illegally blocking Interstate 80.

But unlike Sunday night, when some protesters looted businesses and damaged several police cars in the Oakland and Berkeley areas, there were no reports of major destruction in Northern California on Monday or Tuesday night.

Players join in

Basketball players have been a growing voice in the protests, not on the streets but on the courts.

A number of NBA stars have sported "I can't breathe" T-shirts during warm-ups.

Garner's last words have become a rallying cry for protesters after last week's grand jury decision not to indict an officer in his death.

NBA Commissioner Adam Silver said Tuesday that he supports players who want to voice their opinions.

"I have a tremendous respect for our players and the fact that they want to speak out on an issue, and we support them doing that," he said. "Of course, there are the four corners of the court, and in terms of the game itself it is my job to enforce our rules. Having said that, I recognize that there needs to be some flexibility, and I think, to me, that was a spontaneous reaction from our players ... and my sense is that, to respect it."

NBA Hall of Famer Magic Johnson senses that the Brown and Garner cases have brought about a change.

"I think that what all the people are saying -- not just African-Americans but everybody -- that we have to do something," Johnson said.

"There's a disconnect and a trust issue when it comes to African-Americans and police right now, so we've got to somehow bring everybody together and then do something about it."

What's next

At the gathering in D.C., Wanda Johnson spoke of her son Oscar Grant -- and what needs to be done next.

"The officer got up and pulled his gun and shot my son in the back. My son looked up at the officer and said to him, 'You shot me. I have a 4-year-old daughter. You shot me.' And my son was pronounced dead the next morning."

Lives are being lost, she said. "And the only way that's going to change is if you and I go up to Congress and say, 'We're not going to take it anymore. We are going to stand for what is right, and lives matter, whether the life is black, whether the life is brown, whether the life is right.

"Lives matter," she added.

Hundreds across the nation plan to march on Wednesday, echoing those words.

CNN's Betsy Klein, Lawrence Crook III, Kristina Sgueglia and Catherine E. Shoichet contributed to this report.

@highlight

NEW: Medical students stage "white coats for black lives" protests

@highlight

Six moms tell the stories of their sons' deaths

@highlight

Dozens of protesters rally in downtown Phoenix

@highlight

NBA stars join the chorus