(CNN) -- Call it a bigger, bolder version of the deadline-driven congressional stalemates over taxes and spending that have come to define Washington dysfunction of the past two years.

The latest edition of political "blinksmanship" pits President Barack Obama and Democrats against Speaker John Boehner and Republicans on how to avoid the fiscal cliff -- automatic tax increases for everyone and deep spending cuts including for the military that will be triggered in the new year without an agreement.

While the focus now is on a possible agreement in coming days or weeks, anti-tax crusader Grover Norquist told CNN on Monday that the nation should gird for long-range battle.

"This is a long fight. It's four years of a fight. It's not one week of a fight," said Norquist, who has threatened to mount primary challenges against Republicans who violate a pledge they signed at his behest against ever voting for a tax increase.

Financial planners: How to survive fiscal cliff

With neither side showing any sign of blinking, however, the battlefield will probably shift to the Senate this week after GOP disarray in the House stymied any progress before Christmas.

Congress and the president are taking a holiday break, with plans to return to work Thursday to try to find a deal in the final five days of the year.

Economists warn that failing to avoid the fiscal cliff could spark recession, and stocks opened lower Monday amid no sign of the Washington impasse ending.

According to multiple Democratic and Republican sources, no weekend conversations occurred between the White House and Senate leaders from either party or their aides.

The main dispute continues to be over taxes, specifically the demand by Obama and Democrats to extend most of the tax cuts passed under President George W. Bush while allowing higher rates of the 1990s to return on top income brackets.

Republicans oppose any kind of increase in tax rates, and Boehner suffered the political indignity last week of offering a compromise that his colleagues refused to support.

While both sides say they want to avoid the fiscal cliff, signs are emerging that a deal would come after the new year to blunt the harshest impacts. Under that scenario, legislators would vote to lower taxes from the higher rates that will go into effect in January when the Bush cuts expire, with the new top rates staying intact.

The sources described to CNN three possible options for moving ahead, all resting with Senate Majority Leader Harry Reid of Nevada.

One would be to amend a House measure passed in July that extends the Bush tax cuts for everyone. The changes would return to higher rates on top brackets, which Obama defines as family income up to $250,000, and also could include the president's call to extend unemployment benefits and some of the fiscal cliff spending cuts.

Read more: Clock ticking on mortgage tax break for struggling homeowner

A second possibility would involve a Senate measure that Democrats passed in July with no Republican support. It calls for the Obama plan of extending the current tax cuts on family income up to $250,000.

However, the Senate version has a constitutional problem because by law, measures that raise revenue must originate in the House. Boehner said Friday that the Senate plan has a "blue slip" problem, which refers to an objection that it is unconstitutional and therefore remains lodged in the Senate.

While one Democratic source said the Senate version could get taken up in the House if Senate Minority Leader Mitch McConnell or Boehner don't raise a blue-slip objection, Republican sources rejected that scenario.

Reid also could take a different revenue-raising bill from the House and rewrite it as a tax and spending measure to address fiscal cliff issues, the sources explained.

With Republicans holding filibuster power in the Democratic-majority Senate, at least seven GOP senators would have to join Democrats on such a plan before the end of the year. With McConnell up for re-election in 2014, he is considered unlikely to risk angering the party's conservative base by supporting a compromise or allowing one to pass on a simple majority vote that would need no GOP backing, sources said.

In the new Senate that will convene in early January, the number of Republicans needed to pass a deal would be five because of Democratic gains in November, when Obama won re-election.

According to a senior administration official, the president is still holding to his promise not to sign a short-term bill that extends Bush-era tax cuts across the board to buy time for a deal to avoid the fiscal cliff. So, absent a deal that includes increasing income-tax rates for wealthy Americans, the country is still headed for the cliff.

But the administration official told CNN it's still possible to resolve the impasse: "The unanimous desire to avoid the fiscal cliff will hopefully animate everybody," the official said.

According to a Senate Republican leadership aide, Republicans reject Obama's $250,000 threshold for tax cut extensions. Meanwhile, a Senate Democratic leadership aide lamented McConnell's apparent unwillingness to negotiate.

"We're going to be here New Year's Eve," retiring Sen. Joe Lieberman said Sunday on CNN's "State of the Union," adding that it was likely the nation would go over the fiscal cliff.

Failing to meet the year-end deadline on striking a deal would amount to "the most colossal, consequential act of congressional irresponsibility in a long time," said Lieberman, an independent from Connecticut who caucuses with Democrats. "Maybe ever in American history, because of the impact it will have on almost every American."

However, Norquist called the situation part of a longer process.

"This is not a fight that begins and ends the first week of January," he said, predicting "a regular fight" when Congress needs to authorize more government spending and raise the federal debt ceiling in coming months.

"There the Republicans have a lot of clout because they can say we'll let you run the government for the next month, but you've got to make these reforms," he explained.

How might the "fiscal cliff" affect you?

Obama spoke separately Friday with Boehner and Reid to try to salvage a fiscal cliff deal by the end of year, then delivered a previously unscheduled statement to reporters at the White House.

He acknowledged what has become obvious: The broader deficit reduction deal he seeks will probably come in stages, rather than in the so-called grand bargain he and Boehner have been trying to negotiate.

In particular, Obama called for Congress to come back after Christmas and work with him on a limited agreement to prevent tax hikes on the middle class, extend unemployment insurance and set a framework for future deficit reduction steps.

Boehner's spokesman said the speaker will be "ready to find a solution that can pass both houses of Congress" when he returns to Washington, as now planned for Thursday.

The GOP opposition to any kind of tax rate increase has stalled deficit negotiations for two years and led to unusual political drama, such as McConnell recently filibustering a proposal he introduced and Thursday night's rebuff by House Republicans of an alternative tax plan pushed by Boehner, their leader.

Boehner said at a news conference Friday that his Republican colleagues refused to back his plan, which would have extended all tax cuts except for income of more than $1 million, because of fears of being blamed for a tax increase.

The negotiations with Obama on a broad deficit reduction agreement hit an impasse last week when both sides offered their "bottom line" positions, Boehner said. In what was considered as progress just a week ago, the president and speaker made major concessions but remained a few hundred billion dollars apart.

Reid and other Senate Democrats say House Republicans must accept that agreement will require support from legislators in both parties. He insisted that the Senate-passed plan with Obama's $250,000 threshold, which polls show is strongly supported by the public, would pass the House if Boehner would allow a vote.

Some House Republicans have said they would join Democrats in supporting the president's proposal in hopes of moving past the volatile issue to focus on the spending cuts and entitlement reforms they seek.

The possibility of a fiscal cliff was set in motion over the past two years as a way to force action on mounting government debt.

Now, legislators risk looking politically cynical by seeking to weaken the measures enacted to try to force them to confront tough questions regarding deficit reduction, such as reforms to popular entitlement programs such as Social Security, Medicare and Medicaid.

Polling has consistently shown most Americans back the president, who insists wealthy Americans must pay more, rather than Boehner and his Republican colleagues, who have balked at tax rate hikes and demanded spending cuts and entitlement program reforms.

A new CNN/ORC International survey last week found that just over half of respondents believe Republicans should give up more in any solution and consider the party's policies too extreme.

The two sides seemingly had made progress early last week on forging a $2 trillion deficit reduction deal that included new revenue sought by Obama and spending cuts and entitlement changes desired by Boehner.

The president's latest offer set $400,000 as the income threshold for a tax rate increase, up from his original plan of $250,000. It also included a new formula for the consumer price index applied to some entitlement benefits, much to the chagrin of liberals.

Called chained CPI, the new formula includes assumptions on consumer habits in response to rising prices, such as seeking cheaper alternatives, and would result in smaller benefit increases in future years.

Statistics supplied by opponents say the change would mean Social Security recipients would get $6,000 less in benefits over the first 15 years of chained CPI.

Liberal groups sought to mount a pressure campaign against including the chained CPI after news emerged this week that Obama was willing to include it, calling the plan a betrayal of senior citizens who had contributed throughout their lives for their benefits.

CNN's Brianna Keilar in Hawaii and Dana Bash in Washington reported this story, which was written by Tom Cohen in Washington.

@highlight

Who will blink first in Washington's fiscal cliff showdown?

@highlight

Without a deal, everyone's taxes go up next year

@highlight

Senate Republicans reject a tax plan already passed by Democrats

@highlight

President Obama pushed his campaign stance on taxes