(CNN) -- This week's devastating crash of a high-speed train in Spain, which left nearly 80 dead, has drawn renewed attention to rail safety at a time when the Obama administration has prioritized the construction of fast new rail links.

These trains whisk passengers between city centers at speeds of 200 mph or more. European and Asian riders have enjoyed such service for decades. But such fast trains are still largely unknown to Americans thanks to decades of minimal government support for track improvement. As a result, intercity trains in the United States are mostly limited to about 110 mph.

So far, the Obama administration, thanks to support from congressional Democrats, has distributed more than $10 billion to begin investing in faster train service. Construction on the first phase of a link between San Francisco and Los Angeles, which will be the country's fastest rail line, will begin over the next few months. As recently as this spring, then-Transportation Secretary Ray LaHood suggested the government planned to connect 80% of Americans to such trains by around 2040.

The trains will be fast. Will they also be safe?

Indeed, there have been a number of high-profile rail crashes over the years. In 1998,101 riders were killed in Germany when a train crashed in Eschede. And in 2011, two of China's newest, fastest trains slammed into one another, killing 40 people.

But those are exceptions to the rule, caused by poor maintenance and monitoring.

Rail, high speed or not, is one of the safest ways to get around. According to a National Safety Council review of 10 years of transportation fatalities, for every mile traveled, car drivers and passengers are more than 10 times as likely to die in accidents as passenger rail riders. In 21 years -- between 1990 and 2011 -- the Bureau of Transportation Statistics shows that nearly 900,000 people died in highway crashes, while fewer than 15,000 died in train collisions.

Other countries' experience shows that high-speed rail can be even safer than the much slower U.S. trains. The bullet trains that zoom through France and Japan, for instance, testify to the astonishing safety offered by well-managed rail services. Each nation's system has been in operation for more than 30 years and provided billions of rides.

Yet thanks to advanced safety systems and extensive maintenance, no passengers -- zero -- have died as a result of a high-speed train crash in either country. Improvements in the design of German trains and a review of maintenance operations in China have also prevented repeats of previous train accidents in those countries.

Early reports suggest that the train crash in Spain could have been avoided. The train may have been traveling at more than twice the allowed speed limit. Modern train control equipment is designed to brake trains automatically when they travel too quickly or come too close to another train. Unfortunately, that train in Spain did not use that system.

The good news is that the United States, whose rail system already has a strong safety record, is becoming safer thanks to investments being made by public and private entities. The Federal Railroad Administration mandated last year that by 2015 all intercity track be equipped with train control systems that would prevent crashes such as this week's accident in Spain.

These realities should relieve the concerns of those uncomfortable about investing billions of dollars in American intercity train networks. The international record shows that high-speed rail is very safe to use.

An equally urgent question is whether such trains would provide a significant upgrade to the nation's transportation network, and here again the evidence is clear that they would.

High-speed rail offers the option to travel at fast speeds across hundreds of miles between downtowns in many of the country's largest metropolitan regions. Hopping on a train to travel between Chicago and St. Louis, Atlanta and Charlotte, North Carolina, or New York and Washington in two hours or less would aid economic development by easing business trips.

It would also lessen the stress of travel for millions of Americans. No more sitting in traffic, grinding teeth at the wheel. No more long airport security lines and shoe removals.

The environmental benefits would also be significant. California's system, the only one already set for construction in the United States, will operate on renewable energy alone.

Train service similar to that already offered in European and Asian countries would require a significant investment, but for many routes, an improved rail system is a worthy endeavor.

The opinions expressed in this commentary are solely those of Yonah Freemark.

@highlight

Yonah Freemark: High-speed train crash in Spain draws new attention to rail safety

@highlight

He says Obama wants high-speed rail, and construction will start soon in California

@highlight

He says France, Japan have had safe, well-managed high-speed rail for decades

@highlight

Freemark: High-speed rail could revolutionize transportation in U.S. and is worth doing