(CNN) -- The U.S. diplomatic cables obtained and released by WikiLeaks frequently rely on unnamed sources for delicate information. But one such source -- a businessman in Mozambique -- has furiously denied making remarks about high-level corruption attributed to him by a U.S. diplomat.

A cable dated January 2010 sent by then Charge d'Affaires Todd Chapman at the U.S. Embassy covered allegations about officials enabling drug trafficking by accepting bribes. They were based on a source who said he had "personally seen" one senior official [who is named in the cable] "receiving pay-offs quite openly."

But now that source insists such words never left his mouth.

"I feel I have been used. This is all Todd Chapman's own agenda. He obviously imagined I would never read what he had written," the source told the state-run Agencia de Informacao de Mocambique (AIM).

Several current and former officials came under attack in the cable in question. Chapman wrote that his source had told him the country's ruling party, FRELIMO, "brazenly squeezes the business community for kickbacks."

The source also supposedly called the country's president a "vicious scorpion who will sting you," and said FRELIMO and an alleged drug lord had their own clearing agent at a port.

In an interview with AIM, Chapman's source admits meeting him in 2009 but says he only told the diplomat of problems he was having with his business. When asked about other things, the source said, "I just told him I didn't know. I only knew what I read in the papers."

A similar case surfaced in a leaked cable from Peru. In March 2009, the U.S. Embassy in Lima sent a dispatch insinuating that a regional Army commander, General Paul da Silva, was involved in drug trafficking. The source's name was redacted, but he suggested the general was coordinating drug shipments with another man who was later arrested for smuggling drugs hidden in consignments of frozen fish. Da Silva, now the head of Peru's military, strongly denied the allegation and has threatened to bring legal action against the ambassador who wrote the cable.

The wife of Zimbabwe's president has sued a Zimbabwean newspaper for $15 million following its publication of allegations contained in a leaked cable that she was linked to and profited from illegal diamond sales in the southern African country.

The accusations in the Mozambique cable echo comments in several others from the country between July 2009 and January of this year. There are reports of officials routinely taking payoffs to turn a blind eye to drug shipments. One summary says bluntly: "Mozambique has been called the second most active narcotics transit point in Africa."

The State Department would not comment on the leaked cables that were supposedly authored by Chapman. A profile on the networking website LinkedIn lists Chapman as now working at the U.S. Embassy in Afghanistan.

In a cable from November 2009, Chapman writes, "The decrease in drug-related arrests at Maputo International Airport is not attributable to improved interdiction efforts but rather increased police and customs involvement in drug smuggling. A high level law enforcement official admits most police drug seizures are not reported to his office because traffickers and police make on-the-spot arrangements to allow the drugs to continue to flow."

Several attempts by CNN seeking comment from Mozambique's government were unsuccessful, but the Ministry of Foreign Affairs and Cooperation released a statement denying the accusations. "This information does not have any support base and undermines the image, prestige and good name of the Mozambican state and its leaders," said the statement reported by Radio Mozambique.

Chapman said one prominent businessman, Mohamed Bashir Suleman, was "described by multiple contacts as the largest narcotrafficker in Mozambique" with contacts at senior levels of the government. Suleman is also a donor to the ruling party.

Earlier this year, President Barack Obama identified Suleman under the Foreign Narcotics Kingpin Designation Act, and the U.S. Treasury Department subsequently sanctioned businesses he owned, calling him a "large-scale narcotics trafficker." Suleman strenuously denied the allegations in a news conference, saying he had never been involved with drugs. As for his relationship with FRELIMO, he said: "I am a member of the party, and I gave financial support for the good of the country and the good of the party." He denied receiving any favors from the ruling party and said all of his goods passed through port scanners.

A cable from July 2009 said a source within FRELIMO had described a customs official as "the King of Corruption." Six months later, Chapman wrote that same official had purchased real estate "valued at well beyond what his government salary should be able to afford." The official's office told CNN he was on vacation and wouldn't be available for comment until later this month.

Chapman contended that of the more than ten drug seizures during 2009, none had led to prosecutions as of January 2010. He said a senior law enforcement officer admitted most seizures aren't made public because officials ask for bribes and keep the drugs for resale.

Chapman also said police told Embassy officers they weren't willing "to go after 'big fish' narcotraffickers because of their ties to senior officials."

Not every official is accused of living a double standard. "Mozambique's Tax Authority (AT) has garnered a reputation for honesty and transparency," Chapman wrote in July 2009. "Mozambique most certainly is not yet a thoroughly-corrupted narco-state," he says. But, "money laundering, related government corruption (possibly even official support), and ties to South Asia mean that the problem has the potential to get much worse."

Transparency International, which monitors corruption worldwide, said in a 2009 report that "the end of hostilities provided increased corruption opportunities, through the development of a market economy in the context of a weak state."

CNN's Marilia Brocchetto contributed to this report.

@highlight

Leaked cables have unnamed sources furious

@highlight

Cables deal with alleged bribery, drug trafficking in Mozambique

@highlight

U.S. State Department refuses comment on cables supposedly written by ex-charge d'affaires