Barrow, Alaska (CNN) -- Edward Itta, a powerful Eskimo leader, looks out at the icy Arctic Ocean stretched out under a fuzzy orange sun that refuses to set this time of year.

"This is our garden," said the former mayor of the North Slope Borough, a county-style government covering an area as big as Wyoming.

Itta's garden, the Arctic Ocean, is filled with the whales, seals, walruses and fish the Inupiat Eskimos still need to survive.

But many Inupiats think "their garden" is being threatened by an international oil rush to get at what may be a treasure trove of more than 25 billion barrels of crude.

Itta's lynchpin decision on whether to fight Shell Alaska's efforts to begin exploratory drilling in the Arctic was among the most difficult of his 67 years.

Running his hands along the edge of a traditional boat -- much like the Inupiat people have used for thousands of years to hunt whale -- Itta remembers environmental oil disasters such as 1989's Exxon Valdez and the Deepwater Horizon.

But he also talks about the critical economic needs of the region's 9,500 people -- 11% of whom live below the poverty line.

"I struggled with myself and prayed a lot," says Itta.

The whole world is watching. Just ask Bob Reiss, an eco-journalist and author of "The Eskimo and the Oil Man."

"If Shell really hits it big this summer, I think things will heat up even more," Reiss told CNN. "It will be an undersea gold rush for oil."

Shortly before Itta left office after serving a maximum term, he reached a compromise with Shell that opened the door for drilling to begin later this year.

Other officials have struggled with competing fears and desires linked to the promise of oil riches.

Opinion: Why we should look toward the Arctic

What's interesting about Itta's shift toward his final decision is how far he traveled.

In his own words, Itta moved from "hell no" to "OK."

"Not only no ... but HELL no!" Itta emphasizes. "Even one time I said, 'I'm going to fight this, and they will have to do it over my dead body.' "

In this age of polarized politics and unwavering ideology, you have to wonder: what was that internal journey like?

Itta is no stranger to the oil industry. He spent some time working as a roustabout in Alaska's Prudhoe Bay, the nation's largest oil field.

But Itta viewed Shell's plan at first as "another threat to our way of life up here."

"We are the Arctic, because we are the land, we are the ocean we are one and the same," says Itta. "That's how we look at our environment -- how our culture has managed to get to this day and age, through thousands of years in one of the harshest environments."

Proponents say if Shell finds oil, it could spark thousands of new jobs. As much as 27 billion barrels could be waiting to be pumped to the surface, according to federal estimates, and 132 trillion cubic feet of natural gas. Opponents say an oil spill could pollute the waters and damage the economy.

"Our subsistence for the winter, it all comes from the ocean, the fish and whale. It's going to ruin our ocean," said 79-year-old Abagail Nashupuq of Point Hope, Alaska.

Shell Alaska vows it's taken every step possible to avoid a catastrophe.

"We will be drilling these wells like they are the most complex, most difficult wells that we have drilled in company history," says Pete Slaiby, the vice president of Shell Alaska.

Shell, he says, has to "take measures to safeguard the culture, the subsistence hunt and the lifestyle the people enjoy."

The company plans to use drilling ships to root for oil in two areas: a site west of Barrow named Burger in the Chukchi Sea and to the east of Barrow in the Beaufort Sea at a spot designated as Hammerhead.

About 18 miles offshore in the Beaufort and 70 miles in the Chukchi, in water less than 200 feet deep, the ships will drill about 8,000 feet to collect data on potential oil reserves. Then workers will seal the wells with cement and mechanical plugs before permanently abandoning them. The 2010 BP Deepwater Horizon spill that killed 11 oil workers and lasted three months spewed from a well that was 5,000 feet under water and about 40 miles off shore.

The Arctic's shallow waters will make a Gulf of Mexico scenario less likely, supporters say, because getting to the well will be easier and pressure conditions underwater at the drill site will be more favorable.

Shell has been forced to postpone drilling, which was scheduled to begin this month, until August by an unexpectedly thick ice pack.

The delay cuts valuable time for Shell, which is operating under U.S. permits that require the company to stop drilling in the seas by the end of October.

On Saturday, one of the ships that Shell plans to use to drill slipped its mooring and drifted close to one of Alaska's Aleutian Islands. It was the latest in a string of incidents to arise around the controversial project.

Questions also were raised in June about the durability of one of Shell's underwater oil spill containment vessels in severe weather, which resulted in the vessel that was headed to one of the drilling sites to be temporarily held at port in Washington.

A group of opponents, primarily the Inuit and environmentalists, called for a review of the federal air permits that were issued to Shell as part of its drilling plan.

Opponents also fear that floating ice will make any spill in the region a potential disaster.

"Nobody knows how to contain or clean up a spill in the harsh and remote seas of the Arctic," said Frances Beinecke, Natural Resources Defense Council president, in a written statement. If a "blowout occurs late in the drilling season, there won't be time to stop it before the winter ice chokes the site, leaving oil to gush uncontrolled for months."

Scientists predict there will be less ice by mid-century. If Shell finds the oil it's looking for, scientists say melting ice in the Arctic Circle will make conditions friendlier to floating drilling rigs. Some predictions say year-round shipping will be common in the region by 2050.

Practical and personal considerations influenced Itta's decision, he says. Growing up, he had no electricity, no running water. "You'd get back and forth from where you need to with dog teams."

"I started dealing with looking at my grandkids and my kids and what I had gone through ... and I wanted them to have what I have, if not better."

If production dips from the region's Prudhoe Bay wells and pipeline, "our tax revenues go way, way, way down," Itta admits. In an era when reliance on foreign oil is seen as a security threat, President Barack Obama's support of offshore drilling also helped Itta decide. "I think it's inevitable that action is going to happen out here -- in the name of national security if for nothing else."

Under the agreement negotiated by Itta, the borough agreed not to sue Shell if the company maintains constant scientific research and halts drilling when whales are in the region. They've agreed to fund a scientific environmental monitoring program with local coastal communities getting from $3 million to $5 million a year, Itta said.

Despite the agreement, Itta still says he opposes offshore drilling "mainly because I don't think enough mitigation measures have been even thought of or done to safeguard our waters and our way of life."

The tipping point in reaching the agreement, Itta said, was something his father once told him.

"You're going to be on a fool's errand if you think you are going to please everybody," he said. "Give it your best shot, seek advice and once you think you've found that -- go with it and don't look back."

"So that's the point where I said, 'OK, it's a compromise.' That's the right way: they have to give. We have to give."

Final word on whether to allow exploratory drilling is now up to the Department of Interior.

"I think I can rest easy that I have done the very best I could to bring our issues as Inupiat Eskimos to the forefront, in a way the oil industry understands -- the permitting agencies understand," Itta said.

"We helped to further set world-class standards for an operation here -- in our garden."

How do you feel about drilling? Let us know in the comments below.

Related: The war over coal is personal

Watch Erin Burnett weekdays 7pm ET. For the latest from Erin Burnett click here.

@highlight

Shell plans exploratory offshore drilling in two regions off Alaska

@highlight

Ex-mayor who campaigned on "hell no!" platform eventually said "OK"

@highlight

Issue pits environmental concerns against promising oil revenues

@highlight

Environmentalists fear harsh weather could worsen an oil well blowout