Finding the most famous chimpanzees in the world is a task that would test the most intrepid of explorers.

Reaching the picturesque hinterland of Gombe Stream National Park in Tanzania is just the start.

A two-hour boat ride across the vast waters of Lake Tanganyika follows. Finally, we disembark and begin to trek through the dense forests of Gombe for a further hour before the chimps in question are finally glimpsed.

Peering through branches towards the canopies, we spy a mother and her two young boys feasting on palm nuts.

It was close to this spot in 1960 that the Jane Goodall, the British primatologist widely regarded as the world's foremost expert on chimpanzees, began her near 55-year study of one specially selected chimp family.

Goodall, now 80 years old, would sit for hours and observe the complex social structures and interactions of her subjects.

The research of that one family and the subsequent generations it has spawned continues to this day, providing ever more fascinating insights into the behavior of the closest living relatives of human beings.

The magic of Gombe

"The magic of Gombe is two factors," said Emily Boehm, a PhD candidate at the Jane Goodall Institute Research Center, here to study the chimps.

"It's the opportunity to be here with a well-habituated group of chimpanzees, to come into the forest every day with knowledgeable field assistants. It's (also) the long term data, because Jane Goodall started this study in the early 60s."

"We have this incredible opportunity to know the chimps here now, and also their mothers and fathers and their grandmothers and all this incredible information that we have on them."

Researchers like Emily come from all over the world to study the chimps at Gombe.

There are an estimated 100 chimpanzees there today, broken up into three different communities. The group Goodall studied has the most, with around 60 members.

Meat eaters

Even after 50-plus years, researchers are still surprised by what they learn. Before the program began, chimpanzees were thought to be herbivores but Goodall saw them hunting monkeys and eating meat.

This is a trait we observe as we watch a group of chimps  track Colobus monkeys swinging in the trees above them. We also see another industrious bunch fashion tools to try dislodge termites from beneath a mound.

According to senior researcher at the Jane Goodall Foundation, Dr Anthony Collins, activities like these display a high level of intelligence.

"They're so much like humans. There are so many similarities in what they do, the relationships they have to each other, just all kinds of ways, there are subtle communications between them," Collins said.

He points to the example of how chimps will look to reconcile and embrace one another after a fight or confrontation. "They have reassurance and forgiveness of things which go wrong," he said.

Human threat

Despite the behavioral and genetic similarities, however, the chimps proximity to rural human settlements can often be problematic and detrimental to their own well-being.

"In some places that they live, there are lions, leopards, pythons. But on the whole, probably their main enemy is something like me, humans," Collins continued.

"(Some) people hunt chimps for eating, some places they get bits of chimps for cures, even witchcraft, and for a while there was a trade in baby chimps for their medical research and things like circuses and zoos."

In the dense forest and woodlands of Gombe, chimpanzees and other species are protected from the most destructive aspects of human behavior.

But that's not always the case in other sectors of the Tanzanian bush where large swathes of land have been transformed for agricultural purposes.

This has resulted in a huge number of trees being cut down that would otherwise offer shelter for communities of chimpanzees. Sadly, the best habitats for chimps are often also the best habitat for the likes of nomadic herders.

Sustainable farming

Recognizing these problems, the Jane Goodall Institute is working to teach the local population about sustainable farming so the forest is preserved.

Through the Gombe-Masito Program, they aim to show villagers that sustainable agricultural techniques can bring both more income and a more vibrant habitat for all species.

Preventing deforestation also has the knock on effect of ensuring sediments from the forest continue to run into Lake Tanganyika, maintaining the finely balanced ecosystem beneath the water and the trade of the fisherman in lakeside communities as a result.

These deep environmental connections are enough to convince some that chimpanzees are key to the future of rural Tanzania.

"In my opinion, chimps are important for the country's economic growth," said Aristides Aloice Kashula, a Gombe-Masito Program forest officer. "They can be used as a national symbol for tourist attraction into this area of Tanzania, generating income which should later be used for sustainable development of the communities."

"They are also important in that their habitat, if well conserved, can act as good vegetation covering for the forest."

"But also again, chimps are a global species, so they have to be kept for generations and generation to come."

That's a sentiment that Jane Goodall herself would be sure to endorse.

@highlight

Gombe Stream National Park in Tanzania home to a very special group of chimpanzees

@highlight

Chimps here have been under observation for 55 years by primatologist Jane Goodall

@highlight

Length of study means wealth of data and scientific infrastructure without parallel

@highlight

Jane Goodall Foundation looking to preserve ecosystem of Gombe and surrounding areas