(CNN) -- Political groups and campaigns hoping to sway voters on the health care issue have spent about $70 million on health-themed TV ads since January 2011, according to a CNN analysis of ad spending data.

What the health care ruling means to you

The U.S. Supreme Court is expected to rule Thursday on the constitutionality of President Barack Obama's signature legislation, the Affordable Care Act.

According to the data, which is tracked by Kantar Media/Campaign Media Analysis Group, one of the groups that spent the most is AARP, which funneled about $10.3 million into ads in favor of the law.

Ariel Gonzalez, director of health and family advocacy at AARP, says the group remains supportive of the legislation -- which was signed into law in March 2010 -- because it is hugely beneficial to his organization's members.

Timeline of the health care law

"We lobbied for its passage and we continue to comment on the regulations and implementation," Gonzalez said.

"The law does outstanding things for seniors and for our younger members. We are excited about the closure of the Medicare doughnut hole coverage gap with medications. We are excited about free preventive services and wellness benefits and the provision that eliminates the pre-existing conditions barrier and high premiums, and it has ended a good deal of fraud that had happened within the system."

But AARP's pro-reform ads were largely an exception, the data shows. Most groups' health care ads were soundly opposed to the law.

Karl Rove's conservative Crossroads Grassroots Policy Strategies spent the most among all groups and campaigns -- $14.98 million -- on ads that ran 22,004 times.

The U.S. Chamber of Commerce bought the second highest number of spots, spending more than $8.3 million to run ads against the legislation more than 13,000 times. The 60 Plus Association, which characterizes itself as the conservative alternative to AARP, spent $1.6 million on 2,861 spots.

Jonathan Collegio, spokesman for Crossroads GPS, said their ads are designed told hold candidates who supported the law "accountable for their vote."

"Our goal with the ads is to create an environment where repealing the legislation or replacing it with more free-market principals is possible," he said.

Basics: Health care reform issues

"And frankly the president has a huge soapbox by which he can promote what he says are the benefits of this legislation, and the only way the opposition can push back is through ads."

Blair Latoff, senior director of communications for the U.S. Chamber, says her organization's effort is focused on electing a pro-business Congress.

"We've engaged earlier and more aggressively than ever in our 100-year history," she told CNN in an e-mail.

Latoff characterized the ads as part of the chamber's "unprecedented voter education efforts to highlight candidates' positions on issues critical to the American recovery," including the health care law and other "job-killing regulations."

"This is a multi-dimensional process that is not focused on Republicans vs. Democrats, but lawmakers who support free enterprise vs. those who instead choose big government," she said.

Among the candidates, Obama's campaign spent $3.46 million on 8,211 spots, and presumptive Republican nominee Mitt Romney spent $3.8 million on 7,181 spots.

Priorities USA Action, the independent super PAC supporting Obama's reelection bid, spent $2.57 million on 5,193 spots. Restore our Future, the independent super PAC supporting Romney, spent $1.36 million on 3,589 spots.

Read the ruling (.PDF)

Among Senate and House candidates, Jon Bruning -- the conservative Republican who hopes to fill the seat being vacated by retiring Nebraska Democratic Sen. Ben Nelson -- spent about $500,000 on some 2,200 health care-themed spots.

His ad asks, "Why am I leading the fight to stop President Obama's health care law? Just look at the unconstitutional power grab of a federal mandate that forces you to buy certain kinds of insurance."

Nelson's was the 60th and final vote needed to block a Republican filibuster against the health care bill, which passed in the Senate largely along party lines in December 2009.

Drew Westen, an Emory University psychology professor who wrote "The Political Brain," said the ad debate is about much more than health care.

"If I were a Republican candidate I would fill the airwaves with attack ads against Obamacare, just like they are doing, because this is one of the weakest links for this administration," Westen said.

"This was probably one of the most poorly managed messaging campaigns from a president in American history," he said. "Here was his signature issue in the first term that was supposed to be his strength, but his administration did a bad job selling it, and even those who benefit from the legislation don't realize they do because the Obama administration never explained it well."

Westen says much of the problem was the way the Affordable Care Act was constructed. The provision that would matter most to people, he says, won't kick in until 2014 -- when 30 million people would be able to get health care without being denied insurance due to pre-existing conditions.

The delay in implementing that provision, Westen says, let conservative groups run ads against the law before Americans experienced its benefits.

"The Obama administration had this extremely naÃ¯ve idea that a good idea would sell itself, and that it was a waste of time to talk to the American people," Westen said. "Instead, they let the right dominate the airwaves about this debate. When the administration finally started to fight back right before the midterm elections in 2010, it was too late. It just looked like sour grapes."

No matter what decision the U.S. Supreme Court reaches on the legislation, he says, expect to see more ads on health care in the future.

By the numbers: Health insurance

@highlight

PACs, campaigns have spent about $70 million on health care ads since January 2011

@highlight

AARP among the groups that spent the most: $10.3 million on ads supporting the new law

@highlight

Most money went to ads opposed to the law, a CNN data analysis showed

@highlight

Conservative Crossroads Grassroots Policy Strategies spent the most: $14.9 million