(CNN) -- No amount of economic growth will land you a job if you get unfairly snagged in the FBI's faulty background check system. And you can lose your job because of the FBI file inaccuracies, too.

After working without incident at a Philadelphia port for 33 years, Russ F. was told he was out of a job when a newly required post-9/11 security clearance check found an arrest dating back to 1971. Charges were never filed, and Russ was never prosecuted.

But the nearly 40-year-old arrest was reported on his FBI background check with no additional information, and Russ needed months to track down documentation to prove he had never been convicted or even charged with a crime. Only then could he regain his job.

A National Employment Law Project report found the FBI ran a record 16.9 million employment background checks -- a six-fold increase from a decade ago -- for jobs ranging from child care to truck driving, port workers to mortgage processors. Although background checks can contribute to workplace safety, inaccuracies in the FBI database mean that these checks are blocking about 600,000 Americans a year from jobs for which they may be perfectly qualified. This unfair barrier to employment can and must be fixed.

The glitch is that FBI records often fail to report the final outcomes of arrests. The case might have been dismissed or the charges reduced, but a prospective employer might not know it from the FBI background check. Roughly one-third of all felony arrests don't result in conviction, according to the Bureau of Justice Statistics, and many more are reduced to misdemeanors. By the Justice Department's own count, roughly 50% of FBI background records are incomplete and don't include the final outcome of an arrest.

In the face of such errors, only a fraction of job seekers successfully correct their FBI records -- and then only with great effort and expense. Those unable to correct their reports are often trapped in a cycle of poverty that U.S. Attorney General Eric Holder decried in a recent speech.

Raquel Vanderpool, a nurse's aide in Newport, Michigan, with nearly a decade of experience, was fired when an FBI background check inaccurately reported a youthful conviction that had been dismissed and sealed. Vanderpool was fired and unable to find employment while she struggled -- for four years -- to clear her record. During that time, she exhausted her unemployment benefits, relied on food assistance to feed her children, lost a family vehicle and was forced to short sale her home after entering foreclosure. Now re-employed, Vanderpool will have to spend years digging out of the financial hole that the FBI's inaccuracies left her in.

The burden of these errors comes with sharp racial disparities.

Just as African Americans and Latinos are disproportionately affected by the criminal justice system, so are they disproportionately harmed when records are incomplete. Denying employment based on faulty records puts more African Americans and Latinos out of work for longer while they struggle to clear their name.

What can be done?

The FBI, which gathers records from the states, must provide accurate and up-to-date information when potential employers come asking for them.

A successful and well-established federal precedent for this exists in the Brady Handgun Violence Prevention Act, the federal program for firearm background checks. Under the Brady Act, when the FBI receives background check requests for gun purchases, it contacts the appropriate federal, state and local agencies to get any missing disposition information and is able to clean up two-thirds of faulty records within just three days of the request. The system is quick, efficient and accurate.

If a similar system were applied to employment background checks, we estimate that 390,000 workers a year would be assisted -- able to get a job -- because of the timely, accurate information. Employers and licensing agencies would benefit from clean records, too.

Rep. Bobby Scott, D-Virginia,  introduced a bill to clean up incomplete FBI background checks for employment. Rep. Keith Ellison, D-Minnesota, has also introduced the Accurate Background Check bill, specifically focusing on federal employment. These bills are coming not a moment too soon.

In addition to these critical legislative fixes, the FBI can do a lot immediately to address this problem, including accepting updated records from fellow federal and state agencies.

The seal of the FBI is intended to mark these records as official, legitimate and trustworthy. Until they are made so, the records pose an unacceptable barrier to employment for thousands of Americans. That's something our economy and our workers cannot afford.

The opinions expressed in this commentary are solely those of Madeline Neighly.

@highlight

Madeline Neighly: Employers use FBI background checks, but half the information is wrong

@highlight

She says 600,000 are turned away from potential jobs because database isn't updated

@highlight

Neighly: An old arrest record can get workers fired, even if they were never charged

@highlight

System must be updated, she says; it's an injustice to thousands of Americans