Zhuhai, Guangdong Province (CNN)Zhuhai's Air Show has always been a venue for surprises, usually first-time showings of advanced Chinese military hardware.

China's pathologically secretive defense industry normally shows nothing official of its weapons programs to anyone, which makes the biennial Zhuhai expo the only chance to see what its weapons makers have been up to.

Much has been written in the past few years about China's defense sector developing increasingly more capable weapons systems that approach the capability of their U.S. and European analogues.

Some Chinese weapons, such as a full range of anti-ship and air-to-surface missiles, seem to show that its military -- the People's Liberation Army (PLA) -- is equipped to challenge U.S. Navy carrier battle groups and potentially deny the U.S. the ability to operate in certain areas of the Pacific. But questions remain about how battle-ready the PLA is and whether it can function in a modern, network-centric warfare environment.

Today's battlefield operates on the premise that autonomy should be pushed down to the lowest level -- even down to the man in the field -- because time is of the essence. Getting inside of the enemy's "decision loop" is the key to victory. But, giving individual units the ability to make their own tactical decisions without their orders being delivered from several layers up the chain of command is an anathema to the "control uber alles" mentality of the Chinese leadership.

In terms of new weapons, the number one attraction at Zhuhai this year was the new Shenyang FC-31 fighter.  It has generated a good deal of excitement as it's the first time a new Chinese military aircraft has been unveiled while still in the early stages of development -- we usually have to wait until after they start serving in the PLA's air force.

The FC-31 is designed to look like a stealth fighter aircraft in the class of the American Lockheed Martin F-35 Joint Strike Fighter.  It is also the second, but smaller, stealth-type design to be developed by China. The FC-31's "Big Brother," the Chengdu J-20, first flew in January 2011 but has been shrouded in secrecy ever since.

The FC-31 "looks" stealthy and its shape mimics that of the F-35 in some respects.  But it is impossible to tell just how successful the Shenyang design team has been in developing an aircraft with a low radar cross section without knowing the materials used, the placement of the engines inside the aircraft, and how well the heat signature from the engines has been suppressed by the design of the exhaust nozzle section.

Like other PLAAF fighter aircraft, the FC-31 is powered by Russian-made jet engines, in this case two Klimov RD-93 models, which are a specialized variant of the same engine that powers the famous Mikoyan "MiG-29."  There have been rumors that a team of renegade designers from the Mikoyan bureau in Moscow assisted Shenyang in the development of the aircraft, but a senior MiG official stated "no, as far as I know they [the Chinese] completed this design themselves, and they seem to have done a good job on their own."

The MiG official may be correct.  An aircraft of this type designed with Russian assistance would probably perform better.

The FC-31's flight routine shows that it "bleeds" too much energy -- so when it enters into a turn it begins to lose altitude. Even during straight and level flight the pilot has to engage the engine's afterburners in order to keep the aircraft from sinking to a lower altitude. These are defects in the aircraft's aerodynamic design that a Russian design team would not have made.

Western aerospace analysts point out that the FC-31 flown at Zhuhai is a "clean" jet in that it is not armed, which means that an aircraft configured for a real mission and fitted with weapons would be even heavier and would perform even worse.

So, why has the PLAAF chosen to exhibit an aircraft that is either overweight, underpowered or both?

It could be an oblique signal to Washington timed to coincide with President Barack Obama's visit to Beijing for the APEC summit. The underlying message: "China is stronger than you think."

This would not be the first such example of China trying to use its defense industry to flex its muscles.  In January 2011, when the J-20 first flew, then-U.S. Defense Secretary Robert Gates was in Beijing for an official visit.  His read was that the timing of the two events was in no way coincidental.

Unfortunately for the PLA, the gesture falls flat.

Many would have been more impressed by the FC-31 in photos posted on Chinese websites than after seeing it actually fly at the air show.

Looks can be deceiving, as they say.

@highlight

Air show provides rare glimpse of China's home-grown military hardware

@highlight

China has made progress in weapons technology, but doubts persist on battlefield readiness

@highlight

There's much interest in its new Shenyang FC-31 fighter, which is said to be "stealthy"

@highlight

But some analysts believe it may be overweight and underpowered