Washington (CNN) -- First the attackers blew up bombs outside a Pakistani prison. Then they scared off people in the area and used loudspeakers to call out specific inmates they were trying to release. Shiite prisoners left inside were killed.

"It was a well-planned assault," noted CNN National Security Analyst Peter Bergen, who provided details Monday of the July 30 prison break in northwest Pakistan.

Other similar operations in the past two weeks in Iraq and Libya successfully freed hundreds of convicted or suspected Islamic terrorists, a known strategy of al Qaeda leader Ayman al-Zawahiri.

Bergen and other analysts cited the prison breaks as one of several reasons the United States has dramatically heightened its security stance by issuing a worldwide travel alert and closing almost two dozen embassies and consulates on Sunday, with 19 of them remaining shut for the rest of the week.

The State Department said the substantial security steps reflect an "abundance of caution" over intelligence information that indicated final planning by al Qaeda in Yemen for possible terrorist attacks on Western targets to coincide with the end of Ramadan this week.

'Do something'

An intercepted message among senior al Qaeda operatives in the last several days further intensified concerns already heightened by increased terrorist chatter detected by intelligence agencies, as well as the prison breaks.

A message from al-Zawahiri to his second in command in Yemen told him to "do something," CNN has learned. U.S. and Yemeni officials had already spent weeks watching a rising stream of intelligence about the possibility of a major terrorist attack in Yemen, so the message caused them to fear imminent terrorist action.

CNN had the information over the weekend and decided not to report the details about al-Zawahiri's involvement based on U.S. government concerns about the sensitivity of the information. Now that it has been widely reported in other media, including the New York Times and McClatchy, CNN has now decided to report it as well.

And U.S. officials cautioned that there may be multiple sources of intelligence, including intercepts of electronic information from phone calls and web postings and the interrogation of couriers or other operatives.

Opinion: What's behind timing of terror threat

Asked Monday about the prison breaks, State Department spokeswoman Marie Harf called them "a concern for the international community" that is "separate and apart" from the U.S. concern about the latest specific terrorist threat.

Bergen, however, noted that al Qaeda "actually announced a year ago that they were going to do this campaign of releasing prisoners from prison and they conducted something like seven prison assaults -- a couple of which have been quite successful."

Prison breaks

A senior official with Iraq's interior ministry told CNN on condition of not being identified that top officials of al Qaeda in Iraq, including Adnan Ismail Najim Abdullah al-Dulaimi, escaped from Abu Graib prison during the jailbreak there last month and remains at large.

Bergen noted that a 2006 prison break in the Yemeni capital, Sanaa, led to the creation of al Qaeda in the Arabian Peninsula, one of the terrorist organization's most virulent affiliates.

Although the prison breaks are not the main reason for the raised terror threat, said CNN Terrorism Analyst Paul Cruickshank, "it is part of the background music." Prison breaks can often strengthen terrorist groups because "some of these guys are likely to be seasoned operatives," he added.

To CNN National Security Contributor Frances Fragos Townsend, the timing of the prison breaks and increased intelligence chatter building up to the end of Ramadan signaled heightened al Qaeda activity that required precautionary steps in response.

She noted that in the run-up to the September 11, 2001, terrorist attacks, "the government failed to connect dots."

"These seem like dots that ought to be connected," said Townsend, a former homeland security and anti-terrorism adviser to the Bush administration. "You can figure out later whether or not you were right."

Is rash of brazen prison breaks related? Interpol wants to know

Another dot she cited was that al-Zawahiri recently appointed Nasir al Wuhayshi, the Yemeni leader of al Qaeda in the Arabian Peninsula, to be the new general manager of the global al Qaeda network.

CNN has learned al-Zawahiri's message for action was sent to Wuhayshi.

A high-profile attack orchestrated by Wuhayshi would cement the Yemeni's new position in the al Qaeda hierarchy, Townsend said.

Yemen is an area of particular concern. Three sources said the United States has information that members of the Yemen-based al Qaeda in the Arabian Peninsula (AQAP) are in the final stages of planning for an unspecified attack.

According to a U.S. official with access to the latest intelligence, Wuhayshi's appointment as a top global al Qaeda figure would almost certainly have required back-and-forth communication between AQAP and al Qaeda central.

At the White House, spokesman Jay Carney told reporters Monday that while U.S. anti-terrorism efforts had decimated al Qaeda's global leadership and greatly diminished its core in the Afghanistan-Pakistan region, the threat still posed "has shifted to some of these affiliates, in particular AQAP."

Over the weekend, Interpol warned that al Qaeda has been tied to the prison breaks on July 23 in Iraq, on July 26 in Libya and four days later in Pakistan.

End of Ramadan

Another factor prompting the embassy and consulate closures is the end of Ramadan. Depending on when a new crescent moon is seen, the Muslim holy month could end Wednesday or Thursday.

Ramadan's end is celebrated with the Eid al-Fitr festivities -- a three-day holiday in most Muslim countries.

The State Department, in announcing its closures, alluded to this, saying that "a number of our embassies and consulates were going to be closed in accordance with local custom and practice for the bulk of the week for the Eid celebration at the end of Ramadan."

Britain also announced its embassy in Yemen will remain closed through the end of Eid "due to continuing security concerns."

Strategic reason

Townsend said there could be a strategic reason for shutting down the diplomatic offices.

"Once you take targets away, it buys you additional time to try and disrupt, to identify the cell, the operators in country and the region, and work with your partners in the region to try and ... get them in custody or disrupt the plot," she said. "So, some of this operationally is about buying time."

List of closures

A total of 19 U.S. embassies and consulates will be closed Monday through Saturday.

The following 15 were part of the original list:

U.S. Embassy Abu Dhabi, United Arab Emirates

U.S. Embassy Amman, Jordan

U.S. Embassy Cairo, Egypt

U.S. Consulate Dhahran, Saudi Arabia

U.S. Embassy Djibouti, Djibouti

U.S. Embassy Doha, Qatar

U.S. Consulate Dubai, United Arab Emirates

U.S. Consulate Jeddah, Saudi Arabia

U.S. Embassy Khartoum, Sudan

U.S. Embassy Kuwait City, Kuwait

U.S. Embassy Manama, Bahrain

U.S. Embassy Muscat, Oman

U.S. Embassy Riyadh, Saudi Arabia

U.S. Embassy Sanaa, Yemen

U.S. Embassy Tripoli, Libya

The following four embassies have been added:

U.S. Embassy Antananarivo, Madagascar

U.S. Embassy Bujumbura, Burundi

U.S. Embassy Kigali, Rwanda

U.S. Embassy Port Louis, Mauritius

CNN's Jill Dougherty, Dana Bash, Hamdi Alkhshali, Chris Lawrence, Evan Perez, Gloria Borger, Jim Acosta, Elise Labott, Mohammed Jamjoom, NuNu Japaridze, Bharati Naik, Karen Smith and Hakim Almasmari contributed to this report.

@highlight

NEW: Zawahiri message No. 2: 'Do something'

@highlight

"These seem like dots that ought to be connected," a CNN analyst says

@highlight

19 U.S. diplomatic posts around the world will be closed through Saturday

@highlight

Intelligence intercepts, the end of Ramadan and prison breaks contribute to the alert