(CNN) -- For most Americans, the budget debate in Washington is reaching dog-whistle pitch, a tone that only partisans can hear. Which, as far as I am concerned, is a mercy.

Paul Ryan offered his budget on Tuesday. Let's do give him props for making the effort and all. The vast majority of his colleagues are potted plants on this front, reading talking points, sometimes banging the table and doing precious little else. But what Ryan calls a budget is what any CEO would call a firing offense. It uses some numbers and some words that appear in real budgets. But it neglects some other key elements ... like arithmetic or the truth or a greater economic purpose.

The Ryan budget depends entirely on unspecified tax reforms and the replacement of revenues he doesn't care for (such as those associated with Obamacare) with others he doesn't care to actually define or describe. The rigorous, widely respected Center on Budget and Policy Priorities slammed the exercise, taking Ryan to task for failing to live up to his billing as the guy courageous enough to put his ideas out there.

It wrote, "Is it courageous to propose tax cuts but not identify a single tax expenditure to rein in? Is it courageous to target your deepest cuts on the poorest Americans, who vote in lower numbers and provide little in campaign contributions? Is it courageous to camouflage hundreds of billions in cuts for the poor and disadvantaged in broad budget categories without identifying the programmatic cuts, so that analysts, journalists, and other policymakers can't identify the specific cuts and assess their impacts?"

Meanwhile, on the other side of the aisle, we have a real sign of the End Times: Senate Democrats have actually come out with a budget for the first time since the iPad was invented. There are children in school, reading, who were born since their last budget.

Senate Budget Committee Chairwoman Patty Murray unveiled it Wednesday. Her budget is as partisan as Ryan's and offers little common ground with his on controversial issues. It calls for $1.85 trillion in deficit reduction through the end of the decade, almost $1 trillion of it from new revenues.

Ryan calls the divergent plans the beginning of a process. The question is where that process will lead.

Early next month, the president will submit the budget he was supposed to have sent to the Hill in February. There it will sit, because it too is just a negotiating ploy, an opening bid.

These compilations of charts and data are not budgets at all. They are just props in the Budget Follies of 2013. Not one of the long-term visions sketched out in these plans will actually be realized. There will be no serious discussion or honest debate about enacting meaningful tax reform, rethinking defense spending or remaking our entitlement system for a world in which people generally live longer and in which government resources are stretched.

But, frankly, these aren't even the most critical issues we should be addressing.

The budget is important. Cutting our deficits matters. But in a country in which corporate profits and the stock market are at record highs but in which jobs are being created far too slowly and median incomes are sagging, we have far more basic issues to grapple with.

The United States is like a business whose model for making revenue is failing, trying to save itself by cutting down on travel expenditures and the cost of making photocopies. Sure, we shouldn't overspend. But if we don't figure out what business we're in -- what new industries will create tomorrow's jobs, what kind of new workers we'll need, what kind of infrastructure we must have to be competitive and attract investment -- our deficit problems will seem minor compared with our social and political concerns.

Our most important national discussion should not be about spending but about investment. We need to recognize that some federal programs help grow the economy and weigh the return on investment we will get from these and which are essential to growing the new industries that will be the employers of tomorrow ... and will provide the growth that is the only real solution to our debt issues.

The Ryan budget cuts transportation spending in a country that has neglected its highways and bridges for over half a century. It doesn't plan for the infrastructure spending we will need to respond to the consequences of climate change (like hurricane relief) or anticipate the investment we could make to avoid such problems in the first place. It doesn't discuss how to expand information technology and next-generation energy infrastructure as we must.

Perhaps the Senate budget or the president's will be wiser about investing -- although neither is likely to think big enough about transport spending or an infrastructure bank or, better, a network of regional infrastructure finance institutions. What seems more likely, sadly, is more hollow gestures, scurrying to avoid artificial deadlines and visionless crisis management. Not one leader has emerged in Washington who is providing anything truly different that cuts to the core questions we face or rises to the true challenge of our times.

Which leaves us but one consolation. Washington has grown so shrill that most of this empty debate will be heard only by our dogs. Pity the dogs.

The opinions expressed in this commentary are solely those of David Rothkopf.

@highlight

David Rothkopf: Many are oblivious to D.C.'s budget debate; that's just as well

@highlight

He says Ryan's budget re-offer neglects math; Murray's also falls short; Obama's up next

@highlight

He says they are all unworkable; we should be talking about investment, not spending

@highlight

Rothkopf: Growth, including federal programs that work, is only real solution to debt