(CNN) -- In many ways, airplanes are a retailer's dream come true. They serve a captive -- often bored -- audience who have proven their income is disposable enough to afford air travel.

It's no wonder that in the last few years, airlines have adapted an increasingly sophisticated approach to parting customers from their money.

"By nature, airlines are mass transit operators, and they didn't necessarily have any retail savviness when they first started to unbundle -- it was very much low-hanging fruits, like chocolate bars and Pringles up and down the aisle," says Dan Thompson, senior vice president of global strategy at GuestLogix, a provider of in-flight retail solutions.

"Now, there's a new sense of maturity in retail strategies with airlines," he adds.

Lately, carriers have replaced mass market beers with craft brews, standard chips with locally sourced gourmet goodies, and added ticketed events to the retail roster. In 2011, AirBaltic even experimented with selling cars on board their flights, becoming the first carrier to do so.

"We think of flight as a travel megastore; we expect to make money for the products that we offer," says Jannis Vanags, AirBaltic's vice president for communications.

In many ways, the Latvian carrier has been a trailblazer when it comes to its retail offerings. Vanags claims it was the first airline to introduce bicycle rentals, and the first to accept Bitcoin as a form of payment. It was also one of the first airlines to allow non-passengers to make surprise purchases (think roses and champagne) for their friends in the air. Currently, customers can also buy AirBaltic-branded shoes on the flight.

"Some things have been batted around in terms of thinking outside the box, in terms of 'how wacky can we get?' and in a sense, the sky is the limit -- excuse the pun -- for what you can sell on board," says Thompson. Mainly, though, he notes that it's the tried-and-true that entice customers the most.

"Really, passengers will spend on something that enhances their trip, and means something to them because of the experience they're in at the moment. It's hard to imagine them going on board and buying a sofa that will be delivered back to their apartment."

The odd factor

For many years, airlines left the quirkier retail offering to SkyMall, the quarterly in-flight catalog available on almost all domestic flights in the United States. An old business model (the company is nearing its 25th anniversary), SkyMall has recently had to contend with the more aggressive retail strategies employed by many airlines, as well as distracting new technology; iPhones in the air mean travelers are less dependent on the catalog for entertainment.

The company, which has made a name for itself by proffering off-kilter items (the garden yeti and remote-control R2D2 robot are long-standing best-sellers), has recently started to adapt its business model, putting even more focus on quirky products. SkyMall is also in the process of launching a mobile app.

"One of the larger shifts in the last several years is we've become extremely product-centric," says Darin Geiger, SkyMall's director of merchandizing.

"We want to be proactive in finding what's new and unique. To that end, we've been going to a lot more trade shows, searching the globe for those new products."

Some of its biggest sellers, notes Geiger, are sports paraphernalia and pet products. Though he says SkyMall's customer base appreciates functionality, it's some of the stranger and more original products that capture the imagination.

"First, we look at products that are new to market, or solve problems. Then, we look for those social-media type products that our marketing team can have a lot of fun with," he adds.

@highlight

To make money, airlines are pushing everything from craft beer to cars

@highlight

In addition to Mini Coopers, airBaltic sells branded shoes

@highlight

airBaltic was also the first airline to accept Bitcoins for payment