(CNN) -- Q: Why are doctors recommending fewer cancer screenings? Shouldn't you find out if you have cancer and then decide whether to treat it?

"His teeth began to chatter. God All-Mighty! He thought, why haven't I realized it all these years. I've gone around with a -- skeleton -- inside me! I won't stand for it."

In one of Ray Bradbury's most famous short stories, "The Skeleton," the lead character goes insane after becoming obsessed with the fact that he has something foreign and frightening inside himself.

The story, preposterous as it is, rings psychologically true because it taps into the most primal of all human terrors: Having one's body invaded by something different than oneself, especially when that thing is not just different, but dangerous.

This evolved fear, which is supported by very specific mechanisms in the brain and nervous system, likely helps explain why people are so much more terrified of cancer than they are of heart disease, even though the average American is more likely to die of the latter than the former.

In the case of heart disease, there is only the failure of something we've always had ticking away inside us. On the other hand, cancers are our own cells that quickly become hideous mutant beings, not quite us, but not quite something else either. Whatever they are, they invade our bodies to disfigure and destroy us.

Much has been written recently about why people are so upset over the U.S. Preventive Services Task Force recommendation to abandon the current practice of routinely screening healthy men for prostate cancer.

Some experts have argued that the negative reaction comes from the fact that the panel is just flat-out wrong. The problem with this argument is that copious data suggest that the panel is right. A recent blog on Time.com more insightfully suggested that people are loathe to abandon even worthless blood tests because they anecdotally know someone who claims he/she was saved by getting this test at the right moment.

Prostate cancer screening's false promise

As a psychiatrist I can't help but wonder if the extra fever pitch of outrage over abandoning prostate-specific antigen, or PSA, tests might also have its roots in our primal fear of harboring dangerous strangers beneath our skin and our consequent reluctance to give up any light in the darkness that might flush such foreign combatants from the shores of our bodies.

To understand the mental health implications of this idea we have to take a step back and ask why abandoning the PSA test would improve our society's health.

One reason is that, despite its name, the PSA is not particularly specific. This means that many people with a positive test will turn out not to have prostate cancer. That's good news for the affected individual, but bad news for overall health and well-being, because this conclusion only comes at the end of a medical work up that includes a biopsy and other procedures that come with their own health risks.

Here is the more relevant reason for abandoning the PSA: It is probably even more dangerous when it is right than when it is wrong. That's because prostate cancer frequently follows one of three courses.

Sometimes it remains small and contained and doesn't grow. In this situation it poses no health risk. Sometimes it grows, but grows so slowly that the person will almost certainly die of old age before succumbing to the cancer. Again this situation poses no health risk. Sometimes the cancer grows rapidly and is so aggressive that it will kill the person regardless of when it is discovered. In this case the PSA test does no material good.

What these situations share is the fact that in each case, knowing that you have a cancer growing inside of you doesn't do you a whole lot of good.

Here is what is being largely ignored in the current controversy: Would it cause harm to know you have a cancer growing inside you and do nothing about it?

You don't have to be a mental health specialist to suspect the answer to this question is yes, for several reasons.

At the most basic level, the knowledge that one harbors an ignored malignancy would place many people in an emotional state reminiscent of the unfortunate main character in Ray Bradbury's story. They would know that something strange, foreign and dangerous had taken up residence inside themselves, and this knowledge would almost certainly alter how they perceived themselves in multiple ways, subtle and not so subtle.

But the real cost would come from the fact that not following up on a positive PSA test would almost certainly promote the development of mood and anxiety disorders.

Why? Because we know from many studies that feeling powerless in response to a threat or danger in the environment greatly increases the risk that a person will develop depression and related conditions like post-traumatic stress disorder. Knowing you harbor a tumor and aren't able to do anything with this knowledge would be a perfect example of this phenomenon.

The cost of this knowledge would be especially high for those already predisposed to mood and anxiety disorders as a result of a tendency to worry, to ruminate, to focus too greatly on their health.

But can you imagine any better way to make a previously normal person into a ruminating wreck? Imagine living in a world in which every mention of the word "cancer" immediately reminded one of his own situation and his inability to do anything meaningful about it?

So from a mental health perspective, it seems to me the guidelines around PSA testing are clear: To continue PSA testing in low-risk individuals will significantly increase mental health morbidity if treatment guidelines change such that prostate cancers are not routinely removed.

But it is also clear that PSA testing itself is not the deepest issue at play in the current debate. What it really comes down to is the question of whether we can sufficiently overcome our evolved terror of harboring dangerous foreign invaders inside ourselves to tolerate the clear implication of the Task Force's recommendation:

For medically healthy men, prostate screening is truly a situation in which ignorance is bliss.

@highlight

Task Force recommends against routinely screening healthy men for prostate cancer

@highlight

Dr. Charles Raison says mental health can decline when people worry about their health

@highlight

Many people with a positive PSA test will turn out not to have prostate cancer