(CNN) -- As India hosts the world's second largest automobile trade show, its domestic market seems to be having some difficulty getting out of first gear.

Car manufacturers from across the world, along with India's homegrown car companies, have descended on New Delhi for the 12th edition of the biannual Auto Expo show.

Global manufacturers view the still-modest percentage of car owners as leaving room for long-term growth.

Boasting increasing amounts of disposable income, India's emergent middle class is viewed by the global automobile industry as a prize -- something reflected in the international interest in New Delhi.

"India's middle class has been expanding," Toshiyuki Shiga, Vice Chairman, Nissan, told CNN. "They'll increase domestic demand. We'd like to offer our vehicles at reasonable prices."

As the event opens, some eyes are focused on the sports utility market, with Chevrolet's Adra SUV concept and Volkswagen's Taigun, a mini SUV, rumored to be launched at Auto Expo 2014. High-end marques like Jaguar will also be displaying new cars, like its F-Type Coupe.

However, it is the sub-four-meter compact sedans that are set to dominate the show this year.

New cars for the Indian market aspiring to lure the growing middle classes include the 2014 Hyundai Xcent, Honda Amaze and Maruti Dzire, Ford Figo Concept. These brands will be unveiled at the Expo alongside the domestic Maruti (in partnership with Japan's Suzuki motors), Cerelio -- expected to be the most popular launch of the event -- and Tata's Zest and Bolt hatchback models.

With these new models, Tata, the Mumbai-based manufacturer, has undergone some radical overhauls of its design and technology processes -- including the inclusion of the company's Revotron engine -- in a bid to recapture lost market share.

"These cars have been engineered for global markets, through global teams across India, the UK and Korea to set new standards in their respective segments," Ranjt Yadav, president of passenger vehicles, Tata Motors, told reporters in Delhi.

Hyundai, currently the country's second-largest car manufacturer, will cut export figures to focus more on the domestic market and maintain market share.

"Based on market requirement, we will recalibrate our production between domestic and export market," Rakesh Srivastava, Hyundai Motor India's vice-president of marketing and sales, said in an interview with the country's Economic Times.

"Then, whenever there is a need, our investor, our global parent is committed to bringing in additional investment in terms of capacity; but the additional 45,000 units added through re-engineering is enough to meet the demand in the short-term."

As India develops as an economic power and consumers become more sophisticated in their buying habits, analysts say that the automotive industry's growth is slowing down.

"The auto industry is facing significant headwinds on account of rising interest rates, increased fuel prices and reduced share of consumer wallet to discretionary purchases," Deepak Gupta, Institutional Equities, Trust Financial Group, told CNN.

"Growth has been tepid in both two- and four-wheelers, and the majority of growth is attributed to entry level vehicles."

The Society of Indian Automobile Manufacturers (SIAM) said sales of passenger vehicles declined by 5.72% during April-December 2013, compared to the same period the previous year.

India produced 2,029,589 vehicles in the first half of 2013, according to figures released by the International Organization of Motor Vehicle Manufacturers, representing an 8.7% decline over the same period the previous year.

In comparison, the United States, a country with around a quarter of the population, made 5,665,485. China, by far the world's largest auto producer, manufactured 10,751,683 vehicles in the same period.

Gupta says that, while "major car companies are bullish on India and think the economy could change post-general elections," he does not think that the Auto Expo itself will provide an upturn in market sentiment.

And while the automobile market might be in danger of stalling, India's sheer numbers mean that there are still thousands of new cars being introduced to India's already-congested roads every day.

Delhi recently stole Beijing's crown as the world's most polluted city, and lax environmental standards in domestically produced cars are considered partly to blame for Delhi's poor air quality.

Alongside smog caused by traffic, congestion as well as high accident rates and fatalities in India's urban centers mean that cars are an increasing part of the difficulties of life in the subcontinent.

Mumbai, the country's financial capital, has attempted to address the issue with the recent addition of a nine-kilometer-long monorail.

The line, which opened at the beginning of February, traverses the western Indian city and will offer respite to some commuters  but much of the remainder of the country's public transportation network is antiquated and overburdened, meaning that cars are increasingly the choice of the growing middle class.

@highlight

The 12th Delhi Auto Expo opens on February 7

@highlight

Compacts continue to dominate attention

@highlight

Auto market remains sluggish in India, but global manufacturers willing to bet on the long-term

@highlight

India's private cars remain a big contributor to pollution and congestion woes