(CNN) -- Start-ups are fighting a war for talent in Silicon Valley, and the companies that actively welcome men and women are going to win it. Smart companies don't recruit "brogrammers."

The term brogrammer is a joke, of course.

Male software engineers don't actually pop their collars, wear sunglasses and lift weights while writing code and share hot tubs with bikini-clad women. But the joke is funny for some people because it reflects a truth about a community where certain places exclude great talent in favor of frat house fun.

The tech industry's testosterone level can make the thickest-skinned women consider a different career. But the rise of the brogrammer joke and its ensuing backlash has some benefits: It helps talented women choose worthy employers, it gives a name and face to a problem that plagues the industry and it publicly shames some of the most sexist offenders.

In 1999, Google's Marissa Mayer almost didn't take the job at the all-male start-up because there were more women at another firm that made her an offer. If Mayer had just graduated from college today with offers from two equally compelling start-ups -- one all-male and one not -- it's clear which one she would choose.

If you write software for a living and you're located in Silicon Valley, you have your pick of employment options at an array of tech start-ups -- yes, even in this economy. When a recruiter's pitch is: "Wanna bro down and crush some code?" -- like San Francisco-based Klout's was -- you get a sense of what that company is looking for. If you're a woman, it's not you.

That's pretty sad, but it's not all bad. As a woman and a software developer, crossing Klout off the list of places where I might work helps me narrow my options. I'd rather find out that an employer glorifies young dudes before I take a position than afterward.

That's one small way brogrammer culture is actually useful. It's a red flag for women engineers, product developers, designers, project managers, marketers, business development and PR specialists. It says: This is a company that you'd want to avoid.

Conversely, companies that assemble inclusive teams are more likely to snag great hires of all stripes. Tech start-ups founded by women are few and far between, but they're highly attractive to female and male candidates who don't want to join a boys' club.

Established companies with executives who are vocal about women's issues, such as Facebook's Sheryl Sandberg, also have an advantage. (Sandberg's TED talk is one of my all-time favorite career advice presentations for women.)

The spotlight on Silicon Valley's brogrammer problem has focused on some of the worst public offenders. I find sexism in 2012 corporate America appalling, but I'm also an optimist. The folks perpetuating this culture are probably not overt misogynists. Most of the time, they simply don't know any better.

Path's Matt Van Horn "feels terrible" about the sexist comments he made during a conference presentation that caused disgusted attendees to get up and leave. Geeklist began a women in technology committee after mishandling the retraction of a promotional video that featured a scantily clad female dancer.

Cynics would argue that apologies won't resolve the underlying problem. But humiliation is an effective behavior modifier.

I don't think these people will make these mistakes again. Sometimes the road to enlightenment is paved with public shaming. And there's a bonus: Onlookers have real life examples of what not to do at their companies.

The tech industry has always been male-dominated. But the perception of those men has changed. Billionaire geeks of Silicon Valley are no longer considered awkward nerds who can't get a date. Instead, they're superheroes, the protagonist in epic movies and biographies. A new generation of young people from all walks of life aspires to be the next Mark Zuckerberg, Steve Jobs or Bill Gates. They'll want to work for the most attractive companies -- the ones who built welcoming, diverse teams.

Brogrammer culture celebrates frat house values, youth over experience and men over women. In the war for hiring great talent, the companies that embrace this culture rather than reject it will lose. That's a good thing.

The opinions expressed in this commentary are solely those of Gina Trapani.

@highlight

Silicon Valley has a problem with brogrammer culture of frat house fun

@highlight

Gina Trapani: Tech start-ups that want to hire the best people will reject brogrammers

@highlight

She says sexist offenders are likely to be shamed into modifying their bad behaviors

@highlight

Trapani: Inclusive tech companies that value diversity will win the war for talent