New Orleans (CNN) -- Nearly 30 years ago, Lisa Fitzpatrick was the target of a gang initiation.

She had pulled off the highway in Oklahoma City, to buy something at a convenience store, when a car pulled up alongside hers. She noticed two 12-year-olds struggling with something in the back seat. Suddenly, they were pointing a gun at her.

"I saw their faces, and they were terrified," she said.

Then the shot rang out.

The bullet only grazed Fitzpatrick, leaving a scar near her nose, but the incident changed the way she thought about gang violence. She said she later learned from police that the children were told they had to kill someone that night or someone in their family would suffer violent consequences.

"I wasn't the victim that night, I was the collateral damage," said Fitzpatrick, now 50. "The victims were the two babies in the back seat holding the gun. It turned my view upside down about who the victims are. Sometimes, it's the person pulling the trigger."

More than two decades later, Fitzpatrick was living in New Orleans when she once again had a brush with street violence.

Driving home from her job as an executive at a health-care company, she found her street blocked by police tape. Someone her daughter knew had been killed -- the unintended victim of a drive-by shooting. For Fitzpatrick, that was the turning point.

"It was just too much," she said. "Too many young men were lying face down in their own blood. I didn't want it to be normal anymore. I didn't want the children to think that this was normal. I had to do something."

Fitzpatrick quit her job, downsized her life and created the APEX Youth Center. Since 2010, more than 460 children and young adults have come to the center to spend their free time and escape the violence on the streets.

"We offer a space out of the path of the bullet, where a young man can put 6 inches of cinder block between him and violence outside," Fitzpatrick said.

More on CNN: New Orleans looks to shake Murder City title

APEX, which stands for Always Pursuing Excellence, includes fun activities such as basketball, video games and pool. But it also provides mentoring, tutoring and job training so that young people can set themselves on a path to a brighter future.

"We're empowering our young men and women to ... find out what they might want to do," Fitzpatrick said. "We work on finding our passion."

APEX draws young people from across the city, and the tensions that exist between different neighborhood factions can occasionally flare up. Fitzpatrick's ultimate goal is to teach them to work through those moments without resorting to violence.

"Statistics say that overwhelmingly, the young men being murdered on the street, they know their murderer," she said. "If you go get your people, and I go get my people, all we're doing is perpetuating the cycle. ... So our point here is to stop."

"Our motto is 'Reconciliation, never retaliation,' and that's a hard lesson in an eye-for-an-eye world," she said. "What we do is (ask) ... 'How can we address this differently? What could we do to de-escalate this situation instead of escalate the situation?' I constantly ask questions. ... The young men come up with the answers."

Sometimes, they'll use words to calm a given situation. Other times, they'll have "dance-offs" or use other artistic endeavors. Whatever the method, Fitzpatrick knows that every situation that's negotiated peacefully gives young people tools they can use in the future.

"I wish I could tell you that I could get them to change their ways, (but) it doesn't work that way," she said. "We give them the space and the opportunity to make that decision. What I have found is that no one has ever really given them the opportunity to make the choice.

"When I ask them why they hang out with (me) every Friday night, they say, 'Because you're the first person who ever let us in the door.' That is an indictment on our society."

Fitzpatrick is motivated, in part, by her religious beliefs. She serves as an associate pastor at a local Methodist church. But she said she doesn't force her religion on the children, and evangelizing is not allowed at APEX.

"Many of the kids ask me, 'Why are you here?' and I'm honest with them," she said. "I'm here because it's the right thing to do, and I feel like it's what I'm meant to do, and that has a lot to do with my faith.

"This is a nondenominational center, but what I bring in is universal. It's about leading a nonviolent life."

When you look at Fitzpatrick -- a 50-year-old white woman -- you might not think she'd have much in common with the mostly African-American males that come to her center. But the reality is quite different.

Michael Lewis, a 20-something young man at APEX, said he felt an "instant connection" with Fitzpatrick after hearing her past. Soon after, he was showing her his own bullet wounds and telling his story.

"I've kind of gone through a similar situation," he said. "I've hung with the wrong crowd and did wrong things, and we all know when it's enough, right?"

Kendall Santacruze, 20, says the direction of his life was changed by Fitzpatrick's message.

"I'm not even going to lie to you: I was on the verge of getting ready to seriously hurt somebody," he said. "Me and my friends actually had weapons. But Miss Lisa, she stopped us.

"Miss Lisa taught me how to deal with my anger; she taught me how to be in control of myself, (not) let others influence you."

Today, Santacruze helps others at APEX, where he sees young people facing the same struggles that he once did.

"I think to myself, 'That's exactly where I used to be,' " he said. "So I mentor them, I act as a role model to them. The little kids who come up to me, they hug me and they say they love me. It brings tears to my eyes at the end of the day, and it makes me happy to know that I'm actually influencing their lives.

"The way Miss Lisa influenced me is the same way I feel like I'm influencing them."

This peer-to-peer mentoring, and the fact that the majority of the young people that come to APEX are referred by their friends, confirms to Fitzpatrick that she's on the right track. While she's still in the process of assembling measurable data, she said she sees evidence of her impact every day.

"I've seen increases in GPAs, kids are getting jobs, recidivism has gone down," she said, noting that the one statistic she is most proud of is that almost all of the young people she's helped are still alive four years later.

"The successes of APEX are not necessarily going to Harvard or getting out of the neighborhood. (It's) when a kid like Kendall can live (here) and make a conscious choice every day to not be involved in the violence, spread the message of nonviolence, and work hard to get other kids to put down the gun. That's the success."

Fitzpatrick and her family have had to make sacrifices to keep APEX open, trading a five-bedroom house for a two-bedroom apartment. At one point, things got so tough that a woman bought Fitzpatrick groceries with her own food stamps.

But Fitzpatrick said she wouldn't have it any other way.

"At the end of the day, my house and my cars, that was sticks and bricks, steels and wheels," she said. "The kids, they give up everything to be here. That's my inspiration. I can't do anything else but be here."

Want to get involved? Check out the APEX Youth Center website at www.apexyouthcenter.org and see how to help.

@highlight

Lisa Fitzpatrick is giving youth in New Orleans a safe place to hang out, have fun

@highlight

Her community center also provides mentoring, tutoring and job training

@highlight

Fitzpatrick's ultimate goal: Teaching kids how to resolve their conflicts peacefully

@highlight

Do you know a hero? Nominations are open for 2013 CNN Heroes