Standing by a poster depicting in full detail the complex union of muscles that make up the human body, David Sengeh works on a custom-made prosthetic leg inside MIT's Media Lab.

Here, he has come up with a technology that could change the whole field of bionics, and improve the lives of amputees the world over.

As a doctorate student in the Biomechatronics Group, which looks at how technology can be used to enhance human physical capability, Sengeh has taken on the challenge to design the perfect fit for every prosthetic socket -- the interface between the body and the prosthetic limb, and a major source of discomfort for amputees.

Sengeh has found a way to load MRI scans of a patient's limbs onto a multilayer 3D computer to customize the socket design -- a development that could have a huge impact.

"I think it will change the whole industry," says Sengeh, who is from Sierra Leone. "You just send us a minimum set of data and we will ship you a comfortable prosthetic socket," he adds.

"We are getting images, we are getting data that quantifies your body's impedance, stiffness, how stiff each point is, and we can use that with the surface information that we have, and modeling that we do, to create you a perfect shape and a multi-material impedance prosthetic socket."

Read this: Innovation saving lives

Legacy of war

His interest in improving the lives of amputees stems from his childhood in war-torn Sierra Leone. From 1991 to 2002, the country was caught in the grip of a vicious war that took thousands of lives. One of the most common atrocities committed during the war was to hack off people's limbs, scarring them for life both physically and psychologically.

"Seeing people who had lost their limbs and whose lives were just kind of cut short was very, very traumatizing," says Sengeh, who is from Bo, the West African country's second biggest city. "But it also opened this desire to engineer a solution."

Read this: 'Shooting became just like drinking a glass of water'

But the horrors of war didn't prevent Sengeh from thinking big.

His intellectual prowess was evident from a young age as he got one of the highest scores for a standardized test in Sierra Leone.

In 2004, he won a scholarship to study in Norway. Next, he got into Harvard to study at its School of Engineering and Applied Sciences, before joining MIT's Media Lab.

Yet the lasting legacy of Sierra Leone's war has followed Sengeh all the way to the United States, shaping his innovative work to this day.

He had realized early on that many amputees in Sierra Leone opted not to use any prostheses because of the discomfort they were causing them.

"It doesn't matter if somebody gives you a pair of shoes that are worth $200 dollars -- if they're two sizes too small for you, you will not wear it; you will rather walk bare feet," says Sengeh. "This is the same thing -- the prostheses were absolutely uncomfortable for them and it doesn't matter whether it was free or not, they would not wear it."

Sengeh now hopes that the custom-fitted, comfortable and affordable sockets he's designing at MIT will be on the market within five years.

Fostering innovation

But Sengeh is not only coming up with new creations that can impact lives and change industry. Whilst studying at Harvard he created his first NGO, called Global Minimum, a group encouraging Africans to solve their own problems, starting with malaria in Sierra Leone.

Read this: From war orphan to teen ballerina

And in March last year, he launched Innovate Salone, a mentoring initiative aiming to inspire innovation and self-sufficiency in his native country.

Innovate Salone uses a competition to fund education programs in Sierra Leone, covering everything from electronics to farming.

One of the young students Sengeh mentors through this initiative is Kelvin Doe, a 15-year-old boy who created a radio station from scrap materials and discarded electronics. Sengeh brought Doe to present his inventions at MIT, making him the youngest ever person to be invited to MIT's Visiting Practitioners Program.

Read this: DIY Africa - Empowering a new Sierra Leone

And Sengeh is now spreading his concept, branching out to find other young innovators across Africa.

"We do have the talent and young people within Sierra Leone, within Africa as a whole, to invent the future," he says. "We do not need primary aid, we do not need money, we do not need solutions and products to come from the West to be given to people and train them how to use it.

"That is not how you develop an economy -- the creative thinking, the ability to dare to dream and take the risk to develop a prototype. Those are what's instrumental. Those are what's needed to develop products that will change the world. That is what changes a country."

@highlight

David Sengeh, 26, is working to enhance the lives of amputees

@highlight

He's taken on the challenge to design the perfect fit for every prosthetic socket

@highlight

Originally from Sierra Leone, he is today a PhD student at MIT's Media Lab

@highlight

He's also the founder of Innovate Salone, a group aiming to inspire innovation in his country