Bangkok, Thailand (CNN) -- High tide on Friday sent some water pouring into the Bangkok's Chinatown area, but it receded within a few hours, while the commercial district remained largely dry.

Those who have stayed in the city despite the government's pleas to leave are waiting to see if the highest tide, forecast to come Saturday afternoon, will overwhelm defenses along the city's river and many canals and bring more damaging floods.

Floodwaters that drenched much of central and lower parts of northern Thailand crept Thursday into Bangkok, stressing embankments and flooding roads, parking lots, factories and markets and sending many residents fleeing for dry ground.

Up to 1 meter (3.2 feet) of water was expected in some areas, said Thai Prime Minister Yingluck Shinawatra, as the Chao Phraya River spilled into the city of 12 million people.

Several districts were under a mandatory evacuation order.

"There is water from underground coming up," said Pracha Promnok, chief of the Flood Relief Operations Center. "We are unable to do anything (to stop it)."

Yingluck fielded criticism that the flood relief center had not done enough and -- with tears in her eyes -- called on the public to sympathize with emergency staff, as some of them had also become victims of the flooding.

"Many are exhausted and some problems cannot be controlled and were not caused by (the center)," Yingluck said, according to MCOT.

Thailand's government declared public holidays through the rest of the month in 21 flood-affected provinces, and appealed to Bangkok residents to head to the countryside.

People flocked to bus terminals and crowded the Suvarnabhumi Airport, the main airport, in hopes of reaching higher ground. The smaller domestic airport, its runways inundated, was closed until November 1, but Suvarnabhumi was operating normally, protected by 3.5 meters (almost 12 feet) of dikes, said Toopetch Booyarith of the Airport Authority of Thailand.

"We are confident that we will not be affected," Toopetch said.

CNNGo: Updated info for tourists

The streets of the normally bustling metropolis that is notorious for massive traffic jams stood empty Thursday, save for a few public buses and taxis that were able to navigate through. There was even water standing before the Grand Palace, perhaps the most adored of Bangkok's landmarks.

In some neighborhoods vacated by people, domestic animals were left to fend for themselves. "You'll see dogs stranded on rooftops, dogs trying to swim," said Marcelo Cacciola, of the Soi Dog Foundation. "So we went to these little towns around the Bangkok area with boats and rescued the dogs."

Some hotels slashed prices to accommodate the flood-affected and some tourist areas reported full occupancies. In the resort town of Pattaya, fleeing Bangkok residents found it hard to get a room in hotels overflowing with European tourists, the Bangkok Post reported.

Thanyarat Hemkittiwat said she was planning to leave Bangkok to stay with relatives outside the city. "Some families in southern Bangkok had their house flooded," said the 31-year-old worker at a furniture export company, which was shut after it, too, was flooded. "The water level is two meters (six feet) high and smells very bad," she said.

She said the military had set up a flood relief center, "but now even that has water coming in it."

UNICEF said it was providing $300,000 in aid that includes 20,000 insecticide-treated mosquito nets.

The U.S. State Department issued a travel alert recommending against all but essential travel to affected areas. It noted that most tourist destinations, such as Phuket and Chiang Mai, were unaffected.

U.S. Ambassador Kristie Kenny said the crisis was slow-moving and it was hard to know what would be hit next.

The United States has already provided civilian relief resources, including water pumps, water purifiers and life vests, she said, and two U.S. helicopters are helping the Thai military determine the extent of the flooding.

The floods, caused by monsoon rains that saturated rivers, have killed 373 people nationwide and affected more than 9.5 million people, authorities said.

Are you there? Share photos, video but stay safe

The government has called the flooding the worst to afflict the nation in half a century and said it might take more than a month before the waters recede from some areas.

The government has set up more than 1,700 shelters nationwide, and more than 113,000 people have taken refuge in them.

Overall damage from the floods could exceed $6 billion, the Thai Finance Ministry said.

CNN's Sara Sidner, Aliza Kassim and Elizabeth Yuan contributed to this report. Kocha Olarn reported from Bangkok and Moni Basu from Atlanta

@highlight

NEW: High tide sends water pouring into Bangkok's Chinatown area

@highlight

The prime minister says Bangkok is entering a critical stage

@highlight

A holiday was declared so that residents could flee to safer ground

@highlight

Flooding has killed 373 people and affected more than 9.5 million