(CNN) -- An Australian panel on Thursday suggested changes to the country's Constitution to give better recognition to the indigenous population that inhabited the vast continent long before Europeans settled there.

The indigenous Australians -- often referred to as Aboriginal and Torres Strait Islander peoples -- suffered at the hands of the settlers and the government they established.

Australian politicians have since apologized for the past mistreatment, but Aborigines remain disadvantaged socially and economically compared with the overall population.

Explicit references to Aborigines in the original Constitution, drafted in the late 19th century, were subsequently deemed to be negative. Australians voted overwhelmingly to remove those points in a 1967 referendum, but many people say the document can be further improved to acknowledge the role of the country's indigenous population.

The panel -- which included Aboriginal leaders, business executives, legal experts and members of the main political parties -- handed over its report on Thursday to Prime Minister Julia Gillard, whose government has promised to hold a referendum on the matter by the next general election.

After spending the past year gathering opinions from people across Australia's huge territory, the panel faced the delicate task of proposing meaningful changes to the Constitution that would receive support from across the political spectrum.

Without the backing of all the major political parties, the proposed measures would have little chance of success at a referendum. And rejection by voters could deal a blow to Australia's self-image.

"For many Australians, the failure of a referendum on recognition of Aboriginal and Torres Strait Islander peoples would result in confusion about the nation's values, commitment to racial nondiscrimination, and sense of national identity," the panel said in its report. "The negative impact on Aboriginal and Torres Strait Islander peoples would be profound."

The challenge is highlighted by the track record of past efforts to change the Constitution by vote: only eight of the 44 referendum proposals have passed in Australia's history, with the last successful one in 1974.

The panel said it had put forward changes that it thought would be likely to secure broad-based approval from Australians.

It proposed repealing two provisions that are still considered to have racist connotations: one that allows states to disqualify people of "all persons of any race" from voting at elections; and another that authorizes parliament to make "special laws" for "the people of any race."

That recommendation was expected and had already been supported by the government and the opposition.

The panel also made the more politically sensitive suggestion of adding a new section that would give Parliament the power to make laws "for the peace, order and good government' of Australia "with respect to Aboriginal and Torres Strait Islander peoples."

That section would include a passage recognizing that "the continent and its islands now known as Australia were first occupied by Aboriginal and Torres Strait Islander peoples."

The report also proposed a section prohibiting racial discrimination while still allowing for the possibility of measures to protect and help "any group."

Some politicians and commentators had expressed concern before Thursday that the panel may put forward new provisions that, if enacted, would give too much power to the courts to interpret the wording as they saw fit.

The government said in a statement that it would "carefully consider the panel's recommendations before determining the best way forward."

@highlight

A panel proposes new sections for the Australian Constitution to recognize indigenous people

@highlight

The government says it will consider the recommendations before deciding how to proceed

@highlight

It has promised a referendum on the issue by the next election

@highlight

Changes to the Constitution by referendum rarely do well in Australia