(CNN) -- Apple Store employees, dressed in matching blue T-shirts, clapped and sang and made intermittent "woo!" cheers, as they walked past John H., who was waiting in line to buy the iPhone 5 in Atlanta last month.

The 29-year-old, who had never before waited in one of Apple's I-need-the-product-immediately-so-I'm-willing-to-stand-here-for-hours lines, didn't look amused. About the time the sun was coming up, John leaned against a railing at Lenox Square mall and pretty much scowled at all the hoopla.

"I didn't have anything better to do," he said of his decision to come to the mall and wait in line to buy the newest Apple smartphone. John, who asked that his last name not be used, had just come off of an overnight shift with an airline.

"My girlfriend's out of town," he added. "I'm just hanging out."

One year after the death of Apple co-founder Steve Jobs, that kind of indifference seems almost sacrilege when set against the history of Apple fanboy-dom that surrounds the company's product launches. And while it's true that that a woman in New York waited in line for eight days, braving rain, police, wrecks and everything else that would be horrible about sleeping outside in Manhattan for a week, the excitement for the iPhone 5 seemed less palpable than in the past, at least among the masses.

The cause? That's anyone's guess. Maybe it's that this phone seems less exciting than its predecessors. Maybe it's harder for fans to drum up enthusiasm for Apple now that the once-scrappy underdog has become the world's richest and most powerful tech company. Or, more troubling for Apple loyalists, maybe some of the company's sparkle is fading with consumers now that Jobs, the design perfectionist, is no longer signing off on new products.

#WhatSteveJobsTaughtMe: Share your thoughts on his life and career

Obviously, there's no lack of luster in Apple's stock price, which is reaching such heights -- it recently flirted with $700 a share -- that it's been accused of swaying trends for entire markets.

And Apple sold 5 million iPhone 5s in the first weekend, although that number was less than analysts had expected given the attendant hype and pent-up demand for the device.

A shift, however, seemed evident at the launch of the new phone, at least with the random sampling of consumers who spoke with CNN that morning. It's not that Apple isn't popular. It's that perhaps the fans aren't as hyped up as they used to be.

For starters, no one would claim Apple as a hero of the counterculture these days. That was evident in the fact that some of the line-standers in Atlanta talked about the phone not as some life-altering blessing from on high (the iPhone has been dubbed the "Jesus phone," let's remember) but in consumer-y and practical terms.

One man, 31-year-old Nick Loner, wanted a better camera before he went on a family vacation. Ed Veillette, 45, was in line to buy the phone for his teenage son, who wanted to be able to show it off to friends in the school lunchroom.

"It could be a rock," Veillette said. "If everybody had a rock, he'd want it."

Opinion: Apple seems to have gotten a little bit lost

The vibe shift was apparent to die-hard Apple fans as well.

"The excitement has settled," said Justin Henderson, 32, who has waited in line for the new Apple smartphone every year since the iPhone launched. "The biggest line I've seen in the last five years was for the iPhone 4. That line was ridiculous."

This line? Less so.

"I think people know what they're getting, and they're just wanting to upgrade, versus getting the phone for the first time" and being super-thrilled about it, he said.

In a YouTube video of the recent opening of an Apple store in Stockholm, some customers looked nonplussed, if not downright perturbed, by Apple's clapping, chanting mob of blue-shirted employees.

The company is having trouble controlling the tech pundits, too.

In a post titled "Confessions of a former Apple fanboy," blogger Roy Choi writes that he is losing faith in Apple's ability to gin up the same level of fanaticism in the post-Steve-Jobs era.

"I'm not saying this iPhone iteration is an awful device, but I question whether Apple has the ability to maintain industry-leading innovation," Choi writes on the site TechnoBuffalo. "Apple has historically been known for creative design and disruptive technology, signature features that are surprisingly missing this time around. It is uncharacteristic of Apple to deliver an average product. My thoughts are that these specs can be found on nearly every other mid-to-high-end smartphone on the market."

Apple loyalist John Gruber, author of the influential blog Daring Fireball, wrote favorably about Amazon's unveiling of its newest iPad competitor.

"Om Malik argues that (Amazon CEO Jeff) Bezos is the inheritor to Steve Jobs's crown. I agree. Not because Bezos has copied anything Jobs did, but because he has not. What he's done that is Jobs-like is doggedly pursue, year after year, iteration after iteration, a vision unlike that of any other company -- all in the name of making customers happy."

Forbes points out that the iPhone 5 was supposed to cement Jobs' legacy.

"Reports around Steve Jobs' passing talked about how he was focused on the iPhone 5 during his last days and predicted that it would be his 'legacy device,' " contributor Chunka Mui writes. "That seemed plausible, given Jobs' reputation and the incremental nature of the iPhone 4S that came out around the same time, and helped to heighten the anticipation for this week's iPhone 5 launch.

"The new iPhone does not meet those lofty 'legacy' aspirations, however. The iPhone 5 is bigger, faster, thinner, etc. -- definitely a creditable offering that reiterates Apple's design, engineering and marketing chops. While it does nothing to detract from Jobs' design genius reputation, it does nothing to enhance it, either."

Apple has come under fire for its new error-filled maps application, which replaces Google Maps on iPhone 5s and in iOS 6, the company's new mobile operating system. In a rare public letter, Apple CEO Tim Cook apologized for the quality of the maps last week. Frustrated iPhone 5 users have also complained about a bug that causes their phones to suck cellular data even when connected to a Wi-Fi network.

Of course, there's always a counter-argument.

Here's one from Kris Abarilla, who responded to my question about the changing state of Apple fanboydom on Google+: "Fanboydom certainly hasn't changed much since Jobs. The people are loyal to the brand, not to the person who ran it.

"Even after people realize how bad the Maps App is in the new iOS 6, those very same users are touting the greatness of Apple."

It's clear Apple employees (check out this gallery; hilarious) and the company's fanboy and fangirl loyalists will continue not just to buy Apple products but to love them, and the company behind them.

The question is: What about everyone else?

"Though Apple will remain a highly profitable company for years to come, I would be surprised if it ever gives us another product as transformative as the (original) iPhone or the iPad," writes Joe Nocera in the New York Times' opinion section.

"Part of the reason is obvious: Jobs isn't there anymore," he wrote. "It is rare that a company is so completely an extension of one man's brain as Apple was an extension of Jobs. While he was alive, that was a strength; now it's a weakness. Apple's current executive team is no doubt trying to maintain the same demanding, innovative culture, but it's just not the same without the man himself looking over everybody's shoulder."

Good or bad, what lessons did you learn from Jobs? Share your responses in the comments below, or join the conversation on Twitter using #stevejobstaughtme.

@highlight

Some Apple consumers seem less enthused about the company these days

@highlight

Maybe that's because of the death of Steve Jobs; maybe it's iPhone 5 glitches

@highlight

"The excitement has settled," one Apple fan in Atlanta says

@highlight

Still, the company's stock is near an all-time high, and the iPhone 5 is selling well