(CNN) -- If you've ever had a group of friends who have meant the world to you, take a look at the old black-and-white photo that accompanies today's column.

If you've ever yearned to freeze time, to make the finest moments of your life stand still in their tracks so you can savor them a little longer, while knowing somewhere inside that such a thing is impossible, take a look at the faces of those three men.

Not so many years before that photo was snapped, the three of them were inseparable -- not only on a basketball court, but in the minds of hundreds of thousands, maybe millions, of admirers. Their names routinely appeared in the same sentences in newspaper sports sections from coast to coast. They inhabited the same column of agate-type box scores on winter morning after winter morning.

If you were young enough -- and, as the 12-year-old statistics kid who counted up their field goals, rebounds and free throws for the local Columbus, Ohio, television station that did the live broadcasts of their college games, I was young enough -- you allowed yourself to believe that the three friends would always be together.

It wasn't to be. It almost never is, whether you are friends as famous as they were, or as anonymous as most of the rest of us are. Which is why I love that bittersweet photograph so much. It is an inadvertent record of a moment that signifies how all friends, eventually, must take different paths, that nothing beautiful is destined to endure uninterrupted.

On the left in the photograph is Larry Siegfried of the Boston Celtics. In the center is Jerry Lucas of the Cincinnati Royals. On the right is John Havlicek of the Celtics.

In 1960, the three had been teammates on The Ohio State University basketball team that won the national collegiate championship. It was quite a squad; the coach was Fred Taylor, the two other starters were Mel Nowell and Joe Roberts, and there was a sharpshooting forward who came off the bench, a rather intense young man by the name of Bobby Knight.

The team was so smooth that, watching from the stands, you sensed they could read each others' minds. If you had never before quite understood what it looked like and felt like to be a part of a seamless unit, you found out every evening just by seeing them play. But the thing you could never really know -- the secret that belonged only to them, as it does with any group of friends -- was what it was like to be inside of it. They were separate people, but they were one.

Which is why the photograph of them taken barely three years later -- it was shot on October 17, 1963, in the Cincinnati Gardens -- is, in its low-key way, so mesmerizing. The friends, because of circumstance, have parted. The paths have split. This was to be the first game during which, as professionals, they competed against each other. The old team was history. At the opening tipoff, their goals were about to diverge.

The photo was snapped by a then-young man named Ed Keys, who had been taken to the game by his father, sportswriter Tom Keys. Ed Keys sent it to me recently because he thought I would understand.

Fifty winters ago -- the winter that Lucas and Havlicek and Siegfried and their Ohio State teammates won their national championship -- I somehow, as a junior high school student who wasn't even that good at math, talked the local television play-by-play man, Jimmy Crum, into letting me sit with him and help with the statistics. I watched those friends on the court at every home game on their way to the championship; I watched that magical basketball friendship form and grow and become so strong that their team became the finest in the country.

What must it be like to be part of a friendship that is played out so publicly -- part of hardwood recollections woven into the fabric of the lives of strangers who will never meet you? "It's probably something the rest of us can never fully comprehend," said Lee Caryer, a sports historian who wrote the book "The Golden Age of Ohio State Basketball," and who knows every member of that championship team. "But I can tell you that the bond between them is real, and that they wear it very well. It goes way beyond basketball."

Most of us, if we are lucky enough when we are young to have friends whom we treasure, tend to lose track of some of them over time. Most of us have our own versions of that moment in the photograph: a moment when we suddenly know for sure that, despite our dreams and best intentions, the golden days when we first found each other have drifted off, and that we are on our way to somewhere else, somewhere different.

But there always is the chance that we can recapture the memories. Later this month, in Columbus, the living members of that championship team will gather for a series of 50th anniversary celebrations. The three men in the photograph are all expected to be present. They started off as small-town Ohio boys who didn't even know that the others were alive: Jerry Lucas of Middletown, Larry Siegfried of Shelby, John Havlicek of Martins Ferry. They ended up as a part of each other.

That's the lesson for all of us, as this new year takes its first faltering steps, and, all across the country, new friendships form and old ones seem to splinter. That's the lesson, full of hope and harmony:

The best friendships never truly die. We may go our separate ways, for a while.

But the friendships not only lead the way home.

The friendships are home.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Three players on 1960 college championship team went on to the NBA

@highlight

Bob Greene says the three seemingly inseparable players were parted

@highlight

He says they plan to reunite at 50th anniversary reunion later this month

@highlight

The best friendships endure even though friends get parted, Greene says