Dar Es Salaam, Tanzania (CNN) -- Starting a business is never easy, but in Tanzania, the obstacles for women can be particularly fierce. Few women hold land titles, and as a result, many don't have the necessary collateral to secure funding from a bank.

Dr. Victoria Kisyombe has set out to change that. She runs SELFINA, a micro-credit institution focused on female entrepreneurs. In addition to lending, SELFINA loans women equipment to start up their businesses.

"This is the era for Africa to move forward, and if Africa is moving forward, the women can move forward with it," says Kisyombe.

Since launching in 2002, the company has financed more than 2,000 female-owned businesses and won a plethora of international awards, including the one from the World Economic Forum and Hillary-Clinton-backed Vital Voices. And to think, it all started with a cow.

The story of Sero

Like many of the women she helps, Kisyombe struggled to get financing when first starting out.

"I thought, okay, instead of chasing money through the banks, which I cannot get, I started looking at what I had ... it was a cow," she recalls.

"It was that 'a-ha moment.' If a woman could have a cow like I had, she could have an asset that could generate income, then we could go around the problem of not being able to access financing."

Kisyombe sold milk from her cow, Sero, in order to raise money to start her business. Ultimately, the cow even named the enterprise (SELIFINA stands for Sero Lease and Finance).

Empowering women

When women become business owners, they become pillars in their communities. Betty Materimu is one such woman. SELFINA leased her sewing machines, and Materimu used them to launch her own dressmaking enterprise.

"She has created a number of jobs for fellow Tanzanians," says Kisyombe. "Women and men alike."

By offering loans to women in a range of industries, SELFINA is effecting change throughout Tanzania, though Kisyombe envisions the women she supports will have a global impact.

Many of her charges have started exporting their products across the border. Take Chiku Shumari, a local farmer who, among other things, has started growing cashew nuts for export. Shumari is also hoping to develop a fish pond where she can farm tilapia for the local market in Dar Es Salaam.

"(These steps) may look small, but actually the impact is huge," says Kisyombe.

Ultimately, she sees SELFINA encouraging women in a broader context than business.

"Some of our women now are even qualifying for political positions," she notes.

Starting young

The key to empowerment, Kisyombe believes, is education, and to that end, she raised money to build the Mukuza Girl's Secondary School in Dar Es Salaam. The school has 129 students, and provides room and board so the girls can have their own space to study and learn.

"They are given an equal opportunity to become economically empowered, socially empowered and politically empowered," she says.

Video: Entrepreneur fights energy poverty

@highlight

In Tanzania, women often don't have collateral to secure loans

@highlight

Victoria Kisyombe started SELFINA, a micro-credit institution that finances female entrepreneurs

@highlight

Kisyombe's cow, Sero, was the inspiration for her business