Bali, Indonesia (CNN) -- Nestled among the lush forests of Bali, near the hill town of Ubud, is one of the island's most remarkable villages.

It's not just that each of the 18 homes of Green Village is constructed almost entirely from bamboo, but the form they take.

From vast spiral staircases to a river-spanning bridge leading to the door of the newest house, the designs are more akin to luxury mansions than jungle huts.

The exclusive abodes are part of creative director Elora Hardy's masterplan for sustainable, luxury living. As the daughter of John Hardy -- who set up Bali's Green School to educate a new generation of environmentally responsible students -- she and her team of designers and architects are also committed to changing common perceptions of what sustainability means.

"The first step (for us) is to create sustainable luxury living and different a mindset," says Green Village architect Defit Wijaya.

Read more: Why emeralds make some of us mad with desire

Centered around a communal area but separated by discreet gardens, the villas are open to the elements adding to each of the homes' sense of space and light and affording some beautiful views of the surrounding forests and rushing Ayung river below.

While some families live in the village, some homes are luxury retreats and can cost between $500,000 and $2million.

The latest and largest structure lies on the other side of the river with its five stories towering above the forest canopy. Lucky guests traverse a glass and bamboo bridge to reach the villa's front door, itself a revolving glass oval.

Clever design and roll-down shutters help protect those inside from rainstorms, while banana paper for interior walls and some aluminum for roofing are generally the only concessions to non-bamboo materials. Simplicity then is a key design element but it hasn't restricted some non-organic basics, with electricity and high-end kitchen fittings standard throughout the buildings.

Wijaya's next project is to build a house with a 15-meter roof span -- twice as big as the largest so far -- and without any central columns.

Read more: Beauty from the crypt - mystery of Europe's jeweled skeletons

"This is the future. It's pure architecture...to breathe fresh air and touch nature, that's everything."

Much like any other house anywhere, some running repairs have to be made on small non-structural pieces of the homes. But the largest structural bamboo logs could last a lifetime, says Mokoho Sumerta, the chief builder from the nearby bamboo factory.

"We treat each piece of bamboo with a mixture of water and boric acid to stop fungus and insects. Before doing this a bamboo structure would last only seven years, now we're not sure how long a building can last."

Around 200 farmers across the island are paid to grow bamboo on areas of their land not used for agriculture. Some of the largest logs are 25 meters long but only take 3 years to grow.

The angle of the main structural logs is also important to minimize the impact of direct sun and rain, which can weaken them.

But the magnificent designs show another side of bamboo that those connected to the project, like Operational Director Patrick How, hope will be a greater legacy.

"Many people still think bamboo is cheap and only for small buildings, but we're showing it can be used to make high houses and really redefine how the material is used."

Read more: High art meets the high-street at neon-lit Miami Beach

@highlight

Bali's Green Village sets a precedent for high-end design and sustainable architecture

@highlight

Locally sourced bamboo used to create million dollar luxury villas

@highlight

Project aims to change mindsets and push boundaries of design and architecture