New Orleans (CNN) -- When Kenneth Purcell emerged from his New Orleans home after Hurricane Isaac churned through the city in August, he couldn't believe what he saw. Nearly all of his neighbors had poured out into the streets to help each other clean up.

It was a completely different environment than the one he'd seen seven years ago, after Katrina struck.

"People started cleaning up their yards and helping neighbors that had gone away," Purcell said. "It was this silent but perfectly coordinated and synchronized effort."

This is what made him and his wife, who was expecting their second child, to cancel a trip they booked to Florida in order to escape the stress of the Isaac aftermath.

Purcell says it's the same sentiment that has brought people from all over the county to New Orleans in the years following Katrina and has helped spur the city's entrepreneurial movement.

He moved his company, iSeatz, a travel-and-entertainment booking engine, back to New Orleans in January 2008 after relocating to New York post-Katrina. The move back to New Orleans caused him to lose almost all of his employees in New York and forced him to establish a new staff.

Perhaps surprisingly, it would also prove to be a good business decision.

"The new people that I hired were here because they wanted to be," Purcell said. "They wanted not just the company to be successful, but they wanted the company to help the city be successful."

An influx of entrepreneurs

Entrepreneurship has spiked in New Orleans, a city that suffered a population exodus and struggled to get back on its feet after Katrina's destruction. The Greater New Orleans Community Data Center says that 427 of every 100,000 adults in the city started a business between 2008 and 2010 -- the most recent period for which data is available -- compared to a national rate of 333 of every 100,000 during that time.

It is now one of the the fastest-growing cities in America, according to the U.S. Census Bureau. Forbes recently called New Orleans one of the biggest brain magnets in the country, praising its "communal camaraderie and business incubators that have helped many of the startups get off the ground."

"I've practiced in New Orleans for almost 40 years and I'm more excited about the future of the city today, than I ever have been," said Marcel Wisznia, owner of Wisznia Architecture and Development and a veteran entrepreneur. "I've invested a lot of my life in this community and it's an exciting time for us."

This past May, Wisznia developed Beta, a shared workspace for local startups in a historic downtown building. The space is filled with 20-something entrepreneurs in a range of fields, from tech and fashion to art and music. It's currently at 65% occupancy, and Wisznia expects it to be almost 85% full by the end of the year.

He said he's observed a progression of new startups in the city in recent years -- and the catalyst for this entrepreneurial spark was Hurricane Katrina.

"What Hurricane Katrina did is move a whole new generation of young people that didn't have ties to the community, that weren't complacent, that were aggressive, that were entrepreneurial, that wanted to make a difference, socially and financially," he said.

Chris Boyd runs Apptitude, his mobile-application development company, from Beta. After spending nine years in the tech industry in Houston, he decided to start his own company. Boyd was in the process of moving to New York when he heard about NOLAbound, a program that brought 25 professionals from all over the country for an inside look at the entrepreneurial community in New Orleans.

Boyd, a Louisiana native, asked city business insiders whether New Orleans could be a viable home for his company.

"I had three key questions: Is there a tech scene here? Is it sustainable? And if I were to open a business here, would I be able to survive?" Boyd said. "And the answer was yes, absolutely. Everybody I talked to told me, yes."

So he changed his articles of incorporation from the state of New York to Louisiana and moved to New Orleans in June.

Boyd now meets with a new startup every week and networks with other Web developers through groups like NOLA Meetup and gnocode, which connect people in the city's emerging tech scene. He also started his own weekly meetup, Objective Crunk, to help local developers make apps for Apple's mobile operating system.

Unique challenges

Still, entrepreneurs face hurdles launching and growing tech companies in New Orleans, which has traditionally lacked the startup culture now thriving in Austin, Texas; New York and other cities. New Orleans does not have a deep pool of developers, venture capitalists and other tech talent.

"As companies start to scale, they need high-level management to help grow," said Tim Williamson, co-founder of the Idea Village, a nonprofit that nurtures New Orleans entrepreneurs. "While we're seeing people with profile start to move to New Orleans, we need more of them."

On the surface, Williamson said, New Orleans would seem to be at a competitive disadvantage compared to other cities.

"We don't have any Fortune 500 companies, we don't have tremendous wealth," he said. "But there's something special here that's making this work."

Williamson sees the city as a laboratory of innovation and change.

"I think that this is a moment in time and history where we're right in the middle of a renaissance period, where the next generation of economic and civic leadership is being nurtured and cultivated here in New Orleans," Williamson said.

Entrepreneurs here say that community engagement is what makes New Orleans different.

It's why Jennifer Medbery chose New Orleans as home to her startup. A Connecticut native and Columbia University graduate, Medbery moved to New Orleans in 2008 and taught at a charter school for one year before launching Kickboard, software that provides a centralized location for teachers to record their students' progress. New Orleans has the largest proportion of students -- almost 80% -- attending charter schools of any city in the nation.

Medbery believes the entrepreneurial spirit in New Orleans is unique.

"The entire entrepreneurial ecosystem in New Orleans understands that when one rises, we all rise. And so as a community, business leaders here are very committed to each other's success, because it's all part of New Orleans redefining itself."

@highlight

Entrepreneurship has spiked in New Orleans in the seven years since Hurricane Katrina

@highlight

A new breed of tech startups are taking root in the rebuilding city

@highlight

Entrepreneurs say New Orleans' community spirit helps them succeed

@highlight

City resident: "What Hurricane Katrina did is move a whole new generation of young people"