(CNN)She predicted events that unfolded in the Middle East well before they happened. And her book on Iraq became required reading for many military leaders trying to understand the country.

Veteran journalist and author Sandra Mackey died Sunday, her son, Colin Mackey, said. She was 77.

Her extensive career began in anonymity. She was an undercover reporter working for U.S. newspapers from Saudi Arabia as her husband, Dr. Dan Mackey, worked in a Riyadh hospital. For four years, she hid her writing from the authorities and smuggled her stories out of the country to get around Saudi Arabia's prohibition on foreign journalists. Her work appeared under the pseudonym Michael Collins.

As she chronicled what was happening around her, Mackey's distinctive voice began to emerge.

Over the years, a stream of books followed. "The Saudis: Inside the Desert Kingdom" offered "a rare first-hand glimpse into the hidden realm of Saudi social and public life," The New York Times wrote.

Her 1992 book "Passion and Politics: The Turbulent World of the Arabs" helped bridge gaps in understanding between Arabs and Americans, critics wrote.

Mackey wrote for the people she knew, in a layman's language that was rooted in her training as a high school history teacher.

"Scholars may be put off by Mackey's occasionally florid, bombastic language, but her work is a sound analysis and a sympathetic yet balanced effort to explain Arab perspectives to Americans," Elizabeth R. Hayford wrote in Library Journal.

After earning a history degree from the University of Central Oklahoma, Mackey attended the University of Virginia to study international relations. She graduated in the first class of women admitted to the graduate program.

For her book on Iran, Mackey was three times able to win permission to travel through the country unaccompanied, allowing her to paint an intimate portrait of a country going through extraordinary change.

Her 2002 book "The Reckoning -- Iraq and the Legacy of Saddam Hussein" portended some of the outcomes of the war in Iraq -- but also drew some sharp criticism.

"If war prevails, we shall beget a greater disorder in the Persian Gulf," Mackey wrote in the book. "We will be sucked into the resentments of the Arab world, the hostilities of the Iraqis, and the challenge of nation building in what has become an intensely tribal society at the core of American vital interests in the oil-rich Persian Gulf.''

Fouad Ajami, the late Hoover Institute fellow who was also a frequent guest on CNN, took issue with the book.

"The crowds in Baghdad and Basra (like the crowds in Kabul that greeted their liberators with kites and music) may yet embarrass Mackey and the countless naive people who see things her way,"  Ajami wrote for The New York Times' Sunday Book Review cover story in 2002.

Mackey had an Oklahoma twang, the slightly nasal kind that she was proud of, but that belied her worldly understanding. She would use it to full effect when she wanted to put people at ease.

Mackey was a frequent commentator on CNN during the Gulf War in the 1990s. She also appeared on countless other outlets, including Bill Maher's "Politically Incorrect," to explain in layman's terms what was happening in the region.

Her book on Iraq was published one year before the U.S.-led invasion of the country in 2003. The book forewarned of the consequences of such action.

"In a perfect world, Shia, Sunni, and Kurd, followed by a company of other minorities, would walk into the post-Hussein Iraq as a liberated people united by common suffering," Mackey wrote. "But as all those who plot the way of nations are so acutely aware, the world is not perfect."

She said those calling for an invasion of Iraq "cannot ignore the threats to American security that could come with Hussein's demise."

"With American troops on the ground and no governing authority capable of taking charge, the United States faces the real possibility of a secular version of militant Islam," Mackey said. "... Thus, American military forces rotate in and out, U.S. taxpayer money finances the occupation, and Iraqi hostility to a Western presence increases. There is no exit strategy except retreat."

In 2004 the U.S. military actually flew Mackey to Iraq to teach commanders from the Army's 1st Infantry Division while the war was still raging. Her book on Iraq became required reading for many military officers.

"I am literally a little old lady in tennis shoes," she used to joke about her ability to gain the confidence of countless sources.  "What's the harm in talking to me?"

@highlight

Mackey predicted what would happen to Iraq if the U.S. invaded and deposed Saddam Hussein

@highlight

She also wrote a book credited with helping bridge gap between Arabs and Americans