(CNN) -- A diabetes test that measures a person's average blood glucose control over the preceding two to three months is being recommended as the new diagnostic tool for the condition.

Diabetics have too much glucose in their blood when the condition is uncontrolled, and must monitor it.

A committee of international experts recommended the test, called the the A1C assay, at the American Diabetes Association's 69th Scientific Sessions over the weekend. The report could instigate a change in the way diabetes is diagnosed, the American Diabetes Association said.

The A1C assay, which has been used for nearly 30 years to determine how well a patient controls diabetes, is a more stable, reliable diagnostic tool than the techniques currently in use, the authors of the report said.

"This committee that I chaired is recommending that this be used as widely as possible to diagnose diabetes instead of the blood sugar test," said Dr. David Nathan, director of the Diabetes Center at Massachusetts General Hospital and chairman of the committee.

The A1C test, which consists of a simple blood test, is also more convenient than the two tests commonly used for diabetes -- the fasting plasma glucose and the oral glucose tolerance test -- the authors said.

In the fasting test, the patient does not eat for about 12 to 14 hours before a blood test. In the tolerance test, the patient drinks a sweet solution and has blood drawn two hours later.

In addition, Nathan said, "It probably is better related to the development of eye disease with diabetes, and therefore probably serves as a better diagnostic tool."

The international committee was assembled by the American Diabetes Association, International Diabetes Federation and European Association for the Study of Diabetes, but those organizations have not officially endorsed the report.

"Basically, the American Diabetes Association supports the concept, supports the use of the A1C to diagnose diabetes, and just has to look at the implications of it, and the implementation of it," said Richard Kahn, Chief Scientific and Medical Officer for the American Diabetes Association, who was part of the committee.

Using A1C in diagnosis would be particularly useful for determining whether patients have type 2 diabetes, which is more difficult to diagnose than type 1, said Dr. William Bornstein, assistant professor of endocrinology at Emory University, who was not part of the committee.

"This will be beneficial to the population in terms of helping us more clearly diagnose folks who are at risks for complications and help them manage that earlier," Bornstein said.

Still, controversy likely will arise over the use of the A1C in diagnostics because of the long, established track record of using the other two methods, Bornstein said. iReport.com: Boxing champ talks about diabetes struggle

How it works

Humans cannot live without having sugar called glucose in their blood. Too much glucose, however, attaches to a variety of proteins in the body and harms them. Uncontrolled diabetes is characterized by too much glucose in the bloodstream.

This excess glucose then glycates with -- or sticks to -- a protein called hemoglobin, which carries oxygen from the lungs to the body's cells. The A1C test measures the percentage of glycated hemoglobin in the blood, which is a reflection of average blood glucose control, according to the American Diabetes Association.

A1C is a better measure of the problem that diabetes causes than glucose-based tests, at least for monitoring, said David Schoenfeld, professor of biostatistics at Harvard University. He and colleagues, including Nathan and a large group of international researchers, studied the relationship between A1C and average blood glucose.

While many diabetics monitor their average blood glucose levels daily, at the doctor's office the patient receives a measurement in terms of hemoglobin A1C, Schoenfeld said. He and researchers created a chart to convert these two measurements, so that patients would not have to interpret two different numbers and feel confused. They concluded in a 2008 paper that, for most patients with type 1 and type 2 diabetes, A1C levels can be expressed as average glucose.

The international committee concluded that an A1C level of 6.5 percent indicates that a person has diabetes, while values between 6 percent and 6.5 percent are likely to be at highest risk for developing diabetes.

Experts note, however, that there is a continuum of risk for complications, and the "cut-point" of 6.5 percent should not be considered an absolute dividing line.

All adults who are overweight and have additional risk factors, such as family history of diabetes, high blood pressure or abnormal lipid levels, should be screened for diabetes, according to the American Diabetes Association. Adults aged 45 or older should be tested even if they do not have these risk factors, the association said.

@highlight

Committee says A1C test is more reliable and convenient than other tests

@highlight

Tests in use now are fasting plasma glucose and oral glucose tolerance test

@highlight

A1C test is currently used for monitoring patients' control of diabetes

@highlight

Expert: Report may cause controversy because of track record of using current tests