We all know the feeling.

You are going about your day, making phone calls and texting, when suddenly your smartphone's battery starts to look dangerously low. You don't have a charger with you, and even if you did, there would be nowhere to plug it in.

For most people, this means spending a few hours unconnected -- but not for residents of several towns and cities in Serbia. They can charge their phones on the go thanks to Strawberry Tree, the first of its kind public solar-powered charging station, installed in parks and squares across the country.

Conceived by Milos Milisavljevic in 2011 while he was still a student at Belgrade University, Strawberry Tree contains 16 chargers for a variety of mobile phones and tablets, as well as its own wi-fi and USB sockets. His creation won the Verge Accelerate startup competition in San Francisco at the end of October -- the only company from outside America to take part -- and already boasts the European Union Sustainable Energy Award.

"We rely heavily on our cell phones for many essential tasks during the day," says Milisavljevic, now 26, who founded his company, Strawberry Energy, when he received the first order for his charger. "You communicate over your cell phone, you are using maps, taking photos, so basically your phone becomes your life. It's a huge problem when you run out of battery because then you are just carrying a brick in your pocket," he adds.

Strawberry Tree, named so after the symbolism of strawberries as the first fruit of the summer, can work for up to 20 days without sunlight thanks to its in-built solar batteries. It contains reused steel, and 98% of it can be recycled.

"I was fascinated with clean technology, and I wanted to find a way that it could benefit people in their everyday life by solving a common problem -- running out of battery," says Milisavljevic.

While replenishing cell phone batteries is the device's main function, Milisavljevic wants Strawberry Tree to become a core item of infrastructure in what he calls a smart, connected city of the future. Each charger is equipped with sensors which measure conditions like air pollution, noise levels, and UV radiation in its vicinity.

Milisavljevic says he hopes these sensors could in the future enable people to access locally-focused environmental data though an app on their smartphone.

"For example, if you had a network of Strawberry Trees spread around the city, you could check if there's ice on the road in your street, what park is the quietest if you want to relax," explains Milisavljevic, "or if you have asthma or allergies, you could see what's the air quality in the area you're planning to go to," he adds.

The company's ambitious plans don't stop there. After Serbia was hit by devastating floods in May, large swathes of the country lost power preventing many people from contacting their families for several days. Milisavljevic thinks that his creation could become an invaluable resource in similar scenarios. "Strawberry Tree could have an emergency button which would send a signal to emergency services that you are in danger, and in any kind of a disaster, for example if the power grid is down, the Tree would be the place where you could call for help and get in touch with your loved ones," he adds.

Milisavljevic also stresses that in spite of the dramatic changes in the way that people communicate in the last 50 years, cities have remained almost frozen in time: "Street signs are still street signs, city lights are only city lights, and benches are still just benches. There is hardly any innovation in city living, so our dream is to bring new technology to outdoor public spaces, so we can improve the quality of life in our cities," he says.

Read this: What is Europe's best festival?

More from On the Road Serbia

@highlight

A Serbian startup has created a public solar-powered charging station

@highlight

The company, Strawberry Energy, has won the Verge Accelerator competition

@highlight

The charger works for 16 varieties of smartphones and tablets

@highlight

There are currently 12 Strawberry Trees spread across Serbia and Bosnia