(CNN) -- The salmonella outbreak that led to the recall of 380 million eggs was preventable and will likely grow, federal officials said Thursday.

Hundreds of Americans likely have become ill from tainted eggs in recent months, according to estimates from the Centers for Disease Control and Prevention, CDC spokeswoman Lola Russell said Thursday.

From May 1 to July 31, a total of 1,953 cases of Salmonella enteritidis were reported; the expected number of such cases ordinarlily in that time would be about 700, Dr. Christopher Braden, acting director of the CDC's division of food-borne, waterborne and environmental diseases, said in a conference call Thursday. The CDC is not yet sure exactly how many cases can be attributed to this particular outbreak.

The salmonella outbreak prompted Wright County Egg of Galt, Iowa, to increase its recall Wednesday to 380 million eggs.

The number of salmonella cases is expected to grow because any that occurred after July 17 may not yet be reported due to a two- to three-week lag between when a person becomes sick and when the case gets reported in the system, the CDC said.

"We would certainly characterize this as one of the largest shell egg recalls in recent history," Sherri McGarry of the Food and Drug Administration said in a conference call Thursday.

On July 9, the FDA announced it had new safety rules for large-scale egg producers, but that came after the salmonella outbreak apparently began.

"The outbreak could have been prevented." McGarry said. "The egg safety rule is in a phase-in approach, but there are measures that would have been in place that could have prevented this if it been placed earlier than in July."

FDA's new rules cover refrigeration of stored and transported eggs, pasteurization, rodent control, cleanliness and a required written Salmonella enteritidis prevention plan. The agency said "implementing the preventive measures would reduce the number of Salmonella Enteritidis infections from eggs by nearly 60 percent."

Producers with more than 50,000 laying hens, or about 80 percent of the market, were to comply by now. The regulations requires "egg producers with fewer than 50,000 but at least 3,000 laying hens whose shell eggs are not processed with a treatment, such as pasteurization, to comply with the regulation by July 9, 2012."

The Center for Science in the Public Interest, an advocacy group, said the FDA needs a strong inspection force.

Health departments across the country are tracking cases of salmonella and dispensing advice to citizens.

Arizona, for example, has seen a twofold increase in salmonella reports, with an uptick beginning in June, said Dr. Joli Weiss, food-borne disease epidemiologist for the state Department of Health Services.

Thoroughly cooking eggs kills salmonella bacteria within, but there is still risk of cross-contamination if a food preparer doesn't properly wash kitchen utensils, such as whisks or spatulas, that came into contact with the raw eggs. Undercooked food also leaves the consumer at risk of infection.

Salmonella, which is generally contracted from contaminated poultry, meat, eggs, or water, affects the intestinal tract.

Symptoms include diarrhea, fever and abdominal cramps, which typically begin within 12 to 72 hours, according to the CDC. Vomiting, chills, headache and muscle pains also may occur, according to the Mayo Clinic. These symptoms last about four to seven days, and then go away without specific treatment in healthy people. Antidiarrheal medications may help with cramps, but they may also prolong the diarrhea, the Mayo Clinic said.

The elderly, infants, and people with impaired immune systems are at heightened risk for developing a more serious illness because of salmonella, the CDC said. Some people can develop life-threatening complications if the infection spreads beyond the intestines.

Chickens can pass the bacteria to eggs because the eggs leave hens through the same passageway as feces, according to the U.S. Department of Agriculture's Food Safety and Inspection Service. Alternatively, bacteria in the hen's ovary or oviduct can get to the egg before the shell forms around it, FSIS said.

Wright County Egg added several more batches and brands to the recall Wednesday afternoon.

"Wright County Egg is fully cooperating with FDA's investigation by undertaking this voluntary recall," the company said in a statement. "Our primary concern is keeping salmonella out of the food supply and away from consumers. As a precautionary measure, Wright County Egg also has decided to divert its existing inventory of shell eggs from the recalled plants to a breaker, where they will be pasteurized to kill any salmonella bacteria present."

After the uptick in salmonella infections, the CDC and the FDA traced the source and determined it was most likely eggs from Wright County Egg. The company says it is working to determine how the shell eggs are being contaminated.

The CDC reported Thursday evening that more than one person became ill in 26 restaurants in 10 states. Information showed that Wright County Egg was an egg supplier to 15 of the restaurants.

Krista Eberle, director of food safety programs at the Egg Safety Center, reiterated that only shell eggs are affected by the Wright County recall.

"From what we know they only do shell eggs, and if they did extra egg products, they are still considered to be safe," Eberle said. She added that egg products such as egg whites and dried eggs go through pasteurization and extensive heat treatment, so they're considered safe to eat and the Egg Safety Center is not concerned the other products might be sullied with bacteria.

Country Eggs, Inc. on Thursday said it is voluntary recalling specific Julian dates of shell eggs produced by Wright County Egg. Eggs were distributed to food wholesalers, distribution centers and food-service companies in California, Arizona and Nevada, according to a statement. Eggs were packaged under the Country Eggs, Inc. brand name in 15 dozen bulk pack with the identifying plant code of P 1946 and P 1026. Julian code dates are 216-221. Dates and codes can be found on the box label.

Wednesday's recall covers eggs branded as Albertsons, Farm Fresh, James Farms, Glenview, Mountain Dairy, Ralph's, Boomsma, Lund, Kemps and Pacific Coast and are marked with a three-digit code ranging from 136 to 229 and plant numbers1720 and 1942, the company said. In addition, NuCal Foods, which, on its website, calls itself the largest distributor of shell eggs in the western United States, announced Thursday it was "voluntarily recalling specific ... dates of shell eggs produced by Wright County Egg and packaged by NuCal Foods because they have the potential to be contaminated with Salmonella."

The earlier recall covered the Lucerne, Albertson, Mountain Dairy, Ralph's, Boomsma, Sunshine, Hillandale, Trafficanda, Farm Fresh, Shoreland, Lund, Dutch Farms and Kemps brands that were marked with with a three-digit code ranging from 136 to 225 and plant numbers 1026, 1413 and 1946.

The four-digit plant number begins with "P - " and is followed by the three-digit code.

Both recalls affect eggs packed in several different sized cartons, from a half-dozen to 18 eggs. Only shell eggs are affected by the recall, the company said.

Consumers are encouraged to return the eggs in their original packaging to where they were purchased for a full refund.

Eggs have not been a major source of infection in humans for this particular strain of salmonella, enteritidis, in the last twoor three years, said Patrick McDonough at Cornell University's School of Veterinary Medicine. A big outbreak like this one is out of the norm, he said.

Ideally, when a chick becomes a candidate to become an egg-laying hen, it is put in a clean environment with clean water and feed, he said. But that is not always the case, he said. Rodents can get in the feed, and their feces can transmit bacteria to the birds.

One Wisconsin woman infected by salmonella has filed a lawsuit against a restaurant that allegedly served contaminated eggs linked to the nationwide outbreak of the potentially deadly bacteria.

Plaintiff Tanja Dzinovic, 27, from Pleasant Prairie, Wisconsin, said she got sick after eating at the Baker Street Restaurant and Pub in Kenosha, Wisconsin, in June. She recently retained the Seattle, Washington-based law firm Marler Clark, which specializes in food poisoning cases, and amended her lawsuit against the restaurant to include Wright County Egg.

Drew Falkenstein, the Marler Clark attorney co-representing Dzinovic, said Thursday although she returned to work a while ago, after a week of acute illness, she suffers from ongoing gastrointestinal problems.

In the legal complaint, Marler Clark says, "defendant Baker Street Restaurant and Pub purchased and used in the manufacture of its menu items Salmonella-contaminated shell eggs subject to defendant Wright County Egg's August 16, 2010 recall."

The Kenosha County Health Department closed the restaurant on July 13 to investigate an outbreak of "at least 30 confirmed Salmonella enteritidis illnesses... including the plaintiff's," according to the complaint. The restaurant has since reopened.

Falkenstein said even though Wright County has recalled the eggs, Baker Street Restaurant will remain part of the lawsuit. He said when so many people in one restaurant became ill that it should have raised red flags and called the food-handling practices into question.

The 30 cases of salmonella reported in Kenosha County came from no specific source and not all the people were connected to the restaurant, said Diane Bosovich, assistant director of nursing for the health department. She wasn't certain how many may have been tied to the restaurant, which she said was closed for a week as "a precaution."

She indicated that Baker Street Restaurant has been inspected and employees were educated on proper food handling. There were no findings of food-borne sources of salmonella, but she couldn't comment on whether any employees tested positive for the disease at the time.

L & K Tricoli, LLC, which owns the Baker Street Restaurant and Pub and two other Kenosha restaurants, did not respond to repeated CNN requests for comment.

CNN's Elizabeth Landau, Caitlin Hagan, Val Willingham and Mark Morgenstein contributed to this report

@highlight

Illnesses since July 17 may not yet be reported

@highlight

The CDC estimates hundreds of Americans have been rendered ill by contaminated eggs

@highlight

Iowa's Wright County Egg has recalled 380 million eggs due to salmonella concerns

@highlight

The U.S. egg industry produced about 6.5 billion eggs in April