(CNN) -- Sarah Murnaghan, the Philadelphia girl who underwent a lung transplant last week following a court battle, is out of a coma and responsive.

The 10-year-old woke up Friday night, said Tracy Simon, a family spokeswoman.

Although she remains on a ventilator and is unable to talk, she is nodding and shaking her head in response to questions, Simon said.

Prior to her surgery, Sarah, who suffers from cystic fibrosis, was put in a medically induced coma to allow her body needed rest prior to the transplant surgery.

Her family fought to allow children to compete with adults waiting for lungs based on sickness in a case that has sparked a public debate. She received new lungs on June 12 after a six-hour surgery that included resizing lungs from a grownup.

"We expect it will be a long road, but we're not going for easy, we're going for possible. And an organ donor has made this possible for her," the family said in a statement.

The parents' push for an organ transplant policy change has thrust the issue of who gets donated organs into the national spotlight. This month, the Organ Procurement and Transplant Network's executive committee approved a one-year change that makes children younger than 12 eligible for priority on adult lung transplant lists.

Sarah received lungs donated by an adult, according to Simon, meaning the lungs needed to be modified.

She has been in and out of hospitals her entire life, but her condition worsened this year. Her lungs had been deteriorating rapidly over the past few months -- much faster than anyone in her family expected. In May, doctors told her mother, Janet Murnaghan, that Sarah had less than five weeks to live.

With just weeks left, Sarah fights the system for life-saving pair of lungs

"We knew at some point, she would need new lungs," her father, Fran Murnaghan, said in May. "We had hoped it would be much further down the road, but the disease has progressed."

At that time, Sarah had been on the waiting list for new lungs for 18 months.

The Murnaghans were under the impression that the transplant would happen any day, since she was the first candidate on the priority list for children in her region.

But children's organs rarely become available. In 2012, there were just 10 transplants in Sarah's age group, according to the United Network for Organ Sharing. Comparatively, there were more than 1,700 adult transplants in the same year. Only people 12 years and older qualified for the adult lungs.

Doctors previously have said they believe modified adult lungs could save her life.

Her family contacted a lawyer this month, who petitioned Health and Human Services Secretary Kathleen Sebelius to change the rules that keep children under 12 from being prioritized for donated lungs.

Sebelius had previously told the family that she didn't have the authority to intervene in a particular case, but she did also call for a policy review. Any change in the policy, though, could take up to two years -- time the Murnaghans didn't have.

In a letter before the surgery, the family argued the rule was making it all but impossible for Sarah to receive a lung; every adult on the list would have to turn down the lung to let the little girl have it.

"The Under 12 Rule is unfair, arbitrary and capricious, inconsistent with the statute and regulations, and stands in the way of Sarah potentially receiving a set of lungs that she needs to live," wrote Stephen G. Harvey, the family's lawyer.

Dying girl's plight sparks fight over organ transplants

"We have never, ever asked that Sarah get special attention or be placed in front of anyone more severe than her," her father said at the time. "So if there ... is another adult who is more severe, who has a higher lung allocation score, they will still get their lungs first."

Several factors determine someone's place in line on the adult list: distance from donor to potential recipient, a lung allocation score determined by a patient's diagnosis and test results, and a patient's blood type.

Several lawmakers also got involved urging Sebelius to act. Rep. Patrick Meehan and Sen. Pat Toomey, both from Pennsylvania, co-signed a letter sent to HHS. It read: "You have the ability and authority to intervene to allow for Sarah and other children under the age of 12 to become eligible for adult organs."

On June 5, the Murnaghan family asked a federal judge to issue a restraining order to block Sebelius from having the agency that oversees transplants apply the policy. The judge granted the injunction and ordered Sebelius to direct the Organ Procurement and Transplantation Network to waive the rule in Sarah's case.

Sebelius sent a letter to the OPTN the following day directing it to comply with the judge's order.

Girl's ordeal spurs temporary change to lung transplant policy for kids

@highlight

The 10-year-old woke up Friday night

@highlight

Although she remains on a ventilator, she is nodding and shaking her head to questions

@highlight

Prior to her surgery, Sarah was put into a medically induced coma