Beijing (CNN) -- U.S. Secretary of State Hillary Clinton held talks with a string of Chinese officials in Beijing on Wednesday but appeared to gain little traction on the sensitive issue of the competing maritime claims of China and its neighbors in the region.

After receiving a hostile welcome in editorials and articles in the Chinese news media when she arrived Tuesday, Clinton also had to contend with the abrupt cancellation of her planned meeting with Vice President Xi Jinping, who is expected to become the next Chinese president. Beijing attributed the decision to unspecified scheduling reasons.

China talks tough in Japan island dispute

After meeting with Chinese Foreign Minister Yang Jiechi on Wednesday, Clinton repeated the U.S. position on the territorial disputes between China and other countries in the South China Sea, urging those involved to "begin to engage in a diplomatic process toward the shared goal of a code of conduct."

Tensions over territorial disputes have spiked this year between China and a string of countries around its coastline -- from Vietnam in the south to Japan in the northeast -- and the United States has been drawn into the fray.

But Beijing, which prefers to tackle the disputes bilaterally, has reacted angrily to Washington's involvement in the matter, accusing the U.S. State Department of "unfounded accusations" and showing a "total disregard of facts."

At the joint news conference with Clinton on Wednesday, Yang took a more diplomatic tack, saying that "freedom of navigation and safety in the South China Sea is assured."

But even while Clinton was in Beijing, the Chinese government was maintaining a heated diplomatic back-and-forth on another territorial controversy, this one concerning a set of small islands in the East China Sea also claimed by Japan and Taiwan.

The uninhabited islands are known in Japan as Senkaku and in China as Diaoyu, and are privately owned by a Japanese family.

Interactive: Asia's disputed islands - who claims what?

Some Japanese media outlets reported Wednesday that the Japanese government had agreed to buy the islands from the family, a claim the government's chief Cabinet secretary, Osamu Fujimura, declined to confirm, saying talks on the matter were continuing.

But that was enough to prompt a stern response from Hong Lei, a Chinese Foreign Ministry spokesman.

"I want to emphasize again that any unilateral actions taken by the Japanese regarding the Diaoyu Islands are illegal and invalid," he said.

"We are closely monitoring the developments and will take necessary measures to defend our territorial sovereignty," Hong added.

Furious anti-Japan protests erupted across China last month when a Japanese group sailed to one of the disputed islets and symbolically waved Japanese flags.

And China doesn't seem eager for the United States to get involved in the quarrel.

The Global Times, a Chinese newspaper affiliated with the ruling Communist Party, said in an editorial published Tuesday that Clinton's diplomacy in the region "has fomented frictions between China and some surrounding countries."

It called on her to "reflect upon the deep harm she is bringing to the Sino-US relationship."

More: Islands dispute reopens old wounds

In reality, Clinton is pressing China on hot-button issues like the territorial disputes, human rights and trade. But at the same time, she is seeking China's cooperation on such diplomatic headaches as Syria, Iran and North Korea.

Both the Chinese and the U.S. camps sought to play down the cancellation of Clinton's meeting with Vice President Xi on Wednesday, saying he had also called off meetings with other foreign officials. Chinese officials said Xi would send a letter to Clinton.

Instead of Xi, Clinton met Vice Premier Li Keqiang, who is widely expected to take over from Wen Jiabao as premier at the end of the leadership transition early next year.

A meeting with Xi or Li is significant -- at least symbolically -- because they are widely expected to succeed the current leaders at a once-a-decade leadership change later this year.

In the coming years, U.S.-China relations are expected to remain contentious. As the United States shifts more of its focus back to the Asia-Pacific region, Beijing suspects that the Washington is trying to contain China's rise as a global power.

Clinton has tried to reassure China about the matter.

"Both President Obama and I have said frequently that the United States welcomes the rise of a strong, prosperous and peaceful China," she said Wednesday. "We want China to succeed in delivering economic opportunity to its people, which will have a positive impact on the global economy. We want China to play a greater role in world affairs that strengthens global stability and helps solve urgent challenges."

The territorial disputes over islands in the South China Sea complicate that role.

Countries like Vietnam and the Philippines lay claim to some areas of the sea, a 1.3 million-square-mile patch of the Pacific Ocean dotted with hundreds of largely uninhabited islands and coral atolls. But China has declared "indisputable sovereignty" over large swaths of the area, which is rich in marine life.

The stakes are raised further by estimates that potentially huge reserves of natural gas and oil lie underneath the seabed.

The potential for conflict was demonstrated in April when a Philippine Navy vessel confronted Chinese fishing boats in a remote rocky outcrop claimed by both countries.

Opinion: Why Asia is arguing over its islands

The resulting naval standoff between the two countries lasted for more than three months and aroused fears of an open conflict before the Philippines withdrew its ships in June, citing stormy weather. The issue of who the lagoon belongs to remains unresolved.

Analysts have expressed pessimism that the disputes in the South China Sea will be defused soon.

"While the likelihood of major conflict remains low, all of the trends are in the wrong direction, and prospects of resolution are diminishing," the International Crisis Group said in a July report.

CNN's Jaime FlorCruz and Chi-Chi Zhang in Beijing, and Jethro Mullen in Hong Kong contributed to this report.

@highlight

Secretary of State Hillary Clinton received a hostile welcome from the Chinese media

@highlight

She urges China to agree to a code of conduct for territorial disputes

@highlight

Beijing continues to exchange barbs with Tokyo in an island quarrel

@highlight

Clinton's meeting with the presumptive Chinese president is canceled