(CNN) -- It began with a ride home from school on Tuesday, October 9.

Gunmen halted the van ferrying Malala Yousafzai through her native Swat Valley, one of the most conservative regions in Pakistan. They demanded that other girls in the vehicle identify her. Malala had faced frequent death threats in the past.

Some of the girls pointed her out. At least one gunman opened fire, wounding three girls. Two suffered non-life-threatening injuries, but bullets struck Malala in the head and neck.

The bus driver hit the gas. The assailants got away.

Malala was left in critical condition. An uncle described her as having excruciating pain and being unable to stop moving her arms and legs.

Doctors fought to save her life, then her condition took a dip. They operated to remove a bullet from her neck. After surgery, she was unresponsive for three days.

Photos: Malala on the road to recovery

Now, it is nothing short of a miracle that the teen blogger, who fights for the right of girls to get an education, is still alive and even more astounding that she suffered no major brain or nerve damage.

In hardly more than four weeks, she went from an intensive care unit in Pakistan, showing no signs of consciousness, to walking, writing, reading -- and smiling -- again in a hospital in the United Kingdom.

Less than three months after being gunned down, she was discharged from the hospital to continue her rehabilitation at her family's temporary home. Her father is now employed at the Pakistani Consulate in Great Britain.

On Wednesday, doctors announced that she is expected to undergo groundbreaking surgery in Birmingham, England to repair her skull.

And beyond her hospital room, a world sympathetic with her ordeal has transformed her into a global symbol for the fight to allow girls everywhere access to an education.

The United Nations even declared November 10, Malala Day as a day of action to focus on "Malala and the 32 million girls like Malala not at school."

Ex-UK PM Brown supports Malala's call for girls' education in Pakistan

The Pakistani Taliban shot Malala

Malala has encouraged girls and their families to resist the Pakistani Taliban, which pushed girls from classrooms, since she was 11.

In January 2009, the militants issued an edict ordering that no school should educate girls. Malala wrote in her online diary about intimidation tactics the Taliban used in the Swat Valley in northwest Pakistan to coerce girls into not going school.

They included house raids to search for books, and Malala had to hide hers under her bed.

The extremists took issue with her writings and threatened to kill her.

"I was scared of being beheaded by the Taliban because of my passion for education," she told CNN last year.

Right after her shooting, her family kept a low profile, for fear they could be next. The militants vowed that if Malala survived, they'd go after her again.

"We will certainly kill her," a spokesman for the Pakistani Taliban said.

Read about the Pakistani Taliban and the faction that went after Malala

Global outpouring of support

The bloodletting sparked outrage inside Pakistan against the radical Islamist group, which continues to wield influence in parts of the country. Around the world, the young blogger has become a poster child for a widespread need to permit girls to get an education.

Initially, supporters in Pakistan gathered for small vigils to pray for Malala's recovery. Government officials in Peshawar, the main city in the northwestern region where Malala is from, observed a minute of silence in her honor.

Public support snowballed, and thousands of people in Pakistan and elsewhere attended rallies honoring her courage.

Protesters in Karachi carried posters and banners reading: "Malala, our prayers are with you" and "Shame on you, Taliban."

The airwaves filled with leaders and commentators who publicly got behind her, and journalists closely followed her story, drawing death threats from the Taliban for their coverage.

Army Chief Gen. Ashfaq Parvez Kayani took a stand from Malala's hospital, declaring: "We refuse to bow before terror."

Pakistan's first female foreign minister, Hina Rabbani Khar, decried the attempted assassination as "a wake-up call (to) a clear and present danger."

Interior Minister Rehman Malik dubbed Malala "the pride of Pakistan" and announced that her local school would be renamed for her, changing from "Khushal Public School" to "Malala Public High School."

Authorities in Swat renamed a college after her. Malala later requested that schools not be named for her, to prevent them from becoming prominent targets for the Pakistani Taliban.

The United Nations launched a campaign for girls' education named "I am Malala." Secretary-General Ban Ki-moon condemned the attack and praised Malala's cause.

U.S. Secretary of State Hillary Clinton commended the blogger's bravery; Actress Angelina Jolie donated $50,000 to a charity in Malala's name. And singer Madonna shouted her name from a stage, dedicating a song to her.

Malik proclaimed that the two other girls injured in the attack on Malala -- Kainat Riaz Ahmed and Shazia Ramzan -- will be honored with the third-highest military award, the Star of Courage. It is not normally given to civilians.

Pakistan to honor girls injured in Malala attack

Gordon Brown and Malala galvanize action

"Pakistan has a new heroine and a new cause -- a girl's right to education," former British Prime Minister Gordon Brown wrote in an opinion piece published by CNN.

Brown, who heads up the "I am Malala" campaign in his role as United Nations special envoy on global education, toured Pakistan to boost education with international funding and local initiatives. It was his office that declared Malala Day.

After her shooting, Brown visited schools, including hers. He talked education for three days with Pakistan's president, Cabinet ministers, educational nongovernmental organizations, donors and a covey of U.N. charities.

iReport: Girls + Education

Malala's path from near mortal wound to recovery

In addition to removing the bullet, doctors extracted a piece of skull to relieve pressure on Malala's brain because of swelling. Malala was taken by helicopter from one military hospital in Pakistan to another, where doctors placed her in a medically induced coma, so an air ambulance could fly her to Great Britain for treatment.

"She is lucky to be alive," Dr. Dave Rosser, the medical director of University Hospitals in Birmingham, UK, told reporters after her arrival.

Then came the light at the end of the tunnel. Examinations revealed that Malala suffered no major neurological damage.

More than a week after being shot a world away, Malala got back on her feet again, able to stand when leaning on a nurse's arm at Queen Elizabeth Hospital in Birmingham. Eager to communicate, she wrote sentences on paper -- she couldn't talk at first because of a tracheotomy.

"Malala is a strong young woman and has worked hard with the people caring for her to make excellent progress in her recovery," Rosser said on her release.

She has returned to her family and continues therapies as an outpatient at the hospital where she will undergo further surgery on her skull.

Chasing the perpetrators

Malik, the Pakistani interior minister, quickly placed a $1 million bounty on the head of Pakistani Taliban spokesman Ehsanullah Ehsan, after he claimed responsibility for Malala's attack on behalf of the group.

Police immediately took the van driver and the school guard into custody for questioning and rounded up dozens in the course of the investigation.

Arrests made in shooting of Pakistani schoolgirl Malala

They have identified the shooters as two boys, but their main suspect is an adult, who the police say drove the youths to the scene -- Atta Ullah Khan, 23. All three were at large.

In an interview with CNN, Khan's sister apologized to Malala for his alleged involvement.

"What he did was intolerable," Rehana Haleem said. "I don't consider Atta Ullah my brother anymore."

She called Malala her sister.

What's next for Malala?

After regaining strength, Malala is now set to endure more surgery. Doctors at Queen Elizabeth hospital will replace the piece of skull extracted in Pakistan. Her lead doctor, Dr. Rosser, "does not envisage any difficulties" in a pair of operations to repair her skull or fix the hearing in her left ear, he said Wednesday.

Malala is no stranger to recognition, and her ordeal has boosted it to global proportions.

Pakistan's Malala: Global symbol, but still just a kid

She has penned her online diary in cooperation with the BBC in the past, and has spoken to other media, including CNN. At home, her writings led to her being awarded Pakistan's first National Peace Prize in late 2011.

From her hospital room in the UK, Malala asked early on for her school books, so she could study for exams she wants to take when she arrives back home in Pakistan.

She is all about education.

CNN's Reza Sayah, Nasir Habib, Shaan Khan and journalist Saima Mohsin contributed to this report.

@highlight

NEW: Malala Yousafzai will return to hospital in Birmingham, England for more surgery

@highlight

Taliban gunmen stopped a van carrying Malala and shot her

@highlight

The extremists wanted to kill her for promoting education for girls

@highlight

There was a global outpouring of sympathy for Malala, as she fought for her life