Amman, Jordan (CNN) -- They arrived at the church with only what they could carry: clothes, pictures and a few family heirlooms.

It's all that is left of a life before the Islamic State terror group swept into northern Iraq, giving the Christians of Qaraqosh and Mosul an ultimatum: Convert, leave or die.

Most, like Ammar Zaki and his family, fled first to the relative safety of Iraq's Kurdish capital of Irbil and then made their way to Amman, Jordan, where they found sanctuary in a church.

Roughly 100 Iraqi Christians are being sheltered at St. Mary's Church in the Marka neighborhood of Amman. Their sanctuary offers little more than floor mats and a roof, but it's a welcome haven after fleeing ISIS persecution.

"Jesus Christ told people, 'leave everything and follow me,' " Zaki said, cradling his 9-month-old daughter, Athena. "So we did."

The stress and strain of the journey show in Zaki's tired eyes.

"We had to leave everything and go ... to be Christian, to stay in my religion," he said.

Safe haven

Jordan's capital of Amman has become a magnet for many refugees in recent years trying to escape war or persecution. More than 1 million Syrians fleeing a civil war have poured into the tiny desert kingdom, and hundreds of thousands of Iraqis -- many of them Christian -- have sought haven from the sectarian fighting and later ISIS.

The country's population has swelled, with the U.N. Refugee Agency estimating more than 645,000 refugees have made their way to Amman, according to 2014 figures.

That number does not include the refugee camps that have been set up near its border crossings with Syria and the West Bank, home to a large number of Palestinians.

Families flee Mosul

The influx of refugees has put a strain on the country, and nowhere is that more evident than at St. Mary's Church, where about 500 refugees, including some Muslims, have walked through the doors, Father Khalil Jaar said.

Many are children who arrived sick "because of the trauma of the incidents they suffered in Iraq: fear, insecure, no food," Jaar said.

"They left their homes in a few hours ... leaving everything behind them. It's a very big shock. That's why I do my best to help these people to overcome this situation and to (help them) look for a better life."

The church helps the refugees as much as it can, with charity from nonprofits, but mostly private donations.

Some of the Christian refugees live in the church, on the floor. Others live in nearby apartments rented by the church until they are granted asylum, a process that can drag on for years.

ISIS overtakes Iraq's largest Christian city

"We don't know how many days or months they stay with us; that's why I think any kind of help is welcome," Jaar said.

Jaar rests little these days, spending his time welcoming visitors, helping new arrivals and, sometimes, taking the children on excursions to help them forget.

He does it all with a big, wide smile.

Still, he knows it will be difficult for the refugees, who after months on the move need rest and time to apply for visas to relocate to Europe, the United States or Australia.

"I learned so much from them, their patience and solidarity. I am very happy to be with them, to be serving these people," he says, just minutes before he comforts a woman -- a refugee -- in tears over the frustrating process of applying for asylum.

"When someone knocks on my door, I cannot say no. I have to say yes and give any kind of help," Jaar said.

"My church, my school, my heart is open for every single one who comes to ask for help," he said.

Christian faith

The Iraqi families at the church have built their own small community, with the women take turns cooking and children sharing toys.

Zaki lives with his wife and two children in a room crowded with at least three other families.

Their suitcases are piled along the entrance, and their laundry hangs from the windows.

Zaki's children, Athena and toddler Ethan, may never see Iraq again -- a price their father says he is willing to pay to keep his faith.

Before the U.S.-led invasion of Iraq in 2003, Iraq's Christian population was estimated at more than 1 million. By the time the war was over, it dwindled to less than a third of that.

Christians flee Iraq ahead of ISIS

Mosul, Iraq's second-largest city, and its surrounds were home to an estimated 60,000 Christians prior to ISIS sweeping in. Since ISIS fighters took control of the city, all have left, according to Caritas International, a nonprofit aid group working to resettle refugees.

"Maybe in two years or three years, you will not see any Christians in Iraq. All of them they will leave," Zaki said.

Picking up the pieces

There is nothing to go back to, says Nadira Haddou, a 57-year-old mother of five who fled Mosul.

"I don't want to go back. They took our homes. They took our belongings. They took our belongings," she said. "I have nothing to go back to. I want to go to America."

The refugees all tell similar tales of the night of June 10, when ISIS fighters seized control of Mosul.

For Ann Danyal, there is life before ISIS and life after.

"It's very hard to describe. (Life) changed 180 degrees. It felt like a dream. The first few days, we were wishing to sleep and wake up and it would all turn out to be a dream," she said, shaking her head.

With her 7-year-old daughter lying across her lap, Danyal recalled how she and her family worked for years to build their lives "in the home of our ancestors" and then how it just ended.

"All of a sudden, they threaten you. They uprooted us," she said, fighting back tears.

Danyal's daughter is struggling to cope, recalling the belongings she left behind in Mosul.

" 'If only we'd brought that pillow' or 'if only we'd brought that toy,' " Danyal said her daughters tells her.

"I left without saying goodbye to my parents -- their graves. I still see them," she said, her voice trailing off as she remembered.

"My childhood home ... I wake up and wish I could go back," she said, looking at her hands, tears rolling down her cheeks.

Long wait for peace

Sitting on a plastic chair in his living room across the street from the church, sipping hot Turkish coffee under a poster of Pope Francis, 60-year-old Basem Peter Rafael takes a drag from his cigarette.

He points to 1991 as the start of Iraq's problems: the Persian Gulf War.

Back then, he says, he named his son Salam -- Arabic for peace -- "because we were waiting for peace."

"Now he is 23, and still we are waiting," he said.

CNN's Jomana Karadsheh and Samira Said reported and wrote from Amman, Jordan, and Chelsea J. Carter reported and wrote from Atlanta.

@highlight

About 100 Iraqi Christians are being sheltered at St. Mary's Church in Amman, Jordan

@highlight

The refugees fled after ISIS seized Qaraqosh and Mosul in northern Iraq

@highlight

The Christians fled with only what they could carry

@highlight

U.N. Refugee Agency says more than 645,000 refugees, including Syrians, are in Amman