Rome (CNN) -- In front of rapt crowds, Pope Benedict XVI spoke of moments of struggle as well as joy Wednesday during his final public address from a stage set up in St. Peter's Square.

In an unusually personal message, he said there had been "many days of sunshine" but also "times when the water was rough ... and the Lord seemed to sleep."

Interactive: Where does the pope live?

But even as the church passes through stormy seas, God will "not let her sink," he added, in what was his final general audience before he steps down Thursday evening.

Those words will be seen by many as a comment on the series of child sex abuse scandals and corruption claims that have rocked the Roman Catholic Church in the course of his pontificate.

Benedict recounted how when he was asked to be pope eight years ago, he had prayed for God's guidance and had felt his presence "every day" since.

"It was a part of the journey of the church that has had moments of joy and light, but also moments that were not easy," he said.

Vatican reveals Pope Benedict's new title

'Tough choices'

Dressed all in white and looking serene, the pope used his last general audience to call for a renewal of faith and speak of his own spiritual journey through eight years as leader of the world's 1.2 billion Catholics.

Benedict thanked the cardinals, the clergy in Rome, Vatican officials and priests worldwide for their work, as well as their congregations, saying "the heart of a pope extends to the whole world."

Knowing his strength was fading, he had taken the step of resignation well aware of its gravity and novelty, but also "with a deep peace of mind," he said.

"Loving the church also means having the courage to make tough choices," he said, as he called on the faithful to pray for him and the new pope.

Benedict gave an insight into the life of the pontiff, describing it as without any kind of privacy, with his time devoted entirely to the church -- perhaps particularly difficult for a man known for his love of scholarship.

His life in retirement will be "simply a return to the private place. My decision is to forgo the exercise of active ministry, not revoke it. In order to return to private life, not to a life of travel, meetings, receptions, conferences and so on," he said.

As he finished, cheers erupted from the tens of thousands gathered in the square -- acknowledged by Benedict with an open-armed embrace.

'Support and love'

Vatican officials said 50,000 tickets had been handed out for Benedict's last general audience -- but authorities said they had prepared for as many as 200,000 people to show up to witness the historic moment in person.

The pope in retirement: What to expect

Benedict, who spoke first in Italian, also gave greetings in French, German and English, among other languages, reflecting the church's global reach.

CNN iReporter Joel Camaya, a priest from the Philippines who is studying in Rome, said it was very moving to be among those gathered in the huge plaza.

Waves of applause rose up to meet Benedict, especially when he addressed the pilgrims in different languages. "I really felt all the support and all the love, the prayers, from those who were present," he said.

After the pope left, people's mood was festive, with many chatting or singing, Camaya said, but at the same time nostalgic because it's the last time they will hear Benedict speak.

"Especially for people who have got used coming here for the audience and for the (Sunday) Angelus, it's something to be missed," he said.

Those lucky enough to have tickets for the final audience listened from seats in front of St. Peter's Basilica. Among them were many of the Roman Catholic Church's senior clergy. Others packed around the edges of the square and surrounding side streets, hoping to catch a glimpse of the pontiff.

Among the crowds were groups of pilgrims who had traveled to Rome for the special occasion, as well as local residents and curious visitors keen to share in the moment.

Opinion: Benedict a pope aware of his flaws

Benedict arrived and left in his Popemobile, allowing him to pass close by many people in St. Peter's Square.

Standing in the glass-topped vehicle, flanked by security, he waved as he slowly made his way along pathways through the crowds. Some waved flags and banners as they stood under cold but clear skies.

Normally in winter, the pope would give his weekly Wednesday general audience inside a hall within Vatican City, but the event was moved outside because of the anticipated huge crowds.

Pontiff emeritus

The pope didn't give the usual brief personal greetings to people afterward, but was to meet with delegations of heads of state in Vatican City.

Benedict, who stunned the world's Catholics when he announced his resignation just over two weeks ago, will leave office at 8 p.m. local time Thursday.

At that point, a transition period will begin, as around 115 cardinals gather in Rome to pick a successor in a secretive election known as a conclave.

The Vatican has been rewriting the rules to cope with an almost unprecedented situation -- Benedict is the first pope to resign in nearly 600 years.

He will meet with the cardinals Wednesday and Thursday, before being flown by helicopter to the papal summer residence at Castel Gandolfo.

Pope to resign: Your thoughts

There, from a balcony, he will greet crowds one last time before his resignation takes effect and the Swiss Guards, who by tradition protect the pope, ceremonially leave the residence's gate.

More details were given Tuesday of how the 85-year-old's life in retirement will play out.

He will keep the papal title Benedict XVI, rather than reverting to the name Joseph Ratzinger, and will be referred to as "his holiness," said the Rev. Federico Lombardi, a Vatican spokesman.

He will also go by the title his holiness "pontiff emeritus" or "pope emeritus."

Interference fears

Living out of the public eye in a small monastery within Vatican City, Benedict will wear a simple white robe, without the papal red cape, and will swap his red shoes for brown ones. He is expected to devote his time to prayer and study.

Catholic author Michael Walsh told CNN he was unsurprised by Benedict's desire for more privacy.

"He's a rather private man. He wants to get back to his books and his cats, he wants to get back to prayer," he said. "He's obviously coming towards the end of his life -- he's 85 -- so I understand that."

But, Walsh added, "what I don't understand is that he says he wants to be part of it all, which could be disastrous if you take it at face value," referring to Benedict's promise not to abandon the church.

"The notion that you have two people that claim to be pope, in a sense, is really going to be very confusing," Walsh said.

Vatican officials have said they don't anticipate any interference from Benedict as a new pope takes office.

However, his influence will be felt in as much as he appointed 67 of the cardinals who will enter the conclave.

Whoever his successor may be will have plenty on his plate, from allegations swirling in the Italian media that gay clergy may have made themselves vulnerable to blackmail by male prostitutes -- a claim forcefully denied by the Vatican -- to the festering issue of the church's handling of child abuse by priests.

Scandal flared again over the weekend, as Scotland's Roman Catholic archbishop was accused in a UK newspaper report of "inappropriate behavior" with priests. Cardinal Keith O'Brien, who contests the allegations, resigned Monday and said he would not attend the conclave.

The Most Rev. Philip Tartaglia, archbishop of Glasgow, will take his place until a new archbishop is appointed, the Vatican said Wednesday. "These are painful and distressing times," Tartaglia is quoted as saying.

The Vatican said Monday that a report by three cardinals into leaks of secret Vatican documents, ordered by Benedict last year and seen only by him, would be passed on to the new pontiff.

Opinion: How next pope must tackle child sex abuse

Cardinals' conclave

Meanwhile, the cardinals who must elect the new pope are already gathering in Rome, Lombardi said.

The dean cardinal will on Friday summon the cardinals to a general congregation, Lombardi said. That could come as soon as Monday, although the date is not yet fixed.

The cardinal-electors will then decide exactly when to hold the conclave, during which they will select a peer via paper ballot. The voting process will end when only when one cardinal gains two-thirds support.

After his resignation, Benedict, who cited the frailty of age as the reason he resigned, will no longer use the Fisherman's Ring, the symbol of the pope, Lombardi said. The ring will be destroyed, along with Benedict's papal seal, after his departure from office.

Smoke signals: How is a new pope elected?

CNN's Barbie Latza Nadeau reported from Rome and Laura Smith-Spark wrote and reported from London. Vatican correspondent John Allen and Sarah Brown contributed to this report.

@highlight

Benedict XVI says there were "times when the Lord seemed to sleep" in past 8 years

@highlight

Benedict: The Roman Catholic Church has been through stormy waters, but God won't let it sink"

@highlight

I really felt all the support and all the love, the prayers," says a priest in the crowd

@highlight

He is to leave office at 8 p.m. Thursday for a life of seclusion and prayer