LOS ANGELES, California (CNN) -- As millions of people enter the job market and business owners struggle to entice consumers, Ryan Taylor may be better positioned than most to weather the economic crisis.

Ryan Taylor, right, and client Shawn Stockman of Boyz II Men at Taylor's downtown Los Angeles office.

Taylor is a custom tailor who brings his showroom to clients' homes and offices.

The day before former New Edition artist Johnny Gill left for a U.S. concert tour in March, Taylor sat in the musician's modest condominium taking measurements for a customized shirt and suit that needed to be completed and shipped in a few days.

Even on short notice, "Taylor the Tailor," as he is known, delivered on his promise -- and made Gill a loyal and satisfied customer.

Taylor says he wants to change the apparel business model by personalizing a customer's needs, instead of having large inventories and high overhead costs that can quickly put someone out of business in a bad economy. His recipe for success: virtually no inventory and prices competitive with brand name department stores.

His story in the apparel business began with the word "wardrobe" itself.

"I had seen it numerous times and thought, 'Why would a word associated with business suits or casual attire have such a negative prefix?' " He decided to remove the word "war" and create a brand called DROBE that would offer professionals and smaller mom-and-pop boutiques his personalized custom style.

But his first foray into the apparel business began and ended about 10 years ago at a trade show in Las Vegas, Nevada. He borrowed money to pay for a booth, but like many entrepreneurial designers getting started, Taylor said buyers were not interested in clothing without established brand names. Soon after, Taylor was broke.

"When I came home from that show thousands of dollars in the hole, I thought, 'How can I create a better story?' "  Watch Taylor discuss how his business started »

Several months later, Taylor was surprised that some of his personal customers were coming back for more shirts because of his attention to size and detail.

"I discovered that clothes off the rack fit less than 50 percent of the consumer population," he said, "and that my custom clothes can be generally close to the same price as those on the rack."

He also began visiting his clients in their living rooms or offices for custom fittings and offering a range of fabrics, textures and designs conducive to an individual's style. When a sale is made, Taylor collects half the money up front, which helps pay for the cost of materials.

"Nine times out of 10 we visit clients in their home or offices, we take their measurements right there inside their office, have them select the fabric they prefer, take their measurements right then and there, and [in] a couple weeks have a tailor-made garment to wear," he said.

Although he discovered his custom-tailored clients looked great in his shirts, he noticed that most Main Street customers wore pants and suits that did not properly fit, so Taylor saw that as another opportunity to expand.

With no inventory and a small staff on commission, Taylor's reputation spread throughout the Los Angeles, Chicago, Illinois, and Atlanta, Georgia, business communities, partly with the help of fellow Hampton University alumni. He said television shows and celebrities began to take notice, and soon he found himself in the fitting rooms of major motion picture and recording studios.

Taylor told CNN's Ted Rowlands that one of his first clients was the late comedian Bernie Mac. "I called the Bernie Mac show and the stylist there said come on in and he was my first celebrity client."

Some of his other celebrity clients include Al Pacino, Martin Lawrence, Jay Leno, Jimmy Kimmel, George Lopez and musician and multi-Grammy winner Shawn Stockman of Boyz II Men. But his reputation did not change his business style.

"Our business model is remarkably fit and lean," he said. "We have no inventory because our inventory is simply fabric."

The vast majority of men and women who make up Taylor's clientele earn a living on Main Street, like Brian Asciak, the sales manager of a Ford dealership in Long Beach, California, who became Taylor's most recent customer as he sat in his office.

"We eliminate the cost to have your clothes tailored and we eliminate the time it takes to go shopping," said Taylor. His business has expanded to include custom-tailored dresses, ties, shoes and accessories.

What began as a small loan has turned into 1,300 loyal clients. He averages close to $30,000 per month in revenue, and sales are down by only about 15 percent this year, he said.

In a volatile economic climate, Taylor is not cutting back. He recently opened a second DROBE office in Pasadena, California, and wants to add 200 clients before the end of the year.

"To survive in this tough economy," he said, "you have to be willing to customize your product as well as your service for the specific nuances of individual people so they will talk about you with glow -- with a feeling of excitement about your product."

CNN's Ted Rowlands contributed to this report.

@highlight

Ryan Taylor finds a niche in the apparel market with custom fittings

@highlight

"Taylor the Tailor" starts with a small loan and a failed booth at a trade show

@highlight

He now has 1,300 clients, among them Al Pacino, Jay Leno and other celebrities

@highlight

The vast majority of clients earn a living on Main Street, he says