(CNN) -- The sub-zero climes of northern Sweden are an unlikely outpost for the world's hippest tech firms.

Temperatures have been known to plummet to a bone-chilling minus-40 degrees centigrade in the winter months, while the rural landscape is more commonly associated with the sparkling beauty of the northern lights than the humdrum back office of cloud computing.

But it's here, in the tiny sub-Arctic town of Lulea, that Facebook has operated a 30,000 square meter server farm since 2013 -- its first such facility outside the U.S..

So content with the operation is the social media giant that it announced the creation a second data center in Lulea earlier this year.

According to Malin Frenning regional head of telecoms firm TeliaSonera the region has plenty to offer big international companies despite its distant location.

"There is a lot of (engineering) competence ... and good cooperation with the technical universities," Frenning said. On top of that, good transport links ensure its easily accessible by road and by air while solid infrastructure ensures business stability.

TeliaSonera is currently laying down Skanova Backbone North, a 1,250-kilometer (776-mile) fiber cable that will serve mobile and communications networks as well as provide the digital infrastructure that data centers in northern Sweden require.

"As far as we understand it this is one of the best places to establish data centers," Frenning added.

The Facebook move has inevitably attracted the attention of other firms with large data storage needs.

Lulea will soon host another large data facility for UK-based data-storage specialist firm, Hydro66, while the nearby town of Boden welcomed Bitcoin mining group KnCMiner earlier this year.

Across the border in Finland, Google runs a similar operation in the town of Hamina.

And a thousand miles over the Norwegian Sea in Iceland specialist data storage firm Verne Global caters for large firms likes of German car manufacturer BMW.

With so many wealthy companies with increased data related needs, storage clearly has the potential to become a highly lucrative business in this part of the world.

A report from management firm, Boston Consultancy Group estimated that the Facebook's presence in Sweden will be worth upwards of 9 billion Swedish Kroner ($1.2 billion) and 4,500 direct and indirect jobs over a 10-year period.

In September this year, meanwhile, the Financial Times cited a report from Bank of America Merrill Lynch which stated that energy efficiency in the $220 billion cloud computing market could become a significant driver of growth.

Arctic appeal

The attraction of the extreme north for many tech companies is both practical and environmental.

Cold temperatures mean the high costs associated with air conditioning units used to keep servers cool can be drastically reduced.

An abundance of renewable energy sources, meanwhile, ensures the large amounts of electricity required to power data centers is clean and environmentally friendly.

Iceland, for example, currently meets 100% of its energy needs through geothermal and hydro-electric sources, according to independent energy sector analysts Askja Energy.

Northern Sweden is also blessed with a plethora of natural resources: Lulea has produced large amounts of hydro-electricity for well over a century.

"The environmental impact (of data centers in the north of Sweden) is pretty much zero," said Anne Graf of the Node Pole, a regional trade body designed to attract investment into Lulea, Boden and nearby town Pitea.

"We have about a 50% surplus from the electricity we produce," Graf added.

For high-profile companies like Facebook -- which was once publicly scolded by Greenpeace for obtaining 53% of the electricity it uses from coal sources but has since said it wants to go green -- these are highly attractive qualities.

Bank of America Merrill Lynch estimate that information and communication technologies are already consuming 10% of the world's produced electricity.

A report from Greenpeace in April this year, meanwhile, found that if the internet was a country, it would rank in the top six energy consuming nations in the world.

On top of this, Greenpeace say demand for electricity that powers internet usage is expected to increase by 60% or more by 2020.

"We don't really think that when we use our iPhone or Blackberry that somewhere there is a computer doing something," Graf said. "When I do a Google search, somewhere there is a computer processing that. And that computer needs electricity. It needs ventilation. It needs someone to look after it."

IT greenwash?

But not everyone is convinced that moving data centers to these icy climates is good for business -- or the environment.

Yevgeniy Sverdlik of specialist IT publication Data Center Knowledge recognizes the potential environmental and cost benefits but highlights numerous circumstances where storing company data far away from headquarters or operations wouldn't be practical or cost effective.

Big financial institutions require servers close to their core operations as they regularly perform trades where prices can change over a fraction of a second, Sverdlik said.

If a signal from a trading desk in London or New York had to travel all the way along a cable to Sweden to confirm a trade, vital milliseconds could be lost.

"For companies like Facebook or even Google that kind of latency difference (the time between a button being pressed and that action occurring) is negligible," Sverdlik said. The data still moves at an extremely rapid pace.

"(But) a financial services company may have a physical location requirement where they want servers to be close to trading engines" because of this.

Then there are things like data protection laws that mean certain types of information like medical records or government data must be stored within particular jurisdictions.

"In the post-Snowden world there is mistrust (from people) in having their data held outside of their country," Sverdlik added.

Professor Ian Bitterlin, chair of the Data Centre Specialist Group at the British Computer Society is even more cautious as to the benefits of storage units in these parts of the world.

He points out that while cooling can be cheap and use less electricity near the Arctic for now, new server technologies are becoming more efficient and less power intensive.

This could eventually mean it becomes equally cost effective to house data centers closer to business hubs and centers.

"They (locations in the likes of Sweden, Finland and Iceland) say they are attractive because they have a lot of spare power that they want to sell.

"They've lost industries like paper and aluminum and have an excess of power (and) data centers appear to be a very high revenue load.

"Some companies are attracted to the corporate social responsibility thing and want to get Greenpeace off their back."

"(But) most clients won't go there because they want to build their data centers where they want their data centers."

@highlight

Some companies have begun operating large data centers near the Arctic

@highlight

The area is attractive because of its low electricity prices and high levels of renewable energy

@highlight

Internet related activity accounts for an ever increasing share of the world's energy usage