(CNN) -- Jose Luis Zelaya shed tears of joy Friday morning.

"It's just insane," the graduate student at Texas A&M University said. "I've been working on this for six years. It is just overwhelming."

Zelaya was electrified by news that the Obama administration will stop deporting illegal immigrants who entered the United States as children if they meet certain requirements.

Zelaya came to the United States illegally from Honduras at age 14 to find his mother, who was already in the country, he said.

Without the change announced Friday, he couldn't get a job to help pay for school; Zelaya, 25, is pursuing a master's degree in education with hopes of earning a doctorate and teaching middle school. He also wouldn't be able to consider job offers that presented themselves afterward. The uncertainty over what loomed after graduation spooked him.

"Now, maybe I will be able to work without being afraid that someone may deport me," he said. "There is no fear anymore."

Immigration shift sparks reaction from both sides

News of the change raced across the country, buoying the spirits of immigrants and immigrant advocates who have campaigned for such a change for more than 10 years.

"I'm definitely speechless," said Pedro Ramirez, a recent graduate of Fresno State University who was student body president when he admitted that he was in the country illegally.

"It gives us a chance to show the American people that we're not here to use your tax dollars; we're not here to take your jobs; we're here to contribute," he said.

Not everyone viewed the change with such enthusiasm.

"This is a classic Barack Obama move of choosing politics over leadership," Sen. Lindsey Graham, R-South Carolina, said on Twitter. "This decision avoids dealing with Congress and the American people instead of fixing a broken immigration system once and for all."

Rep. Lamar Smith, R-Texas, said the decision would invite fraud and hurt unemployed Americans.

"President Obama's decision to grant amnesty to potentially millions of illegal immigrants is a breach of faith with the American people," said Smith, chairman of the House Judiciary Committee.

Read Napolitano's memo here (PDF)

Under the new directives, those who were brought into the country illegally before the age of 16 and are not criminals, among other requirements, are eligible to receive deferred action for two years, and will be eligible to apply for work authorization.

"It's a step in the right direction," Ramirez said, though he characterized it as a "Band-Aid deal."

"It's not the solution; it's a temporary fix. But it implements part of the key focal points of the DREAM Act," he said.

The Development, Relief and Education for Alien Minors -- or DREAM -- Act, would create a path to citizenship for immigrants who entered the United States illegally as children under the age of 16 and have lived in the United States for at least five years, obtained a high school or General Education Development diploma, and demonstrated "good moral character," the White House said.

Efforts to pass the DREAM Act in Congress have failed.

Laura Vazquez, spokeswoman for the National Council of La Raza, said the Obama administration is within its authority to enforce the change.

"This is a legitimate use of the tools that the administration has to focus on their immigration enforcement resources," she said. "In light of the congressional inaction on immigration reform, this is the right step for the administration to take at this time."

Ira Mehlman, a spokesman for the Federation for American Immigration Reform said the policy is politically motivated and misguided.

What to know about immigration in the U.S.

"They're going to throw 830,000 people into an already dismal work environment," he said, referring to estimates of the number of people who could become eligible to apply for work authorization under the new policy.

Mehlman said the law also disregards the authority of Congress.

"The president is basically announcing amnesty without authority from Congress," he said.

"This is what they need to rally a certain part of their base, but it's going to come at the expense of a lot of other people who say this is bad policy and a usurpation of the authority of the legislative branch of Congress," he said.

In Arizona, Maricopa County Sheriff Joe Arpaio, known for his tough anti-illegal immigration stance, said that politics is behind the policy action.

"Why now? Why not let Congress decide next year on this issue and on all the illegal immigration problems we have?" he said.

Arpaio said he will abide by the directive, but added he will continue to enforce state laws as he sees fit.

"We're going to continue enforcing these illegal immigration laws, including the state laws," he said.

The new immigration directive could also help resolve immigration snafus that that system has created.

Elizabeth Olivas nearly missed her graduation and salutatorian speech because she was caught in one such mix-up.

An undocumented immigrant who was brought to the United States by her parents when she was 4, Olivas traveled to Ciudad Juarez, Mexico, last month to beat a deadline to apply for a visa.

But because of a miscalculation, she missed a deadline and risked being barred from the United States for three years. It took a waiver to allow her to return to the United States, where her father is a naturalized citizen.

Her attorney, Sarah Moshe, said those who have grown up in the United States after entering illegally did so without intent to violate the law.

Overheard on CNN.com: Decision to defer some deportations symbolic

"It's not the end of the road, but it is great news," she said of the administration's announcement. "It will allow them to live without the fear looming over their head that they can be sent to their home country at any moment."

In downtown Los Angeles, about 150 young demonstrators -- many of them undocumented immigrants -- rallied in front of the federal immigration office Friday and exalted over the news from Washington.

Some shed tears of joy and chanted, "undocumented, unafraid!"

Demonstrators then symbolically blocked a freeway on-ramp and next obstructed Aliso Street for about an hour to halt the movement of a fleet of U.S. Immigration and Customs Enforcement vans and buses, which are typically used to haul away illegal immigrants to the border for deportation.

Protestors then broke up peacefully.

Protest organizer Neidi Dominguez asserted that "there's so many undocumented youth graduating from UCLA, Harvard, Stanford" and the executive order will ensure "that they are going to be able to use their degree and work.

"It's a night and day change, and there's hope," Dominguez said.

Alex Chavez, 20, a senior at California State University Fresno, drove four hours to downtown Los Angeles early Friday to participate in the "historic moment," he said.

"I was brought here at the age of 3 (from Mexico) and was raised in Tulare, California. I grew up here, this is my country and I have no intention of going back," Chavez said. "I want to come here and contribute, to be a teacher, educating young minds. That's what I plan to do for the rest of my life."

Photos: Putting a face on the immigration debate

CNN's Jaqueline Hurtado, Paul Vercammen, Michael Martinez, Stan Austin, Nick Valencia, Melissa Abbey and Michael Pearson contributed to this report.

@highlight

NEW: About 150 young adults, including illegal immigrants, rally in downtown Los Angeles

@highlight

Students who qualify to remain in the United States are overjoyed

@highlight

It will give undocumented students a chance to work, they say

@highlight

Some lawmakers argue that it will lead to fraud