Rainbows of color, spice-market smells, an urban orchestra of sounds: Morocco can be overwhelming at first.

Lying 13 kilometers, or 8 miles, from the coast of Spain, the North African country mixes Middle Eastern magic, Berber tradition and European flair.

Tourism has more than doubled since 2002, to nearly 10 million visitors in 2011. King Mohammed VI wants to increase the annual visitor numbers to 18 million by 2020.

The royal ruler's strategy is underpinned by infrastructure development, making traveling around the country even easier.

Add to this a program of ongoing social, political and economic reforms, and Morocco is one of the most moderate and peaceful countries in the region.

Cafes dominate life in Tangier

Cafes are the key place to socialize, for Moroccan men at least. They gather to drink sweet mint tea and watch people as they go about their affairs.

The northern port city of Tangier has a history of literary bohemianism and illicit goings-on, thanks to its status as an International Zone from 1923 to 1956.

The Interzone years, and the heady decades that followed, saw writers, rock stars and eccentrics flock to the city's 800-plus cafés.

Two must-visit spots: Cafe Hafa (Ave Hadi Mohammed Tazi), overlooking the Strait of Gibraltar, was a favorite hangout of Tangier's most famous expat, writer and composer Paul Bowles.

Smoky and slightly edgy, Cafe Baba (1 rue Sidi-Hosni) is the coolest spot in the Kasbah. A photo of Keith Richards, kif-pipe in hand, still adorns the grimy walls.

Most mosques are off-limits to non-Muslims

Nearly 99% of the population is Muslim, and hearing the muezzin's melodic call to prayer for the first time is a spine-tingling moment.

While very few Moroccan mosques are open to non-Muslims, one exception is the towering Hassan II Mosque in Casablanca (Blvd Sidi Mohammed Ben Abdallah; +212 522 22 25 63).

Located on a promontory over the Atlantic Ocean, the mosque was completed in 1993 and can hold 105,000 worshipers inside and out.

Tradition and technology sit side by side, with colorful zellij (mosaic tiles), intricate stucco and carved cedar complementing the retractable roof and heated flooring.

If you can't make it to Casa, Marrakech's 16th-century Ali ben Youssef madrassa-turned-museum (Pl Ben Youssef; +212 524 44 18 93) is open to all and also features impressive Islamic design.

Multilingual Moroccans will put you to shame

Moroccans switch languages mid-sentence, reflecting the cultures -- Berber, Arab, French and Spanish -- that have crisscrossed the country.

Arabic is the official language, and you'll hear the Moroccan dialect, Darija, spoken on the street.

French continues to be widely spoken in cities; foreigners are often addressed in this first. Spanish is still spoken in Tangier.

There are also three main dialects spoken by the country's Berber majority: Tashelhit, Tamazight and Tarifit.

You'll be able to get by with English in the main tourist hubs, although "La, shukran" ("No, thank you" in Arabic) is one phrase to master.

Don't get stuck in Marrakech

Marrakech is justifiably popular, but there's so much more.

Fez tops the list for its maze-like medina, fabulous foodie scene and annual Festival of World Sacred Music.

For a slice of the Sahara, there's the desert town of Merzouga, near the impressive Erg Chebbi sand dunes, accessible via camel treks.

Active types can hike between Berber villages in the High Atlas or head to the blue-hued Andalusian town of Chefchaouen to explore the Rif Mountains.

Beach bums will love laid-back Essaouira and Sidi Ifni on the Atlantic coast, while surfers often head south to Taghazout.

For quiet contemplation, Morocco's holiest town, Moulay Idriss, is hard to beat. Plus, you'll have the nearby Roman ruins of Volubilis pretty much to yourself.

If you don't like cumin, you may starve

Cumin is one of the main spices used in Moroccan cooking. This pungent powder is used to flavor everything from tagines to mechoui (slow-roasted lamb).

Cumin is used as a condiment on most Moroccan tables, along with salt and chili. It's also a popular natural remedy for diarrhea.

"Cumin has anti-parasitical properties, so if you've got an upset tummy, a spoonful of cumin knocked back with water will help," said food guide Gail Leonard with Plan-It Fez.

Trains are cheap, comfortable and reliable

Train company ONCF operates one of the best train networks in Africa, making it the easiest way to travel between cities.

It's worth paying extra for first class, which comes with a reserved seat and A/C.

First class carriages have six-seat compartments or open-plan seating. Stock up on snacks, or buy them onboard, as it's customary to share food.

When it comes to traveling to smaller towns and villages, buses and grand taxis, usually old Mercedes sedans that can seat six (at a squash), are best.

Couscous is served on Fridays

You'll see it on every restaurant menu, but traditionally, couscous is served on Fridays, when families gather after prayers.

This is because the proper (not packet) stuff takes a long time to prepare.

Coarse semolina is hand-rolled into small granules to be steamed and fluffed three times. It's pale in color, deliciously creamy and served with vegetables and/or meat or fish.

Bread is the staple carb and is served with every meal, except couscous.

It's baked in communal wood-fired ovens, one of five amenities found in every neighborhood (the others being a hammam, or bathhouse; a drinking fountain; a mosque and a preschool).

Riad rooftops rock

The traditional Moroccan house (riad) is built around a central courtyard with windows facing inwards for privacy.

They're decked out with elaborate zellij, stucco and painted cedar and are easily the most atmospheric places to stay.

While Moroccans tend to use their rooftops as clotheslines, a riad roof terrace is the place to be come sunset.

In Marrakech, Italian-designed Riad Joya (Derb El Hammam, Mouassine Quarter; +212 524 391 624; www.riadjoya.com) has prime views of the Koutoubia Mosque minaret, while five-star La Sultana (403 rue de la Kasbah; +212 524 388 008; www.ghotw.com/la-sultana) overlooks the Atlas Mountains.

Top picks in Fez are the bohemian Riad Idrissy (13 Derb Idrissi, Sieje, Sidi Ahmed Chaoui, +212 649 191 410; www.riadidrissy.com) and its suntrap terrace, while Dar Roumana (30 Derb el Amer, Zkak Roumane; +212 535 741 637; www.darroumana.com) has sweeping views of the world's largest living medieval Islamic city.

When you hear 'balak!' watch out

Morocco's souks are not for the faint-hearted. The narrow streets teem with hagglers, hustlers, mule-drivers and motor scooters.

Rule No. 1 is to step aside when you hear "Balak!" It means there's a heavily laden handcart or mule bearing down on you.

You'll inevitably get lost, as maps don't usually include the warren of small alleys that make up the medina.

A guide can help you get your bearings and fend off touts, but be aware that anything you buy will have his commission built in to the price.

Alternatively, taking snaps of landmarks with your smartphone can help you find your way back to your accommodation.

It's not weird to be bathed by a stranger

There are plenty of posh hotel hammams, but nothing beats a visit to a no-frills public bathhouse.

Spotting the entrance can be tricky, as most signs are written in Arabic. Look for a shop selling toiletries or a mosque, as these are usually nearby.

It's advisable to stock up on black olive oil soap, ghassoul (clay used as hair conditioner), a kiis (exfoliating glove) and a mat to sit on. Visitors need to take their own towels, comb and flip-flops.

Women strip to their knickers (no bra), and men wear underpants. Then you'll be steamed, scrubbed and pummeled until you're squeaky clean.

@highlight

Cafés are where Moroccan men socialize, gathering to drink sweet mint tea

@highlight

Cumin is used to flavor everything from tagines to mechoui

@highlight

Train company ONCF operates one of the best train networks in Africa

@highlight

Morocco's souks teem with hagglers, hustlers, mule-drivers and motor scooters