(CNN) -- Wednesday is the 100th anniversary of Richard Nixon's birth. He remains a controversial figure, and not just on the political left. Last year, I was covering the Conservative Political Action Conference in Washington when I came across a stall selling old political pins. Unable to resist, I bought one with a picture of Tricky Dick giving his best crocodile smile beneath the classic slogan "Nixon's The One!"

I slipped it on at a party later that evening and was surprised by the results. None of the young conservative activists had a nice word to say about Nixon and many were quite hostile. To them, he was the archetypal Republican in Name Only -- a liberal in conservative clothing. While most Americans probably remember him only for Watergate or Vietnam -- and many liberals still revile him as a war-bating, divisive anti-communist -- from a conservative perspective his politics were disappointingly moderate.

He's a reminder of an older, more centrist kind of Republican, the kind you don't see very much these days. It feels today like the Republican Party is fighting a series of rear guard actions -- on the fiscal cliff, on guns and on Obama's nominations. That's partly a reflection of political reality; they lost the presidential election and only control the House. But a common theme running through each of these battles is "inflexibility." They seem unwilling to yield either to President Obama's post-election authority or to the popular mood. Of course, principle is an admirable quality. But it won't necessarily win the White House in 2016.

A lesson in the benefits of adapting to circumstances might be taken from the life of Richard Nixon.

In domestic policy, Nixon bowed to the liberal consensus of his era. He supported the Equal Rights Amendment, founded the Environmental Protection Agency and was a proponent of the poverty-fighting measure of guaranteed income. He also established the first federal affirmative action program - the Philadelphia Plan, which required government contractors in Philadelphia to hire minority construction workers.

As was so often the case with Nixon's public compassion, this served a private purpose of outflanking his opponents. His environmentalism was designed to deny the issue to liberals; his support of affirmative action divided them. The Philadelphia Plan was opposed by many Democrats, not just by Southern conservatives but also by labor leaders who saw it as a challenge to seniority programs. It set unions and civil rights activists against each other, while the president grabbed a little credit for being progressive.

Even on foreign policy, the record is a complex mix of hawk and dove. Nixon said he wanted "peace with honor" in Vietnam, which meant concluding the conflict in such a way that didn't undermine American military or political credibility. This translated into a perverse policy of extending the war to end it -- bombing Cambodia to a point of social anarchy that would lead, inexorably, to the genocide of the Khmer Rouge.

Opinion: GOP's obstructionism is suicide strategy

But Nixon won re-election in 1972 partly on a reputation as a peacemaker with whom the Democrats could not compete. His visit to China began the slow process of integrating the Forbidden Kingdom into the rest of the world, and it put pressure on the Soviets to go further on detente. In 1973, the administration helped Israel resist an Arab invasion by (belatedly) supplying arms. When that war was concluded, Nixon was widely regarded as having saved the world from a superpower confrontation in the Middle East and he was greeted by enthusiastic crowds in Egypt. But, by that point, his reputation at home had been so scarred by his involvement in the Watergate break-in that he couldn't capitalize on his image as a global problem solver. Nixon was his own worst enemy.

Beyond his foxing of opponents, Nixon was not without a personal manifesto. He was saving his more conservative policies for after his re-election. Had Watergate not reduced his political capital so early in 1973, there's a chance Nixon would have pushed ahead with his agenda of a New Federalism and undone much of the liberalism of his first term. The New Federalism was similar to what would later become Reaganism: tax cuts, more power to the states, welfare reform.

Nixon, then, was a mix of ideals and prejudices, but all tempered by a respect for the possibilities and limitations of power. Aside from Watergate, that's why he's so unpopular with the contemporary conservative movement. While it's true that the Republican Party continues to nominate moderates (from George H.W. Bush to Mitt Romney), in recent decades they've been expected to pass a test of ideological purity put to them by a restive base that invariably shifts the candidates' platform to the right.

Nixon also did his best to court conservatives, but his instinct was always to anchor himself in the rhetorical center. As president, his ambition to build a permanent New Majority depended upon walking a line between the radicalism of the left and the racialism of the far right. His strategy wasn't built entirely upon pursuing Southern racists, as many liberal critics have suggested. Had it been so, he wouldn't have been re-elected in 1972 by winning every single state but Massachusetts. The fact is that Nixon was often very popular with a lot of regular Americans. In 1968, he even took 36% of the black vote, a much stronger performance than Mitt Romney's paltry 6%.

Today, it's difficult to talk about Nixon as a model for contemporary Republicans because his political reputation is so tarnished. But he does offer an interesting alternative electoral strategy to that pursued by the contemporary right and embodied by the mythically consistent Ronald Reagan (the Gipper was more moderate than his fans admit). And the test of how well Nixon's pragmatism worked is measured in his electoral victories.

Despite his two memorable defeats in 1960 and 1962 ("You won't have Nixon to kick around anymore"), he won election as a House representative, a senator, a vice president and a president. Considering that record, moderate Republicans in pursuit of the White House have every cause to get misty-eyed when they hear the name Richard Nixon.

The opinions expressed in this commentary are solely those of Timothy Stanley.

@highlight

Timothy Stanley: Wednesday is 100th anniversary of Richard Nixon's birth

@highlight

He says GOP could take a page from Nixon on adapting. Nixon was good at getting elected

@highlight

He says Nixon was politcially strategic: backed ERA, poverty fighting measures, founded EPA

@highlight

Stanley: Without Watergate, he'd likely still be popular