(CNN) -- The astounding discovery that our universe apparently is expanding at an accelerating rate some 14 billion years after the Big Bang has earned three scientists the 2011 Nobel Prize in Physics, the Royal Swedish Academy of Sciences announced Tuesday.

The discovery turned the world of physics and astronomy on its head when it was first reported in 1998 by competing teams of scientists, two from the United States and one from Australia.

It helped lead scientists to the conclusion that nearly three-fourths of the universe is made up of "dark energy," a mysterious force that seems to be staying gravity's hand in stopping the universe from expanding forever.

The nature and role of that force has become what the Nobel organization described as one of the most enigmatic mysteries of modern physics.

Half of the Noble award will go to Saul Perlmutter from Lawrence Berkeley National Laboratory and the University of California, Berkeley. The other half was awarded to Brian P. Schmidt of Australian National University and Adam G. Riess of Johns Hopkins University and the Space Telescope Science Institute.

The prize in physics is worth 10 million Swedish kronor, about $1.44 million.

"I am delighted, excited, and deeply honored," Perlmutter said in a written statement.

Reiss called the project "an incredibly exciting adventure" in a statement issued by Johns Hopkins University.

"I am deeply honored that this work has been recognized." he said.

The two teams, working separately, each measured the light coming from a specific kind of exploding star, or supernova, in what began as an effort to confirm expectations that the expansion of the universe was slowing down.

Instead, they found that the exploding stars they were using as galactic yardsticks were dimmer than they had expected, indicating that the galaxies containing them were racing away from each other and the rest of the universe at an accelerating rate.

The widely celebrated discovery indicated that a mysterious and invisible form of energy is counteracting the force of gravity, pushing matter apart at an ever faster rate.

"Today, we know that 74 percent of the universe consists of this dark energy," Riess wrote on his website before the award was announced. "Understanding its nature remains one of the most pressing tasks for physicists and astronomers alike."

The discovery means that the universe is likely to continue expanding indefinitely, instead of reaching a steady state or collapsing back in on itself in what some call a "big crunch."

"The findings of the 2011 Nobel Laureates in Physics have helped to unveil a universe that to a large extent is unknown to science. And everything is possible again," the academy said in announcing the prize.

The Nobel Prize in Physics is the second of six Nobel prizes to be announced this month.

Last year, professors Andre Geim and Konstantin Novoselov from the University of Manchester in England won the physics prize for "groundbreaking" experiments with the two-dimensional material graphene.

Since 1901, the committee has handed out the Nobel Prize in Physics 104 times. The youngest recipient was Lawrence Bragg, who won in 1915 at the age of 25. Bragg is not only the youngest physics laureate, he is also the youngest laureate in any Nobel prize area.

The oldest physics laureate was Raymond Davis Jr., who was 88 years old when he was awarded the prize in 2002.

In the coming days, the committee will announce prizes in chemistry, literature, economics and peace.

On Monday, the Nobel committee named Ralph Steinman, a biologist with Rockefeller University, and scientists Bruce A. Beutler and Jules A. Hoffmann the winners of the 2011 Nobel Prize in Physiology or Medicine.

The announcement came three days after Steinman died of pancreatic cancer at age 68.

Nobel rules don't allow awards to be given posthumously, but the Nobel Assembly issued a statement after the award was announced saying it interprets the rule to mean that no one can be deliberately given the award after death. Since the group's members did not know of Steinman's death when they made the decision, the award will stand, the assembly said.

@highlight

NEW: Winners say they are "deeply honored"

@highlight

Saul Perlmutter, Brian P. Schmidt and Adam G. Riess win the Nobel Prize in Physics

@highlight

They discovered that the universe's expansion is accelerating

@highlight

The prize is worth about 10 million Swedish kronor, or $1.44 million