Dhaka, Bangladesh (CNN) -- Prominent retailers and clothing suppliers are scrambling to clarify their links to a garment factory in Bangladesh that caught fire over the weekend, killing more than 100 people.

Wal-Mart Stores Inc. said Monday that the Tazreen Fashion factory in Ashulia, near the Bangladeshi capital, Dhaka, was no longer authorized to produce merchandise for its stores.

But one of its suppliers "subcontracted work to this factory without authorization and in direct violation of our policies," Wal-Mart said in a statement. "Today, we have terminated the relationship with that supplier," it said, without identifying the company in question.

The clothing factory, housed in a multistory building, caught fire Saturday night. More than 100 people were killed and at least 200 were injured as they rushed to escape, police said.

The toll makes it "the most deadly factory fire in the history of the apparel industry in Bangladesh," according to the International Labor Rights Forum (ILRF), a workers advocacy group.

The range of international companies being linked to the Tazreen facility highlights the complex web of global supply chains in the clothing industry.

Li & Fung, a large trading company that supplies international retailers, said that it had placed orders worth more than $100,000 with the Tazreen factory this year for Kids Headquarters, part of its U.S. subsidiary. But it said it had not made orders for other customers with Tazreen.

Li & Fung, which is based in Hong Kong, said it was very distressed and saddened by the deaths of workers" at the factory. It said it was offering the equivalent of about $1,200 to the family of each victim of the blaze. It also said it was setting up a fund for the education of victims' children.

Fire rips through clothing factory near Dhaka

The big loss of life has provoked anger among workers in Bangladesh's huge garment industry.

Thousands of people from dozens of clothing factories in Ashulia took to the streets Monday to protest the way in which their colleagues died. The protesters blocked traffic and demonstrated for several hours, demanding compensation and a full investigation into what happened.

The Bangladeshi government has ordered such an investigation, asking two committees to file reports within a week. Li & Fung said it would carry out its own investigation.

A period of national mourning was also held Tuesday for those killed at the factory and for the victims from a recent overpass collapse in southeastern Bangladesh.

Overpass collapse kills 11 in Bangladesh

All apparel factories were to be closed Tuesday, and special prayers offered at mosques, churches and temples.

As well as Wal-Mart and Li & Fung, other big companies were dealing with the fallout from the disaster. The ILRF published a list of companies whose brand logos had been found on clothing and documents at the factory.

They included Dickies, whose owner, Williamson-Dickie Manufacturing Co., said it had concluded its "production schedule" with Tazreen earlier this year.

Williamson-Dickie aims to "ensure the global vendors and suppliers we work with provide a safe work environment in accordance with all applicable laws and fair labor practices," the company said.

The ILRF also said that the True Desire brand sold at the retailer Sears was among those linked to the factory.

Sears Holdings said that it does not source products from the Tazreen factory and recognizes the critical importance of fire safety.

"Any merchandise found at that factory should NOT have been manufactured there and we are currently investigating further," the company said in a statement.

Even as Bangladesh prepared to mourn the deaths from the weekend fire, firefighters battled a blaze at another apparel factory near Dhaka on Monday.

Police and witnesses said the latest fire, at a 10-story clothing factory in the suburb of Uttara, began Monday morning, and firefighters took about four hours to bring it under control.

"Firefighters have brought the flames under control, and no one died in the incident," Brig. Gen. Abu Nayeem Mohammad Shahidullah, director general of Bangladesh Fire Service and Civil Defense, told reporters.

Local police said at least 10 people were injured in Uttara as they jumped from windows to escape.

They said the fire began on the second floor, where a large quantity of fabric and yarn were stored, and it spread immediately to the fourth floor.

Bangladesh's ready-made garments make up 80% of the country's $24 billion in annual exports.

The country has about 4,500 garment factories that make clothes for stores including Tesco, Wal-Mart, J.C. Penney, H&M, Marks & Spencer, Kohl's and Carrefour. The sector earned $19 billion this year as of June.

The state-run news agency, Sangbad Sangstha, recently reported that some 6,000 people die every year in fires in Bangladesh.

The accounts of survivors from the blaze on Saturday night underlined the panic and chaos at the scene.

"How the factory caught fire, I don't know. But when we heard 'fire,' we all rushed out and we were trying to get out of the factory," said Parul Begum, a survivor.

"One factory worker broke a window and one of the workers pulled me through. After the fire, we tried to run out the door, but it was locked. When the floor (became) dark with smoke, the boys came to rescue me," she said.

CNN's Atika Shubert and Jethro Mullen, and journalist Farid Ahmed contributed to this report.

@highlight

The factory was not authorized to make merchandise for Wal-Mart, company says

@highlight

The company cuts ties with a supplier that subcontracted work to the factory

@highlight

A trading company based in Hong Kong offers financial aid to victims' families

@highlight

More than 100 people were killed in the blaze in Bangladesh