Beijing (CNN) -- Xi Jinping is a mystery. So much so that the presumed leader-in-waiting of the world's most populous nation could vanish for more than a week without any explanation being given.

In September this year, Xi disappeared. It sparked a flurry of rumors: he'd had a heart attack, suffered a stroke, was injured swimming, and had even gone on strike.

Xi eventually re-appeared and normal transmission was resumed. But should we be so surprised? Barely an analyst I've spoken to can say they really know him, or what type of leader he would be.

Mike Chinoy, a former CNN correspondent and now a senior fellow at the University of Southern California's U.S-China Institute, has seen China's leaders come and go but concedes Xi is difficult to read.

"Xi Jinping is in many ways an unknown commodity. He's risen to the top of the Chinese system by being very careful not to disclose what he really thinks," Chinoy said.

CNNMoney: Economy key to China's transition

But this is not an era characterized by leaders such as Mao Zedong or Deng Xiaoping, Chinoy added. The China of the 21st century has no supreme leader. The modern Chinese Communist Party is run by a small collective, the nine members of Politburo Standing Committee of which Xi is expected to be the next leader.

This is an opaque system. It is a transition worked out behind doors -- nothing is left to chance and little is revealed to the Chinese people.

As the United States prepares to elect its next president this week, a very different, more selective "democracy" is taking place in China. The 18th Communist Party Congress will come together on November 8 to chart a new course for the country, say farewell to the old leadership and usher in a new generation.

More than 2,200 delegates from across China will gather for the Congress, and they in turn select the 200 plus members of the party's Central Committee, who in turn appoint the Politburo and ultimately the all-powerful Politburo Standing Committee -- the country's decision makers. But most, if not all, of the outcomes are predetermined.

The Congress itself meets every five years. It is designed to assess the country's progress, and set new directions. Every ten years it selects the new leadership.

This year the legacy of the Hu Jintao years is under the microscope. Under President Hu and his Premier, Wen Jiabao, China's economy has continued to grow, lifting tens of millions of people out of poverty.

China is now entrenched as the world's second biggest economy and closing fast on the United States. But there are disappointments, and Hu's much vaunted "harmonious society" is showing signs of cracking.

"These ten years without them accomplishing anything but following old customs without innovation can even be described as political backwardness. It could be seen as a mark of shame in Communist Party history," said Zhang Ming, an analyst from China's Renmin University.

Historian Zhang Lifan is even more devastating in his assessment. He believes the very future of the party itself is at risk.

"I once told someone in the party, 'if your party is to fail one day, when they look for the reason of their failure, this period would be a main part,'" he said.

Certainly it has been a tumultuous year. The veil of secrecy around the party itself has been lifted, with reports of rifts and infighting. The purge of party power broker, Bo Xilai, sparked China's biggest political scandal in decades.

Bo, once party chief of the massive metropolis of Chongqing, is now in disgrace awaiting trial. His wife, Gu Kailai, is in prison, convicted of murdering a British business associate.

The case of human rights campaigner Chen Guangcheng made global headlines. The blind activist escaped house arrest and took refuge in the U.S Embassy in Beijing, before fleeing to America where he now lives with his family.

China is treading many fault lines: a widening gap between rich and poor, rising unrest about everything from pollution to land seizures, and a slowing economy that some say is in need of serious reform.

To some China watchers, Xi is going to need to be a traitor to his own class if he is to succeed. Critics say the party and China's elite have lost touch with the people and are facing a crisis of legitimacy. But others warn against looking to Xi for radical change -- as first and foremost he is a son of the party.

"He is part of a consensus to keep the Communist Party as the only ruling party. Any so-called liberty must only be on the condition of the survival of a one-party dictatorship," said historian Zhang.

What happens in China no longer stays in China. In a world still mired in economic crisis, China is an engine of growth. As the Chinese economy slows, alarm bells sound.

China is also rattling nations in its own region. Territorial disputes with the likes of Japan and the Philippines have made China's neighbors nervous.

Meanwhile, the U.S. is pivoting its geo-strategic policy away from the wars in Iraq and Afghanistan to east Asia, strengthening key alliances and even boosting its military presence in the region -- much to the consternation of Beijing.

Internal strife and external tensions -- this is the China that Xi stands to inherit. Kevin Rudd, a former Australian Prime Minister and once a diplomat in Beijing, has met Xi and says he is a man "you can do business with."

Yet Xi remains largely unknowable, a man who could disappear without explanation.

@highlight

China preparing to bring in its next generation of leaders at its party congress

@highlight

Mike Chinoy: Xi Jinping is in many ways an unknown commodity

@highlight

Modern Chinese Communist Party is run by a small collective

@highlight

Xi will face slowing economy, internal friction and regional disputes