Washington (CNN) -- U.S. Ambassador to the United Nations Susan Rice is leading a U.S. delegation to Juba for Saturday's ceremonies marking the independence of South Sudan, the White House said Wednesday.

Members of the delegation will include Rep. Donald M. Payne, D-New Jersey and ranking member of the House Foreign Affairs Subcommittee on Africa, Global Health, and Human Rights; former Secretary of State Colin L. Powell; Assistant Secretary of State for the Bureau of African Affairs Johnnie Carson; U.S. Special Envoy to Sudan Princeton N. Lyman; Deputy National Security Adviser Brooke Anderson; Donald K. Steinberg, deputy administrator of the U.S. Agency for International Development; Gen. Carter F. Ham, commander of United States Africa Command; R. Barrie Walkley, U.S. consul general in Juba; and Ken Hackett, president of Catholic Relief Services.

Two senior administration officials said they expected the Obama administration to announce its intention to name an ambassador to the new nation.

Lyman has already traveled to the region to foster a smooth transition between the two countries. He is visiting Addis Ababa, Ethiopia, and is expected to join former South African President Thabo Mbeki in support of ongoing talks between officials in Khartoum, Sudan, and Juba -- a fast-growing city soon to become South Sudan's new capital.

The two men are expected to lend support to a peace agreement that ended Sudan's second civil war, and help moderate potential conflicts over resource sharing, disputed border areas and citizenship matters, the State Department said.

Lyman is expected to travel to Khartoum for meetings with senior Sudanese officials, the statement said, and then to Juba to attend South Sudan's independence ceremony.

The flurry of U.S. diplomatic activity comes as satellite images released Wednesday reveal a heavy north Sudanese military presence in an oil-rich border region.

Images from the U.S.-based Satellite Sentinel Project showed an apparent Sudan Armed Forces (SAF) convoy of "significant size" traveling through the town of Kadugli.

The monitoring group, started by actor George Clooney, said the convoy was 2 kilometers in length and included about 1,000 troops and heavy trucks carrying artillery.

"Less than a week after signing yet another agreement, the Sudanese regime appears to be ignoring its commitment, holding to form, and positioning military assets for intensified offensive operations," said John Prendergast, co-founder of the Enough Project, which aims to end genocide and war crimes.

"This cycle will continue to be played out with increasingly destructive results for Sudanese civilians until the international community stiffens its spine and imposes swift and severe repercussions for the endless cycle of violence the Khartoum regime continues to fuel."

The Satellite Sentinel Project combines satellite imagery analysis and field reports with mapping technology in hopes of deterring the resumption of the bloody and bitter civil war north and south fought for decades.

The monitoring group said fighting between the Sudanese forces and the south's Sudan People's Liberation Army has been reported in the city of Kadugli in the past week.

Southerners voted for independence in a January referendum, and with the scheduled July 9 date of separation looming, many fear an escalation of bloodshed could bring both sides back to the brink of full-scale war.

Violence erupted two months ago along the contested border area of Abyei and subsequently in South Kordofan, a state that lies north of the border but where many people, especially in the Nuba Mountains, are allied with the south.

Thousands of people were displaced from their homes, and many fear that, after strict borders go into place with independence, they will not be able to return home.

"South Sudan will be born into crisis," predicted Susan Purdin, who oversees International Rescue Committee aid programs in South Sudan.

"Widening violence is triggering more displacement, threatening the lives of vulnerable civilians and hampering access to communities in need while an existing humanitarian emergency grows worse," she said.

Critical issues -- including oil and the final status of Abyei -- remain unresolved.

State Department spokeswoman Victoria Nuland said the United States applauded talks between north and south but remained concerned about the unresolved matters.

"The United States also calls on the parties to end the fighting in Southern Kordofan, and to facilitate unfettered access for aid workers to deliver humanitarian assistance to innocent civilians affected by the conflict," Nuland said.

Discussions are under way on how to shape the post-independence U.N. mission in South Sudan, created in 2005 with a peacekeeping mandate. Secretary of State Hillary Clinton has intervened in pushing the parties to accept U.N. peacekeepers.

And the United Nations Security Council will meet next week to discuss whether to recommend a new member state's entry into the global body.

Peter Wittig, the U.N. ambassador of Germany, which holds the rotating Security Council presidency this month, said council members will meet July 13 to talk about U.N. admission. If granted, South Sudan would become the first state since Montenegro in 2006 to become a U.N. member.

CNN's Jill Dougherty, Moni Basu and Nima Elbagir contributed to this report.

@highlight

South Sudan is set to gain independence on Saturday

@highlight

U.S. Ambassador to the United Nations Susan Rice is leading a U.S. delegation for the ceremony

@highlight

The north and south fought a decades-long civil war

@highlight

New satellite images show a Sudanese military presence in South Kordofa