(CNN) -- As the U.S. partial government shutdown continues into almost a third week, the stakes are growing. Of upmost concern is not a lengthy closure of the federal bureaucracy, but that Washington could default on its debt around October 17, unless the debt limit is raised by Congress.

The impact of default could be catastrophic, and not just economically. As Secretary of State John Kerry asserts, this would send a message "of political silliness" that we "can't get our own act together" so we need to "get back on a track the world will respect."

In other words, the country's reputation as a responsible international power, both in terms of domestic and foreign policy, is being undermined. Recognizing the gravity of the situation, President Barack Obama cancelled his important week-long trip to Asia to try to secure a breakthrough.

Internationally, the spectacle of what is perceived as Washington's growing political dysfunction in recent years is as bemusing as it is alarming. And, according to some data, this is a driver behind a decline in the country's international reputation.

For instance, the 2012-2013 FutureBrand Country Index shows a continued fall in the international ranking of the United States compared to other nations. Based on a sample of about 3,600 people in 18 countries, it concludes that the country is "in decline," partly because of "successive fiscal crises."

This builds on earlier studies by the organization, including in 2011-12 which highlighted "intensified speculation about America's long-term stability," partly as a result of the downgrade by Standard & Poor's of the country's credit rating. This was prompted by the last near debt default of Washington in 2011.

These findings on the U.S.'s reputation are echoed by the 2013 BBC Country Rating Survey, which interviewed about 26,000 people in 25 countries, and also the 2013 Pew Global Study based on a sample of about 37,600 in 39 countries. The BBC poll recorded a fall in positive views towards America for a second consecutive year, while the Pew survey found that pro-U.S. sentiment is slipping, after a strong bounce following Obama's election in 2008.

To be sure, the scale of reputational damage is not -- currently -- as serious as that which faced the country during the previous Bush administration. For much of that period, surveys indicated profound international concern with U.S. foreign and military policies. Indeed, the country's reputation had fallen to its lowest level since at least the Vietnam War.

Then, as now, however, the country retains attractive qualities for many foreigners, including its popular culture and economic innovation. And the fact remains that, in times of major urgency, Washington can transcend partisan divisions and work in the national interest.

This was demonstrated, for instance, during the 2008-9 financial crisis when Congress and the administration acted more swiftly and comprehensively than many other countries to counteract the worst economic turmoil since at least the 1930s. This has been key in enabling the country to recover more quickly from recession than some other areas of the world.

While current problems should therefore be put into context, the situation is nonetheless troubling. And this is not the first time this year that a Washington political impasse has threatened negative economic repercussions.

Only at the 11th hour did Congress in January agree a deal to prevent the U.S. falling off the "fiscal cliff." It is estimated that the automatic tax increases and spending cuts might well have taken the U.S. economy back into recession.

At the core of the current troubles is not just growing polarization between Democrats and Republicans, but significant intra-party divisions too. This is especially so between moderate and right-wing Republicans (and the Tea Party faction).

Thus, although House Speaker John Boehner, the Republican leader in the House of Representatives, has pledged that Washington will not default, his efforts are being undercut by more conservative colleagues. He may therefore have to rely on Democratic votes to secure approval for raising the debt ceiling in the House.

Political infighting looks likely to only intensify in the build-up to next year's congressional elections. This threatens key reforms on the horizon, including an immigration overhaul, which is of interest to many internationally.

The perception, in many foreign capitals, is that growing partisanship is also infecting U.S. foreign policy. And, this is feeding angst over the reliability of Washington as an international partner, as has been vocalized in recent days by several countries, including China, Japan and Mexico.

Already this month, Obama has lost the opportunity to advance the Trans-Pacific Partnership trade deal as a result of the cancellation of his Asia trip. Meanwhile, U.S. trade officials were forced to postpone second-round negotiations with Brussels over the proposed Trans-Atlantic Trade and Investment Partnership.

The gravity of this reputational issue for U.S. foreign relations was recently acknowledged by two former defence secretaries. Republican Donald Rumsfeld asserted that "lack of leadership is sending a signal around the world that the United States is in decline, that that we're withdrawing, that we as a country are not going to behave in a rational manner." Meanwhile, Democrat Leon Panetta bemoaned that by "governing by crisis after crisis after crisis...the world will view the United States as less able to back its word with power."

Looking ahead this month, it remains most likely that a deal will be done before October 17 to raise the debt limit. And some scholars believe Obama has the constitutional power to raise the ceiling without congressional approval, a claim that the White House has so far rejected.

With uncertainty growing, the only sure thing is that default would send seismic economic and political shockwaves across the globe. This would not just further undermine the U.S.'s reputation as a responsible international power, but potentially send it into freefall again.

The opinions expressed in this commentary are solely those of Andrew Hammond.

@highlight

Impact of U.S. default would send out global economic and political shockwaves

@highlight

U.S. reputation as responsible power would be undermined

@highlight

Internationally, pro-American views appear already to be sliding

@highlight

There's a perception in many capitals that domestic partisanship is infecting U.S. foreign policy