Last week, millions of Americans stood up against the Stop Online Piracy Act and the Senate's related anti-piracy bill. Given the public outcry, it is not surprising that all four Republican presidential candidates have come out against them.

But online censorship in the name of fighting piracy is only one of many issues affecting Americans' digital freedom. Americans who care about their online freedoms should also be asking tough questions about the government's expanding surveillance powers.

As we grow increasingly dependent on the Internet and cell phones for all aspects of our lives, government abuse of citizens' privacy requires the cooperation of the private sector. This includes companies running our Internet and wireless service providers, e-mail, and social networking services, as well as manufacturers of the devices we use to connect.

Google's announcement earlier this week that it will integrate user information across its search engine, Gmail, YouTube and its 57 other services stirred criticism from privacy groups and some members of Congress. People have good reason to be unhappy about losing control over who and what services know what about them. But that is far from the only way in which we are losing control.

Under two successive administrations, new laws, policies and corporate practices have made it much easier for government agencies to track and access citizens' private digital communications from their storage "in the cloud" than it is for agents to search or monitor our physical homes, offices, vehicles, and mail. 

The erosion of privacy rights under the Fourth Amendment, written to protect us against unreasonable search and seizure, began in earnest under President George W. Bush. The Patriot Act, passed overwhelmingly but hastily after 9/11, allows the FBI to obtain telecommunication, financial, and credit records without a court order. Moreover, the Foreign Intelligence Surveillance Act's 2008 amendment act grants U.S. companies immunity from being sued by their customers when they comply even with blatantly illegal government surveillance requests.

As a presidential candidate in 2008, Barack Obama pledged to reform the Patriot Act and rescind the FISA Amendments Act, but as president he reversed his position. The Obama administration has fought bipartisan efforts in Congress to bring the change he once championed. 

The result is the "new normal": surveillance, often of questionable legality and sometimes clear illegality, against which Americans have little effective recourse, on the rare occasions that we even know that violations are taking place.

Most of what we do know is thanks to whistle-blowers, activists, academics and a few committed journalists. In 2004, Mark Klein, a technician who had just retired from AT&T, disclosed that in 2003 the National Security Agency built a secret room at the San Francisco facility where he worked, routing all e-mail and phone traffic through it. 

Another whistle-blower, Justice Department attorney Thomas Tamm, confirmed that similar interception points were set up around the country to gather and analyze the e-mails and phone calls of Americans who were not suspected of any crime. 

While the federal government is required by law to document publicly its wiretapping of phone lines, it is not required to do so with Internet communications. Over 50,000 National Security Letters, a kind of administrative demand letter requiring no probable cause or judicial oversight, are issued each year. Yet we know few details. Companies complying with these secret letters were barred from even informing customers about them until 2009 when Nick Merrill, an entrepreneur who ran a small New York-based Internet service company, successfully enlisted the help of the ACLU in challenging a blanket gag provision of the Patriot Act.

Last year, the Electronic Frontier Foundation published a report analyzing the FBI's use of National Security Letters from 2001 to 2008, concluding that the FBI might have violated the law as many as 40,000 times during that period. In many cases the companies involved -- including phone companies, Internet service providers, financial institutions, and credit agencies -- "contributed in some way to the FBI's unauthorized receipt of personal information."

In the Internet age, it is inevitable that corporations and government agencies will have access to detailed information about people's lives. We willingly share personal information with companies for the convenience of using their products. We accept that a certain amount of surveillance is necessary in order to protect innocent people from crime and terror. But as a nation we have failed to address the resulting dilemma: How do we prevent the abuse of the power we have willingly delegated to government and companies?

If anything is clear from the political arguments raging throughout the country, it is that Americans worry, with good reason, about manipulation and abuse by both the private and the public sector. 

The Republican primary field is not unified on how to handle surveillance: Romney and Gingrich advocate expanding the Patriot Act's surveillance powers. Ron Paul would repeal it.

In Congress, debates about surveillance cross party lines. The Patriot Act and FISA Amendments Act have staunch supporters as well as fierce opponents among Republicans, Democrats, and independents. The Cyber Intelligence Sharing and Protection Act of 2011, which exempts companies from liability for sharing data with the government, is one of several bills introduced in Congress last year that civil liberties groups -- and in this case even the White House -- warn will lead to further erosion of consumer privacy.

The advent of the Internet does not change a bedrock truth upon which our nation was founded: The survival of American democracy depends as much on the defense of liberty as it does on the defense of our physical security. Those two ideals always have been and always will be in tension; but without a healthy balance between them -- online as well as offline -- we cannot live free of fear.

Fortunately, the Supreme Court takes our Fourth Amendment rights seriously -- even when the executive and legislative branches of our government fail to do so -- as demonstrated by Monday's unanimous ruling that these rights were violated when police secretly planted GPS devices on a suspect's vehicle without a court order.  

Rather than waiting for the Supreme Court to reverse bad law and unconstitutional law enforcement, however, Americans can exercise their power through the ballot box to prevent violations from happening in the first place.

In 2012, the American people rightly expect presidential and congressional candidates to explain how they plan to protect us from crime and terror. In the Internet age, that inevitably requires some degree of surveillance. Yet it is equally vital we demand a clear vision of how they will protect us from abuses of government surveillance power through the corporate-run digital platforms upon which we are increasingly dependent.

Follow CNN Opinion on Twitter.

Join the conversation on Facebook.

@highlight

Rebecca MacKinnon:  Government's surveillance powers have expanded

@highlight

She says government and companies can spy on our digital communications

@highlight

FBI can get records without court orders, she writes; companies can't be sued

@highlight

We need to protect our security, she says, but also defend our privacy rights