(CNN)Home to a gorgeous coastline, ancient cities and lush countryside, Sri Lanka is also slowly healing from the wounds of war.

But with a steadily improving infrastructure, this tiny emerald-shaped island is on the rise.

Here are five essential experiences and destinations.

1. Riding the rails

One of the easiest ways to get around the country -- not to mention the cheapest -- is via Sri Lanka's rail network.

It stretches across some of the country's most scenic landscapes, from tea gardens and paddy fields to that famed coastline.

Three of the most photogenic routes are from Colombo to Kandy, from Kandy to the tea estates of Ella and from Colombo to Galle.

Sri Lanka has two competing high-end rail services, Expo Rail and the Rajadhani Express.

Both are first-class carriages run by private operators attached to regular trains run by Sri Lanka Railways.

Rajadhani Express trains can be found on three routes that run on two major Sri Lanka rail lines.

ExpoRail serves more than 60 destinations on four different routes.

2. Walking tour of Pettah, Colombo

Pettah is one of the most famous neighborhoods in Colombo, known for its historic buildings and markets.

A great place to start your tour of this historic area is the Pettah Market on Main Street, a hotbed of Sinhalese, Tamil and Muslim merchants.

It's one of the most important trading centers in Colombo, selling everything from spices and dried fish to textiles.

From here, you can head to Sea Street for gem shopping. South of the old Town Hall, vendors sell vegetables and fruits.

While in the area, it's worth paying a visit to the impressive Wolfendaal Church, built in 1749, and the historic Jami Ul Alfar Mosque, built in 1909.

3. Golden Temple of Dambulla

The simplicity of its façade is a false tell -- Sri Lanka's Dambulla cave temple -- also known as the Golden Temple of Dambulla -- contains wonderful painted murals and ancient artifacts.

A UNESCO World Heritage Site, this rock temple complex dates back to the 1st century BC. Towering more than 160 meters, the complex houses five main shrines.

In the second cave, known as the temple of the great kings, you'll find the most impressive and biggest of all five.

Built by Vattagamini Abhaya, it houses many Buddha statues in varying positions as well as deities from the Hindu pantheon.

At the top of the complex visitors can watch the sun setting over the countryside.

Coupling the trip to Dambulla cave with a visit to the nearby ancient city of Sigiriya makes for a spectacular experience.

The best way to do this is to base yourself in the central Sri Lankan city of Kandy, 70 kilometers from Dambulla.

For hotels, you can't go wrong with the chic Kandy House (Thekandyhouse.com, Amunugama Waluwa, Gunnepana, +94 81 492 1394; rooms from $225).

4. Glamorous Galle

The beautiful town of Galle was built around the 16th century by the Portuguese.

A major trading post on the spice trade route, it also shifted hands between the Dutch and English.

Today, it's a delight to walk or cycle around, its quaint streets strewn with old warehouses, churches, boutiques and beautiful homes.

Galle Fort occupies roughly 130 acres.

You can start your exploration with a walk around the fort wall, moving on to the National Maritime Museum just opposite the post office.

Galle has some fabulous restored historic hotels.

It's worth spending a night or two, as you get a real sense of the place when the daily tour buses leave.

One of the best properties in town is Galle Fort Hotel (28 Church St., Galle Fort, Southern Province; +94 91 223 2870).

From a weather standpoint, December to April is the best time to visit Galle.

5. Beach hopping

With its 1,340-kilometer coastline, Sri Lanka doesn't make things easy for those trying to decide which beach to bum on.

First there's Unawatuna, famed for its golden sand.

It's one of the busiest beaches in Sri Lanka, dotted with shacks, restaurants and hotels for every budget.

Among these is French Lotus (Yaheddimulla Road, Unawatuna, Gall; +94 77 152 28 67; rooms from $38), a modest colonial house with cheap rates.

For surfers, the waters of Ahangama have the best waves in Sri Lanka.

There are many surf schools as well as rental shops across from the beach.

Lapoint Surf Camp, situated just opposite the Ahangama beach, is renowned among surfers.

Guests stay in an ocean-side villa, while the camp offers surfing lessons for all levels.

Seven-day packages start from $443.

Secluded on the southernmost tip of Sri Lanka you'll find the most fabulous stretch of off-white sand and azure water in the country -- Tangalle.

Yet to be hit by mass tourism, it's a rare piece of paradise.

Among recommended hotels in Tangalle: the luxurious Amanwella (Boddhi Mawatha, Wella Wathuara, Godellawela, Tangalle; +94 47 224 1333; suites from $600) with its private beach and modern suites.

For whale and dolphin watching expeditions there's Mirrisa beach. But you'll first have to face a three-hour boat ride through rough waters.

Raja & the Whales (+94 77 695 3452; tours from $43 per person) is one of the most responsible tour operators running whale watching trips.

@highlight

Sri Lanka is home to historic cities, ancient religious relics and beautiful beaches

@highlight

The Pettah Market is one of the most important trading centers in Colombo

@highlight

Sri Lanka's 1,340-kilometer-long coastline is filled with beaches to suit various tastes