Hamas and Israel blamed one another for the lack of a cease-fire in a conflict that has left more than 1,200 people dead, raising questions about just what it will take to end the fighting in Gaza.

The violence continued Wednesday morning, when Israeli forces shelled the Abu Hussein School in northern Gaza and killed at least 20 people, the Palestinian Health Ministry said.

The Israeli military said they are looking into the incident.

International efforts to broker a deal to end the violence failed again Tuesday, with Hamas rejecting a cease-fire proposal put forward by the Palestinian Authority that called for a 24-hour truce that could be extended to 72 hours. Hamas maintains that any deal must include an end to Israel's blockade of Gaza.

Israeli Prime Minister Benjamin Netanyahu has said any truce must allow for its protection against tunnels used by Palestinian militants in Gaza to make their way into Israel.

"Hamas is responsible for all deaths on their side and on our side because they are the ones who kept this conflict going," Mark Regev, a spokesman for Netanyahu, told CNN.

"People are fighting and people are dying because Hamas said no to a cease-fire."

Israel is "ready for a period of sustained peace and security" Regev said earlier in the day on CNN. But he asserted that Hamas has consistently rejected truces and an Egyptian initiative for a cease-fire put forth this month.

On Hamas-run television, Mohammed Deif, chief of the group's military wing, said that "there is no middle ground" regarding a truce until Israel ends its "siege" of Gaza.

"The Israeli enemy will not have security as long as we don't have security for our people," he said.

Hamas wants Israel to lift a blockade it began on Gaza in 2007, a move Israel has said was necessary to stop Hamas and other allied militant group from bringing weapons into Gaza. But Israel has been under fire for sealing the borders, with aid groups saying the blockade has cut off basic supplies and created a humanitarian crisis.

Deaths mount as fighting rages

While leaders continued to talk, the lights in Gaza flickered on and off in many homes after its only power plant was hit.

Palestinian officials blamed an Israeli airstrike. But Israel said the power plant was not a target.

At least 40% of Gaza's fuel had been burned by early Tuesday, according to Fathi al-Sheikh Khalil, deputy chairman of the Palestinian Energy Natural Resources Authority in Gaza. The plant will have to be reconstructed and will not operate as it did for at least a year, he said.

"We cannot supply electricity" for hospitals, sewage treatment or domestic use, he said. "This is a disaster."

Hamas-run television reported early Tuesday that Israeli strikes hit the Ministry of Finance in western Gaza and the house of Ismail Haniyeh, a senior political leader of Hamas. A radio station run by Hamas was bombed.

At least 1,242 people in Gaza have died and more than 7,000 have been wounded since the conflict between Israel and Hamas began, the Palestinian Ministry of Health in Gaza said.

The number of militants killed is unclear, but the United Nations estimates that 70% to 80% of the dead are civilians.

Fifty-three Israeli soldiers have died since Operation Protective Edge began July 8, according to the Israel Defense Forces. Three civilians have been killed in Israel as well.

'Underlying kinds of issues'

In Washington, U.S. Secretary of State John Kerry defended the Obama administration's efforts to seek a cease-fire and sloughed off strong Israeli public criticism of his initiative.

He also said Netanyahu "consistently said he would embrace a cease-fire that permits Israel to protect itself against the tunnels" used by Palestinian militants in Gaza.

"We are working very carefully, and I think thoughtfully, with our Israeli friends in order to be able to find a way to reduce the civilian loss of life, to prevent this from spiraling downwards into a place from which, you know, both sides have difficulty finding a way forward in order to address the underlying kinds of issues," Kerry said.

The official Palestinian news agency WAFA reported that Palestinian leadership in the West Bank was offering a 24-hour truce, which could be extended to 72 hours, and that the idea had support from Hamas and Islamic Jihad, another militant group in Gaza.

But Sami Abu Zuhri, a Hamas spokesman in Gaza, said the WAFA report was not true and "not related to the resistance," which "speaks for itself."

When Hamas gets a guarantee from Israel for "international mediation regarding a humanitarian pause, then we can consider it," he said on Hamas TV.

Israel repeatedly has condemned Hamas for rejecting an Egyptian proposal for a cease-fire that Israel agreed to earlier this month. Some temporary cease-fires have taken place throughout the conflict, with each side quickly accusing the other of violating the pauses in shooting.

Refugee camp hit, 'terror sites' targeted

The Jabaliya refugee camp in northern Gaza was shelled Tuesday, Hamas said. A medical official said more than 10 people were killed.

"Witnesses have told paramedics that entire families are still buried under the rubble," said al-Qidra, the spokesman for the Gaza Health Ministry.

Meanwhile, Israel reported that five people were seen emerging from a tunnel shaft in Gaza. They fired at Israeli troops, who "responded and engaged the perpetrators," the IDF said. "In addition, forces uncovered ammunition which included AK-47 assault rifles, machine guns and explosive devices. Since midnight, the IDF targeted over 110 terror sites."

Israel has uncovered 32 tunnels used by Hamas to smuggle weapons and launch attacks, Israel Defense Forces said.

Hamas has an estimated 10,000 rockets, more than a quarter of which have been fired into Israel in the past few weeks, the IDF said.

A cache of rockets was discovered at a U.N.-operated school in central Gaza that was closed for the summer, according to the United Nations Relief and Works Agency. The school was not being used as a shelter, it said.

The rockets were discovered Tuesday during a regular UNRWA inspection, the agency said. It's the third time the rockets have been discovered at a closed school in Gaza.

"Because of fighting in the vicinity of the school we have been unable to get a U.N. munitions expert to the school, but we hope to do as soon as the security conditions allow," Chris Gunness of the UNRWA said.

Inside a Hamas tunnel

What is Hamas' endgame in Gaza?

What is Israel's endgame in Gaza?

Opinion: Gaza peace struggle drains me of hope

@highlight

Palestinian official: Israeli forces shelled a school Wednesday, killing 20

@highlight

1,242 people have died in Gaza; the UN estimates at least 70% are civilian

@highlight

"Hamas is responsible for all deaths," Netanyahu's spokesman tells CNN

@highlight

Hamas says truce must include an end to Israel's blockade of Gaza