As the bloody battles pushed up tragic death tolls on both sides, world powers held a flurry of diplomatic meetings Wednesday aimed at halting the fighting in Gaza.

U.S. Secretary of State John Kerry met with Israeli and Palestinian leaders as well as U.N. Secretary-General Ban Ki-moon, while several Middle Eastern nations worked to try to win Hamas' agreement for an Egyptian-led cease-fire.

But perhaps the most powerful message came from a woman whose son's death played a role in sparking the current fighting.

"Your children and our children -- nobody should really go through what we're going through now," said Rachel Fraenkel, whose son Naftali was among three Jewish teens kidnapped and killed on the way home from school in the West Bank last month.  Israel blamed Hamas.  Later, a Palestinian teen was killed in what Israel calls a revenge attack. Israel has indicted an adult and two minors for the killing.

The Fraenkels are American citizens.  Yishai Fraenkel, Naftali's uncle, works to bring Palestinians into Israel's high-tech sector.

Rachel Fraenkel met with Kerry on Wednesday.  Afterward, speaking to media, she said, "I just want to turn to Palestinian parents and say maybe you can stop Hamas from using you as human shields and your death as propaganda."

"I promise the Palestinian parents: All we want is to live in peace and raise our children without threats of missiles or tunnels under our communities," noting that an Israeli kindergarten was struck by a rocket this week -- it was empty at the time.

"Maybe we can teach our children that we want to live in peace," she said.

Some Palestinian parents visited her family after Naftali's death and they had very good conversations, she said.  "I do know decent, good Palestinian people."

Israeli Jewish families also visited the family of Mohammed Abu Khedair, the Palestinian teen killed.

Despite Fraenkel's sentiments, many Palestinian parents accuse Israel of carrying out a "massacre" -- and have called on Israelis to push the government to stop military action.

"Nobody is safe and nobody can flee anywhere because everywhere is targeted," said a mother of two who lives in the al-Remal neighborhood of Gaza City, as CNN reported Monday.  "When we hear the shelling my kids will cry."

Death tolls jump

The Gaza Health Ministry said Wednesday 695 Palestinians have been killed in the fighting, including 166 children. More than 4,500 people have been wounded, the health officials said.

It's unclear how many of the dead were civilians.  The United Nations estimates that more than 70% were. The Israeli military said 230 militants have been killed.

Palestinians have disputed Israeli and American assertions that many of the deaths are due to people choosing to be part of human shields.  While Hamas leaders have encouraged people to do so, many Palestinians have told CNN they worried that if they followed Israeli warnings and fled their homes, they'd have nowhere safe to go.

Three more Israeli soldiers were killed Wednesday, bringing the total to 32 plus three civilians. Among the soldiers, three died from friendly fire.

A Hamas mortar shell killed a foreign worker in Ashkelon on Wednesday, marking the third civilian death on the Israeli side.

Hamas has said it is holding an Israeli soldier it captured in an ambush on an armored personnel carrier Sunday. Six other IDF soldiers died in the ambush.

On Tuesday, the Israeli military released the soldier's name -- Sgt. Oren Shaul -- but said it was "working to identify his body."

Israeli media reported that Shaul was missing and presumed dead.

U.N. slams possible 'war crimes'

"There seems to be a strong possibility that international humanitarian law has been violated, in a manner that could amount to war crimes," U.N. High Commissioner for Human Rights Navi Pillay said Wednesday.

"I unequivocally reiterate to all actors in this conflict that civilians must not be targeted. It is imperative that Israel, Hamas and all Palestinian armed groups strictly abide by applicable norms of international humanitarian law and international human rights law," Pillay said.

"This entails applying the principles of distinction between civilians and combatants and between civilian objects and military objectives; proportionality; and precautions in attack. Respect for the right to life of civilians, including children, should be a foremost consideration. Not abiding by these principles may amount to war crimes and crimes against humanity."

Some Israeli officials rejected Pillay's statements about Israel. "She would be better advised to seek credible first-hand information rather than making intolerably biased statements based on newspaper clippings," Foreign Ministry spokesman Yigal Palmor said, according to The Jerusalem Post. He added that Pillay's "embarrassingly shallow and populist affirmations ... do a huge disservice to actual human rights."

Also Wednesday, Ban announced he was ordering a review of incidents where rockets were placed at United Nations Relief and Works Agency schools.

Ban "expresses his outrage, and regret, at the placing of weapons in a UN-administered school," a written statement from the U.N. said.

He demanded that militants stop endangering civilians by putting rockets at the schools.

Tunnels found, ambulances hit

The Israeli military, meanwhile, said it hit more than 187 targets overnight, and most of them were in Shaja'ia. The Israel Defense Forces has warned residents of the neighborhood to flee multiple times and has accused Hamas of telling people to remain in their homes.

An IDF force found another "terror access shaft" in Gaza on Wednesday, Israel said. Inside it were weapons, maps and IDF uniforms, "all intended for the execution of terror attacks against Israel."

The IDF also "attacked several militants emerging from a tunnel opening" in southern Gaza, Israel said. "Since the beginning of the ground operation, more than 60 access shafts leading to some 28 tunnels were uncovered."

The al-Wafa hospital, near hard-hit Shaja'ia, "is a Hamas military compound," the Israel Defense Forces said Wednesday. At Israel's request, it was evacuated of patients and staff Tuesday, though Hamas gunmen remained, firing at Israeli forces, the IDF said. Israel confirmed the evacuation with a World Health Organization official, then struck the "terror targets" at the site, the IDF said.

The Israeli military released video it said showed secondary explosions from stockpiled munitions when the hospital was hit.

Palestinian ambulances have been shelled, Gazan medics have complained. On Wednesday, the IDF said militants used one to escape the Israeli military.

The International Committee of the Red Cross prepared to go into Shaja'ia early Wednesday. The neighborhood is "partially demolished," the ICRC said.

Cease-fire possible?

Kerry shuttled between Israeli Prime Minister Benjamin Netanyahu in Tel Aviv and Palestinian Authority President Mahmoud Abbas in the West Bank on Wednesday.

Abbas' Fatah party has long controlled the Palestinian government in the West Bank, while Hamas has controlled Gaza. The two groups, which have engaged in violent battles in the past, recently announced another effort at a joint government.

Earlier Wednesday, Kerry met with U.N. Secretary-General Ban Ki-moon, who was already on the ground calling for an end to the bloodshed in Gaza.

Israel has publicly accepted Egypt's call for a cease-fire and condemned Hamas for not doing so. Hamas political leadership lives in Qatar, another country involved in efforts to achieve a cease-fire.

Hamas leader Khaled Meshaal said from Doha, Qatar, that Hamas' demand that Israel end an air, land and sea blockade of Gaza is their most important demand.

"Then we can negotiate," he said.

Turkey and Kuwait are involved as well, a Hamas official told CNN.

Can Kerry end the Gaza-Israel bloodshed?

@highlight

U.N. Secretary-General calls for militants to stop placing rockets at schools

@highlight

Mother of Israeli-American teen killed sends message to Palestinian parents

@highlight

35 killed in Israel including 32 soldiers, Israel says

@highlight

695 Palestinians killed since beginning of renewed hostilities, the Gaza Health Ministry says