(CNN) -- The showdown between the Vatican and America's largest group of Catholic nuns is expected to peak this week when group leaders will meet to determine a response to the Vatican's reprimand for the group's "radical feminist themes."

The church also demands major reforms from the nuns' group.

The Leadership Conference of Women Religious, initially surprised by the Vatican's report last month, "plans to move slowly, not rushing to judgment" when the group's 21-member board meets for three days in Washington, D.C., beginning Tuesday.

"The board will conduct its meeting in an atmosphere of prayer, contemplation and dialogue and will develop a plan to involve LCWR membership in similar processes," the group said in a statement. "We will engage in dialogue where possible and be open to the movement of the Holy Spirit. We ask your prayer for us and for the Church in this critical time."

Last month, the Congregation for the Doctrine of Faith, the Catholic church's doctrinal watchdog, did a years-long "doctrinal assessment" investigation of the group -- which represents 80% of the Catholic nuns in United States -- and found "serious doctrinal problems."

The Vatican accused the LCWR of sponsoring "certain radical feminist themes incompatible with the Catholic faith in some of the programs and presentations."

The Vatican report, made public by the U.S. Conference of Catholic Bishops, said the doctrinal assessment began in part because of the group's dissent on the Holy See's teaching on the ordination of women and human sexuality. The Catholic Church ordains only men to be priests and says sex is to be between a man and woman who are married in the eyes of the church.

While the assessment praised the social justice work of the group and other organizations such as Network and the Resources Center for Religious Life, it said the groups were "silent on the right to life from conception to natural death, a question that is part of the lively public debate about abortion and euthanasia in the United States."

Simone Campbell, a nun who's executive director of Network, a national Catholic social justice lobby in Washington, said her "hunch" is that the LCWR will put together an outline response this week to be presented to the group's full assembly during its August meeting.

"I think the results for the media will be very anticlimactic because we as Catholic sisters do things with a lot of prayer and very slowly," Campbell about this week's meeting.

"It's going to be like watching paint dry," she added in a CNN interview.

The Congregation for the Doctrine of Faith appointed Archbishop Peter Sartain of Seattle to institute the reforms. The U.S. Conference of Catholic Bishops is providing support to Sartain, and the LCWR isn't expected to publicly address the Vatican report until after this week's meeting, said Mary Ann Walsh, spokeswoman for the bishops' conference.

Nuns in various orders around the United States have been conversing about the Vatican report, and their reactions have been "surprised, stunned, shocked," Campbell said. She said the report left her feeling "as being suspect."

"For myself, the shock made me numb at first, and then I was profoundly sad that my life as a woman religious and my commitment to serving the poor would be so denigrated by the leadership of our church," Campbell said. "All we do is work for love."

For the report to say "you don't do everything," Campbell said, is "ridiculous."

"They're saying we're silent on some issues. It's not our issue. Other people do those works," Campbell said.

The report took note of public statements from the nuns that opposed the Catholic Bishops. The Leadership Conference of Women Religious and Network vocally disagreed with the Bishops' conference's position on the Affordable Care Act, which they supported and the Bishops did not.

The Congregation for the Doctrine of Faith called the current doctrinal and pastoral positions of the groups "grave and a matter of serious concern," because of the global influence of the groups.

Some observers of the church say the Leadership Conference may take a low-key position in its response and seek to defuse a confrontation.

Others such as CNN's senior Vatican analyst John Allen said the Vatican report has basically decreed that the LCWR "needs an overhaul in which it will have a tighter relationship with the bishops."

"Basically, it needs to be more obedient," said Allen, who's also a senior correspondent for the National Catholic Reporter, based in Kansas City, Missouri.

The American nuns' group could do one of three options this week: it could go along with everything the Vatican is saying; it could offer to work and negotiate with the Vatican but say "let's talk"; or it could say "we're not going to play ball and we're going to walk away," Allen said.

The last option would essentially mean "we'll disband the LCWR and let it die on the vine and go off and do our own thing," Allen said.

"That's what on the table here: How do the nuns want to respond to the crackdown that they received from the Vatican," Allen added.

He also noted how many of the group leaders are in their 60s and 70s.

"Some of them don't want to spend the last 10 years of their life engaged in negotiations with the Vatican," Allen said. "Some of them just don't want to deal with this. This will be the first opportunity where we'll be able to take the temperature of the group on where the nuns stand on this.

"One way or another, it's an important crossroads moment," he added.

For Campbell, the Vatican report doesn't pose a crisis of conscience.

"It's not affecting my conscience. It affects my sadness and heart. This life is profound and deep," Campbell said. "When politics interferes, it doesn't change the depth of the spiritual. It's annoyance. It's not an issue of conscience. We're faithful."

Campbell belongs to the Sisters of Social Service, an order based in Encino, California, and the community is meeting for the feast of the Pentecost from Sunday to Tuesday. The congregation might put together a position statement for the LCWR's assembly meeting in August, Campbell said.

"We're open to the Holy Spirit and to let the group wisdom lead us, so I have no idea" on whether on a position will be taken by the order, Campbell said. "Stay tuned."

@highlight

Leaders of a group representing 80% of U.S. Catholic nuns will meet this week

@highlight

They will address a report by the Vatican that denounces group's "radical feminist themes"

@highlight

The Vatican wants major reforms from the American nuns' group

@highlight

It'll be an "important crossroads moments" as nuns respond to Vatican "crackdown," analyst says