Washington (CNN) -- Memorial crosses erected along Utah public roads to honor fallen state highway troopers have been found unconstitutional by a federal appeals court.

A three-judge panel of the 10th Circuit U.S. Court of Appeals ruled Wednesday that the 14 large crosses would be viewed by most passing motorists as "government's endorsement of Christianity."

"We hold that these memorials have the impermissible effect of conveying to the reasonable observer the message that the state prefers or otherwise endorses a certain religion," concluded the Denver, Colorado-based court. The state of Utah and a private trooper association have the option of appealing to the U.S. Supreme Court.

A Texas-based group, American Atheists, successfully sued five years ago to have the nonprofit memorial project scrapped, and the crosses removed from public property.

At issue was whether the crosses violated the Establishment Clause of the Constitution, by having the government endorsing the Christian symbols, even if indirectly.

Although the suit went against the memorial project, the crosses were allowed to remain pending appeals in the case. They are still in place.

The Utah Highway Patrol Association in 1998 began erecting the monuments, which contain the fallen trooper's name, rank, and badge number. A picture of the officer and some biographical information is included on a separate plaque placed where the two bars of the cross meet. The state insignia is also included, which the judges in particular raised with constitutional concerns.

The service group said their main message was not religious in nature, but among other things, to serve as "a lasting reminder to UHPA members and Utah highway patrol troopers that a fellow trooper gave his life in service to this state" and to "encourage safe conduct on the highways."

While placed on public land and with the state's permission, the crosses themselves are privately owned and maintained. The state expressly noted it "neither approves or disapproves of the memorial marker."

In rejecting the crosses, the appeals court made several arguments, such as the large size and location of the crosses -- on busy public highways where motorists cannot help but notice. Other similar memorial crosses have been erected on public land such as Arlington National Cemetery to honor fallen war dead. But the judges noted those markers are generally accessible or visible only to those who expressly choose to visit them, unlike roads where citizens cannot help but see them.

The Supreme Court has in recent years taken a case-by-case approach to Establishment Clause cases. The justices in 1947 said the government needed to be "neutral" but "not an adversary" toward religion. The court has upheld legislative chaplaincies, tax exemptions for churches, and the mention of "God" on U.S. currency and in oaths of office.

At the same time, government-sponsored school prayer is banned, and limits imposed on aid to parochial schools.

The court's record on religious displays on public land is more mixed, with "context" a key criteria. The justices last year decided on free-speech grounds a small religious group could not erect a granite monument in a Utah park next to an existing Ten Commandments display, which for the time being was allowed to stay.

And this past June, the conservative majority of the court concluded a cross designed as war memorial in lonely stretch of national parkland in the California desert did not violate the constitutional separation of church and state.

In 2005, a Ten Commandments monument on the Texas statehouse grounds was allowed to stand, since it was surrounded by historical markers. But the same day Ten Commandment parchments in two Kentucky county courthouses were ruled unconstitutional, with the high court majority calling them "a governmental effort substantially to promote religion, not simply an effort primarily to reflect, historically, the secular impact of a religiously inspired document."

And some nativity scenes and menorahs placed in public parks during December have been allowed to stand, while some were ordered removed.

The 10th Circuit rejected arguments from the UHPA that many roads contain crosses or other religious symbols placed by private individuals honoring a dead relative killed in car accidents.

"The mere fact that the cross is a common symbol used in roadside memorials does not mean it is a secular symbol," said the panel. "The massive size of the crosses displayed on Utah's rights-of-way and public property unmistakably conveys a message of endorsement, proselytization, and aggrandizement of religion that is far different from the more humble spirit of small roadside crosses."

The judges also disregarded suggestions that since most of the deceased troopers were Mormon, where the Utah-based Church of Jesus Christ of Latter-Day Saints does not uses the cross as a religious symbol, the highway memorials were merely symbols of death and did not promote a a particular faith.

There was no immediate reaction to the opinion from American Atheists or the UHPA.

The case is American Atheists v. Duncan (08-4061).

@highlight

In Utah, 14 large crosses on public roads honor fallen state troopers

@highlight

An atheists' group successfully sued to have the crosses removed from public land

@highlight

A federal appeals court panel agreed in a ruling on Wednesday

@highlight

The panel said the crosses could be seen as "government endorsement of Christianity"