Late on the night of last September 11, U.S. Ambassador to Libya Christopher Stevens spoke to his deputy for the final time from the diplomatic compound in Benghazi, Libya.

"Greg, we're under attack," Stevens told Gregory Hicks.

Within hours, Stevens and three other Americans were dead, victims of an armed terrorist assault that has since become a political and foreign policy flashpoint in Washington's partisan wars.

The dramatic narrative recounted by Hicks at a six-hour Republican-led House hearing on Wednesday reflected the knowledge of a high-level insider who was in Libya that long night and was deeply involved in trying to react to events.

His efforts to determine the circumstances of the attack and muster help for those under siege in eastern Libya were later praised by his superiors and by President Barack Obama.

The step-by-step account riveted the Oversight Committee proceeding that was also marked by sharp partisan exchanges over the merits of continued congressional inquiries over the attack.

What the Obama administration has said about the Libya attack

Republicans once again accused the Obama administration of trying to cover up the fact that it was a well-orchestrated assault by militants, failing to adequately explain events to the public, and then refusing to cooperate with congressional investigators.

Democrats once again accused Republicans of using tragedy for political gain.

Hicks -- praised by Republicans as a "whistleblower" but who says he has since been effectively demoted -- was joined at the witness table by Eric Nordstrom, a former regional security officer in Libya, and Mark Thompson, the State Department's acting deputy assistant secretary for counterterrorism.

Our goal "is to get answers, declared committee chairman Rep. Darrell Issa, R-California.  "The administration, however, has not been cooperative."

Hicks described in personal detail how he missed Stevens' initial call and then reached him by cell phone as the attack unfolded in phases.

"I got the ambassador on the other end and he said, 'Greg, we're under attack.'"

He recounted the efforts of a security response team on site that drove back the attackers, and "repeated attempts" by those on the ground to enter the burning compound to try and rescue Stevens and others.

He then said that Stevens was at a hospital that was controlled by a group that he said Twitter feeds identified as leading the attack. Was it a trap to lure more Americans?

Then the worst news about his boss.

"I received a call from the prime minister of Libya. I think it's the saddest phone call I've ever had in my life. He told me that Ambassador Stevens had passed away," Hicks said.

Mother of Benghazi victim: I blame Hillary

A slow-to-evolve explanation

Oversight committee Republicans continued to go after televised remarks by U.N. Ambassador Susan Rice five days after the attack. In them, she insisted it was the result of a spontaneous demonstration over an anti-Islam film that turned violent.

GOP critics believe Rice was shielding Obama at the height of his re-election campaign during which there were times that he trumpeted U.S. successes in combating terrorism, including the death of al Qaeda leader Osama bin Laden in 2011.

Administration officials say Rice was using official talking points that relied on the best available information at the time.

Rep. Patrick McHenry, R-North Carolina, asked Hicks if there was any evidence early on that the attack was a protest.

"No, there was none," Hicks said. "I'm confident Ambassador Stevens would have reported a protest immediately if one appeared on his door."

Hicks also said an inflammatory anti-Muslim YouTube video initially cited as a cause of the alleged protest was "a non-event in Libya."

He previously insisted administration officials immediately knew the culprit was al Qaeda.

"I think everybody in the mission thought it was a terrorist attack from the beginning," Hicks told investigators in interviews before the hearings.

In fact, Hicks said during the hearing that he was told by the Libyan president soon afterward that elements with possible terror links were thought to be behind the assault.

The veteran diplomat said his "jaw dropped" and he was both "stunned" and "embarrassed" when Rice said the attack was a response to the YouTube video.

Boehner calls for White House to release Benghazi emails

Hicks also argued the U.S. military could have blunted the attack by scrambling intimidating military aircraft from Italy's Aviano Air Base -- an assertion denied by Joint Chiefs Chairman Martin Dempsey when he testified before Congress in February.

Dempsey told Congress it would take up to 20 hours to scramble the aircraft to get to Benghazi; Hicks said he believed it would take two to three hours.

"I was speaking from my perspective ... on the ground in Tripoli based on what the defense attache told me," Hicks said when asked by

Rep. Elijah Cummings of Maryland, the top Democrat on the Oversight panel, asked Hicks if he had any reason to question Dempsey's assertion.

Finally, Hicks claimed four members of the military were ready to board a plane from Tripoli to Benghazi, but were prevented from doing so by their superiors.

"How did the personnel react at being told to stand down?" asked Rep. Jason Chaffetz, R-Utah.

"They were furious," said Hicks. "I can only say, well, I will quote Lieutenant Colonel Gibson who said, 'This is the first time in my career that a diplomat has more balls than somebody in the military.'"

Pentagon officials insist the members of the military in question were told not to go to Benghazi because they were not equipped for combat, and were needed in Tripoli to care for wounded headed their way.

Analysis: State Department failed to understand dangerous situation in Benghazi

Nordstrom said in written testimony it was "inexplicable" that a followup internal State Department review ignored "the role senior department leadership played before, during, and after" the attack.

In the run-up to the hearing, Issa trickled out testimony from the witnesses in an apparent attempt to build anticipation for the session, one of several that have occurred in Congress focusing on security at the compound and the administration's response.

Committee Democrats accused Republicans of engaging in a "smear" campaign.

"What we have seen ... is a full-scale media campaign that is not designed to investigate what happened in a responsible and bipartisan way but rather a launch of unfounded accusations to smear public officials," Cummings said.

White House spokesman Jay Carney also weighed in, telling reporters that the Benghazi attack "is a subject that has from its beginning been subject to attempts to politicize it by Republicans."

He defended defended the administration has "made extraordinary efforts to work with" Congress on multiple investigations.

Four Americans killed in Benghazi: Why?

Accusation of playing politics

For its part, the State Department also accused House Republicans of playing politics with the tragedy.

"This is not sort of a collaborative process where the committee is working directly with us in trying to establish facts that would help, you know, as we look to keep our people safe overseas in a very complex environment," State Department spokesman Patrick Ventrell said on Monday.

Read the document (pdf)

Wednesday's hearing is another chapter in what has become an epic back and forth between Democrats and Republicans on Benghazi, partly stemming from Rice's televised comments.  The comments are widely believed to have cost her a likely nomination to succeed Hillary Clinton as secretary of state.

Some congressional Republicans previously sharply questioned Clinton over the administration's explanation of events and the state of security at the compound at the time of the attack.

Clinton has said that she accepted responsibility for the deaths, declaring that as secretary of state, she was "in charge of the State Department's 60,000-plus people all over the world."

In January, Clinton testified for more than five hours before the House and Senate Foreign Relations committees. In her testimony, she acknowledged a "systematic breakdown" on Benghazi and said her department was taking additional steps to increase U.S. security at diplomatic posts.

At one point at that hearing, Clinton barely controlled her anger as she responded to a lawmaker who pressed her on the administration's post-attack storyline.

Critics have questioned the validity of continued congressional scrutiny, especially Democrats, who say Republicans are only interested in discrediting the administration and hurting Clinton's chances if she were to run for president in 2016.

Former deputy chief of mission in Libya: U.S. military assets told to stand down

One Republican congressman, Ohio's Jim Jordan, used the hearing to criticize top Clinton adviser Cheryl Mills.

Hicks said he received a call from Mills, who he added was not happy that a State Department lawyer -- described by Republicans as a minder --  was excluded from a briefing on Benghazi in Libya with Hicks, a Republican congressman and others.

Hicks has been "praised by everybody who counts, the president, the secretary, everyone above him," Jordan said.  "And yet now, they're obstructing -- because he won't -- he won't help them cover this up."

But former Clinton aide Philppe Reines disputed that characterization, saying the State Department took a cooperative approach with Congress. He said in a written statement that Mills had, in fact, called Hicks to support him.

"She wanted (people on the ground in Libya) to know that no matter how far away they were from home, they weren't alone," Reines said.  "She was with them, and most importantly (Secretary Clinton) was with them."

@highlight

State Department official says he never believed the attack was a protest

@highlight

Key lawmaker says administration is not cooperating with investigation

@highlight

Rep. Elijah Cummings accuses GOP of trying to "smear" officials

@highlight

Another hearing witness said it was "inexplicable" attack review ignored key points