San Francisco (CNN) -- It's been a long time since the Bay Area's cuisine was defined by sourdough and Rice-A-Roni. Ever since Alice Waters' renowned restaurant Chez Panisse opened in Berkeley and ushered in the local food revolution, the region has become home to a growing tribe of foodies, locavores, chef groupies and ecstatic eaters that I call "foodhemians."

They don't just just worship food here, they raise grass-fed golden calves, humanely slaughter them and serve them with a side of precious.

There are a million reasons why food is big in the Bay. Here are three: 1. The high concentration of wealthy, health-conscious people. 2. A long tradition of epicureanism rooted in San Francisco's identity as a port town. But the big one is 3. Location. Northern California is a land of abundance from its wide variety of fruits and vegetables, courtesy of the Mediterranean climate, to its dungeness crabs crawling on the ocean floor.

Now imagine if the foodhemians discovered that all of those foodstuffs were free. That all they need to do is know where to look. They have. Foraging is all the rage in the Bay these days.

Part of foraging's appeal is its elegance: Find wild things that you can eat, collect them and put them in your stomach. But things like private property, naturally occurring poisons and pollutants complicate what in theory is a simple project. So a paradox was born: organizations that help you get wild. Found Fruit and Forage Oakland are two groups that offer foraging-related events.

What's wrong with Stockholm

The 60-year-old Mycological Society of San Francisco (read: "mushroom people") meets monthly and organizes occasional walks, but the most comprehensive foraging group in the Bay is ForageSF.

Of course, you can also just buy a plant identification book and take a walk.

I decided to spend $40 and go on a sea forage with Kirk Lombard, fisherman and raconteur. His sea foraging tour, offered through ForageSF, was recently named "Best Walking Tour" in San Francisco. (He also offers variations on the foraging tour that you can learn about at his website.)

Kirk is a former catch monitor for the California Department of Fish and Game, and, as my girlfriend pointed out, the only person under 70 who can wear a small brown fedora without looking like a tool. Kirk is a commercial fisherman by trade, but he also teaches landlubbers how to identify edible seaweeds, find shellfish and catch sea creatures without a rod and reel.

"Everyone says the Bay is dead, the result of urban apocalypse and that's bulls**t," says Kirk while shoving squid into a little contraption that he'll use to catch crabs. We are standing on St. Francis Jetty looking out at the Golden Gate Bridge and the sun has not yet overtaken the moon in the sky. Kirk's an entertainer as well as a fisherman. His grandparents and parents were vaudevillians and actors on Broadway, but Kirk's shtick -- and it is a bit of a shtick -- is the ocean.

Specifically, extracting creatures from it without a boat. His signature fishing method involves poking around for fish with a pole that has a six-inch line and a baited hook at the end. A practice that's aptly named "poke poling."

"One day I was casting into the water all day and getting nothing. I'd lost 60 bucks of tackle and was utterly defeated when I saw this guy walk by with a pole and bucket overflowing with fish. I thought 'no freaking way,' Kirk said. "I asked him what his secret was and he said 'Everyone fishes out there,' pointing to the water, 'but the fish are right here,' pointing to the rocky coast."

Istria is not the new Tuscany

The guy called himself 'Cambodian Stan.' He let Kirk follow him for three days until he got the swing of things. Now the poke pole is a permanent part of Kirk's repertoire.

The rest of his repertoire revolves around his encyclopedic knowledge of the creatures that live in and around the Bay. The goose barnacles, the mussels, the crabs, the rockfish. The herring, the salmon, the sardines, the eel. Especially the eel. Kirk holds the California state record for catching the largest monkey-faced eel.

We had our backs turned to the city the entire tour. Which was kind of the point. San Francisco's vast cultural and architectural riches can sometimes reduce the Bay to blue embroidery around the bottom of a window, but the sea-foraging expedition reasserts the water to its rightful place at the center of things.

Which, ultimately, might be the biggest benefit of Kirk's tour. Because the truth is, it's not advisable to eat anything caught east of the Golden Gate bridge. The water is too polluted. Kirk's methods are intended to be applied mostly up north in Marin County or south of San Francisco in Half Moon Bay. If a traveler really wants to eat fresh-caught fish and foraged goodies in San Francisco, the best place to go is one of ForageSF's wild foods dinners.

Founded in 2008 by Iso Rabins, a young bearded guy whose knack for identifying wild foodstuffs is matched only by his knack for entrepreneurship, ForageSF calls itself a "wild foods community," which means they don't just gather and distribute wild foods, they also teach classes, hold market events and host wild kitchen dinners -- a roving monthly dinner party that pops up on boats and lofts around the city.

Unlike a mushroom in the woods, ForageSF activities aren't free. Wild food walks are $30 and the underground meals are $90 a person, although they do reserve $40 seats for those who can't afford to pay full price.

The dinner I attended was held on the top floor of a nondescript building in San Francisco's part-trendy, part-sketchy SOMA neighborhood. A lone woman stood at the entrance discreetly taking tickets. As my girlfriend and I made our way up the stairs, we could hear the clink and laughter hum of revelry.

The questionable legality of these gatherings gives them a mischievous charge as do the nontraditional settings. When we finally arrived on our floor and turned the corner we found ourselves in a room the size of a city block with two tables filled with 40 people each and an exposed clawfoot tub replete with functional plumbing and a guitar pick of soap resting on the drain.

The crowd wasn't just the beards and tasteful tattoos you might expect. There were Dockers and dresses. High heels and sneakers. Wrinkles and pimples. The woman across from me worked at a bank. The woman sitting to my left was a grade school principal from a small town an hour south. Our volunteer waitress was a scientist.

Here are the things we put in our stomachs: wild porcini escargot, braised octopus with wild nettle salsa verde, wild boar scotch quail egg with champagne frisÃ©e, black cod with morel duxelles and wild New Zealand spinach, wild nettle and heirloom tomato tart, summer bean and fingerling potato salad with wild grape verjus, lemon curd with wild elderberry cream and fennel pollen sugar. That's a lot of wild.

It was delicious. It sounds pretentious. But when you learn that the escargot were found in yards around San Francisco and that the New Zealand spinach grows wild everywhere and that the morels, mushrooms and grapes were picked for free, and that the fish was line caught nearby and the boar was hunted and killed in the wild by the chef, even the skeptics have to admit it's a pretty neat feat no matter how much words like "verjus" (still don't know what it means) get your (factory-farmed) goat. Oh, and everything was local, organic and sustainable, but that's beside the point, even if, for some, it was the point.

By the end of the meal the room was rumbling with pleasure. Wine was shared. Chatter chatted. It was exactly the sort of thing you think you're missing out on when you read about San Francisco and you're not there. At this point in the night my notes got wobbly. The last thing I wrote down was, "'Blue Moon' is playing. Old people next to me smiling, obviously in love. Yes, America's economy is in trouble, but yes America is amazing."

@highlight

Foraging for local food is gaining popularity in San Francisco

@highlight

Various groups offer foraging tours for the uninitiated

@highlight

ForageSF puts on dinner parties teeming with wild foods