New York (CNN) -- When US Airways Flight 1549 ditched in the Hudson River and all of its 150 passengers and five crew members were safely rescued in January, the landing of the airplane by pilot Chesley Sullenberger was quickly proclaimed the "Miracle on the Hudson" and dominated national news for days.

A pilot who virtually grew up in airplane cockpits, writer William Langewiesche set out to analyze what happened in the five-minute flight of US Airways 1549, which lost power in both engines when it collided with a flock of Canada geese. His conclusion after writing a new book "Fly by Wire" -- there was no miracle.

"I'm sure Mr. Sullenberger himself wouldn't have used that word," Langewiesche said in an interview with CNN. "There was no miracle. There was extremely skillful flying going on and skillful engineering in the background. You can include the flight attendants and the passengers. ... There was a lot of altruism, kind of a bravery, soberness. They were not hysterical, and there was no stampeding.

"Many good things happened, but they all related to the individual strength of the people involved. That includes [Bernard] Ziegler [the designer of the aircraft], Sullenberger, [co-pilot Jeffrey] Skiles and Patrick Harten, the air traffic controller -- he was as good as it gets, offering alternatives, the backing off of alternatives, staying cool."

Langewiesche, international editor for Vanity Fair and author of six other books, was drawn to the story because it allowed him to use it as a window to tell the tale of the aircraft, the Airbus A320, a controversial plane built with digital controls that rein in pilots who exceed safe flying limits.

"Within the limits of physics and structural science," Langewiesche writes, "Ziegler and his colleagues identified the wrinkles of conventional handling and mostly ironed them out. The result in the A320 is the product of a genius -- an airplane that is ... exquisitely wrought, a delight to handle, and extraordinarily easy to fly."

It also allowed Langewiesche to describe the economic squeeze that has affected pilots as airlines have come under tremendous pressure to lower fares and reduce costs. Just one example described in the book -- Sullenberger had seen his salary cut 40 percent and his retirement pension destroyed through airline bankruptcies and cutbacks.

Sullenberger, for his part, has been critical of Langewiesche's book, saying it makes too much of the aircraft's automation. In an interview with The New York Times, Sullenberger said, "There are some situations where the automation will protect a pilot, but at the same time a highly automated airplane makes possible other types of errors, so it's a mixed blessing. And greater knowledge is required to fly a highly automated aircraft."

CNN spoke with Langewiesche this week.

CNN: What got you interested in the story?

William Langewiesche: I realized that because this airplane is the A320, which is a revolutionary plane, not just any airplane, the story of the A320 is in many ways the story of the modern airline industry of the last 20, 30 or 40 years.

CNN: How did you become a pilot?

Langewiesche: My father was a well-known aviator and writer. I got my first flying job when I was 18; I worked my way through college flying airplanes. My father was a German immigrant, an anti-Nazi who came here before the beginning of the war ... who became a test pilot for the U.S. Navy.

CNN: What's it like to fly an A320?

Langewiesche: It all relates to flight control characteristics and how the stick feels in your hand. ... The attitude or the pitch of the airplane stays where you put it, it's an airplane that responds in an extremely docile manner to the control stick when it's flown by hand. ... The airplane was very controversial in the early 1980s, especially in France. The unions really resented it; it was because of flight envelope protections that kick in when the plane goes where a normal airline pilot will never go. ... The airplane will take over, and it will override the pilot, and philosophically that's a really provocative thing to do.

CNN: Did the flight envelope protection kick in during the landing in the Hudson?

Langewiesche: It was sort of a normal flight until the challenge of the flare itself, when the nose rises just before touchdown, that was a different flare for various reasons. For one thing it was done with no power, no thrust. ... Also the landing gear was up.

So at the very end in the flare, in the last two seconds or three seconds, it went into alpha protection, it got into the protection zone. The airplane lowered its own nose. It happened so late in the flare that my gut feeling is that it was kind of irrelevant, that the inertia of the airplane was going to dominate the landing and so it probably doesn't matter.

CNN: Sullenberger's flying ability was widely praised. Was that justified?

Langewiesche: Of course, it's justified. The thing that was most important about it was the concentration he brought -- the intense concentration on what was important. Other people could have been distracted. It didn't happen in this case. He was intensely focused on making the right decision.

CNN: What was the most important decision he made?

Langewiesche: The decision he made to go into the water as opposed to trying to return to LaGuardia [Airport]. While in most simulations conducted after the fact, pilots were able to get back to the airport safely, he made the right decision. In the real world, that would have been an unacceptable crapshoot.

Obviously, calling it a miracle is silly. In a way to use the word miracle is to insult what they did -- skilled flying in an extremely competent airplane.

CNN: Why was the A320 so controversial?

Langewiesche: The role of the pilot had been downsized. And with deregulation, the salary of the pilot had been downsized. So when this technology came in it was kind of coming in in that context. That's why the French saw it as such an attack on their professional future. There had also been a global shift in the industry to two-pilot crews. The flight engineer position had been eliminated through automation.

The emotions that this airplane produced still linger. No one's going to be flying pilotless airliners anytime soon. It's technically possible, and the U.S. flies drones in Afghanistan ... but obviously that's not the future of airlines in a dense traffic world with the public aboard.

CNN: Is automation the reason for the downsizing of pilots?

Langewiesche: We're not looking at technology as the reason for the decline of pilots. It's because of deregulation. The public demands cheap tickets. There was a time, a glorious interval, when airline pilots were paid a lot of money and there was still prestige associated with the job ... but after deregulation everything changed.

CNN: How important is the pilot to safety?

Langewiesche: Pilots, of course, are central. Without the pilot, forget about it. The aircraft's not going to land itself on the Hudson River. In day-to-day operations the pilot is central to flight safety -- the relationship between that and salary is a whole different question.

CNN: Should people be concerned about the effect of the lower salaries?

Langewiesche: If you look at new pilots coming in now, these guys are as competent as the older guys, and they're being paid a lot less money. The standard correlation between how much you're paid and how good you are, I would question that.

CNN: The book quotes a National Transportation Study Board study of the most lethal 50 percent of U.S. airline accidents from 1983 through 2000. It found that 86 percent of the occupants survived. Wouldn't most people find that surprising?

Langewiesche: The problem is that the accidents that get the most attention are the ones that kill the most people -- with this one being an exception.

CNN: What advice do you have for maximizing your chances of survival?

Langewiesche: This thing we hear so repetitively -- it's actually the safety briefing on a plane, which is probably a pretty good guide to it. Where are the exits, how do the life rafts work; it's probably all a passenger needs to know. And by the way, airline accidents are very, very rare.

Let's face it, airlines are extremely safe, specifically because of the contributions of the people involved in this success story -- the pilots, the engineers, the flight controllers, the flight attendants. These are the agents of the public's safety at work.

CNN: Sullenberger has criticized your book, saying it places too much emphasis on the plane's automated systems.

Langewiesche: There's no quarrel at all. The book elevates legitimately and correctly what Mr. Sullenberger and Mr. Skiles did as pilots. ... Without those two pilots in the cockpit, doing the job they did, people would not have survived. Clearly, they were flying a fly-by-wire airplane, and that's part of the story. I never imply that, had they been flying a 737, things would have been worse. That would be highly speculative and silly. I'm writing about what did happen. There's no argument here from my side.

@highlight

The safe landing of Flight 1549 was hailed as the "Miracle on the Hudson"

@highlight

Author William Langewiesche says there was no miracle

@highlight

Author says the skill of the crew, engineering of the plane made a difference

@highlight

Langewiesche: Airbus A320 is controversial, especially with French pilots