(CNN) -- "Drop to the ground; take cover by getting under a sturdy table or other piece of furniture; and hold on until the shaking stops."

This is the official advice issued by FEMA for anyone unlucky enough to be caught in an earthquake.

But even following this advice isn't always going to be enough, particularly if you have nothing solid to shelter beneath.

This was the concern guiding Arthur Brutter and Ido Bruno when they dreamed up the earthquake-proof table -- an invention that aims to provide affordable protection to people in earthquake-prone areas of the world.

"The earthquake-proof table started when I was a student in industrial design at the Bezalel Academy of Arts and Design, Jerusalem," says co-inventor Arthur Brutter. "At the beginning I wanted a solution to help in natural disasters ... I looked at pictures of a school that was crushed in the earthquake in Haiti and they really shocked me."

The 2010 Haiti earthquake was a catastrophic event that devastated the small Caribbean island and its surrounds. Official estimates suggest that up to 200,000 people died in the destruction. After seeing photographs of the aftermath, Brutter resolved to build a product to help save lives of people trapped in structurally unsound buildings during earthquakes.

Brutter, alongside his former lecturer Ido Bruno, devised a cheap reinforced table that would be light enough for two school children to be able to lift, yet still strong enough to withstand up to one ton of pressure from above.

Brutter says that the geometries of the earthquake-proof table are designed to spread weight evenly across the table's surface, ensuring that the structure holds its shape, even when subjected to significant down-force.

The earthquake-proof table "transforms energy and absorbs it," says Brutter. "When something falls on the table it absorbs the object's energy, and debris is forced to the side." In the event of a building's collapse, the tables are also designed to form passageways through the debris to help assist in rescue efforts.

The table was initially tested by the Israeli military and is currently awaiting official approval of the world-leading Structural Engineering department of Padua University, Italy, where more tests have been carried out.

Brutter and Bruno estimate that 300 million children live in areas of the world prone to earthquakes with weak school buildings. Dr Richard Luckett, a seismologist at the British Geological Survey, says that this estimation strikes him as reasonable: "there are a lot of cities in regions where large earthquakes can be expected and many of these are in the developing world."

Since its invention last year the earthquake-proof table has been nominated for a number of awards including the Design Museum's design of the year award in London. It has also been acquired by New York's Museum of Modern Art (MoMA) for its permanent collection of architecture and design.

Bruno says the awards are nice, but what is more important is to see the product adopted broadly, and used to save lives. "It's always a good feeling to be recognised, but really it's not awards but exposure leading to the possibility of the table being used ... we want there to be no earthquakes, and we want it (the earthquake-proof table) to be used to save lives."

Monique Rivalland contributed to this story

@highlight

Israeli designers build affordable earthquake-proof table

@highlight

The new design could be valuable in schools, especially those built near geological fault lines or in developing countries

@highlight

The table is light enough for two children to lift, but sturdy enough to withstand a ton of falling debris