(CNN) -- We've come a long way since my early days as the associate medical director of the AIDS clinic at San Francisco General Hospital in the 1980s and 1990s.

By 1990, I had seen over 500 patients die from a disease that we just couldn't treat. As an infectious disease doctor, I was overcome not only by the tragic loss of life, but also by the inability to find the "magic bullet" to help prevent these deaths.

Like many of my colleagues, I devoted my time to caring for my patients and to research. I am proud to say that many of the successful antiretroviral treatments (ART) that were developed emerged from San Francisco General.

HIV/AIDS treatment was then, and remains today, a true game-changer in saving lives. In the early 1990s, we made unprecedented progress in addressing AIDS in the United States by putting people on treatment.

Yet, when I traveled to Africa in the mid-1990s, I was devastated to see what was happening there. AIDS was literally destroying an entire generation, and eroding the very foundation of many African nations. At that time, 85% of the burden of disease was in sub-Saharan Africa and less than 5% of the treatment capability was there.

That was when I realized that devoting my energies solely to international work was the natural evolution of my career. I was determined that this history of lives needlessly lost would not be repeated. We could not -- and our country has not -- turn our backs on the suffering that was right in front of us.

Today, as President Obama makes this historic trip to Africa, we are at a point where an AIDS-free generation is within sight. With the world's largest number of people living with HIV and AIDS (5.6 million), South Africa has always been on the front lines of the epidemic.

The U.S. government's response to the epidemic in South Africa began in 2003 when non-governmental organizations initiated the provision of ART.  In October 2009, the tide truly began to turn when South African President Jacob Zuma declared: "We need to move with urgency and purpose to confront this enormous challenge ... Most importantly, all South Africans need to know their HIV status, and be informed of the treatment options available to them."

The South African government, with support from the U.S. President's Emergency Plan for AIDS Relief (PEPFAR) and the Global Fund to Fight AIDS, Tuberculosis (TB) and Malaria, has saved hundreds of thousands of South African lives.

To date, we have joined forces to provide 7 million South Africans with HIV testing and counseling, conducted over 170,000 voluntary medical male circumcisions for HIV prevention, and supported more than 1.6 million on ART. And South Africa has reduced the rate of mother-to-child transmission of HIV at six weeks of life dramatically -- from 8.7% in 2008 to 2.7% in 2011.

PEPFAR has invested $3.7 billion in supporting South Africa's HIV/AIDS efforts. As South Africa's battle against AIDS has evolved, so has PEPFAR's support. Last year, we signed an agreement to make our partnership based on co-investment, showcasing South Africa's leadership in caring for and treating its own people.

As U.S. funding shifts increasingly to HIV prevention, health systems strengthening and technical support -- South Africa is expanding its own investments in the care and treatment of HIV and TB. With the South African government in the lead -- coordinating planning and alignment of implementation with PEPFAR, the Global Fund, and other development partners -- will we see reduced costs and increased access to health and social services.

These new partnerships with high-burden countries, forged by the Obama administration, have been a driving force in our collective push to achieve an AIDS-free generation. They allow PEPFAR to invest its resources where they are most needed -- in those countries whose governments do not yet have the capacity to provide critical services for their citizens.

Last week, I attended a 10th anniversary celebration of PEPFAR with U.S. Secretary of State John Kerry, at which he announced that the one-millionth baby will be born HIV-free this month, thanks to PEPFAR. One million babies in 10 years.

Today, I am proud to stand with President Barack Obama and Archbishop Desmond Tutu at one of the pioneering youth and HIV centers in Cape Town. Thanks to the dedication of President George W. Bush, President Obama and bipartisan support from the U.S. Congress -- what a difference a decade has made.

Join us on Facebook/CNNOpinion.

The opinions expressed in this commentary are solely those of Eric P. Goosby.

@highlight

HIV/AIDS treatment has come a long way in a decade, Goosby says

@highlight

South Africa has been on the front lines of the epidemic, he says

@highlight

PEPFAR has invested $3.7 billion in supporting South Africa's HIV/AIDS efforts