Hong Kong (CNN) -- After his father's death, a young prince, driven by suspicion, kills his uncle in a web of political intrigue.

Sound familiar?

The classic Shakespearean drama "Hamlet" is scheduled for a performance in North Korea in September 2015 by the Globe Theatre as part of a two-year tour to perform in every country.

The parallels of staging a drama about an epic family power struggle in Pyongyang, where the country's young leader Kim Jong Un had his uncle, Jang Song Thaek executed has raised a few eyebrows -- especially from human rights groups.

Jang was considered instrumental in Kim's rise to power, but Kim turned his back on his uncle in spectacular fashion late last year as Jang was branded "a traitor for all ages" and executed on charges that he had attempted to overthrow the government.

Human rights criticism

"If the Globe Theatre goes to North Korea, they should read up on the reality of the country before they get there," said Niall Couper, a spokesperson for Amnesty International.

North Korea's human rights record came under heavy scrutiny last month in a 400-page UN Commission of Inquiry report that called the country's stunning catalog of torture and abuse as lacking "any parallel in the contemporary world."

"No tragic play could come close to the misery that the 100,000 people trapped in the country's prison camps endure -- where torture, rape, starvation and execution are everyday occurrences," Couper said.

The Globe defended its decision to visit the country saying that "a policy of inclusion, rather than exclusion, is more true to the spirit of Shakespeare."

Called a Globe to Globe Hamlet tour, the group intends to travel to all seven continents -- irrespective of political situations. The troupe also plans to visit Syria, Afghanistan, the Central African Republic and Somalia in "its most ambitious tour yet."

Shakespeare a "force for good"

"We have always believed that cultural communication, and different peoples talking to each other through art, is a force for good in the world. In every country, we are going for one single and simple purpose: to play Hamlet there," a statement released by the London-based theater said.

Its "Hamlet" production is described as a "fresh, pared-down version" that lasts two hours and 40 minutes, with 12 actors and four stage managers using a portable stage.

The theater stated that "Hamlet" was first written when England was weathering internal tensions, repression and violence.

"Like all the best works of art, 'Hamlet' instigates discussion and dialogue, and like any theatre, we wish to play to, and interact with, as many people as we possibly can, in as diverse a range of locations as possible. We do not believe that anyone should be excluded from the chance to experience this play," according to its statement.

The theater group is not the first to get blasted by human rights groups for performing in North Korea.

Dennis Rodman, former NBA player, came under blistering criticism for holding a basketball exhibition and singing "Happy Birthday" to Kim Jong Un. In 2008, the New York Philarmonic held a controversial concert in Pyongyang, which was aired on North Korea's state-run TV and radio.

The lessons of "Hamlet" may not extend to the young North Korean leader, said Amnesty's spokesperson.

"There's a dark irony in the fact that Hamlet focuses on a prince wrestling with his conscience," Couper said. "Kim Jong Un is no Hamlet. Sadly he shows no sign of wrestling with his conscience."

@highlight

Globe Theatre plans a two-year tour of "Hamlet" to every country in the world

@highlight

Plans to perform in North Korea draws criticism from Amnesty International

@highlight

Parallels made to "Hamlet" and North Korea's leadership situation