HAMILTON, Bermuda (CNN) -- The Obama administration's agreement with Bermuda to settle four Uyghurs from Guantanamo Bay, Cuba, was causing a rift Friday between the United States and its strongest ally, Britain.

Bermuda's premier, Ewart Brown, calls accepting the four Uyghurs from Guantanamo Bay "a humanitarian act."

Also Friday, the U.S. Justice Department announced five other Guantanamo detainees -- one from Iraq and one from Chad and three from Saudi Arabia -- had been transferred to their home countries.

Iraqi national Jawad Jabber Sadkhan was sent to Iraq on Thursday night, and Chadian national Mohammed El Gharani went to Chad early Friday, the department said.

The Saudi men are expected to be taken to a re-education center where previous Guantanamo detainees have been held, one U.S. official said.  Watch rare interview with the ex-detainees »

The men were identified as Khalid Saad Mohammed, Abdalaziz Kareem Salem al Noofayaee and Ahmed Zaid Salim Zuhair.

The transfer of the prisoners brings to 10 the number of prisoners who have been removed from the U.S. military prison in recent days, as the Obama administration attempts to move toward closure of the facility by January.

A UK official familiar with the agreement on the Uyghurs but not authorized to speak publicly told CNN the United States informed the British government of the agreement "shortly before the deal was concluded."

The official said, "We feel we should have been consulted" before the deal was struck between the United States and the British "overseas territory." A U.S. official, on background, said the British feel blindsided.

Bermuda's government said Thursday the four had been resettled in Bermuda. "Above all, this was a humanitarian act," Bermudian Premier Ewart Brown said.

Bermuda's opposition party has called for a no-confidence vote in the House of Assembly, which could lead to Brown's ouster. The vote was tabled until next week.

On the issue of the Uyghurs, the British official said that by law Bermuda decides many day-to-day issues,  and "it seems to have been a decision Bermudian authorities made based on their immigration responsibility."

However, the British government is responsible for decisions on defense and foreign policy. Bermuda "should have consulted the UK government," he said.

With the Uyghurs already in Bermuda without travel documents, the UK is helping the Bermudian government carry out a security assessment, he said.

U.S. State Department spokesman Ian Kelly said, "We understand that there are some concerns about some of the details of the resettlement, and we're confident that we can work these things through with the government of the UK."

"I don't think we bypassed anyone," Kelly added.

The four were twice cleared for release -- once by the Bush administration and again this year, according to a U.S. Justice Department statement.

They were among 17 Uyghur detainees at the facility set up to hold terror suspects.

The four flew by private plane Wednesday night from Cuba to Bermuda, accompanied by U.S. and Bermudian representatives as well as their attorneys, according to Susan Baker Manning, part of the men's legal team.

The men, who are staying in an apartment, were free to roam about the island. They can't leave the country because they have no passports.

President Obama has pledged to close the Guantanamo facility, raising questions of what will happen to the more than 200 remaining detainees. A political backlash against bringing detainees to the United States has increased the focus on sending them to other countries.

The Justice Department on Friday said the two detainees from Chad and Iraq were approved for transfer after the Guantanamo Review Task Force looked at their cases. A federal court also ordered the U.S. government in January to take all necessary and appropriate steps to facilitate the Chadian national's release.

"As our review of detainees continues, the support of the international community is critical to the closure of the detention facility at Guantanamo Bay and the security of our country," said Matthew Olsen, executive director of the task force.

"We are grateful for the cooperation of the governments of Iraq and Chad and for their assistance on the successful transfer of these individuals."

Since 2002, more than 540 detainees have departed Guantanamo for other countries, including Albania, Algeria, Afghanistan, Australia, Bangladesh, Bahrain, Belgium, Denmark, Egypt, France, Iran, Iraq, Jordan, Kazakhstan, Kuwait, Libya, Maldives, Mauritania, Morocco, Pakistan, Russia, Saudi Arabia, Spain, Sweden, Sudan, Tajikistan, Turkey, Uganda, the United Kingdom and Yemen, the Justice Department said.

Brown, Bermuda's premier, said he had read a Washington Post article on the issue of the Guantanamo Bay detainees' fates while in the United States for a White House meeting in May and decided to put an offer to the U.S. government "on the table."

He said Bermuda, a British colony, told the UK of its intentions, but not until late in the process. Britain must approve the transfer for it to be permanent, Brown said, adding that he believed the issue might raise tension between Bermuda and Britain.

The issue is controversial because of China's opposition to the Uyghurs being sent to any country but China.

Uyghurs are a Muslim minority from the Xinjiang province of far-west China. The 17 Uyghurs had left China and made their way to Afghanistan, where they settled in a camp with other Uyghurs opposed to the Chinese government, the Justice Department said in its statement.

They left Afghanistan after U.S. bombings began in the area in October 2001, and were apprehended in Pakistan, the statement said.

"According to available information, these individuals did not travel to Afghanistan with the intent to take any hostile action against the United States," the statement said.

Manning said the 17 were picked up as a matter of circumstance and never had terrorist training.

They left China because they did not agree with the government, she said.

However, China alleges the men are part of the East Turkestan Islamic Movement -- a group the State Department considers a terrorist organization -- that operates in the Xinjiang region. East Turkestan is another name for Xinjiang.

China on Thursday urged the United States to hand over all 17 of the Uyghurs instead of sending them elsewhere. The Chinese statement followed an offer by Palau, a Pacific island nation, to accept Uyghur detainees.

The Xinjiang region of 20 million people is largely populated by ethnic Uyghurs and other Muslim minorities who have traditionally opposed Beijing's rule and clamored for greater autonomy.

A senior U.S. administration official said the State Department is working on a final agreement with Palau to settle the matter of the 13 remaining Uyghur detainees.

Issues to be worked out include how to transfer the Uyghurs to Palau and how much money the United States would give the men for resettlement, the official said.

The official said the average in such cases is $100,000 per person.

The United States won't send Uyghur detainees cleared for release back to China out of concern that Chinese authorities would torture them. China has said no returned Uyghurs would be tortured.

Palau said it will take in the ethnic Uyghur detainees for humanitarian reasons and because of the "special relationship" between Palau and the United States.

Palau, with a population of about 20,000, is about 1,000 miles (1,600 kilometers) southeast of Manila, Philippines, and about 4,600 miles (7,400 kilometers) west of Hawaii.

It has received nearly $900 million in U.S. aid since independence in 1994, according to congressional auditors, and depends on Washington for its defense.

CNN's Jill Dougherty and Terry Frieden contributed to this report.

@highlight

Four Uyghurs free to roam about Bermuda but don't have passports to leave

@highlight

Briton: "We feel we should have been consulted" before deal with "overseas territory"

@highlight

U.S. State Department official: "I don't think we bypassed anyone"

@highlight

U.S. transfers five others from Guantanamo Bay, Cuba, back to home countries