The ship captain accused of causing the deaths of 32 people in last year's Costa Concordia cruise disaster asked for a plea bargain Wednesday as his trial got under way in Italy.

Francesco Schettino faces three criminal charges: involuntary manslaughter for the deaths; causing a maritime disaster; and causing personal injury to 150 people who were badly hurt in the accident.

The trial, being held in Grosseto, begins a year and a half after the luxury cruise liner ran aground off the west coast of Italy.

If convicted on all charges, Schettino could face a sentence of about 25 years in total. But his lawyers may argue that he serve his sentence under a form of house arrest, since there's virtually no danger of him repeating the offense.

His lawyers asked for a plea bargain in exchange for a sentence of three years and five months in prison.

But the prosecutor voiced his opposition to the request, which means it is almost certain to be turned down. The tribunal is expected to rule on it within a few days.

A similar request was made by Schettino in May but was rejected.

Four crew members and an officer for Costa Cruises who were originally co-defendants with Schettino have already asked for a plea bargain trial. Their requests will be decided Saturday.

Read more: Cruise passengers get bill of rights

Schettino's trial was due to start last week but was postponed because lawyers involved in the case were taking part in a nationwide strike to protest measures aimed at streamlining civil trials.

Night of chaos

Schettino was in court with his lawyers for Wednesday's hearing, the start of a process that will be closely watched in Italy and elsewhere.

The Costa Concordia, carrying 3,200 passengers and 1,000 crew members, made global headlines when it turned on its side after striking rocks off the Italian island of Giglio on January 13, 2012.

Read more: What cruise lines don't want you to know

According to passengers' accounts, chaos ensued that night, as guests rushed to fill lifeboats and escape the shipwreck. Some crew members helped passengers and then jumped overboard, passengers said; remaining crew members seemed helpless to handle the melee.

The case centers on several questions, including why it allegedly took Schettino more than an hour to issue an order to abandon ship and why he allegedly left the vessel before all passengers had abandoned it.

Given the complicated nature of the case, the trial could drag on for a year or more.

The prosecutor presented the court with a list of 357 witnesses Wednesday.

Read more: Costa Concordia reveals its darkest secrets

Running in tandem with the criminal prosecution are numerous civil suits against Schettino, which can be heard at the same time. This means more than 250 civil parties are also represented in court.

The first hearing, devoted to preliminary questions, was held in a theater to accommodate the dozen of lawyers involved.

'I want justice'

Among the civil plaintiffs is Gianluca Gabrielli, who came to Grosseto for the opening hearing of the trial.

"I'm still so angry and I want justice, this is why I'm here," he told CNN outside court.

"It was all going well, it was the nicest holiday we ever had with the family," he said, remembering the hours before the 114,000-ton ship hit the rocks just before 10 p.m. on a winter's night.

Gabrielli recalls getting into a lifeboat with his wife and the two girls, then ages 3 and 4. But the lifeboat was stuck, so the family had to climb out and struggle to the opposite site of the sliding vessel.

There, they had to slip into the sea using a rope ladder, with no life jackets and holding the children in their arms.

"I thought 'we'll all die,' it was all dark and cold," he said. "I still have unjustified panic moments, even this morning during the hearing, I suddenly thought that an earthquake was coming."

Massimiliano Gabrieli, one of the lawyers in a pool representing about 100 passengers, said they are seeking up to 1 million euros ($1.3 million) in compensation for each survivor of the fateful cruise.

"We want this sentence to be an example, to serve as monitor so that similar accident never happen again," he said.

The civil plaintiffs also include the Costa cruise line, which is suing Schettino for causing the accident and destroying its ship.

However, many of the civil parties and Schettino's own lawyers argue that Costa and its parent company, Carnival, should be considered as criminal defendants in the trial.

Cruise safety after the Concordia

'This is not a car accident'

They suggest that responsibility for the handling of the situation after the shipwreck, including any delay in the order to abandon ship, should extend beyond the captain.

But the court decided Wednesday that Costa Cruises should remain a civil party because it had suffered damage.

"This is not a car accident. I'm very disappointed that Schettino is the only defendant," Domnica Cemortan, a Moldavian dancer who was on the bridge the night of the shipwreck and is a civil plaintiff in the case, told CNN outside the court.

Evidence presented to the court is likely to include conversations between Schettino and cruise line emergency officials on the night of the accident.

The 32 deaths occurred during the abandonment of the ship rather than in its impact with the rocks.

Meanwhile, the Costa Concordia lies half-submerged on its side on the shore of Giglio Island, rusting and rotting in the waters off Tuscany's coast.

Nearly 500 workers are involved in an operation led by Titan Salvage to remove the wreck while protecting the marine environment.

Titan and Costa Cruises said last week they hope to be able to rotate the vessel to a vertical position in September. They will then be able to assess whether it can be refloated and towed away.

1 year on, survivors to mark the disaster

@highlight

The court will likely rule soon on a plea bargain request by the accused cruise ship captain

@highlight

Five other defendants have already asked for a separate plea bargain trial

@highlight

"I'm still so angry and I want justice," says a civil plaintiff who was on the ship

@highlight

Capt. Francesco Schettino is accused in the deaths of 32 people on the Costa Concordia