The similarities are plentiful.

Both congressmen are Republican. Both represent central California -- their districts share a border. Both are recently elected to Congress. Both have outspoken positions on immigration reform.

And that's where the similarities end.

Republican v. Republican

Rep. Jeff Denham, who represents California's 10th Congressional District, is actively lobbying his Republican colleagues to get on board behind immigration legislation that includes a path to legalization.

"The entire system is broken," Denham said in a recent interview with CNN. "It's a big issue for our nation. It is a big issue for California and for my home district."

But Denham's views don't cross district lines.

His congressional neighbor and fellow Republican, Rep. Tom McClintock, couldn't disagree more. While his 4th District is next to Denham's, a wide gap exists between the two on this issue.

"We have a path to citizenship and it's a path that has been followed by millions of legal immigrants who have obeyed all of our laws," McClintock said. "It's unfair to have 11 to 20 million illegal immigrants cut in line ahead of them."

Denham was the first Republican to come out in favor of comprehensive legislation. He signed on to the Democrats' proposal, which includes a path to legalization for the 11 million undocumented immigrants currently in the country. It's a controversial position within Republican circles.

In his first week back in Washington after the holiday break, Denham got right to work. He met with 20 Republican members to hash out their differences on immigration.

But McClintock is working on his own immigration campaign. He vowed to "speak out at every opportunity" in opposition to a path to legalization.

John King: Obama at odds with himself on immigration

Boehner's haul

Denham and McClintock epitomize the challenge that lies before House Speaker John Boehner regarding immigration reform -- a divided party with divergent views on immigration.

The establishment and moderate components of the party want to overhaul the immigration system because it's broken and because it would help a party unpopular with the fastest-growing segment of the population. Meanwhile, conservatives know what's popular with the base -- and in their district.

The principles Boehner unveiled at last week's Republican retreat sought a middle ground -- a path to legalization but not citizenship, and only after those already in the country get in the back of the line and the federal government provides proof that work is continuing to secure the border.

So close yet so far

About 2½ million of the 11 million undocumented immigrants in the country are in California.

So how did two vocal Republicans, both from central California, emerge with such different positions?

Their districts help tell the story.

McClintock represents a predominately Republican district, which overwhelmingly voted for Republican presidential candidate Mitt Romney in the 2012 election. His district is 78% white and wealthy, with residents earning a median income of more than $61,000 per year.

James Lai, Santa Clara University associate professor of ethnic studies, describes McClintock's district as the "white flight"  district, meaning that wealthier, older, white residents move to the Sacramento suburbs or Lake Tahoe to retire or get away from congested urban areas.

"There aren't that many districts like that in California," Lai said of the profile of McClintock's district, which allows him to have a conservative, anti-immigration position.

Denham's district, which is adjacent to McClintock's, is so close in proximity yet so far in ideology. Denham represents "the nation's salad bowl," an agriculture mecca that supplies much of the country's produce. Forty percent of the residents are Latino and only 47% voted for Romney.

McClintock and Denham "reflect the complex topography of California, but at the same time, their positions are reflected in their constituents," Lai said.

Re-election at stake

While McClintock coasted to victory, Denham had a tough re-election bid 2012 and could have another tough race against a Democrat in 2014, a threat that could be compounded if Republicans fail to act.

Denham's constituents are very aware. Many of them are agriculture workers, and they and their families are directly impacted by any action -- or inaction -- on immigration.

"I've seen it in my own home district where families have been torn apart," Denham said, describing the current maze of immigration laws and enforcement.

Once fearing deportation, immigrant among first lady's guests

Republican Party leaders are acutely aware, acknowledging that the party must address the issue to prevent becoming irrelevant as Latinos and Asians grow to a larger percentage of the electorate.

But in a deeply divided Congress, with more than 200 safe Republicans, immigration is hardly worth upsetting the base.

McClintock says his view is in line with his constituents'.

"I can tell you the sentiment in my district is very strongly for the rule of law and assuring that those who come to our country come with the intention of becoming Americans," he said.

A difficult race for McClintock is much more likely from a primary challenger than from a Democrat.

Rosemary Jenks, executive director of Numbers USA, a group that favors a reduction of immigration, said McClintock is more in line with Republican voters' views.

"I think the majority of Republicans understand that their constituents do not want this and can't afford this," she added.

Special interest support

Jenks said Republican leaders are being pushed by business groups who want institutionalized cheap labor.

The California Chamber of Commerce has been active, pushing Republicans to get on board with immigration reform. Like the national Chamber of Commerce, the California outpost has sent letters to the California delegation, held news conferences and lobbied Congress.

"This is so important to California's economy. This is more important here than anywhere else," CalChamber President and CEO Allan Zaremberg said in July. "(California's representatives) can't let somebody else, who doesn't have a stake in this, determine the outcome."

But giving McClintock cover, however, is the local chapter of the Chamber.  Michael Ayala, CEO of the Tuolomne County Chamber, located in California's 4th District, says immigration isn't a priority for county residents.

"If the federal government would enforce existing law, we wouldn't have the problems we currently have," Ayala said, a position that McClintock echoes.

Work in Washington

While Denham might be a minority in his caucus, that minority might have the momentum.

States take the lead in immigration game

House Majority Leader Eric Cantor has been advocating his KIDS Act proposal to address the status of children of parents who came to the country illegally. And Boehner unveiled Republican principles last week, an indication that he is testing the waters on possibly moving an immigration bill this year.

Denham called discussions at the Republican retreat productive and said he's pleased that Boehner floated a starting point.

He's trying to convince McClintock and like-minded Republicans that the United States has "de facto amnesty" and that the Republican Party should "fix the system."

McClintock doesn't seem likely to buy it.

"The Republican Party has always stood for the rule of law and it has welcomed legal immigrants to the country with the desire to come and be Americans and I believe we should continue to do so," he said.

The tale of two Republicans will have an ending. It's just unclear what it will be.

@highlight

Two neighboring California Republicans represent the GOP's challenge on immigration

@highlight

Rep. Jeff Denham backs immigration reform while Rep. Tom McClintock is fighting it

@highlight

An estimated 2 ½ million of the 11 million undocumented immigrants live in California

@highlight

House Speaker John Boehner recently unveiled immigration principles to his caucus