(Travel + Leisure) -- The Web is an essential tool for travelers, but as booking engines and trip forums evolve and multiply, you have to know where to look -- and whom to trust. To help you, Travel + Leisure has assembled the ultimate online guide.

Getting There

BOOKING FLIGHTS (OVERALL)

Sidestep.com

Comparing top aggregators Sidestep and Kayak, we found that eight-year-old Sidestep's flight tool has a slight edge: A handy matrix at the top of the results page gives an overview of the lowest prices pulled from 600 airlines across 200 sites. And refining the search by departure time or airport is a breeze.

RESEARCHING LOW-FARE CARRIERS IN EUROPE

Flycheapo.com

Don't get stuck on the name. This is a great resource for learning about 45 low-fare carriers in Europe. Select your two endpoints (say Rome and Oslo) and learn who can get you from one to the other on a direct flight (Denmark's Sterling Air). Caveat: FlyCheapo only shows you who flies where; for prices and schedules, you'll have to visit the airlines' own sites.

LOCATING THE BEST INTERNATIONAL AIRFARES

Farecompare.com

Decide how much you want to spend and when you want to travel, and Getaway Maps will overlay the lowest fares pulled from more than 500 airlines (most of the major U.S. carriers, as well as many international ones) for a select range of cities.

KNOWING WHEN TO BOOK A FLIGHT

Farecast.com

Buy now or wait for a better price? Farecast uses historic pricing data to help you make an educated decision about whether or not a fare is likely to fluctuate in the coming week. A supplementary service called FareGuard ($10) covers the difference if they tell you to wait for a price to go down and it rises instead. Caveat: Farecast covers only 78 cities, all of them in the United States.

Getting Ideas

BOOKING HOTELS (OVERALL)

Kayak.com

This two-year-old aggregator scours 159,000 hotels worldwide, and about 10 percent of the places that it turns up have been suggested by real people, so the picks are well-rounded. (Hotels.com only lists 70,000 properties.) New features allow you to sort the listings by location (using Google maps) and view photographs.

FINDING LATE-BREAKING DEALS ON LUXURY HOTELS

Lastminutetravel.com

Search hotels by ratings in your city of choice, and the site turns up an impressive mix of reduced rates on rooms at luxury properties. Our recent results: 23 percent off a room at the Biltmore, in Coral Gables, and 15 percent off at the Goring, in London. Caveat: The best deals take digging.

PREVIEWING MENUS IN THE U.S.

Menupages.com

With approximately 25,000 restaurants across eight cities, MenuPages makes it easy to plan meals by type of food, neighborhood, price or random craving (bialys in Philly?). Caveat: Menus may be a bit stale; 3,000 to 5,000 are updated per month. And, unlike at OpenTable, you can't book tables online.

NABBING THE PERFECT SEAT

Seatguru.com

Preview seat maps including where to find the power outlets as well as that extra inch of legroom for 73 models of aircraft on 39 different airlines. Like most airlines these days, the site is no-frills, but you'll never get stuck next to the bathroom again.

DISHING WITH GLOBAL FOODIES

Chowhound.com

An obsessive community of feisty people around the world share secret finds. The site features interviews with experts, videos of local culinary customs (watch how to tie pancetta), and blogs such as the newly launched Tasting Notes.

CUSTOMIZING AN ITINERARY

Homeandabroad.com

Plan a trip to one of more than 90 destinations from start to finish. Along with all the basics (hotel, restaurant, and entertainment ideas), get tips on what to read before you go. Caveat: They tend to overpack an average day with suggestions.

Planning a Cruise

Cruisecritic.com

Research almost anything about 60 different cruise lines and gather advice on everything ship-related -- from buying travel insurance to using onboard slot machines. Caveat: Not a booking site, so prices usually aren't listed.

Getting Around

MAPPING ROUTES ON U.S. PUBLIC TRANSPORTATION

Hopstop.com

Decide on your transport of choice, as well as how far you're willing to walk, and get point-to-point directions for five cities. Bonus features: You can see what the trip would cost by taxi and look at panoramic shots of what to expect when you emerge from underground. Plus, there's a new small-screen version for phones and PDA's. Caveat: There are no actual subway maps.

DRIVING DIRECTIONS IN EUROPE

Viamichelin.com

Scan information on 4.4 million miles of road across 42 European countries. Maps feature pop-ups with descriptions and pictures of the desired destinations; directions include estimates about what you'll spend on gas; they even tip you off to speed traps. Caveat: It requires an extra step to convert from kilometers.

CREATING COMPREHENSIVE MAPS WORLDWIDE

Maps.google.com

Simple, clearly designed maps and driving instructions are just the beginning. The standout stuff: live feeds of traffic conditions and street views of major U.S. cities (only slightly creepy); addresses, phone numbers and Web sites for what you're mapping.

The Basics

CONVERTING CURRENCY

Xe.com

180 currencies from 250 places, updated every minute. The conversion application is easy to locate (unlike that of close competitor Oanda), and you can bookmark go-to conversions. Caveat: Animations and flashing ads create a bit of sensory overload.

FINDING RELIABLE WEATHER FORECASTS

Weather.com

A notch above AccuWeather and Weather Underground, 11-year-old Weather does the best job of delivering the essentials clearly. Get current conditions for 98,000 destinations worldwide, updated every 20 minutes.

LEARNING ABOUT HEALTH AND SAFETY ABROAD

Tripprep.com

A comprehensive resource with recommended vaccinations, embassy listings and crime advisories for 204 countries. (Information is culled from the state departments of the U.S., Canada, Australia and the U.K.) Also included: tips on local customs and transportation. Caveat: Incomplete listings of doctors abroad. Free registration required.

8 more to watch

Vayama.com A booking engine that pulls prices from all international flights originating in the United States, including those of low-fare carriers.

Yapta.com Tracks airfares after you book and will send an e-mail about a significant price drop, along with info about how to use little-known loopholes for a refund.

Travelistic.com A compilation of on-the-ground travel videos (there were more than 4,100 at press time) from real people around the world.

Meethalfway.com U.K.-based site, with a soon-to-launch U.S. version, that helps you find a geographic compromise.

Seriouseats.com New York Times writer Ed Levine filters, compiles and analyzes all the juiciest global food news and opinions.

Airtreks.com Helps you plan complicated multi-leg itineraries without the hassle and expense of one-off tickets.

Dontforgetyourtoothbrush.com Create your own handy before-you-leave checklists.

TheBathroomdiaries.com A seemingly silly, surprisingly useful resource reviewing 12,000 public bathrooms in 120 countries. E-mail to a friend

Planning a beach getaway? Don't miss Travel + Leisure's guide to Affordable Beach Resorts.

Copyright 2009 American Express Publishing Corporation. All rights reserved.

@highlight

Flycheapo is a great way to learn about low-fare carriers in Europe

@highlight

Farecast uses historic pricing data to help you decide when to book flights

@highlight

ViaMichelin provides information on 4.4 million miles of road across Europe