(CNN) -- The legendary Hanging Gardens of Babylon are the inspiration behind an ambitious plan to grow a rooftop forest high above Beirut's crowded streets.

The cityscape is currently overshadowed by concrete highrises, with parkland making up just 3% of Lebanon's capital, according to a study by the American University of Beirut.

The lack of greenery has contributed to poor air quality and trapped heat, among a host of other environmental issues, claims architect Wassim Melki. This led him to the the unconventional idea of greening over the city's rooftops.

"We want to cover the top of nearly every building in the city with trees," said Melki.

Challenging though it sounds, Melki's proposal does not involve complicated drainage systems or engineering.

"We're just talking about planting small to medium-sized trees in relatively large pots and securing them to the roofs," he added.

The 28-year-old architect claims there are 15,000 suitable rooftops -- around 80% of those in the city. "Even planting just one on each would result in as many trees as there are in New York's Central Park," he said.

With colleagues at local NGO ReAct, Melki aims to plant 60,000 trees eventually. They say that as well as making a sizable dent in the level of carbon dioxide in the air, the trees would also create a rooftop canopy, casting shadows on the streets and helping to keep the city cool.

Nevertheless, Wonder Forest, if realized, would not be comparable to a public park. "Planting trees in the ground is always preferable, and nothing can replace a wide open space to walk through," said Melki.

Comment: Would you give the scheme your support? Is the Wonder Forest project a feasible and much needed innovation or a pretty but impractical pipe dream? Tell us you thoughts in the comments section below.

Melki estimates the total cost of the project at $3.5-4 million and is currently lobbying for the Wonder Forest via NGO ReAct and a Facebook page.

Ultimately though, the success of the idea is in the hands of Beirut's residents -- who would need to tend the gardens, particularly over the hot summer months.

"Even if all the trees and their installation is provided, if the residents don't subsequently get involved, then the plan will fail," said Melki.

There could also be benefits for the green fingered, says Melki, who could turn a profit growing and selling olives and citrus fruits, which thrive in Beirut's Mediterranean climate.

Read more from Road to Rio: Futuristic farm shop grows food in synthetic veg patch

"Aside from the major environmental and social benefits, it would also be incredibly iconic," he says. "Just imagine: The world's first rooftop garden city."

@highlight

Architect's "Wonder Forest" concept would turn Beirut skyline green

@highlight

The plan involves installing 60,000 potted trees on the city's rooftops

@highlight

Benfits include improved air quality, reduced CO2 emissions and increased shade