(CNN) -- Bahrain defended its decision Wednesday to impose a ban on all public protests, following calls from rights group Amnesty International to lift it immediately as a breach of people's right to free speech.

Bahrain's Information Affairs Authority said in a statement that the ban was needed because "increasing violence has resulted in death and serious injury to many."

Most recently, two police officers died as a result of attacks with petrol bombs and a homemade bomb, the IAA said.

Since the start of the year, there have on average been two or more licensed protests a week, the authority said, many of which expressed views critical of the government.

"However, all too often these demonstrations devolved into violence and lawlessness as demonstrators dispersed and youths armed with petrol bombs and other weapons took their place, launching assaults on public security officers and civilians," the statement said.

From May to July, there were 91 injuries requiring treatment to members of the police force, averaging about one a day, it added.

"The reality is that one would be hard pressed to find a protest that both begins and ends peacefully," IAA spokesman Fahad Albinali said. "The fact of the matter is that there has been an escalation of violence by some elements of the opposition and those who regularly engage in riotous activity."

Opinion: Don't forget about Bahrain

Violent clashes have broken out between security forces and opposition protesters on numerous occasions since protests began in the Persian Gulf kingdom in February 2011, spurred by uprisings in Tunisia and Egypt.

But Amnesty International warned that a ban on all public gatherings was unwarranted and amounted to a drastic crackdown on people's freedoms.

Read more: Bahraini police, protesters clash after funeral

"Even in the event of sporadic or isolated violence once an assembly is under way, the authorities cannot simply declare a blanket prohibition on all protests," said Hassiba Hadj Sahraoui, deputy director for Amnesty's Middle East and North Africa program

"Such a sweeping measure amounts to nothing less than nullifying the rights to freedom of association, expression and assembly. Law enforcement officials must act to protect peaceful protesters rather than using the violent acts of a few as a pretext to restrict or impede the rights of all."

The Interior Ministry's announcement of the ban Tuesday pointed the finger at opposition political groups, headed by Al Wefaq, as being behind ongoing protests. The ministry said the protests were a continuation of those held in February and March of last year that it said called for the overthrow of leading figures and the state.

Read more: Bahraini wins human rights seat amid protests

The government had sought to protect freedom of expression, but "that privilege has been abused repeatedly by organizers' violations" and people's lack of respect for the law, Interior Minister Shaikh Rashid bin Abdullah Al Khalifa is quoted as saying Tuesday by the state-run Bahrain News Agency.

The rallies have been associated with "violence, rioting and attacks on public and private property," and are a threat to public safety and commerce, according to the news agency.

The Interior Ministry is now looking for sites around the country to be used for staging protests "to preserve the right of political expression while minimizing the risk of injury or disruption to society at large," the Information Affairs Authority said.

The demonstrations staged in Bahrain early last year failed to gain the traction of other Arab Spring uprisings after a crackdown by authorities in the island state. The crackdown was backed by troops from nearby Saudi Arabia and the United Arab Emirates.

Last November, Bahrain's Independent Commission of Inquiry issued a report critical of authorities' reactions to the protests.

The independent commission, set up by the king, concluded that police had used excessive force and torture in their response to the protests in the Sunni-ruled, Shiite-majority country. It recommended reforms to the country's law and better training of its security forces, as well as other measures.

Bahrain plays a key strategic role in the Middle East and is home to the U.S. Navy's Fifth Fleet headquarters.

Read more: Bahrain arrests 6 anti-government protesters

CNN's Saad Abedine and Mohammed Jamjoom contributed to this report.

@highlight

NEW: The ban is needed because of increasing violence at rallies, Bahraini officials say

@highlight

Amnesty International calls for the ban on public protests to be lifted immediately

@highlight

Amnesty says the ban is a violation of people's rights to free speech and assembly

@highlight

Officials shouldn't use "violent acts of a few as a pretext" to restrict the rights of all, it says