Tripoli, Libya (CNN) -- Large explosions and the sound of jets over Tripoli Thursday night indicated NATO has likely increased the intensity of its air strikes on Moammar Gadhafi's key command and control military sites.

CNN's Fred Pleitgen, reporting from Libya, heard at least three major explosions.

The alliance has issued a new warning to Libyan civilians to stay away from military areas, foreshadowing plans for attacks on targets seen as strategically significant in stopping the government's attacks against civilians, a NATO military official said Thursday.

The next phase will largely involve increased air strikes on key Gadhafi command, control and communications sites in and around Tripoli, although targets in other areas could be hit as well, said the official, who declined to be identified due to the sensitivity of the matter.

NATO now has the use of armed U.S. Predator drones at its disposal.

U.S. Defense Secretary Robert Gates disclosed that the drones saw their first use in Libya Thursday, but poor weather forced them to return.

Unmanned aerial vehicles offer more precise targeting, because their low-flying capability allows for better visibility, "particularly on targets now that have started to dig themselves into defensive positions," Gates said.

The Predators bring "capabilities to the NATO commander that they didn't have before," he said. President Barack Obama approved their use.

Rebels, who have complained that NATO was not being aggressive enough to protect civilians, said Thursday they had gained control of a key border crossing into Tunisia.

The crossing at Wazen, Libya, could prove key to access to the city of Nalut, under siege by Gadhafi's forces for the past month. Thousands have fled the fighting through Wazen to the nearby Tunisian town of Dehiba, where temporary camps have been set up for the displaced.

The Tunisian state-run news agency, TAP, also reported the rebel takeover of Wazen after early morning fighting.

About 100 forces loyal to Gadhafi, including a high-ranking officer, fled across the border into Tunisia, said Mohammed Ali Abdallah, spokesman for National Front for the Salvation of Libya. He said the rebels detained 14 members of Gadhafi's forces.

TAP reported that 13 Libyan officers have been detained by Tunisian military authorities.

Also Thursday, a third ship chartered by the International Organization for Migration made its way back from the besieged city of Misrata to the rebel stronghold of Benghazi in the east.

More than 1,000 rescued migrants were on board, as were the bodies of photojournalists Tim Hetherington and Chris Hondros, killed in Misrata on Wednesday, the organization said. The ship also repatriated the body of an Ukrainian doctor.

Several banners were displayed as the Ionian Spirit docked late Thursday in Benghazi.

One read: "We feel for the families of the deceased, your blood was mixed with us in Misrata and with your loss you shared with us the price for freedom." Another said, "US and UK with your loss, you shared with us the price of freedom." Hondros was American and Hetherington had dual British and U.S. citizenship.

Twenty rebel fighters stood in military formation as the vessel arrived.

The reported rebel takeover Thursday of Wazen comes at a time when many are questioning whether a military victory over Gadhafi is possible. France and Italy announced Wednesday that they will send military officers to Libya to advise the rebels.

After a similar announcement by the British government Tuesday, French government spokesman Francois Baroin said a "small number" of French troops was being sent to advise the rebels' Transitional National Council.

French Defense Minister Gerard Longuet has ruled out sending ground troops to fight alongside the rebels. "This is a real issue that deserves an international debate," he said, adding, "We are working within the framework of the 1973 resolution," a reference to the U.N. resolution that authorized action in Libya. "You cannot please everyone all the time," he said.

Italy will send military advisers to train the rebels in self-defense tactics, Italian Foreign Ministry spokesman Maurizio Massari announced.

Britain said its contingent of military officers will be sent to Benghazi to serve in an advisory role. The team will work with the Transitional National Council to help the opposition improve its military organizational structures, communications and logistics, the British Foreign Office said. It will also help deliver aid.

U.S. Secretary of State Hillary Clinton said Wednesday she has recommended that Obama authorize the U.S. government to send up to $25 million in non-lethal commodities and services to support Libyan rebels, including the Transitional National Council.

On Thursday, Clinton urged more patience from critics of the anti-Gadhafi campaign, noting that "it is always a temptation in any conflict to (want) a resolution quickly."

"The opposition that rose up spontaneously was not a trained militia," she noted. The "vast majority" of insurgents "had never participated in (any form of military) activity before."

Clinton said Washington has "a lot of confidence in NATO" and is pleased with the performance of America's allies in the conflict.

In Libya, rebel spokesman Jalal al Gallal called Wednesday's announcements by France and Italy "positive."

"We are pleased with the results, and I think it's a prelude to more cooperation," he said. "The more advisers we have on the ground, the better coordination we'll have on the battlefield."

At least 27 people have been killed and 142 have been injured in Libya this week, according to an opposition spokesman who wanted to be identified only as Mohammed for safety reasons. Among them were the two acclaimed photojournalists.

Hondros and Hetherington, who was nominated for an Oscar for a gritty and harrowing documentary about the Afghan war, both died Wednesday in a rocket-propelled grenade attack in Misrata.

Mohammed said rebels have "annihilated" Gadhafi forces and have defeated snipers in the city in the past few days. Three loyalist tanks remain on Tripoli Street, he said.

CNN could not independently verify his claims.

The city's hospital has reported nine deaths and 68 injuries.

CNN's Barbara Starr contributed to this report.

@highlight

Sound of jets, explosions heard in Tripoli

@highlight

U.S. Predator drones take flight in Libya

@highlight

Thousands have fled fighting in western Libya through the border crossing in Wazen

@highlight

A third chartered ship arrived in Benghazi, carrying bodies of two photojournalists killed in Misrata