(CNN) -- U.S. Vice President Joe Biden and Defense Secretary Robert Gates helped usher in the next chapter for the United States in Iraq on Wednesday, presiding over a ceremony launching a new military operation designed to train, assist and advise the Iraqis.

The ceremony, held at Al Faw Palace in Baghdad, marked the conclusion of the U.S. combat mission dubbed Operation Iraqi Freedom and the transfer to the assistance mission, named Operation New Dawn.

Army Gen. Lloyd J. Austin III replaced Gen. Raymond T. Odierno as commander of U.S. Forces-Iraq in the changeover, held at one of the many palaces of late Iraqi leader Saddam Hussein -- whose regime was ousted from power in the U.S.-led invasion of Iraq in 2003.

Biden said Operation Iraqi Freedom is over, but promised that "American engagement with Iraq will continue" with the new stability mission.

"This change of mission, to state the obvious, would never have been possible without the resolve and tremendous sacrifice and competence of our military -- the finest, if our Iraqi friends will forgive us, the finest fighting force in the world, and I would argue the finest fighting force that ever has existed," Biden said.

He acknowledged the pain Iraqis endured during the long war, saying tens of thousands of troops and civilians died, and many more were wounded and displaced.

However, he said, "I believe that their darkest days are now behind them."

Noting the divided opinion toward the war in the United States, he said people from both parties had always backed the troops for their "extraordinary service" after "a high-speed invasion that toppled a tyrant became a grinding struggle against violent extremists."

"Our fighting men and women were given a mission in Iraq that was as complicated as any in our history, an assignment that taught us that war is the realm of uncertainty," he said. "Troops steeped in military doctrine were asked to deal with challenges ranging from electricity to unemployment, currency exchange to trash collection."

The vice president also praised the new electoral system in Iraq, urging political parties there to settle their differences and form a government soon.

"Iraqis have cast their lot as well as their ballots for a better future," he said.

Biden highlighted Gates' contributions, saying the defense secretary's decision to serve under both Republican and Democratic administrations during the war is a testament to his patriotism.

Odierno, who said Iraqi security forces are ready to take the lead there, recalled the wartime period as one of Iraqi heroism.

"This period in Iraq's history will probably be remembered for sacrifice, resiliency and change. However, I remember it as a time in which the Iraqi people stood up against tyranny, terrorism and extremism, and decided to determine their own destiny, as a people and as a democratic state," he said.

As Biden did, Odierno urged Iraqi political blocs to form a government, which has yet to be established since elections six months ago.

"It is time for Iraq to move forward," Odierno said.

Odierno said a democratic Iraq "can become an engine for peace and stability" in the Middle East.

"We can no longer dwell on our past accomplishments, but must remain focused on the tremendous opportunity at hand. Iraq has always played a vital role in this uncertain part of the globe," he said.

Austin said Iraq still faces hostile threats from insurgents working to undermine the country. But he said that "the past few years in Iraq have been marked by steady progress" and he envisions a "stable, secure and unified Iraq."

"Operation New Dawn marks the next phase of an enduring relationship" between the United States and Iraq, he said.

While the U.S. combat mission is ending, roughly 50,000 American troops will remain in the country until the end of 2011 for the assistance mission.

When asked Wednesday if the United States is still at war in Iraq, Gates responded, "No, we're not." Gates added it is up to historians to determine whether the war was worth it.

Along with U.S. political and military dignitaries, Iraqi officials -- including Interior Minister Jawad al-Bolani, Defense Minister Mohammed Abdul Qader al-Obeidi and the Kurdish region's Prime Minister Barham Saleh -- attended the ceremony.

The U.S. combat mission in Iraq officially ended at 5 p.m. ET Tuesday. The drawdown and end to the U.S. combat phase marks a new page in what has been a controversial seven-year conflict. Weapons of mass destruction, a major justification by the Bush administration for going to war, were never found. Saddam Hussein was toppled, along with his massive Baghdad statue, but sectarian violence soon erupted.

On Tuesday night, U.S. President Barack Obama addressed Americans about the transition in a televised speech.

"The United States has paid a huge price to put the future of Iraq in the hands of its people," Obama said from the Oval Office. "We have sent our young men and women to make enormous sacrifices in Iraq, and spent vast resources abroad at a time of tight budgets at home. We have persevered because of a belief we share with the Iraqi people -- a belief that out of the ashes of war, a new beginning could be born in this cradle of civilization."

The war in Iraq has claimed the lives of more than 4,400 U.S. troops.

Obama said he was "awed" by the sacrifices of service members and their families and that the U.S. has met its responsibility.

"Operation Iraqi Freedom is over, and the Iraqi people now have lead responsibility for the security of their country," Obama said. "We have removed nearly 100,000 U.S. troops from Iraq. We have closed or transferred hundreds of bases to the Iraqis. And we have moved millions of pieces of equipment out of Iraq."

Before Obama's speech, some Republicans had urged him to acknowledge that the 2007 U.S. troop surge in Iraq ordered by then-President George W. Bush had worked. Obama, as a U.S. senator and candidate for the presidency, had opposed it.

Obama, who spoke with Bush in a phone call earlier in the day, did not mention the former president's role in the surge.

Meanwhile, Senate Minority Leader Mitch McConnell, R-Kentucky, delivered a speech Tuesday suggesting Bush deserves more credit for reaching this milestone.

"You might recall that the surge wasn't very popular when it was announced," McConnell said. "You might also recall that one of its biggest critics was the current president. So it makes it easier to talk about fulfilling a campaign promise to wind down our operations in Iraq when the previous administration signs the security agreement with Iraq to end our overall presence there."

Obama said the most urgent matter now is restoring the economy and "putting millions of Americans who have who have lost their jobs back to work."

To strengthen the middle class, he said, "we must give all our children the education they deserve, and all our workers the skills that they need to compete in a global economy."

Obama's emphasis on the economy appears to dovetail with the mood of the American public.

In a CNN/Opinion Research Corp. poll earlier this month, 56 percent of respondents said the economy would be extremely important to their vote for Congress this year. Fewer than four in 10 said that the wars in Iraq or Afghanistan were extremely important to them.

CNN's Ed Henry, Dan Lothian, Dana Bash, Jason Hanna and Alan Silverleib contributed to this report.

@highlight

NEW: Odierno notes Iraqi fight against tyranny

@highlight

NEW: Iraqi officials attended the ceremony

@highlight

NEW: Biden: "High-speed invasion" became struggle against extemists