(CNN)In his State of the Union address, President Obama proposed making community college tuition free for two years to boost college graduation rates and lift more people into the middle class.

Unfortunately, his plan doesn't make the grade. The proposal would not only pile up more debt by further subsidizing runaway college costs, it would also perilously undercut the emergence of more innovative educational programs designed to help students succeed in the workforce.

Offering only a lukewarm pathway to the job market, community colleges are incapable of fulfilling the President's lofty ambitions. Although there are some high-performing community colleges and stellar stories of success for certain students, the overall picture of success at two-year community colleges is dismal.

According to the Community College Research Center at Teachers College, Columbia University, only 22% of students graduate within three years, and 28% graduate within four. More telling, 80% of students say they want a bachelor's degree or higher, and yet only 20% of these students transfer to a four-year institution within five years.

Even for those who earn a community college degree, it often isn't as useful as other options. Thanks to credential inflation, pursuing a professional certification — which more clearly indicates a person's skills than a degree — often pays off better than an associate's degree, according to Census Bureau data.

The conversation around making community college free also masks a larger problem, which is that community colleges are already heavily subsidized and far less affordable than commonly believed.

At $3,300, community college tuition is well under the $5,730 currently available in Pell Grant aid to low-income students. But the expenditure per student at a community college — the true cost of the education — is far higher, about four times more at $13,000 per student. That means that more than 60% of the cost of community college isn't paid for through tuition, but through various forms of government aid at the federal, state and local levels.

As a result, even if the President's plan passed, it wouldn't help the large number of already-overcrowded community colleges that have waiting lists numbering in the thousands. Tuition is only a small part of the funding needed to educate additional students.

What's more, because of the limited productivity gains possible in the community college model, those costs will continue to rise, which means that tuition will, too. The proposal's $60 billion price over 10 years is likely to grow with only a questionable return on the investment.

Opinion: Two years of free community college makes sense

The larger question the proposal misses is not how to allow students to afford college, but how to make college affordable. There's a huge distinction. The focus should be to make postsecondary education less costly and of better quality, such that the question of how to afford it becomes manageable. The President's proposal merely charges education, in the form of debt for future generations of taxpayers, rather than changes it.

Instead we need to encourage students to seek innovative offerings that are lower cost and improve the quality and accessibility of higher education.

Such options are emerging. Patten University offers a new online, competency-based program that charges undergraduate tuition of $350 per month, or $1,316 per term. Tuition includes access to as many courses as one can complete and all the ebooks and course materials needed, and Patten receives no government funding. Another online, competency-based program, Southern New Hampshire's College for America, charges annual tuition of $2,500.

Rather than supporting innovative options like Patten and Southern New Hampshire, the President's plan would nudge students toward a community college sector that is incapable of repositioning its model around student success and fuel rising college costs.

5 ways community colleges are fixing higher education

If enacted, the President's proposal would be unlikely to achieve its ultimate aims and would exacerbate a larger problem lurking behind college financing. Although the plan amounts to little more than political posturing given the current congressional makeup, it will negatively influence the political conversation around higher education in the years ahead.

By supporting free community college, President Obama is merely kicking the can down the road for future generations to confront. We need a better strategy for skills training overall before we go further down the track of subsidizing students to attend community college only to emerge with little to show for it.

@highlight

In his SOTU, President Obama proposed making community college tuition free for two years

@highlight

Michael Horn: We need a better strategy for skills training before going down the track of subsidizing students