ISTANBUL, Turkey (CNN) -- More than 80 years after his family was ordered from the country, the grandson of one of the last Ottoman sultans was buried Saturday as hundreds of admirers looked on.

Relatives carry the coffin of Osman on Saturday after his funeral ceremony in Istanbul.

Ertugrul Osman, grandson of Sultan Abdulhamid II and heir to the Ottoman throne, died this week in Istanbul of kidney failure at the age of 97, after having lived most of his life in exile in a humble third-floor walk-up apartment on Manhattan's Upper East Side.

Osman's funeral in the garden of the mammoth Sultanahmet Mosque was attended by Turkish state ministers, artists and media glitterati. They lined up to pay their respects to Osman's widow, Zeynep Osman, herself a descendant of the royal family of Afghanistan.

One woman pressed her forehead to Mrs. Osman's hand in a traditional Turkish show of respect, saying "I'm just an ordinary person, but I would like to kiss your hand."

"His death marks the passing of an era," wrote Jason Goodwin, author of "Lords of the Horizons," which tells the history of the Ottoman Empire, in an e-mail to CNN. "Osman himself was born into a family that still ruled an empire stretching from the Balkans to the Indian Ocean. He was named after the founder of his dynasty, who lived seven centuries ago."

During annual campaigns at the peak of its power, the Ottoman Sultan's army of Janissaries struck fear into the hearts of European monarchs. For 400 years, the Ottomans declared themselves the "caliphs" -- spiritual leaders -- of the Muslim world.

But the empire declined during the 19th century, eventually suffering a humiliating defeat and partition at the hands of Allied armies during World War I.

In 1922, Mustafa Kemal Ataturk, the founder of the modern Turkish Republic, sent the last Ottoman sultan packing aboard a British warship. Two years later, Ataturk banned the caliphate, declaring Turkey a secular state.

Ertugrul Osman, who had played as a boy in the imperial palaces of Istanbul, was sent with the rest of his family into exile. He lived for decades in Europe, then moved after World War II to the United States. Friends say he ran a successful mining business in Chile. They described Osman as a polyglot Renaissance man with a passion for politics and opera and a taste for evening cocktails.

Over the years, Osman told reporters he had no interest in assuming the Ottoman throne.

In the early 1990s, after more than half a century outside the country, Osman returned to Turkey at the invitation of a Turkish prime minister.

Friends say that, prior to getting a Turkish passport in 2004, he traveled using documents identifying him as an Ottoman citizen.

The hundreds of mourners at Saturday's funeral stunned other surviving members of the Ottoman royal family.

One man rushed Bulent Osman, a tall, elderly French-born nephew of the deceased, kissing his hand and crying in Turkish? "My prince, we are guilty for how we treated you!"

"I am not a prince," Osman later explained to a reporter in French-accented English. "I am quite surprised. It is the first time I have seen such an outpouring."

The royal family seems to be especially revered by devout muslim Turks, who see the sultan's descendants as a link to the abolished Islamic caliphate.

"They are our grandfathers," said a young man named Fatih, who wore the long beard, turban and robes of a fundamentalist Islamic sect. "They glorified our religion and brought it to the highest level."

The funeral was attended by an eclectic mix of mourners -- stylishly dressed members of the royal family who grew up in Europe alongside fervent Islamists, some of whom pushed through the crowd ordering women to move to the back to pray.

Hundreds of police officers blocked traffic as Osman was buried in a garden filled with the gravestones of Ottoman pashas and viziers, beside the ornate tombs of his grandfather Sultan Abdulhamid II and another ancestor, Sultan Mahmut II.

Osman's death serves as a reminder of Turkey's recent, yet often forgotten Ottoman history, said historian Jason Goodwin.

"His funeral may be a catalyst for modern, republican Turkey to overcome its historical amnesia, and come to terms with its own past," Goodwin said.

@highlight

Grandson of one of the last Ottoman sultans was buried Saturday

@highlight

Ertugrul Osman died this week in Istanbul of kidney failure at the age of 97

@highlight

Osman's funeral attended by Turkish state ministers, artists, media glitterati