(CNN) -- Ramiro Valdes, 77, is one of only four remaining original rebels led by Fidel Castro in the 1950s in Cuba. By Cuban standards, he has had a remarkable career, serving the Castro brothers loyally for years in a variety of posts, some which made him notorious.

Now, Valdes has accepted a new task outside Cuba that is raising skepticism. He arrived this week in Venezuela as a consultant for that country's energy crisis.

Venezuela is facing critical electricity shortages that have created rolling blackouts in some areas. The government of Hugo Chavez blames a long drought that has reduced energy production at the country's main hydroelectric dam, while others say the real problem is a lack of investment in energy infrastructure.

The issue has become a political one, but regardless of the reason for the electricity shortages, experts warn that Venezuela faces a complete electric collapse if something isn't done soon.

That's where Valdes comes in, as well as the critics who have seized upon his biography.

"His reputation is as a ruthless minister of interior," said Ann Louise Bardach, who wrote about Valdes in her book "Without Fidel: A Death Foretold in Miami, Havana and Washington."

Valdes has been with the Castro brothers from the beginning of the revolution and today is arguably the No. 3 man in the Cuban hierarchy, she said.

As interior minister, Valdes oversaw secret police operations and gained a reputation for being ruthless when it came to suppressing dissidents.

"He's known for his willingness to do crackdowns," Bardach told CNN.

Most recently, he has been in charge of the Internet on the communist island.

"He's the one who makes sure most Cubans don't have access to the Internet," Bardach said.

One thing Valdes lacks, critics say, is experience in the energy sector.

"For us engineers in Venezuela, it makes no sense," Enzo Betancourt, president of Venezuela's Association of Engineers, told CNN.

There are plenty of qualified engineers in the country with the experience to fix the electricity shortfalls, he said. Furthermore, Venezuelan engineers are already familiar with the electric system and equipment in the country, he added.

Chavez has been under increased pressure lately because of the energy problem and other domestic quarrels, including the suspension of an opposition cable broadcaster -- ostensibly for not following broadcast laws. The move resulted in many days of protests and marches, organized in part online through social networking sites.

In a televised speech, Chavez went so far as to say that spreading criticism against the government through the Internet constitutes "terrorism."

So critics are eying the subsequent hiring of Cuba's top Internet censor to help Chavez in Venezuela.

"This man presumably came here to do things other than help us [with the electricity problems]," Betancourt said.

After all, Bardach said, Valdes is the man who has referred to the Internet as a "wild colt" that must be tamed.

But that may not the only explanation for Valdes' arrival, said Jose Vicente Carrasquero, professor of political science at the Universidad Simon Bolivar in Caracas, Venezuela.

While Valdes may not be an energy man, he does have a background in government purchases, Carrasquero told CNN.

Venezuela's alliance with Cuba in areas such as medicine has resulted in a system in which Cuba purchases medical equipment that it in turn sells to Venezuela at a markup, he said.

Carrasquero said it is possible that Valdes is coming to do something similar with the energy sector. That is, assess what equipment Venezuela needs to meet its electricity needs and have the Cuban team purchase it and then sell it to Venezuela.

The bottom line, he said, is that "President Chavez's dependence on Cuba is reaching unprecedented levels."

The Venezuelan government said that the Cuban team is simply one of several foreign teams that have been called to help.

Energy Minister Ali Rodriguez cited teams from Brazil and Argentina that have already arrived, along with offers of help from Russia and China.

As for Valdes and his team, "They have great expertise on matters of saving electricity and electrical efficiency," the minister said, according to the state-run ABN news service. "They have realized extraordinary work in the replacement of a great quantity of very inefficient equipment, pushing forth an energy revolution where they changed all of the incandescent light bulbs for energy-saving bulbs."

The Cubans also came up with an electrical grid that divides the country into rings, so that problems in one area won't affect other areas, Rodriguez said.

In all, the Venezuelan government will invest more than $4 billion to fix the electricity problems, he said.

Calls to Venezuelan authorities for further comment on the appointment of Valdes were not immediately returned.

@highlight

Ramiro Valdes, 77, is one of only four remaining original rebels led by Fidel Castro in the 1950s

@highlight

Some worry about what Valdes, who's been called ruthless, will be up to in Venezuela

@highlight

He's been hired to help end energy crisis, but critics say he lacks energy sector experience

@highlight

But others say Valdes, who has experience in government purchases, could help