(CNN) -- Europe and the Muslim world seem to be on a collision course that could have major political, economic and ideological ramifications. January 23, 2012, may well come to be remembered as the crucial date when Samuel Huntington's "clash of civilizations" thesis, which many of us believed discredited beyond repair, was reaffirmed.

Political scientist Huntington wrote in 1993 that cultural divisions preclude a defining global civilization, and the West and the Muslim world would never share the same values.

Last month, Europe took two different actions that nonetheless sent the same message to the Muslim world: You are not our equals and are doomed to be judged by standards different from those by which we judge ourselves. Future historians might call January 23 the day when Europe irreversibly alienated not one, but both, pivotal powers -- Iran and Turkey -- that in all probability will dominate the political landscape of the Middle East for several decades.

One action was the European Union's decision to ban oil purchases from Iran, including imports of crude oil, petroleum products and petrochemical products, to force Tehran to negotiate away its uranium enrichment program, which Tehran insists is for civilian use only. This is the latest in a series of increasingly stringent sanctions that Western powers have unilaterally imposed on Iran. These sanctions go well beyond those required by the U.N. Security Council.

The EU sanctions attempt to hit the Iranian economy where it hurts most: Europe imports about a fifth of Iranian oil. When combined with a ban on transactions with Iran's Central Bank, this action is aimed at paralyzing the Iranian economy.

At the same time, the French Senate passed a law making it a crime to deny genocides that are officially recognized by France. The two genocides in this category are the Holocaust and the killing of 1.5 million Armenians in Anatolia during the last years of the Ottoman Empire. Because the denial of the Holocaust is already a crime under French law, the obvious objective of the bill is to criminalize the denial of the 1915 Armenian genocide.

The issue of Armenian genocide touches a very raw nerve in Turkey, which denies the scale of the killings -- Turkey maintains that roughly 500,000 Armenians were killed -- as well as the claim that it was planned. According to Turkey, the killings happened in the midst of the disarray accompanying World War I and the disintegration of the Ottoman Empire. Turkey says a nearly equivalent number of Turks and Kurds were also killed in inter-ethnic strife with the Armenians, who were allied with the Ottoman's Russian adversaries.

It's not the accuracy of the opposing claims that is at issue; it's Muslim perceptions. Iran may well be trying to develop nuclear weapons, and what amounts to an Armenian genocide may well have taken place. What roils Muslim opinion worldwide is the perception that the West uses blatant double standards to pass judgment.

Harsh sanctions on Iran are seen as an attempt to prevent a Muslim country from developing deterrents to attacks from Israel and the United States, both nuclear powers hostile to the Islamic Republic. Most Western discussions of the Iranian bomb do not make even passing reference to the well-documented Israeli nuclear capability, even as Israel threatens to militarily strike Iran's nuclear facilities. This omission is seen as hypocritical, dishonest and self-serving.

For many in the Muslim world, double standards explain why France singled out Turkey, and didn't criminalize the denial of other nations' crimes against humanity. Although denying Germany's crimes is a crime, the Holocaust is universally accepted as genocide, while Turkey's is not.

Many ask why disputing European massacres of non-European people is not criminalized -- such as the French actions in Algeria, as Turkish Prime Minister Erdogan has said. These would include the near-total extermination of native populations by European settlers in Australia, New Zealand, and North America.

They would include the killings of millions of people by the Belgian administration of the Congo Free State, whose population was halved during the early decades of Belgian rule. Most pertinent of all, Muslims ask, why not criminalize the denial of the genocidal Spanish Inquisition that led to the extermination, expulsion or conversion of the entire Muslim and Jewish populations of the Iberian peninsula?

Many Muslims perceive these moves as the West targeting Iran and Turkey in an attempt to prevent important Muslim countries from achieving the military capacity -- Iran -- and the political stature -- Turkey -- they deserve. Many see behind these moves the not-so-hidden hand of an ideology based on Huntington's theory of the clash of civilizations. Although these perceptions may not fully conform with reality, it is well established that perceptions count much more than reality in the conduct of international relations.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of Mohammed Ayoob.

@highlight

Mohammed Ayoob: Europe took actions that showed Muslims not viewed as equal

@highlight

He says one was ban on buying Iran's oil as part of sanctions for nuclear enrichment

@highlight

Other was French senate outlawing denial of Armenian genocide; Turkey denies it

@highlight

Ayoob: Many Muslims see these as alienating: double standards applied in judgment of them