London (CNN) -- Former German Chancellor Gerhard Schroeder once said to me, in the margins of a European summit: "There must be something weird about Britain that you have the press you have." There is.

Also, as I said to the Leveson Inquiry into the practices and standards of the British press set up in the wake of the phone-hacking scandal, one of Rupert Murdoch's Australian editors once said to me: "The British papers are the best in the world, and the worst in the world, sometimes in the same edition." That was an astute observation too.

Rupert Murdoch's titles drew most of the fire in the Leveson Inquiry, which also heard outrageous examples of how certain sections of the British newspaper industry treated both the powerful and the weak with contempt, and there are several court cases outstanding as a result of allegations of criminal activity.

In the wake of the inquiry many commentators -- and newspaper owners -- argued that any regulation that came out of it would have terrible implications for free speech in Britain. Despite concern among ordinary readers that much of Fleet Street is out of control, the government has yet to introduce formally the independent self-regulation of the newspaper industry recommended by Leveson. This week the Privy Council meets to decide on a course of action.

You'd have thought on that basis the press, if only for its own tactical reasons, might at least curb its worst excesses while that process reaches its conclusion, if not even learn the lessons of the public revulsion that accompanied what emerged at the inquiry.

But you'd be wrong. Two years ago it was Murdoch's News International that was up to no good. Now the Daily Mail is at the center of a storm as a debate rages following its publication of an article about Labour leader Ed Miliband's father headlined "The Man Who Hated Britain." The story was accompanied on the website by a picture -- later removed -- of Miliband Senior's burial plot captioned "grave socialist."

The Mail is certainly commercially successful, one of the few papers still to be selling in good numbers, and now with the most visited newspaper website in the world.

But many people in public life -- along with campaigners who protested outside the Mail's offices in West London -- now view the Mail Group itself as the worst polluter of standards and debaser of public life, something I have argued for many years.

One or two people -- though far fewer than those who have supported my attacks on him -- feel I have gone over the top in describing editor-in-chief Paul Dacre as the biggest poison in British public life, a bully, a hypocrite and a coward who won't even defend his actions in public. He is all of those things.

Even in his ludicrous attempts to get lackeys and minions out on TV justifying the attack on Miliband's dead father, he has claimed the Labour leader wants "state control" of the press and "politicians to decide what goes in newspapers." That is the opposite of what Miliband said to the Leveson Inquiry.

Other editors are furious at Dacre's tactical ineptitude, fearing that one possible consequence of the Mail's vicious attack on Miliband may be to bring about tougher regulation of Britain's press. In fact I think the politicians have sufficient commitment to freedom of the press not to allow this vicious row to sidetrack them from seeking to implement the kind of system both press and public can support. But what is clear is that it cannot have the bellowing voice of Dacre's papers setting the agenda.

I last spoke to Dacre in the last century, when I realised there was no point even trying to have reasonable or rational debate with him. As Deputy Prime Minister Nick Clegg pointed out last week, it is not just Labour that Dacre hates, he hates anyone and anything that does not fit with his narrow, twisted and in my view sociopathic view of the world.

The forefathers of the Daily Mail's owner, Jonathan Harmsworth, supported Adolf Hitler, and congratulated the Nazi leader on his annexation of Czechoslovakia. Today's Mail says this is irrelevant. Yet the basis on which they wrote a piece headlined "the man who hated Britain" was something Miliband's dad wrote in his diary when he was 17. Yet again, one rule for them, another for everyone else. Like when they complained on Wednesday that TV reporters were doorstepping their staff. Irony does not do this justice. On Sunday, it was also alleged the paper is owned through off-shore funds based in tax havens. So much for backing Britain!

When the Mail on Sunday was forced to issue an apology for their gate-crashing of a private memorial event for Ed Miliband's uncle this week, the editor said it was totally at odds with the values and practices of the paper. On the contrary it is totally consistent. They have operated like this for years.

As for Dacre, his career and his reputation are ending where I always knew basic British decency would ensure they would -- in the gutter to which he has dragged British journalism.

Paul Dacre and the Daily Mail have not replied to CNN's request for comment.

The opinions expressed in this commentary are solely those of Alastair Campbell.

@highlight

This week regulation of Britain's newspaper industry is back in the spotlight

@highlight

Alastair Campbell says in wake of hacking scandal, papers should be on good behavior

@highlight

Daily Mail's attack on Labour leader Ed Miliband's father threatens freedoms - Campbell

@highlight

He says Mail itself is worst polluter of standards and debaser in public life