(CNN) -- During the first presidential debate Wednesday night, the candidates talked a lot about how they would lower the cost of your medical care.

Heavy on data and large numbers, the debate may not have been the easiest to follow for Americans interested in the subject.

Ken Thorpe, an Emory University economist who specializes in health care costs, may have been one of the few excited by all these numbers.

"It was about as substantive a debate as I think we've ever seen," Thorpe said. "The problem is, even after this debate, I don't think people truly understand the similarities and the differences in what these candidates are proposing for health care."

Fact Check: Would repeal of Obamacare hike seniors' drug costs?

Here are five things you should know about what the candidates said about health care in last night's debate:

1. You do pay more for health insurance, but Obama's policy isn't totally to blame.

The first mention of health care came about six minutes into the debate. Discussing how "middle-income Americans have been buried" financially under the president's policies, Republican challenger Mitt Romney said health care costs have gone up by $2,500 a family.

Each year, health care costs have gone up during Obama's administration -- that is true. But experts say the increases have not been due to policy, but because of the rising cost of health care. The figure Romney used is not quite right.

The Kaiser Family Foundation, which conducts an annual survey of health care costs, found that since 2008 the average family premium has gone up about $1,698. For context, that is the total cost that you and your employer pay -- it's not $1,698 out of your pocket. In fact, the report said the increase you personally pay was not "statistically significant."

Rising health care costs are a significant problem, though. The same survey found that the average premiums for family coverage have increased a whopping 113% since 2001. That means the trend started long before President Barack Obama took office.

Romney takes debate to Obama over economy, health care

2. Medicaid and Medicare fraud is a huge problem and more needs to be done.

Obama's first specific reference to health care described how the administration pursued medical fraud in Medicare and Medicaid "more aggressively than ever before," which saved the system tens of billions of dollars.

Medicare and Medicaid fraud is what one expert called "one of the most profitable crimes in America." It costs taxpayers billions of dollars annually -- $60 to $90 billion a year, based on government estimates. That's money that could be better spent on taking care of actual health care costs.

Fact Check: Would Romney bankrupt Medicare by 2016?

Historically, it was up to states to police this problem, but the fraud grew too big for them to handle. A Republican-backed bill called the Deficit Reduction Act of 2005 created the Medicaid Integrity Program, which gives the federal government the ability to oversee and support states' anti-fraud efforts.

The Obama administration launched several key programs to protect against fraud. They have saved taxpayers billions; however, a Government Accountability Office investigation concluded that while progress has been made under Obama, more could be done.

In a report this June, in fact, it found at least one of the major programs -- an audit conducted by the government -- costs taxpayers $102 million, but only found $20 million in excess payments.

"They have certainly been increasing their work in this area," Thorpe said. "A certain kind of focus definitely did help eliminate some of this fraud."

Health care act's glaring omission: Liability reform

3. Sending Medicaid back to the states would save the federal government money, but cost states more and adversely impact those using the benefits.

Obama criticized Romney's idea of sending Medicaid back to the states. He argued that this would mean a "30% cut in the primary program (for) seniors who are in nursing homes, for kids who are with disabilities."

The plan GOP vice-presidential candidate Paul Ryan, as the head of the House Budget Committee, suggested in April -- which Romney adopted as his own -- would cut $1.4 trillion in Medicaid in the next 10 years. It would accomplish this by converting the program into a block grant that would in large part shift costs to the states, which Romney argued would give states more flexibility to do what they deem best to help their Medicaid population.

The nonpartisan Congressional Budget Office conducted an analysis of the proposal, which found that it would save the federal government a significant amount. Medicaid costs would be 49% lower by 2030 than current spending under Ryan's plan. That's because the block grant spending caps the cost and makes fewer adjustments.

The CBO concluded that while the federal government would save money, the states would "face significant challenges in achieving sufficient cost savings."

In Wednesday night's debate, Romney spelled out how he would adjust spending behind these block grants. "I would like to take the Medicaid dollars that go to states and say to a state, 'You're going to get what you got last year, plus inflation, plus 1%, and then you're going to manage your care for your poor in the way you think best,' " he said.

That formula doesn't account for rising health care costs (remember the cost of health insurance has gone up 113% since 2001), nor does it account for the aging population. With "baby boomers" getting older, there will be 63 million more people over 60 by the time 2030 comes around, according to U.S. Census projections.

Health care costs would go up significantly to accommodate this 20% increase in the number of people over 60 who will need more health care. Nor does Romney's formula account for economic downturns where more people would qualify for the Medicaid program, like the current government formula -- which would leave the states in a much more uncertain position.

The CBO analysis concludes about these block grants that these proposed cuts would "likely force states to scale back their Medicaid programs considerably." Since poor people, seniors, and people with disabilities make up the majority of those who receive Medicaid, "they'd be hit the hardest."

New report compares Obama, Romney health care plans

4. Romney's accusation that Obama cut Medicare by $716 billion is misleading.

In the debate, Romney said 10 times that Obama was paying for his health care package by taking the money from Medicare recipients' pockets, cutting $716 billion out of the program.

"To balance the additional cost of Obamacare is, in my opinion, a mistake," Romney said. In his closing statement, he promised to restore that amount.

Dozens of bipartisan fact-checkers say that number, often repeated by the Romney/Ryan campaign, is misleading.

Where does it come from? It's the figure mentioned in a letter from the Congressional Budget Office sent to House Speaker John Boehner in July. Boehner had asked for an analysis from the CBO if Congress could repeal Obamacare, something Romney said he would do if elected. "Spending for Medicare would increase by an estimated $716 billion" over the next decade, the analysis said.

That means Medicare would cost the government more. Obama's health legislation does not mean people will see cuts to their benefits. Hospitals and health care providers will, but that's what they agreed to in exchange for the Affordable Care Act's mandate that people have health insurance. If more people have health insurance, hospitals will have to care for fewer of the uninsured. Uninsured patients cost significantly more to care for than patients who are insured.

It is unclear what impact the cuts would have on the Medicare program. Romney argues providers will accept fewer Medicaid patients. In the debate he said, "Some 15% of hospitals and nursing homes say they won't take any more Medicare patients under that scenario (Obamacare)."

Medicare's own independent actuary, which it uses to analyze changes in the program, has warned that these planned cuts to pay providers' bills will force some doctors to stop accepting Medicare patients.

5. The Cleveland and Mayo Clinics do it better.

The candidates agreed during the debate that more needs to be done to control the cost of health care.

Obama praised the Cleveland Clinic as a model for new ways of controlling the cost of care. "They actually provide great care cheaper than average," he said. "And the reason they do is because they do some smart things."

One approach he highlighted was the collaborative approach of the clinic's doctors. Instead of each doctor ordering a different test, they meet and decide as a team how to approach the patient's problem. This prevents duplication. The team of doctors also provides preventive care.

Obama has held the clinic up as a model throughout his time in office. He visited it in 2009. It is a top-ranked teaching hospital that attracts patients from around the world. An analysis done by the Dartmouth Atlas of Health Care found that the Cleveland Clinic did treat Medicare patients for tens of thousands of dollars less than many other medical centers.

One of the big differences between the Cleveland Clinic and other hospitals is that it and other multi-specialty clinics like the Mayo Clinic in Minnesota employ their own doctors and can create these teams. In most traditional hospitals, doctors are independent private practitioners who are left to making their own choices.

Cleveland Clinic's success secret

Because Cleveland Clinic's doctors are paid fixed salaries, there is less incentive to do unnecessary tests or procedures compared to a doctor who works on a fee-for-service basis.

As of right now, Medicare acts a lot like those traditional hospitals do, Thorpe said. "If you take the typical patient who is chronically ill, they will be overweight or obese, they suffer from bad cholesterol, hypertension, asthma and diabetes -- that means they take 10 to 15 medications and there is no team-based care," he said.

"Going to separate doctors with their own plans is expensive. These integrated group plans work well and the ongoing preventive care they provide -- working with doctors, nutritionists, nurses, nurse practitioners and the rest -- ultimately save on costs."

Complete coverage of CNN's Fact Checks

@highlight

A survey finds average health care premiums for families are up 113% since 2001

@highlight

Medicare and Medicaid fraud remains a huge problem

@highlight

An accusation of $716 billion in Medicare cuts is misleading

@highlight

The Cleveland Clinic is held up as a success model