Atlanta (CNN) -- The number of people who have contracted a noncontagious form of meningitis linked to contaminated steroid injections soared to 91 Sunday, the Centers for Disease Control and Prevention said.

The reported figure jumped by 27 people in one day, while the death toll remained at seven.

Patients in nine states contracted the deadly fungal meningitis after being injected in their spine with a preservative-free steroid called methylprednisolone acetate that was contaminated by a fungus. The steroid is used to treat pain and inflammation.

What is meningitis?

The New England Compounding Center (NECC), the Massachusetts-based pharmacy that made the contaminated injections, voluntarily recalled three lots of the injected steroid last week.

On Saturday, the same pharmacy announced a voluntary nationwide recall of all its other products as well. NECC said that the new recall was being announced out of an abundance of caution and that there is no indication any of its other products are contaminated.

The Food and Drug Administration has already asked doctors, clinics and consumers to stop using any of the pharmacy's products. The pharmacy on Wednesday voluntarily surrendered its license to operate until the FDA investigation into the contamination is complete.

Health officials say 76 medical facilities in 23 states received the contaminated steroid injections from NECC. A list of the 76 affected medical facilities is on the CDC's website at www.cdc.gov/hai/outbreaks/meningitis-facilities-map.html.

The CDC raised the death toll Saturday after two people died in Michigan. Other deaths have been reported in Maryland, Tennessee and Virginia.

Tennessee is reporting the most number of overall cases -- 32 -- which includes three deaths, according to the CDC.

There are also confirmed cases in Florida, Indiana, Minnesota, North Carolina and Ohio.

The other states that received the contaminated products from NECC are California, Connecticut, Georgia, Idaho, Illinois, New Hampshire, New Jersey, Nevada, New York, Pennsylvania, Rhode Island, South Carolina, Texas and West Virginia.

Federal health inspectors began inspecting the NECC plant last Monday. Inspectors found foreign particles in unopened vials, and after testing one of the unopened vials, they determined the substance was a fungus.

The investigation is still under way.

Nearly 10% of drugs administered in the United States come from compound pharmacies, according to a 2003 Government Accountability Office report.

Drugs manufactured by compound pharmacies do not have to go through FDA-mandated premarket approval. Instead, state health pharmacy boards are responsible for the oversight and licensing of these pharmacies.

Compound pharmacists create customized medication solutions for patients for whom manufactured pharmaceuticals won't work, according to the International Academy of Compounding Pharmacists.

Meningitis is an inflammation of the protective membranes covering the brain and spinal cord. It is usually caused by an infection, frequently with bacteria or a virus, but it can also be caused by less common pathogens like fungi, according to the CDC.

Fungal meningitis is very rare and, unlike viral and bacterial meningitis, it is not contagious.

Symptoms of fungal meningitis are similar to symptoms from other forms of meningitis, but they often appear more gradually and can be very mild at first, the CDC says.

Dr. William Schaffner, chairman of the Department of Preventive Medicine at Vanderbilt University Medical Center, told CNN that fungal infections are not usually mild. He said when a fungus invades small blood vessels, it can cause them to clot or bleed, which can lead to symptoms of small strokes.

In addition to typical meningitis symptoms like headache, fever, nausea and stiffness of the neck, people with fungal meningitis may also experience confusion, dizziness and discomfort from bright lights. Patients might just have one or two of these symptoms, the CDC says.

Health officials say any patients who received an injection at one of the facilities beginning July 1 and who began showing symptoms between one and three weeks after being injected should see their doctor right away.

The earlier a patient gets treatment, the more likely he or she will survive.

Patients are treated with anti-fungal medication, which is given intravenously, so patients have to be admitted to the hospital, the CDC said. Patients may need to be treated for months.

The FDA is urging anyone who has experienced problems following an injection with the NECC product to report it to MedWatch, the FDA's voluntary reporting program, by phone at 1-800-FDA-1088 or online at www.fda.gov/medwatch/report.htm.

CNN's Miriam Falco contributed to this report.

@highlight

Tennessee has most reported cases with 32 people, three of whom have died

@highlight

Fungal meningitis is extremely rare, usually not mild

@highlight

Pharmaceutical maker has recalled all of its products

@highlight

CDC has compiled list of facilities that received contaminated injections