(CNN) -- French scientist Francoise Barre-Sinoussi almost didn't get the chance to make one of the greatest medical discoveries of the 20th century.

She shared the 2008 Nobel Prize in Physiology or Medicine with her colleague Luc Montagnier for identifying HIV, the virus that causes AIDS, a plague that has killed about 35 million people since the 1980s.

"Never before has science and medicine been so quick to discover, identify the origin and provide treatment for a new disease entity," according to the Nobel committee. Because of their discovery, scientists quickly developed a test for the virus. Their discovery also led to the development of drugs that dramatically increased the life expectancy of HIV-positive patients.

But had Barre-Sinoussi listened to one leader at the lab where she would eventually find fame, she may never have been a scientist at all.

Natural aptitude

Barre-Sinoussi has loved science since she was a girl. But coming from a family of modest means, she decided to forgo a more expensive medical school to take the research route at the Faculty of Sciences at the University of Paris.

But she says she ended up spending little time in class. "This is not the advice I would give young people. University is important," she warns. But she had another interest: She had fallen in love with lab work.

About two years into her studies, she grew tired of the theoretical. She wanted to test her mettle in a lab. "It just was not done at the time, but I wanted to try," she says. After dozens of rejections, she reached the famous virologist Jean-Claude Chermann at the Pasteur Institute. He made her an unusual offer.

"He said, 'OK, if you want to be a volunteer here part time, that would be fine with me,' " she recalls. She loved it immediately. "Suddenly, I understood that's what I really wanted to do."

Her research then focused on the same family of viruses as HIV. She worked to find a connection between retroviruses, cancer and leukemia in animals. Friends shared their class notes so she could study late nights and weekends while spending full days at the lab. Incredibly, she passed her exams with top marks. She stayed at Pasteur and earned her doctorate.

At the end of her Ph.D. program in the late '70s, she made an appointment with another head of the institute. She wanted to know if she could continue working there.

She remembers the indignant tone of the man's response. "He said, 'You are expecting to have a position at Pasteur?' I said, 'That is one of my dreams.' And he said, ' A woman in science, they never do anything. They are only good at caring for the home and babies. Forget this dream.' "

Instead, that conversation left her more determined to succeed. She went to do post-doctoral work at the National Institutes of Health in Bethesda, Maryland. About a year later, she won a large grant, which meant a return to Pasteur.

She returned to Montagnier's unit; his lab was one of the few still examining the connection between retroviruses and cancer. It was her dream job, and she's been doing it ever since, eventually becoming the head of the Virology of Retroviruses Unit in 1992. Nearly a decade earlier she performed the experiment that would change her life.

The year that everything changed

A clinician named Willy Rozenbaum delivered a lunchtime lecture at the hospital at Pasteur. He talked about a new mysterious disease that seemed to be rapidly killing his patients. Many were young gay men who should have been at their healthiest. At the end of the lecture, he asked, "Does anyone here deal with retroviruses?" No one responded, said Barre-Sinoussi, who wasn't at the lecture.

Rozenbaum went back to his clinic and complained to a friend that no one at Pasteur could help. His friend corrected him, telling him about the work of Montagnier and Barre-Sinoussi.

In December 1982, he met with their team and told them about the disease. Barre-Sinoussi says she and Montagnier had never heard of it then, but they agreed to do some research.

Everything they could observe in the clinic told doctors that the virus was attacking patients' immune cells, leaving them vulnerable to rare cancers and pneumonia. But there was a problem. As the disease progressed, it was hard to find enough CD4 lymphocytes, or T cells, to use in the lab tests. It made isolating the virus extremely difficult.

The following month, a patient agreed to let the researchers do a lymph node biopsy. Barre-Sinoussi tested the sample every two days for activity. The first week there was nothing, but in the second, there was weak enzymatic activity. It started to increase quickly but just as suddenly dropped. The T lymphocytes in the culture started dying.

"That was a really worrying day," Barre-Sinoussi says.

She changed out all the reagent chemicals they were using, but that didn't stop the T cells from dying. The team wasn't able to see the virus; it was getting away.

"So we knew it had to be something else," Barre-Sinoussi says. "We ran across the street to the blood bank and asked if we could get samples for our experiment. We knew it was urgent."

She added lymphocytes from the blood donation, and it worked. The virus was still there. The researchers knew because it started to infect the new lymphocytes from the blood donation and there was enough that a colleague was able to take the first actual image of the virus. The team named it lymphadenopathy-associated virus -- the name human immunodeficiency virus, or HIV, came later. The finding changed everything.

"I called my good friend in the United States, my former boss, and I told him what I thought we had and he joked with me and said, 'Throw it all away,' " Barre-Sinoussi remembers. " 'This discovery will change your life forever.' "

And it did.

Barre-Sinoussi and Montagnier quickly put a paper together about the results. It ran in the May 1983 issue of Science. She presented her findings at an international conference and was invited to talk about her results at the National Institutes of Health and the CDC.

"So many people ask me if we were excited about the discovery, but so many young people were dying," Barre-Sinoussi says. Hospitals were too afraid to accept patients because they didn't know how the virus spread.

She recalls seeing young men in Paris with telltale signs of the illness. Others, including the actor Rock Hudson, heard about the lab's discovery of HIV and came to Pasteur. Some of them, she says, had only a suitcase and often no money.

"They just wanted to be close to the place that made the discovery," she says. "We knew we had to work to do, and it was urgent."

At the same time, an American lab claimed to have discovered the virus. A large legal battle and diplomatic fight raged for years. Ultimately, after French and American heads of state intervened, in 1987 they were all named co-discoverers and split the royalties from the blood test. The Americans, however, did not win the Nobel Prize.

In 2008, when the Nobel Prize winners were about to be announced, the Nobel committee couldn't find Barre-Sinoussi to tell her. She had been working with doctors in Cambodia. Ever since she co-discovered the virus, she had traveled the world to try and help health professionals understand HIV better.

She says the Nobel committee called her lab and her home without luck. A reporter tracked her down first.

"When I picked up my mobile, she said, 'Francoise, have you heard?' and then she started to cry," Barre-Sinoussi says. "I thought something tragic had happened. I had already lost my husband that year and thought someone else must have died." These were tears of happiness, the journalist said, delivering the Nobel news. Barre-Sinoussi says she couldn't believe it. "It was like a dream," she says.

No resting on her laurels

Some people might retire after such an honor but not Barre-Sinoussi. She has used her fame to open more doors. She is president of the International AIDS Society and continues working with clinicians, patients and activists -- particularly those from the gay community and those who try to help people in the developing world -- as they fight to eliminate the stigma of the disease and get patients the care they need.

"This is a good thing of the Nobel Prize -- it is easier for me to get an appointment with the first lady or the president of the country," Barre-Sinoussi says. "It gives me the opportunity to try to be the voice for others. This is something that for me seems to be my responsibility, my duty."

She says she has high hopes for a vaccine, noting that recent developments show some promise. "A total cure -- the total eradication of the virus will be extremely difficult if not impossible," she says. "Although in my language we say 'impossible' is not French, so I cannot say impossible."

The attention her discovery has brought Barre-Sinoussi has changed everything, just like her friend warned, she says. It even won over the man who told her at the start of her career that a life in science would be impossible for a woman. He contacted her many years after the HIV discovery.

"He called me to congratulate me and said how impressed he was," she says. "After a while of him saying these positive things, I finally interrupted him and said, 'You mean, because a woman can actually do something in science?'

"Of course, he did not understand. He did not remember saying anything. I told him what he said. He couldn't believe it. He said he felt so bad. 'But you did,' I told him. 'You did.' And I'm so glad I did not listen."

@highlight

Francoise Barre-Sinoussi co-discovered HIV, the virus that causes AIDS

@highlight

Barre-Sinoussi shared the Nobel Prize for her work in 2008

@highlight

A male colleague once told her that women in science "never do anything"