(CNN) -- While the visiting national news media focuses on the latest utterances of Republican presidential hopefuls in advance of the January 3 caucuses, many Iowans have found a bone to pick with a journalism professor -- from the University of Iowa, no less -- who wrote: "Whether a schizophrenic, economically depressed, and some say, culturally challenged state like Iowa should host the first grassroots referendum to determine who will be the next president isn't at issue. ... In a perfect world, no way would Iowa ever be considered representative of America, or even a small part of it. Iowa's not representative of much."

Iowans are wondering what they did to incur the wrath of Stephen G. Bloom, who for 20 years has taught journalism at the state's flagship university and shared his observations in an article for The Atlantic magazine titled "Observations from 20 Years of Iowa Life."

It may be a good thing that Bloom, a native of New Jersey, has been away teaching this semester at the University of Michigan because in trying to explain "in both a real and metaphysical way, what Iowa is," he has drawn the ire of Iowans literally from all corners of the state -- from Sibley and Keokuk (whose mayor has invited him to visit and explain the "a depressed, crime-infested slum town" remark) to Decorah to Shenandoah.

In the interest of full disclosure, many of my childhood vacations (including winter) were spent visiting my mother's parents in Iowa. I graduated from a college in Iowa, and my first full-time job in journalism was at a newspaper in Iowa, so I admit to a certain fondness for the state. And every four years, as the political spotlight shines on Iowa, I share with colleagues whatever helpful insights I can muster.

Blitzer's blog: Turbulence in Iowa

The state is not one large cornfield, but driving along Interstate 80, it can appear that way for long stretches. Visit northeast Iowa along the Mississippi River for proof that the state is not flat.

Iowa's farms not only help feed the United States, but also much of the world, connecting this piece of "flyover country" to a global view. Still, economists report that agriculture only accounts for roughly one in five jobs in the state.

Iowans may be older (the average age continues to increase), whiter and more rural than the United States in general, but its Latino population is increasing and more of its residents are moving to urban areas. Iowa boasts being among the most literate states in the union (though some years ago state officials abandoned a plan to make "Iowa: A State of Minds" its license plate slogan).

Politically, over the years Iowans have elected some of the most liberal and some of the most conservative members of Congress.

Critics cite numerous examples of a snide tone in Bloom's writing. Consider his assessment of employment prospects in rural Iowa: "Those who stay in rural Iowa are often the elderly waiting to die, those too timid (or lacking in educated) to peer around the bend for better opportunities, an assortment of waste-toids and meth addicts with pale skin and rotted teeth, or those who quixotically believe, like Little Orphan Annie, that the sun'll come out tomorrow."

What makes Iowa's GOP caucuses unique

And while they wait for that sun to come out, Bloom suggests, these Iowans spend their days stepping in manure from barnyard animals and stuffing their gullets with meat loaf, pork chops and Jell-O molds before heading out to a tractor pull or church.

Bloom makes nary a mention of the distinguished academics at the state's universities and colleges, its art museums and orchestras nor even the obvious upgrades to the capital city of Des Moines during the past 20 years.

Where he says that "Iowa is a throwback to yesteryear and, at the same time, a cautionary tale of what lies around the corner," critics find many of Bloom's observations to be throwbacks to an Iowa that no longer exists. Many also say there are factual inaccuracies in the article.

Sally Mason, president of the University of Iowa, which employs Bloom, objected.

"I disagree strongly with and was offended by Professor Bloom's portrayal of Iowa and Iowans. Please know that he does not speak for the University of Iowa. As president of the university, I have the opportunity to travel far and wide across this great state frequently, and the Iowa I see is one of strong, hard-working and creative people. In this cynical world that can harden even the greatest optimist, the citizens of Iowa continue to believe," Mason responded to The Atlantic.

"What defines Iowans are their deeds and actions and not some caricature. When I travel the state, what I see is a land that is rich not only because of its soil but because of how its people are grounded. Iowans are pragmatic and balanced, and they live within their means. This lifestyle, while not glitzy, is humble and true and can weather the most difficult of times," Mason said.

Sports editor Pete Temple of the Monticello Express newspaper agreed with some parts of Bloom's article, but suggested that "rather than having some good-natured fun with the quirks and traditions that make rural Iowa life so unique, Bloom's tone is condescending, apparently designed to mock rural Iowa in front of the rest of the nation."

Bloom, he wrote, "fails to mention one of rural Iowa's greatest qualities, which is its ability to rise up and come together for someone in need. You have farmers completing a harvest for a neighbor, fund-raisers for families of ill or injured residents, and citizens filling sandbags to ward against an impending flood. Rural Iowans do these things willingly, immediately, and without question. If that's not representative of our nation as a whole, that's a shame."

Dean Klinkenberg, who writes about life along the Mississippi River, offered this scathing assessment: "Bloom wrote a poorly reasoned article plagued by factual errors and loaded with big-city stereotypes of country folk. His essay was, ultimately, a lazy piece of incendiary rubbish, which I guess is what passes for journalism today."

Bloom shared some of his "fan mail" with media commentator Jim Romanesko, including this excerpt: "First I want to apologize for Iowans who may have threatened you. I am a dental student here at the university and grew up in a small Iowa town my whole life (Palo) before coming here. I agree that we have our problems as Iowans but one thing we are is fiercely loyal. Your article is true (for the most part) about rural Iowans but anyone from here, esp us city folk, are going to be upset by that stereotype."

Bloom defended his work in a letter to the Press-Citizen newspaper in Iowa City.

"Perhaps my article gave some Iowans a moment to refocus their attention elsewhere -- from some of the real issues confronting the state -- Walmart taking over the retail-trade sector, empty storefronts, water pollution among the worst in the nation, factories shutting down, the state's brain drain, undocumented workers taking minimum-wage jobs in the state's under-regulated slaughterhouses, not to mention the tragedy that anyone can see walking into the state's casinos.

"I'm a proud journalist. I still believe in the adage, 'Comfort the afflicted, and afflict the comfortable.' Today, much of the state is afflicted by a ravaged economy. Iowa's population growth has flat-lined. But I guess it's just more comforting to some Iowans to condemn me for pointing out these issues and others."

I'll give the last word to Lydia Waddington, a native Southerner who was editor of recently closed Iowa Independent.

Of her adopted home state, Waddington wrote, also in The Atlantic, "It's a way of life trying desperately to sustain itself and justify its own existence. It is battling against national stereotypes that no longer apply while facing newer and much more lethal challenges.

"It's picturesque scenes of idyllic farms and country roads glimpsed through a car window. It's everyone believing they know who and what you are before they go fishing with you and the shirt comes off. As Professor Bloom admits in his own writings, he never took up fishing. Bless his heart."

@highlight

Iowa professor questions state's first-in-the-nation role in presidential campaigns

@highlight

Stephen G. Bloom: "No way would Iowa ever be considered representative of America"

@highlight

His criticisms draw stinging rebuttals from outraged readers who say he misses the point

@highlight

University president retorts: "Iowans are pragmatic and balanced"