(CNN) -- On Sunday, November 2, it will again be the end of Daylight Saving Time. Many of us will be muttering to ourselves as we wander around resetting all of our various clocks -- on the thermostat, clock radio and stove, among other places.

Sure, you'll get an extra hour of sleep by turning back the clock by an hour in the fall. But if you have a regular day job, you'll be commuting home in the dark instead of in daylight come the following day.

Why do we do this every fall? And why do we dial forward the clock by an hour every spring?

Daylight Saving Time has been around for a good part of 20th century, but there's no really good reason why we should continue with the status quo.

The U.S. government started moving into and out of "Daylight Saving Time" during World War I to copy the Germans, who said they were doing it to save fuel. When the war ended, the U.S. government wisely repealed the law since it proved unpopular.

During WWII, it came back -- again with the notion that it would somehow conserve resources. After the second war, the U.S. converted factories from making bombs to making cars and consumer products. The GIs came home. But Daylight Saving Time just stuck around.

Numerous polls show that people want to stay in Daylight Saving Time year round, or at least just stick with either Standard or Daylight time and stop switching clocks around. Two states, Arizona and Hawaii, already keep their clocks the same all year long.

We may have reached a tipping point to end the clock-changing madness.

First, the U.S. Department of Energy issued a report in 2008 that examined the impact of extended Daylight Saving Time. A four-week extension would save approximately 0.5% of electricity per day for the country. Put in perspective, it's enough energy to power 100,000 households for a year.

The second strong case for staying in Daylight Saving Time year round is that we can save lives. A recent study shows the switching of clocks in the spring causes a 25% jump in heart attacks in the few days following the switch, confirming earlier research that point out the shift in time can disrupt the quality of sleep and biological rhythms.

Taking away an hour of sleep and jolting you awake in the predawn darkness is simply bad for your health, especially if you are elderly or have a heart condition, researchers noted.

So here's the question: If you have a chance to save lives and save electricity, would you do it?

Sure you would, right? But you haven't, and neither have I. Why? Maybe because we're all a little too sleep deprived and discombobulated to do something after all that clock-changing.

Last year, a member of the Missouri legislature proposed moving the state to permanent Daylight Saving Time if 19 other states would join its effort. The state House voted to approve the measure, HB340, but it didn't go anywhere in the Senate.

The idea is smart and worth revisiting. The hard part is how to get this more traction. Here's an alternative proposal: Legislatures pass a bill whereby if at least 31 other states pass similar bills, their state will then switch to permanent Daylight Saving Time. With Arizona and Hawaii already in, that adds up to two-thirds, or 33, states. Thirty-three is the number of states needed to pass a constitutional amendment, and while this is not a constitutional issue, it seems like a good standard to meet.

So how can we convince all these local governments to take on this initiative?

We need help from students, who can create interdisciplinary projects combining science, math, social studies and government, to show why we need to get rid of this outdated concept. If we all pitch in a little, we'll be able to save energy and lives.

In short, it's about time.

@highlight

On Sunday, November 2, it will again be the end of Daylight Saving Time

@highlight

Scott Yates: Stop the clock-changing madness and move to permanent Daylight Saving Time

@highlight

He says extending Daylight Saving Time could save energy and reduce heart attacks

@highlight

Yates: Let's try to get at least 31 states to form a pact to keep Daylight Saving Time