Princeton, New Jersey (CNN) -- Since the Democrats chose to host their convention in Charlotte, North Carolina, in a state that has not been hospitable to unions, organized labor is going to have a rally to focus attention on its key issues in Philadelphia on August 11.

The rally is meant to send a message to the Democratic leadership, as well as to Republicans, that many workers feel as if they don't have a voice in the two-party system. As AFL-CIO President Rich Trumka said to members, the rally will "give us an opportunity to connect the faces of ordinary Americans to the basic issues affecting working people in our country while providing an important liftoff to our Labor 2012 political program for the fall."

The rally is indicative of a larger tension that has plagued the Democratic coalition for several decades. Since the 1960s, organized labor, once the pillar of the Democratic Party, has often been taken for granted or even treated with hostility.

Senate Republicans block DISCLOSE Act for 2nd straight day

Union leaders frequently complain that they have second-class status in the party compared with other groups such as environmentalists or suburban voters. During the battle over public employee unions in Wisconsin, most national Democrats were noticeably absent from the debate. Before the Wisconsin gubernatorial election that followed the recall, President Obama was willing to tweet his support for Gov. Scott Walker's opponent, Tom Barrett, but unwilling to actually visit.

This fissure has high costs for the Democrats and for liberalism more generally. Organized labor has been integral to the organizational strength of liberalism throughout the 20th century, as the most reliable and powerful force to get out the vote in elections and to help build congressional coalitions behind progressive legislation.

The alliance, which formed when the AFL helped President Woodrow Wilson during the early stages of World War I, flourished during the New Deal. Democrats won the support of workers as a result of the surge of legislation that helped working- and middle-class Americans find economic security.

The Wagner Act (1935) cemented this marriage as the federal government legitimated the right of workers to organize in unions. Labor leaders like Sidney Hillman from the Amalgamated Clothing Workers of America, who helped found the CIO, established the first political action committee to help FDR win re-election in 1944. During World War II, most of the major unions were a key part of the homeland effort, assisting the administration as it moved to convert factories to wartime production.

In 1948, President Harry Truman would not have won re-election had it not been for organized labor, which in the final weeks of the campaign mobilized its troops to defeat New York Gov. Thomas Dewey. "Labor did it!" cried Truman, who won the vote of 89% of the automobile workers, recounted historian Nelson Lichtenstein.

Although a Republican was in the White House for most of the 1950s, organized labor helped a growing number of liberal Democrats win office in the House and Senate. They promoted proposals for civil rights and health insurance for the elderly that gradually gained support in the House and Senate.

In addition to supporting Lyndon's Johnson's election campaign in 1964, the AFL-CIO, which had formed in 1955 when the two major coalitions of unions decided to merge, proved integral to lobbying for Johnson's domestic proposals. George Meany, the president of the AFL-CIO, and Walter Reuther, the vice president of the AFL-CIO and the head of the United Auto Workers, were regular visitors to the White House, helping Johnson not only with bills directly related to labor but with other parts of his domestic agenda, ranging from the War on Poverty to civil rights.

When he feared there were not enough votes among Democrats for the war on poverty, LBJ relied on organized labor to pressure business in Pennsylvania to push liberal Republicans in the state to support the bill. Even Jimmy Carter, who in 1976 ran as an outsider and railed against traditional Democratic interests, depended on unions to bring out the vote and on unionized workers to vote for him in key industrial states for his victory on election day.

The relationship between labor and Democrats frayed after the 1970s. One of the reasons was that organized labor simply lost much of its muscle. Membership declined dramatically from the highs of 30% of the work force in the 1950s and the 1960s to a little over 12% today. With fewer members, more Democrats were tempted to look elsewhere to build their electoral muscle.

Organized labor also suffered as Democrats reached out more aggressively to different constituencies, middle class suburbanites, consumer activists, young Americans and African-Americans, who didn't have as much connection to unions and often saw them as an "entrenched interest" that didn't have the best interest of the party in mind.

These tensions started to play out in the 1972 election, when Meany endorsed Richard Nixon rather than Democrat George McGovern. Some working-class Americans proved to be more conservative on cultural issues and often opposed to civil rights policies that Democrats had promoted. And some union leaders felt that Democrats were becoming too dovish on foreign policy.

The tensions continued to affect the electorate through the 2008 primary, when Hillary Clinton tried to appeal to working-class Democrats who felt that Obama favored other factions in the party.

Finally, the expansion and strengthening of the lobbying world since the 1970s vastly increased the number of interest groups who favored business. These groups provided financial support to members of both parties and often made it difficult for Democrats to take a pro-union stand.

But Democrats can't afford to lose the enthusiastic support of organized labor. Of all the groups in the Democratic coalition, labor remains the one with the greatest ground force and organizational strength -- and which represents a constituency rather than a particular issue (like the environment) -- that can help Democrats sustain a broad coalition.

During Obama's struggle with Congress over health care, labor was essential in the final days of the congressional vote to convincing unhappy liberals to support a bill even without a public option. In this election, labor will be integral in the handful of swing states that will determine the outcome. With heightened economic inequality and high rates of unemployment, unions have the ability to have even greater resonance with the electorate.

Obama and the Democratic Party will suffer unless the party starts to demonstrate that the concerns of working Americans are more than campaign rhetoric but are, in fact, a defining feature of their party.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Unions are planning rally August 11 to promote agenda before conventions

@highlight

Julian Zelizer: Labor believes neither party has acted with their best interest in mind

@highlight

For decades, Democrats have had a standoffish attitude to labor unions, he says

@highlight

Zelizer: Democrats must have labor's support, with all of its organizational power