(CNN) -- While following their favorite soccer teams in preparation for the 2014 World Cup, fans in Brazil may have glimpsed one of the largest public health campaigns ever organized by the country's Ministry of Health.

"Dengue Mata" or "Dengue Kills" is the key message being pushed in print materials and TV commercials. Brazilian health officials hope the campaign will encourage local citizens to clean up areas around their homes to reduce mosquito breeding grounds, and that doing so will reduce the risk of the mosquito-transmitted virus that causes dengue fever.

The 2014 World Cup host country has reported the most cases of dengue in South America over the past 30 years, including four deaths attributable to the disease in January and February.

Because there is no vaccine or specific treatment, prevention is paramount.

'Indescribable, crazy pain': Surviving dengue fever

Risks for U.S. travelers

"It's difficult for anyone to put any number on the level of risk," said Lt. Cmdr. Tyler Sharp, an epidemiologist at the Centers for Disease Control and Prevention's dengue branch in San Juan, Puerto Rico. "The important thing to remember is that all regions of Brazil every day, every week and every year have transmission (of dengue)."

Most dengue virus infections occur in and around homes, Sharp said, so tourists in air-conditioned hotels have a relatively low risk of infection. Travelers staying with friends and relatives in their homes are at a higher risk.

Could the virus make it back to U.S. soil? Sharp said it would be a rare event, but the virus could be spread from an infected traveler to any state with a mosquito presence.

Dengue fever is not unheard of in the United States. In 2013, 137 cases were reported in Florida. Of those cases, 114 involved a person who had traveled to a dengue endemic country (including Brazil) in the two weeks before onset, according to the Florida Department of Health.

U.S. hospitalizations for dengue fever tripled in seven years

Dengue symptoms include high fever, severe headaches, pain behind the eyes, muscle and joint pain, nausea, vomiting and swollen glands. It is potentially fatal because of fluid accumulation, respiratory distress, severe bleeding or organ impairment.

Individuals with diabetes, obesity, cardiovascular disease or asthma have a higher risk of developing a more severe illness if infected. People who are older or have had previous exposure to one of the four dengue viruses are also more at risk.

For protection, the CDC recommends using a bug repellent at dawn and dusk that includes either DEET, picaridin, oil of lemon eucalyptus or IR3535 as the active ingredient. Sunscreen should be applied first and insect-repellent second. Wearing long-sleeved shirts and pants and sleeping in screened or air-conditioned rooms are other strategies for avoiding infection.

Dengue at the World Cup

An analysis published in Lancet Infectious Diseases in May looked at the climate forecast for dengue fever during the 2014 World Cup. Researchers analyzed past behavior of the virus to determine high-risk areas, which include the cities of Recife, Fortaleza and Natal, where many countries, including the United States, have matches.

Even though three of the tournament cities pose a higher risk, according to the Brazilian Federal Government, the World Cup falls during a time of year that typically sees a 74% reduction in dengue fever cases across the country.

"The one thing in our favor is that it is winter in Brazil," Sharp said.

The risk of infection and outbreak are based on several factors, including the number of mosquitoes (based on climate and presence of standing water needed for breeding) and a susceptible population.

The Pan American Health Organization says inadequate sewage disposal and water supply issues in residential areas are part of the reason Brazil has a heightened dengue risk. Unplanned city growth in the country is also increasing the spread of the disease.

Thousands hit by Brazil outbreak of dengue

Brazil travelers should also protect themselves against hepatitis A and B, yellow fever, typhoid, meningitis, malaria, rabies and diarrhea, the CDC says.

5 ways to stay healthy while traveling abroad

Mosquito-borne virus chikungunya worries CDC

@highlight

Brazil has reported the most cases of dengue fever in South America over last 30 years

@highlight

High-risk cities are Recife, Fortaleza and Natal, studies say

@highlight

Many U.S. dengue cases involve travel to a dengue-endemic country

@highlight

Hepatitis A and B, yellow fever, typhoid and malaria are also concerns during World Cup