The U.N. Security Council, capping a dramatic month of diplomacy, voted unanimously late Friday to require Syria to eliminate its arsenal of chemical weapons -- or face consequences.

"Today's resolution will ensure that the elimination of the Syrian chemical weapons program happens as soon as possible and with the utmost transparency and accountability," Secretary-General Ban Ki-moon said.

The U.N. resolution was based on a deal struck this month between the United States and Russia that averted an American military strike over allegations the Syrian government used sarin nerve gas in an August 21 attack on a Damascus suburb that U.S. officials said left at least 1,400 people dead.

The resolution did not authorize the automatic use of force if Syria is said to be in violation, as was previously sought by the United States.

The 15-member Security Council met shortly after the Organisation for the Prohibition of Chemical Weapons, or OPCW, voted to fast-track Syria's addition to the Chemical Weapons Convention, which bans such weapons.

For nearly two years, the U.N. Security Council had been unable to reach a consensus over what to do to bring about an end to Syria's civil war. Russia and China repeatedly vetoed resolutions dating back to October 2011 that condemned President Bashar al-Assad's government and called for him to step down.

The turnaround came this month, when Russia called for Syria to divest itself of its chemical weapons arsenal after U.S. President Barack Obama accused Syria of crossing a "red line" with the use of nerve gas and threatened a strike.

Syria announced this month that it was willing to join the agreement.

A binding obligation

Both the United States and Russia warned that if Syria failed to adhere to the terms of the U.N. resolution, it would face consequences.

U.S. Secretary of State John Kerry said the world community was imposing a binding obligation on the government of al-Assad to get rid of its stockpile.

"This resolution makes clear that those responsible for this heinous act must be held accountable," said Kerry.

If the resolution succeeds, the world "will have eliminated one of the largest chemical weapon arsenals on Earth, eliminating it from one of the most volatile places on Earth," Kerry said.

Russian Foreign Minister Sergey Lavrov told the council that his country, long an ally of the Syrian government, "will stand ready to take action" if the resolution needs enforcement.

By agreeing to dismantle its chemical weapons program and provide documentation of its arsenal, "Damascus has shown its readiness to cooperate," said Lavrov.

Syrian U.N. Ambassador Bashar Jaafari said the resolution holds all parties in Syria accountable for the use of chemical weapons.

Inspectors return to Syria

U.N. weapons inspectors returned to Syria this week to look into at least a half-dozen claims of chemical weapons use -- some allegedly by the government, others allegedly by rebels.

U.N. inspectors have already confirmed the use of chemical warfare in the rural Damascus suburb of Ateibeh in August, but have not explicitly said who was responsible.

The al-Assad government has repeatedly accused rebels of using chemical weapons, an assertion that has been widely dismissed by most Western leaders.

The United Nations estimates more than 100,000 people have died since March 2011 when a brutal government crackdown against protesters devolved into an all-out civil war.

The Security Council vote followed action by the executive council of the OPCW, meeting in the Netherlands. That group adopted its measure by consensus in about 10 minutes.

"We now have a legal mandate to start a verification mission in Syria," OPCW spokesman Michael Luhan.

The OPCW agreed to an "accelerated program for achieving the complete elimination of Syria's chemical weapons by mid-2014," it said in a statement. Inspections in Syria will begin Tuesday.

"The decision also calls for ambitious milestones for destruction, which will be set by the council by 15 November," the organization said.

Obama: 'Very hopeful'

Obama, speaking before the votes, said he was "very hopeful" about the developments, but warned much work remains to be done.

"I think, rightly, people have been concerned about whether Syria will follow through on the commitments that have been laid forth and I think there are legitimate concerns as to how technically we are going to be getting those chemical weapons out while there's still fighting going on the ground," Obama said.

Obama said the threat of U.S. military power pushed Syrian leaders to agree to destroy their chemical weapons and said the resolution "not only deters and prevents additional chemical use but actually goes beyond what could have been accomplished through any military action."

The OPCW plans to send an advance team of inspectors to Damascus, an official with the organization, who declined to be identified while discussing delicate operations, told CNN on Friday.

The official said that in order to meet international deadlines for destruction of Syria's chemical weapons, the group may opt for a "quick and dirty" program that would render the weapons unusable but wouldn't destroy them, the official said.

U.S. official: Syrian CW list more complete than anticipated

'Not a license to kill'

Russian Defense Minister Sergei Shoigu has said his country is willing to transport and destroy Syrian chemical weapons, although only as part of an international coalition.

Russian President Vladimir Putin earlier in September took to The New York Times to argue against military intervention in Syria.

Striking Syria would have many negative ramifications, Putin argued in the piece, including the killing of innocent people, spreading violence around the Middle East, clouding diplomatic efforts to address Iran's nuclear crisis and resolve the Israeli-Palestinian conflict and "unleash(ing) a new wave of terrorism."

In his remarks Friday night, Ban called on both the Syrian government and rebels to stop the fighting.

"As we mark this important step, we must never forget that the catalog of horrors in Syria continues with bombs and tanks, grenades and guns," he said. "A red light for one form of weapons does not mean a green light for others.  This is not a license to kill with conventional weapons."

Syria submits 'initial disclosure' of chemical weapons program

'No meaningful enforcement mechanisms'

Two Republican U.S. senators criticized the Security Council vote, saying it will do little to end the civil war.

"This resolution is another triumph of hope over reality," John McCain and Lindsey Graham said in a statement. "It contains no meaningful or immediate enforcement mechanisms, let alone a threat of the use of force for the Assad regime's noncompliance."

The pair said al-Assad's forces will continue to "use every weapon in their arsenal short of chemical weapons" on the Syrian people while receiving outside assistance from Russia, Iran and Hezbollah while doing so.

@highlight

Syria says chemical weapons resolution applies to all parties

@highlight

U.S., Russia warn of consequences if Syria does not abide to resolution

@highlight

Kerry says world community imposing binding obligation on Syria

@highlight

Another body agrees to fast-track Syria entry into Chemical Weapons Convention