WASHINGTON (CNN) -- House Speaker Nancy Pelosi said Sunday that she intends to move ahead with a vote on a resolution that labels the deaths of more than a million Armenians during World War I as genocide.

The resolution has strained U.S. relations with Turkey and drawn criticism from the Bush administration.

"This resolution is one that is consistent with what our government has always said about ... what happened at that time," Pelosi said on ABC's "This Week."

When asked about criticism that it could harm relations with Turkey -- a key ally in the war in Iraq and a fellow member of NATO -- Pelosi said, "There's never been a good time," adding that it is important to pass the resolution now "because many of the survivors are very old."

"When I came to Congress 20 years ago, it wasn't the right time because of the Soviet Union. Then that fell, and then it wasn't the right time because of the Gulf War One. And then it wasn't the right time because of overflights of Iraq. And now it's not the right time because of Gulf War Two.

"And, again, the survivors of the Armenian genocide are not going to be with us."

But White House Spokesman Tony Fratto said bringing the resolution to a vote "may do grave harm to U.S.-Turkish relations and to U.S. interests in Europe and the Middle East."

Turkey's top general warned Sunday that ties with the United States will be irreversibly damaged if Congress passes the resolution, The Associated Press reported.

Turkey has recalled its ambassador from Washington for consultations and warned of cuts in logistical support to the United States over the issue. The recall is only for a limited period of time, said a U.S. State Department official who talked to the ambassador.

"If this resolution [that] passed in the committee passes the House as well, our military ties with the U.S. will never be the same again," Gen. Yasar Buyukanit told the daily Milliyet newspaper, according to AP

The House Foreign Affairs Committee voted 27-21 Wednesday to approve the nonbinding measure, which declares the deportation of nearly 2 million Armenians from the Ottoman Empire between 1915 and 1923 was "systematic" and "deliberate," amounting to "genocide." The deportations led to the deaths of an estimated 1.5 million people.

But Sunday, Pelosi stood by her previous assertion that the measure would be taken to a full vote if it passed the committee.

Newly installed chairman of the Joint Chiefs of Staff, Adm. Michael Mullen, tried to calm tensions by phoning his Turkish counterpart shortly after Wednesday's vote.

Mullen told Gen. Yasar Buyukanit, Turkey's chief of staff, that the Pentagon is working hard to inform Congress of what the military implications might be if the Turks were to respond by cutting off U.S. access to the air base at Incirlik in Turkey.

Seventy percent of U.S. air cargo bound for Iraq passes over or through Turkey.

The Armenian government and Armenians around the world, including many Armenian-Americans, have been pressing for international support for their contention that Armenians were the victims of genocide at the hands of the Ottoman Turks.

The Ottoman Empire disintegrated in 1923, replaced by the modern republic of Turkey, where the Armenian issue remains sensitive. Turks reject the genocide label, insisting there was no organized campaign against the Armenians and that many Turks also died in the chaos and violence of the period.

Though predominantly Muslim, Turkey, which borders both Europe and Iraq, is secular and pro-Western. In addition to its membership in NATO, Ankara is also seeking to become a member of the European Union.

Speaking later on ABC's "This Week," Senate Minority Leader Mitch McConnell denounced the House committee's vote -- despite agreeing with the assertion that the killings amounted to genocide.

"I think it's a really bad idea for the Congress to be condemning what happened 100 years ago," the Kentucky Republican said Sunday. "We all know it happened. There's a genocide museum, actually, in Armenia to commemorate what happened.

"But I don't think the Congress passing this resolution is a good idea at any point. But particularly not a good idea when Turkey is cooperating with us in many ways, which ensures greater safety for our soldiers."

Republican Sen. Lindsay Graham echoed those comments on CNN's Late Edition.

"I'm not worried about World War I. ... I'm worried about what I think is World War III, a war against extremists, and Iraq is the central battle front and Turkey has been a very good ally," Graham said Sunday.

"We've had problems with Turkey, but the problem that Turkey has with the northern part of Iraq, if you think it is bad now, let the country fail."

Turkey has engaged in ongoing cross-border skirmishes with rebels from the Kurdistan Workers Party, or PKK, which launches raids from northern Iraq. The recent killings of Turkish soldiers brought the conflict to a boiling point, and Turkey's parliament may consider a motion to approve cross-border incursions into northern Iraq as early as this week.  Watch how the rebels are straining U.S.-Turkish relations »

The United States and the EU have designated the PKK a terrorist organization. The U.S. State Department has urged Iraq to crack down on the PKK, though some Turkish officials have said Washington has failed to take decisive action. E-mail to a friend

@highlight

Turkey's top general warns that ties with U.S. will suffer if resolution passes

@highlight

White House says labeling deaths genocide would harm relations in region

@highlight

Pelosi says "there has never been a good time" for this resolution

@highlight

Deportation of Armenians after WWI resulted in estimated 1.5 million deaths