WASHINGTON (CNN)  -- Barack Obama, who shot from obscurity to fame based on a single speech and then captured the White House in a campaign marked by soaring rhetoric, delivered a restrained, sober inaugural address Tuesday.

American patriot Thomas Paine seems to have informed some of the spirit of President Obama's inaugural speech.

Gone was the mantra-like "Yes we can" chanted by supporters, which Obama invoked as a refrain right through his victory speech on Election Night.

Largely absent, too, were citations from the two historical figures on whose shoulders Obama stood Tuesday -- Abraham Lincoln and Martin Luther King Jr., both of whom he quoted on the night of his triumph in November.

He took his oath of office on Lincoln's 1861 inaugural Bible, closing a circle of symbolism that began when he declared his candidacy for president two years ago on the same spot in Illinois where Lincoln launched his own first campaign.

But other than mentioning "the lash of the whip," an echo of Lincoln's towering second inaugural address, and "gathering clouds and raging storms," Obama did not seem to quote the 16th president.

And, perhaps thinking that the simple fact of an African-American being sworn in as president was sufficiently drenched with significance, he made only the most glancing reference to King. "We are a nation of Christians and Muslims, Jews and Hindus -- and nonbelievers," Obama said, a contemporary variation on King's hope that "Jews and Gentiles, Protestants and Catholics" would one day join hands and sing.  Watch President Obama's full speech »

In fact, if the speech could be said to have an animating spirit, it was that of Thomas Paine, the great 18th-century pamphleteer who played a key role in the American and French revolutions.

Obama referred to "the rights of man," the title of a book Paine wrote in praise of the French Revolution.

And his speech ended with a long quote from Paine that George Washington ordered read to his troops when the revolt looked bleak for the Colonies: "Let it be told to the future world ... that in the depth of winter, when nothing but hope and virtue could survive ... that the city and the country, alarmed at one common danger, came forth to meet (it.)"

The passage comes from Paine's critical 1776 essay "The Crisis," which famously begins: "These are the times that try men's souls."

Indeed, Obama used the word "crisis" four times in his speech -- one more time than he used the word perhaps most closely identified with him: Hope.

"That we are in the midst of a crisis is now well-understood," Obama said, in a speech that warned Americans to prepare for a long, hard -- but certain -- slog toward better days.

He drew on the touchstones of American civic life, the Declaration of Independence and the Constitution, with phrases such as "we the people," "common defense" and "all deserve a chance to pursue their full measure of happiness."

He nodded towards John F. Kennedy with a reference to "rising tides of prosperity" and Franklin Roosevelt in saying Americans had chosen "hope over fear." And he seemed to carry on a bit of an argument with Ronald Reagan, listing key battlefields in American history ("Concord and Gettysburg, Normandy and Khe Sahn"), as Reagan did in his first inaugural, but rejecting the most famous phrase from that speech.  Watch CNN's Fareed Zakaria discuss writing a memorable speech »

"Government is not the solution to the problem, government is the problem," Reagan declared in 1981.

No, Obama seemed to respond 28 years later, "The question we ask today is not whether our government is too big or too small, but whether it works. ... Where the answer is yes, we intend to move forward. Where the answer is no, programs will end ... because only then can we restore the vital trust between a people and their government."

He also borrowed a notion associated with Reagan, but running through American history right back to the Puritans, who in turn took it from the book of Isaiah: that American ideals "still light the world."

And his conclusion bookended the two great sources of quotes in the English language, Shakespeare and the Bible.

America, he said, may be experiencing "this winter of our hardship" -- riffing on Richard III's "winter of our discontent" -- but will prove "when we were tested" -- as Abraham was by God -- "we refused to let this journey end ... with eyes fixed on the horizon and God's grace upon us, we carried forth that great gift of freedom and delivered it safely to future generations."

CNN interns Tom Boltman and Eftehia Katsareas contributed to this report.

@highlight

Only whispers of Abraham Lincoln, Martin Luther King Jr. heard in speech

@highlight

American patriot Thomas Paine seems to have been an influence

@highlight

Other noted references: President Kennedy, Shakespeare and Abraham from Bible