(CNN) -- "Beyond the hedonism of tasting these wines -- and the hedonism of tasting these wines is going to be off the charts -- I think there will be two very important ideas that come out of this," says wine educator and "The Wine Bible" author Karen MacNeil as we share a bottle of Stony Hill 2012 Napa Valley Gewurztraminer over lunch.

"To see if the vintners themselves believe there is some reason that these wines scored as highly as they did; and to see if the people enrolled in the event think there is a ribbon going through the wine.

"Is there a commonality that causes a wine to be considered great?"

MacNeil is one of the top wine authorities in the United States -- "The Wine Bible" has sold 700,000 copies since 2000 -- and we're two of a privileged few taking part in a 1,000-point wine tasting event, featuring 10 Napa Valley wines that each received a perfect 100-point score from Robert M. Parker Jr. of "The Wine Advocate."

"Since Robert Parker began, there have been 369 wines in the world that have been given a perfect 100 score.

"Something like 130 of these are in the U.S. Of that 130, 119 are in California and of the 119, 68 are from the Napa Valley," says MacNeil.

Located 60 miles northeast of San Francisco, Napa Valley is around 30 miles long and ranges from one to five miles wide -- about one-eighth the size of Bordeaux.

Despite a 6.1-magnitude earthquake on August 24 that resulted in damage ranging from a few broken glasses to structural damage to some buildings and equipment, 2014 is already looking to be another excellent and abundant vintage.

September is the most exciting time to visit.

Fruity pickings

As wineries gear up for harvest, pickers move through sun-drenched vineyards, hand-dropping fruit to improve the quality of the final crop; equipment, already cleaned and prepared, stands idle at winery buildings, ready to process the fruit.

The Napa Valley Experience -- organized by the nonprofit, 500-member Napa Valley Vintners association from September 7-10 -- is arguably the most sensational event taking place this harvest season.

The experience includes tastings at some of the valley's most scenic and most celebrated wineries; home visits with prolific personalities; wine blending workshops; farm-to-table dining; and, the climax, the first public 1,000-point tasting ever to be held anywhere, as far as MacNeil or Napa Valley Vintners are aware.

The vintages selected represent a cross-section of appellations.

They were chosen exclusively from the 2000s; vintners rather than winemakers will attend the tasting, ensuring discussion is philosophical rather than chemical.

The story of each wine -- and the magic of the experience -- are central to the experience.

When I eat with celebrated vintner Michael Honig at Michael Chiarello's Bottega in the foodie mecca of upscale Yountville, he has a treat to share -- a bottle of the Honig 2010 Westside Trio Cabernet Sauvignon, a limited edition Premiere Napa Valley auction label, which he cradles in the crook of one elbow.

"We work with a number of different vineyards around the valley, as well as own our own, so when it comes to Premiere we take grapes from three different vineyards," says Honig. "We call it the Westside Trio. We do not make this wine normally."

Marked Auction 16, lot 15, the label is also hand-initialed by winemaker Kristin Belair.

"Only 240 bottles were made," he adds, pouring the ruby red liquid into my glass.

During a pit stop at my lodging for the next three nights -- the stunning, vintner-owned, forest-cocooned Meadowood property in St. Helena -- I have time to appreciate the events of the day and the beauty of my surroundings.

From lush lowland orchards to lofty terraces overlooking lush green alleys, Napa is filled with pretty views.

Real farmland

When I join vintner Agustin Huneeus at his terra-cotta-colored home within Quintessa's vineyards, he offers me a cup of tea and explains why the aesthetics of the region -- accentuated by Valley's organic development and agricultural land trust -- are special.

"There is real farming here, it's not Disneyland -- it's real," he says. "Vines started developing, the people starting coming, then Napa started something that in the world now is pretty prevalent -- opening the cellars to tourists.

"Bob Mondavi and Mike Martini ... a couple of them started it, and then everybody did it."

We embark on an ATV tour of the vineyards that produce Quintessa's single blend, crafted to be the perfect expression of the terroir.

"Napa is unique in the world and in America, particularly. The hills, the climate -- we have a great climate, by the way -- and the beauty of the place."

Located on Pritchard Hill, Chappellet is another vineyard where spectacular views and a feeling of being connected to the landscape are integral to the experience.

Marketing manager Blakesley Chappellet greets me at the foyer to its cavernous wooden winery pyramid.

"Artist Ed Moses crafted a cardboard pyramid in the Sixties and then engineers figured out how to build it," she explains, before leading me to a vintage Swiss Army Pinzgauer truck.

She revs the engine and we start climbing through the original 1967 terraces to the meadow, a springy carpet of lush grass shaded by breeze-stirred towering trees above vines that sweep down the slope to the lake at the bottom of the valley.

This will be the setting for a private Napa Valley Experience harvest party on the final night of the event.

"I could go into family-owned, solar-powered, certified organic, but I really want people to feel this place and to come away and realize that they've been somewhere really special, both because of the stewardship and because of the magic of the property itself," says Chappellet.

Vine tastings

Looking over the vines, especially in the slight lull before harvest, it's easy to forget that this is a working farm designed to ensure the grapes have everything they need to produce world-class wines.

St. Supery CEO Emma Swain and vineyard manager Josh Anstey show me what happens out among the Dollarhide Ranch vines on a day-to-day basis.

As early morning sun turns the vines on the slopes to gold, we stop at cabernet sauvignon vines.

Anstey hands me a booklet based on Lucie Morton's study of ampelography so that I can compare a leaf to the blown-up illustration on the page.

"She says it looks like a monkey face or mask -- see its hole-punched appearance?" she says, before greeting a team precision-grafting rootstock and bud to produce new sauvignon blanc vines come spring.

We try the grapes from one vine, then one adjacent, tasting the difference in sweetness in vines before squeezing a berry onto a refractometer for a more precise measurement of the sugars.

Then we cruise up a grassy ridge to where guest experience manager F. Scott Tracey -- former wine director at Michelin-starred La Toque -- has already laid a table with sky blue linen, five wines and bite-size pairings overlooking the mirror-like lake.

There was just one more aspect of winemaking to experience -- the blending.

At Hall Rutherford, after a discussion of the philosophy behind the winemaking process, Mike Reynolds, Hall Wines Napa Valley president and winemaker, and owner Kathryn Hall, pose a challenge -- to blend my own version of the Kathryn Hall cabernet from the barrel provided.

I follow the team into a futuristic-looking barrel room where a red neon art installation reflects off hand-etched trapezoid Geiger barrels and along the cool corridors to the tasting room.

"Mike and Mrs. Hall will award a prize to the winning blend," says manager Laura Garrow.

Game on!

Napa Valley Experience; only 24 spots available; $6,000 per person or $10,000 per couple (double occupancy); September 7-10, 2014

Gemma Price is a freelance travel journalist based in the U.S., the UK and Vietnam. She was given a preview of this year's Napa Valley Experience.

@highlight

Nearly 20% of wines scored "perfect" (100 points) by Robert Parker are from Napa Valley, which produces 4% of all wine globally

@highlight

Napa Valley Experience offers tastings of 10 perfect wines

@highlight

Meadowood resort has a Michelin-starred restaurant, tennis courts, golf course, fitness center, spa