(CNN) -- Two leading tobacco companies fired a pre-emptive legal strike against federal authorities Friday, challenging the objectivity and thus validity of a 12-member advisory panel charged with making recommendations on the safety of menthol cigarettes and other matters.

The Tobacco Products Scientific Advisory Committee, which is helping direct the implementation of the 2009 Family Smoking Prevention and Tobacco Control Act, is set to file a key report on menthol by March 23.

Just over a month before that report comes out, R.J. Reynolds and Lorillard filed their lawsuit Friday in U.S. District Court in Washington, naming the Food and Drug Administration, Department of Health and Human Services and those agencies' respective leaders as defendants, as well as the director of the federal Center for Tobacco Products.

The complaint attempts to prevent federal authorities from "taking any action based on or influenced by" or otherwise using information from the advisory committee "as it is currently constructed."

That group, which includes three non-voting members representing the tobacco industry, is charged per federal statute with providing "advice, information, and recommendations" to Secretary of Health and Human Services Kathleen Sebelius on health, dependence and other issues related to tobacco. Theoretically relying on these recommendations, the secretary has the authority to mandate "good manufacturing practices for tobacco products."

The lawsuit filed Friday questions the neutrality of the panel members, saying three -- including its chairman, Dr. Jonathan Samet -- had "conflicts of interests and associated biases that are incompatible with (the committee's) role as an impartial advisor."

The tobacco firms allege that the three, plus two members of a subcommittee, have been paid expert witnesses in litigation against tobacco companies and/or consultants for pharmaceutical companies that create nicotine-replacement-therapy products.

Jeff Ventura, a spokesman for the Food and Drug Administration, did not address specific claims in the suit.

"As a matter of general policy, the FDA does not comment on possible, pending or ongoing litigation," Ventura wrote CNN by e-mail.

According to the panel's website, most of the committee's voting members "shall be physicians, dentists, scientists or health care professionals practicing in the areas of oncology, pulmonology, cardiology, toxicology, pharmacology, addiction, or any other relevant specialty." One must be a local, state or federal government official and one who is a representative of the public.

Before the report's release late next month, the panel has two scheduled upcoming meetings. It has met approximately once a month since June 2010, with transcripts, webcasts and documents germane to the sessions posted on the FDA website.

The tobacco companies in their complaint noted the panel's mission to probe menthol cigarettes, including their use among young people, African-Americans, Hispanics and other minorities, as well as smokeless tobacco products.

Menthol cigarettes, which account for one-quarter of the cigarettes sold in the United States, have been under scrutiny by public health officials and public health watchdog groups. Critics claim the flavor makes them more addictive and they denounce the marketing campaigns that they say target menthol cigarettes specifically at minority smokers.

According to a study published in the journal Nicotine and Tobacco Research, three-quarters of African-American smokers prefer menthol cigarettes to traditional ones.

But Leonard Jones, director of marketing at Lorillard, said last year that "ethnicity does not play a role" in marketing strategies for the Newport menthol cigarette.

"We don't collect or retain information on ethnicity in our marketing data base," he said.

R.J. Reynolds, the nation's second-largest tobacco company, is based in North Carolina and sells Camel, Winston, Kool, Pall Mall and other cigarettes. Delaware-based Lorillard, which ranks as the third biggest in the United States, is behind the Newport, Maverick, True, Old Gold and other brands.

CNN's Greg Botelho contributed to this report.

@highlight

NEW: FDA spokesman says that the agency generally doesn't comment on litigation

@highlight

R.J. Reynolds and Lorillard file a lawsuit Friday in U.S. District Court in Washington

@highlight

The tobacco firms question the objectivity of a key federal advisory panel's members

@highlight

Committee is set to issue a report on the safety of menthol cigarettes in March