(CNN) -- Beyond the noise of raucous crowds and angry protesters who have turned town hall meetings into shouting matches is genuine concern from ordinary citizens who are afraid that President Obama's health care proposals would only make things harder for them, experts say.

The battle over health care reform has energized people on both sides of the debate.

"The reason that we see these protests and people asking tough questions at town hall meetings is because they feel like the president is going to take something away from them. That motivates people. That gets them out," said Michael Cannon, director of health policy studies at the Cato Institute, a libertarian think tank.

Those fears were heard Tuesday at Democratic Sen. Arlen Specter's town hall meeting in Lebanon, Pennsylvania. "This is going to take away my freedom," charged one man who wanted assurance from Specter that the private option for health insurance would stay viable.

Specter repeated Obama's pledge, telling the crowd, "If you like your policy, you can keep it."

Acknowledging the skepticism at a town hall meeting Tuesday, Obama tried to alleviate fears that reform would take something away.

"I recognize there's an underlying fear here that people somehow won't get the care they need. You will have not only the care you need, but also the care that right now is being denied to you, only if we get health care reform. That's what we're fighting for," he said at the Portsmouth, New Hampshire, event.

Since his days on the campaign trail, Obama has promised the public that those who like their health insurance plans won't have to give them up, but he's stopped short of saying at what cost.

"I think that's the fear," said Diana Owen, an associate professor of political science and the director of American studies at Georgetown University. "Even though they are going to keep the plan, the plan is going to be at a much greater cost. And he's not been able to really allay that fear."  Watch what happened at Specter's town hall meeting »

The themes coming up at town hall meetings across the country are broadly the same as doubts expressed during the campaign. Critics are voicing fears about socialism and the dismantling of the government they are used to. And those who have sufficient health care coverage worry they'll have to foot the bill for reform, echoing concerns heard during the presidential campaign that Obama would "spread the wealth around."

"That was one of the campaign critiques of Obama that seemed to work well, that seemed to resonate well," Owen said. "I really do think that it was an issue, and I think the opponents of the health care plan, by bringing that back up again ... I think that it could be an effective obstacle to what he's trying to accomplish."

Obama originally asked Congress to send him a health care bill before the August recess, but neither chamber met the deadline. As lawmakers spend the break in their home districts, they've been met with sometimes fierce opposition to Obama's proposals.

"It's not anti-reform -- it's anti-bad reform," Cannon said. "I think the public is reacting to what's in the legislation. And I think that's why the president wanted the House and the Senate to pass their versions before the August recess, because the president knew that the public would object to a lot of what is in these bills."

The White House, however, said that Obama "asked Congress to move quickly because we can't wait any longer to begin fixing what's wrong with our system." iReport.com: Are you attending a town hall? Share photos, video

Obama's health care battle has been compared to former President Clinton's failed effort more than 15 years ago, but lawmakers didn't experience the same backlash during the Clinton years.

Part of the reason was because of the calendar, CNN Senior Political Analyst Bill Schneider said. Clinton proposed his plan in September 1993, and by the time Congress went on recess in August 1994, the plan was dead.

People also didn't use the Internet the way they use it today, "so you didn't have the viral communications that rally people to attend town halls," Schneider noted.

Today's hypersaturated media, where rumor is picked up as fact and disseminated to millions via blogs and discussion boards, has contributed to the misinformation being lobbed at lawmakers, Owen said.

Coming out of one of her town hall meetings Monday, Sen. Claire McCaskill, D-Missouri, said that "people are just getting information that's flat wrong." But as unfounded as some of the claims may be, such as charges that Obama will set up death panels to decide who will live or die, the emotional appeals resonate with the public.

"I don't think that this is debate that is going to go away," Owen said, noting that given the outpouring seen at the town hall meetings, Congress can't just pick up where it left off when it returns from break. "I think the public is going to remain engaged and energized."

Cannon said the debate has "stunted the president's momentum" and will make it harder for his administration to get through the types of reforms they were hoping for.

Cannon predicted that Obama's plan will fail, but advocates "are going to try more incremental reforms to improve the health care sector." The same thing happened after the Clinton plan failed. Congress passed less sweeping reform like the State Children's Health Insurance Program (SCHIP) and the Health Insurance Portability and Accountability Act (HIPAA). iReport.com: Share views on health care reform

Owen said the response to his proposals has likely been "a stark awakening to [Obama] about maybe on this particular issue, he's going to need a new tactic."

"When Congress comes back they'll have to kind of rethink the plan and rethink particularly how they present it to the public. and that means the Obama administration as well," she said.

@highlight

People fear they'll have something taken away from them, Michael Cannon says

@highlight

Obama promises those with coverage they like can keep it

@highlight

Concerns coming up at town hall meetings echo sentiments from the campaign

@highlight

Congress will have to "rethink the plan" after recess, Diana Owen says