(CNN) -- The United Nations condemned an Iraqi raid on a camp housing Iranian dissidents north of Baghdad on Sunday, an attack that led to at least 15 deaths and allegations of more.

The office of the U.N. High Commissioner for Refugees said it was still trying to determine exactly what happened at Camp Ashraf, near Baquba. But "it appears that deadly force has been used and that a number of people have been killed or wounded," the relief agency said.

Camp Ashraf houses members of the Iranian exile group Mujahedin-e-Khalq, whose members fought alongside Iraqi leader Saddam Hussein's troops during the Iran-Iraq war in the 1980s. Relations between Iraqi Prime Minister Nuri al-Maliki's Shiite-dominated government and the MEK have been tense since the 2003 U.S.-led invasion that toppled Hussein and his Sunni-led government.

Iraqi health officials in nearby Baquba put the death toll from Sunday's raid at 15, with 30 others wounded. But Shahriar Kia, a spokesman for the MEK, said 44 of its members were killed.

"The use of violence against a civilian population is unacceptable in any circumstances," a UNHCR statement said. "We call on the Iraqi authorities to immediately ensure the security of the residents. It is important that the violence stop and that medical help be urgently provided for the wounded."

Al-Maliki's office has ordered an investigation into the attack, his office announced late Sunday. But two officials with Iraq's Interior Ministry told CNN that security forces raided the camp after their base was hit by mortar rounds. The officials said there were casualties from the raid, but they said they could provide no further details.

The leftist MEK also opposed the Iranian monarchy and targeted American military advisers before the 1979 revolution that ousted Shah Mohammed Pahlavi, leading to its designation as a terrorist organization by the United States. That designation was lifted last year, with the State Department citing the group's renunciation of violence and the passage of a decade without its carrying out any attacks.

Camp Ashraf once housed more than 3,000 people, but nearly all of the residents have been moved to a former U.S. military base outside Baghdad in preparation for resettlement to third countries. The U.N. Assistance Mission in Iraq said Sunday that only 100 members of the MEK remained at Camp Ashraf.

Gyorgy Busztin, the deputy U.N. special envoy to Iraq, said UNAMI would use "all possible means" to conduct its own investigation into the attack.

"The priority for the Iraqi government is to provide immediate medical assistance to the injured and to ensure their security and safety against any violence from any side," Busztin said in a statement issued Sunday.

Maryam Rajavi, the head of the MEK's political arm, called for those remaining at Camp Ashraf to be transferred to the United States or put under the protection of U.N. peacekeepers.

Rajavi, the president of the National Council of Resistance of Iran, said the attack was carried out "at the order of the religious fascism ruling Iran."

"Mrs. Rajavi urged the U.S. president, the U.N. Security Council and the secretary-general to immediately dispatch delegations to Ashraf in order to stop the ongoing killing and to save the lives of those injured and taken as hostages," her office said.

The MEK's new site at Camp Hurriya, the base formerly known as Camp Liberty, has come under fire as well. Rocket attacks killed 10 people from February to June, according to the MEK.

Sunday's clash at Camp Ashraf follows news that Iraq's internal strife killed 804 people and wounded more than 2,000 in August, according to the U.N. Assistance Mission for Iraq. The toll was lower than July's 1,000-plus -- the deadliest month since the peak of Iraq's sectarian warfare in 2006 and 2007 -- but "remains disturbingly high," according to UNAMI.

Sunnis have felt politically marginalized under al-Maliki, whose government fears that Sunni Islamists who've been involved in fighting in neighboring Syria are now targeting it.

Sunni-Shiite frictions have escalated since an April incident in Hawija, in northern Iraq, where Iraqi security forces raided a site used by Sunni protesters to demonstrate against the Shiite-led government. Sunni protests against the Iraqi government have continued since the Hawija incident.

@highlight

NEW: Iraq's prime minister orders an investigation into the deadly raid

@highlight

Iraqi officials say 15 people were killed at Camp Ashraf; the exile group says 44 died

@highlight

The exiles have had tense ties with Iraq's new government and faced previous attacks

@highlight

U.N. calls on Iraqi authorities to ensure the safety of the camp's residents