Tea party-backed Mississippi senate candidate Chris McDaniel is weighing whether to challenge the results of his surprising Republican runoff loss to veteran incumbent Thad Cochran.

But McDaniel contends Cochran's tactic of courting Democratic support in a crossover primary was misplaced in a GOP election even though state law permits it.

In a statement, McDaniel said the move was "unbecoming."

"In the case of yesterday's election, we must be absolutely certain that our Republican primary was won by Republican voters," he said. "In the coming days, our team will look into the irregularities to determine whether a challenge is warranted."

Democrats turning out for Cochran is just the tip of the iceberg in an already bizarre race marred by name-calling, mudslinging, allegations of cheating and a break-in at a nursing home where the senator's bedridden wife lives.

Cochran was one of two longtime members of Congress who went into Tuesday with their political fates hanging in the balance appear to have survived intra-party challenges.

In a high-profile New York primary, U.S. Rep. Charlie Rangel emerged victorious in what he says is his last race, posting a second straight narrow win over the same opponent he faced two years ago when he barely kept his seat in the House.

"I want each one of you to go home and know that this was your victory," he told supporters. "This is your congressman and you can rest assured that all I will be doing is thinking about you and bringing these resources home."

But Rangel's challenger, state Sen. Adriano Espaillat, wasn't conceding on Wednesday.

5 things we learned from Tuesday's primaries

Democrats come out in GOP contest

Mississippi has no recount provisions in its election laws. The only challenge to election results must go through the courts.

Mississippi law allows anyone to vote in the runoff, meaning Democrats could go to the polls as long as they hadn't voted in the Democratic primary and didn't plan to vote for their party's candidate in the general election.

By CNN's count, about 61,000 more people voted Tuesday than in the primary two weeks ago.

Cochran's backers turned to Democrats, especially African-Americans, who make up 37% of the state's population.

They actively reminded voters of the senator's work to secure federal funds for programs such as Head Start and certain medical centers in the state.

Henry Barbour, who helps run the pro-Cochran group Mississippi Conservatives with his uncle, former Gov. Haley Barbour, said he was proud that his organization was active in the effort to court Democratic voters.

"It just makes sense that you would talk to folks who aren't just like you. I think that's a healthy thing. I think most people in America think that's a good thing," he said, arguing that the strategy could be helpful for other Republicans nationwide, especially as the GOP works to rebrand its image.

Barbour also dismissed McDaniel's criticism of the strategy, saying his comments were "hogwash."

"I'm afraid he's wrong," Barbour said. "People have a right to vote and I'm damn proud to have asked them for their support."

Conservative groups supportive of McDaniel dispatched volunteers to observe poll workers to see if they were turning away those who already showed up in the Democratic primary.

But those efforts mobilized groups such as the NAACP, which sent out its own volunteers to look for any signs of voter intimidation or interference.

In his victory speech, Cochran seemed to at least wink at the crossover voters, thanking supporters for getting them and his supporters to the polls.

"You are the ones who helped reach all the voters, make sure that they knew that they were important to this election because it's a group effort, it's not a solo," he told a victory celebration in Jackson. "And so we all have a right to be proud of our state tonight. Thank you for this wonderful honor and wonderful challenge that lies ahead."

McDaniel outpolled Cochran by about 1,400 votes in the June 3 primary but was forced into a runoff when he failed to cross the 50% threshold to win outright.

2014 Midterm Elections

Rangel's last dance?

Rangel had said win or lose this race was his last campaign.

The Korean War veteran was trying to keep from getting pushed out of office by Espaillat, who came within about 1,100 votes of ousting Rangel in the Democratic primary two years ago.

Rangel, the former chairman of the tax-writing House Committee on Ways and Means, was forced to step down from that post in 2010, and the House censured him for ethics violations later that year.

Just as damaging for Rangel was the redrawing of New York's 13th Congressional District after the 2010 election -- from a Harlem-based, African-American-dominated district to one that now has a Hispanic majority, thanks to shedding parts of Harlem and adding other neighborhoods in northern Manhattan and parts of the Bronx.

Rangel, the "Lion of Harlem" and a founding member of the Congressional Black Caucus, said he didn't put up much of a fight in 2012.

"I didn't have a campaign last time. When he told me he was running, I was in Columbia Presbyterian with a viral infection in my spine."

Espaillat said early Wednesday he wasn't giving in until all the votes were counted. He was down by 1,800 votes, with 99% of the precincts counted, according to AP numbers.

"As we learned in 2012, every single vote needs to be counted in this race. Given the thousands of votes outstanding, the people of Upper Manhattan and the Bronx deserve a full accounting of every vote to achieve a complete and accurate tally in this race," Espaillat said in a statement.

Tea party vs. establishment battle with a twist

Rep. James Lankford easily won Oklahoma's Republican Senate primary in a race to succeed retiring GOP Sen. Tom Coburn. He defeated former state House Speaker T.W. Shannon.

Coburn's announcement in January that he would step down at the end of the year -- with two years left in his term -- sparked a competitive primary in Oklahoma to replace the conservative senator.

There were seven candidates in the race, but the contest turned into a battle between the two front-runners: Lankford and Shannon.

For a party looking for more diversity, the 36-year old Shannon, who was the youngest speaker ever of the Oklahoma House, was an attractive choice.

He's part Native American and African-American. He was backed by such tea party heroes as Sen. Ted Cruz of Texas and former Alaska Gov. Sarah Palin.

And some national anti-establishment organizations pumped big bucks into the race in support of Shannon.

But many local tea party groups kept their distance, with some questioning Shannon's outsider credentials. In fact, Shannon's no stranger to politics. He worked for Republican Rep. Tom Cole of Oklahoma and former Rep. J.C. Watts before launching his political career.

Lankford, who has risen through the ranks to become Republican Policy Committee chairman -- the fifth-ranking House Republican -- in two terms in Congress, was criticized by many on the right for his vote to raise the debt ceiling.

But labeling the Baptist minister with strong social conservative backing as an establishment candidate was a hard case to make.

"The job is clear," Lankford repeated throughout his victory speech, ticking off a number of Republican positions on how to fix the economy, including repealing Obamacare, cutting down on environmental regulation and limiting federal spending.

"I was a member of the class of 2010 in the House of Representatives. It was that class that moved Nancy Pelosi back to flying coach again," he said. "If we win in November, I pray we can do this same thing for Sen. (Harry) Reid."

Conceding the race, Shannon said: "Tonight this campaign is over, but our cause remains and our cause continues.

"We must get rid of Harry Reid. That means we have to send Republicans to the Senate, and that Republican is James Lankford."

Other races on our radar

CNN projects that Maryland Lt. Gov. Anthony Brown will win the state's Democratic gubernatorial primary.

The two-term lieutenant governor faced off in an ugly primary battle against state Attorney General Doug Gansler and state lawmaker Heather Mizeur.

In a state dominated by Democrats, Brown will now be considered the favorite in the general election to succeed term-limited Democratic Gov. Martin O'Malley. Brown was backed by O'Malley, a potential 2016 Democratic presidential candidate, as well as former President Bill Clinton.

Brown will go on to face Republican Larry Hogan in the general election.

If he wins in November, Brown would become the third African-American elected governor in U.S. history.

â€¢ In Colorado, CNN projects that former Rep. Bob Beauprez will win the GOP primary for governor, topping anti-immigration firebrand Tom Tancredo, a former congressman and presidential hopeful, and two other candidates. Beauprez will face Democratic Gov. John Hickenlooper in November.

â€¢ And in Florida, Republican businessman Curt Clawson won the special general election to replace embattled former Rep. Trey Radel. Clawson easily defeated Democrat April Freeman and two other candidates in the race for the state's 19th Congressional District. The heavily Republican district runs along Florida's Gulf of Mexico coast from Cape Coral and Fort Myers south to Naples and Marco Island.

Clawson will serve out the remainder of Radel's term, which runs through the end of the year. There will be an August primary ahead of November's general election.

Radel, a fellow Republican, was arrested last year for cocaine possession, and he resigned from Congress in January.

@highlight

Six-term Sen. Thad Cochran, R-Mississippi, holds off tea party challenger

@highlight

Longtime lawmaker Charlie Rangel claims victory in tough New York primary

@highlight

Rep. James Lankford wins GOP Senate primary in Oklahoma

@highlight

McDaniel weighing whether to challenge vote