Washington (CNN) -- Leaders of the different branches of the U.S. armed forces gave sharply divergent answers to the Senate Armed Services Committee on Friday when asked whether the military's controversial "don't ask, don't tell" policy should be repealed, and what the consequences of a repeal might be.

They appeared united, however, in their belief that a repeal would be better handled if ordered by congressional legislation rather than a ruling from the courts.

The strongest resistance to allowing gays and lesbians to serve openly came from Marine Corps Commandant Gen. James Amos, who warned of potentially strong repercussions in terms of unit cohesion.

"If the law is changed, successfully implementing repeal and assimilating openly homosexual Marines into the tightly woven fabric of our combat units has strong potential for disruption at the small unit level, as it will no doubt divert leadership attention away from an almost singular focus of preparing units for combat," Amos told the committee members.

Army Chief of Staff Gen. George Casey said a repeal of the policy could be implemented with a "moderate risk to our military effectiveness and the long-term health of the force."

"I believe the law should be repealed eventually," he said, but the question "is one of timing."  Casey said he "would not recommend going forward at this time, given everything the Army has on its plate."

Air Force Chief of Staff Gen. Norton Schwartz said he believes the law should be repealed "at some point ... perhaps 2012" but it would not be prudent to pursue "full implementation (of a repeal) in the near-term."

Chief of Naval Operations Adm. Gary Roughead recommended a repeal of the policy, noting that 76% of sailors are either neutral or feel positively about a repeal of "don't ask, don't tell."

Coast Guard Commandant Adm. Robert Papp noted that a majority of members in his branch of the service appeared not have a problem with a repeal, but that "prudence dictates" proceeding with caution.

Gen. James Cartwright, the vice chairman of the Joint Chiefs of Staff, said he believes implementation of a repeal would involve a "manageable risk with regard to military effectiveness." even in light of the wars in Afghanistan and Iraq.

In fact, Cartwright argued, the ongoing conflicts may make a repeal of the policy easier.  During a conflict, members of the military "rely on the warrior ethos" of their fellow soldiers, and lifestyle concerns are diminished.

The service chiefs were summoned to testify in the wake of a newly released Pentagon study which concluded that allowing openly gay or lesbian troops to serve in the military would have little lasting impact on the U.S. armed forces.  Opposition to the change, however, appeared to be much higher in Army and Marine combat units than in the military as a whole.

Arizona Sen. John McCain, the committee's top Republican, said at Friday's hearing that the divergent military opinions reinforced his view that more debate is warranted.  He also predicted that 41 other senators -- enough to prevent the issue from coming up for a final Senate vote -- would oppose legislation repealing "don't ask, don't tell."

"Our economy is in the tank and the American people want that issue addressed," McCain said, referencing GOP demands to extend the Bush tax cuts before Congress tackles other issues. "And the military is functioning in the most efficient, most professional, most courageous fashion than at any time in our history. ... We shouldn't be exercising a rush to judgment."

But Michigan Sen. Carl Levin, the Democratic chairman of the committee, said he remains a staunch of advocate of a repeal of "don't ask, don't tell."

Levin said there was greater resistance to allowing gays and lesbians to serve openly in the British and Canadian militaries than there is in U.S. armed forces today.  But now, he noted, gays and lesbians are allowed to serve openly in both countries, and there has been "no evidence" of diminished combat effectiveness as a result.

One key GOP moderate -- Massachusetts Sen. Scott Brown -- announced his intention Friday to support a repeal.

"When a soldier answers the call to serve, and risks life or limb, it has never mattered to me whether they are gay or straight," Brown said.  "Having reviewed the Pentagon report, having spoken to active and retired military service members, and having discussed the matter privately with Defense Secretary (Robert) Gates and others, I accept the findings of the report and support repeal based on (Gates') recommendations that repeal will be implemented only when the battle effectiveness of the forces is assured and proper preparations have been completed."

President Barack Obama, Joint Chiefs of Staff Chairman Adm. Mike Mullen and Gates all support a repeal of the policy.

Mullen told the Armed Services Committee Thursday that he believes that even among those combat forces, a transition to a new law is possible.

"Should repeal occur, some soldiers and Marines may want separate shower facilities. Some may ask for different berthing. Some may even quit the service.  We'll deal with that. But I believe, and history tells, that most of them will put aside personal proclivities for something larger than themselves and for each other," he said.

With just weeks left for this Congress, the calendar could be the biggest factor weighing on whether the law is repealed or upheld.  The House has already approved the repeal.  Now, with Armed Service Committee hearings over, Senate Majority Leader Harry Reid, D-Nevada, must decide whether to keep legislative language calling for a repeal in a larger Defense authorization bill or strip it off for a separate vote.

Despite McCain's assertions, some Democrats have expressed cautious optimism they can find the 60 votes needed to overcome a potential Senate GOP filibuster against the measure.  Gay rights groups are pressuring Democratic leaders to find a way to pass the repeal before the end of the year.  Once more conservative Republicans take over the House and pick up several seats in the Senate in January, there will be little chance to change the current policy, they warn.

GOP calls for more debate, many of them argue, are little more than another way to kill the measure.

"I think given the testimony by members of the military that they still have serious reservations about repealing 'don't ask, don't tell,' Democrats have to be very concerned about the chances for a full repeal this session," said Wendy Schiller, a Brown University political scientist.

"The last thing they need, and more acutely the last thing President Obama needs, is a long protracted filibuster by the Republicans on this issue to close out the lame duck session."

A top congressional analyst, the Brookings Institution's Thomas Mann, said that there are likely enough votes in the Senate to repeal "don't ask, don't tell" and that "the only hurdle, and it's a big one, is time."

"Cloture takes a lot of time and this is only one of many issues on the plate of the lame duck," said Mann, referring to the procedure by which the Senate ends debate on legislation. "If it goes over to the next Congress, it will likely take a serious threat of judicial action against (don't ask, don't tell) to get it to move."

Schiller contended that, for supporters of a repeal, "what is daunting is the real possibility that 'don't ask, don't tell' falls victim to presidential politics."

"Given a choice between emphasizing and winning policy battles on the economy and allowing gays to serve openly in the military, the good money bet is on the economy," she said.  "If Obama is worried about getting independents and moderate Democrats back into the fold for 2012, he may give up the fight only because that core constituency will want to see all of his energy devoted to the economy and not distracted by what the public sees as essentially a gay rights issue."

But on the other hand, Schiller pointed out, "what 2010 showed is that if the Democratic base stays home, Obama can't win re-election.  So how tied is the Democratic base to repealing the 'don't ask, don't tell' policy?  That is the $64,000 question."

CNN's Alan Silverleib contributed to this report

@highlight

Sen. Scott Brown, R-Massachusetts, says he supports a repeal

@highlight

McCain predicts that over 40 senators will oppose a bill repealing "don't ask, don't tell"

@highlight

Different service leaders present different views on repeal

@highlight

The head of the Marine Corps appeared most resistant to repealing the policy