(CNN) -- I recently met a woman, the mother of three black teenagers. She told me that after the Trayvon Martin shooting, she forbade her boys to wear hoodies. She warned them never to walk around with their hands in their pockets. She was terrified that someone would find her boys acting suspiciously and one of them would end up being killed.

This is one hell of a thing to be afraid of. I don't think parents of white kids ever really feel this terror -- not in this way.

I defended the man who shot Trayvon Martin, and I believe that the verdict the jury returned was correct and just. But based on my experience defending young black men in the criminal justice system for 30 years, I know her fears are not without foundation. The shooting of Michael Brown -- an unarmed 18-year-old African-American in Ferguson, Missouri -- reinforces her fears, and it gives me a dull, empty feeling in my gut.

We're hearing conflicting stories about how the Brown shooting happened. Some witnesses say the teenager had his hands up in surrender when an officer opened fire on him. The Ferguson police chief says the officer was attacked in his cruiser, and the first shot was fired inside the car. It's possible both accounts are true, but we don't know.

Here's what we do know: A police officer and a black man interacted, multiple shots were fired, and Michael Brown was 35 feet away from the police car when struck by the shots that killed him. Soon we should know how many times the officer shot Brown, from how far and from what direction. These factors will be critically important in determining whether the shooting was justified or not. Black or white, an officer must be in fear of imminent death or great bodily harm before using deadly force, just like the rest of us.

What we know about Michael Brown's shooting

If Brown was shot from far away, or if he was shot in the back, it would provide strong evidence that he was retreating -- that the officer was not in imminent fear -- and that the shooting was not justified. What we must acknowledge is that we don't yet know enough to be convinced one way or the other.

Now there are cries of "no justice, no peace" as evening vigils turn violent, with rioting and looting. "Justice," it seems in this context, can only be found if the officer is convicted of murder. If facts show the shooting to be justifiable, it will not be seen as justice by those making the demands.

Whether my client is black, white, Latino or something else, here is how I want justice defined: Two sides, well-represented, present their cases in an adversarial system; the law is followed and a just result is inevitable. Brown's case will have the added benefit that it will be tried in the ever-watchful view of intense public scrutiny.

Citing death threats, police won't identify officer in Michael Brown shooting

For many in the black community the reality of the criminal justice system doesn't measure up to the ideal. Many believe that the criminal justice system, from first police interaction to verdict, is infected with a racial bias that taints the possibility of justice as it should be defined. I have long argued in court that such a bias exists; that probable cause didn't exist for this car stop; that hanging on a street corner or sitting on a stoop is not loitering; that "attitude" is not resisting without violence.

While the bias does exist, it's not simply a black and white issue. It's rare to find an overtly racist cop, or an overtly racist judge. The bias is nuanced; it's woven into the system, and it builds with each interaction with the system until, at last, it results in unequal justice.

Consider the very first interactions: A cop and young black male interact on the street, and both give the other a bit of attitude. The officer gives some attitude because he's tired of getting attitude from other young men, and the young man gives some attitude because he's tired of getting attitude from other cops. Now, who's at fault?

This, as simple as it sounds, is how it starts. Once the infection begins, it grows quickly. If you want to say the cop's at fault because he's the adult with training, you are right. And if you want to say the young man is at fault for disrespect or mistrust of a cop's authority, you are right.

Missouri teen shot by police was two days away from starting college

If both sides refuse to move toward the middle, we will all just keep going down this path, and another black family will plan another funeral. Or we can agree that we, each of us, will be better off accepting responsibility for an infection that we cannot defeat individually.

Who makes the first step? The police must. Many police agencies have community outreach programs that are successful. Police officers are in the position of authority, and they have the power to send a message that when they serve a community, they serve all the people of the community equally, regardless of race. To break this cycle, police must recognize there is bias in the system, and they make an effort to treat the people they serve with respect.

In return, we must recognize the risks law enforcement officers take to protect our communities. We must respect their authority. And we must understand the grave reality that the way we engage a police officer can affect whether we walk away, whether we are driven away in handcuffs, or whether we are taken away on a stretcher. This is true for people of every race, from every community -- and unfortunately, with the current bias, it may more true for some of us than for others.

For those who say that talking about this now is an insensitive way to blame Michael Brown for his own death, nothing could be further from the truth. No matter what turns out to have happened that Saturday afternoon, Brown was killed by the infection, by this insidious cycle. Let's see what we can accomplish if we focus on breaking that cycle.

@highlight

Mark O'Mara: Michael Brown shooting raises concern about racial injustice

@highlight

O'Mara says we don't know enough about evidence to draw conclusions

@highlight

African-Americans have a justified fear of becoming victim to racial bias, he says

@highlight

O'Mara: We have to work together to make sure other tragedies don't happen