(CNN) -- Here's what Katie Roche expected when she went into the hospital for spine surgery: two titanium rods, a bone graft, 17 screws in her vertebrae, eight hours in the operating room, and a week's stay in the hospital to recover.

Here's what she didn't expect on top of all that: sharing a hospital room with a feverish 6-year-old and contracting a nasty bacterial infection her mother says nearly killed her.

"She got so weak she couldn't even get out of bed to go to the bathroom -- I had to carry her," says her mother, Kathleen Roche. "For about 48 hours, I didn't think we'd have Katie with us much longer."

Because of the infection she picked up at the hospital, Katie, who was 19 at the time, dropped from 120 to 90 pounds.

The bacterium that made her so sick is called Clostridium difficile, and according to a study out this week, it's more common than ever among hospitalized children in the United States, and children who get it are more likely to die or require surgery.

The study found Clostridium difficile infections in hospitalized children went up 15% per year from 1997, when there were 3,565 infections, to 2006, when there were 7,779 infections.

The study looked at 10.5 million pediatric patients from 1997 to 2006, of whom 21,274, or 0.2%, had C. diff, as the bacteria are commonly called. The study was published this week in the Archives of Pediatric and Adolescent Medicine.

"This is huge, and really concerning," says Dr. Peter Pronovost, director of the Quality and Safety research group at Johns Hopkins University. What's really disturbing, he says, is that these children didn't have to get sick.

"Most of these infections are preventable," he added.

Katie's story

Katie was a healthy 19-year-old avid soccer and volleyball player when she went into a New York City hospital in August 2008 for surgery to correct her scoliosis, or curvature of the spine. The surgery was successful, and she was discharged six days later doing well, except for a low-grade fever.

A few days after she returned home to Katonah, a suburb of New York, Katie took a turn for the worse when the incisions on her back opened up and she began to feel weak. Her mother called the doctor, and he told her to bring Katie back to the hospital.

Doctors found Katie had an infection -- not C. diff, but another bacterium -- and did a surgery to clear it up.

"When I woke up from that surgery I thought that was it, I was done, but they told me I'd be having another surgery in 48 hours," she remembers. "And then I had to have another one, and then another one."

Katie and her parents didn't know it, but her situation was the perfect storm for a C. diff infection. She was taking massive doses of intravenous antibiotics, which kill the good bacteria in the gut, and C. diff thrives in the absence of good bacteria.

"I was throwing up all the time, and was so weak that one day I just blacked out in my hospital bed," she remembers.

The antibiotic Flagyl cleared up the C. diff, but by that time it had ravaged her intestines. "It took six months for me to eat normally again," she remembers.

"There's no excuse"

Across the country in California, Pacific Hospital of Long Beach has fixed its C. diff problem.

Three years ago, the hospital had 5.3 C. diff infections for every 1,000 hospital admissions, and in the past three years it's had none at all, according to Dr. Alfonso Torress-Cook, epidemiologist for the hospital.

"It's frustrating, because some hospitals say there's nothing they can do about their C. diff rates," he says. "But that's no excuse. They could do a lot of things."

Based on Pacific Hospital's success, here are some things parents can do to protect their children from C.diff when they're in the hospital.

For more information on preventing other types of hospital infections, see information from The Empowered Patient and the Committee to Reduce Infection Deaths.

1. Give your child yogurt

At Pacific, patients at high risk of C. diff are given yogurt because it helps restore the good bacteria in the gut that in turn help fight off bad bacteria.

If your hospital doesn't offer yogurt, Torress-Cook suggests that you bring it in yourself and that one serving a day is enough to help protect your child.

If a child can't eat, he can take probiotic supplements containing lactobacillus. For babies, breast milk helps protect against C. diff infections.

2. Know the signs of C. diff infection

If your child has watery diarrhea, fever, abdominal pain, fast breathing, or is extremely sleepy, ask your doctor if it could be a    C. diff infection.

"It's not any one symptom, but the whole picture that's important," Pronovost says. "If as a parent your gut tells you your child just isn't normal, there's likely truth in that."

He adds that parents sometimes notice signs of infection before doctors or nurses.

"Parents are with their kids all the time," he says. "And nurses are by the bedside for 12 hours. As the attending physician, I actually have the least amount of time with the patient."

3. Clean everything

C. diff spreads when someone touches the feces of an infected person, and then touches someone else, or touches a surface, such as a doorknob, that someone else will later touch.

At Pacific, officials credit much of their success against the bacteria to a thorough cleaning of every room, even making sure to change the mop head between rooms.

Torress-Cook recommends bringing your own disinfectant wipes and cleaning commonly touched surfaces, such as bedrails.

The Committee to Reduce Infection Deaths has more information on how routine cleaning by hospital staff might not be enough to control C. diff.

4. Ask for a private room

Kathleen Roche says they'll never know how Katie got sick, but they wonder if she got it from a feverish little girl who shared a room with Katie during both her first and second hospital stays.

The Centers for Disease Control recommends that a patient with   C. diff have his or her own room. If you're concerned your child's roommate is ill -- or that your child is ill -- you can ask to be separated.

5. Make sure hospital staff wears glove, gowns

After Katie was moved into her own room, her parents were told to wear gowns to cover their clothing and prevent the spread of their daughter's infection to themselves and others. They noticed, however, that doctors and nurses did not wear gowns when visiting their daughter.

"There should be no difference whatsoever between precautions for the parents and precautions for the staff," Pronovost says. "If there is a difference, it's likely the staff is being noncompliant."

If you see doctors and nurses aren't gowning up or washing their hands, tell them, Pronovost advises.

"As a parent I know we worry we're going to piss off the doctor if we ask too many questions," he says. "But the reality is it's your child's life on the line, so it's worth taking a risk."

@highlight

Katie dropped from 120 to 90 pounds because of the infection she picked up at the hospital

@highlight

The bacteria that made her sick is called Clostridium difficile, according to a new study

@highlight

Yogurt helps restore the good bacteria in the gut that help fight off bad bacteria

@highlight

Parents can sometimes notice signs of infection before doctors or nurses