(CNN) -- The United States will talk to North Korea, but only if the country gets serious about negotiating the end of its nuclear weapons program, Secretary of State John Kerry said Friday during a visit to South Korea, a key U.S. ally.

"North Korea will not be accepted as a nuclear power," Kerry said after arriving in Seoul.

His trip to South Korea -- part of an Asian swing that also includes North Korean ally China -- came a day after a Pentagon intelligence assessment surfaced suggesting North Korea may have developed the ability to fire a nuclear-tipped missile at its foes.

Disclosed first by a congressman at a hearing Thursday and then confirmed to CNN by the Defense Department, the Defense Intelligence Agency assessment is the clearest acknowledgment yet by the United States about potential advances in North Korea's nuclear program.

Despite weeks of bellicose rhetoric from Pyongyang threatening nuclear attacks on the United States, South Korea and their allies, U.S. officials have characterized the North's saber rattling as largely bluster.

U.S. officials think North Korea could test-launch a mobile ballistic missile at any time in what would be seen by the international community as a highly provocative move.

But a senior administration official said there's no indication that any such missiles are armed with nuclear material.

Still, the defense agency said it has "moderate confidence" that North Korea could fit a nuclear weapon on a ballistic missile and fire it. But agency analysts think such a missile's reliability would be low -- an apparent reference to its accuracy.

White House spokesman Jay Carney told reporters Friday that the North Korean government "has not demonstrated the capability to deploy a nuclear-armed missile."

And Kerry said Friday that it would be inaccurate to suggest that North Korea, which has conducted three underground nuclear weapons tests since 2006, can launch a nuclear-armed missile, despite the DIA assessment.

"But obviously they have conducted a nuclear test, so there's some kind of device, but that is very different from miniaturization and delivery and from tested delivery and other things," he said.

He said any launch by North Korea would be a "huge mistake."

"If Kim Jong Un decides to launch a missile, whether it's across the Sea of Japan or in some other direction, he will be choosing willfully to ignore the entire international community, his own obligations that he has accepted, and it will be a provocative and unwanted act that will raise people's temperature with respect to this issue," Kerry said.

South Korean Foreign Minister Yun Byung-se, speaking with Kerry at a Friday news conference, urged North Korea to open talks.

"We urge North Korea to cease its reckless behavior and to stop issuing threats," he said. "Instead, we urge North Korea to respond to our call for building trust on the Korean Peninsula through dialogue, and now it is time for North Korea to make that choice."

A joint statement issued by South Korea and the United States before Kerry's departure emphasized Washington's commitment to defending Seoul "in the wake of recent unacceptable provocations" by the North.

"The United States stands vigilantly by the Republic of Korea's side, and is prepared for and capable of defending and protecting itself and its allies," the statement read.

Kerry now plans to visit China and tell leaders there that Pyongyang, as one senior administration official said, is "putting China's own interests at risk."

Washington wants Beijing to "stop the money trail into North Korea" and to carry a strong message to the North that getting rid of nuclear weapons on the Korean Peninsula is China's goal, said the official and a senior State Department official.

Defense Intelligence Agency report

The surprising Defense Intelligence Agency assessment of North Korea's potential nuclear capabilities emerged during Thursday's House Armed Services Committee hearing.

At the hearing, Rep. Doug Lamborn, R-Colorado, read from a declassified version of the document in which the DIA expresses "moderate confidence the North currently has nuclear weapons capable of delivery by ballistic missiles, however, the reliability will be low."

As Kerry did Friday, top officials in Washington tried Thursday to downplay concerns about the report.

Pentagon spokesman George Little said that "it would be inaccurate to suggest that the North Korean regime has fully tested, developed or demonstrated the kinds of nuclear capabilities referenced" in the DIA study.

That stance was echoed by James R. Clapper, director of U.S. national intelligence, who said: "North Korea has not yet demonstrated the full range of capabilities necessary for a nuclear-armed missile."

U.N. Secretary-General Ban Ki-moon told CNN's Wolf Blitzer that the agency has no independent information to verify the DIA's assessment.

The DIA has been wrong in the past, producing an assessment in 2002 that formed the basis for arguments that Iraq had nuclear weapons -- a view later found to be incorrect

Confusion over intel's release

The report was "mistakenly" marked as declassified, according to an administration and a defense source. A House Armed Services Committee aide said staffers checked with the DIA to confirm that the passage was not classified before Lamborn read it.

Lamborn told CNN's "AC360" that he acted properly in disclosing it during the hearing.

"Given the seriousness of the threat, this is something that I think people do need to know about," he said.

On Friday, Rep. Buck McKeon, R-California, also backed disclosure of the assessment.

"I have to believe they know what they're doing," said McKeon, chairman of the House Armed Services Committee. "I think it's good for the American people to understand how tenuous this situation is and how important it is for us to have a strong defense."

North Korean missile adjustments

On Thursday, North Korea briefly raised a missile into an upright firing position, stoking concerns that a launch was imminent, a U.S. official told CNN. Later, another U.S. official said it had been tucked back into its launcher.

That could signify that a much-feared launch by the North is less imminent. It could also mean the government was testing the equipment.

The first U.S. official cautioned that raising the untested Musudan missile, which South Korea says has a range of up to 2,175 miles (3,500 kilometers), could have been just a trial run or an effort to "mess" with the United States and its allies.

North Korea's missile capabilities

The believed range means the Musudan could reach Guam, a Western Pacific territory that is home to U.S. naval and air bases, and where the United States recently said it was placing missile defense systems.

The United States and South Korean militaries have been monitoring the movements of mobile ballistic missiles on the east coast of North Korea. Japan has deployed defense systems.

Clapper, the national intelligence director, said Thursday at a House Intelligence Committee hearing that he didn't think Kim had "much of an endgame" other than to get recognition from the world as a nuclear power, which "entitles him to negotiation, accommodation and, presumably, aid."

He reiterated that the nation's "nuclear weapons and missile programs pose a serious threat to the United States and to the security environment in East Asia."

Opinion: Why North Korea worries Dick Cheney

More threats

North Korea denied responsibility in a wave of cyberattacks on tens of thousands of computers at South Korean banks and broadcasters last month, the North's state news agency, KCNA, reported Friday.

South Korea this week accused the North of carrying out the March 20 attacks. An official South Korean investigation found that many of the malignant codes employed in the attacks were similar to ones used previously by the North, said Lee Seung-won, an official at the South Korean science ministry.

A spokesman for the General Staff of the Korean People's Army said the allegations are "groundless" and "a deliberate provocation to push the situation on the Korean Peninsula to an extreme phase," according to KCNA.

Friday, North Korea also issued a scathing warning to Japan, saying via KCNA that Tokyo should "stop recklessly working for staging a comeback on Korea, depending on its American master."

Japanese foreign minister spokesman Masaru Sato said such remarks only hurt North Korea.

"Japan would not be pushed around by rhetoric of North Korea," he said.

Late Friday, Japan's Transport Ministry issued a notice requiring Japanese airplanes to report to the U.S. military if they fly near the U.S. military's Kadena base in Okinawa prefecture, the Kyodo News Agency said.

The notice, made at the request of the U.S. military in Japan, is believed to be part of precautions taken against possible North Korean missile launches.

It concerns the airspace within 30 kilometers (about 19 miles) of the base in southern Japan, where Patriot missiles are deployed.

War of words escalates: Timeline of a crisis

North Korea began to sharpen its threats in February, after the United Nations reacted to the country's third nuclear test with tougher sanctions. Annual military exercises involving U.S. and South Korean troops have added to the tensions.

At the Thursday House Intelligence Committee hearing, Clapper said the United States believed the primary objective of Kim's bellicose rhetoric was to "consolidate and affirm his power."

Earlier in the crisis, the United States drew attention to shows of strength, such as practice missions by B-2 stealth bombers.

Should I stay or should I go? Expats mull future there

Kerry said Friday that U.S. officials were working to calm the crisis, noting President Barack Obama had canceled some of the exercises.

"I think we have lowered our rhetoric significantly," Kerry said.

CNN's K.J. Kwon, Tim Schwarz, Kyung Lah, Deirdre Walsh, Judy Kwon, Joe Sterling, Kevin Bohn, Chris Lawrence, Elise Labott, Jill Dougherty, Adam Levine, Jim Kavanagh, and Pierre Meilhan contributed to this report.

@highlight

NEW: U.S. says it "stands vigilantly by" South Korea

@highlight

NEW: North Korea denies responsibility for hacking South Korean computers in March

@highlight

U.S. will talk to North Korea, but Pyongyang has to talk giving up nukes, Kerry says

@highlight

Ballistic missiles may be able to carry nukes, a U.S. defense intelligence assessment says