(CNN) -- Americans love a hero. Everybody does. So who could resist the touching story of the New York policeman who, seeing a homeless man sitting barefoot in the cold, walked into a shoe store and bought him a new pair of all-weather boots?

The picture of clean-cut Officer Larry DePrimo kneeling before bearded, straggly Jeffrey Hillman became an Internet sensation. More than 1.6 million people saw it in the first 24 hours after the New York Police Department posted the image, which was snapped by a tourist.

Chapter 1 of this story moved millions to shed a tear, and one hopes it inspired countless acts of kindness.

Now, we have Chapter 2. And it should move us even more.

Hillman, who became much less famous than his benefactor, is barefoot once again.

And the story, as it turns out, is much more complicated than we ever thought. New York City officials say Hillman has had an apartment but, for some reason, returns to the streets.

Despite veterans benefits, federal Section 8 assistance and Social Security, he sits on the cold New York pavement and, barefoot, walks its streets.

Clearly, this is a sad situation that will not be resolved with the purchase of a new pair of shoes.

Indeed, while DePrimo deservedly received accolades and media attention, we heard almost nothing about the homeless man; there was never any reason to believe his fortunes had improved. After providing protection for his blistered feet, society simply moved on, happy to pat itself on the back for a job well done -- and just in time for Christmas.

Photos: Haunting portraits of the homeless

New York Police Commissioner Raymond Kelly gave DePrimo a pair of cuff links. As for Hillman, Kelly flippantly explained, "We're not looking for him. He has shoes now. He's much more difficult to spot."

Hillman, 54, has told reporters that he hid the shoes because "they are worth a lot of money." The explanation is not important. Hillman's family told a reporter that "Jeffrey has his life, and he has chosen that life."

But can the country turn its back on one of its own, a homeless military veteran, and say "it's his choice"?

Remember the homeless man with the velvet voice, Ted Williams? He, too, was rescued by a miracle. But he needed help, substance abuse treatment, before he could keep a job: before he could keep on his all-weather boots.

What matters is that Hillman, like thousands of others, in the street, in a country that, despite all its economic challenges, remains the richest nation the world has seen. What matters is that a heartwarming act of kindness -- a man opening his wallet to buy another man shoes -- is not enough to keep him from going barefoot.

Some problems are too big for individuals to tackle alone. Some problems, such as homelessness, require complex solutions. Some problems remind society that when it came together and organized, it created government.

The reminder is particularly timely now as the country's leaders negotiate over the "fiscal cliff." The talks are a political contest. But they are also about the soul of the nation. America's leaders are discussing the country's guiding philosophy. Sadly for the Jeff Hillmans of America, the weakest of the weak, America seems to have decided it has less money to help its neediest.

Other nations are undergoing similar debates about their own identity and values. America is not the only country with a homelessness problem, and charges that the United States is callous and indifferent to the poor, which I have often heard abroad, are simply false.

The U.K.-based Charities Aid Foundation, says Americans are the most generous people on earth. Last year, 65% gave money, 43% gave time, 73% helped a stranger. Despite the economic slump, three-quarters of the giving, $217 billion, came from individuals. Corporations and foundations gave $56 billion.

Those are amazing numbers. Americans should be proud.

Photos: Down and out in the south

Still, thousands sleep out in the cold. In Atlanta, just down the street from CNN's headquarters, drivers can spot homeless camps under highway overpasses. One caught fire a few weeks ago. Homeless life is stressful and dangerous.

Practically every major city in the world is home to people sleeping in the streets. An estimate of homelessness in Paris about a decade ago put the number there at 12,000. Up-to-date figures are bitterly disputed. The consensus among advocates is that numbers have climbed significantly. In the United States, 2010 census figures show some of the highest percentages of "street homeless" in California. According to those figures, New York has one homeless person for every 2,506 people, compared with one for every 259 in San Francisco.

New York authorities claim to have reduced the number of "unsheltered" individuals to about 3,000, 26% fewer than in 2005. The Coalition for the Homeless says statistics underestimate the problem.

Some studies show much higher, but that is because the term "homeless" includes people living in emergency housing. In this case, we are referring to the worst category of chronic homelessness: people who spend most nights in the streets.

Whatever the figure, more can be done.

In Sweden, a determined government effort brought the number of people living in the streets to just 280, with thousands receiving help in alternative housing. I once saw a city worker in Stockholm help a homeless man off the pavement and walk with him onto a city bus. The government seems to have a handle on the situation of each homeless individual.

Not all places are the same. Cities such as Paris and New York have many more immigrants, more newcomers with fewer connections to the community, with less of a safety net. There is also more poverty, inequality, unemployment.

The Christmas Miracle story of the police officer and the homeless man faded in an Internet minute. And then we moved onto the next social-media sensation. But it continued for the man who should have garnered more attention from the beginning.

The story is not over. Not for Jeffrey Hillman. Not for any of the homeless people in the streets of New York or Paris, Stockholm or Atlanta, whom we glimpse briefly as we move on with our lives.

The shoes help; the cash helps. But the more effective act of generosity, the real miracle, would come if the millions looking at the picture of the generous police officer trying to help a man in need wrote the perfect Chapter 3, pushing for better mental health services, more affordable housing, more job training. For enough attention from the government to those who need it most.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: People moved by story of police officer who gave shoes to homeless man

@highlight

She says kind act is great, but wealthy nations must take lead to help the homeless

@highlight

She says in "fiscal cliff" haggling politicians must consider government's role in this issue

@highlight

Ghitis: Some nations, like Sweden, make strides on homeless, but all should