(CNN) -- "Lincoln," director Steven Spielberg's film about the 16th president and his battle to end slavery, rounded up plenty of votes for the 85th Academy Awards, topping all films with 12 nominations, including best picture.

Spielberg, one of the most successful directors in Hollywood history, doesn't need the honors -- he has six previous directing nominations, including wins for "Saving Private Ryan" and Schindler's List" -- but the showing marks a return to dominance for the filmmaker. In the last decade, his films, including "War Horse" and "Munich," have received little more than respect at the annual gathering.

Along with the best picture and best director nominations, the film also earned nods for best actor (Daniel Day-Lewis), best supporting actress (Sally Field), best supporting actor (Tommy Lee Jones) and best adapted screenplay (Tony Kushner).

Second in the nomination race was Ang Lee's "Life of Pi," the story of a spiritually curious boy who survives a shipwreck and travels across the ocean, accompanied by a tiger named Richard Parker. "Pi," based on the best-selling novel by Yann Martel, earned 11 nominations, including best picture, best director and best adapted screenplay.

"Les Miserables" and "Silver Linings Playbook" both received eight nominations, including for best picture. Other best picture nominees are "Beasts of the Southern Wild," "Amour," "Argo," "Django Unchained" and "Zero Dark Thirty."

Some notable acting veterans, including Robert De Niro, Denzel Washington and Field, were back in the academy's good graces.

De Niro earned a best supporting actor nomination for "Silver Linings Playbook." It's his seventh nod and first since 1991's "Cape Fear." De Niro has two wins, for "The Godfather Part II" and "Raging Bull."

"I am very pleased that the academy has chosen to honor the many individuals who were a part of 'Silver Linings Playbook,' " he said in a statement.

Washington received his sixth nomination, a best actor pick for "Flight." He's also won twice, for "Glory" and "Training Day."

And Field, of "You like me! You really like me!" fame, is up for her third award, though her first in a supporting category. She won for "Norma Rae" and "Places in the Heart."

Triumphs of youth and age

There are also some young names on the list. Perhaps none is so youthful as Quvenzhane Wallis, the star of "Beasts of the Southern Wild."

"Beasts," a magical-realist fable about a little girl and her father surviving the caprices of weather, emotion and civilization off the Louisiana coast, received four nominations: best picture, best director (Benh Zeitlin), best actress (Wallis) and best adapted screenplay.

Wallis, the film's spark plug, was just 6 when filming started. Now 9, she still ranks as the youngest-ever nominee for best actress.

"Everyone who made 'Beasts' happen is so happy!" Wallis said in a statement. "Thank you to all you Oscar folks, from me, my mom and my dad. ... Beast it!"

The film was a favorite at Sundance and did well at the box office -- especially given its sometimes inscrutable narrative -- but few expected it to do so well at the Oscars. Wallis was considered too young by some -- "Sorry, Quvenzhane Wallis, but Best Actress Oscar Nods Are for Big Kids," read a headline in The Atlantic -- and Zeitlin's directing competition included Quentin Tarantino ("Django Unchained"), Kathryn Bigelow ("Zero Dark Thirty"), Ben Affleck ("Argo") and Tom Hooper ("Les Miserables").

But when the nominees were announced, Zeitlin, who's 30, was on the shortlist.

Another surprising nominee was "Amour," the Austrian film from director Michael Haneke.

Haneke is well-known overseas -- his 2009 film "The White Ribbon" won the Palme d'Or at Cannes as well as a Golden Globe -- but if American audiences recognize him at all it's for "Funny Games," a 2007 English-language remake of his brutal 1997 thriller. "Amour," about a husband and wife coping with the effects of a stroke and aging, received five nominations, including nods for picture, director, actress, original screenplay and foreign-language film.

"Amour" star Emmanuelle Riva, 85, is the oldest nominee for best actress in Oscar history. Other best actress nominees are Jessica Chastain ("Zero Dark Thirty"), Jennifer Lawrence ("Silver Linings Playbook") and Naomi Watts ("The Impossible").

The nominees for best actor are Day-Lewis ("Lincoln"), Hugh Jackman ("Les Miserables"), Washington ("Flight"), Joaquin Phoenix ("The Master") and Bradley Cooper ("Silver Linings Playbook").

More Oscar nominations, including best supporting actor, actress

Surprising snubs

The love shown "Amour" and "Beasts" meant that "Zero Dark Thirty," "Django Unchained," "Les Miserables" and "Argo" all fell short of expectations, particularly in the directing category. "Zero Dark Thirty's" Bigelow, "Les Miserables' " Hooper and "Argo's" Affleck were all nominated for Directors Guild of America Awards, usually a sure sign of an Oscar nomination, but all fell short with the academy.

Bigelow's snub was particularly surprising, given that she and her film had dominated critics' lists during awards season. The film, about an obsessive CIA agent pursuing Osama bin Laden, may have been affected by controversy surrounding its torture scenes. Some detractors suggested the scenes implied that torture contributed to the success of the operation.

The film is still raising hackles. After its nomination for best picture, the Center for Constitutional Rights, a legal advocacy organization, released a statement in protest. "Instead of awards, 'Zero Dark Thirty' should be earning condemnation for falsely suggesting that torture played a role in the capture of Osama bin Laden," the group said.

The lack of nominations for Affleck was also surprising. When "Argo" was released in October, it looked like it was going to be the actor-director's year.

"Before November, the nominees (for best picture) would have been 'Argo,' 'Argo,' 'Argo,' 'Argo,' 'Argo' and 'Argo,' " wrote Grantland's Wesley Morris. Instead, though the film received seven nominations, Affleck was left off both the directing and acting lists. He was recognized for the adapted screenplay, and he co-produced the film with George Clooney and Grant Heslov, so he's on the best picture list -- but he'll have to wait for the other trophies.

Tarantino remains a critical and popular favorite -- "Django" has grossed more than $100 million domestically in three weeks -- but he failed to impress the academy with his directing prowess. The movie, however, picked up best picture and best original screenplay nominations. (David O. Russell, who directed "Silver Linings Playbook," earned the fifth slot in the directing category.)

Tarantino is still better off than Wes Anderson, whose "Moonrise Kingdom" picked up just one nomination, for original screenplay.

Voting rites

The overlooked directors and other creative types -- such as the people of "Skyfall" (five nominations, but none in major categories), "The Hobbit: An Unexpected Journey" (three nods) and "The Master" (three nominations, but no love for the film or writer-director Paul Thomas Anderson) -- can always blame the system.

The academy's voting process became more difficult this year with the addition of online technology that proved more complex than Florida's infamous butterfly ballot. According to industry news sites, the system contained so many safeguards that academy members found it difficult to cast their ballots. Some voters were so frustrated they visited the academy headquarters in person on the last day of voting -- Friday, extended one day because of the issues -- to make sure their votes were recorded.

"Next year I'm signing up for a paper ballot," one academy voter told Deadline Hollywood's Pete Hammond.

But the system did shine on one unexpected recipient: "Ted's" Seth MacFarlane, who's hosting the Oscar show and co-hosted Thursday's nomination announcement with Emma Stone. He got a nomination for co-writing one of the original song nominees, "Everybody Needs a Best Friend."

"I guess I'm going to the Oscars," he cracked.

The rest of the nominees might want to take lessons from the nomination leader. After all, it's no surprise a movie about a politician knows how to count votes.

The 85th Academy Awards are scheduled for February 24 on ABC. The show will air from the Dolby Theatre -- formerly known as the Kodak Theatre -- in Los Angeles.

Backstage at the Oscars

@highlight

"Lincoln," "Life of Pi, "Argo" and "Silver Linings Playbook" are among best picture nominees

@highlight

"Beasts of the Southern Wild" has surprising showing -- four nominations

@highlight

Quentin Tarantino, Kathryn Bigelow, Ben Affleck overlooked in best director category

@highlight

Oscar ceremony scheduled for February 24