(CNN) -- It's described as the 'Everest of sailing' -- a testing 39000 nautical mile challenge that takes crews through some of the most perilous waters in the world. The Volvo Ocean Race is in its first weeks of competition, an adventure that will last nine months.

At the beginning of this month, six crews set off on the first leg of the grueling race in Alicante, Spain. Their journey will take them across the globe via the ports of Cape Town, Abu Dhabi, Sanya, Auckland, ItajaÃ­, Miami, Lisbon, and Lorient -- eventually finishing in Galway, Ireland in July next year.

It's predicted millions of people will flock to the shorelines when the boats enter the ports. The event's growing popularity is parallel to the increasing professionalism that surrounds the race, and shows just how much it has changed since it began 38 years ago.

"Our main concern was survival in the first race," says Alec Honey, who competed in 1973-74, when the event begun.

It was known as The Whitbred Round the World Race and featured 17 yachts competing on what was then a 27,000 mile contest. Although the course was shorter, the journey was much slower and meant that sailors spent a lot more time at sea.

Then the crew's comfort was considered. There was space for sailors to play cards during the down times and guitars were brought on board for night time sing-a-longs. Erik Pascoli, who skippered 'Tauranga' in 1973-74, remembers how on some yachts crates of beer were even included in the supplies so the sailors could enjoy a drink. "I remember the way the boats were loaded with pallets of beers when in other circumstances even an extra roll of toilet paper would have been a scandal."

In modern racing, speed is the driving force behind every design decision. The record for the fastest day was set in 2008, when the Ericsson 4 traveled 687 miles in 24 hours. In the early days of the race's history, 200 miles was considered a very good day.

But while it may have been slower, in 1973 the crews relied on their wits for survival. There was no satellite information -- the first they knew of a storm was when they were in it.

"Our instrument of navigation wasn't so far from James Cook's times," says Pascoli. Even some former competitors admit they were crazy to embark on such an adventure, particularly when it comes to sailing in the southern ocean.

"We knew there were whales, we knew there were icebergs, we knew there were storms," says Peter Lunde, the skipper of the 1981-82 entrant 'Berge Viking'. "We prepared ourselves to cope with it. We were very happy to get around with a full crew."

Despite all the advances in technology, competitors at sea now are still faced with plenty of danger. "Down there you are pretty much running on luck anyway," explains Mike Sanderson, who is this year captaining 'Team Sanya'. "You're blasting along. You know it would only take a piece of ice the size of a small car to tear the bottom out of the boat and you're not going to see that with any technology in the world."

Five sailors have lost their lives competing in the race, including three in the first edition. Participants are all too aware that the dangers of the event are very real. "It's easy to say that winning the race is the priority," says Ken Read, skipper of 'Puma Ocean Racing, powered by BERG'. "But our number one priority is everybody coming home."

The determination and courageous spirit of the yachtsman has remained unchanged throughout the past four decades. Organizers say it's one of the most demanding team sporting events in the world, with participants this time around set to face countless challenges in the months ahead like their predecessors.

Sailors will experience temperatures ranging from minus five degrees Celsius to 40-plus degrees. No fresh food is taken on board, only freeze dried goods are eaten by crewmen and woman, who are also unlikely to get sufficient sleep while competing.

While many of the personal challenges faced by competitors are similar, one thing that is significantly different is the professionalism of the event. "When you reach this echelon in this sport -- the upper echelon -- you get paid pretty well for doing something like this," says Read.

Multi-million dollar sponsorship deals have been signed on on all six boats as well as the event itself. There is greater media attention that follows the race, bringing a valuable global audience.

In each port, separate small races are being held, giving the teams the opportunity to win points, and the event the chance to win over more spectators. In Alicante, several events such as concerts were held to coincide with the start of the race, and more are due to be held in the other ports.

"We're in the entertainment business, without entertaining all these guys there is nothing," explains Read.

But the lucrative sponsorship deals have not taken away the spirit of adventure. "There's not a lot of commercialism at 2am when your spinnaker is out the back of the boat and you are lying on your side," says two-times race winner Grant Dalton.

"No matter what you do with it .. you can never destroy adventure, icebergs, waves, cold and no sleep. You will never destroy the adventure that started this race in 1973."

@highlight

The Volvo Ocean Race is 39000 nautical miles long

@highlight

It began in 1973, then called The Whitbred Round the World race

@highlight

Six crews left Alicante, Spain earlier this month on the first leg