(CNN) -- Is anybody out there?

For millennia, humans have gazed at the night sky, asking this question. That's why scientists and NASA are eagerly searching for "exoplanets" -- that is, planets that orbit around stars other than our sun.

Last week NASA's Kepler satellite reported the discovery of three Earth-sized exoplanets within the so-called "habitable zone," defined as the neighborhood of a star where liquid water -- essential for life as we know it -- can exist.

In our solar system, only three planets lie in the sun's habitable zone -- Venus, Earth and Mars.

Planets too close to the star they orbit, like Mercury, are too hot for liquid water. Even Venus turns out to be too hot, thanks to a runaway greenhouse effect caused by its carbon dioxide-rich atmosphere. Planets farther from their star, like Jupiter, are too cold, at least on its surface -- although Europa, one of Jupiter's moons, may have oceans of liquid water beneath an icy crust.

3 new planets could host life

Say hello to the three new exoplanets: Kepler 62e and Kepler 62f orbit are the fifth and sixth planets orbiting the star Kepler 62, and Kepler 69c is the third planet orbiting -- you guessed it -- Kepler 69. All three are nearly the same size as our Earth.

Kepler 62f has a diameter 40% larger than the Earth's. It orbits its star once every 267 days, very similar to the 225-day period of Venus. We do not know what Kepler 62f is made of but other exoplanets of a similar size are known to be rocky, so that's the best guess for now.

Kepler 62e is about 60% larger than the Earth and is probably hotter because it lies at the inner edge of the habitable zone, in a 122-day orbit -- slightly longer than Mercury's 88-day orbit.

You can see a pattern: the shorter the orbital period, the closer the planet is to its star. For physics lovers, this follows directly from Newton's law of gravity -- but that's a lesson for another time.

For now, I can tell you that one Mercury-year is 88 Earth-days, one Venus-year is 225 Earth-days, one Earth-year is 365 days, and one Jupiter year is about 12 Earth-years. (By "year" I mean the time that a planet takes to orbit its star. By "day" I mean the rotation period of the planet. What a "day" or "year" means clearly depends on the planet!)

Since Kepler 62 is a cooler star than our sun, planets can orbit closer to it than the Earth can to our sun before overheating.

In contrast, the third Earth-like planet, Kepler 69c, orbits a star very similar to our sun (that is, hotter than Kepler 62). It is 70% larger than the Earth and orbits Kepler 69 once every 242 days -- very like Venus.

Debra Fischer, noted exoplanet hunter and my colleague at Yale, explained the significance of the discovery: "The radii of these planets makes them the smallest ever detected outside the solar system. The host star is about a billion years older than our Sun, so it is intriguing to speculate about whether life might inhabit these planets."

We know from scientific studies on Earth that, given the right chemical elements and some energy, organic compounds form. Living organisms have been found even in apparently inhospitable regions of the Earth, like the driest deserts or Antarctica, or near thermal vents in the black depths of the ocean. With the right ingredients, it seems, life is nearly impossible to prevent.

We don't know for sure whether there is life on Venus or Mars. If there is, it's unlikely to look like ET, canal-building aliens, or any other science fiction-type fantasy. Walking, talking aliens would have been visible decades ago to telescopes and rovers.

But could there be intelligent life in another planetary system, in orbit around one of the 100 billion other stars in our Milky Way galaxy? Could we communicate with them? Could we visit them?

The Kepler satellite was designed to look for planets around each of about 100,000 stars. As of April 19, 2013, the Jet Propulsion Laboratory's Planet Quest website reports 851 confirmed planets and 2781 candidates, totaling as many as 3,632 exoplanets. Most were discovered by scientists using Kepler data -- and a few were found by ordinary citizens analyzing Kepler data at planethunters.org.

We can't travel to the nearest stars in a human lifetime -- such a journey would take tens of thousands of years with current technology. But we do have the technology to speak to distant civilizations. In fact, we've been broadcasting television signals to the cosmos for more than 80 years.

We have had the technology to explore space and to communicate over long distances for less than 100 years -- a tiny fraction of the few million years since the first humans, much less the 4.5 billion years since the Earth formed.

So it is likely that any other technologically sophisticated civilization would be far more advanced than we. That means they probably could let us know they were here, if they wanted to. For now, we can keep sending our TV broadcasts, listening for their broadcasts and studying exoplanets for signs of life.

Thursday, at a meeting of the NASA science advisory committee I serve on, NASA Associate Administrator for Science and astronaut John Grunsfeld finished his presentation by giving us a heads up about the exciting Kepler exoplanet discoveries. As he said in the press release, we are "a bit closer to finding a place like home. It is only a matter of time before we know if the galaxy is home to a multitude of planets like Earth, or if we are a rarity."

After our committee meeting ended today, I asked one of the NASA audio-visual staff whether he had heard about the new exoplanets. "Oh yes," he answered, "the ones in the habitable zone." He asked whether life might exist on one of these planets, and whether we could visit them. Such ideas are why he is thrilled to work at NASA.

People want to learn about life elsewhere in the universe. We want to visit those planets, to see what creatures live there, to compare to our own world -- to learn what is out there.

Thanks to Kepler, NASA, dedicated scientists and curious citizens, we are that much closer to finding out.

More space and science news from CNN Light Years

The opinions expressed in this commentary are solely those of Meg Urry.

@highlight

People have always wondered whether there's life in outer space

@highlight

Meg Urry says last week's announcement by NASA shed new light on the question

@highlight

Kepler satellite found three planets in zones capable of supporting life, she says

@highlight

Urry: We can't journey to such far off planets but we can try to communicate with far-away life