Boston (CNN)Dzhokhar Tsarnaev's bombs tore through their bodies: singeing flesh, shattering bones, shredding muscles and severing limbs. But on Tuesday, jurors also began to hear about the holes his bombs left in the hearts of the survivors and the families of the dead.

Now that he has been found guilty on every count, the jury must decide whether Boston Marathon bomber Tsarnaev, 21, should live or die for what he has done.

This is the victim impact part of the case, and the testimony was heartbreaking. Four young people are gone, and grief fills the spaces they once occupied.

A father with a shock of white hair cried for the daughter he called "Princess."

"Krystle was the light of my life. She was extremely smart, hardworking, beautiful, every father's dream. I miss her a lot," said William A. Campbell Sr., dabbing at his eyes as he described his daughter, a 29-year-old restaurant manager who was killed in the first blast at the 2013 Boston Marathon.

She was the one who could round up the family and put on big celebrations, he said.

"Nobody fills that boot now."

Others are expected to come and cry for Lingzi Lu, "a jolly soul," Assistant U.S. Attorney Nadine Pellegrini said, quoting the slain Chinese grad student's father.

More tears will be shed for Martin Richard, who was 8 and looked just like his dad. And for Sean Collier, who was remembered at his memorial service by these words: "Big heart, big smiles, big service. All love."

"Dzhokhar Tsarnaev murdered each one of them in a way that they had time to feel pain, they had time to be scared and frightened, but they had no time to say good-bye," Pellegrini told the jury.

"And that is the very essence of terror."

Timeline of bombings, manhunt and aftermath

To understand the toll Tsarnaev's bombs took, jurors must know the stories of his victims, the prosecutor said.

"These young women, this young man and this little boy, all of them were loved and they loved in return," Pellegrini said. "Before he murdered them in some of the cruelest ways imaginable, they were sons, they were daughters, they were grandchildren, they were brothers and they were sisters."

Jurors saw photograph after photograph of smiling, happy people with arms around siblings at weddings and birthday parties and family gatherings.

There was the photo of Campbell as a little girl in a red tap-dancing outfit. And then came the one that made her father smile through his tears. She was a little older and wearing a baseball uniform.

"She traded that in for a bat," Campbell said. "She wasn't really a girly girl, but she loved to whitewater, camp, play baseball. She had a good arm on her. I was very proud of her."

By contrast, jurors also were left with an indelible image of Tsarnaev, taken when he was in a holding cell in the very courthouse where the trial is being held. It is dated July 10, 2013 -- the day of his arraignment on charges he deliberately set off the deadly bombs at the Boston Marathon.

He glares into the camera defiantly, his middle finger raised in a profane salute.

"This is Dzhokhar Tsarnaev, unconcerned, unrepentant and unchanged," Pellegrini said. "Without remorse, he remains untouched by the grief and the loss that he caused."

Tsarnaev saw the people he killed as "the enemy," she said. As a result, two women and a man never reached the age of 30, and a little boy never made it to the third grade.

"He knew they were innocents. He even called them that," Pellegrini added, referring to the message Tsarnaev scrawled onto the sides of a boat where he hid from police after the bombings.

"But it didn't stop him from murdering them."

The people who were maimed by Tsarnaev's bombs are also testifying during the sentencing phase of the trial as prosecutors try to show the impact on victims of the attacks.

The stories they told on the witness stand were even more gripping and horrific than the stories told during the guilt phase of Tsarnaev's trial.

When the first of the two bombs went off, Gillian Reny, a senior in high school, was standing near the woman she came to know was  Krystle Campbell.

"There was a complete, utter chilling silence and then chaos. Chaos like I'd never seen and never hope to see again," she said. The force of the blast knocked her to the ground. When she looked around, she saw blood and muscle everywhere. Her shin bone had snapped and was protruding.

"Muscle was everywhere. It was the most horrifying image I could imagine. Just seeing that on my own body," she said, and began to cry. "I remember looking around and it just seemed like there were bodies everywhere, blood everywhere."

Were you bleeding? she was asked.

"Yes, enormously. Looking down at the blood I was just shocked that much blood could come out of someone," she said. "I was terrified that I was going to die. I did not know that I could be that injured and survive."

She said she began to scream.

Her bone-chilling cries could be heard on a video played in court -- the most graphic of many graphic images the jury has been shown.

Doctors were able to save Reny's leg, but others weren't so lucky.

Celeste Corcoran lost both legs, one below the knee and the other above the knee. An amputation above the knee is the most difficult injury to recover from, jurors have learned at this trial.

Corcoran was at the finish line, waiting for her sister to cross.

"And then our whole world just exploded," she said. "I unfortunately remember every single detail."

She remembers being knocked to the ground, hearing nothing and then screams, and seeing blood everywhere.

"It's kind of hard to explain but I want to get it right for all of you to understand," she told the jury. She said it was "a surreal, out-of-body experience."  She remembers thinking, "What was that?" and wishing she could turn back time by five minutes.

Her husband bent over her and told her it was a terrorist attack. By then, she began to feel pain worse than anything she had imagined. She wondered if she would die.

"It hurt too much. I just didn't care," she said. "I remember thinking I was going to die, that no one could go through that much pain.  I knew it was very bad and I was thinking, 'Is this it? Am I going to die?' I remember thinking I wanted to die. The pain was too much. I wanted to die."

And then, she said, "the mom in me" took over. She remembers telling herself: " 'Hell no, I don't want to die. I have too much living to do. Don't let this be the end. This can't be the end.'"

She remembers feeling relief once she arrived at the hospital, even as she signed the form authorizing doctors to take both her legs.

"Can I get on with my life? Absolutely," she said.

But she can never forget she's a double amputee.

"There's always a level of discomfort. Right now I'm not comfortable," she said from the witness stand. "The bottoms of my limbs, there's this constant numb burning sensation. The only way I can describe it is it's like you have the worst athlete's foot in my life."

Sometimes, she feels a stabbing sensation where her toes and calves used to be.

"You don't realize until you're a double amputee how many dips and hills and inclines there are," she said. "Inclines are very hard."

Daily life is literally an uphill battle.

Opinion: What Tsarnaev deserves

CNN's Greg Botelho contributed to this report.

@highlight

The sentencing phase in Dzhokhar Tsarnaev's trial begins in a federal court in Boston

@highlight

Prosecutor shows pictures of the four victims and Tsarnaev flipping his middle finger

@highlight

Victims testify about the impact of the bombing on their lives