Sanaa, Yemen (CNN) -- Hurling rocks and brandishing daggers and sticks, supporters of longtime President Ali Abdullah Saleh plunged into a crowd calling for his ouster in Sanaa on Friday as rising momentum in Yemen sprouted similar protests in other towns.

Reports of excessive force prompted calls for restraint amid intensifying demonstrations.

U.S. President Barack Obama voiced concern about what the U.S. Embassy in Yemen described as "a disturbing rise in the number and violence of attacks against Yemeni citizens gathering peacefully to express their views on the current political situation."

"The United States condemns the use of violence by governments against peaceful protestors," Obama said. "Wherever they are, people have certain universal rights, including the right of peaceful assembly."

The embassy statement said "the attacks are contrary to the commitments that President Saleh has made to protect the right of Yemeni citizens to gather peacefully to express their views."

The violence in Yemen and Libya on Friday stood in sharp contrast to images from Cairo's Tahrir Square, where Egyptians showed up en masse to celebrate the toppling of President Hosni Mubarak a week ago.

Saleh's foes in Yemen are trying to score their own victory. After midday prayers concluded, they marched from the gates of Sanaa University to the streets, where security forces and riot police tried to stay between rival demonstrators Friday.

Some told Amnesty International that they had been surrounded by security forces, aided by "thugs" who fired shots at them and beat them.

"We are very scared, particularly because there are children with us," a protester told the human rights monitoring group.

"We've tried to get the children out of the area, but the security forces have not allowed us to do so."

"After Mubarak, now it's Ali's turn," chanted the anti-government protesters. "The people want the fall of the regime."

"I'm out here today because we want the president to go and we want to make sure that he and his family don't stay in power," said Khalid Amer, a student.

Despite concessions from Saleh, a tide of anger is sweeping through Yemen's youths, who say they are simply fed up with the status quo.

At least 30 anti-government demonstrators were injured, according to Abdul Naser Al-Dumaini, an anti-government protester at a demonstration in Sanaa.

The day before, at least 20 people were injured in Sanaa. Opposition lawmaker Ahmed Hashid said police at the scene did not try to intervene.

In Taiz, more than 10,000 anti-government demonstrators, including 4,000 women, gathered Friday in Freedom Square in a seventh straight day of protests, witnesses said. An assailant drove by the square and hurled a grenade, killing one person, a police official said. At least 43 others were wounded.

And in the coastal city of Aden, about 3,000 anti-government demonstrators gathered in the Al-Mansoura District, witnesses said. Five people have been killed in Aden since Wednesday, hospital and government officials said.

Aref al-Qubati, a participant whose friend was one of the victims, said police fired to disperse protesters.

The Committee to Protect Journalists reported that "at least four photojournalists were attacked, beaten and had their cameras confiscated" by government supporters at the protests.

The government countered the coverage of discontent in Yemen by reporting on sympathetic demonstrations. The state-run Saba news agency said a million demonstrators had marched in Taiz, hoisting Yemeni flags and pictures of Saleh. And Deputy Interior Minister Hussein al-Zawa'ari blamed a southern secessionist movement for the unrest and deaths in Aden, Saba said.

Saleh has called for an investigation into the Aden violence, and Vice President Abdu Rabo Mansour Hadi met with the governor Thursday, Saba said.

Saleh, in power for 32 years, met earlier in the week with his National Defense Council to discuss discontent in his nation. The council "stressed all should practice their rights according to the constitution, in a peaceful way and without violence, chaos, sabotage and lawbreaking," Saba said.

Saleh has been in touch with King Hamad of Bahrain, which is also mired in unrest.

"He pointed out that there are schemes aimed at plunging the region into chaos and violence targeting the nation's security and the stability of its countries," Saba said. "Those who commit acts of disorder and vandalism (are) simply implementing suspicious foreign agendas ..."

The report didn't suggest who might be behind the agendas.

In an attempt to quell growing discontent, Saleh, a U.S. ally in the fight against an offshoot of al Qaeda in Yemen, has announced he won't seek another term in 2013. He also said he would postpone parliamentary elections scheduled for April to allow more time for discussions about reform.

Yemen's situation is compounded by the fight against al Qaeda, the southern separatist movement in its once-independent south, a Shiite uprising and a looming shortage of water.

@highlight

NEW: Obama: U.S. condemns violence "by governments against peaceful protestors"

@highlight

Rival demonstrators clash at Sanaa University

@highlight

Scores of injuries reported

@highlight

Yemeni President Ali Abdullah Saleh has been in power for 32 years