(CNN) -- Now that they've gotten a peek at it, publishers of books, newspapers and magazines are hoping Apple's forthcoming iPad tablet device will breathe new life into their struggling industry.

A handful of publishers already have struck content deals with Apple for the handheld wireless device, which displays text, photos and graphics in high-res color. Apple will launch an online bookstore to sell titles for the iPad, much like iTunes sells music for iPods and other Apple devices.

"I think it's a game-changer for us ...­ because of the ability to consume content and consume so much of it all in one place," Sarah Chubb, president of Condé Nast Digital, told CNN. She thinks the iPad could join Amazon's popular Kindle e-reader in boosting demand for digital media.

"It's become clear over the life of the iPhone that people love consuming information like this on their phone -- the people who buy Kindles buy more books than before they had a Kindle" Chubb added. "Machines like this make you want to consume more media, which is good for us."

Chubb and others are hoping that the Apple's iBookstore and other pay-based models for the iPad will do for the print-media industry what iTunes did for the music industry.

"We think there's a lot of opportunity there," said Adam Rothberg, vice president of corporate communications at publishing house Simon and Schuster. "It creates a much more robust marketplace. The e-book market has clearly been growing at a really rapid clip in the last year. I think this will certainly tick it up a notch. It expands the universe of potential customers for us in a big way."

Rothberg noted the enormous reach Apple already has with consumers in the iTunes store. Through Apple's online store, Simon and Schuster may be able to reach consumers who have not already bought a Kindle, a Sony Reader or one of the other e-readers on the market.

These online retail opportunities echo a debate that heated up in the late 1990s with the dawn of micropayments.

"Nobody would have believed we would pay to download music the way we do now," Chubb said.

The idea that people might be willing to spend a dollar or so for little bits of digital content­ ­is exactly the model iTunes is based on -- and it's part of why the iPad was being hyped as revolutionary before it even launched.

"I think [Steve Jobs] will be remembered as the digital Gutenberg," said Bruno Ruffilli, a writer at La Stampa newspaper in Italy. "It could be a way out of this [publishing] crisis."

Newspapers and magazine publishers have suffered financially in recent years as readers have migrated to the Web and the growth of online advertising has failed to make up for the loss of print ad revenue.

Others were less enthusiastic. Jack Shafer, a columnist at Slate, wrote in December that regardless of its technical capabilities, Apple's tablet may falter like past attempts to revive print media. He cited fizzled attempts to introduce magazines on CD-ROM discs.

In his column, Shafer quotes Pablo Boczkowski, a journalism professor at Northwestern University, to illustrate why the iPad isn't necessarily the golden answer to old media's problems.

Ultimately, Shafer says, it's about what the consumer wants ­-- and the iPad answers a problem consumers don't have.

"Most people need a simple surfboard, rather than the complex -- and costly -- diving gear," Boczkowski told Shafer.

One tech writer at Apple's iPad unveiling Wednesday worried that because the iPad also functions like a computer, reading on the device may be difficult.

"I'm not sure how I feel about being on the iPad and reading, because then I'm too connected," said Jacqui Cheng, a senior writer at the tech site Ars Technica, who believes her thoughts might be disrupted by the constant pings of e-mail.

Still, publishers are experimenting with versions of their magazines for e-readers and for smartphones. And, like Conde Nast -- which publishes such magazines as Vogue, Wired and The New Yorker, see infinite possibilities for success with the iPad.

Chubb noted the launch of GQ's iPhone app was widely successful in showing Conde Nast that consumers have a desire to read magazines on electronic devices. And The New Yorker is the most popular magazine download on the Kindle, she said.

But the iPad has a key advantage over the Kindle, she said: The potential to bring in revenue from ads displayed on its magazine-style layouts. Said Chubb, "There¹s no advertising opportunities within the Kindle."

Newspapers also got a hint of what the iPad might do for them during Wednesday's demo of a New York Times application for the iPad. The app seemed to merge old and new media by mirroring the Times' page layouts while allowing for interactive content within a story.

"We are pleased to be part of the launch of this exciting new product and we look forward to further discussions with Apple," said Janet Robinson, president of The New York Times Company and Martin Nisenholtz, senior vice president of digital operations, in a joint statement. "It's too soon to discuss details of an application, but we are, as always, looking at innovative new platforms."

But with no content pricing announced Wednesday, and no models regarding subscriptions for magazine and newspapers, many observers are still left to wonder how it will all work.

Chubb said Conde Nast plans to try out several business models to see what works best. For example, the company must decide when selling ads whether to bundle advertising for the iPad with ads for print publications. Conde Nast also must figure out how to market the iPad's digital versions of its magazines, she said.

If everything works out, Chubb hopes that consumers sitting in an airport will be able to touch a few buttons and download a virtual stack of Conde Nast magazines for their flight.

"I'm thinking about people wondering, 'How long is my flight -- should I download an extra magazine?' "Chubb said. "That's a dynamic I'm excited about."

@highlight

Publishers hope Apple's iPad tablet will breathe new life into their struggling industry

@highlight

A handful of publishers already have struck content deals with Apple for the wireless device

@highlight

Apple's iBookstore may do for print media what iTunes did for the music industry

@highlight

Newspapers and magazines have suffered as readers have migrated to the Web