Washington (CNN) -- On the eve of the inauguration, President Barack Obama's second term may also be America's second chance.

The country, in the last four years, has been battered by an economic earthquake while trying to reconcile a debt load threatening to cripple the next generation.

It has been pulled apart by political extremism and the inability to compromise in Washington. The people have been divided -- by demographic shifts, cultural battles and clashes between the rich and the poor, the haves and the have-nots.

So, days before the president's second inaugural, the nation, too, is set to regroup. What it does differently this time around and the decisions the people make, experts say, will speak to the kind of America that emerges during the next four years.

Second inaugural address puts Obama in select company

"The enormous promise that everyone felt four years ago, it isn't completely gone but we have diminished our horizons," said Robert Schmuhl, an American studies professor at the University of Notre Dame. "We have learned that we are now living in an era of limits."
Obama is perhaps more keenly aware of this than most.

Hope and hurdles

The 44th President was ushered into the Oval Office by a wave of seemingly limitless optimism and buoyed by the historic nature of his presidency as the first African American elected to the lead the free world.

But once in office, he found his efforts to right an economy hobbled by high unemployment -- 10% at its worse in 2009 -- and home foreclosure rates -- one in 29 homes were in foreclosure between 2007 and 2012 -- were limited by the magnitude of the problem and the political realities of a partisan Congress.

His plan to reform the nation's healthcare system further expanded political divides in Washington and helped lead to huge losses among his party's moderates in the 2010 election.

His re-election this fall — due in no small part to demographic shifts that included large numbers of minorities and women — was quickly followed by a protracted and deeply partisan showdown over trimming the nation's debt.

By the numbers: Presidential inaugurations

"I think Obama has learned some things," said Curtis Gans, director of American University's Center for the Study of the American Electorate. "He's going to be unlike most second term presidents in that he will be far more assertive than he was in his first term. He will be stronger on pushback against some of the most extreme elements in the Republican House. He's willing to go to battle on the whole concept of getting the economy moving."

The public saw hints of that assertiveness on Monday during a surprise news conference, where he lashed out at Republicans in Congress for playing politics with the debt ceiling.

"We are not a deadbeat nation," Obama said during a nearly hour-long briefing from the East Room of the White House. It a newly combative tone, he called it "absurd" for the federal government not to pay "bills that have already been racked up" and said he will not negotiate "with a gun at the head of the American people."

From Obamacare to the economy to Sandy Hook

Over the next four years, the country will also get a chance to see whether the Affordable Care Act -- or "Obamacare" -- is a positive or negative step for the nation. In 2014, many of the most controversial provisions, including requiring individuals to either participate in a health insurance program or pay a penalty, take effect.

"We will see whether or not we have the strength within ourselves to figure out how we should deal with entitlement programs," Schmuhl said. "In a way, it's a period when the administration will be dealing with problems that are in process."

Obama's ability -- or failure -- to navigate all of this while coming off as a strong, levelheaded leader could help set the nation's tone for years to come.

"If the economy becomes more robust you will have no doubt he will point back and say see that's what I was doing," said Julian Zelizer, a professor of history and public affairs at Princeton University and CNN contributor.

Reagan, Clinton faced similar issues

It's what happened when former President Ronald Reagan, who led the nation at a time when the country was reeling from a tough economy and just starting to get over the Vietnam War. In his second term "there was a sense America was moving in the right direction in terms of how it was doing around the globe," Zelizer said.

When former President Bill Clinton took office the economy wasn't doing well, but by the second term the economy was picking up, allowing him to deliver a balanced budget and ultimate surplus by the end of his presidency.

"There was clearly a shift in the mood," Zelizer said. "In both cases, the presidents were good at claiming credit for it."

Mood matters in the age of austerity

Everyday folks have learned to cut back and suck it up—some after finding themselves underwater on mortgages they could not afford to pay; others after losing jobs that their companies could no longer afford to keep.

So, Americans have been using their credit cards less and paying down debt more -- household debt as a percentage of disposable personal income is at its lowest rate in almost 30 years, according to the Federal Reserve and credit card balances had reached their lowest level in more than a decade.

And many expect the same discipline from their government.

"Americans will be realistic, just as those in government need to be realistic," Schmuhl said of citizens' likely approach to their own finances over the next four years.

But, as Obama enters his second term, both the housing and job markets have been on a slow and steady uptick. Housing sales were up 6% in 2012 -- the biggest gain since 2005, according to CoreLogic -- and the unemployment rate had dropped to 7.8% in December, although there are still 4.8 million Americans -- or 39.1% of the jobless -- classified as long-term unemployed, according to the Bureau of Labor Statistics.

"Going into the second term, the fiscal situation will continue the agenda and the discussion," he said. "It will say a lot about us and where not only the government but the nation might be going. If it is difficult and, shall we say, fractured and there's a sense coming out of it that things are not working as they should my guess is that the public will begin saying: 'When will Washington work on our behalf?'"

Governing on a deadline

That sentiment was foreshadowed in the frustration over the down-to-the-wire, partisan political maneuvering as the last Congress sought to avert the fiscal cliff's steepest domestic spending cuts.

Obama appeared to prevail on that skirmish, delivering on a promise to raise tax rates on wealthy Americans -- although he shifted his definition of "wealthy" from those making $250,000 or more to those making $400,000 and up.

According to Pew Research Center and Gallup polls, Americans were none too impressed with how lawmakers handled the negotiations or the deal that was struck.

Some 41% of those polled disapproved of the deal, according to Pew, and 52% thought the deal would hurt people like them. In the Gallup poll, 67% - disapproved of congressional Republicans' handled the negotiations while 55% disapproved of how Democrats performed.

Still, partly due to deliberate redistricting to protect -- or create -- more partisan congressional districts, American voters continued to elect or re-elect safe representatives to do their bidding in Congress. For instance, most of the 435 members of the House of Representatives -- Republicans and Democrats -- faced little real opposition on Election Day in 2012.

Other battlegrounds: Sequester, gun control, immigration

But the next battle looms. Just weeks after Obama takes his oath of office, a new Congress will be tasked with addressing the automatic spending cuts, or sequester, that were kicked down the road in order to pass a smaller deal at the end of the year.

The new Congress will also consider raising the nation's debt ceiling, or the ability of the U.S. Treasury to borrow money to pay America's bills. Most agree that defaulting on the nation's obligations would be disastrous for America and the global economy, but some Republicans in Congress are starting to hint that they may be prepared to let that happen anyway if large spending cuts are not secured.

And after that, the fight over gun control, a high priority for the White House in the aftermath of the Connecticut school massacre, will pit the president against many members of the House and Senate from safe districts with high ratings and big-dollar donations from gun rights advocates.

The president and vice president unveiled a major plan on Wednesday that included 23 executive actions the president has ordered on his own, while urging the new Congress to take on the meaty issues of an assault weapons ban, limits on the number of bullets a gun magazine can hold, and other sweeping reforms the gun lobby and others say would gut the constitutional right to bear arms.

Immigration reform, another White House priority, will also stoke ideological differences and test the demographic shifts in Congress. For the first time, the House Democratic caucus is dominated by women and racial minorities, while the Republican caucus in that chamber is largely composed of white men. In the Senate, 20 women — the largest number in history — currently hold office.

But women and minorities are far outnumbered and outranked by white males on some of the most powerful congressional committees. And despite several high-ranking exceptions, Obama's Cabinet -- so far -- is shaping up to be largely male and white.

"The first thing we learned is that we're not post-race. That was a lot of willful imagining in '08 that his election would allow us to transcend these questions of race," said Mark Anthony Neal, a cultural and Black studies professor at Duke University. "The American electorate is looking different in terms of race and ethnicity and young folks being engaged. In 2016 our political realities will look more like our demographic realities."

And that's where the nation's shift over the next four years may be most visible.

But look first to the 2014 midterms and then the 2016 presidential election to see if the people signal continued frustration with the current regime -- in Congress and in the White House -- or demonstrate through the power of their vote that they feel the nation has finally turned the corner.

@highlight

Reeling from the turmoil of the last four years, the country may be ready to regroup

@highlight

President Obama, adopting a more assertive posture, will need to still persuade a divided country to get things done

@highlight

The economy is improving, the nation's demographics are shifting and a new America is emerging