Kingston, Massachusetts (CNN) -- Two weeks ago, a growth was found on the chest of Sara Polcari's 6-year-old dog, Charlie.

Given Charlie's history with cancer -- he had one of his hind legs amputated in March to get rid of a tumor -- the veterinarian recommended immediate surgery.

The timing couldn't have been worse. Polcari had just been laid off from her job, and now she and her husband were looking at an $850 bill. She was also six months pregnant.

"It's like, 'What are we going to do? Now? Really? Of all times?' " Polcari said. "It's really tough to meet our bills and to have this large amount of cost for Charlie coming up, it was just really unexpected."

The Polcaris had been able to pay for Charlie's amputation by raising money through family and friends. But now, they didn't know what to do.

That's when the vet told them about Fairy DogParents, a nonprofit that helps dog owners pay for their pets' needs during times of economic hardship.

"We filled out the online application, and I got a phone call that night saying that they would love to help," Sara Polcari said.

Since it started in 2009, Fairy DogParents has provided aid for nearly 400 dogs in Massachusetts: $150,000 worth of dog food and medical care.

"It's to prevent dogs from being surrendered to shelters or euthanized when their owners cannot afford care," said Marlo Manning, who founded Fairy DogParents. "Financial hardship is a very common reason why people surrender their animals to a shelter. And once they do that, it's not a choice that you can undo."

Between 2 million and 2.5 million dogs enter U.S. shelters each year, and between 1 million and 2 million of those are euthanized, according to estimates from the American Society for the Prevention of Cruelty to Animals. The ASPCA also says that as many as 1 million pets in America are at risk of becoming homeless because of the recent economic downturn.

"I've never had to choose between caring for my dogs or caring for myself," said Manning, 39. "Most of the people we help, they're doing their best to get back on track. And then a crisis happens with their dog. And it's just one more thing that they can't afford. ...

"It's emotionally taxing on them because they think, 'If I can't even take care of this dog, what right do I have to have it?' So we want to take that burden away and say: 'You do have a right to have it. Get through this, and we'll help you.' And through that, we give them a little ray of hope."

Do you know a hero? Nominations are open for 2013 CNN Heroes

Manning knows how much an ailing dog can cost. She and her husband adopted their first dog, Ladybug, from a shelter in 2005, when Ladybug was 10 years old. In the four years she spent with the couple, the pooch developed a host of health issues, including vertigo, dementia and ultimately cancer.

Over time, the costs for Ladybug's medicine, vet bills and special food averaged about $300 to $400 a month, Manning said.

"Having gone through a job loss myself, I thought: 'I'm really glad that we had Ladybug when we did, because we were able to afford it. If it had happened at a different point in time, I don't know what we would've done. We couldn't have given up on her. She'd never give up on us.' "

After Ladybug died, Manning still had hundreds of dollars' worth of pet medications and prescription food. With the veterinarian's help, she donated them to another dog owner in need. But she was left wanting to do more.

When Manning went to retrieve Ladybug's ashes from the veterinarian's office, she asked the staff whether they knew of a way to sponsor the dog of a family less fortunate. They did not, but they directed her to a local newspaper article that discussed the growing need.

"(On) the cover of the local paper was a story about dogs being tied to the front of shelters because people couldn't afford to keep them anymore. They couldn't afford to feed them, never mind get them medicine," Manning recalled. "With Ladybug, her remains by my side ... within seconds, I melted into a puddle and couldn't stop crying. I said, 'I have to do something.' "

When Manning founded Fairy DogParents, her goal was to help three families in her first year. She exceeded that expectation by 24.

"I had such a hole in my heart; I had to fill it," Manning said. "And I couldn't fill it by running out and getting another dog. I chose to find a way to sponsor other people who could not afford to keep their dog.

"Because (Ladybug) came from a shelter, it had two meanings for me. One was to keep her memory alive. And the other was to keep another dog from going to a shelter since that system is already stressed enough as it is."

Dog owners can apply online for financial help, which is all funded by private donations. The nonprofit is able to subsidize up to $800 a year for a dog's acute or chronic care and $300 a year for general wellness needs. For dogs who have needs exceeding those limits, the group has also hosted online fundraisers.

"The money is given directly to the vet or pharmacy," Manning said. "And the dog owner is responsible for at least 15% of the cost."

Dogs must also be spayed or neutered to receive help.

The average applicant makes a maximum of $2,000 a month before taxes. The group prioritizes the elderly, people with disabilities and people whose unemployment benefits have expired.

"A lot of the people that we sponsor ... have already lost so much that the one thing they try to hang on to is their dog," Manning said. "A lot of them have lost their jobs. They've lost their homes. Some have even lost their significant other or their loved ones. And the dog, to them, is some sort of normal or a tie to a happier time. And they don't want to have to make that devastating decision."

Oftentimes, families who turn to Manning's group are facing life-and-death scenarios related to their dogs. Manning says 75% of the grants her group has awarded have paid for emergency treatment that spared the dogs from being euthanized.

"We're just completely surprised that they were just able to help us out with the full (sponsorship) amount," Polcari said of the assistance her family received. "It was just such a blessing, and we'll be forever grateful that Charlie gets this second chance."

For Manning, who also has a full-time job at a market research firm, being able to provide those second chances is a tribute to Ladybug's memory.

"Every picture you see of a dog we've helped, every story that we tell, it's a happy ending. This dog is with its family and never had to go into a shelter," Manning said, beaming. "It's living happily ever after at home. And that's why we're called the Fairy DogParents, because much like (in) Cinderella, we're in the background. The dog doesn't even know we exist, and we're just making sure it gets to the ball."

Want to get involved? Check out the Fairy DogParents website at www.fairydogparents.org and see how to help.

@highlight

Economic struggles have made it hard for many people to pay for their dogs' needs

@highlight

When that happens, the dog may be given to a shelter or euthanized if they're sick

@highlight

Marlo Manning's nonprofit provides financial aid to families so they can keep their dogs

@highlight

Do you know a hero? Nominations are open for 2013 CNN Heroes