(CNN) -- Key structural changes have been identified in the brain images of some patients with mild cognitive impairment which could help determine who's at greatest risk for developing Alzheimer's disease.

Researchers at the University of California, San Diego, studied MRI scans of 84 patients with Alzheimer's disease, 175 patients with mild cognitive impairment, or MCI, and 139 images of healthy brains.

"Our initial goal was to locate similarities in the patients with Alzheimer's disease to those with MCI, in the hopes of finding a method to predict [MCI patients'] likelihood of developing the disease," said lead study author Linda McEvoy, assistant project scientist at UCSD's department of radiology.

Neuroimaging results for the patients with Alzheimer's disease were as expected, according to the study, which was published online in the journal Radiology. Atrophy, which is loss of brain tissue, was visible throughout the brain. The temporal and parietal lobes, which affect cognitive function, saw the most damage.

What surprised researchers were the differences in images from the MCI patients. More than 50 percent of the brains in the MCI group showed atrophy similar to the Alzheimer's disease patients. The other half of the MCI patients showed only small amounts of tissue damage.  Watch Dr. Gupta explain the findings »

"Although the symptoms for the entire MCI group were primarily memory problems, other parts of the brain were impacted in over half the group," McEvoy said. "And even though these patients [with Alzheimer's-like atrophy] don't have problems with their cognitive function now, their MCI will likely develop to that in the future."

Researchers also evaluated the brains of the MCI group one year after initial testing. They found that patients who earlier had mild cognitive impairment plus signs of atrophy were getting worse. Twenty-nine percent of the group had since been diagnosed with Alzheimer's disease and the others had begun to show signs of more serious cognitive decline.

The condition of patients in the MCI group whose scans showed minimal signs of atrophy the previous year remained about the same. "Only 8 percent of this group had developed Alzheimer's disease. The rest of the patients were stable and their symptoms had not increased," McEvoy said.

Bill Thies, chief medical and scientific officer for the Alzheimer's Association, underscored the significance of these findings. "What this study really shows is how different people with MCI can be, despite having similar symptoms. We can now use this information to create new treatments," he said.

There are several drugs on the market that treat the symptoms of Alzheimer's disease, but none that prevent its progression.

Clinical trials may be able to use this data to select a better pool of candidates when testing new drugs. "If they use a MCI patient with loss of brain tissue, someone who we now know is progressing fast towards Alzheimer's disease, we'd be able to quickly figure out if drug 'X' is slowing things down or not helping at all," Thies added.

In addition, researchers hope that within the next few years patients could regularly be tested by their physicians to determine their risk of developing  Alzheimer's. "If nothing else it would be good information for their family members to have early on, to be better prepared for the future." McEvoy said.

Over 5 million Americans have Alzheimer's disease and an estimated three and a half million have mild cognitive impairment.

@highlight

Key structural changes seen in brain scans of some patients with memory loss

@highlight

One year later, many patients with brain changes had developed Alzheimer's

@highlight

Memory-loss patients without these changes were mostly stable one year later

@highlight

Brain scans could identify who gets Alzheimer's, help with drug testing