(CNN) -- A man opens fire in a national park, killing a ranger who was attempting to stop him after he blew through a vehicle checkpoint.

A second man is suspected in the stabbing deaths of four homeless men in Southern California.

Both men, U.S. military veterans, served in Iraq -- and both, according to authorities and those who knew them, returned home changed men after their combat service.

Iraq War vet could face death penalty

A coincidence -- two recent high-profile cases? Or a sign of an increase in hostile behavior as U.S. troops complete their withdrawal from Iraq, similar to that seen when U.S. troops returned home from the Vietnam War?

"You're going to see this more and more over the next 10 years," said Shad Meshad, founder of the National Veterans Foundation, who has been working with veterans since 1970. "... There's a percentage that come back, depending on how much trauma and how much killing they're involved in, they're going to act out."

Margaret Anderson, a ranger at Washington state's Mount Rainier National Park, was shot to death on New Year's Day. Police believe Benjamin Colton Barnes, who served in Iraq from 2007 to 2009, was responsible for the shooting. After a manhunt, authorities found Barnes' body face down in a creek in the park.

According to court documents obtained by CNN affiliate KIRO, the woman with whom Barnes was in a custody dispute said she believed he suffered from post-traumatic stress disorder resulting from his deployment. Barnes was emotionally unstable, vindictive and anger-prone, the woman said, and owned many knives and guns. The woman said she was frightened to be in the same state with him, the documents said.

In California, former Marine Cpl. Itzcoatl Campo is accused of stabbing four homeless men to death. According to the military, Campo was deployed to Iraq during 2008.

A friend of his, who asked to be identified only as Brian, told CNN Monday that "something happened" after Campo returned from Iraq.

"He was a little bit more serious. It seemed like there was something on his mind," Brian said. "He seemed really depressed and down, and things in his life weren't looking that well."

His father, Refugio Campo, told the Orange County Register that upon his return, his son began talking about things that "didn't make any sense," like the end of the world.

It's important to note, experts said, that the two cases represent the extreme end of a spectrum of behavior signifying difficulties faced by returning troops, and some experience little difficulty, if any.

"What we don't want to do is stigmatize veterans by saying they're walking time bombs," said Elspeth Ritchie, chief clinical officer for the Washington, D.C., Department of Mental Health and a former U.S. Army colonel. "They're not."

But study after study has highlighted the struggles faced by troops returning home, including substance abuse, relationship problems, aggression or depression, she and others noted.

Some may have trouble sitting still in college classes, Ritchie said. Others may react with aggression at a perceived threat, such as being pulled over for a traffic violation, Meshad said. Still others have trouble riding in or driving vehicles because they are used to the threat of IEDs (improvised explosive devices), or may react aggressively to a sudden move, even one by their spouse, he said.

"It's embedded in (the service member) to do that," Meshad said. "It looks brutal, it is brutal, it's horrible, it's heinous, but they switch on like that because they haven't been switched off."

Suicide is also a growing problem. The Army reported a record-high number of suicides in July 2011, with the deaths of 33 active- and reserve-component service members categorized as suicides.

While homicides by former troops aren't tracked, many of the dynamics leading to suicidal behavior are similar to those seen in murder-suicides or homicides, Ritchie said.

The U.S. Department of Veterans Affairs and others have made strides in addressing PTSD in veterans, the experts said. Other groups and resources, such as the Wounded Warrior Project, are also available.

But many veterans have trouble seeking help, said Paul Ragan, an associate professor of psychiatry at Vanderbilt University who works with returning service members. "Big boys don't cry," he said.

Every veteran he works with in his clinic is married, he said. "It's because their wives are the ones who helped bring them in."

"I'm not seeing everybody out there," he said. "I'm not seeing a random sampling of all the returning vets. I'm seeing the ones who make it in, and they make it in largely through the auspices of a loved one who helps get them over that hump. ... The heroes in my clinic are the wives who've learned to adjust and adapt."

Absent that support, some vets may not take that step, he said.

One of PTSD's fundamental features, Ragan noted, is a lack of trust: in one's self, in others, in humans, "that the world will give them a fair shake. ... There is this tremendous hurdle for them to overcome to get treatment."

Ragan and Meshad noted that people who are trained killers can have trouble switching out of that role after returning home.

They come home "full of war energy ... and it's hard for them to have a relationship with anybody other than somebody in your unit," Meshad said. "Your unit is removed. You're now around a touchy-feely wife or girlfriend that you don't understand."

Combat veterans who may have killed or witnessed the deaths of women and children are plagued by guilt, which affects relationships with their own families, he said.

Meshad said a significant effort to deprogram soldiers should be made before they leave the military. While the Marines do have a program, he said, many troops don't listen; those who do have said it's "oversimplified."

Issues such as employment, education and housing must also be examined as part of an overall effort to support veterans, Ritchie said.

"The VA and the military can only do so much," Ritchie said. "It really takes a nationwide effort and a local community effort ... this is an issue that's not going to go away. It's going to be with us for 10, 20, 30 years."

@highlight

Veterans are accused of homicides in Washington and California

@highlight

Violence by returning veterans may be on the rise, experts say

@highlight

Some may experience relationship difficulties or struggle with substance abuse

@highlight

Loved ones can be key in encouraging vets to seek help