(CNN) -- Most Pakistanis told pollsters they disapproved of the U.S. military operation that killed al Qaeda leader Osama bin Laden and the direction their country was headed, according to a poll released Tuesday by the Pew Research Center.

In all, nearly two-thirds (63%) expressed disapproval of the raid, while only 10% said they approved of it.

In addition, about half of Pakistanis (51%) said they think the May 2 raid on bin Laden's home in Abbottabad will adversely affect their country's relations with the United States. Just 4% said they think relations will improve.

Nevertheless, most Pakistanis said they would like to see a strong relationship between the countries.

But a survey taken just after the raid found no material change in Pakistanis' views of the United States when compared with results from a survey taken before the raid.

Only 12% of respondents said they had a positive view of the United States and 8% said they were confident that U.S. President Barack Obama would do the right thing in world affairs. Obama's approval numbers are no better than those of then-President George W. Bush in 2008.

In a poll taken after bin Laden's death, more than two-thirds (69%) said they think of the United States as more of an enemy. But that figure is not significantly higher than the 68% who said the same thing in a poll before his death.

China's government stirred warmer feelings, with just 1% of Pakistanis identifying it as an enemy.

Those surveyed said they were confused about the role of the Pakistani government in the U.S. military operation in Abbottabad, which is located about 35 miles outside the capital city of Islamabad. Asked whether they believe the Pakistani government authorized the raid, 29% said it did, 23% said it did not and nearly half said they did not know. U.S. officials have said they did not consult with their Pakistani counterparts prior to the raid.

Fewer than one in five Pakistanis (18%) said they think the government did know that bin Laden was hiding in Abbottabad, 29% said they did not think so and more than half (53%) had no opinion.

Meanwhile, Pakistani support for the government's anti-terrorism efforts has diminished over the past few years. Slightly more than a third (37%) said they support using the Pakistani army to fight extremists in the Federally Administered Tribal Areas and the Kyber Pakhtyunkhwa region, which used to be called the North-West Frontier Province.

Two years ago, more than half (53%) said they backed using the army to battle Taliban-affiliated groups in the Swat Valley area.

At the same time, fear of extremists taking over Pakistan has dropped from 69% two years ago to 55% today, according to the poll.

Yet extremist groups are still unpopular, with just 12% of Pakistanis expressing a positive view of al Qaeda, down from 18% last year. And 12% rated the Taliban favorably. Approval of Lashkar-e-Taiba was higher, with 27% expressing support for the Kashmir-based group that has carried out attacks in neighboring India.

The figures came from two in-person interview surveys carried out by the Pew Research Center's Global Attitudes Project. The first was carried out April 10-26 and included 1,970 Pakistanis who were part of a 23-nation poll. The second was conducted May 8-15 -- after bin Laden was killed -- solely in Pakistan among 1,251 Pakistanis.

The pollsters said there were few differences between the first and second surveys, implying that bin Laden's killing had little impact on public opinion in Pakistan about the United States or other issues covered by the survey.

Pakistanis showed little support for a number of U.S. foreign policy features, with just 20% saying they think the United States considers interests of countries like Pakistan in setting foreign policy and 69% saying they want U.S. and NATO troops out of Afghanistan. Nearly two-thirds (62%) said they oppose U.S.-led efforts to fight terrorism.

But Pakistanis expressed deep unhappiness with their own country's leadership, with 92% saying they are dissatisfied with the country's direction and 85% saying the country's economic situation is bad. The long-term outlook is not much better -- 60% predicted the country's economy will get worse in the coming 12 months vs. 13% who predicted it will improve.

The popularity of President Asif Ali Zardari has plummeted, from 20% last year to 11% during this survey. His prime minister, Yousaf Raza Gilani, attracted a positive rating from 37% of those surveyed, down from 59% last year.

Opposition leader Nawaz Sharif of the Pakistan Muslim League drew a positive rating from 63%, down from 71% last year.

And former cricket star Imran Khan attracted the most favorable rating for a politician with 68% approval of those surveyed, up from 52% last year.

Despite the criticism endured by the military over its absentee status during the U.S. raid on bin Laden's compound, 79% of Pakistanis described the military as a positive influence on the country.

Perhaps that's because only about a third (37%) of Pakistanis said they followed closely reports about the raid that killed bin Laden.

The prospect of violence against civilians appears to carry little cachet among Pakistanis, with 85% saying suicide bombing and other violent acts against civilians in defense of Islam are never justified vs. 38% who said the same thing in 2002.

And terrorism was deemed to be either a very big problem or a moderately big problem by 97% of those questioned.

But support for U.S. drone attacks remains minuscule, with 97% of those who had heard of them saying they are bad and 65% saying they are very bad. But just 27% said they had heard a lot about the attacks, up from 14% last year. More than half (61%) said they are unnecessary and 89% said they think they kill too many innocent people.

The sampling error was plus-or-minus 3 points in the April survey and plus-or-minus 4 points in the May survey.

@highlight

Nearly two-thirds (63%) expressed disapproval of the raid

@highlight

Most Pakistanis said they wanted a strong relationship between the two countries

@highlight

Only 12% said they had a positive view of the United States

@highlight

Just 8% said they were confident that Obama would do the right thing in world affairs