(CNN) -- Standard Chartered has agreed to pay a $340 million fine to New York banking regulators to settle charges it laundered money for Iranian clients -- but the UK bank is far from the only one to be implicated in illegal transactions with sanctioned nations.

Since 2009, several major international financial institutions have been charged with conspiring to violate U.S. economic sanctions against doing business with Iran and other countries.

These banks purportedly facilitated the movement of billions of dollars through the U.S. financial system by falsifying tens of thousands of outgoing U.S. dollar (USD) payment messages for Iran and other countries subject to economic sanctions such as Sudan, Libya, and Cuba. The violations involved the practice of "stripping" identifier information from wire transfer documentation to conceal that the transactions were on behalf of Iranian clients or those from other rogue countries.

More: StanChart pays $340 million to settle charges

The violations of sanctions against Iran and other countries were not an accident. Instead, senior bank officials knowingly and willfully sought to circumvent U.S. anti-money laundering controls. Further, bank officials engaged in repeated violations of U.S. sanctions, stripping the identifier information from tens of thousands of Iranian transactions valued in the billions.

The criminal schemes were allegedly perpetrated over an extended period of time, in some cases spanning 10 years or more. In each case bank employees permitted Iranian USD payments to be cleared through U.S. banks without regard to the ultimate destination of the funds and whether they were intended to finance Iran's nuclear missile program or support Hezbollah or other terrorist groups.

Standard Chartered Bank (SCB) has agreed to pay the New York State Department of Financial Services (DFS) $340 million to settle charges that the British bank concealed over $250 billion in transactions with Iranian clients and deliberately lied to New York banking regulators.

But SCB is not an isolated case. In 2009, Lloyds Bank and Credit Suisse were fined $350 million and $536 million, respectively, for allegedly removing or altering information to conceal prohibited transactions with Iranian clients and customers from other sanctioned countries. In 2010, ABN Amro and Barclays were docked $500 million and $298 million, respectively, for allegedly committing similar crimes.

More: South Korea to investigate StanChart and HSBC

Then, this June, ING Bank paid the largest ever fine -- $619 million -- against a bank for allegedly moving billions illegally through the U.S. financial system on behalf of Iranian and Cuban clients.

A U.S. Senate report in July also implicated HSBC in laundering money for Mexican drug cartels and violating sanctions with Iran. That case is still under investigation and no sanctions have been imposed against the bank.

HSBC said in a statement at the time that the bank "takes compliance with the law, wherever it operates, very seriously."

But rather than provide an answer, the financial fines levied against some of the world's biggest banks raise disturbing questions about whether the penalties are stiff enough.

While five banks have entered into deferred prosecution agreements with the DOJ and agreed to pay fines in the hundreds of millions of dollars, no bank official has been criminally prosecuted and punished.

More: StanChart seeks advice over countersuit

Why not? Clearly, bank officials devised and implemented the fraud schemes that resulted in the concealment of tens of thousands of transactions with an aggregate value in the hundreds of billions of dollars involving sanctioned countries, persons, and entities.

Further, when bank officials masked the identities of Iranian clients and thwarted American efforts to detect money laundering and terrorist financing, they violated numerous federal laws, including the International Emergency Economic Powers Act, and the wire fraud, bank fraud, money laundering, and RICO statutes. Yet the DOJ has failed to hold bank officials individually liable for their criminal activities.

Why aren't bank officials being held criminally accountable? Perhaps cases such as these are too expensive, time-consuming and difficult to prove for prosecutors. Or maybe the reason we're not seeing mass indictments of senior bank officials has to do with a fear that such action could result in the target bank suffering devastating economic losses, which would be passed on to innocent shareholders.

Does this mean that the potential economic consequences resulting from criminal action could make certain banks "too big to prosecute"? Could criminal prosecution of senior bank officials result in the ultimate collapse of the bank?

More: British MPs accuse U.S. of anti-City agenda

Regulators may not want to destroy banks through criminal allegations, but the implication that the worst a crime-committing bank will get is a stiff fine is equally ominous.

Banks could simply decide to evade sanctions laws and anti-money laundering controls, and factor in the monetary sanction as the mere cost of doing business. In such cases, then, a criminal fine would have limited deterrent value in preventing unlawful conduct.

The Department of Justice and federal regulators appear to have adopted the policy: "impose a fine against the bank but don't prosecute suspected corrupt bank officials." If this is the policy the DOJ plans to adopt, then banks will continue to give short shrift to regulations, including the ban on providing financial services to sanctioned countries.

If SCB allegedly laundered $250 billion for Iranian clients, why did regulators only fine the bank a paltry $340 million? The allegations in the DFS order state that SCB generated hundreds of millions of dollars in fees for processing the Iranian transactions, meaning the SCB could still have profited from its unlawful conduct. The fine is also substantially less than the $619 million fine in June against ING Bank, which was charged with less serious crimes.

There are a number of possible explanations. Regulators may believe that additional penalties against Standard Chartered are on the horizon from the U.S. Departments of Justice and Treasury, but that outcome is hardly guaranteed.

More: StanChart tops cruel summer for banks

Perhaps New York regulators were under mounting criticism and pressure from federal authorities for taking unilateral action against SCB and DFS wanted to resolve the case as quickly as possible. Or maybe the DFS sincerely believes that the fine, by itself, constitutes a reasonable penalty against SCB.

Ultimately, none of these explanations are satisfying. The DFS leveled extremely serious charges against SCB, referring to the bank as a "rogue" institution that "left the U.S. financial system vulnerable to terrorists, weapons dealers, drug kingpins and corrupt regimes." But the final settlement is inconsistent with and diminishes the gravity of the charges levied against the bank.

What are the implications of the unilateral action taken by the DFS against Standard Chartered? At the very least, it is abundantly clear that the DFS is prepared to act alone when necessary against financial institutions believed to be breaking U.S. economic sanctions law, rather than follow the lead of federal authorities.

It also appears the DFS is likely to take a more aggressive posture than their federal counterparts with respect to walking the regulatory line.

But the end result remains a mystery. Is the ultimate penalty imposed against offending banks going to be more or less severe than sanctions imposed by the federal authorities? IS DFS's bark worse than its bite? The DFS action against SCB raises many unsettling questions for financial institutions moving forward.

In the end, the justice system cannot tolerate a dual system of justice, exempting corrupt bank officials from prosecution for fear of negative economic repercussions. No one should be above the law -- even the CEOs and senior bank officials of some of the world's largest financial institutions.

Bank officials who knowingly and wilfully violate the laws enacted to prevent banks from being used to facilitate money laundering, terrorist financing, and financial dealings with rogue regimes should be held accountable and punished to the full extent of the law.

That should be the prosecution policy of the U.S. Department of Justice. To do otherwise contributes to an environment of impunity and threatens the integrity of the global financial system.

@highlight

StanChart just one of several banks charged with laundering Iranian money

@highlight

StanChart agrees to $340 million fine, but no criminal charges filed against bank officials

@highlight

Gurule: Failure to prosecute lawbreakers undermines global banking integrity