(Departures) -- When San Francisco law firm operations director Jeffrey Lais was due for a well-earned vacation, he booked himself a first-class ticket to Munich on Lufthansa.

Once aboard the German carrier's A346, he was led to his first-class suite, where a spacious leather seat and ottoman ran the length of four airplane windows and various compartments overflowed with noise-canceling headphones, menus, pajamas and slippers. After a dinner of caviar, prawn confit, duck breast and an assortment of French cheeses, a flight attendant converted Lais's seat into a mattress-topped flatbed—complete with duvet and giant pillows—and showed him how to seal his seat from view with a privacy screen for the rest of the 12-hour flight.

There's no doubt about it, first class makes travel better.

As airlines stave off bankruptcy by cutting amenities and services to their economy classes, there seems to be a shield around the almighty first class. According to the International Air Transport Association, this is because upper-class passengers, although a small minority among international air travelers, account for almost a third of airline revenues. It's not surprising, then, that recent reports show that cabin modifications, especially those that favor upper-class travelers, are the fastest-growing segment of the airline MRO (maintenance, repair and overhaul) industry.

Departures.com: World's most scenic walks

"In order to stay competitive, airlines need to keep pace with the rapidly changing demands of corporate travelers," says Nigel Page, Emirates' vice president of commercial operations. "That's why we consistently invest in refining and enhancing our first-class product." The Dubai-based carrier delivers on its promise—thus far, it's the only airline to offer showers for first-class passengers aboard its fleet of 21 A380 jets.

And in-flight showers aren't the only perks offered to today's first-class travelers. Swiss' new first class, launched in 2009, offers a spacious executive desk for one that converts to a comfortable dining table for two (for those who want dinner company); Lufthansa added cabin humidifiers, and trumped the seat-to-flatbed race by adding both a flatbed and a chair to each first-class suite on their 747s.

Of course, no matter how opulent the cabins get, the best part of first-class flying may be off the plane. Says Lais, whose personal Lufthansa escort expedited his passage through airport security and passport control, "As much as the free-flowing caviar and throne-like seat add to the exclusivity of first class, it's the level of on-the-ground attention that makes all the difference."

Singapore Airlines

They might sound like the dimensions of a Super Barbie, but 78-23-35 are the specs for the first-class suites exclusively offered on Singapore Airlines' A380s.

They represent bed length, entertainment screen size and seat width (in inches), respectively. Created by luxury yacht designer Jean-Jacques Coste, the suites were an industry game-changer when introduced in 2007.

The fully encapsulated cabins, where you can dine on lobster thermidor and rack of lamb, feature beds accented with hand-stitched Italian leather, trimmed in burrwood and topped with a plush mattress and Givenchy bedding. Units in the center of the cabin can be combined to form a double bed, ideal for couples. singaporeair.com

Swiss

What good is a vintage Madame Cuvée and a bone china plate piled with rare Alpine cheeses if you don't have someone to enjoy it with? That's the genius behind Swiss's new first-class cabin.

Just when most carriers were adding über-private pods in first, Swiss bucked the trend and created a superior seat with adjustable partitions and room to dine for two. The cabin also features handsome wood paneling and seats whose unique air-cushion technology has won best seat design awards from Global Traveler magazine for the past two years.

When dinner is over, adjust the wall partition to allow for privacy. swiss.com

Emirates

Exclusive to the fourteen first-class passengers aboard its A380s, Emirates' Shower Spas afford guests the mile-high luxury of a hot, five-minute in-air shower.

Not only do the cabins' two bathrooms have a shower stall, they also have a marble sink, Timeless Spa toiletries and heaps of fluffy towels. The onboard lounge offers snacks like labneh balls and Iranian caviar, while the private suites -- each with a sliding door -- have their own refrigerated mini-bar, adjustable ambient lighting and vanity table with mirror.

Massage-enabled leather seats convert to flatbeds, which are topped by plush mattresses after dinner. emirates.com

Departures.com: Top yoga retreats

Etihad Airways

Voted best first class two years in a row by airline-review website Skytrax, Etihad's Diamond first-class suites are arranged in a one-one configuration, each individually sealed off behind Jaali screen--style sliding doors.

Inside, you'll find 23-inch entertainment screens loaded with games and the latest film releases, personal mini-bars and chestnut Italian leather seats from Poltrona Frau (Ferrari's leather experts), which convert to a 80-inch flatbed topped with Dupioni silk and cotton duvets.

Changing rooms/toilets feature a full-length vanity mirror and amenity kits by Swarovski and La Prairie. etihadairways.com

Departures.com: Worlds top walking cities

Japan Airlines

At first glance, the JAL Suites aboard the carrier's 777s seem to offer nothing new. But a closer inspection reveals a host of discreet high-tech elements and minimalist design details.

Leather seats are ergonomically designed, oversized lap trays (where you can tuck into "anytime" dishes like Wagyu burgers and udon noodles) are height-adjustable and ottomans double as optional guest seating.

Reading lights have six brightness settings, while the mattresses, jointly developed by JAL and Tempur, are designed to evenly distribute the pressure and weight of your body. Throw in the signature Symphony pillows made with their marshmallow-like texture, and a good night's sleep is all but guaranteed. jal.co.jp

Lufthansa

Lufthansa recently trumped the industry's seat-to-flatbed race by halving the number of first-class suites aboard its 747s and giving each a seat and a bed. But first-class cabins on the carrier's A380s go even further by offering the industry's first automated air humidifiers (which regulate cabin humidity for passenger comfort).

The serene caramel-and-chocolate-hued suites are equipped with sound-absorbing curtains and noise-neutralizing floor insulation, plus six-and-a-half-foot beds topped with plush mattresses and cozy duvets. lufthansa.com

Cathay Pacific

A private entrance leads to the first-class cabin on Cathay's 777s, where just six tranquil pods create a spacious herringbone layout that optimizes passenger privacy.

Inside the pods are wall-mounted vases filled with orchids, wood-grain partitions and ample-sized flatbeds with extra-large pillows. Amenity kits from Ermenegildo Zegna and Aesop sweeten the deal, as do personal closets filled with shoe bags and "sleep suits" from Shanghai Tang. cathaypacific.com

Departures.com: World's most opulent villas

ANA

Like those of JAL, ANA's first-class Suite Squares require a second look to be fully appreciated. The high-tech aluminum cubicles, available only on the airline's 777 flights between New York and Tokyo, are laid out in a one-two-one configuration; each features lap rugs made from bamboo fiber, separate cocktail tables, laptop drawers, wood-grain wallpaper and 23-inch touch-screen LCD TVs (which passengers can use to order dishes like spiny lobster dumplings in multicourse Kaiseki menus).

First-class washrooms also feature the industry's first in-air electronic bidet toilets. ana.co.jp

Jet Airways

The eight first-class suites aboard Jet Airways' fleet of 777s offer passengers 26 square feet of private space. Hidden behind Venetian sliding doors, each suite contains its own personal light settings and wardrobe drawers for storing necessaries.

Chairs come with variable lumbar support and an eight-point massage system and convert to spacious 83-inch beds, where you can actually toss and turn while watching over 100 Hollywood (and Bollywood) movies on the 23-inch LCD screen.

If you're still restless, you can poke around the gigantic virtual e-book and audio-book library, or even study a foreign language with a Berlitz Word Traveler course. jetairways.com

Korean Air

Over the past four years, Korean Air spent $200 million upgrading its cabins, which include five A380 jets. In first class, the redesign has meant the comfy, elegant Kosmo Suites -- 83-inch-long compartments encased in wood-grained shells, with leather interiors in cream and sea-green hues.

The suites contain personalized storage compartments, reading lights and wide-screen TVs with upgraded AVOD (audio video on demand) systems, plus Bose headphones. koreanair.com

Departures.com: Top spring travel destinations

Do you fly first class? Which airline does it best? What would you like to see added to the service? Share your thoughts in the comments below.

© 2010 American Express Publishing Corporation. All rights reserved.

@highlight

As airlines stave off bankruptcy, there seems to be a shield around the almighty first class

@highlight

First class on Swiss offers a spacious executive desk that converts to a dining table

@highlight

The Dubai-based carrier Emirates offer showers for first-class passengers