LONDON, England (CNN) -- The many league tables which rank MBA programs vary in their methodology, but mainly share a few assumptions, including that a prime mark of quality is a stream of graduates entering highly-paid jobs in financial services and consulting.

The cuddlier side of business: More MBAs are taking in environmental factors.

However, one MBA table, the latest version of which has just been released, factors in some entirely different considerations, namely how well the programs incorporate wider social and environmental issues into their teaching.

Beyond Gray Pinstripes, the "alternative" MBA top 100, is produced every two years by the Aspen Institute Center for Business Education (CBE) in Colorado, drawn from studies of nearly 600 full-time MBA programs worldwide.

These days, almost all business schools have "at least a beachhead" of environmental and social awareness, according to Rich Leimsider, director of the CBE, although the extent of this varies greatly.

The issue is an important one, he says: "It matters what the senior executives of companies do, say and think.

"If you can change business education to include an appreciation for the social and environmental context you wind up with leaders who are really good at creating value all around."

Overall, however, the issue is being taken more and more seriously -- while in 2001, little more than a third of schools surveyed required students take a course examining the wider issues of business and society, in this year's survey it has risen to 63%.

Perhaps unexpectedly, the research shows that such courses are not inevitably housed within a dedicated department of ethics or corporate social responsibility. In fact, such departments are only the fifth-most popular home for social or environmental courses, behind those of management, marketing, strategy and finance.

Despite the differences, the Beyond Gray Pinstripes table is topped by a familiar big hitter -- Stanford University's Graduate School of Business, also in the number one slot for the last such survey in 2005.

Stanford, which offers MBA students more than 30 elective courses on subjects such as ethics, social responsibility and the environment, says it views the leadership of an organization as "a noble and critical pursuit".

This approach now includes a new joint MBA in the environment and resources, as well as a course in which business and engineering students join up to solve problems -- one project this year came up with the idea of cheap and easy-to-power LED lights for those without mains electricity.

The U.S. dominates the top 10, with one Canadian school -- York University's Schulich School of Business -- in third, and Spain's well known Instituto de Empresa in 10th.

Schools are themselves seeing the need for this new type of business education.

Duke University's Fuqua School of Business, ranked art 26 in the Beyond Gray Pinstripes table, is planning a link up with the university's environmental school to study sustainable business.

"What we're seeing at Duke, and we're seeing this probably everywhere, is the business community now has reached a point where they recognize that to be globally competitive, you have to have an understanding of the risks and the opportunities that natural environments pose for firms," says Michael Lenox, associate professor of business. E-mail to a friend

@highlight

'Alternative' MBA table ranks programs by social consciousness

@highlight

Business schools increasingly consider social and environmental issues

@highlight

Business community recognizes need for change