There's a lot of sky-is-falling doomsday predictions about the World Conference on International Telecommunications, which opens Monday in Dubai with some 190-plus nations discussing the global internet's future.

That's because much of the accompanying proposals from the global community have been kept under lock and key, although some of the positions of nations have been leaked and published online.

The idea behind the meetings is to update the International Telecommunications Regulations governed by the International Telecommunications Union, a United Nations agency known as the ITU, that is responsible for global communication technologies.

But the outcome of the two-week session isn't likely to make much change, as no proposal will be accepted if not agreed to by all nations. And the biggest fear — that the session will lead to net censorship — has already come to pass.

"Member States already have the right, as stated in Article 34 of the Constitution of ITU, to block any private telecommunications that appear 'dangerous to the security of the State or contrary to its laws, to public order or to decency.' The treaty regulations cannot override the Constitution," said Hamadoun Touré, the ITU Secretary-General.

Emma Llanso, a policy attorney with the Center for Democracy & Technology, said proposals by various governments to treat internet connections like the telephone system are cause for concern regarding privacy and the unfettered, free flow of information.

But there is no "doomsday" internet kill switch scenario, she said.

"There's not going to be some kind of doomsday scenario that there's a treaty that makes the internet go dark," Llanso said. "What we're seeing is governments putting forward visions of the internet and having discussions."

The last time the International Telecommunication Regulations global treaty was considered was in 1988. But technology has changed dramatically in the past 25 years.

On the table for discussion are spectrum and technology standards to improve global interoperability and efficiency. Cybersecurity, spam and data retention are also on the table.

Brett Solomon, executive director of Access, a digital rights group, is livid that the debate will be done largely in secret, with limited input from stakeholders.

"The ITU and its member states have attempted to respond to our criticisms and other challenges about the WCIT, but they fail to address the critical flaw: It's a closed, government-controlled agency that should not be making decisions about internet policy," he said. "Such decisions necessarily require the participation of governments and the private sector and civil society."

The United States is battling plans to treat the internet like the telephone when it comes to transmission agreements. Some European and Middle Eastern members are calling for so-called termination fees, in which networks where a web session begins must pay the routing cost for the session's destination — like phone companies work with phone calls.

"That model, in general, lends itself to fewer providers, higher prices, slower take-up of internet, slower economic growth," said Terry Kramer, the head of the U.S. delegation.

Llanso said termination fees, which would obviously be paid for by consumers, also opens the door to more internet monitoring.

"You can also read it as a campaign," she said, "to make all internet communication more traceable and more trackable, invading users' privacy."

The dot-nxt site has published a clearinghouse of leaked documents regarding member proposals.

@highlight

World Conference on International Telecommunications opens Monday in Dubai

@highlight

U.N. agency oversees Web, but major overhauls unlikely

@highlight

Expert: No agreement could make Internet 'go dark'