San Francisco (CNN) -- Google is making some changes to its most well-known product: search. The tweaks, updates and beta projects are all part of Google's attempt to make searches faster and more relevant.

For starters, Google is bringing its Siri-esque voice search feature to the iPad and iPhone. The company expects to roll out an update to its free Google Search app later this week with the new feature, which uses speech-recognition technology to understand spoken, natural language search requests. Though it has not yet been approved, Google said it is working with Apple to get the app out.

Depending on how you phrase your question or request, the app will bring up text answers and images or play YouTube videos. The app also can give answers specific to your location, such as movie times or weather. For example, "Play the sleepy kitten video" should automatically bring up and start playing a video of said exhausted feline, and "What's the weather here next week?" will show a weather report for that exact period.

The version of this search-by-voice feature was already available for Android 4.1 users, and Google says it will be available for older versions of Android at some point in the future.

There also are some subtle changes coming to English versions of the search engine around the world, starting Thursday. Auto-predict, the sometimes amusing feature that shows popular search terms that start with the words you are typing, will be joined by smarter, more relevant suggestions. The feature works by tapping the company's knowledge graph, which is a database of more than 500 million "objects."

An object can be anything in the real world, such as a location, public figure, movie, sports team or company. For example, a search for "Luxor" will suggest the Las Vegas casino, the city and the original Egyptian temple in search field.

Another new feature is the knowledge carousel -- a collection of frequently mentioned results for certain search terms that will appear as a row of thumbnail images at the top of the screen. A search for famous astronauts will bring up images of relevant people, along with dates of birth and death. Clicking on one of these links updates the page's search results to show links about that person. It also works for other things such as locations, museums, animals or albums.

The final feature announced Wednesday is a beta project that loops your Gmail account into the search results. When the feature is on, Google will search the Web as well as all the e-mails in your account and include a list of relevant e-mails or contacts on the side of your screen.

For some common queries, Google will parse the e-mails to isolate key bits of information, much like travel app TripIt. A search for "my flights" will pull flight information for upcoming trips you may have booked, and present it along with data from the Web, like an updated flight status.

The feature has been tested by several thousand Google employees, and now the company is opening up the trial to a test group of a million. Anyone can sign up to try the feature at g.co/searchtrial, although it will only work on the main Google.com site in English.

These tweaks are the survivors of a huge number of experiments Google has done for search. In 2011, the search team conducted 58,000 experiments on search and made 530 tweaks to how search works. Google says it has found more than 30 trillion unique URLs on the Web, crawls 20 billion sites a day and processes 100 billion searches every month.

Amit Singhal, Google's senior vice president of engineering, said the changes bring Google one step closer to his dream of being like Capt. Kirk on "Star Trek" and using the starship computer to find out anything he needed to know.

"The destiny of search is to become that 'Star Trek' computer," he said.

@highlight

Google is bringing Siri-like voice search features to its iPhone and iPad app

@highlight

Search engine will now return suggestions for topics you are trying to search

@highlight

A new Gmail search tool is available as a beta project