(CNN) -- Since the death penalty was reinstated in Colorado more than 35 years ago, the state has executed just one person.

Now comes the case of James Holmes, who faces 166 counts of murder and attempted murder for a shooting at an Aurora movie theater that left 12 people dead and 58 wounded.

If there ever was a poster boy for capital punishment, legal analysts say, the 25-year-old Holmes would fit the bill.

On Monday, Arapahoe County District Attorney George Brauchler said he will seek the death penalty in the case despite a defense request to take capital punishment off the table if Holmes pleaded guilty.

Deciding whether to pursue the death penalty was a delicate balancing act for the state, said CNN legal contributor Paul Callan.

Any time someone is sentenced to death, the sentence isn't carried out right away. Usually the appeals process takes 10 years to wind its way through the courts, he said.

In addition, more and more states are abolishing the death penalty. Currently, 33 states have the legal option of imposing the death penalty, while 17 plus the District of Columbia do not.

"The prosecutor is walking a tight rope," Callan told CNN last week.

Some people would be furious if Holmes received life in prison after such a brutal crime, Callan said.

But even if Holmes is sentenced to death, there are no guarantees.

"He is looking at ... the realistic view of the world," Callan said, "which is, even if I get the death penalty, it will probably never be imposed."

Complicated decision for prosecution

The death penalty was reinstated in Colorado in 1976. In that time, the state carried out one execution -- in 1997.

Right now, three people sit on Colorado's death row.

Prosecutors had a lot to consider in determining whether Holmes, if convicted, should join them.

"The voters enacted the death penalty in Colorado. This case is the poster boy for that," Callan said.

Holmes' attorneys have said they intend to pursue an insanity defense.

And that, said David Beller, a defense attorney not associated with the case, can make the prosecution's decision to seek the death penalty more complicated.

"The Supreme Court, and really society, has been very clear: We don't kill, we don't execute people who are mentally ill. We just don't do it," he said.

In deciding to seek the death penalty, prosecutors also had to weigh the impact on the families of the victims since the case could go on for a year, with a string of appeals likely.

Prosecutors blast defense

Monday's hearing came less than a week after Holmes' defense team filed documents saying Holmes had offered to plead guilty and spend the rest of his life in jail.

Colorado theater shooting suspect offers to plead guilty

Prosecutors took the defense to task for publicly offering it, saying they weren't given enough information to even consider such a deal.

"Not only improper, but grossly improper," prosecutors said in a Thursday court filing. "For the intended purpose of generating predictable publicity"

Attorneys on both sides are under a gag order, leaving case watchers to divine tactics from court documents.

"Prior to arraignment, Mr. Holmes made an offer to the prosecution to resolve this case by pleading guilty and spending the rest of his life in prison, without any opportunity for parole," the documents filed by the defense team read.

Last month, a judge entered a standard plea of not guilty for Holmes, who is accused in the July 20 shooting.

In the documents filed Wednesday, his attorneys said they are still exploring a mental health defense, "and counsel will vigorously present and argue any and all appropriate defenses at a trial or sentencing proceeding, as necessary."

Holmes' lawyers blast Colorado's insanity defense laws

The case against Holmes

Federal agents have said the former University of Colorado doctoral student planned the attack for months.

He began buying guns last May, allegedly building an arsenal of two Glock handguns, an AR-15 rifle, a shotgun and 6,295 rounds of ammunition.

Authorities say Holmes booby-trapped his apartment with explosives, then traveled to the movie theater armed with the weapons, tear gas and body armor planning to kill audience members during a screening of "The Dark Knight Rises."

Witnesses who spoke to CNN said the gunman roamed the theater, shooting randomly as people tried to scramble away or cowered between seats.

"This is not a 'whodunit.' Everybody knows that James Holmes committed these horrible murders. The question is what punishment he will get," said CNN senior legal analyst Jeffrey Toobin.

"If they (defense attorneys) can get life in prison, they will consider this a victory."

Holmes' trial date has been set for February 3.

'Truth serum' won't reveal mind of James Holmes

CNN's Jim Spellman and Catherine E. Shoichet contributed to this report.

@highlight

NEW: James Holmes' trial date has been set for February 3

@highlight

Prosecutors say they will seek the death penalty in the case

@highlight

Defense offered last week that James Holmes would plead guilty to avoid death penalty

@highlight

Colorado has only executed one person since 1976