(CNN)Two major trials kicking off 2015 feature defendants invoking the insanity defense. For many, this adds to the myth that insanity is commonly used and frequently successful.

But in fact, the insanity defense is raised in less than 1% of felony cases, and it's only successful in a fraction of those. Moreover, defendants judged to have been legally insane at the time of the offense and subsequently found not guilty by reason of insanity are in almost all cases indefinitely committed to psychiatric hospitals for treatment.

Statistically speaking, for those who want to see some guilty verdicts in the trials of James Holmes or Eddie Routh, they are likely to get their wish.

The legal standard for insanity varies across America, with each state free to apply any number of tests developed over the last centuries. While it may seem strange to have patchwork law among the states on an apparent issue of science, according to the U.S. Supreme Court, that's exactly how it was intended to be.

In 1843, the English House of Lords articulated the first modern insanity test in the infamous M'Naghten case. Daniel M'Naghten was a commoner who killed an English civil servant while suffering delusions. He was acquitted and placed in a mental institution for the remainder of his life.

Henceforth, the M'Naghten rule says that a person is insane if, because of a "disease of the mind" at the time he committed the act, he (1) did not know the "nature and quality of the act" that he was performing; or (2) he did not know that what he was doing was wrong. The M'Naghten rule was thereafter widely adopted almost word for word in the United States.

One of the major criticisms of the M'Naughten rule was that it focuses on the cognitive ability to know right from wrong, and ignores the concept of self-control. This led to the development of another kind of test -- the "irresistible impulse" provision in many states, under which a defendant who can distinguish between right and wrong can still be absolved if he is still unable to stop himself from committing an act he knows to be wrong.

Still another test was developed by an appellate court in 1954. In Durham v. United States, the Court of Appeals for the District of Columbia scrapped the M'Naughten rule and the "irresistible impulse" tests and held that a defendant could not be found criminally responsible "if his unlawful act was the product of mental disease or mental defect." The decision eschewed moral definitions of insanity, and focused more on science and psychiatry.

The Durham rule was also criticized as vague and overly broad; many states rejected the test, and in 1962, the American Law Institute, or ALI, announced yet another insanity defense, which enjoyed immediate popularity with many legislatures and judiciaries.

Under the ALI test, an individual is not responsible for his criminal conduct if, because of mental defect, he either lacked "substantial capacity" to appreciate the "criminality" of his conduct, or he failed to "conform" his conduct to the requirements of law.

Notice the difference from the M'Naghten test -- the ALI test accepts not only cognitive impairment but also volitional impairment as an excuse -- which is the loss of control or ability to "conform" conduct to the law.

The popularity of the ALI test and its "volitional" component would be short-lived. In fact, its death knell sounded in 1981, when John Hinckley was found not guilty by reason of insanity, based on an ALI standard, of the attempted assassination of President Ronald Reagan. The effects of the public furor over Hinckley's acquittal were immediate. Federal and state jurisdictions promptly did away with the ALI standard and returned to a restrictive test reminiscent of M'Naghten.

As it stands today, some 46 states have an insanity defense, and 45 of those have insanity tests based on either M'Naghten or the Model Penal Code tests. States with the Model Penal Code test have chosen to include a control element, and certain states still using the original M'Naghten test have added that "irresistible impulse" or control element.

It gets even more complicated.

Some states don't even have the insanity defense. Montana was the first state to do away with it completely. After the Hinckley backlash, four other states followed suit and abolished the defense: Utah, Kansas, Idaho and Nevada -- the latter's Supreme Court later ruled the absence of the insanity defense unconstitutional. To say reasonable minds can differ on the insanity defense is an understatement.

It may seem strange that a medical-sounding determination like insanity has different definitions from state to state. After all, isn't medicine a science? Like astronomy and biology? The law of gravity and the speed limit of light don't vary from state to state. Should our legal definition and recognition of illness and brain function vary from state to state?  Arthritis, psoriasis and a sprained ankle are the same in Mississippi as they are in Oregon.

But the law is fundamentally different than medicine. If medicine is applying science to illness, the law is about a regional people's collective norms and perceptions of that illness. As Justice Louis Brandeis said in New State Ice Co. v. Liebmann,  "It is one of the happy incidents of the federal system that a single courageous State may, if its citizens choose, serve as a laboratory, and try novel social and economic experiments without risk to the rest of the country."

That's right. Not only are the states free to develop disparate law in the field of legal insanity, but under the Constitution, they are encouraged to do so. Of course, Brandeis was quick to add that the court has "the power to prevent an experiment. We may strike down the statute which embodies it on the ground that, in our opinion, the measure is arbitrary, capricious, or unreasonable."

And ultimately, that's what this debate will always boil down to -- whether a state is free to legislate with unfettered discretion in accepting or not accepting an insanity defense, or, if insanity is a constitutionally guaranteed option, outside a state legislature's jurisdiction.

To many, particularly in the defense bar, the availability of the defense is often academic. With a success rate so low, many would say the insanity defense is effectively abolished already.  But don't take my word for it. Keep score on the Holmes and Routh cases. We'll reconvene after.

@highlight

Trials of James Holmes and Eddie Routh will invoke insanity defense

@highlight

Danny Cevallos: The insanity defense is rarely ever successful in court cases