Taking a cue from some of its competitors, Apple on Tuesday announced a smaller version of its popular iPad tablet -- the iPad Mini. And the company that introduced the concept of tablet computers to millions didn't waste any time bashing those competitor in the process.

"Others have tried to make tablets smaller than the iPad and they've failed miserably," said Apple senior vice president Phil Schiller. "These are not great experiences."

At a media event, he unveiled the 7.9-inch tablet, which is 7.2 millimeters wide (the width of a pencil, Schiller said) and weighs less than 7/10ths of a pound.

It will have the same display-resolution specs as last year's iPad 2, not the high-definition "retina display" of the newest iPad, which also got an update on Tuesday.

The iPad Mini's display will be nearly an inch bigger than those of competitors like Amazon's Kindle Fire and Google's Nexus 7. It will also be somewhat more expensive.

The smaller iPad will start at $329 for a 16GB, Wi-Fi only version, ranging up to $659 for a 64GB model with cellular capability. Those prices are at the high end of what analysts had predicted. The new Kindle Fire HD and the Nexus 7 sell for $199.

Microsoft Surface tablet goes on sale for $499

Pre-orders for the devices begin Friday, and the Wi-Fi only iPad Mini will go on sale in stores November 2. Models that have Wi-Fi and can connect over cellular networks will start shipping in a few weeks.

The device's screen has the same proportions as the larger iPads, meaning that apps designed for the tablet should also look good on the Mini. Apple promises 10 hours of battery life, and the Mini will have front- and rear-facing cameras like its bigger cousins. It also will have the "lightning" connector that came new on the iPhone 5 and new iPods.

"This isn't just a shrunken-down iPad," Schiller said. "It's an entirely new design."

As with other recent Apple events, today's main announcement wasn't much of a secret. Leaks ahead of the event sketched out most of the relevant details, from dimensions of the smaller iPad to what sizes it would come in.

The Apple event started off with upgrades to the Mac lineup, and a joke about expectations for the day.

"You knew there would be something called 'mini' in this presentation, didn't you?" said Schiller, while presenting an update of the company's smallest desktop computer, the Mac mini. It starts at $599 for 4 GB of RAM.

Schiller opened by unveiling the new version of Apple's top-selling MacBook, the 13-inch MacBook Pro.

The new version has a high-definition "retina display" screen for the first time and is 3/4 of an inch thick -- 20 percent thinner than the current 13-inch MacBook Pro. It weighs 3.5 pounds, making it the lightest MacBook Pro ever, Schiller said. Its price starts at $1,699.

Both the Mac Mini and the new MacBook Pro begin shipping today.

iPad mini worth buying?

Schiller also showed off a sleeker and more powerful version of Apple's iconic desktop, the iMac. It starts at $1,299 and begins shipping in November.

Released only six months ago, Apple's newest full-sized iPad also got an update, getting a faster A6X processing chip, an improved camera and, like the iPhone 5, 4G LTE capabilities.

Apple's full-sized iPad has been a huge success and still dominates the overall tablet market, so why go small now?

The biggest demand for non-Apple tablets has been for less expensive 7-inch devices such as Amazon's Kindle Fire, Samsung's Galaxy Tab, Google's Nexus 7 and Barnes and Noble's Nook. A smaller iPad would challenge these competitors head on, combining their popular size with Apple's killer features: the iOS operating system, Apple's app and media ecosystem, and quality design.

The Kindle Fire is great for buying books, movies and shows from Amazon, and the Nexus 7 has Google's well-stocked Play store for media and apps. However, tablets have proven they can do more than just entertain, and customers might be drawn to the quality and quantity of Apple's App Store selection. Developers have been creating top-notch apps for the iPad for more than two years. The smaller iPad's screen is expected to have the same aspect ratio, so those apps would work the same on the new device.

When the iPad came out, it was intended to be a consumption device. Ads for the tablet showed people reclining in various environments, clutching the iPad like a book. The spacious 10-inch screen was ideal for watching movies and TV shows, playing games, surfing the Web and otherwise consuming content.

That's how most tablet owners use their devices. Tablets are homebodies, used most often in the living room (30% of the time according to Nielsen) followed by the bedroom (21% of the time).

"Fully half the time they're using tablets, they don't leave the couch or the bed," said Forrester analyst Sarah Rotman Epps. "If you can do everything on the smaller iPad you can on the larger iPad -- that plus the added convenience of being able to take it with you more places could take the wind out of the sales of Amazon."

A smaller, lighter device is more portable, and people might not be as afraid of taking a cheaper tablet out into the big bad world where it would be less protected. That would also be a boost for Apple in the education market, which it has been courting heavily.

Apple iPad Mini price gives rivals breathing room

@highlight

Apple unveils smaller iPad Mini tablet

@highlight

Prices range from $329 to $659, depending on storage capacity.

@highlight

Tuesday's Apple event also had MacBook, iMac updates

@highlight

Just six months old, bigger iPad also gets a refresh