Editor's Note: In our Behind the Scenes series, CNN correspondents share their experiences in covering news and analyze the stories behind events. John Blake, who helped write the CNN.com special report "Black in America," is author of the 2004 book "Children of the Movement," which profiles the children of the civil rights movement's leading figures and of segregationists.

Martin Luther King III, second from left, says he yearned for his father's advice while he was growing up.

(CNN) -- The Rev. Martin Luther King Jr. was a civil rights icon, but for one man, he's something else: the father he barely remembers.

King's eldest son, Martin Luther King III, was 11 years old when his father was assassinated. His family broke the news to him by saying: "Daddy is going to go home to live with God."

King's memories of his father are now fragmentary: kissing him when he returned from his frequent travels, tossing a softball, riding a bicycle with him. He learned to accept his loss, but there were moments when it hurt.

"When I was growing up and I wanted to talk to my father to get advice, and no one was there, it hit then," he said. "It hit me when my mom would say, 'Your father would be so proud of you today.' That was painful."

Most people know how the civil rights movement changed the nation. I had another question: How did it change the families of the movement's biggest leaders -- and the families of their segregationist foes? The stories I heard from people like King helped me answer that question.

King was one of 23 "children of the movement" I talked to over a two-year period starting in 2002. I wanted to know what they could tell me about their parents that didn't make it into the history books. What were they doing with their own lives? What happened to the movement's leaders after April 4, 1968?

King, as expected, talked about the pressures of being the son of a civil rights icon. What surprised me, though, was that so many other children of these famous leaders had a far different problem -- they didn't know that their parents were famous civil rights leaders.

Malcolm X's daughter, Ilyasah Shabazz, comes to mind. When she first attended college in upstate New York, she became a campus celebrity. Her classmates gathered around her and asked her to share stories about her father.

She had none to share, though. Shabazz knew that her father was a civil rights activist, but her family never talked in detail about that side of him. She actually had to take a history class and buy "The Autobiography of Malcolm X" to learn more about her father.

The children of other important movement leaders would tell similar stories. One woman said she didn't know her father was a civil rights hero until she ended up studying him in social studies class. One learned that his father was important when he saw him flee from a mob in a civil rights documentary.

"He was just a father," Stokely Carmichael's son, Bokar Ture, said when I asked why he didn't know that his father -- who coined the term "black power" -- was a symbol of black militancy.

"He never told me what he did, really. He just told me what was good to do: 'Work for your people.' "

I wondered why this was happening. Then some movement scholars helped me understand. The problem was me.

I had not understood how brutal the movement was. I saw it as a Disney movie -- people marching in the sunshine, King speaking, and victory. But it was war. Many of these front-line activists lived under the constant threat of death. Several lost friends. Some were tortured in jail. Several were disowned by their families. Their memories were too painful to share with their children.

Yet their reticence put their children in a bind. After they became adults, strangers would approach them and ask: "How are you going to fulfill your parent's legacy?" How could they answer when they didn't even know what that legacy was?

These activists faced another emotional hurdle besides their painful memories. How do you top being part of a history-making movement? Many of them experienced a massive emotional letdown after their time in the movement.

The Rev. James Zwerg gave the movement one of its most unforgettable images. A photographer snapped a shot of him after he was almost beaten to death by a mob at an Alabama bus station. Zwerg was part of an interracial group of college students who attempted to integrate interstate bus travel during the "Freedom Rides."

But Zwerg struggled to find his way after that photo made him famous. He entered therapy and even contemplated suicide. He could never find a cause that made him feel so alive.

"It's a tremendous downer," he said. "You look for it everywhere. I've never experienced it since."

The difficulties their parents experienced had another unexpected effect on their children: It turned some away from activism.

There's no retirement plan for civil rights activists. No health benefits. A few movement leaders found ways to parlay their experiences into political careers, but many of them struggled financially.

Their children grew up with the sense that their parents had given too much and received too little in return. They weren't going to make that mistake.

The son of Andrew Young, King's close aide and the former mayor of Atlanta, Georgia, was one such person. Andrew "Bo" Young III scoffed at the idea of becoming a politician or activist. He's an entrepreneur who wants to be a millionaire.

When I asked him about integration, he was interested in only one kind: "I want to integrate the money."

The biggest surprise came from the children of the segregationists. They seemed to experience the least amount of conflict over the lives of their parents. Each of them said their fathers weren't racists and were great politicians.

The daughter of George Wallace -- the Alabama governor who once boasted that segregation would last forever -- said her father had to be a segregationist to get elected.

"It wasn't that he hated blacks," Peggy Wallace told me. "He treated everybody ... who cooked and cleaned for us at the Governor's Mansion like his own family. I saw it and swear to it. He would never mistreat one of them."

My favorite moment during these interviews, though, came when someone shared a question with me.

I was talking to Ericka Abram, the daughter of Elaine Brown, the only woman to lead the Black Panther Party. She talked about growing up surrounded by armed men in black leather jackets and having a bodyguard accompany her at all times -- even when she went to the ice cream truck.

Despite the danger, she marvels at the idealism of her mother and Panther leaders. They were going to try to change the world, even if it meant dying for their cause -- and many did, she said.

She, like so many children of the movement, now wonders if their parents' pain was worth it.

"If you've been told all your whole life that you were born for revolution," she asked me, "what do you do with your life when the revolution never comes?"

@highlight

Martin Luther King III: It was painful to hear mom say dad would be proud

@highlight

Families were never the same, according to some children of movement

@highlight

Civil rights leaders were traumatized by struggle

@highlight

Some children of segregationist leaders remain proud of their parents