The first Iraq war combat veteran to serve in the U.S. Senate introduced legislation on Thursday aimed at reducing the number of military veterans who commit suicide.

No matter the cost of the measures urged in the sweeping bill, "that is the cost of war," Democratic Sen. John Walsh of Montana told CNN.

Every day, 22 veterans commit suicide.

To Walsh, that is more than a number.  From 2004 to 2005, he commanded an infantry battalion of the Montana National Guard in Iraq. When the unit returned home, one of Walsh's soldiers committed suicide.

When Walsh became adjutant general of the Montana National Guard, a few more guardsmen died by suicide.

Read more at CNN's 'The Uncounted'

"Far too often, we're leaving our veterans to fight their toughest battles alone," Walsh said. "Returning home from combat does not erase what happened there, and yet red tape and government dysfunction have blocked access to the care that saves lives. It is our duty to come together for real solutions for our heroes," Walsh told CNN on Thursday.

The Suicide Prevention for America's Veterans Act is collaboration between Walsh and the Iraq and Afghanistan Veterans of America. Founded in 2004, IAVA is the first and largest organization for new veterans and their families, with 270,000 members nationwide.

The next step for Walsh is to get a co-sponsor for the bill. He said he's already received bipartisan support behind the scenes.

The veterans organization is working on getting a similar bill in the House, said IAVA political director Kate O'Gorman.

What's in the bill?

Among the bill's key objectives is to give veterans more time to receive mental health treatment.

Currently, when a service member separates from active duty -- whether they are transitioning to being a veteran or becoming a Reservist or a member of the National Guard -- they have five years to receive care from the Department of Veterans Affairs, O'Gorman said. Sometimes it can take longer than five years for service members and veterans to realize they're experiencing the symptoms of  Post Traumatic Stress and other mental injuries.

Read the bill (PDF)

About 25% of IAVA's members, O'Gorman said, have experienced a delayed onset of PTSD after getting out of the service.

Many times, five years is just not long enough for veterans who are dealing with the stigma of mental health issues. It can take many years to emotionally come to grips with the diagnosis alone, and then it takes time to find and receive the right care.

To address that, Walsh's bill would extend the time to receive mental health treatment from five years to 15 years.

Watch: Veteran talk about long struggle with PTSD before receiving help

The legislation also seeks to improve the quality of mental health care providers by making their jobs more competitive with the private sector, O'Gorman said. Right now there are more than 1,000 open jobs at the VA for mental health care jobs, including psychiatric nurses, physician assistants and psychiatrists, among others, she said.

The bill will introduce a pilot initiative that would allow a student to have their loans repaid if they work for the VA, O'Gorman said.

It also calls for annual reviews of care programs within the Defense Department and the VA to ensure resources are being used effectively to help service members and vets struggling with mental health issues.

Further, the legislation points out that the VA and the Defense Department use two different computer systems and mandates that those systems be amended so that they speak to each other more seamlessly.

The legislation would also try to streamline the way the Pentagon and the VA prescribe medication.  Currently, they use different drug prescription protocols, Walsh and military experts told CNN, and that can create a difficult situation.

For example, a service member overcomes the hurdle of admitting they need care, seeks help from a DOD doctor and, after several tries, gets on a drug that works for him or her.

When that warrior become a veteran, they go to a VA doctor only to be told that the drug the DOD doctor gave them is not available under VA protocols.

The bill was introduced the same week that Iraq and Afghanistan Veterans of America held its annual Storm the Hill initiative. Teams comprised of four veterans whoses live have been rocked by a fellow warrior's suicide met with lawmakers in Washington. The veterans shared their stories, and implored those in power to do something substantial to address the problem.

Dollar costs and mental costs

It's unclear how much it would cost to do everything the bill lays out, according to Andrea Helling, Walsh's spokeswoman.  Walsh is waiting for the Congressional Budget Office to provide a figure, she said.

But the senator stressed that it will cost far more in years to come if changes are not made soon to improve mental health care.

The legislation comes at a time of fierce belt tightening in the armed forces.

In February, the Pentagon said it would reduce the size of the Army to pre-Word War II numbers, retire the a popular A-10 "Warhog" attack jet and reduce some benefits for warriors.

"This is a budget that recognizes the reality of the magnitude of our fiscal challenges, the dangerous world we live in, and the American military's unique and indispensable role in the security of this country and in today's volatile world," Secretary of Defense Chuck Hagel said in February.

"There are difficult decisions ahead," he said. "That is the reality we're living with."

Downsizing due to modernization and budget constraints began under Hagel's predecessor, Robert Gates.

The Iraq and Afghanistan wars are the longest continuous battles the United States has fought.

The Iraq war lasted from 2003 to 2010 and Afghanistan has been raging since soon after the September 11, 2001, terror attacks.  President Barack Obama has said that the United States could withdraw all troops from Afghanistan by the end of 2014.

More than 2 million Americans have served in combat in those two wars. Researchers estimate that as many as 300,000 service members may meet criteria for PTSD and between 200,000 and 300,000 have suffered a traumatic brain injury from mild to severe, according to Dr. Stephen Cozza with the Center for the Study of Traumatic Stress.

The nonprofit think-tank RAND Corporation estimates a third of veterans likely have TBI, PTSD or depression, which puts the overall number affected at around 600,000.

A large body of research indicates PTSD is associated with increased likelihood of suicidal behavior.

Beyond the bill

Walsh was sworn into the U.S. Senate in January after Montana Gov. Steve Bullock named Walsh, his lieutenant governor, to serve the remainder of Sen. Max Baucus' term after he became U.S. ambassador to China. Walsh is running for election in November.

Walsh's legislation, IAVA's O'Gorman told CNN, has bipartisan support. And the goal is to get it passed by Memorial Day, far before an election is a concern.

Walsh said lawmakers must also address suicides amongst military family members, too.

The Pentagon is currently not tracking the number of suicides among relatives. CNN recently explored the topic and spoke to dozens of relatives who said they had contemplated or attempted killing themselves.

Warrior suicides and military family member suicides are "connected," Walsh said.

Speaking about a warrior under his command who had been deployed three times whose wife was left to care for triplets, Walsh said he understood that families have been under extreme stress for years.

The relatives have made "enormous sacrifices," he said.

@highlight

Sen. John Walsh has introduced legislation to reduce military suicides

@highlight

Walsh is the first Iraq war combat veteran to serve in the U.S. Senate

@highlight

"We're leaving our veterans to fight their toughest battles alone," Walsh said

@highlight

The bill would give veterans more time to receive mental health care