(CNN)Israeli Prime Minister Benjamin Netanyahu's open conflict with U.S. President Barack Obama over his diplomacy with Iran has not only served a blow to the U.S.-Israeli relationship. It has also collapsed Israel's otherwise arguably successful Iran policy.

Contrary to Israel's rhetoric, the fear of Iran getting a nuclear weapon has not been the driving factor of Israel policy on Iran since the early 1990s. Obviously, Iran obtaining a nuclear weapon would be highly undesirable for Israel. But that has not been Israel's primary concern. Rather, the fear has been that Washington would end up finding a compromise with Iran that on the one hand would close off any Iranian path to a bomb, but on the other hand would lock in a shift in the regional balance of power in Israel's disfavor.

Regardless of the details of a nuclear deal with Iran, a deal per se would reduce Washington's tensions with Tehran, while not necessarily tempering the Israeli-Iranian rivalry proportionally. Israel will be "abandoned" to face Iran alone, Israelis fear. Moreover, a deal would signal, the argument goes, that Washington has accepted and will not contest Iran's geopolitical advances in the region. Iran has hegemonic aspirations, Israel contends, and must be stopped, not accommodated. After a deal with Iran, Washington would be even more likely to shift its geopolitical focus elsewhere and be less intertwined with Israel's needs.

The U.S.-Iran enmity has ensured Washington's commitment to isolating and containing Iran, much to Israel's satisfaction. If your interest dictates that the U.S. and Iran must remain firmly at odds with each other, a nuclear deal -- any deal -- would eliminate the most explosive point of contention between Washington and Tehran and lessen America's inclination to confront Iran on other matters, Israel believes. As Israel's Defense Minister Moshe Ya'alon said earlier this week: "[E]very deal that will be signed between the West and this messianic and apocalyptic regime will strike a severe blow to Western and Israeli interests." This also explains why Netanyahu has been contradicting his own intelligence services and exaggerated and misconstrued Iran's nuclear activities.

Israel's policy towards Iran and the nuclear issue in the past two decades has rested on a few principles.

First, consecutive Israeli governments have been on the forefront of sounding the alarm about Iran, while carefully avoiding making Iran an "Israeli issue." At times, Israel has tried to tone down its rhetoric, both to avoid making the nuclear file an Israeli issue, but also to avoid making Israel shine too bright on the Iranian threat radar.

When Netanyahu was first elected prime minister, he requested an intelligence assessment of Israel's security environment. The debate was largely on whether Iran or Iraq constituted Israel's greatest external threat. Netanyahu decided to go with the assessment of the Mossad, presented by Uzi Arad, who argued that Israel could either make itself Iran's prime enemy by continuing belligerent rhetoric against Tehran, or it could tone things down and let Iran focus on other threats.

"Until the Netanyahu government, there was a proliferation of Israeli statements trying to deter Iran, warning Iran, the long arm of the Israeli air force etc. That was stopped, to his credit, by Netanyahu," Israeli journalist Ehud Yaari told me in an interview for my book Treacherous Alliance - the Secret Dealings of Israel, Iran and the US.

Ultimately, Israel was successful at turning the world's focus towards Iran's nuclear activities. The international community, led by Washington, began regarding Iran's nuclear issue as a primary threat to international security, imposed U.N. Security Council sanctions on Iran and the U.S. even openly debated bombing the country.

But over the course of the past 18 months, the Netanyahu government has made Iran all about Israel. While virtually the entire world is eager for a peaceful nuclear deal, Israel stands alone (bar a few Arab states in the Persian Gulf) in opposing the talks. While Israel helped shape international consensus about Iran's nuclear program in the years past, Israel is today decisively outside of that consensus.

Second, while Israel calculated that preventing a U.S.-Iran deal would best serve its interest, it needed to retain the flexibility to shift its position if and when an agreement was likely to be reached. By adopting a more cooperative tone with Washington, Israel's flexibility would enable it to influence the deal and reduce its potential downsides for Israel.

For instance, when U.S. President Bill Clinton started sending strong signals to Iran's newly elected reformist president Mohammad Khatami in the late 1990s, then-Prime Minister Ehud Barak softened Israel's tone towards Iran in order to minimize any negative side-effects of a U.S.-Iran deal for Israel. He symbolically reduced Iran from "enemy" to "threat," signaling that he didn't see Israeli-Iranian enmity as inevitable. Clinton's outreach to Iran never bore fruit, so Israel never had to deal with its potential repercussions. But Barak signaled his openness and ability to adjust to such a scenario, recognizing that Israel's most important relationship after all was that with United States.

But this flexibility has been completely abandoned or lost under Netanyahu's leadership. Ever since Obama took office, Netanyahu has actively sought to first prevent diplomacy, then undermine diplomacy to his current stance of building up opposition to Obama's prospective deal with Tehran. Netanyahu has taken it to an extreme. He has been so disruptive that the Obama administration has felt compelled to reduce information sharing about the negotiations with his government, lest he would leak it to undercut the talks.

The more Netanyahu has sought to undermine the talks, the more Israel has lost its ability to impact the negotiations.

By now, Netanyahu has crossed the real "point of no return." Confidence in him is completely lost in the White House, so he cannot adopt Ehud Barak's posture. His only remaining options is to double down on opposing a nuclear deal with Iran, even at the cost of an open war with the American president, of damaging U.S.-Israel relations beyond Obama, and of making Israel a partisan issue.

Such is the logic of adopting extremist positions. Rather than depriving the other side of options and maneuverability, Netanyahu has painted Israel in a corner.

@highlight

Benjamin Netanyahu's open conflict with President Obama over Iran has served as blow to U.S.-Israeli relationship, says Trita Parsi

@highlight

Parsi: Conflict has also damaged Israel's otherwise arguably successful Iran policy by painting country into corner

@highlight

Over course of past 18 months, Netanyahu government has made Iran all about Israel, Parsi argues