(CNN) -- A day after the United States imposed stiff economic sanctions on Syria, a European Union body proposed an embargo Friday on Syrian crude oil.

In Syria, meanwhile, despite the intensified world pressure for President Bashar al-Assad to halt the violence and step down, his security forces continued their tough offensive against protesters. At least 29 deaths were reported from a defiant outpouring of mass demonstrations Friday.

The European Union's political security committee meeting in Brussels, Belgium, made the embargo proposal.

"We acted pretty quickly and have now got an oil embargo in the works," said Michael Mann, spokesman for EU foreign policy chief Catherine Ashton.

The proposal will be examined by a committee of experts and is expected to be adopted into law, Mann said. Technically, he said, it's not a done deal, but the fact that 27 countries are asking for this step indicates that it will be adopted.

The committee, made up of foreign policy experts for the agency's 27 member states, also agreed to add 15 people and five companies to its sanctions list. Ashton said the designations will be "finalized and published in the coming days."

Other proposals include stopping technical assistance to Syria from the European Investment Bank and imposing an asset freeze and travel ban on those benefiting from or supporting the regime's policies. Those will be examined early next week, Ashton said.

"The European Union continues to aim at putting an end to the brutal repression and assisting the Syrian people to achieve their legitimate aspirations," she said in a statement.

Oil and gas make up about a quarter of Syria's economy, according to the International Monetary Fund. Much of Syria's oil sales go to European Union countries, analysts say.

Unrest has engulfed Syria since mid-March as security forces wage a crackdown on peaceful protesters demanding political change.

U.S. President Barack Obama, along with European leaders, called on Thursday for al-Assad to step down, a move that U.S. State Department spokesman Mark Toner said Friday was part of a "steady ratcheting up of international pressure ... against what (al-Assad) is doing to his own people."

"It's quite startling, it's horrible, and we're trying to use both diplomatic pressure and economic pressure to get them to stop doing it," Toner told CNN's Brooke Baldwin, referring to the use of force against protesters.

U.N. High Commissioner for Human Rights Navi Pillay also condemned the use of force.

"We are urging that these are unarmed protesters, and there's been excessive force used against them, and this force must stop," she said Friday.

Pillay spoke a day after a U.N. fact-finding mission announced that it has found Syria guilty of multiple human rights violations and indicated that it may be time for the International Criminal Court to become involved.

"President Assad has since announced that he has withdrawn the military, and we are monitoring this situation," Pillay said.

Violence continued Friday despite al-Assad's claim of an end. Demonstrations against the government have occurred for months every Friday after Muslim prayers.

One opposition activist group, the Local Coordination Committees of Syria, called the street presence on Friday "one of the most important during the course of the protest movement" across the country.

"For weeks, the security forces and the military, through their operations, have prevented mass demonstrations. However, in a remarkable step and due to increasing international support for the protest movement and the subsequent morale boost, many protesters have managed to overcome the security and military barriers and begin taking the steps necessary to de-legitimize the government," the group said.

The Local Coordination Committees said 29 people were killed Friday when security forces fired on protesters in several locations.

Many of the deaths occurred in the southern province of Daraa: eight in Ghabagheb, five in Herak, one in Inkhel and one in Nawa, said the London-based Syrian Observatory for Human Rights, an opposition activist group.Five deaths were reported in the western city of Homs, two in Harasta and Reheba, in the Damascus countryside, and one in Douma outside Damascus.

Two children were among five people killed in the town of Ghabagheb by security forces, the observatory said.

Troops wounded five demonstrators near the Omari mosque in Inkhel, in Daraa province, the observatory said. State TV said four security personnel were wounded in Inkhel when armed men opened fire and threw grenades at them from a house.

Gunfire was used to disperse protesters in the Daraa province town of Tafas, the observatory said. An older man was hit by gunfire in the Daraa province city of Nawa when security forces were trying to disperse a demonstration.

Demonstrators poured onto the streets of Homs and called for the toppling of the al-Assad regime. Gunfire was heard in several neighborhoods, the observatory said.

Protesters also demonstrated in the capital, Damascus, it said. State TV said armed men opened fired on worshippers and peacekeeping forces and they were arrested.

In the western city of Baniyas, protesters demonstrated despite a heavy security deployment, the observatory said.

The observatory, which has contacts across the country, said pro-regime supporters attacked people leaving a mosque in the coastal city of Latakia, where a fierce government crackdown has taken place in recent days.

Al-Ramel, an impoverished neighborhood with a Palestinian refugee camp, was one of the areas that bore the brunt of the government offensive in Latakia.

An activist based outside Syria with a network in Latakia said security forces in al-Ramel and other areas targeted in the crackdown used loudspeakers to warn people under the age of 55 not to go to mosques. Others were to go to one mosque only.

CNN is unable to independently confirm reports from Syria because the government has limited access to the country.

Meanwhile, 6,000 of the 7,500 Palestinian refugees displaced by the violence in al-Ramel have been located. Many, particularly the children and women, "are traumatized and in a poor condition" and are afraid to return to their homes. a U.N. official said.

"They are in pretty bad shape. Pretty scary for young children to be rushed out of their homes in that situation," said Christopher Gunness, spokesman for the U.N. Relief and Works Agency.

He said the agency has been assisting these people in Latakia, Homs, Yarmouk and Aleppo with cash grants for food, medicine and accommodations.

The firing on the Palestinian camp was cited by Ashton and U.N. Secretary-General Ban Ki-moon in their statements criticizing the al-Assad regime.

"Many people around the world were shocked by the images of unarmed refugees being shot at as they fled from their homes, amid the firing on their refugee camp," Gunness said.

"The good news is that our incredibly courageous local UNRWA staff have established a temporary office in Latakia, outside the refugee camp, with the cooperation of the Syrian authorities in both Latakia and Damascus."

CNN's Nada Husseini, Arwa Damon, Joe Sterling, Tracy Doueiry and Laura Maestro Perez contributed to this report.

@highlight

"This force must stop," a U.N. human rights official says

@highlight

29 deaths are reported as the Syrian offensive continues

@highlight

An EU panel also would stop European Investment Bank assistance to Syria

@highlight

The Obama administration and other nations want Bashar al-Assad to step down