(CNN) -- After 60 years of waiting, Egyptians may very well find themselves with a strong, assertive Parliament. On Monday and Tuesday, millions of Egyptians spent hours in long, looping lines, waiting to cast ballots in the country's first elections since the fall of President Hosni Mubarak.

The two days of voting felt like a success, particularly because in the days leading up to the vote, Egypt seemed on the verge of implosion. Street battles in Tahrir Square had claimed more than 40 lives, as police used brute force in an attempt to subdue protesters.

There was talk of postponing the vote. But elections were held as scheduled, and, surprisingly, there was neither major violence nor reports of systematic fraud or irregularities.

Why, then, does the optimism that Egyptians have every right to feel remain tenuous?

Part of the attraction of voting is the release that comes from knowing who won. Here, though, delayed gratification is the order of the day. Egypt has an odd, three-round voting system, so Egyptians won't know the official outcome until January. (Preliminary results, though, appear to show the Muslim Brotherhood with a commanding lead.)

More problematic, though, is the confusion surrounding the role of Parliament. The ruling military council is hoping for a weak Parliament; Egypt's political parties, however, may have other plans. During political transitions, institutional roles often remain undefined and fluid, shaped by the decisions of the individuals and parties themselves. A strong Parliament depends on a critical mass of parliamentarians who believe in -- and fight for -- their institution's power.

Because Egypt is still operating under a presidential system, with the ruling military council as the executive authority, Parliament will not be able to form a government. But it will likely be able to withhold confidence from the Cabinet, oversee the budget, and pass legislation. Most importantly, the Parliament will appoint a committee to draft a new constitution. This constitution will determine the balance of powers between the executive branch and legislative branches.

The Muslim Brotherhood's Freedom and Justice Party -- which will control a sizable plurality of seats -- supports a pure parliamentary system, with either a ceremonial president or no president at all. Some of the Brotherhood's critics see this as a relatively transparent power grab, which it may, in fact, be. At the same time, with the real risk of a military-approved candidate winning free presidential elections, a mixed system with a powerful president comes with its own pitfalls.

The real battle for Egypt may no longer be on the streets of Cairo but, rather, within its institutions. This new phase will be defined by a precarious balancing act between different power centers, each with its own distinct sources of legitimacy.

The military will continue to call on its history as "protector of the nation" and, now, "protector of the revolution." But the Parliament will be the only nationally elected body that can claim to represent the will of the people. If the turnout figures are indeed high, as preliminary reports indicate, then the Parliament can claim an even stronger popular mandate.

This struggle for power will be just as meaningful -- and likely much more contentious -- than the elections that preceded it.

The opinions expressed in this commentary are solely those of Shadi Hamid.

@highlight

Shadi Hamid: Egypt election seems a success despite street protests the week before

@highlight

He says real problem looms when elected Parliament and military council vie for power

@highlight

He says Muslim Brotherhood wants pure parliamentary system; this comes with pitfalls

@highlight

Hamid: Military wants to hold on to power, but Parliament reflects will of people, mandate