Established in 2007 following the Red Mosque siege, the Tehrik-e-Taliban Pakistan (TTP), or Pakistani Taliban, is now a prominent actor in that country's politics.

It is a diverse umbrella group uniting some 30 militant groups across the Kyber-Pasktunskwa and other tribal areas bordering Afghanistan.

It is estimated that there are some 30,000 TTP operatives.

Each of these groups aims to establish local spheres of Sharia law, impose a particular restrictive vision of Islamic living, and resist federal governance in the region. They also collectively condemn Pakistani support for the United States in the "war against terror."

It is worth remembering that the TTP movement initially enjoyed some local support in the region before their violent methods began to alienate the population.

In Swat, the TTP targeted landowners and gave local peasants greater access to vacated land and gemstones mines, which, through profit-sharing agreements, also afforded the movement a new revenue stream.

The TTP message of religiously derived, quickly administered justice independent of the slow and arguably corrupt court system seemed to resonate with locals.  However TTP violence over the years should not be underestimated.

A report by the Pakistan Peace Institute reveals that last year in the Khyber-Pashtunwakha alone 476 attacks were carried out by the TTP and associated groups, leaving 572 civilians dead (along with 115 security personnel) and injured another 1,529 (including 216 security personnel).

The majority of those affected are the civilian poor.

Some have criticised Pakistan for not addressing the TTP and other militant groups sooner, or not taking the threat they pose seriously enough.

Jihadi 'tourist resort'

The delay by the military and police in tackling these groups was because they were not considered a substantive threat to the Pakistani state as a whole -- little is considered as great a threat to the existence of Pakistan as India and militants have been used as "proxy warriors" in that fight.

Pakistani novelist Mohammad Hanif said the practice has turned the country into "an international jihadi tourist resort." Rather they were seen as misguided individuals dedicated to helping the good cause in Afghanistan or dismissed as a local rebellion.

Nevertheless since 2009, there have been annual military offensives against the TTP and affiliates, leading to thousands of internally displaced people, collateral damage and a few militant deaths.

This year, the Pakistani state relied more on airstrikes than in previous years, leading to claims of higher than ever civilian casualty rates, but also greater the usual number of TTP combatant deaths.

Following these operations, the TTP have been widely predicted to fall: military jets had successfully bombed TTP hideouts, doctrinal splits over "non-Islamic practices" seemed to paralyze them, in September parts of the TTP had announced a ceasefire and renounced violence, and a high turnover of leadership positions (the current spokesperson only being in place for a few weeks) leading to uncertainty among TTP foot soldiers and rumors of desertion.

Another revenge attack

Tuesday's school attack can be seen as another act of revenge, as the TTP spokesman said: "We selected the army's school for the attack because the government is targeting our families and females ... We want them to feel the pain."

Thus TTP violence cannot be divorced from the violence carried out by the state and state agencies in Pakistan against civilians in countless military operations, through police brutality, curfews, drone strikes and extrajudicial "disappearances."

We should not be surprised by the spike in violence now. As is typical of splintering militant groups and of those facing increased external pressure, the frequency, scale, and scope, of TTP violence has increased as the new leadership seeks to assert its authority and demonstrate strength to external audiences.

The dramatic attack on the military school this December follows on the attack in the summer on Karachi airport, the bombing of a flag ceremony on the border with India, and in 2013 they carried out a daring jailbreak in Dera Ismali Khan, resulting in 35 "high value" militants escaping (along with 240 other prisoners). The group also, infamously, targeted the Nobel prize winner Malala Yousafzai, who had campaigned for girls education in Pakistan.

Schools, especially girls' schools, are a frequent target of the TTP. The targeting of a school this week -- especially one where most of the students are children of military personnel -- is not just about gaining shock and awe but a continuation of its campaign to violently target those who challenge its moral order.

More than a thousand schools have been destroyed by Islamist militants from one faction or another in the province of Khyber-Pakhtunkhwa in the past five years. Schools symbolize government authority and are seen as un-Islamic.

Pure Islamic order

The TTP -- convinced of the possibility of a pure perfect Islamic order -- seeks to exclude from public politics and from the public spaces those that are "unperfectable:" women, homosexuals and the unrighteous who support infidels.

The TTP target public spaces that distract from their vision of the perfect life: shrines, barber shops, Eid prayer congregations, market squares, music shops, political rallies, and schools. This attack near Peshawar is a reminder that the military, and wider Pakistan, are not exempt from this desired order.

Therefore revenge and demonstrations of strength are only a partial explanation of this attack. It also reflects their broader aim to confine politics to a restricted group of people ("righteous males"), a limited range of activities (excluding fine arts and public expressions of merriment), and a severely constrained public space.

Pakistan is a resilient country, surviving one crisis after another. It is culturally rich, with a vibrant tradition of public politics and plurality. From the kite flying festival to Eid prayer congregations, from dancing girls to worship at Sufi shrines, Pakistani's expressions of joy and togetherness are excellent enactments of Pakistan.

The best antidote to the TTP would be to embrace this side of Pakistan. If people hide behind closed doors, remain uneducated, the TTP's ideal of a restricted politics and an empty public sphere will become reality.

@highlight

Taliban condemn Pakistani support for the United States

@highlight

TTP movement initially enjoyed some local support in restive region bordering Afghanistan

@highlight

Taliban violence has increased as the new leadership seeks to assert its authority

@highlight

Pakistan must defend its vibrant tradition of public politics and plurality, says analyst