ATLANTA, Georgia (CNN) -- Four prominent neurologists say they cannot see how Sen. Pete Domenici can continue his work as a U.S. senator given his diagnosis with frontotemporal lobar degeneration, a type of dementia.

September tests showed Sen. Pete Domenici's brain disorder had progressed since an April checkup.

The disease attacks the frontal and temporal lobes of the brain, which control judgment, complex decision-making, communication, mood and behavior.

None of the four doctors is treating Domenici, nor is any familiar with his case, but all have treated patients with frontotemporal lobar degeneration, or FTLD.

Dr. David Knopman, a neurologist at the Mayo Clinic, says when his patients learn they have FTLD, he tells them it's best to stop working.

"They would be prone to have poor judgment and make mistakes," Knopman said. "I would encourage them to leave their employment."

Domenici, a six-term New Mexico Republican, announced Thursday that he will not seek re-election after his current term expires in January 2009.

It's not clear how long the senator has known of his condition. "For at least two years, I have felt very little impact from this disease," he said in announcing his decision. But September tests showed the condition had progressed since a checkup in April, he said.

"While the progression was slight, I had to consider whether I could in good conscience run for re-election and serve you as well as you deserve for another six-year term," Domenici told an audience in Albuquerque, New Mexico.

A source close to Domenici, 75, says his physician at Johns Hopkins University Hospital "has a comfort level with his ability to finish out the term."

The source added, "Those of us who work with him have not seen much deterioration."

Dr. Bruce Miller, a neurologist at the University of California-San Francisco, says that of the 500 patients he's treated for FTLD, very few have been able to keep working.

"At times they can shift to a different style of work that doesn't require making big judgments, like being a paper boy," he said.

Dr. Murray Grossman, a neurologist at the University of Pennsylvania, noted the difficulties the disease presents for people who make decisions on others' behalf. "A lawyer wouldn't be able to best defend their clients. A stockbroker wouldn't be able to make the best investments for their clients," he said.

Another neurologist, Dr. Daniel Brauner, said if an FTLD patient is making "world-shaking decisions they should probably stop working."

He added some of his patients in less stressful jobs have been able to keep working but have had to scale back, leaving behind tasks that are too complex.

In addition to problems with judgment, FTLD patients have behavior and language issues, because of the areas of the brain that are affected. "They can be inappropriate with money. They believe every ad they see in the paper and buy everything," he said.

The doctors said first signs of the disease are often very unusual behavior or a change in personality. An affectionate grandfather, for example, might push away a grandchild looking for a hug. Someone who's always been very polite might become very rude.

"Someone who's usually very adept and in touch with people might suddenly make inappropriate or caustic comments, like they might refer to someone who's overweight as 'fatty,'" Knopman says. He added patients often don't want to leave work. "One of the problems with this disorder is they often lack insight so they themselves don't perceive the problems," Knopman said.

There's no cure for FTLD. Treatment consists of managing symptoms with medication and in some cases, speech therapy. E-mail to a friend

Elizabeth Cohen is a correspondent with CNN Medical News. Senior producer Jennifer Pifer contributed to this report.

@highlight

Experts: Most patients with frontotemporal lobar degeneration must stop working

@highlight

FTLD affects parts of brain that govern judgment, complex decision-making

@highlight

Senator's doctor said to be comfortable with decision to finish  term