Washington (CNN)Chief Justice John Roberts is back in the spotlight.

Roberts -- who shocked conservatives nearly three years ago by providing a pivotal vote to uphold Obamacare -- once again faces a judicial crossroads in a historic case.

The U.S. Supreme Court will hear oral arguments Tuesday in a case that could decide whether gay and lesbian couples nationwide have the constitutional right to marry. The question at the core of Obergefell v. Hodges is one of the most consequential debates of the early 21st century, and one that is already helping to shape the 2016 presidential race.

Appeals courts nationwide have moved decisively toward supporting same-sex marriage, but a split at the appellate level helped propel the issue to the nation's highest court, led by Roberts.

Appointed to the bench by President George W. Bush, Roberts has a solid conservative record and would seem an unlikely vote to support a constitutional right to same-sex marriage. He dissented in United States v. Windsor, a landmark case in which a narrowly divided court struck down a key provision of the Defense of Marriage Act, which denied federal benefits to lawfully married same-sex couples. And he's expressed sympathy with legal arguments that would allow same-sex marriage bans.

Yet both sides see the case as a legacy-making moment for the 60-year-old chief justice, and advocates for same-sex couples hold out hope that he will emerge as their ally. They will be scrutinizing his words and actions Tuesday for clues about how he'll vote -- and whether he will upset some conservatives once again.

"If the Windsor majority votes in favor of marriage equality, the ruling will be one of the most momentous decisions of the Roberts court," said Judith E. Schaeffer of the Constitutional Accountability Center, which is advocating for same-sex marriage. "Will John Roberts want to be remembered as having dissented from such a historic decision?"

For some conservatives, a vote in favor of same-sex marriage in the case would be a huge disappointment. It would be akin to the type of betrayal they felt when Justice David Souter, who was nominated to the bench by George H.W. Bush and who retired in 2009, consistently voted with the liberals or when Justice Anthony Kennedy, a Ronald Reagan appointee, disappointed them on earlier gay rights cases as well as abortion and the death penalty. Or when Roberts infuriated conservative allies by providing the crucial fifth vote to uphold Obamacare on the grounds that the law is a constitutional use of the government's taxing authority.

The hope in conservative circles is that Roberts will see his legacy as ensuring that the issue of same-sex marriage gets decided by the people, not the courts.

"The chief surely knows that his job is to be on the right side of the Constitution," said Edward Whelan, president of the Ethics and Public Policy Center. "Blatherings about the 'wrong side of history' are an appeal to intellectual cowardice."

Those hoping that he will vote to uphold the state bans see a strong signal in the Windsor case.

In his majority opinion, Kennedy said the "principal purpose" of the Defense of Marriage Act was to "impose inequality."

Roberts disagreed. He wrote separately to say he thought Congress acted constitutionally when it passed the law in 1996 in an attempt to provide "uniformity and stability" at a time when every state defined marriage as between a man and a woman.

Roberts picked up on Kennedy's language that emphasized the states' power to define the marital relationship and said that power will someday "come into play on the other side of the board in future cases about the constitutionality of state marriage definitions."

David Cruz of the University of Southern California Gould School of Law said that Roberts could use that reasoning to vote in favor of state bans in the Obergefell case.

"Roberts is suggesting that concerns about the powers of states will support state laws excluding same-sex couples from marriage," Cruz said.

Indeed, the lower court that upheld the marriage bans in Michigan, Tennessee, Ohio and Kentucky in the Obergefell case relied heavily on the argument that states have a right to define marriage.

Another clue to Roberts' thinking in the Windsor dissent is that he took particular issue with any notion that the Defense of Marriage Act was passed out of a desire to harm -- noting it had the support of majorities in both the House of Representatives and the Senate as well as President Bill Clinton, who signed it into law.

"I would not tar the political branches with the brush of bigotry," Roberts wrote.

The comments suggest he would reject an argument in the Obergefell case that rested on the idea that same-sex marriage bans reflected animus against gay people.

But backers of same-sex marriage are reading some tea leaves of their own.

Schaeffer points out that Roberts didn't join the parts of the dissents penned by Justices Antonin Scalia, Clarence Thomas and Samuel Alito, which clearly stated a belief that state bans on same-sex marriage don't violate the Constitution.

"Roberts didn't join them in expressing those views," Schaeffer said.

At the time, Roberts simply wrote that the court "does not have before it, and the logic of its opinion does not decide" whether states can ban same-sex marriage.

Schaeffer said the chief justice could have simply chosen to remain silent on an issue that wasn't before the court.

"But I think one reasonable explanation is that Roberts was preserving a clean slate for himself on the ultimate issue of marriage equality," she said.

The Defense of Marriage Act decision overshadowed another 2013 case -- Hollingsworth v. Perry -- that could have determined whether states could ban same-sex marriage.

The case concerned a challenge to California's Proposition 8, a state constitutional amendment that barred same-sex couples from marriage. But Roberts, writing for the majority, dismissed the case, holding that the challengers did not have the legal standing to bring it to the court.

The ruling left in place a lower court decision that had invalidated Proposition 8 and thus paved the way for same-sex marriage in California. Roberts' lesbian cousin, who lives in California, sat in the courtroom during arguments in the Prop 8 case.

Few people predicted that the issue would return so quickly to the Supreme Court, but waves of lower court judges -- sometimes citing Windsor -- struck down the state bans.

On the first day of the term last fall, the court was presented with seven different petitions on the issue. Conventional wisdom was that the justices would garner the four necessary votes and grant one of the cases. But conventional wisdom was completely wrong.

Without comment, the court declined to take up any of the cases, clearing the way for thousands of additional same-sex marriages.

The court's vote count in such decisions is kept a secret and may never be known. But some speculate on one possible scenario: Roberts chose not to provide the fourth vote to the conservatives who dissented in Windsor.

Then again, even if the speculation were true, it doesn't reveal much about Roberts' thinking. There's a big difference between voting not to take up a case, which expresses no opinions on the merits, and issuing an opinion on the merits.

And even when Roberts' actions -- such as effectively allowing same-sex marriage to proceed in California -- seem to suggest a willingness to consider such unions nationwide, his comments along the way make it much harder to gain insight into his ultimate thinking.

"When the institution of marriage developed historically, people didn't get around and say, 'Let's have this institution, but let's keep out homosexuals,' " Roberts said during the Proposition 8 oral arguments. "The institution developed to serve purposes that, by their nature, didn't include homosexual couples."

@highlight

John Roberts is at judicial crossroads as high court to hear key same-sex marriage case

@highlight

Case could decide whether same-sex couples nationwide have constitutional right to marry

@highlight

Chief justice disappointed conservatives earlier when he helped uphold Obamacare