(CNN) -- On Mother's Day, we celebrate the mothers in our lives because we know motherhood is the hardest job any woman will ever have. But some have it harder than others.

Disasters can strike any place, any time. But, as Save the Children uncovered in its 15th annual State of the World's Mothers report, released Tuesday, that devastation hurts some more than others: Women and children are at the greatest risk and are 14 times more likely to die in a disaster than men.

I've met many of these mothers. They were huddled in a shelter in the Philippines after Super Typhoon Haiyan, one of the largest cyclones ever to hit land, destroyed their homes and livelihoods. They were also my own friends and neighbors who lost homes, businesses and belongings when Superstorm Sandy devastated parts of the East Coast.

When President Barack Obama visited the Philippines last month, the Tacloban community had yet to be rebuilt. Now there are devastated areas closer to home after storms across Oklahoma and Arkansas.

The Save the Children report shows that children and mothers with the fewest resources often face the most daunting challenges during emergencies. In Sandy's aftermath, it took weeks for relief efforts to reach hard-hit families living in some of New York City's low-income areas, such as Far Rockaway, Queens.

"This community was nowhere on any maps for five weeks for services, and for resources, and for help," said Aria Doe, executive director of the Action Center in Far Rockaway, of the struggle to get supplies and services to the many mothers, babies and children who were stranded without electricity, water, food, supplies or transportation.

In the Philippines, Haiyan swept through the central part of the island nation, killing people and ruining housing, livelihoods and infrastructure across nine of the poorest regions. It damaged or destroyed more than 2,258 health facilities, including hundreds of village health stations, which provided primary health and childbirth services to people in smaller communities.

At the time of the typhoon, in the region it hit, 250,000 women were pregnant and almost 70,000 were expected to deliver in early 2014. The Save the Children team met Hazel Rapsing, 25, a mother of two toddlers. She went into labor at the peak of the storm as her entire neighborhood evacuated. Her baby decided to come 10 days early.

"I was scared because the typhoon was getting really strong. I was wondering whether I would be able to give birth. How long would I be in labor?" Rapsing said. "I was worried about what kind of treatment my baby would get. It was a state of emergency and everyone was busy. I was praying to God to take care of me."

Despite the storm, an ambulance arrived and took Rapsing to a clinic, where she gave birth to a healthy baby boy named Ullicel. Rapsing's home was leveled, so she and her family are staying with relatives until they are able to rebuild.

While I cannot begin to imagine how frightening it must have been to go into labor during one of the most powerful typhoons ever recorded, having to protect your newborn as you're fleeing for your life can be just as terrifying.

Abigail Matulac had given birth to a beautiful baby girl, Kazumi, only two weeks before Typhoon Haiyan hit the shores of Sicogon Island, where she lived in an isolated, low-income community with her husband and three small children.

Like most families there, they didn't expect the storm to be as intense and waited too long to evacuate. Once they had no choice but to leave, Matulac wrapped her infant in thick cloth to keep her warm. The wind was so strong that they couldn't even open the door of their house and had to climb out the window and then crawl up a mountain to find a safer place to shelter.

"I've been bleeding for a while after I gave birth and was afraid that I would have a relapse from the stress," she said. "I was breast-feeding my baby during that entire time to help keep her calm and quiet."

The family was lucky to make it through the storm unscathed without needing medical services for the children, because about 82% of the health facilities in the storm area were damaged. Because of that, about 1.1 million people, including 163,000 children under 5, have inadequate health services.

Whether in the United States or the Philippines, all mothers strive to ensure that their children are protected and healthy when a disaster strikes.

What we need to do is strengthen community-based preparedness and early response. In areas of recurring crises, we need contingency planning and flexible funding -- and must engage women in the planning. We need social protection programs that meet the needs of the most vulnerable. And we need to invest more in reducing the risk of disasters. This includes more funding and greater integration of risk reduction into government and donor policies and programs.

Fortunately, our evidence also shows that we can save and dramatically improve the lives of all mothers and children, even in the most challenging places to live, if we invest in the services they need, including education.

@highlight

Carolyn Miles: Moms struggle, but especially those trying to save children in a disaster

@highlight

Save the Children has released its 15th annual State of the World's Mothers report

@highlight

Miles: Report found women, children 14 times more likely to die in a disaster than men

@highlight

Miles: We need strong community preparedness and early response planning