(CNN) -- With land come landslides. While they're inevitable in many ways, people don't inevitably have to die because of them.

That line of thinking is being raised following Washington state's disaster in Snohomish County, where at least 17 people died and 49 structures were destroyed after a fast-moving landslide buried a square mile in up to 40 feet of mud.

After a smaller landslide struck the same area in 2006, officials invested millions of dollars to reduce the hazards, and residents felt safe, Snohomish County Emergency Management Director John Pennington contended this week.

"We really did a great job of mitigating," he told reporters.

Officials and many residents have long known they live in landslide country, Pennington said. He cited how a 2010 Natural Hazard Mitigation Plan contains a chapter warning about the same land mass that collapsed a week ago. That tract was labeled as one of several potential "hot spots."

But no one had foreknowledge of Saturday's catastrophe, he asserted.

"Sometimes, big events just happen," Pennington explained.

Some experts and residents of Oso, Washington, now take sharp exception with Pennington.

As rescue teams still seek survivors in the mud almost a week later, the disaster prompts new questions about how the local government allowed homes and a community to remain in the path of a potential landslide -- a peril that was highlighted as recently as 1999 in a Seattle-based geomorphologist's report to the Army Corps of Engineers.

Landslides are as endemic to the area as earthquakes are to California, experts say. Last week's landslide occurred on the lush western slopes of the Cascades, where dense forests of 150-foot firs are drenched with 120 inches of rain a year, sprouting a biomass greater than the Amazon rain forests', said Ralph Haugerud of the U.S. Geological Survey's Seattle office.

"This is a valley lined with landslides, going back 14,000 years when the glaciers left," Haugerud said. "And before that there weren't any landslides because it was submerged under 3,000 feet of ice."

Experts and residents now wonder whether more aggressive government action is needed for communities near sliding terrain.

Washington Gov. Jay Inslee acknowledged the seriousness of a broader review, but said the state has a more urgent matter -- finding additional survivors or bodies first.

After that, authorities can then examine events leading to the landslide and how to safeguard against future ones.

"We will get to the answer," Inslee told CNN this week. "It's going to take some time."

Seattle-based geomorphologist Daniel Miller said he would never have built a house around where the disaster occurred. He co-wrote the 1999 report for the Army Corps of Engineers that looked at options to reduce sediments from landslides in the area.

The 56-page study identified "a very large volume of material that could potentially become unstable," he said this week.

"That's the portion that appears to have failed in this event," he said.

Miller cautioned that his study never assessed risk. At the same time, he said that he believes his study was shelved by officials who could have done more than they did.

U.S. Army Corps of Engineers spokeswoman Patricia Graesser said the study spoke to how people were living in the landslide area but the report wasn't a risk assessment of landslide hazards. Rather, the study was designed to look at restoring the ecosystem for the nearby North Fork Stillaguamish River's fisheries.

"What we're looking at in those sites is silt entering the river and silt in salmon spawning beds, and could we do something to restore their habitat," Graesser said. "It's documented in there that there was a risk of catastrophic failure and it was documented that people live there. But that wasn't the purpose of the study."

The 1999 study clearly states a 60-year history of landslides in the area, notably in 1937, 1942, 1951, 1952, 1967 and 1988.

"I currently have no basis for estimating the probable rate or timing of future landslide activity," Miller's study states. "The primary conclusion to be drawn is that mass wasting activity will persist for as long as the river remains at the toe of the landslide."

The proposed restoration project ended with Miller's study because there was no further funding from Congress and Snohomish County, Graesser said.

Though a state ordinance asks counties to map landslide hazards, it has not been translated into zoning restrictions, according to Miller.

Local officials apprised residents of the perils as public improvements were made after the 2006 landslide, Pennington said.

One resident, however, challenged Pennington's contention.

"Nobody ever told us that there were geology reports," Robin Youngblood told CNN. "This is criminal, as far as I'm concerned."

While authorities might have done more -- like making sure that all landowners knew about the risk -- that doesn't absolve residents who built houses there, Miller said.

"As landowners, we have some responsibility to be aware of our surroundings and their risks," Miller added.

While there were indications that a "very large" landslide was possible, no one knew how it might happen or how devastating it might be.

"Ultimately, there was no way to know when a landslide would occur," Miller said.

For Miller, the risk was too high. He found it incredulous to see new buildings go up after the 2006 landslide.

"My reaction was to shake my head and say, 'This is nuts,'" Miller said.

Among the attractions for residents is recreational fishing on the nearby river, prized for its trout and salmon, said Haugerud, the research geologist with the U.S. Geological Survey. Housing is also relatively cheap, with the bonus of being in a beautiful mountain valley, he said.

Reinforcing the local recreational interests are U.S. treaties with local Native American tribes dating back to the 1800s that ensure adequate fisheries in the river, Haugerud said.

The river is often full of anglers in chest waders.

"Fishing is a big deal here in Washington," Haugerud said.

It's also a place where residents don't take kindly to government intrusions, he added.

"This is a corner of the world where the majority of the people are very happy not to have much government regulations," Haugerud said. "Yet it's also where we like to have the government tell us that we're safe."

Laser technology by low-flying aircraft now allows geologists like Haugerud to get a better picture of the topography underneath the dense Cascade forests, he said.

But much of that high-definition topography is unstudied, he said.

"We haven't been able to catch up to the data because we have a whole lot more information than we have geologists or that we have funding for geologists," Haugerud said.

Speaking as a Washington state resident -- and not as government geologist -- Haugerud said reforms may be needed to ensure local officials impose stricter regulations in landslide zones.

That may mean local governments have to relocate swaths of residences, he said.

"We have home and communities in places where probably there shouldn't be homes and communities. How do you tell people to move?" Haugerud asked.

Those decisions, he said, "will be heartbreaking" and "won't be easy."

CNN's Greg Botelho contributed to this report.

@highlight

A geomorphologist studied the long history of landslides in Snohomish County

@highlight

Officials say they did "a great job of mitigating" landslide hazards

@highlight

But an expert was incredulous to find homes being built after a 2006 landslide

@highlight

"My reaction was to shake my head and say, 'This is nuts,' " he says