(CNN) -- Haiti's earthquake is creating "a generation of amputees," something that will pose a challenge for Haitian society for years to come, experts say.

The 7.0 earthquake resulted in thousands having their limbs crushed as Haiti's ramshackle buildings fell on top of them.

The number of amputees created by the disaster is hard to measure, but Handicap International estimates it is at least 2,000 and growing. Dr. Mitra Roses of the Pan American Health Organization said some hospitals were performing between 30 and 100 amputations a day after the earthquake.

At one small hospital in the capital that is now functioning under a tent, doctors say they are performing more and more amputations on children.

"We're having a generation of amputees," said one medical worker. She had just discovered that a 2-year-old girl cannot feel her left foot and may need an amputation. "It's heartbreaking."

Amputations in Haiti are especially difficult for patients because so many people get around on foot or by bicycle. Sidewalks and roads are poor and wheelchairs, crutches and canes are few.

"What I fear is that if I can't walk, I can't go to school and I can't go to church," said a boy who lost his foot in the earthquake. Without his foot, he said, he can't pedal the bike he normally takes to church and to school.

"It's not an environment which is conducive to mobility for people who are not able to walk for a variety of reasons," Stephanie Stuart, director of Handicap International UK, told CNN.

Amputees may have trouble getting to work, she said, and the problem is compounded if those people perform manual labor, which requires greater use of their limbs.

"Their circumstances are pretty dire, because an amputee in Haiti is highly disadvantaged in terms of being able to be mobile, have a job and look after family," said Eric Doubt, executive director of Healing Hands for Haiti International, which provides treatment and rehabilitation to people with disabilities.

Young amputees face different issues, said Stuart. Like the boy who lost his foot, they may not be able to go to school, putting them at risk of losing education.

They also can't play with their friends or enjoy the activities they used to, and they may be too young to understand why, Stuart said.

Even if those children make it to school, they may have trouble adapting to an able-bodied environment.

"A lot of children, if they couldn't manage to go to the loo (toilet) in schools, would they feel they wanted to spend the day there?" Stuart said.

Parents of children with lost limbs may also find it hard to adapt, she said.

"However much they love them, are (parents) still going to be able to support them and help their education and well-being as much as they could with an able child?"

The Pan American Health Organization said disabilities can cause significant and long-term economic and mental health problems for earthquake survivors.

With so many earthquake victims having had or facing the prospect of amputations, Haiti's government should prioritize the issue of disability and support for disabled people, Stuart said.

Before the earthquake, Haiti had only one facility that produced prosthetic limbs. It survived the earthquake but will not be able to meet current needs, Doubt said.

"They actually are able to start fabricating but ... they're very small, and the need is much greater," Doubt told CNN by phone from the organization's offices in Georgetown, Ontario. Even before the earthquake, he said, "we were only really touching the need at the time."

There were about 800,000 Haitians with handicaps and disabilities before the earthquake, Doubt said.

"Handicapped in Haiti have been largely unattended to or abandoned by their governments, and there are very few medical organizations who attend to them or provide a focus on them, so it was a very large job to begin with," he said. "There are going to be many more disabled (now), and among them a large population of newly amputated patients, and that population is going to grow."

Stuart explained that many people with injuries requiring amputation may not have made it yet to hospitals. Others may simply have skin wounds, but if they can't get to a hospital and their wounds become infected, it could necessitate amputation.

Anticipating the need, the group Physicians for Peace has begun to collect prosthetics, crutches, canes, walkers and wheelchairs. Amputees are typically fitted with new limbs after two to four months of healing.

Used prosthetics will be particularly beneficial in Haiti, where manufacturing artificial limbs is likely to be difficult, said Heather Mills, a U.N. Association goodwill ambassador.

"What I'm trying to do is appeal to people to ... contact Physicians for Peace and take back any limbs that they're not using," Mills told CNN's "Larry King Live." "We can reuse the components."

Mills, who was once married to Beatle Paul McCartney, lost part of her left leg in a 1993 vehicle crash. She has since been active in charities to clear land mines and provide artificial limbs to tens of thousands of people.

"I'm fully aware that they're not going to need the limbs for weeks, but it takes weeks to coordinate," Mills said. "It takes weeks for people to donate. It takes weeks to get them packed and shipped."

Handicap International plans to produce between 300 and 400 emergency  prostheses in the next six months to cover the need until patients can receive more permanent ones, the group said.

Physicians for Peace plans to set up a prosthesis production facility in Haiti, according to the group's Web site.

"We will work with our partners to identify whether we can use existing structures or somehow build temporary work space and bring in the specialized equipment needed to prepare and fit prosthetic devices: ovens, routers, vacuum pumps, drills, sanders and saws, as well as generators and lights," the Website said.

Refurbished prosthetic limbs and mobility devices collected by the group will also be shipped to Haiti.

Handicap International is also expanding its staff to around 100, and they will train local prosthetic technicians to meet the needs of amputees in the long term, Stuart said.

"Prosthetics need to be fitted -- they're not off the shelf -- so you need technicians there," Stuart said. Prosthetics "need to be changed if the child is growing, if the person gains weight, loses weight."

CNN's Ed Payne in Atlanta, Georgia, contributed to this report.

@highlight

Experts say Haiti's earthquake is creating "a generation of amputees"

@highlight

Disabilities can cause long-term economic and mental health problems

@highlight

Amputations in Haiti are difficult because people get around on foot or by bicycle