(CNN) -- It was just before Christmas when Michel Martelly mulled over events in his troubled land and concluded that everything had been done to ensure loss for him at the polls.

An election rife with fraud had ousted him from the race. Martelly's dreams of leading Haiti were all but dead. But four months of recounts and reviews and then a runoff changed everything, and the unexpected candidate is poised now to move into the presidential office.

Unexpected because Martelly has never been a politician.

He's better known as "Sweet Mickey," a popular kompa singer who enthralled his fans with bad-boy antics on stage. He cursed and swayed with a bottle of Barbancourt rum in his hands and on occasion, mooned his audience.

It's an image that Martelly said he cultivated solely for the stage. Still, it led many to question whether he was fit to run a nation, especially one as beleaguered as Haiti.

Already the poorest nation in the Western Hemisphere, Haiti is reeling from devastation caused by last year's massive earthquake followed by a cholera epidemic later in the year.

A perceived lack of progress prompted Haitians to vote against Jude Celestin, the government-backed candidate. Martelly, they said, was a fresh face in politics, untainted by the corruption that has marred many a presidency in Haiti.

"To Haitians, particularly the legions of young and jobless, Martelly is an outsider who can bring change to Haiti," longtime Haiti observer Jocelyn McCalla said on Twitter.

Martelly's victory falls in line with the signal the Haitian people have been sending for a while, said Garry Pierre-Pierre, editor and publisher of the New York-based newspaper The Haitian Times. "They don't want the establishment. They don't want the status quo," he said.

On the streets of Port-au-Prince, thousands turned out to chant one of his most popular nicknames: "Tet Kale," which means bald head in Creole. Haitians, especially the youth, were starving for a fresh face. And they got it Monday when the election council announced preliminary results.

Martelly won by a landslide with 67.6% of the vote, soundly defeating his challenger, former first lady Mirlande Manigat, who received 31.5%.

Pierre-Pierre called Martelly's campaign impressive. He came out of nowhere and stunned established politicians with his strong showing in November.

"This was a man who could move millions with a microphone," Pierre-Pierre said.

But at first, the election council said Martelly had placed third, behind Manigat and Celestin, meaning he was not eligible for a runoff.

His supporters took to the streets, angry at what they said was a rigged election.

Then came a review of the vote, monitored by the Organization of American States.

The review resulted in Celestin's removal from the ballot and placed Martelly in the runoff. It was exactly what the candidate had hoped for back in December when he laid out for CNN his plan to lift Haiti out of its misery.

Martelly appeared in jeans and a button-down shirt at his plush home in Peguyville, a suburb of Port-au-Prince up in the hills. A silver arm cuff hugged his right wrist and he sipped hard on his favorite ice-cream soda. He sat at a table surrounded by a piano and eight wall-mounted speakers. It was not hard to tell this was a party house.

Haiti, he said then, was on the brink of revolution.

"This is a very dangerous corner in Haiti's history," he said. "But it's a revolution that can be done peacefully through the election."

Under the father-and-son Duvalier dictatorship, Haitians lacked freedom, but the people had clean roads, electricity, jobs, security, Martelly said. When democracy came overnight to this Caribbean nation, people didn't know how to handle it.

Martelly spoke of 24 years of troubled times, of a poor country that, he said, hurtled backward into even more poverty.

"We are ruled by corruption," he said. "The people have no confidence in their government."

The lack of confidence was further eroded by a presidential election in disarray.

"You know how (U.S. President Barack) Obama said it's not about the man, but it's about the plan?" he said. "Here it's more about the man than about the plan."

Haiti will go nowhere, he said, unless the people have a president they can trust, a president who is honest. He was that man, he insisted.

He said his background in music as well as social work -- he founded an aid agency that helps the poor -- gave him 22 years on the ground. The people know him, he said. He was their light at the end of the tunnel.

But the man also had plans.

He said, for instance, that the $12 billion that was pledged by the international community for earthquake assistance should come in the form of infrastructure, not money, because Haitians don't know how to manage money.

"People are fed up here," he said. "They have no food, no education, no health care. What kind of place is it when a young girl will sell her body to buy a phone card?"

Martelly exuded confidence that he could bring change to Haiti. But not everyone is so sure.

"He's stepping into not only a complicated moment in Haitian history but he is also stepping into the wasp's nest of Haitian politics," said Amy Wilentz, author of "The Rainy Season: Haiti Then and Now."

Wilentz said Martelly is a big unknown -- a pro for voters perhaps but a con for those trying to measure up the next few years of Haitian history.

"I don't see any reason to believe or not to believe he will be good at it," Wilentz said. "I think Haiti needs a fresh start. It needs to step out of the muck."

Maybe, she said, Martelly is the man to do just that.

Pierre-Pierre compared Martelly's win to another victory more than two decades ago that catapulted a Catholic priest into the presidency. Jean-Bertrand Aristide was popular in his own right as a man of the church but he also rose to power because he was not from the establishment.

"Martelly spoke in a way Aristide spoke to the people," Pierre-Pierre said. "He spoke to them, not at them."

But look what happened to Aristide, Pierre-Pierre said, referring to the fall of Haiti's first democratically elected president, who coincidentally returned from exile just days before last month's election.

Pierre-Pierre drew another comparison as well. Like Aristide, Martelly has no experience in politics.

"He is a musician and a good one at that," he said.

That makes Pierre-Pierre a fan of Sweet Mickey but not necessarily a supporter of Martelly's. Ultimately, Pierre-Pierre said, what does an entertainer know about Haiti's role in the world.

Some Haiti observers went further than that.

Irwin Stotzky, a University of Miami lawyer who has studied human rights in Haiti, said Martelly hardly had the credentials to run the country and did not see much hope for the immediate future. He said his majority vote was skewed because Aristide's party, Fanmi Lavalas, was barred from participation.

"It's sort of a bad joke," Stotzky said.

But criticism doesn't deter Martelly. When asked in December whether a man who made a name dancing and singing had the mettle for his nation's top job, he smiled.

"Well," he said. "Look at what the politicians have done."

@highlight

Michel Martelly's popularity escalated him to a political victory

@highlight

He vows to restore people's confidence in government

@highlight

Haitians want change, says a newspaper editor

@highlight

Martelly's lack of experience makes him a big unknown