(CNN) -- It's about that time of year, when dyed green rivers and Guinness beers flow, the shamrock sunglasses and leprechaun T-shirts come out, and corned beef and cabbage enters the mainstream menu.

Harvey Losh felt and showed his Irish spirit as he marched in a Seattle St. Patrick's Day parade.

With St. Patrick's Day one week away, the Irish across America -- and those who just want to be Irish for a day -- are preparing to celebrate, if they haven't started already.

When it comes to St. Paddy's, many people think of the annual parades. The American invention originated in New York, which still has the largest, but the green season is about so much more.

For hundreds of years in Ireland, people have observed the feast of St. Patrick, a fifth-century missionary credited with saving pagans on the Emerald Isle. On the feast day of March 17, which falls during the Lent season, the Irish can cut loose: sing, dance and enjoy meat, even on a Friday, when it would otherwise be prohibited.

Irish Americans, who account for more than 12 percent of the U.S. population according to the U.S. Census Bureau, mark St. Paddy's Day and celebrate their heritage in numerous ways that may go unnoticed to the casual observer or outsider. Here are glimpses into how some of them do it.

Political wit a hit in Boston, Massachusetts

The link to Ireland couldn't be stronger than it is in Massachusetts, where a quarter of the population claims Irish heritage.

And while the state capital is awash in green cheer at this time of year, a tradition of exchanging political barbs has kicked off each morning of the St. Patrick's Day parade, dating back about 60 years. The March 15 breakfast, including song and dance amid the playful ribbing, was an outgrowth of the community's involvement in politics, which runs as deep as Irish humor.

"It allows people to see their elected officials [local, state and national] in a role they don't normally see them in," explained state Sen. Jack Hart (or, as he says it, "Haht") of south Boston, who's hosting the political roast for the eighth year. The televised event draws about 4 million viewers and "beats the Sunday morning talk shows."

Neither Sen. Ted Kennedy nor Sen. John Kerry is expected this year, but getting a call from the nation's highest office isn't unheard of. Vice President Joe Biden has attended, and Hart said they're working on getting the attention of President Obama. Or is that O'Bama?

Honoring their ancestors in Savannah, Georgia

They may not match the Irish population numbers of Boston, New York or Chicago, but several Southern cities, including Savannah, Georgia, have deep green roots.

The city's annual parade, which dates back 185 years, draws about 400,000 and is reportedly the second largest in the country, according to the parade committee Web site.

Behind the public fanfare, however, there's a lower-key event that John Forbes, the parade committee chairman, touts as more important to the southern city's Irish Catholics: the Celtic Cross Mass and ceremony.

The Sunday event, on March 15 this year , starts at 11:45 a.m. in the Cathedral of St. John the Baptist, where members of all the Irish societies come together to pray before walking in procession to the Celtic Cross (made of stone from Ireland) in Emmet Park.

"That's just a big day for us," Forbes said. Away from all the commercialism, "to us, it's in honor of our ancestors."

Kicking up their feet in Chicago, Illinois

The night before Chicagoans see their river turn an emerald green, an annual dyeing practice that dates back 40 years, the Irish community and other observers will gather for one of its newer traditions: Irish Dance Chicago.

Drawing 400 to 500 participants ages 4 to 17, the 3-year-old event showcases the Irish step dancing skills learned in six area schools that are dedicated to passing along this piece of culture. It begins at 7 p.m. March 13.

Step dancing, a tradition popularized by 1994's "Riverdance" show, involves rapid foot work while keeping the upper body stiff. It's also a platform for traditional Irish music and costumes.

For parents who usually spend time carting their children around, the event offers them a chance to "finally get to see their kids perform ... showcasing the styles they have," said Kathy O'Neill, a spokeswoman for the Irish American Heritage Center, which hosts the weekend's kickoff event.

"It's important to carry on heritage," she said.

A taste of tradition in Seattle, Washington

During Irish Week in Seattle, which features everything from a genealogy conference and run to street painting and the passing of a shillelagh (an Irish walking stick), one particular event rose to our attention.

The decades-old Irish soda bread baking contest, which happened Saturday, attracts more than 100 competitors each year.

The bread dates back to about 1840, traditionally features a cross on top "to ward off evil" and uses bicarbonate of soda -- instead of  yeast -- for rising, said Mike McQuaid, a spokesman for Seattle's Irish Heritage Club.

"It was simple to make, the ingredients were easy to find, and it was very filling," said Mary Shriane, who oversees the contest and grew up on her mom's soda bread.

It was a staple in Irish homes "up until 40 years ago," she continued. "And it's a tradition we like to keep alive."

Green grows in the desert of Phoenix, Arizona

When Mary Moriarty and her husband, a retired New York police officer, moved to the "valley of the sun," she wasn't sure what to expect. Looking around during their first St. Paddy's Day parade in the Southwest, she said, "I remembered thinking, 'This is it?' "

But 14 years later, the chairwoman of the St. Patrick's Day Faire and operations manager for the Irish Cultural Center knows that the desert connection to the lush green Emerald Isle is as real as anywhere else.

This year's parade starts at 10 a.m. Saturday and is followed by festivities in the park adjacent to the cultural center.

"We will naturally have liquid libations," Moriarty said. "You can't have an Irish party without liquid libations."

But it's not all about drunken revelry. Their center's groundbreaking in 1999 began by dedicating a memorial to the "Great Hunger," or the mid-19th century potato famine that led to death, disease and mass emigration, Moriarty said.

And the center, today, is a place where the estimated 400,000 Phoenix-area residents with Irish heritage can learn about their culture, including traditional foods, music and dance.

"The United States is made up of immigrants from all over the world ... and it's very important for all the different groups to celebrate what they brought with them," she said. "Yes, you are American, but you still have to realize where your ancestors came from."

@highlight

Irish Americans, who make up 12 percent of U.S. population, prepare to celebrate

@highlight

A political-roast host hopes for a call from President Obama

@highlight

Emerald Isle ancestors are remembered coast to coast, even in the desert

@highlight

Traditional step dancing hits Chicago before the river turns green