Gina, the owner of a busy graphic design firm, started giving herself -- and her employees -- four-day workweeks after she had knee surgery and found it tough to get around. It was meant to be temporary, and Gina only made the change because she felt guilty staying home while the others toiled. But she quickly realized the shorter week was less a burden than a surprise boon.

From Monday through Thursday, her staff got in early to get their work done, and employees seemed genuinely excited to be there. Productivity increased dramatically. People still had fun, but even the office chitchat seemed more efficient. And when they were at work, they worked.

"They were using the extra day off to spend time with their families, do errands and take long weekends away, but also to schedule appointments they might otherwise have taken an afternoon off to attend," Gina said. People ended up taking fewer vacations days, and sick days disappeared almost entirely.

The notion of the four-day work week was introduced in the 1950s by American labor union leader Walter Reuther, but workers -- or, more specifically, bosses -- have been slow to buy in. By most accounts, the American workweek is now at its most saturated: Nearly 86% of American men and 67% of women work more than 40 hours in any given week, in the name of productivity, financial necessity and, according to at least one study, happiness.

In her book "White Collar Sweatshop," author Jill Andresky Fraser writes about a culture of American workers being on-call 24 hours a day, seven days a week, even as salaries and benefits decrease. That's because, despite the evidence, we're programmed to believe that working longer and harder begets great achievement. But what if working less is the real key to success?

Earlier this year, when Facebook exec Nicola Mendelsohn was hired as a company vice president, she reportedly negotiated a four-day workweek so she could spend more time with her family. Much was made of the rumor, which Facebook would neither confirm nor deny, despite the fact that many working mothers around the country routinely, and increasingly, negotiate four-day workweeks. In fact, 44% of female doctors now work four or fewer days a week, up from 29% in 2005.

And yet Mendelsohn's four-day imperative sparked big debate: Critics called the move entitled and questioned its fairness, while working mothers hailed it a victory, naming her a poster child for work-life balance.

Many have argued for the four-day workweek, or flexible hours in general, as a way to retain talented female workers who might otherwise quit altogether in order to have children.

But a four-day workweek isn't beneficial to mothers alone -- and it is beneficial. When Utah introduced four-day workweeks for many of its state employees in 2008, it boosted productivity and worker satisfaction. They reverted to the standard five-day week only three years later, because residents complained about not having access to services on Fridays.

In a 2012 op-ed in the New York Times, software CEO Jason Fried reported that the 32-hour, four-day workweek his company follows from May through October has resulted in an increase in productivity. "Better work gets done in four days than in five," he wrote. It makes sense: When there's less time to work, there's less time to waste. And when you have a compressed workweek, you tend to focus on what's important. (Like sleep, quality work happens best when uninterrupted.)

Fried also reported that the four-day workweek had made it easier to recruit new talent and retain valuable staff -- male and female.

There's one caveat. Though unlikely to affect higher-ups like Mendelsohn, the four-day week tends to work best when the entire office is involved. One reason many employees may feel reluctant to take on a four-day week is because of the fear of "missing out" on access to the boss or to the flow of ideas and information.

Ten weeks after her first daughter was born, Mary, an environmental attorney in Denver, returned to work, taking the firm up on its offer to let her come in four days a week while everyone else remained at five. A month later, Mary found herself exhausted, constantly irritable, and nursing a persistent cough.

"I was happy they wanted to keep me enough to be flexible," she said. "But I always felt that the most important decisions were made when I was home relieving the nanny."

Instead of providing some relief, the flexible hours that were Mary's, and Mary's alone, only made her that much more anxious.

"I became convinced that once out of sight, I was out of mind." Putting everyone on the same schedule helps reduce that fear.

There's also the simple economics of the four-day week, as seen in Utah. When the lights are on four days instead of five, and employees need to make the commute two fewer times, costs are lowered.

For all these reasons, many employers who go the four-day route never go back. Three years later, Gina's knee is healed but the four-day workweek remains. Her firm has grown by 20%.

Was it the change in schedule? "I'm sure that can't account for all the growth," Gina said. "But it played a role for sure. Now I joke that blowing out my knee was the best career move I ever made."

@highlight

Peggy Drexler: Employers find a four-day workweek increases productivity and job satisfaction

@highlight

She says 86% of American men, 67% of women work more than 40 hours a week

@highlight

Drexler: It helps retain all talented workers, not just the women who want to be with kids

@highlight

To make it work, employers should put the whole staff on the four-day week, she says