Washington (CNN) -- The House and the Senate aren't going to have all of the fun this election year.

Governors are sure to get a slice of the pie with 36 races on tap.

While not as high-profile as many congressional races, gubernatorial campaigns are statewide races and can reveal political and policy trends that play out nationally.

Governors often drive legislative agendas in their states and many possess broad authority to act unilaterally on policy and other matters that can impact millions of people.

States enacted around 40,000 laws last year on issues that ranged from same-sex marriage to the use of teen tanning beds.

5 House races to watch in 2014

Governors have final say on funding for middle school computers as well as public safety programs. They can reject or approve new voter ID laws and limits on abortion.

Additionally, the State House is often a spring board to the White House. Many Presidents -- including four of the past six -- were governors first.

Here are five gubernatorial races to watch in 2014:

Texas

Gov. Rick Perry is retiring, opening the door for a newcomer. While Texas is a solidly Republican state, the liberal left is heavily involved as they see a winner in candidate Wendy Davis.

A state Senator, Davis rose to prominence last June when she filibustered a bill that would make it much more difficult for Texas women to obtain an abortion. The left got behind her and helped propel her candidacy for governor.

Stuart Rothenberg of the non-partisan Rothenberg Political Report wrote that Davis faces an uphill battle with the still-to-be-determined Republican candidate holding an advantage in the reliably red state. Still, Democrats, he said, have incentive to push for her victory.

"Democrats and liberals believe that long-term demographic trends will turn Texas purple, and Davis' effort could speed up that process, they hope. Moreover, she could well be a national fundraising machine for liberal groups, no matter how realistic her prospects," he wrote.

Ohio

The Buckeye State is a perennial battleground in presidential races, so anyone leading it factors into the bigger conversation. This year, Gov. John Kasich is asking voters for a second chance.

Elected in 2010 with the support of the tea party, the former Congressman initially championed conservative agenda that included dramatic cuts to state pensions.

But he ran into trouble with fellow Republicans during the 2012 presidential election when he touted Ohio's vastly improved economy during his time in office, a talking point that did not mesh with Republican presidential candidate Mitt Romney. His campaign focused heavily on U.S. economic difficulties.

Mostly ignored, shifts emerge in the politics of poverty

And as in any battleground state, the party not in power often has a shot. Polls show Kasich and the leading Democratic contender, Ed FitzGerald, in a close matchup.

A tough general election fight, however, is not in the cards yet. Kasich must first win a primary sought by conservatives

disappointed with Kasich's decision to expand Medicaid for the poor. The funding for that comes from federal money made available as part of President Barack Obama's health care reforms that are detested by most Republicans and a centerpiece of their campaign overall to defeat Democrats in November. Kasich's Republican challenger: tea party leader Ted Stevenot.

Florida

The primary will be the first real test for the governor's race in one of the most populous and politically important states.

Former Republican Gov. Charlie Crist is now Democratic gubernatorial candidate Charlie Crist.

Crist has a long political history in the Sunshine State. Instead of running for re-election in 2010, he aimed for the Senate. But he was bested in the GOP primary by tea party favorite Marco Rubio, which led Crist to change his affiliation to Independent. He still lost that election.

Now he's trying again for the post he once held. If he wins his primary against state Sen. Nan Rich, he'll face Republican incumbent Rick Scott, whose tenure has been tenuous.

A recent Tampa Bay Times/Bay News 9 and AM 820 News poll in the vote-rich Tampa Bay area found that 44% of respondents said Scott is doing a "not so good" or "poor" job.

The non-partisan Rothenberg Political Report rates this race as a tossup and likely to be extremely expensive.

A competitive statewide fight will be very closely noted by 2016 White House contenders -- who may include Rubio -- to detect campaign and voter trends in what's been a presidential battleground in the past.

Wisconsin

Republican incumbent Scott Walker is running for re-election -- again. This will be his third election in four years. He was forced into a recall election in 2012 after Democrats successfully forced a vote in response to severe cuts in state pensions as a budget-cutting measure.

Walker won his recall bid with 53% of the vote, 1% more than his 2010 election.

While Cook rates this race as a likely win for Walker, Democrats are rallying behind Mary Burke, a member of the Madison school board and former Trek bike executive.

This race is also notable because Walker could be making a play for a possible 2016 presidential run.

Illinois

Democrats don't hold that many gubernatorial seats, so keeping this one in Democratic hands is critical.

It is a reliably Democratic state and home to the President, so a loss would be especially difficult for a party that has lost ground in state legislatures in recent years.

Whether they like it or not, Democrats have incumbent Pat Quinn as their candidate. The race is considered a tossup by Cook even though Republicans don't yet have a strong candidate.

Quinn has angered and pleased Democrats in the past month alone. He signed a bill that cut state pensions, angering unions, and approved a measure legalizing same-sex marriage, pleasing social liberals.

The Chicago Tribune wrote that his actions could benefit him politically. If so, that's a stark shift from the just a couple months earlier when he tangled with the Democratic-controlled state Legislature.

The Rothenberg Political Report wrote during Quinn's tumultuous fall, "Democrats' saving grace could be the ineptness of the state Republican Party."

5 Senate races to watch in 2014

@highlight

There are 36 gubernatorial races on tap in 2014

@highlight

Twenty-nine Republicans are governors, giving them an edge over Democrats

@highlight

Being a state chief executive is often a springboard for higher office

@highlight

Florida and Ohio offer key races and are presidential battlegrounds