(CNN) -- The Oregon coast can be a moody destination year-round.

In the mornings, brooding fog canopies the coastal highways and storms can roll in from the Pacific, kicking up without much warning. But in mid- to late summer, the heavier rains seem to sidestep the coast and, more often than not, sunshine blinks from behind the clouds.

Whale spouts are spotted from shore; seals stretch and bark on the rocks; and tourists in search of stunning Pacific Coast views are drawn to the iconic Highway 101 en masse.

It's a small dot on the map between Coos Bay and Newport, but slipping by Florence, Oregon, and all this historical city offers, would be a shame.

Born near the mouth of the Siuslaw River in the late 1800s, Florence was a rugged coastal frontier settlement that relied mostly on fishing and logging to power its economy. Today, the city still counts these industries as important, but these days tourism is bringing in the bling.

And it's easy to understand the draw. Florence has a charming old-world downtown, the Siuslaw River curves along its edges, offering spectacular natural views, and it is located along what is arguably the most beautiful and diverse section of the Oregon Coast.

20 stunning cliffside beaches

If you're traveling north on Highway 101, you'll cross one of this community's most notable landmarks, the Siuslaw River Bridge, a stunning double leaf bascule (or moveable) bridge featuring four towering art-deco-style obelisks. A quick right turn at the end of the bridge will spool you down into Florence's Historic Old Town District, a small but charming collection of restaurants, curio shops, coffee shops, art galleries and B&Bs.

Walk along Bay Street, a wide avenue with intermittent views of the Siuslaw River and well-maintained flower gardens. Here you'll see a collection of historical buildings, many of them salvaged from nearby communities and given a second life in Florence.

For instance, the Waterfront Depot Restaurant & Bar is housed in an old train depot found abandoned in Mapleton, Oregon, and saved from demolition more than 40 years ago. Today, this restaurant is one of the best places to watch the river crawl by while swilling a Mango Mint Fizz -- a sublime mixture of rum, mango juice, lemon juice, simple syrup and soda. Another must-have on the menu is the dreamy crab-encrusted Alaskan Halibut draped with a chili cream sauce.

After dinner, make sure to find Gazebo Park, a small, nearly hidden patch tucked away off Bay Street. This intimate enclave featuring a small dock, a bench, and, you guessed it, a gazebo is about as romantic a getaway as you'll find in these parts. Linger on a park bench until sundown and watch the stars reflect off the river.

Another historical building that found new life in Florence is the Edwin K Bed & Breakfast, a two-story 1914 craftsman-style charmer with six bedrooms and a private apartment. Most rooms have views of either the river or the famous Oregon sand dunes. Nightly rates start at $165 during prime season (May through mid-October).

50 states, 50 spots: Natural wonders

One of the best times to explore Florence is in May, when the city celebrates its annual Rhododendron Festival, a tradition for more than a century.

After perusing the antique shops, browsing the art galleries or visiting the Siuslaw Pioneering Museum, grab a strong cup of coffee at the Siuslaw River Coffee Roasters, a locally owned gem that roasts its own beans.

The eclectic shop is housed in a converted garage and outboard motor repair shop and is where you're sure to see loads of locals crowded around tables or sitting along a beautifully recovered church pew. This is the place to be when the weather turns gloomy and the gas stove is roaring in one corner. Rain never sounds as good as when it's thumping heavy on the coffee shop's tin roof, and when the storm passes, check out the view of the river and bridge from the back deck.

If you're in the mood for adventure and don't mind getting a little sand in your teeth, head south out of Florence for an off-highway vehicle tour of the famous Oregon Dunes National Recreation Area. A 40-mile expanse of arid, wind-sculpted sand dunes extends from Florence to Coos Bay, Oregon, and is a complete change from the green, lush Oregon environment most people know.

Here, toast-colored sand dunes tower some 500 feet above sea level, and, in select areas, off-highway vehicle rentals zoom around and over the dunes at dizzying speeds. Join one of the many off-highway vehicle tour groups in the area, but use caution: some group tours can be pretty adrenalin-fueled. It's rumored that the eerie, windswept landscape is what inspired sci-fi author Frank Herbert to pen his best-selling novel, "Dune."

For a closer look at some of Oregon's favorite residents, tour the Sea Lion Caves, a privately owned nature preserve just a few miles north of Florence up Highway 101. Visitors may take an elevator down 208 feet into what's touted as the largest sea cave in America, roughly the length of a football field and 125 feet high.

World's top 25 theme parks

From an observation ledge, watch the natural comings and goings of the Steller sea lions who call this enclave home. The sea lions are most likely to congregate in the grotto during the fall and winter, whereas they take full advantage of the sunnier spring and summer weather to frolic on the rock formations just outside the caves.

Gray whales are sometimes spotted swimming in the area, especially in the spring and summer. Be aware that the sea lion trademark "barking" can be loud and, while they are cute, their collective odor is less than adorable. Adult tickets are $14; children 5 and older may enter for $8; children under 5 are free.

Don't miss the newly renovated and working Heceta Head Lighthouse, which towers 205 feet above the Pacific and has a light beam visible 21 miles out to sea. The crisp-looking white lighthouse with red roof stands out in sharp contrast to the stunning ocean vistas all around it.

Book a room at the lightkeeper's cottage, a working B&B just a few hundred feet away from the lighthouse itself. The delightful Victorian-style home features an expansive view of the Pacific, an acre of well-maintained grounds, six distinctive rooms and a hearty breakfast selection. Rooms begin at $209 during the coveted high season (May through October).

In the evening, as the light begins to soften, make like a local and gather a bucket, headlamp and some waders and search the soft sands of the riverbeds for mussels and clams. Regulars have a few favorite spots including a small inlet up Highway 126 near the fork of the Siuslaw River.

Even if you're not in the mood to get muddy, grab a blanket and a hot beverage and relax along the shore as you watch the bobbing lights of the clam diggers blend in with the stars. Your vacation has officially begun.

@highlight

Florence, Oregon, boasts small-town charm and coastal attractions

@highlight

Historic buildings line streets in the small Old Town

@highlight

The nearby Heceta Head Lighthouse is a much-photographed scenic spot