(CNN) -- Facebook's $104 billion initial public offering comes at a time when the United States is suffering a bout of self-doubt. Many wonder if America is falling behind as other countries are catching up fast. And yet the Facebook phenomenon did not occur in a vacuum.

You might say it could have happened anywhere. But it happened in America. And there was a reason for that.

A company created almost on a whim by a handful of college students rocketed to worldwide popularity in under a decade, bringing together some 900 million users and in the process transformed the way people communicate and interact with each other.

It's no coincidence that Facebook, like Google, Apple, Twitter and Intel, started in the United States. It's also no coincidence the car, the airplane, the light bulb and the telephone were invented here. The fact that America is the birthplace of revolutionary ideas is not an accident.

Here are some of things Facebook tells us about America -- not just what is right but what requires careful, urgent nurturing to preserve.

Still brewing that magic potion

The modern world knows there is a special, mysterious magic about America. Despite many serious problems, the main ingredients of that unique recipe remain. The United States has created an environment that fosters innovation and promotes creativity. There is no better place on earth to break with convention, think differently and blaze one's own path. America's government may look dysfunctional, its schools leave much to be desired and its financial institutions have the potential to cause disasters, but on the individual level the drive to dream big is as strong as ever. And the structure of support for those who have great ideas is still in place.

How America shapes the world

The days when Washington's wish was the world's command are over. But America's "soft power" lives on. The great events of our time have unfolded partly as a result of American technologies. The Arab Spring of 2011 was aided by Facebook and Twitter. Interpersonal relationships have been recast by social media. The industrialized world could hardly function without its Google searches and iPhones. American movies, TV shows and music are emulated.

The drive of immigrant minds

America's not-so-secret formula has always included attracting immigrants and helping them and their children flourish. According to a report by the Partnership for a New American Economy, more than 40% of the 2010 Fortune 500 companies were founded by immigrants or their children. One of Facebook's founders, Eduardo Saverin, was born in Brazil. Google's co-founder, Sergey Brin, came from Russia. Zuckerberg's ancestors, as well as those of Facebook co-founder Dustin Moskovitz, were Jewish immigrants. As long as America continues to attract and welcome people with intelligence and entrepreneurial spirit, the country will pulsate with creative force.

Designed in America, made in China

Americans may be rolling out one great idea after another, but other countries are getting many of the jobs that come from its inventions. The iPad alone has created 700,000 manufacturing jobs in China. While American students are falling behind in international tests, the U.S. still has one of the best higher education systems in the world. We need to make sure our students not only attend college, but study the areas that will be critical to the future: science, technology, engineering and math. Maybe then they will find the ways that will allow American ideas to fuel employment in the country.

Government policies matter

Facebook is successful because bright minds created it, venture capitalists supported it and consumers embraced it. But that's not the whole story. Facebook and other similar high-profile companies would not have made it without the right government decisions, ones that made the Internet possible or lowered the price of the microchips. While government funding of key industries is crucial, so is the decision to get out of the way at the right moment. America is one of the world's best places to do business since government does not interfere much with the private sector. China is trying desperately to become a science and technology competitor to America, but it drove Google out of the country and its heavy-handed tactics have led to technology that mostly copies other countries' ideas.

It's not always about money

In the United States, people can make monumental fortunes when they have good ideas. But many of the most influential entrepreneurs are driven more by a sense of mission than materialistic pursuits. Zuckerberg could have sold out years ago and lived a life of luxury. Steve Jobs seemed unconcerned with worldly comforts. The real driver for these innovators is a wish to create and build. Those people whose only goal is to make millions sometimes live less fulfilling lives and occasionally cause serious trouble for the economy. Getting rich is fine, but it's good for society and the world when individuals work to build more than just a fortune. Young technology entrepreneurs can follow the examples of the giants of their field. As a society, America should highlight the need to create and build, not just accumulate.

So, hurrah for Facebook. Hurrah to those who have transformed the world and our lives. And congratulations to America for creating a place where people's ideas can become reality. Now learn from what you did right, America. And remember, others countries are also learning from America's success. The secret is out.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Facebook's $104 billion comes at a time when America is doubting itself

@highlight

Frida Ghitis: There's a reason why the Facebook phenomenon occurred in the U.S.

@highlight

She says U.S. has innovative culture, smart immigrants, right government policies

@highlight

Ghitis: America must preserve and nurture its strengths to stay ahead