ATLANTA, Georgia (CNN) -- Growing up, my Sherman tank-like aunt constantly blamed her thyroid for inability to lose weight.

The thyroid is a butterfly-shaped gland at the base of the neck.

Most of her seven sisters, behind her back, blamed something else, like her eating an entire cake by herself at their weekly coffee klatch. But who knows? That was 15 years ago and our awareness of thyroid and its many problems has grown.

She just might have been right pointing her finger at her thyroid, because, according to the American Association of Clinical Endocrinologists, as many as 27 million Americans suffer from some type of thyroid gland misfiring. And half of these folks don't even know what they are missing. But their bodies do. For while this little, butterfly-shaped gland at the base of our neck, weighing in at barely an ounce, seems both delicate and innocuous, when not in hormonally balanced harmony, it packs a wallop.

The truth is, it's more like the Muhammad Ali of our body's hormone factories; it floats and appears like a butterfly but stings like a bee.

"Our thyroid, even though it's a small gland in your neck, controls everything," says endocrinologist Karen Smith. "It can control your thought patterns, your mood, your heart rate, blood pressure, digestive system, menstrual system, skin and bones."

That's a lot of controlling going on, but more than controlling, this little gland's job is all about regulating. The thyroid gland is in charge of making two very important hormones, respectively known as T3 and T4. And it's when the levels go awry that we start to have problems.

For most people suffering from thyroid dysfunction, and these problems affect more women than men, their problem is that not enough hormones are being made. This is called hypothyroidism, and the symptoms are somewhat elusive. That is probably why doctors such as Smith use a handy tool to help patients identify the problem. "There is actually an acronym that we use for hypothyroidism," she said. "It's called sluggish. Sometimes when you feel sluggish, this might serve as a red flag and you might think, 'Oh it might be my thyroid!'"

Sluggish stands for

Sleepiness, fatigue, tiredness

Loss of memory

Unusually dry coarse skin

Goiter (enlarged thyroid)

Gradual personality change

Increase in weight, bloating, puffiness

Sensitivity to cold

Hair loss, sparseness of hair

And while these symptoms might be signals that something other than your thyroid is the issue, it's worth getting it tested. A simple blood test will tell you if your problems are a bigger hormonal deal.

The condition is lifelong, or as Smith puts it, "from the cradle to the rocking chair." Meaning that it can appear at just about any age, but once identified it doesn't go away.

Its treatment, however, is fairly straightforward: hormone replacement therapy.

But on the other side of the thyroid production line is the overzealous hormone maker. A lot less common than hypothyroidism, this is known as hyperthyroidism.

"Hyperthyroidism is when the thyroid is actually making too much thyroid hormone. I tell my patients, it's like a forest fire in California, burning everything up, "explains Smith, who just recently found out she suffered from this issue.

It took almost a year for her to figure it out since she had no family history to worry about, and most thyroid problems are usually genetic, even though she displayed all the classic symptoms.

"My first symptoms were irritability, feeling tired and blue.

My memory was poor and I had a hard time concentrating. Weight loss, despite being constantly hungry and eating like a pig. Long durations of sleep but never feeling rested," Smith says.

Finally when her hands started trembling and her heart started racing, she sought medical help. A blood test revealed her levels were off the charts. Good news for the young doctor who feared she had cancer or mercury poisoning.

But just like hypothyroidism, this conditions is very treatable.

Smith, who is doing much better now, details the options.

"The treatment is very different from hypothyroidism; we are actually trying to slow the function of the thyroid down.

"There are actually three ways to treat it," Smith said. "Surgery was a way we used to treat it in the past. We don't use that as much any more unless someone has a nodule and you think that may be a suspicious cell or cancer."

Today's most common treatment is anti-thyroid medications, which  slow hormone production.

Radioactive iodine also is used, she said. "It's a substance that when you give it, it will actually damage the thyroid to help put out the fire, so to speak, to put out the flame of the overactive gland."

Doctors now recommend that everyone over 35 get his or her thyroid gland tested regularly. Because there are certain risks with even mild changes in thyroid levels, those considered at high risk, including pregnant women and those with a family history of thyroid problems, need to get tested earlier and more frequently, Smith said.

Which leads me back to that aunt of mine. If she was right and it was not just an overactive hand-to-mouth cake thing, then I better call my doctor pronto to schedule my own test.

@highlight

As many as 27 million Americans suffer from some type of thyroid gland misfiring

@highlight

Half don't know it, endocrinologist group says

@highlight

Most sufferers have hypothyroidism, or underactive thyroid

@highlight

Hyperthyroidism is much more rare