(CNN) -- When you're a billionaire, you can make an almighty splash.

Comanche, arguably the world's most hotly-anticipated yacht, has finally taken to the seas and for its billionaire owner Jim Clark, it's a chunk of money that could land him a place in the record books.

The 100-foot monohull vessel is the brainchild of high-school drop-out Clark, who made his fortune in computer science -- co-founding Netscape and making timely investments in Apple, Facebook and Twitter.

Clark, valued at $1.4 billion by Forbes, likens the project to "building a Formula One car from scratch although hopefully not quite as expensive."

The sleek black and red vessel is at the very cutting edge of its sport with a top speed expected to approach the 40mph mark.

"I feel like an expectant father," says Clark, whose Australian wife Kristy is a model and television host.

"The whole thing when your child is about to be born, you just want it to be healthy. It's not unlike this. You're just praying the boat stays in one piece and that's a realistic fear with such a cutting-edge project like this."

The 70-year-old's appointed skipper is Ken Read, of North Sails, the world's leading sailmaker, who has overseen the project since its inception three years ago.

Read, a two-time skipper for Dennis Conner's Stars and Stripes in the America's Cup, admits to sleepless nights in the build-up to its first foray on water.

Clark likes to talk about how the team behind his creation "is pushing the envelope" with Comanche, which lends its origins in part to the yacht Speedboat, which was launched in 2008.

Designed by Van Peteghem Lauriot Prevost (VPLP) and Guillame Verdier, Comanche's creation has been fast track, the build itself usually expected to take two years but, in this instance, crammed into just one with up to 40 workers on hand.

Clark admits that his creation, "lost value the moment it hit the water."

So why spend some of your personal fortune on what many people would label a vanity project?

"People spend money on sports and I just don't do golf, I hate it," says the 70-year-old. "But I love sailing and the technology aspect."

Born and brought up in the arid landscape of Texas some way from the nearest coastline, Clark's background does not immediately lend itself to a nautical life. But he joined the Navy and, after three-and-a-half years on the ocean, it became a part of him.

"It was in the late 1980s that I bought my first sail boat and, from there, you always want to get something bigger," he says. "Then you get to a point where you want to downsize."

Which is what he plans to do after Comanche. His other yacht, Athena, is currently moored in Monaco and up for sale at $75m.

For now, Comanche, is the sole focus. The name is close to his heart. The last Comanche tribe chief Quanah Parker surrendered about 60 miles from where Clark grew up in an area where "the plains are very flat like the ocean".

The primary goal, admits Clark, is "to be a record breaker" and he says, with a throaty laugh, that the boat "will go really, really fast."

The target is to win such events as the Transatlantic, Transpac, Fastnet and Middle Sea while breaking records in the process, before selling Commanche in two years.

As for the origins of it, there are two slightly differing tales. Clark tells the story of going out on the first Wild Oats, Bob Oatley's boat that has dominated the Sydney to Hobart race, and being blown away by the technology of a keel boat. There and then, the seed of an idea was planted.

Read, meanwhile, adds: "Jim and Kirsty are probably the two most competitive people I've ever met. They go to Australia each year for Christmas and obviously Sydney-Hobart is a massive deal out there.

"They've got friends that are boat owners and they got egged on by their buddies, almost like 'come and play with the big boys'."

It is befitting then that Comanche's first race should be Sydney-Hobart, although it is not without its perils.

The 1998 edition of the race remains infamous for the freak weather conditions that struck and left six people dead.

"This is so cutting edge that we'll got into that race with lingering doubts it might go wrong," admits Read. "Did we push it too far? Sure, there are sleepless nights and I would love to lower expectations.

"I wish Sydney-Hobart wasn't the first race, in fact you couldn't choose a worst race for our first race. It's like we've gone straight from the gym to the heavyweight championship of the world. And it could end up like an F1 car blowing its engine on its first outing on the track.

"And these are not inherently safe boats as they're built on the cutting edge. We just don't know."

Clark is hopeful, though, that Read and his crew of 21 can produce a knock-out blow and halt Wild Oats in its tracks as it bids for an eighth win in the 630-nautical-mile race that gets under way each year on Boxing Day (December 26.)

The race is part of the Australian sporting psyche, on a par with the Melbourne Cup, the Australian Open tennis or an Ashes cricket Test match between Australia and England.

For Read, Comanche and its crew, Sydney-Hobart will be something of a trip into the unknown but with the technology on board and money spent, Read is all too aware that the expectation will be high in subsequent races.

"We want records but we have to win the races first and then think about the records," he says. "But to do that the conditions have to be right. You can have the greatest thing since sliced bread but you won't go record breaking if the weather's not right. But if we get into the record books -- and we believe we will - then it's job done."

Read does not lack for experience: a six-time J-24 world champion, twice U.S. yachtsman of the year and two-time skipper in the Volvo Ocean Race, and he is adamant the safety of his crew is of paramount importance.

Read and the Clarks have become close friends during their time together, Clark's only regret as a septuagenarian is that he is no longer young enough to be on board in some of Comanche's tougher races.

His bad ankles mean he will mostly be their leading cheerleader on shore with his two younger children, three-year-old Dylan and eight-week old Harper.

"My wife's an Australian and a very competitive lady," says Clark, "and she wants to sail in Sydney-Hobart. I say 'we have the boat, do as you wish'. I'll let her run the show."

The record books are on the horizon.

@highlight

Billionaire Jim Clark launches his multi-million dollar super yacht called Comanche

@highlight

With it, he is planning to break a myriad of offshore racing records

@highlight

There are real fears the boat could fail on its debut, the Sydney to Hobart Race

@highlight

Comanche's launch has been long awaited by the global sailing community