(CNN) -- Too few Americans are willing to talk about sexually transmitted infections, or STIs, but we simply cannot afford to avoid these discussions any longer.

The Centers for Disease Control and Prevention recently released data showing just how common and costly STIs are in the United States, especially for America's youth. Each year, we have 20 million new STI cases, half among teens and young adults ages 15 to 24. Across the nation at any given time, there are more than 110 million total infections, including new and existing infections.

While the number of new infections is roughly equal among young women and young men, the health consequences of untreated STIs can be much more serious for young women, including losing the ability to have children. Every year, about 24,000 women in the United States become infertile because of an STI they probably didn't even know they had, because most infections have no symptoms.

Left untreated, common STIs such as chlamydia and gonorrhea can also cause chronic pelvic pain, ectopic pregnancy and increase HIV risk. Human papillomavirus, or HPV, is by far the most common STI, representing nearly three-quarters of all STI cases. While the vast majority of HPV infections will not cause serious harm, some infections will persist and can lead to cervical cancer.

Beyond the impact on an individual's health, STIs are also a significant drain on the U.S. health care system. Recent data place the cost of treating STIs at nearly $16 billion annually. Infections among young people account for nearly half of that cost (approximately $7.8 billion ).

Young people are most at risk for several reasons. They are more likely to have multiple sex partners. Young women are biologically more susceptible to STIs, and many young people may be reluctant to disclose their risk behavior to a doctor, because of embarrassment, stigma or concerns about confidentiality.

The good news is that all STIs are preventable and most are curable. But, because most STIs have no symptoms, testing is the necessary first step to treatment.

CDC recommends annual chlamydia screening for sexually active women 25 years old and under. Annual gonorrhea screening is also recommended for sexually active women with new or multiple sex partners and women who live in communities with a high burden of the disease.

Sexually active gay and bisexual men should be tested at least annually for HIV, syphilis, chlamydia and gonorrhea. All Americans should be screened at least once for HIV. In addition, for those who have not previously received the HPV vaccination, CDC recommends vaccination for all teen girls and young women through age 26, as well as teen boys and young men through age 21.

To increase the early diagnosis and treatment of STIs, CDC is reaching out to health care providers and young people at risk throughout the nation with messages about the importance of screening. But many more voices will be required to stop the silent, continuing toll of STIs.

In our communities, we must speak out against the shame and stigma that has too long been associated with STIs. Parents and caregivers need to open the door for frank, honest discussions with their children about STIs and behaviors that can place them at risk. And physicians need to talk to their young patients about STIs, risk behaviors and effective prevention methods.

Sexually active Americans should talk with their doctor about STIs and which tests may be right for them. A little knowledge about STIs and regular screening can go a long way. It's also important for those who are sexually active to talk openly and honestly with partners about STIs, and to use condoms consistently and correctly.

The severe health and economic toll of STIs in America is entirely preventable. With increased awareness, prevention, testing and treatment we can bring this hidden epidemic into the spotlight and safeguard the health of young people while saving the nation billions of dollars in the process.

The opinions expressed in this commentary are solely those of Gail Bolan.

@highlight

Gail Bolan: Each year, we have 20 million new STIs cases, half of them among young people

@highlight

Bolan: The health consequences of untreated STIs can be more serious for young women

@highlight

She says most STIs have no symptoms, so testing is the necessary first step to treatment

@highlight

Bolan: STIs are preventable and most are curable, but we need to raise get the word out