SAN DIEGO, California (CNN) -- On the question of whether recent immigrants assimilate as quickly as previous waves, many Americans exhibit short fuses -- and even shorter memories.

Ruben Navarrette Jr. notes that immigrants have been criticized throughout history for not assimilating.

They have convinced themselves that, instead of adapting to the customs of this country, new arrivals -- most of whom come from Asia or Latin America -- expect the rest of us to accommodate them. They go ballistic over little things -- Mexican flags, taco trucks, libraries that offer bilingual story time, or having to "press one for English."

Yet, even as they look down on new immigrants, many Americans look back fondly upon their immigrant ancestors. Legend has it that when grandpa arrived from Ireland, Germany, Italy or Poland, he jumped off the boat, immediately draped himself in the American flag, ripped out his native tongue, and abandoned his culture -- all while singing "Yankee Doodle Dandy." Germans did not move to Milwaukee and make beer and cheese. The Irish did not settle in Boston and join organizations like the Hibernian Society to preserve their heritage and culture.

And even while Americans complain about how the current crop of immigrants aren't like their predecessors, they miss the irony: At the time, there were people who said the same thing about their ancestors; the Germans were thought to not be like the English, the Irish weren't like the Germans, the Italians weren't like the Irish etc. And the Chinese weren't like anyone who had come before them, and so they were labeled "unassimilable" by the Tom Tancredos of that era.

Some things never change. When I was growing up in Central California, which is home to a large population of immigrants from Southeast Asia, thousands would gather to celebrate Hmong New Year. The local newspaper would do a feature. And, in the days that followed, someone would write an angry letter to the editor complaining that these people weren't melting into the pot.

Yet, there is more melting going on than one might think, according to a new report from the Manhattan Institute. Billed as the first annual Index of Immigrant Assimilation, the study was written by Duke University Professor Jacob Vigdor. It measured three kinds of assimilation: economic (employment, education, homeownership, etc.); cultural (intermarriage, English proficiency, family size, etc.); and civic (citizenship, military service, political participation, etc.). Far from discovering that recent immigrants are ducking the assimilation process, the study found that "immigrants of the past quarter-century have assimilated more rapidly than their counterparts of a century ago, even though they are more distinct from the native population upon arrival."

Of course, individual groups still fall behind in some categories. Chinese and Indian immigrants have low levels of cultural assimilation. Mexican immigrants have low levels of economic assimilation. And Canadian and Indian immigrants have low levels of civic assimilation, since few of them become citizens.

But, overall, the news is good. After more than 200 years, America still does an excellent job of assimilating immigrants. Even if a particular group tried to resist the process, they wouldn't stand a chance. Assimilation happens, whether the immigrants are ready or not.

Those are the facts. Of course, fear doesn't listen to facts. That is something else that hasn't changed.

Ruben Navarrette Jr. is a member of the editorial board of the San Diego Union-Tribune and a nationally syndicated columnist. Read his column here.

The opinions expressed in this commentary are solely those of the writer.

@highlight

Navarrette: Americans perceive new immigrants as not assimilating

@highlight

Americans think ancestors got off the boat waving the Stars and Stripes, he says

@highlight

That leads to resentment of current wave of immigrants, he says

@highlight

But a recent study says new immigrants are joining the mainstream