(CNN) -- Days of violent unrest in the Thai capital have left dozens dead and hundreds injured as security forces clash with anti-government protesters.

The latest victims include a key opposition leader, Maj. Gen. Khattiya Sawasdipol -- a renegade general better known as Seh Daeng -- who died days after being critically wounded by a sniper's bullet.

But the current crisis follows a months-long standoff between Thai authorities and protesters opposed to the government of Prime Minister Abhisit Vejjajiva. The protesters -- known as the United Front for Democracy Against Dictatorship (UDD) -- support Thaksin Shinawatra, who was prime minister from 2001 to 2006, before he was ousted in a bloodless coup.

What is happening now?

The latest violence follows a government pledge to hold an election in November in an attempt to halt the protests. However, amid ongoing anger over a crackdown by security forces last month and a refusal by the protesters to comply with a deadline to vacate the district of Bangkok they have been occupying for weeks, authorities say the election date is now under threat.

Prime Minister Abhisit declared a state of emergency April 7, hours after anti-government demonstrators (known as "Red Shirts" for the clothes they wear) stormed the country's parliament.

Three days later, the deadliest clash in more than a decade between protesters (in this case the Red Shirts) and the military erupted, leading to the deaths of more than two dozen demonstrators and military forces.

Violence erupted again last week when protesters once again ignored an ultimatum to end their occupation in downtown Bangkok by Wednesday. Seh Daeng's subsequent shooting by an unknown assailant raised tensions further and at least 35 people have been killed and 240 wounded in the latest wave of unrest. The government has imposed a state of emergency in 22 provinces and metropolitan Bangkok.

What happens next?

Authorities have urged protesters to evacuate the protest area by Monday afternoon or face up to two years in prison for violating the order. But around 5,000 protesters remained on the streets in defiance of the authorities.

On Sunday protest leaders offered to resume talks with the government in U.N.-mediated negotiations if security forces were withdrawn from the streets. But the government has not accepted the offer. A senior official told CNN that authorities were under pressure to be more decisive in taking action to end the protests and claimed the government had been showing patience and restraint.

Media and analysts in Thailand say civil war may be looming, between the Red Shirts and the so-called "multi-colored shirts" (who support Abhisit). They are displeased with the disruption caused by the protests. They are generally middle-class city dwellers. They are not pro- or anti-government, they simply want the government to shut down the Reds to end the violence and interruptions to daily life. The red and multi-colored shirts have clashed in Silom Road, Bangkok's business and financial district.

How will Seh Daeng's death affect the protest movement?

CNN's Sara Sidner said it was unclear what the immediate impact of Seh Daeng's death would be. "Not all the protesters followed him as some thought he was too much of a hardliner," Sidner said. Some protesters argue that the Red Shirt movement should negotiate with the government to reach a settlement. But militant armed factions loyal to Seh Daeng and known as "Black Shirts" reject negotiation and appear ready to use violence to achieve their goals.

Haven't these protests been going on for a long time?

Yes, Thailand has been embroiled in political chaos for years and many here are growing weary with the instability. Ever since Thaksin came to power, there have been protesters opposing his allegedly corrupt and autocratic rule. Those protesters donned yellow shirts (the color of the king) and occupied the two main airports in Bangkok, until finally the pro-Thaksin government was brought down by a court ruling. In revenge Thaksin's supporters copied the yellow shirt tactics and took to the streets in red shirts.

Why do the sides divide on colors?

It's an easy way for them to create an identity. It all started with the Yellow Shirts wearing a color associated with Monday, the day of the week that Thailand's revered king was born on. That was designed to show their allegiance to the king, and more broadly the traditional elite which has dominated Thai politics for years. Thaksin's supporters then picked a color to distinguish themselves from the Yellow Shirts.

Why are they arguing?

Essentially this is a classic power struggle. It's easy to portray this as simply rich against poor, but it is much more complicated than that, as illustrated by the fact that the Reds' leader is in fact a multi-billionaire. Thaksin rode to power by enacting populist policies which gained huge support from the rural poor. His radical approach ruffled a lot of feathers among the elite, who felt he was in danger of becoming too big for his boots, and could erode their position.

The "civil society" also become concerned over allegations of corruption and his brutal war on drugs, which saw summary executions. He was also criticized for his heavy handed response to violence in the Muslim-dominated south.

Finally the army decided to oust him in a coup, which had the backing of the aristocratic elite and much of the middle class, who were becoming uneasy with the cult of personality growing around Thaksin. That set the stage for an embittered power struggle, between Thaksin loyalists and those loyal to the army, aristocracy and their traditional Democrat Party.

So who is Thaksin?

Visionary leader or venal despot: Opinions vary, like the color of the shirts his supporters and detractors wear. If you sport red, you think Thaksin was the only prime minister to offer the rural poor a voice and real benefits; if you wear yellow, you view him as akin to Ferdinand Marcos: greedy, self-serving and dangerous.

What is not in dispute is that he won two elections, was the only Thai prime minister to serve a full-term in office and is still hugely popular. But critics say he bought his support and was only in politics to help himself.

As a businessman, Thaksin made billions of dollars from his communications company Shin Corporation. In 2008 he was found guilty and sentenced in absentia to two years in prison for a land deal that enabled his wife to buy a valuable city plot for a fraction of its true value and he faces other corruption charges. More  than $2 billion in Thaksin's family assets are currently frozen in Thailand but there is speculation he has a great deal more money elsewhere.

What are the wider implications of the protests?

If the divisions in Thailand can't be healed it could lead to a deteriorating security situation which would have wider implications for the region. Thailand's relations with Cambodia are especially frosty since Thaksin was appointed economic adviser to Cambodian Prime Minister Hun Sen. The worst case scenario would see Cambodia drawn into the dispute, with Thaksin using the country as a political base, adding to the already considerable tensions on the border.

Is Thailand safe for visitors?

Many western embassies have shut their doors and are warning their citizens against travel to Bangkok as violence in the city continues. "Due to escalating violence in central Bangkok, including gunfire near the U.S. Embassy, demonstrations in Chiang Mai, and other incidents throughout Thailand, U.S. citizens should defer all travel to Bangkok and defer all non-essential travel to the rest of Thailand," the U.S. State Department has warned.

As well as advising against travel to Bangkok, the UK Foreign Office warned of protests and violent incidents in popular tourist destinations such as Pattaya, Chiang Mai, Chiang Rai and Ayutthaya. But Bangkok's main Suvarnabhumi airport is operating as normal it said.

CNN's Dan Rivers contributed to this report.

@highlight

Thaksin supporters say that he gave the rural poor a voice and real benefits

@highlight

Detractors say that as prime minister he was greedy, self-serving and dangerous

@highlight

Current premier Abhisit Vejjajiva keen to show no one is above the rule of law

@highlight

Current court case relates to shares transfer in Thaksin communications company