(CNN) -- Images of Super Typhoon Haiyan's aftermath in the Philippines appear so devastatingly apocalyptic that most Filipino-Americans remain on edge.

What news does get out only makes the situation seem more unbearable, especially when CNN viewers see typhoon survivors such as Magina Fernandez make anguished pleas in televised reports.

"Get international help to come here now, not tomorrow, now," Fernandez said. "This is really, really like bad, worse than hell. Worse than hell."

If only loved ones could hear a more reassuring message. But personal communication is slow in coming.

Relatives in the United States and around the world are turning to social media sites such as Facebook, reading Philippine-based media sites (such as Manila's major newspaper, the Inquirer) for news, all while waiting for that phone call, text or any kind of message from an unaccounted loved one.

Because of infrastructure failures, only a few individuals from the most ravaged areas such as Tacloban in the Leyte area of the central Philippines are able to communicate by cell or land line.

iReport: Are you searching for a family member in the Philippines?

While the Third World is in rubble, the First World is in the dark.

Nearly half of all the 3.4 million Filipino-Americans live in California.

Among them is Janet Alvarado, who waits for news from her home in San Francisco.

Alvarado, 52, executive director of a historical project that preserves images of Filipino-American life and connects Filipino-Americans to Tacloban's main region, Leyte, has heard from just one family member.

But that's just a single strand of a large extended family in the Philippines.

Alvarado was born in the United States, but her mother, Norberta Magallanes Alvarado, 94, immigrated to the U.S. in the 1940s from Tacloban. Like many Filipinos, Norberta Alvarado came with only one of her younger brothers, meaning there are many relatives still living in Tacloban and the surrounding area.

"My mom is so worried," Janet Alvarado said. "She just gets up every day and prays."

The first positive sign came when another cousin in San Francisco was able to confirm on Facebook and through text messages that her cousin Ruseli and husband Nonoy Gula were both able to leave Tacloban safely this weekend.

"She said they just couldn't stay," Janet Alvarado said. "It smelled too much like death."

Another set of cousins, Dino Magallanes and a younger relative, were OK, too. Alvarado said they were on a motorcycle on the road from Biliran to Ormoc, another part of Leyte. Alvarado said that trip usually takes an hour, but it took five hours in the aftermath of the storm.

"They said there were just too many bodies all around," Janet Alvarado said about her cousin's experience. "The bodies were just piled up on the road."

Now the focus is on finding another cousin from Tacloban proper. But no one has heard from him.

"Armando is an engineer in his late 50s," Janet Alvarado said. "His daughter Inday is missing, too. Where they are? We just don't know. We haven't heard."

The Philippines Red Cross has reportedly set up a call service at 09175328500.

The Philippine Daily Inquirer also reported that Google has set up a person finder at 16508003977, where one enters "search (the person's name)" into Google.

iReport: Home 'wiped out,' but family is alive

But with news images looking increasingly grim, and another storm coming, hope is girded by more prayer. That's tough when even Leyte's Metropolitan Cathedral had its roof and ceiling blown away by the super typhoon, which is known as Yolanda in the Philippines.

The government is well aware of the country's vulnerability to natural disasters. Sure enough, Yolanda, the third major typhoon to hit the Philippines in three years, comes at a huge financial cost.

The Philippines has about $500 million to take care of infrastructure issues.

The personal needs of the population will have to be made up from individual Filipinos throughout the world. The country's 10 million overseas workers already provide the Philippines with $24 billion in remittances. It's much needed when about a third of the people in the Philippines live in poverty, existing on $2 a day.

The U.S. government has already committed $20 million to help the Philippines. Filipino-Americans will also be counted on to pitch in, perhaps even more than they already do.

The struggling country boasted a first-quarter gross domestic product growth of around 7.8%, outpacing China as well as India, Thailand and Vietnam. President Benigno Aquino, with an aggressive pro-business and clean government platform, seemed to be getting the country back on its feet. But now this.

iReport: 'All I could do was say a prayer'

Filipinos have always been a tough people. But the typhoon has brought despair. We need everyone who can to help the survivors and country get back on track.

In the meantime, loved ones anxiously hope that messages from relatives will come soon.

The opinions expressed in this commentary are solely those of Emil Guillermo.

@highlight

Emil Guillermo: Images of a post-typhoon Philippines are devastatingly apocalyptic

@highlight

Guillermo: While the Third World is in rubble, the First World is in the dark

@highlight

He says people around the world are worried about their loved ones in the Philippines

@highlight

Guillermo: We need to help the survivors and struggling country get back on track