Los Angeles (CNN) -- Cinco de Mayo -- the unofficial U.S. holiday long believed to have been imported, with celebratory beer, from Mexico -- isn't a Mexican holiday at all but rather an American one created by Latinos in the West during the Civil War, according to new research by a California professor.

Conventional thinking has held that the holiday -- now a commercial juggernaut -- may have grown out of the mass migrations from the bloody Mexican Revolution of the 1910s or even during Chicano Power activism of the 1960s, University of California at Los Angeles Professor David Hayes-Bautista said.

But on the 150th anniversary of the holiday, Hayes-Bautista is announcing that he happened upon the true origins of Cinco de Mayo -- the 5th of May -- after poring over Spanish-language newspapers in California from the mid-1800s while working on another research project.

Cinco de Mayo must-haves

Cinco de Mayo does indeed mark a Mexican military victory over the invading French army on May 5, 1862, but it's celebrated more in the United States because in 1862, U.S. Latinos of Mexican heritage parlayed the victory as a rallying cry that the Union could also win the Civil War.

That's because the French sympathized with the Confederacy, and Hispanics sided with the Union in its fight against slavery and elitism, Hayes-Bautista said. France sought to impose a monarchy over democratic Mexico while U.S. foreign power weakened during the War Between the States.

Savor 'the Mexico I know'

Hayes-Bautista, a UCLA professor of medicine whose family lore holds his great-great grandfather fought in the famous Cinco de Mayo battle, has just published a new book on the discovery, "El Cinco de Mayo: An American Tradition," which one historian also at UCLA describes as "of great significance."

Hayes-Bautista was culling Spanish-language newspapers in California and Oregon for vital statistics from the 1800s when he noticed how the Civil War and Cinco de Mayo battle were intertwined. He researches the epidemiology and demography of Latinos in California because he's director of UCLA's Center for the Study of Latino Health and Culture.

"I'm seeing how in the minds of the Spanish-reading public in California that they were basically looking at one war with two fronts, one against the Confederacy in the east and the other against the French in the south," Hayes-Bautista said in an interview with CNN.

"In Mexico today, Cinco de Mayo means the Mexican army defeated the French army," he continued. "In California and Oregon, the news was interpreted as finally that the army of freedom and democracy won a big one against the army of slavery and elitism. And the fact that those two armies had to meet in Mexico was immaterial because they were fighting for the same issues -- defending freedom and democracy. Latinos were joining the Union army, Union cavalry, Union navy.

"The French goal was to eliminate democracy, and remember that Mexico had democracy only for 30 or 40 years at that point," he added. "Remember, Europe was ruled mostly by monarchs."

French emperor Napoleon III "was no friend of the Union and was definitely a friend of the Confederacy and flirted with the Confederacy constantly with the possible recognition of the Confederate government," Hayes-Bautista said. President Abraham Lincoln never referred to the Confederacy as a separate government: they were states in rebellion," the professor said.

Napoleon III's plan was to instill a monarchy over Mexico and "have that monarch cooperate with the Confederacy," Hayes-Bautista said.

In early spring 1862, the Union army was unable to move against the Confederates, and American democracy was "apparently not doing too well," Hayes-Bautista said.

The French entry into Mexico troubled Hispanics, Hayes-Bautista said.

"Latinos in California were reading about every single battle of the Civil War," he said. "They were very well-informed, and they were reading with a three-week delay of similarly detailed reports from Mexico. So by early May, the French were about 60 miles from Mexico City as some Latinos feared that the Civil War might be over."

But the Mexican army prevailed, and the Spanish-language newspapers in California reported the victory with such headlines as "HURRAH FOR MEXICO!!! HURRAH FOR INDEPENDENCE!"

In his book, Hayes-Bautista writes: "In town after town, camp after camp, mine after mine, ranch after ranch, Latinos eagerly absorbed the news. Those who could read shared the glorious details with their illiterate fellows, and up and down the state, Latinos savored the blow-by-blow reporting from the front lines of the conflict that had so riveted their attention."

The Cinco de Mayo victory was then memorialized through a network of Latino groups called "juntas patrioticas mejicanas," or Mexican patriotic assemblies, mostly in California but also in Oregon, Nevada and Arizona, with 14,000 members, Hayes-Bautista said.

The juntas celebrated Cinco de Mayo with monthly parades, speeches, dances, banquets and bull fights as a morale builder for Lincoln and Mexican President Benito Juarez, who, despite the Cinco de Mayo victory, was subsequently engaged in a three-year struggle against foreign occupation until 1867.

"From 1862 to 1867, the public memory of Cinco de Mayo was forged in the American West," Hayes-Bautista said.

Briefly after the Civil War, veterans of the Union and Mexican armies would put on their uniforms and give speeches every Cinco de Mayo, he said.

But by 1890, the grandchildren of the veterans and juntas had to be taught about Cinco de Mayo, Hayes-Bautista said.

The meaning of the holiday changed over time, becoming a David versus Goliath tale among Mexican immigrants in the 1930s and embodying U.S.-Mexico unity during World War II and Chicano Power in the 1960s and 1970s, Hayes-Bautista said.

In his book, he described Cinco de Mayo's "undeniable commercialization in the late 20th century, a fake holiday recently invented by beverage companies."

In his interview with CNN, Hayes-Bautista stated: "Now it's become this big commercial holiday and a wonderful opportunity to get services and products in front of the Latino market and it even got its own postage in 1996 and in 2005 President Bush even had a Cinco de Mayo celebration at the White House.

"But if you ask why is anyone celebrating, no one knows. And then you get some people who say it shouldn't be celebrated at all because it's a foreign holiday -- and yet it's as American a holiday as the Fourth of July," he said.

"No one has seemed to link it to the Civil War," he added about what he called groundbreaking research.

UCLA history professor Stephen Aron said Hayes-Bautista's finding is significant.

"For the general public (and even for many historians), the California origins of the Cinco de Mayo holiday come as quite a surprise (since the holiday is so generally presumed to be a Mexican holiday that was only recently imported into the United States)," Aron said in an e-mail to CNN. "That Hayes-Bautista's book ties these origins to the American Civil War is also of great significance."

Rounding out the new research into Cinco de Mayo is Hayes-Bautista's family legend that recounts how his great-great-grandfather Bartolo Bautista was part of local militia supporting the Mexican army in the Battle of Puebla.

His ancestor, who hailed from the town of San Miguel de Atlautla just below the snow line on the volcano Popocatepetl, was taken prisoner but was spared execution by a French army firing squad after it saw he had a birthmark over his heart.

The mark was in the shape of a hand with all five fingers clearly visible, Hayes-Bautista said. The French firing squad had told the prisoners to remove their shirts because the soldiers intended to use the clothing.

Superstitious of the birth mark, the French let the man go, Hayes-Bautista said.

On Saturday, 150 years later, Hayes-Bautista is scheduled to participate in a Cinco de Mayo celebration at LA Plaza de Cultura y Artes, a Smithsonian affiliate in downtown Los Angeles.

@highlight

A UCLA professor of medicine happens upon the true origins of Cinco de Mayo, he says in a book

@highlight

It's an American holiday -- not a Mexican one -- with roots in the Civil War

@highlight

Latinos in the American West cheered Mexican army's defeat of French in 1862

@highlight

The French sympathized with Confederacy, and U.S. Latinos supported the Union