(CNN) -- Indianapolis is known for Indy 500 car racing and its playoff-worthy Pacers basketball team. But this week, astronomers like me have taken over the town for the 222nd meeting of the American Astronomical Society.

You may have seen coverage of new discoveries about exoplanets, star formation, dwarf galaxies, cosmology and more. A public star party on Monday evening gave the public a chance to see Saturn and other sights, followed by the International Space Station whizzing overhead.

Tuesday evening, Zooniverse founder Chris Lintott gave a public lecture, "Discovering Planets from Your Sofa: Adventures in Citizen Science," about how hundreds of thousands of interested citizens are making original scientific discoveries, including finding new exoplanets.

Astronomical Society meetings are terrific for learning about the latest research, networking with colleagues, recruiting graduate students or forming new research collaborations.

But something is very different about this particular conference. That's because many colleagues who work for federal agencies like the National Science Foundation and NASA have been told to stay home.

Deep cuts in already paltry federal travel budgets mean federal scientists are not presenting their research findings. There is less communication between program officers and the scientists who carry out the Science Foundation and NASA missions. Important work funded by taxpayer dollars is not being disseminated, reducing return on investment. There are fewer conversations in which NSF and NASA officials learn about astronomers' latest results and talk about agency plans.

Hundreds of thousands of scientists work in the federal government. To take just one example, NASA scientists were instrumental in deducing the initial fluctuations in matter density in the newborn universe, 13.7 billion years ago, which led to the formation of galaxies like the one we live in today. This work garnered the Nobel prize for physics.

The nation benefits when top scientists like these contribute their efforts to the federal agencies. But civil service scientists are at a significant competitive disadvantage, thanks to new travel restrictions.

At first glance, it might sound like a good idea to keep government employees and contractors from traveling to distant cities to meet with colleagues. After all, budgets are tight and travel costs money. Stories about excessive spending at government conferences involving the IRS and GSA have rightly angered taxpayers who have had to tighten their own belts.

But the Astronomical Society conference is strictly business and the downside of missing it is considerable: The government loses touch, government scientists fall behind and we all lose an opportunity to forge ahead. For NASA, which funds about 300,000 jobs at more than a dozen NASA centers and facilities, its cap of 50 civil service scientists and contractors (or even100, possible only with a waiver) at an American Astronomical Society meeting is very low.

CEO Marissa Mayer pulled her Yahoo employees back into the office, away from telecommuting, because personal interactions are vital to innovation.

Science is no different. We do use e-mail, Skype, video conferences and every other modern technique to save money and time. But every so often, you have to have a real conversation.

Government scientists are evaluated regularly, like most of us, and their scientific stature is measured in part by invitations to give talks at international meetings or to help lead those meetings. Yet federal scientists and contractors are prevented from attending any international meetings.

Let's be clear: Not only can't government employees travel to meetings on the government's dime, they can't present the results of their scientific research at all, even if they take vacation days and pay for the travel.

Travel policies that diminish the effectiveness of government scientists are counterproductive. Not only does the work have less impact, some of our nation's very best scientific talent will choose to leave government service.

This is good news for universities and companies who offer these outstanding scientists a better research environment. But the government ends up losing top talent.

Science careers are attractive in many ways, but across the country, sequestration is devastating budgets for research. In many disciplines, 10 proposals for new research projects are rejected for every one that is funded. This turns serious scientific progress into a scattershot lottery and discourages students from pursuing the kind of research careers that fuel our economy in the long term.

Young people are attracted to science through astronomy. Students come to our talks, star parties and classes. Fascination about black holes and dark energy motivates them to study critical subjects like physics, mathematics and computing. Astronomy research experiences for undergraduates -- funded by the National Science Foundation, among others -- are an effective way to retain students in Science, Technology, Engineering and Math, or STEM, majors.

STEM disciplines are critical for the future of our nation. The skills for astronomy are used in many other fields of science, not to mention areas like data mining and computing that are at the heart of modern businesses.

My own research students study supermassive black holes billions of light years from Earth -- not exactly an issue in daily life, it's true, but while some of those students have pursued careers as astronomers, many have gone into other areas, including theoretical physics, high school science teaching, oceanography, energy, veterinary school, the financial industry and computing, contributing in important ways to the STEM enterprise.

A recent article in the prestigious journal Nature shows that the best science comes from international collaborations. So our short-sighted policies are preventing government scientists from conducting the best possible research, not to mention losing U.S. leadership in important international efforts.

The opinions expressed in this commentary are solely those of Meg Urry.

@highlight

Meg Urry: American Astronomy Society conference highlights new discoveries

@highlight

At meetings, she says, scientists learn latest research, network, recruit researchers

@highlight

Urry: Cuts in travel budgets mean many federal scientists told to stay home

@highlight

Urry: Government will fall behind, lose its scientists if it doesn't invest more