(CNN) -- The case of a Christian woman in Sudan who was sentenced to die for refusing to renounce her faith has cast new light on the plight of persecuted Christians worldwide.

Sudan ranks as one of the worst countries for people who practice Christianity, but it by no means is alone.

Like people of other faiths, Christians can face discrimination, harassment, arrest, jail time and even death for what they believe.

Here's a look at seven terrible countries for Christians:

North Korea

For the 12th year in a row, North Korea tops the list of places where Christian persecution is most extreme, according to Open Doors, a group that ranks countries in order of persecution.

The organization estimates as many as 70,000 Christians are imprisoned in labor camps.

"The God-like worship of the leader, Kim Jong-Un, and his predecessors leaves no room for any other religion, and Christians face unimaginable pressure in every sphere of life," the group says on its website.

"Forced to meet only in secret, they dare not share their faith even with their families, for fear of imprisonment in a labor camp. Anyone discovered engaging in secret religious activity may be subject to arrest, disappearance, torture, even public execution."

Among those imprisoned is Kenneth Bae, a Korean-American.

Pyongyang sentenced him last year to 15 years of hard labor, accusing him of planning to bring down the government through religious activities.

He is widely reported to have been conducting Christian missionary work in North Korea.

Kenneth Bae worried about his health in North Korean camp

Sudan

Since 1999, the U.S. State Department has tracked the world's worst abusers of religious rights. Sudan has been on the list since its inception.

The country has arrested and deported Western Christians suspected of spreading their faith, according to a State Department report.

Recently, Sudan also arrested and sentenced a woman to die for refusing to renounce her Christian faith. The 27-year old woman was released after weeks of international controversy over her conviction.

She was later detained with her husband and two children, accused of traveling with falsified documents and giving false information.

Eritrea

Just four religious groups are officially allowed to openly practice their faith in this African nation; the rest are subject to detention or worse.

So if you're not an Eritrean Orthodox Christian, a Sunni Muslim, a Roman Catholic or an Evangelical Lutheran, life could be tough for you here. Harsh detentions for religious dissenters are the norm, according to the State Department report.

Members of various religious groups, including Jehovah's Witnesses, face retaliation for refusing to participate in military portions of mandatory national service, the report reads. The government is said to penalize Jehovah's Witnesses by denying them government services and entitlements.

As of November, 52 Jehovah's Witnesses were imprisoned in Eritrea, according to the Jehovah's Witnesses website. It says none has been formally charged or tried.

Saudi Arabia

The oil-rich monarchy doesn't even pretend to respect religious rights for any faith other than Islam.

Sunni Islam is the official religion, and the country's constitution is based on the Quran and the teachings of the Prophet Mohammed.

The public practice of any other religion is prohibited, according to the State Department.

Open Doors says most Christians in Saudi Arabia are expatriates from Asia or Africa. Last year, Christian migrant fellowships were raided, and worshipers were detained and deported, the group says.

Nigeria

Nigeria is split between a majority Muslim north and a mostly Christian south.

Boko Haram, an Islamic extremist group, vowed in 2009 to rid the nation's north of all non-Muslim influence, including Christians, according to The Voice of the Martyrs, another group that tracks the persecution of Christians.

More than 3,000 people have been killed since then, the organization reports.

Boko Haram translates as "Western education is a sin" in the Hausa language. The militant group says its aim is to impose a stricter enforcement of Sharia law across Nigeria, Africa's most populous nation. Boko Haram's attacks have intensified in recent years and have included the kidnapping of more than 200 schoolgirls.

Somalia

Pressure is increasing on Christians in this country, according to Open Doors.

"Islamic leaders and government officials publicly reinforce that there is no room for Christians, and there is a strong drive to purge Christianity from Somalia. The militant Islamist group, al-Shabaab, targets Christians and local communities," the group says on its site.

The terror group is notorious for prohibiting recreational activities and has banned films, dancing and watching soccer in the past. It had also barred foreign aid organizations from southern Somalia, describing them as Western spies and Christian crusaders.

Iraq

Religious minorities, such as Christians and Yazidis, make up less than 5% of Iraq's population.

Since 2003, attacks against these minorities by insurgents and religious extremists have driven more than half of the minorities out of the country, according to the U.N. High Commissioner for Refugees.

According to Open Doors, attacks and threats against Christians rose last year as Islamic terrorist groups gained more influence.

Militants from the Islamic State in Iraq and Syria, or ISIS, are in the midst of an offensive in Iraq.

In the northern city of Mosul, the site of one of the first major ISIS victories, witnesses told CNN the group used vehicle-mounted loudspeakers to announce that it had decided to form Islamic Sharia courts in the city.

The group also reportedly removed statues of the Christian Virgin Mary, Arab poet Abu Tammam and singer Mulla Othman, witnesses said.

Militants' advance threatens Christians in Iraq

CNN's Daniel Burke contributed to this report.

@highlight

As many as 70,000 Christians are thought to be imprisoned in labor camps in North Korea

@highlight

Sudan sentenced a woman to die for refusing to renounce her faith; she was later released

@highlight

Christians are under attack in Nigeria from the Islamic extremist group Boko Haram