Athens (CNN) -- Tens of thousands of people rallied across Greece Thursday to protest further tough austerity measures, as a general strike essentially shut down much of the country's transportation network.

Clashes broke out in Athens after protesters threw stones and bottles at police and chanted slogans saying they had no place policing a peaceful demonstration.

The rallies come as European leaders gather in Brussels, Belgium, for a summit where they will work on building closer ties between eurozone countries. The move is seen as critical to converting recent progress on fixing the region's debt crisis into a sustainable path to growth.

Greek Prime Minister Antonis Samaras is expected to argue there for more time for Greece to implement the cuts demanded by Europe in return for the latest installment of bailout funds the country desperately needs.

EU leaders talk fiscal union as Greeks protest austerity

The harsh austerity measures already in place have angered many people in Greece, which is in its fifth year of recession and has seen its unemployment rate soar to more than 25%.

Thursday's general strike is the second in a month called by unions who say another round of cuts to wages and pensions are too painful for the Greek people to bear. Anger over the austerity measures have led to violent street demonstrations in the past.

About 30,000 people took part in demonstrations in Athens Thursday, police spokesman Panagiotis Papapetropoulos said.

The violence, which was fairly limited, lasted about 90 minutes. The protesters had largely dispersed from the city's central Syntagma Square by mid-afternoon.

A 65-year-old man died after fainting during the rally, an official with the PAME union said.

"The union's doctors tried to revive the man but this was not possible," Giorgos Pondikos said. "He was taken to hospital where his death was confirmed. The incident is not related to any violence."

Rallies were also staged in mainland cities including Thessaloniki and Patras, as well as on the Greek island of Crete.

"We are here to protest the cuts 'they' are making, the misery they are imposing on the people," said a PAME union member protesting in Athens.

"I am here to ensure that the measures won't go through and because I feel Greek people should have a say on what is being done," a fellow demonstrator said.

Read more: Protestors rally as Merkel voices support for austerity-hit Greece

"There is no other way. The only way is for the working class to understand that we must change things. That what is happening is a result of a flawed system. And we must make sure that it stops to exist."

Some demonstrators waved the flags of Spain and Portugal, alongside those of Greece, in an apparent display of solidarity with other nations laboring under tough austerity programs.

Shops were closed Thursday as a result of the strike, while hospitals operated on skeleton staffing and the transport system was badly affected.

Greece's coalition government is struggling to nail down all of the â‚¬11 billion of spending cuts it needs to satisfy the conditions of its bailout. Athens is also reportedly at odds with the International Monetary Fund over the outlook for the economy and the likelihood it will achieve its deficit reduction targets.

Samaras is pushing for a two-year extension of the nation's bailout program, which the previous government agreed to in March.

In a show of support, German Chancellor Angela Merkel met earlier this month with Samaras in Athens, suggesting that Berlin is softening its stance on Greece.

The so-called troika of the European Commission, the European Central Bank and the IMF are due to report on Greece's troubled economy in the coming weeks, with the release of the next tranche of bailout money dependent on its findings.

Barroso: Europe federation 'unavoidable'

The troika said Wednesday at the end of a visit to Greece that agreement had been reached on "most of the core measures needed to restore the momentum of reform and pave the way for the completion of the review."

Its representatives and Greek authorities "had comprehensive and productive discussions on the policies needed to restore growth, employment and competitiveness, secure fiscal sustainability in a socially balanced manner, and strengthen the financial system," the statement said.

In Brussels, Europe's leaders will discuss an interim report outlining steps to strengthen the eurozone, including proposed reforms of the banking sector and more integrated budget policies, according to a letter from European Council president Herman Van Rompuy.

Greece's long-running economic woes have shaken global markets and led to fears the country could crash out of the 17-member eurozone single currency if it defaults on its debt.

The turmoil in the eurozone has exacerbated concerns about other ailing nations such as Spain and Italy, which are also struggling with high unemployment and debt.

Read more: Greeks fearful of what will follow U.S. election

CNN's Diana Magnay, Elinda Labropoulou and Ben Rooney contributed to this report.

@highlight

NEW: Violence flares in Athens as protesters rally against a new round of cuts

@highlight

NEW: A 65-year-old man dies after fainting during the protest, a union official says

@highlight

Union leaders have called the country's second general strike in a month

@highlight

European leaders will discuss the continent's economic situation at a summit