Hong Kong (CNN) -- When a downtrodden Tunisian street vendor set himself on fire in protest after his vegetable cart was confiscated by officials, this desperate act of self-sacrifice was seen as a catalyst for a revolution that became known as the Arab Spring.

Contrast this with China, where almost 80 people -- men and women -- have self-immolated since 2009 in protest against Beijing's poor treatment of Tibet, according to rights groups. Yet details of these cases are often sketchy and difficult to verify, such is the stranglehold China has over the region.

As a result the issue has yet to gain real traction internationally.

Beijing has consistently rejected claims it is guilty of oppression in the region and insists Tibetans enjoy religious freedom and better living standards under its rule.

Yet the self-immolations continue.

This week, a 34-year-old father of two burned himself to death in front of a mine in the western province of Gansu, while another 25-year-old man set himself alight near a monastery in neighboring Qinghai province -- which borders Tibet, known by China as the Tibet Autonomous Region. Both cases were confirmed by China's state-run Xinhua news agency.

According to the Tibetan government-in-exile and Tibetan rights groups, the victims died chanting slogans calling for freedom for the Tibetan people and the return from exile of their spiritual leader, the Dalai Lama.

This brought the number of deaths by self-immolation to 15 in November alone -- the same month that China's political elite ushered in its next generation of leaders during the 18th Party Congress. In their keynote addresses, leaders, both old and new, appeared to strike a conciliatory tone.

In his first speech as Communist Party leader last week, Xi Jinping stressed the need for unity in a country where the Party was becoming too distant from the people. This followed predecessor Hu Jintao's comments to Congress delegates that the Party "should consolidate and develop socialist ethnic relations of equality, unity, mutual assistance and harmony so that all ethnic groups in China will live and develop together in harmony."

But activists warn that if the Chinese government continues to tighten its grip on the Tibetan people in the name of stability, it will only create more resentment. They point to the growing list of young victims prepared to take such extreme action, which they say reflects a desperate and painful state of mind for many.

The Tibet Autonomous Region is heavily policed by Chinese security forces, with Internet content controlled by local authorities and access by foreign media largely prohibited, making reliable information almost impossible to come by.

Pro-Tibetan groups such as the International Tibet Network, say thousands of people have died over the years under China's tenure, through torture, execution, suicides and starvation -- though CNN cannot verify these claims.

The groups also claim Tibetans have gradually become the minority population in their own homeland, as Han Chinese -- China's main ethnic group -- have migrated to the region. London-based Free Tibet says the construction of a rail link to Tibet's capital, Lhasa, in 2006 -- part of China's Western Development Strategy (WDS) -- was intended to cement its control over the restive western regions of China, particularly Tibet and Xinjiang, where separatism remains strong.

"The incidents are a clear indication of the genuine grievances of the Tibetans and their sense of deep resentment and despair over the prevailing conditions in Tibet," Tibetan leader in exile, Lobsang Sangay, said earlier this year. His government-in-exile has repeatedly called on the international community to intervene to prevent further bloodshed.

Chinese authorities insist that self-immolations are isolated incidents and most Tibetans do not sympathize with or support such actions. A senior official from Sichuan, a province with a large Tibetan population that has seen the most self-immolation cases so far, says he knows exactly who's to blame -- the Dalai Lama: the man Beijing calls a "terrorist."

"They plot, incite and instigate -- the root cause for such acts is the Dalai Lama clique," Li Changping told CNN. "His loyalists have called those who committed self-immolation national heroes or freedom fighters, vowing to build them monuments and rewarding their families with lots of money."

The Dalai Lama has long denied China's assertion that he's seeking Tibetan independence, saying he wants only an autonomy that would offer protection for their traditional Buddhist culture.

During an address to Japanese lawmakers in Tokyo earlier this month, he blamed "narrow-minded Communist officials" for seeing Buddhist culture as a threat. He then called on Chinese authorities to investigate and address the causes of the recent surge in self-immolations. "I always ask the Chinese government: Please, now, thoroughly investigate. What is the cause of these sort of sad things?"

Beijing's claim over the region is rooted in history.

It says Tibet has been a part of China since the 13th century, when the Mongol empire, which conquered China and formed the Yuan dynasty, also conquered Tibet. Western and central parts of Tibet are administered by China as the Tibet Autonomous Region, while eastern parts of the region fall under China's Sichuan, Qinghai, Yunnan and Gansu provinces.

After several decades of de facto independence beginning in 1912, Tibet was over-run by China's People's Liberation Army in 1950 to enforce the newly-formed People's Republic of China's claim of sovereignty over Tibet.

In 1959, thousands of Tibetans surrounded the Dalai Lama's palace in Lhasa â€” the Tibetan capital -- to protect him against what was rumored to be a plot by the Chinese military to abduct him. The gathering turned into an all-out revolt against Chinese rule, which was suppressed by the PLA. The Dalai Lama fled to India, where he has remained in exile ever since.

CNN's Steven Jiang contributed to this report.

@highlight

Two more Tibetans self-immolated in the past week in protest against Chinese rule

@highlight

Almost 80 people have set themselves alight in China since 2009, rights groups say

@highlight

China says its rule has brought economic stability to the Tibetan people

@highlight

Activists warn China's tightening grip on the Tibetan people is creating more resentment