(CNN) -- The H1N1 virus has now become the dominant influenza virus around the globe, with high levels and an increase of activity in many regions, the World Health Organization said Thursday.

In a weekly update, the WHO's point person on the H1N1 virus, Dr. Keiji Fukuda, also warned the public not to treat the virus like just another flu.

Like seasonal flu, H1N1 is more active in the winter than in the summer, and a majority of infected people get better on their own, Fukuda said. H1N1 also is as transmissible and infectious as seasonal flu, he said.

But unusually for influenza, Fukuda said, H1N1 continues at high levels over the summer months, and many of the serious illnesses and deaths are concentrated in people younger than 65.

Seven months into the pandemic, the virus commonly known as swine flu remains at high levels and continues to increase in North America, Fukuda said. Mexico, for example, has seen more cases from September to November than they saw in the preceding months from April, when the virus emerged, he said.

The virus is also becoming more active in Europe and Central and Western Asia, Fukuda said.

Health officials this week reported an outbreak of cases in Ukraine, which now has more than 250,000 cases of influenza-like illness, with 235 patients requiring intensive care, the WHO said.

Activity is picking up in East Asia, Fukuda said. Mongolia reported "a number" of cases over the past week, he said.

"East Asia is one of the parts of the world where seasonal influenza viruses have remained in reasonably high circulation," Fukuda said. "But even in that part of the world, the pandemic virus is becoming dominant."

More cases are being reported from a number of Caribbean countries such as Cuba and Haiti, he said.

In Central America and the Southern Hemisphere, however, activity levels have dropped as those regions enter the summer season, Fukuda said.

"There are several regions in the world -- North America, Europe, Northern and Central Asia -- where we are clearly seeing pandemic influenza activity increase," he said, but "there is no one single place in the world where we are focused on."

Disease activity has been difficult to predict, Fukuda said.

"We really are not going to know what the future is going to bring, and so the main focus of our effort here is ... what steps are needed to make sure countries are as prepared as possible to deal with disease levels," he said.

H1N1 poses different challenges in different countries, but it does seem to be affecting indigenous groups more heavily than nonindigenous groups, he said.

In Australia, for example, "aboriginal groups are disproportionately represented in people who end up in hospitals from diseases related to the pandemic," Fukuda said.

The WHO still doesn't know whether the effect on indigenous groups is because of the pandemic itself or because of underlying factors.

Because most people infected with swine flu tend to recover on their own and don't suffer major problems afterwards, some people are tempted to dismiss the infection and think it's not serious. But Fukuda said that's a dangerous mind-set.

"At WHO, we remain quite concerned about the patterns we are seeing, particularly because a sizable number of people develop complications [that lead to death]," he said. "We do see that the serious complications are concentrated in the younger age groups rather than the older age groups."

While the complications are most often seen in people who have chronic, underlying health conditions and in pregnant women, they also can develop in people "who are currently healthy and young."

But contrary to some reports, Fukuda said, the WHO has not seen big mutations in the virus since it first emerged. He said viruses being isolated now are "generally similar" to those isolated over the past several months, indicating they haven't changed much.

The WHO also has no evidence of widespread resistance to antiviral medication, Fukuda said. There have been sporadic instances of resistance to oseltamivir -- the generic name for Tamiflu, one of the main drugs used against influenza -- but such cases are still "isolated and infrequent," he said.

"Antivirals are quite useful against these infections," he said.

Fukuda praised as "innovative" the decision by Norway to distribute antiviral medication over the counter for a limited period of time. The move can help take stress off the primary health system and allow patients to get the medicine more quickly, he said.

Other useful protections against H1N1 are vaccines, which the WHO recommends against pandemic infections, Fukuda said.

"These vaccines now have been used in a significant number of countries ... and based on this experience, in which millions of people have now received vaccine, we in fact see that these vaccines are very safe," he said.

The only side effects are swelling and pain at the injection site, but "these are occurring at rates that are expected and usually seen with seasonal influenza vaccine," Fukuda said.

"WHO, along with other public health authorities, believes that these vaccines are very useful against pandemic infections and [we] do support their use," he said.

@highlight

H1N1 continues at high levels over the summer months, unlike seasonal flu

@highlight

The flu seems to affect indigenous groups more heavily than nonindigenous groups

@highlight

The only side effects of the vaccine are swelling and pain at the injection site

@highlight

WHO has not seen big mutations in the virus since it first emerged