Juan De la Torre is living in the United States completely legally. He came here from Mexico with his parents at age 14. His father, a migrant worker, became a permanent resident and filed immigrant petitions for the whole family.

Eighteen years later, De la Torre is still in a constant cycle of waiting to hear from U.S. Citizenship and Immigration Services. He's not an American citizen. He doesn't even have a green card, or permanent residency status. He's just in limbo, waiting to upgrade to a green card from his approved immigrant petition.

In the immigration debate that has gripped the country, De la Torre is one of many legal immigrants who feel they've been overlooked. What to do about millions of undocumented immigrants has been discussed at length in government and the media. But legal immigrants, who say they're spending countless hours and thousands of dollars to do it right, want reform to help their struggle, too.

De la Torre's experience isn't unheard of. For most legal immigrants, it takes at least five years to become a citizen, and that's after you already have a green card -- a process that can take years because of the finite number of visas available. Some legal immigrants live in the United States for 10 years or more before finally becoming naturalized citizens. And they want you to know that, by the way, they've had to pay taxes that whole time.

President Obama is listening to the country's frustrations with the immigration process. He has already made immigration reform a second-term priority, and in his address on immigration this week, the president discussed both illegal and legal immigration.

When talking about the legal immigration system, Obama focused on the need to keep promising students and entrepreneurs in the country to help grow the American economy. He also stressed the importance of keeping families together. "If you're a citizen, you shouldn't have to wait years before your family is able to join you in America," Obama said.

While Julie Richard thought the president's remarks were "definitely a step in the right direction," she wished he had been more specific. She and her 7-month-old daughter belong to one of the families that have been torn apart. They can't live with her husband and almost never get to see him.

Richard is Canadian, husband Brandon Gray is American and daughter Freja was born in the States. When Freja was 2 weeks old, Richard and Gray took her to Canada to visit Richard's family. But when they tried to get back to their home in Pennsylvania, Richard was denied entrance to the United States. She no longer qualified for a visitor visa because she intended to stay. Even though she had applied for a green card some time back, she says officials won't let her into the United States until she has it "in hand," a process that could take up to a year.

Gray joining the family in Canada is not an option -- he serves in the National Guard and is a full-time college student -- so they've been living apart for six months. Richard recently found out she's been granted an interview, the final step toward getting a green card, but she doesn't yet know when it will be.

"I have stopped keeping track of all of the firsts (Gray) is missing out on," she says. "I don't want to think about it and to tell him would only serve to break his heart even further."

"I regret to this day not calling a lawyer before leaving the (United States)," she added. "I'm not looking to jump the queue; I just want to wait down in the States."

Even for families that are able to stay together, the hardships that come with waiting for citizenship aren't trivial. It took De la Torre, the man who's been waiting 18 years for a green card, eight years to get a bachelor's degree. As a noncitizen, he wasn't eligible for much financial aid and had to work part-time. Other noncitizens aren't allowed to work at all.

Carlos Paris is able to work, but says that comes with a set of problems all its own. A mechanical engineer originally from Venezuela, he has been in the United States for eight years with his wife and two children on an H-1B visa, which is for foreign workers with specialized expertise. That means if he were to lose his job, he could be forced to leave the country. He worries about having to restart the entire immigration process from scratch -- a daunting prospect, given the expense and waiting time involved.

"I think (politicians) are going about this all wrong," Paris says. "You should cater to the well-prepared people, and cater to them well. Restrict illegal immigration, but maintain a more reasonable legal immigration policy."

De la Torre, who says the immigration offices know him by name at this point, would like to see immigration policy that addresses both undocumented and documented immigrants.

"I'm very happy they're helping the 11 million people here illegally, but what are they doing for us?" he says. "What good is it for me to be legal if they're not going to help us? I've been paying taxes since I got my Social Security card when I was 21. But yet I'm not receiving anything back."

@highlight

Some legal immigrants feel they're being overlooked in the immigration debate

@highlight

Juan De la Torre came to the U.S. legally and has been waiting 18 years for green card

@highlight

"I'm ... happy they're helping the people here illegally, but what are they doing for us?" he asks

@highlight

President Obama addressed both legal and illegal immigration in his speech this week.