Washington (CNN) -- Ahead of direct talks between Israel and the Palestinians on Thursday, President Barack Obama said Wednesday night that he was "hopeful -- cautiously hopeful" that the talks could achieve a two-state solution to the long running Mideast conflict.

"Though each of us holds a title of honor --- president, prime minister, king --- we are bound by the one title we share,"

Obama said on a stage with Israeli Prime Minister Benjamin Netanyahu, Palestinian Authority President Mahmoud Abbas and the leaders of Egypt and Jordan.

"We are fathers, blessed with sons and daughters," Obama said. "So we must ask ourselves what kind of world do we want to bequeath to our children and our grandchildren."

The president was speaking at the start of a working White House dinner with Netanyahu, Abbas, Jordan's King Abdullah II and Egyptian President Hosni Mubarak. Each made remarks before the dinner.

Also attending the dinner were Secretary of State Hillary Clintonand Middle East Quartet Representative Tony Blair. The Quartet consists of the United States, Russia, the United Nations and the European Union.

"We don't seek a brief interlude between two wars, we don't seek a temporary respite between outbursts of terror," Netanyahu said. "We seek a peace that will end the conflict between us once and for all... for our generation, our children's generation and the next."

Netanyahu and Abbas condemned attacks against the Israelis in recent days.

"We do not want any blood to be shed -- one drop of blood from the Israelis or the Palestinians," said Abbas. "We want peace between the two countries... let us sign a formal agreement for peace and put an end to this long period of suffering forever."

In earlier remarks from the White House Rose Garden, Obama said that "this moment of opportunity may not soon come again."

With the U.S. war in Iraq drawing to a close, the Middle East moved front and center for administration officials Wednesday as Obama held a series of high-stakes meetings with Israeli and Arab leaders.

Obama huddled behind closed doors at the White House with the Israeli and Arab leaders.

On Wednesday night, Obama called the talks "very productive."

But he also pointed to challenges ahead. "We are under no illusions," he said. "Passions run deep... there's a reason that the two-state solution has eluded previous generations --- this is extraordinarily complex and extraordinarily difficult."

"But," he continued, "we know that the status quo is unsustainable."

Obama and Netanyahu met first on Wednesday, briefly addressing reporters to condemn, in Obama's words, the "senseless slaughter" of two men and two women Tuesday near the West Bank city of Hebron.

"Terrorists ... are purposely trying to undermine these talks," Obama said.  "The message should go out (that this attack) is not going to stop" the United States from backing Israel and the peace process.

Later, after meeting with Abbas, he said that "we are making progress" in negotiations.

During his meetings with Abbas and King Abdullah, according to the White House, Obama was joined by Secretary of State Hillary Clinton, Chief of Staff Rahm Emanuel, National Security Advisor Gen. James Jones, and former Sen. George Mitchell, among others.  Mitchell is Obama's special envoy for Middle East peace.

At stake is a unique "window of opportunity" for a breakthrough in the Israeli-Palestinian conflict within the next year, according Mitchell.  Talks have been stalled for a year and a half.

The hurdles, however, remain steep.  One immediate threat is the looming September 26 expiration of Israel's 10-month freeze on settlement construction in the West Bank.

Chief Palestinian negotiator Saeb Erakat indicated to CNN this week that if Israel does not extend the freeze, direct talks may quickly fall apart.

Netanyahu will have "closed the door in my face" if settlement construction resumes, Erakat said.  Pressed on whether the Palestinian delegation would walk out of talks at that point, Erakat said that "we will not be able to go."

Netanyahu can have settlements or peace, but he can't have both, Erakat said.

Another roadblock to any comprehensive deal is the Palestinian view that any two-state solution must include a handover of all the land Israel captured in the 1967 war, along with East Jerusalem as the Palestinian capital.  While Netanyahu has expressed openness about a Palestinian state, he has expressed strong opposition to a Palestinian takeover of East Jerusalem.

The issue of Hamas control of Gaza, Erakat noted, also remains a "major problem."  While Gaza is generally considered to be part of any future Palestinian state, Hamas has refused to recognize Israel's right to exist and is not a part of the talks.  Hamas leaders are frequently in conflict with the more moderate Abbas and his Fatah organization, which has the upper hand in the West Bank.

Mitchell, however, told reporters Tuesday that both Netanyahu and Abbas are noting polls showing fear of intensified conflict if negotiations fall apart.

This is "a moment in time within which there remains the possibility of achieving the two-state solution," Mitchell asserted.  "The alternatives ... pose far greater difficulties and far greater problems in the future."

Several top officials close to the negotiations conceded to CNN that it is hard to be optimistic about a peace deal at the moment.  They downplayed expectations, saying that nobody directly involved in the talks expects a deal to be reached this week.  But simply resuming talks was a critical step, and a comprehensive Middle East peace deal has been one of Obama's top foreign policy goals, they said.

"The biggest breakthrough would be an agenda [emerging Thursday] for a second round of meetings soon to move forward," one top official actively engaged in the talks said.

Clinton is set to play the main role in the talks on Thursday, hosting a meeting at the State Department with Netanyahu and Abbas.

CNN's Hala Gorani and David Molko contributed to this report

@highlight

Obama says he is "hopeful -- cautiously hopeful" about the talks

@highlight

Netanyahu says, "We seek a peace that will end the conflict between us"

@highlight

Abbas says, "Let us... put an end to this long period of suffering forever"

@highlight

Obama is hosting Netanyahu, Abbas, Mubarak, and King Abdullah II at the White House