(CNN) -- The smell of fall is already in the air in some parts of the United States. That means it's time to pack up the car and drive to wherever the leaves are changing colors.

Or is it?

For some, hiking through the woods looking for leaves to slowly, slowly, slowly change colors and eventually fall off is about as interesting as watching paint dry.

This so-called "kidnappee" is only observed on leaf-peeping trips "when dragged there by someone else," according to Yankee Magazine's Introduction to Leaf Peepers. A leaf-loving spouse or parent or friend has often conned this hater of quiet nature into a leaf-focused trip.

Is there a way to honor the wishes of those travelers who appreciate the amazing beauty and science of trees hunkering down for the winter and those would rather do something else? The leaf lovers could choose to travel solo. That's a fine option.

But may we suggest a compromise for those in mixed marriages and other foliage-fraught relationships? Give the nature lovers some designated time to enjoy the leaves, then try something a little less organic. Or at the very least, pick a destination with a layer of history or adventure on top of the leafy beauty.

A sip of Maine

If your family is heading to Maine, you likely have some hard-core leaf enthusiasts among you. This fall foliage giant has a state website dedicated to the changing leaves.

Head to Camden Hills State Park for the view from the 800-foot summit of Mount Battie, made famous by Maine poet Edna St. Vincent Millay, and enjoy the views of Camden Harbor, Penobscot Bay and the surrounding hillsides covered in fall color. The hike to the top can take two hours, or you can drive. From the top, you might even be able to spot Cadillac Mountain at Acadia National Park.

The compromise: Head to the nearby town of Belfast to enjoy a pint at Marshall Wharf Brewing Company on Belfast Harbor. The brewery serves their product at its tasting room (11 a.m. to 4 p.m.) and its adjacent brew pub, Three Tides (4 p.m. to about midnight). Walk and shop off your drinks on Belfast's Main Street.

Zipping through New Hampshire

Everywhere you go in New Hampshire, there's another stunning hike capturing the majesty of the changing season. Head to Lake Winnipesaukee for a scenic drive.

"Driving around the lake, you get to explore the quintessential towns of Wolfeboro and Meredith," says Jim Salge, Yankee magazine's fall foliage blogger. "Wolfeboro bills itself as the oldest summer resort in America. On the Guilford side, there's Weirs Beach, a popular lakefront attraction, and Ellacoya State Park." It's mostly a driving route, with places to get out and walk in towns and parks along the lake.

The compromise: Head down the road to Gunstock Mountain Resort, where the resort's zipline tours can get your adrenaline going. If you only have time for one activity, the zipline rolls peeping and adventure into one.

Pennsylvania's Civil War history

Gettysburg National Military Park's beauty as the park's leaves start to change color stands in dramatic contrast to the bloody history of what happened on the park grounds 150 years ago this year. Visitors to the national park can enjoy guided or self-guided tours or horseback tours this fall. Expect the most beautiful fall foliage in mid- to late-October.

The compromise: The leaves are certainly not the main story at Gettysburg. Learn more about the Battle of Gettysburg and President Abraham Lincoln's historic Gettysburg Address. Although many events were held in July during the 150th anniversary of the battle, there are still plenty of anniversary activities to experience.

New Mexico's extraordinary artist

The changing colors of New Mexico's landscape are brilliantly captured by many of the artists who have called the state home. Head to the popular Aspen Vista Trail in the Sangre de Cristo Mountains for peak aspen tree leaf-peeping season now through the end of October. The trailhead is located on Artist Road #475, about 13 miles from Santa Fe.

The compromise: For another unique jolt of color and form, visit the Georgia O'Keeffe Museum in Santa Fe. Starting in October, the museum will host an exhibit showcasing O'Keeffe's depictions of Lake George (New York), where she had a rural retreat. The exhibit runs through January 26, 2014. Or tour O'Keeffe's home and studio in nearby Abiquiu. (Spots are limited so make sure to make reservations in advance.)

North Carolina's small-town culture

At an elevation of 6,684 feet, the Mount Mitchell summit in North Carolina is a spectacular vantage point to view the changing leaves of the Blue Ridge Mountains. The highest point east of the Mississippi, Mount Mitchell State Park is at an altitude of more than a mile.

The compromise: Drive into the town of Blowing Rock for respite from the quiet of the leaves. Blowing Rock is filled with art galleries, performances, festivals for almost every interest, and nearby farms. Consider a zipline tour at Sky Valley Zip Tours for a more adventurous trek.

Montana's hunting and food scene

There's nothing like Glacier National Park for seeing nature at its wildest, and the trees on the Going-to-the-Sun Road are heading into full fall foliage splendor in late September. Head there quickly before winter descends upon the park.

The compromise: After a stint in the forest, you might be inspired to hunt for your meal. For the sports enthusiast, there's fly fishing and hunting based out of the nearby town of Kalispell. Foodies will appreciate Kalispell's Festival of Flavors (September 19-28) and the nearby town of Whitefish celebrates German beer and food at its annual Great Northwest Oktoberfest (September 26 through October 5).

An artist's view of California

California's rugged fall foliage is unlike anything you'll see in the northeast and it's happening right now. Drive up to Bishop Creek Canyon in California's Eastern Sierra, near Mammoth Lakes. There you'll see "spectacular displays of lime, yellow, orange, red and crimson-quaking aspen reflected in tourmaline blue lakes and surrounded by saw tooth granite peaks," writes John Poimiroo, who blogs about California's fall foliage.

The compromise: After all that peeping, visitors can head to the town of Bishop to see how celebrated photographers Galen and Barbara Rowell see the landscape at Mountain Light Gallery.

Vermont's ice cream

What leaf-peeping enthusiast could leave out Vermont? It has an official "Foliage Forecaster" in Michael Snyder, commissioner of the state Forests, Parks and Recreation department.

Start in Burlington and head east toward Waterbury and Stowe, where you'll see good early fall color driving through the Champlain Valley (Interstate 89 or Route 2). After spending the first half-hour in farm country and the foothills of the Green Mountains, head north to Waterbury on Route 100.

"This week's forecast looks great, and the onset of cool nights and some frost is what really kicks in the next level of vibrancy," Snyder says. If that good weather continues next week, "that drive within an hour's radius of Ben & Jerry's will afford viewing opportunities of every stage of fall color."

The compromise: That's right. He said Ben & Jerry's. Stop by the plant in Waterbury for a tour and some ice cream. You'll get to sample the ice cream flavor of the day and buy more at the factory Scoop Shop. And where did you favorite flavors get buried after being eliminated? The factory's flavor graveyard (which is only open through October).

Because it's Vermont, and we think you should soldier on a bit longer (you non-leaf fans), we add Snyder's extended tour: From Ben & Jerry's, take the classic foliage tour on Route 100 north up to Stowe, where the color is already more advanced. Head up Route 108 through Smuggler's Notch, another fall favorite, to quickly spot more advanced color.

Check the Vermont foliage website before you to to ensure that fall hasn't turned into winter yet.

@highlight

Touring Maine's fall foliage can be rewarded by a pint at a local brewery

@highlight

The leaf-peeper and the history buff alike will appreciate Gettysburg

@highlight

The colors on the trails near Santa Fe also appear at the Georgia O'Keeffe museum

@highlight

After a leafy drive, Vermont tourists can enjoy a scoop of Ben & Jerry's finest