(CNN) -- It is one of the most iconic ports in the world, the dramatic backdrop to everything from ancient Roman sailing ships to World War Two military vessels and gas-guzzling speedboats.

Now London's historic River Thames has played host to a new generation of boat -- one which could revolutionize not just the future of nautical design, but scientific research on the high seas.

Introducing MS Turanor Planet Solar -- the world's largest solar-powered boat.

Sunny disposition

Resembling more "Starship Enterprise" than a modern catamaran, the 35-meter vessel arrived in the British capital last week -- its last stop on a scientific expedition across the Atlantic.

Featuring an expandable deck covered in over 500 square meters of solar panels, the 60-ton vessel is completely powered by the sun.

More than 800 solar panels charge enormous lithium-ion batteries stowed in the catamaran's twin hulls, which power two electric motors at the back.

"On a full battery we can run for 72 hours without sun," says captain Gerard d'Aboville, who is also the first man to row solo across the Atlantic and the Pacific oceans.

"I receive meteorological forecasts for the next week, which update on our map every hour, so I can see the sunniest route to take."

Eco expedition

The $16 million vessel cut an impressive figure as it cruised beneath London's raised Tower Bridge, marking the end of an almost three-month scientific expedition along the Atlantic's warm Gulf Stream.

Heading off from Miami in June, the boat's team of scientists examined water and air samples, as part of their research into climate change.

Led by University of Geneva climatologist Martin Beniston -- a member of a United Nations-backed panel on climate change that won the 2007 Nobel peace prize -- they used high-tech "vacuum cleaners" to measure aerosols (fine particles in the air) and winches which plunged 200 meters below the water.

Watch: Stunning time-lapse of Antarctic science mission

"The fact that the boat doesn't create any pollutants means what we measure is as natural as possible," said Beniston.

"And in terms of awareness-raising, we're carrying out the research in a boat which could be connected to the future and reducing our carbon footprint."

Record breaking design

It's not the first time the high-tech vessel has made headlines around the world. In May last year it also became the first solar-powered vessel to circumnavigate the globe, traveling at an average speed of five knots.

It continued to break the record books earlier this year when it made the fastest solar-powered crossing of the Atlantic -- traveling from Spain to the West Indies in 22 days and breaking its own previous record by four days.

See: High-tech yacht aiming to smash speed record

The brainchild of Swiss eco-adventurer Raphael Domjan, the high-tech boat was designed by New Zealand nautical architecture company LOMOcean Design, and built by German shipyard Knierim Yachtbau in 2010.

And with room for up to 60 people, you're more likely to see the unusual boat before you hear it. Unlike other diesel-powered ships, MS Turanor Planet Solar glides silently across the water.

"The boat has a very special look, with her expandable deck," said d'Aboville. "In fact, we were two miles off the coast of Monaco when some people called the police to say there was an airplane on the water."

Old name, new look

But for such a futuristic-looking vessel, MS Turanor Planet Solar has an ancient-sounding name.

"Turanor" was named after the word for "power of the sun" in J.R.R Tolkien's "Lord of the Rings" trilogy.

It may also prove to be the beginnings of an epic adventure -- this time on the high seas.

@highlight

World's largest solar-powered yacht cruises beneath Tower Bridge

@highlight

MS Turanor Planet Solar features over 500 square meters of solar panels

@highlight

Completes scientific expedition along Atlantic's Gulf Stream

@highlight

$16 million vessel could revolutionize nautical design, climate change research