The Food and Drug Administration is making another attempt at regulating electronic cigarettes and other tobacco products.

On Thursday, the agency proposed rules that call for strict regulation of electronic cigarettes, cigars, pipe tobacco, nicotine gels, water pipe tobacco and hookahs. Currently, only cigarettes, smokeless tobacco and roll-your-own tobacco come under the FDA's regulatory authority.

When these recommendations are finalized following a 75-day public comment period, the age limit to buy the products is expected to be at least 18, although individual states could choose to set it higher.

Health warnings would also be required, and the sale of the products in vending machines would be prohibited. Initially, the only health warning required for e-cigarettes would be about the potential for addiction to nicotine.

Manufacturers would be required to register all their products and ingredients with the FDA. They would be able to market new products only after an FDA review, and they would need to provide scientific evidence before making any direct or implied claims of risk reduction associated with their product.

Companies would also no longer be allowed to give out free samples.

After the public comment period, and once the proposed rules are finalized, manufacturers will have 24 months to submit applications to allow their products to remain on the market or to submit new product applications.

E-cigarettes deliver nicotine to the user as a vapor. They are usually battery-operated and come with a replaceable cartridge that contains liquid nicotine. When heated, the liquid in the cartridge turns into a vapor that's inhaled.

Most look like cigarettes, cigars or pipes, but some resemble pens or USB memory sticks. Because they have not been fully studied, the FDA says it's unknown what health risks they pose, how much nicotine or other chemicals are actually being inhaled, or whether there is any benefit to using them.

Last year, the Centers for Disease Control and Prevention reported that the percentage of high school students who reported ever using an e-cigarette more than doubled in one year, from 4.7% to 10% between 2011 and 2012.

As electronic cigarettes have increased in popularity, so have the number of related calls to poison control centers nationwide. According to a recent CDC report, poison control centers logged 215 calls involving e-cigarettes in February alone. Of those calls, 51% involved children.

"It's really the wild, wild West out there," said Margaret Hamburg, FDA commissioner. "Because e-cigarettes are increasingly in the marketplace. They're coming in different sizes, shapes and flavors in terms of the nicotine in them, and there's very worrisome data that show that young people in particular are starting to take up e-cigarettes, especially the flavored ones -- and that might be a gateway to other harmful tobacco products."

Hamburg said officials don't know how many types are on the market, another reason why regulation is critical.

"We're already conducting research and working with partners in the research community to better understand patterns of use of these e-cigarettes and  to learn more about the way in which they work and the delivery of the nicotine through e-cigarettes. But until we can really regulate them, we can't have all the information we need and we can't take all the actions that we might want to, to be able to best address the public health issues associated with them."

Miguel Martin, president of LogicTechnology Development -- considered the second-largest electronic cigarette company in the U.S. -- said he is encouraged by the FDA announcement.

"We look forward to being a part of this process and believe that science-based and responsible regulations are good for both adult consumers and responsible electronic cigarette manufacturers," Martin said.

Logic opened its doors in 2010. The company has nine products on the market, both disposable and rechargeable, but no flavored nicotine products. Logic implemented rules a year ago similar to the ones the FDA has proposed.

"We support and have already implemented those steps to ensure that adult smokers are the audience and consumer base of our products," Martin said. "We work with the retailers to ensure the product is sold to adult consumers of legal smoking age."

Experts have said that e-cigarettes, if properly regulated, could help reduce the number of people who use conventional cigarettes and die of tobacco-related disease.

But a lot of unanswered questions remain, according to Michael Eriksen, dean of the School of Public Health at Georgia State University, one of 14  U.S. institutions conducting FDA-funded research on electronic cigarettes.

Nicotine is a drug, and poison experts say the concentrated liquid form used in e-cigarettes is highly toxic, even in small doses. It can be inhaled or absorbed through the skin.

"How concentrated is liquid nicotine? Are there impurities in it? Is it properly handled like a pesticide?" Eriksen asks. "Nicotine is a pesticide, fundamentally, and we take so many precautions about pesticides for our lawns and how to wear gloves. But what precautions do consumers take when they put the nicotine vials in? People treat it (liquid nicotine) as sugar when it's a toxin."

Harold Wimmer, president and CEO of the American Lung Association, believes nicotine is highly addictive whether used in a regular cigarette or an e-cigarette.

So how safe are e-cigarettes?  Hamburg said it's buyer beware.

"We think that there's a lot of information that needs to be understood about e-cigarettes and their use.  We're trying to help provide some of that information through research that we're conducting," she said.

"But we need the tools that regulation provides to be able to get critical new knowledge about e-cigarettes and to be able to put in place a framework that will protect the American public and potentially e-cigarette users, and really address the issues of what are the health consequences and what are the potential benefits."

Hamburg believes these new rules will change the landscape.

If the FDA broadens its authority to regulate tobacco products, she said, it will make a major contribution to the health of Americans. But big changes could come slowly.

"It may be years before much regulation is imposed," said Carl Tobias, a law professor at the University of Richmond. "The lobbying at FDA and Congress will be intense."

And some believe the FDA has already waited too long.

"It is inexcusable that it has taken the FDA and the Administration so long to act," Matthew L. Myers, president of the Campaign for Tobacco-Free Kids, said in a statement. "This delay has had serious public health consequences as these unregulated tobacco products have been marketed using tactics and sweet flavors that appeal to kids, and their use has skyrocketed.

"The FDA and the Administration must now move as quickly as possible to finalize this rule."

@highlight

E-cigarettes deliver nicotine to the user as a vapor

@highlight

FDA has regulatory authority now only over cigarettes, smokeless tobacco

@highlight

Age limit to buy e-cigarettes is expected to be 18 when rules are final