Portsmouth, New Hampshire (CNN) -- At 3:30 a.m., Stefany Shaheen awoke to a feeling of uneasiness. Something was not quite right with her daughter, Elle.

Creeping into her bedroom, Shaheen removed a lancet from its wrapper and poked her diabetic daughter's finger.

Putting the blood onto the testing strip, she saw the results: dangerously low blood sugar. Shaheen woke Elle up and gave her orange juice to keep her from slipping into unconsciousness.

Shaheen was relieved her motherly intuition had told her something was wrong with Elle that night, but she wished she didn't have to rely on it. She yearned for an automatic way of knowing when Elle was dipping into a dangerously high or low blood sugar -- and not just at night, but at school, where the 12-year-old is largely responsible for monitoring her own blood sugar.

Then last week, Shaheen got her wish.

Elle was selected to try out an experimental device called an artificial or "bionic" pancreas. During the three-day study, Elle didn't have to poke her finger every few hours to find out her blood sugar level because the "bionic" pancreas recorded it automatically and adjusted her insulin accordingly.

Shaheen didn't have to set her alarm to wake up every three hours at night because the device was designed to catch a dangerously high or low blood sugar and treat it.

"For the first time since she was diagnosed, I didn't have to worry," says Shaheen, who lives in Portsmouth, New Hampshire.

Medical device companies are racing to be the first to market an artificial pancreas, which takes over the work of the diabetic's malfunctioning organ. The device could potentially be used for Type 1 diabetics or Type 2 diabetics who use insulin.

"It's transformative technology," says Aaron Kowalski, assistant vice president for treatment therapies research at JDRF, a research foundation for juvenile diabetes.

JDRF is funding artificial pancreas trials at 13 sites worldwide, including Yale University, Stanford University, the University of Virginia and the University of Colorado. Device companies also are funding several other studies.

"It's looking incredibly promising," Kowalski says. "I hope very much we'll have a system on the market within four years, and I'll be very disappointed if we don't."

'Pale and pasty ... and all by herself'

It was Elle who urged her mother to enroll her in an artificial pancreas study.

The Shaheens first heard about the artificial pancreas shortly after Elle was diagnosed with diabetes at age 8, but she had to be 12 years old to enroll. So the day she turned 12 this past September, she started bugging her parents.

"She was constantly reminding me, 'Mom, you need to call, you need to call,'" Shaheen remembers.

Her mother was only too happy to comply. There had been several middle-of-the-night close calls, plus some desperate situations at school where the staff nurse was responsible for 450 children and "ill-equipped," Shaheen says, to handle the needs of a diabetic child.

"I got a call from Elle one morning. She was in the school office and her voice was trembling, and she said 'Mom, I need you to come quick. I don't know what's wrong,'" Shaheen says. "I got there and her blood sugar was dropping like a rock. She was pale and pasty and sweating profusely and all by herself."

A glimpse of the dream

In January, Elle walked into Massachusetts General Hospital to start the trial.

Doctors fitted her for an artificial pancreas. In the future, the device will be the size of a cell phone, but for now Elle is hooked up to a laptop.

For three days, the device did the work Elle's pancreas can no longer do.

"It went very smoothly -- her blood sugar control was really very, very good," said Dr. Steven Russell, an instructor at Harvard Medical School. "We were really very pleased by what we saw with Elle."

Russell's research partner, Edward Diamano, an associate professor of biomedical engineering at Boston University, says the device learned Elle's blood sugar patterns and made changes accordingly.

"It's making adjustments every five minutes," he says.

For that one weekend, Elle didn't have to draw blood, and she could eat foods she hadn't eaten in large quantities for four years.

"She ate Spaghetti-O's and grilled cheese and french fries and hamburgers," Shaheen says. "She ate between 67 and 100 grams of carbs [every meal], and usually she can only eat between 40 and 50."

Then, after the experiment, Elle had to leave the artificial pancreas behind, and it was back to counting carbs and poking herself every couple of hours. Her mother reset the nighttime alarm clock.

"We're extraordinarily impatient for access to the device," Shaheen says. "I think it will revolutionize the way she lives."

"That was really hard," Elle says. "I just hope one day I can use it at home."

Baby steps

Last week, Russell and Damiano visited the Food and Drug Administration offices in Silver Spring, Maryland, to show regulators a prototype for the artificial pancreas.

The device itself can be worn in a pocket or clipped to a belt. Two tiny pieces go under the skin, one to detect glucose levels in the blood and another to deliver insulin and glucagon, a drug used to raise very low blood sugar.

Algorithms determine how much insulin and Glucagon the patient needs, and if necessary the patient can manually override the device.

So far, the FDA has required doctors to keep patients inside the hospital while their using the device.

The potential benefits are enormous, Dr. Charles Zimliki, who chairs the FDA's Artificial Pancreas Critical Path Initiative, testified before a Senate committee last year. But "if not properly designed, use of an artificial pancreas device in an outpatient setting can place patients at significant risk."

Russell said he hopes that by the fall, the FDA will give him permission to allow adult diabetic patients to leave the building and walk the grounds of the Massachusetts General Hospital campus accompanied by a nurse, eating as they like and using the hospital's gym.

Then by the summer of 2013, he hopes to give the artificial pancreas to children attending a summer camp.

"These are all baby steps towards what we ultimately want to do, which is give them the device and say, 'Go home and check back with us in a week,'" Russell says.

Shaheen is closely watching the proceedings at the FDA, with the help of her mother, Sen. Jeanne Shaheen, D-New Hampshire, who co-chairs the Senate Diabetes Caucus.

"We're extraordinarily impatient for access to the device," she says. "I think it will revolutionize the way she lives."

@highlight

Juvenile Diabetes Research Foundation funding 13 artificial pancreas trials

@highlight

In the future, the device will be the size of a cell phone, attached to a belt

@highlight

Algorithms determine how much insulin and Glucagon the patient needs