(CNN) -- We're often told that sharing our feelings could save our relationships from sliding into emotional breakdowns -- perhaps talking it out could also shield us from the traveling blues too.

A group of UK transport and technology experts has come together to create a new digital platform that would map the emotions of people using different types of public transport in real time in the hope of improving daily journeys.

Whether it'd be gridlock traffic, delayed buses and jam-packed trains -- or even a stress-free and smooth trip -- the goal is for passengers to be able to use a bespoke app to say how they feel about their travel, make suggestions, highlight disruptions and see what other travelers say.

The plan is to combine this data with information collected from various social media channels, like geolocated tweets, to build an intelligent tool that would offer live feedback about all kinds of journeys in different locations.

Ultimately, developers say, the aim is to use a number of sources, including weather data or information about events, to help bus and rail customers plan their journeys better and save their money and time -- and frayed nerves too.

"Being able to distil useful, actionable information from a large amount of data -- it's extremely exciting," says Mike Saunders, co-founder of Commonplace, a UK-based social enterprise startup working on the project. "It really puts passengers right at the center of the operation of existing services and the development of new ones -- not just in the sort of traditional customer service sense, but actually having customer-led services which are being responded to in real time."

Know your customers

The developers say the "sentiment mapping" project would also provide transport operators with a better understanding about the needs of their passengers and enable them to respond better in emergencies. But more importantly, they say, it would help providers to devise more effective future strategies and make bigger decision about infrastructure investments.

"What would emerge from that analysis is extra information that would allow people to develop a long term plan," says Stephen Boyd Davis, research leader at the Royal College of Art in London, who is also working on the project.

"In five or 10 years' time, I think people will look back at transport providers -- rail, bus, maybe road services as well -- and say how could you possibly run a business without knowing what your customers were doing and thinking?"

Smart transport

While the project is still in its infancy, the team unveiled Thursday morning a live tool mapping passengers' sentiment based on Twitter.

Covering the area between London and Milton Keynes, the visualization uses a mixture of glowing green and red blobs of different sizes to showcase the sentiments of the train, bus and tube passengers traveling through the region.

Every few seconds, tweets located in place pop up to unveil messages such as, "Ridiculously hot in the tube this morning," or "My bus is 15 minutes late. Hurry up bus."

The "demonstrator" went live at the opening of a UK government-backed innovation center aimed at exploring how to use emerging technologies to improve future transport systems. Based in Milton Keynes, the Transport Systems Catapult's space will bring together innovators, research and entrepreneurs to trial and develop smart mobility solutions ranging from sentiment mapping and driverless vehicles, intelligent traffic lights and improved airport data systems

"This is about how to improve journeys in the future," says David Reid, a spokesperson for the Transport System Catapult. "The way you get from A to B often involves loads of different methods of transport -- you might walk, take the bus, train, bicycle; how do you make all those different modes of transport more connected, how do we use emerging technologies like GPS, satellite technology, mobile phones, open data or sentiment mapping and how do we use these technologies to improve transport systems."

Looking ahead, Saunders says the sentiment mapping team is now in talks with interested parties about taking the project forward and potentially developing an early-stage tool within the next months.

"What's really interesting and exciting is the opportunity for technology to empower citizens to have a more effective voice in the way cities develop around them to meet their needs," says Saunders. "Smart cities need smart citizens in order to be effective."

Read this: Solar-powered roads of the future

Read this: Is your flying car finally here?

More from On the Move

@highlight

A UK team is creating a new platform for mapping people's journey sentiments

@highlight

The goal is to combine social media data with other sources to improve commuting

@highlight

Project developers say it would help transport operators understand passengers' needs