Barcelona (CNN) -- A small, wealthy region feels at odds with Spanish rule. Taxes are too high; political representation is limited; the elite feels unheard and ill-treated; unrest and popular opposition spread. Hardliners in Madrid advocate repression and have the ear of a new ruler. Turmoil ensues and escalates until a major confrontation is inevitable.

The situation in Catalonia in 2012? No.

This is the Netherlands, in the 1560s and 1570s -- another prosperous region ruled by Spain, where citizens felt that their values and way of life were not respected by Madrid policies.

What started as a minor conflict escalated until it became the Eighty Years' War. By its end, Spain had permanently lost control of the United Provinces.

So what transformed minor differences between ruler and ruled into a life-and-death struggle?

It started with a potent mix of cultural differences and opposition to high taxation. The rebellion included men like William of Orange, a State Councillor appointed to help the King of Spain in ruling the Dutch Republic. His dynasty had no intention of rebellion at all in the beginning.

Until the crisis of 1566 -- 67, leading Dutch figures like William of Orange advocated moderate policies. Protestants, according to Orange, should have the right to practice their religion, without public assemblies or services; in other words, he only advocated freedom of conscience. He also opposed armed rebellion.

Within a few short years, William of Orange came to lead the military rebellion against Spain, the only superpower of the 16th century -- a rebellion so large and tenacious that it stretched Spain's vast financial and military resources to breaking point and beyond.

In the end, Madrid had to concede that it could not win; the United Provinces gained their independence, and became one of the most economically successful countries in Europe.

What happened?

Spain reacted to the demands for religious tolerance by its subjects the way that imperial powers run by religious zealots often do -- with heavy-handed repression.

Philip II dispatched a large army under the Count of Alba to the Netherlands. Alba unleashed a fearsome military campaign against the rebels; the Counts of Horn and Egmont, who had demanded religious freedom, were executed; where cities resisted the Spanish army, they were besieged and the entire population was put to the sword (as happened in Haarlem).

Spain's attempt at military "roll back" in the Low Countries backfired. It radicalized views amongst the Dutch elite. Guilty of no crimes or acts of treason, Orange fled to Germany, fearing the worst. His properties were confiscated and his son abducted to Spain.

Faced with personal persecution from the Spanish side, Orange increasingly adopted radical policies. Eventually, he came to favor military revolt and an end of Spanish influence.

Spain's giant military machine also faltered. Unpaid troops mutinied in 1575, and committed a major massacre when they attacked the loyal city of Antwerp. Almost overnight, the three-quarters of the United Provinces that had been loyal to the King of Spain switched sides; it was the beginning of the end for Spanish rule in the Low Countries.

The Netherlands were not the only part of the Spanish Empire to break free from Spain after a revolt against high taxation and invasive rule from Madrid -- Portugal also regained its freedom in the 17th century under similar circumstances.

Today, it is the turn of Catalonia to oppose the Madrid government. Again, a population and its elite feel culturally alienated, overtaxed, and unheard. Positions are hardening quickly, on both sides.

ECB: Eurozone's reluctant leader

Conflict looks inevitable -- and may even turn bloody. The Spanish reaction to Catalan requests for greater independence today is arguably equally intolerant (but not yet as ferocious) as Philip II's attempt to subdue his Dutch subjects in the Low Countries.

Instead of political negotiations and enlightened discussions, there has been a wave of threats and a campaign of disinformation: Spain will throw an independent Catalonia out of the EU; it will saddle it with sky-high debts; it will stop buying Catalan products, or send in the tanks.

There is a shocking contrast between the way that London has dealt with Scottish demands for independence -- by allowing a referendum to go forward -- and the Spanish reaction.

If there is one lesson from history, it is simple -- repression, intimidation and intolerance typically make things worse. Massive attempts at repression can easily backfire. Spain lost control of both the Dutch provinces and of Portugal after local revolts.

The same pattern is also visible elsewhere: Irish independence became inevitable after the British government overreacted to minor skirmishes in 1916, sending in warships to bombard downtown Dublin during the "Easter Rising."

The Eighty Years' War against the Dutch Republic provided a basis for Spain's "Black Legend," a powerful form of anti-Catholic propaganda that mixed facts and exaggerations to depict Spain as a cruel, intolerant, and illegitimate power.

Any overreaction to the coming referendum on Catalan independence today has the potential to similarly blacken its image for decades to come, and to give the lie to the image of peace and prosperity that earned the European Union the Nobel Peace Prize this year.

@highlight

Catalonia is fighting for independence in Spain, which has been hit by crisis

@highlight

The situation can be compared to the Dutch revolt in the 1560s and 1570s

@highlight

Spain has reacted to demands in the past with repression

@highlight

History shows such tactics typically make things worse