LONDON, England (CNN) -- Distinguished scientist Stephen Hawking was said to be in a "comfortable" condition Tuesday after spending the night in hospital, Cambridge University said in a statement.

Stephen Hawking in Pasadena, California, in March.

The 67-year-old, who suffers from a degenerative condition, was taken to Addenbrookes Hospital in Cambridge by ambulance in a "very ill" condition on Monday.

"He is comfortable and his family is looking forward to him making a full recovery," the university, where Hawking is a professor of mathematics, said in a short statement.

Hawking -- a physicist, cosmologist, astronomer and mathematician -- is considered by many to be the greatest scientist of recent years. His numerous books include "A Brief History of Time," a global bestseller exploring the origins of the universe which also made him one of the world's best known scientists.

Hawking suffers from ALS (amyotrophic lateral sclerosis), commonly known as Lou Gehrig's Disease. ALS is usually fatal within a few years, but Hawking has lived with the disease since he was diagnosed in 1963.

ALS is "a progressive neurodegenerative disease that affects nerve cells in the brain and the spinal cord," according to the ALS Association. "Motor neurons reach from the brain to the spinal cord... to the muscles throughout the body." So when motor neurons die, the brain can no longer control muscle movement.

The disease has left him wheelchair-bound and paralyzed -- he is able to move only a few fingers on one hand. He is completely dependent on others or technology for virtually everything, communicating through a speech synthesizer.

On his Web site, Hawking has written about living with ALS. "I try to lead as normal a life as possible, and not think about my condition, or regret the things it prevents me from doing, which are not that many," he wrote.

He added, "I have been lucky, that my condition has progressed more slowly than is often the case. But it shows that one need not lose hope."  Watch Larry King's interview with Hawking in 1999 »

Sharon Matland, vice president of patient services for the ALS Association, told CNN Monday, "He is living an amazing life." She said about 350,000 people worldwide have the disease.

Hawking has been married and divorced twice. In 2004, police completed an investigation into accusations by Hawking's daughter that his second wife was abusing him. Authorities said they found no proof.

He has three children and one grandchild, according to his Web site.

Hawking was born in Oxford, England, on a date auspicious for his future career: January 8, 1942 -- the 300th anniversary of the death of astronomer and physicist Galileo Galilei.

Professor Peter Haynes, head of the university's department of Applied Mathematics and Theoretical Physics, said: "Professor Hawking is a remarkable colleague, we all hope he will be amongst us again soon."

At Cambridge, he holds the position of Lucasian Professor of Mathematics -- one of the world's most prestigious academic posts which was held from 1669 to 1702 by Isaac Newton, who laid the foundations of modern physics by discovering the universal law of gravity.

Hawking has guest-starred, as himself, on "Star Trek: The Next Generation" and "The Simpsons." He also said if he had the choice of meeting Newton or Marilyn Monroe, his choice would be Marilyn.

In October, CNN's Becky Anderson interviewed Hawking.

"Over the last twenty years, observations have to a large extent confirmed the picture I painted in 'A Brief History of Time.'" he said then.

"The one major development that was not anticipated was the discovery that the expansion of the universe is accelerating now, rather than slowing down... We live in the most probable of all possible worlds.  Watch the CNN interview »

Hawking also predicted "great dangers" for the human race and said the species would have to look beyond the earth for its long-term survival.

"I believe that the long-term future of the human race must be in space. It will be difficult enough to avoid disaster on planet Earth in the next hundred years, let alone next thousand, or million," he said.

"I see great dangers for the human race ... but I'm an optimist. If we can avoid disaster for the next two centuries, our species should be safe as we spread into space."

CNN's Jennifer Pifer contributed to this report

@highlight

Physicist Stephen Hawking "comfortable" in hospital, Cambridge University says

@highlight

Hawking was hospitalized Monday in "very ill" condition

@highlight

67-year-old suffers from degenerative condition known as Lou Gehrig's Disease

@highlight

Hawking is considered by many to be world's greatest living scientist