Fanned by scorching summer winds that feel like they're directed from a giant hair dryer, firefighters variously describe the sound of an Australian bush fire as somewhere between a freight train and a jet engine just before take-off.

Add to the mix boiling apocalyptic smoke clouds, desperate homeowners caught between fleeing or fighting the fire and sheets of fan-blasted flame that carpet whole stretches of country road, and it is little wonder that residents and firefighters regard bush fires with something approaching awe of the supernatural.

"If Steven Spielberg had come up with it as a special effect, you wouldn't have believed it," one resident of the south coast town of Huskisson told me in the wake of devastating Christmas bushfires of 2001. "At first you could only see a bright orange glow through the thick, white smoke and then, suddenly, there were flames 100 feet high.

"They arched right over the road and set the trees alight behind my house. They were burning like candles."

The flames, almost freakishly, left his home unscathed.

Unpredictable and capricious, bush fires are an erratic phenomenon -- houses burn but kitchen tables are left intact, garages burn to the ground leaving cars inside untouched.

For Andrew Sullivan, however, head of the Bushfire Dynamics and Application Group at the Australian science unit CSIRO, the explanations for bush fire behavior are more the stuff of science than science fiction.

"Quite often what you get reported in the media are firefighters who are extremely stressed trying to put into words things they've witnessed, and interpreted by journalists who are keen to elaborate on the 'magic' of the situation," Sullivan told CNN.

"The thing to understand about fires, particularly landscape fires such as bush fires, is that they do follow physical processes ... where a fire appears to burn some houses and not others, there is a reason for that and that was because there was less fuel or a disconnection in the fuel."

He said after the fact, ordinary explanations can often come to light.

"While seeing one house standing in a row of burnt houses may look surprising, when the fire was actually burning you learn sometime later there was someone there to put the fire out," Sullivan said. "There are some very pedestrian explanations for what could be construed as supernatural events."

He said what is unique to Australian bush fires -- as against wildfires in the U.S. or forest fires in Europe -- was their ability to throw "spot fires:" that is, carry embers on the wind and start fresh fires at a massive distance from the fire front.

"The longest distance that an Australian bushfire can 'spot' is about 30 kilometers," Sullivan explained, adding that it was one of the primary reasons that fighting fires in Australia is so difficult.

"Spot fires are the result of burning debris lofted in the convection column of a fire being transported up to a great height, falling out of the convection column and transported downwind.

"There's a great potential for them to start new fires -- it allows bush fires to overcome breaks in fuel and topography.  Spot fires can jump rivers or ridges -- the fire throws spots over the break, those spots coalesce and form a new fire and off it goes."

He said one of the phenomena that his unit was studying was the ability for fires to restart -- known as "escaped fires" --  in some cases days after firefighters believe they've been extinguished.

"To all intents and purposes it looks like the fire has gone out but when there's a change of wind direction, there's always residual heat in the char fuel," he said. "One of the biggest issues firefighters face is major changes in wind direction. One of the biggest causes of bush fires in Australia are 'escaped' fires."

He said the burnt fuel can sometimes retain heat for long periods -- even without oxygen -- and has many of the qualities of peat fires, which burn underground for months.

"The ability to black out a fire edge takes an awful lot of effort and an awful lot of water because you've got this charring process that can retain residual heat for a long time, and that charring process is anaerobic -- it doesn't need oxygen."

While firebreaks -- meeting the fire with a countervailing controlled fire running in the opposite direction -- are one solution, Sullivan says old fashioned vigilance is the only solution to Australia's perennial bushfire seasons.

"You need to keep an eye on an area that was previously thought to have been put out," he said.

With the pattern of bad fire weather recurring during the fire season, he said new fires are sparked by old fires with depressing regularity.

"During this fire season it happens twice a week -- every Thursday and Sunday it just flares up again."

@highlight

Unpredictable and capricious, Australia's bush fires are an erratic phenomenon

@highlight

Australia's science unit CSIRO says bush fires are unique in their ability to throw 'spot fires'

@highlight

Spot fires can sometimes flare up as far as 30km away from the main fire front

@highlight

Escaped fires are fires that flare up again once the original blaze was thought to have been extinguished