President Barack Obama didn't know the United States was collecting communications of allied leaders such as German Chancellor Angela Merkel, the chairman of the Senate Intelligence Committee said on Monday.

Moreover, Sen. Dianne Feinstein of California said in a statement that her panel was unaware of the sweeping intelligence effort and said that the White House had told her that such data collection "will not continue."

Feinstein's overall comments confirmed recent news reports on the National Security Agency electronic surveillance network revealed in classified leaks by former agency Agency contractor Edward Snowden.

Separately, Director of National Intelligence James Clapper said late Monday that he was authorizing the release of more details about the government's collection of telephone records under the Foreign Intelligence Surveillance Act, in an effort to show the extent the spying program was overseen by a secret federal court and Congress.

Clapper testifies on Tuesday before the House Select Intelligence Committee about the program.

The documents date mostly to 2009, when the administration was pushing lawmakers to reauthorize sections of the Patriot Act that were set to expire.

House committee to question spy chiefs about phone tapping allegations

One document from 2011 notifies the House and Senate intelligence and judiciary committees of the NSA's testing in 2010-2011 of a program to collect cell phone tower data that could track mobile phone users. The NSA acknowledged this month that it tested such collection but discontinued it.

The document says the Justice Department prepared a memorandum authorizing the program, which the document said fell legally within guidelines of another existing program under Section 215 of the Patriot Act.

Most of the newly-declassified documents describe the aggressive push by the NSA, the Federal Bureau of Investigation and the Justice Department for lawmakers to save the bulk telephone-data collection effort, known as the 215 program, because it was important for their efforts to thwart terrorist threats. Lawmakers were urged not to discuss the classified program for fear it would hurt national security, the documents show.

With the latest revelations from Snowden threatening to roil diplomatic relations in Europe, South America and elsewhere, the Obama administration maintained its firm and consistent response to all seeking answers -- we're not admitting anything, but we'll change it for the better.

"I'm not here to talk about classified information. What I am confirming is the fact that we're undergoing a complete review of how our intelligence operates outside of the country," the President told Fusion TV.

"We give them policy direction, but what we've seen over the last several years is their capacities continue to develop and expand, and that's why I'm initiating now a review to make sure that what they're able to do doesn't necessarily mean what they should be doing," he said.

The latest protest

Spain became the latest to protest, summoning U.S. Ambssador James Costos for a Madrid meeting Monday to discuss an El Pais newspaper report that quoted unnamed sources as saying the NSA spied on Spanish officials and politicians.

Much of the focus is on expanded surveillance under the Patriot Act passed in the aftermath of the September 11, 2001, terrorist attacks.

Snowden's leaks in June have led to continued reports of collecting millions of phone and Internet records from around the world, as well as the reports of monitoring communications of governments and even leaders in Germany, Brazil and other countries.

Obama did not learn until recently of the NSA surveillance of other world leaders, including allies, a senior administration official told CNN on Monday. However, other officials said the president or at least his White House staff did know about it.

NSA spying claims: Five things you need to know

White House spokesman Jay Carney refused to discuss particular reported operations on Monday, but went on at some length on changes ordered by Obama in response to the Snowden leaks, including a review of surveillance programs to be completed in December.

"There are a number of efforts under way that are designed to increase transparency, to work with Congress to look at reforms to the Patriot Act, to look at ways that we can increase oversight and increase constraints on the authorities provided by these programs," Carney told reporters.

Without confirming any of the news reports about alleged U.S. spying on foreign leaders, Carney also said that also was being addressed.

"There's a review under way that will look at, among other issues, some of the very specific things with regards to intelligence-gathering, including matters that deal with heads of state and other governments," he said.

The Wall Street Journal reported on Sunday that the president was unaware of the full scope of the surveillance programs involving heads of state.

A senior administration official confirmed some of the details in the newspaper's report. In particular, the official said the White House didn't learn of all of the surveillance programs until its internal review over the summer, after which some of them were stopped.

The targeting of Merkel's phone did not end until more recently, the official said.

Saying Feinstein's statement was not completely accurate, a senior administration official said some changes have been made but they are not across-the-board changes in policy like terminating intelligence collection aimed at allies.

Another U.S. official said Obama, like every president, received detailed documents on the framework of the programs as part of his briefing when he took office in 2009.

One of the programs targeted leaders in specific countries, which would have been a focus of the briefing, according to the official.

Another senior administration official argued the president approves a set of intelligence priorities, and then it's the responsibility of his administration to determine how to carry those out, making it unreasonable to expect Obama to know every detail of exactly how that happened.

"I really doubt he had to sign off on something like that or get into the details," said a former senior administration official who worked on national security for the Obama White House.

To Feinstein, the fact that neither Obama nor her committee knew about the program was a "big problem."

"As far as I'm concerned, Congress needs to know exactly what our intelligence community is doing," her statement said. "To that end, the committee will initiate a major review into all intelligence collection programs."

White House: Reviewing surveillance of allies

Merkel said last week that reports of American spying on her and other leaders had "severely shaken" relationships between the United States and European nations.

The German leader said she told Obama last week that eavesdropping among friends "is never acceptable."

Carney repeated Monday the White House line that Merkel was not being monitored now and would not be in the future -- without saying whether she had been targeted in the past.

Also Monday, Sen. Susan Collins, a member of the Senate Intelligence Committee, said she knew of "no justification for the Administration's collection of intelligence on the leaders of our closest allies," such as Merkel.

"I will be seeing the German Ambassador tomorrow night and will express directly to him my belief that it was wrong for the Administration to engage in monitoring of the Chancellor's telephone calls," she said in a statement.

Should the president know wiretap details?

Separately, the NSA on Sunday denied a report by the German newspaper Bild am Sonntag that NSA Director Keith Alexander told Obama about the surveillance of Merkel in 2010.

"Gen. Alexander did not discuss with President Obama in 2010 an alleged foreign intelligence operation involving German Chancellor Merkel, nor has he ever discussed alleged operations involving Chancellor Merkel," NSA spokeswoman Vanee' Vines told CNN.

German intelligence officials are scheduled to meet with their American counterparts in Washington this week to ask about surveillance programs.

Other news media reports, based on documents leaked by Snowden, have said the NSA monitored the communications of the leaders of Brazil and Mexico.

Germany and Brazil are drafting a United Nations resolution on privacy in electronic communication, officials in those countries said last week.

Report: NSA monitored 60 million Spanish calls in 30 days

The Spanish newspaper El Mundo reported Monday that the NSA collected data from 60 million phone calls in Spain in one 30-day period.

One of the authors of the El Mundo article was Glenn Greenwald, the journalist who first reported on documents supplied by Snowden for the British newspaper The Guardian.

The El Mundo article cited what it said was an NSA report titled, "Spain -- last 30 days." The 60 million calls were not recorded, but the NSA collected serial numbers of devices, phone numbers, locations and durations of calls, the newspaper said.

In an interview Monday with CNN, Greenwald denied assertions by U.S. officials that the surveillance program was purely for security reasons.

"None of this has to do with terrorism," he said. "Is Angela Merkel a terrorist? Are 60 or 70 million Spanish or French citizens terrorists? This is clearly about political power and economic espionage and the claim that this is all about terrorism is seen for what it is all around the world, which is pure deceit."

Carney denied any economic motivation, telling reporters that "we do not use our intelligence capabilities for that purpose."

"It's very important to recall, too, that we have extraordinarily strong and important intelligence and security relationships with our allies," he said, adding that the White House review of surveillance issues would "look at how we can better balance our security needs, and the security needs of our allies, against the real privacy concerns that we all share."

In Spain, a Foreign Ministry statement said Monday that in the meeting with Costos, the government "conveyed to the United States the importance of preserving a climate of confidence" in bilateral relations, adding that "some practices, which if they are true, are inappropriate and unacceptable between partners and friendly nations."

A statement by Costos repeated the administration's past statements that the surveillance policies are under review. It said the policies have "played a critical role in protecting citizens of the United States" and played "an instrumental role in our coordination with our allies and in protecting their interests as well."

"We will continue to confer with our allies, such as Spain, through our regular diplomatic channels to address the concerns that they have raised," the Costos statement said. "Ultimately, the United States needs to balance the important role that these programs play in protecting our national security and protecting the security of our allies with legitimate privacy concerns."

The French daily newspaper Le Monde reported last week on claims that the NSA intercepted more than 70 million phone calls in France in 30 days. That report did not specify whether the calls were recorded or whether the interceptions were limited to data about calls.

@highlight

Review under way of how intelligence operates outside of the country, Obama says

@highlight

Feinstein says Washington stops surveillance of allies, administration says not totally accurate

@highlight

Sources differ on when the White House learned of foreign leader phone taps

@highlight

White House learned of foreign leader phone taps only this summer