On April 26, 1986, the Chernobyl Nuclear Power Plant's reactor No. 4 blew up after a cooling capability test, and the resulting nuclear fire lasted 10 days, spewing 400 times as much radiation as the bomb dropped on Hiroshima. To date, it's the world's worst nuclear accident. The 2011 Fukushima meltdown, of course, is still playing out -- but actually, so is Chernobyl.

Nearly 28 years after the disaster, Reactor No. 4 simmers under its "sarcophagus," a concrete and metal cover hastily built after the accident. It's now cracked, rusted and leaking radiation. A partial roof collapse last February sent reverberations of fear throughout the world. As well it should have. With 200 tons of lava-like radioactive material still below the reactor, and the  "New Safe Confinement" aimed at containing and protecting it not scheduled for completion till 2015 (already 15 years overdue) this story of nuclear disaster is in its early chapters.

Today, Chernobyl's soil, water, and air are among the most highly contaminated on Earth. The reactor sits at the center of a 1,000-square-mile "Exclusion Zone," a quarantined no-man's land complete with border guards, passport control and radiation monitoring. Inside the Zone are hundreds of unmarked (and un-mapped) burial sites where machinery from the cleanup after the 1986 accident was dumped.  These days, Ukraine's four other nuclear power plants also dispose of their spent fuel inside the Zone.

It's real, and it's scary.

TED.com: The deadly genius of drug cartels

But amidst the complicated real-life calculations and compromises -- where science and politics meet to duke out the viability of nuclear energy -- the long, deep, human parable of Chernobyl is often lost. That story is partly embodied in an unlikely community of some 130 people, called "self-settlers" who, today, live inside the Chernobyl Exclusion Zone.

Almost all of them are women, the men having died off due to overuse of alcohol and cigarettes, if not the effects of elevated radiation.  About 116,000 people were evacuated from the Zone at the time of the accident.  Some 1,200 of them did not accept that fate. Of that group, the remaining women, now in their 70s and 80s, are the last survivors of a group that defied authorities -- and it would seem, common sense -- and illegally returned to their ancestral homes shortly after the accident.

I've been filming and interviewing this unlikely community since 2010.

The Zone's scattered ghost villages are silent and bucolic, eerie and contaminated.  Many villages were bulldozed after the accident, others remain -- silent vestiges to the tragedy, and home to the ubiquitous wild boar. Still, other villages have 1 or 2 or 8 or 12 babushkas, or babas -- the Russian and Ukrainian words for "grandmother" -- living in them.

One self-settler, Hanna Zavorotnya, told me how she snuck through the bushes back to her village in the summer of 1986. "Shoot us and dig the grave," she told the soldiers who nabbed her and other family members, "otherwise we're staying." Then she handed me a chunk of warm salo --- raw fat -- from her just-slaughtered pig.

TED.com: What I discovered in New York City's trash

Why would they choose to live on deadly land? Are they unaware of the risks, or crazy enough to ignore them, or both? It's hard for us -- especially Westerners with deeper connections to our laptops than any piece of soil -- to understand. But these women see their lives in a decidedly different way.

When I asked Hanna about radiation, she replied: "Radiation doesn't scare me. Starvation does."

It's all about context.

They lived through Stalin's Holodomor -- the genocide-by famine of the 1930s that wiped out millions of Ukrainians -- and then the Nazis in the1940s. Some of the women were shipped to Germany as forced labor. When the Chernobyl accident happened a few decades into Soviet rule, they were simply unwilling to flee an enemy that was invisible.

So long as they were well beyond child bearing, self-settlers were allowed to stay "semi-illegally." Five happy years, the settlers logic went, is better than 15 condemned to a high-rise on the outskirts of Kyiv. The residents of the Chernobyl region are forest-dwelling steppe people of Ukraine's Polesia region and did not adapt well to urban environments. There is a simple defiance common among them: "They told us our legs would hurt, and they do," one 80-year-old woman told me. "So what."

TED.com: Why our universe might exist on a knife edge

What about their health? There are benefits of hardy living from the land -- but also complications from an environment laced with radioactive contaminants, such as cesium, strontium and americium. Health studies vary. The World Health Organization predicts more than 4,000 deaths will eventually be linked to Chernobyl.

Greenpeace and others put that projection into the tens of thousands. All agree thyroid cancers are sky high, and that Chernobyl evacuees have suffered the trauma of relocated peoples everywhere, including anxiety, depression,

Radioactive contamination from the accident has been death-dealing, to be sure, but relocation trauma is another, less-examined fallout of Chernobyl.  Of the old people who relocated, one Chernobyl medical technician, whose job is to give annual radiation exposure tests to zone workers  said: "Quite simply, they die of anguish."

Home is the entire cosmos of the rural babushka, and connection to the land is palpable.  They told me: "If you leave you die," "Those who left are worse off now. They are all dying of sadness," "Motherland is Motherland. I will never leave."

TED.com: Architecture at home in its community

Curiously, what sounds like faith may actually be fact.  There aren't studies to refer to (after all, semi-legal marginalized old women living on radioactive land are hardly a civic or research priority) but  surprisingly  these women who returned home have, according to local officials and journalists who have kept track of them, seem to have outlived their counterparts who accepted relocation -- by some estimates, up to 10 years.

How could this be? Certainly, their exposure at an older age put them at smaller risk.  (Young animals -- and I'm including humans here -- are more severely affected by radiation.)  But let's consider a less tangible though equally powerful idea. Does happiness affect longevity? Is the power of motherland, so fundamental to that part of the world, palliative?  Are home and community forces that can rival even radiation? I believe so. And unfailingly, so do the babushkas of the Zone.

Radiation or not, these women are at the end of their lives. But their existence and spirit will leave us wondering about the relative nature of risk, about transformative connections to home, and about the magnificent tonic of personal agency and self-determination.  They are unexpected lessons from a nuclear tragedy.

@highlight

Holly Morris:1986 Chernobyl nuclear accident world'' worst. Area still highly contaminated

@highlight

She says thousands relocated rural Chernobyl to city, but 1,200 defiantly came back to live

@highlight

Most are babushka's, unwilling to be displaced from even an irradiated homeland

@highlight

Morris: They tend to outlive those who left. Why? Personal agency? The tonic of home?