(CNN) -- We have a tendency, when things in the news get bad, to tell ourselves that it's never been quite this dismal before.

We are tempted, when disputes become particularly acrimonious, to believe that the current bitterness is unprecedented.

So it's beneficial, once in a while, to look at our current problems in light of what has gone before.

And to remember just how much the United States has endured.

The newspaper USA Today reported last week that there has been a sharp increase in the unemployment rate for male veterans of the Iraq and Afghanistan wars. The paper said that such unemployment has tripled since the recession began, having reached 15 percent last month. More than 250,000 of the male veterans were said to be unemployed last month, with another 400,000 having left the workforce for various reasons: to raise children, or attend college, or because they have just stopped trying to find work.

Joe Davis, a spokesman for the Veterans of Foreign Wars, said: "It makes you almost want to go out and rip off all the 'Support Your Troops' bumper stickers. If you want to support your troops, give them a job."

Can't argue with that. After what American soldiers, sailors, airmen and Marines are asked to sacrifice, there is something melancholy about the thought of them coming home and having trouble finding a way to support their families.

The nation is likely to work on a solution to this honorably and in good faith.

There was a time, during parallel circumstances, when that wasn't the case. It was one of the darkest moments in American history, and few people speak about it anymore.

The shorthand for it was "the Bonus Army."

In the spring and summer of 1932, with the Great Depression gripping the country, tens of thousands of World War I veterans and their families gathered in Washington to demand what they felt they had been promised. They set up shantytowns, and vowed to stay put until their entreaties were met.

The federal government had, in 1924, issued service certificates -- redeemable for bonuses -- to the soldiers who had returned from World War I. The certificates were intended to reward the veterans for the time they had spent fighting for their country. They were like long-term bonds -- they could not be redeemed until 1945.

But something happened between 1924 and 1932: The economy collapsed. Poverty and joblessness were everywhere. The veterans, many of them hungry and destitute, came to Washington asking Congress to allow them to collect their bonuses early.

It didn't happen. The U.S. Senate voted down the bill.

So there were the military veterans, amassed in the nation's capital. Out of money, out of luck, almost out of hope, they refused to leave. The government ordered their evacuation. Many of the veterans resisted; the police shot and killed two of them.

With that, the president of the United States, Herbert Hoover, fearing that radicals had infiltrated the veterans, ordered the Army to take over the involuntary evacuation.

And this country was confronted with the news that the Army was moving against the old soldiers.

At the highest level of the Army assigned to the task were men who would later become extraordinarily famous. Gen. Douglas MacArthur was in command; Maj. Dwight D. Eisenhower was the go-between with the local police force; Maj. George Patton was in charge of the cavalry.

Bayonets were drawn; tanks and soldiers on horseback advanced into the crowds; acrid gas was unleashed on the protesting veterans; the makeshift camps were torn down. Even though President Hoover didn't want it to happen, MacArthur sent his troops across a bridge to the site of the veterans' main living quarters. A fire broke out; it was never determined with certainty who set it, but there it was: the American veterans' cobbled-together homes in flames, as the Army drove them out.

There was no television back then; it is almost impossible to fathom what would have happened if the country had been able to see, live, the military moving relentlessly against former members of the military who were asking for the means to survive.

As rugged as the economy is now -- and as difficult a time as some veterans are having as they look for work in a dismal hiring environment -- no one foresees a day when soldiers will again be ordered to roust former soldiers and their families.

Later in their lives, MacArthur, Eisenhower and Patton all lamented, with varying degrees of emotion, having had to play a role in driving the Bonus Army out of Washington. Their commander in chief had decreed that it must be done, so they carried out his orders.

We've come a long way since then; no president with an eye toward his legacy would order the Army to do such a thing, and it's hard to believe that military officials would not, behind closed doors, try everything in their power to avoid having to use American troops that way.

But as much as things have changed, certain truths haven't. We ask our soldiers, in times of war, to cross the oceans and fight in our name. When they come home -- those who do come home alive -- we tell them, in bad economic times, that the jobs for them are just not there.

If our soldiers want to work, we owe it to them to make it easier for that to happen. There may never again, we should hope, be a Bonus Army camped in the streets of Washington, pleading for help. The best way to prevent such a sight is to provide the help before the despair of the unemployed veterans reaches that breaking point. You might call it our patriotic duty.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

People have a tendency to think we live in the worst of times, says Bob Greene

@highlight

He says we have a serious problem with unemployment among veterans

@highlight

Still, today's troubles don't equal the woes of the early 1930s, Greene says

@highlight

He says jobless veterans protesting in 1932 were chased out of Washington by U.S. Army