Washington (CNN) -- When President Barack Obama signed the Affordable Care Act into law, it was clear he would face an uphill battle defending the law and communicating its benefits to the American public.

In the months leading to passage, we heard cries of rationing, death panels and blatant mischaracterization of what is in the bill.

Since passage, the cries have shifted from rationing to repeal. Efforts to repeal the law have been highlighted by the self-proclaimed "Young Guns" of the GOP -- House Minority Whip Eric Cantor of Virginia, Rep. Paul Ryan of Wisconsin and Rep. Kevin McCarthy of California. President Obama should not be fazed by this or any other calls for repeal. He should do the job he was elected to do and protect patients' interests, but he will need to face a confused public.

In a recent national survey conducted by the National Association of Insurance Commissioners, only 14 percent of respondents correctly identified September as the starting month for the law's first set of patient protections. Less than half understood that health reform would allow for them to receive preventive care services without having to pay anything. Even fewer could specifically identify other important provisions that started on or after September 23, 2010.

Moreover, a recent Associated Press poll found that a quarter of Americans believe incorrectly that the law designated a panel of government bureaucrats to make decisions about health care for individuals.

The confusion and apathy surrounding the health care reform law leaves ample opportunity for others to mischaracterize and foster doubt, energizing and exciting the repeal platform. The unwavering confidence of dissenters is stronger than a mere promise of good.

But health care reform will not be repealed, and despite messy politics and angry voices, policymakers, providers, insurance companies and other stakeholders are moving quickly to implement the bill.

To override a presidential veto would require a two-thirds majority in the House of Representatives and in the Senate. But even according to the GOP's most optimistic forecasts, Republicans cannot expect to achieve a supermajority in both chambers in November.

Republicans may expect to block funds or repeal small parts of the bill. But even that isn't as simple as it sounds. Last week, the Senate voted on two amendments regarding the 1099 provision in the Affordable Care Act introduced by two senators, one by Sen. Mike Johanns, a Republican from Nebraska, and another by Sen. Bill Nelson, a Democrat from Florida.

The 1099 provision requires that businesses report all purchases from vendors over $600, creating a significant burden on small businesses. The Republicans wanted to repeal the provision; Democrats wanted to change it. Neither amendment was able to muster enough support.

But more importantly, a repeal of health care reform, followed by a replacement with a more modest set of changes, is tantamount to leaving millions of patients in a state of free fall, with no net to catch them. As a physician, I see the consequences of uninsurance and a broken health care system every day.

Frustrated patients, crowded emergency rooms and burdensome insurance requirements are driving good physicians into other professions and making patients feel hopeless. Our system was not working, and we cannot afford to quietly stand by while one in seven lack access to basic care and one in six people live in poverty.

It would be unfortunate if our country kept listening to ideological shouting and failed to understand the value of the important provisions in the law.

Health reform starts at birth -- health plans will no longer be able to refuse to cover children younger than 19 simply because they were born with a medical condition. From birth through your 26th birthday, you can stay on your family's health insurance plan, regardless of your income or marital status.

For female readers of childbearing age, you no longer need a referral to see an OB-GYN doctor. From there, adults and seniors will no longer have cost-sharing provisions for preventive services. And what is a preventive service exactly? There are at least 45 services that will be covered, including everything from nutrition counseling to cancer screening. Last but not least are the elimination of lifetime caps and the gradual elimination of annual coverage limits.

Together this all adds up to more patient protections than we have ever had, and this is just the beginning. Keep in mind that some of these provisions will not technically kick in until your health plan starts the new plan year, which usually happens in January. But do not wait until then to get your information; search your plan's website and talk to your employer's human resource department or benefits manager.

The real verdict on health reform will likely come in 2014 when an expected 32 million people will be added to insurance exchanges, state Medicaid programs and other private insurance plans. The pathway from here to there is long and filled with many speed bumps, but information, transparency and advocacy are our best friends.

As patients, we should ask questions and not be afraid to challenge our health care system, insurance companies and government officials when we are left feeling confused or misguided.

As medical providers, we must not compromise our responsibility to first do no harm. We should begin by asking our patients what they do and don't understand and by helping them navigate these uncharted waters together.

As Americans we need to send a strong signal to Republican and Democratic leaders that repeal and replace is not an option.

The opinions expressed in this commentary are solely those of Kavita Patel.

@highlight

Republicans are pledging to repeal the health care reform law

@highlight

Former White House aid Kavita Patel says public isn't aware of key benefits of law

@highlight

She says the law provides more consumer protections than patients have ever had

@highlight

Patel: Law will provide insurance coverage for 32 million more people in 2014