Earlier this year, I traveled to the Netherlands to report on a place that had captured my imagination. It is an entire village, where every single resident has severe dementia. Crippled by the prospect of putting their own parents into extended care facilities, two Dutch nurses decided to conduct an experiment: build a village for people with dementia and introduce a new level of humanity to the last few years of their lives.

The result is a cutting-edge medical village, called Hogewey. It's the only place of its kind, on its scale, anywhere in the world. All of the residents have dementia. Everyone else, however, from the barber at the local salon to the chefs in the restaurants carry out their regular jobs in addition to being trained as specialized health workers. I have never seen anything like it in the world.

The media are rarely allowed inside, in an effort to minimize the disruption of the residents' daily lives, but we were granted access in late March.

We don't talk about dementia nearly enough as a society, and I know it can be uncomfortable to imagine yourself or a loved one in that position. But these conversations do need to happen, more than ever. When you consider the developed world, the number of people living with dementia is expected to double by 2030 and triple by 2050.

As things stand now, people with dementia are largely ignored. They live in non-descript buildings and anonymous wards with lots of white coats, non-stop blaring television, and superfluous sedation.

But what if more of those wards could look like the picturesque village of Hogewey? An entire village dedicated to caring for people with dementia. Here are 5 things I learned on the inside.

1. Safety first!

Six of out 10 people with Alzheimer's disease will wander and become lost, according to the Alzheimer's Association. Fortunately, at Hogewey, getting lost isn't a concern. There's only one way in and one way out of the village -- and that doorway is kept staffed and locked 24 hours a day.

Yvonne van Amerongen, one of Hogewey's founders, told me even the residents who make it to this door aren't necessarily trying to leave. Like many people with dementia, they simply see a doorway and want to walk through it. Most of the time, all a staff member has to do is suggest to the resident that the door is broken, and perhaps they should try another. I witnessed with my own eyes as residents simply turned themselves around and walk back in the other direction.

To that end, there are other safety modifications in place. An elevator -- something you or I can operate without much thought -- might prove perplexing to someone who suffers from severe dementia. At Hogewey, when a resident walks up to the elevator, a motion sensor summons the elevator, opens the door, and automatically takes the resident to the other floor when they step inside and trigger a weight sensor.

2. Music makes the world go 'round

It's been shown in study after study: music is processed differently in the brain than many other sounds. The words and lyrics are activated on the left side of the brain in the language areas, while the tune and melody are more right brained. Long after patients with dementia lose the ability to carry out a conversation, they can still nod their heads, clap their hands, and stamp their feet. I even saw one very quiet man, Ben Picavet, suddenly start singing along to some traditional Dutch music while his wife, Ada, played the piano.

"We can't talk anymore about everything, but with singing... you can make a good concert together," Ada said. "For me, that's very important."

Music brings joy to the residents' lives. They're able to remember classic Dutch songs they learned when they were children, even if they have difficulty remembering much about their current day.

Find out more about the 'Dementia village'

3. Resist the urge to correct a person with dementia

The toughest conversation I had while at Hogewey was with a resident named Jo Verhoef. She was charming and animated, with a smile that warmed the entire room.

At nearly 90 years old, Jo was still under the impression that she held a daily job, though she couldn't recall what it was.

"Tomorrow," she told me, "I'll know it, and I'll have to go to it."

Additionally, not only was she under the impression that her parents were still alive, but furthermore that she had just seen them the day before.

I asked resident social worker Marjolein de Visser about her strategy when it comes to correcting confusion like this.

"It depends on the phase of dementia," she said. "In the beginning, you can ask, 'Well, how old are you?' And someone says, 'I'm 84.' You say, 'How old would your parents be?' And they can think, 'Oh, that doesn't make sense.'"

Marjolein says the one absolute no-no when dealing with people with dementia is correcting them.

"If one person is having breakfast and they already had breakfast but want it again, you can't say, "No, you can't. You've already had breakfast" He won't know, so why would you say it?" she told me.

The memories are fading and their sense of judgment and logic has become impaired.

4. Always keep up appearances

One of the most productive things you can do to help keep a person with dementia from feeling lost, frightened, or agitated is to help them live as familiar a life as possible.

To that end, at Hogewey, residents live in one of seven different "lifestyle" categories: religious, cultural, urban, homemaker, trade/craft, upper class, and Indonesian. The moods evoked by the furnishing, decoration, and art in each home create an experience reminiscent of each individual's formative years.

Residents are also scheduled for regular appointments with the village hairdresser, Ingrid Scheermeijer. She told me when the residents simply get their hair combed, it has a calming effect. They feel as if they're being cared for and pampered.

"Sometimes I have customers that come in very unhappy," she told me. "They look in the mirror, and they feel good. I think it's very important."

5. Hand holding is good for the heart and head

I spent the majority of my time at Hogewey with two couples, Ada and Ben Picavet, as well as Corrie and Theo Visser. Throughout my interviews with each pair, they sat holding hands.

"It's not possible to talk about everything (anymore)," Ada told me, "but we still have this possibility."

"It's the way we communicate," Theo said. "She squeezes whenever she sees something or feels something. We spend the whole day like this."

Theo told me his marriage is the best it's been in nearly 60 years.

@highlight

Gupta: 'Dementia village' is one of the most humane things I've seen

@highlight

Keeping up appearances helps residents cope

@highlight

Music and hand holding keep residents comforted, calm

@highlight

A safe environment is key