(CNN) -- Pope John XXIII and Pope John Paul II are to be made into saints this weekend in an unprecedented double papal canonization.

While millions across the world remember John Paul II affectionately, John XXIII -- known as "The Good Pope" -- may not be as familiar. Here are five things you need to know about the much-loved pontiff.

1. He was born in poverty -- and proud of it

Angelo Giuseppe Roncalli, the man who would become Pope John XXIII, was the third of 13 surviving children born to a family of farmers in the tiny village of Sotto il Monte, near Bergamo, northern Italy in November 1881.

Roncalli left home to study for the priesthood at the age of 11, but even after he became Pope in 1958 at the age of 76 he eschewed the trappings of his position, and refused to take advantage of it either for himself or his family.

In his last will and testament, Pope John XXIII wrote: "Born poor, but of humble and respected folk, I am particularly happy to die poor.

"I thank God for this grace of poverty to which I vowed fidelity in my youth... which has strengthened me in my resolve never to ask for anything -- positions, money or favors -- never either for myself of for my relations and friends."

When John XXIII died in June 1963 he was mourned around the world as "Il Papa Buono" ("The Good Pope"). He left his personal "fortune" to the surviving members of his family -- they each received less than $20.

2. He saved the lives of Jews fleeing the Nazis

Roncalli broke off from his religious training during the First World War to serve as a medical orderly and later as a military chaplain.

During the Second World War Roncalli, by then an archbishop, was serving as head of the Vatican's diplomatic mission to Turkey, and as a Vatican diplomat in Greece.

While there, he helped saved the lives of many Jews fleeing the Holocaust, providing them with transit visas and other vital paperwork which allowed them to leave Europe.

In recognition of his efforts, the International Raoul Wallenberg Foundation has petitioned Yad Vashem, the official memorial to the Jewish victims of the Holocaust, to name John XXIII as one of the "Righteous Among Nations," non-Jews formally recognized for risking their lives to save Jews.

Once he became Pope, John XXIII worked to improve relations between Roman Catholics and other faiths; one of his reforms was to have the phrase "perfidious Jews" removed from the traditional Good Friday prayer.

3. Strictly speaking, he wasn't the first Pope John XXIII

That honor belongs to Cardinal Baldassare Cossa, one of a series of claimants to the papal throne during the late 14th and early 15th centuries, when the Roman Catholic church was bitterly divided by the Western Schism.

The split, which lasted from 1378 till 1418, saw rival Popes elected by separate factions of the church. Cossa was named Pope John XXIII in 1410, but he was forced to abdicate -- alongside Popes Gregory XII and Benedict XIII -- five years later to heal the divide.

Today, Pope Gregory XII is considered the only true pontiff from that period: Benedict XIII, John XXIII and his predecessor Alexander V are all regarded as "Antipopes," which is why Roncalli became John XXIII, and not John XXIV when he was elected pope.

4. Pope John XXIII played a key role in the Cuban Missile Crisis

In October 1962, with the U.S. and Russia teetering on the brink of nuclear war, Pope John XXIII helped to bring both countries back from the edge, urging President John F. Kennedy and Russian leader Nikita Khrushchev to exercise restraint.

During a message broadcast on Vatican Radio at the height of the crisis, the pontiff pleaded: "We beg heads of state not to remain deaf to the cry of humanity: 'Peace, peace!'"

"I've heard that it [the message] got to Khrushchev," Cardinal Theodore McCarrick, former Archbishop of Washington, told CNN. "The Pope is looking for peace, and why don't you be the man of peace? And he said 'OK, I'll be the man of peace.'"

Days after the Pope's address, Khrushchev began withdrawing Russian missiles from Cuba, defusing the crisis. Months later, John XXIII published the encyclical "Pacem in Terris" ("Peace on Earth"), addressed "to all men of good will" and calling on the world's populations to coexist in harmony.

WATCH: When JFK called on the Pope for help

5. Unlike other saints, Pope John XXIII only performed one miracle

Under the normal beatification and canonization process, a person who has lived a holy and virtuous life is first declared "venerable," then "blessed" and finally named as a saint. Candidates for sainthood must be shown to have performed two miracles.

Pope John Paul II, who is to be canonized at the same time as John XXIII, is said to have cured a French nun of Parkinson's disease, and a Costa Rican woman of a cerebral aneurism.

However, John XXIII has only been credited with one miracle. Instead, the decision to canonize him is based on his huge popularity, and on his role as the "founder" of the Second Vatican Council (Vatican II), according to experts.

"There already was one miracle certified for his beatification in 2000," Vatican analyst John Allen explained to CNN in September 2013. "Pope Francis has decided he doesn't have to pass go, doesn't have to collect $200, he can go directly to sainthood."

Indeed, some would say that his canonization is already long overdue.

In its entry on "the roly-poly pontiff... [who] became a kind of father figure for the world," the Encyclopaedia Britannica notes that "had the ancient custom of popular canonization still been in effect in 1963... that favour would probably have been given to him immediately by the tearful crowd who were gathered in St Peter's Square when his death was announced."

@highlight

Pope John XXIII is to be canonized, or made into a saint, in the Vatican on Sunday

@highlight

Known as "The Good Pope," he reigned from 1958 until his death in 1963

@highlight

He was born in poverty and said he was happy to die poor; he left relatives $20 in his will

@highlight

Elected as an "interim" pope, he instead proved the most daring pontiff in decades