(CNN) -- Where "global knowledge" was once essential for leaders, IBM's 2010 Global CEO Study cited "creativity" as the most important leadership quality for the future. This is one of many signals that the business world is evolving out of the "Information Age," where left-brain technical skills, knowledge and expertise were king.

In "A Whole New Mind: Why Right Brainers Will Rule the Future," Daniel H. Pink asserts that current global conditions -- abundance, Asian outsourcing, and automation -- are setting the stage for a brand new era: the "Conceptual Age."

As employees chart their route to the top in this new era, it's important to know the skills that companies are looking for.

In the Conceptual Age, right-brain skills will be key. Given the velocity of change and the complexity that results from this, we need to go beyond just knowledge or expertise. The best employees of the future will excel at creative problem solving and different ways of thinking -- synthesizing seemingly diverse things together for better solutions, using metaphors to explain new ideas for which no context yet might exist.

See also: Why your career is a work in progress

This is partly because the amount of new information about any given subject is constantly increasing. Tomorrow's companies will need to take a creative-thinking approach to the sea of knowledge, bridging the gap between analytical, left-brain functions and creative, right-brain capabilities. My new book, "Kill the Company," identifies the most critical skills of the Conceptual Age -- and simple ways to cultivate them before it's too late:

1. Strategic Imagination refers to "dreaming with purpose." Today's employee is so mired in busywork that their ability to think long-term has waned. But employees of tomorrow must learn to actively imagine future possibilities and create scenarios to act on them.

Seek out resources that fuel future thinking, such as LongBets.com, Springwise.com, and NewScientist.com. Challenge yourself to envision your business unit in the year 2020. Even better, draw your vision -- create a magazine cover, an organizational chart, etc. -- as a visual representation of what the future might look like.

2. The ability to ask smart and often unsettling questions is known as Provocative Inquiry. Transformative power lies in asking questions that make us rethink the obvious. In the healthcare industry, for example, it can be seen in the shift from curing illness to preventing it via wellness services.

To unearth new answers to existing business problems, learn to ask better questions -- ones that make other team members really stop and think. For example, "What are the unshakable beliefs about client/customer needs in our industry ... what if the opposite were true?" and "Which competitors could eat our lunch tomorrow and what are we doing about it?" By encouraging curiosity, you fan the fires that create new ideas and improve current offerings.

3. The quick and obvious strategy will not survive the fierce competition of the Conceptual Age. Employees will need to continually exercise their Creative Problem Solving skills, the application of best practices from unexpected sources to create fresh solutions.

In the consumer product category, James Dyson exemplifies this skill. Dyson applied the mechanics of a local sawmill -- a giant cyclone-shaped dust collector -- and invented the best-selling vacuum in the UK. Hone this reflex by utilizing an exercise called "RE:think." Take an everyday object (paper clip, scissors, etc.) and pretend you've never encountered it before. What does this new product do? What are its benefits and who would use it? Activities like Re:think can strengthen your ability to approach problems in unconventional ways.

See also: Have you got the career X-Factor?

4. Keeping pace with change is a challenge, yet meeting unexpected situations with quick thinking and resourcefulness is the very definition of Agility. In a world where change is the only constant, a Plan B -- and C, D, and E -- is truly critical.

Cultivate the mindset of preparedness by creating "Wild Card" scenarios. Using a current project you're working on, challenge yourself to meet your current goals despite wild cards that might occur -- such as "50% less budget" or "half the R&D time" or "severely restrained resources or technology." Planning for success under constraint helps you learn agility and prepare for change before it is forced upon you unexpectedly.

5. Building on agility, employees will also need to demonstrate Resilience, which translates to tenacity and courage in the face of obstacles. People who are undaunted will give their organizations a competitive edge in the Conceptual Age.

Learn to overcome barriers by practicing the art of "Impossible to Possible." Write answers to these questions: What would a customer say we should do for them but never would? What would make us the industry leader -- although hell would have to freeze over for it to happen? What impossible thing would make your job infinitely better? Once you've made a list, find a way to turn the list of impossible things into possibilities. This exercise truly awakens the competitive spirit and gives rise to a solution-driven mindset.

The business world is at a critical inflection point and to compete in tomorrow's market, today's companies must demonstrate more than knowledge or technical expertise: they must cultivate new skill sets.

The valued leaders and successful employees of the Conceptual Age will be firing on all cylinders -- and many will involve right-brain functions. To avoid extinction, employees must embody the kind of daily future thinking that will enable their teams and organizations to conceptualize -- and handle -- the blessings and burdens of a new era.

The opinions expressed in this commentary are solely those of Lisa Bodell.

@highlight

Lisa Bodell says the best employees of the future will excel at creative problem solving

@highlight

She says workers will need to go beyond just knowledge or expertise

@highlight

Bodell offers ways to cultivate the right brain skills before it's too late