Using game theory and data analytics, a group of political scientists predicted Egypt's current turmoil back in 2011 as the Mubarak regime was falling, and is now working to forecast the country's future.

In November 2011, a few months after Hosni Mubarak had been ousted by the Egyptian revolution, the scientists predicted that in the final evolution of Egypt's transitional democratic phase, the military would allow for semi-free elections but would still act as custodians of the country and the true center of power in the short to medium term.

"But as we predicted, when any opposition party comes into power, they only have a year or so to deliver their promises -- and most of the time they can't. And that's what led us to where we are today," said Mark Abdollahian, a political scientist and co-creator of Senturion, a large-data predictive analysis model that's used by the U.S. State Department and other governments in predicting, preventing and stopping cycles of violence.

Egyptians to take to streets again

Abdollahian's team used complex computer algorithm logic games, that measure how people interact with one another, to draw different scenarios of how segments of Egyptian society, power brokers, religious sectors and other sociopolitical variables would affect the outcome of the transition.

Abdollahian's report also concluded that "the military will act as a safety net against rising anti-Israeli and anti-American sentiment and ultimately the military and intelligence apparatus will act against extremism that may emerge in the democratic process."

"At that time with societal pressure, Egyptians protesting on the streets and calling for change, the Muslim Brotherhood and Mohammed Morsy were the best credible alternatives to Mubarak," Abdollahian said. "In November 2011, what we showed was even though the majority of the Egyptian society was in favor of ousting Hosni Mubarak, the Egyptian military was at the time going to support the newly elected regime, but not fully accept it for a long-term solution."

Using what he calls "mapping and tracking," Abdollahian and his team studied political, religious and civil society elements and the influence of international, regional and Egyptian groups to form their analysis.

"We mapped who are the stakeholders, their interests on the political issues and what they are going to do with Mubarak. And once we did that, using game theory, we get a good map to track," a method Abdollahian and his team continue to use in forecasting what's next for Egypt.

When a coup is not called a coup

Morsy's departure a 'reset' for constitution, government

According to Abdollahian's new report, set to be released within the next few days, there will be acceleration to a presidential election and the change of constitution, where most likely Mohamed ElBaradei will emerge as the top presidential contender.

ElBaradei regarded as outsider within Egypt

ElBaradei, a former director general of the International Atomic Energy Agency and a Nobel laureate, told CNN on Thursday that Morsy's departure will serve as a "reset," so Egypt can start over in forming a constitution and putting together an inclusive government.

With many of the Muslim Brotherhood members detained since Morsy's fall, ElBaradei acknowledged the need for a cohesive society that meets the needs of the Egyptian people and incorporates all sectors of the society.

"My fear is that the Brotherhood will fear that they are excluded. We need a quick delivery. And we need a cohesive society that is tolerant, that respects each other's differences," he said.

With more than $1.3 billion of aid from the United States at stake for the Egyptian military, the interim government's next move is key in determining the geopolitics of the region, including its relations with the United States, the European Union and Israel.

"The military will continue to be pro-American, because of its reliance on U.S. foreign aid and military assistance, and the Egyptians who would be running in the future will be smart enough not to bring conflict with the U.S.," said Ashraf Singer, a member of the Egyptian Council for Foreign Affairs who has also worked closely with Egyptian government officials.

U.S. President Barack Obama on Wednesday refrained from calling Morsy's ouster a "coup," as such a statement would legally oblige the U.S. to stop the flow of military aid to Egypt.

U.S. allies will take wait and see approach

Abdollahian said the U.S and the European Union are taking a wait and see approach, and his upcoming forecast predicts the U.S. and its allies will "move cautiously and solely in support of the new government, but won't take a strong stance because of the risks of potential implications throughout the region."

Obama, advisers discuss 'fluid' situation in Egypt

He added that based on his group's analytics, the current military leadership does not want to be the sole political entity ruling the country and sees itself as only the custodian of the society.

"We predict that the military would support this parallel track of elections and constitutional reform that would be done in a more democratic fashion; and the United States and its allies will wait to see the outcome of this process and then decide on their strategic approach toward Egypt."

But Abdollahian says his models also forecast severe civil conflicts and the likelihood of "attacks from the Muslim Brotherhood, especially in the troubled Sinai region."

"Unfortunately we foresee strong potential for more bloodshed, where regular Egyptians are the casualties -- so the faster the military ensures and delivers the constitutional and democratic reform, the better it is for the people and avoiding a civil conflict," he said.

Why Americans should care about Egypt

@highlight

Team predicted that Morsy's government had only a year or so to deliver

@highlight

Data analyzed came from factors inside and outside of Egypt

@highlight

Model predicts that the military will continue ties to U.S. to keep military aid flowing

@highlight

Team suggests that violence will intensify before it abates