Cambridge, Massachusetts (CNN) -- In a recent discussion of what his administration might accomplish, Mitt Romney claimed that "by virtue of the policies that we put in place, we'd get the unemployment rate down to 6%, and perhaps a little lower," over a period of four years.

Is this goal attainable?

It is. Indeed, it is not that tough a task. If the United States avoids new growth-retarding policies, such as the tax hikes scheduled for January 1, the economy's natural adjustments will lower unemployment substantially. These include downward adjustments in wages, reallocation of job-seekers from slower to faster growing sectors and regions, reduced in-migration plus increased out-migration, and withdrawals from the labor force.

These adjustments do not always work quickly or for everyone (not every former construction worker can become a computer technician). But history suggests the adjustments do occur, as they have since the recession began. Over the next four years, they will continue to lower the unemployment rate, if not to 6%, at least near that territory.

The more important task for either presidential candidate is restoring the economy to its prerecession growth path. Real GDP has historically grown about 3% per year, and major downturns have been followed by strong recoveries. Within two to three years, therefore, output is typically "back where it would have been."

In this recession, the rapid recovery phase has so far been absent; real GDP is still well below where one would have predicted pre-2008, and with average growth under 3% since the recession ended, the gap grows larger every quarter.

So can Romney, or anyone, get us back to a higher growth rate? Yes. Here is a program that will restore U.S. economic performance:

• Cancel all the tax increases scheduled to take effect at the end of 2012 and provide tax stability going forward. Make (all) the Bush tax cuts permanent. Repeal the alternative minimum tax. Eliminate the health care law's increases in the hospital insurance tax. All this will stimulate in the short term and set the stage for long-term growth.

• Reform the tax code by eliminating the misguided deductions, exemptions, credits and loopholes that distort incentives and reward special interests. These features include big-ticket items like the deductibility of mortgage interest and employer-paid health insurance premiums, plus myriad small but senseless other provisions.

• Lower the corporate income tax rate. The U.S. corporate tax environment is one of the least business-friendly in the world. Driving investment overseas cannot be good policy.

• Slow the growth of entitlements. The U.S. can afford a social safety net, but our current programs are not sustainable, even in a robustly growing economy. Everyone should agree, at a minimum, to cuts that are sufficient to prevent these programs -- Medicaid, Medicare, and Social Security -- from bankrupting the country.

• Embrace immigration. Despite recent difficulties, the United States is still an attractive destination for those seeking a better life. By expanding immigration for low-skill workers, we restrain labor costs and reduce out-migration of manufacturing and other business. By easing immigration for high-skill workers -- many of them trained in the United States at taxpayer expense -- we get a return on our investment and retain industrious and innovative people.

• Scale back military involvements around the world. A strong national defense makes sense, but it must focus on protecting the United States, not paying for Europe's defense or trying to force democracy down the throats of countries that are not receptive.

• Cease the campaign against carbon-based fuels. Green energy may have its day, but only when coal, oil and gas become truly scarce. In the foreseeable future, traditional energy is much cheaper, and subsidies for alternative energy are a waste.

• Stop scapegoating the rich and pretending that tax-hikes on the 1% can balance the budget. Everyone knows the numbers do not add up.

• Respect capitalism. Anti-business rhetoric, which casts all success as undeserved, and which fails to recognize the improvements in material well-being that result from entrepreneurial success, just drive away talented people and guarantee our economic demise.

If the United States adopts these policies, it will not only attain Romney's 6% unemployment goal, it will once again be the economic beacon of the world.

What's wrong with that?

The opinions expressed in this commentary are solely those of Jeffrey Miron.

@highlight

Mitt Romney predicted he could reduce unemployment to 6% in four years

@highlight

Jeffrey Miron says that kind of economic improvement isn't fast enough

@highlight

He says the economy has recovered at a faster pace from previous downturns

@highlight

Miron: Cut taxes, promote immigration, reduce military and slow growth of entitlements