(CNN) -- It has become a great American tradition, an act of small-town civics, an example of direct democracy in action where citizens get to meet presidential candidates multiple times.

But it is also an overhyped media circus, which helps give Iowa disproportionate influence on who gets the Republican nomination, despite the fact that no binding delegates are actually selected.

The Iowa caucuses are low-turnout, high-intensity elections. There are 2.1 million registered voters in Iowa. But the total turnout for the GOP caucus in 2008 was just 118,696 people, despite the months of media hype.

Mike Huckabee won the caucuses that year with nearly 41,000 votes, beating Mitt Romney by more than 10,000 votes while being outspent considerably. That 10,000-vote margin represented less than half of 1% of the entire state's electorate.

Overall, the state of Iowa is representative of heartland America -- 37% registered independent, 32% Democrat and 30% Republican. But caucus-goers do not represent that political spread. Instead, 88% of GOP caucus voters in 2008 identified themselves as "conservative," and only 11% described their views as moderate. Nearly two-thirds were evangelical.

As a result, center-right Republican candidates who might have the best chance of winning Iowa in a general election have a hard time making inroads in the conservative caucuses.

Conventional wisdom states that the top three finishers in the Iowa caucuses are all winners, with a chance to win the nomination, especially if they exceed expectations. But jowly former Sen. Fred Thompson came in third in Iowa and dropped out of the campaign. John McCain gained the endorsement of the Des Moines Register in 2008 as well as the nomination, but he didn't finish in the top three in '08 or '00. In fact, since 1980, the only Republican nonincumbent who has won the caucuses and gone on to win the presidency is George W. Bush.

This year, we have a real horse race with no clear leader -- polls say establishment candidate Mitt Romney is in pole position, followed closely by libertarian Ron Paul and the surging social conservative Rick Santorum. Newt Gingrich's once commanding lead has been shrunk by more than $2 million in negative ads, most from a Romney-affiliated PAC.

Rick Perry's invested his considerable campaign cash in a combination of in-state ad-buys and ground-game organization. Michele Bachmann's campaign, which once was strong enough to win a straw poll in the state, has collapsed under the weight of the candidate's considerable overreach, marked by high-level defections and rock-bottom polls. Bachmann has taken to desperately trying to compare herself to Margaret Thatcher at every stop while her campaign cites the judgment of a conservative Christian group that she is "biblically qualified to be president" -- whatever that's supposed to mean.

One of the real questions in this caucus is whether retail politics matters as much as it used to. Mitt Romney basically dissed the state for the first 10 months of 2011, still stinging from his expensive rejection in 2008. But his well-funded campaign was able to buy aspects of a statewide organization and negative ads to tear down rivals.

One of the fascinating aspects of the Romney campaign is that he seems to have a glass ceiling of 25% -- the same percent of the caucus vote he received in 2008. The other candidates have famously traded the other 75% of the vote over the past several months. If the deck is shuffled just right, with a number of other candidates in the mid-teens, Romney can win Iowa in this crowded conservative field.

And if he wins Iowa on Tuesday night, his months-long double-digit lead in New Hampshire will solidify and he will be almost assured of winning the first two states, well on the way to winning the nomination. Additionally, he has the weight of precedent on his side: The front-runners who have conventional wisdom behind them tend to win the Republican nomination eventually, after the party flirts with a dark horse.

But Ron Paul is a wild card. His supporters are by far the most dedicated, if not the most numerous. They will turn out come sleet or snow (though the temperature is supposed to be above average). The January 3 caucuses are smack in the middle of winter break for universities, but Paul's younger supporters might just come back early to vote for their hero.

If Rick Santorum's recent momentum continues, he can claim the evangelical mantle as the consistent social conservative alternative to Romney, the man he endorsed in 2008. He provides at least one other clear point of contrast -- Santorum has been hammering away at middle class and blue collar issues, while Romney embodies the one percent of the wealthiest Americans.

The most dire scenario for Romney would be a Newt or Perry surprise surge, which the polls say seems unlikely. But either of their campaigns could come out of Iowa with new momentum and at least a real chance of winning South Carolina and possibly Florida. Three out of four states by the end of January makes a candidate extremely likely to win the party's nomination.

The countdown to the Iowa caucus can now be measured in hours, instead of weeks or months. Whatever you think about the disproportionate influence this heartland state has on our politics, it cannot be ignored. The presidential election year of 2012 is here. And on Tuesday night, the race for the White House will really kick off.

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

The 2012 presidential race begins Tuesday with Iowa caucuses

@highlight

John Avlon says the caucuses are low-turnout, high-intensity elections

@highlight

He says worst case for Mitt Romney would be a surprise surge by Newt Gingrich or Rick Perry

@highlight

Avlon: Romney could win with only a quarter of the vote