(CNN)January 26, 2015

I've been here 10 days now, and spent last weekend on call at ELWA Hospital, the 55-bed facility that SIM runs just outside Monrovia, Liberia's capital city.

The news here is good -- the Ebola epidemic really seems to be coming to an end. But in the health care setting in particular, its effects will be felt for many months to come.

Many outward changes have been made at ELWA due to the Ebola crisis.

All patients, staff and visitors now enter the hospital compound through a single gate where people must wash their hands with bleach and have their temperatures checked before entry.

Bleach is everywhere throughout the hospital.

Staff members with sprayers wash down the floors multiple times per day. They are on hand after surgeries or other exposures to blood or body fluids to decontaminate staff before they take off their gowns and gloves.

Temporary buildings have been erected to house our outpatient clinic, because our old clinic became part of the Ebola Treatment Unit, ELWA-2. But for the most part, ELWA Hospital is up and running, and most beds are full.

For me personally, the first week was about confronting the reality of death.

Many patients die in the hospital -- this should not be a surprise, right?

But emotionally it is a challenge to face mortality so frequently.

We counseled several patients about their metastatic cancer this week, presenting them with the hard information that the cancer had progressed beyond a stage where anything could be done from the medical point of view.

We talk with these patients privately, off the busy ward; then, along with the hospital's chaplain, we pray for them if they wish.

The comfort and compassion we offer, along with an honest explanation in plain language, are important hallmarks of the work we do.

Friday, we had a 5-month-old infant arrive from Buchanan, about a three-hour drive down the coast, in very critical condition with pneumonia, sepsis and a distended abdomen. Very few hospitals have opened, so ELWA was the closest one the family could get to.

Sadly, she died about 30 minutes after arriving.

Although we doubted this child had Ebola, we wore protective gear as we tried to revive her and then performed an Ebola test to be sure, which turned out to be negative.

Thinking about the possibility of Ebola is going to be with us for a long time, maybe forever.

Later, we received a woman in her 40s who had been sick for about six months.

She had lost weight and was so weak she was unable to walk. Examination revealed a mass that seemed most consistent with ovarian cancer. She died during the night.  We might not have been able to help her if she had come to a hospital sooner, because of the type of cancer she had, but if she had known her condition, her end of life journey might have been different.

We mourn with these families and others who are losing their loved ones not to Ebola virus, but certainly to the greater impact the epidemic has had on the health care system.

The bright spot for the weekend was doing two cesarean sections on Sunday with Rebecca, a Canadian doctor in her first year out of residency.

The first was a patient with a transverse lie (the baby lying sideways in the womb); the second a woman who had a big baby and not enough space to deliver. Both of these babies came out alive and responded to some basic resuscitation, with crying and healthy color. That was a relief, and was unlike August, when delays in getting to the hospital caused most of our deliveries and C-sections to be stillbirths.

Finally, in the middle of the night I was called to go to the hospital to evaluate a woman who had delivered an hour and a half before. She had suddenly become dizzy and weak and then gone into shock.

By the time I got there, despite IV fluids and oxygen, we had lost her.

This was an unusual case -- one minute she was sitting up playing with her new baby and talking with the staff, and just a few minutes later she was gasping.

She most likely had an amniotic fluid embolism, in which amniotic fluid entered her bloodstream and got into her lungs, a rare and catastrophic event which, even in the developed world, has an 85% mortality rate as patients quickly go into shock.

All through Monday, my heart was heavy from the losses of the weekend.

I think my co-workers felt the same way. But as we sang hymns and prayed during morning devotions on Tuesday, we experienced a sense of unity and a release of our sadness.

During the song "I Surrender All," the person leading devotions encouraged us to take the challenges we faced and the feelings that overwhelmed us and surrender them to Jesus, who loves us and shares our grief as we do this work in His name.

It was just a relief to lay it all down at the feet of Jesus, restoring my spirit to be ready to care for the next patient who needs our compassion and concern.

@highlight

Dr. Rick Sacra survived Ebola and is back in Africa, caring for patients

@highlight

He describes the triumphs and heartbreaks of his first days back

@highlight

Effects of Ebola epidemic will be felt for many months to come, he writes