(CNN) -- Two years ago, the signs were clear. My mother, with Alzheimer's, heart failure, and kidney failure, was not going to live long. My brothers and I took time off work for medical appointments and hospice care. I worried about her comfort, about how my dad would cope and how the grandkids would feel.

But I never had to worry about one thing: my job.

I knew I could take family leave without being fired. My workplace has generous leave policies. And thanks to the Family and Medical Leave Act (FMLA) -- enacted 20 years ago this week -- I had a legal right to job-protected leave. The FMLA has been used more than 100 million times by women and men to care for parents, children and spouses with serious illnesses, to bond with new children and to manage their own serious health conditions.

But millions of other workers are not so lucky. The FMLA, which grants job protection for up to three months of leave, applies only to enterprises with 50 or more employees. Eligibility requirements exclude many workers. In other words, close to half of the American workforce has no FMLA protection.

Even among eligible workers, many cannot afford to take family or medical leave. This law guarantees only unpaid leave. Only about 12% of the work force has access to paid family leave through employers. As a result, many workers have to choose between a paycheck and their family's well being.

Beyond that, work-family policies have not kept up with the dramatic changes that the U.S. work force has experienced over the past few decades, particularly with regard to women. The labor force participation rate for mothers of young children stood at 70.6% in 2011, compared with 47% in 1975. Men, though still doing less family caregiving than women, are taking greater responsibility for it than before. The proportion of men caring for relatives with Alzheimer's or dementia, for example, doubled -- from 19% to 40% -- from 1996 to 2009.

As the FMLA turns 20, it is time to bring it up to date for today's work force. This includes expanding coverage and establishing family and medical leave insurance to make leave affordable.

Studies from other countries have found that paid family and medical leave programs boost productivity. One study of 19 developed countries found that paid parental leave had a significantly greater positive effect on productivity than unpaid leave. The study also said that instituting paid leave in countries (such as the U.S.) without it could increase productivity.

Paid leave helps retain employees and avoid turnover costs. One study found that 94% of leave-takers who received full pay returned to the same employer, compared with 76% of those with no pay.

Paid family leave is associated with better health and lower health care costs. A 2010 study found that the United States could prevent nearly 900 infant deaths and save $13 billion per year if 90% of mothers breastfed exclusively for six months. But only 47% of U.S. babies are breastfed at all at 6 months, and only 16 percent exclusively. Paid family leave has been shown to dramatically increase breastfeeding, such as in California, where the introduction of paid family leave doubled the median duration of breastfeeding for new mothers who used it.

The bottom line is that paid family and medical leave pays off. It increases productivity, reduces turnover costs, and results in health care savings.

The only two states with family leave insurance programs -- California and New Jersey -- are showing positive outcomes, and proving that such insurance programs are affordable. The vast majority of California businesses included in a 2011 survey said that the program had a positive effect or no noticeable effect on productivity, profitability, turnover, and employee morale. Both New Jersey and California finance their programs exclusively through small payroll deductions for workers (with no employer contribution), and offer six weeks of partially paid leave. In New Jersey, workers pay .001% of the taxable wage base (maxing out at $30.90 for 2013), and can get up to $584 per week during leave.

The days before my mother's death were peaceful and positive. I had the privilege of being with my family for this graceful end, and peace of mind from knowing my job was secure. Enhancing U.S. law to give all workers this kind of security would benefit not just workers, but businesses and the economy as a whole.

The opinions expressed by this commentary are solely those of Janet Walsh

@highlight

Family and Medical Leave Act let Janet Walsh keep job while taking time off to care for mom

@highlight

Act is 20 years old this week, a boon, but hasn't kept up with changing workplace she says

@highlight

She says about 50% workers eligible for Act. And many can't afford to take unpaid time off

@highlight

Walsh: Family leave insurance, for paid leave, has been shown to increase productivity