Al Qaeda's leadership has sent experienced jihadists to Libya in an effort to build a fighting force there, according to a Libyan source briefed by Western counter-terrorism officials.

The jihadists include one veteran fighter who had been detained in Britain on suspicion of terrorism. The source describes him as committed to al Qaeda's global cause and to attacking U.S. interests.

The source told CNN that the al Qaeda leader, Ayman al-Zawahiri, personally dispatched the former British detainee to Libya earlier this year as the Gadhafi regime lost control of large swathes of the country.

The man arrived in Libya in May and has since begun recruiting fighters in the eastern region of the country, near the Egyptian border. He now has some 200 fighters mobilized, the source added. Western intelligence agencies are aware of his activities, according to the source.

GPS: Rebuilding the ruins of Gadhafi

Another al Qaeda operative, of dual European-Libyan nationality, was arrested in an unnamed country on his way to Libya from the Afghan-Pakistan border region.

The individual now trying to establish a bridgehead for al Qaeda in Libya is known as "AA." His name has not been made public because of UK law on terrorist suspects who are detained but not charged.

"AA" has been close to Ayman al-Zawahiri since the 1980s and first traveled to Afghanistan in the early 1990s to join mujahideen fighting the Soviet occupation -- as did hundreds of Arab fighters.

"AA" later moved to the United Kingdom, where he began spreading al Qaeda's ideology to younger Muslims. He was an admirer of Abu Musab al-Zarqawi, who emerged as leader of al Qaeda in Iraq after the U.S. invasion and who led an especially brutal campaign that targeted civilians and promoted sectarian hatred between Sunni and Shia Muslims.

War crimes court leaves Gadhafi inquiry up to Libya

After the terrorist attacks in London in July 2005, heightened concern about terrorist activities in the UK led to the arrest of a number of Libyans resident in England.

"AA" was detained under what was termed a "control order," a mechanism used to detain terrorist suspects -- usually under home arrest -- without charging them. Control orders have been used in dozens of cases where the government does not want to reveal evidence in court for fear of compromising security sources. Those subject to control orders are not named by authorities.

"AA" also spent some time in Belmarsh high-security jail in the UK in 2006-07, possibly because he was seen as a flight-risk. It is also possible, according to the source, that he was resisting legal moves to have him deported to Libya. At the time, relations between the Gadhafi regime and the United Kingdom were improving, and Libyan authorities were seeking the deportation of opponents.

At some point the control order lapsed, and "AA" left Britain late in 2009 and went back to the Afghan-Pakistan border area -- taking two teenagers with him. One was subsequently killed.

Western intelligence agencies have voiced concern in public and privately about the potential for Islamist extremists and especially al Qaeda to gain a foothold in Libya.

The al Qaeda leadership has included several Libyans -- among them Atiyah Abd al-Rahman, who was killed in August, and Abu Yahya al-Libi.

In a video message to fellow Libyans distributed on jihadist forums earlier this month, al-Libi said: "At this crossroads you have found yourselves, you either choose a secular regime that pleases the greedy crocodiles of the West and for them to use it as a means to fulfill their goals, or you take a strong position and establish the religion of Allah."

Militant groups have long had a presence in eastern Libya, even if they were ruthlessly suppressed by the Gadhafi regime. Al Qaeda documents discovered in Iraq in 2006 showed that many of the fighters who had joined the insurgency had come from eastern Libya.

And a U.S. diplomatic cable from 2008 -- published this year by WikiLeaks -- told of support for extremist Islamist views in the town of Derna, which is close to where "AA" has established a presence.

Entitled "Die Hard in Derna" the cable describes the town as a "wellspring of Libyan foreign fighters" for al Qaeda in Iraq.

The diplomat who traveled to Derna quoted a local businessman who had "likened young men in the town to Bruce Willis' character in the action picture 'Die Hard,' who stubbornly refused to die quietly. For them, resistance against coalition forces in Iraq is an important act of 'jihad' and a last act of defiance against the Gadhafi regime."

High youth unemployment, discrimination by the Gadhafi regime and the influence of veteran Libyan jihadists from Afghanistan all played a role in radicalizing a new generation.

"It's jihad -- it's our duty, and you're talking about people who don't have much else to be proud of," the businessman said.

@highlight

A source tells CNN that al Qaeda's leadership is mobilizing forces in eastern Libya

@highlight

Source: Al Qaeda leader Ayman al-Zawahiri personally dispatched one jihadist to Libya

@highlight

The man has been recruiting, and now has some 200 fighters mobilized, the source says

@highlight

Source: The man is committed to al Qaeda's global cause and to attacking U.S. interests