Washington (CNN) -- The Supreme Court ruled for agribusiness giant Monsanto on Monday in a patent case that could have an enormous impact on a variety of biotech fields.

The justices unanimously found the world's largest seed producer has intellectual property control over its best-selling "Roundup Ready" soybeans. That means the product cannot be reproduced without paying the company a fee.

Products like genetically engineered seeds and live vaccines have been hailed as scientific and industrial breakthroughs, but they often can be reproduced easily and cheaply.

Monsanto sued an Indiana farmer, Vernon Hugh Bowman, claiming he violated a farming agreement when he used genetic copies of the company's soybean product without paying a "technology fee."

Monsanto claimed that the seeds could only be used for one growing season, meaning their offspring could not be saved and replanted without compensation.

The high court agreed.

"Bowman planted Monsanto's patented soybeans solely to make and market replicas of them thus depriving the company of the reward patent law provides for the sale of each article," said Justice Elena Kagan.

The high court is deciding a separate case on whether human genes can be patented.

Monsanto dominates the soybean seed market. Its Roundup Ready variety is used to grow about 90 percent of the nation's crop for the estimated 275,000 American soybean farmers like Bowman, according to its petition.

The company's scientists perfected a system in 1996 for injecting genes into seeds that are resistant to the herbicide Roundup. This allowed farmers to plant with reduced risk of weeds, insects, and disease.

Those soybeans cost more and farmers must agree not to replant their progeny, thus buying seeds each year.

The corporation says it has sued 146 U.S. farmers including Bowman. Eleven cases have gone to trial and Monsanto won them all.

Bowman grows corn, wheat, and soybeans on 300 acres in Sandborn, Indiana.

He used the patented soybeans for his main spring crop, but went to a local grain elevator and purchased so-called commodity seeds for a riskier, late-season crop.

Such soybeans are typically used for feed livestock and for milling, but not for replanting.

But Bowman said there were no restrictions on how he used the mixed-variety seeds, which he did for eight consecutive fall crops.

The company found out and sued him six years ago was awarded more than $84,000 in damages. Lower courts said the second-generation seed planting was a "newly infringing article."

Mark Walters, Bowman's attorney, said farmers take all the risks when they plant, while the company can sit back and control how its products are used in perpetuity.

"If exhaustion [first-sale doctrine] is eliminated, rather, for the progeny seed, then you are taking away the ability of people to exchange these goods freely in commerce," he told the court during February oral arguments.

"You have essentially a servitude on these things that are exchanged and every grain elevator who makes a sale is infringing," he said.

Food safety experts have raised concerns about the proliferation of genetically engineered food products, saying such production technologies can prove harmful.

But Monsanto, backed by the Obama administration and a range of businesses, say protecting intellectual property is more important than ever, especially in fast-developing technological fields.

"America's leadership in fostering the incentive to invest in research and development has created the world's leading innovation economy, with millions of high-technology jobs-not just in our field of agriculture, but in other R&D-intensive fields like medicine, biotechnology, computer science and environmental science," said David Snively, Monsanto's general counsel.

Bowman argued the soybeans naturally replicate or sprout themselves and had done so without much input from him.

But Kagan, writing for her eight colleagues, was not convinced.

"We think that blame-the-bean defense tough to credit," she said. "In all this, the bean surely figured. But it was Bowman, and not the bean, who controlled the reproduction (to the eighth generation) of Monsanto's patented invention."

But Kagan also issued a measure of caution, saying this decision might not necessarily apply in other areas.

"Our holding today is limited -- addressing the situation before us, rather than every one involving a self-replicating product," she said. "We recognize that such inventions are becoming ever more prevalent, complex, and diverse."

The case is Bowman v. Monsanto Company (11-796).

@highlight

Supreme Court rules for agribusiness in patent dispute

@highlight

Monsanto had sued Indiana farmer in dispute over genetic seeds

@highlight

Court found reproduction of patented products requires compensation

@highlight

Ruling could impact a variety of biotech fields