(CNN) -- The world pays attention to Angelina Jolie when she's stepping out with partner Brad Pitt, writing opinion pieces and spurring debate about breast cancer or promoting her latest movie.

Now, she's is hoping to turn that spotlight onto Syria's refugee crisis.

This week, Jolie -- a special envoy for the U.N.'s refugee agency -- traveled to the world's second-largest refugee camp, where she spoke to Syrian refugees and documented their stories in a video for CNN.

Nearly 1.7 million Syrians have fled the country's brutal civil war, many living in densely crowded refugee camps in Syria's neighboring countries. Jordan's Za'atri refugee camp, which Jolie visited to mark Thursday's World Refugee Day, was built to house 20,000 refugees but now has more than 120,000.

Their stories of survival and loss are harrowing. Some refugees say they are marrying off their young daughters to protect them from rapists in the camps.

CNN inside Syria: Smoldering ruins

One family at the Za'atri camp told Jolie of a mortar that exploded in their Damascus home. At the time of the blast, the couple's 4-year-old son, who suffers from a birth defect and cannot walk, was playing inside.

The boy's eardrums were shattered.

"I tried to stay," said the mother, Mouna Ahmed. "I wanted to stay, but after the bombing, it was just too difficult."

She fled with her family, even though she was pregnant. Even in Jordan, when her children hear a plane overhead, they get scared, Ahmed said.

Giving a voice to refugees is arguably the most difficult role Jolie accepted when she agreed to become the U.N.'s special envoy for refugees last year. Months after accepting the role, she visited Syrian refugees living in camps in Turkey, Lebanon and Jordan.

Photo blog: Syrian war through children's eyes

As the war drags on in Syria, there has been little talk among world leaders about the humanitarian crisis unfolding as a result of the conflict. Instead, the discussion at the recent G8 conference centered on whether the United States will arm the rebels fighting Bashar al-Assad's regime.

Some analysts have warned that Syria's quagmire will trigger the world's worst refugee crisis if it is not addressed.

"This is undoubtedly the world's worst refugee crisis in decades, and if we don't get off this slippery slope, it will soon become the largest in our lifetime," Kristalina Georgieva, a humanitarian commissioner for the European Commission, told the Daily Telegraph this week.

"It is so disappointing to see the international community sleepwalking into this disaster."

Gallery: More than a million fleeing

Every 14 seconds, another Syrian is displaced across national boundaries, according to the U.N.

Last week, the U.N. made its largest appeal ever -- for more than $5 billion -- for relief aid to Syrians across the country.

The U.N. Office for the Coordination of Humanitarian Affairs predicted that nearly half of Syria's population will either have fled the country or need aid by the end of the year.

One woman at the Za'atri camp told Jolie how her life was transformed when her neighbor in Syria showed up at her door, missing a foot.

"I went to the pharmacist, and I said, 'Hypothetically speaking, if my son or husband had this injury, what should I do?' " the woman, Umm Mohammed, recalled.

With a proud smile, she said, "He taught me how to sterilize the wound ... and I started working."

Her smile disappears when the conversation turns to her own situation at the refugee camp. Umm Mohammed wants to return to her home in Syria, but the safety of her family keeps her away.

There have been promises to help from the international community to end the conflict in Syria, but the reality is that nothing changes, she said.

"Why is no one standing by the Syrian people?" she asked Jolie. "No one is helping us. They all say they want to support us, but nothing is being done. They have conferences and make statements, but it is worth nothing."

For a list of charities that are helping those affected by Syria's war, check out cnn.com/impact.

@highlight

This week, Angelina Jolie spoke with Syrian refugees in Jordan

@highlight

She documented their stories in a video

@highlight

The Hollywood star has spent years working on behalf of refugees

@highlight

Last year, she became a special envoy for the United Nations' refugee agency