London (CNN) -- Syrian opposition leaders and the "Friends of Syria" group agree that planned peace talks in Geneva will aim to bring about a democratic transition for Syria in which President Bashar al-Assad plays no part, UK Foreign Secretary William Hague said Tuesday.

"We are clear that Syrian President Assad has no role in a peaceful and democratic Syria," he said.

Hague's words followed a Friends of Syria meeting that brought together foreign ministers from 11 core countries including the United States, Britain, France, Turkey and Gulf nations and Syrian opposition leaders.

It was aimed at bolstering the prospects for the peace talks in Geneva, Switzerland. They are expected to take place late next month, although no firm date has been set.

Hague said the London meeting had been "important and productive," held against a backdrop of "the Syrian regime's escalating use of indiscriminate and disproportionate force against the people of Syria."

Victims: Fire fell 'like rain' in Syria

The proposed Geneva conference between Syrian government officials and opposition leaders, intended to broker an end to the country's civil war, has been delayed several times.

Syrian war's brutality isn't going away

A key issue has been whether Syrian opposition leaders will agree to take part in the Geneva talks if their stated objective is not to remove al-Assad from power. It's still not clear whether they will attend.

Ahmad al-Jarba, president of the Syrian National Coalition, a key opposition group, said Tuesday's talks had been "positive" and "encouraging," and it was the first time that all 11 core Friends of Syria governments had agreed on key points.

The Syrian opposition groups will hold a general assembly in the coming days, where they will discuss their approach to the Geneva conference, he said.

Hague said the Friends of Syria had pledged to support moderate Syrian opposition groups at the talks. "Geneva offers the Syrian people the best hope to improve their lives," he said.

'Road map' to peaceful resolution

The Syrian opposition has set no preconditions for the talks other than that the aims agreed on at a first peace conference in Switzerland last year, known as Geneva I, should stand, Kerry told reporters.

"The opposition is not saying that Assad has to go before this negotiation. That is not what they're saying," he said.

"You can't have mutual consent if you're not talking to anybody. You have to go, engage in the discussion and see. ... The opposition has said that their condition is that the intent of this is that Assad goes, which is what happens if you implement Geneva I."

The position of the United States has not changed on the need for al-Assad to go, Kerry added.

"We believe that he has lost all legitimacy, all capacity to govern the country, and therefore it's hard to imagine any resolution in any other way," he said.

Kerry, who met with opposition leaders before the wider meeting Tuesday, said the agreement that came out of the Geneva I conference should not be discounted.

"The Geneva communique is more than a piece of paper, and it should not be a forgotten level of diplomacy. It is a road map that leads to a new future ... and it rids the country of violent extremist groups," he said.

The nations involved in Tuesday's talks, known as the "London 11," are committed to seeing the political process through and reaching a negotiated settlement, Kerry said.

Asked about reports that Saudi Arabia is frustrated over the U.S. approach to Syria, Kerry said he had had "frank" and "constructive" talks with Saudi Foreign Minister Prince Saud al-Faisal over the past two days.

"I'm convinced that we're on the same page," he said.

CNN's Nick Paton Walsh reflects on front-line reports

Chemical weapons

International weapons inspectors have in the past month entered Syria to begin verifying and destroying its chemical weapons arsenal.

The Organisation for the Prohibition of Chemical Weapons said Tuesday that Syria's government had so far "fully cooperated in supporting the work of the advance team" of chemical weapons inspectors.

But some in the Syrian opposition have protested that this has done nothing to stop the killing of Syrian civilians using conventional weapons.

Kerry acknowledged progress toward removing al-Assad's chemical weapons, but he said that "does not remove the crisis and it does not remove the humanitarian catastrophe that is unfolding before the world's eyes."

According to the United Nations, well over 100,000 people have died in the Syrian conflict, which began in March 2011 when government forces cracked down on peaceful protesters.

The United States and Russia announced in May that they would try to bring the warring parties to a second conference in Geneva to implement the peace plan they endorsed at Geneva I in 2012 that left open the question of whether al-Assad must leave power.

Read more: Polio cases suspected in Syria

Kerry said it would be up to the United Nations and joint U.N.-Arab League envoy Lakhdar Brahimi to announce the date for the conference.

Difficulties to overcome

Arab League Secretary-General Nabil Elaraby said Sunday in Cairo that peace talks were scheduled for November 23 in Geneva, but the date is not firm.

"There are many arrangements to be made and many difficulties which must be overcome to make this conference possible," he said.

Syria's Deputy Prime Minister said last week that the "presumed dates" had been agreed to during a conference at the Russian Foreign Ministry.

Brahimi said Sunday that he plans to meet with Russian and U.S. officials as well other representatives of the U.N. Security Council to finalize details.

He also stressed that no meeting could be held without a "convincing opposition that represents Syria's opposition population."

@highlight

NEW: Syrian opposition leader says opposition groups will meet to decide on their approach

@highlight

Kerry: Syrian opposition is not calling for al-Assad to go before it will join talks

@highlight

William Hague: "President Assad has no role in a peaceful and democratic Syria"

@highlight

Peace talks are due to take place in late November in Geneva, Switzerland