Washington (CNN) -- The Air Force admitted Thursday that it sent more sets of military personnel remains to a Virginia landfill than it originally acknowledged.

Backtracking on initial information about how it handled the remains of American service members killed in Iraq and Afghanistan, the Air Force now says the cremated body parts of hundreds of the fallen were burned and dumped in the landfill.

Earlier, the Air Force said only a small number of body parts had been buried in a commercial landfill and claimed it would be impossible to make a final determination of how many remains were disposed of in that manner.

The Washington Post broke the story Thursday, and the Air Force now confirms that body fragments linked to at least 274 fallen military personnel sent to the Dover Air Force Base Mortuary were cremated, incinerated and buried with medical waste. That procedure was in place between November 2003 and May 1, 2008. The Air Force also said that 1,762 body parts were never identified and also were disposed of, first by cremation, then by further incineration and then buried in a landfill.

Congressman Rush Holt, D-New Jersey, Thursday accused the Pentagon of what he called "willful blindness" in not acting faster to identify and correct the problems and fully report them.

"For years, this has been handled unceremoniously and insensitively and, I would say, dishonorably," Holt said in a telephone interview. He said he had been asking the Pentagon for months about information about Dover, on behalf of a constituent whose husband was killed five years ago.

"They don't get it. They don't understand the degree of dishonor involved in all of this," Holt said.

Last month, the Defense Department told the congressman that exact numbers could not be determined. "Without individual case-by-case review, the exact number of Service-directed disposition of subsequent remains cannot be determined," said a fact sheet sent to Holt in November. "It would require a massive effort and time to recall records and research individually."

When bodies are not intact -- for instance, in the aftermath of a crash or explosion -- a body may be released to the family before some parts have been identified by the Air Force Mortuary at Dover Air Force Base in Delaware. Families can elect to be notified when parts are identified or leave it up to the military to dispose of them appropriately. Since the policy was changed in 2008, the unclaimed body parts are buried at sea.

An earlier report found instances of mismanagement and inadequate accounting at Dover, noting that some body parts were missing from the mortuary and in one case an arm was sawed off so a body would fit in a casket. An independent group of experts is now investigating what happened at the mortuary and Defense Secretary Leon Panetta has ordered the Air Force to look at how mortuary employees there were disciplined. Two civilians were transferred to other jobs and a military officer received a career-ending letter of reprimand.

Holt pointed to how the United States spends millions each year searching for the remains of service members missing in action from previous wars, for instance in Southeast Asia. "That makes us proud to be an American, that we would do that," Holt said. "It is a level of response that honors our soldiers."

The mistakes at Dover send a different message, Holt said. "It sends shudders to think that we engage in this kind of desecration."

But at the Pentagon, aides to Defense Secretary Leon Panetta said Panetta is satisfied with how the Air Force responded in regard to the landfill policy and new information about how many of the American fallen were involved.

"I think the secretary is comfortable with the way the Air Force has handled this," said Pentagon spokesman Capt. John Kirby.

And Kirby strongly pushed back against criticism by Rep. Holt.

"I don't think there is another federal agency in this town, I don't think there is another institution in this country," that understands more about how to properly treat the remains of fallen troops, said Kirby, tapping the briefing room table for emphasis.

Kirby said the Air Force is establishing a call center (1-855-637-2583 or e-mail dover.pm@pentagon.af.mil) so families of the fallen can seek information. Until now, families may not have been informed if part of a loved ones remains had been burned and discarded with medical waste.

Pentagon Press Secretary George Little said Panetta was aware of the new reports.

"The secretary supports the recent Air Force investigation and he wants to see all of this move forward in a way that allows the Air Force to do its work and to avoid the kinds of lapses we did witness, and those lapses were regrettable," Little said.

Later Thursday the Air Force said it was ready to apologize to any family that objected to the disposition of a loved one's remains.

"We regret any additional grief to the families past practices may have caused," said Air Force Lt. Gen. Darrell Jones, deputy Air Force chief of staff.

"We are prepared to apologize. It causes great pain to know we have brought suffering to a family," Jones said.

Jones said only nine people have contacted a hotline seeking information about body fragments that may have been cremated, then incinerated and finally dumped with medical waste in a landfill prior to 2008.

Jones did not directly say that that now-abandoned policy was disrespectful.

"It is certainly not the way we would have done it, looking back," Jones said. "That's why in 2008 when we saw that practice, we changed that practice."

He said that under current rules, body parts such as small fragments of soft tissue or bone are collected for "retirement at sea," a respectful transfer of the remains to the ocean from a U.S. Navy ship.

So far since 2008, he said, only 14 urns containing body fragments have been disposed of at sea.

@highlight

Mortuary at Dover Air Force Base handles remains of returning war dead

@highlight

New Jersey congressman says the Pentagon should have acted faster

@highlight

An earlier report found mismanagement at the mortuary

@highlight

Service members' body parts incinerated, buried with medical waste