Arizona Sheriff Joseph Arpaio and his attorneys Thursday condemned a U.S. Justice Department civil rights investigation as politically motivated and a "witch hunt."

That response came after the U.S. Justice Department laid out a stark, detailed list of alleged systematic discrimination against Latinos by Arpaio, who is known internationally as "America's toughest sheriff" for his hard-line stance against lawbreakers and undocumented migrants.

In alleging the Maricopa County Sheriff's Office committed federal and constitutional violations, a 22-page Justice Department letter described "a pervasive culture of discriminatory bias against Latinos at MCSO that reaches the highest levels of the agency."

Arpaio responded by telling reporters he had "an idea of the politics involved in law enforcement" after 28 years of working with the U.S. Justice Department as a law enforcement official in Mexico, South America, Texas and Arizona. Arpaio is a former agent for the U.S. Drug Enforcement Administration.

He pointed out how President Barack Obama opposed Arizona's controversial anti-immigration law now before the U.S. Supreme Court and how the president mentioned Arpaio as the person pushing the law, the sheriff said.

"By the way, I don't want to say it's all politics, but everyone I'm talking about happens to be Democrats," said Arpaio, a Republican.

Arpaio added: "Don't come to use me as a whipping boy for a national, international problem."

The Justice Department letter said detention officers in Arpaio's jail invoked offensive slurs and profanities against Hispanics, calling them "wetbacks," "Mexican bitches," and "stupid Mexicans."

"Sheriff Arpaio's own actions have helped nurture MCSO's culture of bias," said the letter, written to the Maricopa County attorney. For example, the sheriff apparently endorsed one constituent's letter asking for a "round-up" at one Phoenix street corner of "dark-skin(ned)" people: Arpaio told a member of his command staff in a note to "(h)ave someone handle this," the Justice Department said.

Arpaio disputed the Justice Department accusation that systematic civil right violations against Latinos has created "a wall of distrust" in the Arizona county.

"I don't know if it's a wall of distrust," Arpaio said, adding he holds a lot of community support.

"I have compassion ... I've worked in Mexico City working with the president. I could go on and on," Arpaio said. "But I will tell you one thing: enforcing the law overrides my compassion. I took an oath of office and I'm enforcing the state and federal law.

"I will continue to enforce all the laws," he added.

Jack MacIntyre, Arpaio's deputy chief, described the Justice Department's allegations as "a sneak attack by the federal government on the citizens of Arizona."

Arapaio and his attorneys declined to comment on the specific allegations, but lawyer John Masterson said: "I think it was a foregone conclusion of what they're going to find, and they ended up finding it.

"People have an intention to go out on a witch hunt, and that's what they come up with," Masterson added.

Arpaio pledged to continue working with the Justice Department in its ongoing investigation.

During a press conference earlier Thursday to discuss the Justice Department letter, Assistant Attorney General Thomas E. Perez told reporters, "We are also reviewing allegations that MCSO has failed to investigate a large number of sex crimes."

The sheriff's office has acknowledged to federal authorities that 432 cases of sexual assault and child molestation were not properly investigated over a three-year period ending in 2007, and many of the victims apparently were Latinos, the Justice Department said.

Last week, Arpaio responded to local media accounts regarding the allegedly mishandled sex crime investigations by telling CNN affiliate KNXV:  "If there were any victims out there, I apologize, if there were any."

The federal findings also alleged discriminatory policing practices by Arpaio's officers including "unlawful stops, detentions and arrests of Latinos," according to a Justice Department statement.

It also noted that the sheriff's office has discriminated against "Latino inmates with limited English by punishing them and denying critical services."

It further blamed the office for allowing "specialized units to engage in unconstitutional practices" and for a lack of oversight and deputy training.

Perez said the office's "systematic disregard for basic constitutional protections has created a wall of distrust between the sheriff's office and large segments of the community."

On his government website, Arpaio refers to his renowned nickname and his tough law-and-order posture, which has garnered him international attention:

"You probably know him as 'America's Toughest Sheriff,' a name given to him years ago by the media. It's a name he certainly has earned as head of the nation's third largest Sheriff's Office which employs over 3400 people. But even before he became Sheriff in 1993, Joe Arpaio was one tough lawman," his biography states.

But federal authorities offered a different portrait Thursday.

"In short, MCSO is broken in a number of critical respects," Perez said.

"The problems are deeply rooted in (Maricopa County Sheriff's Office) culture, and are compounded by (its) penchant for retaliation against individuals who speak out," added Perez, who said authorities were also looking at allegations of excessive force and a deliberate failure to provide law enforcement services in select communities.

The initial federal inquiry began in June 2008 and reviewed tens of thousands of pages of documents and more than 400 interviews, including current and former inmates as well as office personnel.

Authorities notified the sheriff's office of a formal investigation a year later, a statement said.

Perez told reporters Thursday that the sheriff's office initially failed to cooperate with investigators, prompting federal authorities to take the "virtually unprecedented step" of filing a lawsuit in 2010.

He noted the investigation had uncovered startling levels of racial profiling against Latino drivers, ranging between four and nine times higher than against non-Latino motorists.

Perez added that an independent reviewer involved in the probe described it as "the most egregious racial profiling in the United States" he had ever seen.

"It is clear to me that this community is divided and it is time to heal. It is time to bring the community together around the shared vision of a department that is effective in reducing crime, respects the rule of law and enjoys the confidence of everyone," Perez told reporters.

Arpaio has long been considered a hard-liner on illegal immigration in a state known for its tough 2010 law on the issue.

He's also a well-known and controversial personality, running for his sixth term as sheriff.

@highlight

NEW: Sheriff Joe Arpaio suggests Justice Department probe is politically motivated

@highlight

Justice Department letter details slurs and profanities used against Hispanics

@highlight

Feds probe how sheriff's office handled 432 cases of sexual assault and child molestation

@highlight

Assistant attorney general say sheriff's office failed to cooperate in the  probe