(CNN) -- Mercedes driver Lewis Hamilton summed up the dawn of a new Formula One era in three juicy words -- weird, mind-blowing and challenging.

After 12 days of intense and drama-filled preseason testing, the elite motor racing series is promising more of the same when the 2014 campaign opens with Sunday's Australian Grand Prix.

CNN World Sport looks back at the lessons learned in testing -- and forward to what lies ahead as F1 embraces one of the biggest rule changes in the history of the sport.

Engine anxiety

The introduction of new engine technology in 2014 was never going to be easy and so it proved in preseason testing as all three engine suppliers -- Renault, Mercedes and Ferrari -- had teething problems with their power units.

Turbo power is back in the form of 1.6-liter V6 engines that are allied with two Energy Recovery Systems, which have proved particularly temperamental during testing.

Renault, which supplies engines to Red Bull, Lotus, Toro Rosso and Caterham, is in the biggest trouble ahead of the Melbourne opener.

Its engine covered the least distance over the three preseason tests, ticking off 5,432 miles compared to 11,181 miles for Mercedes and the 6,346 miles covered by Ferrari, which powers just three teams.

"Some preparations are incomplete," conceded Rob White, who heads up the French company's engine program.

"Melbourne will be an anxious weekend."

Just to make things even harder, a new green initiative means the cars must get to the end of the race with 100 kilos of fuel in the tank.

The drivers will have to manage their car's fuel consumption, and that's a race craft some may have to learn.

Ugly cars

Some critics are calling 2014's chunky cars the ugliest in the history of the sport, with the droopy "anteater nose" seen on the Force India and Caterham cars ranked as a particular design horror.

Aesthetics aside, new rules on aerodynamic design have had teams puzzling about how to recover downforce -- which delivers speed and grip -- in different places.

For example, last season many teams, and especially four-time champion Red Bull, eked out extra speed by using the exhaust gases to increase downforce at the rear of the car.

Those days are now over as the 2014 rule change means there is just a single exhaust exit from the side of the car -- and the good news for F1 fans is you will never hear the phrase "exhaust-blown diffuser" again.

Unreliable Red Bull

Red Bull's Achilles heel -- a lack of reliability -- sneaked back into the garage to haunt the Austrian marque during preseason testing.

On the penultimate day of the final Bahrain test, the problems with the car were so bad that four-time world champion Sebastian Vettel wasn't able to complete a single lap.

"Reliability is still a big question mark," said the German, who set the 18th fastest time on the final day in Bahrain. "I'm not calling us favorites -- for that we haven't done enough laps and the speed is not there compared to some other teams."

But it is still too early to write off Red Bull. The last time the rules were changed in 2009, the team was initially dogged by reliability issues -- but recovered to finish that year with the fastest car before going on to win the next four world titles.

Hamilton has given the Red Bull his vote of confidence, calling Adrian Newey's 2014 design "stunning." He also told reporters in Bahrain: "Once they get the engine sorted ... as always, they'll be very hard to beat."

Quick silver

Could Hamilton be the title favorite for the 2014 world championship? The early signs are looking good for the 2008 winner.

The new Mercedes has shown it has both speed and endurance, completing the most laps over the three winter tests and consistently finishing at the top of the timesheets.

But there have been reliability glitches, and Hamilton will want to forget his crash on day one of testing in Spain.

"The goal is to win the championship, and this year I'm more pumped than ever," said Hamilton, who is also rumored to have rekindled his romance with singer Nicole Scherzinger over the winter break.

But Mercedes teammate Nico Rosberg, who won two races in 2013, is taking a more cautious approach.

"I certainly don't see us as the top team," the German said.

"It may seem from the outside that we are in a slightly better position than our rivals but we won't know for sure until we get to Melbourne."

Best of the rest

Williams is within a whisker of a return to its glory days after a very encouraging winter.

The nine-time constructors' champion set the fastest time at the final test thanks to Ferrari recruit Felipe Massa and also ran its car over several race distances.

The team's Finnish driver Valtteri Bottas summed up the team's excitement, saying on Twitter: "Think we are well prepared and made the most out of testing. Can't wait for Melbourne to go racing!"

The big guns at Ferrari and McLaren have had a relatively low-key buildup. Both teams have gone the distance but are yet to show they also have the pace.

Fernando Alonso, who is paired with Kimi Raikkonen in Ferrari's intriguing lineup of world champions, was amusingly mysterious about the Italian team's chances.

"I can't say if we will be at the front or behind someone else but we will definitely be up there at the top among the best," the Spaniard said.

There are no such guarantees for Lotus. The team skipped the first test in Spain and then saw drivers Romain Grosjean and Pastor Maldonado set the slowest times of all 22 cars at Bahrain's final warmup.

"There will be some long days and nights before the first race," warned Lotus head of trackside operations Alan Permane.

New faces, old friends

There are three rookie drivers joining the F1 merry-go-round in 2014.

Denmark's Kevin Magnussen, the 21-year-old son of former F1 driver Jan Magnussen, makes his debut with McLaren, Swede Marcus Ericsson, 23, lines up for Caterham and Russian teen Daniil Kvyat, who has looked pretty handy so far, makes his bow with Toro Rosso.

He may not be a rookie, but Australian Daniel Ricciardo will come under increased scrutiny in 2014 as he steps up from Toro Rosso to replace Mark Webber as Vettel's teammate at Red Bull.

Fans of daredevil Japanese driver Kamui Kobayashi will be pleased to see him back in the fold with Caterham.

The F1 community is continuing to support its most successful driver, Michael Schumacher. The seven-time world champion remains in hospital more than two months after he sustained a serious head injury in a skiing accident.

Organizers of the Bahrain Grand Prix recently announced they had renamed a corner of the Sakhir Circuit in honor of Schumacher.

The Austrian Grand Prix returns to the calendar in June, with a new Russian race due in October on the site of the Olympic and Paralympic Park in Sochi.

Changes at the top

The new season also brings some changes on the pit wall as McLaren team principal Martin Whitmarsh and Mercedes boss Ross Brawn were both victims of restructuring.

Former Lotus team principal Eric Boullier arrived at McLaren as racing director, following the return to power of CEO Ron Dennis, but there is still a senior position available at the eight-time constructors' champion amid rumors that Brawn could ultimately fill the gap.

Former McLaren technical chief Paddy Lowe now shares leadership responsibilities at Mercedes with Toto Wolff.

The sport's chief executive Bernie Ecclestone is also considering his future as he prepares to go on trial in Germany on charges of bribery.

Double or nothing

Despite criticism from teams and drivers, Ecclestone's plan to award double points at the final race in Abu Dhabi comes into force in 2014.

The driver who takes the checkered flag on November 23 will win 50 points instead of 25.

As well as double points, there is double jeopardy for the racers who, just like regular road users, will be slapped with penalty points on their Super License for bad driving -- 12 or more points and they will receive a one-race ban.

The looming season will also see drivers use race numbers they have chosen for the rest of their F1 careers, with No. 1 reserved for Vettel as the defending champion.

Into the unknown

There are new drivers, new rules and temperamental new engines to get used to in the looming F1 season.

But, as the saying goes, the more things change the more they stay the same.

After three winter tests, Red Bull is on the back foot; Mercedes and Williams may be favorites, but just who will win in Australia remains, as always, a race into the unknown.

@highlight

F1 is entering a new era, with the opening race of the new season in Melbourne

@highlight

Teams will line up on Sunday with uncertainty over reliability of much-changed cars

@highlight

World champion Sebastian Vettel faces battle after problematic series of tests

@highlight

Mercedes is early favorite while Ferrari's new driver partnership is intriguing