Think of five children you know. One of them may suffer from a serious debilitating mental illness. If this child is your own, finding answers to the question "How can I help my child?" can be daunting and overwhelming.

According to the National Institute of Mental Health (NIMH), 20% of Americans under the age of 18 live with or have experienced a seriously debilitating mental disorder. And unfortunately many of those suffering from mental illness ultimately choose suicide as the  way out. According to the Centers for Disease Control, suicide is ranked as the 10th leading cause of death in Americans over the age of 10.

Gesine Sauter, a licensed mental health counselor at the Karen Horney Clinic in Manhattan, says suicide is the third-leading cause of death among people ages 15-24. But there are ways to help and resources available if you feel a loved one might be suicidal.

"If you detect any of the risk factors and you are concerned about someone, always directly ask if he or she feels suicidal. You do not plant any suicidal thoughts or bring the other [person] closer to taking action. Just the opposite: being asked can be the first step or chance for the suicidal individual to experience a sense of relief just by being able to share some of his or her anguish and feeling less alone," Sauter says.

While a diagnosis of mental illness or disorder of any level of severity can seem overwhelming to a parent, there are resources available to support families on their journey through diagnosis and treatment. Here are just a few:

The Balanced Mind Foundation offers support and for parents and guardians of children with mood disorders. The nonprofit provides online support groups, a professional resource directory, and a family helpline where families can submit questions to trained parent volunteers. They have twenty-eight support groups listed on their website that address the needs of all ages from toddler to what they call "transition age" or in their twenties suffering from depression or bipolar disorder as well as their family members. The goal of the Balanced Mind Foundation is to see these children thrive in spite of their disorders because they are receiving the proper care and support they deserve.

The National Alliance on Mental Illness (NAMI) provides a Peer-to-Peer Recovery Educational program geared toward healthy living strategies and skill-building resources for adults. The course is free, confidential and led by trained individuals in recovery from mental illness. They also facilitate a discussion group called Teen Consumers, which provides a healthy environment for teens to discuss their diagnoses and treatments. NAMI has a support group for parents of teens with mental illness, as well. The nonprofit's website also provides a state-by-state directory of local support groups. NAMI offers an information hotline for general information, referrals and support: 1-800-950-6264. Hours of operation are 10 a.m. to 6 p.m. ET on weekdays.

The Autism Society's  approach is to focus on each individual child's needs. They preach a message that no method is the right method for all children diagnosed with autism. Their goal is to provide parents with many options and different avenues of advice and support. The Autism Society created  Autism Source, a comprehensive database of local professional services. Visitors to the website can explore a wide range of resources, including housing needs, medical professionals and educational services.

The Treatment Advocacy Center is a nonprofit that works to promote policies that support people with severe mental illness. The website features a link that connects these families and individuals to treatment options, legal resources and crisis response strategies.

The Arc is a national community-based organization that serves people with intellectual and developmental disabilities, including autism, Down syndrome and fetal alcohol syndrome. In their mission statement, the team from the Arc promotes a people-first approach and "believes that all people with intellectual and developmental disabilities are defined by their own strengths, abilities and inherent value, not by their disability." The strive to make those affected and their families' lives better through policy, support systems and education.

@highlight

National Institute of Mental Health: 20% of U.S. children suffer from a mental disorder

@highlight

For families affected by mental illness, there is hope and resources for help

@highlight

National Alliance on Mental Illness provides support groups for teens and parents