(CNN)Like many of his counterparts across the world, Indian Prime Minister Narendra Modi was quick to stand with France in the wake of the deadly attack on the offices of French satirical magazine Charlie Hebdo.

While most people in India were equally disgusted by the events in Paris, others felt it was preventable.

Opposition National Congress Party lawmaker Mani Shankar Aiyar wrote an opinion piece claiming the magazine was "virtually inviting a reaction week after week."

Kiran Bedi, a politician and former senior police officer, tweeted: "France Terror-Shoot-Out sends a message: why deliberately provoke or poke? Be respectful and civil. Don't hurt people's sensitivities!"

But in a post on its Facebook page, the country's Aam Aadmi Party, or the "Common Man's Party" that just swept state elections in Delhi in an unprecedented victory, pointed to an issue much closer to home.

"A lot of you have expressed shock at the attack on satirists Charlie Hebdo and have shared some of their cartoons as well. But did you know that doing so can get you jailed here in India?"

The use of controversial cartoons had reignited a furious debate about freedom of expression in the world's most populous democracy.

Take the case of Ambikesh Mahapatra. In 2012, the chemistry professor was arrested for circulating by email a cartoon that poked fun at West Bengal Chief Minister Mamata Banerjee. The cartoon, which was a parody of a scene in a popular Indian movie, went viral on social media.

He was charged with a range of offenses including defamation, insulting a woman and sending offensive messages from a computer. Mahapatra called the charges a misuse of the law "in the name of surveillance, to curb democratic rights, freedom of speech and human rights of common people."

Cyber law in India stipulates that alleged offenders could face up to three years in jail for posting material that is "grossly offensive," has "menacing character," -- or perhaps even more ambiguously -- causes "annoyance or inconvenience."

Delhi went one step further in its digital crackdown in 2011. The so-called "intermediary guidelines" implicated web platforms themselves. The rules now require Internet companies to take down any content seen as "disparaging," "blasphemous," or "defamatory" within 36 hours of a user submitting a formal request for removal.

In Mumbai, India's financial center, police spokesman Dhananjay Kulkarni told CNN that some 650 posts and pages were blocked last year under these regulations.

Google says that in the last half of 2013, it removed 540 items from its pages in compliance with orders issued by Indian courts, government agencies, and law enforcement.

It's a similar story with Facebook. The social networking site took down nearly 5,000 pieces of content reported by the Indian government in the first half of 2014.

Meanwhile, MouthShut.com -- an Indian equivalent of Yelp, which allows online users to write reviews of products and services -- has taken its case to the country's Supreme Court to protect what it says are the rights of Indian citizens and consumers enshrined by the Indian constitution. A number of companies had objected to negative feedback and applied to have comments removed under the guise of "harmful speech" in current legislation.

The question marks over India's Internet freedom come at a time when Modi is planning to splash out $17 billion to build a fiber optic "broadband highway" that will cover the entire country.

If the prime minister's ambitious plan bears fruit, more than a billion Indians will be surfing the web for the first time within three years.

But a rapid rise in access to the web potentially exposes millions of ordinary Indians to a new threat.

"Schemes like this will bring the bulk of Indian communications online and therefore, open to interception, unless we regulate this before we start. Unless we have proper laws," said constitutional lawyer Bhairav Acharya.

Ultimately India is an important case study in how developing markets deal with regulating an increasingly connected society.

"A lot of people don't see the relationship between free speech and privacy," explained Acharya. "But when you survey communications and intercept private communications ... this has a chilling effect on free speech."

In 2013, the Indian government rolled out the Central Monitoring System, a mass surveillance system capable of intercepting all phone and Internet-based communications. Human Rights Watch warned of its potential to threaten civilian rights, given the Indian government's "reckless and irresponsible use of the sedition and Internet laws."

As of the time of writing, India's Telecom Minister had not responded to multiple requests for comment on this issue.

Later this year, an Internet surveillance mechanism called NETRA -- an acronym for network traffic analysis -- is expected to go live. Its exact functions haven't yet been spelled out by the government, but Acharya pointed to its possible use as a tool for untargeted, dragnet surveillance.

The Defense Research and Development Organization -- reportedly the architect of NETRA -- has refused to comment on the project.

Where privacy rules dovetail with Modi's digital aspirations is especially troubling. "If you have Digital India and NETRA hand-in-hand -- in effect, what this scheme will become is a large, massive surveillance project," warned Acharya.

It's not all necessarily bad news for India's future Internet users. In the latest Freedom on the Net report, of all 65 countries surveyed, India showed the biggest improvement worldwide where Internet freedom was concerned. Relaxed restrictions on access and content -- plus a drop in the number of arrests for social media posts -- pushed India up in the rankings. Behind the gains -- the country was not, as regularly, calling into action its existing Internet controls.

So, it wasn't that policy was being reformed; it's that these controversial provisions were being called upon with less frequency than in past years.

A more lenient approach was reinforced only last week when Additional Solicitor General Tushar Mehta -- India's third most senior law officer -- said posts made "on any Internet medium which were not grossly offensive would not be treated as a criminal act." In effect, that could mean dramatically reduced restrictions over what can be freely said in posts made on social media sites such as Facebook and Twitter.

But ultimately, the government is bound only by its written submissions, so it remains to be seen whether these verbal concessions will find their place in ink in the Indian penal code.

For now, this spate of embroiled cyber legislation is under deliberation in the country's highest court.

Cyber security expert, Vijay Mukhi, will be among those looking to see where the anvil falls on digital freedoms. For him, the answer is simple: "Let society or the legal system decide what must be seen on the Internet, not the state or the police."

@highlight

Attack on Charlie Hebdo reignited a furious debate about freedom of expression in India

@highlight

Offenders can be jailed for posting material that is "grossly offensive," causes "annoyance or inconvenience"

@highlight

Facebook took down nearly 5,000 posts reported by the Indian government in the first half of 2014