(CNN) -- Before the world reaches a conclusion as to the outcome of AirAsia Flight QZ8501, it's important to understand that the details are far too limited for drawing a parallel to Malaysia Flight 370.

Implying that the airplane disappeared suggests it vanished into thin air. At this point, the Airbus A-320 has simply not been found, but the search is in its infancy compared with the months of searching since Malaysia Airline's Boeing 777 went missing in March.

A crucial difference in the Flight 8501 event is that the airplane had been in constant radar contact, at least from the information provided thus far. Radar data from air traffic control can provide tracking data that will indicate the flight path, altitude and direction the A320-200 followed. This will assist in more accurately defining the search area. With Malaysia 370, radar data was sketchy; satellite data has been the primary source in determining the track and thus the search area.

Although it appears AirAsia 8501 flew through a large area of convective weather, this fact might have been a contributing cause and not the only cause of the event.

No matter how obvious it might appear, airplane incidents and accidents generally involve more than one factor. Any good accident investigator will tell you that it is important not to focus on one theory until all the facts have been ascertained.

So what could have occurred?

No doubt, the crew was attempting to circumnavigate thunderstorm cells through the use of sophisticated on-board weather radar. On occasion, deviating around storm activity becomes a matter of determining the path that has a lower probability of turbulence encounters.

Airline pilots always attempt complete avoidance, steering a wide berth around thunderstorms. Unfortunately, route restrictions, other aircraft traffic and altitude constraints sometimes prevent our flights from deviating as far as we'd like. This isn't to say we jeopardize safety, only that we might not be able to provide the most comfortable conditions for flying.

Experience dictates much of the decision process that airline pilots use to deviate around convective weather. Operation of the radar itself can be an art with respect to adjusting the tilt angle and intensity the antenna reflects on the display screen. Although airliners are structurally designed to withstand turbulence, intentional flight into a thunderstorm is never an option.

And let's not be misled by the reported request of Flight 8501 asking air traffic control for a higher altitude. This request may not have been an indication of a problem. Oftentimes, a request for a higher altitude is to provide a smoother ride. Yes, it is possible to "top" a thunderstorm cell, but most airline pilots attempt to turn away from the weather because turbulence can still be encountered above a building storm cell.

But there may be other contributing factors to the possible loss of AirAsia Flight 8501.

Investigators will want to know whether the pitot tubes that provide airspeed data to the cockpit computer systems froze as a result of a heater failure, similar to the circumstances with Air France Flight 447. Erroneous airspeed data would send confusing information to the instrument panel displays. Because of the confusing information, pilots would have difficulty reacting.

It is also possible that the airplane flew through heavy precipitation, flaming out both engines. Although the A320 is designed to continue flying without engine power, being able to control it at high altitude would be a challenge, especially in turbulent conditions.

If the airplane flew to the limits of its capabilities in regard to altitude, the difference between maximum airspeed and its lowest airspeed would have been a very small margin. Perhaps a high altitude stall occurred and the airplane never recovered.

Regardless of any speculation, it is much too early for theories. For the moment, I am keeping my fingers crossed that a search and rescue operation will find survivors. Bigger miracles have occurred.

@highlight

Les Abend: It's premature to compare missing AirAsia plane wto MH370

@highlight

Search for AirAisa plane has just begun; it's been nine months since MH370 disappeared

@highlight

He says it's far too early to draw any conclusions