(Departures) -- The English countryside -- still green, still rolling, still packed with charming eccentrics -- is more appealing than ever these days, as overwhelmed urbanites are flooding the area in search of a rural idyll.

It's been more than 100 years since Oscar Wilde wrote, "Anybody can be good in the country. There are no temptations there."

These days, all irony aside, quite the opposite is true. The shires are far from unsophisticated, even if one still must trade Louboutins for Wellingtons when taking those long country walks.

The best new additions to the area -- like the ones assembled here -- respect their past, no matter how thoroughly modern they might be. From the dells of Devon to the wooded countryside of Hampshire, from charming Cotswold villages to the Brontës' wild northern moors, the evidence is manifold.

Crumbling estates have been restored into plush, contemporary hotels. And more are still to come: The Nina Campbell-designed Ellenborough Park debuts near Cheltenham in May, and a year from now, ex-Skibo Castle hand Charles Oak will open Heckfield Place in Hampshire.

Such is the mood afoot in England, with old-fashioned pubs serving inventive cuisine and upscale stores and spas catering to a cosmopolitan crowd. Today, Wilde be damned, the English countryside is very tempting indeed.

Departures: What $500 buys in Austin

1. In Full Bloom: Barnsley House Barnsley, Gloucestershire

By the end of last year, the modern London design house Fox Linton Associates had left its mark not only on Coworth Park but also on the redo of this 18-bedroom property in the Cotswolds.

Before becoming a hotel in 2003, the house was the longtime residence of garden designer Rosemary Verey, who filled the 11-acre grounds with purple alliums and weeping cherry trees; now the hotel's bold interiors have been redone to better reflect Verey's aesthetic.

Garden-inspired furniture and soft creams and whites play off honeyed stone, and the spa pays further homage to Verey with treatments that highlight the rejuvenating power of plants. The nearby Village Pub, from the same owners, consistently delivers a cozy atmosphere and very good seasonal food, such as Dorset crab, ham hock salad or a bowl of clams and mussels with Cotswold cider, parsley and cream.

Rooms start at $435. At Rte. B4425; 44-12/8574-0000; barnsleyhouse.com.

Departures: World's best golf destinations

2. A New Tradition: Lime Wood Lyndhurst, Hampshire

Hampshire County is among the most desirable regions for wealthy Londoners seeking weekend retreats, and there have long been good hotels here. Now inns like The Master Builder's at Buckler's Hard (themasterbuilders.co.uk) offer some of the area's top accommodations for less than $250 (choice rooms are in the 18th-century main building).

But the big news is Lime Wood, a 29-room spot in the middle of the old-growth New Forest that combines luxe design with seamless service. The interiors are by David Collins -- known for doing the bars at several chic London hotels, including Claridge's -- with sun-soaked ash rooms and an eclectic mix of antique and bespoke furniture.

The 22,000-square-foot organic spa, which opened this winter, is the best of its size outside London. Rooms start at $385. At Beaulieu Rd.; 44-23/8028-7177; limewoodhotel.co.uk.

Departures: Best spas for 2011

3. Pastoral Paradise: Hay Barn Spa Daylesford, Gloucestershire

On her 1,500-acre Cotswolds estate, designer Carole Bamford (the force behind the popular Bamford clothing lines) has created Daylesford Organic, a rural oasis dedicated to organic farming.

Beginning in 2003 with an upscale food market selling products cultivated on-site, Daylesford now has a café, a cooking school and a clothing store, and it's become a destination for a certain London sort (Kate Moss, Liz Hurley, Kate Winslet) who makes the 90-minute drive from the city or has a country home nearby.

The real delight, though, is Hay Barn, a tiny day spa and yoga studio with an ecoconscious sensibility: Wool from Daylesford's sheep insulates the spa's sustainable wood walls, and therapies feature organic, chemical-free products, many from the Bamford Body line.

Treatments start at $80. At Rte. A436; daylesfordorganic.com.

Bottled Britain

Carole Bamford's five-year-old Bamford Body line of organic products is now available in the States at Barneys New York. Packaged in recyclable materials, the collection uses natural ingredients like rosemary, chamomile and eucalyptus. From $15.

4. Polo Grounds: Coworth Park Ascot, Berkshire

This restored 18th-century Georgian manor, the latest property from the Dorchester Collection, opened in the fall on 240 acres, only 15 minutes from Heathrow and within walking distance of Windsor Great Park, home of the prestigious Guards Polo Club.

But there's no need to leave the property to play the sport of kings: Coworth Park is the only hotel in the United Kingdom that has its own polo fields (built in the mid-1980s by former resident, Selfridges owner Galen Weston). Coworth guests can ride the grounds themselves and watch professional matches from April through September.

There's also a spa (the Dr. Alkaitis-brand facials use 100 percent edible ingredients) and three restaurants from Michelin-starred chef John Campbell.

Rooms start at $375. At Blacknest Rd.; 44-13/4487-6600; coworthpark.com.

5. A Chef Comes Home: Hix Oyster and Fish House Lyme Regis, Dorset

The Jurassic Coast, three hours from London in western Dorset, is home to some of England's finest ingredients: hedgerow berries, common nettles, lamb, cod, Dover sole.

So it comes as little surprise that the area is increasingly attracting British gastronomes, like London-based, Dorset-born chef Mark Hix, who opened this 45-seat spot in 2008.

Perched above the horseshoe-shaped harbor, the restaurant has drawn a discriminating crowd, and Hix also hosts cooking demonstrations and supper clubs led by well-known writers, artists and chefs.

The balcony is delightful at lunch, especially for Portland Royal oysters served with a glass of Sancerre.

Dinner starts at $50. At Cobb Rd.; 44-12/9744-6910; hixoysterandfishhouse.co.uk.

Departures: Spring's hottest gadgets

6. Under the Big Top: Giffords Circus Cirencester, Gloucestershire

The brainchild of Nell Gifford -- who often gets in on the act herself -- this fairy tale re-creation of a traditional 1930s touring circus (dancing horses, twirling acrobats) first took grip of the country's imagination in May 2000 at the Hay-on-Wye literary festival.

With just 360 spectators, the performances have a magical intimacy, the storytelling appealing to adults and children alike, and after evening shows, guests are invited to dine with the cast in a fairy light-strewn tent.

Debuting in May, the 2011 show, War and Peace at the Circus, will feature scenes inspired by Tolstoy's epic novel.

Adults, $35; children, $20. 44-84/5459-7469; giffordscircus.com.

7. Secret Gardens: Amberley Castle Amberley, West Sussex

The British love of garden follies -- fountains, aviaries, pavilions -- has had a resurgence in recent years as a spate of fanciful creations have emerged across the country.

The most ambitious is Butterfly World, a $40 million development conceived by British lepidopterist Clive Farrell, which will be the world's largest indoor butterfly house when it's completed in Hertfordshire next year.

On a much smaller scale, there's Amberley Castle's Mistletoe Lodge, a private dining space for just two. Perched in the branches of an enormous poplar tree in a quiet corner of the property, the thatched-roof treehouse offers an intimate spot to enjoy dishes like rare roast beef with truffles and vegetables.

Rooms start at $365; dinner, $635. At Rte. B2139; 44-17/9883-1992; amberleycastle.co.uk. English Eats Thyme at Southrop is more than an excellent new cooking school. This historic Cotswolds estate now includes four pretty cottages to rent and an exceptional gastropub, The Swan.

Courses start at $75; cottages, from $285; thymeatsouthrop.co.uk.

8. Parties by Design: Sophie Conran for Temple Guiting Temple Guiting, Gloucestershire

As the daughter of design guru Terence Conran (of the eponymous shops), Sophie Conran grew up surrounded by some of the world's most creative minds. Now she's opened up her Rolodex, curating country house parties in a converted barn at a 15th-century stone manor in the Cotswolds.

Conran tailors each retreat to guests' requests, then calls on her expert friends to deliver the experience: French cooking classes with Michelin-starred chef Eric Chavot, say, or millinery workshops with Rachel Trevor-Morgan, who has created headpieces for the Queen. Conran also redesigned the barn at Temple Guiting to create five unique guest suites.

Rooms start at $375. At Rte. B4077; 44-20/7706-1309; sophieconrantg.com. Establishment accepts no charge/credit cards or accepts cards other than the American Express Card.

9. Back to the Beach: The Cary Arms Babbacombe Beach, Devon

The thriving British beach holiday of the 19th century waned over the years as travel to other European seaside resorts became more alluring. But the UK coast is back with this 1920s seaside inn that's been redone by its new owners, Lana and Peter de Savary.

The de Savarys clearly know luxury -- Peter reconceived Scotland's Skibo Castle as a lavish members-only club -- and they've injected some panache to the modest inn. The eight rooms and three converted fisherman's cottages have a crisp New England feel, and most overlook Babbacombe Bay, where dramatic red cliffs meet a dolphin-dotted sea.

Rooms start at $240. At Beach Rd.; 44-18/0332-7110; caryarms.co.uk.

10. Pub Hub: The Devonshire Arms at Pilsley Pilsley, Derbyshire

It's no secret that the English pub, once a place of beer and cigarettes, has grown increasingly posh over the years, with so-called gastropub cuisine even winning Michelin stars.

In July the Duchess of Devonshire entered the ring with her revamp of this seven-bedroom village pub, close to the well-known family manse, Chatsworth House.

With duck's-egg-blue, apple-green and raspberry-pink interiors, the inn has a fresh English aesthetic matched by simple, locally sourced food, not least of all slow-cooked corned-beef hash with fried eggs and treacle tarts -- classic English pastries.

Rooms start at $140; dinner, $30. At Rte. A619; 44-12/4658-3258; devonshirepilsley.co.uk.

© 2010 American Express Publishing Corporation. All rights reserved.

@highlight

The English countryside attracts peace-seeking urbanites

@highlight

Hampshire County is a popular choice for wealthy Londoners seeking retreats

@highlight

The British love of fountains, aviaries, pavilions has had a resurgence in the country