(CNN) -- Some of the most important turning points in the struggle for justice have occurred when individuals in our three branches of government courageously did the right thing by standing up against injustice.

In the 1960s, Attorney General Robert Kennedy marshaled the power of the federal government to protect protesters at pivotal moments in the civil rights movement. Rep. Charles "Mac" Mathias, a Maryland Republican, bucked his party and reached across the aisle to help draft the 1964 Civil Rights Act. Alabama Federal District Court Judge Frank Johnson and the judges of the old Fifth Circuit helped to end legal segregation and enforce voting rights in the South despite much resistance.

Last week, in the midst of our preparations for the 50th anniversary commemoration of the 1963 March on Washington, the civil rights community was heartened to see two modern-day versions of this kind of courage and commitment to justice. Attorney General Eric Holder and Federal District Court Judge Shira Scheindlin landed a one-two blow against mandatory minimums and "stop and frisk" racial profiling.

Holder announced that the Justice Department would no longer seek severe mandatory sentences for low-level nonviolent drug offenders with no ties to gangs or large-scale drug organizations. Citing a report that black male offenders have received sentences nearly 20% longer than those imposed on white males convicted of similar crimes, Holder said, "This isn't just unacceptable -- it is shameful. It's unworthy of our great country, and our great legal tradition."

It was inspiring, gratifying and satisfying to hear the nation's top law enforcement officer publicly recognize that mandatory minimum sentencing is wrong, overburdens our federal prison system and wreaks havoc on our communities.

Why some movements work and others wilt

In short, mandatory minimums have been a near disaster.

On the same day that Holder made his announcement, another courageous public servant also did the right thing by striking down as unconstitutional New York City's notorious practice of "stop and frisk."

Judge Shira Scheindlin found that between 2004 and 2012, the New York City Police Department made 4.4 million stops. Eighty-three percent of these stops were of blacks and Hispanics, even though they make up only 52% of the population. In 88% of these stops, the individual was found innocent of any wrongdoing and in 98.5% of the frisks, no weapon was found.

Judge Scheindlin's decision followed the tradition of great judges who upheld civil rights. And, in conjunction with Holder's announcement, it offers the promise of a new approach to law enforcement in the United States -- smarter, saner more humane strategies that are tough on crime without targeting, tormenting and demeaning people and communities of color.

We received a strong message from the executive and judicial branches. It is now time for the third branch of government -- Congress -- to adopt measures that address crime while protecting civil and human rights.

Congress took an important step three years ago with the passage of the Fair Sentencing Act of 2010, which reduced the sentencing disparity between offenses for crack and powder cocaine from 100:1 to 18:1. However, that law applied only to future crimes, and does not affect anyone convicted prior to enactment, an unfortunate gap in an otherwise worthy measure.

Rethinking drug sentences comes too late for some

Congress should close this gap and take steps toward correcting and preventing the corrosive impact of mandatory minimums by passing the bipartisan Smarter Sentencing Act of 2013.

Among other things, this act would make the Fair Sentencing Act retroactive to persons currently serving time for nonviolent drug crimes by allowing them to petition the courts for a review of their case. The bill would also reduce mandatory minimum sentences for drug offenses, and give judges more discretion to determine sentences in nonviolent drug cases, enabling them to tailor the sentence to fit the particular crime and individual offender rather than forcing them to impose a "one size fits all" penalty.

"Our current scheme of mandatory minimum sentences is irrational and wasteful," said Sen. Mike Lee, R-Utah, who has co-sponsored the act with Sen. Richard Durbin, D-Illinois. The bipartisan support for the act offers hope for meaningful change and we strongly urge Congress to pass this measure as soon as possible.

Opinion: Why did justice on incarceration take so long?

Fifty years ago this month, hundreds of thousands of Americans of all ages, races, economic conditions and political persuasions lined up on the right side of history, marched on Washington and stepped into posterity.

Today, every member of Congress has the opportunity to follow in their footsteps. If they look into their hearts and forward into history and honestly consider on which side of posterity they'd like to be at the 100th anniversary commemoration, they should know the right thing to do.

The opinions expressed in this commentary are solely those of Barbara R. Arnwine and Stephanie J. Jones.

@highlight

Barbara Arnwine, Stephanie Jones: We are heartened by two recent acts of justice

@highlight

Decisions on mandatory minimums and "stop and frisk" racial profiling are right, they say

@highlight

Arwine, Jones: Congress should follow up by passing the Smarter Sentencing Act of 2013

@highlight

The act would not force judges to impose a "one size fits all" penalty on offenders