Benghazi, Libya (CNN) -- Doctors at a field hospital in Martyrs Square in Zawiya said Friday that 17 people were killed and another 150 were wounded when government forces attacked the city. They predicted the death toll would rise by morning.

Six pro-regime soldiers who were captured said they had been told that the city was being run by Arab militants and it was their job to liberate it, according to the doctors, who asked not to be identified. The soldiers added that they had been misled so that they would fight against their countrymen, the doctors said.

By the end of the day, the situation was calm in the seaside city, they said.

The casualties were announced shortly after Libyan leader Moammar Gadhafi accused followers of al Qaeda leader Osama bin Laden of brainwashing the youth of Zawiya with hallucinogenic drugs, resulting in the unrest.

"They put it with milk or with other drinks, spiked drinks," he said. After taking the tablets, "they attack this police station or that one so they can steal from there the criminal records."

He pleaded with the protesters' mothers to track them down in the streets of the coastal town about 55 kilometers (about 35 miles) west of Tripoli and take them home.

He added that he had ordered an end to the violence there, but his order upset his security forces. "They told me they are being shot at and they were doing it in self-defense," Gadhafi said. "Why do you give us orders to stop?"

Addressing the people of Zawiya, he sent condolences to the families of the dead and wounded. "These are our children," he said. "We are quite upset about the senseless loss of lives."

Zawiya's residents are free to do as they like, though there will be consequences, he said. "If you want to pit against one another, then it's up to you," he said. "But the borders of the city will be sealed in order to stop it from spreading elsewhere."

He added, "How can such lunatic youth cause such anarchy?"

Gadhafi said Libya has peaceful ways for its citizens to address their grievances. "We are not like Egypt or Tunisia," he said, referring to two countries that have ousted their leaders in recent weeks. "Here, the authority is in the hands of the people. You can change your authority, just make committees. And if you think they are corrupt, take them to court. Prosecute them."

In an apparent allusion to calls for government officials to be held accountable for violence against Libyan civilians, Gadhafi said it is bin Laden who should be prosecuted. "He's responsible for any acts of murder or sabotage," Gadhafi said.

He accused foreigners of fomenting the discontent. "These acts cannot happen by Libyan men," he said. "No Libyan of any background would go into this, join these acts of sabotage."

Some of the people involved in the opposition, he said, were detained by the United States in Guantanamo.

Finally, he expressed confidence that all will end up will for his regime. "I believe Zawiya will toe the line," he said, then directed his final comment to the city's residents themselves. "Please live up to my expectations, people of Zawiya."

A resident of Tripoli who said she was too afraid to give her name for fear of retribution, called Kadhafi's speech "crazy."

"We're all in our houses like we're sitting in jail," she said. "We can't go outside or we get shot. We hear the bullets." She called for other nations to impose a no-fly zone so that Kadhafi would not be able to fly in mercenaries.

Violence occurred elsewhere too Thursday. A formerly pro-government newspaper in Libya reported Thursday that African mercenaries were shooting at unarmed civilians in Tajura, about 25 miles east of Tripoli. CNN could not confirm the report.

Ten days into protests that have resulted in his loss of control of eastern Libya and led members of his government to defect, Gadhafi faced new international pressure Thursday. Switzerland ordered that his assets, and those of his entourage, be frozen, the Swiss Foreign Ministry said.

Gadhafi's characteristically rambling remarks followed reports that anti-government forces had gained control of Zawiya.

At the hospital, a woman who said her son had been shot told CNN, "Blood is all over the streets."

The woman said unarmed people had been fired on indiscriminately.

"We want to call all human beings: Zawiya is finished," she said. "The people (are) finished. The people (are) dying."

She said it was unclear who was behind were shooting. Many seemed to be African mercenaries, but they may have been from the government or military, she said.

"People are crying," she said, calling for help from the world. "Where (are) the people? Where is the peace?"

The hospital in Zawiya is "a disaster," she said, adding that some shooters had entered the hospital and insisted that no one was killed.

CNN could not confirm reports for many areas in Libya. The Libyan government maintains tight control of communications and has not responded to repeated requests for access to the country. CNN has interviewed numerous witnesses by phone.

Misrata -- sometimes spelled Misurata -- is in the hands of the opposition, who have driven out the mercenaries, witnesses and media reports said. It is the country's third-largest city and is east of Tripoli.

Witnesses and reports also said the town of Az Zintan was under opposition control.

The opposition already controls Libya's second-largest city, Benghazi, where crowds cheered as international journalists drove through. The only shooting that could be heard was celebratory gunfire.

Men in their 20s were guarding the city with shotguns, clubs or hunting knives.

But Tripoli was a different story. Gunfire erupted at dawn Thursday as chanting crowds dispersed. Government security forces were tightening their grip on the capital, according to sources. In one neighborhood, no one was allowed in or out.

"There's nobody walking in the street, nobody is trying to get out, even to look through the window," said a resident who, for security reasons, did not want to be identified. "It's a little scary."

She said she was risking her life by talking to a reporter.

"I've been trying to keep my identity hidden," the woman said. "There are reported kidnappings happening in homes for anybody credible that is talking to the media and giving them the truth about what's happening in Libya."

Continuing a stream of defections among Libyan diplomats, the ambassador to Jordan, Mohammed Hassan Al Barghathi, said Thursday he was resigning because of the unrest.

So, too, did a cousin of Gadhafi, Ahmed Gadhaf al-Dam, a top security official who was considered one of Gadhafi's closest aides. In a news release, his office said he left Libya last week "in protest of the way the crisis was handled" and that he had resigned.

Underscoring the growing distance between the Gadhafi regime and Libyan diplomats, the flag hanging outside the Libyan Mission to the United Nations in New York was the opposition flag; the regime's flag had been taken down.

But an anchor on state television said that Libyan diplomats and staff in Saudi Arabia had sent a cable of support "paying their respective loyalty to the leader of Libya."

The U.N. Security Council will meet privately at 3 p.m. Friday to discuss taking additional measures against Libya.

The U.N. Human Rights Council also plans to meet Friday to discuss a resolution that would suspend Libya from the council. The resolution would condemn "the massive and unacceptable violence currently being perpetrated in this country," French Foreign Minister Michele Alliot-Marie said Thursday in a statement. "It holds the Libyan authorities accountable. This violence could constitute crimes against humanity."

Governments around the world scrambled to get their citizens out of the country.

A ferry chartered by the United States to evacuate U.S. citizens remained in port in Tripoli because of bad weather, diplomatic sources said.

Dena Drotar said her mother, who was on the ship, told her that her fellow passengers were being fed, but were anxious and having difficulty sleeping, "so they're also getting a little bit giddy."

In Washington, a senior U.S. military official said the Pentagon was looking at "all options" it can offer President Barack Obama in dealing with the crisis.

"Our job is to give options from the military side, and that is what we are thinking about now," said the official, who declined to be identified because of the extremely sensitive nature of the situation. "We will provide the president with options should he need them."

Obama called French President Nicolas Sarkozy to discuss the situation, and both presidents "reiterated their demand for an immediate halt to the use of force against the civilian population," the French Embassy said.

CNN's Richard Roth, Saad Abedine, Waffa Munayyer, Pam Benson, Ben Brumfield, Amir Ahmed, Ingrid Formanek, Eve Bower, Salma Abdelaziz, Mitra Mobasherat and Jaime FlorCruz contributed to this report.

@highlight

NEW: Reports of 17 dead, 150 wounded in coastal city of Zawiya, near Tunisia

@highlight

Switzerland freezes Libyan leader Moammar Gadhafi's assets

@highlight

Gadhafi accuses followers of Osama bin Laden of brainwashing youth of Zawiya

@highlight

Portions of eastern Libya are under the control of the opposition