San Francisco (CNN) -- When Microsoft released the first Xbox nearly a decade ago, analysts considered the then-money-losing endeavor to be a sort of Trojan horse into the living room: a bid to become the home's central media hub.

Now, Microsoft is facing an undisguised assault from Apple, Google, Samsung Electronics and start-ups like Boxee and Roku. They are all vying to fill the holes in Internet video on the big screen with hardware that makes it easy to watch on demand.

Microsoft and Sony, which makes the PlayStation, are working to bolster their Internet-video offerings before new challengers can usurp the home-entertainment market that they've been cultivating for many years with their systems.

Sony plans to unwrap a new version of its video-download service for the PlayStation 3 on Tuesday. People who subscribe to PlayStation Plus will be able to download a preview, and starting on October 11, all owners of the game console will be able to download the application from the home screen in the same way they can get Netflix.

The sleeker Video Unlimited has large text and cover artwork for movies and television shows. The overall design looks a lot like the Metro style Microsoft is using in Windows Phone 7 and Windows 8.

Video Unlimited will deploy a new patented search interface that works well with the arrow buttons on remote controls, which typically don't have keyboards, and the system suggests results as the user types -- much like Google's predictive search results. While surfing through menus, the app frequently makes recommendations about similar films and programs.

"We want you to be able to search and browse in a nonlinear way," Michael Aragon, a vice president for Sony Network Entertainment, said in an interview. "We want people to get lost in the experience."

The company is rebranding its Qriocity media suite, which includes a music-subscription service and the video store. Music Unlimited and Video Unlimited will live under the Sony Entertainment Network umbrella, and they may eventually be joined by the PlayStation Network, Aragon said.

For now, the PlayStation Network Store will continue to offer the same programming that Video Unlimited has, to cater to customers familiar with buying media through the existing store.

Music Unlimited and the PlayStation Network Store will be redesigned later, Aragon said. The music service has about 750,000 active users, and about 100,000 paying for access, he said.

Couch potatoes expect programs to start immediately, but Video Unlimited's a-la-carte downloads don't do that currently on the PlayStation. This already works on Sony's Blu-ray players that have the app installed, and will be coming soon to the PlayStation, Aragon said.

The redesigned video service will be coming to Sony set-top boxes and Bravia TVs in the next few months, Aragon said. The Sony tablet, which is set to debut early next month, will have a version of Video Unlimited, and the iPhone app will eventually include the ability to watch videos offline, he said.

With the new Web services, Sony is hoping to leave behind the blunders from earlier this year which resulted in a lengthy outage for its network. A reminder of those flared up recently when Sony asked its users to waive their rights to file class-action lawsuits. In the interview, Aragon boasted that Sony has added 3 million accounts and usage has increased by more than 10% since the outage.

But Sony's network division has more than its own recent mistakes to concern itself over. Google has been unwavering in developing its Google TV platform, which Sony installs on a few of its products. Some rumblings within supply chains suggest that Apple is working on a television set. Samsung is pushing its Smart TV system.

Even with more TV sets bundling Internet capabilities, the market for set-top boxes is expected to grow 14% this year to 21 million devices shipped, according to market research firm In-Stat.

Microsoft, like Sony, feels the heat and continues to push the Xbox beyond gaming.

"Your Xbox is becoming the hub of your living room," Microsoft CEO Steve Ballmer said at a conference in January. "It is your gaming system; it is your movies; it is your TV experience."

Ballmer expanded on this concept in a presentation at the company's developers conference last month. Microsoft plans to launch new video-on-demand and live TV services for Xbox in partnership with dozens of media companies, he said. There is already an ESPN channel for Xbox Live subscribers.

While Sony is optimizing its platform for existing remotes with the unique search feature, Microsoft is promoting the Kinect, with its microphone and camera for motion sensing, as the peripheral for navigating video content. Microsoft declined to make an executive available to be interviewed.

"Certainly we all know the frustrations of using guides and menus and controllers, and we think a better way to do all of this is simply to bring Bing and voice to Xbox," Ballmer said last month. "You say it; Xbox finds it."

With Zune Pass and Xbox's limited video programs, Microsoft has favored subscription models. It's unclear how the new Xbox services will be packaged.

Nintendo has been testing the waters on 3-D media delivery through its 3DS hand-held. The Wii is not seen as a media hub, though it can access Netflix.

Netflix has about 24 million subscribers, and the game consoles have been a primary way people get the service. Sony favors a la carte over "the Netflix model," Aragon said, because it can offer new films close to when they are released on Blu-ray. "If you want to do subscriptions, you can't have new content," he said.

Sony is considering offering a subscription service catering to young men, which would include anime films, Aragon said. "PlayStation has such a strong tie to the gamer market," he said.

Subscriptions are thriving, evidenced by Netflix's success and by Amazon.com's partnership with 20th Century Fox, announced Monday, for the Instant Videos service. Microsoft and Sony would like to sell the media, not just the hardware that plays them. But if their gaming consoles were truly home-entertainment Trojan horses, the clock is ticking for them to spring their surprise.

@highlight

Sony is redesigning its video download service for the PlayStation 3

@highlight

Microsoft plans to launch live TV for the Xbox

@highlight

Push for game consoles as media hubs faces competition from big tech companies