Statesville, North Carolina (CNN) -- It was supposed to be a routine patrol for Dale Beatty, a National Guardsman serving in northern Iraq.

But when the Humvee he was in veered slightly off the road, his life changed in an instant.

"I remember seeing all the sand across the dash of the Humvee go up in the air. That was pretty much the last thing I remember," Beatty recalled eight years later. "And there was a big boom, lots of pain."

The vehicle hit an anti-tank land mine, flying nearly 50 feet in the air. When Beatty came to, his legs were pinned under the wreckage. Within days, both were amputated below the knee.

It was a life-altering injury, but from the beginning, Beatty had a positive attitude about it.

"For some reason, I've always been able to see how lucky I am," he reflected, noting that his injuries made it possible to wear prosthetic legs. "It's not like losing a fingernail. But ... it's just the way it has to be. I've met people that have been hurt a lot worse than me that have lived full, fulfilling lives. So there's no excuse for me not to."

Beatty spent a year recovering at Walter Reed Army Medical Center in Washington, and he hoped to build a house for his wife and two young sons when he returned home to Statesville, North Carolina. But given his new reality -- two prosthetic legs and, at times, a wheelchair -- he wasn't sure how he'd manage it.

That's when a member of his church, who'd heard about Beatty's situation, took action.

He persuaded the Iredell County Builders Association -- of which he was a member -- to help Beatty build a wheelchair-accessible home with wide doorways and roll-in bathrooms. The land was donated by Beatty's father, and volunteers pitched in to help while Beatty supervised.

"The whole community helping me, and working alongside me, it was such a good feeling," said Beatty, now 34.

Throughout the construction, Beatty consulted his friend John Gallina, a building contractor with whom he'd served in the National Guard and was driving the Humvee when it hit the land mine. Gallina suffered a traumatic brain injury in the blast and was later diagnosed with post-traumatic stress disorder. While his wounds were less visible than Beatty's, he also struggled to adjust to post-war life.

When the house was finished, Beatty and Gallina decided to "pay it forward" to help other disabled veterans. In 2008, they pooled their military disability payments and started Purple Heart Homes, a nonprofit that so far has modified or helped provide homes for 30 disabled veterans in several East Coast states.

"There's thousands of veterans right here in our midst," Beatty said. "People don't realize the need that's out there."

In the past decade, a number of nonprofits have sprung up to help Iraq and Afghanistan veterans with their housing issues. But according to the Department of Veterans Affairs, those two wars account for only a small percent -- less than 15% -- of the entire veteran population.

Beatty's and Gallina's organization will help any disabled service member who was wounded during his or her military service, even if it was decades ago.

"The Gulf War vets have a lot of issues, and we know there are people who got hurt in Bosnia, Kosovo ... Vietnam," Beatty said. "We just wanted to level the playing field."

Dave Morrell, who lives near Beatty in Harrisburg, North Carolina, served three tours with the Special Forces in Vietnam and ultimately lost a leg because of complications from exposure to Agent Orange. When Beatty and Gallina heard that he often had to crawl into his bathroom because his wheelchair wouldn't fit through his home's narrow doorways, they decided to help.

"I'd have been happy if they could've figured a way just to widen the door," Morrell said. "To have them build a complete new addition and a whole new bathroom was unbelievable."

Purple Heart Homes, using donated labor and materials, will help any disabled veteran who is a homeowner, and all repairs are free. Beatty and Gallina know that projects such as adding ramps or renovating bathrooms can make a big difference for veterans and their caregivers.

"We want to make those changes that make their life easier, safer, just better," Beatty said.

Beatty and Gallina also want to help those who can't afford to buy their own home, many from the younger generation. While the organization has built a couple of houses from the ground up, it has also developed a program that moves veterans into foreclosed properties donated by banks and municipalities. The group matches a disabled veteran with each property and then partners with a community organization that can gather volunteers to renovate it.

This local support is an essential part of Purple Heart Homes. Beatty and Gallina believe that working with community members makes a big difference to veterans, who can often feel isolated and socially withdrawn.

"When you have people saying thank you (by coming) to your home to swing a hammer and paint a wall, it says something different than shaking your hand and buying you a drink," said Gallina, 34. "And that support continues once the project is done."

Demond Taylor is an Iraq war veteran who suffers from PTSD, among other things. His future home in South Euclid, Ohio, is still in the process of being renovated, but he's already feeling the benefits of the project.

"Every time I turn around, it's a new person saying hello," Taylor said. "This is the first time since I got home that I actually felt the 'thank you,' the 'wish you well.' "

When the renovation work is finished on these donated homes, the house is appraised and Purple Heart Homes will help the veteran get a mortgage for 50% or less of its value. Beatty and Gallina discovered that many veterans struggle with poor credit, so by making affordable payments on a mortgage, they are able to improve their credit score and build equity.

Beatty believes it's a solution that helps veterans as well as their communities.

"We are putting value back into the properties by not making them free, and we are putting value into the veteran," Beatty said. "This is a hand up, not a handout."

With donations and grants, Purple Heart Homes has grown rapidly since it was founded four years ago. The nonprofit has received more than 700 applications, and it gets about four or five new ones a week. More than 100 projects have already been approved and are in the pipeline.

Beatty and Gallina say their new mission is more than just providing veterans with accessible homes; it's about encouraging communities to get involved with those who served their country.

"My great-grandfather was in World War I, grandfather was in World War II, my dad was in Vietnam. I've seen the uniforms hanging in the closets," Beatty said. "Other people have no connection. ... (We want) to just open people's eyes."

Kevin Smith is a Vietnam veteran from Newton, North Carolina, who suffered knee and back injuries in an accident aboard an aircraft carrier. For decades, he endured dozens of operations and gradually became more reclusive -- in part because he was afraid of falling down his front steps, which didn't have a handrail.

"For 35 years, no one cared," Smith said.

But when Purple Heart Homes built a wheelchair ramp in front of his home, it changed his life. The physical improvements made it easier for him to move about safely, and the goodwill gesture deeply touched Smith.

"(They) made me realize that I had value and worth and that I meant something," he said.

Now Smith socializes frequently with his neighbors and other veterans. He says it's all because of Purple Heart Homes.

"They jump-started me back into life ... (and) said welcome home," Smith said, tearfully. "It's great to be home after 40 years."

For Beatty and Gallina, their work is about giving all veterans the same level of respect.

"Regardless of when you served, where you served ... we're all the same," Beatty said. "They just need to know that somebody does care about them.

"We wouldn't leave someone behind on the battlefield. Why would we do it at home?"

Want to get involved? Check out the Purple Heart Homes website at purplehearthomesusa.org and see how to help.

@highlight

Dale Beatty's nonprofit helps disabled veterans who have various housing issues

@highlight

Sometimes it finds them a new home; sometimes it modifies an existing home

@highlight

It's a way for communities to come together and thank veterans for their sacrifice