Beijing, China (CNN) -- Lazy, promiscuous, confused, selfish, brain damaged and overall hopeless are all labels that have been given to China's so-called post-90s generation, or those who were born after 1990 who are now mostly in their teens today.

Whatever the post-90s are, one thing for certain is they are different from those born before them: they have no memory of China's tumultuous past, instead only experiencing it as a country with rapid economic growth underscored by rampant consumerism and globalization.

"They have only known a life in China that is rising and affluent," Frank Yu, a Beijing-based internet analyst, said.

"They are considered a wild card generation. They are very aggressive and outward looking and are pretty confident because they never felt hardship."

And they are also the first generation that has grown up with the internet. And it is there, online, where they live lives that are a marked departure from age-old cultural norms that remain ingrained in Chinese society today.

"When they turn away from the internet and look at the real world and they see that nothing has changed, there is this huge disconnect in their minds," said Kevin Lee, chief operating officer for China Youthology, a Beijing-based research firm.

"Their minds are in this internet way of thinking, and when their real world is not even moving, not even budging, they feel powerless. And so where do they escape? They go back to the internet."

The Web is one of the few, if only places, where those who are not post-90s can see their sometimes radical behavior, try to communicate with them and attempt to figure out who, exactly, they are and what, exactly, they are thinking.

"On the internet, they have the chance to be individuals," said Zakfa Zhang, also with China Youthology.

"It is a totally new space for the youth to feel independent. They can criticize anyone, and no one will tell them they are wrong, and they can express themselves online without many restrictions."

The ways in which China's teens express themselves online vary. They hang out on Chinese social networks, like Kaixin001 and Renren, post comments on microblogs as well as use Tencent's highly popular instant messaging service QQ and Qzone, its social networking site and other online bulletin boards.

On these platforms, they form what some have described as "tribes" or "clans" that can consist of thousands of members communicating via "Martian" language.

"The 'Martian' dialect most closely identified with the post-90s alternative subculture is 'brain-damaged writing', which is essentially standard Mandarin written using the most obscure characters possible," writes Adam Schokora, a Shanghai-based internet analyst on the blog Fifty 5.

The post-90s virtual world is also characterized by the photos and videos they share online.

Young women often post cartoon-like pictures of themselves with pursed lips, Photoshop-enlarged eyes (to appear more like an animated characters) while wearing chunky glasses, sexy, doll-like clothing or goth and punk styles borrowed from Japan and Korea.

"They want to show off: 'I am beautiful. I am special. I am a star,'" Zhang said.

A post on the blog China Hush titled "A Series of Post-90s Generation's Bad Behaviors" shows some of the more shocking sexual content the teen post online: "The general impression is Post-90s kids are 'out of control,' behaving badly'...'have mental problems' and are 'engaging in sexual activities way too early,'" the post says.

Not everyone views their behavior so negatively.

"In the virtual world, they learn how to be leaders, to solve interpersonal conflicts," said Han Yinbo, co-author of "An Exploding Internet Revolution."

"These online activities make them more mature, give them more options and enlarge their visions. Former generations didn't enjoy such colorful worlds. Their understanding of the outside is limited and monotonous."

"Society views us as wanting to be different, wanting to be full of personality and full of individuality and wanting to be creative in not a good way," said Lin Li, an 18-year-old student at Fudan University in Shanghai.

"We see the society as our enemy a little bit. We do not want to be so conventional because we think all of these things are old and especially in China we need some big changes. Maybe we want to take this responsibility even though we might not have a really clear goal or aim for the future," she said.

The impact the post-90s will have in China in the future as they mature into adults and become employees is the question many are now asking.

Some have already begun to trickle into the workforce, specifically in factories, a number of which have experienced strikes in recent months by young, rural workers unwilling to accept the low wages and poor working conditions of the past.

According to Yu, the strikes can at least partially be attributed to the "jelly generation" (another term used to describe the post-90s) and their laissez faire, independent and entrepreneurial attitude towards life.

"They are more picky about where they work," Yu said.

Don Tapscott, author of "Grown Up Digital: How the Net Generation is Changing Your World" believes the post-90s generation are  much more entrepreneurial than their elders.

"Yes, they will effect change, and yes, they have a completely different culture than their parents," said Tapscott.

"What happens online does materialize. It does drive behavior change in the real world."

@highlight

Tech-savvy youth of China have become an increasingly studied demographic

@highlight

Called post-90s generation with no memory of China's tumultuous recent past

@highlight

They are avid social media and internet users

@highlight

Some social commentators have criticized post-90s generation as lazy and immoral