(Mental Floss) -- Article II, Section 2 of the United States Constitution grants the president "power to grant reprieves and pardons for offenses against the United States." With a stroke of his pen, the man in charge can make legal trouble disappear. As one might expect, this practice can be a bit controversial.

President Richard Nixon signed and later was granted a pardon by the man who replaced him.

President George W. Bush pardoned 19 people on December 23, 2008, but withdrew one of those pardons for Isaac R. Toussie a short time later.

Let's take a look at some of history's more notable examples.

1. George Wilson

In 1829, George Wilson and an accomplice received death sentences for murder and robbing mail trains. His accomplice quickly took a trip to the gallows, but Wilson had influential friends in Washington. These friends beseeched Andrew Jackson for leniency on behalf of their friend, and Old Hickory relented. In 1830, he pardoned Wilson for his capital crimes; the mail robber would only have to serve a twenty-year term for his other misdeeds.

It sounds like great news for Wilson, but when authorities presented him with the pardon, Wilson perplexingly refused to accept it.

After much legal back-and-forth, Wilson's case came before the Supreme Court, which ruled that since the pardon was a bit of property, there was no legal way to force Wilson to accept it. Like his accomplice, Wilson was hanged.

2. Richard Nixon

Nixon resigned in the wake of the Watergate scandal on August 9, 1974, and just under a month later newly installed President Gerald Ford gave his predecessor a full and unconditional pardon for any crimes he may have committed while in office.

While many observers decried the pardon as evidence of some backdoor dealing between Ford and Nixon, Ford went on national television to explain that he felt the pardon provided the best way for the country to move on and close the discussion of Nixon's antics.

Many Americans didn't buy this explanation, though; even Ford's own press secretary resigned in disgust. Ford conceded that the unpopular pardon probably hurt his chances for reelection in the 1976 presidential race. Mental Floss: How do ex-presidents make ends meet?

3. Peter Yarrow

This name may not be immediately familiar, but you'd probably recognize Yarrow's voice if he sang "Puff, the Magic Dragon." As one-third of the folk outfit Peter, Paul and Mary, Yarrow dominated the music and protest scenes of the 1960s.

Yarrow had legions of young fans, but unfortunately, some were a bit too young. In 1970 he was convicted of taking "improper liberties" with a 14-year-old fan, an error for which he spent three months in jail. On his last day in office, though, Jimmy Carter granted Yarrow a pardon.

Yarrow, for his part, admitted he made a huge mistake and later contritely said, "It was an era of real indiscretion and mistakes by categorically male performers. I was one of them. I got nailed. I was wrong. I'm sorry for it."

4. George Steinbrenner

Many modern fans may know Steinbrenner solely as the big-mouthed, big-spending owner of the Yankees, but in 1974 "the Boss" was also in a spot of legal trouble due to his shadowy connection with Richard Nixon's reelection campaign.

After receiving 14 criminal indictments, Steinbrenner pleaded guilty to making illegal campaign contributions and obstructing justice. The plea resulted in Steinbrenner coughing up a $15,000 fine, and Major League Baseball suspended him for a total of 15 months.

In the closing days of his second term, though, Ronald Reagan pardoned Steinbrenner for these offenses.

5. Junior Johnson

Johnson was one of NASCAR's first stars in the 1950s and 1960s, and he later became a wildly successful team owner in the sport. However, despite all of his triumphs at the track, Johnson had old legal problems hanging over his head.

In 1956, federal agents caught the rising NASCAR star working a moonshine still in North Carolina; the arrest was particularly galling to Johnson because he was a legendary moonshine-running driver. He received a two-year sentence for the crime and spent 11 months in federal prison. Once Johnson got out of jail, he resumed his dominance of the NASCAR circuit, but he was bothered by the loss of his voting rights as a convicted felon.

In late 1986, Ronald Reagan pardoned Johnson for his moonshining past. Mental Floss: The men behind your favorite liquors?

6. Rick Hendrick

Johnson's not the only racing figure who has received a pardon, though. Hendrick, the owner of the Hendrick Motorsports team that's included such famed drivers as Jeff Gordon, is also the owner of a giant chain of auto dealerships.

During the import-crazed 1980s, getting Hondas in your inventory often meant bribing Honda execs to send you a larger allocation of the popular cars. Hendrick played this game for his dealerships, and in the process gave execs thousands of dollars in cars, cash, and even houses. I

In 1997, he pleaded guilty to mail fraud in connection with these shenanigans. His sentence included a $250,000 fine, a year of home confinement, three years of probation, and an order to stay away from his racing team. In December 2000, Bill Clinton pardoned Hendrick.

Other Notable Pardons...

7. Patty Hearst: The heiress-turned-militant spent almost two years in prison for her part in a 1974 bank robbery before Jimmy Carter commuted her sentence in 1979. Bill Clinton later gave Hearst a full pardon on the final day of his presidency in 2001.

8. Every Confederate Soldier: On Christmas Day 1868, President Andrew Johnson declared a general amnesty that unconditionally pardoned everyone who'd fought for the Confederacy during the Civil War.

9. Roger Clinton: Bill Clinton's half-brother spent a year in prison after pleading guilty to cocaine distribution charges in 1984. When Clinton issued a flurry of 140 pardons on his last day in office, his little brother was on the list.

Roger didn't seem to appreciate his second chance, though; less than a month later he was arrested for drunk driving and disturbing the peace. He later pleaded guilty to a lesser charge. Mental Floss: Presidential siblings and the headaches they caused

10. Samuel Mudd, Edmund Spangler, and Samuel Arnold: These three convicted conspirators in the assassination of Abraham Lincoln served time for their crime, but all three received pardons from Andrew Johnson in 1869.

11. Brigham Young: Young doggedly fought against U.S. troops during an armed conflict as federal forces tried to install non-Mormon officials in the state. According to some accounts, Young considered burning Salt Lake City to the ground and taking off for Mexico, but he eventually decided to peacefully step down as governor instead. President James Buchanan later pardoned Young for his role in the fracas.

For more mental_floss articles, visit mentalfloss.com

Entire contents of this article copyright, Mental Floss LLC. All rights reserved.

@highlight

President Andrew Johnson issued pardons for every Confederate soldier

@highlight

President Reagan pardoned a NASCAR racing star convicted of moonshining

@highlight

Three convicted of conspiracy in assassination of Abraham Lincoln were pardoned

@highlight

Train robber was hanged after refusing pardon from President Andrew Jackson