(CNN) -- As America grapples with a crisis of children on its southern border, another image from another time seems inescapable: that ship full of Jewish refugees off our shores as World War II approached.

You might have seen the story portrayed in the Holocaust Museum in Washington. It unfolded in 1939 as Jewish families fleeing from Germany took passage to Cuba on a German liner, the St. Louis. While underway, Cuba decided to deny them entry so they turned toward America, desperately hoping the United States would show them compassion.

But the U.S. political climate had turned hostile toward the growing number of European Jewish immigrants. On June 6, 1939, their ship hovered off the coast of Miami Beach -- only to learn that the U.S. government refused them entry.

Losing hope, the St. Louis turned back to Europe and there, in the months and years that followed, over a third of its passengers perished at Nazi hands. America has had many noble moments, but that was a moment of shame that left an indelible stain.

Seventy-five years later, we are faced with a new group of desperate people hovering in our midst -- this time children from Central America escaping escalating levels of violence few of us can fathom. While certainly no Nazi Germany, the growing humanitarian crisis in their home countries is glaring as rising murder rates for youths are a driving force behind the mass exodus.

How will we respond this time?

A family secret that changed his life

As has been widely reported, the number of unaccompanied children arriving from El Salvador, Guatemala and Honduras has increased tenfold since 2011. It's no surprise that the current system -- designed for no more than 8,000 children -- has collapsed under the stress of 40,000 unaccompanied minors since in October. By year's end, our government says, as many as 90,000 may be apprehended -- a tripling of last year's border arrest figures.

But just as with the Jewish refugees on the St. Louis, this influx is not primarily a story of immigrants traveling to America to seek opportunity and prosperity. This is a story of three countries so plagued by gang violence, chaos and poverty that a family would rather pay a "coyote" 18 months of income to take their 14-year-old daughter on a life-threatening 45-day, 2,000-mile journey than have her risk her life at home.

This is a story of three countries with levels of violence comparable to a war zone. Honduras suffers from the highest murder rate in the world, and El Salvador and Guatemala are in the top five. In fact, a civilian is twice as likely to be killed in these three countries as in Iraq during the height of the war.

It is also the story of three broken states where the police are infiltrated by street gangs (some copied on U.S. models) and governments -- corrupt from top to bottom -- are helpless in their fight against organized crime.

And it's the kids who are most at risk in this story. Boys are recruited into gangs sometimes before they hit their teenage years. Girls are forced into nonconsensual relationships with gang members where they are raped, abused and sometimes "disposed" of afterward. And any defiance invites violent retaliation and, often, death.

One immigration rights advocate recalls a mother telling her, "I would rather see my child die on the way to the United States than die on my doorstep." Another organization reports a child explaining, "If you stay, you will die, if you leave, you might. ... Either way it's better to try."

What should be done?

We can solve the immediate crisis of children piling up in detention centers. Congress can -- and should -- pass some version of the president's $3.7 billion emergency spending request. We can -- and should -- beef up security at the border, hire more judges to expedite the process,and track down the children who skip their court dates. We can -- and should -- provide due process to these kids, seeing who legally qualifies for staying here as refugees from persecution. Estimates vary on how many will qualify.

But those calling for mass deportations of the rest need to think long and hard about what sort of fate we are sending these kids back to. Unless circumstances change, many forced to return to their cities will likely perish. They are now in our care. Are we not morally obligated to prevent the possible deaths and abuses of thousands of these children?

So how do we humanely protect these kids without encouraging new waves of children to undertake highly dangerous journeys and wind up on our already overstressed border?

Surely, we as Americans are capable of coming up with creative solutions that are compassionate as well as sensible, solutions that tell the world (and ourselves) that we still aspire to be good-hearted, noble but pragmatic people.

Three steps come quickly to mind. We invite you to post others.

--First, we should respond generously to those children who have already arrived or will soon. For those who qualify for refugee status under U.S. law, we should ask families across our country to help provide new homes for them.

-- Second, we should push to establish "safe zones" -- operated by the United Nations, supported by the U.S. -- for returning children and their families in their native countries and work with those countries to reduce their violence and expand hope.

Opinion: Border crisis could last a long time

--Third, once the "safe zones" are developed, we should set a firm date when all children who arrive thereafter will be returned to their native countries regardless.

The idea of "safe zones" is not new. The United Nations has successfully established such protected areas in two major instances: to protect refugees in the Indochinese crisis of the 1970s and to shield 2 million Kurds from slaughter by Saddam Hussein's troops after the 1991 Gulf War.

As we learned from a "safe area" that did not work in Bosnia in 1995, it is essential that there be enough well-armed international and regional troops on the ground to ensure zones are not overrun. In Bosnia, thousands lost their lives.

Understandably, many Americans are fatigued from trying to help other nations when our own communities are desperate for more help. Polls show that our citizenry, frustrated and disgusted by years of wars that are ending badly, are more opposed to the U.S. taking on new tasks overseas than at any time in the past 50 years.

And it's true: the only way this crisis ends well in the long run is if these Central America governments successfully fight back against gang violence and corruption. We will definitely need to aid them in their efforts, as we did in Colombia where our financial support has helped to stem the tide.

Even so, moments inevitably come that define who we are as a people. As the saying goes, we may not be looking for trouble but trouble is looking for us. How we respond to these thousands upon thousands of desperate, destitute children is one of those moments.

Will we turn our backs, as we did so shamefully to those Jewish refugees years ago? Or will we live by our ideals? That is the choice we now face.

@highlight

Gergen, Katz: U.S. turned away ship of German Jewish refugees fleeing Nazis

@highlight

That shameful episode is remembered as fate of Central American children is debated

@highlight

They say U.N. safe zones, supported by the US, should be established in Central America

@highlight

Authors: U.S. has a duty to be compassionate toward the refugee children