LONDON, England (CNN) -- The "crime scene cookies", "baaji custard" and "sponge shafts" depicted in Oliver Beale's letter of complaint to Virgin Atlantic struck a chord worldwide.

Mean cuisine? Airline industry experts insist standards of in-flight food are improving.

The missive he sent to Virgin chairman Sir Richard Branson about a meal he received on board a Virgin flight from Mumbai to London in December spread across the web and email with a vengeance.

Not only was this a complaint letter par excellence, but it hit upon one of the most emotive subjects of long-haul air travel: the in-flight meal.

Read the letter here.

"Food gets everybody going, whether they are sitting at the back end or the front end of the plane," says Peter Miller, marketing director at Skytrax, a UK-based aviation research organization.

"Apart from the sheer fact you might be hungry, it is there to alleviate the boredom. Because of that people tend to focus on it more."

But the criticism passengers target at airline food is not always warranted, Miller argues.

Skytrax has been tracking airline service for a decade and every year it ranks airlines according to catering in economy, business and first class.

Miller acknowledges that there have been cut backs on catering across short-haul flights and a decline in spending on food in long-haul economy.

But Skytrax's research has also revealed a general improvement in standards over the last five years. "We are actually strong supporters of the overall quality that is served up across most airlines in most parts of the world," says Miller.

Standards have improved firstly as a result of greater competition between airline catering companies, says Miller. What do you think? Are in-flight meals getting better or worse? What was your worse meal? Sound off below.

Austrian catering company DO & CO has transformed the food served onboard Austrian Airlines and Turkish Airlines flights. Skytrax reported a 35 percent increase in customer satisfaction for Turkish Airlines since DO & CO was hired in 2007.

"In the last 15-20 years, the industry has focused on lean production. But we believe [airline catering] is not the job of a car manufacturer," says Attila Dogudan, CEO of DO & CO.

Good quality airline food not only depends on the quality of raw ingredients, he says, but also the intangible elements of good cuisine.

"If you have chefs doing 3,000 filets on the grill, after 300 they lose the passion," says Dogudan. To inspire enthusiasm in its kitchens, DO & CO says it employs an unusually high ratio of chefs to work on a greater variety of dishes.

They say they also insist on training cabin staff in food service; they replace the dreaded disposable food trays with crockery; and give passengers menus explaining where their fresh, local ingredients come from.

Airlines also use food as a marketing tool and improve standards to attract premium customers.

Austrian Airlines has won the Skytrax award for Best Business Class Catering for the last two years. As Michael Braun, spokesman at Austrian Airlines says, "the current situation in the airline industry is tough and costs have to be cut. But the competition is also very tough, so we need something that makes us unique compared to other airlines."

And for Austrian Airlines, one unique selling point is its food.

There is an on-board chef on every Austrian Airlines flight who puts the crucial finishing touches on premium-class meals.

The airline also offers a "Vienna coffee house in the air" and one quarter of flight attendants are trained sommeliers to guide passengers through the extensive wine list.

Airlines worldwide also hire celebrity chefs to add prestige to their culinary efforts. British chef, Gordon Ramsay is one of Singapore Airline's "Culinary Panel"; Juan Amador works with Lufthansa; and United Airlines enlisted the services of U.S. chef Charlie Trotter to inspire its in-flight menu.

Chefs help airlines design meals that perform at high altitude. As Michelle Bernstein, Delta's celebrity chef has said, palates weaken in pressurized air cabins, which means dishes need to be made a more flavorful and seasoned than they would be on the ground.

Miller at SkyTrax is skeptical about the true benefits a celebrity chef can bring to onboard catering. After all, Gordon Ramsay isn't actually in the cabin sautéing the potatoes.

But he does acknowledge that some chefs have influenced a new style of in-flight cuisine.

Chef Neil Perry, hired by Qantas in 2003, initiated a move to healthy eating in first and business class. His work has since influenced standards across catering in all classes.

Qantas won the Skytrax award for Best Economy Class Catering in 2008 partly as a result of simple enhancements such as the availability of fresh fruit between meals and from the self-serve bar in economy on its A380 aircraft.

But as airlines grapple with a deepening recession, can passengers expect treats to vanish from food trays?

Across short-haul flights, making cuts is an "easier game," says Miller. Passengers notice it far less if an airline switches a sandwich for a packet of biscuits and a plastic cup of coffee, he says.

But on long-haul flights, airlines are restrained in what they can cut.

Miller: "People measure the standard of their flight by the quality of the food or the size of the portion they get. If a meal is cut back too severely they are going to walk away."

How important is food for you on flights? Is it good enough? Sound off below.

@highlight

In-flight food has been the butt of much criticism for the airline industry

@highlight

Industry experts say quality is improving despite some budget cutbacks

@highlight

Airline food is back in focus after a six-page rant from a Virgin passenger

@highlight

The complaint letter referred to the passenger's "culinary journey of hell"