Tokyo (CNN) -- Japanese authorities Tuesday "provisionally" declared the country's nuclear accident a level-7 event on the international scale for nuclear disasters -- the highest level -- putting it on par with the 1986 Chernobyl disaster.

Japan's Nuclear and Industrial Safety Agency announced the new level Tuesday morning. It had previously been at 5.

Regulators have determined the amount of radioactive iodine released by the damaged reactors at the Fukushima Daiichi nuclear plant was at least 15 times the volume needed to reach the top of the International Nuclear Event Scale, the agency said. That figure is still about 10 percent of the amount released at Chernobyl, they said.

The amount of radioactive Cesium-137, which has a half-life of 30 years, is about one-seventh the amount released at Chernobyl, according to the agency.

Japan's nuclear concerns explained

Hidehiko Nishiyama, the safety agency's chief spokesman, explained the final level won't be set until the disaster is over and a more detailed investigation has been conducted.

Tetsunari Iida, a former nuclear engineer-turned-industry critic, told CNN the declaration has no immediate practical impact on the crisis. It is a sign, however, that Japanese regulators have rethought their earlier assessments of the disaster, said Iida, who now runs an alternative energy think-tank in Tokyo.

According to the scale, a level 5 equates to the likelihood of a release of radioactive material, several deaths from radiation and severe damage to a reactor core.

The 1979 incident at Pennsylvania's Three Mile Island was a 5. The partial meltdown of a reactor core there was deemed the worst nuclear accident in U.S. history.

The Chernobyl accident in the former Soviet Union rated a 7 on the scale, which equates to a "major release of radioactive material with widespread health and environmental effects requiring implementation of planned and extended countermeasures."

Japan's government called for evacuations Monday from several towns beyond the danger zone already declared around Fukushima Daiichi, warning that residents could receive high doses of radiation over the coming months.

Japan to evacuate more towns

Chief Cabinet Secretary Yukio Edano said the municipalities are likely to see long-term radiation levels that exceed international safety standards, and he warned that the month-old crisis at Fukushima Daiichi is not yet over.

"Things are relatively more stable, and things are stabilizing," he said. "However, we need to be ready for the possibility that things may turn for the worse."

And about an hour after he spoke, a fresh earthquake rattled the country, forcing workers to evacuate the plant and knocking out power to the three damaged reactors for about 40 minutes, the plant's owner, the Tokyo Electric Power Company, reported. The magnitude 6.6 tremor came a month to the day after the magnitude 9 quake and tsunami that knocked out the plant's cooling systems, and followed a magnitude 7.1 aftershock Thursday night.

Neither the 6.6 quake nor any of the smaller ones that rippled across the region in its wake inflicted any more damage to the plant, Tokyo Electric officials told reporters.

At least six killed in latest Japan quake

Tuesday morning, a fire broke out in a battery storage building in a water discharge area of reactors 1-4 at Fukushima Daiichi, Tokyo Electric said. The fire was out a few hours later and the company said it caused no radiation emissions and no effect on cooling systems.

Japan's government said it did not know how many people would be displaced by the new evacuation orders. Evacuation orders have so far covered about 85,000 people inside the 20-kilometer (12.4-mile) zone, while another 62,000 within 30 kilometers have been told to stay inside, Fukushima prefecture officials told CNN.

The decision announced Monday does not create a wider radius around the plant, said Masanori Shinano, an official with Japan's Nuclear Safety Commission.

Instead, "if there are areas in the northwestern parts where there is a risk of exceeding 20 millisieverts as a cumulative dose over a one-year period, the area will be designated an evacuation area even if it is beyond the 30-kilometer area," Shinano told reporters Monday night.

That dose is a tiny fraction of what would cause immediate radiation sickness, but it's more than seven times the amount a typical resident of a western industrialized country receives from background sources in a year. Long-term exposures to those levels of radiation could increase the risk of cancer -- and the presence of cesium isotopes that have half-lives of up to 30 years means that radioactivity could linger for some time.

The "nuclear renaissance" that wasn't

"This policy does not require immediate evacuation right away, but we take the long-term perspective, considering the long-term effect of radiation on your health," Edano told reporters.

Japanese authorities attributed growing concentrations of cesium-134, with a two-year half-life, and cesium-137, which loses half its radioactivity over 30 years, to the decay of larger concentrations of iodine-131, which has a half-life of eight days.

Edano said residents of five towns and cities to the north and west of the plant -- Katsurao, Kawamata, Namie, Iitate and parts of Minami Soma -- should evacuate within a month if they have not already done so. Parts of Namie and Minami Soma are already within the 20-kilometer evacuation radius drawn in the first days of the accident, while Iitate, Kawamata and Katsurao are beyond the 30-kilometer range.

Residents of five other areas -- in Hirono, Kawauchi, Naraha and parts of Tamura to the south, and the rest of Minami Soma -- were told they should be prepared to clear out soon. Hirono and Kawauchi lie in the outer belt of the current zone, while Naraha and Tamura are beyond the current 30-kilometer radius.

One-month anniversary of disaster

The anti-nuclear group Greenpeace, which had warned about higher radiation levels in towns outside the evacuation zone two weeks ago, called Edano's declaration a good step, but said evacuations should take place sooner than the one-month goal Japan has set. Jan van de Putte, a Greenpeace radiation safety expert who took readings in Iitate and Namie, said the levels of radioactivity are likely to remain dangerous "for years to come."

"The bad news is what we're seeing today is going to decay very, very gradually," van de Putte told CNN.

After a month of improvisation and frustration, Tokyo Electric says it has no idea when it will be able to restore normal cooling for the reactors and spent fuel pools at Fukushima Daiichi, about 240 kilometers (150 miles) north of Tokyo. Tokyo Electric President Masataka Shimizu visited the off-site headquarters for authorities attempting to manage the disaster Monday and met with local officials from Fukushima Prefecture, emerging to issue another apology for the situation.

"I would like to apologize from the bottom of my heart to the people of Fukushima and residents of the host towns of the Fukushima power plant for forcing them to go through enormous difficulties due to the accident that occurred in the wake of the quake and tsunami," he said in a prepared statement released through the company.

Shimizu -- who was hospitalized for "fatigue and stress" in late March -- also expressed regret that he didn't apologize to Fukushima Prefecture residents before Monday. The province's governor skipped the meeting, however.

Engineers are working to drain highly radioactive water from the basements of the turbine plants behind reactors No. 1 through 3 even as they pour hundreds of metric tons of water a day into the reactors to keep them cool. The water must be pumped out in order to get to the machinery that runs the coolant systems, and Tokyo Electric has dumped more than 10,000 tons of less-contaminated water into the Pacific Ocean in the past week to make room for the stuff -- a move that drew sharp criticism of the Japanese government, which approved the discharge as an emergency measure.

Other contamination is leaking into the Pacific behind the plant, most likely carried along by groundwater, Japanese regulators have said.

At the plant Monday, workers began installing sections of silt fence around the water intakes at the back of the plant to screen out radioactive particles. But the injection of nitrogen into the containment vessel around reactor No. 1 to counter a buildup of explosive hydrogen was stopped for the recent earthquake, said Hidehiko Nishiyama, the chief spokesman for the Nuclear and Industrial Safety Agency.

In addition, Nishiyama said engineers have found gas escaping from the reactor containment vessel. But he said the nitrogen injections will resume, and the leaks were not affecting the stability of the reactor.

Hydrogen buildup is a symptom of overheated fuel rods in the reactor core. Spectacular hydrogen explosions blew the roofs and walls off the buildings surrounding the No. 1 and No. 3 reactors in the days after the tsunami, and another suspected hydrogen blast may have caused a leak in the No. 2 reactor. Tokyo Electric has said there is little danger of another explosion, but has begun pumping nitrogen into unit No. 1 as a precaution and plans to do the same for units 2 and 3.

Ailing Chang and Susan Olson, and CNN's Whitney Hurst and Ingrid Formanek contributed to this report.

@highlight

NEW: The agency raises the level from 5 to 7

@highlight

7 is the highest possible level and is on par with Chernobyl

@highlight

Japan's government has called for further evacuations

@highlight

Cities covered by Monday's orders should evacuate in about a month, Edano says