(CNN) -- It's a popular question on social media: Why didn't passengers on board the missing Malaysia Airlines Flight 370 make mobile calls?

Many recall that when United Flight 93 was hijacked on September 11, 2001, passengers were able to make two cell phone calls during the flight's final moments. Several other calls were made using airphones.

If metadata was detected from cell phones on Flight 370, surely it would shed more light on the missing plane's flight path?

The plane may have been flying too high or too fast to register with cell towers, according to telecoms experts, but careful analysis of the passengers' cell phone records will need to be completed to be certain.

"So far, we have not had any evidence of any telephone company of any member trying to contact," said Malaysia Airlines CEO Ahmad Jauhari Yahya at a news conference on Monday.

"But anyway, we are still checking. There are millions of records to process. It is being done as part of the investigation."

Was the plane too high?

According to radar analysis, the plane is believed to have been flying as high as 45,000 feet and as low as 23,000 feet.

But even this lower altitude is too high to register with mobile towers, experts say.

"If you look at the data in this case, the altitude at which the planes were traveling is too high," Vincent Lau, wireless communications specialist and professor at the Hong Kong University of Science and Technology's Department of Electronic and Computer Engineering, told CNN.

"Even on the ground it wouldn't be easy to pick up from that distance, and if you are flying it's even more difficult because at those angles you are only picking up what we call leakage from the side loops of the antennas, which are substantially weaker than the signals from the main loops of the base stations."

While business class seats on the aircraft are known to have been equipped with phones that worked via satellite, it would be easy to strike down that system from inside the plane, said Lau.

Reports on Monday that the plane flew as low as 5,000 feet or less over mountainous terrain -- possibly in order to evade radar detection -- haven't been confirmed.

"In terms of the altitude it would have to be no higher than around 10,000 feet. Anything higher ... would be problematic," according to Bill Rojas, director of telecom research at IDC Asia Pacific.

Unlike in urban areas, where cell phone antennae are typically pointed down toward the ground, cell towers in rural areas are up to 30-45 meters high and are often pointed at an angle meant to cover wider distances.

So if you're up in the sky, you can receive the signal as well, Rojas said.

"If the airplane were flying over northern Malaysia or southern Thailand -- basically the rural area -- then it's very possible that a cell tower could register the signal from the phones, assuming they were on," said Rojas.

"Technically it is possible."

How do passenger jets change flight paths?

Retrieving the data

If smartphones had been on and registered with a cell tower, the records would be relatively easy to retrieve.

"The registrations would typically be logged and depending on the operator they will be kept for hours, days or months," said Rojas.

The telecom expert said that he'd place particular focus on the phone numbers of passengers from Thailand or Malaysia.

"I would assume that the authorities are checking with the mobile operators by comparing known passenger cell numbers to see if there were any pings or attempted or successful network registrations in northern Malaysia or southern Thailand or possibly even Indonesia," said Rojas. "Any passenger who had roaming capabilities or a local Malaysian number -- if the plane were over Malaysia -- could in theory have been registered on the network if their phone was on.

"If a passenger does not have international roaming then their access would be rejected by the network and for a period of time that metadata might be stored by the network."

If the metadata records were erased automatically after a few days or a few hours, could they be retrieved?

"Each mobile operator will have its own guidelines for the duration of metadata storage and would not normally be made public for obvious national security and law enforcement reasons."

Rojas said as far as speed was concerned, the aircraft would need to have been flying at speeds below 250 kilometers per hour (155 mph) in order for passengers to make or receive calls.

Passengers on high-speed trains in Japan and other countries can make calls via 3G networks at speeds of up to 240 kilometers per hour, but cell towers aren't able to register a signal beyond those speeds, Rojas said.

Experts answer #370Qs tweets about missing Malaysian flight

How do ocean recoveries work?

Astronaut: New satellites could track missing planes

@highlight

Malaysia Airlines says there's no evidence of phone contact from Flight 370

@highlight

Telecom experts say plane may have been flying too high or fast for passengers to make calls

@highlight

"Technically it is possible" that cell towers in Malaysia or Thailand could have registered a signal from phones