(CNN) -- U.S. Supreme Court Justice Antonin Scalia downplayed reports of personal and ideological rifts stemming from the recent landmark health care reform ruling, telling CNN in an exclusive interview "it offends me" to hear criticism of his colleagues over how they ruled.

The 76-year-old justice talked Wednesday with CNN's "Piers Morgan Tonight," discussing a range of judicial topics -- from the death penalty to abortion rights and the Bush v. Gore decision.

Scalia, along with Bryan Garner, is co-author of a new book, "Reading Law: The Interpretation of Legal Texts." The men describe their legal philosophy, and how to make sense of the law and the U.S. Constitution. They call their approach "textualism."

Even in dissent, Scalia stirs controversy

Scalia would not specifically address the health care decision or other recent or current case issues, such as immigration enforcement, affirmative action or gay marriage.

And he would not discuss how the court reached its health care ruling in internal deliberations. But the conservative justice downplayed media reports of personal fallout from opposing conservative and liberal members of the court over the 5-4 decision three weeks ago.

Scalia was on the losing side of the ruling upholding the Affordable Care Act, the sweeping legislation championed by President Barack Obama.

Chief Justice John Roberts was the deciding vote in that decision, agreeing with his liberal colleagues to uphold the individual mandate, which would financially punish people who do not purchase health insurance.

Some media and blog reports -- citing sources with specific knowledge of the deliberation process -- suggested strong tensions among the court's conservatives over Roberts' vote, which some commentators perceived as political expediency.

But Scalia said it was wrong to question Roberts or other court members personally for their legal conclusions.

"We are not a political institution," Scalia said. "I don't think any of my colleagues on any cases vote the way they do for political reasons."

Scalia added he was dismayed at the criticism of Roberts, suggesting those who may have leaked information were not entirely privy to the internal discussions over the health care decision.

On abortion, Scalia said the 1973 Roe v. Wade decision legalizing the medical procedure should be overturned, believing it remains an issue best left for states to decide.

No matter what it does, high court is seen as political

The court doesn't do democracy any favors by getting involved in the abortion debate in such a way, according to Scalia.

Likewise with capital punishment, Scalia said the issue is not whether the court should ultimately decide whether there should still be a death penalty -- he claimed not to have an opinion on that -- but rather whether individual states should decide such a question.

"If you don't like the death penalty, fine, change the law," he said. "I'm not 'pro' death penalty, I'm 'anti' the idea that is not ultimately a democratic choice."

But he emphasized capital punishment has been around since the nation's founding and was well-established in law and social tradition.

And Scalia reiterated his firm views over what he agreed was the most talked-about recent court decision -- the 2000 ruling effectively handing the presidency to George W. Bush after the Florida ballot recounts.

"Get over it," he said about supporters of Al Gore, many of whom are still convinced the case was wrongly decided in favor of the Republican. "He (Gore) would have lost anyway if all the ballots were recounted."

In his new book, Scalia argues interpreting laws and the Constitution properly requires a strict approach to look at the actual text of the law itself.

He warns that squishy, unprincipled decision-making is bad for the country and for the reputation of judges themselves.

"The descent into social rancor over judicial decisions is largely traceable to nontextual means of interpretation, which erodes society's confidence in a rule of law that evidently has no agreed-upon meaning," write Scalia and Garner.

The jaunty jurist has long been able to light up, or ignite, a room with his often brash demeanor and wicked sense of humor, and he displayed that in the hourlong conversation with Morgan.

Despite his reputation as an intellectual fighter, Scalia described himself as "a peaceful man."

When asked if he had ever broken the law, the justice said, "I've had a few speeding tickets, though none recently."

His outgoing personality and sharply written opinions have made him among the most recognizable of justices, and a particular favorite of conservative activists, scholars and lawmakers. President Ronald Reagan named Scalia to the high court in 1986 after previous jobs as an appeals court judge, a government and private lawyer, and a law professor.

Justices finances show overseas travel, book royalties, gifts

"At one extreme, he can alienate some of his colleagues," said Joan Biskupic, legal affairs editor at Reuters, who has written a biography of Scalia. "If he is trying to get anybody to sign an opinion, it was harder when he would use more combative language. But as much as they would say 'I'd like to strangle Nino,' he was still theirs in many ways."

That harshness was evident in the closing days of the term ending in June. On two issues that left Scalia on the losing side -- health care and immigration enforcement -- he displayed the fierce rhetoric that has become his trademark.

Scalia, writing for the minority, argued the court's ruling favoring federal authority over immigration matters encroaches on Arizona's sovereign powers.

"If securing its territory in this fashion is not within the power of Arizona, we should cease referring to it as a sovereign State."

"He can be belligerent; he is obviously very candid about how he feels," Biskupic said. "He loves to call it as he sees it, completely not politically correct. In fact, he prides himself on not being PC on the bench, in court."

Many legal scholars say Scalia ultimately failed to sway his colleagues on the really big constitutional issues, and court sources say he has grown somewhat frustrated over the years being on the losing side of many cases, or not being able to write more majority opinions.

Antonin Gregory Scalia was born in 1936 and admitted to being the center of attention as the only child, doted on by his father, a Sicilian-born professor of romance languages, and his mother, a schoolteacher. They instilled a love of learning and the confidence to exercise his intellectual muscles.

He attended Georgetown University as an undergrad, and later Harvard Law School, where he met his future wife, Maureen McCarthy, who was attending nearby Radcliffe. They raised nine children, including a colonel in the U.S. Army Reserve, and a priest. The family is united by a strong Catholic faith.

When asked about his greatest achievement as a judge, Scalia went back to the foundation of his book. He said he hoped he has moved his colleagues toward a more textured view of the law.

"The court pays more attention now to the text" of the law and the Constitution, he said, and less to legislative history, congressional floor debates and the views of foreign governments. For a lover of language, the precise meaning of words contained in the law has been his goal.

And he has no plans to step down anytime soon.

"Of course, I'll retire when I start to realize I'm not doing as good a job as I should," he said, adding he still thinks he is fully engaged.

Taking a look at Scalia's influence, defiance

Watch Piers Morgan Live weeknights 9 p.m. ET. For the latest from Piers Morgan click here.

@highlight

CNN's Piers Morgan interviews Justice Antonin Scalia

@highlight

Scalia says he was dismayed by recent criticism of Chief Justice John Roberts

@highlight

"I'm not 'pro' death penalty," he says, arguing that it should be a democratic choice

@highlight

The conservative jurist has argued for state sovereignty in several major cases