(CNN) -- On some forgotten day in 2004, Cerro Negro, a soot-colored volcano in Nicaragua, was host to an unusual visitor.

On the steep flank of the mountain, a man was bent low to the basalt scree, laboring upward.

On his back teetered a small refrigerator, recently removed from a hotel minibar.

Daryn Webb had a plan, and for someone intent on "riding" a fridge down the side of an active volcano, a great deal of optimism might be assumed too.

What happened when Webb reached a suitably daring altitude, jumped aboard his fridge and set to his ambitious plummet isn't recorded, though he did survive to concoct more hair-brained schemes.

Nobody I've met is sure about the fridge.

Perhaps it wasn't sturdy enough for high-velocity volcano travel, or perhaps there was a disappointing, crawling end to the journey.

Undeterred, Webb's next experiment on Cerro Negro involved a mattress, and, later, his front door.

Perhaps because his home was getting a little breezy and running low on appliances, he eventually gathered some tools and wood and knocked up the world's very first volcano board, later to belt down the same volcano with more success.

Unique conditions for fun

Almost a decade on and a successor to Webb's prototype is wedged under my arm as I plod through the sun-washed scrub beneath the cone of Cerro Negro, aka The Black Hill.

Ahead, a 20-strong scrambling chain of fellow volcano boarders heading to the summit is a shock of orange against the dark basalt -- we're all donned in convict-style luminous jump suits.

As I clamber up (the hike to the top takes about an hour), crunching the brittle rock formed by cooled lava under-boot, a thin breeze blunts the formidable heat.

The sun is high, and the sky unmarred by clouds.

It's tough to think of a more dramatic place to play in, and it's about to get more so.

"Check this out guys!" hollers Jessie, our dreadlocked guide from Quebec, as she motions to a mass of pale rocks, beneath which steam leaks out into the thick air.

Not far beneath our feet, the world burns.

Cerro Negro is a baby in geological terms, the youngest volcano, in fact, in all of Central America -- some boast in an area with such a fund of them.

Since its birth in 1850 it has erupted 23 times, the last in 1999 just before the sport of volcano boarding took hold.

Jessie reminds us that The Black Hill doesn't just appear menacing, it really is.

Another eruption is overdue.

This is probably the only place in the world you can book a tour to go volcano boarding. There are a few reports of people trying something similar in Vanuatu, but the sport hasn't taken hold there.

Neither too large nor too small for careering down (roughly 1,500 feet from peak to base), the smooth, denuded conditions on Cerro Negro make it the ideal place for such madness.

"To our knowledge, volcano boarding is only possible on Cerro Negro," says Timothy Brauning of the Bigfoot tour company, which leads volcano boarding trips. "In parts of South America, and other parts of the world, there is something called 'sand boarding,' but this is nothing like volcano boarding.

"Because of the surface of the volcano and the weather conditions constant at this volcano, we are able to slide down at speeds up to 95 kph.

"When the volcano erupts, the prevailing winds push all of the ash and small pebbles to one side of the volcano, while the actual eruption happens on the other side of the volcano causing a smooth surface on the west side of the volcano."

"Three-two-one, go!"

We all eventually heave ourselves to the top of a ridge, which curves around to the launching point.

To the east rise other peaks in the Los Maribios volcanic chain, and beyond them, the Pacific glimmers.

A smudge, jet black, covers the eastern side of the mountain -- a cooled lava flow from the 1999 eruption -- while most of the surrounding land is a sultry and baked expanse, so hot it dances.

The city of Leon is below too, the country's largest after the capital, and launching point for tours like this by Bigfoot.

From our vantage point, the angle of the slope looks too wild to be rideable, though Eric Barone might argue otherwise.

The Frenchman descended the slope on a bicycle in 2002, achieving a world record of 172 kph on gravel, before wiping out and breaking, according to Jessie, "pretty much everything you can break." Meaning bones.

"Who's up?" Jessie asks.

Our silence is fractured by a few nervous giggles

Then a girl strides forward to claim pole position, goggles up and sits down on the board, which is rectangular and made of plywood reinforced with Formica and with metal mounted on the bottom.

There's a rope to hold in your hands.

Variations on the theme are constructed by individual tour companies operating out of Leon.

Instructions are terse and delivered by Jessie with mock gravity: "Elbows in, feet forward, good to go."

The girl and board crawl off with a sound of wood crunching rock, then momentum builds and she's soon just a soft orange mote chased by a smoky scar, like a jet trail.

Then I'm up.

"Ready?"

"Yep"

"Three-two-one, go!"

Scattering gravel

The board edges forward and scatters gravel, the world tilts downward, air whistles by.

I realize early that I'm close to sliding off, but I'm too committed now so I don't bother to brake by tapping my feet, and instead let the blurry landscape whip by with gathering pace.

Then, at what will prove my terminal velocity, the board slips sideways.

Basalt has little in common with other surfaces where you might encounter a board with a thrill-seeker on top -- snow and sand, for example.

It's hard, abrasive and plunging face down into it will spoil the rest of your vacation photos.

I see the spill coming in plenty of time though, and I pull the volcano boarding equivalent of the ejector seat, hurling myself sideways.

When I hit the hard stuff I've managed to scrunch into a ball, and it only takes me a second to realize I haven't broken "everything you can break."

In fact, I'm fine.

I rejoin the board, take a second to drink in the vista from a new level, halfway down, and push off for a second time.

Speed records

Back at the truck I watch the others descend.

A few crash, but nobody stays a crumpled heap or shouts in anything but elation.

Nearby I spot our driver wielding a police-style speed gun, and when we're all reunited in the truck the top speeds are disclosed.

"First place: Stephen 65 kmh."

I'm first!

An Australian guy, who claims second place, looks crushed.

I win a paltry orange wristband, but it's the prestige that counts.

It lasts until someone reminds us of the course record: 97 kmh (60 mph).

On the ride back to Leon I give silent thanks to the inspired people of the world: the ones whose minds run off on all manner of daring tangents, like the flanks of Cerro Negro.

The ones who admire not just the aesthetics of the wilds, but the possibilities too.

And most of all the ones who stare up at active volcanoes and think: "I wonder if I could ride my fridge down that?"

Volcano boarding can be booked through various local companies including Bigfoot based in Leon. Cost of $29 includes transportation, safety equipment and board.

Park admission is an additional $5. Tours run most days, year round, weather permitting.

Stephen Fabes is a British medical doctor and freelance writer specializing in adventure travel. He's currently cycling across six of the earth's continents and blogs at cyclingthe6.com.

@highlight

Tourist daredevils career down Nicaragua's Cerro Negro on thin boards at speeds up to 95 kph

@highlight

Cerro Negro is the world's only "volcano boarding" venue

@highlight

Various small companies lead volcano boarding excursions out of the city of Leon

@highlight

The sport was invented in 2004 when Daryn Webb rode a small refrigerator down the hill