(CNN) -- Mitt Romney is a paradox. If you saw a photo of him and didn't know who he was, you might assume from the square jaw, trappings of wealth and arcane haircut that he was the perfect country-club Republican.

But that would be too simple, especially in this election.

Romney only looks like an insider. But in many ways, he has remained an outsider.

Politics: Romney's 'all' proved not enough

For one thing, the Romney-Ryan presidential ticket, which lost the election Tuesday to President Barack Obama and Vice President Joe Biden, was the first in history not to include a Protestant. (Romney would have been the first Mormon president, Rep. Paul Ryan is Catholic.)

He's a Republican who won election in a blue state. The people of Massachusetts may know the former governor as a bipartisan moderate, yet he sold himself on the national stage as "severely conservative." In his own state, he invented what many regard as the prototype for Obamacare, yet he repeatedly vowed to repeal Obama's version of it.

Kennedy: Obama's win won't transform America

Is he moderate or is he conservative? The same question could be asked of the Republican Party -- and the GOP's own lack of ideological clarity is probably the exact reason why it nominated him. Cometh the hour, cometh the multidimensional man.

Today's Republicans find themselves in a dilemma. On the one hand, they have an enormous base of hyped-up voters who passionately subscribe to economic and social conservatism. They needed to energize that base to win. On the other hand, the margin of victory rested with a group of moderates and independents who like their politics a little more practical. The challenge of 2012 was to take the tea party agenda and rebrand it so that it could still appeal to the right but also win converts in the center. That was Romney's job -- and he didn't quite pull it off. Yet, if anyone could have, it would have been Mitt.

Why Wall Street hates Obama

I suspect that the Republicans nominated Romney partly because he spent so much money acquiring the nomination but also because his personality seemed suitably vague. To be assigned to report on his rallies carried all the thrill of being asked to submit a 10,000-word critical analysis of a church picnic. His speeches were flat at best and goofy at worst. His attire was sensible trousers and shirt with the sleeves rolled up, and the family was so wholesomely large that you sensed they could swing a primary just by registering the grandkids.

But squareness was just what the GOP was looking for. In an era of recession, his business experience seemed like a big plus and his polished-yet-gentle style was a nice contrast to Obama's flashy rhetoric. It was understood that he had been a technocratic governor of Massachusetts, with a record on social issues that at times wandered a bit to the left. As I always explained to my British colleagues bemused at the irresistible rise of Mitt Romney, one of his greatest strengths was that he didn't look crazy. You could trust this man with the nuclear codes, whereas putting the entire arsenal of the free world in the hands of one of his primary challengers, like Rick Santorum or Newt Gingrich, felt risky.

But to win the primaries, Romney still needed the votes of that big block of conservatives. So he underwent a rebranding. For the record, the conservative movement never entirely bought Romney's conversion. That's why he lost Iowa to Santorum and South Carolina to Gingrich. Thereafter he was dogged for some weeks by Santorum, whose electoral coalition tended to be poorer, more religious, more conservative and more rural. In these truly competitive primaries, Romney's vote was often rich, moderate and elderly (no wonder Mr. Burns was such a fan).

Mitt was, in fact, the country-club candidate. He won primaries largely thanks to the support of people like him, and he only won because there are so many people like him in the Republican Party. But all the while, his empty pitch to the GOP base moved him rhetorically further and further to the right.

Share your opinions on the election results

Of course, philosophical conservatism isn't necessarily an electoral negative for the GOP. It worked for Reagan in the 1980s and George W Bush in the 2000s. But whereas Democratic populism is programmatic (health care for all, tax the rich) for the Republicans it has tended to be personal (dress like a cowboy, eat TV dinners). The problem was that Mitt lacked the requisite performance skills -- he's no Reagan -- which ended up converting his greatest strength into his greatest weakness.

With unemployment running high and debt spiraling out of control, we might have expected Romney's ability to make money to be a plus. Instead, it only emphasized his difference from you and me. He had money nestling in the Cayman Islands. He only paid 14.1% on a fortune that would make King Midas blush. Worst of all, he had worked in private equity, and while he helped save a lot of jobs, he was probably responsible for downsizing a few, too. Romney insisted that he left Bain before it committed its greatest sins, but the image of Mitt cheerfully declaring, "I like being able to fire people" stuck in the minds of many voters.

Romney's broader appeal was buried beneath a wave of scandal and political character assassination. It was the debates that allowed him to regain control of the narrative. In that first debate he was clever, funny, energetic and passionate -- and in many ways outclassed Obama. My theory is that Romney flourished because the format was like a corporate job interview: question after question, a little light sparring, an emphasis upon "pep" ("Gee, I'd just love to run your country. When can I start?!"). The inner-intern shone through and Romney behaved like a smart kid out of college who's hungry to get his foot on the corporate ladder.

Kamarck: Five things Obama must do

His performance was so good that it was historic, transforming the election in a way that few have ever done. It worked because Romney did what the GOP was waiting for him to do all year. He appealed to the center by sounding reasonable and moderate but he also fired up the base by saying things to Obama that they wanted to hear said. This was Romney at his very best -- and it's difficult to image an alternative candidate who could have done better.

But, ultimately, the contradictions inherent within both Romney and his party simply couldn't be overcome. The need to be both conservative and moderate confused and frustrated the electorate who were never quite sure what they were voting for. So the advantage fell to the incumbent. The ambivalent American public went with the devil they knew.

What next for Mitt Romney? Don't be surprised if he returns to his church. He's a man of faith with a record of charity and it would be in keeping for him to dedicate himself to others. I hope the conservative movement and the pundits will be just as charitable to him

The opinions expressed in this commentary are solely those of Timothy Stanley.

@highlight

Timothy Stanley: Romney, who lost presidential election, has long been paradox

@highlight

Stanley: Romney was moderate Republican in Mass.; later became "severely conservative"

@highlight

He says GOP wanted a polished technocrat; Romney shifted rightward to win conservatives

@highlight

Stanley: His contradications couldn't be overcome for frustrated electorate