BUENOS AIRES, Argentina (CNN) -- On his knees in the soggy soil, 9-year-old Alexis Ocampo digs deep into the earth, his small gardening rake separating dirt from rocks. "Look, I found a worm!" he shrieks.

Towering above is Andrea Girardini, calmly instructing Alexis and the half-dozen other children working to clear spots for new crops.

"We can put a squash plant here, and some lettuce over there," says Girardini, a director of Semillas al Viento, a community organization that teaches neighborhood kids practical skills that help them put food on the table.

"The children come here and learn how to farm and how to cultivate their very own organic vegetables. Then they bring them home to eat. It's a wonderful alternative to sitting in front of the computer," she says.

The Semillas al Viento (Seeds to the Wind) farm is located in Isidro Casanova, a poor area in Buenos Aires' sprawling urban rust belt, where green spaces are few and far between. Five years ago, the football-field sized area was overrun with garbage and frequented by criminals, but following a community effort to reclaim it, it now teems with trees, grass and flowers, as well as eggplants, tomatoes, lemons and herbs. There's even a small pond where kids and dogs happily splash around.

"I really enjoy being here. It's like my happiest place to be. The fresh air is great," says Alexis.

The Semillas al Viento farm is a part of Huerta Nino (My Garden), a nonprofit foundation that works to alleviate malnutrition and starvation in Argentina. Since 1999, it has helped build more than 50 small farms, many of them in isolated villages in northern Argentina. Despite being one of the world's largest agricultural-producing countries, Argentina still struggles to feed its people.

"Hunger is one of the gravest problems that Argentina has right now. At least 300,000 Argentine children are suffering from undernourishment," says Juan Lapetini, executive director of Huerta Nino.

Nearly 5,000 Argentine children have been educated about sustainable farming practices through the "My Garden" program, which has also been endorsed by Argentine celebrity chef Martiniano Molina, and won various awards for its initiatives. Typically, the program is introduced first at rural schools, where the crops that students grow are then taken home to eat. The long-term objective, coordinators say, is to have the children create vegetable gardens at home with their parents.

"Getting parents to change their eating habits, and encouraging them to provide nutritious food to the kids is sometimes the biggest challenge," says Lapetini.

Following Argentina's economic collapse in 2001 -- when the country defaulted on $100 billion in foreign debt -- poverty, crime and unemployment rates soared. The crisis, coupled with Argentina's lack of philanthropic tradition, led to the creation of HelpArgentina, a U.S. charity that functions as a bridge between international donors and a network of 65 transparent Argentine NGOs, like Huerta Nino.

Since 2003, HelpArgentina has channeled more than $3 million in donations to the country, and coordinated the visits of hundreds of foreign volunteers. In January, a group of students from the University of Virginia spent two weeks at the Semillas al Viento farm, working directly with children and instructors to clear additional farming land and build adobe huts and bathrooms. They also left a sizeable donation.

"When you work day-in and day-out with these organizations ... and you know their needs and struggles ... to receive donations from abroad, even if it is a small amount, it literally changes the reality of many of these organizations," says HelpArgentina's Jon Teel.

"Witnessing these changes is amazing. And that's why we do what we do."

@highlight

Community efforts have reclaimed lots filled with garbage into urban gardens

@highlight

Children's hunger and undernourishment are big problems in Argentina

@highlight

Organizations hope that by teaching children about farming, they can have access to nutritious food