(Mental Floss) -- We remember Henry Ford as the automotive magnate who perfected assembly line technology, but he also dabbled in ambitious social programs, including one in which he hired ex-convicts straight out of Sing Sing to staff his factories.

Henry Ford, pictured in 1942, unsuccessfully attempted to increase the rubber supply with a plantation in Brazil.

Although many of these efforts were successful, Ford's ill-fated foray into the Brazilian jungle was a notable and fascinating exception.

The plan

If you're going to make millions of cars, you're going to need an awful lot of rubber.

In 1927, Ford came up with a novel plan: He'd solve his rubber problem and test out his lofty theories about social planning. If everything went well, he could craft both a utopia full of healthy, productive workers and a direct pipeline of coveted rubber to Detroit.

Ford approached the task with characteristic zeal. He talked the Brazilian government into granting him 10,000 square kilometers of land in the Amazon rain forest -- a plot that was nearly twice as big as the state of Delaware -- in exchange for a 9 percent cut of the plantation's profits. In theory, this setup seemed like one of Ford's ideas that would shake out pretty well, and in 1928, Ford sent a barge full of supplies from Michigan down to his new plantation town, which was dubbed "Fordlandia."

Growing rubber in the jungle

Unfortunately for Ford's stockholders, though, the captain of industry didn't always have a great eye for detail. (One famous story about Ford was that he disliked accountants so fiercely that he never had his company audited. By the end of his tenure, the Ford Motor Company allegedly had no idea exactly how much it cost to build a car.)

Ford didn't check to see if the plantation was suitable for growing rubber. According to Greg Grandin, author of "Fordlandia: The Rise and Fall of Henry Ford's Forgotten Jungle City," Ford never consulted any sort of expert on rubber cultivation; he just sent a bunch of supplies and managers into the jungle hoping to grow some rubber. Mental Floss: Henry Ford and others who survived bankruptcy

Ford was legendarily contemptuous of experts, but he could have saved some serious dough if he'd just hired a consultant to tell him that the plantation wasn't at all suitable for growing rubber. The land wasn't very fertile, but that wasn't the main problem. The real difficulty was that it's practically impossible to farm rubber in a plantation setting in the Amazon rainforest.

To grow the trees on a commercial scale, you've got to pack them in fairly close together, and at that point they become incredibly susceptible to blight and insect attacks. Fordlandia's trees were no exception, and caterpillars and blight quickly decimated the fields.

Not exactly a worker's paradise

Obviously, the rubber production part of the Fordlandia got off to a rocky start. How was the "worker's paradise" part of things going, though? Even more abysmally.

The American managers and their families that Ford imported from Michigan weren't accustomed to the sweltering Brazilian heat and headed back north with an alarming frequency. The heavy machinery used on the plantation left deep ruts in the soft soil, which collected stagnant water and became breeding grounds for malaria-ridden mosquitoes.

Ford had attempted to design Fordlandia like any American town, complete with schools, restaurants, a golf course, and shops. The catch here, though, was that the indigenous Brazilians who farmed the rubber weren't used to living in a stylized American community.

Worse still, the plantation's workers were expected to work a strict shift from 6 a.m. to 3 p.m., whereas normal harvesting practices in the region saw workers hit the fields before dawn, take a long break, and then head out again at twilight to save themselves the misery of working in the tropical midday heat.

Food fights

Ford's influence extended all the way down to the residents' diets, and while the indigenous workers weren't crazy about having to eat American foods, they were livid about having to eat in a cafeteria setting rather than enjoying the homestyle meals to which they were accustomed. Eventually, the workers decided they'd had enough of the affront of cafeteria dining and rioted during a meal. Mental Floss: Three historical food fights

As the American managers fled to the safety of boats, the workers destroyed their mess hall and continued to riot until Brazilian soldiers came in to suppress violence.

Another sticking point for the workers was Ford's insistence that his model community be entirely free of alcohol and tobacco. Although Prohibition wasn't exactly an unqualified success at home, and although alcohol was still legal in Brazil, Ford stayed firm on his booze ban. Workers who needed a drink were forced just outside the city limits to buy a bottle of cachaca; enterprising liquor salesman could simply paddle by on the river and unload their wares. Mental Floss: Why is the drinking age 21?

End of the road

Eventually, even though Henry Ford steadfastly insisted that the community could thrive and help introduce American-style industrialization to the rest of the world, it became abundantly clear that the noble Fordlandia experiment was a flop. After the perfection of synthetic rubber in 1945, Ford sold the plantation at a $20 million loss and left Brazil.

Just how much of a fiasco was the Fordlandia experiment? Although Ford spent 17 years trying to produce rubber on the plantation, no Ford car ever rolled off the assembly line with a single bit of Fordlandia's rubber in it.

For more mental_floss articles, visit mentalfloss.com

Entire contents of this article copyright, Mental Floss LLC. All rights reserved.

@highlight

The auto magnate set up a plantation in the Amazon rain forest to produce rubber

@highlight

He didn't research the land and found out to late it wasn't suitable for growing rubber

@highlight

Brazilian workers rioted against U.S.-style mess hall, ban on alcohol

@highlight

Ford ultimately sold the plantation at a $20 million loss