(CNN) -- It's hard to engineer this kind of creepy serendipity. Earlier this week, European Union data watchdogs, fighting to protect our privacy in an age of big data, put pressure on Google over the privacy of user information.

Just 48 hours later, Google potentially struck a new blow against privacy when it posted a video preview of its new "Glass" technology -- high-tech spectacles featuring a revolutionary digital interface that enable its wearers to not only view the world through Google's eyes but also automatically photograph all that they see.

"How strange is that!" CNN's Erin Burnett exclaimed after a contemplating a "world seen through Google Glasses".

Strange indeed. But these glasses, a kind of digital surrogate for our eyes, are strange in a creepy, Hitchcockian, "Rear Window" sort of way. Or the same way that Big Brother's ubiquitous cameras were strange in George Orwell's "Nineteen Eighty Four." And in the same way that a future in which "promethean" data companies like Google rule the world now appears strange.

The coincidental timing of last week's EU and Google announcements may have been unintentional, but it sure is ominous.

Read related: How it will feel to wear Google Glass

The EU is concerned about the way in which Google has, since last March, been pooling the data of its individual users across its popular services like search, Gmail, Google+ and YouTube in order to bundle them up for advertisers.

Its anxiety over this aggregation of our personal information is twofold. Firstly, Google has done little, if anything, to inform users of this unilateral change. Secondly, Google hasn't offered users a way of opting out.

Google insists its privacy policies respect European laws and simply help enhance user experiences. But in the eyes of the EU, those of us using products like YouTube, Gmail or Google+ are being, to borrow a Microsoft coined neologism, "Scroogled" by Google's new privacy policy.

Last October, EU watchdogs gave Google four months to revise this policy. But last week, after nothing appeared to have changed, Brussels raised its warning a bureaucratic notch, promising to take action against Google by the summer.

And yet, in light of Google Glass, the EU's concerns seem like a quaint throwback to a more innocent digital age.

Watchdogs should, of course, be barking madly at Google's decision to pool our data for its advertising clients. Regardless of the legitimacy of such practices, I'm strongly in favor of making Google accountable, both legally and morally, for policies that so patently disregard the privacy of its users.

But Google Glass opens an entirely new front in the digital war against privacy. These spectacles, which have been specifically designed to record everything we see, represent a developmental leap in the history of data that is comparable to moving from the bicycle to the automobile.

It is the sort of radical transformation that may actually end up completely destroying our individual privacy in the digital 21st century.

Read related: From 3D graphics to biometric scans: How your smartphone will get smarter

While none of us were looking, Google -- the most data-hungry of today's digital giants -- is reengineering mobile technology. Thanks to Silicon Valley's mad rush to develop wearable computing, it isn't alone. Apple is supposedly working on its hotly-anticipated wristwatch and wearable personal data devices from companies like Nike and Fitbit are already beginning to revolutionize the healthcare industry.

But there's something particularly troubling about Google Glass. When we put on these surveillance devices, we all become spies, or scrooglers, of everything and everyone around us. By getting us to wear their all seeing digital eyeglasses, Google are metamorphosing us into human versions of those Street View vans -- now thankfully banned in Germany -- which crawl, like giant cockroaches, around our cities documenting our homes.

Neither Orwell nor Hitchcock at their most terrifyingly dystopian could have dreamt up Google Glass. According to Google co-founder Sergey Brin, quoted by tech website Mashable, "Glass will also have an automatic picture-taking mode, snapping pics at a preset intervals (such as every 5 seconds)."

Pics every 5 seconds! Gulp. So where will all that intimate data go? Erin Burnett's strange "world seen through Google Glasses" is actually, as another leading tech site Techcrunch notes "the world seen through Google's omnipresent eye."

And the terabytes of data sucked up every five seconds by its omniscient glasses will, of course, flow to Google. That's the whole business model, the very raison d'etre of Google Glass. Those pics every 5 seconds will be used to aggregate data and then to generate billions of dollars of revenue by selling advertising around it.

One EU complaint about current Google practice, you'll remember, was about the absence of an opt out button to enable users to say no to Google's pooling of their data.

But the problem of saying no, of opting out, becomes even more problematic with Google Glass. After all, as these Warby Parker or Ray-Ban-designed devices become more fashionable (ie: innocuous), most of us won't even know if we are being filmed when gazed at by a bespectacled stranger.

In pictures: 12 futuristic phone concepts

The EU watchdogs also objected to Google's current pooling of our data in a single personalized record. And Google Glass could, I fear, become the focal point for all our data in a world where privacy no longer exists.

"Everything, from Google searches to notifications to hangouts, seemingly happens in this one space," notes Techcrunch about the spectacles. Google Glass, thus, may become the pivotal post PC, post iPod and post tablet device. A pooling of all our most intimate data, a mirror of ourselves -- the holy grail, of course, for advertisers.

I remarked earlier that it's hard to engineer this creepy kind of serendipity. But I may have been wrong. You see, the whole point of Google Glass is actually to successfully engineer serendipity. The creepier, the better.

After all, when we wear these devices, those clever engineers at Google will know where we are all the time. So what's to stop them serving up personalized advertisements for products when the gaze of our glasses rest upon those products?

At the very moment we look at those new clothes in that store window, a special offer for the clothes will flash up on the digital interface of our Google Glass. How serendipitous, eh?

But what to do? Is there an antidote to Google's eyewear?

Google Glass is currently in being tested with plans for a finished product to be released into the mass market next year. Last week, Google announced that a few prototype models of the spectacles would go on sale for the not exactly bargain price of $1,500. To qualify, well-heeled Google fanboys need to go to their Google+ or Twitter accounts and, in 50 words or less, using the hashtag #ifihadglass, explain how they would use Google Glass.

So, if anyone at Google happens to be reading this, here's my application:

#ifihadglass: I would make data privacy its default feature. Nobody else sees the data I see unless I explicitly say so. Not advertisers, nor the government, and certainly not those engineers of the human soul at the Googleplex. No, Google Glass must be opaque. For my eyes only.

The opinions expressed in this commentary are solely those of Andrew Keen.

@highlight

Google Glass spectacles could offer tech giant new ways of harvesting data, says Andrew Keen

@highlight

Keen argues that Glass raises further concerns over the way Google treats our private data

@highlight

Wearing spectacles that record our every move could be the end of privacy as we know it, he says