(CNN) -- Sometimes on a summer evening, I'll step out into the warm air as darkness descends around me. As my eyes adjust to the dimming sky, I'll look across the street and see a flicker from behind the all-but-dead apple tree. Just one small glimmer in the spreading gloom.

It's joined by another and another until the yard is twinkling with fireflies. It's not enough light to read by, but it's enough to know I'm not alone.

That's how it felt to share my story of living with depression a while back. My tale was in no way remarkable, and I lead a fairly lucky life -- but it's also all I have ever known. From time to time, a gray layer of sadness drapes over me and muffles my capacity to feel joy. It's just the way I'm built.

I may never be able to reduce the intensity or frequency of these bouts, but with time, experience, therapy and the love of some extraordinary people, I have learned that the blanket will eventually lift and I'll be able to feel alive again. Again -- I am lucky.

Latinos struggle to find help for mental health issues

Moments after my story published, e-mails, Facebook messages, comments, texts, tweets, calls -- from colleagues, friends and perfect strangers -- flooded in and swallowed me up. Many CNN readers saw my beacon and winked back, sharing their own stories:

"Perhaps the worst part is how depression makes you hate yourself, no matter what you do. If you help someone out of a jam, you didn't do enough. If you can't help someone, you aren't good enough. The feelings are maddening. I look around me at the life I live. I make good money, I have a good job, my wife is great, I have traveled the world, and I have a little daughter that is a ray of sunshine in my life. How in the WORLD could I be depressed when I have what so many others in the world would LOVE to have?

"But, then there are times that the sky clears up, and life is just good. I feel comfortable with myself, and am at peace. These times are rare. I think it has happened maybe a half dozen times in my life. But, it does happen. For anyone suffering through depression, try to remember that the lives of those around you are better for knowing you." -- sadGeek

"The full blown version - the kind that is truly physiological and for which no medications have any effect - is witheringly exhausting, both physically and mentally. ... People have no idea the immense burden that you are carrying and you are judged as if you are normal." -- JFairweather

"For me, it's not 'feeling sad'; it's like I can't feel anything -- just emotionless, tired, dull, uninterested in everything. If it gets bad, I feel like everything has slowed down and I can't peel myself off the bed. I've been actively suicidal multiple times. But like the author of this essay I've found that it is easier to be open about it than to hide it as though it's a guilty secret." -- Callista

Emotional eating: Gray cakes tackle depression taboo

Despite the pain in our voices, I'd still count us all among the incredibly fortunate for having the freedom to talk about depression and a language with which to do so. Not everyone has that freedom of communication as part of their arsenal. In particular, children, members of the military and some minority populations can find it difficult to speak about or get help for depression symptoms, often because of cultural taboos or lack of information.

Children and adolescents (as I was when I was diagnosed) simply might not understand that there is a name for what they're feeling or have the language to articulate it to someone who might help. According to the National Comorbidity Survey, 11% of adolescents suffer from a depressive disorder by age 18, and that is heavily skewed toward girls.

The National Institute of Mental Health reports that young people are likely to mask their their depression in behavior that simply seems like sulking, shyness, reluctance to go to school, clinging to a parent or pretending to be physically ill. Older adolescents may act out negatively or attempt to numb the pain through substance abuse.

Because so many of these are pretty standard markers of growing pains, the behavior is often dismissed as "just a phase," and kids are punished or tolerated but not treated. According to the National Institute of Mental Health, suicide is the third leading cause of death among people 15-24.

Sufferers of post-traumatic stress disorder, especially those who serve in the military, often feel isolated upon return from a tour of duty and don't wish to burden their loved ones with their pain and the horror of what they've seen. According to Army data, 2012 saw a 22% increase in active-duty suicides, and in a study of 72 active-duty service members who had attempted to commit suicide, every single respondent selected "to stop bad feelings" as part of the reasoning for their attempt.

"That is an epidemic. Something's wrong," Defense Secretary Leon Panetta told Congress after the figures were released in July.

Army Sgt. Maj. Raymond F. Chandler III believes the key is for senior military personnel to lead by example and share their own stories of PTSD, brain injury and suicidal thoughts.

"It is a source of strength to ask for help," Chandler told participants in a Suicide Stand Down roundtable discussion on the issue. "And we are all about being strong in the Army."

He continued, "Our ultimate goal is to change mindset across the force, build resilience, strengthen life-coping skills and address the stigma associated with asking for help. We've got a long ways to go, but we're going to get there."

And in some cultures, the subject of depression is simply taboo. Terrie Williams, author of "Black Pain: It Just Looks Like We're Not Hurting," says the silence is destroying the African-American community.

Williams suffered a severe emotional breakdown not long after launching a public relations company with high-profile clients like Eddie Murphy, Chris Rock and a who's-who of modern musical acts. As part of her recovery, she makes it her mission to ensure that people around her feel empowered to speak uncomfortable truths and get the professional help they need.

"Black folks tend to see mental illness as a character flaw, a sign of weakness, because we are a very faith-based people. Many are of the opinion that you just take whatever it is to the Lord in prayer," Williams says. But that's just the first step. "I speak at a lot of churches, and I say, 'I know it was my God that led me to the right psychiatrist.' "

This reticence to seek help, she says, leads to some deeply destructive behavior. "Not enough of us are recognizing it or getting help. We'll do anything we can not to feel the real pain. We drink, use drugs, buy things we don't need, have promiscuous, unprotected sex, gamble, create violence -- it's everywhere. ... And people commit slow suicide: They don't take their diabetes medication, or they go into enemy territory where they know they'll get shot."

Williams combats this with a packed touring schedule, addressing groups of African-American adolescents and professionals, speaking about her own experiences in an attempt to draw out people who may have experienced some of the same feelings and who may have never acknowledged it aloud -- let alone in front of a group of 700 people.

And it works, she says. In one instance, a young woman came up to the podium in tears and spoke of sexual abuse from multiple relatives. Three other young women stood up and said that they had been raped. It was the first time they ever uttered it out loud, and as Williams says, "Each left there a different person."

In another case, Williams found herself counseling two members of the Bloods street gang who, to her great surprise, opened up with their issues of abandonment and fatherlessness, wept at her desk for over four hours and then went back and "started running around talking to their homies about the benefits of therapy."

The initial breakthrough is an extraordinary thing, but Williams admits that aftercare resources may be harder to come by in some communities. She suggests seeking therapists with a sliding scale and seeking out one of the growing number of counseling offices attached to local churches -- and she's deputizing clergy members to take action.

Williams convinced one minister to slip the phrase, "When I was at my therapist's office ..." into his Sunday sermon. That, she says, normalizes the language and the notion. If your preacher is saying that he cannot handle the weight of the world by himself, laypeople may be more open to the notion that they don't have to either.

"When you share your story with someone else," Williams says, "you find that you're not standing on that ledge by yourself."

CNN commenter mobustobus expressed a similar sentiment: "Emotional honesty is almost like a taboo in our society, but it's essential for healing depression. Opening up to another human being and telling them your deepest, darkest secrets is one of the scariest things you can do, but also one of the most empowering. The first time I did it, I felt alive in a way I had never before felt in my life. There's definitely an energy you get from baring it all and realizing you're still accepted."

Resources:

Tragedy Assistance Program for Survivors
Substance Abuse and Mental Health Services Administration
Help yourself. Help others. 
American Academy of Child and Adolescent Psychiatry Depression Resource Center
National Alliance on Mental Illness Multicultural Action Center
Military Suicide Hot line: 800-273-8255
Suicide Prevention Lifeline: 1-800-273-TALK (8255)

@highlight

October 10 is National Depression Screening Day

@highlight

CNN's Kat Kinsman shared her battle with depression in an earlier article

@highlight

Many people feel stigmatized or unable to share their depression experiences

@highlight

See resources for getting help with depression at the end of the article