(GameTap.com) -- The uncertainty that confronts consumers and investors in the U.S. is staggering. There's the price of gasoline, which creeps higher almost daily; a housing market that month after month gets gloomier and gloomier; and the conflict in Iraq that has cost the U.S. an estimated $3 trillion.

Is it any wonder that the Consumer Confidence Index--maybe the most telling measure of how rank-and-file consumers view their economic health both present and future--is at a five-year low?

GameStop executives thinks the Grand Theft Auto IV release could net them $100 million in one week.

Shift for a second from the very real world of kids, homes, global conflict, and cars to the make-believe world of video games.

There, at least for some, the economy that is breeding so much concern and trepidation seems a distant factor.

Times are good, with double digit growth expected for sales of games this calendar year as well as for the hardware that's used to play those games.

But even among the winners in the game sector there is one that stands to gain the most--the nation's biggest specialty retailer of games and game-playing consoles, GameStop.

In a perfect storm of technology, demographic shift, and pricing, the retailer is bucking the general trends in the broader economy and stands to profit like it has never before.

"As we analyze our sales deployment, we can't find evidence of the economy affecting our business," company officials said recently. "In fact, like we did after 9/11, we're seeing [comparable] store growth as consumers travel less and stay at home more, as well as trade in more games on new game purchases."

GameStop executives explained their enviable position, calling the present moment for them the outcome of the game industry reaching "a transformative stage made up of many pieces, all of which have a profound impact on our business."

The company's financials tell some of the story: for all of last year, GameStop's sales increased 33 percent, same store sales increased nearly 25 percent, and profit for the company increased 82 percent compared to the previous year. "By any barometer," one company executive said in a conference call with analysts, "[it's been] another outstanding year for GameStop."

One industry analyst, Janco Partners' Mike Hickey, forecasts growth for the company that builds even further on those enviable figures.

"Accelerating demand for next-gen hardware including the PlayStation 3 should benefit comparable store sales in the [present] period," Hickey said of the company, who added it is not just demand, but broad demand which is fueling GameStop growth.

Success for GameStop is "highly attributable to video game play attracting a mainstream audience," with the demographic expansion having much to do with "new consoles like the Wii, which pull back on the geekish complexity of typical content aimed at hardcore gamers."

But it's really the library of upcoming games that will supply GameStop with most of its revenue infusion in 2008. Hickey said today he expects that the release of Grand Theft Auto IV could net the company more than $100 million--in a single week.

"GTA IV...could ship 5.8 million units in the first week, or $360 million in retail sales and potentially $110 million for the Company," says Hickey. He said the game's publisher, Take-Two Interactive, is tracking higher than anticipated preorders leading to the game's April 29 release date.

Another game which should help GameStop tally record revenues this year is the second expansion pack for Blizzard Entertainment's phenomenally successful multiplayer game World of Warcraft. The game has an active user base of 10 million, a chunk of which has already proven themselves interested in acquiring product extensions when they become available.

The first World of Warcraft expansion pack released last year sold 2.4 million copies in 24 hours and 3.5 million copies in the first month, Hickey says. The game's second expansion pack, Wrath of the Lich King, is expected to be released in the second half of 2008 "and should provide meaningful product sales over a considerably larger World of Warcraft subscriber base."

From every vantage point, the year is shaping up to be one of record-setting revenues and profit for GameStop--with more than just insiders noting the potential.

Today on Wall Street, investors clamored for GameStop shares, bidding up the price just a nickel shy of $4, or almost 8 percent, to $55.66.

Hickey, who is projecting that GameStop shares will top $70 in the next year, says investing in the company "offers investors an opportunity to participate in the growth of the video game market with comparatively less operational volatility than publishers and offers [an investment opportunity based] on the remarkable success of the Wii and DS platforms from Nintendo." E-mail to a friend

READ about video games. WATCH video game news. PLAY complete, original console, arcade and PC games - FREE! Visit GameTap.com.

Copyright: TM & © 2009 Turner Broadcasting System, Inc. A Time Warner Company, or its licensors. Patent pending. All Rights Reserved.

GameTap is part of the TURNER YOUNG ADULT NETWORK.

@highlight

Despite plunging economy video game retailer GameStop cashing in

@highlight

Profit for the company increased 82 percent compared to the previous year

@highlight

Wii console helping mainstream video games, shy away from "geek" image

@highlight

Grand Theft Auto IV release could net GameStop $100 million -- in a week