(CNN) -- Steve Jobs wasn't eager to disclose details of his health issues over the years.

That the Apple co-founder contracted a rare form of pancreatic cancer in 2003 wasn't disclosed until after his return from surgery more than nine months later. Another health problem, which was innocuously described at first as a "hormone imbalance," turned into a six-month leave during which Jobs underwent a liver transplant.

Yet Jobs' views on existence, as he increasingly faced his own mortality, became ever more poetic and less concealed toward the end. These could be seen in the rare interviews he'd grant but also in e-mail correspondences with acquaintances and strangers, which he often took the time to partake in.

"I don't think of my life as a career," he told Time in 2010. "I do stuff. I respond to stuff. That's not a career -- it's a life!"

Jobs also shared his condolences and personal revelations with others facing similar pressures. A man named James told the news site Business Insider that he e-mailed Jobs on April 20, 2010, to thank him for supporting an organ donor program. James mentioned that his girlfriend had died of melanoma two years before.

Jobs replied: "Your [sic] most welcome, James. I'm sorry about your girlfriend. Life is fragile."

The rare moments when Jobs publicly waxed philosophical were among his most memorable. Perhaps the most widely quoted is his 2005 commencement address to Stanford University's graduating class: "Remembering that I'll be dead soon is the most important tool I've ever encountered to help me make the big choices in life. Because almost everything -- all external expectations, all pride, all fear of embarrassment or failure -- these things just fall away in the face of death, leaving only what is truly important," he said.

"Remembering that you are going to die is the best way I know to avoid the trap of thinking you have something to lose. You are already naked. There is no reason not to follow your heart."

He continued: "No one wants to die. Even people who want to go to heaven don't want to die to get there. And yet death is the destination we all share. No one has ever escaped it. And that is as it should be, because death is very likely the single best invention of life. It is life's change agent."

People often looked to Jobs for advice on dealing with the inevitable, and he seemed eager to offer his guidance.

One of the first calls Bob Longo, a former sales chief for the failed computer company Jobs founded called NeXT Computer, made after getting diagnosed with cancer was to Jobs. (They shared the same oncologist and radiologist.) The pair kept in touch, Longo recalled to the Pittsburgh Business Times, and Longo received an exuberant e-mail from Jobs after telling him the news that Longo's surgery was successful.

Longo told the Business Times: "Messages from him were generally laconic. This one had 20 exclamation points. I have a cousin who's a pretty well regarded cancer research doctor and told him the doctor Steve referred me to; he said, 'Don't even ask for a second opinion. Start your treatment.'"

Even in 1995, Jobs seemed undeterred in the face of death. He said in an interview with the Computerworld Honors Program: "We're all going to be dead soon; that's my point of view. Somebody once told me, they said, 'Live each day as if it would be your last, and oneÂ day you'll certainly be right.' I do that. You never know when you're going to go, butÂ you are going to go pretty soon. If you're going to leave anything behind, it's going toÂ be your kids, a few friends and your work. So that's what I tend to worry about."

Jobs set out to "put a dent in the universe," as he would say, and many believe he did just that. He transformed industries, improved important tools and changed the daily lives for billions of people.

But as much as the world may have needed a visionary like Jobs, he apparently needed us, too.

"You know, there's nothing that makes my day more than getting an e-mail from some random person in the universe who just bought an iPad over in the U.K. and tells me the story about how it's the coolest product they've ever brought home, you know, in their lives," Jobs said at the All Things Digital conference in 2010.

"That's what keeps me going. And it's what kept me going five years ago. It's what kept me going 10 years ago, when the doors were almost closed. And it's what'll keep me going five years from now, whatever happens," he said. Jobs died 16 months later to a public outpouring of grief.

@highlight

Steve Jobs wasn't always forthcoming about his health issues

@highlight

Near the end, he began to speak more openly about death in e-mails

@highlight

Apple co-founder said throughout his life that he did not fear death