Davos, Switzerland (CNN) -- Free trade, transparency and a crackdown on tax cheats will be at the heart of Britain's G8 presidency, Prime Minister David Cameron told the World Economic Forum in Davos on Thursday as he set out his vision for a more competitive Europe.

The speech comes a day after Cameron made headlines by promising the British people a vote on European Union membership if he wins the next general election in 2015.

"We need more free trade. We need fairer tax systems. We need more transparency on how governments -- and yes, companies -- operate," Cameron told political and business leaders at Davos.

These three issues will be the focus of the G8 meeting to be hosted by Britain later this year, he said.

Cameron said the European Union and the G8 -- made up of Canada, France, Germany, Italy, Japan, Russia, Britain and the United States -- all face the "looming, insistent question" of how to compete and succeed in the global economic race.

He sees free trade as key to that success, saying that when it isn't free, everyone suffers.

He wants Britain to be outward-looking, Cameron said, as he insisted that his referendum promise was "not about turning our backs on Europe" but about making the 27-member bloc work for everyone.

"Let's negotiate a new settlement for Europe that works for the UK and then let's get fresh consent for it. It's not just right for the UK. It's necessary for Europe," he said.

"Europe is being out-competed and out-invested -- and it's time we make it an engine for growth, not a source of cost for business and complaint for our citizens."

'Shape the future'

With this in mind, Cameron told CNN's Christiane Amanpour that he has no regrets over the referendum promise, despite unhappiness among some European partners.

"It's really important that we've set out a plan for how we get change in Europe that will benefit all of Europe, making it more open, more competitive, more flexible, and how we secure Britain's place within that," he said.

"I think it's a very important step forward and I'm pleased with the reception that the speech has got from the business community, from the public, and also some positive responses from some of my European colleagues in government, too."

As for those who have criticized the decision, Cameron said he believes "the greatest gamble for Britain would be to sit back and do nothing."

The European Union is already changing to meet the needs of the 17 members who are part of the euro single currency, he said. Britain is not in that group.

"It's much better in my view to step forward to shape that debate, to shape the future in Europe," he said.

Britain's desire to renegotiate the terms of its EU membership is based on the need to gain the consent of the people as they follow a path within Europe, he said.

Far from being isolationist, Britain is a "very positive player" in the European Union, Cameron added.

In addition to helping create the single market, it has been one of the nations that pushed for the oil embargo on Iran and tough sanctions on Syria, and it has become a key backer in recent days of France's military action in Mali, he said.

Asked about the recent wrangling in the United States over the fiscal cliff, Cameron suggested that America could learn from Britain, although he recognizes that every country's circumstances are different.

"I would say our experience in the United Kingdom is that you can take people with you as you take those difficult decisions, but ... it's a very tough and hard road, but it's a road we all have to travel," he said.

"In the end, we all have to prove that we can pay our way in the world, that our credit is good, and all the rest of it. It's not the only way that you will get growth; it is part of what we need to bring the world economy back to healthy growth."

Cameron said the biggest thing that Britain and America could do together is to work on an EU-U.S. trade deal.

"Between us, we account for a third of world trade, so if we really got together and liberalized trade between the European Union and the United States of America, we could make both our peoples a lot better off," he said.

'Ethical issues'

Addressing policymakers in Davos, Cameron said the questions of fairer taxes, more open trade and greater transparency apply just as much to the developed countries of the G8 as to poorer nations.

And he dismissed the idea that speaking out on the issue of taxes and transparency made him anti-capitalism or anti-business.

Poor practice by some firms has an impact on those that play by the rules, he said.

There is a difference between tax evasion and tax avoidance, he added, "but there are some forms of avoidance (that) have become so aggressive that I think it is right to say these raise ethical issues, and it's time to call for more responsibility and for governments to act accordingly."

"I'm a 'low tax' Conservative but I'm not a 'companies should pay no tax' Conservative," added Cameron, who heads Britain's Conservative Party.

Meanwhile, transparency about the flow of money is key to poorer countries moving from poverty to growth, Cameron said.

"Like everything else in this G8, the ambitions are big, and I make no apology for that," he said. "We can be the generation that eradicates absolute poverty in our world," he said, but only if leaders focus on the cause, not the symptoms.

CNN's Richard Quest said Cameron's attempt to go after tax cheats could be seen as good populist politics and an easy shot as he tries to distract from other matters.

No cherry-picking

On Wednesday, Cameron promised that if his party wins the 2015 general election, the country would get to vote on whether Britain stays in the European Union on the basis of a renegotiated deal, or leaves.

The referendum should not be held until it's clear how changes made after the crisis in the eurozone works out, he said, but will be held in the first half of the next parliament.

The long-awaited speech was met with approval by those in his party who want to see Britain get some powers back from the EU, as well as a reduction in legislation they say holds back businesses.

But critics -- including his party's coalition partner, the Liberal Democrats -- say now is not the time to create uncertainty among businesses and industry over Britain's future in the European Union.

It is also unclear whether the other 26 members of the European Union would be willing to renegotiate the terms of Britain's membership.

France and others have made it clear that the British leader cannot "cherry-pick" which elements of the EU he signs up to, or risk unraveling the union to suit British interests.

U.S. President Barack Obama has also said that "the United States values a strong UK in a strong European Union."

But German Chancellor Angela Merkel gave Cameron some room for maneuver, indicating she is open to discussions on a "fair compromise."

She is also due to give a speech Thursday at Davos, the annual forum that this year is attended by nearly 40 world leaders and more than 2,000 executives.

Italian Prime Minister Mario Monti, speaking at Davos Wednesday, predicted Britain would remain in the EU.

"I am confident that if there is to be a referendum one day, the UK citizens will decide to stay in the EU and contribute to shape its future," he said. He added, however, "I think the EU does not need unwilling Europeans."

Britain is a net contributor to the European Union and an important player in the single market, which may give Cameron some additional sway. But critics warn he is taking a big gamble.

Former Belgian Prime Minister Guy Verhofstadt, who leads the Alliance of Liberals and Democrats for Europe in the European Parliament, warned against trying "hold the EU to ransom."

CNN's Irene Chapple reported from Davos, and Laura Smith-Spark from London

@highlight

NEW: David Cameron says the United States could learn from Britain on deficit reduction

@highlight

He tells Amanpour he has no regrets over promising a referendum

@highlight

He says the G8 will focus on free trade, fairer taxes and greater transparency"

@highlight

We can be the generation that eradicates absolute poverty in our world," he says