(MentalFloss.com) -- As Napoleon Bonaparte expanded his new French Empire and conquered much of Western Europe, he doled out the spoils of war to his friends and family, whether they wanted it or not.

Napoleon's older brother Joseph, described by historians as "idealist, mild mannered, and lacking in vigor," had wanted to be a writer, but was instead pressured into following his father into a law career.

His brother had other plans for him, and installed him first on the throne of Naples and later, Spain.

King Joseph took both positions reluctantly, and didn't fill either very well. Almost as soon as he was crowned in Spain, a popular revolt against French rule began.

Joseph suffered a string of defeats as he and French forces engaged what was left of the Spanish regular army, and he asked his brother if he could abdicate and return to Naples.

Napoleon wouldn't have it, and left Joseph to keep a tenuous grasp on his army (the generals under his command insisted on checking with Napoleon before carrying out any of Joseph's orders) and kingdom.

Unable to beat back the rebels and their English allies, Joseph abdicated his throne in 1813, having ruled for just over five years.

Born to run

After Napoleon's defeat and forced exile, the Bonaparte name wasn't winning Joseph any friends in Europe, so he fled to the United States under an assumed and with the crown jewels of Spain stashed in his suitcase.

He initially settled in New York City, then moved to Philadelphia, where his house at 260 South 9th became the center of activity for America's French expatriate community.

He eventually moved to a large estate in Bordentown, New Jersey, twenty-five miles northeast of Philadelphia along the Delaware River. It was called Point Breeze.

There, Joseph Bonaparte, former King of Naples and Spain, brother of Napoleon I, Emperor of France, took the title of Comte de Survilliers (though his American neighbors and friends still called him Mr. Bonaparte and referred to his home as "Bonaparte's Park") and went into quiet, suburban exile.

Mental Floss: Andrew Jackson's big block of cheese

Mansion on the hill

Bonaparte may have been dethroned, but he was still royalty. He built up the estate to reflect his social standing.

He constructed a vast mansion for himself, with a large wine cellar, floor-to-ceiling mirrors, elaborate crystal chandeliers, marble fireplaces and grand staircases. His library held the largest collection of books in the country at the time (eight thousand volumes versus the sixty-five hundred volumes of the Library of Congress).

The land surrounding the mansion was elaborately landscaped and featured ten miles of carriage paths, rare trees and plants, gazebos, gardens, fountains and an artificial lake stocked with imported European swans.

Bonaparte's home became a social hub for both his New Jersey neighbors, who liked to spend quiet afternoons browsing his library, and American and European elites.

Among the distinguished guests who came through Point Breeze were John Quincy Adams, Henry Clay, Daniel Webster, the Marquis de Lafayette, and Stephen Girard, a French banker from Philadelphia who was then the richest man in the U.S.

Since Bonaparte's wife did not accompany him to America (he did not see her for 25 years after he left), another frequent guest at the house was his mistress, Annette Savage.

Bonaparte had met Annette, the 18-year-old, French-speaking daughter of distinguished Virginia merchants, while he was shopping for suspenders at her mother's shop in Philadelphia. During their time together, Bonaparte and Annette would have two daughters, Caroline Charlotte and Pauline Josephe Anne.

Mental Floss: How Teddy Roosevelt ended up with Abe Lincoln's hair

Fire

In January 1820, Bonaparte's mansion caught fire and burned to the ground. His neighbors rushed to the house and managed to save most of the silver and his priceless art collection.

Contemporary newspaper reports called the blaze accidental, but according to the gossip around town, a local woman, an immigrant from Russia, set the fire as revenge for Napoleon's invasion of her homeland.

Bonaparte was touched by his neighbors' assistance, and expressed those feelings in a letter he wrote to one of the town's magistrates:

"All the furniture, statues, pictures, money, plate gold, jewels, linen, books, and in short, everything that was not consumed, has been most scrupulously delivered into the hands of the people of my house.

"In the night of the fire, and during the next day, there were brought to me, by laboring men, drawers, in which I have found the proper quantity of pieces of money, and medals of gold, and valuable jewels, which might have been taken with impunity.

"This event has proved to me how much the inhabitants of Bordentown appreciate the interest I have always felt for them; and shows that men in general are good, when they have not been perverted in their youth by a bad education. ... Americans are, without contradiction, the most happy people I have known; still more happy if they understand well their own happiness.

I pray you not to doubt of my sincere regard."

-- Joseph, Count de Survilliers

[As reprinted in Bonaparte's Park and the Murats, by Evan Morrison Woodward (1879)]

Bonaparte rebuilt his mansion and remained in New Jersey. He took ill and returned to Europe in 1839. When he died in 1844, Point Breeze passed to his grandson, who sold it and most of its contents at auction three years later. Some of the furnishings and paintings are now in the collections of the Philadelphia Museum of Art and the Pennsylvania Academy of Fine Arts.

Mental Floss: The girl who grew Abe Lincoln's beard

A night with the 'Jersey Devil'

During his years at Point Breeze, Bonaparte believed he had a run-in with one of the Garden State's most infamous residents -- the Jersey Devil.

According to the folklore of Jersey's Pine Barrens region, the Devil was born around 1735. Mother Leeds was in labor with her thirteenth child when the burden of the dozen she already had finally made her snap. "Let it be the Devil," she cried as she pushed the baby out.

The healthy baby boy in the midwife's arms suddenly changed before the women's eyes, growing wings, hooves, fur and a tail. The beastly baby screeched and flew out the window, making its home in the Barrens and haunting and harassing the people who lived there.

As Bonaparte recounted the story, he was hunting alone in the woods near his estate when he saw some peculiar tracks on the ground. They looked like they belonged to a horse or a donkey, but one that was walking only on its hind legs. He followed the tracks until they ended abruptly, as if the animal had jumped into the air and flown off. He stopped and stared at them.

A strange hissing noise came from behind him. He whirled around and came face to face with an animal he had never seen before. It had a long neck, wings, legs like a crane with horse's hooves at the end, stumpy arms with paws and a face like a horse or a camel. He froze, and for a minute neither he nor the creature moved or even breathed. Then, the Devil hissed again and flew away.

Bonaparte later told his friends what happened, and they filled him in on the local legend. Until he returned to Europe, Bonaparte is said to have kept a sharp eye out for the Devil whenever he was in the woods, hoping to kill it and take the body as a trophy.

Last to die

The Bonapartes had another American connection. Napoleon's younger brother, Jérôme, visited the United States in 1803 and fell in love with Elisabeth Patterson, the daughter of a wealthy Baltimore merchant. They married that same year, but Napoleon did not approve and ordered his brother back to France.

Jérôme went home, annulled his marriage, remarried, and became King of Westphalia. But not before consummating his marriage to Elisabeth. She was already pregnant when Jérôme left the U.S. and gave birth to another American Bonaparte.

The stateside branch of the family tree produced some notable members -- including Charles Patterson Bonaparte, Secretary of the Navy under Theodore Roosevelt -- but petered out a few decades ago.

Jerome-Napoleon Patterson Bonaparte, great-grandnephew of Napoleon I, was walking his dog in Central Park in 1943, when he tripped over the leash, cracked his skull open on the ground and died.

For more mental_floss articles, visit mentalfloss.com

Entire contents of this article copyright, Mental Floss LLC. All rights reserved.

@highlight

Napoleon Bonaparte's brother Joseph wanted to be a writer not a king

@highlight

Joseph Bonaparte abdicated the throne of Spain and went to live in New Jersey

@highlight

He lived like royalty in a mansion, which burned to the ground in 1820

@highlight

Joseph even claimed to have encountered the "Jersey Devil"