Camden, Maine (CNN) -- There are no rock stars at PopTech, no household names. But this annual conference in coastal Maine is a hub for super-smart people, a chance to get a look into ideas and technologies that soon will change the world.

Here's a quick look at five of them, chosen from many.

You can see the full list of PopTech presenters and fellows on the group's website.

Daniel Kish, 'real-life batman'

Kish, who founded World Access for the Blind, sees the world with his ears. A self-described "batman," Kish, who is blind, makes clicking sounds with his tongue when he walks the streets or goes hiking in the woods. He listens for those sounds to bounce off the objects around him, and uses that data to construct a mental image of the scene.

He has taught these methods of human echolocation to about 500 students on several continents. With his help, these blind students have learned to ride bikes through obstacle courses, skateboard and, perhaps most importantly, achieve greater independence.

"You're basically querying the environment -- you're interrogating the environment," he said. "You're asking who are you and what are you, and the environment answers back."

Adrien Treuille, game designer

For most people, gaming is a form of entertainment or escape. For Treuille, a computer scientist at Carnegie Mellon University, games can help solve real-world problems.

Treuille is the creator of FoldIt, a computer game that has helped solve long-standing puzzles about protein folding. The work of FoldIt is even helping to enhance science's understanding of HIV. His new game, called EteRNA, does the same thing for RNA sequencing. Most important about these games, he says, is the fact that they're fun.

And by having fun, gamers also are helping improve the world.

Dominic Muren, advocate for 'maker' culture

If you live in the Western world, chances are you can't make much of anything. If you want a shirt, you buy it. If you want an Internet connection, you buy a router. No one knows much about these processes -- well, no one except "makers" like Dominic Muren, who is creating a website to connect people who make things in the developing world with other people on the Internet who might be able to help.

The site, called alchematter.com, is expected to launch next summer. It will be yet another portal into a growing trend: People want to know where things come from and how they're produced. Increasingly, people like Muren just want to make things for themselves. He grows plants in his yard in Washington that he spins into shirts and sweaters. He hopes his website will support projects like one by Amy Sun at a group called FabFolk, which, among other things, helped makers in Afghanistan create a localized version of the Internet in their hometown.

Iain D. Couzin, the locust whisperer

Why do fish swim in schools? Why do locusts fly in swarms?

Couzin, a professor of ecology and evolutionary biology at Princeton University, is trying to understand how and why organisms function as a collective rather than individuals. He's using new and innovative methods, from computer vision to Xbox Kinect cameras, to get at the answers. (It turns out, for example, that locusts swam not because they love flying in giant clumps, but because they're trying to eat each other -- and avoid being eaten by the locusts hot on their tails.)

There are practical applications to this work. One of Couzin's long-term goals, for example, is to understand locusts well enough to be able to predict their swarming patterns. That may sound like no big deal if you're sitting in an American city and haven't seen a locust swarm this week -- or ever. But in lots of places, including Africa, locust swarms severely impact people's livelihoods. Forecasts could help.

Aidan Dwyer, 13-year-old solar scientist

Who knows what you were doing at age 13, but I'm guessing you weren't walking through the woods, looking at trees and noticing how the spiraling pattern of the branches follow a mathematical construct called the Fibonacci sequence.

Dwyer was.

For a school science project, this 13-year-old used these observations to design a new type of solar panel array that's based on Fibonacci and the structure of trees. The prototype looks like a tree with little solar panels at the tips of the branches. He says it catches more light and produces about 20% more electricity than traditional solar panel arrangements.

The discovery earned him a Young Naturalist Award this year from the American Museum of Natural History; and it got him plenty of high praise at PopTech, with plenty of decades-older university types expressing awe at his work.

@highlight

PopTech is a yearly conference that focuses on tech and social change

@highlight

The speakers aren't household names, but they're working to change the world

@highlight

Among them: A 13-year-old solar power developer; a man who sees with his ears