(Health.com) -- People who take vitamin E supplements regularly for years -- whether they are smokers or nonsmokers -- may lower their risk of chronic obstructive pulmonary disease, the lung condition that is the fourth leading cause of death in the United States.

COPD includes emphysema and chronic bronchitis and is often, but not always, caused by smoking.

While the risk reduction is relatively small, 10 percent, COPD is a common and life-threatening condition in which a decline in lung function can be slowed down but not reversed. COPD symptoms include shortness of breath, coughing, and fatigue.

"The effect appears to be modest. But for something for which there isn't really any effective therapy and tends to be a degenerative condition, anything that would reduce the risk even somewhat is not an insubstantial benefit," says Jeffrey B. Blumberg, Ph.D., a professor of nutrition at Tufts University in Boston who was not involved in the study.

The research, from the government-funded Women's Health Study, included 39,876 women 45 years and older who were free of COPD before they were randomly assigned to take a placebo, vitamin E supplements (600 IU every other day) or aspirin (100 mg per day), either alone or in combination. At the end of 10 years, 760 of the 19,937 women who took vitamin E alone or with aspirin developed COPD compared with 846 of the 19,939 who took a placebo or aspirin alone -- a 10 percent risk reduction. Vitamin E did not lower the risk of asthma, a condition associated with a higher risk of COPD.

Health.com: 10 ways to have cleaner air at home

The researchers took into account factors such as cigarette smoking and age, which can affect COPD risk. The study, conducted by Cornell University and Brigham and Women's Hospital researchers, is to be presented this week at the annual American Thoracic Society meeting in New Orleans.

The idea that vitamin E can reduce the risk of developing COPD is "biologically plausible," says Yvonne Kelly, Ph.D., an associate professor in the department of epidemiology and public health at University College London. Experts believe vitamins A, C, and E -- the so-called ACE antioxidants -- combat oxidative stress in the lungs that can lead to COPD.

Health.com: Eight causes of a chronic cough

Several studies have shown that these vitamins, as well as vitamin D, may help improve lung health. In a 2003 study, Kelly and her collaborators found that men and women with diets high in vitamins C and E had greater lung capacity and produced less phlegm, respectively. Phlegm production and wheezing are also COPD symptoms.

One limitation of the study is that the researchers relied on the women to report whether or not they had a diagnosis of COPD, says Michael Sims, M.D., an assistant professor in the pulmonary critical care division at the University of Pennsylvania Medical Center. He points out that people with asthma may think they have COPD, or vice versa, since the symptoms are similar. In addition, early diagnoses can be inconclusive or due to lung problems that don't turn out to be COPD.

Health.com: How to buy the right air cleaner

In future studies, Sims says that the researchers should diagnose COPD using a breathing test called spirometry. "If you showed in a similar study with a gold standard outcome [like spirometry], among smokers and nonsmokers, that you could affect the incidence of COPD, I would imagine the committees that meet on this would take a serious look at increasing daily recommended intake [of vitamin E] for the general population," he says.

Currently, no vitamin supplements are recommended to prevent or treat COPD. The best way to prevent the disease is to quit smoking, says Dr. Sims. About 24 million people in the U.S. have COPD -- 12 million who've been diagnosed with the disease and another 12 million who have COPD but don't know they have it. In the study, women who smoked were four times more likely than nonsmokers to develop COPD.

Health.com:12 best COPD blogs and Web sites

The daily recommended intake of vitamin E is about 22 international units for those 14 and older, and is relatively easy to obtain from oils such as sunflower, almonds, peanut butter, and spinach.

The vitamin E intake in the study was far higher, at 300 IU per day. However, Blumberg says this is within the range of most over-the-counter vitamin supplements, which deliver 100 or 400 IU daily. "This study is still five times below the highest dose at which no adverse effect has been found," he says.

Vitamin E intake is generally a concern only at very high doses, above 1500 IU per day. Several studies have suggested that these levels promote hemorrhaging and interfere with normal blood clotting. For this reason, high doses of vitamin E are not recommended for people taking blood-thinners such as warfarin (Coumadin) and aspirin.

Health.com: Eight breathing tips for people with COPD

For people concerned about their lung health, taking vitamin E and C is not a bad idea, says Blumberg. "If I were talking to somebody who was a former smoker and who was concerned about minimizing their risk of not only lung disease but also heart disease and cancer, then taking a supplement of C and E would be a reasonable thing to do," he says. In fact, anyone who thought he or she was at increased risk of COPD could potentially benefit from these supplements, he adds.

Supplements of beta-carotene, which is a precursor of the antioxidant vitamin A, should be used with caution, however. While a 2006 French study found that people with diets high in beta-carotene had a slower decline in lung function over an eight-year period, heavy smokers and drinkers may not benefit. Two studies found that beta-carotene supplements increased the risk of lung cancer in people who smoked more than one pack a day and drank heavily.

According to Sims, the new study offers an incentive to look closer at the potential to use vitamin E or other antioxidants to help prevent COPD. "If it could be done with something like vitamin E, that's a relatively low-risk intervention, that would be the Holy Grail."

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2010

@highlight

Vittamin E can cut chronic obstructive pulmonary disease risk in smokers and  nonsmokers

@highlight

COPD includes emphysema and chronic bronchitis; often, but not always, caused by smoking

@highlight

Several studies have shown that vitamins A, C, E and D may help improve lung health