Princeton, New Jersey (CNN) -- In the aftermath of 9/11, Americans were angry, fearful and scrambling for answers.

In the days that followed the terrorist attacks, President George W. Bush and Congress prepared their response, starting to work on stronger counterterrorism measures and preparing for a war in Afghanistan, where the Taliban had housed al Qaeda networks for many years.

A few Americans turned their rage against Muslims who were living in the United States.

Within a few days, Muslims, as well as individuals mistakenly perceived to be Muslims, were attacked. The Sikh owner of a gas station in Mesa, Arizona, was killed by a man who went on to shoot a Lebanese clerk at another gas station.

Near Dallas, Texas, a man shot and killed a 46-year old Pakistani who owned a small grocery store. In Cleveland, Ohio, a man drove a Ford Mustang right through an Islamic center.

Nine years after 9/11, there is a lot for Americans to contemplate as they look back. Although people have focused a lot of attention on Bush's appearance before a group of New York firefighters at ground zero, another highly significant moment took place on September 17.

That day, at the Islamic Center in Washington, the president delivered a powerful message about the need to keep America's response to 9/11 from turning into a war against Muslims. This message was as important to his war on terrorism as the strategy of regime change, or pre-emptive war.

Unfortunately, this is a principle that has been slowly and dangerously undermined in recent weeks as a result of the controversy over a proposed Islamic cultural center and mosque a few blocks from ground zero.

Speaking at an emotionally charged moment, just six days after the attacks, Bush told the audience that it was vital for Americans to understand that the terrorists did not represent the Muslim tradition.

"Those who feel like they can intimidate our fellow citizens to take out their anger don't represent the best of America; they represent the worst of humankind, and they should be ashamed of that kind of behavior," Bush said.

The president reiterated his firm commitment to protecting the constitutional rights and honoring the important role of the Muslim community in the United States.

In no uncertain terms, Bush said: "The face of terror is not the true faith of Islam. That's not what Islam is all about. Islam is peace. These terrorists don't represent peace. They represent evil and war."

America, he said, "counts millions of Muslims amongst our citizens, and Muslims make an incredibly valuable contribution to our country. Muslims are doctors, lawyers, law professors, members of the military, entrepreneurs, shopkeepers, moms and dads."

Many Muslim leaders were impressed by the president's speech as well as by how most Americans were responding to the trauma.

"Americans have shown great maturity," Sayyid Syeed, the secretary general of the Islamic Society of North America, told the media. He reported the calls he was receiving expressing support for his community greatly outweighed the hate crimes.

Over the coming years, Bush stuck with the argument that he made on September 17. While Bush would come under criticism for many aspects of his war on terrorism -- including policies such as the use of interrogation tactics that critics called torture -- he continued to be very clear in his defense of Muslims.

The president returned to the Islamic Center on June 2007, reminding his audience of his earlier speech: "We gather, with friendship and respect, to reaffirm that pledge -- and to renew our determination to stand together in the pursuit of freedom and peace. We come to express our appreciation for a faith that has enriched civilization for centuries."

Bush's philosophy is now under fire. In response to the proposal to build an Islamic center near ground zero in New York City, a heated national debate has unfolded about Muslims in America. While some focused their criticism on whether this was a proper project so close to the site of the attacks, many others turned it into a different kind of discussion.

Some national Republican leaders, including Sarah Palin and Newt Gingrich, have made provocative comments, helping to make it a national issue. Gingrich warned of the "radical Islamists" he said were behind the project, comparing it to Nazis putting up a sign next to the Holocaust Museum in Washington.

At the local level, the debate has taken an even more dangerous turn.

A Florida pastor, Terry Jones, announced he would burn copies of the Quran. Even when he came under criticism from a broad spectrum of leaders, including Gen. David Petraeus, he did not at first desist.

Rather than listening, he said, "Maybe it's time to send a message to radical Islam that we will not tolerate their behavior."

Palin did condemn the pastor by tweeting that "book burning is antithetical to American ideals," but then tied the two issues together when she went on to say that "people have a constitutional right to burn a Koran if they want to, but doing so is insensitive and an unnecessary provocation -- much like building a mosque at ground zero."

Although the pastor agreed to cancel the Quran burning after a call from Secretary of Defense Robert Gates warning it would put American lives at risk, the incident stoked the fires of hatred.

If this kind of inflammatory rhetoric continues, it will erode a central and crucial principle in the war on terrorism. It also contradicts the nation's constitutional and pluralistic traditions -- the very traditions we want to defend from terrorism -- while doing irreparable harm abroad.

When Bush spoke at the Islamic Center, he took a pivotal step in defining how he wanted to defend the nation and go about punishing the aggressors who killed thousands of civilians. His message cannot be forgotten.

Should local and national debate move in a different direction, we will be paying the cost as a nation for decades to come by destroying our image in the Muslim world, thus playing into the hands of the terrorists.

We'd be abandoning the very best ideals that our country has to offer.

The opinions expressed in this commentary are solely those of Julian E. Zelizer.

@highlight

After 9/11, a few Americans lashed out at innocent Muslims

@highlight

Julian Zelizer: President George W. Bush rightly condemned such attacks at the time

@highlight

He says that principle has been ignored by some GOP politicians

@highlight

Zelizer: Attacking Islam is at odds with U.S. Constitution and key values nation is seeking to defend