Donetsk, Ukraine (CNN) -- The road isn't easy -- past shelling and eerie separatist checkpoints. But where it leads is harder still.

Twelve days after MH17 was blown out of the sky, pieces of the plane remain here, but for days investigators haven't been able to reach the site. On Wednesday, efforts to get to the bottom of the deadly crash hit another roadblock, as Ukrainian officials warned of possible landmines near the site.

The wreckage sits in tomb-like silence -- a monument to cruelty, to how 298 souls -- some shipped in parts, away on a separatist train -- have yet to find complete rest.

There are flowers and a teddy bear on the ground, where strangers have tried to mourn. The crash site still reeks of jet fuel and the stench of decay. Shrapnel holes are visible in the cockpit's remains.

In the hour a CNN team spent at the crash site Wednesday, there were no separatists, inspectors or Ukrainian soldiers there.

Just distant smoke that explains why the inspectors' large convoy has not, for the fourth day running, arrived.

Ukraine's National Security and Defense Council claimed Wednesday that "terrorists" -- the term it uses to describe rebels -- have set up firing positions and laid mines on the access road to the crash site of Malaysia Airlines Flight 17.

The Ukrainian government and pro-Russian rebels are fighting over control of eastern Ukraine.

Dutch investigators in Ukraine did not mention mines but announced Wednesday that unsafe conditions kept their contingent from visiting the crash site for the fourth straight day.

CNN could not independently confirm the veracity of the statement by the Ukrainian officials, though CNN's team traveled to and from the debris field safely Wednesday.

The dangers in the area make the work of international experts "impossible," the Ukrainian defense council said.

Workers with the Organization for Security and Co-operation in Europe made the same call and avoided traveling to the crash site Wednesday.

Ertrugrul Apakan, chief monitor of the OSCE Special Monitoring Mission to Ukraine, said he would like to see a cease-fire between combatants so investigators can work.

It was the fourth straight day the OSCE has joined the 50-strong team of Dutch and Australian investigators in declaring the region too dangerous to work in.

Dutch investigators have yet to lay eyes on the wreckage or the human remains believed still to be strewn across the huge debris field near the town of Torez.

CNN's team reported seeing three or four points of smoke from artillery fire. Because the area was militarized before the plane crash, it was not possible to know whether those firing positions were new.

Some human remains could still be found at the crash site, as well as belongings from the victims scattered about.

On the journey there, the CNN team -- which was traveling in just one car, as opposed to the convoy of dozens of vehicles that the investigators use -- saw only a small rebel presence on the road around the wreckage.

U.S. and Ukrainian officials have said that a Russian-made missile system was used to shoot down MH17 from rebel territory on July 17. Russia and the rebels have disputed the allegations and blamed Ukraine for the crash.

Dutch Prime Minister Mark Rutte asked Ukrainian President Petro Poroshenko in a phone call Tuesday morning to halt the fighting around the crash site so that investigators can access it, Rutte spokesman Jean Fransman said.

Ukraine foreign minister: The bitter lessons of MH17

Russian isolation

There are echoes of the Cold War as pro-Russian rebels battle Ukrainian government forces in the nation's east.

With new sanctions announced by the European Union and United States against Russia this week, the stakes are getting higher, and Moscow is getting more isolated.

A senior administration official said Russia hasn't been this isolated "since the end of the Cold War."

The Russian Foreign Ministry said the latest round of U.S. sanctions "will cause nothing but the harm" to U.S.-Russian ties and "will create a poor environment in international affairs where the cooperation between our countries often plays a key role."

The Russian response accused the United States of "trying to avoid responsibility" for the crisis in Ukraine and blamed the Ukrainian government for the violence in the east.

On Wednesday, Russian lawmaker Aleksey Pushkov, the head of the State Duma's foreign affairs committee, said via Twitter that U.S. President Barack Obama "will make history not as a peacekeeper, everyone forgot about his Nobel Prize, but as the statesman who started a new cold war."

But Obama downplayed the comparison Tuesday.

"It's not a new Cold War," he said. "What it is is a very specific issue related to Russia's unwillingness to recognize that Ukraine can chart its own path."

The new and harder-hitting sanctions show the West's waning patience with Russia over its disputed annexation of Crimea, its support of pro-Russian rebels and the impact of the shoot-down of Flight 17, which had many Europeans among the 298 people on board when it went down in eastern Ukraine.

The new EU sanctions aim to target eight "cronies" of Putin and three "entities" by limiting their access to EU capital markets, an EU official said on condition of anonymity.

Entities facing sanctions, according to the European Union, include the Russian National Commercial Bank; the state-owned Almaz-Antey corporation, which manufactures anti-aircraft weaponry; and Dobrolet, a subsidiary of a Russian state-owned airline.

Three state-owned banks were named Tuesday by Washington, meaning five of the top six financial institutions in Russia were on the sanctions list, according to a senior Obama administration official.

Furthermore, the United States went to NATO with a claim that Russia has violated its obligations under the Intermediate-Range Nuclear Forces Treaty. The treaty prohibits that possession, production or flight-test of a ground-launched cruise missile with a range of 500 to 5,500 kilometers. In a statement, NATO asked Russia to resolve the issue.

To punish Russia, Europe must be prepared to suffer

A parental quest

Although heavy fighting has blocked investigators from getting to the crash site, it didn't stop the determined parents of one of the victims.

George and Angela Dyczynski braved the regional conflict and saw the wreckage over the weekend.

"We have been always protected," George Dyczynski said. "I believe it was divine guidance."

"We really, really promised our daughter that we will go there and that we tried to really fulfill our promises," said Angela Dyczynski.

Despite there being no known survivors, the couple holds out hope that their daughter, Fatima, a 25-year-old aerospace engineer, is still alive.

"Fatima can only be pronounced dead when the DNA is matched with her body," Angela Dyczynski said. "So if anybody says at the moment she is dead ... it's not correct."

Up to this point, very few of the bodies recovered from the crash have been identified by Dutch authorities.

As of Monday, 227 coffins had been sent to the Netherlands, where forensic investigators are working to identify victims. It is unclear how many complete sets of bodies the coffins contain.

How rebels built up an arsenal capable of reaching the skies

What will MH17 crash investigators find at site?

U.S., EU coordinate on Russia sanctions, but will they work?

CNN's Nick Paton Walsh reported from Donetsk; Ed Payne and Mariano Castillo wrote and reported in Atlanta. CNN's Catherine E. Shoichet, Michaela Pereira, Laura Smith-Spark, Steve Almasy, Lindsay Isaac, Ivan Watson, Barbara Starr, Michael Pearson, Susannah Palk, Alexander Felton, Mick Krever and Laura Bernardini and journalist Victoria Butenko in Kiev contributed to this report.

@highlight

NEW: A CNN team visits the crash site, where wreckage sits in tomb-like silence

@highlight

Ukraine says "terrorists" have laid landmines near crash site

@highlight

Dutch researchers decide that it's still not safe to visit site

@highlight

EU official: Some of the individuals affected by sanctions are Putin "cronies"