(CNN) -- It was early evening when Lee Ferrero got in his car to make the trip home from a meeting for work. He'd done the trip many times over the years, and he looked forward to the drive.

Several hours later he found himself in open farmland in unfamiliar territory. He pulled over, brought out a book of maps, and realized he'd driven two hours past the turnoff to his home in Los Osos, California.

"It was terrifying," he remembers now. "I thought, I didn't mean to come here. How did this happen? I just zoned out."

But he wasn't just zoning out. A visit to the Mayo Clinic in Scottsdale, Arizona, showed Ferrero was in the beginning stages of Alzheimer's disease, a form of dementia.

"That car ride was a real wake-up call," he says.

After his trip to Mayo, Ferrero's wife insisted he get a professional driving evaluation to make sure he was safe to drive. His driving was fine -- the only problem was that he might wander off again down the road.

It has been five years since that fateful car trip. The disease forced Ferrero, an Air Force veteran, to retire from his position as president and CEO of the Private Industry Council of San Luis Obispo County. Now 64, he doesn't want to sit home all the time, and still drives and walks around.

To decrease the chance he'll wander again, Ferrero writes down exactly where he's going so he can refer to it later, and he wears an ID bracelet with a 24-hour emergency response number. He hasn't had another wandering incident, but knows he might at some point as his disease progresses.

"I forget things I never used to forget and I know it's only going to get worse," he says.

November is National Alzheimer's Disease Awareness Month and Family Caregiver Month. About 60% of the nation's 5 million Alzheimer's patients will wander, according to Beth Kallmyer, senior director of constituent services at the Alzheimer's Association.

"This is such a big worry for families," she says. "We tell them their loved ones can wander off at any time, even when you just go into the kitchen for a minute to start dinner."

Kallmyer advises families that there's no way to keep an eye on someone 24-7, but that there are some steps they can take to decrease the chances their loved one will wander.

1. Keep wandering top of mind

Sometimes families are surprised when their loved one wanders. Lawrence Schonfeld, an Alzheimer's expert, has noticed sometimes families forget that wandering is a huge risk because they're so overwhelmed with other aspects of Alzheimer's disease.

That can be a fatal mistake.

"Families are worried their loved one will leave the stove on in the kitchen, or they're annoyed when their loved one asks the same question over and over again," he says. "Wandering isn't always their major concern."

2. Pick up on the red flags of wandering

Wandering can happen at any time, but it's more likely in certain situations, such as when someone with dementia is in unfamiliar surroundings.

People with Alzheimer's and other forms of dementia often leave clues that they're about to wander. If your loved one says, "It's time to go to work," she might truly be headed out the door in a few minutes. "I want to go home" might mean he's about to go in search of his childhood home, and you have to stop him.

3. Distract them

Don't say "Dad, you haven't worked in 30 years," or "Mom, you're already at home." Reasoning won't work. Instead, distract.

"If they say they want to go to work, tell them 'OK let's go see if we can find your shoes,'" Schonfeld suggests. "By the time they get their shoes on they'll have forgotten about going to work."

4. Block (or disguise) the exits

For safety reasons, you should never lock or trap a person with dementia in a home alone. If someone is there with them you can block the doors. There also are screens you can buy that look like, say, library books, so your loved one won't realize it's in front of a door. You can also put a lock toward the bottom of the door; Kallmyer says people with dementia won't think to look for a lock in such an unusual place.

Another idea: Put a mirror or a stop sign on the door, or you can try putting a dark rug in front of the door. People with late-stage dementia might think it's a hole and won't go near it.

5. Label your rooms

Sometimes people with dementia will go wandering off in search of the bathroom or a glass of water and get distracted and actually leave the house. The Mayo Clinic suggests putting a picture of a toilet on the door to the bathroom or food on the door to the kitchen, so they can more easily find what they need.

6. Keep them busy

"Sometimes people wander out of boredom, or because no one's paying attention to them," Kallmyer says. "Spending a lot of time watching TV isn't good. Have them wash dishes with you, or fold clothes."

You can also enroll your loved one in an adult day care program so they'll have interesting activities. Seniorresource.com and Eldercare Locator have search tools for finding a program near you.

7. Take a walk

"Have them take a walk or exercise with you," Schonfeld suggests. "They may be so tired afterwards they'll want to sit for a while." Even if they're not tired, the social engagement of the walk might be enough to keep them from wandering in search of company.

8. Provide safe wandering

Create a path through the rooms of your house as a place for your loved one to wander, or a circular trail through a fenced backyard, the Mayo Clinic advises.

9. Consider technology

Some devices alert you if a door is open in the house. Others tell you if your loved one has wandered beyond a certain area. You can even attach a GPS to your loved one and then go online to find him on a map; the GPS might be on a bracelet or in a shoe.

The Alzheimer's Association has an overview of electronic devices that can help keep track of Alzheimer's patients, and the association also has information about the ComfortZone and other safety products it sells. American Health Assistance Fund has a partial listing of companies that sell safety products. These devices can be expensive and some have a monthly service fee.

10. Find the right facility

Many families aren't sure they can safely keep their loved one with dementia at home. The Alzheimer's Association has a guide to determining what kind of care you need, and a guide for finding nursing homes and assisted living facilities.

Schonfeld recommends you check out a facility to see whether it has any complaints against it, especially those that involve wandering. The National Long-Term Care Ombudsman Resource Center has a list of state ombudsmans' offices, which can help you find the complaints.

Be sure to ask the right questions.

"Is the door monitored, either electronically or by staff?" Schonfeld says. "Do they have electronic devices to keep track of people who wander? And ask about their strategy for what they do if someone does wander off."

Aaron Cooper and John Bonifield contributed to this report.

@highlight

November is National Alzheimer's Disease Awareness Month

@highlight

About 60% of the nation's 5 million Alzheimer's patients will wander

@highlight

Wandering can happen at any time, but it's more likely in certain situations