Atlanta (CNN) -- On Monday, I signed an online petition standing with President Obama, Warren Buffett and others to urge Congress to pass the Buffett Rule. It was a small gesture to stand for what is fair.

The Buffett Rule, simply stated, requires the wealthiest Americans to pay taxes at rates not less than rates paid by middle-income Americans. Current loopholes that allow millionaires and billionaires to have unfairly low tax rates would be closed. It's only fair.

So much has happened this year to focus our attention on what is fair: Obama's State of the Union address, the Trayvon Martin case, the rhetoric around the Supreme Court's review of the Affordable Care Act and Paul Ryan's proposed budget, with its cuts to services to middle- and low-income Americans.

What has happened to the concept of fairness? I'll tell you: It's been retooled.

No longer is it defined as my parents taught me. I hear their voices saying, "Play fair," "Share (my toys) and play fair," "Don't cheat. Play fair." "You'll have your turn at bat, play fair." "Don't fight, play fair." "Win fair."

Even in the midst of segregation, with its pervasive lack of fairness on every front, they never wavered in their lessons about fairness. More important, there was clarity of meaning. Fairness was at the heart of being a good person. Fairness was about how I related to others, combined with how others related to me. Fairness was not one-sided.

In my early 30s, I worked for someone who said, "Fair is when I win." It was his attempt to clarify inherent complexities in the term "fair." It was then I awakened to a definition of "fair" I had not known, definition in which the individual determined fairness by how the situation affected him and him alone.

Fair had been retooled. Its meaning had shifted.

In this year's State of the Union message, Obama said, "We can restore an economy where everyone gets a fair shot and everyone does their fair share and everyone plays by the same set of rules." I know what those words mean to me. I now know they may mean something very different to others.

Some heard the same words and thought, "Fair is when I win." How else can we explain the person who got his job because of personal or family connections, now protesting another person getting a job because of government or corporate initiatives? How else can we explain cuts or freezes in salaries for workers and huge pay raises and bonuses for top executives? How else can we explain board members approving such bonuses, saying "it's only fair"? How else can we explain how those with the most financial resources pay the lowest tax rates? Fair?

Over my 60-plus years of living, I have been close to people of varied socioeconomic levels and life experiences. The differences are often striking. Take health care. I was working as a corporate executive during the developmental stages of H.R. 3962, the Affordable Care Act, currently under review by the Supreme Court.

There, I was with my peers in our good jobs with comprehensive health insurance. Some were indifferent to health care reform, while others were vehemently against it.

For me, it was personal. Affordable, accessible, quality health care for every person was only fair. Was it "only fair" because I had more personal contact with poor people or sick people or people without health insurance? Was it "only fair" because I knew the challenges and outrageous costs faced by my mother, who struggled with multiple sclerosis, or my sister, who has sarcoidosis? Perhaps. But still today, as a retiree, I think it only fair. My peers, for the most part, were good people. Yet there were times I thought their attitudes and actions most unfair.

It really scares me that "fair," as I know it, may have gone for good.

The bright flames of innovation, hard work, and individual and collective achievement are snuffed out when people feel that they do not have a fair shot. Snuffed out when rules change to fit the whims of those in power. Snuffed out because people stop trying and give up on their dreams.

As a teenager, I fell in love with the writings of the brilliant poet Langston Hughes (1902-67). In his "Dream Deferred," he asked:

"What happens to a dream deferred?

Does it dry up like a raisin in the sun?

Or fester like a sore -- And then run?

Does it stink like rotten meat?

Or crust and sugar over -- like a syrupy sweet?

Maybe it just sags like a heavy load.

Or does it explode?"

God grant me strength to fight for what is fair.

The opinions expressed in this commentary are solely those of Marsha Johnson.

@highlight

Marsha Sampson Johnson: It's only fair that the wealthiest pay higher tax rates

@highlight

She says some have redefined "fairness" as "when I win"

@highlight

Johnson: We have been taught that fairness is not one-sided; it's about others, as well

@highlight

She says the spirit of innovation and achievement is snuffed out when things are not fair