Hong Kong (CNN) -- How much would you pay to get your child into an Ivy League university?

For Gerard and Lily Chow, it seems the sky was the limit. In 2007, the Hong Kong couple enlisted Harvard-lecturer-turned-admissions-consultant Mark Zimny to steer their two sons through elite U.S. boarding schools into a top-ranked university-- preferably Harvard.

For a monthly $4000 fee per child, their "total education management" package included extensive admissions counseling, arranging homestays, private tutoring, and extra-curricular activities, whereby Zimny and his team functioned as "parents away from parents" for their sons. The Chows later switched to a retainer of $1 million per child.

But in 2010, before their sons applied to university, the Chows sued Zimny to recover their $2 million retainer, alleging fraud, breach of conduct, and unjust enrichment, according to court documents. Zimny denied any wrongdoing to CNN, alleging the Chows sought to end their relationship after "poaching" one of his contract staff as a cheaper replacement.

Admissions consultants say the Chow case is an anomaly, both in terms of the amount the couple paid and the assurances Zimny allegedly made. But it highlights the strong appetite among the wealthiest in Hong Kong for elite U.S. education and the nebulous role that a burgeoning flock of consultants play in the process.

Hong Kong is the 16th leading place of origin for international enrollment at U.S. colleges and universities, according to the International Institute of Education, with its students increasing 1.3% to 8,136 in the 2010-11 academic year.

"When people are looking at the U.S. education system, it's seen as one of the best in the world," said Susan Joan Mauriello, an American who moved to Hong Kong in 2005 and quickly identified admissions consulting as a business opportunity.

"Everybody was talking about top U.S. colleges-- it was clearly something that was very important to a lot of people, something that was very well-respected," she added. "Especially when you send your children to the U.S., you want them to develop critical and creative thinking skills," she explained, adding that an American degree is seen by Hong Kongers as providing "increased opportunities for their children throughout the rest of their lives."

Since setting up her firm, Mauriello said a wealth of new or expanded consultancies have cropped up, particularly ones offering comprehensive packages that not only encompass preparation for the standardized admission exam (SAT), but also services like tutoring and debate training.

Some consultancies, such as Capstone, begin grooming students as early as in eighth grade (around ages 13-14), giving them "a well-built resume that doesn't spike in their final year (before entering university)," said Capstone's founder, Ronald Po.

"Before as an admissions consultant (in Hong Kong), you could work part-time and do it out of Starbucks. Now most companies have a full-time staff, they have their own offices, and it's all-year-round support," Po said, citing his annual client base as growing from four to up to 40 students.

Affluent Asian families view elite U.S. education as a form of conspicuous consumption and are willing to "throw money at it," Zimny said, describing his clients as "the 1% of the 1%." Case in point: Gerard Chow is a member of the family that owns the Chow Sang Sang jewelry empire in Hong Kong.

Most parents who seek Capstone's services are investment bank partners, lawyers, or entrepreneurs, Po said, quoting fees of $6,450-$19,350 for a one-year package. Mauriello said her clients have varying income backgrounds, but they all prioritize their children's education. She quoted her average yearly fee as $3,225-$7,750.

While international students may genuinely need help navigating the unfamiliar terrain of the U.S. application process, the Chow case raises the specter of the unscrupulous consultant-- in an unregulated profession.

The U.S.-based Independent Education Consultants Association (IECA) denounced Zimny as a "con artist," describing the monthly $8,000 fees for the two Chow sons as approximating "what should be a single fee, over a multi-year period, to work comprehensively with a student." It pointed out that Zimny's communications with the Chows "were all about 'getting in,'" saying that success should be measured by a student's university experience, not admission.

"The thing I worry about consultants is they can do a lot of work in terms of writing essays and it's unethical," said Rachel Rubin, a lecturer at Emmanuel College in Boston who specializes in higher education admissions policy. "But it's good if they're helping students find a good fit and what they want in a college, rather than how can we game the system to get into the school we want?"

Harvard was even less enthusiastic. "While it is certainly possible that in individual cases an admissions consultant can be helpful to an applicant, we have encountered no evidence to indicate that is the case generally," said spokesperson Kevin Galvin.

Mauriello said competition for places at top schools had become fierce. "Students, who ten years ago would have gotten into Harvard, Princeton, and Yale, might not be able to now," she said.

To gain an edge, some wealthy applicants offer donations to boarding schools and universities, consultants said. In their lawsuit, the Chows claim Zimny convinced them that elite schools unofficially expected donations from foreign applicants. Through their lawyer, the Chows declined to comment on the pending case.

While donations are "not an absolute requirement," Zimny told CNN, they are a "common practice" that can pivotally influence boarding school and university admissions.

E-mails submitted to the court reveal extensive discussions between Zimny and Loomis Chaffee boarding school officials over the 2007-08 academic year, regarding the wealth and likelihood of donations from the Chows. Boarding schools conduct "intensive screening of applicants so they can assess who has the potential to donate money once the child is admitted, and then the development directors work feverishly to court the constituencies," Zimny said.

Loomis Chaffee denied conducting "financial screenings of any applicants except for those applying for financial aid, although on occasion we become aware of a prospective family's history of or capacity for philanthropic support," according to its director of development, Tim Struthers, who exchanged numerous e-mails with Zimny.

Zimny said he also personally donated tens of thousands of dollars to Loomis Chaffee to "advance the prospects" of the Chow sons -- as well as his future clients. He added that these donations were factored into his $250,000 "extraordinary admission fee" charged in successful cases that required extensive lobbying.

While Struthers confirmed that Zimny made several gifts to the school, he said they were unrelated to the Chow sons, adding that "no donation or promise of donation was made to Loomis Chaffee by the Chows or Mr. Zimny on their behalf, as part of the admission process." He said donations were neither common nor pivotally influential in admissions decisions.

In March 2008, the Chow sons were admitted to Loomis Chaffee -- a decision Struthers said was merited, given their "academic records, extracurricular involvement, and leadership potential." Zimny attributed their admission to his donations, saying that the sons' secondary school admission test scores (SSAT) were weak.

He said he had stopped working with the Chow sons before they applied to university.

Zimny said his services can also include brokering introduction meetings between potential donors from Asia and development officials at U.S. universities, adding that schools welcomed these introductions as a way of fielding multitudes of donation requests.

In his view, "Money is money, whether it's coming from a random family in Hong Kong or a fifth-generation Whitney applying to Yale." He added that donations have to be presented "in a way that doesn't look like quid pro quo."

Consultant Susan Joan Mauriello disagreed, saying she has heard of donations making a significant difference in admissions decisions only in "development cases," which involve families with multiple generations of alumni that have made significant donations over the years.

Harvard declined to comment on whether donations influence admissions decisions.

The IECA said "no educational consultant will act as a middleman for donations to a school," adding that consultants "will put the family directly in touch with a university's development office and donations would be made directly."

But the appetite among Hong Kong's elite for getting their offspring into top universities is unlikely to fade.

"The way to differentiate yourself is "that one line on your resume that says what university you came from," Capstone's Po said. "That's one of the few elements that sticks with you for the rest of your life professionally."

@highlight

Hong Kong couple suing admissions consultant to recover US$2M retainer

@highlight

They hired consultant to get sons into elite U.S. boarding schools, universities

@highlight

Hong Kong is 16th leading place of origin of international students in U.S. higher education

@highlight

Growing supply of consultants in Hong Kong helping students apply to U.S. schools