ATLANTA, Georgia (CNN) -- Oil prices have some drivers looking for new rides, but some truck and sport-utility vehicle owners are remaining true to their gas guzzlers. They say, $4-a-gallon gas be damned; they need the space.

Gas prices have drivers reconsidering what they drive, but some SUV owners say they have no real alternative.

"You've got to have that room when you're moving around," said Steve Sharp, who has three active children and whose wife owns a dance studio. "It would be impractical for us to own a Prius with everything we've got going on."

Toyota's hybrid sedan just wouldn't work, said Sharp, 36. In addition to hauling their 11-year-old boy to soccer games and their 10- and 7-year-old daughters to dance recitals, Sharp's wife, Caren, also totes large props and background displays for her studio.

In March, as consumer cynicism toward SUVs soared alongside gas prices, the Sharpsburg, Georgia, family purchased a new Chevy Avalanche truck, which gets between 17 and 20 miles per gallon on the highway.

When GM chief Rick Wagoner announced Tuesday his company would close four North American plants by 2010, he cited skyrocketing gas prices as a factor in the automobile giant's decision.  Watch how gas prices drove the move »

"These higher gasoline prices are changing consumer behavior, and rapidly," Wagoner said. "We don't think this is a temporary spike or shift. We think it is permanent."

Peter Brown, the executive director of the trade publication Automotive News, said in an interview last month that SUV sales were down almost 33 percent this year, and sales of pickups were down almost 20 percent. He likened the behemoths to dinosaurs on the fast path to extinction. iReport.com: Still driving that gas guzzler, and loving it?

"If gas prices stay where they are at or continue to rise, the body-on-frame SUV is an endangered species and the pickup truck as a personal car is an endangered species," he said.

But some consumers say they'll strive to keep the beasts alive, even if it costs $100 or more to fill the tanks.  See gas prices across the country »

Stephanie Torgerson, 32, of Pataskala, Ohio, said she simply can't put her three boys in her husband's Mazda 626. The 1-year-old needs a car seat, the 5-year-old needs a booster chair and she doesn't feel comfortable wedging her 8-year-old between the two.

Sure, she could probably get better mileage in a minivan, but she doesn't like the stigma.

"I don't want to be labeled as a soccer mom," she said.

Torgerson said her 2006 Chevy Trailblazer, which gets about 20 mpg, affords her and her kids protection -- not to mention four-wheel drive traction in the snowy winter months. But security comes with a price.

Torgerson's daily commute to Hilliard -- another Columbus suburb -- is 72 miles roundtrip. She spends about $82 a week on gas, she said.  Watch a Florida driver document gas prices »

Asked if she had considered a hybrid SUV with four-wheel drive, she promptly said no.

"They're all brand-new vehicles, and I can't afford a $500-a-month car payment," she said.

Orlando Tapia, of Cabot, Arkansas, said he considered trading in his 2001 Chevy Suburban to buy his wife a new car. The 45-year-old U.S. Air Force education manager said he reconsidered after learning he'd get about one-seventh of the vehicle's market value.  See how SUV sales are on the decline »

"They want to give you nothing for it," he said, lamenting the low demand and high supply of such vehicles.

Tapia, who also owns a 1988 Chevy Silverado pickup (his wife drives a Toyota Camry), said his family uses the Suburban only about 10 times a year, for vacations, hauling his flatbed trailer and when piling friends and relatives into the Suburban saves driving two cars.

Tapia decided to keep his cars simply because they're paid for.

"Do I pay $5,000 a year in car payments, or do I put $5,000 of gas in the Suburban?" he asked. "Right now it's cheaper for me to just put gas in the Suburban."

Tapia has felt the pinch of high gas prices, he said, but he has ways to alleviate the burden on his wallet without hocking his truck or SUV.

"If I'm running to the store and the Camry's out there and the Suburban and pickup are out there, I definitely jump in the Camry," he said.

Sharp said his family looks for similar ways to save money on gas. For instance, his wife will time trips to the bank or grocery store so she can pick up the children from school while she's out running errands. Extra trips mean extra gas, Sharp said.  See how Lamborghinis, Bentleys fare on gas mileage »

But simple solutions don't work for everyone.

"I've got several of these things that I've been pouring liquid gold in the tank of," said Mark Antley, 47, of Sharpsburg, Georgia.

The computer and technology contractor used to drive his 1999 Suburban from Sharpsburg through Atlanta to the northern suburb of Alpharetta. The 145-mile roundtrip to work put a dent in his 45-gallon gas tank.

Making matters more costly were his wife's car -- another '99 Suburban -- and his diesel 2002 Ford F250 pickup.

So last month, Antley got on eBay, where he found a 1996 Pontiac Sunfire for $1,000. The car is a "piece of junk," he said, but it gets about 37 mpg, almost tripling his Suburban's mileage. He has already put 5,000 miles on it, which has saved him about the cost of the car in gas, he said.

"Last month, before I bought this car, it was running in the neighborhood of $1,400 to $1,800 a month," Antley said of his family's gasoline budget.

Though Antley has left his F250 parked since Christmas, his wife still needs her Suburban for carpooling to school and school events. The Antleys' daughter just turned 16, and is driving her own Toyota Corolla, but the couple's boys need rides to soccer practice and their sister's gymnastics meets.

Antley said he doesn't think the SUV is on the verge of extinction. He laughs at folks willing to pay $1.25 for a pint of bottled water -- $10 a gallon -- but who gripe about $4-a-gallon gas.

All products go up in price, he said. Gas prices eventually will level off and families will adjust their budgets accordingly. SUVs will either become luxuries for those who can afford the gas or necessities for those who need what SUVs have to offer, he predicts.

"There will still be a niche market for them," he said. "I don't know what other vehicle affords you the luxury of carrying as much as they do."

CNN's Wayne Drash and Chris Isidore contributed to this report.

@highlight

Ohio woman says Trailblazer provides her safety without "soccer mom" stigma

@highlight

Some owners are cutting back on or combining SUV trips to save gas

@highlight

Man bought Pontiac on eBay after shelling out $1,400-$1,800 a month in gas

@highlight

Gas guzzlers becoming increasingly unpopular, but some people still need them