London (CNN) -- The family of the British soldier brutally slain in a cleaver attack in southeast London spoke movingly Friday of a man who was a devoted husband, father and brother, as well as a dedicated serviceman.

Stepfather Ian Rigby said Drummer Lee Rigby was a "precious gift" who had always wanted to serve in the army and was a devoted family man.

It was difficult accepting that his stepson died on his native soil, he said.

When a soldier is serving in Afghanistan, "you come to terms with it," Ian Rigby said. "You don't expect something like that on your doorstep. It's very difficult."

"I just want to say that I love Lee, I always will, and I'm proud to be his wife," said Rebecca Rigby, sobbing. "He was a devoted father to our son, Jack, and we will both miss him terribly."

Her husband had been due to travel home to see her and their 2-year-old son this weekend, she said.

In the capital's Woolwich neighborhood, where Rigby was slain Wednesday by two men who drove a car into him, then hacked him with knives and a cleaver, a bank of flowers left in tribute swelled by the hour Friday.

Soldier was a machine gunner, Royal Palaces drummer, father

Many of those who came to the road near an army barracks were emotional as they paid tribute not just to him, but to the contribution of all British servicemen and women.

A note signed by two army cadets, reads: "I understand the great lengths you would have gone to to protect our British people. It's a huge disappointment to hear the way people have treated you in your own country."

One bouquet , propped in a pair of black army boots, had a message that read: "RIP Brave Soldier. Dream sweet dreams. Remembered always and never forgotten. Our thoughts with you and your family."

One elderly man, using a cane, had tears in his eyes as he walked, shaking his head, up and down the flowers for half an hour. He removed his hat, looked to the heavens and made the sign of the cross.

Another woman, loudly sobbing, asked police officers standing by the growing array of tributes: "Why did this happen, why did this happen here? My children go to the school just there."

A man sharply dressed in a suit and tie brought his toddler son to drop off flowers, each placing their blooms next to the army boots. The father reached down to hug his son, tears filling his eyes.

One note referred to both a quote by the late Indian leader Mahatma Gandhi and comments made by one of the attackers, saying: "An eye for an eye makes the world go blind."

Another had a more sinister message. Attached to a wooden cross adorned with a red poppy, the symbol of remembrance for the British armed forces, it read: "Your passing shall be avenged."

Outpouring of support for charity for vets

Since the brutal slaying, the outpouring of support for a charity that supports Britain's wounded military veterans, Help for Heroes, has been so great that its website has crashed.

Rigby, a 25-year-old machine gunner and military drummer, was wearing a Help for Heroes T-shirt when he was attacked in Woolwich, according to witnesses.

Help for Heroes said Friday it had been "overwhelmed with people spontaneously showing their support for the Armed Forces" since the news broke.

"This sudden surge of interest in the work we're doing to help the wounded and their families has taken us completely by surprise," the charity said, noting that some were buying hoodies and T-shirts like the one Rigby had on.

"We just want to help, and all funds we receive will be used to provide direct, practical support to those affected by their service to our country."

3 men arrested in connection to slaying

There's been no indication that Rigby knew the men who attacked him with meat cleavers Wednesday afternoon.

One of the two, who approached a man filming the gory scene in the Woolwich neighborhood, suggested that Rigby had been targeted only "because Muslims are dying daily" at the hands of British troops like him. Britain's armed forces have served in Iraq and Afghanistan. All its combat troops are due to leave Afghanistan by the end of 2014.

"We must fight them as they fight us. An eye for an eye and a tooth for a tooth," he said in the video aired by CNN affiliate ITN.

Friends, acquaintances and British media have identified that man as 28-year-old Michael Adebolajo, a British national of Nigerian descent.

Police have not released his name, nor those of the others they've arrested.

Adebolajo and the 22-year-old suspect also tied directly to the attack are now hospitalized under guard after a confrontation with police in which they were shot. A 29-year-old man arrested Thursday is being on suspicion of conspiracy to murder.

Two women arrested Thursday, ages 29 and 31, have been released without being charged, police said Friday.

Police continue to search five addresses in London and one in Lincolnshire, which is in eastern England.

Suspect knew British Muslim radical leader

It is understood the two people suspected of carrying out the knife attack were known to Britain's domestic security service. They had been featured in previous investigations into other people, but were not themselves under surveillance.

Abu Baraa blamed Wednesday's attack not on his friend Michael Adebolajo -- who he says is the bloody, cleaver-wielding man shown talking in the ITN video -- but on the British government and said there may be more attacks.

"As long as (British) foreign policy is engaging in violence, they're only inviting violence in retaliation," Baraa told CNN.

By sharp contrast, Prime Minister David Cameron said "the fault lies solely with sickening individuals who carried out this attack," adding that "nothing in Islam ... justifies this truly dreadful act."

British Muslim radical leader Anjem Choudary told CNN on Thursday that he knew Adebolajo, noting the suspect attended demonstrations and a few lectures organized by Choudary's group Al-Muhajiroun.

In fact, an ITN video from April 2007 shows Adebolajo standing behind Choudary at a rally protesting the arrest of men who allegedly made inflammatory speeches inside a mosque.

Syrian cleric Omar Bakri Mohammed, who founded Al-Muhajiroun in the late 1990s, told CNN Terrorism Analyst Paul Cruickshank by phone from Tripoli, Lebanon, he also had been acquainted with Adebolajo.

Bakri Mohammed used to live in the United Kingdom but was barred from returning after the 2005 terror attacks.

Bakri Mohammed said Adebolajo, who he knew by his Muslim name "Mujahid," attended several talks he gave in London from 2003 to 2004 and was at his side at a number of Al-Muhajiroun protests against the war in Iraq around that time.

One talk Adebolajo attended was at a Woolwich community center, he said, noting the group met in such locations because they were not welcomed in mosques. The very large majority of British Muslims reject Bakri Mohammed's views.

The radical cleric said that although they did not have many interactions, Adebolajo stood out because he was a new convert to the religion.

Bakri Mohammed said he had no contact with him after he left the UK.

Volley of shots

Dramatic video footage obtained by Britain's Daily Mirror newspaper, filmed from an apartment block overlooking the street, shows the moment when armed police arrived at the scene.

One of the attackers rushes at the police vehicle brandishing knives while the other aims a gun. Both are brought down by a volley of shots.

The firearms unit was called in after the initial alert because British police do not usually carry weapons. Witnesses remarked that the two attackers appeared to wait for the armed police to arrive, nearly 15 minutes after their assault on Rigby.

The two injured suspects remained in stable condition at separate South London hospitals Friday, the Metropolitan Police said.

The attack, which Cameron and others called an act of terror, stirred anxiety and alerts in Britain not seen since the summer of 2005, when coordinated bomb attacks struck London's public transport network.

An additional 1,200 police are now on London's streets to reassure the public, police said Thursday. Extra security is in place for military personnel and sites.

London attack: Terrorists targeting soldiers at home again?

Violent reactions?

The Woolwich bloodshed spurred concerns not only about violence by Islamic extremists, but also about attacks targeting Muslims by people angered by Rigby's killing.

London attack mirrors plot to behead Muslim soldier

In Kent, police arrested a man on suspicion of "racially aggravated criminal damage" at a religious building. And on Wednesday night in Essex, a man with two knives was arrested after throwing a smoke grenade at the Al Falah Braintree Islamic Center and demanding someone come outside to answer to the Woolwich slaying, said the mosque's secretary, Sikander Sleemy.

Members of the far-right English Defence League clashed with police late Wednesday, with a tweet from its official account touting that "it's fair to say that finally the country is waking up!:-) NO SURRENDER!"

"Don't listen to the Government cover ups, The lies about Islam being peaceful," read another EDL tweet Thursday.

Political and social commentator Mohammed Ansar appealed for "a sense of calm (and) perspective" after what he called "a really, really heinous act of, I would say, criminality, ... not terrorism."

"What we don't need are knee-jerk reactions ... to really ratchet up tensions and really stoke and inflame anxieties within communities," he told CNN.

Nearly 100 senior British imams together issued a statement sharply condemning the "sick and barbaric" killing, which they said had spurred "hate-fueled individuals" to attack mosques and Muslims. The group called for action and dialogue to prevent attacks by extremists of all ilks.

"We (urge) our fellow citizens not to be taken in the mindless rantings of the (few) extra extremists in our midst," they said. "We, the British people, are not so easily fooled; nor are we so easily divided."

Watch: Terrorism analyst on soldier killing

CNN's Laura Smith-Spark reported and wrote from London, where Atika Shubert and Florence Davey-Attlee also reported. CNN's Greg Botelho, Dan Rivers, Jonathan Wald, Carol Jordan, Atika Shubert, Erin McLaughlin and Richard Allen Greene contributed to this report.

@highlight

NEW: Muslim leaders calls for dialogue, say Brits won't be "easily divided"

@highlight

Family of slain soldier Lee Rigby speak of their sorrow at his loss

@highlight

Acquaintances say Michael Adebolajo, 28, is one of two men arrested the day of the killing

@highlight

A radical cleric says he met suspect Michael Adebolajo when he was a young convert