(CNN) -- The Olympic Games have always featured an awkward mix of high ideals and crass, even brutal, political calculation. The Games have provided countless moments of inspiration, not only about personal achievement but, more importantly, about breaking down the barriers that push apart countries and individuals.

The Olympics, however, have also reminded us how far human beings can stray from those ideals.

The most chilling, frightening and heartbreaking moment at any Olympics came 40 years ago, at the 1972 Munich Olympics, when nearly a dozen Israeli athletes were taken hostage and killed in what was a terrorist attack by any definition of the term. In addition to the athletes and trainers, a German policeman and five Palestinian kidnappers died that September day.

Now, that tragedy has become the source of more disheartening behavior, this time by officials of the International Olympic Committee, who adamantly refuse to mark the anniversary of that dark day with a simple moment of silence.

The Munich Massacre was an open assault on the most fundamental principles the Olympics purport to embrace: "the harmonious development of humankind ... a peaceful society [and] the preservation of human dignity."

The attack was carried out by members of the Palestinian group Black September, and their targets were obviously the Israelis. But honoring the victims should have nothing to do with Israel.

In a letter to IOC President Jacques Rogge, Canada's Ministers of Foreign Affairs John Baird and Sports Minister Bal Gosal explained it best when they wrote, "The terrorist attack targeted not only Israel, but the spirit and goals of the Olympic movement ... it should be marked publicly as part of the official ceremony. ..."

For more than three decades, the families of those killed in the attack have tried to have the Olympics honor their loved ones during the opening ceremonies. Incredibly, the IOC has steadfastly refused that very simple request.

Olympic officials claim -- quite falsely -- that they would never mix politics with the games. But that is clearly not the real reason. The real reason is cowardice.

Politics have always been part of the games, and very deliberately.

In 1908, Finland was banned from displaying its own flag, for fear of offending Russia. The losers of both WW I and WWII were kept out of the games. We know that Hitler used the 1936 Olympics to promote his ideas of Aryan superiority, and we know the United States and the Soviet Union boycotted the games for political reasons. In 2008, the IOC disgracefully agreed to let China block access to Internet sites in the Beijing games.

Examples of politicization of the Olympics abound. But now, somehow the murder of Israelis has become unmentionable, under the flimsy excuse that it would inject politics into the pristine Olympics.

The real reason is simple: Olympic officials are afraid to upset countries with anti-Israel and pro-Palestinian sentiment. That is misguided and shameful. Standing against the slaying of Olympic athletes has nothing to do with the politics of the Middle East.

Olympic officials have admitted they are afraid to trigger a walkout of Arab countries. This is worse than giving in to blackmail. It is particularly egregious behavior since it comes from those claiming to stand for high humanistic ideals.

Ironically, an Israeli member of the IOC revealed the concern when he said he, too, opposed the moment of silence, saying that "it could cause some countries to boycott the games."

This year, the campaign to honor the victims has mustered more support than ever, with several countries and tens of thousands of people around the world joining in the effort.

The energy for the campaign originated with Ankie Spitzer, whose husband, Andrei, was the fencing coach of the Israeli Olympic delegation in 1972. He left home with nothing but excitement to participate in the international celebration. He returned home in a coffin.

Spitzer, who said, "Hatred and revenge are not a part of me," insisted she fervently believes in the Olympic ideal. In a heartfelt video she requested support for what has become her life's mission. Already more than 90,000 people have signed the petition. But the IOC refuses to listen.

Spitzer's daughter, Anouk, who was just 2 months old when her father was killed in Munich, tried to have the moment marked at the 1996 Olympics in Atlanta. But IOC's director general Francois Carrard declared at the start of the games that the IOC does not "organize events that commemorate dramas that are long gone."

Anouk said of Munich 1972: "We just want one word from the IOC that this wasn't just a regular Olympics, that our fathers were killed there." Her request, like all the others, was denied.

The ongoing petition for a moment of silence clearly states that this should not be a political moment. Spitzer and her supporters said all they want is silence. "Silence is a fitting tribute for athletes who lost their lives on the Olympic stage. Silence contains no statements, assumptions or beliefs and requires no understanding of language to interpret."

They want recognition that what occurred took place "within the Olympic family," a sharing of their sorrow that will help ensure this never happens again.

But the IOC apparently sees this as a purely Israeli problem. Rogge has attended memorial ceremonies, but usually they are organized by the Israeli government. That's not enough.

Rogge has been hearing from all corners of the world. German Foreign Minister Guido Westerwelle supports the moment of silence. The parliaments of Canada and Australia voted unanimously to ask the IOC to agree to the request. Australia Prime Minister Julia Gillard wrote to Rogge, officially asking for the moment of silence. Flemish Sport Minister Philippe Muyters also backs a moment of silence, saying, "One does not need to take a stand on the Israeli-Palestinian question to find the events of September 1972 heinous." In Italy, 125 MPs also signed a letter to the IOC in support of the moment of silence.

The IOC still refuses.

With the growing pressure, the chairman of the London 2012 Organizing Committee, Sebastian Coe, has reportedly said he will hold a personal memorial for the Israeli athletes. Nobody knows exactly what that means.

Perhaps the London committee will give the families of the Israeli victims the recognition they want for their loved ones. Even if they do, that will not remove the stain of cowardice now on display at the International Olympic Committee, which remains visibly splashed across those Olympic ideals they hypocritically claim to promote.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: Most chilling moment at an Olympics occurred in the 1972 Munich Games

@highlight

Ghitis: A dozen Israeli athletes were taken hostage and murdered in an act of terrorism

@highlight

She says IOC officials claim -- falsely -- that they would never mix politics with the games

@highlight

Ghitis: It's a travesty that the IOC refuses to mark the 40th anniversary of that dark day