(CNN) -- Three of the best-loved leaders in the history of the Roman Catholic church will be united this weekend when Pope Francis makes his predecessors, Pope John XXIII and Pope John Paul II, saints in a special ceremony in St Peter's Square.

The two canonization candidates share an improbable path to sainthood: they both rose from very humble beginnings to lead the Roman Catholic church.

John XXIII (1881-1963) -- known as Angelo Giuseppe Roncalli before he became Pope -- was one of 13 children born into a family of Italian peasants, farmers from a tiny village in the country's north, before being sent away to study for the priesthood at the age of 11.

John Paul II (1920-2005), born Karol Jozef Wojtyla, was brought up in a grimy industrial town in Poland and raised by his soldier father after his mother died when he was just eight. He spent his formative years living under first Nazis, then Communists.

For both boys, the church offered a way out -- and up.

"Roman Catholicism, unlike temporal power, has been one of the most effective social elevators on this planet," says church historian Alberto Melloni, "taking people from the most humble positions and bringing them to the top."

Vatican analyst Robert Mickens says the pair's poor backgrounds gave them a "pastoral sense" which was key to their success in the church -- and which goes some way to explaining their huge popularity.

"They did not come from noble families either one of them, [but from] working class families and I think they also were two people who had a real sense of humanity."

The pair also turned out to be leaders with unforeseen qualities.

John XXIII, already 76 when he was elected pope after a long career as a priest, professor and Vatican diplomat, had been expected to serve merely as a "papa di passaggio," or interim, caretaker Pope.

But instead, 100 days into his reign he took the surprising -- and courageous -- decision to try to shake up the church, calling for the Second Vatican Council (better known as Vatican II), which he hoped would modernize Roman Catholicism, bring unity and improve its relations with other faiths.

John Paul II, once an actor, had a presence before the cameras that enthralled millions of Catholics young and old as he evangelized to the far ends of the earth. It's not what he might have expected, growing up under not one but two dictatorial regimes.

Both men were much loved by the Catholic faithful -- in their final days, masses were held for them around the globe, while thousands of people crowded into St Peter's Square to offer prayers.

When John XXIII's death was announced, the crowds wept for "Il Papa Buono" ("The Good Pope"); more than 40 years later, when John Paul II died, thousands cried "santo subito!" ("Make him a Saint now!").

It didn't happen right away, but John Paul II's canonization did come sooner than tradition would usually dictate.

For John XXIII also, the rules have been changed; he is credited with just one miracle, rather than the two which would usually be required for him to "qualify" as a saint.

The pair's double canonization is unprecedented: it will be the first time two Popes have been made saints on the same day.

Experts say that in recognizing the two men together, Francis may be looking to heal a long-term rift in the church, dating back to Vatican II, that ground-breaking conference of church leaders set up by John XXIII.

Karol Wojtyla -- who was to become John Paul II, but back then was simply a young bishop -- was at those meetings. He argued against John XXIII's planned "aggiornamento" ("updating") and was in favor of keeping with tradition.

The modernizing Pope -- already gravely ill when the meetings began -- died before the event could reach the conclusion he had hoped for. The splits have remained ever since.

Cardinal Paul Poupard, former president of the Pontifical Council for Inter-religious Dialogue, who knew both men, says Pope Francis is hoping to repair that rift by canonizing the two men who have come to represent the two opposing views.

"The pope is going to bring together in one ceremony the father of the council and [the one] who put it into action," he explains.

For Cardinal Walter Kasper, former president of the Pontifical Council for Promoting Christian Unity, the double canonization is a sign of the church's future direction.

"It's official recognition that these were good popes and we will follow their steps now," he says.

@highlight

Pope John XXIII and Pope John Paul II to be made saints in special ceremony

@highlight

Pair -- and Pope Francis, who will canonize them -- are three most popular pontiffs

@highlight

John XXIII and John Paul II both came from humble backgrounds

@highlight

Commentators say Francis may be looking to heal rift within church