(CNN) -- It's like a scene out of "The Terminator."

Rows upon rows of giant robot arms weave in and out of a tightly packed assembly line of unpainted car skeletons.

There are no humans in sight -- just huge machines working in jerks and spasms, but quickly, each massive arm doing something different.

Some spew sparks and fire, some brush, some drill.

Others wipe or probe with their strangely shaped tips.

From a second floor glass bridge inside Toyota's Motomachi plant, our tour group stares down at production lines on either side of us, noses pressed to the glass.

"Ninety-six percent of the production process is completed by robots," says our guide, who may or may not be a robot herself, if her monotone delivery is a hint.

"Thirty workers take care of the robots. They have an average life of 10 to 12 years." The robots, that is.

This giant factory full of giant robots produces cars for the world's best selling automaker -- Toyota sold 9.98 million vehicles in 2013.

"We need to talk about your TPS reports."

Studied at universities and schools around the world, the Toyota Production System is considered by many to be the most well-run and efficient self-correcting production system in the world

Although Toyota has been remarkably transparent about its renowned system -- opening its plants to anyone who wants to observe or study them -- emulators (automotive and beyond) have struggled to match its remarkable success.

"Many companies have focused on tangible 'artifacts' of the Toyota approach," says Steven Spear, senior lecturer at the MIT Sloan School of Management and co-author of the Harvard Business Review article "Decoding the DNA of the Toyota Production System."

"Very few have recognized and incorporated the high speed learning dynamic that is essential. The differential results between the tool-oriented imitators and the behavior-oriented emulators are profound."

The company itself officially explains its system this way: "The practical expression of Toyota's people and customer-oriented philosophy is known as the Toyota Production System (TPS). This is not a rigid company-imposed procedure but a set of principles that have been proven in day-to-day practice over many years."

Future on display

Located two train rides and a short cab trip from Nagoya, the tour begins at the Toyota Kaikan Museum, a bland-looking building at the automaker's headquarters.

While 50% of the company's 69,000 employees are located in this area, between the train station and Toyota's headquarters there's hardly anyone in sight.

The building's exterior looks pure, corporate generic.

Inside its glass doors, however, things get futuristic.

Hologram engine displays, alien-like vehicles and Formula 1-winning cars glisten on the floor.

Fascinating as they all are, one exhibit demands my attention -- a slender, blue and white robot that starts playing the trumpet.

I'd heard about this robot, with its piston-powered lungs and rubber lips; I wasn't prepared for how stirring its music would be.

The notes are tender, the vibrato, achingly human.

If I were a musician, I think, I'd be worried about the future of my profession.

Alongside the trumpet-playing robot is a scaled-down replica of the Toyota Production System, a safety simulator that works like an arcade game and a new Lexus bike.

Auto pilgrims

After the museum, it's time for the Motomachi plant tour, located 15 minutes away.

We're taken there, of course, on a Toyota bus.

All phones and cameras are left behind in lockers. No pictures allowed.

The tour is well off Japan's mainstream tourist path -- most visitors have to travel several hours out of their way to get here.

There are nine people in my English-language tour group -- a mix of nationalities.

All are rapt with attention throughout the tour.

Henk van Brummelen, a traveler from Holland, arrived on the train from Tokyo the same morning.

He tells me he once ran a chocolate factory in Holland that adopted the Toyota Production System; he's always wanted to check out the production line in person.

"It's so amazing to see how calm and easygoing the atmosphere is in spite of the incredible quality control," he says.

Three Australian engineers who are backpacking through Japan say the Toyota stop is a priority of their trip.

During the bus ride, our guide tells us a quirky fact about Toyota's name.

Although the founding family's name was Toyoda, the name of the company was switched to Toyota as the latter requires eight strokes to write in Japanese, and eight is considered a lucky number.

Mama

The welding factory is the site of the Terminator-like scene of robotic arms working as fire and sparks shoot over car frames.

This plant produces 70,000 cars per year, or approximately 400 per day.

That breaks down to a vehicle being completed every 135 seconds.

More than 30,000 parts go into each car, and the plant houses 760 robots.

After the welding plant, many more human workers fill the assembly line.

We walk through a series of bridges above the workers, who glance up occasionally and smile at us while working on car guts.

Constant "ding dong" sounds chime in the background, making us feel like we're in a giant video game arcade.

These sounds are actually part of a "Just in Time" pull system.

They signal that something has gone wrong or a problem has been detected and a worker has called for a supervisor.

Yet the lines keep moving quickly.

Another geeky fact shared by our guide: Toyota invented a "doorless system," meaning they take the doors off the cars so that workers can get in and out of the car more quickly to assemble parts.

The doors are re-attached later in the assembly line.

At the end of the tour, we play a series of timed games meant to demonstrate the remarkable skills required of Toyota's plant workers.

One involves looping ropes on pegs, and screwing and unscrewing bolts.

Another feels like a less-colorful version of Hungry Hungry Hippos.

The entire tour takes two and half hours.

When it's time to head back to the museum and visit the gift shop, I find a large display featuring boxes of car-themed curry, of all things.

I buy one, of course -- at least under factory conditions, everything Toyota produces looks incredible.

Touring Toyota

Toyota Kaikan Museum and plant tour, 1 Toyota-cho, Toyota, Aichi; advance online booking required. Free entry.

Recommended itinerary from Nagoya Station: Take the JR Tokaido Line, New Rapid service bound for Toyohashi, departing 8:45 a.m., arriving 9:18 a.m. at Okazaki.

Transfer to Aichikanjo Line, local service bound for Kozoji, departing 9:27 a.m., arriving 9:59 a.m. at Mikawa-Toyota Station.

From Mikawa-Toyota Station take a taxi to Toyota Kaikan Museum.

Total travel time: 90 minutes.

Train fare approximately Â¥1,030 ($10). The factory tour starts at 10:30 a.m. and lasts until 1 p.m.

@highlight

The Toyota Production System is considered by many the best in the world

@highlight

Visitors can tour Toyota's Motomachi Plant, internally known as "the mother plant"

@highlight

At Motomachi, a car is completed every 135 seconds

@highlight

Toyota was the world's best selling automaker in 2013, selling 9.98 million vehicles