Washington (CNN) -- A bevy of political and diplomatic heavyweights came together Friday to remember Richard Holbrooke, the veteran U.S. diplomat who died last month after surgery to repair a tear in his aorta.

A memorial service at the Kennedy Center was attended by President Barack Obama, Vice President Joe Biden, former President Bill Clinton, Secretary of State Hillary Clinton, former Secretary of State Colin Powell, and former Secretary of State Madeleine Albright.

Pakistani President Asif Zardari also attended, along with FBI Director Robert Mueller and Joints Chiefs Chairman Adm. Mike Mullen, among others.

Holbrooke led "an extraordinary life," Obama said.  He "was the leading light of a generation of American diplomats who came of age in Vietnam."

"The list of places he served and the things he did reads as a chronicle of American foreign policy" in recent decades, Obama noted.  His "coupling of realism and idealism ... always represented what is best in American foreign policy."

He "made a difference," the president concluded.  "Let us now carry that work forward."

Obama announced the creation of an annual Richard C. Holbrooke Award for Diplomacy to honor "especially meritorious contributions to diplomacy."

In an interview with CNN last month, Zardari called Holbrooke an "extremely hard-working man" who can "get things done which would otherwise take weeks to get through."

In a statement released last month, Hillary Clinton said the nation had lost one of its top champions.

"He was the consummate diplomat, able to stare down dictators and stand up for America's interests and values even under the most difficult circumstances," she said. "Few people have ever left a larger mark on the State Department or our country."

Holbrooke, 69, died December 13. He most recently served as the Obama administration's point man in the volatile Afghan-Pakistani war zone.

Holbrooke, however, was perhaps best known for his role as the chief architect of the Dayton Peace Accords -- signed December 14, 1995 -- which ended the deadly ethnic conflict that erupted during the breakup of Yugoslavia.

One of the world's most recognizable diplomats, Holbrooke's career spanned five decades, from the Vietnam War era to the war against the Taliban and al Qaeda in Afghanistan and Pakistan, from the presidency of John F. Kennedy to that of Obama.

He also worked as a journalist and an investment banker. But as a diplomat, he was plain-speaking, accessible and known for his tough-mindedness.

"I had the honor and privilege of working with Richard through many international crises over several decades, most particularly the wars in Bosnia and Kosovo," Albright said after his death last month. "He could always be counted on for his imagination, dedication and forcefulness."

After Obama took office in 2008, Holbrooke took one of the toughest diplomatic assignments -- U.S. special  representative for Afghanistan and Pakistan, the region the president regards as critical to the fight against terrorism.

Holbrooke's assertive style worked in the Balkans, but it brought perils for diplomats in Afghanistan and Pakistan, where long stretches of chatting and tea-drinking are the norm.

He was frank in his assessments about the region and officials in both countries regarded him as abrasive, including Afghan President Hamid Karzai. In April 2009, there were reports of a heated argument between Holbrooke and Karzai after charges of fraud surfaced in the Afghan presidential election.

Karzai's office issued a statement that described Holbrooke as "a veteran and seasoned diplomat who had served greatly to the government and the people of the United States."

In an October interview with CNN, Holbrooke cautioned patience in the struggle against the militants and for democracy in the so-called AfPak region, a mission that he said was of the "most vital importance to our national security interests."

"We are determined to see it through," he said, and he made reference to the Vietnam War and the Dayton Accords in his comments.

He noted that dealing with so many foes on both sides of the Afghan-Pakistani border made the process difficult.

"A peace deal requires agreements, and you don't make agreements with your friends, you make agreements with your enemies," he said.

Holbrooke mentioned a range of militant groups, such as the Afghan Taliban, the Pakistani Taliban, the Haqqani network, and Lashkar-e-Tayyiba, and noted that "an expert could add another 30."

"There's no Ho Chi Minh. There's no Slobodan Milosevic. There's no Palestinian Authority. There is a widely dispersed group of people that we roughly call the enemy. There's al Qaeda, with which there's no possibility of any discussion at all."

"There is no clear single address that you go to," he said.

@highlight

Obama praises Holbrooke's "coupling of realism and idealism"

@highlight

Albright praises his "imagination, dedication and forcefulness"

@highlight

The diplomat ruffled feathers in a career that ranged from Vietnam to Afghanistan