(CNN) -- "Something there is that doesn't love a wall," wrote Robert Frost. This something is someone now: Pope Francis.

In a strong, apparently unscripted move on his recent visit to Bethlehem, the birthplace of Jesus, on Sunday the pontiff suddenly waved to the driver of his Popemobile, asking to get out. Surrounded by guards and by children waving Palestinian flags, he got out, walked over to the wall that separates Israel from its Palestinian neighbors, and he did something remarkably simple but with astonishing power: He prayed.

This symbolic gesture occurred at a well-known portion of the wall, a segment covered with graffiti. Somebody had spray-painted a message in black: "Pope we need some 1 to speak about justice Bethlehem look like Warsaw ghetto." In bold red letters the Pope could read: "Free Palestine." While Israeli guards looked anxiously down from a nearby tower, wondering what on Earth was going on, Francis touched the wall with his right hand, bent his head, and prayed for several minutes. Afterward, he kissed the wall, then walked slowly back to his vehicle.

I've myself experienced several times the haunting power of Bethlehem for Christians. My father was a Baptist minister, and once -- in 1989 -- I took him to the Church of the Nativity, the spot where (by tradition) Jesus was thought to have been born.

This is a place of pilgrimage for those devoted to the Christian path, and it's also an important city on the West Bank for Palestinians (among them a mix of Muslims and Christians, with Muslims the vast majority).

This holy city, described in the Hebrew scriptures as the City of David, was under Ottoman and Egyptian rule for centuries. The British controlled much of Palestine from 1920-1948 during the period known as the Mandate. The United Nations partitioned Palestine after the war, but Jordan took possession of Bethlehem after the 1948 Arab-Israeli War. It became a refuge for Palestinians at this time, largely under the control of Jordan until the Six Day War in 1967.

The Israelis kept control until 1995, when an agreement was reached with the Palestinian National Authority, although it has been a place of unease, especially during the 2000-2005 era known as the Second Intifada, when for a period (in 2002) the Church of the Nativity itself became a battle zone for 39 days.

Some 150 people then (mostly Palestinian civilians, with numerous Catholic and Orthodox monks and nuns) took refuge in the Church of the Nativity from an Israeli siege known as Operation Defensive Shield. A tense stalemate occurred, with the Franciscan Order asking the Israeli government to let everyone inside the church go free on the 10th day. There was no response, although an Armenian monk was shot and wounded that day.

Ultimately, Israeli snipers shot dead eight people in or around the church; they wounded at least 22, all of them designated as terrorists by the Israeli army.

Against this history, this pope exercised his unerring sense of symbolism. It's not for nothing that he took the name of Francis of Assisi, in memory of a saint who, in the 12th century, was regarded as the person who most embodied the life and teachings of Jesus. Although born into a rich merchant family, he humbled himself, trying his best to conform to the pattern of life established by Jesus, with a dedication to peace, to bringing down barriers, to expressing love in whatever ways he could.

Pope Francis invites Israeli, Palestinian leaders to Vatican peace talks

Francis of Assisi lived without pretense. He understood symbolic gestures like Jesus himself, who washed the feet of those around him, who sought out those -- such as prostitutes, lepers and beggars -- on the margins of society.

Through the Middle Ages, that earlier Francis was commonly known as alter Christus -- "the second Christ." One could say that Pope Francis, in turn, follows him as a man who lives without pretense, who understands symbolic gestures.

In stopping to pray by this wall of separation, he implicitly cries: Tear down this wall! He has pointedly asked Mahmoud Abbas and Shimon Peres -- the Palestinian and Israeli presidents -- to join him for a time of prayer and reconciliation in Rome. He has called the conflict in Israel "increasingly unacceptable," which is a marvel of understatement. (In a gesture of reconciliation, the pope did â€” on Monday â€” accede to an Israeli request to pray before a memorial to Israeli victims of the conflict as well. As ever, he understands that it will be necessary to listen carefully to both sides in this tragic dispute.)

As the pope's unexpected pause by the wall near Bethlehem makes terribly clear, this ugly partition that weaves through the West Bank has become a potent symbol of the Israeli occupation, and it's an affront to all reasonable Christians, Muslims, and Jews. Good fences do not, in this case, make good neighbors. It's time to pull down this barrier to freedom.

@highlight

Jay Parini: On Bethlehem trip, Pope makes significant gesture by praying at separation wall

@highlight

He says Bethlehem hugely powerful for Christians, a place of pilgrimage for Palestinians

@highlight

Bethlehem a long disputed site among Palestinians, Israel. Pope's move symbolic, he says

@highlight

Parini: In stopping to pray there, Pope Francis implicitly cries: Tear down this wall!