(CNN) -- Growing up, I wanted to be Too Tall Jones, the Hall of Fame defensive end for the Dallas Cowboys.

The way I saw it, I already had the last name. And I was oversized, much taller than the other girls -- and the boys for that matter. So in my mind I was Too Tall. No one could tell me different.

It made me feel special to walk around the neighborhood with that nickname. Too Tall was a superstar. So I was, too -- and not just the gangly girl some people saw trying to find her way.

My scruffy friends and I would play tackle football for hours in a dusty patch behind my building. And I would charge the field, screaming with unbridled joy, crushing anything in my path.

No pads. No flags. No rules.

Getting injured? Nobody worried about such nonsense.

But those days are long gone. Today, though few things bring me greater joy than football, I am at a crossroads. It's obvious we need new rules to save the game and protect players. No one can ignore the mounting medical evidence that brain damage sustained in football, as well as other contact sports, is linked to serious health problems, including depression, dementia, suicide and death from respiratory problems.

The discussion has even reached the White House. Last week, President Obama weighed in, urging the NCAA to address the serious health hazards in the college game. This week, the NFL players union announced it has given Harvard University a $100 million contract to conduct a 10-year study on concussions and other health issues associated with the game.

For me, it is not only a question of whether the multimillionaire NFL pros are being protected. You don't have to be a sports insider to understand that the tragic death of Junior Seau and the serious health problems of many retired NFL players demand changes in the way football is played. There really is no choice.

But football is also putting our kids in danger.

Research, such as a study done by Boston University School of Medicine, has identified serious brain damage, or CTE -- chronic traumatic encephalopathy -- not only in the autopsied brains of professional football players but in at least one high school player's brain as well.

More than ever before, parents are terrified of putting their boys on the field and, understandably, refuse to let their kids play football.

Even Obama, a big football fan, told The New Republic that if he had a son, he would "have to think long and hard" about whether he would let him play, because of the potential of getting injured.

And those parents who allow their kids to play football want safer rules and better oversight.

"My son was kickoff returner. I couldn't even watch." said Paige Hockman, whose oldest boy was a star player at Vestavia Hills High, a public school outside of Birmingham, Alabama.

"You are watching 11 huge boys fly downfield and their goal is to kill your child, just to knock a ball loose. It's the scariest part of the game. If anything could be done on the kickoff where the momentum (would be) slowed down, I would be all for that," she said. "Maybe we could do away with the kickoff completely."

Hockman is a football mom. She understands well that even a small rule change, such as eliminating the kickoff, might cause a nationwide revolt. But she also knows her job is to keep her boys safe.

When her 10th-grader, a lineman at Vestavia, was recently sidelined for more than two weeks with a concussion after a dirty hit in practice, his mother didn't panic. She is confident that the school is following the stringent injury policy mandated by the state of Alabama.

But Vestavia Hills High is rare. It is a well-funded school district where most of the parents are college-educated, Hockman said. The football team has a trainer and team doctor, who regularly communicate with parents.

Other players and families might not be as fortunate.

"It's very different in Podunk, Alabama, schools, where parents and coaches are less educated and more concerned about winning than safety for the children," Hockman said. "I hate to say it, but economics make a big difference. They don't do things the right way in those schools."

Ex-NFL stars after concussions: Lives unraveled

Football's a dirty, dangerous game. It's never been for the fainthearted, and that's part of the appeal. But in order to save the game, and stop parents from steering their kids away from the gridiron, new rules are necessary. The game will have to be safer to attract future generations.

Change might have to come first from the ranks, where parents' impact is still greater than that of big-money TV deals and wealthy alumni boosters. Change may come from schools like Vestavia Hills High, or even from the Pop Warner organization, the nation's oldest youth football and cheerleading program, where an estimated 250,000 kids play football across the country.

Pop Warner's executive director, Jon Butler, is taking safety more seriously these days, thinking of new rules and creative ways to better train volunteer coaches.

His organization created a medical advisory board of neurologists and neurosurgeons to examine how to avoid and detect concussions. It has decided to immediately take any child with a head or neck injury out of the game, and to require a doctor's note to allow that child to play again.

The group has set limits on how long each player can stay in a game and how much contact is allowed during practices. Coaches cannot spend more than a third of practice time in full speed contact. And no full-speed drills can start more than three yards apart.

Butler envisions a time when brain scans will be mandatory each season for all children who want to play football. He wants to use this technology to identify kids who are most susceptible to brain injuries. And those players, he said, would be directed to other sports with less contact and fewer collisions.

Good luck selling those ideas to the NCAA or the NFL and its player unions -- or even some parents. But I think Butler is headed in the right direction. He's putting player safety first.

Call me silly, but I think a kid should be able to dream about becoming an NFL star playing in the Super Bowl -- a safe Super Bowl. Who knows? She might just become a superstar on her own field on the way to the Big Game.

The opinions in this commentary are solely those of Roxanne Jones.

@highlight

Roxanne Jones has always loved football, but says it's time to recognize its risks

@highlight

Evidence mounting that playing football can result in dangerous brain injuries

@highlight

Jones: The game needs rules to make it safer or more parents won't let sons play

@highlight

Change will be very difficult, she says, but it's time to set up better safeguards