Agadir, Morocco (CNN) -- In Agadir, the arid heartland of Morocco's indigenous Berber population, a quiet oil boom is gaining momentum, one drop at a time.

Argan oil, crushed from the seeds of the short, spiky argan tree, has been used for centuries as a medicine and staple ingredient in local cooking -- drizzled on salads and couscous or mixed with almonds and honey to make amlou, a dip for bread.

But now the oil is generating buzz as a high-end commodity in the lucrative global cosmetics market. Rich in vitamin E and essential fatty acids, it's believed to help all sorts of skin conditions -- including acne, psoriasis and age-related wrinkles.

Argan trees, which are well adapted to drought and other extreme weather conditions, are endemic to the southwestern part of Morocco around Agadir.

As such, the rise in demand has turned Agadir -- famed for its beautiful beaches and laid-back culture -- into a hive of small-scale worker co-ops, each dedicated to squeezing oil from the notoriously hard-shelled argan nut.

Traditionally, it was uncommon for Berber women to work outside the home. But times have changed, and according to the Argan Oil Society, all the co-operatives are now staffed and run by local women.

"When we started in '96 we had got only 16 women who believed in our project. Most of them were divorced or without a husband," said Zoubida Charrouf, a university professor who helped found one of the first cooperatives in the region.

Ethnic Berbers -- the indigenous inhabitants of North Africa whose culture predominated in the region prior to the 7th century Arab invasion -- were among Morocco's earliest inhabitants, and government figures show that at least one third of the country's population of 32 million speak a Berber dialect.

However, according to the U.N. Refugee Agency, Morocco's Berbers also face habitual cultural discrimination. It was only last year that the state finally recognized Tamazight, the Berber language, as an official language alongside Arabic.

Charrouf says that the new-found international popularity of argan oil -- which she describes as "liquid gold" -- has not only provided about 5,000 jobs for Berber women across 170 co-ops, but also an important social lifeline.

"We've started relying on ourselves," said Ichou Aisha, a co-op worker. "Now, we can provide for our children on our own."

Argan oil hasn't just improved the region's economic and social standing, Charrouf says it's played a vital role sustaining its ecology too.

"The purpose of this work is to preserve the argan tree, because it was in decline," she said.

Indeed, 30 years ago, extensive deforestation left the tree on the brink of extinction.

Today, UNESCO has designated the 26,000 square-kilometer Argan-growing region as a "biosphere reserve."

Besides the Argan tree's various human uses, UNESCO notes, it has had an historical role as a buffer against northern expansion of the Sahara desert.

Charrouf says it's for all these reasons that 60,000 new trees are now planted each year.

The co-op women certainly have their work cut out. It takes about 20 hours to produce just one liter by hand.

First they use jagged stones to crack the shells. They then place the kernels between two rocks, grinding them into a brown, peanut butter-like paste.

This is then kneaded to extract the oil, leaving a solid block that is sent off to a mechanical press where even more oil can be extracted.

To match the pace of global demand, however, many of these processes have become mechanized. But as yet, there is no machine that can do a better job at cracking open the argan nuts than the women.

For now at least, the work is steady.

"I am very happy," said Charrouf. "Economically, (because) the price is increasing; socially, because the women can get outside the house and learn; and environmentally, because we can plant these trees."

Follow the Inside the Middle East team on Twitter: Presenter Rima Maktabi: @rimamaktabi, producer Jon Jensen: @jonjensen, producer Schams Elwazer: @SchamsCNN, writer George Webster: @George_Web and digital producer Mairi Mackay: @mairicnn.

@highlight

Argan oil, crushed from the nut of the rare Argan tree, is a traditional Berber product

@highlight

Recently, the oil has been touted as a miracle beauty treatment by cosmetic industry in the west

@highlight

Production has been driven by hundreds of women's worker co-ops using traditional methods

@highlight

Popularity of oil has also helped the survival of the tree, which once faced extinction