(CNN) -- In 2009, a freshly elected U.S. president who campaigned on the themes of hope and change appointed a veteran negotiator to take a crack at the Israel-Palestinian conflict.

Now, 32 months after President Barack Obama named former Sen. George Mitchell as his chief Middle East envoy, the peace process is stalled and the United States faces the diplomatically dangerous possibility of having to veto a United Nations Security Council resolution on Palestinian statehood.

How did it get to this point? The answers are in the intractable nature of the conflict, political pressures faced by the Israeli and Palestinian leaderships, and a steady waning of U.S. influence in the region, exacerbated by the Arab Spring protests that erupted last December.

Palestinian President Mahmoud Abbas said Monday he intends to submit an application for statehood to the Security Council, according to U.N. spokesman Martin Nesirky, setting up a possible vote as soon as Friday.

U.S. officials have made clear they will veto it, affirming the longstanding backing for Israel, the nation's strongest Middle East ally.

Meanwhile, behind-the-scenes negotiations are seeking to avoid a move certain to evoke Arab protests of American bias and even hypocrisy.

A U.S. veto would amount to Washington blocking an outcome it has publicly supported -- the creation of a Palestinian state next to Israel. However, the Obama administration insists that result must occur through a negotiated deal with Israel.

"We continue to believe and are pressing the point that the only way to a two-state solution, which is what we support and want to see happen, is through negotiations," Secretary of State Hillary Clinton said late Monday.

Addressing the possible Palestinian statehood bid, she added that "no matter what does or doesn't happen, this will not produce the kind of outcome that everyone is hoping for, so we are going to stay very much engaged and focused."

Also Monday, Israeli Prime Minister Benjamin Netanyahu said he was willing to meet with Abbas in New York to launch direct talks that would continue back in the Middle East after the U.N. General Assembly.

Netanyahu's offer was an obvious attempt to give Abbas a plausible reason to put off the statehood bid, an outcome desired by the United States.

"For President Obama, who came into office speaking about self-determination and promised the Palestinians that it's a new day and a new dawn for them, to go to the Security Council and cast a veto against the Palestinian state is politically problematic," Fouad Ajami, a senior fellow at the Hoover Institute think tank, said Monday on CNN.

"It's really a catastrophe for him in the Arab world, but he has no choice but to pass the veto if it came to that," Ajami continued. "The hope is (that) between now and Friday, some exit, some other formula will be found to spare one and all in this confrontation at the Security Council."

Fran Townsend, a CNN contributor on national security issues, said the potential U.N. vote "puts the United States in a very awkward position."

"It is a veto that will most certainly undermine U.S. credibility as an honest broker in the peace process," at least in the eyes of the Arab world, Townsend said.

The latest developments come five months after Mitchell's resignation. He said he only signed up to tackle the world's toughest diplomatic job for two years, but he was clearly frustrated by the inability to restart direct negotiations between Israel and the Palestinians.

Mitchell, who was 77 when he stepped down, traveled back and forth in the region trying to overcome the decades of hostility and mistrust that bedeviled the peace process. Face-to-face negotiations sought by the United States and its mediating partners from the United Nations, European Union and Russia never materialized.

The Obama administration came into office hoping to seduce the Middle East with a more sensitive and compassionate posture after eight years of the Bush administration that brought war in Iraq and tough posturing against Iran and other enemies of Israel.

In June 2009, Obama used a high-profile speech in Cairo, Egypt, on relations between the United States and the Muslim world to address the Israeli-Palestinian conflict. He reaffirmed the U.S. endorsement of a two-state solution and urged compromise and understanding between "two peoples with legitimate aspirations."

Addressing two main issues in the dispute, Obama said the U.S. government "does not accept the legitimacy of continued Israeli settlements" in the West Bank, and declared that "it is time for (settlement construction) to stop."

He also called America's bond with Israel "unbreakable" and said Palestinian violence such as rocket and mortar attacks on Israel must cease. In particular, Obama said the Hamas movement -- which controls Gaza -- must end violence and recognize past agreements.

Less than a year later, any perception of progress began to shatter. Not only did Obama fail to make good on his Cairo pledges, but his inability to rein in Israel on settlement-building was evidence of how hard jump-starting negotiations would be.

In March 2010, Israel announced a new settlement project in East Jerusalem, maintaining its insistence that the entire city would always be part of its territory.

After years of lukewarm reactions to such statements about new settlements by Israel, the United States chose to push the envelope, turning the incident into a crisis that further hindered the peace process when Netanyahu would not give in.

Then came the Gaza flotilla raid on May 31, 2010, when Israeli commandos stormed a Turkish ship leading an effort to break Israel's blockade of the Palestinian territory.

The incident, in which nine Turks were killed, cast a harsh spotlight on the grave humanitarian situation in Gaza and led to a breakdown in relations between Israel and Turkey, one of its few allies in the region.

Against that backdrop, the Arab Spring of pro-democracy uprisings that started in Tunisia and spread to Egypt, Libya, Syria, Bahrain and other states became an uncontrolled factor in the Middle East equation.

Hesitant U.S. support for protesters, first in Egypt, then in Libya and now in Syria, raised questions in the region about the clarity and commitment of the Obama administration's policy.

In a speech in May, Obama expressed support for pro-democracy aspirations in the Middle East. He also offered specifics on a possible Israel-Palestinian agreement based on pre-1967 borders and including land swaps to reflect current realities on the ground.

The pre-1967 borders refer to Israel's territory before the six-day war that year in which it took control of the Gaza Strip, West Bank, East Jerusalem and other territory from neighboring countries.

Both sides found reason to reject Obama's proposal as a basis for resuming peace talks, and now the successful Arab Spring protests have given Abbas new impetus to challenge Israel and the United States by seeking statehood through the United Nations.

Former U.S. President Bill Clinton said Sunday that the Palestinians were making the U.N. bid out of frustration.

"They have reinforced cooperation with the Israelis," Clinton told the NBC's "Meet the Press." "They have produced a growing economy on the West Bank. They have renounced violence. And all the Arab countries except Syria have offered Israel a political, military and security partnership for the future, including opposition to Iran's nuclear design, if they create a Palestinian state."

And yet, Clinton noted, "there's been no progress."

One reason for a lack of progress has been uncertainty over the status of a Palestinian unity effort involving the Abbas-led authority in the West Bank and Hamas, which rules Gaza.

Israel and the United States consider Hamas a terrorist group and refuse to negotiate with it. The United States also has called on Hamas to renounce violence and recognize Israel's right to exist in order to take part in the peace process.

Hamas does not support President Abbas' bid for statehood. Hamas leader Ismail Haniya has said Fatah does not have the right to sacrifice Palestinian rights, including making concessions on Palestinian land or the right of return for Palestinian refugees. He said Hamas will not recognize Israel's right to a Jewish state.

Townsend said the changing face of the Middle East is worrying to Israel, noting the Muslim Brotherhood strengthening in post-Mubarak Egypt, the possibility of anti-Israel factions gaining a role in post-Gadhafi Libya and the constant threat from Iran.

"So you can understand Israel's concern about their current security," Townsend said. "I think Israel is rightly concerned. This is a very dangerous time."

@highlight

U.S. backs an independent Palestinian state through negotiations

@highlight

Palestinians will submit an application for statehood to U.N.

@highlight

U.S. officials have made it clear they will veto such a move

@highlight

Behind-the-scenes negotiations are trying to avoid a move certain to evoke Arab protests