(CNN) -- Small waves lap at the hulls of the ocean-going container ships as they approach the South African Port of Ngqura. Some of these large boats have come from as far away as South America, and the shelter of Nelson Mandela Bay is a relief after the Atlantic Ocean swells.

The vessels are met by Dave Keller, who's been working these waters off the country's Eastern Cape Province since 2010. "As a pilot it's my job to take over from the captain when a captain gets close to the port," he explains. "It's my job to navigate him safely into the port, maneuver his vessel and then safely put it alongside the quayside."

This welcoming procedure guides ships into the province's newest port, which is also a multi-billion dollar industrial park that's growing faster than anyone expected. It's this combination of maritime port and landside infrastructure just outside the city of Port Elizabeth that is making the operation boom.

"We started off with nothing," Keller recalls. "People said that this will be a white elephant and that this will never be busy," he adds. "We started off in October 2010 ... and from there on it's grown -- from one ship a week, sometimes we do between five and 10 ships a day now," he continues. "We're 24 hours a day, so since the past four or five years that I've been here it's been growing every single week."

One reason not everyone was excited with the construction of Ngqura was that there were already seven other ports in operation in the country, whereas one of the stated aims of the authorities is to "minimize duplications" between shipping facilities. And even though approximately 96% of the country's exports are being conveyed by sea, some of these ports aren't performing as well as some regional competitors.

Transnet, the wholly state-owned freight business, is trying to improve the port sector by investing in cranes to move containers from ships to shore more efficiently. But a report by PricewaterhouseCoopers blames "comparatively high tariffs payable by vessels calling at South African ports" for the decline in shipping business.

But these issues haven't stopped Ngqura from becoming the fastest growing terminal in the world in February 2013, according to Drewry Maritime Research. And now the port is the third busiest in the country, only moving fewer containers than Cape Town and Durban according to the Institute of Shipping Economics and Logistics.

'Driving development'

And it's not just the port that is seeing growth in the area. The on land set-up, with tax incentives, rebates and a duty-free zone at the state-owned Coega Industrial Development Zone is changing the local economy.

"The Coega industrial development zone has a very important role to play in the economic growth of the area," says Christopher Mashigo, business development executive manager at the Coega Development Corporation. "It is a strategic driver of development, firstly by bringing about a level of diversification in the regional economy to reduce it's over dependence on the automotive sector, as well as agri-processing. But also to help increase the region's ability to absorb its vast human resources."

The industrial zone created more than 13,000 jobs last year. A further 13,000 people received training there. One person to benefit from new skills is Wandumzi Nkonyeni who learned how to drive and is now a driving instructor.

"Coega is a key role player as far as transforming the economy of the Eastern Cape," he says. "The opportunities that come, strictly for employment, never mind big business, but just employing the ordinary person out there."

As well as individuals gaining skills and jobs, small and medium size businesses in the area are also benefiting from the zone. The Coega development corporation helped local design and advertising firm XSpark get their BEE Certificate -- an accreditation that helps the business bid for work in South Africa.

Another local business that is seeing growth is Miya's Electrical, and it's Coega that makes up 40% of their annual revenue. "Coega is very good for the business and for the province as well," explains Ntsikelelo Suwankazi, the company's General Manager. "Up to this far even other companies, they're flocking to the Eastern Cape and mainly because Coega is heading most of the projects here in the Eastern Cape and then it has helped our business to grow as well. We started with 3 employees, we've got 20 employees now."

The port is allowing some small business owners to grow their existing operation, but it's also leading to the beginnings of totally new businesses.

Lusanda Nala is a painting apprentice who'll be a qualified artisan in three years. "I want to open my own company because there's a shortage of artisan, especially in painting," she explains. "Also there's no women that is an artisan in painting, so hopefully I'll be the first."

While some of these successes prove the value of the port and industrial zone, there is much more to come. Transnet's long-term plan for Ngqura includes increasing the total number of berths to more than 30, and boosting the port's capacity to 1.5 million containers per year. If it reaches that goal, the port would be nearly twice as busy as it is now. As the port expands, watery waves will continue lapping at the ship's hulls and businesses hope they will see continued waves of growth in the local economy.

Read this: Car makers driving South Africa's economy
Read this: South Africa since apartheid: Boom or bust?
Read this: Africa's giant infrastructure projects

Monique Todd contributed to this report.

@highlight

Port of Ngqura has been operating since October 2010

@highlight

The combination of maritime port and landside infrastructure is changing the local economy

@highlight

Coega Industrial Development Zone created more than 13,000 jobs last year and led to another 13,000 getting training

@highlight

The port was the fastest growing terminal in the world for 2012 and 2013