Tokyo (CNN) -- The meltdowns of three reactors at Japan's Fukushima nuclear power plant may have happened more than two years ago, but the disaster remains a giant, unresolved mess.

An earthquake in 2011 triggered a tsunami which slammed into the plant, disabling it. The threat of radiation forced neighbors to evacuate and many still can't return to their homes. Authorities face many challenges before they can make the facility safe again for the long term.

Explainer: Fukushima update

Here are five of the biggest questions still out there:

1. How dangerous for your health is Fukushima?

Data published in August shows 44 out of 216,809 children under age 18 in Fukushima prefecture were diagnosed with thyroid cancer or suspected of having the disease. The figure is far higher than the international average but opinions are split as to whether this is because of the nuclear accident or because of more sensitive screening. Also, health experts say it takes years after radiation exposure to develop thyroid cancer, which suggests the cause of the cancer may predate the tsunami.

Read more about Fukushima health effects

2. What can you do with radioactive water?

The most immediate problem for plant operator Tepco is the hundreds of tons of water poured over the damaged nuclear reactors every single day to keep the molten fuel cool. If the fuel is not kept cool, it could cause another disaster.

That radioactive water then needs to be stored safely. But several on-site water storage tanks that were originally designed to be temporary have sprung leaks. Tepco said last summer that as much as 300 tons of toxic groundwater was seeping into the Pacific Ocean every day, sparking fears about radioactive contamination of fish, which are a major food source.

Read more about the leaks

More about Japanese-spawned tuna caught off the U.S.

3. Is it safe to remove spent fuel rods?

Tepco is just days away from starting to remove 1,500 irradiated spent fuel rods from a pool in reactor number 4 to a safer location. The building was damaged by a hydrogen blast after the disaster. Removing fuel from a severely damaged pool has never been attempted. Critics fear the building is unstable and any mistake could cause a new nuclear disaster.

Read more about removing the fuel rods

4. How do you remove molten fuel in melted down reactors?

The radiation levels in reactors 1, 2 and 3 are so high that the area is inaccessible to humans. No one knows for sure where the molten core is resting within the basements of the buildings and how far it has penetrated through their floors. The technology does not exist to remove this molten fuel.

5. How do you stop running out of skilled labor?

Workers within the Fukushima nuclear power plant have a radiation exposure limit. Once they reach this limit they can no longer work on site and new workers need to be found. As time goes on, more experienced workers will reach their exposure limits, sparking concerns that available workers will have decreased skill levels.

@highlight

Fukushima officials must figure out what to do with increasing amounts of radioactive water

@highlight

There are questions about lingering effects for people near the facility during meltdowns

@highlight

Experts don't know exactly how to remove molten nuclear fuel from the melted down reactors