(CNN) -- Cyprus has become the latest eurozone nation to apply for a bailout amid a financial crisis linked to debt defaults in Greece. The Mediterranean island has a huge banking sector and its public debt is expected to match GDP within the next decade. Proposals to tax existing bank deposits as part of a rescue package have alarmed investors. The Cypriot parliament on Tuesday rejected a €10 billion eurozone bailout package due to investor alarm over a proposed tax on existing bank deposits as part of the rescue package.

Why is Cyprus facing financial problems?

In a March 16 statement on the agreement, the Eurogroup -- an informal body of eurozone finance ministers -- said the "current fragile situation of the Cypriot financial sector" was linked to its large size relative to the country's GDP. Eurogroup president Jeroen Dijsselbloem said Cyprus' banking sector was more than five times the size of GDP and the group predicted that the island's public debt would reach 100% of GDP in 2020.

Cyprus' finance ministry said it needed €10 billion ($130,000) "to cover fiscal needs, the restructuring of the banking system and for the support of the economy in general."

Are Cyprus' issues related to the financial crisis in Greece?

We need look no further than the streets of Athens to understand how Cyprus ended up in its current position, according to CNN's Jim Boulden.

When a struggling Greece was allowed to let some of its private bond holders take a loss -- a "haircut" -- Cypriot banks lost money and needed refinancing. So the big financial institutions like the Bank of Cyprus asked for a bailout from the government, and the government came to the EU in June 2012 saying it needed a bailout in turn.

Talks have dragged since then, as Cyprus resisted many of the tough economic measures demanded by potential institutional lenders in return for bailout funds. Boulden said one sticking point was whether Cyprus would have to raise its corporate tax from the EU's lowest of 10% to 12.5% -- equal to Ireland.

Read more: Cyprus bailout threatens to backfire

What's being proposed in Cyprus?

Cyprus is trying to get a €10 billion eurozone bailout. Under the original Eurogroup proposal on March 16, all holders of bank accounts in Cyprus -- both residents and non-residents -- would have been required to pay a one-off tax on their existing deposits. Account holders with more than €100,000 ($130,000) would have paid a 9.9% levy and those with smaller deposits 6.75%. However, discussions around the specifics of the deal appear to be ongoing.

The money would be used to prop up Cypriot banks that were badly exposed to the financial crisis in Greece. The Financial Times reported that the depositor levy was demanded by a German-led group of creditor countries to bring down the bailout's price tag from €17 billion ($22B).

Cyprus' ministry of finance said in a statement that "without the levy, the sovereign debt would have undoubtedly been non-sustainable." A government spokesman later said Cyprus' president had "fought hard" to exclude deposits of under €100,000 from the levy "which was imposed in order to blackmail Cyprus by those who are today trying to justify their own decisions." On March 19, Agence France-Presse quoted French Finance Minister Pierre Moscovici as saying the eurozone had agreed to scrap the levy on deposits of less than €100,000.

British Chancellor George Osborne told the BBC on March 17 that the UK government would compensate any of its military or civil servants serving in Cyprus affected by the levy.

Will the proposal go through?

On Tuesday, the Cypriot parliament soundly rejected a €10 billion bailout offer from the European Union because of public outcry over the proposed tax on bank deposits. In trying to convince Cypriots to support the EU deal, President Nicos Anastasiades warned that the alternative --- bankruptcy, exit from the euro and devaluation -- would be even more painful. After the vote, Germany's finance minister said that European officials were disappointed. "Cyprus has a banking sector that is way too big and they are insolvent with that model and no one outside of Cyprus is at fault for that," Wolfgang Schaeuble said on German public broadcaster, ZDF.

Read More: Cyprus rejects bank levy, bailout in doubt

Anastasiades and the leaders of Cyprus' political parties will now meet on Wednesday to try to hash out an alternative plan, but they'll have to come up with a workable solution quickly. Banks are due to open Thursday for the first time this week and the chance of a run on deposits is high.

Read more: Five reasons bailout matters

Will any deal a precedent for other European countries?

CNNMoney said developments are being closely watched because of the potential to destabilize financial markets in Europe; there are also concerns that other financially weak nations might fear similar bailout provisions in the future. "The question is whether this becomes a full-blown crisis or a mini-crisis," Steven Englander, global head of foreign exchange strategy at Citi told CNNMoney. "Depositors and investors elsewhere could easily see this as another in a string of 'one-offs' and react badly."

Has such a tax been imposed anywhere before?

It is the first time in the EU. In 2001, the IMF released a report on bank debit taxes that had been imposed in Latin America -- however, these taxes were on financial transactions not an outright grab as is being proposed in Cyprus.

Read more: How to turn a drama into a crisis

Won't this cause a run on banks?

At least 35 banks from around the world have branches in Cyprus, according to the country's central bank. Cyprus' parliament needs to approve the deal but Cypriots rushed to withdraw their savings from bank ATMs after news of the plan. CNN's Isa Soares said some banks were already refusing to release cash or putting limits on withdrawals. Cyprus has extended its Monday bank holiday until Thursday. Writing for CNNMoney, Brookings Institution fellow Douglas J. Elliot said there was a "grave risk" that the bank levy would "eventually lead to serious bank runs in other parts of the eurozone."

What will happen if a revised deal doesn't go through?

In an address to the nation on March 17, President Nicos Anastasiades said the bailout option was "very difficult" but one that would eventually lead to economic recovery in Cyprus. He said failure to agree to the package would "lead to disorderly bankruptcy as a result of the decision of the European Central Bank to immediately discontinue the provision of emergency assistance to preserve the liquidity of the two large banks." This would have meant depositors would have lost access to their deposits, and a large number would have faced significant losses, he said. This would mean depositors will lose access to their deposits, and a large number will face significant losses, he said.

Watch: Opposition leader talks to Quest on bailout plan

What's Russia's involvement?

Nearly a third of the money in Cyprus' banks is Russian, CNNMoney reported. It said a 10% corporate tax -- half that of Russia's -- meant Russian firms had been using it as a tax haven since the early 1990s. The top proposed levy could result in a $3 billion loss for Russian citizens.

President Vladimir Putin described the tax as an "unfair, unprofessional and dangerous step." CNN's Ratlisa Vassileva said Russia's government was angry not to have been consulted on the proposal and its finance minister had said the issue would factor in any decision the country made on restructuring its multi-billion dollar loan to Cyprus.

Cyprus' finance minister was due to meet his Russian counterpart later Wednesday.

@highlight

Cyprus' president has agreed to an EU rescue package that would see bank deposits taxed

@highlight

Lawmakers in Cyprus reject the controversial tax on bank deposits

@highlight

The Eurogroup predicts that Cyprus' public debt will reach 100% of GDP in 2020

@highlight

There has been a run on ATM machines since the proposed measures were announced