(CNN) -- For decades, the attempts at health care reform have aimed to increase access. The United States is one of the few industrialized nations in the world that does not provide universal health care to its citizens. And repeatedly, those who oppose it have been forced to argue that access isn't the problem some make it out to be. Why?

The emergency department, they say. After all, it is a commonly held belief that no one can be denied care there. So -- in essence -- everyone can get free health care if they need it. We have a universal system after all.

That, of course, is not true.

It's not even close. Let's start with the idea that emergency rooms must provide you care.

What's important to remember is that you can't be refused emergency care. That's because the Emergency Medical Treatment and Active Labor Act (EMTALA) requires that any hospital that takes Medicare or Medicaid must check you for emergent conditions and treat them if they exist. Since nearly every hospital in the country takes federal funds from one of these programs, nearly all hospitals are subject to EMTALA.

But "emergency medical condition" has a pretty narrow definition. It includes active labor for women and acute conditions that would cause death, serious bodily organ harm or serious bodily function impairment if they were not treated right away.

If politicians are meaning to say that women have universal access to delivery care, then I suppose there's an element of truth to that. But there's no guarantee of prenatal care in the emergency department.

If they are saying that we have universal access if we're acutely having a heart attack, then I suppose there's truth to that as well. But there's no such access for lipid panels, stress tests or prescriptions for cholesterol medications that might help you avoid the heart attack in the first place.

If you're acutely obstructed by massively advanced colon cancer, it's likely you can get emergency surgery to end the blockage. But your cancer is likely too far advanced to cure at that point. Moreover, you're not going to get chemotherapy in the emergency department nor could you have gotten the colonoscopy that might have detected the cancer far earlier.

You can't get preventive care in the emergency department. You can't get screened for a host of disorders. You can't get treatment for your depression there or really for any chronic mental disorders. You can't get help with your child's autism, ADHD or developmental delay.

And even if you could, it wouldn't be free.

That's the second and perhaps more misunderstood part of this emergency department misconception. The costs of treatment in the emergency room are not quickly dismissed or written off. You'll get that emergent care, but you'll also be charged for it.

And hospitals aren't going to let that go easily. A recent article in the New York Times detailed how Accretive Health, a medical debt collector, is using aggressive tactics such as confronting patients in their hospital beds to collect the money owed for even emergent care. The article also describes how collection agencies have long been used to go after patients after they've left the treatment facility. In some cases, patients were even confronted and stalled by debt collectors as they entered the emergency department on some later occasion so that the company could collect on old bills before more care was offered.

An even more recent story covered by Kaiser Health News and NPR reported on a family of four sued by its local nonprofit hospital. The family earned about $25,000 a year -- below the poverty line -- but the parents did not qualify for Medicaid in Ohio. It seems that the hospital had sued almost 1,600 people for unpaid medical bills from 2009 to 2011. Further, the piece reported, "[w]hile Ohio has a law that prevents foreclosures based on medical debt alone, it is legal for hospitals to garnish patient wages, attach bank accounts and get a lien on any future earnings, including from the sale of a house."

It might even be worse in North Carolina, where a group of nonprofit hospitals sued 40,000 patients from 2005 to 2010. This is problematic because nonprofit hospitals are supposed to provide a certain level of charity care in exchange for their tax-exempt status. A recent review found that three hospitals in Illinois were providing a very small amount of care for free or at discounted rates. This has led to a number of facilities losing their nonprofit status and legislators to try to pass new laws requiring specify charity care minimums for nonprofit status.

Before you get all riled up, I understand that hospitals need money to run. The American Hospital Association reports that hospitals lost upward of $40 billion in unpaid bills in 2010 alone. I'm not suggesting care should be given out freely or that hospitals should be forced to operate at a loss. But let's acknowledge that patients will be held accountable for the costs of their care, even in the emergency room. If they can't pay those bills, their credit can be ruined. Medical bills are a very significant cause of bankruptcy in this country.

So it's true that an emergency room won't let you die if you show up at the door, but short of that, you can't get care for a host of medical issues. And, while they will provide that lifesaving care to you even if you have no insurance and no money, they will send you a bill. And if you can't pay, it may cause you, and your family, financial ruin.

That's a far cry from universal health care, and nothing to brag about.

The opinions expressed in this commentary are solely those of Aaron Carroll.

@highlight

Aaron Carroll: Opponents of health reform say emergency rooms give health care to all

@highlight

Not true, he says. ERs can't refuse emergency care but not required to give other care

@highlight

He says other misconception is treatment costs easily written off; in fact, billers will pursue

@highlight

Carroll: Yes, hospitals need money; important to realize ER care no substitute for reforms