U.S. veterans are dying because of delays in diagnosis and treatment at VA hospitals.

At least 19 veterans have died because of delays in simple medical screenings like colonoscopies or endoscopies, at various VA hospitals or clinics, CNN has learned.

That's according to an internal document from the U.S. Department of Veterans Affairs, obtained exclusively by CNN, that deals with patients diagnosed with cancer in 2010 and 2011.

Hospital delays are killing war vets

The veterans were part of 82 vets who have died or are dying or have suffered serious injuries as a result of delayed diagnosis or treatment for colonoscopies or endoscopies.

Barry Coates is one of the veterans who has suffered from a delay in care. Coates was having excruciating pain and rectal bleeding in 2011. For a year the Army veteran went to several VA clinics and hospitals in South Carolina, trying to get help. But the VA's diagnosis was hemorrhoids, and aside from simple pain medication he was told he might need a colonoscopy.

Congress demands answers on VA deaths

"The problem was getting worse and I was having more pain," Coates said, talking about one specific VA doctor who he saw every few months. "She again examined me and gave me some prescriptions for other things as far as pain and stuff like that and I noticed again she made another comment -- 'may need colonoscopy.'

"I told her that something needed to be done," said Coates. "But nothing was ever set up ... a consult was never set up."

"I had already been in pain and suffering from this problem for over six months and it wasn't getting better," Coates said. "I told her that if you were in as much pain as I was and had been going through you wouldn't wait another two months to see what's going on. You would probably do it this week."

Coates waited months, even begging for an appointment to have his colonoscopy. But he only found himself on a growing list of veterans also waiting for appointments and procedures. He was finally told he could have a colonoscopy, many months later.

"I took it upon my own self to call the department that scheduled that and ask them about it. And they said this was the earliest appointment that I could get. And I explained to the lady what I had already been through and how much pain I had, and I said if I wait this long there might not be ... (anything) we can do about it then. I could be even dead by then. And the only thing she could tell me was 'I understand that, sir, but I don't have any control over that.' "

Finally about a year after first complaining to his doctors of the pain, Coates got a colonoscopy and doctors discovered a cancerous tumor the size of a baseball.

The now 44-year-old veteran is undergoing chemotherapy in an effort to save his life.

It is unclear whether anyone responsible at the VA has been fired, demoted or even admonished for the delays in care and treatment. Some of the people responsible may have even received bonuses in recent years for their work, despite the delays in care or treatment for the veterans.

According to the document obtained by CNN, 10 veterans are confirmed to have died in the South Carolina and Georgia region alone. And the document shows 29 vets or their families were sent the disclosures, notifying them they had serious "adverse events" because of delayed care. And according to the document the problems go far beyond Georgia or South Carolina.

In the Florida region, five veterans are dead, and 14 vets or their families were sent the disclosures, notified that they suffered "adverse events" because of delayed or denied care or diagnosis, according to the exclusive document.

In the Rocky Mountain region, two veterans died, and four families were sent the disclosures or notified. In the Texas region, seven vets or their families were sent disclosures about adverse events and serious injuries suffered because of delayed care.

Coates filed a legal claim, citing the "failure of the Columbia (South Carolina) VA Medical Center to timely diagnose his rectal cancer."  The VA settled, but admitted no wrong-doing.

"I don't know what my outcome is going to be," said Coates.

"I just try to live every day like it's my last day."

The new document obtained by CNN shows a worse problem than has previously been made public by the VA.

As CNN has previously reported,  as many as 7,000 veterans were on a backlog list -- waiting too long for colonscopies or endoscopies -- at VA facilities in Columbia, South Carolina and Augusta, Georgia.

After CNN's detailed accounting of dela-related deaths at the Columbia and Augusta VA hospitals, a bi-partisan group of Congressmen visited the hospitals, demanding answers.

"We have a duty to make sure that the veterans who serve get the best health care possible," said Rep. John Barrow, D-Georgia. "And it is very obvious that for too long and for too many folks that hasn't happened."

The VA said the backlog at those two hospitals has been solved, but that is not a good enough explanation for Rep. Jeff Miller, the chair of the House Veterans Affairs Committee.

"The fact that we've had veterans who have died in the very facilities that are supposed to be taking care of them, and not by natural means, by means that could have been prevented is egregious," said Miller, R-Florida. "And it's not acceptable."

Miller said the VA, from the top down, has consistently ignored his committee's requests to find out who is responsible. Even with the delays in care which have led to deaths and serious injuries, the congressman said not a single person has been fired or even demoted, and in fact some of those responsible may have even gotten bonuses.

"I grieve for the families who lost loved ones that could have been with them this Christmas that would be celebrating 2014 today had the backlog not existed," said Miller. "That's not what anybody in this country wants for our veterans."

He said the lack of accountability is what angers him most.

"That's why we asked the question again today, with members of the South Carolina delegation and Georgia delegation, tell us exactly who was disciplined and how. I don't want to hear the excuse anymore that  'It was multi-faceted. ...There were many people involved' "  said Miller.

"Well if there were many people involved then they all need to go. We are not asking for one particular person, we want to know exactly why things happened and who was held responsible, At this point publicly, we haven't seen anybody held responsible."

CNN has made repeated requests for interviews with top officials at the VA, including President Obama's appointed head of the Department of Veterans Affairs, Secretary Eric Shinseki. The requests have all been denied, or ignored.

The VA did issue a written statement from Dr. Robert Petzel, the Under Secretary for Health at the department of Veterans Affairs.  In the statement, Petzel wrote that "The Department of Veterans Affairs (VA) cares deeply for every Veteran we are privileged to serve.  Our goal is to provide the best quality, safe and effective health care our Veterans have earned and deserve.  We take seriously any issue that occurs at any one of the more than 1,700 VA health care facilities across the country."

He also stated: "As a result of the consult delay issue VA discovered at two of our medical centers, the Veterans Health Administration (VHA) conducted a national review of consults across the system.  We have redesigned the consult process to better monitor consult timeliness.  We continue to take action to strengthen oversight mechanisms and prevent a similar delay at another VA medical center.  We take any issue of this nature extremely seriously and offer our sincerest condolences to families and individuals who have been affected and lost a loved one."

In August 2007, presidential candidate Barack Obama gave a campaign speech to veterans specifically addressing wait lists, denied care and poor treatment of vets. He promised his administration would be different.

"No veteran should have to fill out a 23-page claim to get care, or wait months -- even years -- to get an appointment at the VA," said then-candidate Obama.

"When we fail to keep faith with our veterans, the bond between our nation and our nation's heroes becomes frayed. When a veteran is denied care, we are all dishonored."

But Coates said for him the speech is an empty promise.

"Someone needs to stand and face the person who suffered and the veterans who have died and say, 'Hey it was me, I let the ball drop,' " he said.

"How many lives are we going to lose from this?"

"When is it going to be corrected?"

@highlight

CNN has learned 19 veterans died because of delays in basic screenings

@highlight

The delays occurred at VA hospitals and clinics

@highlight

It took a year for veteran Barry Coates to get a colonoscopy

@highlight

He is now undergoing chemotherapy for rectal cancer