(CNN) -- The United States and Iran cut diplomatic ties during the 1979 hostage crisis, and relations between the two countries today can only be described as tense. But that didn't stop a sharp-shooting U.S. basketball player from winding up his professional career in the Islamic republic.

Kevin Sheppard -- a six-foot point guard who competed internationally for 10 years after playing college ball -- was one of 13 Americans recruited by the Iranian Super League in the fall of 2008.

He joined Iran's only non-government-sponsored team, in the cultural center of Shiraz, mostly "out of curiosity" -- and immediately fell in love with the country.

"Iran was beautiful," Sheppard said. "I saw something I'd never really seen on the news, heard from people or read in the newspaper."

What he saw was the generosity of the people -- they treated him to dinners, took him on tours of historic landmarks and welcomed him, a non-Muslim from the West, into their homes.

A native of St. Croix in the U.S. Virgin Islands, Sheppard starred in both basketball and soccer for Jacksonville University in Florida. He decided to pursue a professional basketball career overseas, excelling as a shooter and playmaker on teams from Cuba and Venezuela to Australia and Israel.

He stunned family and friends when he decided to play in Iran, where he averaged 26 points a game and eight assists as the team captain. Now retired from playing, his memories extend well beyond the basketball court.

"Sometimes you have to go out there and see it for yourself," the 32-year-old said. "I thought if it's nice then I'm going to see one of the best things a lot of people on this side of the world will never see."

Sheppard was taken aback with the level of admiration and respect Iranians showed toward Americans. Despite being the highest-paid player, his teammates welcomed him, introducing Sheppard to their culture and hoping to benefit from his professionalism.

"They brought me in as a brother," Sheppard explains. "And my job was to teach them how to play the game the mental way. They had skills, they could dunk and guys could shoot, but they lacked mental discipline."

Sheppard says he taught his teammates how to prepare for games, watch film and learn from scouting reports.

He quickly emerged as the undisputed star and captain of Shiraz; regularly swarmed by young Iranian fans for his autograph. Every Thursday, sell-out crowds jammed the gym, with more than 3,000 fans cheering, "Kevin! Kevin!"

That first year in Iran, Sheppard, along with another import, Serbian Zoran Majkic, led their team to the playoffs for the first time.

"I brought a sense of belief to them," Sheppard recalled. "When I got there, they had no playoff aspirations. Once we started winning, they realized we can do something special."

By this time, American filmmaker Till Schauder, intrigued with Sheppard's Iranian adventure, had begun shooting a documentary of his success with the team and how he was adapting to life in a faraway land.

Schauder and his Iranian-American wife Sara Nodjoumi said they were fascinated by the notion of an American playing basketball "in a land allegedly full of nukes" and enjoying every minute of it.

In his initial conversations with the couple, Schauder said, "he had us on the floor laughing."

"Sara and I looked at each other and said if he's as clever and funny as he is on Skype then I'll stay in Iran and we'll make this film," Schauder said.

But Sheppard, who also played for Azad University in the Iranian league until this year, had no idea he was about to become the star of what initially struck him as a 24/7 reality show.

"I was starting to think this was like 'Jersey Shore,' or some craziness," he said. "I was like, man, I ain't gonna do this."

But Schauder and Nodjoumi hoped to make Sheppard's story much deeper than his basketball because he was breaking cultural barriers.

For instance, Sheppard became close friends with three Iranian women, rare in a country where the sexes are forbidden from interacting in public. The bonding began with Hilda, the team physical therapist, and two friends who became Sheppard's translator and driver.

The relationships gave Sheppard his first sense of human rights issues in Iran, especially the inequality between the sexes.

"It was really bad for women. Once I got to know some of the ladies it was so ... it was even worse," he says. "Most of the women are so highly educated and can't use it to their potential. It was so sad."

But the filmmakers insist their documentary -- "The Iran Job"-- is not meant to be a heavy-handed political documentary on a Middle East country fighting for its freedom. They felt that Sheppard's witty personality attracts colorful characters that bring playfulness and humor to an unusual story.

"Through sports we wanted to get into a society that is often misrepresented and misunderstood," Schauder said. "Kevin had the same perception about these places as many Americans; he just goes there and shatters them."

Schauder continued filming the discussions and cultural exchanges Sheppard encountered both on and off court, but as the 2009 presidential elections and violent street protests took hold, it became increasingly difficult to gather footage of him on the streets of Tehran.

Working as a one-man band, Schauder found himself filming non-stop for three to four hours at a time. With nothing but a backpack and endless tapes, he was extra cautious not to attract attention, often trying to blend in as a tourist.

He would mail footage to his mother in Germany who would send it to his wife in New York -- in one case, 90 hours' worth.

"I mailed 80 tapes and kept the 10 I felt had the biggest nuggets with myself," Schauder says. "I hid them in my underwear and socks out of fear.

"That was the scariest time for me because I knew that was great footage. I knew this was potentially a really good film if it ever gets to America."

Schauder, who had been denied a journalist's visa, freely traveled in and out of the country before his last planned trip near the end of the basketball season. Shortly before the June elections he was detained in Iran. He spent 24 hours in confinement before being sent back to the United States with no explanation.

On the basketball court, Sheppard was unfazed by the street protests. However, off court he found himself enmeshed in the tangle of politics, current affairs and sports.

"I could see it on my teammates' faces," he said. "Their relatives were being hurt and kidnapped. That's when it really hit me that this thing is real, and I just couldn't escape it."

Sheppard is now focusing on his after-school education program mentoring children in the U.S. Virgin Islands. The most talented are given the opportunity to meet basketball scouts in hopes of one day following in his footsteps.

While still interested in visiting his friends back in Iran, he admits that might be difficult.

"After this documentary is released, I don't think I will want to go back -- they'll lock me up!"

@highlight

American Kevin Sheppard played basketball in Iran from 2008

@highlight

His experiences were documented in a film called "The Iran Job"

@highlight

Sheppard says he was surprised by the friendly welcome he received

@highlight

But he also experienced the downsides of life in the Muslim republic