(CNN) -- Neuroscientists love Aplysia. They are a type of sea slug that grows to be about a foot long. With only 20,000 nerve cells -- compared with about 100 billion found in the human brain -- Aplysia are the perfect lab animals for brain researchers hoping to isolate a crucial connection.

Plus, "they're just attractive to look at," says Dr. Eric Kandel, a biochemistry and biophysics professor at Columbia University.

Kandel won the 2000 Nobel Prize in Physiology or Medicine for his work with Aplysia -- or more specifically, for his work on the biological mechanisms of memory storage.

For decades, Kandel has studied how we create short-term and long-term memories at the molecular level. His work has shown what genes are changed during the learning process, how these genes are altered and how the changes contribute to the growth of new connections in the brain.

CNN spoke with Kandel about his research and why he's fascinated by the human brain. The following interview has been edited for brevity and clarity:

CNN: Why do you think the Nobel Prize committee recognized your work?

Dr. Eric Kandel: There are two forms (of memory). One is complex forms of memory, which require the hippocampus and (are called) explicit memory storage. The very simple forms like driving a car -- once you know how to do it, you do it automatically -- we call that implicit memory storage. And the two involve different systems in the brain.

Being a romantic, I started out with Alden Spencer to study the hippocampus. I'm thinking, 'That's the seat of complex memory, and I want to get complicated.' And we succeeded to record from the hippocampus. We were the first scientists to do this and we were euphoric.

A medical miracle: Saving cholera victims

But after a while, we realized that studying the cells in a region involved in memory is necessary but not sufficient. You've got to see how a memory is formed. You've got to see how information comes into the hippocampus and how it is stored over the long term. And when we tried to see what comes into the hippocampus, we found it very complicated to analyze. So I realized we had to take a very different approach.

Rather than studying the most complex form of memory in a very complicated animal, we had to take the most simple form -- an implicit form of memory -- in a very simple animal. So I began to look around for very simple animals. And I focused in on the marine snail Aplysia.

My colleagues and I found that learning involves alterations in the strength of communication between nerve cells.

Nerve cells communicate with one another at specialized points called synapses. And these synapses are plastic -- they can be modified by learning. If you produce a short-term memory -- if you look up a telephone number you just remember for a short period of time (or) you meet somebody and remember their name briefly -- you have a transient change in the strength of communication. But if you have a long-term memory, you alter the expression of genes in the brain and you grow new synaptic connections.

So as I tell my friends, if you remember anything about this conversation, you will have a different brain than you started out with before the conversation.

CNN: So would memory work the same in a human as it does in a snail? In other words, is what you've discovered applicable to us?

Kandel: Yes and no. Obviously human memory is much more complicated than memory of a snail. We can learn things that they can't learn, obviously. We (have) conscious experiences as well as unconscious experiences. So the level of complexity is infinitely greater.

But the remarkable thing that Darwin discovered is that evolution is very conservative. If it finds through natural selection that some set of mechanisms work, it tends to retain those mechanisms in perpetuity. And this is what one finds with the learning process.

10 women who changed medicine

CNN: What led you to neuroscience research?

Kandel: I had no interest in science whatsoever. I went to medical school after having decided to do so somewhere between my junior and senior year at Harvard -- very late. I initially wanted to be an intellectual historian.

And I didn't particularly enjoy the science courses; even in medical school, I enjoyed the clinical work much more than the basic science courses. But I found working in the lab is so completely different than reading a textbook about it. You know, you're planning strategies; you're working with your own hands. There's essential satisfaction in running experiments.

I remember having dinner with my wife before we were married and telling her, 'You know, I can see doing this for the rest of my life, but it's ridiculous. You don't have any money and I don't have any money. We want to raise a family, and I've got to earn a living going into private practice.' And she goes, 'Money is of no significance.'

She has never uttered those magic words again, I can assure you (laughs). But that, at the moment, was quite inspirational.

CNN: Why has memory research held your attention for so long?

Kandel: Well, I think it's a fascinating problem because it's so central to everything we do.

I once had the privilege of going to a Willem de Kooning retrospective at MOMA (the Museum of Modern Art in New York). De Kooning already had Alzheimer's disease. With Alzheimer's disease, you lose explicit memory, complicated memory, so he would have difficulty recognizing people. But he would go into studio, and he'd be another person because for a gifted painter, painting is like an implicit skill. It's like driving a car -- after you learn it, you can do it automatically. And he did some beautiful paintings when he had fairly advanced Alzheimer's disease.

Clive Wearing -- the choir conductor in England -- had a severe explicit memory deficit. He couldn't recognize people, places. But when he sat down at the piano, he could play almost as well as he ever did. If you ask him afterward, 'What's it like to play the piano?' He would say, 'What are you talking about? I haven't played the piano in 20 years.'

It's amazing.

The other reason memory is so important is there is a number of a diseases that affect memory storage, and we'd like to know how they work so we can try to remedy them.

Mom's death inspires doctor's work

CNN: There's been a lot of talk lately about "mapping" the brain. Why is that important?

Kandel: The brain is the most complex object in the universe. And it is so important that we understand it, not only to understand ourselves and who we are, but also to be able to overcome many of the miseries that affect the brain.

It's not just schizophrenia and depression and post-traumatic stress disorder and anxiety syndromes and autism. It's Huntington's disease and Parkinson's disease and Alzheimer's disease -- dreadful disorders that we want to be able to help people with. So this is a major challenge.

To see the president of the United States announce this first, in his State of the Union address, and then more recently at the White House -- and I had the privilege of being there -- is very exciting. They introduced President Obama by saying, this is our scientist in chief, and Obama broadly took on that title. So I think it's wonderful.

CNN: In 2004, you said that we could have effective memory drugs in two years. Why do you think that's proved to be a bit more difficult than expected?

Kandel: We have a reasonably good understanding of the molecular underpinnings of age-related memory loss. With Alzheimer's disease, I think the understanding is surprisingly good. But if we're so smart, how come we're not rich? How come we don't have treatments for Alzheimer's disease?

There are two possibilities -- one is that we're deceiving ourselves and our understanding is much less complete than we think it is. Or, and I think this is a real possibility, we are starting to treat people too late in the disorder.

By the time they come to us with symptoms of Alzheimer's disease, they've had the disease for 10 years. Now if, God forbid, somebody has breast cancer or colon cancer for 10 years and you sought treatment then, that's pretty darn late if they're (even) still alive at that particular point with this severe form of cancer. So the whole thrust in Alzheimer's disease -- or at least an important thrust -- is to try to get early diagnoses so we can treat people much earlier than we are now treating them.

CNN: When you first began your research, did you think we'd get this far?

Kandel: Well, you know, it's a relative thing. When I started, we knew, on the level that I now work, practically nothing. We knew the anatomy a bit, we knew a lot from clinical insights, but we had very little insight into the underlying mechanism. And we've made a lot of progress on that, not just in learning but in perception and motor coordination and development.

But if you look at where we want to go, what we ultimately want to understand, and how large the task is, one has to be very modest. ... There's much, much more to be studied, and much, much more to be learned.

Moreover, the clinical benefits that we've gained out of what we've learned so far have been modest. The best is yet to come.

@highlight

Dr. Eric Kandel studies how we create short- and long-term memories

@highlight

Kandel won the 2000 Nobel Prize in Physiology or Medicine for his work

@highlight

Sea slugs are used in neuroscience research because of their simple neuro-systems