(CNN) -- Urban transport in Bolivia's administrative capital of La Paz has always been about what goes up and down.

Situated in a deep canyon more than 10,000 feet above sea level, the Andean metropolis is one of the highest cities in the world. Densely populated barrios (neighborhoods) occupy the hills encompassing the bustling city center, rising a further 1,400 feet towards the satellite town of El Alto.

While these lofty locations create a dramatic setting -- particularly at night when the slopes are illuminated by thousands of house and street lights -- servicing them with reliable transit services has long proven difficult.

Bus journeys that are only a few miles long can often take up to an hour during busy periods as heavy traffic clogs the city's steep and narrow streets.

See also: Silk Road Railways link Asia and Europe

Come the second half of 2014, however, an all-new system of mass transportation is set to reduce the burden on these chaotic roadways.

The La Paz urban gondola will consist of three separate service lines stretching across a combined 10.7 kilometer (6.1 mile) area of the city.

These giant structures, most commonly associated with ski-resorts or mountaintop tourist spots, will cater for a combined hourly capacity of 9,000 passengers and come in at a reported cost of $235 million dollars.

With individual pods traveling at a speed of 18 kilometers per hour (11 mph), the gondola aims to offer a transit system many times faster than more traditional modes of city transportation.

As it currently stands, "one person coming in the morning from El Alto to the south area spends between one and a half and two hours to reach his destination," explained Javier Telleria, CEO of Doppelmayr Bolivia, the company behind the project. With the gondola, this same journey will "take 24 minutes."

"The capacity may be lower when compared to a metro line or a railway but these options are not suitable on these slopes," he added. "They are also much cheaper and cause less disruption during the building process as they can be built in a straight line and take up a fraction of the space that a road or railway line would require."

Socio-economic benefits

These sentiments were echoed by Michael McDaniel, a designer from innovation firm Frog Design and advocate of an urban gondola for Austin, Texas, in an interview with Marketplace earlier this year. He estimated that the cost of building a gondola comes in at between $3 million and $12 million per mile, comparing favorably against $400 million per mile for subway systems and $36 million per mile for light rail systems.

See also: Introducing the world's biggest ship

Cost benefits like these have been key in convincing South American cities like La Paz that urban gondolas are a viable and economical transport solution.

Rio de Janeiro, Medellin and Caracas have all introduced similar systems in recent years. When these projects have been successful, they have brought with them a wide range of social and economic benefits.

Medellin's Metrocable, which connects some of the city's poorest districts with its main metro line, was even recognized as a key factor in the Colombian city winning the prestigious Urban Land Institute 'Most Innovative City of the Year' award in early 2013.

Marketing executive at Doppelmayr, Ekkehard Assmann, meanwhile speaks of private compliments the company received from Venezuelan officials regarding the Caracas "Teleferico" project and how it has "increased economic opportunity" as well as "lowered crime rates" in many poorer and previously disconnected areas where stations are located.

Bridging urban islands

For Steven Dale, founder of the Canada based website, The Gondola Project, these observations speak to the wider benefits of gondolas when introduced into the right type of urban environment.

"Being able to connect people from an island, which is what these barrios often are, to the wider city where they can access economic, social and cultural opportunities, that's the real value," Dale said.

"You wouldn't have been able to do it in certain places without a cable car" due to the various building and topographical challenges, he added.

See also: Could drones be the new highways?

Such positive social outcomes have got other cities around the world thinking about their own transport needs and the potential benefits urban gondolas can bring.

Projects are reportedly in the works in the likes of Lagos in Nigeria and the city of Toulouse in France, according to The Gondola Project. Whether these ventures meet with the same success however is far from certain.

The London legacy

Many skeptics point to the "cable car" system built in East London to connect the O2 Arena and the ExCel Exhibition Centre across the River Thames during the 2012 Olympic Games as an example of an urban gondola project gone wrong.

Although used by large numbers of people during the Olympics, passenger numbers today are a fraction of what they were when the facility first opened, according to figures provided to CNN by local politicians.

The surrounding area is connected to major tube and light railway transport routes but is not home to a large residential population that would have any practical need to use the structure frequently, explained London Assembly member, John Biggs.

"It's a nice bit of tourist infrastructure but it's not a serious mass transit solution in this part of London," Biggs said. "It has an annual operating cost which is a six figure sum. This is massively greater than the revenue from fares income."

See also: 8 spectacular infrastructure projects

Although critical of the London project, Biggs believes the gondola concept itself can still offer a valuable urban transit option if constructed in locations where there is demand and the economic case can be justified.

"Many towns (in South America) have quite a hilly landscape and they are a good way of getting people out to the suburbs," he said.

"There are (also) other parts of the world like across shipping lanes where they can in fact be quite useful, but none of these things really applied to London," Biggs added.

@highlight

An urban gondola 10.7 kilometers in length is being designed and built in the Bolivian city of La Paz

@highlight

Medellin, Rio de Janeiro and Caracas have already installed similar structures as modes of mass city transportation

@highlight

Those behind the La Paz project hope it will reduce traffic congestion and connect some of the city's poorest areas