Washington (CNN) -- You've got to hand it to Chris Christie -- he knows how to play the game.

Last week, citing potential cost overruns in the billions, the New Jersey governor stunned the political establishment by pulling the plug on the largest public transit project in the country.

The sorely needed ARC (Access to the Region's Core) tunnel would create a second train tunnel beneath the Hudson River, thus doubling passenger capacity from the most densely populated state into Manhattan.

In addition, the tunnel would create an estimated 6,000 construction-related jobs while also preparing the New York metro region for sustained growth in the 21st century. It would cut road congestion, reduce emissions, increase productivity and ease the strain on the only working train tunnel from New Jersey into New York, built more than a 100 years ago.

This is the type of mass transit project that many in Western Europe, China and other places build routinely. It is also a vivid example of how we are falling behind in the world. (Side note: I cringe when writing sentences like that. Remember when America used to lead?)

As President Obama noted Monday, our infrastructure is woefully outdated and inefficient, and the longer we allow it to erode, the deeper our competitive edge erodes.

The country needs this project and the economic ripple effect that comes with it more than Chris Christie does. Christie knows it and so does the Obama administration, which is why Transportation Secretary Ray LaHood was in New Jersey meeting with the governor face-to-face 24 hours after Christie's announcement.

During the meeting, LaHood, an immensely respected and low-key, get-it-done type of politician, was looking for an opening to salvage the deal. During the meeting, according to reporters Josh Margolin and Ted Sherman, Christie signaled that he would be willing to look at options if the numbers worked.

With that, LaHood and Christie agreed to spend the next two weeks discussing proposed ways to save the project and, in Christie's view, limit risks to his state's taxpayers, currently on the hook for a third of the $9 billion project, plus any cost overruns. (The tunnel was originally slated to cost roughly $5.7 billion, but that number has soared in recent years.)

Christie, reminded of Boston's Big Dig, which ended up being four times the cost of original estimates, believes the final cost of the new tunnel will be much higher than federal officials and others suggest.

And that's the problem as Christie sees it.

Even though the State of New York and the Port Authority of New York and New Jersey have committed to pay $3 billion each, New Jersey, like most states, does not have the capacity to absorb possibly hundreds of millions of dollars in cost overruns.

Even though these overruns would occur when the economy has presumably rebounded, New Jersey is grappling with several other pressing budgetary needs. Among them:

-- A $46 billion unfunded pension liability for retired state employees.

-- A decades-old court order to spend hundreds of millions in poor school districts.

-- A nearly depleted Transportation Trust Fund, which repairs and maintains the state's roads, tunnels, and bridges and pays for the new ones.

Faced with these realities, Christie seems to be betting the Obama administration won't let the project die, and he may be right. Indeed, if this is his goal, it's a shrewd, calculating political move. He will need a clear, definable win to pull this off with hard numbers that save money for New Jersey taxpayers.

In Republican circles, the former U.S. attorney is currently a darling. Christie has spent the past month raising hundreds of thousands of dollars for fellow Republicans in tight races. He's visited more than a dozen states across the country, including Iowa. And as political columnist Chris Cillizza often opines, no politician ever just goes to Iowa, which has the first-in-the-nation presidential caucuses every four years.

Although he has publicly denied it, Christie clearly has his eyes on a higher plain. His recent mishandling of New Jersey's Race to the Top application, in which the state narrowly lost a coveted $400 million federal grant for education investments, complicates that somewhat.

Still, this gamble with the ARC tunnel may increase his standing among New Jersey's electorate. If Christie is smart, he'll work out a new deal with LaHood, a fellow moderate Republican. LaHood is well-known for brokering deals with lawmakers who have opposing views.

If LaHood's record is any indication, next week he will present the governor with a reasonable plan that salvages the project and charts a responsible course forward. Christie should get what he can from LaHood and chalk up the win for New Jersey taxpayers, who according to the nonpartisan Tax Foundation, get back 61 cents for every dollar they pay in federal taxes. No other state fares worse.

Christie is playing hardball, no doubt about it. And while I may disagree with his approach, I'm not one to begrudge him or any governor for trying to save money for his state's taxpayers. The risk here is that Christie gets too greedy and sinks a worthy project with enormous benefits.

The freshman governor is making a calculated gamble, and for the sake of thousands of unemployed construction workers, their families and others benefiting from the project, I hope he doesn't overplay his hand.

As Kenny Rogers once told us, "Every gambler knows that the secret to survivin' is knowin' what to throw away and knowin' what to keep."

The opinions expressed in this commentary are solely those of Anthony Coley.

@highlight

Nation's largest public transit project canceled last week by Gov. Chris Christie

@highlight

Project would create thousands of jobs and fill needed gap in transit system, says Anthony Coley

@highlight

He says Christie said he's willing to consider alternate ways of financing tunnel

@highlight

Coley says Christie is right to protect taxpayers but should work out a compromise