(CNN) -- Financial transactions have always been at the heart of our society, but growing smartphone and Internet penetration are inspiring new, disruptive approaches.

What we are witnessing is nothing less than a complete reappraisal of the fundamental principles that underpin business -- and that are set to transform the future.

Here are five ways money will change in the future.

The four 'P' economic model

Seismic events, including technological innovation, lead to radical behavior shifts -- but our belief systems are just as influential.

At present, we are witnessing a "me culture" shifting towards a "we" mindset of collaboration -- exemplified by micro banking and crowd funding -- with mobile technology being the great enabler.

This has impacted commercial structures across the world and leaders now look to new economic models, motivated not only by P for profit, but also P for People, Planet and Purpose; welcome to a reality where a 4P bottom line will become the norm.

New alternative currencies

Exponential growth in technologies is inspiring disruptive business models in most sectors, and finance is no exception.

Already challenged by declining trust, traditional "bricks and mortar" monetary institutions are now joined by a new wave of alternative and open-source ways of managing money.

The Bitcoin is an example of digital technology in action -- a global, decentralized currency without physical borders, national sovereignty or middlemen -- and similar P2P (person to person) models will undoubtedly increase in the future.

Equally interesting is the rise of local currencies, such as the Brixton and Bristol pounds in the UK, created to encourage trade and strengthen both local community and economy -- both operate largely via mobile.

Financial evolution and social mobility

Trading methods for goods and services are constantly evolving -- from gold to coins to paper to credit cards and now mobile-enabled transactions. Within western economies, uptake of mobile payment technology has been slow, in part because of consumer trust on security/fraud issues, but also barriers to entry in this market.

Inspiration on where the future is unfolding is to be found in Africa -- where a substantial unbanked population and a growing mobile youth present enormous potential for financial services innovation and financial inclusion.

In several African countries, mobile payments have replaced credit cards and mobile services like Esoko now operates in over 15 nations to convey market data and ensure fair commodity trading among farmers.

Now the undisputed leader in mobile money, Africa accounted for 15 of the top 20 countries globally in 2013, but in India this trend is quickening with MoneyOnMobile and Easypaisa gaining market influence.

Seven ways mobile phones have changed lives in Africa

Collaborative networks and the global brain

Today's mobile networks are like neurons in a massive global brain, which will continue to connect us while chipping away at the power base of conventional financial institutions. Smartphone technologies are also major empowerment tools for two of the 4Ps -- People and Planet.

Beyond digital platforms for the transfer of money, goods and services, smartphones are an enabler of education, information, work, health, social participation and more sustainable solutions.

It has been predicted, by Ericsson in 2009, that as many as 50 billion devices will be connected to The Internet of Things by 2020. In effect, this "global brain" has potential to become a platform for navigating a better life across classes and conventional geographical borders.

In Asia, the momentum of innovation is inspiring radical new solutions to drive inclusiveness and, ultimately, economic growth.

Last year, Seoul became the world's first official sharing economy and, with 60% of South Koreans owning a smartphone, the city government is championing mobile-enabled collaborations involving everything from startup support to workspace sharing.

The best deals in tech

Transparent financial ecosystem

Blurring of online and offline commerce has seen a greater demand for seamlessness, causing most sectors to adopt new multiple channels for financial transactions in order to stay competitive.

We are also witnessing "betapreneurship" -- in which products or services are tested and developed through interaction with customers -- emerging across the business spectrum, and this is in line with 4P thinking and enhanced by mobile platforms.

A new generation of global citizens that wants easy, barrier-free access to money is pioneering and supporting these commerce models.

But support is not restricted to Millennials. Edelman found that 84% of people believe business can pursue both its own interests and that of society.

The networked society offers transparency and, when everyone and everything that can benefit is connected to the Internet, business must evolve to match a new global mindset. In short, mobile money may become our springboard to achieving a more inclusive and equitable society.

'Funny money' has officially entered the real world

The opinions expressed in this commentary are solely those of Anne Lise Kjaer.

@highlight

A new generation of global citizens wants easy, barrier-free access to money, Anne Lise Kjaer writes

@highlight

Kjaer argues inspiration on a mobile money future can be found in Africa

@highlight

Mobile money may become our springboard to achieving a more inclusive and equitable society, she says