(CNN) -- He revolutionized football once before by transforming its transfer system -- now Belgian lawyer Jean-Louis Dupont is gunning to change the face of the game for a second time.

In his sights is UEFA's shiny new regulatory regime: Financial Fair Play (FFP), which has become the scourge of Europe's richest football clubs, notably English champion Manchester City and top French side Paris Saint-Germain, which were both heavily sanctioned by Europe's governing body Friday.

FFP is designed to prevent clubs spending beyond their means and posting unsustainable yearly losses, but Dupont believes the sanctions are "completely illegal" because they restrict competition -- a key principle of European Union law.

"The break-even requirement,' that's in itself a pure violation of EU competition law. any sanction that aims at enforcing an illegal rule is automatically illegal, " Dupont told CNN.

In a statement sent to CNN, UEFA said it "completely rejects" the suggestion that the break-even requirement may lead to any restriction of competition in the market for matches played in UEFA club tournaments.

"FFP rules emerged from a wide-reaching consultative process involving all relevant stakeholders in European football," read a statement from UEFA.

" As such, there is no doubt that the rules have democratic legitimacy since they were the product of an inclusive and democratic process.

"The substantive content of the rules -- especially the break-even principle, based on the idea that you 'don't spend more than you earn' -- is just economic common sense and a sensible prudential rule."

But Dupont disagrees.

"FFP sounds good," added Dupont. "Who wouldn't support good governance and fairness of the game?

"But when you scratch the surface, the break-even rule is no more than a prohibition to invest."

Dupont believes FFP raises further competition concerns by entrenching the status quo, by not allowing clubs like City and PSG to challenge the established football order in future.

"UEFA prohibits the owner of a club to spend his own money in the club, at least to buy players, in order to make it grow and to challenge the established top dogs.

"Today, with this rule, Roman Abramovich could not build his Chelsea project and turn it into one of Europe's top clubs.

"In other words, the rule ossifies the market structure. The few top European clubs will remain the same forever -- there will be no new kid in town."

To back up his argument, Dupont cites an academic article by professor Nicolas Petit on EU competition law and FFP.

"Petit says FFP creates what he calls a 'Oligopoleague: the break-even rule destroys competitive balance -- the big clubs will be bigger; the small clubs, smaller ; and no small club will ever again become a big one," said Dupont.

Again UEFA rejects the accusations. It says "FFP enhances competition through improving managerial incentives in football".

It adds that "clubs are encouraged to invest in training and infrastructure rather than 'payroll-gambling'".

Threat of expulsion

Last week, City was hit with an $82 million fine and squad restrictions for next season's Champions League, while PSG also received a heavy financial punishment.

Dupont argues clubs won't risk taking UEFA on in the courts because it might lead to their expulsion from the Champions League or the Europa League and disrupt their transfer activities.

Additionally, they have the feeling that the political cost would be high, said the Belgian lawyer. It's a threat that has ensured UEFA has faced little opposition over FFP.

"Pay me â‚¬60 million or I will expel you from competitions, which will cause you an even bigger damage," said Dupont.

"This is clearly a threat of expulsion. Again, a major crime under European competition law. And even more so since this threat aims at enforcing a rule that, itself, violates competition law."

Dupont also argues part of the punishment handed out to City -- where its squad for next season's Champions League has been reduced from 25 players to 21 with at least eight of those having to be home grown -- is also "illegal."

UEFA's homegrown players rule requires at least eight players in a European squad to have been trained domestically for three years between the ages of 15 and 21 -- a rule which Dupont says is open to challenge.

"The whole UEFA home grown player system violates EU Law," said the Belgian lawyer who is based in Barcelona.

"This rule violates free movement of workers and harms free competition without any solid justification.

"In other words, if any club or player challenges this rule tomorrow in court, the judge -- based on EU law -- will have no choice but to declare this UEFA rule null and void."

Intriguingly, Dupont urged the supporters of the nine clubs sanctioned by UEFA to become involved in the battle against FFP.

"Million and millions of people could challenge FFP tomorrow," said Dupont, who is already contesting the FFP regulations through the courts in a case he is fighting on behalf of football agent Daniel Striani.

"The fans can do this through their associations. They are the consumers of the football product and the ultimate aim of competition law is to protect the consumers.

"They are free to join the complaint lodged by my client, player agent Daniel Striani, with the European Commission and the civil action he has launched in the Brussels court.

"They could even ask the Brussels judge to stay the execution of the Uefa FFP regulation -- and of the sanctions based on it - until he renders his judgment on the merits.

"Since the break-even rule will stop for ever the vast majority of clubs from challenging the existing top European clubs, the fans of these 'underdog' clubs have a legitimate interest and can ask the judge to declare the break-even rule null and void.

"And the same goes for (for instance) the sponsors of all these clubs."

It was nearly 20 years ago that Dupont, who helped Belgian footballer Jean-Marc Bosman change European law in 1995 to allow players to move for free at the end of their contract.

Whether it change European law for a second time remains to be seen.

@highlight

Lawyer brands UEFA's Financial Fair Play sanctions "illegal"

@highlight

Belgian Jean-Louis Dupont is the man who transformed system with "Bosman ruling"

@highlight

Dupont says FFP contravenes European Union competition law

@highlight

Belgian lawyer calls on fans to lodge complaints with Brussels