(CNN) -- No one teaches reporters how to cover a war, much less wars that include genocide. Most of us rely on the wisdom of experienced colleagues and a lot of on-the-job training.

CNN's Christiane Amanpour in a Sarajevo cemetery; she returned to Bosnia for "Scream Bloody Murder."

My first war assignment -- Bosnia, in the 1990s -- included visits to the Sarajevo morgue to see the bodies. How else would a journalist know exactly how many Muslim children were cut down by Bosnian Serb snipers? How else could we put names to civilians left faceless by mortar shells from the surrounding hills? I learned what it means to bear witness.

I found my voice and my mission in Bosnia. I learned to seek the facts, to tell the truth no matter how difficult or unpopular. I learned that objectivity meant covering all sides and giving all sides their hearing, but never to draw a false moral equivalence when none exists. I learned never to equate victims with their aggressors. I learned that there are limits to the style of journalism that goes: "On the one hand, on the other hand."

Most of all, I learned that as reporters our words and our actions have consequences and that we must use this powerful platform, television, responsibly.

But how many times have people asked me, when I've come back from a place like Bosnia or Rwanda: Is it really that bad? I have found that many people want to believe that I am exaggerating. I guess they do not want to believe such evil can exist. Or perhaps they just do not want to be pushed into that moral space where they would have to take a stand and do something.

Genocide is hard to imagine -- despite all we know about the Holocaust. Or perhaps, ironically, as a result of it being the most documented event in modern history. Many people now believe that if the extermination is not done on the Nazis' industrial scale or is less than complete, it is not genocide.

They are wrong. Genocide is mass murder with the intent to wipe out a significant part of an ethnic, religious or national group. It means killing people not because of what they did, but because of who they are.

It is the world's most heinous crime.

And it continues, despite an international treaty written 60 years ago this month. With a unanimous vote on December 9, 1948, the fledgling United Nations adopted the Convention on the Prevention and Punishment of Genocide. The signatories committed themselves to act, although the convention does not say what intervention is required. And sure enough, instead of using the convention as a springboard to action, political leaders in the ensuing years have invoked reason after reason not to stop the bloodshed.

If there is any hopeful sign, it is in the voices of people with the emotional and intellectual courage to stand up and scream bloody murder -- often at personal or professional risk.

Some are members of the political establishment who believe that doing the right thing is also the pragmatic thing to do. Others are ordinary people caught up in extraordinary circumstances. What makes them do it? Over the course of filming a two-hour documentary, I found a few common threads.

Unlike politicians who make policy from the detachment of their national capitals, these men and women have been on the front lines. Like Father François Ponchaud, a French missionary in Cambodia when the Khmer Rouge seized power in 1975, they have seen the victims' suffering first hand.

Like Peter Galbraith, an idealistic staff member on the U.S. Senate Foreign Relations Committee who wanted the U.S. to punish Saddam Hussein for using chemical weapons against the Kurds, they are convinced that the accounts of refugees are true.

And like Richard Holbrooke, a U.S. diplomat whose Jewish grandfather fled Germany when Hitler came to power, they see where action -- sometimes military action -- can make a difference.

None considered himself a hero. And some, like Canadian Lt. Gen. Romeo Dallaire, who led a U.N. peacekeeping force in Rwanda, believe they did not do enough.

Dallaire was one of those good men who put on a uniform and felt that it meant something, that he was actually there to make a difference.

Unfortunately, he was sent to Rwanda with an impossible mandate and without the backing of the international community. He was helpless to stop the slaughter of 800,000 to 1 million ethnic Tutsis at the hands of their Hutu countrymen.

Imagine if that had happened to you or me? How would we be able to live with ourselves? iReport.com: Have a question for Amanpour? Send it in

In any single crisis, I can understand that political leaders are under pressure not to intervene. But stepping back to look at the consistent pattern, one must ask: Is it acceptable?

In the 1970s, the Carter administration touted human rights as a core value in U.S. foreign policy, but knew that military intervention against the Khmer Rouge in Cambodia was politically inconceivable after the disastrous war in Vietnam.

In the 1980s, the Reagan administration was courting Iraq as an ally against Iran and as a market for U.S. exports when Saddam Hussein was gassing the Kurds; a punishing trade embargo would have destroyed the budding relationship.

In the 1990s, the Clinton administration would not take military action against the Bosnian Serbs without backing from the European allies.  Watch Bosnia's president discuss the 1991 U.N. arms embargo on the former Yugoslavia »

And some U.S. officials even avoided characterizing the slaughter in Rwanda in 1994 as genocide lest it lead to a call for action under the U.N. Genocide Convention.  Military force: The last resort? Or the first resort? »

But three years into the Bosnian war -- after the massacre at Srebrenica -- the U.S. finally forged a coalition of previously reluctant allies to bomb the Bosnian Serb military positions. They stopped the war, then led the peace process and the peace enforcement that has survived to this day.

And because we the press, the storytellers, finally made it impossible for our Western democratic governments to tolerate mass murder of men, women and children in the age of 24/7 satellite TV, 3½ years later, the U.S. led its allies in a pre-emptive strike against genocide in Kosovo. NATO, established to protect the West during the Cold War, had launched its largest military strike -- for a purely humanitarian mission.

And today, there is a grassroots American movement that has brought the genocide in Darfur to such prominence.

We're always told that evil happens when good men do nothing. And the question -- my question as a reporter and as a witness to history is: Will we ever learn? Or will I or my children or my successors be reporting on this same kind of atrocity and inhumanity for years and years to come? This is what I don't understand about the human race.

So thank goodness for the few good men and women who summon the courage to do something in the face of evil, to stand up and confront it. They give me hope.

@highlight

CNN's Christiane Amanpour traveled the globe for documentary on genocide

@highlight

Amanpour: The few people who stand up and confront evil give me hope