Minneapolis, Minnesota (CNN) -- Ten minutes ago a woman called me and told me she was diagnosed with stage 3 colon cancer. As I'm standing in the garage, writing her story onto the huge canvas with the others, the only audible sound was my sharpie scraping against the paper, but her voice never stopped spinning in my mind.

Telling a story is like an invitation for others to share their stories with you. That's what I discovered at TED when I shared my story about a limitation that held me back from my dream.

After delivering my talk, I found myself constantly being stopped by people eager to share their stories, as hearing mine made them reflect on their own struggles, triumphs, hopes and fears.

This sharing experience stuck with me, and now two months later, I'm in the midst of receiving thousands of stories through my current art project. I had the idea to crowdsource stories about facing limitations. These stories are written onto the canvas, and collectively they create my current art piece.

What started out as connecting with people through a work of art quickly turned into a documentation of our modern culture.

If we either rewind or fast forward 1000 years, many of these stories would still be relatable. No matter how individualized our stories are, and no matter how much times have changed, we share the same core human experiences in faith, self-identity, health, addiction, love, loss, etc.

TED.com: How I became 100 artists

Here are two stories that have been shared:

"On paper, I have the perfect life. I'm married to a man who loves me more than I deserve, beautiful, healthy children, and a great career. But I'm in love with someone else that I can't be with and it impairs me every day."

"I was 14 and my mom and I were in a really bad place. We had just gone through a messy divorce from an abusive marriage. She had also been diagnosed with breast and skin cancer and we were very worried about how we would pay for the medical costs without her job. Our faith was slipping. We were standing in line at a pharmacy, we both had pneumonia. This really nice elderly women was in line behind us and my mom let her go in front of us and the woman introduced herself, and put her hands over us and started praying, right in the middle of the Pharmacy. My mom got a check from the insurance company a few weeks later. A few months after that she was hired at a new job. She is currently in her 8th year of breast cancer remission and her 3rd year of skin cancer remission. My faith has been renewed and we could not be in a better place. My mother is my hero."

TED.com: The painter and the pendulum

There are also many stories that encapsulate our society and culture at this very moment -- from the first openly gay couple being able to adopt in Florida, to the innumerable amount of people struggling with obesity, to the increasing number of parents raising autistic children.

What stands out to me the most is that given the opportunity for anonymity in this project, many people are brutally honest about how lonely they truly are in their experiences, thinking no one could possibly know what they're going through.

TED.com: Arthur Ganson's moving sculpture

Within this wired culture, we've become edited versions of ourselves. We may tweet, "Just got a Pepsi, new bottle design. Sweet!" but we don't say, "I'm sad and alone. I had no one to talk to so I went to the store to chat with the clerk while buying a Pepsi."

I can't help but wonder, what's the cost of becoming our "edited" selves instead of our authentic selves? We shouldn't share just gumdrops and butterflies, because the hearty and rocky parts are what help us find our authentic selves.

This slice of life, our lives, that are being captured in this piece are still ongoing and developing. What will continue to come out of it? I don't know, but I wait with fascination and a tired writing hand. What's your story? Share it and be part of art at philinthecircle.com.

The opinions expressed in this commentary are solely those of Phil Hansen.

@highlight

Phil Hansen gave a TED Talk describing how a shake led him to different forms of art

@highlight

In new project, people describe their limitations and he writes them onto a huge canvas

@highlight

Hansen: A project that began with goal of connecting people is also a portrait of our cultue