Washington (CNN) -- U.S. President Barack Obama is considering airstrikes and humanitarian airdrops to help save thousands of Iraq's Shiite Turkmen, who officials said Wednesday are facing a potential slaughter at the hands of fighters with the so-called Islamic State.

"These kinds of options are on the table because they do alleviate some of the suffering that is sustained by religious and ethnic minorities that are being persecuted or at least threatened" by ISIS, White House Press Secretary Josh Earnest said during a briefing.

The news followed reports of a new round of U.S. airstrikes targeting ISIS positions near the Kurdish regional capital of Irbil.

'Possible imminent massacre'

ISIS fighters have besieged the town of Amerli, 70 miles north of Baquba, since the Sunni extremists swept into Iraq from Syria since mid-June. The town's fewer than 20,000 residents are without power.

"Residents are enduring harsh living conditions with severe food and water shortages, and a complete absence of medical services -- and there are fears of a possible imminent massacre," U.N. High Commissioner for Human Rights Navi Pillay said this week.

Their situation echoes the ordeal of Iraq's ethnic Yazidis, whose plight after they were forced to flee into the mountains to escape ISIS militants triggered U.S. aid drops and the first U.S. airstrikes against ISIS.

Similar to the chaotic scenes that played out in the Sinjar Mountains, Iraqi military helicopters have been carrying out food drops and picking up Turkmen desperate to get out.

Which groups are at risk in Iraq?

Scant defenses

Surrounded on four sides, the 17,400 residents have had to defend themselves with only the help of local police, Masrwr Aswad of Iraq's Human Rights Commission has said.

ISIS have vowed to push the Shiite Turkmen out, calling them heretics.

Turkmen are descendants of a Turkic-speaking, traditionally nomadic people, who share culture ties with Turkey. There are Sunni and Shiite Turkmen in Iraq, and they account for up to 3% of Iraq's population.

The United Nations estimates that of the besieged Turkmen population in Amerli, roughly 10,000 are women and children.

Turkmen have been subjected to violence before at the hands of Sunni extremists.

In 2008, a truck bomb exploded in Amerli, killing more than 100 people and leveling homes and businesses. At the time, it was considered one of the single deadliest attacks of the Iraq War.

U.S. airstrikes hit ISIS

On Wednesday, American warplanes carried out three airstrikes near Irbil, destroying a number of vehicles and a building, the U.S. military said.

Among the vehicles was a Humvee, the military said.

ISIS seized a large number of military vehicles either abandoned or captured from Syrian and Iraqi forces.

Gen. Lloyd J. Austin III, commander of the U.S. Central Command, met with top officials in Baghdad and Irbil on Wednesday to discuss "U.S.-Iraq defense cooperation and regional security issues," the U.S. Embassy in Baghdad said.

Austin met with leaders including Iraqi President Fuad Masum and Prime Minister-designate Haider al-Abadi in Baghdad, and Kurdistan Regional Government President Masoud Barzani, the embassy said in a statement.

U.N. report alleges atrocities

The airstrikes in Iraq came as a U.N. human rights investigators accused both ISIS and Syrian government forces of committing war crimes and atrocities in their brutal fight in Syria.

The U.N. report released Wednesday said that public executions, torture and mock crucifixions have become regular fixtures in ISIS-controlled areas of Syria. It also said that the extremist group is forcing children to fight.

"Among the most disturbing findings in this report are accounts of large training camps, where children, mostly boys, from the age of 14 are recruited and trained to fight in the ranks of ISIS along with adults," said Paulo Pinheiro, the chairman of the U.N. commission of inquiry on Syria.

The report also accuses the regime of Syrian President Bashar al-Assad of repeatedly using chemical weapons against civilians.

The U.N. investigators said the Syrian government dropped what was thought to be chlorine gas on civilian areas on eight different occasions in April.

The government forces are believed to have made particular use of barrel bombs dropped by helicopters to unleash the gas, said Vitit Muntarbhorn, a commissioner with the inquiry.

Video posted on social media purports to show several of the alleged chlorine attacks. While CNN can't independently confirm the video, it shows a number of Syrian civilians fleeing the smoky aftermath of an explosion with their faces covered.

More video shows wounded civilians, including children, in a field hospital. Some are having difficulty breathing, several are treated with oxygen masks.

The investigators say they hope to use their evidence to build a case for future prosecution at the International Criminal Court.

U.S. airstrikes in Syria?

Barbara Starr reported from Washington, and Chelsea J. Carter reported and wrote from Atlanta. CNN's Anna Coren, Hala Gorani and Jethro Mullen contributed to this report.

@highlight

NEW: U.S. general meets with top officials in Baghdad and Irbil

@highlight

Airstrikes and humanitarian airdrops are being considered, White House official says

@highlight

ISIS fighters have besieged the town of Amerli since June

@highlight

"There are fears of an imminent massacre," a U.N. official says