(CareerBuilder.com) -- 2009 has given employers and employees a run for their money -- literally. Budgets have been cut, layoffs made and furloughs instituted, and benefits and perks have evaporated.

At the beginning of the year, 38 percent of employers said the economy would force them to make administrative cuts sometime during 2009, according to a survey by CareerBuilder.com.

Sixty-five percent of those employers indicated that they would cut back company social events, 61 percent anticipated curtailing business travel, 25 percent expected to scale back on health-care benefits and 11 percent planned to reduce wellness benefits.

Other areas where companies planned to cut spending included special office perks, such as coffee, ice machines or discounted vending (34 percent), incentive trips (28 percent) and philanthropic activities (21 percent).

Such perks and benefits being taken away make for a tough situation for employees. Not only are they working harder to keep their jobs, but workers have to do more for less. While some argue that it's hard to keep employees motivated in this situation, others say that they shouldn't focus on incentives, but rather think about the bigger picture.

"When perks and benefits are taken away, management often does this to allocate resources where they're needed, elsewhere. The money being saved by not buying bagels every Friday or purchasing Christmas gifts for employees may be going towards your salary," said Tom Gimbel, founder and CEO of LaSalle Network, a staffing and recruiting firm.

"If you had to choose between taking a salary cut and not having free coffee versus being let go, most employees would likely take the former."

Urmil "Tracy" Marshall, coordinator for the Office of Diversity and International Affairs at Fort Valley State University in Fort Valley, Georgia., agrees that it's important not to focus on what is being taken away. She said that due to budgetary constraints, furloughs were implemented at the school; but rather than get discouraged, she focused on the positive.

"I reminded myself how blessed I was to even have a job," Marshall said. "We need to remind ourselves of our priorities in life, placing a greater emphasis on what we have -- not what we don't."

Communication is key

Although it's understandable for employees to be upset, frustrated and discouraged when benefits or perks are taken away, Kevin Sheridan, founder and CEO of HR Solutions, which specializes in helping organizations to keep employees engaged, said that employees are less likely to be upset if management communicates with employees.

In fact, 82 percent of employees surveyed in HR Solutions' International Normative Database say that it's important that their organization allow them to choose from a variety of benefits to meet their individual needs. The survey consisted of more than 3.3 million responses from 2,400 organizations.

"If an organization's leadership team simply decided amongst themselves which benefits would be best to cut, employees will commonly become upset and their engagement will be negatively affected," Sheridan says. "Open communication is a key driver of engagement, and employees will immediately recognize the fact that they had no voice in the situation. If leadership had simply asked employees which benefits were important to them, this situation may be avoided."

Attitude is everything

Despite having to deal temporarily with a few displaced benefits or perks, there are benefits to sticking around with your employer until those things are reinstated.

"It's a good time to remember that the perks were never the reason that you liked the job. No one gets up in the morning saying, 'I'm really excited to go to the office because there's free coffee,'" said Paul Glen, author and management columnist. "If people feel that the [cuts] are being made in a good-faith effort to save jobs, they will be even more loyal than before, since they believe that the company is working on their behalf -- not just for executives."

Additionally, according to the HR Solutions survey, 37 percent of employees have thought of resigning in the last six months. Twenty-three percent said they thought about leaving because of pay; 18 percent because of a supervisor or manager; 15 percent because of career advancement; and 5 percent because of benefits. Thirty-nine percent considered it for other reasons.

"This statistic is especially important because many organizations have cut benefits over the last six months, and it illustrates that the majority of employees have not thought of resigning as a result of adjusted benefits," Sheridan said.

"These employees recognize the advantages of sticking around with a company, benefits or not, for advantages such as career development and compensation. Also, as soon as the economy picks up, many benefits programs will be re-evaluated; employees sticking around with these organizations will not remain without benefits forever."

Workers should also remember that there could be consequences to abandoning a job just because you lost free coffee or a transportation reimbursement. If you're thinking about leaving your job for such reasons, make sure that your missing perks outweigh any possible career advancement or opportunities you would receive if you stayed.

"In this economy, it may be very hard to find another job, and there's no guarantee that one will have free coffee, either," Glen said. "Also, at the new job, even if it is good, the employee will have less tenure and is more likely to be cut in future layoffs."

If you've had benefits or perks taken away in recent months and need help staying motivated, remember these five tips from our experts:

1. Get over it

"The longer you talk about it to fellow employees, the longer you will have bad feelings, cause others to have bad feelings and be less productive yourself, which is not what will help the company be able to restore what has been taken away," said Aubrey Daniels, author of "Oops! 13 Management Practices That Waste Time and Money (and What to Do Instead)."

2. Find motivation

Sheridan encourages employees to find motivation through career planning with supervisors, interacting with co-workers or being proud of where they work. For example, an employee could volunteer to act as a sounding board for job candidates considering employment at the organization.

3. Create your own perks

Nancy Irwin, a motivational speaker and author, said employees can take turns bringing in coffee, bagels or potluck lunches to help fill the void of things that have been cut.

4. Understand what's still offered and take advantage

Darcy Eikenberg, president and chief creative officer of Coach Darcy LLC, recalls a client who didn't sign up for a course because she thought training costs had been eliminated. She realized that a co-worker was taking the course and getting it paid for from tuition reimbursement, an area that hadn't been cut. "Do a deep dive into your company's programs, policies and even discounts because there's probably something you can use now," she said.

5. Focus on the solution, not the problem

Concentrate on actions today that will affect your organization's success and growth tomorrow, said Jonathan Berger, director of human resources at Direct Agents, an interactive advertising company.

"Take this time as an opportunity to offer new ideas to your managers and take an active and entrepreneurial role in helping your company overcome straining times. If you do a good job, you may be rewarded for your efforts when things improve," he said. "In addition, by taking on new challenges and opportunities, you can further develop your skills and make yourself a more valuable asset to any organization."

&copy CareerBuilder.com 2010. All rights reserved. The information contained in this article may not be published, broadcast or otherwise distributed without the prior written authority.

@highlight

In a survey, many businesses said they would have to make large cuts in employee benefits

@highlight

Management should communicate these issues to help employees adjust said, Kevin Sheridan

@highlight

Darcy Eikenberg recommends for employees to dig deep and and find benefits still available

@highlight

Concentrate on actions today that will help your organization succeed, said Jonathan Berger