Washington (CNN) -- It was a speech that Barack Obama -- a war-stopping, Nobel Peace Prize-winning President -- never wanted to give.

A year after he pulled back from threatened military attacks on Syria over chemical weapons, Obama told America he now would launch airstrikes against ISIS targets in the country wracked by civil war.

The nationally televised address on Wednesday night, which lasted less than 15 minutes, promised far-reaching impact that could embroil the nation in another Middle East conflict.

"This was a very difficult speech for him," CNN chief political analyst Gloria Borger said of a President who campaigned on ending wars in Iraq and Afghanistan. "He's inserted us into the middle of a Syrian civil war."

5 takeaways from Obama's ISIS speech

"Tremendous turnaround"

The plan to "dismantle and ultimately destroy" the Sunni jihadists who have taunted America by beheading two captive U.S. journalists calls for what CNN chief national security correspondent Jim Sciutto described as a "tremendous turnaround" in Obama's previous policies in the region.

After previously rejecting calls from top advisers to arm and train some of the Syrian rebels fighting President Bashar al-Assad and ISIS, Obama now seeks specific congressional approval to do so.

He also threatened airstrikes on ISIS targets in a major expansion of a campaign in Iraq previously limited to protecting U.S. advisers working with Iraqi forces and preventing the slaughter of minority groups by the extremists also known as ISIL and the Islamic State.

"I have made it clear that we will hunt down terrorists who threaten our country, wherever they are," Obama said. "That means I will not hesitate to take action against ISIL in Syria, as well as Iraq. This is a core principle of my presidency: if you threaten America, you will find no safe haven."

In addition, 475 more U.S. military advisers are headed to Iraq, raising the total of American forces there to 1,700 for a mission originally described as limited.

Mission creep

"This is mission creep," Sciutto said.

The broad campaign against the ISIS extremists who have rampaged from Syria across northern Iraq includes building an international coalition to support Iraqi ground forces and perhaps troops from other allies.

It answered calls from a growing number of U.S. politicians for such a step, with increasing public support for expanded airstrikes against ISIS targets.

At the same time, Obama made clear the strategy differed from all-out war again in Iraq less than three years after he withdrew combat forces from the country.

"It will not involve American combat troops fighting on foreign soil," Obama said.

Noting the formation of a new Iraqi government, which his administration has demanded, Obama announced that "America will lead a broad coalition to roll back this terrorist threat."

Did Obama sell his ISIS strategy?

Objective: "degrade and ultimately destroy" ISIS

"Our objective is clear: We will degrade, and ultimately destroy, ISIL through a comprehensive and sustained counterterrorism strategy," he said.

Senior administration officials who briefed reporters before the speech on condition of not being identified said airstrikes against ISIS targets in Syria would occur "at a time and place of our choosing."

"We're not going to telegraph our punches by being specific about the time and nature of the targets," one official said, adding that "we will do that as necessary as we develop targets."

Also Wednesday, Obama shifted $25 million in military aid to Iraqi forces, including Kurdish fighters in the north combating the ISIS extremists. The aid could include ammunition, small arms and vehicles, as well as military education and training, State Department spokeswoman Marie Harf said.

U.S. diplomatic efforts this week seek to solidify the coalition. Secretary of State John Kerry left Tuesday to push Sunni leaders in Jordan and Saudi Arabia to join the United States and its allies in combating ISIS, while Defense Secretary Chuck Hagel and Lisa Monaco, the homeland security adviser, also will be in the region.

Saudis part of coalition

"The Saudis made very clear that they support this mission, they will join us in this mission," a senior administration official said. "We are joined by very important Arab partners as well."

Obama has been criticized by conservatives and some Democrats for what they call a timid response so far to the threat by ISIS fighters. The videotaped beheadings of journalists James Foley and Steven Sotloff by ISIS raised public awareness of the extremists and the threat they pose.

"We can't erase every trace of evil from the world, and small groups of killers have the capacity to do great harm. That was the case before 9/11, and that remains true today," Obama said in depicting ISIS as a threat to the Middle East, including the people of Iraq and Syria, rather than the U.S. homeland.

"If left unchecked," he added, "these terrorists could pose a growing threat beyond that region, including to the United States."

Conservative Republicans who have railed against Obama's foreign policy sounded relieved by what they heard.

Syrian opposition groups, which have been battling the terror group, welcomed Obama's speech.

"Airstrikes on ISIS strongholds in Syria are a much needed element to degrade the extremist group's capabilities," said Hadi Al Bahra, president of the Syrian National Coalition.

He said training opposition fighters on the ground will boost the effectiveness of the airstrikes.

"We therefore welcome the commitment to intensify the train and equip program to enable the Free Syrian Army, to eradicate ISIS and other forms of terror in Syria, including the (President Bashar) al-Assad regime," Bahra said in a statement.

GOP says Obama is facing reality

"The President's plan announced this evening is an encouraging step in the right direction," said GOP Rep. Mike Rogers, who chairs the House Intelligence Committee and has been a harsh Obama critic. "Success will depend on the details of its implementation."

His Republican colleague, Rep. Michael McCaul of Texas, said: "Tonight the President seemed to have faced reality."

Leading Democrats such as Sen. Dianne Feinstein of California and Sen. Chuck Schumer of New York praised the speech, as expected, while Sen. Robert Menendez of New Jersey said the Foreign Relations Committee he chairs would begin drafting legislation to provide Obama with specific authority under the War Powers Resolution to continue to extend military operations against ISIS.

Meanwhile, the anti-war liberal caucus in the House signaled possible opposition by calling for a vote on authorizing expanded military action.

Congressional authority

Obama has insisted he has the authority to ratchet up airstrikes against ISIS under war powers granted more than a decade ago to fight al Qaeda. ISIS formed from some al Qaeda affiliates but is separate from the central leadership of the terrorist organization behind the September 11, 2001, attacks on the United States.

Obama to Congress: No vote needed on ISIS strategy

This week, Obama asked Congress for additional authority to arm and train moderate Syrian rebels to fight the ISIS extremists, effectively shifting a covert operation by the CIA to a mission led by the Defense Department.

Such authority comes under Title 10 of the U.S. code, which deals with military powers, and Congress could vote on granting it next week. Approval also would allow the United States to accept money from other countries for backing the Syrian opposition forces.

Most voices in Congress back strong U.S. action against the ISIS fighters. However, any vote on military action can be risky, especially with congressional elections less than two months off.

CNN's Chelsea J. Carter, Dana Bash, Faith Karimi, Josh Levs, Jim Acosta, Diane Ruggiero, Elise Labott and Kevin Liptak contributed to this report.

@highlight

President Obama expands airstrikes against ISIS to Syria

@highlight

He announces more military advisers to Iraq in a nationally televised address

@highlight

CNN's Jim Sciutto says the President reverses previous stances

@highlight

"A very difficult speech for him," CNN's Gloria Borger says