Washington (CNN) -- A leading Senate conservative said Sunday he can accept tax reform that increases overall tax revenue as part of a comprehensive deficit reduction plan.

Republican Sen. Tom Coburn of Oklahoma told the NBC program "Meet the Press" that if lowering tax rates and eliminating loopholes and deductions ended up bringing in more money to the U.S. government, "that would be fine with me."

Asked about a pledge he signed previously against any kind of tax increase, Coburn said his more important pledge was to do what's best for the country. He also noted that political reality dictated the need for bipartisan support for any agreement to pass.

"This isn't about politics as normal," Coburn said. "It's about making a decision now that is urgent."

Coburn is one of six senators taking part in bipartisan talks on a deficit reduction blueprint. While they have yet to reach final agreement, the senators participating in the so-called "Gang of Six" want their work to serve as an impetus for both sides to meet somewhere in the middle on the deficit reduction issue.

Another member of the Senate negotiators, Budget Committee Chairman Kent Conrad of North Dakota, told reporters that increased revenue must be part of a deficit reduction plan.

As an example of the tax reform under discussion, Conrad told reporters the plan would limit the mortgage interest deduction to a maximum of $500,000 worth of mortgage and only on a principal residence, not a second home. Under current law, the amount of mortgage held by a married couple eligible for interest deduction is $1 million, and that can apply to a second home.

The deficit reduction debate is central to two key spending issues coming up before Congress -- increasing the amount of money the government can borrow, and passing a federal budget for fiscal year 2012, which begins October 1.

The U.S. debt is expected to hit the country's $14.3 trillion ceiling next month, though congressional leaders say the Treasury can take steps to put off the deadline until early July.

Conservative Republicans are demanding significant deficit reduction steps attached to the debt ceiling measure before they'll vote for it.

"I will vote 'no' on raising the debt ceiling unless we have comprehensive, dramatic, effective and broad- based cuts to federal spending, including the reform of entitlement spending," Sen. Mark Kirk, R-Illinois, said on the CBS program "Meet the Press."

President Barack Obama and Democratic leaders oppose linking the debt ceiling measure to political issues, warning that a failure to raise the debt limit would amount to a U.S. default that would shake global markets, raise interest rates and stall or reverse economic recovery.

"We will raise the debt ceiling because the alternative, as every expert economist agrees, would be catastrophic for our economy, for our credibility around the world, for the bond markets and for the world economy," Democratic Sen. Richard Blumenthal of Connecticut told CBS. "So I think the only question is really whether raising the debt ceiling will be tied to spending reductions."

However, Coburn and Republican Rep. Joe Walsh of Illinois, a Tea Party conservative elected last November, rejected the Democratic argument that the debt ceiling must be raised, saying the government has enough money to pay its debt obligations, at least for a few months.

"It's being overstated," Walsh, speaking on the CBS program, said of Democratic warnings of potential economic catastrophe.

"Three or four times over the course of the last 20 years, Congress has voted not to raise the debt ceiling, and it's taken a few months and then they've come together and they've raised it," Walsh said. "But over the course of those few months when the debt ceiling wasn't raised, Armageddon didn't hit. The government paid its bills. We've got enough government revenues to certainly pay -- to service all of our debt. And the administration knows that."

So far, House Republicans have passed a 2012 budget proposal that would slash nonmilitary spending and overhaul Medicare and Medicaid while lowering tax rates with no revenue increase. The GOP plan drafted by House Budget Chairman Paul Ryan of Wisconsin would cut deficits by more than $4 trillion over 10 years.

Obama and Democrats reject the Republican plan as an imbalanced approach that would put the burden of deficit reduction on senior citizens and the poor. Instead, Obama proposes cutting deficits by $4 billion over 12 years through cuts in both military and discretionary spending, increasing the tax burden on families making more than $250,000 a year and adjusting the Medicare and Medicaid government-run health care systems for the elderly and the poor.

The Gang of Six negotiations focus on a deficit reduction plan compiled last year by a commission appointed by Obama that calls for increased revenue through tax reform, spending cuts in all areas and reforms to all the entitlement programs.

Asked if the Senate talks were approaching a consensus, Conrad told NBC: "If we don't have an agreement soon, we won't be relevant to this discussion.

"We intend to be relevant," he said, adding: "We have made enormous progress in this group, and it is the only bipartisan effort that is under way. And at the end of the day, it has to be bipartisan or nothing is going to happen."

CNN's Tom Cohen and Joana Godinho contributed to this story.

@highlight

NEW: Republicans reject warnings of catastrophe without a higher debt ceiling

@highlight

Conservative senator breaks from his previous pledge of no tax increase

@highlight

Tax reform would lower rates and end loopholes, Sen. Coburn says

@highlight

Coburn is one of six senators in bipartisan talks on deficit reduction