Beijing, China (CNN) -- In a round-table meeting with government advisers and researchers of a government-run think tank on April 14, Premier Wen Jiabao enjoined them to listen to people's voices and relay these truthfully to top leaders.

Wen's call to speak the truth comes at a time when the Chinese authorities are rounding up dissenters and muzzling whistle-blowers. A contradiction?

Analysts say Wen's statement is designed to counter public scepticism and to warn officials against lying or pandering to higher ups. Others suggest it may just be part of Beijing's crisis management.

A People's Daily commentary explains that Wen's appeal is meant to elicit accurate assessment of the situation so authorities can deal with problems effectively. "I don't think it is in contradiction to the party's crackdown on dissents," says Wenfang Tang, a political science professor at Ohio University. "Wen is trying to promote the legitimacy of the party, at least on the surface, whereas the dissidents want to destroy it."

In recent years, China has seen communist governments in Georgia, Ukraine and Kyrgyzstan swept by political turmoil called the "color revolution". Beijing has also watched authoritarian regimes in the Middle East and North Africa toppled by popular uprisings. The fall of these regimes has raised the spectre of a Chinese "jasmine revolution."

That does not seem likely--yet. More than 30 years after Chairman Mao's death, the Communist regime has built one of the most successful authoritarian governments in the world, delivering double-digit economic growth while keeping its one-party grip.

Still, China's leaders fear outbreaks of luan (chaos). "They are not complacent," says a retired Communist Party official, who declined to be identified. "They may disagree on the ways and means but they agree on one goal that anti-government acts will be nipped in the bud at all cost. They do not care what other people and countries will say."

They have good reasons to fret. The country is grappling with high inflation, endemic corruption, growing pollution concerns and a widening gap between the rich and the poor. They fear outbreak of ethnic strife in Tibet and Xinjiang, which experienced bloody street riots in 2008 and 2009, respectively.

China's leaders have been trying to ease the pressure. "Their calculation is that if the government can keep the economy growing and jobs and wages increasing, the legitimacy of the CCP will be maintained," says China-watcher Drew Thompson. "But the challenges of growing social injustice, environmental damage and sustaining high economic growth will continue to haunt the leaders."

To avoid its own "jasmine revolution," Beijing is taking firm measures to nip dissent in the bud. Police have detained scores of dissidents, including lawyers and prominent artist Ai Weiwei. Censors block Internet and social networking sites like YouTube, Facebook and Twitter. At the same time, Chinese leaders try to project a sense of calm and normalcy. Party insiders say this tactic is known as neijin waisong--"tight inside, appearing lax from the outside."

At the press conference at the end of the annual session of China's legislature last month, I asked Premier Wen if he thought political reform was urgently needed so the leadership could better address the people's grievances and avert social unrest. The solution, he replied, was political reform--but reform that is gradual and led by the Communist Party. "It's not easy to pursue political restructuring in a country of 1.3 billion people," he said. "It needs to take place in an orderly way, under the leadership of the party." Wen added: "At present, I think the biggest danger lies in corruption, and eliminating the breeding ground of corruption needs systemic and structural reform."

Premier Wen is not necessarily pushing for radical political reforms, analysts say. Instead, says the retired Communist Party official, "he advocates transparency and accountability so as to effectively solve problems, avoid chaos and consolidate the Party's leadership."

Wen's admirers say he is a reformist at heart. However, he sounds like a lonely voice among China's top leaders. Wu Bangguo, chairman of China's parliament and No. 2 in the party's hierarchy, in March ruled out the possibility of a multi-party democracy in China.

Says Professor Wenfang Tang: "The question is whether Wen's effort to promote inner-party democracy will have a spill-over effect on political opposition outside the party. His style is different from Hu Jintao's and other technocrats. He is emotional and immensely popular, likes to appear in front of cameras and create sound bites."

Some observers wonder if Wen's pronouncement is just part of a "good cop, bad cop" charade, with Wen playing the reform-minded leader and President Hu Jintao playing the hard liner.

But there may be one other reason why the 69-year-old Wen feels freer to speak out in recent months. His two five-year terms will end in March 2013, after which he is expected to go into semi-retirement.

@highlight

Premier Wen Jiabao tells government advisers and researchers: "Speak the truth"

@highlight

Comes at a time when Chinese authorities are rounding up dissenters

@highlight

Beijing has built one of the world's most successful authoritarian regimes

@highlight

Official: "(Wen) advocates transparency and accountability so as to ... solve problems"