NEW YORK (CNN) -- The man tapped as Afghanistan's next intelligence chief faces allegations of drug trafficking and torture that stem from his work as a powerful official in the rough-and-tumble Taliban-birthplace of Kandahar, according to testimony from a top Canadian diplomat and other sources familiar with the new appointee.

A staunch Karzai loyalist and anti-Taliban fighter known for his experience and heavy-handed tactics, Asadullah Khalid is the country's minister of tribal and border affairs who oversees its southern security forces.

On Sunday evening, President Hamid Karzai officially nominated the Pashtun leader as head of the National Directorate of Security.

But last week, top-level government leaks regarding the president's choice stirred controversy in the region and protest from rights groups.

Dogged by accusations of abuse and trafficking, Khalid must still pass a legislative vote of confidence before assuming the coveted leadership post atop the country's main intelligence agency.

Afghan president dismisses intelligence chief amid cabinet shakeup

Much of the concern stems from the testimony of Richard Colvin, Canada's former deputy ambassador to Afghanistan, who worked directly with Khalid while he was governor of Kandahar from 2005 to 2008.

In 2009, Colvin testified before Canada's parliament that his team had uncovered "very credible" evidence of torture being used by Afghan authorities in Kandahar, which allegedly included Khalid's direct involvement.

"He was known to us very early on, in May and June 2006, as an unusually bad actor on human rights issues. He was known to have had a dungeon in Ghazni, his previous province, where he used to detain people for money, and some of them disappeared," Colvin said in his testimony. "He was known to be running a narcotics operation. He had a criminal gang. He had people killed who got in his way."

The Canadian diplomat also testified that "in Kandahar we found out that (Khalid) had indeed set up a similar dungeon under his guest house."

"He acknowledged this. When asked, he had sort of justifications for it, but he was known to personally torture people in that dungeon," said Colvin.

A high-level diplomatic source, who declined to be named, said a more recent independent review offered "credible evidence that (Colvin's account of Khalid had indeed) occurred," though the source declined to elaborate beyond what was already in the diplomat's public testimony.

The Canadian inquiry was formed as a result of a complaint into whether detainees captured by Canadian soldiers and handed over to Afghan authorities in Kandahar were being mistreated.

The investigation led to a new agreement in which Canadian officials were allowed greater access to Kandahar prisons, but it also shed light on the nature of NATO's partnerships in the volatile Afghan south.

Canada's forces had been largely deployed to Kandahar, considered the Taliban heartland, which borders Pakistan and is thought to be essential to Afghan national security.

A second source, who agreed to be identified only as a former Western official with considerable knowledge of Kandahar, said "it was widely believed that (Khalid) got his hands dirty and did some of this (torture) himself."

But Khalid has rejected those accusations, blaming them on enemies threatened by his success.

"I know there is nothing (in terms of evidence)," he said last week. "This is just propaganda about me."

Karzai's office also called the accusations false. But Human Rights Watch weighed in on Friday and called on the Afghan president to "drop reported plans to appoint a senior official linked to torture," referring to Khalid.

"He's viewed as a pretty brutal, but reliable person to be fighting Taliban," said the high-level diplomatic source, who declined to be named citing the sensitivity of the matter. "When you see he was put into Kandahar after Ahmed Wali Karzai got killed, that's significant."

Wali Karzai, the president's half-brother and once a powerful southern political figure, was gunned down by a bodyguard in Kandahar last year. The Taliban claimed responsibility, though reports later surfaced that the killing may have instead stemmed from an internal dispute.

Still, his death sent shockwaves across Afghanistan at a time when Taliban fighters appeared to be using assassination tactics against high-profile targets, many of whom were allied to the president.

Analysts say Khalid's redefined role over southern security forces may have afforded Karzai a needed ally, particularly in the absence of his younger brother. But it may have also cast Khalid as a more prominent figure leading up to the nation's presidential elections, which are slated for 2014.

"One possible course of action is that Karzai tries to retain power through a successor who is beholden to him -- sort of the Medvedev model," said Sarah Chayes, a senior associate at the Carnegie Endowment for International Peace, referring to how Russian President Vladimir Putin anointed Dmitry Medvedev as his successor in 2006.

"Khalid is a candidate for that role. Moving him up to a more prominent and responsible position would advance that possibility," said Chayes, who first met Khalid when he was appointed as Kandahar governor in 2005.

But abuse allegations surrounding the former governor are expected to renew old questions from Western allies, just as NATO eyes its 2014 withdrawal from Afghanistan.

Considered an ambitious man despite dropping out of Kabul University, Khalid joined legendary Taliban-fighter Ahmad Shah Massoud, known as the "Lion of Panjshir," before the U.S.-led invasion in 2001.

He later worked in conjunction with U.S. Special Forces in southern Afghanistan, according to a former senior Afghan official, who declined to be named, citing security concerns.

"He's thought of as a do-er, a field person. Not a desk person," the ex-official said.

"And he is also one of the only ministers I know to travel to Kandahar by road," a reference to the region's perilous roadways that are often lined with improvised explosives.

But the former official added that he knew of no evidence to support allegations of Khalid's direct involvement in torture.

"Yes, there were people beneath him who made mistakes, but I have no evidence that he was directly involved," he said.

The U.N. Mission in Afghanistan estimates that torture has occurred with considerable frequency in Afghanistan, and says it is a particular problem within the country's intelligence services.

It found "compelling evidence that 125 detainees (46%) of the 273 detainees interviewed who had been in NDS detention experienced interrogation techniques at the hands of NDS officials that constituted torture," according to a U.N. report.

Torture, the U.N. said, "is practiced systematically in a number of NDS detention facilities throughout Afghanistan."

The NDS is Afghanistan's main intelligence agency and reports directly to the president and National Assembly.

If confirmed, Khalid's ascension atop the agency would bring a practiced Taliban-fighter and well-connected senior official to a security post critical to the president's inner circle.

Others who know him say allegations of abuse and drug trafficking are unfounded.

"He's too smart for that," said the former chief of staff of Kandahar's chief of police.

The former chief of staff, who goes by the last name Afghan but asked to keep his first name anonymous for security reasons, said Khalid "didn't need private prisons."

"He had the NDS," Afghan said. "And he was really good at intelligence in Kandahar."

Afghan also noted that the regional NDS chief reported directly to both Kabul headquarters and to Khalid, a practice thought to be commonplace in Afghanistan.

Private detention centers did exist, and likely still do, he said, but just not under Khalid.

For instance, a former Kandahar governor -- prior to Khalid -- had once maintained a private prison in Kandahar City across from his office, said Afghan, who noted residents were "constantly complaining to us" that they or their friends or their family members had been tortured.

"People were taken out and questioned, hanged to death and beaten to death," he said.

However, the prison was apparently removed when Khalid assumed power in 2005, Afghan added. CNN could not independently verify that account.

If confirmed, Khalid would take over from Rahtamullah Nabil, 42, whose two-year term has expired. Nabil's predecessor, longtime intelligence chief Amrullah Saleh, is now an opposition leader.

Meanwhile, Karzai on Sunday also floated replacement possibilities at the Ministries of Defense and Interior, which have been vacant for weeks.

Bismillah Khan Mohammedi, a well-connected Tajik leader with robust ties to the Afghan army and police, was tapped to head up the Defense Ministry, Karzai's office reported.

But that move is also expected to stir discord among parliament lawmakers who recently dismissed Mohammedi from his post atop the Interior Ministry.

"This is classic Karzai, and trial balloon floating," said Stephen Biddle, a senior fellow at the Council on Foreign Relations. "It could be to placate Tajiks. But it's also entirely plausible that he's floating an idea that he expects to be shot down."

"In Afghan politics, these things are often four levels of gamesmanship," said Biddle.

The cabinet shakeup comes just one month after Karzai earned international praise for a sweeping set of proposed reforms meant to stem corruption in the war-wracked country. But his moves have also raised new questions about Afghanistan's rising political players, particularly those expected to take over in the wake of the NATO withdrawal.

@highlight

Asadullah Khalid is accused of drug trafficking and torture

@highlight

President Karzai has nominated him to lead National Directorate of Security

@highlight

Canadian official says Khalid a torturer; other sources say that's not correct