(CNN) -- Cecilia Lopez, a student who is the first person from her family to go to college, sees something of herself in the first Hispanic woman to be nominated to the U.S. Supreme Court.

Judge Sonia Sotomayor would be the first Hispanic person to serve on the Supreme Court.

"To me, as a student that comes from a low-income background, I think she's a true example of the fact that when you're wanting to achieve something, it's truly possible, regardless of your background," said Lopez, a 20-year-old senior at the University of Texas.

On Tuesday, President Obama nominated Sonia Sotomayor, a woman of Puerto Rican descent, to the U.S. Supreme Court. If confirmed, Sotomayor will be the first Hispanic person and only the third woman to serve on the nation's highest court.

In the wake of the nomination, Hispanics celebrated Sotomayor as a symbol of success and also as a reflection of the changing demographics of the country. In a sense, she is the Hispanic community's answer to Obama's narrative -- a sign that, as Lopez said, anything is possible in America if a person works hard enough, no matter their race or economic situation.

Sotomayor, 54, a federal judge in New York, rose from humble beginnings. She grew up in a South Bronx housing project, supported by her mother, who worked six days a week. Sotomayor has called her mother her inspiration and said she instilled in her the values of education.

Sotomayor went on to attend Princeton University and Yale Law School.

Her story of battling past obstacles is an inspiration for all Hispanic people, said Roberto Ramirez, president-elect of the Puerto Rican Bar Association.

"It would be hard for anyone to argue that somehow merit and talent and commitment and perseverance ... does not ultimately yield the kind of achievement that is recognized by everyone," he said.

Although it may not be possible for everyone to succeed against the odds, "at this juncture, we are closer to the ideal than we have ever been," Ramirez said. Gender, ethnicity and socioeconomics are no longer the obstacles they once were, he said.

Advocacy groups had been putting pressure on Obama to nominate a minority to fill the Supreme Court seat being vacated by retiring Justice David Souter.

Minorities on the court have been rare in its 220-year history. All but two of the 110 justices have been men, and only two of them have not been white, according to CNN's political unit.

Ramirez said Latino people have been waiting a long time for a person of Latino descent to be nominated to the court.

But he said he's so excited now that the wait doesn't seem to matter.

"It's here! It is the right nominee. It is a woman who will make this country and the U.S. Supreme Court proud, so I'm not going to ask whether it was a long time coming," he said. "I'm just glad that it is here."

David Perez, a 23-year-old student at Yale Law School, where Sotomayor attended, said many people in the Hispanic community feel such excitement about the nomination that they're almost numb.

"People are going to remember where they were when they heard about this nomination," he said.

The nomination also makes the court a more accurate reflection of America's racial demographics, Ramirez said.

Hispanics are the largest minority group in the United States, and their presence is expected to continue to grow. About 12.5 percent of people in the United States were Hispanic in the 2000 Census, according to the U.S. Census Bureau. By mid-century, Hispanic people will make up nearly a quarter of the U.S. population, the bureau estimates.

Sotomayor's nomination "helps to create a tapestry of this country that is very reflective of the people who live in it," Ramirez said.

However, some conservatives in the Hispanic community said a judicial nominee's ethnic background and life story are not as important as his or her interpretations of the law.

"While it is laudable and desirable to have a Supreme Court that reflects a diversity of views and backgrounds, Justices must check these at the Supreme Court door," Raquel Rodriguez, a Miami attorney who was general counsel to former Florida Gov. Jeb Bush, said in a prepared statement. "Personal views must be surrendered in favor of applying the law."

Anne Guarnera, spokeswoman for the Hispanic College Fund, said Latinos are inspired by the fact that someone of their ethnic group is being portrayed in such a positive light.

Sotomayor will inspire young Latinas to chase their dreams, she said.

"I think her cultural background does give her an advantage in being a role model for these students," she said. "It's, in a way, redeeming or affirming to see someone who looks like you succeeding in the public sphere."

Lopez, the college student in Texas, said she always thought her dream of becoming a prominent Latina attorney was possible. But Sotomayor's nomination serves as proof, she said.

"It's always better when there's precedent and you feel that someone else has been able to do it; I can do it, too," she said.

@highlight

If confirmed, Sonia Sotomayor will be the first Hispanic person on Supreme Court

@highlight

Latinos herald the nomination as a victory for the minority group

@highlight

A Latina who wants to be an attorney says Sotomayor is an inspiration

@highlight

Law student says "people are going to remember where they were" on this day