(CNN) -- The European Court of Human Rights condemned Ireland's laws on abortion Thursday, ruling the country violated the human rights of a woman forced to go abroad to end her pregnancy.

It did not, however, recommend a change to Irish law, which prohibits abortion in all cases.

The woman, a Lithuanian national who was not named, was in remission from a rare form of cancer and unaware she was pregnant when she had a series of check-ups that are not advised during pregnancy, the court said.

She felt the pregnancy would cause a relapse of her cancer and was also concerned about the health of the fetus if she continued to term. She claimed she could not obtain clear advice about her options, so she decided in 2005 to have an abortion in England.

The woman said she suffered medical complications on her return to Ireland.

Having an abortion in Ireland carries a penalty of life imprisonment.

Women in Ireland are permitted to travel abroad for abortions and obtain information about their options for doing so. The Irish Supreme Court ruled in 1992 that abortion is lawful in Ireland if there is a risk to the mother's life, but the Irish Parliament has never passed a law guaranteeing that right.

The European court, located in Strasbourg, France, ruled that, by failing to allow the woman to have a lawful abortion in Ireland, the country violated her right to respect for her physical and psychological integrity, which falls under Article 8 of the European Convention on Human Rights.

At the same time, the court ruled Article 8 cannot be interpreted as conferring a right to abortion, which may come as a relief to defenders of the Irish ban. It had been thought a more serious ruling by the court could have challenged the country's laws on abortion.

The court ordered Ireland to pay the woman 15,000 euros ($19,800) in damages.

While the court condemned the Irish ban, it rejected the complaints of two Irish women who sued along with the Lithuanian national, saying there had been no violation of their human rights. It also dismissed the rest of the Lithuanian woman's complaints, which fell under Articles 2 and 3 of the human rights convention and concerned the right to life and prohibition of inhuman and degrading treatment.

Proving that her pregnancy posed a risk to her life required the Lithuanian woman to establish it either with her doctor or through the courts. The court said going to her doctor was "ineffective," however, because the criminality of abortion posed a "significant chilling factor" in any discussions about it.

"They both ran a risk of a serious criminal conviction and imprisonment if an initial doctor's opinion that abortion was an option, as it posed a risk to the woman's health, was later found to be against the Irish constitution," the court found.

"Ireland's failure to legislate to protect the rights of women has been clearly exposed by the European Court of Human Rights today," said Mark Kelly, director of the Irish Council for Civil Liberties, in a statement. "It is imperative that the government legislate swiftly to ensure that women are able to exercise their existing Constitutional rights.

"Yet again, it has required international intervention to remind our legislature of their domestic responsibilities," said Kelly, who is in Washington attending a global civil rights leaders meeting. "If Ireland wishes to reassert its sovereignty and its standing in the international community, it must start by fully respecting the human rights of people at home."

Irish Health Minister Mary Harney said in a statement Thursday that the government will have to legislate on the issue in the wake of the court's ruling. The government "will have to come forward with proposals, but it will take time," Harney said in an interview, according to the Irish government's website. She added it was a "highly complex area," but said she felt the ruling was a "binding judgment."

The Irish government argued the woman should have tried to go through the Irish court system to prove her pregnancy was a risk to her life, but the court said that would have been ineffective because it would be "inappropriate" to ask a woman to go through complex constitutional proceedings if her life was at risk.

The constitutional courts are also not able to determine whether a woman qualifies for a lawful abortion, the court said.

Neither avenue, therefore, allowed the woman effective and accessible ways to establish her right to a lawful abortion in Ireland, the court said.

The court also lamented the fact that a woman's right to an abortion in Ireland if her health is at risk has never been put into law.

Human Rights Watch praised the ruling as a "wake-up call to the Irish government" to regulate access to abortion.

"This morning the European Court established that this is not just tragic, it is a violation of human rights. And it must end now," said Marianne Mollmann, women's rights advocacy director at Human Rights Watch.

A January 2010 report from the human rights group says Irish women face financial, logistical, physical, and emotional burdens imposed by the laws of Ireland that force them to seek abortions abroad, without support from the state. The three women who brought the case in Strasbourg had personally suffered these ordeals, the group said.

"It is time for the government to end their ostrich mentality regarding abortion and start delivering on women's human rights," Mollmann said.

@highlight

The European Court of Human Rights rules the ban violated a woman's human rights

@highlight

She was forced to travel abroad for an abortion in 2005

@highlight

The court did not recommend a change in Irish law