(CNN) -- Search teams looking for Malaysia Airlines Flight 370 are investigating a number of sounds detected by ships in the southern Indian Ocean, authorities said Sunday, but it's not yet clear if any of them are from the missing plane's so-called black box.

A British Royal Navy vessel is on its way to an area where a Chinese ship reported picking up electronic signals twice, once on Friday and again on Saturday, said Angus Houston, the head of the Australian agency coordinating search operations.

And the Australian naval ship Ocean Shield, which has highly sophisticated equipment, is pursuing "an acoustic noise" that it detected in a different area, Houston said at a news conference.

He said the detections were "an important and encouraging lead," but he cautioned that they be treated "carefully" as they haven't been verified as being related to Flight 370.

Fevered search

Searchers are desperately seeking any clue about the location of the airliner that disappeared nearly a month ago with 239 people on board.

Up to 10 military planes, two civil aircraft and 13 ships will assist in Sunday's search for the airline. The Australian Maritime Safety Authority (AMSA) plans to search three separate areas Sunday about 2,000 kilometers (about 1,240 miles) northwest of Perth. That area totals about 216,000 square kilometers (83,000 square miles).

Australian planes are being deployed to the area where the Chinese ship, Haixun 01, picked up signals that would be consistent with those emitted by an aircraft's flight recorders, said Houston, the chief coordinator of Australia's Joint Agency Coordination Centre.

A number of white objects were sighted about 56 miles (90 kilometers) away from where the sound was detected, he said.

But he stressed that were was so far no confirmation that the signals and objects are related to Flight 370.

"In the days, weeks and possibly months ahead, there may be leads such as the one I'm reporting to you this morning on a regular basis," Houston, a retired air chief marshal, said.

Handheld hydrophone

Video on Chinese state-run CCTV shot Saturday shows crew members from the Haixun 01 boarding a small yellow dinghy and using what appears to be a handheld hydrophone. The three men on board lower the device into the water on a pole.

The handheld ping-locating technology used by the Chinese ship is not as versatile as a U.S. Navy towed locator, which goes as deep as 20,000 feet, far from surface noise, according to experts.

The U.S. Navy hydrophone -- or underwater microphone, is on board the Australian ship Ocean Shield, which recently joined the search for Flight 370.

The state-run Chinese news agency, Xinhua, said a detector deployed by the Haixun 01 patrol ship picked up the signal around 25 degrees south latitude and 101 degrees east longitude.

That puts it about 1,020 miles (1,640 kilometers) west-northwest of Perth, Australia, between current and previous search zones, and about 220 miles (354 kilometers) south of the closest of the three areas searched Saturday, said Judson Jones, a meteorologist with CNN International.

Houston said Sunday that the sounds were detected "in the high probability area."

White objects spotted

Also found Saturday -- spotted by a Chinese air force search plane -- were white objects floating near the search area.

Investigators have failed to link any of the many previous sightings of debris to the missing plane. But the proximity of the two finds raised hopes that this time might be different.

The ship first detected a signal Friday but couldn't record it because the signal stopped abruptly, a Shanghai-based Communist Party newspaper said. The signal detected Saturday, the Jiefang Daily said, occurred at 3:57 p.m. Beijing time (3:57 a.m. ET) and lasted about a minute and a half. It was not clear whether the signal had anything to do with the missing plane.

A China Central Television correspondent aboard the Haixun-01 (pronounced "high shuen") reported that the 37.5 kHz signal was detected for a minute and a half.

Fleeting acoustic

Houston confirmed the two separate detections and said they showed "some promise."

But the signals picked up by the Chinese searchers were "fleeting acoustic events," he said. "It's not a continuous transmission. If you get close to the device, we should be receiving it for a longer period of time."

The signal "is the standard beacon frequency" for the plane's cockpit voice recorder and the flight data recorder, said Anish Patel, president of pinger manufacturer Dukane Seacom.

"They're identical."

The frequency was chosen for use in the recorders "to give that standout quality that does not get interfered with by the background noise that readily occurs in the ocean."

But he said he would like to see more evidence. "I'd like to see some additional assets on site quickly -- maybe some sonobuoys," he said, referring to 5-inch-long sonar systems that are dropped from aircraft or ships.

And he said he was puzzled that only one signal had been detected, since each of the recorders was equipped with a pinger, which is also called a beacon.

No confirmation

Other experts cautioned that no confirmation had been made that the signal was linked to the missing plane.

"It ought to be easy to rule it in or rule it out, and they ought to go do it," said Mary Schiavo, a CNN aviation analyst and a former inspector general for the U.S. Department of Transportation.

Saturday's leads came as concern was rising that the batteries powering the missing Boeing 777's locator pingers would soon go dead. The plane disappeared on March 8; its batteries were guaranteed to work for 30 days underwater, and are predicted to die slowly over the following days. Monday marks day 30.

The batteries on Flight 370's black boxes were due to be replaced in June, the Malaysia Airlines chief executive said Saturday.

"We can confirm there is a maintenance program. Batteries are replaced prior to expiration," Ahmad Jauhari Yahya said.

Relative reacts

The tentative nature of the first report of an acoustic signal was not lost on one Chinese relative of one of those aboard. "There is not confirmation, and we are all waiting patiently," the relative told CNN Producer Judy Kwon in a text message.

Still, Malaysia's acting transport minister, Hishammuddin Hussein, was sanguine: "Another night of hope-praying hard," he tweeted in response to the initial detection.

"We've had a lot of red herrings, hyperbole on this whole search," said oceanographer Simon Boxall, a lecturer in ocean and earth science at the University of Southampton. "I'd really like to see this data confirmed."

If this proves to be what investigators have been searching for, "then the possibility of recovering the plane -- or at least the black boxes -- goes from being one in a million to almost certain," he said.

But, he added, "It could be a false signal."

CNN aviation analyst David Soucie was less skeptical. "This is a pinger," the airplane accident investigator said. "I've been doing this a lot of years, and I can't think of anything else it could be."

CNN's Tom Watkins, Laura Smith-Spark, Tom Cohen, Miles O'Brien, Pam Boykoff, David Molko, Will Ripley, Ingrid Formanek, Kevin Wang, Ben Brumfield, Pam Brown and Elizabeth Joseph contributed to this report.

@highlight

NEW: A Chinese ship picked up a signal on Friday and Saturday, authorities say

@highlight

NEW: An Australian naval vessel is pursuing a more recent detection in a separate location

@highlight

NEW: An official calls the sounds "an important and encouraging lead" but urges caution

@highlight

Up to 10 military planes, two civil aircraft,13 ships will assist in Sunday's search