(CNN) -- Sitting inside the quaint tasting room of Chateau O'Brien, an award-winning French-style winery in the Blue Ridge Mountains of Northern Virginia, co-owner Debbie O'Brien pours some of the best red wine in the region.

The original structure for Chateau O'Brien was an old French farmhouse that Howard O'Brien, Debbie's husband, transformed into a first-class winery known for its large copper doors, wrap-around sundeck and rich aged wines that include a medium-bodied Malbec, a full-bodied Cabernet Franc, an elegant Petit Verdot, and the fast-selling Tannat Limited Reserve and Late Harvest Tannat.

The secret to Chateau O'Brien's success: "We grow our own grapes," said Howard O'Brien, who owns three sprawling Virginia vineyards.

Chateau O'Brien is one of about 230 wineries in the state, many of them small, boutique operations that specialize in regional wines. Virginia is relatively new to the wine-making industry by European standards, but it's quickly gaining notoriety among wine enthusiasts from across the country. Virginia ranks fifth in the nation for number of wineries and for wine grape production.

As evidence of the emerging quality of Virginia wines, the U.S. Treasury Department designated Middleburg, Virginia, as the newest American Viticulture Area.

Many wineries in Northern Virginia are situated about 50 miles from Washington, which makes the experience great for day trips or weekend retreats.

Tasting fees at most Northern Virginia wineries range from $6 to $15 per person, and while some Virginia wine loyalists are somewhat optimistically comparing the region to Napa Valley and Sonoma, there are indeed several standouts that can compete with some of the nation's better wineries.

Take Delaplane Cellars, a family winery owned by Jim and Betsy Dolphin that boasts panoramic views of the Northern Virginia mountains in a spacious, contemporary setting. At Delaplane, the wine is tasty and the amenities don't stop at the views: The homemade sausage is excellent and the Dolphins also serve generous portions of olive oil and freshly ground pepper for dipping. On weekends, Delaplane pairs tastings with live jazz.

Wines at Delaplane Cellars include crisp whites like Chardonnay and Viognier and complex red wines that include Melange Rouge, William's Gap Reserve, and Cabernet Franc.

"All of our wines are made from authentic Virginia grapes," according to Delaplane's website. "Our goal is to craft delicious single vineyard wines."

It must be working.

On a recent visit to Delaplane Cellars, the large tasting room was crowded and every table overlooking the mountains was filled. I overheard several people talking about how much they enjoyed the wine, and a couple next to me bought six bottles immediately after their tasting. Don't leave without trying the Cabernet Franc with the homemade sausage; it's a real treat.

If you want to bring the kids along, consider Barrel Oak Winery, a family-friendly operation where you can take your own picnic lunch. The winery also offers complimentary juice boxes for children.

For red wines only, visit Boxwood Wineries in Middleburg, Virginia, a picturesque property owned by John Kent Cooke, the former owner of the NFL's Washington Redskins. The winery features Merlot, Malbec, Cabernet Franc, Petit Verdot and Cabernet Sauvignon. Boxwood has received three Decanter Magazine World Wine Awards and has been featured in The Washington Post and Washingtonian Magazine.

But for customers seeking a personal touch, there's an unexpected pleasure that comes with visiting Chateau O'Brien: The O'Briens.

Howard, a passionate wine expert from New York, and Debbie, a charming businesswoman from Alabama, both enjoy conversing with customers and keeping them smiling.

Debbie, who is extremely familiar with the art of wine-making, also prepares snack offerings such as ham and cheese croissants, fine cheese plates, fresh baguettes and gourmet chocolates to pair with wines that age two or three years in French oak barrels. On March 9 and 10, the winery is hosting a St. Patrick's weekend celebration with live Irish music and traditional Irish fare for $25 per person.

Since Chateau O'Brien opened in 2006, the O'Briens are fast becoming known for their Tannat, a grape traditionally grown in Southern France and Uruguay. Since the Tannat flourishes in humid climates, Virginia is the perfect region to harvest the grape. O'Brien's Tannat has won awards in New York and internationally.

"We wait for the grapes to become ripe, not when it's convenient to serve the wine," O'Brien said. "It's all about the fruit -- and patience."

Here's a tip: Spend a few extra bucks ($35 per person) for the private tasting in Howard's stone-covered cellar where he regales guests with stories from long ago summers and serves fine wine only sold in the private cellar. You won't regret it.

Wine country stays

Consider staying in Paris -- Paris, Virginia, that is. The Ashby Inn & Restaurant is only a 10-minute drive from Delaplane Cellars. It's a great place to spend one night or a weekend after visiting Virginia's wineries and driving through the countryside. The inn offers 10 charming rooms on three acres -- six rooms in the main house and four in the school house. The restaurant is open for breakfast, lunch and dinner. Take time out to rent a bike and pedal quietly around the peaceful grounds or drive 20 minutes to the nearest golf course.

For a more upscale hotel experience and a romantic getaway, try the Goodstone Inn & Restaurant in Middleburg. It's a bit pricey, but for special occasions like birthdays, anniversaries or Valentine's Day, you won't be disappointed.

The property sits on 265 acres of rolling pastures in the shadows of the Blue Ridge Mountains. There are 18 rooms in six separate cottages. The rooms are beautiful and well-appointed, some with Jacuzzis. There's also a common area downstairs, a full kitchen with utensils and refrigerators stocked with bottled water. Get a room on the top floors for better views. The restaurant serves great food for breakfast, lunch and dinner.

Take a stroll around the property, swim in the pool, and here's a tip: Grab a bottle of wine and a blanket and pick your spot on the sprawling pasture at sunset. Watching the burnt-orange sun slowly dropping behind the mountains is a perfect end to a great day.

@highlight

Virginia is home to about 230 wineries

@highlight

For a quick getaway from D.C., try one of Northern Virginia's friendly tasting rooms

@highlight

Chateau O'Brien in Markham is gaining recognition for its Tannat wines