A California artist is turning people into paintings.

Alexa Meade skips the canvas in her artwork. Instead, she physically paints on human subjects -- on their clothes, their shoes, their skin, their hair. Then she places them in a real-life setting and photographs it.

The result is an image that looks like a painting within a photo. It's an optical illusion that blurs the lines of where reality ends and art begins.

"We are so used to taking things at face value. And then all of a sudden, something defies your perception. It makes you rethink what you've seen there," Meade said.

Meade's work comes together in four steps -- painting, photography, art installations and performance art.

"I like for my work to create this living element. When you look at a photo of one of my installations, you see the painted thing but then you actually see the person coming through it," said the 27-year-old, who lives in Los Angeles.

"You see the eyes, the hair, and these signs of life. It creates this beautiful tension between the painted surface and the photographed person beneath it."

A chance career

Meade's talent for turning a three-dimensional scene into what looks like a two-dimensional painting almost went unnoticed.

"A lot of people ask me where I went to art school, but I didn't study art. I studied politics," said the Vassar College graduate. "I set up this really comfortable career path for myself ... but I realized I'd always dreamed of being an artist. ... At 22, I decided that I would pick this up and make it my job to teach myself how to paint."

Instead of sitting behind a desk, Meade ended up in her parents' basement in Washington, painting on grapefruits, fried eggs and sausage. She started painting on people by chance.

"When I originally started this project, the idea was to capture shadows. I started putting black paint down on shadows and then I started putting black paint on people on the shadows," she said. "Before I knew it, I was turning people into paintings."

But following her passion meant finding creative ways to make a living.

"Making art is something that comes out of you, but the job of being an artist is something completely different," she said. "It was really terrifying going from this idea of having a steady job trying to make a career in politics to becoming an artist. ... I've had to be quite entrepreneurial with figuring out how I could support myself through my artwork."

When Meade first started her career, she didn't have any art shows. So she created one. She painted a man in her basement and then photographed him on the D.C. subway.

"It was like the greatest art opening ever. Everyone was asking what was going on and taking photos," she said. "The art show on the subway turned out to be one of my most iconic pieces of work."

A boost from the Internet

Meade got her big break when a post about her work went viral.

"There was this blog post ... on body painting. And my friend wrote in the comments, 'You should check out Alexa Meade's work,'" she said. "The next day the blogger posted a photo of my work, a 12-word caption and a link to my website. And then all of a sudden overnight it went totally viral. I was getting phone calls from all over the world."

The exposure eventually led to her to giving a speech at the 2013 TEDGlobal conference in Edinburgh, Scotland.

"Being able to share my story at the TED conference has allowed almost 2 million people now to watch the video and learn about what I do," Meade said.

With all the buzz on the Internet, Meade no longer has to search for people to model for her.

"When I first started out, it was impossible to get people to model for me," she said. "But now I have a waiting list of over a thousand people."

Meade has made a name for herself through exhibitions, commissioned portraits and special projects, such as painting a MINI Cooper on the streets of Tokyo. She also sells limited-edition prints on her website.

"It's always a risky thing to go for the improbable," she said. "But there's this saying that I really love that is, 'Without risking the ridiculous, artists will never get anywhere beyond the pre-validated and mundane.' And I chose to risk the ridiculous."

@highlight

Artist Alexa Meade physically paints on human subjects

@highlight

Then she places them in a real-life setting and photographs it

@highlight

After her work went viral online, she was invited to give a TED talk

@highlight

Meade loves "beautiful tension" between painted surface and photographed person