(CNN) -- Bethlehem's Church of the Nativity, venerated by Christians as the birthplace of Jesus, could become the first World Heritage site in the Palestinian Territories, following a UNESCO meeting later this month.

The nomination, which includes the church and surrounding route taken by religious pilgrims, is the Palestinians' first bid for inclusion on the prestigious list of sites deemed as holding "outstanding universal value" as part of the world's shared heritage.

It comes after Palestinian membership to UNESCO, the United Nations' heritage body, was granted in October 2011, when UNESCO's general assembly voted by 107-14 to accept the Palestinians.

The vote proved controversial with the United States, which holds the view that a peace deal must be reached with Israel before the Palestinian Territories can be granted full membership of international organizations. The U.S. and Israel's subsequent funding cut to the body saw UNESCO lose more than a fifth of its revenues.

Bethlehem, situated in the West Bank, about eight kilometers south of Jerusalem, is considered the Palestinian Territories' top visitor destination partly due to the religious significance of the church. One of the oldest surviving Christian churches in the world, it drew 2 million visitors last year, according to Nada Atrash, an architect and head of the research and training unit at Bethlehem's Center for Cultural Heritage Preservation, which has been lobbying for the site's inscription as a World Heritage destination.

She said the center considered Bethlehem's inclusion on the list "as a Palestinian dream, and as a reward of 11 years of work in the field of preserving the cultural and natural heritage in Palestine."

See also: Book festival finally allowed into Gaza

Visitor numbers have hit record highs in recent years, but, according to a report into developing tourism in the town, Bethlehem has yet to properly capitalize on its potential. The majority of the visitors were day trippers on short visits, meaning the full economic benefits of tourism did not flow into the town.

Atrash said it was hoped that gaining World Heritage status would help efforts to boost Bethlehem's appeal as a destination and keep visitors in the town for longer than a visit to the church.

"We are mainly seeking to extend the stay of the visitors, who usually drop (in) to Bethlehem for few hours to visit the church and leave without visiting the town," she said. "We hope that this inscription would contribute to both the promotion of the site and its protection."

The condition of the church, which has suffered extensive earthquake damage in its history, has been of concern. One of the issues is that responsibility for its administration is shared between three religious authorities -- the Greek Orthodox, Armenian and Roman Catholic churches. On occasion, tensions between the groups have spilled over into violence; in December, about 100 Greek Orthodox and Armenian clerics fought with brooms when a tussle broke out while cleaning the church.

One of Christianity's most holy places, the site's focal point is the Grotto of the Nativity, a rectangular cavern beneath the church that has been considered the site of Christ's birth since at least the 2nd century. A 14-pointed silver star set into the marble floor marks the precise spot where Jesus is said to have been born.

In the 4th century, Emperor Constantine founded a church on the site, which was destroyed in the year 529, only to be replaced by larger structures, which form the basis of the church today.

UNESCO's World Heritage Committee will consider the Church of the Nativity among 36 sites nominated for inclusion on the list at its next meeting, to be held from June 24 to July 6, in St Petersburg, Russia.

UNESCO spokeswoman Susan Williams said it was not possible to predict the outcome of the meeting, where the committee would make its decisions "based on the information that is provided by the expert bodies, and the different presentations that are made."

"If the committee approves, it it's a done deal," she said.

For the first time in its 40-year history, members of the public and the media will be able to follow the debates of the Committee through live streaming on the internet.

Follow the Inside the Middle East team on Twitter: Presenter Rima Maktabi: @rimamaktabi, producer Jon Jensen: @jonjensen, producer Schams Elwazer @SchamsCNN and writer Catriona Davies @catrionadavies

@highlight

Seen as the birthplace of Jesus, Bethlehem's Church of the Nativity is one of Christianity's holiest sites

@highlight

It has been nominated to be declared a World Heritage site by UNESCO

@highlight

If approved, it will become the first Palestinian inclusion on the list

@highlight

Palestinian membership to UNESCO was granted last October