(CNN)You log on to a website and place a rush order. Minutes later, your order is processed and boxed at a warehouse. Within an hour, a speck appears on the horizon. It's an unmanned aerial vehicle -- commonly called a UAV or a drone -- and it's coming to deliver your order right to your front door.

It sounds like science fiction, but it's reality -- in fact, it happened this month in China, where e-commerce giant Alibaba launched a limited pilot program using UAVs to deliver to customers who ordered a specific brand of tea.

No one can say for sure whether drone delivery of consumer goods will become anything close to common. But it should concern every American when other nations are on the cutting edge of new technology and the United States is lagging behind.

Drone technology is literally taking off all across the world. Foreign governments have quickly embraced its potential and have passed safety rules allowing a diverse array of commercial users to operate UAVs. Alibaba experimenting with drones for delivery is just one high-profile example of UAVs' possibility. Already, UAVs are used to help increase crop yields on farms and to inspect wind turbines, power lines and offshore drill flares. The possible applications for UAVs in the future seem constrained only by the limits of human creativity.

But the United States has fallen behind in the race to explore where this new technology can take us. A big reason why is that we have been slow to adopt rules of the road for drones to address the understandable concerns some have over how best to guarantee safety and protect privacy. Indeed, safety and privacy are paramount and must be addressed in a comprehensive manner. Yet while other countries acted quickly to do so -- in some instances, years ago -- the commercial use of drones in the United States has remained illegal with the exception of a small handful of commercial users who have successfully filed for waivers at the Federal Aviation Administration.

At long last, this weekend, the FAA announced a proposed regulatory framework that would permit the commercial use of UAVs. Additionally, the Obama administration released a presidential memorandum outlining rules of the road for drone privacy. I'm pleased they have finally acted with these initial steps. Unfortunately, they are long overdue, and the pace of rule setting is inhibiting America's competitiveness in the UAV technology race. For us to remain globally competitive, there's not a moment to spare: The FAA should fast-track the approval of these safety regulations and privacy protections.

Until then, we'll diminish our ability to develop a potential economic driver -- and develop applications that could change the way we look at and solve some big problems. Imagine a firefighter using a UAV to gain a bird's-eye view of emergencies and use that new perspective to contain flames better. Or officials using a UAV to increase the efficiency of search and rescue operations for missing persons. Or American-made UAVs enabling the delivery of supplies such as medicine to remote, impoverished villages in the developing world, better enabling us to track and prevent diseases such as tuberculosis and Ebola.

For people in every corner of our rapidly changing planet, new technology is a powerful tool for economic empowerment and social mobility. Whether it's a UAV or something yet unimagined, emerging technologies are transforming the way the world works in the 21st century, providing businesses, individuals and governments with potentially game-changing opportunities.

America should embrace opportunities such as these, not sit on the sidelines as other countries reap the benefits of pro-innovation policies. As technology advances rapidly, government must pick up the pace and catch up. If we don't, the United States risks forfeiting our position as the world's technology leader.

@highlight

Sen. Cory Booker: Drone technology is literally taking off all across the world

@highlight

America should embrace the opportunities, Booker says