LONDON, England (CNN) -- Hip hop is one U.S. commodity that has made it past the trade embargo to Cuba.

Cuban rap duo "Doble Filo" say hip hop allows them to embrace social issues.

Cuba has developed a homegrown rap movement, inspired by the sounds and fashions of U.S. hip hop. But what makes Cuban rappers different is that rather than celebrating bling, girls and guns, their lyrics address social issues in a country where free speech is tightly controlled.

Cuban rap began to surface in the 1990s, a grassroots affair, with songs recorded in rappers' bedrooms and distributed on cassette tapes.

The island's fledgling hip hop scene was given a boost in 1999, when it was endorsed by the government as "an authentic expression of Cuban Culture."

In the following years the government set up the Cuban Rap Agency (CRA) to promote the scene, as well as a record label, "Asere Productions," and a rap magazine called "Movimiento."

Government approval helped Cuban hip hop emerge from the underground, but some see that endorsement as a gilded cage. Formed in 1996, rap duo "Doble Filo" ("Double Edged") have been part of the Havana scene since the beginning and work with the Cuban Rap Agency. But rapper Irak Saenz admits there are contradictions in being part of the system.

"It does limit our creative freedom," he told CNN. "The CRA has an agenda that goes with the government's agenda. It doesn't limit me but it does force me to be creative in how I express my ideas."

Along with fellow Cuban rap duo "Los Aldeanos" ("The Villagers") "Doble Filo" work with U.S. hip hop audio/visual label, Emetrece Productions.

But "Los Aldeanos", who formed in 2003, are part of a younger generation of Cuban rappers. They don't belong the CRA, and nor do they want to. They are defiantly underground and outspoken.

"Hip hop is an art form speaks the truth about how people are living," says Aldo Rodriguez, one half of Los Aldeanos.

Their track "Niñito Cubano" is about a young boy growing up during Cuba's "special period", when the fall of the Soviet Union brought hardship to the island.

Their forthright lyrics about life in Cuba don't make them any friends among Cuba's authorities, and that limits their opportunities on the island.

"Our lyrics don't always go with the standard Cuban rhetoric and often that won't get airplay," says Rodriguez. "I can be famous in other countries, but here they won't let me play a concert in a theater."

Listen to Doble Filo and Los Aldeanos here »

Doble Filo's Saenz has performed the U.S. with fellow Cubans "Obsesion", a tour that included playing on the same bill as U.S. rap stars Kanye West and The Roots.

He says that where his generation of rappers was forced to limit the way it talked about the realities of daily life, the new generation is bolder with its lyrics.

Bian Rodriguez, also known as El B, the other member of "Los Aldeanos," says hip hop gives voice to the concerns of ordinary Cubans.

"People tell me they need this music, not just because they can identify with what we are saying, but because they feel that maybe we can say things they might be afraid to say publicly," he told CNN.

Like most other Cuban rap groups, "Los Aldeanos" aren't yet in a position to make a living from their music. El B has won Cuba's Red Bull freestyle rapping championship three years in a row, but he still has a day job as a primary school teacher.

A lack of funds and equipment means the island's hip hop producers have to use a certain amount of ingenuity when it comes to recording their music. Doble Filo's producer Edgaro explains that in the group's early days, he would make tracks by looping the last few bars of songs on cassette tapes.

These days, Edgaro produces songs on his PC, but the software is pirated from copies brought into the country and circulated on the streets. It simply isn't available in the stores.

More about Cuba's arts: Carlos Acosta takes CNN on a tour of Havana. »

As the scene develops the groups are getting more ambitious. Doble Filo are now incorporating live musicians into their sound, weaving in elements of traditional Cuban music, and they are set to release their debut album "Despierta" ("Wake up") through Emetrece Productions.

Emetrece is run by Melisa Riviere, a Ph.D. candidate in the Anthropology Department at the University of Minnesota. More than just promoting good music, she says Emetrece is trying to educate, and to challenge the U.S. embargo on Cuba.

Like Cuba's rappers, she sees hip hop as a tool for social change. As El B puts it, "I think one of the things people take from the music is the idea that we can do anything, we can change anything, we can be anything we want."

@highlight

Cuba's homegrown rap scene is known for its socially conscious lyrics

@highlight

Rap groups "Doble Filo" and "Los Aldeanos" speak out about life in Cuba

@highlight

They say hip hop lets them talk about issues ordinary Cubans cannot