(CNN) -- The nation's suburban schools added 3.4 million students to their rolls over the past 15 years -- and nearly all of them were minorities, according to a study released Tuesday.

Jean Bonner teaches fourth-graders last month at Middleburg Elementary in suburban Washington.

Yet the new arrivals resulted in only a modest increase in the individual schools' racial and ethnic diversity, the study said.

"The school districts look like they are more diverse, but within your school districts, if the whites are in one school, the blacks in a different school and the Hispanics in yet a different school, it doesn't necessarily mean the suburban whites have more black and Hispanic classmates -- because they don't go to the same school," said Richard Fry, senior research associate at the Pew Hispanic Center in Washington, who wrote the report.

Using federal government data, Fry found that minority students made up 99 percent of the increase in suburban school enrollment between the 1993-94 and 2006-07 school years.

During that time, the student body at the nation's suburban schools went from 72 percent white to 59 percent white; from 12 percent black to 15 percent black; from 11 percent Hispanic to 20 percent Hispanic; and from 5 percent Asian to 6 percent Asian.

The diversity, however, is not reflected at the individual school level. For example, in 2006-07, the typical white suburban student attended a school whose student body was 75 percent white, down from 83 percent white in 1993-94, Fry wrote.

"So at a time when the white share of student enrollment in suburban school districts was falling by 13 percentage points, the exposure of the typical white suburban student to minority students in his or her own school was growing by a little more than half that much -- or 8 percentage points," the report said.

From another point of view, the typical black suburban student attended a school in 2006-07 that was 34 percent white, down from 43 percent white in 1993-94.

But Latino suburban students tended to become more segregated over the same time period -- in 2006-07, the typical such student was in a school that was 49 percent Latino, versus 42 percent Latino in 1993-94.

Suburban schools accounted for most of the change in demographics, according to the study, accounting for two-thirds of the 5.1 million increase in the number of students nationwide over that time period.

City schools tended to be more segregated than their suburban counterparts, the study said, with the typical urban black student attending a school with 60 percent black enrollees; and the typical Latino student attending a school with 63 percent Latino enrollment.

Minority students in rural areas and in towns tended to be more exposed to whites than were their suburban counterparts.

The typical black student in a town or rural area attended a school where whites composed 47 percent of the student body and blacks 44 percent. The typical Latino student in a town or rural area attended a school where whites made up 43 percent of the student body, and Latinos made up 47 percent.

Asians in suburban schools saw only a slight uptick in isolation -- from 23 percent Asian to 24 percent Asian over the time period.

However, "white students aren't going to school with as many black and Hispanic students as the aggregate school district enrollment numbers indicate," Fry said in a telephone interview.

School diversity has long been considered an important marker of racial equality in education.

"When students of different racial/ethnic backgrounds do not attend the same schools, the potential exists that they also may not attend the same type of schools, i.e., schools of similar quality and level of resources," Fry wrote. "Racial differences in school quality ... cannot exist if schools are racially balanced."

The study identified the nation's most-segregated suburban school district as Maywood-Melrose Park-Broadview 89 School District in suburban Chicago, Illinois, based on its "dissimilarity index" of 0.79.

That index means that 79 percent of the district's minority students would have to be moved to different schools in order for the schools' student bodies to mirror the ethnic makeup of the surrounding population, he said.

The 0.74 figure for suburban Atlanta, Georgia's, DeKalb County means "you would have to move about three-quarters of DeKalb County's black students to a different school" in order to get racial balance, he said.

Calls to school superintendents in both districts were not immediately returned.

"The suburbs seem to have grown a lot more diverse," Fry concluded. "The place you'd expect to see it is among kids. But when you actually look at where kids go to school, it's not clear that white kids are going to school with a whole bunch more different classmates than they used to -- a little bit more, but not as much as the aggregate measures would suggest."

@highlight

Minorities made up 99 percent of increase in suburban school rolls, study says

@highlight

Diversity rose, but typical white suburban students attend 75 percent-white schools

@highlight

Expert: Racial differences in schools "cannot exist if schools are racially balanced"

@highlight

Most-segregated suburban district lies in suburban Chicago, Illinois, study finds