Zlitan, Libya (CNN) -- Firefighters battled a blaze caused by NATO airstrikes at a food-storage complex Monday in Zlitan, increasingly a front-line city in the conflict between Libyan government troops and rebels fighting to oust longtime ruler Moammar Gadhafi.

The firefighters doused burning sacks of flour with water after bombs punctured the high roofs of three facilities packed with flour, rice and cooking oil in Zlitan, on the Libyan coast east of Tripoli. An unexploded bomb lay buried in the concrete floor of one of the buildings, beneath a hole in the ceiling where sunlight streamed through.

Zlitan is about 40 kilometers (25 miles) west of the opposition-held port city of Misrata, and the front line between the rebels and pro-regime forces is somewhere in between the two cities. Smoke rising on the horizon and the rumble of artillery in the east suggested that by Monday, the fighting had moved closer to the city limits.

"It's continuous bombing, morning day and night," said Fathi Amar, who stood armed with a radio and camouflage uniform at the entrance to the burning storage center.

No one was hurt in Monday's attack, Amar said. But he said five guards had been killed in another bombing run that struck the agricultural police center next door on Saturday, leaving little more than a heap of rubble. And another attack two days ago demolished what he described as a military base several hundred yards up the road, killing at least two people, he said.

Moments after a busload of international journalists arrived, a handful of Libyan men ran up before television cameras chanting the oft-repeated pro-regime slogan "Allah, Moammar, Libya, nothing else!" in Arabic.

When Libyan government minders last brought CNN to Zlitan about a week and a half ago, it was to see a large pro-Gadhafi rally in the city's main square. Crowds of Libyans waved green government flags, fired guns in the air, and fervently pledged their loyalty to their embattled leader.

But the scene was dramatically different Monday, as fire trucks and ambulances regularly raced through the city's largely deserted streets. Many shops appeared to be closed, and the ominous rumble of warplanes could be heard overhead periodically.

The NATO alliance says it has been hitting targets it describes as tanks, "military storage facilities" and artillery pieces in the vicinity of Zlitan on a daily basis for the past week. Officials from the embattled Gadhafi government also say the air strikes have intensified in frequency.

"People here call NATO the crazy one which lost its sanity," said Ramadan Mohamad Ramadan, an official from the local city government.  "It is waging wide-scale war on the people. They are destroying everything."

Ramadan was standing in front of the rubble of a health clinic that he said had been demolished by a pre-dawn attack on Monday. Several bulldozers dug through wreckage strewn with medical supplies, including syringes, medication and even a microscope.

Government officials said they were looking for the bodies of three people believed to be buried underneath, and said the bodies of eight people had been pulled out earlier in the day. Journalists did not see any evidence of dead or wounded at the site.

Barely 100 yards away, however, drivers had parked a number of pick-up trucks under the cover of olive trees. Some of the vehicles were smeared with mud and the equipment in their chassis covered with branches -- an apparent camouflage tactic seen used by both loyalist and rebel fighters around Libya. Uniformed troops could also be seen resting in the shade of the orchard.

Responding to the Libyan government's claims to journalists that a health clinic and food-storage facility had been hit, NATO had found no evidence to support the allegations, a NATO representative said.

NATO forces had hit a number of targets near Zlitan that were "military in nature" Monday, the representative said. "These targets were a command and control node and a vehicle storage facility that contained military vehicles.

"This is not the first time that such allegations have been made and as is the case with all NATO strikes a thorough damage assessment is conducted afterwards. As always great care is taken to minimize the risk of civilian casualties.

"We are always concerned by any reports of civilian casualties, take them seriously and the appropriate analysis will be conducted to ascertain the legitimacy, or otherwise, of these allegations."

In the afternoon, government minders brought journalists to the ruins of a mosque and school located in an all-but-deserted residential neighborhood several kilometers to the east of Zlitan's city center. An air attack clearly destroyed the compound, but there were conflicting reports from government minders regarding which week the strike took place.

As another small group of pro-regime supporters began chanting at the ruins of the school, the thud of big guns continued to rumble. One of the minders said NATO warships in the Mediterranean Sea were shelling loyalist positions, but it was impossible for CNN to confirm whether the fire was incoming or outgoing. Two vehicles loaded with women, children and belongings drove past the shattered buildings, heading west -- away from the fighting.

Suddenly, the unmistakable cloud from an air strike mushroomed up several miles away to the east. A four-door sedan, caked with mud and carrying several men wearing camouflage and carrying Kalashnikov rifles, drove past, also headed away from the direction of the front lines as the cloud from a second apparent air strike billowed in the distance.

"Come on, let's go," the minders repeated.  "We have to go, they could bomb us here any time," they said, some of them visibly nervous.

Monday's government tour of Zlitan was over, but the fighting there appeared to have barely begun.

CNN's Bharati Naik contributed to this report.

@highlight

NEW: NATO rejects claims it hit non-military targets near the coastal city of Zlitan Monday

@highlight

NATO airstrikes have pounded the city, about 40 km west of rebel-held Misrata, for a week

@highlight

"It's continuous bombing, morning day and night," one resident says

@highlight

Government minders took reporters to Zlitan Monday to view the damage