Keenan Steiner makes his way along Charlotte's secured streets, struggling to put on his tie and manage his monogrammed backpack at the same time.

The 27-year-old is on a mission: He's looking for a party.

Not just any party. He works with the Sunlight Foundation, a nonpartisan, nonprofit group that advocates for greater government transparency. His goal at the Democratic National Convention, as it was at the Republicans' confab in Tampa: to crash as many parties as he can, then blog about them.

Since 2008, his organization's Political Party Time website has been tracking exclusive, behind-the-scenes events where politicians and special interests meet, often out of the spotlight.

The groups hosting these events, Steiner says, hope to influence the outcome of the November elections -- as well as lawmakers' votes in Congress and state capitols.

By his count, there were at least 400 parties planned during the DNC and 200 during the Republican National Convention.

"All the big players are at the conventions at once," he says, "so it is sort of like being in the Washington party circuit on steroids."

Tonight Steiner decides to stop by Planned Parenthood Political Action Fund's "Sex, Politics, and Cocktails" party first.

The organization has been under recent attack from Republicans in Congress who have repeatedly tried to shut off federal funding for the organization's family planning efforts. The Planned Parenthood Action Fund, the group's political arm and official host of the party, has spent nearly $2 million during this year's election cycle -- most of it on negative ads against Republicans, according to the Center for Responsive Politics.

While groups like Planned Parenthood Action Fund spend millions to elect Democrats, groups like Americans for Prosperity work to put Republicans in power. Steiner has an issue with the laws that regulate these types of groups, because they're not required to reveal the names of the donors who ultimately pay for those ads.

"There is a real transparency issue here," Steiner says.

Steiner says he tried but failed to get into the Americans for Prosperity party in Tampa. Here in Charlotte he doesn't have a ticket, but he sees a friend outside the Planned Parenthood party who helps. He says he can usually talk his way into events.

At his friend's urging, security waves Steiner and his Sunlight Foundation colleague Liz Bartolomeo through. They even let them use the velvet-lined VIP line to bypass the crowd.

Inside, smartly dressed older women sit in a line on comfortable couches, checking their email on smartphones. A man wearing an Obama ball cap orders a drink called "Safe Sex Champagne" for his girlfriend. He's having the "Obamatini." A woman clutching one of the "We love Michelle" banners that had been handed out on the convention floor earlier in the evening keeps knocking it into people as she joyfully dances "The Electric Slide."

The giveaways here are simple and, in some cases, intended to provoke a laugh. Condoms inside hot pink matchbook covers lay on low tables around the dance floor. The front of the package says "Protect Yourself From Romney & Ryan in this Election." It's an advertisement for Planned Parenthood's Women Are Watching website.

"This party seems like a way to drum up enthusiasm with the base," Steiner says, as he makes his way to the bar to talk with someone he knows.

"It's not a party where you will rub shoulders with governors, and people aren't necessarily sowing the seeds for laws that will be written next year here like we've seen at some of the super-elite parties, but it still is important," Steiner says.

He pulls out a small Moleskine pad and takes notes as he talks to someone by the bar. The loud disco music suddenly fades away, and the emcee tells the excited crowd that two special guests have arrived.

The floor goes wild as actress Ashley Judd stands in front of a hot pink "Sex, Politics" banner with House Minority Leader Nancy Pelosi at her side.

"The Democrats have clearly decided their work for women is a winning issue for them, and Pelosi is a rock star among the Democratic base," Steiner says.

"Homocon" during the conventions

Pelosi talks about the Democrats' support for women's issues -- among the convention themes earlier that evening -- then encourages the crowd to support the president.

After Pelosi wraps up her speech, she does a little dance as the '70s hit "Celebration" plays her loudly off the stage. She poses for photos with Planned Parenthood Political Action Fund leaders and other VIPs. People start to dance again.

Andra Gillespie, a political science professor at Emory University who was in Charlotte to observe the convention, says parties such as this energize the base on particular issues. They are also mutually beneficial to the people who attend.

"Some will show up to these parties for nice swag or good food or to show their support for a particular political message, sure," Gillespie said. "But it's also aimed at the fledging county commission candidate who shows up at the convention.

"The fact that Pelosi is there gives them a chance to take a picture with her and then tweet it out or put it on their Facebook page. It gives them a certain type of credibility. It makes them look important, and they'll remember an organization that made this happen."

Steiner says there were several splashy events at the RNC. Though fewer in number than at the DNC, the parties were equally high profile.

At the Florida Aquarium, scantily clad women dressed as mermaids floated in a tank as guests at the Distilled Spirits Council party ordered drinks from multiple bars. In "A Salute to the House and Senate Energy and Commerce Committees," attendees could shag balls and take batting practice at Tropicana Field for a charitable donation. A $15,000 donation got people into a private reception with former Florida Gov. Jeb Bush, courtesy of the Foundation for Florida's Future.

It's midnight back in Charlotte before Steiner and Bartolomeo head out past streams of other party-hoppers and make their way to a swank hotel near the convention center. The lobby has a different feel than the Planned Parenthood party. Well-dressed guests sit at a tiny table by the bar with a couple bottles of expensive Veuve Clicquot champagne. Sen. John Kerry stands in the corner having a hushed but animated conversation with two equally tall men. And more people carrying "We love Michelle" signs, now somewhat crushed, make their way toward the elevator.

On the hotel's second floor is "Come Together: A Late Night Celebration" honoring the National Black Caucus of State Legislators. Steiner doesn't have an invitation here either, but he blends into the crowd to make his way into the fancy ballroom.

The event invitations advertise the party's sponsors. Steiner says he noticed their names on a giant screen next to the dance floor. Waste Management, Amerigroup, Maximus and VS2 were among the hosts.

Gillespie says some people may be uncomfortable with the role corporations play behind the scenes at such events, but she thinks they are necessary.

"Taking corporate funding for them is a double-edged sword since you do need someone to pay for it," she says. "You don't want to use public funds for a party.

"That type of corporate sponsorship may suggest they have more influence than others with politicians, and some may take issue with it, but groups don't have the money to do this on their own and they want to attract the right people to their events.

"People won't show up if the party is boring."

Men with lapel pins identifying them as state legislators or congressmen make their way into the party. Bartolomeo points out others wearing special pins she says are given to big Obama donors. Steiner ignores the live band playing James Brown's "Sex Machine" and forgoes the red, white and blue macaroons. Instead, he talks to people and takes notes.

"This is more a top-flight party than Planned Parenthood's, as the guest list is more exclusive and the food, drink and space itself is some of the most expensive I've seen," Steiner explains later.

He speaks with a county commissioner running for Congress and her husband, a lawyer at McGuireWoods -- another of the evening's sponsors.

The party, he says, "is about building relationships with people in business and the government."

Craig Holman is a political ethics expert whose nonpartisan nonprofit, Public Citizen, has teamed up with Steiner's organization in the party monitoring enterprise at the convention. He worries these parties play an outsized role at conventions.

"These conventions are supposed to be merely ... events to rally for these candidates," Holman says. "But the lobbyists and special interest groups are indulging in a real habit of turning these conventions instead into lobby-fests."

Gillespie has a different perspective.

"The conventions are really professional conferences," she said, "and like most trade associations, networking is a big part of what you are doing here."

"Yes, the delegates are here to nominate their candidate, but behind the scenes you have a lot of local candidates trying to make connections, meet potential fundraisers and backers. That may be more important to them than the activities you see on TV.  It's hard to develop a profile for yourself and a reputation if you don't know anyone."

It's past 1 a.m. when Steiner leaves the party and heads off to another. He hears the actor and hip-hop artist Common is performing at a party within driving distance. He'd prefer not to stay out too late if possible; he's learned that a certain Super PAC is hosting a brunch at an undisclosed location in the morning. It's supposed to be at a mansion, but he doesn't know which one. At least not yet.

Puppet protesters pull no punches

@highlight

Nonpartisan nonprofit tracks events where politicians, special interests meet

@highlight

Group advocates for greater government transparency

@highlight

Writer's goal: Crash as many RNC, DNC parties as he can and blog about them