Princeton, New Jersey (CNN) -- The release of a secretly recorded tape of Mitt Romney speaking to campaign donors highlights a risk facing the Republican Party -- of becoming perceived as the party of mean.

After a vicious assault from Democrats that portrayed Romney as a vulture capitalist who cared little about saving middle-class jobs, his remarks to a group of campaign donors about the 47% of Americans who don't pay taxes being dependent on government handouts only intensified the perception that he represents a party that is uninterested in protecting average Americans. A New York Times editorial characterized Romney as a "class warrior" seeking to "protect the rich by turning the working poor and middle class into the enemy."

Romney's problem is one that Republicans have been struggling with more broadly for years.

Many in the party have forgotten an essential element of Ronald Reagan's legacy: his insistence that conservatism had to be packaged as a positive force, as an argument about how to expand the global rights of individuals and make all American families more secure. He was determined to appeal to middle- and working-class Americans who were not satisfied with the Democrats.

Opinion: The true difference between Obama, Romney

Reagan was acutely aware of the need to present this kind of argument for conservatism, because he had vivid memories of the 1964 presidential campaign, when Republican Sen. Barry Goldwater was devastated by Lyndon Johnson's attacks on him as a radical extremist.

On the campaign trail and in the White House, Ronald Reagan was always conscious of articulating a vision of conservatism that offered more than just an agenda of gutting social programs or only protecting the "national interest" through brute force.

On foreign policy, Reagan spoke of a tough anti-communism that would protect the rights of those who lived under Soviet totalitarianism. He embraced the rhetoric of neoconservatism by championing a strong stand against the Soviet Union as a way to protect democracy around the world. He drew on the language that conservatives had used since the 1940s, focusing on the need to free oppressed people in places like Eastern Europe.

Reagan also talked about the quest for abolishing nuclear arms, a cause that he had supported for much of his adult life. He emphasized "peace through strength" as a reason to resist what he considered reckless arms negotiations and building up America's defense arsenal so the United States could win the concessions that would be needed from the Soviets to draw down nuclear weapons.

As Reagan said in his stirring, impromptu 1976 speech at the Republican convention, telling the delegates what people would be thinking a hundred years from then if they read a letter he put into a time capsule, "Will they look back with appreciation and say, 'Thank God for those people in 1976 who headed off that loss of freedom, and kept us now 100 years later free, who kept our world from nuclear destruction?"

Reagan employed the same kind of rhetoric on domestic policy. His principal economic policy, supply-side economics, focused on cutting taxes on the wealthy with the promise that it would stimulate economic growth for everyone and bring more revenue into the federal government without raising taxes. "This administration's objective," Reagan said in his inaugural address, "will be a healthy, vigorous, growing economy that provides equal opportunity for all Americans, with no barriers born of bigotry or discrimination. Putting America back to work means putting all Americans back to work."

Reagan had his hard edges for sure. He railed against "welfare queens," a vision of poor women cheating the system of government benefits. He supported steep cuts in many domestic programs such as food stamps that aided the neediest Americans. Moreover, many of his arguments about supply-side economics were discredited and his foreign policy was much less consistent than he stated when it came to protecting democracy.

Opinion: Obama clueless on Mideast turmoil

But at least politically, Reagan understood that Republicans had to appeal to broad segments of the population, or they would lose.

Early in his presidency, George W. Bush tried to bring back some of Reagan's spirit with his ideas about "compassionate conservatism" as well as his use of human rights as a guide for foreign policy. Yet many of his economic policies, including the tax cuts for the wealthy and effort to privatize Social Security, as well as the immense problems of the war in Iraq, undercut his ability to revive this vision of conservatism.

Without a positive message, conservatism faces the risk of seeming primarily like a harsh creed, an ideology for those who are intent on disciplining people who have supposedly become dependent on government.

Unfortunately for conservatives, that includes a huge array of Americans, from the elderly to defense contractors to young children in schools. If this rhetoric continues, the GOP is at risk of becoming the party that takes away government services, takes away immigration rights, takes away social rights, but doesn't offer anything back.

The 47% speech played right into this theme. And the polls are all moving in the wrong direction for the GOP.

There are fewer and fewer voices such as former Senate Majority Leader Bill Frist, who recently, according to Politico, has been working hard to find bipartisan agreement on health care issues and who is publicly willing to acknowledge how the government is sometimes needed to alleviate problems. "As a doctor," he wrote in The Week, "I strongly believe that people without health insurance die sooner. ... State exchanges are the solution."

If the GOP ignores the kind of backlash it has encountered, it risks falling right back to 1964 or even 1932, when Democrats were able to paint Republicans as a ruthless party only intent on protecting the prosperous.

"Our Republican leaders tell us economic lawsâ€”sacred, inviolable, unchangeableâ€”cause panics which one could prevent," President Franklin D. Roosevelt said in his inaugural address in 1932, "But while they prate of economic laws, men and women are starving. We must lay hold of the fact that economic laws are not made by nature. They are made by human beings." If Republicans are not careful, Democrats will find it easy enough to revitalize FDR's rhetorical assault and to make it extraordinarily difficult for Republicans to regain control of Washington.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: Romney's troubles reflect a problem GOP has been dealing with for years

@highlight

A conservatism that emphasizes cutting social benefits risks appearing harsh, he says

@highlight

Zelizer: Reagan insisted conservatism be packaged as a positive force for freedom

@highlight

He says Democratic presidents have gained by depicting GOP as the party of meanness