HONG KONG, China (CNN) -- Setting one species up to scare off or even kill another is nothing new.

One of the world's most fearsome killers? Me? The heart-stoppingly infamous cane toad.

Toads, bees, mongoose and even moths have all been utilized with varying degrees of success over the years in the hope that they could do the job humans couldn't.

Sometimes it works, frequently it doesn't, and in some cases we are still waiting to find out.

If any of these following examples teaches us anything at all, it is that if you are going to play with Nature, you do so at your own peril.

Click here for gallery »

The Cane Toad

Who would have thought a humble toad could end up as the killer of one of the world's most fearsome creatures, the crocodile? It all started off so innocently, too.

Introduced to Australia in 1935 from Hawaii, the cane toad, which is native to Central and South America, was supposed to kill off the scarab beetles that were decimating Australian sugarcane crops. Unfortunately, the toads failed to go after the beetles and decided to multiply at a very fast rate instead (they can lay between 8,000 and 30,000 eggs in one go) ending up as another pest the Australians were keen to see the back of.

According to the Australian Department of the Environment and Heritage (DEH), the cane toad "expanded through Australia's northern landscape at 27-50 kilometers a year" and is now heading south at a rate of 1.3 kilometers a year.

Cane toads not only eat pretty much anything that can fit in their mouths, but as of yet, no known predators or diseases have been identified that can take them on. The problem is that they are extremely toxic, with the DEH stating "almost anything that eats the toad dies rapidly from heart failure". And that includes crocodiles. According to the University of Sydney, crocodile populations that have come across these new pests have been dropping like flies, in some places by as much as 77 percent.

Small Indian mongoose

The risk with hired killers is that sometimes they can be a bit too good at their job. Such is the case with the small Indian mongoose, which was introduced into Hawaii and some of its surrounding islands in 1883. The idea was the mongoose, a "voracious and opportunistic predator," according to Columbia University, would keep rats out of the sugarcane fields, where they had been feasting on what was on offer.

The mongooses came in and missed out on the rats, as the former happened to be day-lovers, while the latter was nocturnal. So they turned their attention to other species instead, including birds (specifically ground nesters), small mammals and reptiles (they particularly liked snakes and iguanas).

Little did the Hawaiians know at the time, but the small Indian mongoose is one of the world's most fearsome killers, now listed by the World Conservation Union in the top 100 of the world's worst invaders. These tiny creatures have hunted several species to extinction, including, says Columbia University, at least seven types of amphibians and reptiles in the West Indies; and in Jamaica alone it has been responsible for the extinction of a lizard, a snake, a rat and two birds.

In Hawaii, the endangered Hawaiian crow, the endangered dark-rumped petrel and the nene goose are now all at risk, thanks to the appetite of this tiny, furry creature. And to make matters worse, this particular mongoose is a vector for rabies too.

The English sparrow

The early bird catches the worm, but if that bird is an English sparrow, it does a little more than that, as the Americans found out in 1850. It was then that the bird was intentionally introduced to the U.S. as a means of protecting trees from canker worms. But according to Cornell University, the sparrow also set about feasting on crops as well. The sparrow had a very varied appetite, feeding on wheat, oats, corn and barley, pretty much any vegetable or fruit it laid its eyes on and it had a taste for chicken feed too.

Surprisingly for its size, the sparrow is also a fairly aggressive creature and proved a bit of a bully to the locals, "displacing some native birds and harassing others", says Cornell. To add insult to injury, it carried 29 diseases that infected both humans and livestock. While U.S. populations are now largely on the decline, according to the Global Invasive Species Database, Australia meanwhile is on high alert, with the bird now having been assigned as "an extreme threat category" there.

The red Fox

Australia has an unenviable claim to fame: it is home to the most number of mammal extinctions in the world. According to the World Wildlife Fund (WWF), nearly half of all mammals that have gone extinct in the last 200 years, have been Australian. And much of the responsibility for these extinctions rests on the shoulders of introduced predators like the red fox. Just on its own the red fox could be responsible for "dozens of small mammal extinctions" in the country, according to Columbia University.

The English brought the red fox with them to the country in 1855, not only introducing it for a spot of hunting, but also, it is thought, to control the brown hare populations. Unfortunately, the red fox was an excellent predator but it liked chasing after more types of creatures than just the brown hare. It had a ball, as Australian wildlife just wasn't equipped to deal with it.

As a result, it freely preyed on birds, mammals of varying sizes and reptiles. It particularly seemed to like newborn lambs, goat kids and chickens, creating an economic headache for local farmers. And it didn't take them too long to spread either -- according to Australia's DEH, it took the red fox just 100 years to inhabit almost the entire continent.

A natural scavenger, the red fox is incredibly adaptable too, which has meant not only has it proliferated on a massive scale, but with the absence of any real predators to speak of, they have proven very difficult indeed to kill.

The European red fox is often described as Australia's number one predator; and as its also a "key carrier of rabies", says Columbia, the red fox is up there amongst Australia's most unwelcome guests.

(Sources: Discover Magazine; Mongabay.com; Australian Department of Environment and Heritage; University of Sydney; WWF; Columbia University; ScienceDaily; University of Washington College of Forest Resources; Global Invasive Species Database; National Geographic;Cornell University)

@highlight

Cane toads have been blamed for mass crocodile deaths in Australia

@highlight

Small Indian mongoose one of the world's "worst invaders"

@highlight

Red fox responsible for "dozens of mammal extinctions"