(CNN) -- If you were to take one line of dialogue in a film of 2013 to represent the year's mood, it would be from Chiwetel Ejiofor as Solomon Northup in "12 Years a Slave." The abducted freeman shackled into bondage is plainspoken and eloquent: "I don't want to survive, I want to live!"

"American Hustle" may be the title of David O. Russell's satire of con artists (Christian Bale and Amy Adams) aiding federal agents to carry out the Abscam sting, but it's also a dominant theme in American films of 2013.

If you think hustle in its various meanings -- the swindler and the determined -- then just about every character-driven film did the hustle.

Occupying the amoral lowlands, there is Leonardo DiCaprio as Jordan Belfort in "The Wolf of Wall Street" and the title figure in "The Great Gatsby," living large - the mansions! the boats! the planes! -- by defrauding the little people. There is Alec Baldwin as the Bernard Madoff-like ex of husband-hunter Cate Blanchett in "Blue Jasmine," both of them delusionary in the belief that they are entitled to other people's money. And there is Bale in "American Hustle," who rationalizes, "People believe what they want to believe," indicting the suckers for their faith in his cons.

Up on the moral high ground, there is Ejiofor in "12 Years a Slave," caught in a double bind. If, as an intellectual and a freeman, he defends himself against racism, he will be hung; if he does not, he suffers the humiliations of slavery. Chadwick Boseman as ballplayer Jackie Robinson in "42," likewise is doubly-bound: advised to repress his righteous anger at racists or he will be brutalized and won't be able to play in the big leagues. In "The Butler," Forest Whitaker, who wears one face as a White House domestic and another as a family man, ultimately reconciles his two faces.

Then there is a clutch of films that collectively say forget about living, survival is enough.

Filmmakers purveyed the human hustle in stories of those facing near death challenges and variously hanging onto life by a thread, a fraying rope, a stranded lifeboat, safety tether or not. Think of Robert Redford fighting for his life in "All is Lost," Sandra Bullock clinging to tether in "Gravity," Jaden Smith depending on intelligence from his wrist radio in "After Earth" and Tom Hanks facing death in a lifeboat in "Captain Phillips." Also tested in a life-and-death narrative was Jennifer Lawrence in the Survivor-tinged "The Hunger Games: Catching Fire."

Out of breath? Take a good, deep one. We haven't even begun to discuss the year's end-of-the-world movies. The apocalypse was nigh -- not only in action movies like "Pacific Rim" and "Oblivion" but in comedies like "This is the End" and "The World's End." On screen the U.S. and British capitals were under terrorist attack in what seemed like an infinite loop of destruction: "Olympus Has Fallen," "White House Down," "G.I. Joe: Retaliation," "Star Trek: Into Darkness," "Thor: The Dark World." Los Angeles and New York also endured attacks and were defended respectively by the mettle of Robert Downey in "Iron Man 3" and Henry Cavill in "Man of Steel."

What does it all mean? We don't need a professional to detect the pervasive anxiety in these Darwinian narratives of survival. Might this reflect Hollywood's guilt about its role as con artist fleecing the easily duped? Or do these films in part show Hollywood's unease about its own future in a world where moviegoers are just as likely to download or stream a movie than buy a ticket for one?

Perhaps this, as much as the real-life economy, explains why another theme of 2013 films is economic anxiety. It is symbolized in "Elysium" by an underclass living on a polluted and overpopulated Earth and the 1 percent living in the pristine atmosphere above, with controlled climate and top-flight health care.

Job insecurity reverberated through a broad swath of the year's movies. Consider the Harlem inspirational "Black Nativity" and the '60s-era "Inside Llewyn Davis," where the protagonists have trouble making the rent. Consider the Brooklyn hipsters in "Frances Ha" to the Oakland underclass in "Fruitvale Station" where protagonists sought work. Even straight-out comedies like "We're the Millers," in which a drug dealer hires underemployed individuals to pose as his family in order to make it easier to smuggle marijuana over the border, is peripherally about fewer legitimate jobs than those looking for them.

It wasn't all about angst, though, even if the laughter at the multiplex was rueful. "Before Midnight" and "The Best Man Holiday," two superb sequels, are comic looks at relationships and fidelity. One is sparked by the performances of Julie Delpy and Ethan Hawke, the other by an ensemble including Morris Chestnut, Taye Diggs, Sanaa Lathan and Nia Long.

The most moving relationship film of 2013 is "Her," Spike Jonze's wistful story of a lovesick writer (Joaquin Phoenix) who falls in love with his operating system (voice of Scarlett Johansson), and finds the chasm between human and artificial intelligence is as wide as that between Mars and Venus.

Another slice of dialogue representative of movie romances comes from Julie Delpy, exasperated with life partner Ethan Hawke in "Before Midnight:" "Sometimes, I think I'm breathing oxygen and you're breathing helium."

The opinions expressed in this commentary are solely those of Carrie Rickey.

@highlight

Carrie Rickey: Themes that 2013 movies tackled include survival, economic anxiety

@highlight

Rickey: Many character-driven films featured hustlers who tried to take advantage of others

@highlight

She says a number of films explored the idea: forget about living, survival is enough

@highlight

Rickey: Of course, we have the usual end-of-the-world and large-scale attack movies