(CNN) -- A reporter last week asked me if many people cared about the release of individual records from the 1940 Census. "Are they just a historic relic?" was the followup from someone else unimpressed that the general public would finally have access to more than 100 million census records locked away for 72 years.

Americans answered those questions loud and clear. The National Archives and Records Administration website housing 1940 Census records registered over 60 million hits in just three hours on Tuesday, April 3, 2012, the second day they were open. The outpouring of demand for such information calls on us to examine what is driving it.

The individual records help Americans gain a greater sense of who our ancestors were and with it an understanding of the blood that runs through our own veins. Each image from the 1940 Census is a lined page called a population schedule, containing the records of up to 40 individuals.

They might not look like much -- the penmanship of 123,000 census takers varied, the cursive may be hard to read, ink from fountain pens ran too light on some letters. One line on a 1940 Census record, however, has the power to confirm a family legend we have heard for years, or it can make us confront a troubling truth buried long ago.

The National Archives' innovative move of putting scans of these 3.9 million pages online has democratized genealogy. We might have expected that the first wave of retirees from the nation's nearly 77 million baby boomers would pause to reflect on the world their parents inhabited. We might have expected the too-rapidly dwindling ranks of World War II veterans to look for a glimpse of home life in the months before 15 million of them entered the services.

When the 1930 Census records and those from earlier decades were released, searches largely were confined to people able to trek to National Archives facilities and depository libraries to work through microfilms produced by the Census Bureau in the 1930s and 40s. Now the 1940 census records are available for free, and millions of people are accessing them.

The fascination with the snapshot of the United States provided by the 1940 Census runs beyond any one individual's search for her or his own past. The statistics available online now from the Census Bureau can deepen people's understanding of the towns and times their ancestors inhabited.

Las Vegas, Nevada, had exploded in size with construction of the Hoover Dam.Â  Its population stood at 8,422.

Around 9 million U.S. households used ice boxes to preserve their food.

Family members finding their grandmother had completed four years of college by 1940 will learn that her accomplishment put her among the top 5% of U.S. residents in terms of education.

Genealogists have been looking forward to this release as they would a national holiday, as have thousands of historians, economists and demographers. The release of the 1940 Census records will allow them to shed a light on a United States very different from how we live now.

Community profiles of smaller population groups of the type so commonly released now by the Census Bureau with data from the American Community Survey were not published from the 1940 Census during days of World War II. When it is released, the Minnesota Population Center's database of digitized 1940 census records will allow researchers to build such profiles. They will be able to aggregate individual items into their own tables and run analyses.

To get an idea of the diversity of nationalities in the United States at the time, President Franklin D. Roosevelt's Census Proclamation, urging Americans to participate, was translated into 23 languages, including Slovak, Greek, Lithuanian, Russian, Dutch, Hebrew, Serbo-Croatian, French, Italian, Spanish, German.

Because residents in 1940 answered census takers' questions, the records released last week will provide a glimpse of Navajo tribal lands on the eve of the uranium boom, which transformed the landscape.

Economists will be able to analyze how people in specific occupations or smaller geographic areas fared during the Great Depression.

The possibilities are vast.

The 1940 Census gave the country in 1940 a snapshot, one moment frozen in time. That portrait attracts us because it was taken on the edge of momentous change -- a time when Americans began developing many of the tools we now take for granted. The United States instituted its first peacetime draft in September 1940; and the ranks of the armed forces mushroomed. Unemployment fell from around 15% for the week before Census Day 1940 to around 4.7% by 1942.

Citing unprecedented movements of the population to areas with heavy concentrations of armaments manufacturing and responding to the administration's orders, the Census Bureau unveiled a 1941 plan to conduct an annual sample census. When that plan faltered for lack of funding, more than 200 communities paid the Census Bureau to conduct censuses within their jurisdictions between 1941 and 1946 alone. Today those communities base much of their decision-making on data from the descendant of those plans, the American Community Survey.

Because Americans opened their doors to census takers in 1940 and the survey interviewers who followed them, the United States had the information President Franklin Roosevelt assured them was necessary "to guide us intelligently into the future." The Census Bureau thanked the millions of respondents in 1940 and the thousands of households responding to surveys each month since then; we their heirs should thank them now.

The opinions expressed in this commentary are solely those of Michael S. Snow.

@highlight

Michael Snow: 60 million hits in 3 hours after release shows hunger for family history

@highlight

Snow: Hidden for 72 years, it's now available to all to verify family lore or learn a secret

@highlight

Census shows U.S. during vast change, he says: coming war, receding Depression

@highlight

Snow: The release was like the first pitch on opening day for historians and economists