(CNN) -- It's vital that young Americans learn the history of our amazing nation.

Being an American requires knowing what it means to be an American. It's the fabric that binds us together and helps us understand who we are.

Today, unfortunately, many of our students are failing to learn American history, including our founding principles and values. And they're failing to learn why America remains an exceptional nation.

For two generations, we've watched our nation's memory of the past slip away.

The problem of historic amnesia is widespread, as evidenced by alarming results from the National Assessment of Educational Progress, which tests students in grades four, eight and 12 in several broad subject areas every few years.

Among the survey's most frightening findings is our students' lack of knowledge in U.S. history. Just 20% of fourth-graders, 17% of eighth-graders and 12% of 12th-graders were at grade-level proficiency in American history in the 2010 exams.

This lack of knowledge goes to the very basics.

Only one in three fourth-graders could identify the purpose of the Declaration of Independence. Less than half understood why George Washington was an important American leader. And a majority of fourth-graders didn't know why the Pilgrims left England.

These are frightening statistics, indicating that our children lack an understanding of our nation's history and the traits that have made America great.

As the author of three children's books on American history, I've visited many classrooms across the country to share the adventures of Ellis the Elephant, my time-traveling pachyderm, with children ages 4 to 8. I've found most young students to be energetic, enthusiastic and eager to learn.

We can get children engaged in learning at an early age if we as adults have enthusiasm for learning as well.

Our history includes wonderful role models. In writing "Yankee Doodle Dandy" (published this week, in which Ellis the Elephant discovers the American Revolution), I was reminded that the brave men and women who fought to win our freedom were surprisingly young. Thomas Jefferson was 33. James Madison was 25. James Monroe was just 18, barely older than a high-school graduate. And yet these patriotic heroes were engaged in profound, often dangerous work. They were models of sacrifice, civic-mindedness and determination.

With education surveys showing dismal results, we must find creative ways to teach our children American history. In "Yankee Doodle Dandy" and the Ellis the Elephant series, my goal is to highlight the wonderful achievements of our country, to arouse a love for America and to communicate why America is indeed a special nation.

Like children's books, educational video games, too, have enormous potential to make history come alive. And we are only beginning to see the potential of online systems like Khan Academy to revolutionize learning. There are many ways to improve the challenged state of education, but parents, teachers and mentors must pursue them eagerly.

It was 232 years ago this month, on October 19, 1781, that the British surrendered to George Washington's Continental Army at Yorktown. This pivotal moment concluded an eight-year war in which thousands of brave men and women gave their lives to win the freedom we enjoy today. Yet we are for the first time in our history beginning to lose sight of our founders' sacrifice and wisdom. We must fight historical amnesia to ensure that future generations continue to appreciate the greatness of our nation.

The opinions expressed in this commentary are solely those of Callista Gingrich.

@highlight

Callista Gingrich: Tests show a failure to teach students American history

@highlight

She says few fourth-graders understand significance of George Washington

@highlight

Most children eager to learn and will respond if adults are enthusiastic about history, she says