(CNN) -- British celebrity chef Heston Blumenthal has long been on a mission to stir his countrymen's culinary senses but the gastronomic pioneer has now turned his attentions to an altogether more complex problem -- rustling up gourmet airline food.

Blumenthal was in London this week to launch British Airways' new in-flight Olympic menu, which he has helped create alongside Michelin star chef Simon Hulstone.

The luxury fare -- which includes dishes such as "Rillette of mackerel dressed on a pickled cucumber carpaccio with sour dough croutes" -- will be served on all BA flights for the duration of this summer's Olympic Games.

The collaboration marks the latest link-up between commercial aviation and celebrity chefs as airlines look to improve the reputation of in-flight dining.

"However hard airlines try, the reputation of food on board planes is not very high," says Peter Jones, former chair of the International Travel Catering Association.

"Clearly, celebrity chefs are hugely successful and airlines are trying to overcome this stereotypical view of their food being unpalatable or stodgy," adds Jones, who is now professor in hospitality management at the University of Surrey in the UK.

See also: Unsavory truths about airplane food

Other major flight operators such as American Airlines, Delta Air Lines, Qantas, and United Airlines have also sought out prominent chefs in recent years as they attempt create a fine-dining experience in the sky.

Gordon Ramsay has previously advised Singapore Airlines on its premium in-flight menus, which include offerings such as a pan-seared salmon escalopes, and tender rib eye steaks in red wine sauce. And 26-star Michelin chef Joel Robuchon is the gastronomic brains behind Air France's carte de jour for business-class passengers, with dishes that have included Basque shrimp and turmeric-scented pasta with lemongrass.

According to Jones, however, creating the perfect gourmet airline meal requires a scientific awareness of how the human body operates at high altitude, as well as a keen culinary knowledge.

"Eating on a plane is not the same as eating on the ground," says Jones. "Humidity is very dry (and) there is very little water in the atmosphere, which affects our taste buds and sense of smell."

Jones believes that by employing highly skilled chefs who understand this there is more chance of airlines getting their recipes right -- not to mention the positive impact it can have on perceptions of their brand.

See also: 'Safe-list' flyers get security fast track

"Airlines select products to go on their planes that are consistent with their brand image and the celebrity chef is another factor that makes up a portfolio of an airline's brands," says Jones.

"Their primary function may be to create new and interesting in-flight cuisine but it also makes airlines seem contemporary and in tune with the demands of modern customers," he adds.

The benefits brought by this brand synergy are also recognized by Marco 't Hart, founder and editor of the Netherlands based in-flight meal monitoring website airlinemeals.net.

"It contributes to the 'we care for you' and 'we-offer-great-service' feeling some airlines are trying to create," says 't Hart.

He is quick to add, however, that the food created by big-name chefs is often exclusively reserved for business and first-class passengers.

"When flying economy, you'll still be 'stuck' with the 'chicken or pasta' question -- if you are lucky enough to get a meal," says 't Hart, whose website has analyzed over 20,000 meals from various airlines around the world.

"On shorter flights the meals have been brought down to a snack, pizza roll or a simple sandwich. There are (also) the low cost carriers who offer buy-on-board meals," he adds.

See also: Sign-up bonuses juice up dining miles cards

For those traveling first class, however, t' Hart believes the quality of a meal designed by well-known chefs is a vast improvement on much of what has hitherto been available.

He cites his own experience flying with airBaltic business class -- which has introduced the Slow-Food principles of Latvian chef Martins Ritins into airline food -- as a specific example of the quality of airline dining experience that can be achieved.

Some airlines, including Turkish Airlines and Etihad, are going one step further and bringing chefs on board to cook and prepare meals whilst in flight, he adds.

But according to Jones it could be a while before any celebrity chefs are spotted cooking up a storm in the cramped quarters of an airplane galley.

"I genuinely don't see that happening except as a publicity stunt," he says.

He adds that the technology on a plane is limited and the safety considerations of cooking whilst in the air means that those charged with preparing food on board will be restricted in what they are able to create.

@highlight

Chef Heston Blumenthal has helped create a menu for British Airways

@highlight

Blumenthal is the latest celebrity chef to contribute to in-flight menus

@highlight

Others have included Gordon Ramsay, Joel Robuchon and Marcus Samuelsson