(CNN) -- Here's a seriously depressing question:

If a polar bear no longer has ice to stand on and must have his "bear kibble" (that's a real term; more on it soon) airlifted to the Arctic by helicopter, is he still a polar bear? Or is he some sort of zoo-like experiment -- a sad but perhaps unavoidable consequence of an era of melting ice and warming climates?

I posed a less-wordy version of that question to Andrew Derocher, a biologist and polar bear expert at the University of Alberta. He recently published a paper outlining several emergency actions that likely will have to be taken soon to save the Arctic bears.

Among Derocher's scenarios is using helicopters to airdrop food on polar bears as their icy habitat continues to melt -- at a cost of $32,000 per day for the "most accessible" bears. (The hope is that such interventions would last days per year, not months).

"It's a lot better to have some animals in the wild even if they are being supplemented in their food. If we were basically the sole food source for these animals, then we're going to have some very serious issues. Then it won't really be a polar bear anymore," Derocher said on the phone. "It will be a semi-wild, semi-captive, free-ranging carnivore. And it probably wouldn't do that well even if the ice started to come back" since the bear would become so dependent on the airlifted food that he may forget how to hunt.

(Sigh). It's really come to this.

Derocher's paper, which appeared in the journal Conservation Letters, has been getting lots of attention because it outlines several last-ditch ideas for saving the polar bears, including feeding them bear chow, which, as one commercial website describes it, contains "ground corn, porcine meat meal, fish meal (menhaden), dehulled soybean meal, corn gluten meal, ground soybean hulls, porcine animal fat preserved with BHA, dried beet pulp, soybean oil, taurine, salt" and a bunch of stuff I can't pronounce. It's packaged sort of like cat food.

His other ideas: Moving the bears northward, where the ice is less likely to melt; euthanizing some of the bears, which he writes "may be the most humane option for individual bears in very poor condition that are unlikely to survive"; and moving some of the polar bears to zoos.

None of those options is easy to stomach -- and not just because of the "porcine meat meal." Derocher knows that. He doesn't want to have to feed the polar bears, much less euthanize them. After 30 years of researching the Arctic bears, he's just being realistic.

As the planet warms, thanks to our gas-guzzling cars and power-producing factories, the polar bear's frozen habitat is disappearing. Arctic sea ice has been declining at a rate of 13% per decade since 1979, according to the National Snow and Ice Data Center. Many scientists expect summer sea ice to disappear in a matter of decades. Polar bears live and hunt from sea ice. If it's gone, they can't catch seals, which tend to stay far from land. And if the bears can't catch seals, they can't survive. There's no other way around it.

Unless, maybe, you airdrop some food on them.

But even then, something of the bear's essence is lost.

"It's ridiculous, human beings feeding polar bears. Polar bears are wild animals," James Eetoolook, vice president of an Inuit group in Canada's Nunavut told The Canadian Press. "They're predators. They're hunters. Let them be."

"I wouldn't say I'm 'against' it, just skeptical about how much good it will do to them," one commenter wrote on my Google+ page when I asked about the subject. "I'm afraid that in our haste to do good we might do more harm in the long run."

It's easy to have a whiplash reaction: Don't feed the polar bears. It's very Yogi, as Derocher put it. But such plans, while tragic, may be unavoidable at this point.

The fact that such an idea is even up for consideration should be a major wake-up call -- a reminder that climate change is real and happening now. While some of its effects are inevitable (some polar bear habitat absolutely will be lost, Derocher said), there are longer-term solutions that could help save some of the polar-bear-ness of the polar bear. Or at the very least, Derocher said, they're ideas that could save them from extinction.

The solutions are all things you've heard before: cut carbon dioxide emissions, use less power, walk don't drive, live more efficiently.

It's not rocket science (or, as one Twitter user recently suggested as a replacement for that phrase, "it's not corporate income-tax law"), but it will take a huge amount of political will in the United States and elsewhere to make substantive changes.

That seems to exist. In his State of the Union address, President Barack Obama called for action on climate change "for the sake of our children and our future." Some 35,000 people gathered in Washington last weekend to make similar points. Organizers said it was the largest demonstration of its kind in the United States.

Meanwhile, none of the five countries with polar bears -- the United States, Norway, Russia, Canada or Greenland -- has a plan for responding to polar bear emergencies "caused by nutritional stress," the scientists write in the recent paper, which is titled "Rapid ecosystem change and polar bear conservation."

When we act and how may determine how quickly the species disappears. Current projections don't look good. Researchers from the U.S. Geological Survey have estimated that two-thirds of polar bears will be gone by 2050. For the Arctic ice melt to make sense, all you have to do is watch this YouTube video, from the National Oceanic and Atmospheric Administration, which shows the puny extent of sea ice in 2012 compared with the historical average.

With all that as the backdrop, feeding polar bears doesn't sound so crazy, however sad and potentially irreversible it may be. And such programs do exist for other species, Derocher said, including California condors, black bears in Washington state and brown bears in Eastern Europe.

"We're at the point where we're going to be implementing some of these scenarios in some parts of the Arctic," he said, "without doubt.

"Bears just aren't as fat as they used to be," he said, which makes them less able to live through low-sea-ice years. "It's very clear when you look at the data and when you just look at the animals. A lot of them just don't have that much gas left in their tank."

I asked Derocher what drives him. He said he's not a sentimental person -- he doesn't get attached to an individual polar bear the way he does to his golden retriever. But when you're in the Arctic and you see how much the bears are struggling, it's hard not to care about them as a group -- to want to do something to preserve their wild power.

"I'm still optimistic that humans will decide to deal with greenhouse gases in a realistic fashion," he said.

To illustrate why that's important, he pointed me to an online video that shows the death of a young polar bear cub. It's linked here but, as a Mother Jones writer put it, "Be forewarned: this is graphic and ghastly." I wouldn't watch it unless you absolutely feel the need to do so. What's more important is Derocher's reaction. For him, the video echoed his experiences in the Arctic, surveying bears that are struggling because of sea ice melt.

"When you watch that," he said, "you have to, I think, be pretty hardhearted to think that maybe humans aren't treading a little too heavily on this planet."

Editor's note: Join John Sutter for a live video chat about how to save the polar bears on Spreecast on Thursday at 1:30 p.m. ET. Click "RSVP" to get a reminder about the chat.

The opinions expressed in this column are solely those of John D. Sutter.

@highlight

New paper makes emergency recommendations for polar bears

@highlight

Among them: airdrop food on the bears, move them north

@highlight

Polar bears are threatened by sea ice melt and climate change

@highlight

John D. Sutter: The proposals are depressing but necessary