(CNN) -- One of us is British and the other American. But we have many important things in common. Both of us are in the military and were deployed to Afghanistan in support of Operation Enduring Freedom. We're both proud to serve and fight for our countries -- and both of us have served successfully. But when our military colleagues found out that we are transgender, our careers took different paths. Here are our stories:

British Royal Air Force Flight Lt. Caroline Paige:  As a flight lieutenant, I serve as a navigator flying Merlin Battlefield Helicopters with the British Royal Air Force. The role of my squadron is to support the Army: from inserting assault troops, to resupply of austere bases, to escorting road convoys to casualty evacuation, and many other tasks. I am proud of the role my country plays in trying to stem the flow of global terrorism. I am proud of the military and the people who risk their lives -- in Britain and elsewhere around the world -- to do this and I am proud of my own military service.

I am also a transgender woman; I have known this all my conscious life, but my military didn't know until I told them after 18 years of service to the Air Force. Because of my country's inclusive military policy, I was allowed to remain in the RAF and became the first transgender officer to serve openly in the UK military, and I have done so proudly for 16 years.

It wasn't easy at first, because people fear what they don't know. I set out to prove them wrong by ensuring there was no difference in my capabilities or who I was in my job. When my aircraft first deployed to Iraq in 2005, and then again to Afghanistan in 2009, I made sure I was there. As the squadron's lead tactician and defensive aids expert, I had to lead from the front to ensure the safety of our UK soldiers and our allies.

To fly into perilous locations requires that you know precise procedures like the back of your hand, and on several occasions I was at the right place at the right time to identify issues and trouble shoot problems with the aircraft's equipment, earning the respect and admiration of my peers and superiors.

My service and performance were rewarded with several commendations for "excellent service" -- first in 2007 with a two-star award, followed by Commendation from the Commander-in-Chief of Air Command in the 2012 New Year's Honours List. All of my endeavors on operations were focused on ensuring our aircraft had the best possible protection, through equipment and tactics. Had I not been able to continue my military service because I was transgender, I wouldn't have been in the right place at the right time to make that vital difference for my colleagues and my nation.

Former U.S. Navy Petty Officer Landon Wilson: In August of 2013, I left my parent command in Hawaii and arrived on the East Coast to begin training to deploy to Afghanistan in support of Operation Enduring Freedom. For three months of training, I was "one of the guys," and no one questioned my gender or referred to me as a woman. For those three months, I didn't feel like I had to walk on eggshells, and I didn't worry about being outed as transgender.

After a pit stop in Qatar in November, where my senior leaders laughed at their mistake in trying to put me in a female barracks room, I landed in Afghanistan, and was immediately put to work. As a junior sailor, I found myself in a place I had never imagined: working as the lead liaison between foreign militaries, such as the British Armed Forces and the Australian Defence Force; as well as domestic governmental agencies, including the CIA, FBI, and NSA. I was proud to serve my country in a mission-critical role.

But three weeks later, everything changed: My senior chief pulled me aside and escorted me into the sergeant major's office. In front of him sat my original enlistment paperwork, which listed me as female. Within hours, I was put on a C-130 back to the U.S. With my departure, there was no one trained to fill my position in Afghanistan.

Someone must have thought I was doing a good job, because three days after the Navy sent me back to Hawaii, I was promoted and given a Flag Letter of Commendation from the Admiral of 10th Fleet. But at the same time it was promoting me, the Navy was preparing my discharge papers. In March of 2014, I was honorably discharged for being transgender.

Caroline Paige and Landon Wilson: After serving in Operation Enduring Freedom, we and others attended the first-ever gathering of currently serving transgender personnel from around the world to share our stories. Some of the 18 nations that allow transgender service members to serve openly were represented at this recent conference in Washington, D.C., sponsored by the ACLU and Palm Center.

As members of the military community, it is not our place to tell civilian leaders what to do. We do want to be sure, however, that people understand the main message emerging from our personal stories, and from the experiences of service members from other forces who participated in the conference: Transgender personnel serve just as effectively as everyone else, even in austere environments like Afghanistan.

Just like nontransgender personnel, we care about doing our jobs well, so that our militaries can fulfill their missions. If and when our two countries come to follow the same policy, we are sure that the adjustment will be successful.

@highlight

One writer British, one American. Both are transgender and served in Afghanistan

@highlight

Flight Lt. Caroline Paige served in Royal Air Force, receiving many commendations

@highlight

U.S. Navy Officer Landon Wilson discharged when military found he was transgender

@highlight

Writers: 18 nations allow transgenders to serve openly, they are as effective as everyone else