The steady drumbeat of preparations for some sort of a U.S. strike in Syria is stirring up old anxieties. Americans have no appetite for another military campaign in a foreign land.

Syria feels far away; a tragedy, no doubt, but to many who strongly oppose any kind of intervention, it is simply too removed, too complicated, too foreign to view as an American problem. Military action, the skeptics rightly say, has consequences, often unpredictable ones. But so does inaction.

Inaction is more dangerous -- potentially riskier and costlier -- than smart, limited intervention.  Syria may seem far away, but every passing day, every calamitous, explosive, hate-infused day, makes it more America's -- and the world's -- problem. Here are five reasons why:

1) Other dictators are watching: When the president of the United States says the use of chemical weapons is a "red line," other dangerous regimes pay very close attention to see what he means. If that line is crossed -- as is gruesomely visible in Syria -- and nothing happens, it sends a clear signal to current and future powers that may threaten American interests and fundamental international norms.

The message that America's warnings can be ignored, that the international community's warnings can be disregarded, is most welcome in places like Iran and North Korea, whose pursuits of weapons are a threat not just to the United States but to the entire world.

Syria: Chemical weapons -- how did we get here?

2) Chemical weapons will be used in future battlegrounds: More than 100,000 people have been killed in Syria. That alone should stir the conscience of humanity. But there is something uniquely dangerous about the introduction of chemical weapons.  Horrified by the effects of chemical weapons in the battlefield, nations have come together over the years to develop international bans on nerve gases, blister agents, blood agents and choking agents.

The Syrian government, by all appearances, used nerve gas to kill hundreds of its own citizens. If it passes without a response, this will not be the last time we see these weapons in use -- and not just in a distant battlefield. Chemical weapons are not only appealing to dictators refusing to relinquish power, but they also could make an appearance in other wars, and they are ideal for terrorist groups seeking to inflict maximum fear.

Gingrich: Stay out of Syria's civil war

3) The war is spreading, the choices are worsening: The United States has largely kept its distance in the Syrian civil war. Two years ago, President Obama declared that President Bashar al-Assad must go. A year ago, he drew his famous red line. But any hope that the situation would somehow resolve itself has only produced the worst possible outcome.

The U.S. should have provided material and logistical help to the more moderate among the rebels early on. Failure to do so resulted in today's terrible dearth of good choices, in which America wants al-Assad to fall, but the opposition is  dominated by extremist jihadists, some of them affiliated with al Qaeda.

In the meantime, the war is bursting beyond Syrian borders. Millions of Syrians have fled their homes, straining resources and occasionally raining fire into Jordan, Lebanon, Turkey, Iraq and even Israel. The war threatens to engulf the region. The Middle East remains the most explosive region of the world. It produces a big portion of oil supplies and it lies at the crossroads of global commerce. This is the last place to allow a wildfire to spread before trying to affect its direction and ultimately extinguish it.

Opinion: Why Western intervention in Syria will leave chaos

4) Inaction will hand a victory to al-Assad, Iran and Hezbollah: The Obama administration is telegraphing an attack against Syria aimed at punishing al-Assad and sending a message to the world, rather than seeking to change the course of this civil war. But the course of the war matters.

Without forceful American action, al-Assad's latest maneuvers constitute a victory for his regime and its top allies, Iran and Hezbollah.  Giving a boost to this alliance runs counter to regional and global peace and stability. Iran and Hezbollah have a nefarious track record. They have carried out a wave of terrorist attacks in Asia, Europe and Latin America.

Just last week  a judge in Thailand sentenced an Iranian man to life in prison for his role in a terrorist plot against Israeli diplomats in Bangkok. Iranian and Hezbollah agents have been implicated in terrorist plots in Argentina, Cyprus, Bulgaria, India and elsewhere. Even if you don't care about Syria or the Middle East, handing a victory to this dangerous threesome should worry everyone.

'Red line' debate: Chemical weapons worse than attacks?

5) A new generation of hatred will perpetuate this tragedy: The war in Syria has raged for 2½ years. During that time, it has descended into ever greater levels of brutality and carnage. It has also become increasingly sectarian.

It all started as a peaceful uprising demanding a dictator step down and allow a democratic government representing the different religions and ethnicities in Syria. It is now a hate-filled maelstrom of Sunnis, Shiites, Allawites, Christians, Kurds and others. People are being killed based on their community of origin.

This is how you create hatreds that burn through the ages, enduring for generations of revenge-seeking, and triggering new wars. The longer this fire rages, the more likely its sparks will start new fires, far into the future.

The United States and its friends should strike al-Assad in a way that shows the world will not tolerate the use of chemical weapons, and prove that America's threats and international commitments have meaning and muscle. Beyond that, Washington should do what it should have done long ago.

Without sending any U.S. troops into Syria, the United States and its allies should find and strengthen the more moderate members of the opposition so they will gain the upper hand against extremists within opposition ranks.

Then they can remove al-Assad from power by wining what is, most assuredly, their war, the Syrians' war, but one that is of great consequence to America and to the rest of the world.

@highlight

Frida Ghitis: U.S. inaction in Syria is risky; the situation endangers the world

@highlight

She says tyrants are watching after president drew line on chemical weapons

@highlight

Ghitis: If Syria's use of nerve gas is ignored, it will open doors for its use in future

@highlight

Ghitis: War is spreading, and U.S. must not let Assad, Iran and Hezbollah win