Washington (CNN) -- When French President Francois Hollande flew to Washington this week for a state visit, he brought along a lot of baggage -- and it's not his country's famous Louis Vuitton.

Hollande left France amid sinking popularity ratings and swirling reports that he cheated on his partner of seven years with a younger movie actress â€” making this week's trip something of an escape for the embattled president.

The former French first lady Valerie Trierweiler -- whom Obama said in November he was looking forward to hosting -- isn't coming to the White House now that Hollande has announced their split.

French President's alleged lover nominated for acting award

He says his private life is private, but Hollande's not denying the affair. Now he's in America solo for one of Washington's most tradition-bound events, where protocol dictates nearly everything and a slip-up, however unlikely, could wind up offending a top ally.

Obama and Hollande: A strong alliance

"The protocol that dictates how state visits are handled is something that's steeped in hundreds of years of history," said Anita McBride, a former chief of staff to Laura Bush who helped plan state dinners. Over time, formal arrival ceremonies and high profile press conferences have become a part of the multi-day affair.

Finding ways to accommodate foreign leaders, even those with "it's complicated" relationship statuses, is just another aspect of the highly choreographed state visit, said people with experience organizing them.

It's not the first time a French president has come to Washington alone. Hollande's predecessor, Nicolas Sarkozy, attended a formal dinner at the White House shortly after announcing his split from his wife. And at least Hollande is showing up; when Brazil's President Dilma Rousseff caught wind of National Security Agency spying, she canceled altogether.

"There are so many changes that take place, some that are more prominent in the news than others," said Capricia Marshall, who until August was the U.S. chief of protocol. "You have to be flexible, you have to be prepared, and you just sort of change course."

But questions such as who will sit next to Obama are still up in the air. Typically the partner of the visiting head of state gets the chair next to America's president. When that position is vacant, U.S. officials must consult their counterparts and even have the president himself weigh in.

It's not necessarily a hard task, said McBride, because plenty of people would jump at the chance to sit next to Obama. The designee doesn't have to be French, though it wouldn't be unexpected if he or she is.

It's just another piece of planning that requires painstaking attention to detail.

"I'm sure that they will have an imaginative way of doing their seating that's absolutely appropriate," said Marshall.

It may seem antiquated to treat a guest so gingerly, but state dinners have always been about formality and gentle manners. They've grown so much that they no longer fit in the State Dining Room. Instead a sturdy white tent on the South Lawn holds the hundreds of invited guests, who usually include some top donors and key allies in Congress. This year they'll take trolleys from the White House East Wing down to the structure.

No detail spared for French president's arrival at the White House

Once there they'll dine on four courses of American-grown haute cuisine â€” osetra caviar and quail eggs, a winter salad "served in a wonderful glass bowl to make it look like a terrarium," Colorado-raised beef, and a chocolate dessert sourced from Obama's native Hawaii.

On Monday the White House released the names and vintages of the wines poured at each course â€” a change from the last few state dinners, which listed only "American" bottles lest the price tag shock taxpayers. Reds from California and Washington State, and a sparking wine from Virginia, are the selections. None retail for over $50 a bottle.

It's a much-sought-after invitation -- so much so that a Virginia couple faked one to attend Obama's event honoring the Indian prime minister, Monmohan Singh, in 2009. Michaele Salahi's red-and-gold sari is likely forever imprinted in the mind of Desiree Rogers, the former White House social secretary who stepped down shortly after the incident.

That kind of glaring fissure in the evening's decorum isn't typical, said McBride, who did recall an incident during a visit by the Chinese premier she said was marred when a journalist shouted a question at the formal arrival ceremony.

And while the details still matter for staunch allies like France, a slip-up on protocol isn't likely to throw the United States' now-solid relationship with the country into jeopardy.

France, to the Obama administration's pleasure, has taken a more interventionist stance in global conflicts, a turnaround from the days when Americans responded to France's opposition to the Iraq invasion with boycotts of French (or just French-sounding) products.

"Let's just say that we've come a long way from Freedom Fries," was how one senior administration official described the relationship Monday.

In Libya France took a leading role in the mission that ended with Moammar Gadhafi's death. And in Mali, French troops are working to prevent Islamists from taking over in the northern part of the country.

France was ready in September to launch air strikes in Syria as Obama was trying to rally support, making the country one of a few foreign allies to back the U.S. plan after Britain's parliament voted against it. Obama eventually went to Congress for approval, but the issue never came to a vote.

While Hollande, like most other European leaders, has expressed outrage at allegations of NSA spying, the dust-up isn't likely to make any major dent in French-American relations. The same can be said for what Hollande calls "tax evasion" by U.S.-based tech firms (after Washington, the French President heads to Silicon Valley).

Hollande, a socialist elected in 2012, is more closely aligned in policy with Obama than the center-right Sarkozy. His fluency in English might make him an easier dinner companion than his predecessor, as well as a more conversant travel buddy on the trip to Jefferson's Monticello the pair took Monday.

Not up for discussion? His love life.

Opinion: Why the French president needs Michelle Obama

French president says it's over; first lady leaves residence

French President meets with Pope Francis amid scandal

CNN White House Producer Matthew Hoye contributed to this report.

@highlight

French President Francois Hollande's visit comes amid troubles at home

@highlight

Hollande and former first lady split after reports of his affair surface

@highlight

White House protocol experts are working to navigate delicate situation

@highlight

France and the United States are generally in accord on policy matters