(CNN) -- Oscar Pistorius, the South African amputee who is running in the 2012 Olympics on prosthetic legs, might be surprised to learn he is part of a history that traces back 3,500 years.

Many ancient civilizations used prosthetic limbs made of wood and metal to get soldiers back into battle. They were also used for basic health reasons. For example, archaeologists have found two very old Egyptian artificial big toes that had been skillfully crafted. One toe was still fastened onto the right foot of the mummy of the daughter of an Egyptian priest, who may have suffered from diabetes. How good were the Egyptian prosthetics? Modern volunteers with similar amputations tried them on and reported the toes were both comfortable and highly efficient during walking.

For most of history, prosthetic limbs were used primarily to restore function and secondarily to mimic the human form (one of the Egyptian toes even had a false toenail). In the 1980s, prosthetic limbs underwent a radical evolution when high-tech materials, sophisticated electronics, hydraulics and even microprocessor-controlled joints began appearing.

Today, Pistorius' "Cheetah" legs are made of sophisticated curved composite carbon fiber that can handle fast running.

There is no doubt that Pistorius, dubbed "Blade Runner," is a world-class athlete. Born with missing fibulas, his legs were amputated below the knees as a baby. Pistorius holds the double-amputee world records for the 100-, 200- and 400-meter dashes, and he has performed well against able-bodied athletes in international competitions. He is also courageous and determined.

In 2007, however, the International Association of Athletics Federations banned Pistorius from competing in able-bodied competitions after tests at the German Sport University showed the Cheetah blades allowed him to expend less energy than able-bodied runners.

Pistorius assembled his own legal and scientific team and successfully appealed to the Court of Arbitration in Sport. Further tests showed that Pistorius uses energy at the same rate as other elite runners, and that the Cheetah legs are not more efficient than human legs. Also, while his artificial limbs are lighter than human legs, he must push off the ground harder to get the same thrust, which cancels out any advantage. The International Association of Athletics Federations decision was overturned.

However, the story is far from over. The ruling only applies to Pistorius, and right now there is no general decision nor any guidelines about the future use of what the court called "adaptive sports equipment." The issue will have to be revisited by each new athlete who wants to use artificial mechanisms in competition.

What happens if one day prosthetic technology advances past the able-bodied athlete? The biophysicist Hugh Herr of MIT, himself a double amputee and one of the scientists who tested Pistorius, suggests that athletes will simply have to use less advanced technology to keep them on par with able-bodied athletes.

But such a standard is clearly untenable. We do not ultimately know the degree to which technology mimics true physiological function. What if an amputee high jumper wants to use Cheetahs; what level of springiness is "fair" against able-bodied athletes? What about a swimmer who wants to use prosthetic hands or legs? Or an archer whose prosthetic arm does not tremble like an arm of flesh and blood? We do not have metrics that can determine true equivalence with able-bodied athletes.

Then there is the issue of fairness. In this year's U.S. Olympic trials, Dathan Ritzenhein, the two-time Olympian and 5k American record holder, was eliminated from the marathon team because of leg cramps. Pistorius cannot get cramps in his calves because he does not have any, and so he can never be eliminated based on this criterion.

The Pistorius case confronts us with two important questions. What is a disability? And what is the rationale for elite sport?

Defining "disability" is a notoriously slippery enterprise.

In 1997, Casey Martin, a professional golfer with a circulatory disorder, sued under the American with Disabilities Act to be allowed to use a golf cart to play in the U.S. Open. The PGA argued that walking the 72 holes while playing world-class golf was a significant factor in tournament play. Who determines what components of a sport are part of its competitive fabric? In the Martin case, it was the U.S. Supreme Court, who overruled the PGA and allowed Martin to use a golf cart.

The world is not divided into the disabled and the able-bodied. "Disability" is a medical term, but it is also a legal and a social term; one can have a disability according to medicine but not law, or be considered disabled by social convention but not law or medicine. "Normal" refers to a range of functioning, and a good case can often be made that those at the lower end of the "normal" range have a disability. Where we draw the line can be arbitrary.

What is the purpose of sport? Sport is an artificial world. The rules of a game, the distances we run, the criteria for inclusion are all made up, and we change them regularly. We can either have pitchers in professional baseball bat, as in the National League, or have a designated hitter as in the American League. Neither is "right," no matter how passionately some feel about it. Sports work through convention. The great symbolic power of the Olympics is that we all agree on the same rules and then abide by them.

Many opposed to Pistorius' inclusion in the Olympics argue that fair competition requires people who start with the same basic physiological equipment. Pistorius' supporters argue instead that fairness in sport means allowing all qualified people to compete, even those born without fibulas.

Pistorius did not advance to the men's 400-meter final, but he is still an inspiration. The decision to let him compete in the Olympics is the beginning of this conundrum. More and more, our powerful technological achievements will butt heads with our sense of naturalness and fairness. A lot of the debate and controversy around biotechnology will be played out in athletic competitions. Let the games begin.

The opinions expressed in this commentary are solely those of Paul Root Wolpe.

@highlight

Oscar Pistorius is running in the 2012 Olympics on prosthetic legs

@highlight

Paul Wolpe: Is it fair for amputee athletes to compete with able-bodied athletes?

@highlight

He asks what would happen when prosthetic technology becomes even more advanced

@highlight

Wolpe: Decision to let Pistorius participate in the Olympics raises many ethical issues