Washington (CNN)The serious escalation of fighting in Ukraine is pushing President Barack Obama closer to the proxy war with Russia that he has long sought to avoid.

That prospect is increasing as the United States openly accuses its former Cold War foe of sending tanks and troops in unmarked uniforms across the border into eastern Ukraine, boosting separatists in their battle against Kiev's beleaguered forces.

The revelations are sharpening Obama's dilemma as his White House considers whether to send "lethal" weapons, including anti-tank and anti-mortar systems to the outgunned Ukrainian armed forces.

Obama's nominee to become the next Defense Secretary, Ashton Carter, bolstered that idea during his confirmation hearing on Wednesday.

Carter said he was "very much inclined" to support sending what the administration calls "lethal" defensive arms to the Ukraine government.

"We need to support the Ukrainians in defending themselves," he said.

Such a step could take the worst East-West confrontation since the Cold War into a new and unpredictable stage.

In effect, Washington would be sending weapons to be used against Russian forces at a time when the Kremlin is increasingly hostile to the West and has shown it is ready to escalate a showdown.

There is no guarantee that funneling sophisticated U.S. armaments into the conflict could be decisive, and the gambit could antagonize Vladimir Putin, Russia's increasingly isolated and hard-to-read leader.  In a sign of possible administration push back against Carter's remarks, the top NATO general Philip Breedlove told the Associated Press in an interview on Thursday that arming Ukraine could spark a "more strident" reaction from Russia.

White House spokesman Josh Earnest meanwhile offered what appeared to be a rebuke of Carter on Wednesday, saying "a decision like this will be made by the Commander-in-Chief," in a reminder of where power over national security lies in this administration.

The United States also wants to avoid a complete breakdown in ties and a return to the great power competition of the Soviet era, partly because it needs Russian help on key strategic issues, including nuclear talks with Iran, the chaos in the Middle East and in Afghanistan.

Eugene Rumer, who served as national intelligence officer for Russia and Eurasia at the US National Intelligence Council from 2010 until last year, said that arming Ukraine would prolong a conflict Kiev cannot win outright.

"This proposal will not deter Putin. So it is both insufficient but it also is dangerous," Rumer said.  "Dangerous because it could take us in a direction that we have not thought about and those consequences are quite real."

He went on:"Putin has so far been willing and demonstrated an ability to escalate despite the breakdown in relations with Europe and the U.S., despite the economic  fallout, despite the sanctions, despite the price of oil."

But the idea of arming Ukraine is nonetheless on the table because its armed forces have suffered heavy defeats in eastern regions to separatists which have been well supplied by Moscow and apparently bolstered by Russian troops.

Secretary of State John Kerry significantly hardened the U.S. tone on the conflict after arriving in Kiev on Thursday to meet President Petro Poroshenko.

"We cannot close our eyes to tanks that are crossing the border from Russia and coming into Ukraine, we cannot close our eyes to Russian fighters in unmarked uniforms crossing the borders, and leading individual companies of so-called separatists into battle," Kerry said.

The top US diplomat also said that modern weapons, including rockets were flowing across the border into eastern Ukraine in breach of a peace deal signed by Russian, the Kiev government and separatists last year. Since then Russian-backed forces have seized large swathes of territory on eastern Ukraine.

Since the start of the conflict, the U.S. has sent military aid including night vision goggles to Ukraine, but stopped short of sending lethal items. But Kerry and National Security Advisor Susan Rice are now open to considering a change of policy, officials tell CNN. The aim would be to increase the military cost for Russia's activity in Ukraine in a bid to convince the Kremlin to seek a diplomatic way out.

The push to arm Ukraine got another boost this week with a report by a group of eight influential foreign policy scholars -- including several former senior Obama appointees. The group called on Obama to spend $3 billion over three years to arm Ukraine with lethal defensive weapons.

Obama insists that the Western sanctions, which have hammered Russia's economy, are exacting a painful cost for Russia's moves in Ukraine.

But while that price is high, it has yet to change Putin's behavior in a conflict which started with the annexation of Crimea last year. That reality is fueling calls on both sides of the aisle in Congress for tougher US action.

"The only thing that deters Putin is a show of strength," Democratic Rep. Adam Schiff told CNN on Thursday.

Republican Sen. Kelly Ayotte, meanwhile, said Putin was a "schoolyard bully" picking on the weakest member of the class. "It's time to provide Ukraine the ability to defend itself," she said.

Administration officials insist that no decisions have yet been made to increase U.S. assistance to Ukraine. White House officials declined to comment on the president's deliberations for this story.

Those urging Obama to go ahead with an effort to arm Ukraine argue that he must make the point that flagrant violations of international order perpetrated by Putin in Ukraine are unacceptable.

"A person like Putin understands power," said Ivo Daalder, Obama's former ambassador to NATO, who joined the group of prominent scholars, who also included former Clinton deputy secretary of state Strobe Talbott and Michele Flournoy, who is often spoken about as a possible secretary of defense for Hillary Clinton.

"Our unwillingness even to contemplate providing defensive weapons sends a signal that we are not particularly serious about Ukraine's capacity to defend itself or in upholding these fundamental rules of international order," Daalder said.

The group called on Obama to provide equipment including drones, secure communications facilities, armored Humvees, as well as light anti-armor missiles, to target Russian armored vehicles.

"Only if the Kremlin knows that the risks and the costs of further military action are high, will it seek to find an acceptable political solution," the report warned.

The authors said that the West faced a critical moment with Russia -- saying that if Moscow succeeds in dismembering Ukraine, it could be emboldened to undermine the security order elsewhere in Europe.

"It might tempt President Putin to use his doctrine of protecting ethnic Russians and Russian speakers in seeking territorial changes elsewhere in the neighborhood, including in the Baltic states, provoking a direct challenge with NATO," the report warned.

The new moment of confrontation with the Kremlin was also reflected in Obama's new national security strategy which was released on Friday.

"We will continue to impose significant costs on Russia through sanctions and other means while countering Moscow's deceptive propaganda with the unvarnished truth. We will deter Russian aggression, remain alert to its strategic capabilities, and help our allies and partners resist Russian coercion over the long term, if necessary," the White House strategy said.

The serious deterioration of Russia-U.S. relations can be seen by comparing the document to the previous national security strategy, released in 2010, which speaks of cooperation with "allies and partners around the world, including Russia and touts the achievements of Obama's first term "reset" of relations with the Kremlin.

As he ponders whether to risk worsening the relationship with Russia still further by arming Ukraine, Obama could face resistance on the world stage.

German Chancellor Angela Merkel, the most powerful European leader, has already made clear Germany will not supply weapons to Kiev. Merkel, who will meet Obama at the White House on Monday, arrived in Moscow on Friday with French President Francois Hollande, seeking to convince Putin to sign on to a ceasefire in eastern Ukraine and a long term peace plan.

Some Russian experts believe a move to arm Ukraine could backfire, and play into Putin's conspiratorial mindset.

Sean Kay, an expert on Russia and NATO at Ohio Wesleyan University said that Putin could also swiftly increase Russian assistance to rebels in a bid to lock in quick battlefield gains. He said it would be six months to a year before a U.S. operation could have a measurable effect on the situation on the ground in Ukraine.

"The moment Putin thinks this weaponry is coming in, he could dramatically escalate things in a very dangerous way to take advantage of the current window," he said.

@highlight

U.S. considering sending arms to Ukraine

@highlight

But critics fear move could escalate US-Russia showdown

@highlight

No one knows how Putin would respond