Beijing (CNN) -- Vladimir Putin is seeking China's support in Russia's standoff with Western powers over Ukraine. In a rare phone conversation, Putin briefed his counterpart in Beijing, President Xi Jinping, on "Russia's position on the issue and measures Russia had taken to tackle the crisis," the state-controlled Xinhua news agency reported Wednesday.

President Xi said the situation in Ukraine is "highly complicated and sensitive," which "seems to be accidental, (but) has the elements of the inevitable."

He added that China believes Russia can "push for the political settlement of the issue so as to safeguard regional and world peace and stability" and he "supports proposals and mediation efforts of the international community that are conducive to the reduction of tension."

The Chinese leader's comments followed similarly guarded statements by Chinese diplomats earlier this week, which neither criticized nor supported Moscow's actions over Ukraine.

Unsurprisingly, Russia has attempted to depict China's position as more supportive than it actually is.

In describing an earlier phone call between the foreign ministers of China and Russia, the foreign ministry in Moscow said Monday that there was "a broad convergence of views between Russia and China in connection to the situation in Ukraine and around it."

READ MORE: Russia threatens Western assets

In fact, China's foreign ministry spokesman provided more nuanced statements. "It is China's longstanding position not to interfere in others' internal affairs," Qin Gang said in a regular press briefing over the weekend. "We respect the independence, sovereignty and territorial integrity of Ukraine."

Qin did not criticize Russia for sending troops into Ukrainian territory but he repeated China's call for dialogue to resolve the standoff. Referring to the demonstrations in Ukraine's capital last month that culminated in the removal of pro-Russian President Viktor Yanukovych, he said: "We condemn the recent extreme and violent acts there and have been urging the relevant parties in Ukraine to resolve their internal disputes peacefully."

OPINION: Why Putin's move is no surprise

Asked if China recognized the new Ukrainian government, he replied: "This requires a judgment to be made based on the laws of Ukraine."

Spokesman Qin's equivocation shows the delicate balance China is trying to strike to maintain good relations with Russia without alienating itself completely from the United States and Europe.

Russian bulwark

To be sure, there is no love lost between China and Russia. At the height of the Cold War in the 1960s, China and the former Soviet Union -- the two largest Communist states in the world -- were bitter ideological enemies. At one point, Moscow reportedly deployed an estimated 500,000 troops along its border with China. As for Washington's strategic partnership with China, it had been rooted largely in a shared enmity toward a common enemy -- the Soviet Union. Relations only started to thaw towards the end of the 1980s when Soviet leader Mikhail Gorbachev visited Beijing.

But the collapse of communism in Eastern Europe, which led to the collapse of the Soviet empire itself, turned a new page in Sino-Russia relations with trade quickly replacing rhetoric. For more than two decades, Moscow has been Beijing's major supplier of military equipment, some of which has been instrumental in the modernization of the People's Liberation Army, while China also relies on Russia to satisfy its huge thirst for energy, and has been the main beneficiary of the Russian Eastern Siberia -- Pacific Ocean oil pipeline.

READ MORE: Same crisis, different versions

China also considers Russia to be a necessary bulwark against the U.S. and European Union influence around the world, often standing with Moscow on matters at the United Nations.

"In the past, China and Russia have often worked together to block international action (often led by the West) to address global crises, by claiming their respect for territorial integrity and sovereignty," said Paul Haenle, director of the Carnegie-Tsinghua Center of Global Policy in Beijing, noting their recent veto of sanctions against the Syrian regime.

"In practice, this mutual cooperation is more closely related to Moscow and Beijing's interests than their adherence to the principle of non-interference. China has supported Russia in its sphere of influence, such as in the Syrian crisis, expecting that Russia would support China's interests in Asia, on issues such as North Korea.

"The blatant hypocrisies in Russia's policies and actions have been evident this week as Russia invaded Ukraine while continuing to oppose further sanctions or action in Syria out of respect for Syria's territorial integrity and sovereignty."

China's balancing act

Yet China seems likely to remain noncommittal over Ukraine.

"China may think its interests are better served by continuing to avoid taking a clear stance, hoping that it will be well positioned whatever the outcome," said Haenle.

"But given China's enhanced influence and power, the international community increasingly looks to China for a more principled approach and to take a leadership role to help resolve international crises, not simply position itself to be in the most advantageous situation when it is all said and done."

Other China watchers believe Beijing's stance may be rooted in issues closer to home, noting that the country does not want to give the appearance of backing a separatist movement, given its own problems with ethnic tensions, primarily in the western regions of Tibet and Xinjiang.

READ MORE: China's restive far west

"China does not want to take a position that will haunt it domestically," said a Chinese analyst who declined to be identified because he is not authorized to speak on the record on the topic.

"China has its own challenges concerning ethnic relations and even separatist groups. It has to take a cautious even-handed approach."

Ukraine interests

China will also be considering its considerable interests in Ukraine too -- especially its economic ties with the now deposed government in Kiev. Bilateral trade last year reached $10 billion, making China Ukraine's second largest trade partner, according to Xinhua.

"China has significant interest in Ukraine's future stability," added Haenle. "China is an important trading partner of Ukraine's and last December formed a strategic partnership with Ukraine, committing billions of dollars in investment in Ukraine's infrastructure, aviation, energy, agriculture, and finance industries. China is also Ukraine's military industry's largest customer; China bought its first aircraft carrier from Ukraine."

Shen Dingli, professor of International Relations at Shanghai's Fudan University, believes a pragmatic China would be open to working with the fledgling administration in Kiev.

"If the current Ukraine government can hold on," Shen explained, "then China may work on its relations with the new Kiev government, as it is more important to keep its stakes, including economic and defense links, with the new regime."

Whichever way the Ukraine crisis turns, other analysts believe China could benefit from it. "Ukraine will need China's economic cooperation, whether it's a friend of the EU and the U.S., or of Russia," said Wenfang Tang, of the University of Iowa. "Meanwhile, facing greater pressure and potential sanctions from the West, Russia will be happy to strengthen its relationship with China."

Wang Andi in Beijing contributed to this report.

@highlight

China's president: Situation in Ukraine is "highly complicated and sensitive"

@highlight

Russia has attempted to depict China's support as more unequivocal than it actually is

@highlight

Beijing attempting to balance relationship with ally Russia as well as West

@highlight

Analyst: China also has strong strategic and commercial ties with Ukraine