(CNN) -- On Saturday, in the wake of the rocket attack that downed Malaysia Airlines Flight 17, Ukrainian President Petro Poroshenko urged the U.N. secretary-general to recognize the two main rebel groups in his country, the Donetsk People's Republic and the Luhansk People's Republic, as terrorist organizations.

In a similar vein Monday, Poroshenko told CNN's Christiane Amanpour that everyone must chose between the terrorists and the civilized world.

Although any country can declare those two rebel groups terrorist in accordance with their national legislation, and so make it illegal for any of their nationals to provide them with support, the U.N. secretary-general cannot, and nor can any other part of the United Nations, except possibly the Security Council.

The reason is that there is no internationally agreed definition of terrorism. In fact, the debate on what terrorism means has been going on at the United Nations for at least 20 years, stuck in major disagreement over what may be considered legitimate when people are fighting for their right to self-determination.

There are, however, many international conventions that define acts of terrorism, one of the earliest being the 1971 Convention for the Suppression of Unlawful Acts against the Safety of Civil Aviation, which would certainly cover the downing of the Malaysian airliner, so long as the act was shown to be intentional. But for Poroshenko, the rebels in the Donetsk and Luhansk regions were terrorists long before Flight 17 came down, and will remain so whether or not they are proved responsible.

Russian President Vladimir Putin would see it differently. Although he backs President Bashar al-Assad's characterization of all rebel groups in Syria as terrorists, in the Ukrainian case he believes that the rebels are exercising their rights to self-defense and self-determination.

The two issues are not completely similar because the Syrian rebels are looking to change their government rather than their nationality, but in both cases use of the terrorist label has the same intention of inviting universal condemnation. It makes it harder to distinguish between what may be legitimate and what is not.

And here lies one of the complexities of so many current areas of conflict around the world, where borders have become disputed not by the states that exist on either side, but by the people who live inside them and resent the identity or confinement that they confer.

Since 9/11, terrorism has come a long way from the isolated cases of assassination or attack that were common beforehand. A movement such as the Islamic State of Iraq and Syria, or ISIS, which even terrorist groups regard as terrorist, is as much an overt insurgency as a covert group of bombers and killers.

In fact, the territory it currently controls makes it one of the wealthiest oil producers in the Middle East. Boko Haram, Al-Shabaab, al Qaeda in the Arabian Peninsula, all universally regarded as terrorist groups, control large areas of territory and aim to extend their reach. They are not like the Irish Republican Army, the Popular Front for the Liberation of Palestine, ETA or other historic organizations that more easily fit the popular concept of terrorism.

Another issue that arises in the Ukrainian case is that if the rebels are terrorists, what does that make Russia?

State-sponsored terrorism has been less of an issue since the rise of al Qaeda, which seems to have done perfectly well without it. And while there are murky relationships between illegal armed groups and governments in parts of Africa and South Asia, state sponsorship on a scale that involves the supply of missiles capable of bringing down an aircraft at 30,000 feet would seem to deserve a name more closely related to conventional warfare.

So we now have a nasty mix in many places around the world of terrorism, armed opposition groups and proxy wars, all dressed up in ambiguity, denial and obfuscation. And while these dirty wars drag on, only one thing remains constant -- the dead bodies strewn around the fields and towns, whether fallen from the sky or just lying where they stood.

It doesn't much matter whether the international community regards the Ukrainian rebel forces as terrorists or not, there are no possible reasons or exculpatory factors that can excuse what happened to Flight 17, if -- as seems to be the case -- it was brought down by a missile fired from territory under their control.

Join us on Facebook.com/CNNOpinion.

@highlight

Ukraine President says pro-Russian rebels should be called terrorists

@highlight

Richard Barrett: There's no internationally agreed definition of terrorism

@highlight

Under '71 agreement, Malaysian jet's downing would be terrorism -- but only if intentional

@highlight

Barrett: The world is seeing a merging of terrorist groups and quasi-states