The symptoms of gastroenteritis aren't pretty, but at least doctors know what's behind the wave of cases in recent years.

According to a new study released by the Centers for Disease Control and Prevention, norovirus sent nearly 1 million children under age five in the U.S. to the doctor or hospital in 2009 and 2010. And treating those youngsters cost an estimated $273 million a year.

Norovirus is often called the "stomach flu" or "food poisoning" since its symptoms include severe vomiting and diarrhea. According to the CDC, the virus, which inflames the lining of the stomach and intestines, causes 21 million cases of illness, 70,000 hospitalizations and 800 deaths in the U.S. annually. A little more than half of the cases are passed from person to person, and 20% are caused by contaminated food.

Based on their latest findings, published in the New England Journal of Medicine, the researchers said an estimated 1 in 278 kids will be hospitalized for norovirus infection by the time they turn five, about 1 in 14 will visit an emergency room and 1 in 6 will receive out patient treatment.

TIME.com: New strain of norovirus is circulating

The estimates came from data involving more than 141,000 kids under age five who required medical attention for acute gastroenteritis between October 2008 and September 2010. Lab tests confirmed the presence of the norovirus.

The virus was identified in 278 of the 1,295 cases of acute gastroenteritis and rotavirus, which is another cause of gastroenteritis, was identified in only 152.

Infants infected with norovirus were more likely to be hospitalized and about 50% of the medical care visits from norovirus infections occurred in kids between six to 18 months.

The surge in norovirus cases may be due in part to better control of rotavirus infection, for which children can be vaccinated.

"Our study confirmed that medical visits for rotavirus illness have decreased," said Dr. Daniel Payne, an epidemiologist in the division of viral diseases at the CDC in a statement. "Also, our study reinforces the success of the U.S. rotavirus vaccination program and also emphasizes the value of specific interventions to protect against norovirus illness."

TIME.com: Don't keep your grocery bag in the bathroom

There is no treatment for norovirus, other than bed rest and drinking plenty of fluids to prevent dehydration. Most people recover between 24 hours to 48 hours.

Work on a vaccine to protect against the virus is underway, and in March, when a new strain of norovirus was identified in the U.S., TIME spoke to Dr. John Treanor, chief of the Infectious Diseases Division at the University of Rochester Medical Center who is testing a vaccine developed by LigoCyte Pharmaceuticals:

"The shot contains a part of the norovirus' outer layer, which they hope will generate a strong immune response in those who get immunized. A vaccine would be critical for preventing the disease from escalating in populations; because it spreads so quickly, norovirus infections are difficult to contain.

"'You really only have to be exposed to a couple of viral particles to get sick,' says Treanor. 'This makes it very contagious because when you have norovirus, you are dispersing literally millions of particles. When it only takes one or two to make the next person sick, it translates into very high contagiousness.'"

TIME.com: Illnesses from imported food on the rise

If successful the vaccine could significantly reduce the number of illnesses associated with the virus, and same millions in health care costs to treat dehydrated children.

Until then, the CDC recommends washing your hands regularly, cleaning any infected or contaminated surfaces and laundry and if you or anyone around you is sick, and to wait two to three days after you recover before preparing food for anyone.

This story was originally published on TIME.com.

Norovirus is leading cause of intestinal disorders in American kids

@highlight

Norovirus sent nearly 1 million children to doctor or hospital in 2009 and 2010

@highlight

Norovirus is often called the "stomach flu" or "food poisoning"

@highlight

The virus causes 70,000 hospitalizations and 800 deaths in the United States annually