In his speech about ISIS last week, President Barack Obama said, "American military power is unmatched, but this can't be America's fight alone."

Allies and partners of the United States, Obama vowed, would provide support to degrade and eventually destroy the militant group that has slaughtered many people in Iraq and Syria and beheaded two American journalists and a British aid worker.

The United States has conducted more than 150 airstrikes in Iraq against ISIS, and Secretary of State John Kerry has said nearly 40 nations have agreed to contribute to the fight against the militants. But it remains unclear which countries are on that list and the precise role they'll play.

On Sunday, Kerry said countries in the Middle East are willing to help with strikes against ISIS, but he said on CBS' "Face the Nation" that "it's not appropriate to start announcing" which nations will participate and what each will do.

Those statements come as ISIS beheaded a third Western captive, Briton David Haines, and as Kerry ended a weeklong trip to the Middle East to drum up support for the battle against the militants.

An international conference convened Monday in Paris, where there was more discussion of a coalition. After the meeting, the French government released general points the parties adopted to push against ISIS.

On September 17, in a speech to service members at Central Command in Tampa, Florida, Obama said that Saudi Arabia has "agreed to host our efforts to train and equip Syria opposition forces" to fight ISIS. He mentioned several other nations, and the roles they are playing, detailed below.

So far, this is what's known about the nations involved and their contributions:

Read more: Kerry says ISIS is 'animal unto itself'

Australia: On Sunday, the Australian government responded to a request by the United States and said it is preparing to deploy to the United Arab Emirates up to eight Royal Australian Air Force F/A-18 combat aircraft, an E-7A Wedgetail airborne early warning and control aircraft and a KC-30A multirole tanker and transport aircraft. Australia will also help to stem the humanitarian crisis. Obama said on September 17 that Australia will send military advisers to Iraq.

Australian combat troops will not participate in ground fighting, according to Prime Minister Tony Abbott's office.

Great Britain: Prime Minister David Cameron called ISIS "a menace" Sunday and said the United Kingdom would help arm Kurdish forces, support the Iraqi government, keep supplying humanitarian help and coordinate with the United Nations to battle ISIS.

"This is not about British combat troops on the ground," he said Sunday, "it is about working with others to extinguish this terrorist threat."

Read more: Britain vows to 'confront' ISIS

France: France has begun reconnaissance flights over Iraq, the French Defense Ministry said. Two Rafale air force planes took off from an air base in the United Arab Emirates, the ministry said.

France has contributed 18,000 rounds of .50-caliber ammunition in the fight against ISIS, a senior U.S. State Department official told reporters Sunday during a background briefing. It's protocol for officials giving the information not to be quoted by name. France's air force was also part of a recent operation in the Iraqi town of Amerli that pushed back ISIS fighters and, along with Australia and Great Britain, has performed humanitarian aid drops in Iraq.

Iraqi Prime Minister Haider al-Abadi told reporters in Baghdad on Friday that French President François Hollande promised that France "will participate in efforts to hit terrorist locations in Iraq."

Germany: Geared toward curbing ISIS propaganda and recruitment, Germany has banned activities that support ISIS, including making it illegal to fly the trademark black flag of the Islamic State in Iraq and Syria. Germany has also said it was sending military assistance to the Kurdish region to fight ISIS.

Obama said on September 17 that German paratroopers are offering training in the overall effort to fight ISIS.

Netherlands: In Sunday's briefing, a State Department official praised the Netherlands for "leading an effort" to help curb the flow of foreign fighters coming into the country who may be empathetic to ISIS or assisting it in some way. Dutch leaders have proposed amending national law that would revoke citizenship to those who work with terrorists, The New York Times reported.

Canada: A State Department official said Sunday that Canada has provided "tangible equipment and ammunition" to the broader effort to fight ISIS. Canadian Prime Minister Stephen Harper announced just days ago that more than 50 Canadian special operations troops are being deployed to Iraq as part of an adviser mission but that there would be no direct military intervention by the country, according to CTV.

On Sunday, State Department officials also called out Italy, Poland, Denmark, Albania and Croatia for providing equipment and ammunition in the fight against ISIS. New Zealand, Romania and South Korea were also named for providing humanitarian assistance, with specifics on South Korea giving some $1.2 million.

Turkey: U.S. officials say Turkey has taken steps to cut the flow of money to ISIS and denied entry to or deported several thousand foreign fighters heading to Syria to join the extremists, CNN's Elise Labott and Tom Cohen reported Friday. The United States is hoping Turkey will stop oil exports from ISIS-held areas that bring more funding to the group, they write in a piece that examined who is signing on to aid the West fight ISIS.

Jordan: Former Jordanian Foreign Minister Marwan Muasher said on CNN on Sunday that he doubts Jordan will commit ground troops in the fight against ISIS. "The U.S. will have to take the lead in providing military strikes," he said.

Jordan's key role would be providing intelligence to the West, Muasher said. Speaking from Amman, he stressed that Jordan's intelligence on ISIS is "second to none."

Saudi Arabia: On Thursday, Kerry met with Saudi Foreign Minister Prince Saud al-Faisal in Jeddah.

U.S. officials say that Saudi Arabia has offered to train rebels on its soil. In a short session with reporters Thursday, al-Faisal and Kerry took questions. Al-Faisal appeared to avoid giving specifics but said that Saudi Arabia has "always taken initiatives with regard to a firm position towards terrorists and against them. So there is no limit to what the Kingdom can provide in this regard."

The United States also wants Saudi Arabia, Qatar and Egypt to use Arab television networks to spread anti-ISIS messages and encourage more clerics to speak out against the group.

Saudi Arabia has also put $500 million into the coffers of the U.N. humanitarian aid agencies in Iraq, a senior State Department official said Sunday.

CNN's Labott asked Kerry whether Saudi Arabia supports the extremist expressions of the Wahhabism version of Islam espoused by some terror groups. Kerry responded that the kingdom is "deeply committed to the effort to terminate" ISIS. A significant part of the counterterrorism effort against the militants includes cutting off money to terror groups, Kerry said.

Egypt: Kerry said Saturday that Egypt has a critical role to play in countering ISIS ideology. There was a "very detailed conversation with the Egyptians about military-to-military cooperation" in Iraq, State Department officials said Sunday, but there appear to be no public details about the role Egypt may play.

Signaling a major cultural push against ISIS, last week, Egypt's grand mufti reportedly condemned the terror group, saying that its actions are not in line with Islam.

Qatar: Qatar has flown a number of humanitarian flights, State Department officials said.

Iran: Supreme Leader Ayatollah Khamenei said Monday on Twitter that he has rejected the possibility of cooperating with the United States "because (the) US has corrupted its hands in this issue." Khamenei accused the United States of planning to use military action against ISIS to "dominate the region."

Iraqi Kurdistan: Leaders of the semiautonomous region of Iraq are willing to send their Peshmerga forces to fight beyond their borders if there's a comprehensive international strategy put in place, President Masoud Barzani told CNN's Anna Coren.

A senior U.S. military official told CNN that "more than one Arab nation" has offered to carry out what the official described as "kinetic" actions, such as airstrikes against ISIS.

Kerry said in a CBS interview aired Sunday that some nations also have offered to commit ground troops. Senior State Department and U.S. military officials said Monday that Kerry was not referring to foreign forces, whether Western or Arab.

They are "indigenous" forces; that is, Syrian and Iraqi troops, including trained Syrian rebels, Iraqi forces, Kurdish forces and Sunni tribes, the officials said.

@highlight

France has begun reconnaissance flights over Iraq, its Defense Ministry says

@highlight

Saudi foreign minister: There is "no limit to what the Kingdom can provide" in fight

@highlight

At U.S. request, Australia is deploying aircraft to aid in battle against terror group

@highlight

British PM says defeating ISIS is "about working with others"