(CNN) -- Israel may have to retire its title as the only democracy in the Middle East. With Sunday's free and fair national election, Iraq joins the honor roll as one of the very few Islamic democracies.

Other Middle Eastern countries hold elections too, of course. But those elections fall into two broad categories. The first category is the blatantly rigged: Iran, most spectacularly, but also Algeria, Egypt, and Yemen, among others. In the second category, elections are more or less honest -- but fail to exert much control over the actions of the government: Lebanon, Morocco, and Jordan.

In Iraq, despite violence, votes are honestly counted. Once counted, votes decide who rules. For all the country's well-known problems, that record is a remarkable achievement.

The brave Iraqi democrat Nibras Kazimi posted this firsthand account on his important blog, Talisman Gate:

"I voted. It felt great, but the greatest thing about it was how normal it felt; elections have become a ho-hum, commonplace occurrence. That's quite a feat for a country with Iraq's past and current challenges. The voting procedure itself was very well organized and speedy. The election site had seven polling stations, with about 400 registered voters allowed to vote there. Everyone's name was posted outside, along with information about what polling station they were supposed to use. Once inside, IDs were checked against name lists, and one had to sign next [to] one's name to indicate that this name has voted. All in all, there are reasonable mechanisms in place to contain incidents of fraud. ...

"The Western media is hyperventilating about mortars and katyushas. ... This was a logistical failure for the jihadists; hardly any successful suicide bombers or sniper attacks near the polling stations. Lobbing mortars indiscriminately around Baghdad is BS intimidation. It certainly didn't deter voters.

"The fact that the security authorities allowed vehicular traffic around 11 AM was both surprising and bold. It showed confidence in their security precautions, and the fact that there were no car bombs shows that they were right."

Iraq's elected government has consolidated power over the whole country, including the formerly Iranian-run southern city of Basra. It has presided over a remarkable decline in violence.

The Brookings Institute's Iraq index estimates that there were 34,500 Iraqi civilian casualties in 2006. In 2009, 2,800 Iraqi civilians died violently.

Attacks on coalition forces have dwindled from almost 2,000 per week at the end of 2006 to a little over 100 per week.

Iraq is not yet a stable place -- but a future of stability seems at last at hand. Maybe the surest sign of success is that those who once opposed the surge are now scrambling to grab credit for it. Iraq "could be one of the great achievements of this administration," boasted Vice President Joe Biden to CNN's Larry King last month. Next we'll hear how we owe the Marshall Plan and the Panama Canal to the Obama administration. Well, that's not how those who were there remember it.

A stable Western-oriented Iraq at peace with itself and its neighbors would be a great prize. If that future does take hold, we'll learn the answer to another great question.

Speaking on the eve of war in 2003, President George W. Bush told the guests at the American Enterprise Institute's annual dinner that he discerned "hopeful signs of a desire for freedom in the Middle East. Arab intellectuals have called on Arab governments to address the 'freedom gap' so their peoples can fully share in the progress of our times.

"Leaders in the region speak of a new Arab charter that champions internal reform, greater politics participation, economic openness, and free trade. And from Morocco to Bahrain and beyond, nations are taking genuine steps toward politics reform. A new regime in Iraq would serve as a dramatic and inspiring example of freedom for other nations in the region."

Will he be vindicated?

In the January issue of the Journal of Democracy, Larry Diamond offers grounds for hope that the answer may be yes. Diamond, an expert on democracy-building who served with the Coalition Provisional Authority, itemizes the indicators of growing yearning for self-rule in the Middle East. He notes surveys in which 80 percent of Arabs across the region agree that democracy is the best form of government and would be good for their own country.

Of all the obstacles to Arab democracy -- religion, culture, geopolitics -- the most important is geological: oil.

Oil states tend to be undemocratic states, because control of the state so directly translates into control of the nation's wealth. When the price of oil rises, the value of power rises with it. It's not a coincidence that oil states from Russia to Venezuela to Iran have turned to more repressive and hard-line policies since the price of oil began to rise in 2001. By contrast, the 1986 collapse in the price of oil is widely cited as a decisive factor in the collapse of the Soviet Union.

Iraq's future will depend on its success overcoming "the curse of oil." America's next contribution to Middle Eastern democracy may be an energy policy that finally lifts this curse.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

Iraq held a free and fair election for parliament on Sunday, says David Frum

@highlight

He says Iraq can be a model democracy for the Arab world

@highlight

President George W. Bush spoke of "hopeful signs of a desire for freedom" in the region

@highlight

Frum: Biggest obstacle to democracy in Middle East is the influence of oil wealth