Editor's note: Maria (Maki) Haberfeld is a professor of Police Science at John Jay College of Criminal Justice in New York City. She has served in the Israeli Defense Forces and the Israel National Police, and worked for the U.S. Drug Enforcement Administration as a special consultant. From 1997 through 2001, she was a member of a research team, sponsored by the National Institute of Justice, studying police integrity in three major police departments in the United States. She is the author of "Critical Issues in Police Training" (2002) and co-author of "Enhancing Police Integrity" (2006).

Maria Haberfeld says police officers make decisions based on their awareness of potential danger.

NEW YORK (CNN) -- We teach our children to think about what others feel before they act, but as grown-ups we frequently assume we understand what others do without ever having walked in their shoes.

President Obama expressed his opinion about a police officer's interaction with Harvard Professor Henry Louis Gates. "The Cambridge police acted stupidly in arresting somebody when there was already proof that they were in their own home," the president said.

Was it stupid behavior or was it an understandable result of police procedure -- the culture, or rather sub-culture, of this profession. People depend on police in a time of trouble but are quicker than lightning to judge harshly when things go wrong. But the most important question in this case is: Did they go wrong?

One needs to understand that the interaction between a police officer and a suspect is just part of a larger context.

When a neighbor calls the police to report a burglary in progress and a police officer is dispatched to respond, a decision-making process begins for the officer.

Police work is about sub-cultural contexts, about war stories, about suspicion, about unpredictability, about danger and fear for one's life. Police officers make their decisions based not just on a given situation but also based on their prior experience, the experience of those they have worked with and the stories they have heard about incidents that happened in the past.

A call to respond to a burglary in progress generates a series of images that prepare a police officer for an encounter -- a dangerous encounter that can possibly end with a loss of life.

Not long ago one of my students, an officer in the New York Police Department, was killed trying to stop a robbery in progress. Police officers hear about these stories and unlike the members of the public who forget a story, no matter how sensational within a day or two, police officers carry these stories as their secret weapons. This is part of their armor. An officer responding to a burglary in progress arrives at a scene with a heightened sense of danger, anxious and ready to go into fighting mode.

Yes, the professor identified himself as a legitimate occupant of the premises. However, he was not arrested for trespassing. He was arrested for disorderly conduct.

Police officers arriving at the scene of a suspected burglary in progress do not put down their armor of suspicion just because somebody proved to them that they are the legitimate occupants of the dwelling.

Police encounters can become deadly when officers assume that, on the surface, everything appears to be in order. It is their sixth sense of suspicion that helps them assess the situation in a way that members of the public would not consider reasonable. It is this precise quality of suspicion that goes beyond a reasonable doubt that sets them apart from the larger public and can be understood only by the members of the force.

A person usually does not break into his own house -- it is true that it can happen, and it apparently did in this case -- but this is not a standard behavior that, once explained to the officer, should mandate an automatic approach to put down your guard.

The officers look at the scene of the event they were called to as their domain, their turf, their territory, where some order has been disturbed and they were called to restore it. A famous police scholar, Egon Bittner, once wrote that we call the police when "something ought not to be happening about which something ought to be done right NOW!"

The professor may have raised his voice, and this would appear now as justifiable under the circumstances. But, when somebody challenges the authority or the domain of a police officer who was just called to restore order, the discretionary process of the officer is not the same as that of a bystander.

The professor seemingly lost his temper. One might say that this is fine, given the circumstances. The police officer did not lose his temper, he just made a decision that might have been an outcome of an error of judgment, or which one might say could have been justified given the totality of the circumstances. iReport.com: "Shame" on Gates

There are over 19,000 different law enforcement agencies across the United States. Each agency has its own standard operating procedures and rules and regulations, including the ones that would appear relevant to this case. However, there are no national standards that can be applied when officers respond to a call for a burglary in progress.

Only very general standards could be applied and even then the evolving situation would dictate how officers would proceed after confronting the suspicious person. When an individual under suspicion becomes agitated, insults the officer and becomes aggressive, the majority of police departments would allow the officer to make an arrest.

I was not there. Neither was the president nor all the others who are quick to pass judgment. What went on in the officer's head is something that I can only guess but, based on over 30 years of experience in the doing, teaching and studying of the police profession, I would venture to say that race had nothing to do with the behavior displayed and that the sub-culture of police work dictated the action, more than any possible bias or prejudice.

I do believe that racial profiling exists in the minds of many -- not just police officers but also regular citizens. But police departments around the country are working very hard to fight these ill-conceived notions and, in recent years their diversity recruitment and selection processes, paired with modules in sensitivity and multicultural training, have had an impact.

The opinions expressed in this commentary are solely those of Maria Haberfeld.

@highlight

Maria Haberfeld: President Obama said police acted stupidly in arresting professor

@highlight

She says act could be viewed as result of officers' awareness of potential danger

@highlight

She says officers arrive at such scenes with heightened sense of danger