Washington (CNN) -- The Obama administration is lifting the moratorium on deep-water oil drilling -- put in place after the Gulf oil spill disaster -- for operators who comply with tough new rules and regulations, Interior Secretary Ken Salazar announced Tuesday.

"There will always be risks associated with deep-water drilling," Salazar said. "We have reached a point where we have significantly reduced those risks."

The six-month moratorium was first issued by Salazar in May after the April 20 explosion of BP's Deepwater Horizon drilling rig in the Gulf of Mexico that killed 11 people and triggered one of the worst environmental disasters in U.S. history. An estimated 4.9 million barrels (206 million gallons) of oil gushed into the Gulf before the broken well, 5,000 feet below the surface, was capped.

Salazar's initial moratorium was overturned by a federal judge whose ruling was upheld by an appeals court. The interior secretary then issued a second ban in June that was scheduled to expire in November.

Critics of the ban, including Republican leaders, Gulf state officials and Gulf Coast residents, said it would only hurt oil and gas workers in the already hard-hit coastal communities, where hundreds of jobs were lost because of the disaster.

Environmental groups and other supporters of the moratorium argued it was necessary due to a lack of effective regulation of deep-water drilling that allowed the Deepwater Horizon explosion and subsequent spill to occur.

Tuesday's decision came three weeks before congressional elections in which Democrats are expected to lose seats in both chambers, and possibly lose control of the House. Asked if the move was politically motivated to help Gulf state candidates in tough races, White House Press Secretary Robert Gibbs said it was based on the completion of a proper policy review.

"This is a very deliberative policy process," Gibbs said. "It puts in place some important safety steps to ensure that when it is done again, it is done safely."

Salazar said the moratorium provided time to make sure similar accidents involving a failed piece of equipment called a blowout preventer wouldn't occur, and that rig operators were prepared to deal with worst-case scenarios if it did happen.

Under the new requirements, operators must show that their proposed development and exploration plans can deal with potential blowouts and undergo detailed inspections and design reviews of blowout preventers by independent third parties, said Michael Bromwich, the new head of the federal agency that oversees offshore oil drilling.

Bromwich said it might take time for companies to come into full compliance, but he expected some permits for resumed drilling to be approved by the end of the year.

"We will not approve permits without vital supplemental information required by the rules," said Bromwich, director of the Bureau of Ocean Energy Management, Regulation and Enforcement.

Democratic Sen. Mary Landrieu of Louisiana, a critic of the moratorium, called Tuesday's announcement a good first step but said more was needed to help the region's oil and gas industry get back to work.

"This means that the administration must continue to accelerate the granting of permits in shallow and deep water, and provide greater certainty about the rules and regulations industry must meet," Landrieu said in a statement.

Landrieu has blocked Senate consideration of President Barack Obama's nomination of Jacob Lew to become the new director of the White House Office of Management and Budget to protest the moratorium. Her statement said she would study the situation in coming weeks before deciding whether to lift her hold on the nomination when the Senate returns from recess after the November 2 congressional elections.

Gibbs told reporters that the Lew nomination was unrelated to the oil spill issue and he criticized Landrieu for playing politics.

"We have said from the beginning that the hold was unwarranted and outrageous," he said.

The chairman of the House Energy and Environment subcommittee, Democratic Rep. Edward Markey of Massachusetts, praised the moratorium as a necessary step to instill safety in the drilling industry.

"This deepwater drilling suspension was always about keeping the Gulf workers and waters safe from another oil spill, and it has been effective in doing so," Markey said in a statement. "The new rules that the Interior Department has issued will help ensure that if oil companies are going to drill ultra-deep, they are doing so in a manner that is ultra-safe."

Environmental groups questioned if enough had been done to prevent another rig explosion and spills like the one that took oil giant BP and the government months to contain.

"Today's actions are premature," said a statement from Peter Lehner, executive director of the Natural Resources Defense Council. "The difficult clean-up process in the Gulf has taught us prevention is key. To ensure a disaster like this never happens again, we must know what caused it in the first place. We're still waiting for that answer and until we get it -- the moratorium should remain in place."

David Guest, an attorney for Earthjustice, said it was "surprising the federal government thinks it has so quickly resolved all the problems that contributed to the spill."

"We learned from this spill that we have only a tiny fraction of what's necessary to control deep water oil spills," Guest said in a statement. "While we've now got some new regulations that address technology and safety, the federal government still hasn't come up with any new regulations addressing oil spill response. We still don't have the equipment or technology to control or contain the oil from a major blowout in the Gulf."

However, Republican Gov. Bobby Jindal of Louisiana said the moratorium should have been lifted sooner, and that he now worried that "severe bottlenecks in the federal permit review process have resulted in a de facto moratorium for shallow water drilling,"

The moratorium affected 36 operators, half of which were able to continue some level of work such as helping to dig relief tunnels that capped the broken well, Salazar said. Lifting the moratorium means applications for 18 exploratory wells can again move forward, providing they comply with the tougher new regulations and rules, he said.

"The policy position we've articulated today is that we're open for business," Salazar said. "We will be taking applications for drilling in the deep water and we'll be processing those applications under the road map ... created in the last six months."

CNN's Chief National Correspondent John King contributed to this story.

@highlight

NEW: Gibbs denies any political reason for timing of the decision

@highlight

Bromwich expects some permits for new drilling this year

@highlight

Salazar announces conditions for resumed drilling

@highlight

Moratorium was declared after the Gulf oil spill disaster