Washington (CNN) -- Inside a tall, red-brick building in Alexandria, Virginia, there is a federal courtroom just waiting for admitted intelligence leaker Edward Snowden to show up.

But if he ever gets there, and it may be a while, the record of trials in the Eastern District of Virginia suggests justice could be swift and certain.

The modern, high-security facility just south of the nation's capital was the original home of what has come to be known as "the rocket docket" -- a place where many cases proceed at lightning speed relative to legal proceedings elsewhere. High profile national security cases are tried there.

It also is where the government's criminal complaint against Snowden alleging violations of the Espionage Act was filed. There has been no indictment yet.

While Snowden's case is unusual and entangled in secrets that it could drag out for years, the Eastern District undeniably is one of the places that puts a premium on the concept of a "speedy trial."

That's why a guy in Snowden's position -- now a world away in Russia with a grant of temporary asylum -- has to think about his next move.

So what's an NSA leaker to do?

Opinion: Former spy: U.S. gains with Snowden in Russia

While it is not always wise to speak with certainty about matters of international intrigue, here are five possible moves Snowden could make.

Option 1: Find a way to get to a place of relative "long term" refuge. In a major victory, Snowden won temporary political asylum in Russia. "It's a very significant achievement for Snowden. It gives him an entire year for him to figure out his options, to see if he can manage to get to one of the countries that has offered him asylum in South America. It takes him out of the discomfort of the transit zone and into Russia itself, where he presumably has to be with friends and associates and it just gives him a tremendous amount of time," said international extradition lawyer Jacques Semmelman. The down side for Snowden is that his asylum is limited. "It creates the possibility that there has to be something new that will come up in a year," said CNN consultant and former FBI official Tom Fuentes.

Option 2: Negotiate a solution and return to the United States. Edward Snowden's father, Lon Snowden, hoped at first that there might be a way to arrange for his son to return to the United States. But as of last week, he had changed his opinion dramatically after hearing commentary on the issue from Congress and the Obama administration. "In this climate, I don't believe that's possible. So yes, I think Russia is the best place for him. Russia has the strength and conviction to protect my son." But experts don't think the Department of Justice is itching to strike a deal that would clear the way for Snowden's return. "The U.S. will not negotiate with fugitives as a matter of policy," Semmelman said.

Option 3: Extradition. It's the least of Snowden's worries now. The United States has no extradition treaty with Russia. Why? Because certain senators fought it out of fear Russia might ask the United States to hand over Russian dissidents and other defectors. The chances of the United States quickly ratifying an extradition treaty are unlikely.

Option 4: The "no passport" play. This could be a problem for Snowden. When he was indicted, the State Department also revoked his passport. According to Fuentes, international agreements allow governments to deport people without valid passports to the country from which they entered or to the nation of their citizenship. "So in this case, the Russians could at any time -- they could have done it already, they could do it now -- they could stick him back on a nonstop flight to U.S. and say goodbye ... or to Hong Kong where Snowden was last." Hong Kong has an extradition agreement with the United States.

Option 5: Head to a nation's embassy that will keep him. Experts say it is always a possibility to camp at a foreign embassy in Moscow or elsewhere. WikiLeaks founder Julian Assange is inside the Ecuadorian Embassy in London. And Snowden is traveling with a representative of WikiLeaks. "Once he is in an embassy, in the sovereignty of another country there is nothing the U.S. could do," Semmelman said.

Opinion: How Putin's move could help Snowden and U.S.

What is not likely, we are told, is a scenario involving U.S. operatives grabbing Snowden off the streets of Moscow and delivering him to the Eastern District courtroom.

That, say experts, only happens in Hollywood.

@highlight

Granted temporary asylum, Edward Snowden has few options while in Russia

@highlight

The federal court in Alexandria, Virginia, specializes in the highest-level national security cases

@highlight

Snowden could be part of a negotiated deal to send him back to the United States

@highlight

However, extradition is unlikely in the case of Snowden, who's addmited to leaking intel secrets