Partisan hyperbole has ratcheted up as the Obama administration grapples with thousands of young undocumented immigrants surging the U.S.-Mexico border and facing angry protesters on the way to overcrowded detention centers.

Republicans blame President Barack Obama for exacerbating the problem. They say the policy of  temporarily deferring deportations of children sent a signal to thousands of kids fleeing poverty and violence in Guatemala, Honduras and El Salvador that they could stay in America.

Immigrant children tread treacherous political landscape

And even one Democrat, Rep. Henry Cuellar, whose Texas district borders where immigrant children cross the Rio Grande Valley, feels Obama has been "one step behind."

Obama and many Democrats say House Republicans are to blame for rejecting Senate-passed immigration reform last year without coming up with their own plan.

And in the latest development on Monday, the White House said most children involved probably won't be allowed to stay in the country.

Beyond the bickering, both sides have valid points, immigration policy and law experts say. Here's a reality check.

1. Why is this happening? Unaccompanied minors have been trekking to the United States in steadily increasing numbers since 2012, according to the nonpartisan Migration Policy Institute.

Over roughly the past year or so, however, both the numbers and home countries shifted dramatically. Where previously Mexican children made up the bulk of them, a surge more recently from Guatemala, Honduras and El Salvador has been seen.

"In reality, there is no single cause. Instead, a confluence of different pull and push factors has contributed to the upsurge," the institute's analysis found. "Recent U.S. policies toward unaccompanied children, faltering economies and rising crime and gang activity in Central American countries, the desire for family reunification, and changing operations of smuggling networks have all converged."

An administration program that defers the deportation of children brought in illegally by their parents or guardians has also had unintended consequences, immigration policy and law experts say.

Although most children pouring over the border now would not qualify for "amnesty," drug smugglers have used misperceptions about the program to entice kids with the promise of "permisos," or a pass to stay in America, Homeland Security Secretary Jeh Johnson told a congressional committee recently.

Inaction by the House on immigration reform has also exacerbated the problem, experts say.

Such reforms would help stabilize employment prospects for immigrants who left their kids behind. As a result, those children might not feel as compelled to flee, experts say.

2. Should government have seen it coming?: Yes.

Last year, federal agencies noticed an uptick in minors crossing the border — particularly in the Rio Grande Valley, according to a report from U.S. Customs and Border Patrol.

The same agencies have also realized those "children present unique operational challenges" for Border Patrol and Health and Human Services. The administration was also aware that it couldn't simply deport them.

The Trafficking Victims Protection Reauthorization Act, which was signed into law and reauthorized several times during President George W. Bush's administration set guidelines on how to best handle unaccompanied immigrant children.

In 2008, the Department of Health and Human Services was authorized to take over the care of kids, which includes helping meet their health and legal needs, no later than 72 hours after being picked up by the Border Patrol.

At a House Homeland Security Committee hearing last month, federal officials said they were having difficulties meeting the 72-hour hand off.

The administration has asked Congress to give the Border Patrol more leeway in deportation decisions but doing so is murky, immigration advocates say, since it involves a young and vulnerable population.

3. What's being done now? Obama is vowing to act on his own and use his executive authority to sidestep the House, changes some proponents say could help address the problem.

Should Obama use the power of his pen to turn the tide on immigration reform?

Obama has discussed Mexico's role with Mexican President Enrique Peña Nieto and Vice President Joe Biden brainstormed strategies with Central American leaders in Guatemala.

Johnson also will travel to Guatemala this summer and he made a public service announcement in Spanish and English last month aimed at Central American parents.

He stressed sending children to smugglers who sneak them across the border is dangerous and illegal.

Immigration officials also released graphic ads over the weekend with the same message. There is also an effort against drug cartel smuggling rings, and consideration of deploying more Border Patrol agents.

White House to spend millions to curb undocumented children crossing border

Obama will request more than $2 billion from Congress to help deal with the problem.

Though now, the administration plans to spend roughly $100 million in aid to Guatemala, Honduras and El Salvador to help the immigrant children get back home and stay there.

It also setting aside $161.5 million this year for programs designed to help Central American countries respond to "pressing security and governance challenges."

White House spokesman Josh Earnest said Monday the "law will be enforced."

This means children who have been apprehended "will go through the immigration court process" and it's unlikely that most who do so "will qualify" to stay in the country.

4. Would an immigration bill have prevented this? Perhaps, immigration law and policy experts say.

Obama likes to blame the House for not passing a Senate immigration bill that also included a path to citizenship for an estimated 8 million of the more than 11 million undocumented workers in the country.

Those reforms would have helped immigrant families become more economically stable. Those parents, in turn, would have more money to send back home which, as a result, would help eliminate the type of poverty affected kids experience.

5. Will Obama go to the border? He is in Texas for fundraisers and for an economy event this week. However, White House officials say he has no plans to visit the border now.

The White House feels that things are in hand. "The President is very aware of the situation that exists on the southwest border," Earnest said, noting that other officials have traveled there and what they've seen "is troubling."

Texas Gov. Rick Perry has loudly called for Obama to visit the border.

@highlight

Partisanship flares as frustrations mount over surge of undocumented immigrant kids

@highlight

The problem has multi-faceted roots and there were signs that a surge was coming

@highlight

Both the Obama administration and Congress can do more to stem the problem

@highlight

The White House says that most children probably won't be permitted to stay