Washington (CNN) -- Secret Service Director Mark Sullivan has cooperated properly with congressional investigators looking into the prostitution scandal in Colombia last month before President Barack Obama's visit, influential House members said Wednesday.

Rep. Peter King, the chairman of the House Homeland Security Committee, said Sullivan provided answers to 50 questions from his panel about the controversy in Cartagena that embarrassed the nearly 150-year-old agency and raised concerns of a possible security breach.

"I got the answers back last night, and I would say the answers were very detailed," King said on CNN's "Starting Point with Soledad O'Brien."

In addition, King said, Sullivan notified the Homeland Security Department's inspector general when the scandal became public in mid-April, "which showed that he wanted a real investigation."

Also Wednesday, the House Oversight Committee's leading members said Sullivan provided a "detailed response" to their separate list of questions about the incident.

"Director Sullivan's cooperation with our oversight efforts underscores his commitment to understand the extent of the problem and ensure that this unacceptable conduct does not occur again," said a statement by the panel's chairman, Darrel Issa, R-California, and ranking Democrat, Elijah Cummings of Maryland.

Even Republican Sen. Chuck Grassley of Iowa, a frequent critic of government resistance to congressional oversight, praised Sullivan's response to his request for details of any possible involvement of White House advance team staff in the scandal.

Grassley is demanding that the White House turn over all details of an internal review that found no wrongdoing by advance staff members, and he renewed his call Wednesday after receiving Sullivan's response that the Secret Service inquiry didn't involve White House records.

"Since the Secret Service did not request the records of the White House personnel, an open and transparent response from the president's counsel is even more imperative," Grassley said in a statement. "Unfortunately, more than a week after my inquiry, I've yet to hear from anybody at the White House. I appreciate the Secret Service's transparency in response to Congress, even with sensitive information."

King said Tuesday night that Sullivan's answers to his committee's questions disclosed that three of the 12 Secret Service agents involved in the scandal had refused to cooperate with authorities and submit to a polygraph test.

The three agents were among the first forced out of the service when news of the scandal in Cartagena broke, King said. The nine remaining agents took polygraph tests, and although none of them failed, some responses led to the loss of several jobs, he added.

On Wednesday morning, King said that no security breach occurred from the Secret Service agents consorting with foreign prostitutes in their hotel rooms shortly before Obama's arrival in Cartagena for last month's Summit of the Americas.

"We know that it appears that no material was obtained by any of the prostitutes. Nothing is missing. All the BlackBerrys are accounted for. There was no president's schedule available," King said.

"It does not appear that any of the 12 women had any involvement other than prostitution," King added. "They were not working for any narco-terrorist organization, and I think in a way the Secret Service has ducked a bullet."

Still, King said, the incident "goes against all the principles of the Secret Service."

"Because it was disclosed and there was no long-term security matter here, it gives the Secret Service the opportunity to clear up what has happened, do all it can to make sure it never happens again or at least minimizes it to make it very, very difficult for it to ever happen again," he said.

While King did not provide CNN copies of the responses -- which he said are marked "law enforcement sensitive" -- he highlighted several details Tuesday night.

Among other things, one agent said in the polygraph test that he was "actively engaged" with one of the prostitutes when she wanted to get paid, King said. In response, the agent threw her out of his room.

The agent told U.S. officials he didn't realize the woman was a prostitute, and he has not been fired.

U.S. officials have interviewed 10 of the 12 women involved in the scandal, King noted. The Secret Service and Colombian authorities are trying to track down the remaining two.

King said there weren't many surprises in the responses to his questionnaire.

"Sullivan was giving us good information all along," he said.

The top legislators on the Senate Homeland Security and Governmental Affairs Committee said Tuesday that they've also sent a letter to Sullivan asking for information on the incident.

A total of nine agents have resigned or are in the process of being forced out, while three other Secret Service agents were cleared of serious misconduct.

A source familiar with the investigation told CNN on Wednesday that money changed hands between nine Secret Service members and nine prostitutes.

The military is investigating the alleged involvement of 12 of its service members.

Issa and Cummings also have asked Defense Secretary Leon Panetta to provide details of the military investigation by May 8.

Two other congressional committees are looking into the scandal, as well as the Homeland Security inspector general, while the Secret Service and the White House have conducted internal reviews.

On Monday, Homeland Security acting Inspector General Charles Edwards announced his investigation of the incident, saying the "field work is beginning immediately."

The Senate Judiciary Committee questioned Homeland Security Secretary Janet Napolitano about the controversy at a hearing last week. On Tuesday, Sen. Joe Lieberman, an independent from Connecticut who chairs the Senate Homeland Security Committee, and ranking Republican Sen. Susan Collins said they sent Sullivan a letter Monday that also sought answers about what happened.

"We wish to determine whether those events were indicative of a pattern of behavior by agents or officers of the Secret Service and need to be addressed systemically or if they instead constituted an isolated incident warranting action only with respect to the individuals involved," said the letter from Lieberman and Collins.

The U.S. Southern Command expects to finish questioning the 12 military personnel implicated in possible wrongdoing this week before forwarding its findings to military lawyers for review and then to Gen. Douglas Fraser, commanding general of the U.S. Southern Command, a Defense Department official said Monday.

Last week, the Secret Service distributed new rules for its agents on assignment intended to prevent a repeat of such alleged misconduct, according to two government sources familiar with the resulting investigation.

Enhanced Standards of Conduct, the new guidelines given to all Secret Service personnel, make clear that standards of behavior required in the United States apply on missions abroad, the sources said.

Effective immediately, the new standards require detailed briefings before each trip that will include safety precautions and any necessary designations of establishments and areas that are "off-limits" for Secret Service personnel, the sources said.

Also in the new standards, foreigners are banned from Secret Service hotel rooms at all times, except for hotel staff and host nation law enforcement and government officials on official business, according to the officials, and all Secret Service personnel are prohibited from going to a "nonreputable establishment."

The new standards specify that U.S. laws apply to Secret Service personnel when traveling, rendering invalid the excuse that specific activity is legal in the foreign country, the officials said.

In addition, the new guidelines allow moderate alcohol consumption when off duty but prohibit alcohol consumption within 10 hours of reporting for duty or at any time when at the hotel where the protected official is staying, the officials explained.

An additional supervisor from the Office of Professional Responsibility will now accompany the "jump teams" that bring vehicles for motorcades and other transportation, the officials said. Agents involved in the Colombia incident were part of such a jump team.

Allegations of further transgressions by agents have emerged after the initial reports of heavy drinking and consorting with prostitutes last month before Obama arrived in Cartagena.

Recent claims include an account from El Salvador described by CNN Seattle affiliate KIRO as very similar to the Colombia scandal, involving members of the Secret Service and other government agencies.

However, Panetta said last week that his department is not investigating any of its troops over the reported incident in El Salvador, while State Department spokesman Victoria Nuland said Embassy staff in El Salvador were being questioned about the allegations.

The Drug Enforcement Administration also is prepared to look into, "in an appropriate manner and immediately," allegations that it deems "credible" regarding its agents in El Salvador, spokesman Rusty Payne said. But he added that, while the DEA had seen news reports, "we are unaware of any allegations of misconduct."

CNN's Tom Cohen, Dana Bash, Richard Allen Greene, Carol Cratty, Ed Payne, Ted Barrett and John King contributed to this report.

@highlight

Grassley renews his call for the White House to release full records

@highlight

Rep. Peter King says no security breach occurred

@highlight

Twenty-four people are linked to the prostitution scandal

@highlight

The incident happened before a presidential trip to the Summit of the Americas in Colombia