(CNN) -- Amanda Wagner and Jessica Tuttle turn 50 this year, but they're not letting age hold them back from their favorite exercise: running. They've been lacing up their running shoes since their teens and show few signs of slowing down. Research on older runners suggests they may not have to.

Jessica Tuttle, 50, left, and Amanda Wagner, 49, have been running for more than 30 years.

"It's a little bit harder, but that's part of the challenge I think," says Wagner.

When she isn't traveling for her job at a pharmaceutical company, Wagner tries to get together with Tuttle for 45-minute pre-work runs three to five days a week. Tuttle, who is a medical epidemiologist at the Georgia Health Department, feels that running gets her day off to a good start.

"It really wakes me up in the morning," says Tuttle. "It gives me an edge when I go in to work."

Conventional wisdom holds that the pounding from years of running leads to excessive wear and tear on the body as we age,  resulting in joint injuries, knee replacements or arthritis. So-called weekend warriors -- people who aren't in the type of shape needed to safely run sprints, dive for passes or make cuts on the basketball court -- add to this misconception when they hobble into their doctors' office after an injury.

But a study out of Stanford University that looked at healthy aging runners found that running did not damage joints or leave runners less able to exercise. Researchers discovered that if you're healthy and generally free of injury, there are few reasons to put away your running shoes, even into your 70s and 80s.  Watch more on running as you age »

"Moderate [running], three to five miles at a time, three times a week will actually help your joints to be more resilient and function a little bit better," says Dr. Amadeus Mason at Emory Sports Medicine Center in Atlanta, Georgia. But he stresses that keeping the joints healthy in the first place may be the key to running longevity.

That includes not running through pain, and resting if you have an injury, something Tuttle takes seriously. "I try to rest maybe if I'm having some specific pain that seems to be over a couple of days," she says.

Mason also warns against running if you suffer from a chronic knee injury. In this case, the continuous pounding could accelerate damage and lead to arthritis. Instead, choose joint-friendly exercises such as swimming, walking or a workout machine such as the elliptical.

Even if you have remained healthy, as Wagner and Tuttle have, don't get overzealous and overdo it.

"The biggest risk that runners will face as they age, with regard to injury, is overtraining, by far," says Mason, who recommends giving yourself a day of rest between runs, or cross-training on the non-running days.

In addition, Mason advises wearing the proper footwear and making sure to stretch before and after a run.

Beyond the good news about aging joints, the Stanford researchers also discovered some surprising overall health benefits for senior runners when they compared them with non-runners of the same age: Those in the running group were less likely to die from heart trouble, stroke, cancer, neurological diseases or infection.  Watch Dr. Gupta explain the study findings »

"The survival rate of the runners was again twice that of the controls," study author Dr. Eliza Chakravarty says. She says the findings were a surprise to the researchers.

Additionally, runners enjoyed a better day-to-day quality of life in old age than their more sedentary peers. "Members of the running group, it took them 16 years longer to reach certain levels of disability," says Chakravarty.

"Running is not the only thing that's going to make you live longer and be healthier; it's actually probably engaging in any kind of exercise that people enjoy," notes Chakravarty. "It's never too late to start incorporating regular exercise into your routine ... health benefits can last for decades."

But running is still the exercise of choice for Wagner and Tuttle, who have remained relatively injury-free throughout their 30-year running careers. The women don't plan to hang up their running shoes any time soon.

"I really can't imagine not running; it's that much a part of my life," says Wagner. "And I do expect and hope to be running when I'm 60 and when I'm 70 -- I truly do."

@highlight

Stanford University study finds that running did not damage joints in aging runners

@highlight

Runners still need to take precautions: Don't run with injuries, wear proper shoes

@highlight

Aging runners less likely to die from certain ailments, study says