(CNN) -- Apple is opening up about how many government requests it gets for customer information.

The secretive company released its first transparency report on Tuesday, breaking down the number of account and device data requests it received from law enforcement by country for the first half of 2013.

The United States submitted the most requests for account information, with 1,000 to 2,000 requests regarding 2,000 to 3,000 individual accounts. These requests might be for personal information found in iTunes, Game Center and iCloud accounts.

The vast majority of requests the company receives are from law enforcement agencies trying to track down lost or stolen phones, tablets and computers on behalf of Apple customers.

Apple received 3,542 of these "device information" requests in the U.S. for 8,605 devices, and Apple turned over some or all of the desired information 88 of the time. Germany made the second largest number of device requests, followed by Singapore.

This is the first time Apple has released a transparency report. Google began disclosing data about its government requests in 2011 and releases an updated list every six months.

Since the initial revelations about surveillance by the National Security Agency came to light earlier this year, there has been an uptick in the number of tech companies voluntarily releasing statistics on the government requests they get. Apple joins Facebook, Yahoo and other tech companies taking part in a practice that is fast becoming industry standard.

"Apple is so secretive about everything it does, the fact that it is opening up shows that transparency really is the new standard, and the consumers are demanding it," said Nate Cardozo, a staff attorney with the Electronic Frontier Foundation.

Though the information in the reports is somewhat standard, Apple did included something different. The last line under the notes section in the report says, "Apple has never received an order under Section 215 of the USA Patriot Act. We would expect to challenge such an order if served on us."

Section 215 is the part of the Patriot Act the NSA could use to compel companies to hand over user data. If Apple did receive such an order, it would likely be accompanied by a gag order so Apple would not even be able to say that it did or did not receive a 215 request. Cardozo says this type of disclosure is called a canary, and Apple is the first major tech company to include it.

"Six months from now, we will look to make sure that line is included, and if they don't say they have not received a 215 request, we can assume they have," said Cardozo.

Apple also joined Yahoo and Google and filed a brief in the Foreign Intelligence Surveillance Court asking for more transparency to discuss government requests openly and in more detail. Currently, the U.S. government only allows companies to talk about how many national security orders, including the numbers of accounts impacted, in ranges of thousands.

"We have reported all the information we are legally allowed to share, and Apple will continue to advocate for greater transparency about the requests we receive," Apple said in the report.

The other information in Apple's report was fairly standard.

It's difficult to compare Apple's numbers directly to those previously disclosed by companies such as Facebook and Google. Though they're all technology companies, they are vastly different businesses and store different amounts and types of data about their users.

"Our business does not depend on collecting personal data. We have no interest in amassing personal information about our customers," Apple said in the beginning of the report.

That statement seems to be dig directed at companies such as Google, LinkedIn, Facebook and many others that do base their businesses on collecting their customers' personal information.

The hunger for personal data isn't limited to governments as it's also very lucrative for many technology companies.

@highlight

Apple released its first report listing the amount of government requests for information

@highlight

Most of Apple's requests were for device information such as tracking down a stolen phone

@highlight

These types of reports are becoming the standard in the tech industry