Istanbul (CNN) -- The Turkish prime minister huddled Wednesday with a special Syrian envoy in an effort to help stem the growing tide of refugees racing into Turkey from conflict-wracked Syria.

The number of Syrians who have crossed the border stood at 8,421 Wednesday morning, according to Turkey's disaster and emergency management directorate.

Their flight has been spurred by violence and a military offensive in the country, and Turkish officials are worried that the border crisis could deteriorate and destabilize the region.

World powers have been outraged at the violence, and at least 54 countries are backing a tough resolution on Syria that was to be issued Wednesday at the U.N. Human Rights Council in Geneva, Switzerland.

"It is impossible for us to remain indifferent to the developments there," Turkish Foreign Minister Ahmet Davutoglu said.

"For us, the Syrians are people who have common future and destiny with us. Therefore, it is out of question to close the door to our Syrian brothers or the (refugee numbers) to stop after 10,000. However, when this turns into a big wave, it also has the potential to become a regional and an international matter."

Syrian security personnel have been carrying out a fierce crackdown against anti-government demonstrators over the past three months. In its draft joint statement about Syria, the U.N. Human Rights Council noted that more than 1,000 people "peacefully protesting for democracy" have been killed.

"The continued violence, multiday curfews and military lockdowns are restricting access to basic goods and services, such as health care, medicines and food, causing great concern for the situation of children, the elderly, the sick and wounded, as well as refugees and other vulnerable groups. Injured and wounded people must be allowed to seek treatment without fear of reprisals," it said.

Turkish Prime Minister Recep Tayyip Erdogan met for nearly three hours with the envoy, who was expected to provide an assessment of the refugee situation and the wider political unrest in Syria, according to an official from Erdogan's office.

The envoy represented Syrian President Bashar al-Assad, and the meeting followed a telephone conversation Erdogan and al-Assad had Tuesday.

Davutoglu, who spoke at the airport in Ankara before flying to Hatay for a visit with the refugees, said Turkey hopes to initiate reforms that would alleviate the volatile conditions leading to the flight of ordinary citizens. He planned to attend the meeting between Erdogan and the Syrian envoy after his visit to Hatay.

Davutoglu said that "escalating violence can increase the refugee wave" and that Turkey is working on ways "to prevent escalation of violence."

His government touts a foreign policy dubbed "no problems," a strategy intended to promote good relations with its neighbors. That policy has been challenged by the Syrian situation.

Turkey fears a repeat of the enormous Kurdish refugee exodus from northern Iraq in 1991, and the country has spent the past decade promoting warm relations and lucrative economic ties with Syria's al-Assad.

But over the past month, Erdogan began calling for reform in Damascus in a bid to curb the escalating violence.

"We hope that Syria changes its attitude toward the civilians to a more tolerant one and realize its steps for reform in a more convincing way for the civilians," Erdogan said last week, according to the semi-official Anatolia news agency.

Davutoglu said Turkey's "wish and effort is for a process to begin at once that can prevent such a wave to continue increasingly."

He pointed to "reforms to be made as soon as possible, conditions to be eliminated that bring security forces and people against each other and to have a more peaceful approach, beyond focusing on security, in the attitude towards the civilian people. If all these were provided, the refugee wave would lessen."

Of the refugees, 4,368 are children, and 73 Syrians are now being treated in Turkish hospitals, the emergency directorate said. More than 1,230 tents have been set up in a number of locations.

Turkish Foreign Ministry officials confirmed that they accepted an application for actress Angelina Jolie to visit the Syrian refugees in Hatay. The actress, a goodwill ambassador for the U.N. refugee agency, is expected to arrive in Istanbul and then head Friday to Hatay.

Many displaced Syrians have fled toward the border but have not made it over. CNN's Arwa Damon met with some of them at a makeshift campsite Tuesday in Syria, where they described primitive conditions at the site and frightening and deadly violence in the towns that they left.

Many of the refugees have fled from a region that includes the northwestern town of Jisr al-Shugur, seized by the Syrian military over the weekend, a network of human rights activists said.

The Syrian government insists that it is stopping "armed terrorist groups" who carried out a "massacre" in the city: the killing 120 members of the security forces.

The state-run Syrian Arab News Agency said Wednesday that one of its correspondents is reporting a "new mass grave" in Jisr al-Shugur "containing bodies belonging to police and security forces" slain by "armed terrorist groups."

Opposition activists say the government's claims are a ruse to justify a crackdown on demonstrators demanding government reform, in keeping with the wave of political protests across the Middle East and North Africa this year.

But Syrian refugees who have fled to Turkey said some Syrian soldiers rebelled after being ordered to fire on unarmed protesters and instead started fighting among themselves.

Syria's cabinet on Tuesday hailed efforts by the army and security forces to restore calm in the Jisr al-Shugur area and surrounding villages, according to the SANA.

Adnan Mahmoud, the information minister, said the Cabinet urged citizens "who were forced to leave their homes to come back after calm and security were restored in the area," SANA said.

SANA later reported that thousands of Jisr al-Shugur residents had "returned to their houses after the army restored security and tranquility to the city."

The minister said the cabinet "assigned the Syrian Arab Red Crescent to contact the Turkish Red Crescent for cooperation to facilitate the Syrian citizens' return to their homes, noting that all necessary needs will be provided to secure the return, including medical aid for the patients and the injured."

Wissam Tarif, a human rights activist based outside Syria, said he had not received reports of people returning to their homes.

His contacts told him that military deployments were in villages around the city of Jisr al-Shugur, and army vehicles nearby in the village of al-Jandouwiye.

Tarif said he had received no report that the people of Jisr al-Shugur were returning to their homes.

As many as 800 people were detained in the past few days in the towns of Douma, Saqba and Daraya, either in raids on homes or at military checkpoints, Tarif said.

He also reported the defection of an unspecified number of Syrian troops in Homs.

In its joint draft joint statement on Syria, the Human Rights Council called on Syria to implement reforms and end censorship and restrictions on media.

"Arbitrary arrests, detention and torture, including of protestors, of human rights defenders, of representatives of the media, political dissidents, and young children must cease immediately," the statement said.

CNN's Nada Husseini contributed to this report.

@highlight

A Human Rights Council draft statement is getting support

@highlight

Angelina Jolie is to visit refugees in Syria this week

@highlight

A human rights activist is reporting hundreds of arrests in Syria

@highlight

The state-run news agency reports mass grave containing security personnel