With so many developing destinations fighting it out for international tourists, it's not surprising that some travelers make a point of avoiding the ones with weak human rights and environmental records.

This can make it challenging to figure out which up-and-coming countries are actually worthy of your tourist coin.

Once again, help comes via nonprofit Ethical Traveler, which this week released its annual list of the countries that are doing the most to promote human rights, preserve their environments and support social welfare -- all while fostering a lively, community-based tourism industry.

Every year, the California-based organization reviews policies and practices in the developing world to select its top 10.

"By visiting these countries, we can use our economic leverage to reward good works and support best practices," says the report.

In alphabetical order, the 2015 top 10 are:

1. Cape Verde

2. Chile

3. Dominica

4. Lithuania

5. Mauritius

6. Palau

7. Samoa

8. Tonga

9. Uruguay

10. Vanuatu

Vanuatu, Samoa and Tonga are this year's new entries to the list.

Seven of this year's 10 countries are island nations, "indicating a trend in our winners' circle," says the report.

"Climate change affects islands dramatically, so they tend to be very aware of the importance of effective environmental policies."

As in 2014, no developing Asian country qualified this year.

"All betrayed too many human rights abuses, and showed too little movement toward sustainability," says the report.

Choosing the top 10

Ethical Traveler's research focuses on four categories: environmental protection, social welfare, human rights and animal welfare.

"For each of these categories we look at information past and present so that we understand not only the current state of a country, but how it has changed over time," says Ethical Traveler.

"This helps us select nations that are actively improving the state of their people, government and environment."

Information sources include Freedom House, the Millennium Challenge Corporation, Reporters Without Borders, UNICEF, LGBT resources and the World Bank.

"After identifying about two dozen 'short list' performers, we turn to detailed case research, focusing on actions these governments have taken over the year to improve (or in some cases, weaken) practices and circumstances in the countries," says the report.

The chosen destinations also have to have something to offer tourists.

Each "best ethical destination" offers opportunities to check out incredible natural beauty, enjoy great outdoor activities and have interactions with local people and cultures in a meaningful, mutually enriching way, says Ethical Traveler.

Researchers stress that just because these destinations made the list, none scored perfect marks.

"One issue that plagues nearly every country on our list is a high level of gender-based violence," says Ethical Traveler.

"Chile has the highest rate in Latin America, and in Samoa it is so commonplace that most people simply accept it as a way of life.

"Samoa, however, does seem to be making headway on this issue. In 2013 the legislature passed an amended Crimes Act that outlawed spousal rape and improved measures against domestic violence."

Also, many countries on the list remain in the Tier 2 designation of the U.S. State Department's Trafficking in Persons Report for 2014, which means their "governments do not fully comply with the TVPA's (Trafficking Victims Protection Act) minimum standards."

"We encourage these countries -- Cabo Verde, Lithuania, Mauritius, Palau, Tonga and Uruguay -- to do whatever is necessary to improve conditions," says the report.

"We are especially concerned with Uruguay, which is in danger of falling to Tier 3 if significant improvements are not seen in 2015."

The full report, in PDF form, can be found on the Ethical Traveler website.

@highlight

Nonprofit group Ethical Traveler's annual list highlights developing nations with promising human rights records

@highlight

Vanuatu, Samoa and Tonga are new to the 2015 list

@highlight

Ethical Traveler's research focuses on four categories: environmental protection, social welfare, human rights, animal welfare