(CNN) -- At the time when girls should be deciding on where to go to university, most girls in my country are deciding on a wedding dress. I am 16-years-old and where I come from in Bangladesh, many girls my age grow quickly from children to adults because they are forced into marriage.

I could have been one of those girls, but I'm one of the few girls in my country who is blessed to have support from my parents and community to live the life of a joyful teenage girl. Every girl should have the right to that life, but there are millions of girls in my country who are not so fortunate and are subjected to child marriage.

It makes me sad to think about the fate of these girls, and that is why I am here at the United Nations Commission on the Status of Women, to share my experience with global leaders and give other girls a chance to change the world with me.

According to the UN, any person under the age of 18 is a child. I am still a child, and children like me need love, care and protection. Every child dreams of a brighter future and a better world, but the question is, why does this dream become a nightmare in the lives of so many girls? As a girl, I must ask these questions to the world's leaders.

The law in Bangladesh says no girl should get married before 18 years of age and no boy before 21 years of age. But yet, Bangladesh has the highest rate of child marriage among the south Asian countries. It is estimated that two-thirds of Bangladeshi girls are married before the age of 18.

In my village, I witnessed lots of wedding parties for underage brides. For the past three years I have lost at least two friends to early marriages at an age where I didn't even know what marriage was. Now those girls have their own children. I don't want to lose any more friends.

In my childhood I used to play with dolls. Sometimes I arranged marriages for the dolls. That is how parents treat their daughters â€” like dolls who have no voice.

There are many reasons why early marriage is so prevalent in Bangladesh, but one of the biggest reasons is lack of quality education. There are 64,000 villages in our country, and most of the people living in villages have no access to education. They have no idea about the likely consequences of child marriage, and so it's a cycle that continues. Education helps create opportunities for girls to contribute to family income. If a girl can feed her family, it will help parents rethink the idea that their daughters are a burden.

Girls who become brides stay uneducated because they must become mothers, caretakers and homemakers, further driving the cycle of poverty and powerlessness. Early marriage has contributed to every problem prevailing in my country, directly or indirectly. It increases child death and maternal death, increases divorce and broken families, increases population and decreases female education and empowerment. If we stop this problem, other problems in our country will be reduced automatically.

How can we put a stop to this injustice? Building awareness through films like "Girl Rising" that pressure governments to implement laws against child marriage and educating communities like World Vision does in Bangladesh. I am a part of World Vision's child forum and just this year we have used our voices to stop three child marriages in our community. Those girls are still in school.

I myself was saved because my own community was made aware of the negative consequences of early marriage and the importance to giving me an education.

Both my mother and grandmother were considered burdens in their families. My grandmother got married when she was 9 and my mother got married when she was 16. But at 16 I will not be getting married any time soon, because that cycle has stopped with me. I am not a burden to get rid of. I am a blessing, and I have dreams that I will and can achieve. My hope is that my friends in Bangladesh and girls around the world will get to chase their dreams, too.

@highlight

Humaiya Akhter is a 16-year-old advocate for girl's education and child rights in Bangladesh

@highlight

Humaiya campaigns against child marriage and is active with World Vision

@highlight

She says one of the biggest reasons for early marriage is lack of education

@highlight

CNN Films will release "Girl Rising," focusing on improving the lives of girls around the world