(CNN) -- In the 1970s the world was coming to an end. Famines in Bangladesh, the Sahel and Ethiopia seemed to prove Malthus finally right. Population growth was outstripping food supplies, food prices skyrocketed: people like Paul Ehrlich warned of a "population bomb".

Yet, the apocalypse did not happen. Agricultural productivity growth not only fed more people, but also accommodated a resource guzzling boom in meat consumption.

If skeptics pointed to inequalities and persisting hunger, the neoliberal orthodoxy would tell them to be patient until trickle-down effects would have worked their magic.

African agriculture key

If it has ever worked, it does so no more. The number of chronically hungry people has hovered around one billion for more than a decade. Large swathes of the developing world, including Africa, have seen a worrying decoupling from the trend of long-term economic growth.

Given that the livelihoods of most Africans are linked to the agricultural sector, there is widespread agreement that African agriculture is the key battlefront to tackle hunger and poverty.

Heated debate

In the last three years, a virulent debate has unfolded between two camps with diametrically opposed views. In one corner, we find global agro-business, the international financial institutions and governments of emerging powers like China, India and the Gulf Arab states.

They advocate a transformation of African agriculture through commercialization and large-scale foreign investment with the goal of increasing food supply and augmenting productivity of African farms.

This, or so the theory goes, is generating income, employment and export revenues for impoverished African states, while providing food to the Arabian Peninsula and industrial inputs like cotton to East Asia.

The other camp, consisting of international and African NGOs and skeptical academics, rejects this logic as an unconvincing excuse for lucrative collusion between African and foreign elites, largely at the expense of the rural masses.

They denounce these "land grabs"  by referring to large-scale displacement of farmers deemed "unproductive" and claim that the investments increase rather than decrease global hunger, as the benefits accrue to transnational partnerships while producing little food or income for locals.

Groundwork

So what is actually happening on the ground? The truth is that, despite years of heated debate, we still know very little. The much hyped "Land Matrix"-initiative claims to have put together the single largest, most comprehensive database so far on international agricultural investments ("land grabs") to further inform policy.

Yet, it reports deals that have never happened, like the alleged acquisition of millions of hectares in Madagascar and Congo by South-Korean Daewoo and Chinese ZTE.

There is a fairly uncritical reliance on extensive media reporting of big deals. 'Landgrabs' sell newspapers and raise funds for NGOs and academics, so why ruin a good story?

Case study: Sudan

Still, it is worth insisting: What is actually happening on the ground? An interesting case in point is Sudan. It has been the focal point of agro-investments by Gulf countries in the 1970s and again today. The country is best known for decades of violent conflict and devastating hunger.

Yet the controversy in Western media over the secession of South Sudan and the war in Darfur has sometimes obscured the important hydro-agricultural dynamics of recent years.

While the Land Matrix, to our surprise, scarcely reports any major agricultural investment in Northern and Central Sudan and uncritically copies a report on South Sudan with unimplemented project announcements, the military-Islamist government has spent the better part of the last decade positioning itself as a potential "breadbasket" for East Africa and the Arabian Peninsula.

Omar Al-Bashir's Khartoum hopes to attract one billion dollars annually in investments from Kuwait, China, Qatar and other emerging powers, partly to offset the loss of 75% of oil revenues due to the Southern secession, partly to build new political alliances domestically and internationally to entrench the regime in power for another decade.

Untapped Resources

The basic logic, as presented by the Sudanese government and its Gulf Arab partners during grand televised conferences, is sound: Sudan has historically underused its vast agricultural potential and low productivity is one of the key problems locking farming communities in poverty.

Investment, foreign or domestic, in agriculture has been woefully low for 30 years; the agricultural crisis of rural Sudan is one of the great drivers of widening inequality, vulnerability to climatic changes and civil strife in the peripheries.

Sceptical Voices

At the same time, more sceptical voices have been right to warn against the euphoria of a possible agricultural revolution in Sudan with the assistance of Arab capital.

The memories of the last time such an ambitious project was launched, back in the 1970s, are still vivid: the projects never got off the ground or were unprofitable and the vision violently crashed when tens of thousands of smallholders were forcibly driven off their land to make way for big mechanised farming in Central Sudan.

This contributed to a country-wide civil war between 1983 and 2005. These ghosts of the past understandably influence alarmist accounts surrounding foreign direct investment (FDI) in Sudan and South Sudan.

Headline v Reality

But the emerging picture is neither one of grand capitalist transformation and agricultural revival, nor one of all-out land grab that is leading to dispossession and growing impoverishment of ever more Sudanese.

There is a striking gap between the spectacular headline announcements and the reality that little actual investment seems to have transpired. There are Gulf funds that have announced humungous agro-projects without a single agro-engineer among their ranks.

According to confidential Ministry of Investment statistics that one of the authors was able to see, only about 20% of all agricultural partnerships concluded between Sudanese and foreign investors actually have seen some degree of implementation. Perhaps only a quarter of all promised FDI sums for commercial agriculture reach Sudan.

An Africa-wide issue

The reasons for this botched agricultural revolution are many but they seem to apply not just to Sudan, but also elsewhere in Africa.

Whilst high commodity prices and growing resource pressures heighten the interest of emerging powers and Western investors, the fundamental obstacles that have held African agriculture back previously still remain largely in place.

A chaotic regulatory framework; political instability; high costs of training local workers; poor infrastructure to bring produce to local and international markets; weakly integrated national and regional agricultural development strategies; hidden taxes and corruption; and elites looking for quick gains rather than long-term empowerment of rural areas which are left out of the process.

Mirage in the desert

The land grab phenomenon in Sudan and in many (though not all) African countries thus increasingly resembles a fata morgana, a mirage in the desert which completely distorts the object on which it is based.

Not only is far more thorough and non-ideology driven research needed on foreign investment and, where it actually takes place, its impact on local communities and national welfare.

Above all, the fata morgana nature of agricultural development in Africa calls for a serious re-examination of how the continent's farmers can move from being among the main victims of global hunger to becoming more productive cultivators of the commodities that Africa and the world sorely need.

The opinions expressed in this commentary are solely those of Harry Verhoeven and Dr Eckart Woertz

@highlight

Agriculture is the key battlefront to tackling hunger and poverty in Africa

@highlight

Two schools of thought have emerged on large-scale foreign investment in the continent

@highlight

Agricultural crisis of rural Sudan is one of great drivers of widening inequality

@highlight

Land grab phenomenon in Sudan resembles a fata morgana -- mirage in the desert