Some days start out historic. The gay civil rights movement has reached the Supreme Court -- a milestone by any measure.  We won't know what the justices will decide until June, but it is not too early to reflect on how we got here.

The sea change in public opinion on gay rights in general and same-sex marriage in particular has been unprecedented.  A decade ago, just 27% of Americans backed same-sex marriage; today it is a clear majority.

In recent weeks, politicians like Hillary Clinton and Republicans Jon Huntsman and Rob Portman have declared their support for marriage equality.  And while far more elected Democrats than Republicans support same-sex marriage, polls show that this is increasingly more of a generational divide than a partisan divide.  In fact, a majority of Republicans under age 50 now support the freedom to marry -- including more than 60% of evangelicals under 30.

How did this happen? First, give the activists their due. Thought leaders like Evan Wolfson and Andrew Sullivan deserve a lot of credit for taking early stands in favor of the freedom to marry.  Former San Francisco Mayor Gavin Newsom also brought recognition to the issue by officiating over same-sex marriage ceremonies at City Hall.

CNN Poll: "Rob Portman effect" fuels support for same-sex marriage

The movement to encourage gays and lesbians to publicly come out has also broken down barriers, forcing friends and family members to confront reality, leading to greater compassion and recognition of the moral imperative of civil rights, rooted in the golden rule: Treat others as you would like to be treated.

But the mainstreaming of marriage equality reflects a strategic shift as well as a cultural shift. Instead of activists bringing attention to the cause with street theater tactics that often alienate more people than they attract, there has been a relatively recent move to build bridges beyond the base.  This means outreach to Republicans as well as making counter-intuitively conservative arguments for same-sex marriage.

Embodying this strategic shift is Ted Olson, the former Bush administration solicitor general who teamed up with David Boies, his opponent in the Bush v Gore Supreme Court case, to argue that California's Proposition 8 banning same-sex marriage was unconstitutional.  I interviewed them in 2010 and their comments reflected many of the arguments Olson made at the Supreme Court on Tuesday.

"We as conservatives should support the right of decent taxpaying citizens and individuals who want a stable relationship that forms a building block of our neighborhoods and our economy and our society," Olson said.  "These are people that want to participate in life as citizens the way the rest of us do. We should be supportive as conservatives and as liberals. It's not exclusive to either party or either part of the political spectrum."

"This is not and should not be viewed as a conservative or liberal or Republican or Democratic issue," Boies added. "This is a civil-rights issue and a human-rights issue."

Opinion: Will gay rights infringe on religious liberty?

This is an essentially centrist strategy: Define the common ground that exists on any given issue and then build on it, proceeding from broad principle rather than partisan politics and positional bargaining.

Olson and Boies, a Republican and a Democrat, are proud members of their parties.  But their powerful partnership represents an understanding of the vital center as a dynamic way of solving problems, creating new coalitions that can help overturn decades of stubborn stereotypes about the split-the-difference impulse of the "mushy middle."

Look at the ads that have been run in favor of marriage equality, especially this effort by the Respect for Marriage coalition (which, full disclosure, my wife and fellow CNN contributor, Margaret Hoover, participated in) that included public testimonies in favor of marriage equality by Colin Powell, Dick Cheney and President Obama, highlighting unexpected common ground.

Notice the images of apple pie Americana that begin the ad, making the visual case that marriage is an essentially conservative institution that leads to societal stability and reduced dependence on the government.

Likewise, look at the 131 Republicans who signed on to the amicus brief in support of the freedom to marry, including prominent members of the Bush administration and the Romney campaign, both of which had pledged to pursue a federal marriage amendment.

It is a heartening sign of centrists and libertarians breaking the social conservative stranglehold on the GOP. It is a reminder that the essence of evangelism is winning converts.

Language also matters.  To some ears, "Gay marriage" is more polarizing than "freedom to marry" (the preferred term for conservatives) and "marriage equality" (a phraseology that unites liberals). The emphasis on individual freedom and civil rights helps humanize the issue.

Opinion: The real 'modern family' in America

All this is a form of triangulation: trying to achieve progress on policy by depolarizing an issue, creating new coalitions.  It is effective.  And it is built on a sturdy foundation because it reminds us of deeper truths, namely that there is more that unites us than divides us as Americans. Perhaps not coincidentally, it also is the type of argument that might sway swing votes on the Supreme Court -- as well as swing voters -- to support this extension of individual civil rights.

The shift in public opinion overturns centuries of established thought about marriage influenced by culture and religion.  The fact that it has been comparatively rapid is a reflection of the durability and flexibility of our democracy. We can adapt as part of our never-ending effort to form a more perfect union.

Whatever the Supreme Court ultimately decides about the constitutionality of Proposition 8 and the Defense of Marriage Act, the movement of same-sex marriage from the margins to the mainstream has been achieved.

Opinion: California wants a do-over on same-sex marriage vote

The centrist model by which it moved forward can be replicated as we try to call a ceasefire in the culture wars and actually start to solve problems through the process of addition rather than division.

@highlight

John Avlon says the success of the gay rights movement is historic

@highlight

Avlon: Whatever court decides, same-sex marriage has been endorsed by majority in U.S.

@highlight

Supporters of gay rights skillfully positioned the movement as bipartisan and centrist, he says

@highlight

Avlon: Progress on gay rights is a model for reaching consensus on other issues