Hairatan, Northern Afghanistan (CNN) -- Afghan visitors pose for photos and pretend to sell each other passenger tickets next to a rusty little locomotive in a shattered corner of the Afghan capital.

Built in Germany in 1923, this little engine is all that is left of King Amanullah Khan's effort to modernize Afghanistan by constructing a 7 kilometer-long railroad in downtown Kabul in the 1920s. The locomotive is now a curiosity at the Kabul Museum, standing below the ruins of the former king's battle-scarred palace.

For 24-year old Abil Ahmad, it is the first time he has seen a train in Afghanistan.

"It's a very sad symbol," says the university student. "Unfortunately we don't have a train today."

In fact, the first modern railroad in Afghanistan in nearly a century is nearing completion in the north of the country.

Construction crews from Uzbekistan are putting the final touches on a brand-new, 75-kilometer long railroad that runs from the Uzbek-Afghan border to the northern Afghan city of Mazar-e Sharif.

An eerie metallic "whump" echoes down the rails, as service locomotives and passenger trains carrying work crews and equipment trundle up and down the track.

"Afghanistan is a land-locked country and its economic prospects depend quite a bit on connectivity with its neighbors," says Craig Steffensen of Asian Development Bank, which contributed $165 million dollars for construction of the project. "If we extend the railway across northern Afghanistan it will really be a shot in the arm towards Afghanistan's economic prospects."

Due to poverty, isolation and war, Afghanistan skipped the age of railroads. Afghans went from riding horseback to traveling by car down bone-jarring dirt roads. The country's economy relies on convoys of trucks to ship goods.

Steffensen says the new railroad will dramatically increase capacity for freight passing through Hairatan, the main shipping terminal at the Uzbek-Afghan border. Clusters of freshly-painted fuel depot tanks have cropped up in the sands around Hairatan. According to the Asian Development Bank, Hairatan is the biggest transit point in Afghanistan, accepting more than 50 percent of all imports, including more then 80 percent of the country's fuel.

The new railroad is part of an ambitious plan to develop a new "North-South" trade corridor. Afghanistan has long been economically and politically severed from its northern, former Soviet neighbors. But for the past several years, the U.S. State Department has been promoting the construction of bridges, rail links and pipelines to the former Soviet republics of Uzbekistan, Tajikistan and Turkmenistan. The idea is to eventually link energy-rich Central Asia to energy-hungry South Asia through the war-torn mountains and deserts of Afghanistan.

The plan has won support from another major player in the region: China.

Last week, the Chinese state mining company China Metallurgical Group Corporation (MCC) signed an agreement with the Afghan government to develop plans to construct a much longer railroad in eastern Afghanistan. MCC estimates the project's initial price tag would be between $6- to $7 billion dollars.

The proposed railway would run at least 700 kilometers (434 miles) from the border of Pakistan to Kabul, past the Aynak copper mine south of Kabul. MCC won a tender in 2008 to extract copper from Aynak.

The Afghan government is counting on untapped mineral resources to be the main engine for economic growth in coming decades. But officials say new transport infrastructure will be essential for mineral extraction to succeed.

"For the transportation of iron ore or copper you must have a railway line," said Wahidullah Shahrani, Afghanistan's minister of mines.

Chinese officials say there is another vital element before railroad construction can begin: security.

The proposed MCC railroad runs right through heavily-contested Taliban country.

"There really exists a problem of security," said MCC president Zou Jianhui, when asked by CNN how he planned to protect the multi-billion dollar railroad. Jianhui said the security environment would be assessed after two years, when the feasibility study for the railroad is expected to be completed.

"If the security situation is getting worse, then of course we will see and discuss with the [Afghan] government how to go ahead with this investment. Definitely the security of the investment, the safety of the investment is very important to the investor," he added.

Representatives of Uzbekistan's state railway company say they have not encountered a single security incident since the company began construction of the railroad in northern Afghanistan last January.

Armies of guards protect the Uzbek work crews. Afghan police have erected guard posts every few kilometers along the railroad.

Afghanistan's northern Balkh province, where the railroad is located, is considered to be one of the safer parts of the country. And yet a deadly suicide bombing targeted a NATO military convoy outside the main city of Mazar-e Sharif last week, killing and wounding several Afghan civilian bystanders.

Despite the fear of possible sabotage attacks, residents of the rapidly-growing trade hub of Hairatan clearly see hope in the construction of the new railroad.

"This connects Afghanistan to the world," says an 18-year-old high school student named Shakrullah. He says he hopes to one day get a job as an engineer for the railroad. "I want trains for all the provinces of Afghanistan, not just for Balkh province."

Just a few yards away, an Uzbek operator brought a construction locomotive to a squeaking halt, allowing several women dressed in billowing blue burkas to lead their children by hand over the railroad's dusty tracks.

@highlight

Afghanistan skipped the age of railroads

@highlight

A line is under construction in the north

@highlight

Rail lines seen crucial to extracting Afghanistan's mineral wealth