(CNN) -- The Obama administration calculates it's likely North Korea may test fire mobile ballistic missiles at any time, based on the most recent intelligence showing Pyongyang probably has completed launch preparations, a U.S. official said Tuesday.

The administration believes a test launch could happen without North Korea issuing a standard notice to commercial aviation and maritime shipping warning them to stay away from the missile's path, according to the official, who declined to be named because of the sensitivity of the information.

He cautioned most of the information comes from satellite imagery, so it's impossible to reach a definitive conclusion because the United States has no means to gather information on the ground.

"We hope they issue a notification, but at this point we don't expect it. We are working on the assumption they won't, " the official said.

He said the launch could be "imminent," but also cautioned that the United States "simply doesn't know."

The official, along with a Pentagon official, said that the United States has been able to keep satellites over the suspected launch area for most of the past week.

The United States thinks the missiles remain at a point about halfway down the eastern coast of North Korea and are about 10 miles inland.

Imagery has been impeded by some bad weather, which means there is less than perfect knowledge about what is happening on the ground. But based on what the United States has seen, the belief is that the missiles have received their liquid fuel and are ready for launch.

After any launch, U.S. satellites and radars in the region would be able to calculate the trajectory of missiles within minutes and quickly conclude whether they are on a test path headed for open ocean or potentially headed for land areas such as Japan.

The United States and Japan would then have to decide whether to try to shoot the missiles down, the officials said.

'Clear and direct' threat to U.S. security

Also Tuesday, the top U.S. commander in the Pacific called repeated North Korean violations of U.N. Security Council resolutions forbidding the "building and testing" of long-range ballistic missiles and nuclear weapons "a clear and direct threat to U.S. national security and regional peace and stability."

"A major conflict in Korea could have unpredictable, long term and far reaching impacts due to the central location of the Korean peninsula in Northeast Asia and the vital importance of Northeast Asian trade to the global economy," said Adm. Samuel J. Locklear, commander of the U.S. Pacific Command.

The admiral spoke at a Senate Armed Services hearing and submitted testimony to the committee.

He said he's confident that the United States would be able to help defend U.S. forces and its friends. He acknowledged the importance of China's role in reducing tensions on the Korean Peninsula.

The hearing came as North Korea issued its latest dispatch of ominous rhetoric Tuesday, telling foreigners in South Korea they should take steps to protect themselves in the event of a conflict.

"Kim Jong Un's stated emphasis on economic development and promises of economic growth have so far yielded little, and are undermined by North Korean missile launches and nuclear tests that lead to further sanctions and international isolation," Locklear said, referring to North Korea's leader.

"North Korea's nuclear weapons and ballistic missile programs, its illicit sales of conventional arms, and its ongoing proliferation activities remain a threat to regional stability and underscore the requirement for effective missile defense," he said.

The admiral was asked whether there's ever been a time of greater tension among North Korea, South Korea and the United States since the end of the Korean War in the 1950s.

"I would agree in my recollection, I don't know a greater time," he said.

The question of China

Asked about China and its longtime close relationship with North Korea, he said the country could play a key role in persuading the North Korean government to engage in "restraint," but "they could do more."

Senators expressed concerns, skepticism and outright criticism of China. Sen. Lindsey Graham, R-South Carolina, called the country "a communist dictatorship" that fears individual freedoms.

Locklear regards China as neither a friend nor a foe.

He said that sometimes, China can be "more nuanced" than the United States, and he noted some reporting that the leadership in China has made some statements about the issue.

Over the weekend, Chinese President Xi Jinping was quoted as saying that no nation "should be allowed to throw a region and even the whole world into chaos for selfish gain." While he didn't mention North Korea, the comments were seen as a reference to Pyongyang.

"There no benefit to the Chinese of having this type of activity occurring on their borders, no possible benefit that I can see from this. So they will, I believe, in time, work this problem to their national interest just like we do and the South Koreans do," Locklear said.

The saber rattling is making an impact, poll says

Meanwhile, the storm of warlike words coming from Pyongyang appears to have rattled Americans, with more than four in 10 saying they see the reclusive nation as an immediate threat to the United States, a new CNN/ORC International poll shows.

That's up 13 percentage points in less than a month, CNN Polling Director Keating Holland said.

"If North Korean leader Kim Jong Un wanted to get the attention of the American public, his strategy is starting to work," Holland said.

North Korea's unnerving message advising foreigners to secure shelter or evacuate in case of hostilities came as Japan set up missile defenses in Tokyo and North Korean workers failed to turn up for work in the industrial complex jointly operated by North and South Korea.

Interactive map: North Korea's missile capabilities

In the statement published by state-run media Tuesday, the North's Korea Asia-Pacific Peace Committee reiterated accusations that Washington and Seoul are seeking to provoke a war with Pyongyang.

"Once a war is ignited on the peninsula, it will be an all-out war," the committee said, adding that North Korea doesn't want foreigners in South Korea to "fall victim" to a conflict.

But staff at the British Embassy in Seoul appeared unimpressed.

"We are not commenting on the specifics of every piece of rhetoric from North Korea," said Colin Gray, head of media affairs at the embassy. "Our travel advice remains unchanged. At this moment, we see no immediate threat to British citizens in South Korea."

And foreign visitors in Seoul didn't appear to be panicking Tuesday.

Seoul's message to tourists: Don't be afraid

"I am concerned, but not enough not to make the trip," said Vicky Polashock, who was visiting from Atlanta.

CNN Poll: Worries about North Korean threat at all-time high

Threat after threat

North Korea has unleashed a torrent of dramatic threats against the United States and South Korea in recent weeks, including that of a possible nuclear strike. But many analysts have cautioned that much of what Kim's regime is saying is bluster, noting that it is believed to still be years away from developing an operational nuclear missile.

A more likely scenario, they say, is a localized provocative move.

Amid the fiery words from Pyongyang and annual military training exercises by U.S. and South Korean forces in the region, government officials in Washington and Seoul say they are taking the North Korean threat seriously.

In the days before North Korea's latest round of threats and provocations, U.S. and North Korean officials met in New York, although nothing came of the meeting, said a source familiar with what happened.

The source described the meeting as part of regular back channel exchanges between the countries.

Clifford Hart, the U.S. envoy for six-party talks aimed at North Korean denuclearization, met with North Korea's Deputy UN Ambassador Han Song-ryol in mid-March, according to the source.

Hart repeated the Obama administration's call for North Korea to avoid provocative actions and urged a return to diplomacy. Han promised to carry the messages back to Pyongyang, the source said.

The North was blamed for two attacks on South Korea in 2010, one on a navy vessel and another on the island of Yeonpyeong. Those attacks killed 50 people. Pyongyang still denies responsibility for the sinking of the South Korean warship, the Cheonan, in which 46 sailors died.

Japan deploys missile defense batteries

On Tuesday, Japan said it had deployed missile defense systems around Tokyo amid expectations that the North could carry out a missile test in the coming days.

The Japanese government is making "every possible effort to protect the Japanese people and ensure their safety," said Prime Minister Shinzo Abe.

South Korean government officials have said they think North Korea could conduct the test launch of a missile as soon as Wednesday, following reports that the North had loaded as many as two medium-range missiles onto mobile launchers on its east coast.

The United States had previously said it was moving missile defense systems to Guam, a Western Pacific territory that is home to U.S. naval and air bases. North Korea has cited those bases when listing possible targets for missile attacks.

How does North Korea make its money?

A symbol of cooperation at risk

The souring situation on the Korean Peninsula was in evidence in the failure of more than 50,000 North Korean workers to show up for work Tuesday morning at the Kaesong Industrial Complex, the manufacturing zone shared by the two Koreas that had operated without such an interruption for eight years.

The North had declared Monday that it would pull out its workers and temporarily suspend activities at the complex, which sits on its side of the heavily fortified border but houses the operations of more than 120 South Korean companies.

On Tuesday, the South Korean Unification Ministry said the North Korean workers hadn't reported for work in the district, which is the last major symbol of cooperation between the two Koreas.

Analysts had expressed skepticism that Pyongyang would follow through on previous threats to shut down the complex, noting that it is an important source of hard currency to Kim's regime.

The move also is likely to put pressure on the city of Kaesong itself, where the North Korean workers and their families live. With an estimated population of between 200,000 and 300,000 people, it is one of the impoverished country's largest cities.

Opinion: An accident, then war with North Korea?

CNN's Elise Labott, K.J. Kwon, Tim Schwarz, Kyung Lah, Judy Kwon, Jim Clancy, Yoko Wakatsuki, Junko Ogura, Tom Cohen and Dana Ford contributed to this report.

@highlight

NEW: U.S. and North Korean officials met in New York last month, a source says

@highlight

Recent intelligence shows North Korea likely has completed launch preparations

@highlight

The U.S. believes test could occur without standard warning to aviation, shipping

@highlight

41% of Americans see North Korea as an "immediate threat," a new poll shows