(CNN) -- After my 7-year-old daughter's sleepover and a few hours before my 9-year-old son's play date, and just in the middle of quieting my daughter's whining about her impending piano lesson last Saturday morning, I stumbled upon "Why Chinese Moms are Superior," Amy Chua's Wall Street Journal article that's created a firestorm.

The article was excerpted from her new book, "Battle Hymn of the Tiger Mother."

Watch Amy Chua defend her methods of parenting

Chua, a second generation Chinese American, mother of two and Yale Law School professor, argues that Chinese moms churn out whip-smart kids precisely because they don't allow childhood frivolity like sleepovers or play dates, along with just about everything else that is social, fun or distracting, including TV, video games, sleepaway camp and auditioning for the school play.

They also insist that their children master the violin or piano -- but only those two instruments -- be the top student in every subject with the exception of gym or drama, and receive no grade below an A.

Let's be honest, Western Moms would also relish these dazzling results -- valedictorian and violin virtuosity -- but can't imagine themselves, or their kids, committing to the rigid Chinese Mom-style method to guarantee perfection.  But more importantly, Western Moms, and in particular working moms, just don't have the time, energy, or well, discipline.

The "Chinese Mom" theory is that nothing is fun until you're good at it. And to get good at anything, you have to work hard.  "On their own," Chua writes, "Children never want to work, which is why it is crucial to override their preferences." This is where Western parents fail, she says, by letting our kids give up too quickly. We simply don't have the fortitude or patience to push through our children's resistance.

Maybe modern day parenting in America has become too permissive.  Maybe we've gotten too soft.  We coddle and cajole our children as we gently nudge them passive aggressively to do their chores and their homework.

"Will you please put your clothes away?"

"Let's study for your spelling test now, OK?"

"Sweetie, can you please turn off the TV and do your 15 minutes of assigned homework reading?"

Seriously, 15 minutes.  Even that's positioned as a question, not a demand.

Go to any school today with a "progressive" philosophy and administrators proudly espouse the virtues of addressing the "whole child" and creating an independent, creative, empathetic individual. These are the buzz words that resonate with Western parents. It's true, we want happy, well adjusted, well rounded children who will contribute to society. We also buy into the theory that creativity, critical thinking and social skills are essential for future success.

Yes, our kids need to excel at algebra, but we want them to not only learn, but to also enjoy learning in a stimulating environment where they can thrive in their own uniqueness.  Rote learning is out; individual exploration is in.

Chua condemns these methods as Western foolishness. Drill and kill, practice until perfect -- this is the Chinese Mom way. "Tenacious practice, practice, practice is crucial for excellence; rote repetition is underrated in America," Chua writes.

But in our Western style of enjoying and embracing, where children always expect warm fuzzies and trophies, even if they actually stink, have we become parental enablers to laziness and mediocrity?

The Western touchy-feely approach runs counter to the Chinese Mom philosophy.  Chua claims that heaping shame and ridicule on her children drives them to success.  In her world, insults motivate. Praise only comes with perfection. Weak discipline creates failure.

"You are garbage!"  Chua once screamed at her daughter Sophia.

For Chinese moms, a less-than-perfect child is a disgrace to the family, a slap-in-the-face to the parents -- utter shame.  After all, Chinese moms are in the trenches, toiling for hours to ensure excellence -- anything short becomes almost pathologically personal.

Western moms just don't get this.  Maybe it's because we are not as wholly entrenched.  How can we be?  We simply don't have time.  Do we want our children to succeed academically? Absolutely.  Do we encourage musical competence?  Sure.

But the Western moms I know, particularly working mothers, have neither the desire nor time to run such an extreme household.

After a day at the office, the last thing a working mom wants to do is come home and turn into the drill sergeant.  Getting kids to do their homework is challenging enough, but tacking on extra hours of mom-generated exercises?  Not happening.

So this is why we outsource.  It's more practical and better for everyone to have our kids tutored by anyone but us: college students, teachers, or even folks at any of the multitude of educational centers that have sprouted across the country.  We're not lazy; we're just exhausted.  And during the time we do have to spend at home with our kids, we'd rather not battle. There are also soccer and baseball games to get to.

I think Western moms are a little envious of at least part of the Chinese mom method. The academic excellence and tightly wound discipline and parental respect are breathtaking, if not a little frightening.

But what is the end game?  Your child prodigy performing at Carnegie Hall at age 14 as Amy Chua's daughter did?  Maybe that was worth missing all of the sleepovers and play dates and summer camp, but then again, maybe not.

@highlight

Mom Wendy Sachs reacts to Amy Chua's editorial on superiority of Chinese moms

@highlight

She says U.S. working mothers have neither the desire nor time to run an extreme household

@highlight

"It's more practical and better for everyone to have kids tutored by anyone but us"