Ukrainian Prime Minister Arseniy Yatsenyuk signed the political elements of a trade pact with the European Union on Friday, even as Russian lawmakers finalized annexation of Ukraine's Crimea region.

The signing in Brussels signals Europe's solidarity with Ukraine -- and carries additional symbolic force because it was the decision by Ukrainian President Viktor Yanukovych in November to ditch the trade pact in favor of closer ties with Russia that triggered the protests that led to his ouster in February and spiraled into the current crisis.

It also comes a day after the European Union and the United States slapped sanctions on Russian lawmakers and businessmen; Russia responded with its own list of sanctions against a number of U.S. lawmakers and officials.

In another sign of defiance, Russian President Vladimir Putin, flanked by the speakers of both houses of Parliament, signed a treaty Friday finalizing the accession to Russia of the Crimea region and its port city of Sevastopol.

The upper house unanimously approved ratification of the treaty a day after Russia's lower house of Parliament, the State Duma, passed it by an overwhelming margin.

The political crisis has been the biggest blow to Russia's relations with the West since the Cold War.

In a sign that Western sanctions are already weighing on Russian authorities, Finance Minister Anton Siluanov said Friday in Moscow that the government will have to pay more to borrow money, state news agency ITAR-Tass said.

Russia "will look at our oil and gas revenues. If the situation is like it is now, we will probably have to give up external borrowings and cut domestic ones," Siluanov said.

Yatsenyuk: EU speaking in one voice

Moscow has doggedly pursued its own course even as Western leaders have denounced its actions as violations of Ukraine's sovereignty and a breach of international law.

Though Russia insists that its actions are legitimate, Ukraine's interim government has said Kiev will never stop fighting for Crimea.

Human Rights Watch said in a statement Friday that it has concluded that the international law of occupation applies to Russian forces in Crimea. "The occupying party is ultimately responsible for violations of international law committed by local authorities or proxy forces," it said.

While in Brussels, Yatsenyuk held talks with European Council President Herman Van Rompuy and European Commission chief Jose Manuel Barroso.

He said Russia's ratification of the treaty annexing Crimea is less important than the EU trade pact he has signed with EU leaders.

"Frankly speaking, I don't care about Russia signing this deal; I care about Ukraine, Ukrainians and our European future," he said. "This deal covers more existential and most important issues, mainly security and defense cooperation."

Yatsenyuk said the European Union would "speak in one single and strong voice" to protect its values and defend Ukraine's territorial integrity.

Van Rompuy said the deal "shows our steadfast support for the course the people of Ukraine have courageously pursued."

EU travel bans, asset freezes

The European Union confirmed details of the sanctions against 12 Russian officials agreed to late Thursday at the EU Heads of State or Government summit.

Those targeted with travel bans and asset freezes include Russian Deputy Prime Minister Dmitry Rogozin, as well as the chairwoman of the Russian upper house, Valentina Matvienko, and two Putin advisers.

"Sanctions are not a question of retaliation; they are a foreign policy tool," Van Rompuy said. "Our goal is to stop Russian action against Ukraine, to restore Ukraine's sovereignty, and to achieve this, we need a negotiated solution."

He said the European Union expected soon to finalize approval of the remaining parts of the deal, particularly its economic provisions.

British Prime Minister David Cameron said the European Commission will draw up further sanctions -- in finance, military and energy -- for use if the situation escalates.

"Europe is, I think, 25% or so reliant on Russian gas," he said. "But if you look at Gazprom's revenues, something like 50% of them come from Europe. So, you know, Russia needs Europe more than Europe needs Russia."

Cameron said the measures agreed to in Brussels will carry a cost for Crimea, whose goods would face heavy penalties and tariffs in Europe if they are shipped through Russia, not Ukraine.

EU leaders want to see an international observer mission in Crimea, preferably under the aegis of the Organization for Security and Cooperation in Europe but, if not, sent by the European Union, Cameron said.

Ban: 'Deeply concerned'

A day after speaking with Putin in Moscow, U.N. Secretary-General Ban Ki-moon met Friday in Kiev with acting President Oleksandr Turchynov, then told reporters he was "very deeply concerned" by the tensions in parts of Ukraine and between Kiev and Moscow. "These are some of the most traumatic and difficult times in the history of Ukraine," he said.

Ban urged a peaceful, diplomatic resolution to the crisis and said all parties should refrain from inflammatory actions and rhetoric.

U.N. Assistant Secretary-General for Human Rights Ivan Simonovic arrived Friday in Crimea for a two-day visit aimed at laying the groundwork for a U.N. human rights monitoring mission, the United Nations said.

He and a team were to meet with Crimean leaders, the head of the Crimean Tatar minority and others, including the families of Ukrainian servicemen, the United Nations said.

The United Nations and other organizations stand ready to assist with the country's elections, slated to be held May 25, Ban said. While in Kiev, he was also planning to meet with Yatsenyuk and other ministers and lawmakers.

In another sign of solidarity with Ukraine, France is offering to strengthen a NATO air-policing mission in the Baltic area by sending four jets, a Defense Ministry spokesman said Friday.

The offer, accepted by the Baltic states, was extended Friday as French Defense Minister Jean-Yves Le Drian traveled to Lithuania, Estonia and Poland, said Sacha Mandel, the minister's communication adviser.

His trip followed a visit to the Baltics this week by Vice President Joe Biden.

Putin's inner circle

The U.S. sanctions announced Thursday target 20 people seen as close to Putin, as well as a bank, Rossiya, believed to serve the President and senior Russian officials.

Putin rejected the putative link. "I personally didn't have an account there, but I'll definitely open it on Monday," he said Friday, according to the Kremlin.

The individuals named by the U.S. Treasury include Putin allies in the Kremlin and in business. Among the 16 government officials are Putin's chief of staff, Sergei Ivanov; the speaker of the State Duma, Sergey Naryshkin; and Viktor Ozerov, chairman of the Security and Defense Committee of the Russian Parliament's upper house.

Four others were named as members of the government's inner circle. They are financier Yuri Kovalchuk, labeled Putin's personal banker by a senior U.S. administration official; magnate Gennady Timchenko, whose activities in the energy sector have been directly linked to Putin, according to the Treasury; and businessmen Arkady and Boris Rotenberg.

Washington aid

In Washington, the House Foreign Affairs Committee introduced a bill Friday that provides aid to Ukraine.

"The United States must stand with the people of Ukraine in the wake of Russia's attack on and occupation of Crimea," said ranking member Eliot Engel, D-New York, in a statement. "It sends a clear message to President Putin and his corrupt cronies that we will not tolerate Russian aggression."

The House had passed a loan-guarantee bill and a non-binding resolution calling for sanctions, but Friday's legislation proposes statutory language to put those sanctions into law.

President Barack Obama is to meet next week with other leaders of the so-called G7 group of industrialized nations, on the sidelines of a nuclear summit in the Netherlands. Russia has been excluded from the talks.

Obama signed an executive order that authorizes further sanctions on key sectors of the Russian economy if Moscow does not act to deescalate the situation.

Sanctions affect Russian markets

Washington had already announced sanctions Monday on 11 individuals; the European Union had imposed travel bans and asset freezes on 21 people.

Swedish Foreign Minister Carl Bildt told CNN's Christiane Amanpour that the new round of U.S. sanctions would be "significantly more powerful than the first one."

The latest round "hits significant economic interests that are fairly close to the ruling circles in Moscow," he said. "It will be noticed."

Markets were down Friday in Moscow, amid uncertainty in the business community.

The Moscow Interbank Curency Exchange, or MICEX index, fell more than 2% -- bringing its 2014 losses to 14%. The ruble rebounded after falling early in the day; it has lost about 10% since the start of the year.

In contrast, the markets and ruble had risen Monday, when the first round of sanctions was announced and did not appear to target those in Putin's inner circle.

The business community now appears to fear that Putin is on a collision course with the West, and that that could undermine its interests.

Russia's Foreign Ministry said Friday that it had asked Putin to draft countermeasures in response to the expanded Western sanctions.

On Thursday, Moscow imposed measures against nine U.S. officials and lawmakers, including House Speaker John Boehner, Senate Majority Leader Harry Reid and Sens. John McCain, Robert Menendez, Daniel Coats and Mary Landrieu, according to the Russian Foreign Ministry.

Russia sanctions: EU should leave trade alone

Sanctions on Russia: Would World Cup boycott hit harder?

Opinion: Putin's breathtaking lies about Russia

Crimea remarries -- but that divorce will be messy

CNN Money: U.S. targets Putin's banker, threatens trade

Editors' Note: This article has been edited to remove plagiarized content after CNN discovered multiple instances of plagiarism by Marie-Louise Gumuchian, a former CNN news editor.

@highlight

"Russia needs Europe more than Europe needs Russia," Cameron says

@highlight

Russia's President Vladimir Putin signs law allowing joining of Crimea to Russia

@highlight

EU leaders and Ukraine's PM sign the political part of a Ukraine-EU trade deal

@highlight

Tough U.S. and EU sanctions have been imposed on members of Putin's inner circle