(CNN) -- At midnight last Tuesday, two men were traveling in a black four-wheel drive through the Somali capital, Mogadishu. One was Fazul Abdullah Mohammed, the most wanted terrorist in Africa. Mohammed had survived more than a decade on the run, at least one attempt on his life, and a $5 million price on his head for planning the 1998 attacks on the U.S. embassies in Nairobi, Kenya and Dar es Salaam, Tanzania.

But his luck was about to run out in the chaos of Mogadishu, where the frontlines in the battle between the weak transitional government and al Qaeda affiliate al-Shabaab shift almost weekly. His vehicle headed toward a government checkpoint, possibly after taking a wrong turn. According to several accounts it tried to speed through, setting off a firefight with police.

Mohammed was killed, but to begin with the Somali security forces had no idea who he was. Only when they discovered cell phones, a South African passport, a substantial amount of cash and a laptop did they realize this was someone of significance. So his body -- which had been rapidly buried -- was exhumed, according to Somali military officials. A sample of his DNA was sent to Nairobi, where U.S. officials confirmed it was Mohammed. They had taken DNA samples from his wife and children some years ago.

The other man in the vehicle may also have been a senior al-Shabaab figure by the name of Musa Dheere, according to Kenyan officials. Somali officials have not publicly announced the identity of the second man.

Mohammed's death means that in the past six weeks three of al Qaeda's most important figures have been killed, the others being Osama bin Laden and Ilyas Kashmiri in Pakistan.

Operationally, Mohammed was one of al Qaeda's most effective figures: a bombmaker with aliases, multiple passports and disguises that enabled him to move in and out of Somalia. The forged passport found in the vehicle had a recent exit stamp from South Africa, according to Somali officials.

He is held responsible for making al-Shabaab's attacks more lethal in recent years, using an influx of foreign fighters and suicide bombings. Several hundred foreign jihadists -- from Kenya, Sudan, Europe, North America, Iraq and Pakistan -- have made al-Shabaab a more effective group. Several of the foreign jihadists have come from the United States, with at least two (one from Minneapolis and one from Seattle) carrying out suicide bombings. Mohammed was also reputed to have developed ties with al Qaeda in the Arabian Peninsula, based in Yemen across the Red Sea.

"Fazul Mohammed was certainly one of the key members of the al Qaeda old guard," says Candyce Kelshall of the Center for Security and Intelligence Studies at the University of Buckingham in England. That structure is "now fragmented and splintered into stand-alone operating networks that are loosely linked by association around the world," she says.

"The death of Mohammed and Musa Dheere has effectively removed the top half of the al Qaeda network's explosives expertise in the region," says Kelshall.

Ugandan officials suspect Mohammed -- who was probably in his late 30s -- advised on the bombings of two bars in Kampala last year, in which 79 people were killed. Al-Shabaab attacked Uganda because it had troops in Mogadishu as part of the African force (AMISOM) protecting the transitional government. Ugandan soldiers help protect government ministers and the Presidential Palace.

Ironically, the Kampala bombings may have indirectly contributed to Mohammed's death. They prompted Uganda to inject more manpower into Mogadishu. And a recent offensive by Somali troops backed by AMISOM firepower has pushed al-Shabaab out of several districts of the capital -- for now. Mohammed appears not to have been familiar with the latest frontlines.

The United States has had some success in tracking down al Qaeda militants in Somalia -- with special forces killing Saleh Ali Nabhan two years ago. Nabhan had been involved in simultaneous attacks against Israeli tourists in Kenya in 2002, involving a suicide bombing at a Mombasa hotel and an attempt to bring down an Israeli airliner with a SAM-7 missile.

The closest the United States came to killing Mohammed appears to have been a strike early in 2007 on a coastal village close to the Kenyan border. He escaped, but many civilians were killed.

But gathering useful intelligence in a country as large and anarchic as Somalia is an uphill struggle. And the transitional government is invariably preoccupied with clan-driven power struggles rather than taking on al-Shabaab. In recent days, a confrontation between the president and prime minister has spilled over into deadly street protests.

Last week, CIA chief Leon Panetta told the U.S. Senate Foreign Relations Committee that "the threat from al-Shabaab to the U.S. and Western interests in the Horn of Africa and to the U.S. homeland is significant and on the rise... As al-Shabaab faces increasing international pressure, we may see the group increase its international attacks."

Mohammed's death may deprive Shabaab of some of its international reach. His ability to move in and out of Somalia was important to the group's ambitions to spread jihad throughout east Africa.

But al-Shabaab is well-entrenched in central and southern Somalia, where a few dollars are enough to recruit young men with no hope of a job. According to intelligence sources, al-Shabaab's revenues include taxes levied at ports like Kismayu, cash from the Somali diaspora and possibly a levy on pirates' ransoms.

Kelshall says al-Shabaab "has come of age -- its young tactical leaders are possibly more potent, more technically savvy and politically astute than any of the other networks."

And al-Shabaab does not seem to have been knocked off its stride by Mohammed's death. Two days after he was killed, Somalia's interior minister was assassinated at his home by a female suicide bomber. Al-Shabaab quickly claimed responsibility.

@highlight

Fazul Abdullah Mohammed was an elusive and talented bombmaker

@highlight

U.S. officials confirmed it was Mohammed through DNA tests

@highlight

Al-Shabaab figure Musa Dheere was also killed, Kenyan officials say

@highlight

Expert says their deaths "removed the top half of the al Qaeda network's explosives expertise" in the region