Last week's massacre at a Colorado movie theater revived the dormant gun control debate in the United States, but neither President Barack Obama nor Republican candidate Mitt Romney is pushing for new laws now to prevent similar attacks.

Obama supports reinstating a ban on manufacturing some semi-automatic weapons for civilian use that expired eight years ago, but congressional inaction on the issue has caused the president to instead seek better enforcement of existing laws, his spokesman said Thursday.

"The assault weapons ban is an issue that the president has supported the reinstatement of since its expiration in 2004," White House Press Secretary Jay Carney told reporters. "But given the stalemate in Congress, our focus is on steps that we can take to make sure criminals and others who should not have those guns, make sure that they cannot obtain them."

Colorado hospitals chip in for shooting victims' care

Romney, meanwhile, says no new laws are needed while acknowledging the current ones cannot stop someone intent on doing harm from obtaining guns.

"I don't support new gun laws in our country," Romney told CNN's Piers Morgan in an interview Thursday, adding later that "the effort to continue to look for some law to somehow make violence go away is missing the point."

The real point, he said, is to prevent people who are "deranged and distressed" from "carrying out terrible acts," noting that Oklahoma City bomber Timothy McVeigh used fertilizer to make the explosives for the attack that killed 168 people in 1995.

"With products that can be purchased legally anywhere in the world, he was able to carry out vast mayhem," Romney said. "Somehow thinking that laws against the instruments of violence will make violence go away, I think, is misguided."

The gun-control issue is one of the most politically divisive in American politics, especially in a presidential election year.

For that reason, both campaigns had generally ignored it, despite mass killings in recent years -- a gunman who killed 32 people at Virginia Tech in 2007 and another who killed six people and wounded 13 others, including Democratic Rep. Gabrielle Giffords, last year in Arizona.

Making peace with a monster

Now the July 20 shooting in Aurora, Colorado, by a lone gunman who killed 12 people and wounded scores of others has brought the debate back to the forefront.

Both Obama and Romney immediately condemned the slaughter and expressed sympathy, with Obama traveling to Aurora on Sunday to meet with survivors and families of victims.

However, Obama avoided any talk of gun control measures until a speech Wednesday night to the National Urban League in which he expressed support for Second Amendment rights but said more needed to be done to prevent gun violence.

"I also believe that a lot of gun owners would agree that AK-47s belong in the hands of soldiers, not in the hands of criminals," Obama said. "That they belong on the battlefield of war, not on the streets of our cities."

His comments followed criticism from New York Mayor Michael Bloomberg, liberal filmmaker Michael Moore and others calling for more than commiseration with the survivors.

"Soothing words are nice, but maybe it's time that the two people who want to be president of the United States stand up and tell us what they are going to do about it, because this is obviously a problem across the country," said Bloomberg, an independent who supports gun control.

Moore -- whose documentary "Bowling for Columbine" examined the U.S. gun culture in the wake of the 1999 Colorado massacre in which two high school students killed 12 people -- challenged Obama on what his response would be if his own daughters were victims of such an incident.

"If President Obama is watching right now, and I say this with all due respect: What if it were them?" Moore told CNN's "Piers Morgan Tonight" earlier this week. "... Would you stand at the microphone the next day and say I feel your pain and ... the existing laws are enough? Is that really what you'd say, Mr. President? I don't think so."

Some conservatives also called for action, with media mogul Rupert Murdoch tweeting after last week's shootings that "we have to do something about gun controls" while Fox host Bill O'Reilly said in a July 23 commentary that Congress should pass laws requiring that sales of heavy weapons be reported to the FBI and imposing mandatory 10-year sentences on any crime committed with a gun.

"That would dent the problem," O'Reilly said. "But the truth is criminals will always get guns. Always."

Official: Trap in Colorado suspect's home had 30 homemade grenades, gasoline

Last year, Obama mentioned gun safety only in passing after the Arizona shootings that injured Giffords. Two months later, the president wrote an opinion piece that acknowledged the importance of the Second Amendment and called for focusing on "effective steps that will actually keep those irresponsible, law-breaking few from getting their hands on a gun in the first place."

His three-step plan included enforcing existing laws, rewarding states that provide the best data about gun owners, and a better system for background checks.

Carney outlined a similar response Thursday, saying background checks have been strengthened and calling for a more comprehensive community effort to reduce gun violence.

However, Obama supported a tougher platform when he ran for president in 2008 that included reinstituting the assault weapons ban, stopping destruction of background check documents and closing the federal gun show loophole.

Gun safety advocates have expressed disappointment with the president's actions since taking office, particularly over his failure to fight for reinstatement of the assault weapons ban.

On Thursday, the Brady Campaign to strengthen gun control called for a national dialogue on solutions to gun violence, such as criminal background checks on all gun purchases. However, the group's president, Dan Gross, stopped short of calling for stronger steps such as reinstating the assault weapons ban or limiting access to high-powered ammunition.

"What we're asking for is the voice of the American public to engage in this issue and to hold our leaders accountable," Gross told reporters.

Meanwhile, a group of law enforcement officials who have joined up against gun violation called Thursday for expanded background checks on gun sales via the Internet and weapons shows, as well as a ban on high-capacity ammunition magazines.

One reason for political inaction is a public preference for gun ownership, as expressed in opinion polls and advocated by the powerful National Rifle Association.

A Pew Research Center poll in April found that 55% of highly coveted independents feel it is "more important to protect gun ownership than to control guns," with 40% saying controlling gun ownership is more important. The poll also found that 72% of Republicans feel protecting gun ownership is important, while 27% of Democrats feel that way.

Threats before, after other 'Dark Knight' showings, authorities said

The NRA has labeled Obama an enemy of Second Amendment rights, and so far in the 2012 election cycle, Romney has received $126,440 from gun rights groups, compared to Obama's $2,300. That trend is consistent with the 2008 cycle, when Republican nominee John McCain collected $483,711 in such contributions and Obama received $25,987.

"Historically the pro-control side has struggled to come up with a compelling narrative that will help people come over to the case of stricter gun control laws," said Kristin A. Goss, an associate professor of public policy and political science at Duke University and author of "Disarmed: The Missing Movement for Gun Control in America."

"For a long time these gun violence rates and massacres speak for themselves," Goss said. "They relied on that to make the case but were up against a very powerful but very well-disciplined and skillful army that was good at taking those arguments apart."

Gross of the Brady Campaign -- named after former White House Press Secretary James Brady, who was shot in the head during the 1981 assassination attempt of President Ronald Reagan -- argued Thursday that the NRA's influence is not so pervasive.

"Despite the fact that the NRA spent $6.67 million against him in 2008, Obama beat the NRA like a drum, winning 11 of 13 states where the NRA spend significantly on ads," Gross said. "Obama also won 17 states with significant numbers of gun owners."

He also noted that Romney supported an assault weapons ban when he was Massachusetts governor.

Asked about his stance in Massachusetts, Romney told NBC on Wednesday that the legislation he signed banning assault weapons "was backed both by the Second Amendment advocates, like myself, and those that wanted to restrict gun rights, because it was a compromise."

Referring to suspect James Holmes in the latest Colorado killings, Romney said: "A lot of what this young man did was clearly against the law. The fact that it was against the law did not prevent it from happening."

Looking into the minds of killers

Gun owners and collectors also reject the contention that tougher controls will solve the problem.

"If everyone legally owned and carried a gun," argued collector Brad Whiteford of Virginia Beach, Virginia, "there would be a lot less crime."

Do you own a gun? Share a photo and tell us why.

Opinion: Bloomberg got one thing right on gun control

Warning signs of violence: What to do

@highlight

President Obama, Mitt Romney call for fully enforcing existing gun laws

@highlight

Obama spokesman blames Congress for inability to renew an expired assault weapon ban

@highlight

"I don't support new gun laws," Romney tells CNN

@highlight

Last week's Colorado shootings reignite the gun control debate