Washington (CNN) -- The Secret Service agent at the center of the Colombia prostitution scandal has been identified as Arthur Huntington, sources with knowledge of the investigation told CNN on Friday.

According to the sources, Huntington was the agent in a seventh-floor hotel room in Cartagena who had a dispute over pay with an escort.

CNN also learned that Huntington has left the Secret Service, but it was not clear under what circumstances, according to CNN's Drew Griffin.

According to sources, the alleged prostitutes -- the youngest of whom were in their early 20s -- signed in at Hotel Caribe.

One of these women, Dania Suarez, allegedly was later involved in a dispute about how much she was to be paid for the night, which brought the entire incident to light. Suarez, 24, through a statement credited to her attorney, said she was an escort, not a prostitute.

At least three agents assigned to rooms on the seventh floor left Cartagena early, according to hotel records. Two agents have been cleared to return to work, according to sources with knowledge of the investigation.

Monday, a man who identified himself as Arthur Huntington declined comment to a CNN producer. Thursday, someone at his residence closed the door and made no comment. No one answered the door Friday or responded to phone calls. The residence was just listed for sale this week.

Huntington, 41, is married and the father of two boys, according to neighbors.

A woman who identified herself as a family friend called the situation "heartbreaking."

"I know him and his character," she said of Huntington. "I would question the allegations."

Also Friday, the Secret Service distributed new rules for its agents on assignment intended to prevent a repeat of such alleged misconduct, according to two government sources familiar with the resulting investigation.

White House misses Grassley deadline

Called Enhanced Standards of Conduct, the new guidelines given to all Secret Service personnel make clear that standards of behavior required in the United States apply on missions abroad, the sources said.

Effective immediately, the new standards require detailed briefings before each trip that will include safety precautions and any necessary designations of establishments and areas that are "off limits" for Secret Service personnel, the sources said.

Also in the new standards, foreigners are banned from Secret Service hotel rooms at all times, except for hotel staff and host nation law enforcement and government officials on official business, according to the officials, and all Secret Service personnel are prohibited from going to a "non-reputable establishment."

The new standards specify that U.S. laws apply to Secret Service personnel when traveling, rendering invalid the excuse that specific activity is legal in the foreign country, the officials said.

In addition, the new guidelines allow moderate alcohol consumption when off duty, but prohibit alcohol consumption within 10 hours of reporting for duty or at any time when at the hotel where the protected official is staying, the officials explained.

An additional supervisor from the Office of Professional Responsibility will now accompany the "jump teams" that bring vehicles for motorcades and other transportation, the officials said. Agents involved in the Colombia incident were part of such a jump team.

First word of the new regulations came Thursday night, when Democratic Rep. Sheila Jackson Lee of Texas outlined them on CNN's "Erin Burnett OutFront" after meeting with Secret Service Director Mark Sullivan about the scandal that has embarrassed the 147-year-old agency and raised questions about possible security breaches.

Allegations of further transgressions by agents have emerged after the initial reports of heavy drinking and consorting with prostitutes this month before President Barack Obama arrived in Cartagena for the Summit of the Americas.

New claims include an account from El Salvador described by CNN affiliate Seattle TV station KIRO as very similar to the Colombia scandal, involving members of the Secret Service and other government agencies.

A U.S. government official, speaking on condition of not being identified, acknowledged there had been missteps among Secret Service members. Such problems are to be expected over the agency's long history and don't necessarily reflect a systemic or cultural issue, the official said.

"We have had employees that have engaged in misconduct," the official said. "People make mistakes."

Meanwhile, a congressional source said Thursday that reports of other incidents involving members of the agency, which is charged with protecting the president and other top officials as well as investigating criminal activity, have been brought to the attention of Congress.

That includes the alleged incident in El Salvador, which the Secret Service has told Congress it is looking into as well, according to the congressional source.

The KIRO report cited an unnamed U.S. government contractor who worked extensively with the Secret Service advance team in San Salvador before Obama's trip there in March 2011.

The source said he was with about a dozen Secret Service agents and a few U.S. military specialists at a strip club in the city a few days before Obama arrived. The men drank heavily at the club, and most of them paid extra for access to a VIP section where they were provided sexual favors in return for cash, the source told the station.

The station reported that the strip club's owner corroborated the allegations. The owner confirmed that a large number of agents, and some military escorts, "descended on his club" that week and were there at least three nights in a row, KIRO reported.

The owner said his club routinely takes care of high-ranking employees of the U.S. Embassy in San Salvador as well as visiting agents from the FBI and U.S. Drug Enforcement Administration, KIRO said.

The government contractor source said he told the agents it was a "really bad idea" to take the strippers back to their hotel rooms, but several agents bragged that they "did this all the time" and "not to worry about it," KIRO reported.

KIRO investigative reporter Chris Halsne told the CBS show "This Morning" on Thursday that he considers his source very credible, and he later told CNN that he had checked billing records, receipts, credentials and other information to confirm the contractor was with the Secret Service in Central America at the time of the incident.

Brazilian ex-prostitute plans to sue U.S. Embassy

The source told him about the alleged scandal last year, while Halsne was in El Salvador on a different story. Halsne said he pressed for details at that time, but the man didn't want any information from him to be used then in a news story.

After the allegations involving Secret Service agents in Colombia surfaced, Halsne again pressed his source, who this time agreed to the use of his account in the KIRO report.

Sonia Ertel, manager of Lips club and restaurant, said Friday that she cannot be certain Secret Service agents were there.

Ertel said: "It is not ethical for any of our security or for me as a person to be in the entrance and question you: 'Excuse me, where are you from? What nationality do you have? What do you do as a profession? What kind of work do you do?'"

Responding to the KIRO report, Secret Service spokesman Edwin Donovan said, "The recent investigation in Cartagena has generated several news stories that contain allegations by mostly unnamed sources. Any information brought to our attention that can be assessed as credible will be followed up on in an appropriate manner."

CNN cannot independently confirm the allegations.

Defense Secretary Leon Panetta said Thursday that his department is not investigating any of its troops over the reported incident in El Salvador. But the State Department is questioning its embassy staff in El Salvador about the allegations, spokeswoman Victoria Nuland said Thursday.

The Drug Enforcement Administration also is prepared to look into, "in an appropriate manner and immediately," allegations that it deems "credible" regarding its agents in El Salvador, agency spokesman Rusty Payne said. But he added that, while the DEA has seen news reports, "We are unaware of any allegations of misconduct."

Sen. Chuck Grassley of Iowa -- the top Republican on the Senate Judiciary Committee, which received a briefing on the Colombia scandal this week by Homeland Security Secretary Janet Napolitano -- said the KIRO report "only reaffirms the need for independent investigations by the (Homeland Security Department's independent) inspector general."

Appearing on CNN on Friday, Grassley said he had yet to get a response from the White House to his request for further information.

Nine Secret Service members have resigned or are being forced out as a result of the scandal over the alleged events in Colombia. The military has launched its own investigation into 12 members who were in Colombia in advance of Obama's visit.

CNN's Tom Cohen, Brian Todd, Paul Courson, Dana Bash and Shasta Darlington contributed to this report.

@highlight

Family friend questions the allegations

@highlight

Sources identify the Secret Service agent at the center of the scandal

@highlight

Agent is Arthur Huntington; he has since left the agency

@highlight

Secret Service issues new rules to agents