A controversial new Texas law requiring voters to present personal identification before going to the polls has been blocked by the Obama administration.

In a letter Monday to state officials, the Justice Department said the legislation could have a discriminatory effect on Hispanics and other minorities.

Texas is among eight states to require official photo identification in an effort to stop what officials say is voter fraud. Opponents of the laws say they disenfranchise poor, minority and disabled voters.

The department concluded there is little evidence of voter fraud in Texas warranting the legislative changes.

"We note that the state's submission did not include evidence of significant in-person voter impersonation not already addressed by the state's existing laws," said Thomas Perez, assistant attorney general.

The landmark Voting Rights Act of 1965 gives the federal government the power to oversee any changes in voting procedures in states and jurisdictions with a  history of voter discrimination.

Texas' new voting boundaries for congressional and legislative seats are also being challenged separately in federal court.

The Justice Department, relying on statistics provided by the state, said Hispanics in particular would be negatively affected by the Texas law.

"Under the data provided in January, Hispanics make up only 21.8% of all registered voters, but fully 38.2% of the registered voters who lack these forms of identification. Thus, we conclude that the total number of registered voters who lack a driver's license or personal identification card issued by (the state Department of Public Safety) could range from 603,892 to 795,955," Perez said in the letter, addressed to the director of elections for the Texas secretary of state.

"Even using the data most favorable to the state, Hispanics disproportionately lack either a driver's license or a personal identification card ... and that disparity is statistically significant," Perez said.

A similar voter ID law in South Carolina was blocked by the Obama administration in December.

Texas and South Carolina now have the option of asking a federal court in Washington to review the laws, and allow them to be enforced this election year.

Texas Gov. Rick Perry released a statement soon after the Justice Department's decision was announced, slamming it as "yet another example of the Obama administration's continuing and pervasive federal overreach."

"The DOJ has no valid reason for rejecting this important law, which requires nothing more extensive than the type of photo identification necessary to receive a library card or board an airplane," he said.

Texas Attorney General Greg Abbott has defended the law, saying it imposes "minor inconveniences on exercising the right to vote."

Voters in the state would be required to present one of seven types of government-issued photo identification, including a driver's license, a passport or a concealed handgun permit. Those lacking the ID would be given a provisional ballot, but the voter would have to present an approved document to the registrar's office within six days after the election.

Those lacking an acceptable identification would be given a free voter identification card.

Section 5 of the Voting Rights Act has been used by federal authorities for decades to oversee election changes in 16 states or selected areas, including parts of New York City.

Texas and other jurisdictions have chafed at the requirements, saying there has been no recent government effort to discriminate. They argue they should not continue to have the burden of showing that any voting changes would not burden or interfere with someone's ability to vote.

Opponents of the voter ID law in Texas have said minority voter turnout could be suppressed 3% to 5% at a time when the Hispanic population there is growing rapidly. There have also been complaints the new law has not been sufficiently publicized.

"Texas' voter ID law would prevent countless Latinos, African-Americans, elderly citizens and others from casting their ballot," said Katie O'Connor, a staff attorney with the ACLU's Voting Rights Project. "We're pleased the Department of Justice has recognized the harms this discriminatory law would have on people's fundamental right to vote."

The Justice Department said Hispanic registered voters in Texas are 46.5% to 120% more likely than a non-Hispanic registered voter to lack the required identification.

The nation's second largest state has a population of 25.1 million, an increase of 4.3 million in the past decade. That explosive growth ensures Texas will gain four congressional seats, requiring new voting boundaries that are still being litigated in court. The Supreme Court in January ordered a special federal court in Texas to reconsider its rejection of the maps approved by the state's Republican majority.

@highlight

Texas Gov. Rick Perry describes Obama's move as an example of "federal overreach"

@highlight

The law requires people to show a photo ID at the polling place

@highlight

The Justice Department says there is little evidence of "in-person voter impersonation"

@highlight

The department blocked a similar voter ID law in South Carolina in December