(CNN) -- It's a good thing I didn't know exactly how dangerous a trip I was embarking on, because when I left home in October 2013 to fly to Sudan, I was scared enough. What I had committed to was, quite frankly, the most "impossible" thing I'd ever tried to accomplish.

Three months earlier, over dinner, I'd learned about a doctor in Sudan's Nuba mountains, Dr. Tom Catena, who was treating thousands of people -- many of them children -- who'd had limbs blown off in the Sudanese government's bombing raids. By coincidence, we'd just posted an article to our website about Richard Van As, an amazing inventor who created a low-cost, 3-D printed prosthetic hand. So, over a second beer, I raised the possibility -- wouldn't it be cool if we brought printers over to Sudan and made arms for these kids?

The story might have ended there -- one of those plans you cook up over dinner and forget by breakfast. Really, what can one person do in the face of such widespread sorrow thousands of miles away?

But when I got home and looked up Dr. Catena, I read about one of the patients he'd treated: Daniel -- a 12-year-old boy who, in attempting to protect himself from an aerial attack, wrapped his arms around a tree. The tree protected his body, but both his arms were blown off by the bomb that exploded those few meters away.

The amputation and hospital treatment had saved his life, but when Daniel woke and realized what had happened he said he wished he would have died. It was one of the most heart-wrenching stories I'd ever read.

It was 11pm. I looked down the hallway to where my three boys were sleeping and thought, "What if it were my kid?" What if this happened to them and somebody out there could help them -- and didn't?

In that moment, I realized I couldn't just close the computer, get a glass of water and go to bed. I had to do something.

Going to Sudan try to help thousands of people was way too daunting. There was no way I could get my head around that.

I couldn't help the many. But I could help one.

I could help Daniel.

Crash course in 3-D printing

Mind you, at the time I knew very little about 3-D printing, and even less about prosthetic arms. So I did what I always do: surround myself with smart people, shut up, and absorb their brilliance. I brought together all the experts -- including the great Van As himself -- to give me a crash course in 3-D printing and prosthetic arms.

Step 1: 3-D print the files.

Step 2: Soften orthoplastic in hot water, then wrap it around the patient's limb to mold the custom-fitted, medical-grade, breathable plastic that will anchor the printed components.

Step 3: Attach the hand and the gauntlet, and thread the cabling through each digit, running it back to an attachment point behind the patient's wrist or elbow. The motion of the wrist (up and down) or elbow (side to side) then pulls on the cabling and draws the fingers to a close. In short, the cables tense and release around a pivot point.

The crash course done, and just three short months after that initial dinner, I found myself in Yida -- a desolate, dusty refugee camp in South Sudan -- a home to 70,000 hungry and desperate people, driven from their homes by bombing campaigns and unimaginable horrors.

I set up shop in an old toolshed and got ready to make a working mechanical arm. Despite the heat (which kept melting the printing filament) and the bugs (which kept jamming up the 3-D printer motors), I managed to get the 3-D printers working and set about making an arm ... for a real boy, now sitting five feet away from me. That boy I'd read about that night in my kitchen back in July. Daniel.

Meeting Daniel

Daniel was non-communicative when we first met. He stared, sullen and resigned, off into the middle distance. I gave him my tablet to play with while I worked, and he did what any other teenager would do: found a video game and started playing. Only he used his stumps instead of his fingers. Little by little, he began to trust me and started to show some interest in what I was doing. Every time I got frustrated, or something wasn't working right, I just had to look over at Daniel and nothing else mattered. I had to make it work.

After a few days, and a few failures, we managed to fit an arm on Daniel. He wasn't yet strong enough to make the motion that would make the hand clench -- that would come later -- but he could manipulate the hand to his mouth. I fitted it with a tin spoon and took him to the mess tent. We sat him in front of a bowl of goat and pumpkin stew.

It was here, for the first time in two years, that Daniel fed himself. He looked over at me and, slowly, a little smirk curled his lips. He turned back, looked at the small crowd that had gathered around him, broke into the biggest grin you'd ever seen, then went back in for more.

I knew then, that I had stumbled upon something way bigger than myself, bigger than Daniel, and bigger than that one meal. It was the idea that by helping one, you have the potential to help many -- and that might just be the secret to it all.

The reality, I believe, is that all change starts small. The big picture is just too unwieldy, too incomprehensible and seemingly immovable. But give us something individual, quantifiable and personalize-able and, suddenly, our perspective shifts to the one.

Just one step. Just one mile. Just one dollar. Just one kiss. Just one person. When we look at life through the lens of "one," everything becomes that much more attainable.

By the end of the week, I was in Sudan's Nuba Mountains where Dr. Catena's hospital continues his work. With a steady stream of solar power, I gathered a roomful of locals -- some invited, some not -- and taught them how to 3-D print. Most of them had never seen a computer before, and none of them had ever seen a 3-D printer. Yet, there we were, getting ready to start a hand-making factory, excited about the possibility of making arms for other amputees.

As I was packing up to leave, we all talked about what we wanted to accomplish. We talked about how many limbs we wanted to make, how many people we wanted to help, how many arms we wanted to have done by the time I return.

And I stopped myself.

"It doesn't matter how many we make," I told them. "We'll get there, eventually.

"For now, just make one."

Interactive: How 3-D printing will reshape the world

The opinions expressed in this commentary are solely those of Mick Ebeling.

@highlight

Aged 12, Daniel lost both his arms to a bomb in Sudan

@highlight

American Mick Ebeling read about his plight and decided to help

@highlight

Ebeling learned how to 3-D print a new arm for Daniel

@highlight

He traveled to Sudan and taught locals to 3-D print limbs for others