(CNN) -- European leaders meeting in Brussels Thursday need to send Russia an unmistakeable signal that its military intervention in Ukraine will not be tolerated.

The consequences of failing to act firmly would have a negative impact far beyond the European Union's eastern neighborhood.

One country waiting quietly to see if Vladimir Putin gets away with his de facto land grab in Crimea is China, a growing military power locked in a series of territorial disputes with the countries around it.

There is too much at stake for the lesson that borders can be unilaterally changed by force to be allowed to stand.

An important starting point is for EU policy makers to understand that Russia acted out of weakness rather than strength. Faced with the loss of a friendly regime in his own back yard, Putin lashed out without any real thought for the consequences.

There are already signs that he realizes he overplayed his hand. In his press conference on Tuesday, the Russian President stressed the limited and temporary nature of his goals, professed friendship towards Ukraine and even expressed sympathy for the protestors who overthrew his Ukrainian ally, Viktor Yanukovych.

The reason for this is clear. Putin wants to rebuild his influence over Ukraine as a whole and recognizes that the occupation of Crimea is more likely to unite the country against him.

A second factor giving him pause for thought will have been the reaction of the markets in weakening the ruble and wiping billions from the value of Russian businesses.

Russia's economic difficulties were already beginning to mount before this crisis broke. Growth is stagnant and likely to remain so. Little progress has been made in modernizing and diversifying the economy despite years of talking about it. Net capital outflows from Russia run at tens of billions of dollars each year at a time when its investment requirement remains huge.

Russia may find an ally in China

Even Russia's status as an energy superpower is now challenged by a combination of American shale gas and EU competition measures against Gazprom. Indeed, the only metric by which Russia remains strong is its ability to generate scary headlines in the western media.

These vulnerabilities give the EU plenty of options for leverage over Russia if it chooses to use them. One important focus of attention should be on political and economic reform in Ukraine itself.

Stabilizing the situation, providing economic aid and encouraging free elections to choose a new government should be immediate priorities. Assistance should also be given to help Ukraine realize its goal of energy independence from Russia.

Work to allow the reverse flow of Ukraine's pipelines to import gas from west to east will increase supply options until measures can be taken to raise domestic production. Reviving and completing the EU's association agreement with Ukraine will be another important element.

The aim should not be to shut Russia out. Ukraine and Russia have strong ties of history and culture, a fact still reflected in the preference of most Ukrainians for close relations between the two countries.

The EU should be willing to talk to Russia about its interests in the region and the creation of a common economic space provided Russia ends its military intervention, restores friendly ties with Kiev and doesn't assume a right of veto over Ukraine's future. Influence has to be earned not asserted as an attribute of Russian greatness.

If Russia won't be a good neighbor, the EU should help Ukraine to move on regardless.

Targeted measures aimed at the financial and personal interests of the Russian elite will also help to focus minds. We know from the Kremlin's furious reaction to the U.S. Magnitsky act that this can be an effective instrument.

Travel bans and asset freezes aimed at Russian officials who supported and facilitated the invasion of Crimea should be combined with a rolling program of money laundering investigations into Russian financial assets held in western banks. Action to restrict flows of western capital, limit technology transfer and toughen visa requirements would also hurt.

Perhaps the most provocative thing western governments could do would be to remind Russia of what it potentially stands to lose by undermining the principle of territorial integrity in relations between states.

Russia has been anxious about its own internal cohesion since the break up of the Soviet Union. In addition to concerns about Kaliningrad and eastern Siberia, Moscow faces open revolt in the northern Caucasus. Upgrading diplomatic contacts with non-violent opposition groups from these regions is a message the Kremlin would understand.

So far the measures European leaders have been prepared to discuss fall far short of what is required get Russia's attention.

The suspension of trade talks that were in any case going nowhere and even cancellation of the G8 summit come under the heading of gesture diplomacy.

The Obama administration has been much tougher in thinking about the kinds of sanctions that are needed. With deeper ties of energy and trade, European leaders feel they have more to lose and are reluctant to endanger what remains a fragile economic recovery.

But they risk far more if nothing is done in response to a grave violation of international law. Only a direct challenge to Russia's material and geopolitical interests is likely to have an impact on Putin's calculations. Anything short of that will amount to a wasted day out in Brussels.

Read more: Full coverage of Ukraine crisis

Read more: Why would Moscow risk war?

Read more: Five ways to end the crisis

The opinions expressed in this commentary are solely those of David Clark.

@highlight

European leaders are meeting to discuss sanctions against Russia over Ukraine

@highlight

David Clark says Putin acted without thought and Russia's economy is weak

@highlight

Clark says Russia has vulnerabilities Europe can leverage -- and should do so

@highlight

He says gesture diplomacy will not be enough, otherwise the talks will be wasted