Shanghai (CNN) -- One recent afternoon, two 17-year-old migrant workers from the nearby province of Anhui came to an electronics market in this Chinese metropolis with one goal in mind: To purchase a smartphone.

They browsed a couple of different models, before settling on a Samsung Galaxy Ace for 1,200 yuan (about $180). They traded in their old cell phones, good for nothing much more than making calls, sending text messages and maybe playing a few games.

Read related: Seven ways mobile phones have changed lives in Africa

One of the migrants said he looked forward to watching movies on his new device. The other said he did not really know how to use such a gadget.

Wang Shenyong, manager of the cell phone stall, said nearly all of his customers who have migrated to Shanghai from elsewhere for work are opting to purchase smartphones rather than low-budget fake phones that have long been a staple technology of China's marginalized populations.

Read related: Your smartphone will (eventually) be hacked

"The migrant workers are different than before," Wang said. "They are more advanced now. They want a better life. They use these [smartphones] because they can know news very fast and share information with others."

China is on the verge of a smartphone revolution. Falling prices of handsets made by foreign brands paired with domestic manufacturers churning out cheaper and cheaper devices, combined with faster and more affordable data plans, means China will overtake the United States as the largest market for smartphones this year, according to market intelligence firm IDC.

Read related: China 'passes U.S. in smartphone sales'

Analysts expect the growth of the mobile Internet on the mainland to be game changing. Countless entrepreneurs are working to create applications and other software for the coming mobile web explosion that will be fueled by widespread smartphone adoption.

Even simple handsets have enabled China's migrant workers to find jobs, communicate with family back home, organize into groups and access information.

For migrant populations, such technology has served to "liberate workers culturally" and "restructure the social identity" of migrants, according to Pui-lam Law, editor of "New Connectivities in China: Virtual, Actual and Local Interactions."

It is hard to say how many migrants now have smartphones. Anecdotal evidence suggests their uptake, especially among younger migrants in urban areas, is quickly becoming widespread and that the technology is enabling them to connect with broader segments of Chinese society in ways they never have before.

"China has long had a very active, even militant, working class," said Jack Linchuan Qiu, an assistant professor at the Chinese University of Hong Kong's communication and journalism school, who researches information and communication technologies and their impact on labor movements in China. "They have always been socially engaged but usually they stay under the radar, but now there is a new window for us to see what is going on."

That new window is specifically Sina Weibo, China's largest microblog, most commonly referred to as a mainstream social media channel for the middle class. Now migrant workers are starting to take part, and in some instances people are paying attention.

This summer, for example, a migrant NGO successfully stopped the closure of a school for migrant children in Beijing after posting their grievances on Sina Weibo. Public intellectuals, television hosts, even state-run media, became involved in supporting their cause.

"This is all possible because they have smartphones," Qiu said. "But the most essential ingredient is the workers want to have their voices heard, and they are facing existential issues. Technology is of no use if no one has the political will."

Qiu said similar efforts to stop recent government crackdowns on workers' rights groups in the southern province of Guangzhou have not been as successful. "The Beijing case -- that was a rare case," he said. "It was almost like a little miracle."

Read related: Mobile phones used to get past China's Internet censors

Nevertheless, more migrants, particularly those in factories, are creating what Qiu calls "worker generated content" about their working conditions and sharing it with wider audiences. Some migrants are garnering thousands of fans on microblogs where they share personal experiences and feelings that have rarely been voiced outside their immediate social circles - if at all.

"Am going to bed now," posted one migrant who writes under the name "Blue Piano" on Sina Weibo.

"Good night to this hypocritical, pretentious, two-faced world. Step on another's head in order to get to the top. Keep on fighting tomorrow."

Read related: Ex-Apple boss tackles poverty in India with mobile technology

"Stay home. Marry. Farming. Raise pigs," wrote another migrant called "Red Peasant" online. "Leave home. Roaming. Working. Make money. Where is the road?"

"There are more and more stories like this, of migrants trying to vent their grievances through smartphones," said Tai Zixue, author of "The Internet in China: Cyberspace and Civil Society."

"It is not a dramatic change yet in that sense. They are still marginalized. It is only under particular circumstances they get the spotlight, but what we are seeing is a big sign of what could happen further down the road."

@highlight

Smartphone use on the rise in China amid falling handset prices and cheaper call plans

@highlight

China set to overtake the United States as the largest market for smartphones

@highlight

Analyst: Such technology helping to "restructure the social identity" of migrants

@highlight

Workers also connecting with broader segments of Chinese society via micro-blogs