(CNN) -- When Jason Njoku graduated from his UK-based university in 2005, he was filled with high hopes of entrepreneurial success.

But after his business endeavors failed to take off for years, Njoku had no option but to move back to his mother's house in London.

Returning home as a penniless 29-year-old was "a harrowing experience" but provided Njoku, a chemist by training, with his Eureka moment -- he realized there's a growing appetite for Nollywood films after noticing how his mother and other relatives had difficulties getting their hands on their beloved movies from Nigeria's booming film industry.

The tech entrepreneur spotted the gap in the market and in 2010 he founded iROKO Partners, an internet company that distributes Nollywood films to viewers across the world.

Described as the "Netflix of Africa," Njoku's company has today grown to have more than 500,000 registered users. It has offices in London, New York and Lagos with some 100 staff and has secured $8 million in funding from U.S.-based hedge fund Tiger Global, early investors in Facebook.

Earlier this week it launched a new internet subscription service which enables viewers to watch exclusive Nollywood films for $5 a month.

CNN's Marketplace Africa spoke to Njoku about entrepreneurship in Africa, Nollywood and his plans for the future.

CNN: Why did you decide to launch the subscription service?

Jason Njoku: When we started the company, iROKO Partners, we were trying to solve the massive, I would say, dislocation in the popularity of Nollywood and the value it's created. A big part of what we did was actually focusing on cleaning up and organizing the content so we can provide a superior user experience, something which Nollywood lovers can really be proud of.

Read more: Nigerian blockbusters for the internet generation

Having more than 500,000 registered users in a short space of time demonstrates that the appetite is there. People really love this content, which means it should be organized and given to them in the best format possible. We've spent a lot of money -- in the industry, licenses, organizing our team, we've got a staff of 100 people -- so our view is that some additional value needs to ... be given to this new subscription service we're rolling out, (called) iROKOtv+.

CNN: Your company has been described as the Netflix of Africa. Do you want to be as big as Netflix?

JN: At the moment we are focusing on the 30 million African diaspora. We've just reached 500,000 registered users, we think our additional market in the West is at least five to 10 million people, there are lots of Africans who love this stuff.

I guess, ultimately, the big market is Nigeria...this is where the content originates from. If you spend any time in Nigeria, it is difficult to come across a person who hasn't heard of Nollywood. But at the same time, the pan-African nature of it -- from the Kenyans to the Ghanaians to Gambians to people in the DRC -- there's a massive base of people who really love this content. So because of the broadband restrictions in Africa, we are currently focused on the diaspora.

CNN: Do you see the potential in the future to become as big as Netflix?

JN: I think Netflix has 25 million subscribers across South America, U.S. Canada and the UK.

We are really young, as ambitious as we want to be. Are there 25 million people who love this content? Most definitely there are 25 million people in Nigeria who love this content. Are they willing to pay for it? That's the big experiment we're kind of playing now.

So we wouldn't want to compare ourselves to Netflix but we have an interest and opportunity to at least get somewhere along that line.

CNN: Where are most of your viewers based?

JN: Currently our biggest markets are the U.S., the UK, Canada, Italy and Germany.

See also: African cinema at Cannes

CNN: What about Nigeria?

JN: Nigeria has been growing -- I think it's in the top 10, but, again, just to put it in context, I believe we have more people watching just in London than we do have in the whole of Nigeria.

CNN: Web connectivity and internet penetration are major issues in Africa. Have there been any improvements recently?

JN: Eighteen months ago when I moved to Nigeria, broadband was really expensive and not that great. Now it's less expensive and it's much better. Internet adoption has definitely exploded in Nigeria and we feel it's better -- again, we're trying to serve very data-intensive, bandwidth hogging files, so we're always going to be slower on the uptake but it is improving.

Read more: Web savvy Africans fuel online shopping

CNN: What prompted you to start the business?

JN: I went to university to study chemistry with high hopes, my mum was really happy. I graduated in 2005 and then I started an entrepreneurial sort of trail. Whereas my friends went into banking, consulting, finance, I just wanted to be an entrepreneur, to work in projects which really interested me. Unfortunately, for five, almost six years I failed miserably at being an entrepreneur.

So, in fact, literally what prompted the whole genesis of iROKO was at 29, almost 30 I had to move back with my mum. That was itself a harrowing experience but the interesting thing was that for the first time in eight years since I'd moved out I was actually able to see the viewing patterns of my mom change...She'd gone from watching western films to watching African films.

Watch: Africa's internet awakening

Because I was able to observe her and we lived together then I could actually relate and she'd spend hours watching it. Then I had to drive her around to go and see my aunts and uncles who I hadn't seen in a long time -- it was exactly the same thing for these guys and I was like 'well, how can it be that so quickly so many people's viewing, video and entertainment habits change.' So it was really intriguing to find this stuff.

Watch: Genevieve Nnaji: Nollywood's Julia Roberts

CNN: What has been the reaction from the Nigerian film industry?

JN: The key thing is that we've invested more money in Nollywood in the shortest space of time -- far more than anybody else has done. We are remunerating movie producers who, quite rightly, are receiving additional revenue form their films as we have opened up a new funding avenue for them.

Before, they were losing out to the pirates, now they are gaining financially from iROKOtv. Hopefully this new approach to monetizing Nollywood content will lead to producers re-investing in their films.

@highlight

Jason Njoku is the founder and chief executive of iROKO Partners

@highlight

The internet company distributes Nollywood films to viewers across the world

@highlight

Called the 'Netflix of Africa,' Njoku's company has over 500,000 registered users

@highlight

He says iROKO has invested more money in Nigeria's film industry than anyone else