(CNN) -- Though Ciudad Real Central Airport sits just 150 miles south of Spain's capital, Madrid, the bankrupt complex is a desolate stretch of concrete.

In happier times, it was an expensive symbol of Spain's thriving economy and optimism for the future. Now, it serves as a reminder of the country's financial failings.

"The construction of an airport like this, and of other places that are completely worthless; there were a lot of them -- is responsible for the crisis," director Pedro Almodóvar told Slate.

Almodóvar is one of several people who have since found a use for the airport, which shut down April last year. He shot his latest film, "I'm So Excited", on the empty runways. Almodóvar shot at night. During the day, Lexus Spain used the site to show off their latest model to journalists.

"There are 4.5 kilometers of unused runway -- it's basically the longest in Europe," says Jose Antonio Galve, the PR Manager for Lexus Spain.

"When you're on it, it's strange, because there's no sensation of it being a road, and you have no sense of when it will end. It appealed to us because it was a very different experience."

There is little chance that the airport will recover its investment; it cost $1.3 billion to build, and though not in use, it continues to incur maintenance costs.

"Although having that kind of surface would be great for racing, how much are you going to make to justify the cost of acquiring that much land?" asks Angela Gittens, the director general of Airports Council International.

Likely, says Gittens, the owners are simply biding their time until they sell it, piecemeal.

"Typically, there's not a whole lot of instances where someone comes along and buys the whole property," says Gittens. "The facilities, or set of facilities, don't lend themselves to other uses."

At Berlin Bradenburg Willy Brandt Airport, the $5.7 billion travel hub that has yet to open, tourists can tour the empty grounds via bus or bike. According to the airport's spokesman Lars Wagner, its opening has been stalled because of problems with the fire protection system. An airport tour now, he says, gives visitors an opportunity to walk areas that, once opened, will be cordoned off. Mainly, though, he hints it's a chance to market the airport while it waits to open.

Situated on the fringes of one of Hong Kong's most densely populated areas, the city's Kai Tak International Airport was renowned as one of the most exciting to land at.

Replaced in 1998 by Chek Lap Kok airport (built on a purpose-made island to the west of the city) the Kai Tak site lay largely unused until construction began in 2009 to convert the runway into a new cruise ship terminal. The first ship docked at the site in June and is set to welcome more regular visitors from October.

Some former hubs have reinvented themselves for good. In Malmö, Sweden, Bulltofta Airport was converted into a park and entertainment complex. Though one of the old hangars was turned into a school, according to Anders Reisnert, a cultural historian for the city, the area has lost its aeronautic identity.

Read more: What are the worst airports for delays?

"I think most people in Malmö have forgotten it used to be an airport," he says.

The former Stapleton International Airport in Denver, Colorado (once the fifth busiest hub in the U.S. before closing in 1994) is being redeveloped as a mixed-use housing community. The development is slated for completion in 2025 and is more than halfway done -- of 8,000 projected homes, 5,000 have already been constructed and sold.

"The demand is more than anyone could imagine," says Thomas Gleason, a spokesperson for the site's developer, Forest City Enterprises, and a former spokesman to Federico Pena, the Denver mayor that launched the project. As for why Forest City took on such a massive undertaking (the decision to sell the $79.4 million site whole was Pena's idea), Gleason maintains it was a no-brainer.

Read more: The world's most beautiful airports

"We're talking about 4,700 acres of land that's a ten minute drive from the downtown area. There was a tremendous opportunity to redevelop land that was underutilized," he says.

Converting an airport is a tremendous undertaking. Gleason says Forest City had to tear up 1,100 acres of pavement and 4.2 million square feet of aviation buildings, a process he described as "breathtaking" in its complexity.

In Austin, Texas, real estate developer Catellus is performing a similar feat with the site of now defunct Robert Mueller Municipal Airport.

"We saw 700 acres in the center of Austin, and it was three miles from downtown and two miles from the university in this rising town where great things are happening. It was a great location, and a great opportunity," says Gregory Weaver, executive vice president of Catellus.

Remnants from the old airports haunt both sites; at Stapleton, the old 12-story control tower looms in the backdrop, while Mueller still boats a World War II-era hangar. In spite of these details, Weaver maintains that some residents have already forgotten the area's original identity.

"I tell people that I live in Mueller, and I'll say, 'you know, the former airport,' and they'll say, 'oh, that used to be an airport?'"

Editor's note: An earlier version of this story incorrectly identified Ciudad Real Central Airport as north of Madrid.

@highlight

Many abandoned, or 'ghost' airports, are finding new uses.

@highlight

Ciudad Real Central Airport was used in the backdrop of Pedro Almodóvar's film, 'I'm So Excited'.

@highlight

Malmö, Sweden's Bulltofta Airport has been converted into park space.

@highlight

Old U.S. airports in Denver and Austin have been turned into housing complexes.