Hong Kong (CNN) -- China has struggled to contain ethnic tensions in the far northwest region of Xinjiang, recently launching a crackdown after a series of violent attacks left hundreds dead in recent months.

But authorities think they may have found a new tonic to mend the cultural differences between the region's indigenous Uyghurs -- a mostly Muslim, Turkic-speaking group -- and China's dominant ethnic group, the Han Chinese.

Her name is Ipal Khan. The wide-eyed Uyghur beauty is the protagonist of an upcoming cartoon based on the well-known tale of a girl from the city of Kashgar who captivated China's Qianlong Emperor with her good looks and sweet fragrance in the 18th century and became his concubine.

According to the legend most Chinese are familiar with, the girl fell in love with the emperor and became his cherished consort.

"She is a figure that has contributed much to cross-cultural communication," Deng Jianglei, director of the cartoon, "Princess Fragrant," told CNN. The animation is set to become a television series at the end of 2015, and a film the following year.

Deng's company, Shenzhen Qianheng Cultural Communication Company, won a tender to create the 3-D animation last year, as part of a campaign by Xinjiang authorities to promote social harmony among China's different ethnic groups and raise awareness of the folk customs of the Uyghurs.

During a visit to the province in June, Deng and his colleagues were inspired by the natural beauty and rich culture of Xinjiang -- a region the size of Iran that shares borders with eight countries.

"The cultures there and the folk arts are exquisite. But the place's economy is less developed. So we wanted ... to help them promote their cultures," he said.

But appealing to both Han and Uyghur audiences may prove a challenge.

Princess or sex slave?

Selecting a musician to compose the theme song, for example, took over a year, China's Global Times reports, because it was difficult to find a composer who was familiar with both Han and Uyghur traditions.

Then there are the alternative versions of the Uyghur girl's story.

Although the legend of Fragrant Concubine has become a symbol of national unity for many Chinese, modern Uyghur interpretations of the tale portray her as an imperial sex slave who was murdered by the emperor's mother after stubbornly rejecting the emperor's advances.

Deng said he wants the series to be entertaining while also fulfilling "political needs."

"(The cartoon) is a re-understanding of the friendship between Han and Uyghurs, which is especially significant to the re-education of the children and teaching them to accept different cultures."

His animation company, working in collaboration with the government of Kashgar, has plans to show the cartoon in China and abroad, especially in Islamic regions.

Xinjiang has a long history of ethnic unrest. Some Uyghurs have expressed resentment toward the Han Chinese in recent years over what they say is harsh treatment by security forces, discrimination and a lack of economic opportunities.

Muslim separatists have been held responsible for a series of recent deadly attacks, with Chinese authorities launching an anti-terror campaign in May. Measures to end the violence have ranged from executing convicted terrorists to banning beards and Islamic dress in some areas.

But authorities have not ignored the role of soft power.

"It is similar as fighting a war in the realm of ideology. If we don't pass on positive energy, the opposite side would occupy the battlefield," Sheng Jun, a deputy director of cultural industry office at the Xinjiang Bureau of Culture told The Global Times.

Finding common ground, however, was difficult even among the animators.

Some of the more conservative Xinjiang artists who were consulted in the making of the cartoon objected to the use of animal characters because of the negative connotations associated with some creatures like snakes according to Islamic traditions, and because Uyghur families rarely own pets, the Global Times reports.

"The difficulty is that you have to respect history and culture while catering to the market," Deng said.

When it came to the animals, Deng insisted they should stay. "It's all about compromise," he said.

Intern Linda Yan contributed to this report.

@highlight

New cartoon seeks to foster cultural understanding between ethnic groups in Xinjiang region

@highlight

"Princess Fragrant" is based on the tale of a Uyghur concubine who marries an emperor

@highlight

A symbol of national unity for Chinese, modern Uyghur interpretations portray her as a sex slave

@highlight

Animation seeks to be entertaining while fulfilling "political needs," director says