New York (CNN) -- A federal appeals court in New York became the nation's second to strike down the Defense of Marriage Act, finding that the Clinton-era law's denial of federal benefits to married same-sex couples is unconstitutional.

The divisive act, which was passed in 1996, bars federal recognition of such marriages and says other states cannot be forced to recognize them.

Read the ruling (PDF)

The 2nd U.S. Circuit Court of Appeals determined Thursday that the federal law violates the Constitution's equal protection clause, ruling in favor of widow Edith Windsor, an 83-year-old lesbian who sued the federal government for charging her more than $363,000 in estate taxes after being denied the benefit of spousal deductions.

The court upheld a lower court's decision in a 2-1 majority ruling and determined that America's gay population "has suffered a history of discrimination" similar to that faced by women in years past.

"What I'm feeling is elated," said Windsor. "Did I ever think it could come to be, altogether? ... Not a chance in hell."

Victory for Windsor, years after her longtime partner's death

The case centered on the money Windsor wanted back, but it raised the more looming question of whether the federal government can continue to ignore a state's recognition of her marriage and financially penalize her as a result.

Timeline: Same-sex marriage

"Homosexuals are not in a position to adequately protect themselves from the discriminatory wishes of the majoritarian public," wrote Dennis Jacobs, a conservative judge in New York.

A federal appeals court in Boston made a similar ruling in May, but the moves are considered largely symbolic as the issue is expected to eventually be taken up by the U.S. Supreme Court.

Man tells senators: Defense of Marriage Act cost me my home

"This court has a limited jurisdiction," CNN legal analyst Paul Callan said. "But this is a very favorable decision for those who believe that the Defense of Marriage (Act) unconstitutionally discriminates against same-sex couples."

Those who back striking down the law "believe this decision will give them a very strong position arguing before the U.S. Supreme Court in the future," he said.

New York Gov. Andrew Cuomo also weighed in on the three-judge-panel's decision, saying it "provides further momentum for national progress on this important civil rights issue."

Boston appeals court rules Defense of Marriage Act unconstitutional

In February, the Obama administration ordered the Justice Department to stop defending the constitutionality of the law, though a GOP-backed group has since taken up the issue in courts across the country.

Massachusetts, Connecticut, Iowa, Vermont, New Hampshire, New York and the District of Columbia issue marriage licenses to same-sex couples.

Maryland, Washington, Maine and Minnesota are voting on the issue in November referendums.

Five states -- Delaware, Hawaii, Illinois, New Jersey and Rhode Island -- allow civil unions that provide rights similar to marriage.

Thursday's ruling was celebrated by many top Democrats, including House Minority Leader Nancy Pelosi, gay and civil rights advocacy groups such as GLAAD and the ACLU, and former New Mexico Gov. Gary Johnson, the Libertarian Party's presidential nominee.

Others criticized the ruling, including National Organization for Marriage President Brian Brown. He said 32 states have, by popular vote, backed a traditional definition of marriage being between a man and a woman and expressed hope the Supreme Court will decide the matter.

"This is yet another example of judicial activism and elite judges imposing their views on the American people, and further demonstrates why it is imperative for the U.S. Supreme Court to (act)," Brown said.

For her part, Windsor said she wants Thursday's decision to be "part of the beginning of the end" so that married homosexual couples someday will be viewed the same as heterosexual ones in the government's eyes. And she wants the entire issue of a person's sexual orientation to soon become a nonissue when it comes to marriage in American society.

"My sincere hope is that (it will be irrelevant) in my lifetime," Windsor said.

Bloomberg taps fortune to back Maryland's gay marriage vote

Polls: Majority favor same-sex marriage in Maryland

When football, same-sex marriage and politics collide

CNN's Greg Botelho and Mark Norman contributed to this report.

@highlight

NEW: Gay rights' backers laud the ruling; a conservative leader says it is "judicial activism"

@highlight

A U.S. appeals court rules the federal law defining marriage is unconstitutional

@highlight

The issue is expected to be conclusively decided by the U.S. Supreme Court

@highlight

"What I'm feeling is elated," says the 83-year-old lesbian at the center of the case