(CNN) -- Sub-Saharan Africa's economic renaissance is fueling an investment drive by fast food joints looking to tap the continent's growing middle class.

The likes of Kentucky Fried Chicken (KFC) and Domino's pizza are opening up in African growth markets from Nigeria to Angola to give consumers a taste of U.S. cuisine.

Elias Schulze, managing partner of The Africa Group, a boutique Africa-focused investment consultancy, said U.S. takeout stores are rapidly becoming "aspirational brands" for cosmopolitan Africans with disposable income.

He said: "An upwardly mobile, confident, Western-leaning and young consumer class bodes well for an American burger boom."

And the battle for the African market is well underway. This year, Yum! Brands -- owner of KFC, Taco Bell and Pizza Hut -- is expanding into Tanzania, Uganda and Zimbabwe.

The Louisville-based restaurant giant already has outlets in 14 African countries, with more than 700 KFCs in South Africa and plans to open a further 45 stores in 2013.

Read this: South Africans thirsty for craft beer

And with growing political and economic stability, Western fast food brands are approaching the region with a renewed sense of optimism, according to Schulze.

He said KFC is an established brand on the continent today, adding: "My general sense is that markets beyond South Africa in sub-Saharan Africa are in the investing phase given their level of infancy and may not have reached a payback point quite yet."

And more big players are beginning to follow suit. In May, Burger King opened for business in South Africa and last year Domino's -- the U.S. pizza chain -- opened its first African store in Nigeria, the continent's most populous nation.

With two stores already, Domino's is planning to launch three more African branches by the end of this year.

To cater to local tastes, the pizza chain launched a Chicken Jollof pizza -- a rice-based dish popular to West Africa -- and a Suya special, consisting of spicy marinated meat.

Charbel Antoun, partner at Eat N Go, which helped launch Domino's in Nigeria, said that adapting the menu to the local culture and food was crucial to the brand's success.

He added: "To compete in the market we have very competitive prices. Ninety-five percent of our customers are Nigerian ... and these are the consumers we're looking to attract."

Read this: African firm invests billions in U.S.

Price competitive

However, the cost of Western fast food brands in many parts of Africa relative to wages remains high, excluding many people, who simply cannot afford it.

While sub-Saharan Africa is home to some of the world's fastest-growing economies, millions of people are still languishing in extreme poverty.

For example, the cost of a KFC meal in Malawi -- including a burger, fries and drink -- is more than $9 but with 50% of the country's population below the World Bank's poverty line, fast food is an unaffordable luxury for most.

Across the continent Western brands remain high compared to other parts of the world, according to Schulze. He said the average cost of a KFC meal in Africa is roughly 40% higher compared to a branch in Brooklyn and 80% more than a similar meal in Shanghai.

Still, the future looks bright for sub-Saharan Africa.

On average, the region is set to grow at more than 5% between 2013-15 as millions of new consumers emerge from poverty and commodity prices continue to rise, according to data from the World Bank.

A McKinsey & Company 2012 report on African consumers projects $410 billion in growth for consumer-facing industries across Africa by 2020; of this roughly 45% or $185 billion will flow from apparel, consumer goods and food businesses.

The report also found Africans remain "exceptionally optimistic about their economic future" and very brand conscious in purchasing decisions.

@highlight

U.S. fast food brands are increasingly opening branches across Africa

@highlight

KFC has outlets in 14 African countries, with over 700 KFCs in South Africa

@highlight

Pizza chain Domino's plans three more African branches by the end of this year

@highlight

African branches often introduce new dishes to cater to local tastes