Dakar, Senegal (CNN) -- A colorful platter steams with heat, rising from seasoned fish and an assortment of fresh vegetables all on a plush bed of rice. This is Senegal's national dish and recently my task for "Inside Africa" was to search for its origins, prepare the ingredients and taste a sample of the West African culture.

What I discovered were firm family bonds, handmade artwork and a flavorful surprise. So let's rewind.

Africa's westernmost nation hugs the North Atlantic coastline and for generations, life in the sea has sustained life on land. Soumbedioune, one of the many fishing beaches of Dakar, is illustrative of this symbiotic bond. As I walk its crowded sandy shoreline, narrow wooden boats approach from the horizon.

Men darkened by hours at sea hop out of the brightly colored vessels. Yellow, red, green, white, all dance along the hull in bold fashion revealing a variety of circular designs. These traditional boats are hand painted and crafted by teams of men working in this busy fishing community.

See also: Taking a look inside Zambia

In fact, as I watch with confusion at the apparent chaos around me, a methodical process emerges. Young boys run up to the boats, placing rollers underneath as the men hand off large coolers of fresh fish, proceeding to push the boat inland. The boys, typically sons or nephews of the fishermen, then wheel or carry the coolers to the women in the family waiting on the beach nearby.

But this is no leisurely endeavor. The women work as a sort of broker for their husbands, displaying the best catch prominently. I hear empassioned sales pitches in French as they try to attract restaurant vendors and others searching for a good price for buying in bulk.

The entire process happens in two waves each and every day, each family member with their own essential role. I learned not to get in the way either.

As I snap pictures of the frenetic scene around me a woman approaches, holds up her hands, reaches for my camera and wags her finger. I don't understand a single French word she's saying but the message is clear: "Don't take my picture or I will take your camera." I smile, apologize in broken French and move on.

Fish is the primary component of "Thiebou Jen," Senegal's national dish. Later I meet with local chef Ishmail N'Dour as he walks me through a Dakar market showing me what it takes to bring all the flavors together. The key is to only use the best, freshest vegetables; because they will become a stuffing for the fish. How is that stuffing made? With hard labor, I can tell you.

See also: Sights and sounds of Sahara

Once we return to N'Dour's seaside restaurant, he hands me a deep wooden pot with a long, rounded, wooden handle. He tosses coriander (cilantro), onions, peppers and spices inside, telling me to get to work.

I mash, push, pound and pulverize for 30 minutes, breaking a sweat. This type of food preparation is common in Senegal with each member of the family taking on one important role in the food preparation. N'Dour prepares and slices the fish into smaller portions each with a slit ready for the stuffing.

The mashed vegetables are slimy in my hand, a testament to my good work, I think. I push them in each chuck of fish. N'Dour continues to cook the fish with vegetables inside, as well as surrounded by an assortment of carrots, potatoes and more. Hours later when he serves it, the taste is divine, far superior to anything I've ever cooked.

The appearance may look quite messy but as I've learned in Dakar looks can be deceiving. This is a culture that begs for closer inspection, something that reveals strong family bonds, a stubbornness for good quality and vibrant, tasty cuisine.

@highlight

CNN's Errol Barnett traveled to Senegal to find out secrets of its national dish

@highlight

Barnett experienced the bustling life of a local fishing community on a beach in Dakar

@highlight

A local chef showed Barnett how to prepare local delicacy 'Thiebou Jen'