(CNN) -- Texas Gov. Rick Perry has decided to send 1,000 National Guard troops to "secure" the U.S.-Mexico border. At least 52,000 children have arrived unaccompanied to the United States since October, most coming from Guatemala, Honduras and El Salvador. They have been greeted by protests in border regions across the United States.

But military might hasn't ever and won't solve the problem; it is much broader than that. What has been glaringly absent from discussion of this humanitarian crisis is any attempt to address its underlying causes, which rest fundamentally in drug policy reform. At its core is the longstanding drug war the United States has waged in Central and South America.

In the early years of the drug war, U.S. policy was aimed at curtailing the rise of socialism and communism as well as stopping the production of narcotics in this region. The United States has used military intervention, crop dusting and possible political subversion in order to achieve these policy objectives.

More recently, the United States implemented a militarization campaign, providing funding to law enforcement officials in Latin American countries to combat narco-trafficking. This policy destabilized major regions of Central America, increasing murder rates and corrupting any viable political or economic opportunities to bring about change.

Corruption in government and law enforcement results in an environment of extreme violence, as gangs of criminals battle for control across borders. Parents in these countries are faced with deciding whether to send their children on the treacherous journey to America, where they have at least a possibility of safety and a better life.

We cannot just summarily send these children back to the desperate situations they escaped. Two Texas lawmakers are trying to do just that, quickly, by introducing legislation to amend the 2008 Trafficking Victims Protection Reauthorization Act. The bill, which has been met with protests, would speed up the deportation process and send these 52,000 children back to the violent environments they escaped. Sen. John Cornyn and Rep. Henry Cuellar even have the audacity to call it the HUMANE Act, for "Helping Unaccompanied Minors and Alleviating a National Emergency."

Maryland Gov. Martin O'Malley was right when he recently said: "It is contrary to everything we stand for as a people to try to summarily send children back to death . . . in a place where drug gangs are the greatest threat to stability, rule of law and democratic institutions in this hemisphere."

Although the arrest of a drug lord or corrupt government officials may catch our attention, we fail to sufficiently consider those throughout Latin America who have fallen victim to violence related to the drug war. So many have been murdered, have disappeared or have been forced to leave their homes in search of refuge.

In 2010, nearly 50,000 Latinos were incarcerated for nonviolent drug offenses and, according to a recently released TRAC report, nearly one-quarter of a million people were deported for nonviolent drug offenses in just the past six years. Nearly 10,000 were deported in 2013 for marijuana-related offenses. Prohibition and the failed drug war has led to more than 60,000 deaths in Mexico from 2006 to 2012.

As the region that has most suffered the brunt of the war on drugs, it is no surprise that the loudest political voices calling for reform are coming from Latin America.

Leaders within Latin American countries have been on the record in recent years calling for this change. In a groundbreaking report released in 2011 by the Global Commission on Drug Policy, three former Latin American presidents -- Fernando Henrique Cardoso of Brazil, CÃ©sar Gaviria of Colombia, and Ernesto Zedillo of Mexico -- and a host of other notable global figures, such as Kofi Annan, Richard Branson and Paul Volcker, called for "breaking the taboo" on discussing alternatives to drug prohibition and encouraging "experimentation by governments with models of legal regulation of drugs."

Now, sitting presidents Juan Manuel Santos in Colombia, Otto Perez Molina in Guatemala, and JosÃ© Mujica in Uruguay have echoed these demands for reform. In May, the Organization of American States released a report, commissioned by the presidents of the hemisphere, which included marijuana legalization as a probable policy for the near future.

It is no doubt that as the war on drugs grinds on in Latin America, women and children will continue to seek refuge from the violence. As the United States considers options on how to deal with its new influx of thousands of young refugees, it must strongly reconsider the drug war policies that put us here in the first place.

@highlight

Texas Gov. Perry wants to send 1,000 National Guard troops to "secure" the border

@highlight

Writers: To fix the crisis you must address its cause: the war on drugs

@highlight

They say lawlessness threatens children's lives at home so they flee to safety

@highlight

Writers: U.S. cannot send kids back to violence and must reconsider its drug policy