Washington (CNN) -- A federal appeals court has certified the largest class-action employment lawsuit in U.S. history, in a long-standing dispute against retailer Wal-Mart Stores Inc. over alleged gender bias in pay and promotions.

The divided 6-5 ruling by the San Francisco-based 9th U.S. Circuit Court of Appeals on Monday allows the combined multiparty litigation to move ahead to trial, where a decision against the company could result in billions in damages. The Arkansas-based chain of stores has the option of appealing Monday's ruling to the U.S. Supreme Court for review.

At issue is whether more than a million current and former Wal-Mart employees can band together in their claims of discrimination, which they say has occurred over the past decade, at least.

The plaintiffs allege that women were paid less than, and were given fewer opportunities for promotion than, their male counterparts. They seek back pay and punitive damages against the world's largest retailer.

The lawsuit alleges that the company's "strong, centralized structure fosters or facilitates gender stereotyping and discrimination."

The workers bringing suit also say women make up more than 70 percent of Wal-Mart's hourly work force but in the past decade made up less than one-third of its store management.

The suit was first filed by Betty Dukes, a store greeter in Pittsburg, California, along with five of her co-workers in 2001.

"It has taken a very long time, and a tremendous amount of work, but it looks like we're finally going to get our day in court," Dukes said after the ruling was announced. "That's all we've ever asked for."

"We disagree with the decision of the sharply divided 6-5 court to uphold portions of the certification order, and are considering our options, including seeking review from the Supreme Court," Wal-Mart said in a statement. "We do not believe the claims alleged by the six individuals who brought this suit are representative of the experiences of our female associates. Walmart is an excellent place for women to work and fosters female leadership among our associates and in the larger business world."

The federal appeals court concluded that there was enough merit in the claims to proceed to trial on a class-action track. Since the lawsuit was filed, both sides of the dispute have held so-called discovery hearings, in which preliminary testimony was taken to establish facts.

Judge Susan Graber of the appeals court said that although "the size of this class action is large, mere size does not render a case unmanageable."

The company has protested the size of the class action, which it called "historic" in scope, saying it would be too onerous to litigate. The company has more than 3,400 stores in 41 regions.

Declaring class-action status for the lawsuit raises the financial and judicial stakes considerably, since more individual plaintiffs can now join, and creates greater potential liability for the company being sued. In federal courts, such certification must generally follow well-established principles to ensure that it does not become so large as to be impracticable and allows the parties to fairly represent the common interests of the larger class of plaintiffs.

"Wal-Mart tries to project an improved image as a good corporate citizen," said Brad Seligman, a Berkeley, California, lawyer representing the female workers. "But no amount of [public relations] is going to work until it addresses the claims of its female employees."

Wal-Mart has been accused in separate lawsuits of discrimination against African-American truck drivers and workers with disabilities. In 2001, the company settled 13 lawsuits by paying out $6 million.

Beyond this particular suit, most workplace discrimination lawsuits fail to reach a court for resolution, according to data compiled by the federal Equal Employment Opportunity Commission.

In 2003, when the Wal-Mart litigation was in its preliminary court stages, about 27,000 sex discrimination claims nationwide were resolved administratively by the EEOC, little changed from the prior decade. More than 57 percent -- 15,000 claims -- were ruled administratively to have "no reasonable cause," and those usually were dismissed.

Just over 10 percent were judged to have merit, resulting in a total of $94.2 million in settlements, or $34,200 on average per case, according to the data, which include all such claims, not just those involving Wal-Mart.

The current case is Dukes v. Wal-Mart Stores, Inc. (04-16688)

@highlight

NEW: "Walmart is an excellent place for women to work," company says

@highlight

Lawsuits say company paid women less and promoted them less

@highlight

Hundreds of thousands of current, former works can band together in lawsuit

@highlight

A decision against world's largest retailer could cost billions