(WIRED)  -- When Microsoft and Facebook announced that they were partnering to integrate Facebook and Bing for social network-powered search, it confirmed something I thought Monday: Windows Phone 7 is the real Facebook phone.

I don't know whether Facebook has a secret team working on a phone where they control the OS. But the company don't need one. It's already deeply integrated into Android and iOS. Now with the Microsoft partnership, it's tied to the most socially optimized smartphone ever brought to the market.

"This is, I think, one of the most exciting partnerships we've done on the platform so far," Facebook CEO Mark Zuckerberg said at the Bing announcement Wednesday. "Our view is that over the next five years we expect that almost every industry is going to be disrupted by someone building a great product that's deep in whatever area that industry is, plus is extremely socially integrated."

The first Windows Phone 7 handsets are due in stores November. The OS is Microsoft's complete do-over on mobile, after its predecessor Windows Mobile tanked in popularity and market share in the wake of more consumer-savvy handsets such as Apple's iPhone and Google's Android-powered smartphones.

Every aspect of Windows Phone 7 is geared to social networks: phone, contacts, gaming, photos, even Office. Focusing the phone around Hubs doesn't just mean that local client apps and cloud apps are grouped next to each other. It means that the local client and cloud work together.

Microsoft tried to explicitly build a social networking phone featuring Facebook, Twitter, Flickr and MySpace with the Kin. The Kin failed and was killed by Microsoft, mostly because it wasn't a full-featured smartphone (it was a fork of Windows Phone 7), but required a smartphone's data plan.

The Kin's cloud-backed social and sharing components lived on in Windows Phone 7. They were always there. Only now, Flickr and MySpace are nowhere to be found.

Even before the Bing announcement, Facebook was a conspicuous part of the WP7 presentation. Microsoft's Joe Belfiore outlined a scenario where users could take a photo on their phone that's then uploaded to Facebook automatically, without even opening the Facebook app.

In the press release for WP7, Microsoft notes that "the customizable Start screen with Live Tiles provides real-time updates so you can keep tabs on the latest weather forecast, your favorite band, a friend's Facebook page and more, all with just one glimpse" [emphasis added].

That wasn't an accident. The Facebook-Bing partnership was already happening.

It's the exact strategy that Zuckerberg outlined in his interview with Michael Arrington, where he explained why Facebook wasn't building its own phone.

Zuckerberg only made an offhand reference to WP7 in that interview: "If Windows Phone 7 takes off, then I'm sure we'll put resources on that." But he added, with reference to their efforts with the iPhone and Android, "The question is, what could we do if we also started hacking at a deeper level, and that is a lot of the stuff that we're thinking about."

In order to do that, Zuckerberg explained, you need to find a company that was willing to incorporate social networking from the operating system up -- not just adding a layer on top of it was already doing, but making that the focus of the device and its services.

At least one of those companies is Microsoft.

"We started thinking what would social search look like, and we started looking around for partners," Zuckerberg said. "Microsoft really is the underdog here and they really are incentivized to try new things."

He was talking about search, but he may as well have been talking about phones.

Microsoft may be the underdog in search and phones, but it's actually been ahead of the curve in terms of incorporating social layers into its products. The Zune had song and photo sharing between devices over Wi-Fi before the iPhone was even announced.

But that was a closed network, limited to just Zune-to-Zune, and later Zune-to-Xbox. In order to get outside of itself, Microsoft partnered with Facebook early on -- it still owns part of the company -- and Facebook helped shape Microsoft's social strategy.

Microsoft has been quietly building a social network without anyone actually noticing. Windows Live, Office Live, Xbox Live are all social networks where users work, share files and talk about media together. You use the same identity across all of those services on every Microsoft device.

Facebook is already embedded in all of them: It's built into Messenger, Hotmail and Outlook, and it's what powers part of the social dimension of Xbox Live. And Bing is already embedded in Facebook, in the form of maps and search results.

Now Facebook's information is embedded in Bing search. And search is one of just three buttons on every WP7 phone.

Consequently, Facebook's partnership with Bing isn't just about Google> It isn't just about "Like" results showing up when you search in a web browser on your PC.

It's about incorporating a social layer into media on every device in your household, from your phone to your set-top box. It's about making those devices smarter in how they communicate with each other and from one platform to another.

That's what stood out to me most at the Windows Phone 7 launch event. The Office people demonstrated how to use Windows Live to stream a PowerPoint presentation from a Windows PC to a Mac.

The Xbox people were showing how to chat about a Netflix movie with your Facebook friends on Xbox live. The hardware people were showing off a wide-angle HD webcam that will let families chat with families from their living rooms. Deep integration of devices, media and services -- using the cloud to power person-to-person interaction through voice, images and text.

If we think about Apple's attempt with Ping to bring a social layer to iTunes (which has been criticized, in part, because Apple didn't partner up with Facebook), Sony's idea of a multitasking television set or Twitter's plays to get on the television screen with Google TV, it's clear that that's where we're heading.

The only places where Microsoft and Facebook are "underdogs" are search and smartphones. When it comes to social networking and smart partnering with other companies -- including each other -- the two giants are way ahead of the field.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2010 Wired.com.

@highlight

Microsoft and Facebook partnering to integrate Facebook and Bing

@highlight

Facebook now tied to the most socially optimized smartphone ever brought to market

@highlight

First Windows Phone 7 handsets are due in stores in November

@highlight

Microsoft has been quietly building a social network without anyone actually noticing