(CNN) -- This weekend's kick-off at the 28th Africa Cup of Nations launches a three-week explosion of color and noise in the soccer-crazy continent.

The tournament is set to transfix the region as 16 teams go head-to-head to be crowned footballing kings of Africa, but there is also a tinge of trepidation in the air.

That's because the 2010 installment in Angola was overshadowed by a machine gun attack on the Togo team bus that left three people dead and organizers -- the Confederation of African Football (CAF) -- having to defend the decision to stage it there.

This year's co-hosts Equatorial Guinea and Gabon are the smallest nations ever to hold the event -- which is also known as AFCON -- giving rise to concerns about security, as well as travel and tourism infrastructure.

CNN examines the complex nature of the event, investigating the issues on and off the field.

The hosts

Oil-rich Equatorial Guinea and Gabon are the smallest countries ever to ever host the Africa Cup of Nations, with a combined population of just over two million.

The fact they were chosen underlines the Confederation of African Football (CAF) policy to use the tournament as an investment tool, hoping to drive tourism and business long after the soccer extravaganza has gone.

"It is only the second time that Central Africa has the honor to host the most prestigious competition on the continent. The first time was 40 years ago in my country, Cameroon," CAF spokesman Habuba Suleiman told CNN.

"It has become something unique allowing us to complete our major language areas; Arabic, Anglophone, Francophone, Lusophone and today Hispanic with Equatorial Guinea.

"Each of the co-hosts could perhaps not afford to host a competition of 16 teams alone. We had a first experience in 2000 (hosted by Ghana and Nigeria) and it was not entirely satisfactory. This time the two countries have cooperated very well as evidenced by the decision to grant common visas to both countries. This is a great step forward."

But there is pressure on them to deliver a successful and safe Cup of Nations after 2010's pre-tournament tragedy in Angola -- which had only recently emerged from a civil war lasting three decades.

According to African football expert Mark Gleeson, who has been to every tournament since 1992, CAF's decision to take the tournament to new territories has had mixed success.

"When you award AFCON to places like Burkina Faso, Mali, Angola or Gabon, you find that coffers for sporting infrastructure that would be normally be difficult to open suddenly emerge and you're leaving a legacy of football infrastructure," he told CNN.

"CAF have actively pursued that line over the last two decades, sometimes to the detriment of the tournament -- in Gabon there isn't a hotel room for neither love nor money.

"Luckily in Africa there are not too many traveling fans so that's not much of a problem, but infrastructure is poor: how do you get from one venue to the next?

"There isn't the immense pressure on traveling fans as there would be in Europe. What would you rather have -- a stadium that allows a nation to participate competitively in football versus disgruntled visitors that can't find a hotel room for two weeks?"

The culture of chaos

The deadly attack on Togo's team led to questions about the tournament's organization and security, but according to Gleeson, the Africa Cup of Nations can't be judged by similar standards to the World Cup or the European Championships.

"The tournament has a unique, chaotic charm, maybe that has an appeal," he said. "My experience is that nothing is ever ready -- it is all a patch-up job.

"But if the football kicks off at the appointed time, the TV cameras are in place and the whistle is blown, it doesn't matter whether the accreditation machine broke down five hours before.

"I think there's far too much emphasis on all the other sideshows that there needs to be. It's important to have the competition taking place, to have a good intensity that African football followers will enjoy."

Suleiman said security arrangements are the responsibility of the host nations, not the ruling body.

"We don't have an army to check security. We are a group of peaceful people who are convinced that football has to be a factor of unity, friendship and fraternity," he told CNN.

"We were all ruffled by what happened in Angola. It was a tragedy that touched us profoundly. I hope that never repeats itself.

The opportunity

There may be huge pressure on the co-hosts, but the pride they feel at staging the African soccer showcase is palpable.

Gabon spent an estimated $500 million on stadiums and infrastructure despite them being tiny in comparison to hosts of other major tournaments, like China, who spent an estimated $42 billion on the 2008 Olympics.

Hugues Dowe, from Gabon's local organizing committee, told CNN that hosting of the Cup of Nations is "something exceptional."

"Finally hosting the tournament means so many opportunities for Gabon and its people," he said.

"When you host the Cup of Nations you can't expect benefits immediately. But we have built big infrastructure in terms of hosting the tournament like roads, stadiums and hotels.

"These big investments are very important for development of our country, particularly in sports and tourism sectors."

"The security in Gabon will be the best organized of any country which hosted the tournament before us.

Dowe also insisted there would be enough hotel rooms to accommodate the 80,000 expected visitors, as well as the many journalists descending on the competition, while the four stadiums that are hosting matches across the two countries are open and ready for kick-off.

"I have never heard of problems without solutions," Suleiman said. "In Africa, small problems always end up being arranged.

"CAF belongs to each of the 53 national associations. They all have the right to bid to host without any exception. With each new edition of the competition, the AFCON has become a factor of economic development in terms of structures and infrastructures.

"We would not have had all these beautiful stadiums in Africa without the AFCON. Roads have been constructed, medical facilities built, zones electrified and development of new technologies accelerated. It is something CAF can legitimately be proud of."

The tournament

AFCON is the planet's third biggest football tournament, behind the World Cup and the European Championships.

The biennial competition is contested by 16 teams split into four groups. Each country will host matches in two cities. Saturday's opening Group A matches will be in Equatorial Guinea's former capital Bata, while other games will be held in Malabo -- its 1969 successor.

In Gabon a new 40,000-seater stadium has been built in the capital Libreville, with help from the Chinese government, and will host the final. In Franceville, the Stade de Franceville has been refurbished to hold 35,000 spectators.

The top two teams from each group go through to the quarterfinal stage. The final will be held in Gabon's capital, Libreville, on February 12.

The teams

The qualified nations are: Group A -- Equatorial Guinea, Libya, Zambia, Senegal; Group B -- Ivory Coast, Sudan, Burkina Faso, Angola; Group C -- Gabon, Niger, Morocco, Tunisia; Group D -- Ghana, Botswana, Mali, Guinea.

There is a notable list of absentees. Egypt, who won the last three titles, failed to qualify along with African heavyweights Cameroon, South Africa and Nigeria.

The rise of African football in recent years means some of the world's biggest soccer stars will be on show, such as the Ivory Coast's Chelsea striker Didier Drogba and Manchester City midfielder Yaya Toure, as well as Mali's Seydou Keita, who plays for European and Spanish champions Barcelona.

@highlight

Africa Cup of Nations to be hosted by Gabon and Equatorial Guinea

@highlight

It is the first time either country has hosted continent's showpiece event

@highlight

The duo are the smallest countries ever to host, leading to security fears

@highlight

The last tournament in Angola was overshadowed by a shooting on Togo squad