Facebook's decision to file for public status means its No. 2 executive, Sheryl Sandberg, might be worth as much as $1.6 billion. According to Forbes, that would catapult her just below the seemingly untouchable Oprah in the ranking of the richest self-made women. She won't have much company: Only 7.5% of the major earners at America's Fortune 500 companies are female.

The many media profiles of Sandberg all seem to be asking the same question: How did Sheryl do it? How did she get the confidence to perform so well at such a high level?

And perform she has. According to The New York Times, she took Facebook from 70 million users and no business model to profits reaching $1 billion on $3.7 billion in revenue in just four years.

Sandberg's own mentor, Larry Summers, ignited a firestorm in 2005 when he wondered publicly whether one reason women weren't achieving at the highest levels in the sciences was a lack of biological aptitude, particularly for math. Before long, he was ousted from his position as president of Harvard -- not officially for this reason -- and the nation was abuzz about women's lack of parity in so many fields and forums.

At that time, about 15% of opinion pieces were written by women, though the imbalance was largely under the radar. The opinion page became a particularly contentious space for an outpouring of women's voices in this overdue conversation.

Nationally syndicated columnist Susan Estrich called The Los Angeles Times' leadership out for sexism on its opinion pages. Anne Applebaum of The Washington Post argued with Estrich and said she resented being called a "female" journalist. And Maureen Dowd of The New York Times, echoing one of the most commonly held beliefs about why women don't have parity, wrote that women weren't fairly represented because they are afraid of being attacked and care too much about what others think. They lack confidence.

But what does that really mean?

The notion that women lack confidence implies a negative judgment. It's viewed as a weakness, coded as feminine. But some recent social science research reveals a more likely and complex explanation: People do things because people who look and talk like them or share the same background do those things.

To assume that a lack of confidence is the reason so few women are intellectual leaders is too simplistic. When a woman doesn't go for a big corporate job like Sandberg's or says no when television producers call, saying she doesn't have any confidence implies it's an individual choice made in some sort of sociocultural vacuum.

As women, in many cases, the impulse to do something out of the norm of our peer group, like write an opinion piece or ask for a promotion, has simply never occurred to us. If it does, we don't act on it. Our girlfriends aren't doing it. Our female colleagues aren't doing it. Why should we?

Peer influence, whether you're a teenage girl trying to figure out what to wear to junior high on Monday morning or a midlevel manager at Morgan Stanley, is a powerful indicator of what you think is possible for yourself. In "Join the Club: How Peer Pressure Can Transform the World," Tina Rosenberg writes, "The social norms set by our peers dominate our choices about what we value and what we expect in life."

Sandberg, who often urges women to "lean into" their careers, must know that you don't lean in alone. She runs a monthly salon for women out of her home, inviting guest speakers like feminist Gloria Steinem and trailblazing Sen. Claire McCaskill. Women of various generations gather and shape their ambitions over a meal and some conversation.

At The OpEd Project, we cultivate new voices, training minorities and women to inhabit their place as narrators of the world.

The challenge is to shift the way we think about ourselves. We must see our peers and ourselves as leaders who have a right and a responsibility to weigh in on the matters of our day. We have to create a new ecosystem in which we see ourselves as part of the critical conversations of our age and feel equally entitled and compelled to narrate them.

Who hasn't heard a parent quip, "If all of your friends were jumping off of a cliff, would you?" There's some profound wisdom in that old cliché: If your friends aren't aiming for high-profile corporate leadership or going head-to-head on the Sunday morning talk shows, you're not likely to, either. We can create more Sandbergs by surrounding ourselves with confident, outspoken women.

Follow CNN Opinion on Twitter. Join the conversation on Facebook.

@highlight

Writers: Facebook's Sandberg an anomaly; 7.5% of Fortune 500 big earners are female

@highlight

Too often, they write, people attribute the scarcity of powerful women to a lack of confidence

@highlight

But people look to their peers' behavior to judge what they're capable of, writers say

@highlight

Women need to feel entitled to power and must cultivate confident friends, they say