(CNN) -- It's been a bad year for bad guys. Twelve months ago, no one could have guessed that Libya's Moammar Gadhafi, North Korea's Kim Jong Il and al Qaeda's Osama bin Laden would be dead; Egypt's former president Hosni Mubarak and Tunisia's former president Zine El Abidine Ben Ali prosecuted and former Bosnian Serb army commander Ratko Mladic in jail.

Further, Yemeni president Ali Abdullah Saleh and Syria's president Bashar al-Assad are under intense pressure both internationally and within their own countries.

Top aide: Gadhafi's 'suicidal' flight to birthplace

The Arab Spring, that led to the fall of so many of the region's leaders, sent shockwaves around the world, leaving major powers struggling to make sense of the changing landscape -- and ensure their interests are preserved.

The dramatic events, followed by unrest in societies considered "dormant" in terms of traditional activism -- including Spain and Russia -- leave one curious to discover the "common denominator." The obvious but unexpected answer is: People power, in all of these cases carried largely by non-partisan youth movements.

Much has been written on the revolutions driven by people power youth movements in Tunisia and Egypt. Their unity, planning and nonviolent discipline has inspired the world and given more than 100 million people a chance to change from dictatorship to democracy.

The revolutions inspired similar movements. Now leaders of Morocco, Jordan, and even Myanmar are promising reforms. The government of Algeria has emerged from its state of emergency after 19 years. Syrians have risked, and sacrificed, their lives in peaceful demonstrations for freedom and democracy.

Let me also note my own country -- Serbia. People power and nonviolent struggle driven by OTPOR, the resistance movement, brought an end to the rule of Slobodan Milosevic on October 5, 2000.

OTPOR -- which grew from 11 founders to 70,000 supporters over its two-year struggle -- is credited for stripping away the fear and passivity that keep a dictator's subjects under oppression.

During the presidential campaign of September 2000, OTPOR launched its "gotov je" (he's finished) and the "vreme je" (it's time) campaigns, which galvanized national discontent with Milosevic and eventually resulted in his defeat.

OTPOR became one of the defining symbols of the anti-Milosevic struggle and his subsequent overthrow. Milosevic was delivered to Hague in 2001, followed by former Serbian leader Radovan Karadzic, then Mladic. This has enabled Serbia to lift the burdens from the past and push towards European Union membership.

Srebrenica: Worst European atrocity since WWII

People power has been a phenomenon throughout history. It is credited with successes including India's independence movement, led by Mahatma Gandhi, the battles against racism led by Martin Luther King and Nelson Mandela, and the agitations of Polish activist Lech Walesa during the early stages of the Soviet Union's downfall.

Policymakers often overlook the strategic value of supporting non-violent movements. Fifty out of 67 transitions from dictatorships to democracies in the last 35 years came from non-violent struggle. Armed intervention was not the driving force.

The new book "Why Civil Resistance Works: The strategic Logic of Nonviolent Conflict," written by Erica Chenoweth and Maria J. Stephan, studies 323 violent and non-violent campaigns from 1900 to 2006. It finds nonviolent campaigns are more than twice as likely to succeed as violent campaigns. They also found non-violent uprisings are 10 times more likely to end in stable and durable democracies.

The last year taught us an important lesson: What used to be called "realpolitik" is not actually "real" any more. There is a force more powerful at work shaping the new reality: Strategic nonviolent struggle.

Consider what would happen if 1% of the billions of dollars spent on foreign military interventions in Serbia, Afghanistan, Iraq and, more recently, Libya, went to nonviolent pro-democracy movements. This could be done through education, the translation of books, movies and video clips, developing innovative uses for new media like Facebook or Twitter, and training in nonviolent, civic mobilization.

Rebuilding the ruins of Gadhafi

My organization, CANVAS, has worked with activists from more than 40 different countries -- and we have seen the power of such education at work in places including Georgia, Ukraine, the Maldives, Tunisia, Egypt and Myanmar.

Brave, young and oppressed people around the world are realizing there is immense power in nonviolent struggle. I know this, because they are calling me every day for help.

We must recognize the power of nonviolent struggle in promoting what some call the "fourth wave of democratization." We should commit these kinds of resources to show we have learnt the most important lesson from these revolutionary months.

That would mark 2011 as more than the "worst year for bad guys," but encourage and remind millions of oppressed in places like North Korea, Myanmar, Zimbabwe and Iran that power ultimately belongs to the people.

The opinions expressed in this commentary are solely those of Srdja Popovic

@highlight

Srdja Popovic says people power was the driving force behind the falls of dictator regimes

@highlight

He says policymakers often overlook the strategic value of supporting non-violent movements

@highlight

Popovic says the world should commit resources away from violent campaigns into non-violent pro-democracy movements