(CNN) -- Doctors will often prepare for surgical procedures by opening instrument and supply kits that contain up to 100 items.

Many of these items, such as scalpels, needles or sponges, go unused; they're just not needed for that particular procedure. But because of government or hospital regulations in the United States, they are frequently thrown away, even when they are still wrapped.

"There are thousands of tons of medical supplies thrown away every day that are unused or clearly reusable," said Dr. Bruce Charash, a cardiologist in New York.

Fortunately, some nonprofit organizations, including Charash's Doc2Dock group, are finding ways to salvage these items and get them to people who need them desperately around the world.

In Uganda, for example, many medical facilities lack the necessary supplies and equipment needed to perform surgery. The outlook is normally grim for children such as Priscilla, who was diagnosed with a brain tumor when she was 7.

But one Ugandan hospital, CURE Children's Hospital in Mbale, has been able to operate on Priscilla and more than 1,100 other kids thanks to its partnership with MedShare, a nonprofit that collects surplus supplies and equipment from the U.S.

"Brain tumors happen to children all over the world," said Derek Johnson, executive director of CURE Uganda. "The main difference in Uganda is that there are so few resources. But we were able to save Priscilla with supplies we get from MedShare."

'Our trash becomes their riches'

In the United States, surgical supplies aren't the only useful medical items tossed away.

Richard St. Denis, one of the Top 10 CNN Heroes of 2011, collects discarded wheelchairs through his nonprofit, World Access Project. With help from another U.S.-based nonprofit, Hope Haven, the wheelchairs are refurbished by senior citizen volunteers and prison inmates in Iowa before being shipped to rural Mexico.

St. Denis first visited Mexico in 1997, and he met many people with disabilities who didn't have access to wheelchairs, walkers or canes.

"I was shocked to see people using branches for crutches, being pushed in wheelbarrows and crawling," said St. Denis, who lost the use of his legs during a skiing accident in 1976.

Now, he has a permanent residence in Mexico and continues to do everything he can to help the people around him.

"We want to distribute the more than 75,000 wheelchairs we estimate get thrown away in the U.S. every year," he said. "What we call our trash becomes their riches, and it makes an incredible difference in their lives."

A win-win for everyone

In addition to saving lives, there's another benefit to sending unused supplies abroad.

"We are diverting a certain amount of waste that would be landfilled," said Dr. William Rosenblatt, a professor of anesthesiology at Yale University School of Medicine and founder of the nonprofit Remedy.

"At the end of a surgical procedure, our staff surveys the scrub table where the kit items remain and segregates all the materials that have been unused," Rosenblatt said. "It gets sent down to (a) decontamination area, and Yale undergraduate students sort through it and take what is useful. From here, it is packaged in bulk and given to a charity to be taken overseas."

Sometimes, perfectly good equipment is thrown away.

"Why would (hospitals) throw out a working sonogram machine or a working hospital bed?" Charash said. "One, it's not pretty enough. Secondly, there might be new technology available. In general, no one wants to use a 2005 (model) if a 2012 is available."

Occasionally, a hospital will simply switch brands and get rid of an entire line of unused items.

Supply manufacturers have been known to send items directly to the nonprofits if a box is so much as dented in transport -- items that could mean life or death for an individual in a Third World hospital.

The need greatly outstrips the supply

"On my first trip to Africa, the hospital director showed me a patient dying of malaria," Charash said. "He showed me a room with hundreds of bottles of medicine that would save his life, but (the medicine was) not given to him because they had no intravenous lines.

"That day, our Doc2Dock container arrived with reconstituted IV lines and 3,000 to 4,000 syringes. The doctor got an IV line, the patient got the medicine and was saved."

But while unused medical equipment is saving many people around the world, only a small percentage of hospitals ever actually receive these items.

"If you look at the volume of appeals we get versus the amount we are able to help, we are able to find funding for a quarter of the bona-fide projects," said David Pass, chief advancement officer for MedShare. "There is a great need out there."

The effort to find more funding is worth it, said Tanya Weaver of the American Foundation for Children with AIDS. Her nonprofit works in four African countries and has been able to help more than 100,000 people there thanks to surplus medical supplies from a couple of hospitals.

"If we can do this with the help of just two U.S. hospitals, imagine how many more could be served if others got involved," Weaver said.

@highlight

Third World hospitals are saving lives with discarded medical materials from the U.S.

@highlight

These supplies are clean, safe and unused but are thrown out for various reasons

@highlight

By salvaging surplus supplies, nonprofits are also reducing waste in America