(Health.com) -- Mercury exposure from eating fish doesn't appear to raise the risk of heart disease and stroke, as some research has suggested, according to a new study in the New England Journal of Medicine.

The study -- the largest of its kind to date -- should help settle long-standing uncertainty about whether mercury from fish, which in high doses is believed to cause developmental delays in fetuses and infants, might also impact the heart health of adults.

"This research provides really robust evidence that mercury exposure from fish consumption at levels commonly seen in [the] U.S. and similar countries is not linked to an increased risk of cardiovascular disease," says Dariush Mozaffarian, M.D., the lead author of the study and an associate professor of cardiovascular medicine at Brigham and Women's Hospital and Harvard Medical School, in Boston. "For the average consumer who's worried about mercury in fish, our study suggests that cardiovascular toxicity should not be a concern."

Health.com: 10 best foods for your heart

Not only is eating fish safe, but it's also good for your heart, thanks to its low levels of saturated fat and abundant omega-3 fatty acids. In the study, in fact, the participants with the highest mercury exposure appeared to be at slightly less risk of heart attack and stroke than those with the lowest exposure, a trend that is probably due to the benefits of fish consumption rather than the mercury itself, the researchers say.

Fish ingest mercury, an industrial by-product, when it collects in rivers and oceans. Mercury levels tend to be more concentrated toward the top of the underwater food chain, as smaller fish (such as sardines and shrimp) are eaten by larger fish (such as swordfish and tuna).

Fish-oil supplements, which many people take to promote heart health, have not been found to contain mercury, says Stephen Kopecky, M.D., a cardiologist and professor of medicine at the Mayo Clinic, in Rochester, Minn.

Health.com: Supplements for cholesterol: what works?

For years, health officials have warned pregnant women, nursing mothers, and young children to limit their fish consumption due to concerns about the apparent link between mercury exposure and subtle delays in the brain development of infants and children.

Neurological problems stemming from mercury-laden fish do not appear to be a concern for adults, but doctors have been less certain about the effects of mercury on heart health. Some experts have suggested, for instance, that mercury could affect heart health by interfering with heart function, promoting blood clots, or neutralizing antioxidants.

To test this theory, Mozaffarian and his colleagues measured mercury levels in the stored toenail clippings of 3,427 people with a history of heart disease, heart attack, or stroke, and compared them with an equal number of demographically similar people without heart problems. (Toenail clippings are a common way of measuring mercury exposure.)

Health.com: 10 healthy fish recipes

The participants, who were part of two long-running government studies known as the Nurses' Health Study and the Health Professionals Follow-Up Study, also answered detailed questions about their dietary habits.

The average mercury concentrations were about the same in both groups, 0.23 versus 0.25 micrograms per gram. (By comparison, 0.4 micrograms per gram is considered the upper limit of safety for pregnant moms and infants.)

The researchers found no relationship between mercury exposure and the risk of heart attack and stroke, even in people with mercury concentrations of up to 1 microgram per gram. "Any way we looked at it, we found no evidence for higher risk," says Mozaffarian, who is also an associate professor of epidemiology at the Harvard School of Public Health.

In short, there is no reason to change the current dietary recommendations regarding fish and mercury, Kopecky adds.

Health.com: Healthy fish choices

The American Heart Association generally recommends that people eat fish at least twice a week, limiting their consumption of large, predatory fish that might have higher mercury levels.

The Food and Drug Administration, meanwhile, urges pregnant women and young children to eat no more than two servings of fish per week. These groups should stick with salmon, catfish, canned light tuna, and other low-mercury species, and should avoid high-mercury species altogether, the agency says.

Copyright Health Magazine 2010

@highlight

The study should settle whether mercury from fish, might also impact the heart health of adults.

@highlight

It's also good for your heart, thanks to its low levels of saturated fat

@highlight

The American Heart Association recommends that people eat fish at least twice a week