Cancer cases are expected to surge 57% worldwide in the next 20 years, an imminent "human disaster" that will require a renewed focus on prevention to combat, according to the World Health Organization.

The World Cancer Report, produced by the WHO's specialized cancer agency and released on World Cancer Day, predicts new cancer cases will rise from an estimated 14 million annually in 2012 to 22 million within two decades. Over the same period, cancer deaths are predicted to rise from 8.2 million a year to 13 million.

The rising incidence of cancer, brought about chiefly by growing, aging populations worldwide, will require a heavier focus on preventive public health policies, said Christopher Wild, director of the International Agency for Research on Cancer.

"We cannot treat our way out of the cancer problem," he said. "More commitment to prevention and early detection is desperately needed in order to complement improved treatments and address the alarming rise in cancer burden globally."

The report notes that the rocketing cost of responding to the "cancer burden" -- in 2010, the economic cost of the disease worldwide was estimated at $1.16 trillion -- is hurting the economies of rich countries and beyond the means of poor ones.

The report said about half of all cancers were preventable and could have been avoided if current medical knowledge was acted upon. The disease could be tackled by addressing lifestyle factors, such as smoking, alcohol consumption, diet and exercise; adopting screening programs; or, in the case of infection-triggered cancers such as cervical and liver cancers, through vaccines.

"I know the report said we can't treat our way out of (the cancer problem) but there are major things we can do," said Dr. David Decker who works in oncology at Florida Hospital in Orlando. "Virtually 80 or 90 percent of lung cancers are caused by smoking. I know stopping smoking is not easy for people, but it does seem like a pretty simple way to reduce the numbers."

"The cancer rates are not going up for shocking reasons, but for reasons that are easier to understand, and if we improve overall health, there are things we can do to prevent this from happening," Decker said.

Cutting smoking rates would have a significant impact, as lung cancer remained the most commonly diagnosed cancer (1.8 million cases a year, or 13% of total cancer diagnoses) and the deadliest, accounting for about one-fifth (1.6 million) of all cancer deaths worldwide.

There is a silver lining to the report, some experts said: It may lend urgency to the fight against cancer. Countries such as the United States present examples of success stories stemming from legislation and financial resources devoted to cancer prevention.

"The good news is, in (the United States), cancer mortality is trending downward, and that would be more true if you make an age adjustment," said Dr. Walter Curran, chairman of the Department of Radiation Oncology at Emory University's School of Medicine in Atlanta.

"Since we have an aging population, the cancer rate increases, and if you adjust for the aging of America, the cancer rate is declining notably."

Curran said a typical 20-year-old American who doesn't smoke, "who has a good diet and a healthy lifestyle, someone with moderate alcohol consumption and who takes preventive health measures like regularly seeing a doctor and getting exercise -- their chance of cancer is significantly less than someone who for example lives in a developing country in Africa right now."

However, the United States is dealing with an obesity epidemic -- the rates of adults who are considered obese has doubled since the 1970s -- and drinking excessively is still the No.3 cause of lifestyle-related death.

Smoking is still the leading cause of preventable death in the United States. However, when the U.S. Surgeon General linked tobacco to lung cancer 50 years ago, more than 40% of the adult population smoked; now it's about 19%.

Public health initiatives have also made a difference in smoking rates. The report eventually spurred local governments to make it harder for a smoker to find a place to practice their habit. Many restaurants, bars, and even public parks ban smoking.

National leadership gave state governments license to raise taxes on cigarettes so much that people quit because they could no longer afford their habit.

Money from the federal tobacco lawsuit settlement went into smoking cessation programs and gave farmers incentives to grow crops other than tobacco. The FCC banned persuasive cigarette ads that may have encouraged young people to smoke.

Smoking rates remain high in Asia and Africa. China -- where one-third of the world's cigarettes are smoked, according to the World Health Organization -- only recently moved to ban indoor public smoking.

The report's authors suggested governments take similar legislative approaches to those they had taken against tobacco in attempting to reduce consumption of alcohol and sugary drinks, and in limiting exposure to occupational and environmental carcinogens, including air pollution.

According to the report, the next two most common diagnoses were for breast (1.7 million, 11.9%) and large bowel cancer (1.4 million, 9.7%). Liver (800,000 or 9.1%) and stomach cancer (700,000 or 8.8%) were responsible for the most deaths after lung cancer.

"The rise of cancer worldwide is a major obstacle to human development and well-being," said Wild, the International Agency for Research on Cancer director. "These new figures and projections send a strong signal that immediate action is needed to confront this human disaster, which touches every community worldwide."

The report said the growing cancer burden would disproportionately hit developing countries -- which had the least resources to deal with the problem -- due to their populations growing, living longer and becoming increasingly susceptible to cancers associated with industrialized lifestyles.

More than 60% of the world's cases and about 70% of the world's cancer deaths occurred in Africa, Asia, and Central and South America.

"In the developing world, we are really at the beginning of understanding how serious the cancer problem is in these countries," said Emory School of Medicine's Curran.

Cancers related to the HIV epidemic in developing countries and the spread of Hepatitis C are also on the rise, but so too is the general age of the population in developing counties. When you now have the potential to live long enough to see your grandchildren -- something that was not true even a decade ago in many developing countries -- your risk of having cancer is going to go up.

"When life expectancy get better, cancer rates will go up and so will cancer fatalities," Curran said.

Governments needed to appreciate that screening and early detection programs were "an investment rather than a cost," said Bernard Stewart, co-editor of the report -- and low-tech approaches had proven successful in some developing countries.

The World Cancer Report, which is published about once every five years, involved a collaboration of around 250 scientists from more than 40 countries. Tuesday is World Cancer Day.

@highlight

Cancer is preventable, if resources are dedicated to fighting it, experts say

@highlight

New cases of cancer are tipped to rise 57% worldwide in 20 years, says the WHO

@highlight

World Cancer Report says developing countries will be disproportionately hit

@highlight

Even rich countries will struggle to deal with the spiraling costs of treatment