Mariam "Mimi" Bell, a Latina Republican from Colorado, resents the implication that Hispanic voters are somehow negatively affected by the state's new voter identification law.

"It's insulting when they say we're going to disenfranchise the Hispanics," Bell said of the law that requires voters to present an ID such as a driver's license, passport, utility bill or birth certificate to vote. The suggestion, Bell said, is "because we're Hispanics we're inept to get an ID."

The debate over the wave of voter identification laws cropping up in more than 30 states is playing out against the backdrop of the 2012 general election's high-profile fight for Latino voters.

The impact of the 'Latino vote' beyond Texas

The two presidential candidates hold widely divergent views on the matter.

Likely Republican presidential nominee Mitt Romney has spoken out in favor of voter identification laws in such places as Pennsylvania and Wisconsin.

Opnion: GOP's problem with Latinos -- as big as Texas

During a campaign stop last month with Romney in Pennsylvania, Sen. Marco Rubio of Florida, a Cuban-American Republican, blew off what he sees as overhyped concerns about showing photo IDs.

People have to show IDs for everything from boarding a flight to renting sports equipment, Rubio reasoned, so why not voting.

"What's the big deal? What is the big deal?" Rubio asked.

The Brennan Center for Justice, a legal think tank at New York University School of Law that has criticized many of the new voter identification laws as costly and discriminatory, said that 11% of eligible voters lack government-issued identification. Conservatives, however, challenge that estimate.

The administration and President Barack Obama's re-election campaign have pushed back against the slew of new laws in swing states. The Obama campaign has also launched gottavote.org in an attempt to make sure minority and young voters affected by the laws make it to the polls.

According to a new NBC News/Wall Street Journal/Telemundo poll (PDF), Obama leads Romney 61% to 27% in support among registered Latino voters.

Minority communities could be affectedThe debate is forcing communities across the country to confront whether worries over discrimination should trump concerns about voter fraud.

For Mississippi state Sen. Derrick Simmons, his grandmother's tales of life as a black woman in the Delta region under Jim Crow are indelibly etched in his political consciousness. When Mississippi Gov. Phil Bryant signed the state's voter photo identification measure into law this month, the move harkened back to the type of discrimination Simmons' grandmother and others faced during the tumultuous civil rights era, the state legislator said.

"It's just going to have a chilling effect," said Simmons, who organized minority voter pushback against the law last year. "I look at it as a 21st-century poll tax."

According to the National Conference of State Legislatures, thirty-two states have some sort of voting identification law. Many of the states with the strictest laws are also places where, according to a Pew Hispanic Center analysis of census figures, the minority populations have mushroomed.

Those states include Georgia, Mississippi, South Carolina and Texas -- places that also must get Voting Rights Act clearance before enacting new laws. The Voting Rights Act gives the federal government the power to oversee any changes in voting procedures in states and jurisdictions with a history of voter discrimination.

Critics of the new laws see the measures as an attempt to prevent the type of high Latino and African-American voter turnout of the 2008 election.

"African-Americans experienced much higher political participation rates, much higher than any other group, including Latinos. There is a correlation between the increase in Latino birthrates and black participation rates and the states where we've seen this crackdown in voting rights," said Wendy Weiser, director of the Democracy Program at the Brennan Center for Justice. "Those groups are going to find it more difficult to participate this time around."

Concerns over fraud cited

Those who support voter identification laws cite concerns over election fraud. When the Justice Department ruled against Texas' photo identification law, Gov. Rick Perry vowed to take the matter to the U.S. Supreme Court. Perry called the law "yet another example of the Obama administration's continuing and pervasive federal overreach."

Controversial conservative filmmaker James O'Keefe said his Project Veritas found examples in North Carolina of the type of voter fraud that could be curbed by requiring proper identification.

The North Carolina State Board of Elections is looking into issues raised in one of O'Keefe's videos; however, examinations by the agency and The (Raleigh) News & Observer found some of O'Keefe's assertions were incorrect.

Supporters of voter identification laws said there are still valid concerns about voter fraud and its impact on the upcoming election.

"I get carded to purchase spray paint at Home Depot, antihistamines or over-the-counter drugs," said Jeff Rodriguez, a Latino Republican in Colorado. "I get carded for my prescriptions and to withdraw money from my own bank. ... But politicians we hold them to a simple code of honor which ends up corrupt. Why not verify each and every vote along with the politician. These men and women are in positions of power and should be held accountable as the leaders we voted in.

"Voting should be one of the must secure and verifiable processes in the United States of America."

@highlight

At least 32 states have some form of voter ID laws on the books

@highlight

Some cite concerns ID laws make it more difficult to vote, discriminate against minorities

@highlight

But Republicans such as Sen. Marco Rubio ask why it's difficult to present an ID when voting