As a 36-year cancer survivor, I am watching with great interest as the debate rages over whether the Affordable Care Act strengthens the individual insurance market, as the law's supporters contend, or dismantles it, as critics say. Having been repeatedly denied health coverage I needed and wanted to buy because of my pre-existing condition, I know that provisions of the law can dramatically improve the quality and cost of insurance for people shopping for coverage on their own.

I was diagnosed with acute myelogenous leukemia as a college student. After nearly five years of aggressive chemotherapy, immunotherapy, bone marrow harvests and more, I was cancer-free. My cancer has never returned, but since then I have waged a battle of a different kind -- a three-decade struggle to obtain quality, affordable coverage.

I spent a few years on my parents' health plan as a student -- long before the new law guaranteed that parents' policies can cover their children through age 26. Later I joined my husband's work-based plan.

It wasn't until he got laid off and our COBRA coverage expired that I discovered how difficult it would be to buy a health plan on my own. I shopped around, but as soon as I revealed my pre-existing condition, I was denied coverage -- no further questions asked. My appeals were unsuccessful, and insurers wouldn't even sell me a plan at some sky-high price. I went to California's high-risk pool for uninsured people with pre-existing conditions, but the option to pay $1,800 a month for flimsy coverage that would have left my three young children uninsured was not really an option at all.

After months of searching, I found an expensive plan with limited benefits through a professional association, and ever since I have paid to be a member of the organization just so I can maintain coverage. For 15 years my sons and I have struggled to afford the plan's annual deductibles of up to $3,000 per person and monthly premiums that have risen about 30% each year.

Every couple of years I reduced our coverage and gave up our trusted providers to avoid yet another premium increase, until we reached the plan's minimum coverage level. Now a single mom with three sons to put through college, I've had to make some very tough choices.

The situation is similar for the millions of uninsured people across the country who are living with cancer or another pre-existing condition. For decades, we have been denied coverage outright, charged exorbitantly expensive premiums for limited coverage and forced to pay tens or even hundreds of thousands of dollars for lifesaving care.

It's no wonder that high medical bills are a major cause of family bankruptcies, or that seriously ill patients have died because they could not get the treatment that could have extended or even saved their life.

The health care law offers people like me a choice of health plans sold in online marketplaces in every state. Each plan must cover essential benefits needed to prevent and treat cancer or another serious disease, and no plan can turn down someone with a pre-existing condition or charge them more than they would a healthy person.

No one will have coverage revoked if he or she gets sick or terminated if his or her plan's coverage reaches an arbitrary limit. Patients will not have to pay for preventive tests such as mammograms, and many people with low or moderate incomes could get tax credits that help them afford coverage.

I visited California's marketplace, CoveredCA.com, on October 1 -- the day it went live. At first I encountered technical problems, as so many others have, that were caused in part by the large number of people trying to find coverage. But I knew I had until December 15 to enroll for coverage to begin January 1. Recently I tried again and enrolled in my chosen plan in about 15 minutes.

In January, for the first time since my diagnosis 36 years ago, I will have an individual health plan that offers quality coverage for me and my family. I will save $628 every month on premiums. Best of all -- I wasn't even asked if I've ever had cancer.

@highlight

Lori Greenstein Bremner says she had problems getting insurance after surviving cancer

@highlight

Bremner says she settled for pricey health policy due to her pre-existing condition

@highlight

She says premium hikes left her scaling back coverage for herself and sons to a minimum

@highlight

With Obamacare, she says she has cheaper, better plan and no one asked about cancer