Madrid, Spain (CNN) -- Spain's best-known judge, Baltasar Garzon, went on trial Tuesday in Madrid accused of abusing his judicial authority in an investigation into financial corruption.

The trial before a seven-judge panel at Spain's Supreme Court began Tuesday morning and if convicted, Garzon, who was suspended in 2010 pending the trial, would not go to jail but could lose his right permanently to be a judge in Spain.

The trial in the so-called Gurtel financial and political corruption case is just the first of two trials against Garzon. Next week, a case that many legal experts say is the more important one, accuses Garzon again of overstepping his legal authority while investigating human rights abuses under the former dictatorship of Spain's Francisco Franco.

Garzon became known internationally in 1998 when he sought the extradition of former Chilean dictator Augusto Pinochet, who was in a London hospital. Garzon accused him of the murder of Spaniards in Chile and of crimes of genocide.

Garzon said in May 2010, at the time of suspension from his post as investigating magistrate at the National Court, "I face this calmly, with the tranquility of knowing that I am innocent of these charges."

In both trials, Spanish prosecutors have asked that all charges be dropped against Garzon. But, under Spanish law, a private prosecution is also allowed and it is the lawyers for these parties that are pressing the charges against Garzon, judicial authorities and Garzon's lawyers said.

In the financial corruption case that Garzon was investigating, and which still has ongoing trials against defendants in various parts of Spain, Garzon ordered wiretaps against some defendants being held in jail, and some of their conversations were with their lawyers.

These lawyers later filed charges against Garzon, saying he had overstepped his judicial authority in ordering the wiretaps and also violated their constitutional rights.

Garzon later said that if he planned to investigate the defense lawyers themselves, he would have done so, but that the wiretaps were due to suspicions that the defendants in the corruption scandal were moving funds even while they were in preventative prison.

The trial is expected to open with preliminary questions, and if there are no major delays, Garzon might testify on Tuesday. It is due to last three days, a Supreme Court spokesman said Tuesday.

The case next week involves alleged abuse of judicial power against Garzon while investigating mass graves under the Franco regime, some of which are still being dug up in Spain.

A small civil servants union called Manos Limpias, or Clean Hands, brought charges against Garzon in the Franco case, saying the he ignored a 1977 amnesty law approved by Spanish parliament, two years after Franco's death.

"Parliament unanimously approved the amnesty law. Judge Baltasar Garzon takes a stance as if they're crazy. What does he think? That he's better than them," said Miguel Bernard, leader of Manos Limpias.

Bernard denies critics' charges that his group is a tiny far-right front, but he told CNN he was proud to receive an honor just last month from the Francisco Franco Foundation.

Outside the ornate 18th century Supreme Court building, a demonstration in favor of Garzon occurred Tuesday at the door where court officials entered.

Human rights groups have been closely following the cases against Garzon.

"It is very ironic that Garzon, who has become a symbol internationally of justice, should be prosecuted at home for the very things that he became a hero for around the world and in Latin America in particular," Reed Brody, of Human Rights Watch, told CNN recently.

Garzon, 56, spent 22 years as an investigating magistrate at the National Court, which handles cases of terrorism and other delicate cases. He has investigated the late al Qaeda leader Osama bin Laden, the Basque terrorist group ETA, and drug traffickers.

At times in the past, Garzon has been considered a darling of the Spanish right or the Spanish left, depending on the cases he was investigating. His critics say he is too flamboyant, always too willing to speak in front of the cameras.

Since his suspension in 2010, Garzon has been working as a legal adviser outside of Spain on human rights cases and judicial issues, including in Latin America.

A third case against Garzon, for alleged improprieties in organizing some courses at New York University that had major Spanish corporations as sponsors, is still in the investigation phase and not trial date has been set.

In that case as well, Spanish prosecutors have not pressed charges but private prosecution has.

@highlight

Garzon is known for going after former Chilean dictator Augusto Pinochet and Osama bin Laden

@highlight

He was suspended in 2010 as a judge pending the trial

@highlight

He is accused of overstepping his legal authority in several investigations

@highlight

"I face this calmly, with the tranquility of knowing that I am innocent," Garzon said