Princeton, New Jersey (CNN) -- Christine O'Donnell shocked the political establishment last week with her victory in the Republican Senate primary in Delaware against Rep. Mike Castle. Like most Tea Party activists, O'Donnell has embraced the anti-Washington rhetoric that has been popular among congressional candidates in the current political climate.

She and other conservatives have criticized fellow Republicans, like Castle, for having become too comfortable in the nation's capital, too willing to work through the normal political process and to compromise on core principles.

"The people of Delaware have spoken. No more politics as usual," she said upon declaring victory.

This kind of anti-Washington rhetoric usually works well on the campaign trail, but it tends to vanish once a candidate is elected and starts the new job.

Ever since Vietnam and Watergate shook public confidence in our government institutions, many Democrats and Republicans have defined themselves in opposition to the very job that they hope to win. In most of these cases, they have then abandoned their own ideals after being confronted with the realities of governing.

Most recently, Barack Obama won the presidency with a campaign that emphasized change and rejected a political system that he said was broken. During the Democratic primaries, Obama had differentiated himself from Sen. Hillary Clinton by blasting her for an "Inside the Beltway" mentality, depicting her as someone who, like her husband, was too willing to cut deals and too cozy with the interest groups that lurk on K Street.

Yet President Obama dropped most of his reform agenda soon after entering office. When pushing for signature legislation such as health care and financial regulation, the administration and Congress cut deals with the interest groups he once derided. Democrats and Republicans have continued to scramble for private dollars to fund their campaigns. The political process looks very much the same in 2010 as it did in 2008.

The Republican freshmen who took control of Congress in 1994 with similar promises also came to adapt to the ways of Washington. After the shutdown of the federal government that resulted from the budget standoff with President Clinton, many of the freshmen tempered their outlook as they compromised on issues such as Medicare.

They also mastered the parliamentary procedures they once decried and developed ties with interest groups to advance their agenda. By 2006, the Republicans, who in their "Contract with America" had promised to "transform the way Congress works," looked very much like the establishment.

The political process is more than a backdrop to decision-making. The process constrains what politicians can and can't do. For example, the fact that the campaigns are financed with private money ensures that lobbyists and interest groups wield influence. Unless Congress passes government reforms such as publicly financed elections to change that process, Tea Party politicians will either have to deal with it or languish.

Furthermore, the separation of power and the nature of the legislative process require compromise to achieve legislation. It is misguided to condemn politicians for practicing a quintessentially American political art.

The president and Congress must agree on legislation, other than rare moments when there is a super-majority to override a veto. The internally fragmented House and Senate must also reach agreement through a deliberative process filled with procedural traps such as the filibuster. A Tea Party Republican can complain all he or she wants about compromise, but on Capitol Hill, a new member of Congress is unlikely to get anything done without cutting a deal.

Finally, voters in both red and blue states depend on federal spending. Although Tea Party candidates castigate earmarks, government spending and pork barrel politics, all of those who are victorious will represent constituencies profoundly affected by the money that Congress allocates every year.

In Alaska, the political birthplace of Sarah Palin and the scene of another recent Tea Party victory, the state has depended on federal dollars for jobs and infrastructure. Indeed, the Southern and Western states, which have been the home to the conservative movement since the 1970s, have depended on military contracts since the Cold War as a pillar of their economy.

Voters should be extremely skeptical about the kinds of promises that candidates such as O'Donnell are making. They have seen this movie before, and they know how it ends.

In the end, voters should pay less attention to the anti-Washington rhetoric and take a closer look at the specific policies that these candidates hope to pursue. Doing so will allow voters to make a more realistic assessment of what their victories would mean for the nation.

The opinions expressed in this commentary are solely those of Julian E. Zelizer.

@highlight

Julian Zelizer says anti-D.C. candidates promise to change the ways of the capital

@highlight

He says President Obama didn't deliver the political reform he promised

@highlight

Republicans elected in 1994 also abandoned anti-Washington promises, he says

@highlight

Zelizer: Getting things done in Washington requires compromise