Washington (CNN) -- Over the next few days, the drama of a potential government shutdown will collide with the promise of a new health insurance system known as Obamacare.

Here are answers to eight of the most pressing questions about both:

1. What happens on October 1 with Obamacare and the government shutdown?

First, the health insurance exchanges established by the Affordable Care Act -- or Obamacare -- will be open for business. Millions of uninsured Americans will be able to enroll in health plans before the law kicks in on January 1, 2014. Second, the U.S. government might "shut down" if lawmakers can't agree to pass a funding bill that has attached to it a provision to defund Obamacare. These two events are linked. The reason both houses of Congress may not be able to agree on a funding bill -- also known as a continuing resolution -- is that some senators and representatives see this as their last chance to stop Obamacare. But that's really where the link ends.

Shutdown showdown over Obamacare moves to Senate

2. Does a government shutdown shut down Obamacare?

Not really. Most of the funding for Obamacare comes from new taxes and fees, from cost cuts to other programs like Medicare and other types of funding that carry on even in the event of a government shutdown. Congress' research arm, the Congressional Research service, prepared a memo for Republican Sen. Tom Coburn, R-Oklahoma, that suggested an effort to use the government shutdown as leverage to force Democrats to delay implementing the law would not really work because the law will continue regardless of a shutdown. Plus, the law would still be in effect, so its many new requirements -- everything from forcing insurance companies to cover anyone who wants insurance to forcing everyday Americans to carry health insurance or pay a fine -- would still be in effect, too.

Government shutdown: Again? Seriously?

3. Do I have to sign up for a new health insurance plan on October 1 when open enrollment for Obamacare begins?

Maybe -- Take this quick survey and we'll find out:

A. Do you get health insurance from your employer? 
If the answer is yes -- and this is by far the No. 1 way Americans get health insurance -- go on about your business. Obamacare doesn't really affect you. At least not yet. A lot of people think that because of Obamacare, fewer companies will offer health insurance, particularly to low-paid workers and retirees. There is some evidence of this. These employers would have to pay a per-worker fine to the government, but it might be cheaper for them in the long run to pay this fine to the government rather than offer insurance. Other companies might cut hours for some workers, making them part-timers working fewer than 30 hours a week in order to avoid helping pay their health insurance. But it will take some years to see if it really comes to pass. However, if you get health insurance at work, you could probably drop that coverage and buy health insurance on the Obamacare exchanges. But you might not want to. You won't qualify for any government help to buy your insurance and your employer wouldn't be contributing any of the money it is now.

B. Do you get health insurance from the government? 
If the answer is yes, go on about your business. Obamacare doesn't really affect you. At least not yet. While Obamacare relies on making Medicare more efficient as a way to pay for some new services for younger people, it is not supposed to change the services offered by Medicare. One big test of this promise is Medicare Advantage. These are privately administered insurance plans that provide Medicare services to seniors. They cost the government more per person to provide Medicare. So, Obamacare seeks to bring their spending back in line with the rest of Medicare. This could lead to changes in Medicare Advantage options, like gym memberships and other items that are offered as enticements. But the same core Medicare services are supposed to remain in effect. The same goes for Medicaid. If you get your insurance from one of the 50 state-run Medicaid programs, Obamacare should not affect you. But you'll have a lot more company in these programs, which will grow to insure a larger portion of Americans.

Zelizer: GOP strategy on shutdown courts doom

4. Do you have an individual health insurance plan?

If yes, Obamacare is going to affect you. It is possible that your insurance plan won't change, but it's just as likely that your plan doesn't meet all the minimum requirements the law imposes. These include new rules for how much profit companies can take for plans, new rules for coverage of women's services, new rules for how much more insurance companies can charge for women than men, and a lot more. So, you might have to buy a more expensive plan. In this case, your insurance company has probably already let you know. It's also possible you might want a new plan. Check out your new state health insurance exchange or the one the federal government set up in your state if your state government refused to do so. People who like and dislike Obamacare have something to like about costs of individual plans. Prelminary estimates have come in lower than some government prognosticators expected. So it is fair to say Obamacare might be cheaper than expected for some individuals. But it is also accurate to say that premiums are likely to rise for healthy people on the individual market. Why? They're going to get more robust insurance plans that cover more things. At the same time, a lot of sick people who get private insurance now pay a ton for it; their costs could decrease.

Congress: will it be a government shutdown or budget compromise?

5. Do you have no health insurance?

If so, Obamacare is for you, like it or not. You're either going to have to enroll in Medicaid or buy health insurance from a private company on an "exchange" organized by either your state government or the federal government. If you're single and you make less than $15,281.70 ($31,321.50 for a family of four), you're likely to get Medicaid, although some states have refused to expand their programs. Those income levels for Medicaid -- 133% of the federal poverty level -- will increase from year to year.

10 ways a government shutdown would affect your daily life

6. How much is Obamacare going to cost me?

It depends. What if you make more than $15,281.70, but not that much more? You don't get Medcaid. You don't have employer-sponsored health insurance and you do want coverage. How are you supposed to afford a new health insurance plan?

The government is going to help a lot of people pay for it. If you're single and you make less than $45,960 ($94,200 for a family of four), you'll qualify for a government-sponsored subsidy to help you buy insurance. The Kaiser Family Foundation has estimated the average government subsidy for a family will be about $2,700 and the average premium costs will be about $8,250. Those costs will vary depending on the age and number of family members and the level of plan they choose to buy. Try your own scenario here.

Q&A: The lowdown on the shutdown, or why you should care about the CR

7. Is Obamacare health insurance government insurance?

No. Many state Medicaid programs will grow to insure much larger portions of their state populations. But the core of the law is the creation of new health insurance exchanges. These are places -- online, mostly -- where people who don't get insurance can buy it from a private company. On the one hand, the government is making people either carry insurance or pay a fine, on the other hand the government is making insurance companies provide insurance to anyone who wants it and they're controlling how much the insurance companies can charge.

8. What happens if I don't buy health insurance?

You're young and healthy. You don't really want health insurance. No sweat. You don't have to buy it. You can "opt out." But then you'll have to pay a fine of between $95 for every adult in your house or 1% of your income after $10,000, whichever is larger. So if you're single and you make $50,000, you'd have to pay a $400 fine for not having health insurance. The Supreme Court called this fine a tax. You can look at it that way. Or you can view it as an upfront payment for having hospital and ambulance services able to come get you if you need them. Or you can look at it as horrible government overreach. Some people do.

5 strange things about debt ceilings

@highlight

The federal government is headed for a potential shutdown

@highlight

The fight to defund Obamacare is the sticking point

@highlight

Republicans have tied the key spending bill to stopping money for Obamacare

@highlight

Large part of Affordable Care Act is set to go into effect on October 1