John McCain is still angry. But soon, he'll have power and an old enemy, President Barack Obama, is already in his sights.

In the latest redemptive twist of a career of political and personal ups and downs, the Arizona Republican senator will take on one of the most weighty jobs in Congress when the new Republican majority rolls into town next month.

As Chairman of the Senate Armed Services Committee, McCain will hold the White House to account for what he sees as a feckless foreign policy that has enabled "genocide" in Syria, left "evil" to fill a leadership vacuum elsewhere and splintered America's moral example around the world.

"History judges people by what is accomplished or is not accomplished, whether there has been victory or defeat, that is the ultimate judgment," McCain said when asked by CNN to rate Obama's record as a statesman. "I think you could argue that the world is vastly changed and it certainly is not to the benefit of democracy, freedom or America's role in the world."

McCain's new post is an unexpected coda for a turbulent life in which he was tortured as a Vietnam prisoner-of-war, emerged from a savings and loan scandal as a campaign finance champion and was a maverick who beat cancer and dubbed adoring reporters on his campaign bus his "base."

Now, from his perch on Armed Services, McCain will be back where he is happiest, where the political fight is at its most intense.

He has a chance to reshape his own legacy, and ensure that the last word on his political career is not two losing presidential campaigns and his pick of running mate Sarah Palin, who critics blasted as unqualified to be a heartbeat away from the presidency.

Top Obama aides will soon find themselves trooping up to Capitol Hill for inquisitions before his committee.

McCain is promising to use the power of the purse to force Obama's hand on key issues including Ukraine and Syria. McCain also wants to end sequester budget cuts he says are stifling the military and cost overruns that plague the Pentagon's procurement process.

He's planning to form a powerful triumvirate with Sen. Bob Corker, incoming chairman of the Senate Foreign Relations Committee and Sen. Richard Burr, the new head of the Intelligence Committee, to drive the foreign policy agenda.

Confrontation

He's planning to confront the White House on Syria, Ukraine, Iran nuclear talks, the struggle against ISIS and the President's decision to establish diplomatic ties with communist Cuba.

Republicans are also expected to use funding bills for government departments to constrain administration foreign policy in some areas and to target it in others, in effect daring Obama to veto wider bills that include elements he might oppose.

In the six years since Obama beat him in the presidential race, McCain has been seething from the sidelines, prompting some to caricature him as an "angry old man" squandering a reputation for heroism and integrity.

It's been an odd kind of political purgatory, since it's rare there's a day he's not on cable TV. McCain has also had some victories, helping torpedo Obama's preferred pick for secretary of state, Susan Rice, and ridiculing White House political appointees for ambassadorial posts, including a soap opera producer dispatched to Hungary.

OPINION: John McCain's political comeback

But he has been unable to change the substance of Obama's foreign policy.

The President has ignored McCain's calls for the United States to align much more closely with moderate rebels in the cauldron of Syria's civil war. His hawkish recommendations on confronting Vladimir Putin have also gone unheard. His searing criticism did not stop Obama pulling out of Iraq, though Republicans claim vindication following the rise of ISIS.

But McCain will come out of the wilderness in January. In the interview, he decried a "vacuum created by the lack of American leadership which has been filled in by evil influences."

"Countries no longer believe in American leadership, so therefore, they are making their own accommodations, not only in the Middle East but also in what used to be eastern Europe," he said.

It's a worldview reflected on the walls of McCain's Senate conference room, which features letters and photos from the likes of Ronald Reagan and Margaret Thatcher, leaders who drew firm ideological lines and didn't suffer critics gladly.

At times, McCain's moral outrage over Syria or Ukraine seems to burst out of him and contrasts with the cold-eyed realism of a President who believes he was elected to end wars, not to get into new quagmires.

'Immoral'

"We are watching one of the great episodes of genocide certainly in our century," McCain said, when asked to assess Obama's Syria policy. "Two hundred thousand people dead, 3.5 million refugees, 150,000 still languishing in (Syrian leader) Bashar al-Assad's prisons."

He added: "We have basically sat by and done very little ... what we are doing is not only unworkable, it's immoral."

Democrats see McCain as the embodiment of a Republican reflex to respond to every global problem with military force, which led America into misadventures like the war in Iraq.

Some Obama aides also believe McCain never truly accepted his loss in 2008, and see him as now more interested in political fireworks than serious legislating.

Obama clearly had the likes of McCain on his mind when he mounted a defense of his foreign policy with CNN's Candy Crowley on Sunday.

"There is this knee jerk sense on the part of some of the foreign policy establishment that shooting first and thinking about it second projects strength. I disagree with that," Obama said.

Prospective Republican presidential candidate Rand Paul, fighting claims he is an isolationist, meanwhile said at a Wall Street Journal forum this month that McCain wants 15 more wars.

In recent months, McCain's fury has spilled out in committee hearing showdowns with top officials including Secretary of State John Kerry and his new deputy, Tony Blinken.

"It's too bad you can't answer straightforward questions, Mr. Blinken," McCain said in an interrogation which angered allies of the popular White House official.

McCain also lacerated Chuck Hagel, a fellow veteran of Vietnam and the Senate, who stumbled through a notorious confirmation hearing last year on the way to becoming Defense Secretary.

People who know McCain are not at all shocked he's still trading punches and not walking off into the Arizona sunset after a lifetime of service.

He often notes that his father and grandfather died soon after retirement and doesn't plan to make the same mistake.

"It doesn't surprise me at all. He has always been someone to run to the sound of the guns, and be in the arena where important decisions are being made," said Richard Fontaine, who worked for McCain for five years as a foreign policy adviser.

But at 78, and uncertain whether Republicans can hold their majority in 2016, there is a certain poignancy to McCain.

'Running out of time'

"I'm running out of time," he snapped last month,  cutting off Kerry in a five minute Foreign Relations Committee Q&A, offering a metaphor for a career approaching its final act with much left to say and do.

There's also the question of his own Arizona Senate seat which tops the list for Tea Party insurgents looking for Republican scalps.

McCain says he's close to announcing a run for a sixth term in 2016 -- which would take him through to age 86 -- and expects a tough fight.

Former NATO ambassador Kurt Volker, who now runs Arizona State University's McCain Institute, says the senator is simply not done fighting.

"He has a strong sense of values and character," Volker said. "His book 'Character is Destiny' is all about how character determines a person and determines events. He continues to want to fight for what needs to be done. He is unrelenting."

That streak of idealism underpins some of McCain's most admired political achievements -- for example his role in normalizing diplomatic relations with Vietnam, which required an embrace of a nation which incarcerated him. It was on display again this month when, with the moral authority of a torture victim, he was a rare Republican to back a report outlining harsh interrogation methods.

"The truth is sometimes a hard pill to swallow," McCain said on the floor. "It sometimes causes us difficulties at home and abroad. It is sometimes used by our enemies in attempts to hurt us. But the American people are entitled to it nonetheless."

The speech won near universal praise, especially from liberals.

"Breathtaking," said Vice President Joe Biden. Daily Show host Jon Stewart quipped: "Good McCain" — "I've missed you so much. I didn't think I would ever see you again."

McCain's intervention was a reminder that for all his talk of history ultimately only crediting winners, he may be remembered as much for how he fought for his beliefs as what he achieved.

Few people know McCain as well as Kerry, who endured another tongue lashing from his old sparring partner in November.

"I believe in John's adage that a fight not joined is a fight not enjoyed," Kerry said.

@highlight

McCain to challenge Obama foreign policy in new Senate post

@highlight

Arizona Sen. sees US foreign policy as immoral

@highlight

Latest twist in a career of comebacks

@highlight

McCain has chance to reshape his legacy in twilight of career