(CNN) -- The year was 1890. Pyotr Ilyich Tchaikovsky premiered his Sleeping Beauty ballet in St. Petersburg. Vincent van Gogh ended his life, apparently by shooting himself. And Idaho and Wyoming became the 43rd and 44th states of the United States.

1890 is also the year Carmelo Flores Laura was born, or at least, that's what his family and the Bolivian government claim. The Bolivian man, who lives in the town of Frasquia, in the arid highlands of Bolivia, showed CNN government documents that seem to confirm he's 123 years old.

The documents include a birth certificate showing his birth date as July 16, 1890. There's also a national identity card with the same birth date. Several media outlets published stories about Flores calling him the oldest man alive.

But there appear to be several problems with this claim. For starters, neither the birth certificate nor the national identity card is original.

"We were skeptical from the beginning," said Stephen Coles, a professor of gerontology at the Department of Chemistry and Biochemistry at the University of California in Los Angeles. He's also the director of the Gerontology Research Group, an independent organization that tracks, monitors and verifies claims of longevity.

"He's not the real thing. Carmelo is not 123 years old despite the documents his family has shown. He was not born in the year 1890."

Coles said the first red flag was the fact that Flores is a man. The gerontologist said more than 90% of cases of what his organization categorizes as supercentenarians are women. Jean Louise Calment from France lived to the age of 122. Her case is the longest human lifespan that has been verified with several documents.

According to Coles, there are 57 documented and verified cases of people over the age of 110 around the world. Fifty-five are women and two are men. Four other cases are still pending final verification.

The Gerontology Research Group has found a document that purportedly shows Flores is actually 107 years old, and not 123. The document is a baptismal certificate. Back in 1890, the Bolivian government didn't record live births or any other demographic data, so it was up to the Catholic Church to register births, deaths and marriages.

In any case, the fact that Carmelo Flores Laura has lived for more than a century in the arid highlands of Bolivia at an altitude of more than 12,000 feet is striking. Not only does he walk on his own, but his voice is still commanding. His son Cecilio Flores, who's 65 years old, has to speak loudly in his ear to communicate with him, but his memory seems to be in perfect shape. He doesn't speak Spanish, but his native Aymara, an indigenous language in Bolivia.

"I was born here in the highlands," Flores told CNN in Aymara, with his son translating into Spanish. "I was not a mischievous child. I was rather calm. I arrived as a young man in Frasquia and worked as herder and farmer. I was very happy with my wife. We never fought. I never cheated on her and we were both very happy."

Flores' wife lived to be over 100 years old. According to family tradition, the secret to a long life is drinking the water that flows down the Illampu Glacier, located not far from Frasquia. Their diet includes no packaged or processed foods, but locally grown plants like barley and quinoa. They hunt a local fox that lives in the Bolivian mountains known regionally as "zorrino."

80 year old becomes oldest to climb Mount Everest

Before you get any ideas, the Gerontology Research Group has found that no particular diet, geographical location or kind of water makes people live longer. Coles said it's the genes.

"People who have extreme old age have virtually nothing in common. They don't share the same religion, nutrition or exercise routine. They only have one detail in common: they have relatives who have lived a long time and children (who) also tend to live a long time," Coles said.

Cecilio Flores said his supercentenarian father had five children, 16 grandchildren and 39 great-grandchildren. "I constantly congratulate my father," he said. "He took care of me when I was little so I'm now taking care of him. Now it's my turn to make sure he's taken care of." Cecilio is the only child of Flores still alive.

No one in the Flores family doubts that the patriarch is 123 years old. There seems to be no doubt either when it comes to officials. In fact, the government of Bolivia plans to honor Flores by declaring him "a living heritage" of the Bolivian people.

@highlight

Carmelo Flores Laura has two documents saying he is 123 years old

@highlight

Neither the birth certificate nor the national identity card is original, however

@highlight

The Gerontology Research Group has found evidence he is only 107

@highlight

Either way, the government of Bolivia is declaring him "a living heritage" of the Bolivian people.