(CNN) -- I was walking down 125th Street in Harlem last week when my iPhone beeped to alert me that New York Mayor Michael Bloomberg had proposed saving obesity-prone urbanites from themselves by banning restaurant sales of large sugary sodas and teas.

Nor was he taking any chances on a thumbs-down from New Yorkers. Instead of putting the measure to referendum, he is bypassing the vote to seek approval from the 11 members of the Board of Health, who are all his handpicked appointees.

Knowing what I do about Bloomberg's relationship with sugary drinks, I stopped, stunned.

Isn't this the same man who made Snapple the official drink of New York, giving its sucrose-laden potions a monopoly in high school vending machines over the objections of the health-conscious?

But this whiff of hypocrisy is just one of the many problems with this proposition.

Imposed bans and "sin taxes" often have unintended consequences.

For example, the high cigarette taxes that New York has imposed to discourage smoking while filling government coffers have instead driven cigarette sales underground -- as entrepreneurs buy untaxed cartons from Native American shops and other outlets, then sell them cheaply on the street. The tax-evading tobacco addicts are still smokers, but now they are criminals, too, as the state rakes in extra revenue, but citizen smokers realize no health benefits.

This result may have been unintended, but it could hardly have been unforeseen: When Canada imposed even higher taxes on cigarettes, tobacco smuggling became an industry worth $1.5 billion (in Canadian dollars) as the enterprising stocked up in the U.S.

Plying the waters of Lake Ontario after dark in boats laden with contraband cigarettes, freelance tobacco merchants became indistinguishable from the cocaine and marijuana smugglers with whom they shared the night.

The moral? Autocratically imposing public health measures rather than persuading people of their worth can easily backfire.

Reducing the high intake of sugary drinks is a laudable goal, but should it be a priority, and if so, is this the best way to pursue it? No, and no.

Imposing an outright ban is less ethical than public health leadership that induces behavior change.

Some public health experts have achieved such positive health behavior transformations very successfully indeed. As a visiting fellow at the Harvard School of Public Health's Center For Health Communication in the early 1990s, I observed its masterful spearheading of the U.S. "designated driver" campaign.

Today, Americans expect the "designated driver" to social events where alcohol is served will not drink, but 25 years ago, before Harvard's "The designated driver is the life of the party" campaign, this was not the case. Working with physicians, politicians, advocacy groups such as Mothers Against Drunk Driving and even Hollywood celebrities, the Harvard center engaged in "social marketing" that sold people on the idea of a sober driver.

The center also elevated social expectations around problems such as binge drinking and violence, not via punitive bans and "sin taxes," but by education and celebrity examples that helped to transform unhealthy activities into socially unacceptable activities.

The ethical advantages of voluntary restraint over legislated behavior are clear. They can enhance a sense of community, and avoid the defiance that can sabotage well-meaning laws, such as tobacco taxes that spawn smuggling.

Moreover, the force of law can have disproportionate effects on segments of society: In this case, the obese are more likely to be poor people of color who can least afford the premium they will end up paying for their supersize drinks.

Autonomy is an important ethical value, especially for freedom-loving Americans, and it should be preserved whenever possible. People should be free to make their own choices, from the clinical trials they join to the food and drink they consume, without duress and unmolested by the state.

Sometimes it is necessary to override free choice for the utilitarian "greater good of the community." For example, some vaccinations are necessary, as are inspections of day care centers and restaurants. Otherwise, the health of others could be seriously imperiled.

But there are no parallel laws that compel diabetics or people in heart failure who prefer using natural herbs to take their medications. Such laws might save lives but would violate the person's right to personal choice, however foolhardy it appears. Drinking oversize sodas falls into this category: The sugar-swiller is hurting no one but himself, and he should be persuaded, not compelled, to lay off.

Bloomberg attempts to convince us that the sugar consumers are hurting others, feeding urgency by declaring that the city spends $4 billion a year on medical care for overweight people. It is certainly a significant figure, but it means little unless it is compared with the cost of care for people of normal weight and for those who are underweight.

Some of the underweight also suffer from serious ailments that may raise their health care costs -- from anorexia to cancer to AIDS. Some studies even find that overweight people can be healthier than the underweight.

As for me, I'm still puzzling the question of the five-year $116 million marketing monopoly that Bloomberg gave Snapple. It failed to generate the anticipated income and fizzled out by 2009, leaving one to wonder: "Would sweetened ice tea still have been included in the ban if the contract with Snapple had proved more profitable?"

On June 1, the very day after Bloomberg announced the soda ban, he championed supersize doses of sugar and fat when he proclaimed National Donut Day, posing with enormous doughnut props. Predictably, money changed hands as pastry maker Entenmann's donated $25,000 to the Salvation Army.

Surreal? Yes. You can't make this stuff up -- as Bloomberg should note.

The opinions expressed in this commentary are solely those of Harriet A. Washington.

@highlight

High-cigarette taxes have driven sales underground in New York, ethicist says

@highlight

Persuading people of public health measures' worth may be a better way to go, she says

@highlight

Ethicist: Medical care costs for obese need to be compared with costs for underweight