(CNN) -- The battering that the U.S. image is taking in Egypt these days reflects that the sources of anger against America in the Middle East run deep. We're not the primary reason the Middle East is so screwed up. The Arabs themselves need to own up to that. Just take a look at Syria and Egypt.

But we are still a big part of the story. Some extremist Muslims hammer us because they don't like Western values; others see the conspiratorial hand of America everywhere -- sucking the life out of Arab and Muslim independence, pride and dignity.

But once you get away from the fringes, what you find is equally disturbing: Millions of Arabs and Muslims don't like us not because of who we are but because of what we do. It's our policies.

And since those are unlikely to change anytime soon, there's a pretty good chance America will continue to lose the public image battle in the Middle East. And here's why:

Minds and hearts: We've always had it backwards. It's not hearts then minds at all. If you want to capture the imagination of people living in the Middle East and get them to warm to America, you don't play to their emotions first. It's as if a new pretty bow on a package with the same contents as ever is somehow going to help sell U.S. policy. It won't.

First, capture people's minds, appeal to their cognitive self-interest and then their hearts will follow. That would require a significant readjustment of U.S. policy: The U.S. would have to be much tougher on Israel on settlements and practices such as land confiscation, closures and withholding tax revenues in the West Bank.

The U.S. would have to be much fairer when it came to Palestinian issues, including supporting reasonable resolutions at the United Nations and taking positions in negotiations that really did try to find an equitable balance, instead of viewing reality through a pro-Israeli filter. The U.S. would still have a special relationship with our close Israeli ally, just not an exclusive one.

The U.S. would have to be much clearer about standing up to human rights abuses in the Arab world and much tougher on the Arab kings where America is reluctant to offend its conservative allies. People know where and what their interests are. And if we want to improve our credibility, we'd need to find a fairer balance between theirs and ours on many issues.

Values vs. interests: It's stunning testament to the American predicament in the Middle East that within two years of Hosni Mubarak's overthrow -- handled relatively well by the Obama administration -- we are being attacked for backing both Mohamed Morsy and the generals and criticized by just about everyone, even the secular opposition.

You can pick your favorite culprit. The U.S. ambassador, Secretary of State John Kerry's yachting outing, Barack Obama's naivete about the Muslim Brotherhood or his softness toward the military.

But none of them is the reason. We lost our footing in Egypt because the tension between our values and interests results in unpopular and inconsistent policies.

We back the democratically elected Morsy government, even though it behaves in an undemocratic manner; and when the military intervenes and cracks down, shooting 50 people, we react mildly.

To a great extent, these inconsistencies are a result of the chaos of Egyptian politics, but they also are related to our nation's wariness of change. When stability in the region has been the guiding principle for half a century or more, it's never easy to adjust, especially for the big power. Just look at Russia's Vladimir Putin and Syria's Bashar al-Assad.

But more than that, if Egyptians are confused, can't get their own house in order and don't produce big leaders or credible democratic institutions on which the U.S. can find a focal point for its policy, we're going to continue to stumble and bumble around.

We backed Morsy because we believe in the almighty ballot box. And we backed the generals because we have other interests -- the Eyptian-Israeli peace treaty, security for the Suez Canal, counterterrorism, containing Iran -- that commend supporting the military, too. That we couldn't reconcile the two in response to Egyptian realities should come as no great surprise. Nor should the reality that we earn the disfavor of so many frustrated Egyptians.

Great power hypocrisy: Great powers are big and strong enough that they can afford to behave inconsistently and hypocritically. And they do. It's as if it were part of their job description.

But that inconsistency can confuse and disappoint. Our policies toward the Arab Spring are laced with contradictions. We support real political change in Egypt, but we won't push it hard in Saudi Arabia or in Bahrain where oil, stability and U.S. bases reign supreme.

We'll intervene militarily in Libya because it's easier -- but not in Syria, where the strength of al-Assad's allies, military and a chemical weapons capacity make it much riskier.

And in the greatest paradox of all, our ties with the monarchies -- Jordan, Saudi Arabia and Morocco -- are much closer than with the emerging and struggling democracies at a time when the Middle East yearns for democracy and freedom. It is indeed remarkable that the Arab kings have become our new anchors in a turbulent sea of political change.

Kerry has discovered Jordan as a key ally in this peace process policy. Earlier this year, the U.S. completed a huge arms sale to Saudi Arabia and the United Arab Emirates worth billions.

Expectations for America run high in the world; and too often we help raise them, particularly in the Middle East. Obama came into office promising a new look in this region: more engagement, a greater sensitivity toward Islam and a pro-active policy on the Israeli-Palestinian issue.

And it's a cruel irony that this putative transformer ended up tougher than his predecessor on drones and Iran and as cautious on Israeli-Palestinian peace.

But governing is about choosing. And Obama chose willfully and wisely not to chase windmills abroad but to concentrate on trying to fix America's broken house.

Coming off the two longest wars in American history, where the standard for victory was not whether we would win, but when we could leave, who could blame him. For Obama the middle class was always going to be more important than the Middle East. And for better or worse, America's standing in that region shows it.

The opinions expressed in this commentary are solely those of Aaron David Miller.

@highlight

Aaron David Miller: Arabs create their own woes, but chaotic U.S. policies play a role

@highlight

Miller: Arabs and Muslims aren't angry because of what we are but because of what we do

@highlight

We back an undemocratic Morsy government and ignore military excesses, he says

@highlight

Miller: We ignore abuses in some nations and blast them in others