Washington (CNN) -- "Our foreign policy is just spinning out of control" one senator said. "Recognize reality," chided another.

Fourteen months after giving up his chairmanship of the Senate Foreign Relations Committee to become America's top diplomat, Secretary of State John Kerry faced harsh criticism Tuesday from the panel he used to lead.

Some of it was the usual partisan sniping that permeates Washington, especially with congressional elections looming in November.

However, Democrats also expressed concern about the U.S. response to Russia's tactics in Ukraine, negotiations on Iran's nuclear ambitions and the ongoing Syrian crisis.

Kerry pushed back, at times accusing senators of uninformed or short-sighted assessments, and the sometimes sharp exchanges showed a rising skepticism in Congress for the policies and pronouncements of the Obama administration as it approaches the midpoint of a second term.

"It's worth doing"

"I may fail. I don't care," Kerry said when Republican Sen. John McCain of Arizona, a committee veteran, complained of what he predicted would be failed diplomatic efforts on Syria, Iran and Middle East peace. "It's worth doing. It's worth the effort, and the United States has a responsibility to lead, not always to find the pessimism and negativity that's so easily prevalent in the world today."

Russia warns of civil war

The debate on the Syria issue demonstrated how things have changed between Kerry and his former committee colleagues.

Last September, the panel voted 10-7 in favor of a resolution authorizing President Barack Obama to launch a limited military strike on Syria intended to deter the regime of President Bashar al-Assad from using chemical weapons.

The measure never made it through the full Senate and House, in part because U.S. ally Britain rejected taking part in such an operation, but the committee's support for it showed the continuing influence of Kerry seven months after he became secretary of state.

On Tuesday, Republicans who joined Democrats in backing the resolution last year castigated Kerry and the administration for what they characterized as an ineffective Syria policy.

"We have no policy from what I can tell, other than ... allowing people to kill each other off, and us making commitments to the opposition that we do not honor, and leaving them in refugee camps and basically stranded without the support that we committed to on the front end," said Sen. Bob Corker of Tennessee, the panel's ranking Republican.

Corker and McCain called for sending weapons and other military aid to some groups in the Syrian opposition. So far, the administration has limited its support to humanitarian and non-lethal military aid, but Kerry indicated Tuesday it was considering increased military backing.

Support for Syrian opposition

Obama has rejected any chance of U.S. troops joining the Syrian fight, but Kerry said the President believes arming the opposition could change the Syrian leader's "calculation" of how the conflict will proceed.

When he explained how things had changed in recent months, with the opposition fracturing and jihadists joining the fray, Corker noted that such outcomes had been widely predicted.

Forget Ukraine, Syria is now the world's biggest threat

"But what was the plan to not have that happen, senator?" Kerry shot back. "I didn't notice Congress racing to the barriers saying, 'we're going to, you know, we're going to do something.' I don't think the American people were going to send American troops."

He took particular umbrage with complaints that Obama failed to attack Syria for crossing the red line he set on using chemical weapons. Obama had decided back then to attack, Kerry said, and the President's resolve led to the agreement brokered by Russia for Iran to turn over its chemical weapon stockpiles to international control.

"We came up with a better solution -- to get all of them out by working through the diplomatic channel with Russia, and we have an agreement which is now working out with 54% removed" so far, Kerry said to Corker. "So, what's your take? Would you rather drop a few bombs, send a message, and then have him still with the weapons and capacity to deliver them? Or would you rather get all of them out."

The Ukraine crisis also drew criticism, with McCain accusing the administration of using "the logic of appeasement" by failing to provide military support against Russia's expansionist moves.

Citing Teddy Roosevelt's admonition to "talk softly and carry a big stick," McCain said his former longtime colleague on the panel was "talking strongly and carrying a very small stick, in fact, a twig."

"Here we are with Ukraine being destabilized, a part of it dismembered, and we won't give them defensive weapons," McCain added..

Ukraine debate

Kerry reiterated the U.S. threat of tougher sanctions targeting specific sectors of Russia's economy if Moscow sent troops gathered near the border with Ukraine into the former Soviet territory.

Initial sanctions imposed because of Russia's recent move to annex Crimea from Ukraine already had an impact, Kerry said, telling the panel the Russian ruble currency had been devalued by 7%.

Taking umbrage at any notion that Obama lacked the backbone to stand up to Russian President Vladimir Putin, Kerry declared that "I do not doubt this president's resolve one iota" while also noting that further steps against Russia would impact the global economy.

"If you go down that road, it's not just them that feels it, we'll feel it too," he said.

To Democratic Sen. Robert Menendez of New Jersey, the committee's chairman, a main topic was international talks with Iran intended to prevent Tehran from developing a nuclear weapon.

Menendez worried that the goal of the negotiations had shifted from Iran lacking any capability to enrich uranium needed to make a nuclear weapon to now maintaining some enrichment capability.

"It is far different from where we started off and what we were told to where I believe we are heading," Menendez said. Kerry responded with his insistence that any final deal with Iran must include proof through verification that an Iranian nuclear energy program would only be capable of peaceful use.

The sharpest attacks came from Republicans intent on scoring political points, such as Sen. James Risch of Idaho, who launched a broad-based attack on the Obama administration.

"You can't help but get the impression that our foreign policy is just spinning out of control," Risch said, complaining that Russia continually "misbehaves" and yet the government continues trying to reach agreements with it.

McCain-Kerry clash

McCain said failure appeared certain for three initiatives under Kerry -- the Geneva agreement for Syrian talks, the ongoing talks on Iran's nuclear ambitions, and the Israel-Palestinian talks.

Prospects for Mideast peace deal fading

Kerry has been criticized for his focus on trying to revive the Middle East peace process, with more than a dozen trips to the region since he became secretary of state.

The effort appeared stalled or even broken last week when Israel refused to carry out a planned prisoner release and announced 700 new settlement units in Jerusalem while the Palestinians sought recognition from international bodies as part of a unilateral bid for statehood recognition.

"It's interesting that you declare it dead, but the Israelis and the Palestinians don't declare it dead," Kerry said to McCain. "They want to continue to negotiate."

McCain rejected that, telling Kerry: "It is stopped. Recognize reality."

"We'll see where the reality is as we go down the road here," Kerry responded. "There are serious problems. It's a tough issue, but your friend, Teddy Roosevelt, also said that the credit belongs to the people who are in the arena who are trying to get things done, and we're trying to get something done."

CNN's Elise Labott, Virginia Nicolaidis and Laquahsa Bivens contributed to this report.

@highlight

Secretary of State Kerry gets a rough homecoming from his old Senate committee

@highlight

Difficult diplomacy is "worth doing" even if it fails, Kerry says

@highlight

Republicans and some Democrats criticize U.S. foreign policy on Syria, Ukraine, Iran

@highlight

Sen. McCain tells Kerry to "recognize reality" about failing Middle East talks