(CNN) -- Don Black said he despises Barack Obama. And he said he believes illegal aliens undermine the economic fabric of the United States.

A cross and swastika are burned at an event called Hated and Proud in Nebraska in July 2008.

Black, a 55-year-old former Ku Klux Klan Grand Wizard, isn't the only person who holds such firm beliefs, according to the Southern Poverty Law Center, which Thursday released its annual hate group report.

The center's report, "The Year in Hate,"  found the number of hate groups grew by 54 percent since 2000. The study identified 926 hate groups -- defined as groups with beliefs or practices that attack or malign an entire class of people -- active in 2008. That's a 4 percent jump, adding 38 more than the year before.

What makes this year's report different is that hate groups have found two more things to be angry about --  the nation's first African-American president and an economy that is hemorrhaging jobs. For the past decade, Latino immigration has fueled the growth of hate groups.  Watch what the family of a hate crime victim has to say »

"We fear these conditions will favor the growth of these groups in the future," said Mark Potok, director of the Southern Poverty Law Center's Intelligence Project. "In the long arch of history, we are definitely moving forward, but these kinds of events can produce backlashes."

Black claims the number of registered members and readers on his white nationalist Web site surged to unprecedented levels in recent months.

On the day after Obama's historic election, more than 2,000 people joined his Web site, a remarkable increase from the approximately 80 new members a day he was getting, Black said. His Web site, which was started in 1995, is one of the oldest and largest hate group sites. The site received so many hits that it crashed after election results were announced. The site boasts 110,000 registered members today, Black said.

"People who had been a little more complacent and kind of upset became more motivated to do something," said Black, who also said he joined his first hate group at age 15.

Hate groups cited by the law center include white nationalists as well as neo-Confederates, neo-Nazis, skinheads, Klansman and black separatists. Skinheads and Klansman saw an increase in membership, while neo-Nazi groups saw a slight decline, according to the law center's report.

Most of the hate groups are located in the South, but the state with the highest number of documented hate groups is California with 84.

Obama serves as a "visual aid" that is helping respark a sense of purpose in current supporters and lure new members, said neo-Nazi David Duke, the former Klan leader who was elected to the Louisiana House of Representatives in the 1980s. Duke said he fears "the white European-American" heritage will soon be destroyed. He added that his Web site sees around 40,000 unique visitors a day, up from 15,000 a day before Obama won the election.

Racist anger toward Obama was evident even before he became president. Two weeks before Obama won, authorities said they foiled a skinhead plot to assassinate him. The two suspects, based in Tennessee, also apparently planned to shoot and decapitate dozens of African-Americans, the Bureau of Alcohol, Tobacco, Firearms and Explosives said.

Police say a man in Brockton, Massachusetts, allegedly targeted minorities after President Obama's inauguration. They say the man raped a woman, killed her sister and another man after several months of researching white supremacist groups on the Internet.

White supremacist groups have gained traction, a reversal from the decline the groups experienced since 2000, according to the law center report. One of the smaller Ku Klux Klan groups, the United Northern and Southern Knights, more than doubled its chapters, widening its geographic reach from eight to 24 states, according to the report.

The image of a black man in the White House angers white racists, who fear nonwhites gaining too much power, said Jack Glaser, associate professor of public policy at the University of California-Berkeley.

But racist fears can also be more mundane and personal: Nonwhites in the White House could lead to nonwhites in their neighborhoods, which could lead to interracial dating, a great taboo among hate groups.

"Obama poses a large cultural threat to white racists," Glaser said. "This may explain some of the uptick in hate groups."

Immigrants are another target of hate groups, according to the report. In a deteriorating economy, illegal immigrants have been blamed by hate groups for allegedly taking subprime loans, according to the report.

Scapegoating occurs most often in times of economic distress, according to experts studying hate crimes. From the Holocaust in Europe to abuses against Irish Catholic immigrants in the 1830s in the United States, people are most likely to lash out against others when they feel vulnerable or need to displace their economic frustrations on others, psychologists say.   In the city of Detroit, Michigan, where the weak economy has taken a particularly devastating toll, Jeff Schoep serves as the commander for the National Socialist Movement, one of the largest neo-Nazi groups in the United States.

Schoep said he has seen membership grow by 40 percent in recent months, mostly because of the dire economic circumstances. It is the "most dramatic growth" he has seen since he joined the movement in the mid-1990s. The group does not reveal membership numbers to the media, he said.

"You have an American work force facing massive unemployment," Schoep said. "And you have presidents and politicians flinging open the borders telling them to take the few jobs left while our men are in soup kitchens."

Experts studying hate crimes say there is no reliable way to link the growing number of hate groups with an increase in hate crimes, since many of the attacks go unreported.

The FBI's uniform crime report found 7,163 hate crime incidents in 2005. However, a special report by the government that same year said the number could be 10 times higher because many of the crimes aren't reported.

The most recent FBI statistics in 2007 saw a slight uptick in hate crimes to 7,624.

Some hate groups such as the National Socialist Movement do not publicly condone violence or terrorist acts."Violence is absolutely counterproductive," said Duke, the former Louisiana legislator and neo-Nazi.

But experts say there is a link between joining a hate group and committing violent crimes. Last week in New Orleans, Louisiana, a grand jury indicted four people in the alleged shooting of a woman who tried to leave a Ku Klux Klan initiation, the Southern Poverty Law Center reported.  More commonly, members of hate groups engage in vandalism such as an incident in Los Angeles, California, this month where vandals slashed tires and sprayed the word "Nazi" on two cars and a house, according to the center. The attack occurred in a neighborhood with signs displaying support for Obama.

Dr. Alvin F. Poussaint, a professor of psychiatry at Harvard Medical School who studied the issue of hate crimes, said people in hate groups can feel paranoid about a specific group of people. This panic leads them to feel threatened, and they may react with violence, he said.

Alternately, individuals in a hate group may sometimes transplant their own personal rage onto a particular group that has no real connection to the cause of that rage, he said.

"Their thinking is very distorted," Poussaint said.

CNN's Stephen Samaniego contributed to this report.

@highlight

Report: the number of hate groups grew by 54 percent since 2000

@highlight

Obama's election win fueled some to join hate groups, study found

@highlight

The FBI's uniform crime report found 7,624 hate crime incidents in 2007

@highlight

Obama is a "visual aid" that helps lure new members, says neo-Nazi