(Travel + Leisure) -- Eight centuries ago, Marco Polo anointed Hangzhou "the most splendid city in the world." Today it's one of China's best-preserved destinations, thanks to the careful stewardship of its pagodas and pavilions, mountain-fringed West Lake, and terraced plantations growing the region's famous longjing green tea.

Here, an essential guide to the best hotels, restaurants, and sights for the modern-day explorer.

Stay

The second property in China from those wizards of the luxurious exotic, Amanresorts, Amanfayun (doubles from $580) includes 42 residences in traditional courtyard dwellings. Don't miss the spa, with its Japanese-style deep soaking tubs, though an early morning walk to the neighboring Lingyin Buddhist temple is just as invigorating.

A 25-minute drive away, Banyan Tree Hangzhou (doubles from $550) abuts the 2,800-acre Xixi National Wetland Park. All 72 spacious suites and villas are decorated with Chinese antiques (porcelain snuff bottles; calligraphy brushes) and are scattered across the grounds like a traditional village, complete with arched bridges and a lagoon.

Hangzhou's latest entry this fall is also the city's first Western luxury hotel group: the Four Seasons Hotel Hangzhou (doubles from $372) will have hand-painted silk panels and such high-tech touches as plasma TV's in its 78 guest rooms and three villas.

Travel + Leisure: America's Best and Worst Airports

Eat

You'll want to book several days ahead for a table at Dragon Well Manor (set meal for two $118). Dai Jianjun is one of the country's most obsessive locavore chefs: his 10-course dinners, served in eight wooden pavilions in a landscaped garden, raise the bar for organic, farm-to-table cuisine in China. Seasonal dishes may include preserved mustard greens with pine nuts, slow-braised pork belly, and ham-infused duck soup.

A number of restaurants offer views of West Lake, but West Lake One (dinner for two $45) stands out with its covered terrace and extensive menu featuring dishes from throughout China. Regional specialties include longjing xiaren, shrimp cooked with longjing tea.

Also facing the lake, the Hyatt Regency's atmospheric, antiques-filled 28 Hubin Road (dinner for two $66) serves classic Hangzhou fare, such as beggar's chicken and Dongpo rou -- a fork-tender pork dish named after the city's 11th-century poet Su Dongpo.

Travel + Leisure: World's Strangest Places to Get Married

Sip

Aside from its pagodas and picturesque landscapes, Hangzhou is also synonymous with longjing, a locally grown green tea prized for its light, sweet taste and aroma.

Guo's Villa is a perfect respite from the tourist throngs along West Lake. Inside the low tiled wall is a garden with lotus-covered ponds and a courtyard where locals gather for tea and gossip.

Tea fanatics might head to Old Dragon Well Imperial Tea Garden to pay homage to the 18 bushes set aside for the Ch'ing dynasty emperor Qianlong.

Nearby is Longjing village, where you'll see plenty of tea farmers peddling their wares. But head straight to our favorite: the hospitable Qi Family will pour you a cup of their green elixir before you buy.

See

A short stroll from the train station, pedestrianized Hefang Road is a collection of Ch'ing dynasty houses (and replicas nearby).

Visit Huqingyu Tang, a 130-year-old medicine shop where traditional pharmacists fill prescriptions made with ancient remedies (ginseng, angelica) in an elaborately carved central hall.

Close by, on the edge of the verdant, waterway-filled Xixi National Wetland Park, the National Wetland Museum (free admission) will open an Arata Isozaki --designed viewing platform later this year.

Travel + Leisure: Worldwide Guide to Restaurant Tipping

Facts

When to Go: Visit during autumn and spring, as summer months are sweltering and winter temperatures often dip below freezing. Avoid peak-season crowds during Chinese New Year (January or February) and National Day (October).

Getting There: Hangzhou is a 100-minute train ride from Shanghai; express trains launching next month will take 38 minutes. From Hong Kong, take the two-hour flight on Dragonair (dragonair.com), which departs three times weekly.

T+L Tip: Beyond West Lake, Hangzhou is a sprawling city. Arrange a car and driver through your hotel to access hard-to-reach destinations.

Planning a beach getaway? Don't miss Travel + Leisure's guide to Affordable Beach Resorts.

Copyright 2010 American Express Publishing Corporation. All rights reserved.

@highlight

Here is a guide to the best hotels, restaurants, and sights in Hangzhou for visitors

@highlight

Hangzhou is one of China's best-preserved destinations

@highlight

Terraced plantations grow the region's famous longjing green tea