Qatar's ruler handed over the reins of the tiny but influential Persian Gulf nation to his son Tuesday -- a development seen as remarkable for several reasons.

Sheikh Hamad bin Khalifa Al Thani's decision to cede power willingly is a first in the modern history of the region. The norm is for Gulf leaders to rule for decades until their death or until circumstances conspire to overthrow them, such as the Arab Spring uprisings that toppled leaders in Tunisia, Egypt and Libya.

Sheikh Hamad himself came to power in 1995 by overthrowing his father in a bloodless coup.

The second reason Tuesday's transition is historic is because the son, Sheikh Tamim bin Hamad Al Thani, now becomes the youngest monarch in the region. He is 33.

While the timing of the handover was unexpected, Sheikh Tamim has been heir apparent for the past decade and was appointed deputy commander-in-chief of Qatar's armed forces.

He was educated in Britain, first at private school and later at Sandhurst military academy, also attended by Britain's Princes William and Harry, from which he graduated 15 years ago.

Sheikh Hamad made the announcement in a televised speech on Tuesday, a national holiday.

"God only knows I never wanted power for personal reasons and I never sought power for any personal motive," the outgoing emir said.

"It is all about the best interest of the nation that made us decide that it is time to start a new page in our history where the new generations take over with their great qualifications and ground-breaking ideas."

The outgoing emir is 61 and appears to be in good health.

The energy-rich emirate has backed Syrian rebels in their fight against the Bashar al-Assad regime, and Taliban militants have set up an office there amid diplomacy to end the Afghan war.

The prestigious soccer World Cup will be held there in 2022.

Sheikh Tamim was involved in the bid to bring the tournament to Qatar, as well as heading his country's Olympic Committee since 2000.

Opinion: Qatar changes leaders, now can it start reforms?

Unusual power transfer

Jamie Ingram, a Middle East analyst at IHS Global Insight, said that while Sheikh Tamim had been groomed for power for some time, especially over the past two years, it was still a surprise to see the handover come so soon.

"In terms of modern Gulf Arab states, this is very significant. It's the first time in recent history we have seen such a transfer of power from a living monarch to the next generation," he said.

It's also a marked contrast to what is happening in Saudi Arabia, he said, where the rulers are quite reluctant to hand over leadership to the next generation.

The transfer of power is unlikely to lead to major policy changes, at least initially, said Ingram, since Sheikh Hamad would have been unlikely to hand it over unless his son was "capable and willing to take Qatar down a broadly similar path."

But Ingram predicts that Sheikh Tamim is likely to focus more on domestic issues than Qatar's international role to start with.

His father worked to "put Qatar on the map" by extending its network of alliances and influence to counter the sway of its powerful neighbors, Iran and Saudi Arabia, he said.

But how greatly it will be involved in Syria under Sheikh Tamim "is the big question," said Ingram, since Qatar has already started to pull back on that front and let Saudi Arabia take a lead.

Critics have suggested Qatar gives too much support to Islamists in Syria, Egypt and elsewhere, he said.

Qatar's huge foreign investment program will probably continue under Sheikh Hamad bin Jassim Al Thani, Qatar's prime minister and foreign minister, although his future role is unclear, he added.

The Syrian National Council, a prominent opposition group, congratulated Qatar on what it described as a "pioneering and unprecedented step that gives the Arab Spring an additional big boost."

The council's statement also praised the outgoing emir for his hard work and vision for the region, adding that it is "confident that the ever evolving Qatar with its new young leadership will always align itself with the rights of the Syrian people."

In a White House statement, U.S. President Barack Obama welcomed Sheikh Tamim to his new role, saying Qatar was an "important partner" and paying tribute to his father's leadership.

"The United States looks forward to working with Sheikh Tamim to deepen the ties between our two countries, and to continue our close partnership on issues of mutual interest," Obama said.

Reaction on social media

Social media has been abuzz over the news of the power transfer, with people thanking Sheikh Hamad for his efforts. One tweeter said, "U changed a tiny desert hamlet to a powerful economic empire. Deeply indebted."

Another said, "I have watched Qatar become an economic, sports, education and political leader. #ThankyouHamad for everything. You will always be in our hearts."

UK Foreign Secretary William Hague also chimed in, tweeting, "Historic day for Qatar as the new generation takes over."

Sheikh Hamad was probably motivated by the desire for an orderly transition, having seen close-up what can happen if an older generation clings to power or an impatient crown prince plots a coup, said Ingram.

However, Sheikh Tamim's youth "doesn't mean that he will be more open to democratic reforms," as some might hope, he cautioned.

"His age is largely irrelevant to a conservative mindset. Nothing is proven yet -- we shall have to wait and see what line he will take."

@highlight

President Barack Obama says he hopes for close ties with the new emir

@highlight

Sheikh Tamim bin Hamad Al Thani had been groomed to take over for years

@highlight

"I never sought power for any personal motive," the outgoing emir says

@highlight

News of the transfer of power was all over social media