Republicans already are steaming about President Barack Obama's expected executive action to potentially allow millions of undocumented workers to remain in the country.

But another debate on immigration will refocus on internal GOP splits and raise questions about whether the party is taking any of its own advice about being more open to Hispanics.

Pointing to inaction by Congress, Obama signaled last Wednesday that he's done waiting for Republicans to negotiate a compromise on any immigration measures.

"I promise you, the American people don't want me just standing around twiddling my thumbs and waiting for Congress to get something done," he said.

How far can the President go on executive actions?

House Speaker John Boehner warned Obama that any move to expand earlier executive action would be "a grievous mistake."

In an opinion piece in Politico last Friday, Boehner insisted any action to fix immigration "must be done by Congress, and it must be done in a common-sense, step-by-step fashion so that the American people have a say in what we are doing."

Boehner was one of the first top Republicans after Mitt Romney lost the 2012 presidential election to say that the party needed to deal with immigration.

But a bipartisan Senate bill approved last year and backed by some prominent Republicans hit a wall in the GOP-led House.

Because most House Republican districts are solidly red, most of the party's rank and file feared primary challenges from the right. The incentive was to stop immigration reform, not move it forward.

Recent actions contradict efforts to be inclusive

With Congress divided, Obama to go his own way on immigration

Many Republican Party leaders and possible presidential candidates, however, say the GOP needs a more inclusive message to Hispanics if it hopes to win the White House in 2016.

But the message they're hearing on immigration from many in the party could make it harder to build relationships with the Latino community.

House bill

Right before leaving town for the August recess, the House passed a bill that would prevent the President from renewing deportation deferments — or granting new ones -- for the roughly 600,000 young people brought into the country illegally by undocumented immigrant parents. If the bill were to become law, it would mean those people could be deported.

The vote was largely along party lines and Republicans pressing for broader reform said that ending the Obama administration's program easing such deportations sent the wrong message.

"Why are Republicans continuing to shoot themselves in the foot?" Carlos Gutierrez, a Republican himself and a former commerce secretary for George W. Bush, asked in a CNN interview.

A chief proponent of the House bill, Iowa Rep. Steve King, was confronted in his home state last week at an event with Sen. Rand Paul, a likely 2016 presidential candidate.

With media present covering Paul, a woman claiming that she would be deported if the measure became law confronted King about the legislation. Paul was seen leaving before the matter turned into a heated debate.

Paul has made broadening the Republican Party's appeal a cornerstone of his message.

He helped open GOP offices in minority neighborhoods in his home state and appeared before numerous African-American groups, highlighting his support for reforming criminal sentencing guidelines.

Former 2012 vice presidential candidate Paul Ryan has also traveled to more than a dozen communities around the country to discuss poverty issues and promote his economic growth policies.

But Democrats have pounced on King's Iowa dust-up as well as others trying to paint the GOP as more extreme on immigration.

Rick Perry says youths crossing the border is a 'side issue'

Alabama Rep. Mo Brooks said in a recent interview that he believed some were waging a "war on whites."

Brooks was responding to a reporter pointing out the GOP's own fears about its dwindling appeal among Hispanics. But he argued that Democrats are "claiming that whites hate everybody else," which he insisted was "not true."

Republicans nervous

Rep. Jeff Denham of California was one of 11 House Republicans to oppose the House bill and told CNN the decision by GOP leaders to allow a vote on it was "disappointing."

Echoing the same sentiment expressed by Obama, Denham said the measure was "a messaging bill" and "would never see the light of day" over in the Senate.

"We've got kids who are going to high schools that know of no other country to call home and we've got to address all aspects of immigration reform," Denham said.

Senate Majority Leader Harry Reid has no plans to take it up in the Democratic-led Senate and Obama has said he would veto it anyway.

Boehner didn't want to turn the discussion over addressing the crisis of Central American migrant youth streaming across the southern border into a broader debate over immigration.

He agreed that Congress needed to work with the White House and Democrats to pass narrow legislation to deal with the issues that caused the surge of immigrants and provide resources to handle the tens of thousands who already arrived.

Number of unaccompanied minors crossing into U.S. tops 60,000

A political wedge

But Texas Republican Sen. Ted Cruz, a tea party hero, insisted that halting Obama's ability to defer future deportations had to be part of the GOP's response to the border situation.

As part of a deal to pass a $694 million border funding bill, Boehner and his top lieutenants agreed to allow a separate vote on a measure promoted by House conservatives that went even further than Cruz's proposal.

The bill would end all deportation deferments because they worried Obama would use his executive authority to expand them.

Florida Republican Rep. Mario Diaz-Balart also voted against that bill and told CNN that the GOP proposal helps Democrats continue to use immigration as a political wedge.

"It gives them another bullet point in their narrative," Diaz-Balart said.

Both Denham and Diaz-Balart criticized Obama's actions on immigration. They said it was appropriate for Congress to respond to when it believes he is overstepping his legal authority.

"If the message is perceived as strictly to protect the civil liberties and basic rights of our democracy, that is one thing. But if the message is perceived to be anti-immigrant, that is very, very negative," Diaz-Balart said.

Party not taking its own advice

The recent actions show Republicans aren't taking their own advice on growing their party.

Last spring, the Republican National Committee issued a report that examined its 2012 loss and called for the GOP to address immigration reform.

The so-called "autopsy report" warned that "if Hispanic Americans perceive that a GOP nominee or candidate does not want them in the United States, they will not pay attention to our next sentence."

Henry Barbour, a top party strategist and a report co-author, told CNN that "tone is important."

He conceded that taking on immigration reform "takes political courage."  But he also warned against "talking in a way that's not too hot and comes across as negative or exclusive."

Barbour added, "We're a big, broad party -- we're not all going to agree on immigration -- not going to agree on everything, but we certainly have to have people in Washington on the Republican and Democratic side that want to get things done."

House Republicans also heard about it on the editorial page of the Wall Street Journal, which doesn't usually criticize Republicans.

"A party whose preoccupation is deporting children is going to alienate many conservatives, never mind minority voters. The episode is also sure to raise doubts among swing voters about whether Republicans would be prepared to govern if they do win control of the entire Congress," the Journal said.

Advice on what to do

Even if Republicans can't enact immigration reform in a divided Congress, others advise  it has to look like it is at least trying to do something.

"Republican support among Hispanic voters does not hinge on immigration reform but inaction. Our inaction and poor optics can eviscerate any future we have right now," Leslie Sanchez, a Republican strategist and author of "Los Republicanos -- Why Hispanics & Republicans Need Each Other," said.

Gutierrez said that he saw a scenario for Republicans to be on the offense if the party is able to retake control of the Senate in November.

He suggested the House and Senate could come together on a proposal that would both secure the border but also provide some path to legal status for the 11 million undocumented workers.

Presenting a bill to Obama would put the onus on him to respond and make him the subject of blame if he rejected it.

"I think this is one of those 'Nixon goes to China' things -- it will be a Republican who reforms immigration. I don't believe that Democrats have the credibility," Gutierrez said.

Expanding the wedge?

Many Republicans interviewed by CNN said the challenge next year will be even greater because Democrats will want to use any divisions on the issue to further expand the wedge between the GOP and Latino voters going into the 2016 election.

But they warned that the party can't use that as an excuse to not promote a message of positive reform.

"This is what people are elected to do," Barbour said. "Just do your job -- I'm talking to Republicans and Democrats alike. This is a two-way street."

Campaign officials from both parties say immigration is not a top-tier issue for the midterms. There are only a handful of House Republicans in competitive races in districts with significant Latino populations.

The GOP is well positioned to win control of the Senate in November, and immigration is expected to be a factor in just one key contest in Colorado, where there is a sizable number of Hispanic voters.

But the 2016 vote is again expected to come down to a handful of key swing states where both parties will work hard to win over independents.

And many Republicans agree that the party's record on immigration will be important in states like Colorado, Nevada, Arizona, and Florida, which are home to expanding populations of Latino voters.

Calling immigration reform the "800-pound gorilla in the room," Diaz-Balart said if Latinos perceive that Republicans don't want to deal with immigration, then "that is a major, major, major stumbling block to get over."

@highlight

GOP struggling internally on message they're sending to Hispanics

@highlight

Some Republicans are worried about impact of some anti-immigration hardliners

@highlight

Crisis of thousands of migrant children streaming to the border illuminates the issue