Washington (CNN) -- The justices on the Supreme Court know very well their rulings can send immediate political shock waves, and those just intensify in a presidential election year. So there is an unusual internal dynamic at work of what cases the court hears and when.

Unlike the other parts of the judiciary, the Supreme Court is a discretionary body. They stingily pick which cases go on the docket and when. In fact, only about 1% of appeals are accepted and fully reviewed. But certain legal fights are so important and time-sensitive, this court of last resort is often powerless to refuse or delay.

That is true of the current challenges to the health care reform law, which will be argued Monday through Wednesday. An expected June ruling in an election year will put the court front and center for voters come November. The justices by nature are loathe to get involved in such highly partisan disputes. But sometimes often have no choice.

Preview: 'The implications ... are impossible to overstate'

The 2000 Bush v. Gore case ultimately settled the fight over counting Florida's ballots, giving George W. Bush the presidency. Several justices have since said they were not eager to decide the matter and place themselves as competing political saviors or demons.

Read a transcript of Monday's health-care arguments

Here are some landmark, presidential election-year legal disputes -- judicial blockbusters if you will -- handled by the Supreme Court:

-- 1824 / Gibbons v. Ogden, striking down a New York law granting a monopoly to a Hudson River ferry company. The court under Chief Justice John Marshall clarified the Commerce Clause, concluding state law conflicted with overriding congressional power to regulate interstate commerce. It is interpretation of that clause that is central to the current legal fight over health care expansion.

-- 1856 / Dred Scott v. Sandford, declaring Congress could not ban slavery in the territories and that blacks were barred from citizenship. The appeal was argued February 1856, and a ruling came two days after President James Buchanan's inauguration in March 1857. The new president in fact had asked the court to time its decision until after the election but before being sworn into office. He hoped that would defuse the slavery issue by putting it beyond political debate. And like others, the Democrat hoped the court's ruling would carry legitimacy among citizens in the North and South, an ultimately naive view.

Two families, two views on health care law

Historians also note the president-elect had quietly persuaded Northern Justice Robert Grier to change his vote and join the Southern majority in the Scott case, to give the impression the decision was not made along regional lines. This ruling is widely viewed as the court's darkest moment, a sentiment expressed by most current members of the high court.

-- 1896 / Plessy v. Ferguson, blessing the "separate but equal" state doctrine of racial segregation. By an 8 to 1 margin, the court upheld a Louisiana law requiring federal rail cars to provide different facilities for white and black passengers. The justices said that did not violate federal authority over interstate commerce, nor the 13th and 14th amendments. That precedent was overturned dramatically in the 1954 Brown v. Board series of appeals.

-- 1908 / Muller v. Oregon, allowing a state law limiting the working hours of women. Attorney for the state Louis Brandeis -- soon to join the court -- successfully argued that long, unregulated hours on the job affected the health and morals of employees, especially those in factories. A landmark decision affirming government control over the workplace.

-- 1972 / Furman v. Georgia, invalidating all existing capital punishment laws. The 5-4 court said the death penalty was being applied unconstitutionally. States responded by revising their laws, leading the court four years later, in another presidential election year, to end its moratorium and allow states to resume executions.

-- 1972 / Roe v. Wade, legalizing abortion as a fundamental right of a woman's "privacy" under the 14th Amendment and concluding a fetus was not a "person" with constitutionally protected rights. The court tried to strike a balance between that individual right and states' duty in limited regulation, for the sake of prenatal life and a woman's health, a governmental interest that grows stronger as the pregnancy develops over time.

The companion cases first came to the court in 1970, and arguments were scheduled for 1971, then postponed until spring 1972, then reargued October 1972, a month before the presidential elections. The landmark ruling came out January 1973, just days after President Richard Nixon's inauguration.

-- 2000 / Bush v. Gore, ruling manual recounts of presidential ballots in Florida could not move ahead because of inconsistent evaluation standards in different counties. The court's conservative majority cited the Equal Protection Clause of the Constitution for its reasoning. Stopping the tally meant Republican George W. Bush, who was then narrowly leading in the decisive state, would become president, defeating Vice President Al Gore.

-- 2008 / District of Columbia v. Heller, tossing out the District's strict ban on private handgun ownership. The conservative majority said citizens have a basic "individual" right to possess and keep guns in the home for self-defense. The court reaffirmed its holding two years later in a challenge to a similarly restrictive law from Chicago.

A CNN guide to frequently asked questions

Sometimes the high court itself becomes the story. Here are some presidential election years where the Supreme Court as an institution or the justices became a major campaign issue:

-- 1800: Jeffersonian Republicans aimed criticism at the Federalist-dominated high court over how much power the central government should hold. The tight election race -- called by some the "Revolution of 1800" -- ushered in an era of Democratic-Republican party executive rule. New President Thomas Jefferson had campaigned on remaking the federal courts as well, but it was Chief Justice John Marshall, taking office two months before Jefferson, who succeeded on that front. Through his 35-year leadership on the bench, his federalist leanings helped strengthen the power of the U.S. government in the face of state authority.

-- 1860: The infamous Dred Scott decision shaped the debate of this election, indirectly helped put Abraham Lincoln in the White House and carried the nation into its seemingly inevitable path to the Civil War. Lincoln had sharply criticized the Scott ruling in his stump speeches, and the new Republican Party's convention platform officially condemned it.

-- 1876: The 2000 election was not our first disputed one. In 1876, Democrat Samuel Tilden won the popular vote in the presidential race, with Republican Rutherford B. Hayes also trailing in the initial electoral vote. Republicans protested, and to resolve the dispute, Congress created a bipartisan commission that included five Supreme Court justices. It was Justice Joseph Bradley who proved the swing vote, siding with Hayes and giving the Republican a 185-184 electoral vote win.

An insider's guide: How the Supreme Court works

-- 1896: The high court a year earlier had invalidated a nationwide federal income tax. Liberals made that and other decisions considered "pro-business" a political rallying point. Democrats campaigned against court "usurpation" of congressional reform efforts, a divisive political issue that would carry in into the 1930s.

-- 1924: The question here was a proposal by Progressive Party candidate Sen. Robert LaFollete's (who served Wisconsin as a Republican) for a "one-up" constitutional amendment. It would give Congress the power to overturn Supreme Court decisions that overturned acts of Congress. Incumbent President Calvin Coolidge defended the federal courts, then dominated by conservative, as protectors of "our fundamental law."

-- 1936: The fight between the courts and the other branches reached their zenith with the re-election efforts of President Franklin Roosevelt. He charged that the courts were undermining his sweeping economic reform programs during a national emergency, the Depression. FDR was privately maneuvering for ways to go around the judiciary, including his audacious "court-packing plan" to expand the number of justices. That would allow the president to immediately name new, presumably more sympathetic, members to the court. The plan unveiled in 1937 ultimately failed, but the Democrat's 12-plus years in office did give him a chance to eventually appoint a record number of justices to that bench.

-- 1968: Republican candidate Richard Nixon made the court's 15-year record of "liberal" decisions under Chief Justice Earl Warren a big "law and order" campaign theme. Nixon said those rulings were "seriously hamstringing the peace forces in our society and strengthening the criminal forces." Warren retired a year later, and Nixon eventually named four justices to the high court. The subsequent appointments of Ronald Reagan and George H.W. Bush also helped move the federal judiciary to the right for decades.

@highlight

Some Supreme Court decisions make a huge election-year splashes

@highlight

1856: Dred Scott ruling barring blacks from citizenship called court's darkest moment

@highlight

1972: Two huge cases on capital punishment and abortion rock the nation

@highlight

2000: So who's your president -- Bush or Gore? The high court has to decide