(CNN) -- "Get over there, girl, can't you read? Stand in this line," the customs agent, armed with a machine gun, barked at me while pointing her finger in my face.

The female Afrikaans custom agent was apparently upset that I wasn't moving along quickly enough. It was clear that she didn't like the looks of me because she refused to look me in the eye or answer my questions about where to go next.

"Girl, who does she think she is talking to?" I asked my travel companion who was white and male. "I don't have to take that kind of rudeness from anyone." But he begged me to keep my opinions to myself before I got arrested or worse.

You see, it was 1992 and I had just landed in South Africa. And while Nelson Mandela may have been freed from prison in 1990 after 27 years, and the system of racial separation of apartheid was beginning to be dismantled with the opening of beaches and other public places by then-President F. W. De Klerk, the reality was that black people had a long way to go.

Black Africans were not treated with any type of dignity or equality. The customs agent was holding on to the old ways and she made it clear.

Back home while studying at Penn State, I'd adorned myself head to toe in the colors of the African National Congress (black, green and gold) and joined the student protests against apartheid. We demanded that the university divest its holdings from all corporations that were doing business in South Africa, companies like IBM, General Motors and Coca-Cola.

Students of all races and backgrounds around the world had joined the anti-apartheid movement. Shantytowns were erected, hunger strikes were begun and for the first time in my young life, I began to think about my generation's collective power to force change.

"Divest Now. Free Nelson Mandela!" were our battle cries back then. Honestly, I didn't really know much about South Africa and had just begun to learn about Nelson Mandela, who is revered today but was rarely mentioned in a favorable light back then. The story of his nation was never taught in any of my world history classes.

After reading about his life and studying the history of South Africa, "Madiba" became a hero and symbol of freedom for me and many of my generation. We were hungry for a courageous leader of our own, a civil rights movement of our own and a way to contribute our voices to the fight for freedom against the greedy, consumer-driven politics of the 1980s.

Armed with a journalism degree and a desire to eradicate injustice, I set out to change the world. But I soon found out that it was naÃ¯ve to set such a lofty goal, considering I didn't truly understand anything about the world except what I'd read in the newspapers. And I admit, protesting in the safe confines of elite college campuses isn't exactly radical.

My African friends, who appreciated my good intentions, challenged me to dig deeper to understand their world. It was not enough, they said, to don the colors of the ANC and wave protest signs and rant against the headlines.

"If you really want to know our country and our struggle, go see it for yourself. Meet our people, live in our townships, not a fake Shantytown, and learn about the rich, vibrant culture of South Africa."

And that's exactly what I did, much to the chagrin of my family, who feared that I might be killed in a protest, catch a horrible disease, or worse -- get trampled by an elephant. We were not a worldly family back then.

For me, traveling to South Africa in the early 1990s before apartheid was fully dismantled was an eye-opening experience. The country at the time was a paradox of extremes -- a stunningly beautiful nation with an overabundance of natural resources. But the wealth that was generated was only benefiting the whites while the specter of civil war loomed.

The white people were anxious and hostile at the quickly changing balance of power and threatened to flee the country, taking their wealth and corporations with them. Black Africans were hopeful after the release of Mandela but frustrated with what they saw as the slow pace of change. The chains of apartheid were still a very big part of their everyday lives.

For me, living there in the townships with families -- both wealthy and poor -- of my South African friends changed my life and my perception of who I was as a black woman, and as a citizen of the world who had a responsibility to stand up to injustice.

By experiencing their lives up close, I learned how much we had in common -- shared traditions and family stories, a deep love of music and even many family recipes. I was strengthened by the connection between my African ancestors and my American relatives; they had the strength to survive against extreme oppression and the ingenuity and intelligence to prosper.

In South Africa, I met courageous journalists who had risked their lives and lived in daily fear because they dared to speak out against apartheid. They taught me more about journalism ethics and reporting than any college course could. And I met loving mothers and young women and men who refused to let generations of oppression crush their determination to fight for freedom, or their joy for the small blessings in life. And I learned that though there are times when the best battle strategy is take up arms to fight your enemies, it is wiser in the long run to show grace in the face of hatred.

Above all, Mandela showed the world that we can never be completely free until we free ourselves of hatred.

When Mandela was elected president in 1994, I wept with happiness for my newly found brothers and sisters. But I was also envious that their nation had come so far and united together to accomplish what I could never imagine in my lifetime in the U.S. -- a black president. (Well, I wrong on that one.)

So I say goodbye to Madiba and celebrate his life with the joyous lyrics of "Black President" by Brenda Fassie, a nationwide hit that I first heard in South Africa at a celebration party after Mandela's election. We danced out hearts out that night for our first black President, singing:

"Let us rejoice for our President. Let us sing for our president. Let us pray for our president. Let us sing, let us dance. For Madiba, Madiba's freedom."

The opinions expressed in this commentary are solely those of Roxanne Jones.

@highlight

Roxanne Jones: I visited South Africa after Nelson Mandela was freed from jail

@highlight

Jones: Apartheid was starting to be dismantled, but blacks had a long way to go

@highlight

When Mandela became president, she wondered if U.S. would have a black president

@highlight

Jones: Mandela showed us that we can never be free until we free ourselves of hatred