Tehran, Iran (CNN) -- Campaign workers distributed campaign leaflets and plastered candidate posters along the Iranian capital's tree-lined streets in the final days before Friday's parliamentary elections.

Iranian cell phones also lit up with text messages advertising names of candidates.

Meanwhile, Iranian state television broadcast wall-to-wall programming encouraging voters to cast their ballots.

With slogans like "Our progress in science and economics depends on your vote," the publicity campaign included an oft-repeated quote from the late founder of the Islamic Republic, Ayatollah Ruhollah Khomenei, saying, "The measure of a nation is its vote."

But out on the traffic-clogged streets of Tehran, some Iranians appeared less than enthusiastic about the election.

At the Al Javad Mosque where young men were handing out campaign leaflets, an elderly man confronted a passing turbaned cleric, yelling "Why should we vote?"

When a CNN reporter asked another man about the election, he hurried away, saying "I'm not going to vote, so I'm afraid to talk."

"I don't want to take part in this election," said another young man, who asked not to be named. Asked why he was boycotting the vote, he answered, "Everyone has his own viewpoint. For example, someone says 'I like the system.' Or someone says 'I don't. I'm the opposite of the system.' And that's why."

In Iran, elections are traditionally heralded by the revolutionary regime as a popular demonstration that it enjoys the overwhelming support of the population.

But this Friday's contest will also mark the first time Iranians go to the polls since allegations of vote-rigging during presidential elections in 2009 triggered mass street demonstrations against the regime.

Security forces subsequently used deadly force to crack down on the opposition Green Movement. Presidential candidates Mir Hossein Mousavi and Mehdi Kerroubi were placed under house arrest, where they remain. International human rights organization reported the arrest of thousands of other activists. Scores of high-ranking opposition campaign workers and political activists fled to exile to neighboring Turkey, where some claimed in interviews with CNN that they endured torture in Iranian prisons.

But at a campaign rally for candidates from the conservative Principalist Front on Wednesday, one lawmaker running for re-election offered a decidedly different account of the aftermath of the 2009 vote.

"During the 2009 elections, attempts were made to use cheating in the elections as an excuse to plot against the regime," said Zohreh Elahian.

"Attempts were made to show the world that there is no democracy in Iran and that the people are not the ones who have the power to elect their leaders," she said. "That's why the Friday elections represent the people's will to participate in determining their own future and their country's fate."

There are no candidates from the Green Movement in this year's parliamentary election.

Instead, Iranian political analysts describe Friday's vote as a contest between rival conservative factions within the government.

"The underlying issue is whether or not you support [Iranian President Mahmoud] Ahmadinejad," said Sadegh Zibakalam, a political scientist at Tehran University.

"It's a rivalry between Ahmadinejad on the one hand and the supreme leader on the other...not overtly, and not directly of course."

Iran's Supreme Leader Ayatollah Ali Khamenei publicly supported Ahmadinejad's controversial re-election victory during the dispute over the 2009 ballot results.

But tensions have flared between the two leaders over the last year. Ahmadinejad disappeared from public view for 11 days after Khamenei over-ruled his decision to fire an intelligence minister. Several of Ahmadinejad's top political allies have also been subjected to lawsuits and investigations. The Keyhan newspaper, which is run by a trusted ally of Khamenei, has publicly denounced Ahmadinejad's top adviser, Esfandiar Raheem Mashaie, accusing him of "leading a deviant current."

In the run-up to this week's vote, Khamenei has urged factions to overcome previous divisions, by calling repeatedly for unity.

According to Iranian state media, there are more then 3,400 candidates competing now for some 290 seats in parliament.

Iranian analysts said the Principalist Front represents one of the leading groups of candidates. It faces a challenge from a group of Ahmadinejad supporters who announced the creation of their ballot list, the Monotheism and Justice Front, just days before the election.

At the Principalist Front rally on Friday, where candidates took turns addressing several hundred people seated on the floor of a mosque, candidate Zohreh Elahian sought to downplay previous divisions between pro- and anti-Ahmadinejad conservative factions. She placed all of these groups under the same "principalist" ideological umbrella.

"We view all the principalists as members of one family," she said. "But there are differences in views and tastes which show how dynamic the principalist group still is."

Any possible divisions within the ruling conservative government fade rapidly, however, when confronted by Iran's greatest adversaries, the United States and Israel.

At a speech before thousands of supporters on Wednesday, Ayatollah Khamenei accused the United States and its allies of trying to stop Iranians from voting on Friday.

Intelligence Minister Heydar Moslehi went one step further, saying a "high voter turnout will be a punch in the face of arrogant powers," according to state-run Press TV.

This was a view shared by some on the streets of Tehran. Some Iranians blamed increasingly harsh American economic sanctions for the precipitous drop in the value of Iran's currency over the last several months. Others pointed to the recent series of assassinations of Iranian nuclear scientists, which the Iranian government has blamed on foreign agents.

Amid the rush of commuters moving through Tehran's busy Haft-e-Tir Square was a clerk named Ali Asgar, who said he would vote for any candidate who was honest, and who "followed the Supreme Leader."

"We hate the politics of the U.S. The U.S. is supporting Saudi Arabia and betraying Iran," Asgar said.

Almost as an afterthought, he added, "Death to America, death to Israel," before politely shaking hands with his interlocutor and saying goodbye.

@highlight

In 2009, allegations of vote-rigging triggered protests and led to deaths

@highlight

Iranian state television broadcast wall-to-wall programming encouraging residents to vote

@highlight

Some Iranians appeared less than enthusiastic about the election