(CNN) -- An attempted breakout by Muslim Brotherhood prisoners left at least 36 dead Sunday as Egypt's military chief urged supporters of ousted President Mohamed Morsy to quit resisting the new government.

"Egypt has room for everybody, and we are keen to save every drop of Egyptian blood," Gen. Abdel Fattah al-Sisi, the country's defense minister, said after days of clashes between pro-Morsy demonstrators and security forces that left hundreds dead. But he added, "Confrontation will not be in the interest of those who wish to confront us, because we are determined to protect Egypt and its people."

New protests against the military-installed interim government popped up around the country after Sunday evening prayers. And at least three dozen jailed members of the Muslim Brotherhood, the long-supressed Islamist movement that brought Morsy to power, were killed during what the Interior Ministry said was an attempted breakout.

The inmates were among a group of more than 600 who were being taken to a prison north of Cairo, ministry spokesman Hani Abdel Latif told CNN. They seized a senior officer who was checking out "a commotion" in one of the trucks, he said.

"The other officers tried to free him, and in the process, they used tear gas, resulting in 36 detainees killed," Abdel Latif said. The captive officer was seriously injured but survived, the ministry said.

The Freedom and Justice Party, the Brotherhood's political arm, put the number of dead at 52 and demanded an international investigation into the deaths. Al-Sisi and Interior Minister Mohammed Ibrahim Kamel bear "full criminal responsibility" for the deaths, the party said.

An earlier report by the state-run news agency EGYNews said a group of armed men attempted to free the prisoners. Abdel Latif said that report was still being investigated, however.

Morsy was toppled in July, triggering weeks of protests by the Muslim Brotherhood and his supporters. The ouster capped weeks of growing protests against Egypt's first democratically elected leader, who had taken office barely a year before.

In a nationally televised speech, al-Sisi urged Morsy's supporters "to review their national positions and realize very well that the legitimacy belongs to the people."

"The Egyptian people are free to choose whoever to govern them, while the armed forces will remain the safeguard of the will of the people and of their choice," he said.

Morsy's supporters say the military-backed interim government instigated the violence that killed more than 700 in the past week, starting with a dawn raid at two pro-Morsy protest camps last week that left more than 500 dead. Scores more were killed in the following days as Morsy's supporters tried to continue their protests.

Among the dead were 70 police officers, with more than 600 police, soldiers and other members of the security forces wounded, the Interior Ministry reported Sunday.

The government also announced a ban against "popular committees," the neighborhood watch groups that have battled protesters in recent days. The Interior Ministry said Sunday evening that some of those groups were taking advantage of their positions to carry out "criminal acts."

But Muslim Brotherhood spokesman Mahmoud Ghazlan said al-Sisi's comments "are a clear proof that the end of the coup is near," Ghazlan said.

Al-Sisi and other government leaders were "trying to beautify the ugly face of this bloody coup," he said. "Woe unto those who will be fooled by all of these lies."

The Brotherhood canceled a march planned for Roxy Square in Heliopolis, a suburb of Cairo, due to concerns about snipers on routes. But it said demonstrations took place around the country, including in Alexandria, on the Mediterranean coast, and in Giza, outside Cairo.

In Qena, in southern Egypt, demonstrators chanted, "We are all ready to be martyrs" and "Down, down with the killers." In Atfih, south of Cairo, protesters called al-Sisi a "butcher" and called for his execution. The size of the protests could not be independently confirmed.

On Saturday, Egyptian security forces arrested more than 350 people at a mosque where throngs of Morsy supporters were hiding, including a handful from outside Egypt -- three Irish citizens, one Turkish and one Syrian, the Egyptian Interior Ministry said. The ministry also said two automatic rifles and 24 Molotov cocktail bottles were confiscated.

Among others in custody was Mohamed al-Zawahiri, the brother of al Qaeda leader Ayman al-Zawahiri, an Egyptian court confirmed Sunday. Mohamed al-Zawahiri and another Islamist leader, Mustafa Hamza, were ordered held for up to 15 days for investigation on charges of joining an organization that seeks to disrupt the social peace and national unity in the country, the state-run news service EGYNews reported. Both men are leaders of another Islamist organization, Jamaa Islamiya.

Government says news biased toward Morsy, Islamists

Morsy's opponents argued the army needed to step in to protect Egypt's nascent democracy from a leader who was amassing power for himself. The new government urged the global community to listen to its side Sunday, accusing international media of being sympathetic to Morsy and the Muslim Brotherhood.

In a statement also released Sunday, the interim government said it would set up a National Council for Human Rights and document "all the events that took place during the crisis." But it also said it would set up a National Committee for Media and questioned whether the Qatar-based satellite network Al Jazeera was operating legally inside Egypt.

And members of the Foreign Ministry showed journalists a video-and-photo montage Sunday of recent carnage, blaming "terrorists" for the chaos. Foreign Minister Nabil Fahmy acknowledged the country is in a state of uncertainty. He said the interim government is "trying to identify the political identity so we can move forward."

"We are still open to any ideas or suggestions" from the global community, Fahmy told reporters Sunday. But in the end, "the decision is Egyptian."

Fahmy also said he greatly appreciated the foreign aid that Egypt gets. The United States, for example, gives Egypt more than $1 billion a year.

"We are very thankful for the aid. But it should not be targeted," Fahmy said. "The threat of stopping aid in this period is not acceptable."

Opinion: Why U.S. hasn't cut off aid to Egypt

But the Obama administration is facing new calls from U.S. lawmakers to cut off that aid in the wake of last week's violence. U.S. law bars support of a government that has taken power by extraconstitutional means, but the administration has said it won't make a formal determination as to whether Morsy's ouster was a coup.

Sen. Jack Reed, a leading Democrat on the Senate Armed Services Committee, told NBC's "Meet the Press" that the the clampdown is "completely unconscionable." And Sen. John McCain, the committee's ranking Republican, said continued American assistance will add fuel to anti-American sentiments in the region.

"With Apache helicopters flying overhead, nothing is more symbolic of the United States of America siding with the generals," McCain told CNN's "State of the Union."

Other allies in the region have stepped up to support the current government. Saudi Arabia has pledged $5 billion in grants and loans, while the United Arab Emirates has said it would give $1 billion to Egypt and lend it an additional $2 billion as an interest-free central bank deposit.

ElBaradei takes off

Amid the turmoil, Cairo's stock market plunged nearly 4% on Sunday. And Mohamed ElBaradei, who stepped down last week as interim vice president, boarded a flight to Austria, after the interim president accepted his resignation, EGYNews service reported.

The former International Atomic Energy Agency chief was one of Morsy's biggest critics. But ElBaradei said in his resignation Wednesday that he didn't agree with decisions carried out by the ruling government and "cannot be responsible for a single (drop of) blood."

Egypt: Is it still safe to travel?

Meanwhile, the turmoil in Egypt continues to cause ripples overseas. Members of the European Union announced Sunday that the body will "urgently review in the coming days its relations with Egypt and adopt measures" aimed at ending violence, resuming political dialogue and returning to a democratic process.

Opinion: Egypt's identity torn in two

CNN's Saad Abedine, Schams Elwazer, Ali Younes, Hamdi Alkhshali, Holly Yan, Ian Lee and Joseph Netto contributed to this report.

@highlight

NEW: Jailbreak bid kills 36 Muslim Brotherhood prisoners, ministry says

@highlight

NEW: "The end of the coup is near," Brotherhood spokesman says

@highlight

Army chief says Egypt "has room for everybody," urges end to resistance

@highlight

ElBaradei leaves Egypt for Austria after resignation