Madrid, Spain (CNN) -- Sister Maria Gomez is an 87-year-old Catholic nun. This month, she appeared in a Spanish court escorted by police. She is accused of snatching an infant from her birth mother and putting the child up for an illegal adoption in 1982.

Sister Maria Gomez flatly refused to testify and was jeered as she stepped outside the court. The elderly nun wearing a gray habit has become the face of what is known in Spain as Ninos Robados or Stolen Children.

Thousands of newborn babies -- according to groups working with the now-adult adoptees -- were taken from their mothers, straight out of hospitals, and sold to families desperate for children.

At least 2,000 official cases have been filed with Spanish prosecutors, but some believe there could be tens of thousands more, dating as far back as the 1950s and continuing as recently as the 1990s.

So far, it seems the cases, from all across Spain, were individuals making money from misery rather than a nationally coordinated network or organized crime gangs.

But of all these cases, only one person has been named as a suspect, Sister Maria Gomez.

One day after her appearance in court, she issued a statement denying the allegations saying they were deeply disgusting and that she has never known a single case of a newborn being taken from a mother through coercion or threats.

We traveled to Spain to talk to those parents who believe their children were stolen and some who believe they were taken from their birth parents.

Juan Luis Moreno and Antonio Barroso grew up together as childhood friends. Their parents had different interests and different jobs, but the two families vacationed every year in the city of Zaragoza.

Decades later, when both were in their 40s, Moreno's dying father told his son the truth about those summer holidays: Both families were paying annual installments to a Catholic nun. He said the money paid for the illegal adoption of both boys as newborn babies.

"In fact, my dad was given a choice: boy or girl," Moreno said. "They put it bluntly: This was a market for babies."

Moreno said his father told him he had paid roughly double the price of their family home, a huge sum for a working-class family.

The truth angered both men so much that they tracked down the nun - not Sister Maria Gomez - who facilitated the illegal adoption and confronted her. At first she denied receiving any payments, but then slowly remembers both of their adopted parents.

Barroso said: "I was so angry and I threatened her: you're going to have problems. You're going to jail. It was the least I could do because I wanted to strangle her."

"Imagine! She tells you with all the coolness of the world. There were two for the Penedes region. Like we were chickens in the market. Like two kilos of tomatoes. What kind of a twisted mind is this?" asks Moreno .

After that, Barroso set up Anadir, an association for Spain's stolen children. The response has been overwhelming. Hundreds have contacted them in the hopes of finding their lost children or parents.

Anadir has set up a database to register the DNA of parents searching for their children. So far, however, only a handful of matches have been made and the odds of families being reunited are slim.

Read Juan Luis Moreno's birth certificate which lists the couple who raised him as his birth parents and does not mention any adoption

And his DNA test result which says the couple he knew as his parents could not be his natural parents

Ines Perez and her daughter, Ines Madrigal, have a typically loving mother-daughter relationship but are also caught in the stolen babies scandal.

Ines junior is almost a foot taller than her small, stooped mother. She frets about her mother living alone, tidies up her mother's tiny apartment and combs down her mother's white hair.

Ines senior is 89 but still has her health, sense of humor and, most importantly, a good memory.

She remembers the day Ines Madrigal was born, precisely because she was not there.

"She wasn't adopted, she was given as a present for taking care of a boy. They didn't give me flowers or money. They gave me a baby girl," she said.

On the day Madrigal was born, she says the head doctor at the maternity clinic, Dr. Eduardo Vela, summoned her for a "surprise."

When she arrived, she says, he placed a newborn baby in her arms and handed her a falsified birth certificate. The baby was small, born premature, she says.

"The doctor said "Just put her in the car between two hot water bottles," Perez recalls. "A woman came in with the doctor. She was wearing operating clothes and trying not to show her face. Of course, you realize all this [with] hindsight."

In the conversation that followed Perez remembers the woman saying they shouldn't do anything that would cause other women in the clinic to "discover the garlic" -- a local expression for arousing suspicion.

Madrid's prosecutor says pursuing a criminal case has its problems. He says a false birth certificate is a crime that can no longer be prosecuted because it happened so long ago and it does not prove a baby has been stolen.

In a summary of his testimony to investigators in the case of Ines Madrigal, Vela denies any wrong-doing, saying that he only helped women who wanted to put their children up for adoption, never pressuring any mother to do so. CNN tried contacting Vela but he refused to answer questions.

Perez told the story to her daughter when she turned 18. They showed CNN the false birth certificate and the DNA tests that show the two are not related.

But now Madrigal wants to know more. Was she simply given up for adoption or was she one of Spain's stolen babies?

"If I wasn't stolen, then where is the signature of my birth mother?" asks Madrigal. "I just want to know the truth."

@highlight

A nun appears in court on an illegal baby adoption charge that could be the tip of an iceberg

@highlight

At least 2,000 official cases have been filed with Spanish prosecutors

@highlight

So far, it seems the cases were individuals making money, not a coordinated network

@highlight

One man whose father told him they had bought him said: "We were chickens in the market"