(CNN) -- Greece is in a state of political turmoil sparked by Prime Minister George Papandreou's call earlier this week for a referendum on the latest bailout package from Europe.

A confidence vote in his government is scheduled for Friday night -- in the meantime, uncertainty rules.

The crisis is unfolding as leaders of the G-20 group of nations meet in Cannes, France, for economic talks, amid fears that a debt default in Greece could send shock waves through the global economy.

So what could come next for Greece? Analysts see several potential scenarios.

The vote of confidence in Papandreou's government is expected to go ahead as planned, despite discussions Thursday on the formation of an interim coalition or national unity government.

If he wins the confidence vote, he could claim a fresh mandate for his ruling Socialist PASOK party -- although even some within his party think its days in charge are numbered.

Senior PASOK lawmaker Tilemachos Chytiris told Greek state TV channel ERT that ideally Papandreou would win the vote, but a national unity government would then be formed.

If he loses the vote, the government would go into caretaker status until early elections can be held, said Heather Conley, senior fellow and director of the Europe Program at the Center for Strategic and International Studies and a former U.S. deputy assistant secretary of state.

"What's a foregone conclusion is that Papandreou would have to step down and allow a technocratic government that would receive the full support of parliament to be that caretaker," she said.

In another scenario, the leader of the main opposition New Democracy party said Thursday that his party could enter a coalition government with the PASOK party, as an interim stage leading to new elections.

Papandreou's office said he is prepared to enter a national unity government with the opposition, but rejected the condition that early elections be held.

Opposition leader Antonis Samaras later Thursday said Papandreou should step down and called for snap elections within six weeks.

Under Greek law, a vote cannot be held until at least 30 days after elections are called, meaning that the Greek people would go to the polls in early December at the soonest.

In that case, it would be likely that the conservatives would win the most votes but would not have a parliamentary majority, forcing them to form a coalition government, said Kostas Gemenis, an assistant professor of politics at the University of Twente in the Netherlands.

That coalition could include far-right parties or PASOK, but with the New Democracy lawmakers in the driver's seat.

The conservatives have said Greece needs to bargain harder with Europe on any deal.

Another scenario is that PASOK and the conservatives join in a longer-term grand coalition, or unity, government.

That option would give greater stability, as it would avoid elections, and could ensure that Greece stayed in the euro and the European Union, said Gemenis.

As for the planned referendum, the likelihood of it taking place appears to be diminishing.

Papandreou told his Cabinet Thursday he was backing off from a referendum vote because the opposition New Democracy party had agreed to the need to pass austerity measures required by the bailout.

And the office of Finance Minister Evangelos Venizelos said Friday he had confirmed to the European Commission that the referendum had been scrapped.

That news would certainly come as a relief to Europe's leaders. German Chancellor Angela Merkel and French President Nicolas Sarkozy warned Papandreou in Cannes Wednesday that Greece would have to leave the euro zone if voters rejected the bailout plan.

But Greece could find it hard to put the cat back in the bag now it's been allowed out, Conley said.

Although some observers say the referendum will not survive if Papandreou does not, she foresees a scenario where the Greek people demand a say in decisions that will affect them, and their country, for decades.

She warns it could also lead to the governments of other countries, such as the United Kingdom and Italy, facing calls for difficult decisions to be put them to a referendum.

The recent crisis has prompted talk of a "democracy deficit," she said, as people in the different countries within the European Union complain that they have no say in important issues.

Defiance of Europe's wishes would come at a substantial cost for Greece.

At stake is a deal that would wipe out 100 billion euros in Greek debt, half of what it owes to private creditors, and a promise of 30 billion euros from the public sector to help pay off some of the remaining debts. That makes the whole deal worth 130 billion euros ($178 billion).

If its people vote "no" to the bailout plan, European leaders have made clear they will not hand over a sixth tranche of European funds from a previously agreed bailout. The Greek government is expected to run out of money in mid-November, and that 8 billion euro (about $10.9 billion) tranche is needed to keep it afloat.

There are already signs that Greece's domestic banking system is starting to seize up amid the doubts over future European funding, Conley said.

As for the euro zone -- the group of 17 European nations that use the euro as currency -- the top priority will be to stop the turmoil in Greece spreading beyond its borders.

Ahead of the G-20 summit, U.S. President Barack Obama made clear that the stakes were high for everyone and that "contagion" must be prevented.

"The most important task for us is to resolve the financial crisis here in Europe," he said, adding that the United States will "continue to be a partner with Europe to resolve these issues."

Paola Subacchi, research director in international economics at the London-based Chatham House think tank, said it was imperative that a robust firewall be put in place around Greece to stop other countries being dragged down.

Such a firewall would include a better-funded European bailout find and flexible credit for countries caught up on the margins of the crisis, she said.

She predicts that whatever the fate of Papandreou's government, Greece is likely to be in a state of political paralysis for some time. Europe must put provisions in place to allow Greece to leave the euro, if that becomes necessary, with minimum damage, she said.

"The priority now is to focus not on Greece but on the rest of Europe, in particular Italy, which is the country most likely to be affected," she said.

A joint statement from European Council president Herman Van Rompuy and European Commission president Jose Manuel Barroso at the G-20 reiterated Europe's commitment to keeping the euro zone above water.

"Europe is fully aware of its responsibility in these difficult times. We, as the world's largest market, have to play a major role in the global recovery," they said.

CNN's Elinda Labropoulou contributed to this report.

@highlight

NEW: Some in Papandreou's party say a national unity government is needed

@highlight

PM George Papandreou faces a confidence vote late Friday

@highlight

The main opposition leader calls for him to resign and for snap elections

@highlight

Greece has to accept tough bailout terms if it wants to stay in the eurozone