WASHINGTON (CNN) -- Aid started flowing into Haiti Wednesday in the wake of the earthquake that slammed the impoverished nation late Tuesday afternoon.

One of two military cargo planes carrying a 30-man assessment team arrived at Port-au-Prince airport Wednesday evening to assess Haiti's needs. One of the team's first jobs is to get the airport working to a point where it can handle flights from around the world filled with people and supplies to help the victims of the quake.

In addition, a unit of U.S. Air Force Special Operations Forces left Hurlburt Field in Florida, with the unit including airmen, search-and-rescue experts and equipment to set up temporary air traffic control systems.

A Canadian military plane was to depart Trenton, Ontario, laden with supplies at 2 a.m. Thursday.

But the air space was not open to charitable organizations, said Franklin Graham, president of Samaritan's purse, which was planning to send charter planes loaded with supplies to Haiti Thursday morning.

"I hope and pray that they will open that air space first thing in the morning," he told CNN.

U.S. Embassy staff at the Port-au-Prince airport said the tower and the lights were working, U.S. State Department spokesman P.J. Crowley said; a CNN producer said the windows in the tower were broken.

As the scope of the disaster began to come into focus, offers of help began pouring in. Crowley said the Netherlands, Iceland, Puerto Rico, Guyana, Brazil, Canada, Belize, Cuba, Morocco and France all had offered aid. Impact Your World: How you can help

The World Bank promised $100 million in emergency funds for recovery and reconstruction, subject to approval by the World Bank's board of directors.

World Health Organization personnel were planning to depart Thursday morning for Haiti, where their priority was to identify hospitals functional enough to treat the injured and coordinating the international health response.

After relief organizations found themselves tripping over one another following the 2004 Indian Ocean tsunami, they decided to coordinate their efforts with those of non-U.N. organizations in what is called the "U.N. Cluster System."

In the system, WHO plays the lead coordinating role for health; the United Nations High Commissioner for Refugees or the Red Cross does it for shelter; and the World Food Programme does it for food, according to Christy Feig, WHO's director of communications.

Former U.S. President Bill Clinton, who in 1975 honeymooned in Haiti with the current secretary of state, Hillary Clinton, urged listeners to donate to http://www.clintonfoundation.org/haitiearthquake/.

"Anybody who sends us money, we're just going to move it into those supplies quickly," he promised.

He urged world leaders who have already made a commitment at a Clinton Foundation donors' conference to check to see whether they had fulfilled it. "Most countries are way behind on fulfilling it," he said. "They (Haitians) need your help now."

He said that, after the 2004 Asian tsunami, Americans donated more than $1 billion, with a median contribution of $56, and half of the money came via the Internet. "Little donations can add up to big amounts," he said. "Five or ten dollars can make a huge difference. These people are just like you and they're hurting now."

Search-and-rescue teams from cities in the United States headed to Haiti, with a team from Fairfax, Virginia, due to arrive Wednesday in Port-au-Prince, the State Department said.

The U.S. Agency for International Development was expected to have an emergency response team on the ground Wednesday, Crowley said.

The United States was also sending aid by ship, and the crew of the USNS Comfort has been ordered to report to the Navy hospital ship. The ship was expected to leave port in Baltimore within five days of receiving its orders, but it had not yet been ordered to deploy, Capt. John Kirby told CNN. It would take about five days to get to Haiti.

The 7.0-magnitude earthquake struck southern Haiti late Tuesday afternoon, knocking down buildings and inflicting destruction and casualties yet to be tallied, given limited communications and emergency services in the Caribbean nation.

Many other countries have also offered assistance:

• Brazil's Ministry of Defense ordered its troops in the country to offer whatever assistance they can, Brazil's official news agency reported. The South American nation has 1,266 troops -- including 250 in an engineering unit -- in Haiti as part of a United Nations stabilization force.

• China was preparing to send a 50-member rescue team, including three sniffer dogs, the official news agency Xinhua reported. China has 125 peace-keeping police in Haiti, but no diplomatic ties with the country, Xinhua reported.

• Spain was sending three planeloads of aid -- two from Panama in Central America and one from Madrid, the Spanish capital, CNN affiliate CNN+ reported. Spain was also making 3 million euros ($4.35 million) available for aid and will coordinate the European Union response.

• France, Haiti's former colonial ruler, dispatched two planeloads of rescue personnel, one from Guadeloupe in the Caribbean and one from Marseilles, France.

• Russia was sending a mobile hospital with a staff of 45, including 20 doctors, Emergency Situations Ministry spokeswoman Elena Chernova told CNN. The mobile hospital "has intensive therapy, surgery, diagnostics, ultra-sound, X-ray, electrocardiogram modules as well as a blood test laboratory," and can accommodate 50 patients at a time, she said.

• Cuba sent an additional 30 doctors, plus medical supplies, to join the 344 doctors and paramedics it already had working throughout Haiti on humanitarian missions, said Foreign Minister Bruno Rodriguez.

• Iceland was sending a 37-man search-and-rescue team and offered to help evacuate foreign nationals, its foreign ministry said.

• Canada had a five-man team already in Haiti as part of the U.N. relief efforts there. All five were helping with the relief effort, Capt. Elizabeth Tremblay told CNN.

• The United Kingdom and Israel also pledged to send survey teams.

• Under a U.S. State Department program, individuals with U.S. cell phones can donate $10 to the Red Cross by texting "Haiti" to 90999. The State Department said Wednesday afternoon that the campaign had received nearly 83,000 hits.

• Musician Wyclef Jean's Yele foundation is accepting $5 donations for texting the word "Yele" to 501501. Text the word "Haiti" to 25383 to donate $5 to the Internal Rescue Committee. The donations will appear on mobile phone bills, in addition to any charges for texting and data.

• The Jolie-Pitt Foundation donated $1 Million to Doctors Without Borders for operations in Haiti.

"It is incredibly horrible to see a catastrophe of this size hit a people who have been suffering from extreme poverty, violence and unrest for so many decades," said Angelina Jolie in a news release.

The group, also called Medecins Sans Frontieres, said its medical teams have treated more than 1,000 people since the earthquake hit. Prior to the earthquake, its 800 staff members ran three hospitals in Port-au-Prince, but they were all badly damaged. Its teams have been operating out of open-air hospitals since Tuesday afternoon.

The group was focusing on re-establishing surgical capacity to deal with crushed limbs and head wounds, said Paul McPhun, an emergency management expert for the organization, also known as Doctors Without Borders.

• The United Nations was releasing $10 million from its Central Emergency Relief Fund (CERF), Secretary General Ban Ki-moon said. It was also mobilizing an emergency response team to coordinate relief efforts.

• The American Red Cross promised $1 million in aid and said it was releasing enough supplies -- tarps, mosquito nets and cooking sets -- from its warehouse in Panama to meet the immediate needs of 5,000 families.

• Islamic Relief USA, which describes itself as America's largest Muslim relief organization, announced it would fly $1 million in aid to Haiti in coordination with The Church of Jesus Christ of Latter-day Saints.

• The World Food Programme was airlifting 86 metric tons of food from its hub in El Salvador, enough for more than half a million meals, the agency said. The aid included ready-to-eat food and high-energy biscuits.

• AmeriCares was sending $3 million in medical aid, including antibiotics, pain relievers, bandages and other supplies, plus relief workers to distribute the aid. It was also releasing 10,000 pounds of emergency relief and pledging $5 million in aid.

• The U.S. Fund for UNICEF, the United Nations Children's Fund, said it had released $500,000 to assist the efforts of the 10 international staff and 34 national staff in its Port-au-Prince office.

In Jacmel, southwest of the capital, thousands of people have sought shelter in camps set up by the government, UNICEF relief worker Guido Cornale told CNN. UNICEF is providing clean drinking water to the victims and has distributed 2,500 kitchen kits that can be used to set up kitchens in the camps. At least 1,000 people were to be fed a hot meal Wednesday night, Cornale said.

• The United Nations Foundation committed $1 million to address the most urgent humanitarian and re-construction needs in Haiti, UNF Founder Ted Turner said in a statement. Turner founded CNN but is no longer associated with the network.

• The World Health Organization was sending a 12-person team to Haiti to help with the medical response.

• The International Rescue Committee was deploying its Emergency Response Team, focusing on critical medical, water and sanitation.

• The Salvation Army was preparing to send a team from Florida that would include emergency disaster services personnel, including Haitian Salvation Army officers who speak Creole. The organization has more than 60 church/community centers on the island, it said.

• Catholic Relief Services had 340 staff members already in Haiti, and pre-positioned supplies in the country. The group said it would also send staff members from its home office in Baltimore, Maryland, to the neighboring Dominican Republic.

• National Nurses United issued an urgent call for registered nurse volunteers to provide assistance.

• The International Monetary Fund was planning to "coordinate with other international agencies, and mobilize our assistance as quickly as possible," Managing Director Dominique Strauss-Kahn said in a statement.

• Businesses pledging relief in amounts exceeding $500,000 included UPS, Google, Coca Cola, Lowe's, Bank of America Charitable Foundation, Wal-Mart and ConAgra Foods Foundation.

The quake, centered about 15 kilometers (10 miles) southwest of Port-au-Prince, struck shortly before 5 p.m. Tuesday.

Roads in Haiti were unsafe because of a lack of lighting and because many buildings had collapsed into the roads or were threatening to do so, said Ian Rodgers of the relief organization Save the Children.

CNN's Elise Labott, Adam S. Levine, Shasta Darlington, Tom Watkins, Maxim Tkachenko, Per Nyberg, Edvige Jean-Francois, Deb Feyerick, Matt Smith, Mike Mount, Larry Shaughnessy, Khadijah Rentas and Pierre Meilhan contributed to this report.

@highlight

NEW: Aid, search-and-rescue experts begin to reach Haiti

@highlight

NEW: One of two military planes with 30-man team lands in Port-au-Prince to assess needs

@highlight

World Bank promises $100 million in emergency funds for recovery and reconstruction

@highlight

Former U.S. President Bill Clinton: [Haitians] "need your help now"