(CNN) -- When two continents collide, there's inevitably going to be some chaos.

So it is in Istanbul, on the cusp of Europe and Asia, where a serene skyline of domes and minarets looks down on streets teeming with traffic, traders and tourists.

While it seems as if every inch of the city is consumed by the tumult, there are oases of calm.

The Prince islands are, for most Istanbul residents, the ultimate weekend getaway, offering an escape where, crucially for anyone who's ever endured they city's motoring snarl-ups, cars are banned.

A boat ride away in the Sea of Marmara, the islands offer a soothing natural environment, sightseeing and cycle rides.

And because this is still Istanbul, there's also great food.

There are nine Prince Islands, of which Buyukada and Heybeliada are the two of the largest and most popular.

Here's what to do look out for:

Buyukada Island

To make the best of Buyukada, the largest of the islands, it's best to escape the town square -- almost permanently inhabited by a flock of dazed-looking tourists -- and head by foot or cycle to more peaceful areas.

The square is, however, home to an abundance of bike rental places, so it's worth dropping 20 Turkish Lira ($9.20) on a set of wheels.

Those not into cycling or walking can take a ride on the island's most popular mode of transport: a small horse-drawn carriage known as a fayton.

These hoof around the major sights for about 30TL per person, or can be hired for day-long guided tours for about 80TL per hour.

Once out of the town center, Buyukada begins to reveal its charms as nature mingles beguilingly with Ottoman-style architecture.

Getting lost in the maze of backstreets is almost as pleasurable as exploring the island's upper areas, covered by lush pine forests.

Aya Yorgi

The 6th century Aya Yorgi church and monastery, located on Buyukada's highest hill, is one of the island's most significant features.

It's relatively easy to cycle here or arrive by fayton (the trip costs about 30TL) but the 20-minute slog on foot is worth the effort.

The reward comes in the form of a magnificent sea view of distant Istanbul, and also the historic Greek church's beautiful interior.

Walkers might glimpse sewing thread stretching from the path's beginning to end -- the remnants of a ritual believed to grant wishes that is performed annually on April 23 by the faithful.

Naya Hotel

Most people visit Buyukada on day trips, but it's possible to stay longer.

Naya is more of an intercultural relaxation center than a hotel, offering yoga and meditation classes and shiatsu and Ayurvedic massages.

However the lovely wooden villa, with a Marmara view surrounded by palm trees and flowers, does have a handful of airy rooms available to rent.

Naya Hotel, Yılmaz Turk Caddesi No. 96; +90 0216 382 45 98

Sinek Cafe

The town center's seafood restaurants tend to be overcrowded, so it's worth seeking out this hidden cafe with overtly friendly staff and a terrier named Bıdık.

With a few tables set in a garden and an open kitchen area, Sinek's modest menu includes an all-day Turkish breakfast, with sahanda sucuklu yumurta (fried eggs with cured Turkish sausage served in a metal pan) among favorites.

The only downside of this secluded corner is the envy experienced when gawping at the owners' minimalist glass and steel house behind the cafe.

Sinek Cafe, Yılmaz Turk Caddesi No. 110; +90 216 382 35 78.

Heybeliada

Heybeliada boasts many similar activities to Buyukada, but is arguably more pleasant as it's quieter and less touristy.

There are bike rentals (5TL an hour and 15TL for the day) and fayton rides, but walking around the island is a rewarding experience, with little cafes, shops, flower sellers, lounging street cats, and remarkable architecture all waiting to be discovered.

Ruhban Okulu

Visible from the ferry to the island, this amazing structure perched on the highest peak and surrounded by pine trees was once a theology school run by the formidably-named Eastern Orthodox Church's Ecumenical Patriarchate of Constantinople.

The Ruhban Okulu closed its doors as a school in 1971 but is open to visitors today.

The premises also house the Aya Triada church (Chapel of the Holy Trinity) and a garden with a view so breathtaking that it might makes a pretty convincing case for divinity in its own right.

The school's library still functions and welcomes researchers to its vast collection of 120,000 antique books on geography, history, theology, and philosophy.

Isguzar Sokak

Located close to the town center, this street has some of Heybeliada's most notable shops and cafes.

Among them is Evden, offering more than 70 kinds of jam and marmalade made by the owner.

Next door, the vintage styled Luz Cafe has a menu of homemade Turkish favorites and baked goods, and a small shop of handicrafts and organic soaps.

Across the street, Ya Da sells handmade notebooks, items made from deformed gramophone records, birds made from pine cones, and many other unique items.

The shop next door sells antique radios, furniture, and accessories.

For lunch or dinner, Heyamola Ada Lokantasi, across from the Mavi Marmara station, is one of the best options with a colorful Aegean decor and meze (cold starters) such as grilled calamari and patlıcan ezmesi (eggplant puree).

Getting there

The easiest way to get there is by ferry, or vapur as they're known locally.

From the Asian side, the boats push off from either the Bostancı or Kadıkoy ports almost hourly and make stops at Buyukada and Heybeliada plus the smaller islands of Burgazada, Kınaliada.

From the European side, ferries depart almost every hour from Kabatas, making a stop in Kadıkoy and continuing on to the islands.

Passengers can pay using the Istanbulkart (a rechargable card used for all public transportation) or buy a single ticket (jeton) from the machines located in or around the ports.

The ferry ride takes about 90 minutes.

A faster option is Mavi Marmara, a smaller boat that goes directly from either Kabatas or Bostanci to each of the islands separately on an hourly basis. Tickets cost 5TL.

Feride Yalav is a freelance journalist living in Istanbul, Turkey.

@highlight

The Prince Islands offer citizens of Istanbul a peaceful escape from their frenetic city

@highlight

Buyukada and Heybeliada are the two largest and most popular of the islands

@highlight

The islands are car-free havens, rich in flora and exotic Ottoman-style architecture