NEW ORLEANS, Louisiana (CNN) -- As the storm raged outside her hospital room four years ago, an equally consuming force hijacked Alesia Crockett's mind: deep depression.

Alesia Crockett, who suffers from bipolar disorder, ended up in a hospital hours outside New Orleans.

For days, Crockett lay in darkness and a tangle of sweaty hospital bed sheets, one among hundreds of desperate patients trapped inside Charity Hospital in 2005, while outside, Hurricane Katrina and its aftermath battered the city.

Crockett had been admitted to Charity's inpatient mental health unit after having a psychotic episode. She had struggled for years with bipolar disorder, an illness that causes her to volley between euphoria and profound depression.

She said she barely remembers Katrina.

"Most of the time, I was in a fog, but I do remember some things," Crockett said. "Where my room was, I could see thousands of people wandering, and I could see the waters rise."

Crockett, and many other New Orleanians suffering from chronic mental illness -- and those with what is called "soft depression," or nonchronic mental illness -- say Katrina may have relented days after it hit New Orleans proper, but their mental health issues have not.

"Four years later, everything is not all right in New Orleans," said Dr. Jan Johnson, a psychiatrist who treats Crockett.  Watch more on New Orleans' mental health crisis »

While mental health problems grow, the resources to treat those problems continue to wane.

A report about mental health issues in New Orleans after Katrina, published in early 2008 in the journal Psychiatric Annals, lists the number of inpatient psychiatric beds in greater New Orleans at 487 before the storm. Since Katrina, that number has declined to 190.

Most of the remaining beds are dedicated to patients unable to live independently. That leaves what the report's authors describe as a "paltry" 17 beds for acute mental health care in New Orleans.

"The situation is unconscionable, atrocious. I can't use enough bad words to describe it," said Johnson, who is an associate professor of clinical psychiatry at the Tulane University School of Medicine. "Patients are not getting care, they are sitting in emergency rooms for days, and that's just an inappropriate place for psychiatric patients."

For two years following Katrina, after being rescued from Charity, Crockett's illness was controlled with medications. Then in 2007, she stopped taking them, and she had another episode.

"She came to my clinic and was psychotic and really a danger to herself not able to care for herself," Johnson said. "And I had nowhere to hospitalize her."

After leaving the clinic, Crockett bounced among three local hospitals before being transported to the closest medical center with an available psychiatric bed, several hours outside of New Orleans.

"I can remember being in the back of an ambulance, and I kept thinking, 'This is taking so long,' " Crockett said. "I didn't know where I was going. I just remember seeing the sky turn from daytime to nighttime, and we still hadn't gotten there."

Crockett is far from alone, Johnson says.

"The system has been in horrible shape for a while," she said. "We had our problems even before the storm, but comparatively, we had it much better then. It's very frustrating."

And the consequences of not finding a bed for acutely ill patients can be deadly.

In January 2008, a New Orleans police officer was killed by a man suffering from psychosis due to schizophrenia, New Orleans police said. The officer, Nicola Cotton, approached 44-year-old Bernel Johnson for questioning about a rape. A struggle ensued, and Johnson overpowered and killed Cotton with her own gun, police said.

As it turns out, Johnson was no longer under psychiatric care and was not taking his prescribed medication.

Cotton's death trained a spotlight on the deplorable condition of the New Orleans mental health system -- for a moment -- said Rep. Neil Abramson of the Louisiana House of Representatives. Months after Cotton's death, Louisiana allotted millions of dollars to bolster mental health services in New Orleans, he said.

A year later, the funding was gone.

"People are outraged," Abramson said. "Everyone is concerned about consequences you can't quantify. Safety of law enforcement personnel, more psychotic patients out on the street, and more killings instead of people getting the treatment they need."

Abramson is fighting to get back critical inpatient beds. At the center of that fight is the New Orleans Adolescent Hospital (NOAH), which is scheduled to close Tuesday. After Cotton's death in 2008, legislators allotted $14.2 million to NOAH, Abramson says. This year, Gov. Bobby Jindal line-item vetoed that funding.

"That's why this is so critical," Abramson said. "This is the only state-operated mental health facility left in New Orleans. And now there will be none."

Louisiana Department of Health and Hospitals spokesperson says that the veto was justified, and that funding appropriated to NOAH would have resulted in a loss of beds at another local hospital.

"This is much bigger than closing NOAH," said Alan Levine, secretary of the Louisiana Department of Health and Hospitals. "We have to put mental health resources where we know they have the highest opportunity to succeed."

Levine called the debate about NOAH and inpatient beds among New Orleans caregivers and legislators symbolic of overall frustration with mental health care in the area, adding that Louisiana is focusing funding on community-based services, rather than inpatient beds, a strategy that he says will eventually shore up New Orleans' mental health system.

Jan Johnson, the New Orleans psychiatrist, agrees about the need for more community-based services.

"It's part of the answer, but it in no way can really take the place of hospital beds that we need," she said. "Someone with diabetes may be managed outpatient, but if they have a heart attack as a result of it, they need an inpatient bed. Our patients are the same way. We can manage a lot of this outpatient and community-based, but when they have an acute psychiatric episode or they are suicidal, they need an inpatient bed."

Today, Crockett, Johnson's patient, is well. But sometimes, fears about tomorrow creep up on her.

"I wonder sometimes, if I were to get sick, where would I go?" Crockett said. "We are people battling an illness, and we don't need to also have to be faced with not having the availability of beds and hospitals and doctors. If I want the help that I so desperately need, I can't get it because it's not there."

@highlight

New Orleans continues to face crisis of mental health needs, resources

@highlight

Study: Before storm, area had 487 inpatient psychiatric beds; now,190

@highlight

Police officer's slaying by mentally ill man renewed spotlight on city's needs