(CNN) -- Olympic officials discounted an e-mailed threat to the upcoming Winter Games in the Russian city of Sochi on Wednesday, but the reported warning raised new concerns about security at the events.

Olympic organizing committees in the United States and several European countries got an e-mailed warning of a terrorist attack against visitors to Sochi, where President Vladimir Putin's government has mounted a massive security effort to protect the events.

"The IOC takes security very seriously and passes on any credible information to the relevant security services," International Olympic Committee spokeswoman Sandrine Tonge told CNN. But the e-mail received by the national organizations "contains no threat and appears to be a random message from a member of the public," she said.

At least two countries, Slovakia and Hungary, reported receiving e-mails in English that warned about threats to their citizens and Olympic athletes. The Olympic committees for Italy and Germany also confirmed that they had received the e-mail. Others said the warnings had been forwarded to them from other countries or the IOC.

The e-mail received in Hungary suggested that "there might be a terrorist attack against nationals of Hungary and the Hungarian team, and that members of the team may be blown up," Zsigmond Nagy, director for international relations for Hungary's National Olympic Committee, told CNN. Nagy said the Hungarian Olympic Committee had shared the letter with the organizers of the Sochi Winter Olympics as well as the IOC.

Hungary's counterterrorism agency was analyzing the e-mail, but Hungary does not intend to change its plans to attend the Games in Sochi, Nagy said.

The U.S. Olympic Committee also received the message and sent it "to the appropriate authorities," committee chief Scott Blackmun said.

"The safety and security of Team USA is our top priority," he said in a written statement. "As is always the case, we are working with the U.S. Department of State, the local organizers and the relevant law enforcement agencies in an effort to ensure that our delegation and other Americans traveling to Sochi are safe."

Medvedev: Huge security buildup

The warnings come as Russian authorities are clamping down on suspected Islamic militants in the region surrounding Sochi, a resort city on the Black Sea coast. Russia has been battling a low-level Islamist insurgency in the North Caucasus region for more than a decade, and militants have vowed to strike at the Olympics.

Among those hunted by Russian security forces are three women suspected of being "black widows" -- a group of women who have carried out high-profile suicide bombings after government forces killed their insurgent husbands.

Police have handed out fliers with the women's names and pictures to hotels in Rostov-on-Don, a southwestern Russian town through which the Olympic Torch relay was due to pass Wednesday, and in the Sochi area.

In an interview set to air Wednesday on CNN's "Amanpour" program, Russian Prime Minister Dmitry Medvedev said "there are always some threats" to public events, "not only this country, but also in others."

But Russian authorities are aware of those threats and are planning accordingly, he said.

"I am referring to the mobilization, buildup, of police forces, and a huge number of policemen will watch the progress of the Games," Medvedev said.

Over the weekend, as Putin told reporters that his government has a "perfect understanding" of the threat and how to stop it, a video posted online warned that insurgents had "a present" for Olympic visitors.

'Well-fortified'

U.S. Rep. Michael McCaul, chairman of the House Committee on Homeland Security, told CNN's "New Day" show from Moscow that there were no guarantees when it comes to safety, but the security operation in Sochi "is the most impressive and well-fortified that we've ever seen in Olympic history."

McCaul, who has been in Sochi to assess the security situation, said cooperation between U.S. and Russian security teams was good, but there was room for greater intelligence sharing.

The Russians "have been not quite as candid with us," he said. "I think we could help them a great deal if they would open up information sharing more to us."

FBI agents are now going to Sochi to work with their Russian counterparts on counterterrorism efforts, McCaul said.

Amid the concerns, the top U.S. military officer discussed sharing high-tech equipment to counter improvised bombs with his Russian counterpart Tuesday, a Pentagon spokesman told CNN.

The matter came up "on an exploratory level" in a meeting between Gen. Martin Dempsey, the chairman of the Joint Chiefs of Staff, and Russian Gen. Valery Gerasimov, said Col. Edward Thomas, a Dempsey spokesman.

McCaul said President Barack Obama had also spoken with Putin about the issue.

A tight security cordon is in place around Sochi, the Texas congressman said, but it's hard to be sure that no hidden threat exists.

"The problem is, how many of these 'black widows' ... came into this area before the ring of steel came up?" he said. "We also know that one of these black widows actually was able to penetrate the ring in the Sochi area."

Russia has deployed huge numbers of security officials, McCaul said, "but it only takes one suicide bomber to get in to cause a real problem."

'Eyes of the world'

McCaul said it was likely that insurgents would carry out more bombings on softer targets outside Sochi, like those that hit a train station and trolley bus in the southern city of Volgograd at the end of last year. "They know the eyes of the world are on these Olympics, and what better way to make a statement," he said.

Besides U.S. security officers deployed through the diplomatic security service, Olympic teams themselves are also hiring private security teams, he said.

"My concern is the 10,000 to 15,000 Americans who will be at these Games and our Olympic team itself being protected from these potential suicide bombers," he said.

"It's very eerie when you go into Sochi to see the mountains and to think about these black widows, as they call them, who've had their spouses killed by the FSB (intelligence agency), now retaliating through suicide bombing."

However, the Olympic Village itself is "very well fortified," McCaul said, and there's an impressive show of force on the ground.

"We are all very hopeful these will be safe and protected Games," he said.

The radical extremists in the region are historically more interested in targeting Russia than the United States, he added.

Giuliani: 'Tremendous security'

Former New York City Mayor Rudy Giuliani, who's involved in the planning for the 2016 Summer Olympics in Rio de Janeiro, told "New Day" that it was "too late" to reconsider the decision to hold the Winter Olympics in Sochi.

"When you look back on it, it's awfully close to one of the worst situations in the world in terms of terrorism, exportation of terrorism," he said. But, at the same time, "it happens to be in a country that has tremendous security."

Giuliani said he was familiar with the Winter Olympics held in Salt Lake City, Utah, only months after the September 11, 2001, terrorist attacks. Those Games were almost canceled, he said, and had "an enormous amount of security."

As for Sochi, Russia has "devoted more resources to security than frankly I've ever seen," Giuliani said.

"In retrospect, could you have picked a place that's safer? I guess you could ... (but) the minute you hold the Olympics in a place, whether it's Salt Lake City or it's Rio de Janeiro or it's London, you have actually brought all the world's problems to you," he said.

"So yes, Sochi is dangerous because it's close to the Caucasus. However, the minute you have an Olympics, every one of these causes gets attracted to you and you gotta have enormous security."

CNN's Joseph Netto, Stephanie Halasz, Lucy Pawle, Matt Smith and Jason Hanna contributed to this report.

@highlight

An e-mailed threat to national Olympic committees isn't seen as credible, IOC says

@highlight

The U.S. Olympic Committee and several European countries received the threat

@highlight

The warnings come amid a Russian security clampdown ahead of the Sochi games

@highlight

Police are hunting suspected Islamist insurgents, including so-called black widows