(CNN)Harvesting papayas is Lemeul Mantey's livelihood. He's determined to get the best out of his trees, which grow in the farming community of Nsawam, west of the Ghanaian capital of Accra.

To get the juiciest fruit, careful planning and preparation is vital.

"If you want to kill the weeds, you put on your knapsack sprayer, put in water and chemicals, take your protective clothes and then spray," Mantey explains. "You kill all the weeds, that's the practice."

Ghana may not produce as many papayas (also known as pawpaw) as Nigeria, but the country was formerly a big exporter of the brightly colored commodity. These days, it is pineapple which is key for Ghanaian growers, who exported close to 46,000 tonnes in 2011.

Business survival

With labor and input costs increasing for those in the agricultural sector, farmers in the country face enormous pressure to sustain their business. As over 53% of Ghana's total workforce was employed in agriculture in 2013, surviving these harsh conditions is essential for the West African nation. And survival means thinking smart and being business savvy.

"Agribusiness for me denotes the collective business activities that are performed from farm to the dining table," explains Malindube Kombase, regional director of Mobile Business Clinic. "These involve input supply, the production of food and the actual delivery of food to the end user."

The group Kombase runs is devoted to helping farmers and other agricultural workers grow their operations by offering training in good business practices.

"Most agribusiness entrepreneurs are not running their companies as businesses, but rather as lifestyle companies," Kombase says. "Without much vision, without enough corporate governance structures, without proper record keeping systems."

Creative collaboration

The biggest problem Kombase sees with agribusinesses is that key decisions are made by the owners without involving their workers. He considers this management structure as a threat to both the growth and the survival of some agribusinesses.

Through its three-month training workshop, Mobile Business Clinic seeks to improve the skills of CEOs, who in turn will have "better access to appropriate resources for growth." The benefits of working in a collaborative way are stressed to the participants who at the end of the program form clubs to share ideas and support each other.

"Most [participants] are well experienced and have a lot of skills and experience that would be useful for their colleagues," Kombase says. "These clubs form a repository of skills, knowledge and experience that young entrepreneurs, especially in the agribusiness sector, can rely on to start their businesses and turn it around."

Another potential benefit that could emerge from this collaborative approach is diversifying output.

"Farmers are not looking for hand-outs," says Michael Abu Sakara Foster, agribusiness executive for Sacco Farms."[We can] really raise the contribution of agriculture to the GDP, and in fact, diversify the kind of crops that we depend on and also make the economy more robust."

Expanding operations

As well as gaining knowledge from the workshop, some farmers also come away with increased confidence.

"It's very expensive raising chickens in Ghana," explains Anthony Korkuvi, who runs an egg business with his wife in Nsawam. "Chicks are very expensive, then the feed is also very expensive, and then. at times, diseases also disturb us -- especially if you don't give them the right vaccinations."

Having recently completed the training, Korkuvi is now beginning to think big. His plans include expanding beyond Nsawam, and to possibly even Accra. Such a move would require external capital investment.

"There is enough funding available for agribusiness entrepreneurs but most investors would want to see some structures in the businesses in order to have enough confidence to put their money in," argues Kombase. "If there are no corporate governance structures, the investor would not be interested."

Pig farmer Nii Daniel, who also produces chicken and papaya, has seen the benefits of learning business skills.

"I have acquired a lot of insight into my marketing strategy and administration," Daniel explains. "Now I can be able to prepare my own accounts. I have also gotten [to know] that I have to involve the workers, the attendants in my vision, my program. Because I have to let them know the program we have for the farm -- they should also be part of it."

Part of this collaborative approach is involving his neighbor, cattle man Malik Abdul. Now, when Daniel has a problem Abdul is ready to help and he too has changed his way of thinking.

With a solid business foundation, and the help of some good neighbors, these farmers are confident they will reap the rewards.

"If you can't get inspired by these guys, you won't be inspired by anything in your entire life," says Kombase. "We need ... to make sure that they grow their businesses, make a few dollars, but contribute a lot to the food security, not just in Ghana, but in Africa."

More from Marketplace AfricaRead this: S. Africans beef up UAE's food industryRead this: Banana fiber helps landmine victims

@highlight

Over 53% of Ghana's workforce was employed in agriculture in 2013

@highlight

Farmers in Ghana are learning collaborative business practices

@highlight

Workshops are teaching farmers how to expand their businesses

@highlight

Ghana exported 46,000 tonnes of pineapple in 2011