(CNN) -- "The Normal Heart," written by my friend, the brilliant playwright Larry Kramer, and based on his story during the earliest days of the AIDS epidemic, tells a tale that many of us lived through, and many others did not survive. It's as relevant today as an HBO movie as when it premiered on the stage in New York City in 1985.

Back then, The New York Times refused to print the word "gay," and New York Mayor Ed Koch was agonizingly slow to respond to the unfolding epidemic. Fear was everywhere. Around the country, family members shunned infected relatives, doctors were afraid to touch AIDS patients, let alone treat them, and hospital wards filled up with young men covered in lesions, dying excruciating deaths. I've almost lost track of the number of funerals I went to in those years. My friends were dying all around me -- I'm lucky that I somehow survived.

ACT UP, the coalition that Larry founded to address the crisis, coined the phrase "silence equals death" as its rallying cry, and it was no exaggeration. By the end of 1983, AIDS had claimed 2,100 lives, but the government would hardly acknowledge that anything was awry. I can't help but wonder, if those in power had cared more, if they had done more, perhaps we could have ended this epidemic before it began to circle the globe. But they didn't care, they didn't act, and 36 million people have died of AIDS since.

Worldwide, another than 1.6 million people will die of AIDS this year.

In the United States, there will be roughly 50,000 new infections.

While The Normal Heart is a product of a specific time, it is not an artifact. There is still an AIDS crisis -- not only in sub-Saharan Africa, but right here in the America, in your state, in your community. And, just as in 1985, it is silence, fear and stigma that continue to drive the epidemic.

Today, African-Americans represent 12% of the national population, but they account for 44% of Americans living with HIV, according to the Centers for Disease Control and Prevention. Gay and bisexual men comprise only 2% of the American population, but they represented 30% of the nation's HIV infections in 2010.

Around 4,000 Americans are infected with HIV each year because of injection drug use, and one in seven HIV-positive Americans pass through a correctional facility each year. The crisis is particularly acute in the American South, where homophobia is rampant.

I hope HBO's production of "The Normal Heart" will compel a new generation to act up. There is so much work still to be done, but there's also so much potential. The characters in "The Normal Heart," living as they did in the 1980s, didn't understand what they or their friends were dying of, and they didn't have treatments to manage the disease. They hardly knew how to protect themselves.

Today, we know how to protect everyone, and we have the ability to treat every single person living with HIV. Yet AIDS continues to prey upon the most vulnerable in our society: the poor, the incarcerated, sex workers, drug users, and those living in regions where intolerance and stigma are facts of life. Today, as ever, silence equals death.

Elton John uses photography to fight AIDS

As Larry so forcefully taught us nearly 30 years ago -- and as he and Ryan Murphy, the director of the new HBO film, continue to remind us today -- we must speak out against injustice, act with compassion, and fight for equality.

If enough of us raise our voices, we can finally begin to end this epidemic.

Editor's Note: HBO, like CNN, is owned by Time Warner.

@highlight

Elton John: In the 1980s, newspapers wouldn't use term "gay," AIDS was ignored by many

@highlight

He says "The Normal Heart," an HBO film, portrays the days when many of his friends were dying

@highlight

Today's challenges regarding AIDS are different but equally urgent, he says

@highlight

Elton John: We can protect and treat everyone, yet the most vulnerable still struggle