Ciudad Juarez, Mexico (CNN) -- Several times a week, a 74-year-old grandmother drives into the murder capital of the world to help keep a sanctuary for its citizens alive.

Guadalupe Arizpe De La Vega insists on returning to her hometown to preserve the Hospital de la Familia, a health center she started more than 30 years ago.

"It's very, very important to keep that place open, giving good services" to the people of Juarez, De La Vega says. "Because it's their hope."

But her journey from El Paso, Texas, to Juarez has seared some painful images into her mind.

"We were going under a bridge and there was a body upside down without a head, hanging there with all the blood flowing," she recalls. "It was something like a horror movie."

Such sights have become increasingly common in Juarez, as Mexico's drug war has intensified. Nearly 2,000 people have been killed so far this year, including 34 members of the municipal police. That's on top of the 2,623 deaths last year and 1,908 deaths in 2007-08.

Despite the violence, De La Vega's hospital and its staff -- which treats about 900 patients daily, regardless of their ability to pay -- have remained unharmed.

"Our hospital has not been touched. Our doctors have not been kidnapped. This is a miracle of God, believe me," she says.

"Everybody knows that [it's a] safe place for healing, for loving, for empowering people. Why would they be against that? We have been working there for 37 years with the community," she says. "We don't turn anybody away."

De La Vega, who is married to a prominent businessman from Juarez, lived there for decades, but the escalating violence, murder, crime and corruption recently forced her to move to El Paso. She says the tipping point came when her family was threatened.

"They called and they said that they had kidnapped my daughter. They wanted us to send the money, but my daughter came into the room while we were talking to them. More than anything I wanted to protect my three children," she says.

De La Vega says she has lost friends and neighbors in the conflict, but she insists she's not afraid -- and she's determined to help the people of Juarez continue receiving the medical care they need.

De La Vega has always been passionate about health care, volunteering with the Red Cross when she was 8 years old.

She became an advocate for maternal and infant health in the early 1970s after reading a newspaper article about an impoverished mother of nine, pregnant with her 10th child, who tried to kill her fetus by stabbing herself in the stomach.

De La Vega went to visit the woman in jail and asked her why she did not practice family planning. Shocked to learn the woman lacked the most basic knowledge about preventing pregnancy, De La Vega helped her obtain legal counsel and began a quest to educate other women.

She partnered with community health volunteers called "promotoras" in villages across Mexico to help educate women about family planning and support maternal and infant health.

"We want the baby to have a good beginning in life. From there, you can do everything else," she says.

One of De La Vega's first clinics was built in the early '70s where the Hospital de la Familia sits today. It was just a few rooms and was not equipped for delivering babies. But when De La Vega opened the doors to a desperate woman in labor, it started a decades-long expansion process that recently resulted in the birth of the facility's 100,000th baby.

The hospital does far more than deliver babies. With a staff of 144 doctors and 192 nurses, Hospital de la Familia performs emergency care as well as routine and specialized surgeries for adults and children. Six months ago, specialists were brought in to perform the hospital's first successful heart surgery. And De La Vega is always looking for ways to provide more services to the community.

"Every year is a little bit bigger and a little bit better," she says. "We want the poorest people to have the best care because they need it and they deserve it."

Although the Hospital de la Familia does charge patients who are able to pay, it does not currently make a profit -- though it hopes to be sustainable one day. For now, the hospital is funded entirely by a nonprofit organization called FEMAP-SADEC that was founded by De La Vega.

The Hospital de la Familia is just one of the organization's many health care facilities. In addition to seven hospitals and 32 FEMAP-SEDAC clinics across Mexico, the organization also started a microfinancing program and nursing school.

For De La Vega, who frequently visits patients and is active in administrative, operational and financial aspects at the hospital, her work not only saves lives but has given meaning to her own life as well.

"I just love it. Because it's my life, it's my passion. I get the privilege of experiencing the magic moment of change from sickness to health, from darkness to light, from apathy to enthusiasm. This is what gives me meaning to my life."

Want to get involved? Check out the FEMAP Foundation website at www.femap.org and see how to help.

@highlight

Guadalupe Arizpe De La Vega opened a hospital in Juarez, Mexico, 30 years ago

@highlight

With violence plaguing the streets of Juarez, the hospital is more important now than ever

@highlight

De La Vega's nonprofit organization ensures people are treated even if they can't pay

@highlight

De La Vega, 74, lives in El Paso, Texas, but still travels to Juarez several times a week