TEHRAN, Iran (CNN)  -- Iran's supreme leader on Friday rejected opposition claims that last week's presidential elections were rigged, describing President Mahmoud Ahmadinejad's win as "definitive" and demanding an end to days of protests.

Ayatollah Ali Khamenei made his first address since the June 12 presidential elections.

In his first speech since the June 12 election outcome sparked the country's worst unrest in 30 years, Ayatollah Ali Khamenei said the vote accurately reflected the will of the people and accused "enemies of Islam" of stoking anger.

He warned opposition leaders, who are planning a new rally on Saturday, against staging further demonstrations, saying they would be held accountable for any violence.

The "Islamic establishment would never manipulate votes and commit treason. The legal structure in this country does not allow vote-rigging," Khamenei said, in his first address since the elections.

He told a large crowd at Tehran University that the "historic" 85 percent turnout of more than 40 million people was a "political earthquake" and was too large to have been manipulated.

"There is a difference of 11 million votes. How can vote-rigging happen?" he added.  Watch Khamenei dismiss claims of fraud »

Ahmadinejad, whose hardline policies have antagonized Western nations, claimed victory with more than 62 percent of the votes, surprising many experts who had predicted a stronger showing from main opposition leader Mir Hossein Moussavi.

The Ayatollah's speech was likely to come under heavy scrutiny in Iran, amid expectations that, despite conciliatory comments, his strong endorsement of Ahmadinejad will do little to appease Moussavi's emboldened supporters.  Read about Iran's power structure »

Moussavi's allegations of ballot fraud and calls for a fresh vote have rallied thousands on the streets of Tehran and other cities, in scenes not witnesses in country since the Islamic Revolution of 1979 toppled its monarchy.

The unrest prompted Iran to place restrictions on foreign media, limiting their reports on six days of street protests, police arrests and some outbreaks of violence that have left at least eight people dead. Watch militia crackdown »

Khamenei described the dispute over the election outcome as a disagreement within Iran's establishment, accusing "foreign enemies" and "Zionists" -- including the United States, Britain and Israel -- of fomenting violence, and criticizing international media coverage of the unrest.

Britain's Foreign Office confirmed shortly after the speech that it was summoning Iran's London ambassador in response to Khamenei's comments.

His speech was punctuated with exhortations from the crowd, including: "Allah is Great," "Death to Israel," "Death to America," and "Death to Britain."

Expressing support for Ahmadinejad, Khamenei accused rival election candidates of insulting the president in the run-up to the vote.

"They swore and called the president superstitious and called him names, which is embarrassing. They forgot about morality and law," he said.

Khamenei, who has authorized a partial vote recount, said proper legal channels should be used for any challenge to the election outcome. He called for an end to street protests, warning that perpetrators of violence would face punishment.

On Thursday, tens of thousands of demonstrators took to the streets of Iran's capital for the sixth day in a row. Some estimates put the total number of participants in the hundreds of thousands. See where protests have taken place »

Moussavi spoke through a bullhorn from atop a building to the throngs of marchers who snaked through the city, in what was described as a peaceful protest.

He spoke hours after the Iranian government agreed to meet with candidates for crisis talks to discuss complaints stemming from the election.

With restrictions on reporting the unrest, much of the news, video and images emerging from Iran have come via social networking sites, often bypassing authorities' attempts to block applications such as Facebook and Twitter.

CNN's Chief International Correspondent Christiane Amanpour described Khamenei's address as a heartfelt defense of Iran's establishment but said it was uncertain the opposition would heed his call to end demonstrations.  Watch Amanpour discuss speech. »

"That's the all important question. Whether or not the leaders of the opposition -- Mir Hossein Moussavi -- will call on these people to stop their protests is unclear," she said.

"Whether they will end and whether the people on the the streets will listen -- because the protests have been spontaneous. It will be intersting to see after this call from the supreme leader, from whom all power in Iran flows."

Moussavi, who called for a boycott of Khamenei's prayer sermon, was absent from the audience, which included Ahmadinejad and, next to him, parliamentary speaker Ali Larijani, who has previously had a tense relationship with the president.

Former President Ali Akbar Hashemi Rafsanjani, who has been in a power struggle with Khamenei, was not visible on the TV broadcast of the event. Rafsanjani is chairman and overseer of the Assembly of Experts -- which is responsible for appointing or removing the supreme leader. iReport.com: Share images from Iran

In his speech, Khamenei defended Rafsanjani from charges of corruption made by Amhadinejad during a pre-election debate. However, he opened the door to corruption charges against Rafsanjani's relatives.

In discussing Iran's support of human rights, Khamenei slammed U.S. policies in Afghanistan and Iraq .

He even made an apparent reference to the deaths of people -- what he called the "burning alive" of 80 men, women and children -- during the federal siege of the Branch Davidian complex in Waco, Texas in 1993.

"We have raised the flag of human rights through Islam," Khamenei said.

There have been arrests and casualties in civil unrest, with human rights group Amnesty International saying reports suggest that up to 15 people have died. The government maintains seven people have died.

Iranian TV Thursday night aired confessions from people who authorities say were paid to destabilize Iran. It aired remarks from some "terrorists" who said the United States paid them to enter from Iraq to committing terrorist acts against the Iranian leadership.

CNN's Badi Badiozamani contributed to this report

@highlight

Iran's supreme leader rejects claims of ballot rigging in presidential vote

@highlight

Ayatollah Khamenei delivers first speech since election outcome sparked unrest

@highlight

He criticizes protests, says those who caused violence would be held accountable

@highlight

He also criticizes international media for how they have portrayed the election