(CNN) -- Less than an hour before her mastectomy was scheduled to begin, Eve Wallinga's surgeon gave her the bad news: Because of unforeseen complications, doctors wouldn't be able to reconstruct a new breast for her immediately after removing her cancerous breast as planned. She was told she'd have to wait another day for the plastic surgery.

According to one expert, the median time from breast cancer diagnosis to surgery is two weeks: "way too fast."

Wallinga wept openly; she'd dreaded waking up from surgery without a breast, and now she had no choice. "I was devastated," says the 53-year-old writer from St. Cloud, Minnesota, whose breast cancer was diagnosed three years ago. "I felt like the rug had been pulled out from under me."

Today Wallinga considers that delay one of the luckiest moments of her life. She says it gave her the time to investigate other procedures to reconstruct her breast besides the two her surgeon had recommended. With that time, she ultimately made a very different decision.

Wallinga's experience highlights an emerging issue in breast cancer care: With so many choices to make -- Mastectomy or lumpectomy? What type of reconstruction? To get chemotherapy or not? -- there's concern women aren't being properly informed about all the treatment options available to them.

"People are typically presented with 'Here's how it's going to go,' " says Nancy Nixon, director of the Contact Center at the Breast Cancer Network of Strength, which receives more than 45,000 calls a year from people with breast cancer and their families and friends. "Once we explain to them there are other options, the callers say, 'Oh, I didn't even know that was available.' "

According to a recent report from the American Society of Plastic Surgeons, 70 percent of breast cancer patients who are eligible for breast reconstruction procedures were not informed of the reconstructive options available to them.

Nixon says sometimes doctors' hectic schedules prevent them from laying out all the options. Other times, she thinks a doctor might fail to mention or discourage a procedure if he or she doesn't have the training to perform it.

Wallinga's surgeon recommended two reconstruction techniques, both of which she says could have possibly harmed healthy tissue and muscle. Disappointed, but thinking she had no other choice, she agreed to one of them.

Then the delay that had initially so upset Wallinga provided her the chance to look into other options.

"It gave me the extra time to seek out objective information with a clearer head," she says. "I read books and surfed the Internet and looked at studies and before and after photos and researched surgeons' credentials."

Three months after her mastectomy, Wallinga chose a relatively new procedure she says had been discouraged by her original surgeon, but one that she feels was less invasive, less painful and a better choice for her. Now she counsels women on Internet breast cancer chat boards to investigate all options on their own.

"I hear over and over again from women who are not told the whole story," she says. "It really angers me."

To get the whole story about your options, breast cancer experts recommend that first of all, you try to slow down the process.  Watch more on breast cancer and treatment options »

The median time from breast cancer diagnosis to surgery is two weeks, according to Dr. Steven Katz, professor in the departments of medicine and health management and policy at the University of Michigan Health System.

"That's way too fast," he says. "Breast cancer is not a medical emergency. You have a period of time, certainly weeks, to make decisions."

Katz tells patients to weigh all options and get second opinions. "Make no decisions in the first visit to the doctor. Let me repeat: Make no decisions in the first visit," he says.

The sometimes hasty journey from diagnosis to surgery is often initiated by the patients themselves, says Dr. Jennifer Griggs, a breast oncologist at the University of Michigan.

"Many women have the reaction, 'Get this cancer out before it kills me!' They don't realize it's been there for years," she says.

Sometimes even doctors make this mistake, says Griggs, who is also director of the university's Breast Cancer Survivorship Program.

"I had two patients who were physicians and they jumped the queue and had their mastectomies very quickly," she remembers. "They didn't wait for all the tests to come back, and when they did, the tests showed these women could have kept their breasts, but they had that operating room booked."

Griggs also recommends going beyond your surgeon, who is often the first person a patient consults, for advice. For example, she says too many times women will take a surgeon's advice not to have chemotherapy, without meeting with a medical oncologist, who specializes in chemotherapy.

"You really need a multidisciplinary team. Big academic centers have them, but if your hospital doesn't, create one of your own," she advises.

CNN's Sharisse Scineaux contributed to this report.

@highlight

Women aren't getting all breast cancer treatment options, some advocates say

@highlight

Expert: Weigh all options; get second opinion; make no decisions in the first visit

@highlight

There's time to explore options: "Breast cancer is not a medical emergency"

@highlight

Organizations like Breast Cancer Network of Strength can help educate patients