At the dawn of the 20th century, Nikola Tesla wanted to save the world from fuel dependency. Now, an Internet cartoonist wants to save Tesla's last remaining laboratory as a tribute to the futurist inventor.

The structure, a 94-by-94-foot building, was the location where Tesla hoped to develop wireless communications and clean, free energy for everyone in the early 1900s. He moved his operation to the Wardenclyffe Tower in Shoreham, New York, in 1902 -- so named because of a 187-foot tower rising from the ground (as well as being sunk 120 feet below it) that was to be one of the great transmitters for his wireless energy dream.

The facility was lost a few years later due to debts Tesla racked up, and the huge tower was demolished in 1917. The site would ultimately become a Superfund location because of silver and cadmium toxicity in the ground after a photographic film company used it for nearly 48 years. It has now been cleaned up and is no longer harmful.

Tesla died penniless and in debt in 1943.

Currently, the building and surrounding land sit idle and are up for sale. Matthew Inman, the creator of Web cartoon "The Oatmeal," is joining forces with a nonprofit group, The Tesla Science Center at Wardenclyffe, to help preserve the facility as a science center and museum honoring "the father of the electric age."

'Fringe' star examines real weird science

"Tesla is an unsung hero, and there are very few monuments to him in the United States. I feel like that's something we need to fix," Inman said. "I made a comic about Tesla on my site. It got the most 'likes' on Facebook that I've ever seen in my career. Combine (the fact) that I've got this army of Tesla fans and the experience and success with my other fund-raiser, I felt like I was the ideal person to step in to control."

Inman's previous experience with the IndieGoGo crowdfunding site stemmed from a potential lawsuit and his subsequent campaign to raise money for the National Wildlife Federation and the American Cancer Society. This current effort, bluntly titled "Let's Build a Goddamn Tesla Museum," exploded after it was launched, raising more than $750,000 within five days.

It had topped $792,000 as of Tuesday morning.

The goal was to raise enough money to buy the property and begin efforts to restore the facility. The asking price is $1.6 million, and Inman's goal of $850,000 would be matched by a New York state grant for the same amount, raising a total of $1.7 million. Inman said he was shocked by how much, and how quickly, people have donated to save Tesla's lab.

"What I expected to happen was we'd raise 20 or 30 grand and trickle over for the next six weeks. I didn't expect to average $27,000 per hour (in the first few days)," he said. "That was insane."

Inman used the power of social media and drew from his 700,000 fans on Facebook, 300,000 followers on Twitter and over 1 million followers on Google+ to get his campaign rolling. He's also asked the General Electric Company, co-founded by Tesla rival Thomas Edison, to contribute, and received a "modest amount" from Elon Musk, co-founder of PayPal and Tesla Motors.

The site quickly sold out of donation perks, items people could receive for their gift. So the campaign created new perks, using Tesla's love of the number 3 in the amount.

"Tesla, for the past year or two on the Internet, has risen as a cult hero to geek people," Inman said. "I think a lot of people are donating, not to say how noble they are, but are willing to support him."

Wardenclyffe was the last official laboratory where Tesla worked. Jane Alcorn, president of the Tesla Science Center, said he moved into offices in New York City later, but Wardenclyffe was his final experimental location. That fact, along with his efforts to develop green energy, is why the site holds special significance.

"Tesla viewed the Earth as a generator of electricity. He believed that each of the planets resonates," Alcorn explained. "If you could tap into that resonance, you would be able to tap into the energy that is in the Earth and you could bounce it off the ionosphere to any other place on the globe."

Read more space and science news on CNN's Light Years blog

Designed by Stanford White, a pre-eminent architect at the time, the square brick building was originally split down the middle, creating two large rectangular rooms for experiments. The tall tower and the overturned bowl at the top loomed over the countryside, and started out as a transmitter of messages while Tesla turned his thoughts and creativity toward global energy.

"Tesla foresaw the wireless transmissions we do with our cell phones and our laptops," Alcorn said. "He said there would come a day when people would send pictures, messages, words from one place to another without wires."

The inventor convinced banker and philanthropist J.P. Morgan of how beneficial such wireless communication would be to business and received financial backing for his project. But after Guglielmo Marconi sent his radio signal across the Atlantic in 1901, Morgan pulled his funding.

Eventually, the property was lost in 1915 -- to pay off a debt to George Boldt of the Waldorf-Astoria Hotel -- before Tesla could realize his dream of free electricity for everyone. The U.S. government destroyed the tower in 1917, fearing German spies were using it to send messages during World War I.

The property changed hands a couple more times and is currently owned by Agfa-Gevaert, a technology company based in Belgium. The company put the property up for sale in 2009 and got an offer from a potential buyer who wanted to develop the land.

That created a sense of urgency for Alcorn's group, which has been working for nearly 17 years to preserve it.

"When we heard that, and there was a letter of interest with a price involved, all of that made us a little bit wary and concerned because someone could come along and purchase this property before we had an opportunity to make an offer, " she said. "But we didn't have the money to make an offer."

She said her group made a plea on the Internet to the people involved, which attracted the attention of Inman. He reached out to Alcorn to offer his online influence and experience to the effort.

Alcorn said the money raised by the IndieGoGo campaign would just purchase the property and facility, not finance the cleanup or restoration of the building into a museum. If the group is  successful in its bid, she expects it will be a couple of years before the museum opens, while additional funding and exhibits are arranged.

Comments: Edison overrated? Readers praise legacy of inventor Nikola Tesla

@highlight

Backers have launched a campaign to create a museum for inventor Nikola Tesla

@highlight

Tesla, "the father of the electric age," had a laboratory in New York before going broke

@highlight

Creator of "The Oatmeal," Matthew Inman, has raised $750,000 via IndieGoGo

@highlight

Tesla, who died in 1943, foresaw wireless communication and clean energy