NEW YORK (CNN) -- It's been a year since the parents of a severely disabled child made public their decision to submit their daughter to a hysterectomy, breast surgery and drugs to keep the girl forever small. Today, the couple tell CNN, they believe they made the right decision -- one that could have a profound impact on the care of disabled children worldwide.

The profoundly disabled girl known as Ashley, now 10, has achieved her full height,  4 feet 5 inches.

"The 'Ashley treatment' has been successful in every expected way," Ashley's parents told CNN exclusively in a lengthy e-mail interview. "It has potential to help many others like it helped our precious daughter."

While unwavering in their belief in the treatment, Ashley's parents continue to insist on anonymity. In the year since Ashley's parents went public, not only did the hospital that sterilized Ashley admit it broke Washington state law, but also the doctor who treated Ashley committed suicide.

As scrutiny of the case deepens, so too does the chasm in the medical community: Is it mutilation, with doctors "playing God" -- or, is stunting growth a liberating option for caregivers and the disabled children who will need constant care for the rest of their lives?

Ashley is now 10 years old and, at 4 feet 5 inches tall, has achieved her full height and weight, 63 pounds. The treatment permanently closed her growth plates and took more than a foot off her anticipated height.

"Ashley did not grow in height or weight in the last year, she will always be flat-chested, and she will never suffer any menstrual pain, cramps or bleeding," say her parents, who felt it important to publicly address their decision after repeated interview requests, in the hopes of sharing their experience with other families.

They responded by e-mail only, to protect the family's identity. (Read the complete interview)

Ashley's current state -- to them -- is the definition of success.

She was born brain-damaged, with a condition described as static encephalopathy, or cerebral palsy. One of her doctors described her mental capacity as that of a 6-month-old, dependent upon her parents to meet every need. She does not walk or talk; she's fed through a tube and wears diapers. When Ashley was 6, her parents approached Children's Hospital and Regional Medical Center in Seattle, Washington, for the operations. They believed this would make it easier to cuddle and carry a child who can do little more than lie propped on a pillow.

Weight and height are the "worst enemy," they write, for children such as Ashley, for whom they've coined the term "pillow angels."

In 2004, Children's Hospital performed a hysterectomy, removed Ashley's breast buds and gave her high-dose estrogen to retard growth and sexual maturation -- a procedure that has risks, but to date has not harmed her, her parents say.

While the "Ashley treatment" was first published in the October 2006 issue of the Archives of Pediatrics & Adolescent Medicine, it wasn't until the family posted its blog last year that a firestorm erupted in the blogosphere, with responses from "inhumane" and "perverse" -- to "walk in our shoes."

"If parents of children like Ashley believe this treatment will improve their children's quality of life, then they should be diligent and tenacious in providing it for them," her parents write. "We have a sacred duty to do what we believe is right for our children."

But in Ashley's case, what her parents thought was right wasn't legal.

In May 2007, Children's Hospital admitted it broke state law by giving Ashley a hysterectomy without a proper court review. To perform any such treatment today would require a court order, as well as review by a panel of experts in medicine and ethics and people with disabilities, says Dr. Douglas Diekema of Treuman Katz Center for Pediatric Bioethics, the consulting ethicist on Ashley's case.

So, will doctors stop the growth of more children like Ashley?

Right now, no growth-attenuation therapy is being administered by other doctors anywhere in the nation, according to pediatric experts. Supporters wonder whether another factor, the suicide in September of Ashley's endocrinologist, Dr. Daniel Gunther, may have slowed wider adoption of the treatment.

"We know from reliable sources his treatment of our daughter was a source of energy and motivation for him," Ashley's parents write. "He was frustrated about being blocked from providing this treatment to other children in need. He strongly believed this treatment should be available to them."

The family appears to be the lone voice with that opinion; CNN shared the family's comment with Children's Hospital, but did not get a response. In media reports, colleagues and family members were said to believe Gunther's suicide was not related to the treatment of the girl.

Another complicating factor -- some doctors remain adamant the treatment shouldn't be available.

"Adults can consent. But for a child, we're making decisions for them and hoping in our heart of hearts we are making the right decisions," says Dr. Nancy Murphy, chairman of the American Academy of Pediatrics Committee on Children with Disabilities.

Murphy will push for consensus among doctors at a pediatrics conference later this year, but acknowledges strong discord as critics continue to insist that keeping children small reduces them to a permanent infant-like condition, denying the basic human right to experience an adult body, adult feelings and adult relationships. But for Ashley, that may be moot.

"[This disability] shatters the reason we become parents: to watch kids grow, to be part of their lives and to launch into their own lives," says Murphy. "When you have a child with lifelong dependency, you don't get to launch your kid, and your caregiver options are limited."

But like many other people with disabilities, 43-year-old Anne Rader, who also has cerebral palsy but in a much less severe form than Ashley's, sees the treatment as dehumanizing -- and perhaps most significantly -- irrevocable.

"The parents are not seeing the potential of the child; they are seeing a baby," says Rader. "People with disabilities have to look at the potential of our lives: of available new technology, new equipment, medical advances. Things can change so quickly now."

Some ethicists, too, remain staunch in their assessment that the "Ashley treatment" is a violation of not only human dignity, but also of a physician's oath to do no harm.

"I think mutilating surgery involving removal of breast buds is indefensible under any circumstances," says Arthur Caplan, the chairman of the Department of Medical Ethics and director of the Center for Bioethics at the University of Pennsylvania. "Growth retardation is not a substitute for adequate home aides and home assistance."

Ashley's parents remain convinced what they did for Ashley is the most loving choice they could have made for their daughter and want that for other disabled children.

"We feel that if our time and effort ended up helping a single pillow angel... then it is worthwhile." E-mail to a friend

@highlight

Parents of severely disabled "pillow angel" say controversial treatment is success

@highlight

Girl had hysterectomy, other treatments to stunt her growth

@highlight

Parents' blog about "Ashley's treatment" created firestorm of Internet debate

@highlight

Expert: No consensus among doctors on whether treatment is appropriate, ethical