(CNN) -- William Fox-Pitt sounds rather like a character straight out of the pages of a novel and, at times, his life has played out like one.

He used to teach the "Queen of Pop" Madonna how to ride a horse, while his first wife left him for his arch-rival on the three-day eventing circuit, Andrew Nicholson.

It is a career beset by tragedies too -- of riders and horses -- that made him think twice about climbing back into the saddle.

But now happily married for a second time, the Briton has three children and a myriad of victories.

At the age of 45, the world No.1 is still riding and is still desperately seeking that elusive Olympic gold medal.

"If I'd won gold at London 2012, it might have been different," Fox-Pitt, who won team silver at his home Games, adding to the bronze he won in Beijing four years earlier and another silver secured in Athens in 2004, tells CNN.

"That would have been a good time to think I'll kick back. But I'm still living the dream over again.

"Of course, there's the sense that I've used up a lot of good luck in an obviously dangerous sport. But if you're doing something you love, it's worth the risk.

"In the front of your mind, there's that sense you could have a prang and end up in a mess. But this is a calculated risk. If your number is up crossing the road, riding a horse or getting in the car, that's how it is. It certainly makes everything feel more fragile."

It is 23 years since Fox-Pitt thought about walking away from the sport altogether. Competing at the prestigious annual Badminton event in the UK, his mount Briarlands Pippin lost a shoe just before a fence, slipped, flipped over at the fence and had to be put down because of a broken neck.

For all the bravado required for such a dangerous sport, Fox-Pitt talks of that moment as though the emotional wounds are still raw.

"I was really quite damaged by that," he recalls. "I remember being very unsure whether I thought this was a good sport. I've had some bad falls, times when I've woken up in the air ambulance, I've had friends that have died doing this.

"And yes you do ask yourself, 'what on earth are you doing?' But if you're going to break your neck, you might as well be doing something you love. Thankfully I'm still hanging in there."

This is not the rider nor family man brushing off the obvious repercussions of a fall, but rather the elite athlete in him knowing that he cannot spend too much time dwelling on the what ifs of his sport.

That sport reached its nadir in 1999 with five rider deaths in as many months, a period Fox-Pitt described as a "freak year".

Improvements in safety have steadily come into force in the proceeding 15 years, with collapsible fences and inflatable jackets for riders.

But while Fox-Pitt wants to be safe, he does not want to entirely eradicate the inherent dangers of horse and man riding over gargantuan fences, often at breakneck speeds.

"I think there has to be an element of risk, otherwise no one would want to do it," he explains.

"It's a bit like Formula 1. I'm sure the guys are the same before a race -- at the start of the cross-country I get that feeling in the pit of my stomach. It's the excitement, the anticipation and the nerves. It's a very raw feeling ahead of what you're hoping to conquer."

The Briton, who was educated at Eton, where Princes William and Harry and British Prime Minister David Cameron among others attended, is bemused as to how he has made it to the pinnacle of his sport.

Modest to the core, he says: "I never thought this would happen. When I started competitively I was quite average. Riding was just a family thing to do."

But that modest beginner has managed to become the golden boy of eventing, something which seemed to catch the attention of Madonna when she was married to Guy Ritchie and living in the UK.

"Well, I'm not sure it was because of what I'd achieved but just simple geography that she approached me -- she lived nearby with Guy Ritchie," Fox-Pitt says.

But how was it teaching the notoriously volatile "Queen of Pop" how to ride?

"It was a very enjoyable and surreal experience," Fox-Pitt, who taught her for two or three years, says. "When she arrived, no one could quite believe it was happening and there is something about her that's quite extraordinary, but it was also all very normal, she was very normal.

"Horses are great releases for people and I think the riding was just that for her. Needless to say she took it very seriously. She's quite feisty and we had a few, how should I put it, heated debates about stuff. It was a fun time but it's all in the past now."

Similarly in the past is Fox-Pitt's previous life with Wiggy, his first wife, who left him for Nicholson, the New Zealand horseman who is currently ranked second in the world.

Fox-Pitt, however, can now look back on the separation and laugh.

"It was a bit like something out of Eastenders," he says. "I can see people like to make a lot of the rivalry and that's good for the sport. It adds an interesting twist to something that can often be dull I guess.

"It's someone that the media and people supporting make quite a hoodoo about and that can be quite tiring. Everyone seems to have their team -- his or mine. I guess it's fun for most people."

The relations between the pair are understandably still frosty because of their personal and professional lives, while there are few words exchanged between the two riders, except for the odd congratulations should one get the upper hand on the other.

Yet there is so much more to Fox-Pitt than the remarkable horseman that he is.

There is his indomitable mother, Marietta, who spurred him on to ride and would not accept his occasional decisions to quit.

There are the contradicting aspects of him -- that he is part of the bloodline of William Pitt, British Prime Minister in the 18th Century, which contrast to the black eye he sported after sumo wrestling at his bachelor party, prior to his second marriage to the television presenter Alice Plunkett.

But first and foremost, he is known for pulling off the ultimate equestrian juggling act, mastering the three complex disciplines of dressage, cross-country and show jumping.

Quite how much longer he will ride is a question he cannot answer. Rio de Janeiro 2016 is an obvious cut-off point but, then again, so was London 2012.

"I really had to do London -- if I hadn't that would have been devastating -- and in many ways everything else is a bonus," Fox-Pitt adds.

"It takes a long time in eventing to build up your business, horses and sponsors and to finally make some money. My horses wouldn't retire and I'm not sure I could see someone else ride them.

"I could do without the sick feeling in my stomach before a big event but I'm not done yet. I'm still having fun."

@highlight

Fox-Pitt risks life and limb in his bid to remain the world's No.1 three-day event rider

@highlight

He has toyed with quitting the sport after the deaths of close friends and horses

@highlight

When Madonna lived in the UK, he used to teach the "Queen of Pop" how to ride

@highlight

His heart is now set on winning a so-far elusive Olympic gold medal in 2016