(CNN) -- Former U.S. Marine Dan Hottle knew he had found his dream job at Yellowstone National Park.

Hottle grew up going to the national parks on family vacations, exploring parks in New Mexico, Colorado and the rest of the Southwest.

After he left the U.S. Marine Corps in 2002, his combat tour in Afghanistan was still on his mind. Just walking into a convenience store created sensory overload. So he bought a backpack, filled it with camping gear and hiked national parks extending from California to the Midwest.

"Where I had just come from was so austere," he said. "So the national parks were the perfect place to be by myself. It's the best thing I could do."

Hottle had worked as an enlisted public affairs specialist in the military and had run his own video production business after being discharged. Keeping his eyes open for jobs in the federal government, he noticed a job posting for a spokesman at Yellowstone that seemed too good to be true. With his wife's encouragement, he applied and got the job two weeks later.

Yellowstone's military history

Hottle is one of many military veterans who have worked for the National Park Service and at Yellowstone, the nation's first national park, established in 1872. The U.S. Army administered the park for the first 32 years of its existence, and many of its first park rangers were veterans. Yellowstone's headquarters are old Army barracks dating to the early 1900s.

About 300 full-time employees live there year-round. "It's pretty rural and only packed with visitors in the summer," he said. "We have seven months of winter, so you have to be really outdoorsy and love your surroundings."

It can also be brutal. "Nature is what's driving life here," he said. "We've seen the most brutal acts of nature happen in our front yard. I accept it because I know where I live, and I know what I'm seeing.

"I saw an injured bison on the road, and I know it's going to be food for a grizzly bear later this afternoon. That's hard for people to get their heads around. They think it's cruel and inhumane for some of the natural processes to occur. But they get it when we explain it to them."

Park stats: Yellowstone National Park was the fourth-most-visited national park (PDF) in 2012, with 3.4 million visitors last year.

The location: Yellowstone is located on 2.2 million acres, mostly in Wyoming's northwest corner. (Just 1% is in Idaho, and 3% is in Montana.) Although Yellowstone is open year-round, just one road from Cooke City, Montana, to Mammoth Hot Springs, Wyoming, is plowed in winter.

See an interactive map of Yellowstone National Park

If you go: Park admission is $25 for a private, non-commercial vehicle, $20 for a snowmobile or motorcycle and $12 for visitors ages 16 and older arriving via foot, bike, skis, etc. Passes are valid for seven days and grant admission to Grand Teton National Park. (Save your receipt for proof of payment.)

Permits are required for boating, fishing, backcountry camping and weddings.

For a day trip, don't miss: Canyon Village, in the center of the park. While Old Faithful Geyser is the big draw for first-time visitors to Yellowstone, it can take the whole day to enjoy and get around the geyser basin where it's located. Hottle likes to send people about 25 miles away to Canyon Village, which features the Grand Canyon of the Yellowstone. Formed by the Yellowstone River, the canyon is about 20 miles long with widths ranging from 1,500 to 4,000 feet and depths of 800 to 1,200 feet. It's also fairly young, estimated to be between 10,000 to 14,000 years old.

"I think it's the prettiest part of the park," Hottle said. "It's got bears, elk, bison, wolves. If you're going to see any animal, you're going to see it in the middle of the park."

If you're determined to see Old Faithful, don't miss the nearby Grand Prismatic Spring. "The vibrancy of the colors around the spring are created by natural bacteria," Hottle said. "Those are quintessential colors of science and Yellowstone."

Favorite less-traveled spot: Hottle's favorite spot doesn't have a name. It's in the northeast corner of the park, just outside Lamar Valley and near Cooke City, Montana.

About 55 miles from his home in Mammoth Hot Springs, Wyoming, "it's the most rugged and mountainous part of the park," he said. "It feels like you're in the Swiss Alps with rugged young mountains that pop up, getting most of the snowfall in the park and raging rivers. There aren't a lot of visitors."

His family hikes there year-round, snowshoes and skis there in the winter and has picnics there in the summer. "It's where we see the most wildlife," he said.

Favorite spot to view wildlife: The rangers will tell you that anytime you go off trail anywhere in the park, there's a good chance you'll spot wildlife. Still, Hottle likes his chances on the drive through Blacktail Plateau.

Early in the morning or later in the evening, when he's driving the only car on the road, Hottle likes to stop at a pullout about halfway to Lamar Valley, where he can sometimes hear wolves howling. He doesn't have to hike more than one or two miles for a good chance to see a wolf pack or any of other animals that live in the park.

Although the spot is well-known in the wolf watching and backcountry hiking community, he said, "most people would drive right through it."

Most magical moment in the park: He remembers a moment with a five-point bull elk at Phantom Lake in 2011. Near Blacktail Plateau, the lake usually fills during the spring melt and dries up by July. But sometimes it can last throughout the summer.

As the sun was setting, "I sat down on a rock to look at the water, heard a snorting noise and saw a five-point bull elk swim out into the water in front of me," he said. "I just saw his great big eyes and heard his breathing, swimming almost silently."

Hottle watched the elk swim to the side of the lake and climb out of the water.

"He shook himself off -- he weighed 700 pounds maybe -- and ran over the other side of the road into the trees. Before he disappeared into those trees, he looked at me. A wildlife-to-human moment."

Watch the elk swim through Phantom Lake

Funniest moment at the park: Moments after he spotted that bull elk, a tourist asked him, "Where's the wildlife?" Every day, people come up to him and ask him that question, and "behind them are 30 elk" or other wild animals, he says. "I think that's pretty funny."

"You can drive around for two weeks and not see a bear, and then three show up in my front yard," he said. "You just get lucky."

A ranger's request: Don't try to admire the wildlife and scenery while driving. "We have so many vehicle accidents here because (people) are trying to see the whole thing through their windshields while they're driving," Hottle said. "I don't take my eyes off the cars passing me for a second, and everyone is in their cars with their heads turned sideways."

Don't stop in the middle of the road, either, although visitors often do. "You can start your own traffic jam," he said.

Instead, stop in pullouts and park your car to admire the spectacular natural landscape.

Another request: Stay away from large animals. For three months in the summer, park rangers use orange cones to block off elk calves resting in the grass. "Female elk with calves can take people out," Hottle said.

Another park he likes to visit: Glacier National Park. Even though it's next door in Montana, it's a nine-hour drive for Hottle and his family to get there. "It's just spectacular," he said.

"There's a wildness about Glacier that makes it even more dangerous and adventurous than Yellowstone," he said. "You can step off the road and walk five minutes into the woods and be completely lost. If you step away from your car, make sure have your GPS and radio and bear spray."

What national park would you like to visit? Please share your thoughts in the comments section below.

@highlight

The nation's first national park has a history of veterans working in its ranks

@highlight

The Grand Canyon of the Yellowstone is a highlight of Canyon Village

@highlight

The changing colors of Grand Prismatic Spring's steam are due to bacteria