(CNN) -- The history of U.S. sanctions against Iran dates as far back as 1979, when hostages were held at the U.S. Embassy in Tehran. Over the years, the U.S. government has approved other sanctions. In 2010, amid increasing tensions of Iran's nuclear program, the United States instituted sanctions that U.S. officials described as "unprecedented."

The United Nations and the European Union, and other countries around the world also have sanctions against Iran.

The following are some key steps in the efforts to sanction Iran.

U.S. sanctions:

-- As a result of the hostage crisis in 1979, the U.S. government froze Iranian government assets in the United States and U.S. banks overseas, totaling $12 billion, according to the U.S. Treasury. That freeze was eventually expanded to a full trade embargo until an accord was signed with Iran in 1981. Most assets were unblocked and the embargo was lifted.

-- In 1987, the United States imposed a new embargo on Iranian goods and services, "as a result of Iran's support for international terrorism and its aggressive actions against non-belligerent shipping in the Persian Gulf," the U.S. Treasury says.

-- In 1995, the United States banned "involvement with petroleum development in Iran," the U.S. Treasury says. Two years later, the United States banned "virtually all trade and investment activities with Iran by U.S. persons, wherever located."

-- In 2010, the United States passed the Comprehensive Iran Sanctions, Accountability, and Divestment Act. It revoked, for example, permission to import "certain foodstuffs and carpets of Iranian origin," the U.S. Treasury says. Those who violated the law could face a fine of up to $1 million and 20 years imprisonment.

-- The law established that Iranian goods or services may not be imported unless they are gifts valued $100 or less; informational materials, or personal property of someone coming into the United States.

-- U.S. citizens may not export goods or services to Iran or, in general, to a third country knowing it is intended for Iran. There are exceptions for "donations of articles intended to relieve human suffering," gifts valued at $100 or less, certain agricultural products, medicines, and informational materials, the Treasury says.

-- The U.S. government prohibits "servicing accounts of the government of Iran," including the country's central bank.

-- In 2011, the United States added further sanctions, including tightening restrictions on companies that provide Iran with equipment and expertise to run its oil and chemical industry. It prohibited groups that do business with financial institutions in Iran from holding accounts in the United States.

-- U.S. sanctions also targeted groups in Iran -- such as the Islamic Revolutionary Guard Corps, the Basij Resistance Force, and Iran's Law Enforcement Forces -- as well as several individuals in Iran.

U.N. sanctions:

-- Current U.N. sanctions against Iran are the result of a series of resolutions dating back to 2006.

-- Material related to Iran's "proliferation-sensitive nuclear and ballistic missile programs" are embargoed, the United Nations says.

-- One of the resolutions bans the export or procurement "of any arms and related material from Iran," the U.N. Security Council says.

-- A long list of individuals and entities are subject to a travel ban and assets freeze. "The assets freeze also applies to any individuals or entities acting on behalf of, or at the direction of, the designated persons and entities, and to entities owned or controlled by them," the council says on its website.

EU sanctions:

-- The European Union announced Monday it will ban the import of Iranian crude oil and petroleum products.

-- Assets of Iran's central bank in the European Union will be frozen, and trade with Iran in gold, diamonds, and precious metals will be blocked, the union said.

-- The export to Iran of "key" petrochemical equipment and technology from the European Union will be blocked, the it said.

-- The European Union already had in place a series of sanctions as well, targeting the oil and gas industry, nuclear industry, financial sector and more.

-- Measures put in place in 2010 include restrictions on "equipment which might be used for internal repression," the official text said.

@highlight

Most sanctions from the 1979 hostage crisis were lifted after an accord two years later

@highlight

Some current U.S. sanctions date back to the 1980s

@highlight

The United States, the United Nations and the European Union all have sanctions against Iran