(CNN) -- Well, so much for the idea that Americans don't care about soccer.

The U.S. National team made it out of the so-called "group of death" Thursday to advance to the knockout round of competition at the FIFA World Cup in Brazil.

Regardless of how much further the Stars and Stripes advance in the biggest sporting event on the planet, they already have revealed something that even casual observers can see.

Soccer is now woven inextricably into the fabric of American life.

Television viewership numbers continue to set new highs with each U.S. game The proverbial office water cooler has been abuzz with chatter about the U.S. team's dramatic 2-1 win over Ghana and its heartbreaking, last second 2-2 tie with Portugal. "Where are you watching the game" has become the question of the day. Thousands filled the streets for viewing parties in Chicago, Pittsburgh, Kansas City, Seattle and Washington -- in the middle of the workday.

Soccer used to be their game -- the Europeans, the South Americans, the Africans. Today it is our game too, bringing the nation together in a passionate embrace of its athleticism, its skill and, yes, its excitement.

But it hasn't always been this way. Even after the U.S. hosted the World Cup for the first time in 1994 -- setting attendance records that still stand today -- many still dismissed soccer as somehow not quite American.

Some, like political commentator Ann Coulter, still do. She wrote Thursday in the Clarion Ledger: "I promise you: No American whose great-grandfather was born here is watching soccer," she said in an op-ed. "One can only hope that, in addition to learning English, these new Americans will drop their soccer fetish with time."

A few million Americans disagree. Slowly, but surely though, soccer has grown on us as a nation.

Why? A changing America has become younger and more diverse, and those two demographics simply love soccer more than their parents.

Increased immigration from regions where you learn how to kick a soccer ball as soon as you learn how to walk -- Latin America, Africa, Europe -- and particularly, our growing Hispanic population, is only deepening the nation's relationship with soccer.

In the U.S., the Latino population has soared to 17%, according to the U.S. Census. And that number is only growing. And by most estimates, the U.S. will be more non-white than white somewhere around 2043, with most of that growth coming from countries where soccer is the dominant sport.

And members of the Millennial generation -- those born between 1980 and the early 2000s -- have been big drivers of the growth in soccer in the U.S. Between 1990 and today, the number of players registered in organized youth soccer programs doubled to 4 million, according to the U.S. Soccer Federation, the governing body for the game in the United States. While most Baby Boomers cut their sporting teeth on football, basketball and baseball, today's young adults are arguably the first generation to grow up with soccer as a major sport in their lives from their earliest childhood memories. It's a widely shared experience among today's young adults.

Today, soccer is the second favorite sport for those 12 to 24 years old. It's the third largest participation sport in the country. Soccer is the team sport with the highest growth rate over the past decade. That 41% of players are women only broadens its appeal.

U.S teams performing increasingly well on the international stage hasn't hurt either. The U.S. Men's National team has qualified for seven consecutive World Cups. Our Women's National team is ranked No. 1 in the world.

While interest naturally peaks among aficionados and novices alike during a mega event like the World Cup, and subsides afterward, this is not a passing fad.

Total attendance at soccer matches in the U.S. in 2013 exceeded 10 million, according to attendance figures compiled by U.S. Soccer. Our country has become the largest market in the world for international matches, according to the U.S. Soccer Federation, the governing body for the game in the United States.

At the professional level, Major League Soccer has expanded to 22 markets and there is more soccer on television in the U.S. than any other country in the world. Some 2,928 matches from around the world were shown live in 2012. TV ratings for the World Cup have already topped the NBA Finals and the World Series in America -- Sunday's game against Portugal brought in more than 25 million viewers and was the most-watch soccer match in U.S. history. It is a niche no more.

But we need to make it even more accessible. For example, the standard pay-to-play model -- where participation in local leagues can cost parents as much as $1,800 per child, not including travel -- has been a barrier to access for children and families in low-income communities. The U.S. Soccer Foundation is working to provide thousands of children and families in under-resourced communities with easy and affordable access to quality soccer programming and safe places to play.

Not too many years ago, the standard joke was that soccer was the game of the future -- and always would be. Well, it seems the future is finally here and it's here to stay.

Join us on Facebook.com/CNNOpinion.

@highlight

Ed Foster-Simeon says the World Cup has shown soccer in America is not just a passing fad

@highlight

America has become younger and more diverse, and loves soccer more than previous generation

@highlight

Growth is spurred from regions like Latin America, Africa, Europe, where soccer is the primary sport