Tijuana, Mexico (CNN) -- Part of the fence separating the United States and Mexico sits about 50 yards away from hundreds of tunnel-like holes and makeshift tents where people live, stuck between two countries.

Trash surrounds the area, driven there by the sewage that runs through the nearby Tijuana River channel. The odor of rotting food and feces oozes from the ground; the warm weather and hot sun worsen the smell.

The stench makes it hard to breathe, and it's harder to fathom how any human being could live in these conditions. Yet, an estimated 4,000 people call this place home, a stretch known as "El Bordo," or "the border," wedged along the U.S.-Mexico border. It's inside Mexico, just outside the city limits of Tijuana.

With a disheveled shirt and shorts covered in dry gray sludge, Fernando Miranda smiles and points towards the fence, signaling the location of the place he once called home. He hasn't seen it in three years.

"I am heading back there and nowhere else. There is no way in hell I am staying here," Miranda said.

Life on the border is complicated

Miranda and the others living in El Bordo are stuck in between two countries and their laws.

He has nowhere to go and no place to call his own. Miranda was born in Mexico, and 25 years ago he illegally immigrated to the United States, the country where he worked and prospered, where his children were born, educated and given better opportunities.

Miranda was sent back to Mexico in 2011, one of 2 million people who have been deported since President Obama took office.

Last year, U.S. Immigration and Customs Enforcement removed close to 369,000 undocumented immigrants -- most from Mexico and Central America -- from the United States. About 40% of those deported were sent back through the San Ysidro Port of Entry in Tijuana, according to Mexico's National Migration Institute.

Opinion: Why I fasted for immigration reform

They arrive in Mexico with no form of identification, no money and often only the clothes on their backs. Most of those deported have no connection to Tijuana, no family or friends, and some can barely speak the language.

That was the case for 37-year-old Miguel Valdez, who was in the United States legally just last week. He grew up in Los Angeles, having arrived in the United States with his parents when he was 4 years old. His mother and father came in illegally, but as an adult, Valdez got a green card, a four-year college degree and a job as a computer programmer.

Then he got into trouble, arrested and convicted for drugs and illegal possession of a gun. After serving a five-year prison term, Valdez had his green card revoked just last week, and he was put on a bus and dropped off near Tijuana.

Valdez has been wandering the unfamiliar streets of this foreign city for days, unable to find food, a job or a place to sleep. He speaks so little Spanish that he's afraid to ask for directions or help.

He couldn't express in words what had happened to him: In the space of one week, he had gone from American resident to citizen of no-man's land.

"It just feels the gate itself is so far away, even if I'm standing right next to it," Valdez said, staring at the border separating him from the United States.

Living in a hole in the ground

Miranda has been in El Bordo long enough that the others call him "El Chino," a reference to his wild, curly hair. He hasn't had a haircut in years.

His home, as he calls it, isn't much of a home but rather a deep hole in the ground cleverly built with trash and dirt. Shoestrings and pieces of clothes keep the wooden sticks and plywood together. The roof is the most impressive.

"See, it's pretty strong," Miranda said as he jumped on it. He seems to be proud of his efforts and shows off his construction skills, gained over years of working in Silicon Valley as a laborer. He and three other men helped built it.

Deportations split families

Since his deportation in April 2011 -- the result of a traffic stop -- Miranda has lived in the slums of the Tijuana River canal. He arrived with nothing but the clothes he was wearing. Returning to his home state of Michoacan was not an option. After having lived in the United States for 25 years, Miranda had a home, a job and, most important, a family: a wife and four children, all American citizens.

Miranda doesn't care to stay in Mexico, and he quickly learned that Mexico didn't care for him to stay, either.

According to him, police in Tijuana assume that all deportees are criminals and drug addicts and consider them all a nuisance. The police constantly harass them for no reason, he says. The deportees have to hide underground to evade local authorities, and for them this is the safest place in Tijuana.

"I feel a lot worse here. Discrimination is a lot worse here. I am in my country, and they discriminate against me a lot worse. I can't even walk the streets. Instead of having laws that protect us, they make life even harder for us. I don't like it at all," Miranda said.

A recent study conducted by Colegio de la Frontera Norte, a research center focused on regional issues at the border, found that 96% of the residents of El Bordo have been arrested by Tijuana police officers, 70% more than once.

Tijuana police wouldn't officially comment on the situation at El Bordo, but they have openly called the deportees "criminals" and a public health threat to the city.

'No human being should live like this'

Unwanted by the United States and Mexico, this is the place where thousands have found refuge while they save up enough money to cross back into the United States.

"It's a no-man's land. Mexico doesn't want you, and the U.S. sure as hell doesn't want you," said Hector Barajas, an activist and deportee who lives in a shelter outside Tijuana and advocates for those living in El Bordo. "No human being should live like this."

Barajas, a U.S. Army veteran, had his green card revoked and was deported in 2004 after being convicted of a felony for shooting an illegal firearm. He has struggled to get back on his feet, but that hasn't stopped him from helping others.

The fluent English speaker now counsels other newly arrived deportees and has joined other activists in Tijuana. He says the local government offers little to no help to the new arrivals, and so he and other activists try to help with food and shelter.

"They look at you as a criminal, a drug addict and stuff like that," Barajas said. "When you get here, you come with nothing, so you probably spent four or five days in detention. You haven't shaved. You don't have money to buy a shaving kit or whatever. You look like you're homeless. That's what happens. The government doesn't have nothing in place for nobody."

He doesn't hide the fact that some of the deportees living at El Bordo are heroin addicts. And he doesn't need to.

You can't walk through El Bordo without seeing the open usage of heroin, the dirty needles stuck behind ears like pencils and, more horrifying, others sharing them on the filthy concrete.

One of the users is Robert Marquez, wearing his home city's baseball team on his cap: the Los Angeles Dodgers.

"My home is in L.A.," he proudly proclaimed.

As we talked, Marquez's eyes started to lose focus, his words beginning to melt into each other.

"Are you high?" I asked.

"Yeah," he said sheepishly, like a child caught eating too much candy.

"Why do you do the heroin?"

"Why? I have no place to go. Where?" he responded with finality.

In Washington, the issue of how to deal with 11 million undocumented immigrants is at the core of the immigration debate. And no one seems to have the right answer on what to do. There's absolutely no discussion about what to do about the deportees, from either U.S. or Mexican authorities.

Boehner says 'never mind' on immigration

Back at El Bordo, Miranda wastes no time counting down the days until he returns home. Unfortunately, Miranda's return to the United States will probably be made via some form of an illegal entry, just like the first time he crossed over from Mexico 25 years ago.

"I am just waiting for the right time to leave, just the right opportunity to cross over. The situation here is no good."

CNN's Kyung Lah contributed to this story.

Watch Anderson Cooper
360° weeknights 8pm ET. For the latest from AC360° click here.

@highlight

Nearly 4,000 people live in "El Bordo" near the U.S.-Mexico border fence

@highlight

The rundown area inside Mexico's border houses people in immigration limbo

@highlight

Most have been deported from the United States but aren't wanted in Mexico