(CNN) -- Maybe you had one as a kid, or knew someone who did. It's the iconic little red wagon with the Radio Flyer logo.

Radio Flyer is developing a prototype of a wagon with digital controls and an MP3 player dock.

If so, you might not recognize the newest product dreamed up by the brain trust at Radio Flyer's Chicago, Illinois, headquarters.

This wagon, called the Cloud 9, is equipped with enough high-tech bells and whistles to make the family minivan jealous.

"We approached this product much like an automotive company might with a concept car," said Mark Johnson, Radio Flyer's product development manager.

Outfitted with 5-point safety harnesses, padded seats, cup holders, foot brakes and fold-out storage containers, the sleek, curved Cloud 9 has every family covered for a ride through the park. But that's just for starters.

There's a digital handle that tracks temperature, time, distance and speed -- just in case energetic parents want to track their split times around the playground. And there's a slot for an MP3 player, complete with speakers, for some cruising tunes.

That's right: The little red wagon has gone 2.0.

"Music is such an important part of kids' and families' lives, we thought it would be great to have a speaker system built in the wagon," said Tom Schlegel, vice president of product development.

The Cloud 9 is still a prototype, but it wasn't developed on a whim. The company did extensive market research beforehand, then tested it out on the real experts at home.

"We sit down [and] observe how moms and kids are using our products," said Schlegel. "That's where our new ideas come from."

To develop those ideas, Radio Flyer's designers are using state-of-the art technology. They use Wacom Cintiq graphic tablets, allowing them to draw directly onto digital renderings of new products. And Radio Flyer also has its own in-house computer numerical control, or CNC, machines that create prototypes right on site.

Radio Flyer's blend of cutting-edge design and old-fashioned products appears to be a successful recipe. In an economy where businesses and families alike are tightening their belts, the company is still going strong.

"Radio Flyer survived the Great Depression, and this year has been a difficult year for a lot of companies," Schlegel says, "But Radio Flyer is actually growing this year. We're actually looking for engineers and designers in our product development group to keep up with the growth of the company."

That's quite a testament for a company nearly 90 years old.

Theirs is an American success story that started when Italian immigrant Antonio Pasin started building wooden toy wagons in 1917. He had limited success but was encouraged enough to start the Liberty Coaster Company in 1923.

The company changed names seven years later, becoming Radio Steel & Manufacturing. The world was introduced that same year to the first steel wagon, called the Radio Flyer. Since then, Radio Flyer has become perhaps the world's most famous maker of wagons, tricycles and other toys.

The company's best-known product even inspired a 1992 movie, "Radio Flyer," about a boy who imagines converting his red wagon into a flying machine to help his little brother flee an abusive stepdad.

Whether you grew up on Rock-'em Sock-'em Robots or Xbox, the little red wagon has remained a mainstay of child's play. It's certainly evolved over the years, though -- the rusty metal has been replaced with plastic.

But the spirit of Radio Flyer, which conjures memories of a simpler time, remains intact.

"One of the most important things about Radio Flyer products is that they really help [keep kids active outdoors]," Schlegel said. "So when we're designing our products, we're really looking at how can we get kids outside and playing, away from the video games and TV screens and computer screens."

CNN.com's Brandon Griggs contributed to this story.

@highlight

Radio Flyer, maker of the classic red toy wagon, is creating a high-tech new product

@highlight

The Cloud 9 wagon has digital controls, speakers and a dock for an MP3 player

@highlight

The wagon is still a prototype, developed after extensive market research

@highlight

Radio Flyer's founder began building wooden toy wagons in 1917