Hong Kong (CNN) -- Disgraced Chinese politician Bo Xilai has confounded expectations by delivering a cool, considered denial of charges leveled against him during a keenly-anticipated corruption trial that has captivated China.

So far, the public has heard more details of the case than many anticipated. Live tweets from the court house in Jinan, Shandong, are now being followed by more than 460,000 people and this number is expected to rise.

After the first full day of testimony, CNN asked prominent China analyst Cheng Li, from the Brookings Institution in Washington, for his thoughts on how and why the trial has veered so dramatically off-script.

CNN: Before Bo Xilai's trial, many commentators predicted it would follow a tight script but that doesn't appear to be the case. What has been the most surprising twist?

Cheng Li: There were two surprises. One is that Bo has rejected all allegations so far, and said he "unwillingly" accepted the charge when he was being questioned by the central disciplinary commission investigation team. The second surprise is that the prosecution has performed very poorly in trying to make a strong case against him; it seems to be falling apart.

All of a sudden, in my view, Bo has decided not to cooperate, but not completely. Because he did not go too far to condemn other leaders or reveal some other problems; this is probably what worried some of the leadership the most.

CNN: Did Bo and his legal team wrong-foot the leadership?

Li: Bo as a person, as a leader, is unpredictable. If you reviewed his career he always surprised people. He has always played the wildcard. It will be the authorities' problem if they didn't prepare for that. When you have a semi-open trial you need to prepare.

There's a lot of praise in Chinese social media for the judge for his professional manner, but the prosecutors are terrible. Bo has rejected virtually everything in a very effective way. But that means even the leadership can't rely too much on the promises or deals made by Bo.

CNN: Do you think a deal was done before the trial and does that appear to be unraveling?

Li: Of course there would have been deals made before, otherwise the leadership would not be willing to pursue the charges. The deal is they dropped some of the most severe charges against him. If you look at September 28 when they arrested him and expelled him from the Communist Party -- there were about six or seven charges, including obstruction of justice and womanizing and, probably most importantly, during the investigation of the murder of Neil Heywood they allegedly found some other criminal activities. In July, they put forward only three charges: Bribery, corruption and abuse of power.

CNN: What's the problem for the leadership strategy to focus on corruption?

Bo was the wrong person to focus on corruption because he was famous for being anti-corruption during his tenure in Chongqing. And relatively speaking, at least in people's perception, he's not that corrupted. He made a lot of people nervous about his self-promotion campaign -- that's the real reason, not about corruption.

Bo Xilai's real ambition is not about the money. He wants to be a top leader, or the top leader. By that time the whole country would be his. That's the fundamental dilemma for the leadership.

Now the leadership is in an awkward position -- the charges of corruption will not resonate too well and they can't go back to the other charges. So what kind of verdict will they give him? Certainly it will not be too severe. If it's too lenient they'll receive other serious criticism so it's really a no-win situation for the leadership.

CNN: What do you think the reaction will be in the leadership after this "change of script"?

Li: If you follow the reaction in China most people think that Bo did well, including people who really do not like him. In my view he was clear, focused, articulate and eloquent. Some people who previously really hated him now tend to forget all the awful things he allegedly did. I think the authorities' case is not in good shape on day one.

CNN: Has the leadership's tactic backfired? Could Bo have gained more support than he's lost in the past 24 hours?

Li: Absolutely. There are a lot of rumors that he was very emotional and out of control in jail. But he presented himself very well. He was very respectful, reasonable, had a human touch, he cared about Dalian, he cared about its people. He claimed he was betrayed by some bad guys. He made a clear cut with his wife; blamed many things on his wife, especially the things that he claimed he did not know. Also, his defense lawyer did an excellent job to use very clear language to undermine a lot of the accusations. Bo Xilai and his defense lawyer came across very well -- that was also a surprise, in many ways.

CNN: Did you find it surprising that he seemed to turn on his wife, Gu Kailai?

Li: A line has been drawn. His defense lawyer kept emphasizing her unstable mental status and most of the people in China believe that. If you look at the pictures before her arrest and in the court, it looks like there's a problem. Of course the prosecution didn't buy that, but when people judge, at least the civilian people, they buy that argument. So Bo has successfully drawn a line between him and his wife and used it to undermine her testimony.

CNN: There was a lot of talk when the scandal emerged -- and in subsequent months -- that the case would shake-up Chinese politics. Is it that the case, or will it be business as usual after the verdict?

Li: The Bo case has revealed the fundamental flaws of the political system and the widespread phenomenon of corruption and power abuse. So this case already has a strong impact. In 18 months a lot has changed; there's been a leadership succession, Wen Jiabao's retirement, and the princelings have consolidated their power. The leadership wants to move forward. They want to put it behind them and move onto other issues. That strategy, although it's rational, will probably not resonate very well -- you leave some potential problems for the future as they fail to use the case to consolidate and uplift public confidence in the legal system.

CNN: Given the apparent troubled nature of the prosecution's case, is there any chance Bo could be in the 0.1% of Chinese suspects not convicted at trial?

Li: Of course he will be convicted, otherwise it would be disastrous. But the sentencing now can't be very severe because of the nature of the charges and how poorly they've conducted this trial. So there are difficulties for the prosecution unless there are dramatic twists and turns in the following days. I think certainly the sentencing won't be the death penalty, probably not even the death penalty commuted to life. The worst is probably the life sentence, and the most lenient probably 15 years.

@highlight

China expert Cheng Li: Bo Xilai trial takes number of surprising turns

@highlight

Chinese politician has rejected allegations, prosecution has performed poorly

@highlight

Bo appeared "clear, focused, articulate and eloquent," Li said

@highlight

Trial is expected to take two days with sentencing due in September