(CNN) -- Curtis Flowers has stood before five juries in the past 13 years on capital murder charges, accused of killing four people in a Mississippi furniture store.

Now, prosecutors are hoping his sixth trial will be the last.

Flowers, 40, is believed to be the only person in recent U.S. history to be tried six times on the same capital murder charges.

His trial began last week in Montgomery County Circuit Court in downtown Winona, just a few blocks from the furniture store where four people were shot to death nearly 14 years ago.

Bertha Tardy, the owner of Tardy's Furniture, and three employees were shot execution-style in the head the morning of July 16, 1996, inside the store, court records say.

The shootings rattled the sleepy central Mississippi town, with a population of about 5,500 that has declined in the 14 years since then. Like most of the businesses still operating in downtown Winona, Tardy's was a relic of another era, having opened its doors in the 1940s. Bertha Tardy and her husband were prominent members of the community, and nearly everyone in Winona could claim some connection to the victims.

After months of interviews and a $30,000 reward for information, Flowers was arrested in January 1997 on four counts of capital murder. He has been in custody ever since.

Flowers has been convicted three times and sentenced to death twice, but the Mississippi Supreme Court reversed those verdicts and ordered a new trial each time. His two most recent trials ended in hung juries, leading his supporters to question why the Montgomery County District Attorney's Office continues to seek a conviction.

The prosecution's case is based largely on circumstantial evidence. There is no DNA, the alleged murder weapon has not been found and eyewitnesses who say they saw Flowers the day of the shooting have provided conflicting accounts.

Still, Montgomery County District Attorney Doug Evans says it's a straightforward case of a disgruntled worker taking out his anger against his former employer.

Others, who believe Flowers is innocent, say the case has turned into a crusade and suggest that race has played a major role in the prosecution and convictions of Flowers.

"The fact they're trying this case for the sixth time suggests to me there's some racial motivation here, because there's no way in the world I can see a white guy accused of doing the same thing being tried six times to procure a conviction," said Jackson City Councilman Chokwe Lumumba, who represented Flowers in his second trial in 1999.

Flowers' supporters say it is a classic example of a case built upon weak circumstantial evidence and shaky eyewitness testimony intended to blame an easy target: a poor black man.

"What does it say about the prosecution that they have chosen to ignore two jury verdicts?" said Alan Bean, executive director of Friends of Justice, a nonprofit organization that monitors due process violations in the criminal justice system.

"I really think the only way to save Winona from this nightmare is to force the Montgomery County district attorney to step aside and appoint the attorney general's office. If you did that, I am convinced you wouldn't see the prosecution of Curtis Flowers, because the evidence just isn't there."

To Evans, though, Flowers' prosecution is about seeking justice for the victims and bringing closure to the community.

"Any time that we feel there is evidence to prove a case, we're going to pursue it," said Evans, who tried the five previous cases and will lead the prosecution this time.

Evans declined to elaborate on lessons learned from the previous trials or to say if his strategy will be different this time around, but he said the two hung juries did not affect his decision to try Flowers again.

"Any case that's on the docket I want to try and dispose of it," he said.

Evans and Flowers' current lawyer, Ray Carter, said they expected much of the evidence to be the same this go-round as it has been in previous trials.

In all five trials, Sam Jones, an employee of Tardy's since it opened in 1942, testified that Bertha Tardy called him around 9 a.m. on July 16 about coming in to train two new employees. When Jones arrived at the store around 9:30 a.m., he discovered the bodies of Tardy, bookkeeper Carmen Rigby and Robert Golden lying near the counter in pools of blood. Nearby, Jones saw 16-year-old Derrick "Bobo" Stewart on the floor, blood pouring from his head with each labored breath. He died a week later.

Prosecutors allege that Flowers, a former employee, stole a gun from his uncle's car and shot Tardy because she had fired him two weeks before the killings and docked his pay for damaging a pair of batteries. He allegedly shot the others to eliminate witnesses, and then took money from the cash register, which elevated the offense to capital murder and made him eligible for the death penalty.

The .380-caliber pistol used in the shootings has not been found, but investigators matched bullets at the scene to shell casings from the gun owned by Flowers' uncle, which has also not been recovered. Another witness who came forward months after the shooting and said she saw Flowers "leaning" on his uncle's car around 7:15 a.m. the day of shootings. The same day, his uncle, Doyle Simpson, reported that a gun had been stolen from his car.

A neighbor said she saw Flowers around 7:30 a.m. outside his home wearing Fila sneakers. Another witness testified that he saw two men standing across the street from Tardy's around 10 a.m., and that one of them was Flowers. Another woman said she saw Flowers running out of the store the morning of the shootings while she was driving toward the store with a friend.

A trace analyst expert determined that a bloody footprint at the scene came from a size 10.5 Grant Hill Fila sneaker; investigators found a shoebox for a 10.5 Grant Hill Fila at the home where Flowers lived with his girlfriend, but found no sneakers.

The three different teams of lawyers to represent Flowers have argued that witnesses who said they saw him that morning came forward with shaky stories months after the shootings, enticed by a $30,000 reward. They also said prosecutors failed to conclusively link Flowers to the weapon or the crime scene through the bloody footprint, and questioned whether the evidence proved that money was taken from the cash register.

"The reward offer really poisoned the case by giving rise to fabricated eyewitness testimony," said defense lawyer Lumumba. "I don't think the witnesses recognized the consequences of what they were doing, that they were going to help put this man to death."

In Flowers' second through fifth trials, the defense called witnesses to dispute eyewitness accounts of the woman who said she saw Flowers running out of the store.

Prosecutors at first attempted to try Flowers separately for each murder, but the first two convictions were reversed after the Mississippi Supreme Court found that evidence of the other deaths was improperly introduced. The court found that prosecutors used excessive displays of crime scene photos and testimony regarding the nature of the other deaths.

"By using this tactic or trial strategy, the state improperly prejudiced the jury and denied Flowers his fundamental right to a fair trial," the justices wrote in two nearly identical opinions issued in 2000 and 2003.

The third trial in 2004 also ended in a conviction that was later reversed after the state Supreme Court ruled that prosecutors dismissed black jurors based on race, fueling allegations of racial bias against the district attorney's office.

In the case of one black female whom the prosecution voted to dismiss because of her attitude toward the death penalty, the court noted that her views "were nearly indistinguishable from those of two white jurors who ultimately served on the jury, suggesting disparate treatment."

The next two trials -- Flowers 4 and 5, as they are called by the lawyers who tried them -- ended in hung juries after the panelists failed to reach a unanimous decision. The first jury was split along racial lines, with five black jurors voting to acquit and seven white jurors choosing to convict. The lone black juror on the panel in the fifth trial, who voted to acquit Flowers, was charged with perjury, but the charges were ultimately dismissed.

Flowers' supporters say the first three convictions and the racial divides in the last two trials can be attributed to the racist attitudes that still prevail in Mississippi, especially when a low-income black person is accused of killing a prominent white member of the community. Tardy and two of the other victims were white; the fourth victim was black.

"I'm not accusing white jurors of overt racial prejudice -- maybe some racial insensitivity -- but I think the real problem is they don't have enough social knowledge to evaluate the credibility of testimony and I think black jurors do, and that's what disturbs me about this tendency to eliminate black jurors and to disregard the black jurors' verdicts," said Bean.

There will be a few differences in the sixth trial. Among them, the absence of two jailhouse informants from Flowers 1, who testified that the defendant admitted to the shootings. The two later admitted to lying under promises of monetary reward from law enforcement, according to Lumumba.

Another difference involves the testimony of Charles "Porky" Collins, the man who said he saw Flowers across the street from the store around 10 a.m. with another man. It will be read to the jury, because Collins is dead.

Bean, who plans to observe the trial, said he is especially looking forward to the jury selection phase, in which prospective jurors are questioned on their beliefs.

"The racial dynamics are right there on the surface. There's no pretense of equal justice, so I'm hoping this story can be instructive in that regard, whatever the outcome may be."

@highlight

Curtis Flowers is accused of shooting and killing former employer, 3 others in 1996

@highlight

Three convictions reversed due to prosecutorial misconduct, racial bias in jury selection

@highlight

Two more trials ended in hung juries that split along racial lines

@highlight

Montgomery County District Attorney says evidence is there to convict Flowers