Port-au-Prince, Haiti (CNN)  -- High in the hills above the Haitian capital, artist Levoy Exil paints at his terrace studio. The man who began a career using beets, carrots, tomatoes and black beans for paint creates vibrant abstractions of life and nature.

A year ago, he infused a celestial oil painting with hues of purplish red -- symbolizing blood -- after he gazed outward and for a moment the verdant landscape turned to black. He knew then that something bad was coming.

He saw the blood he had imagined on the streets of Port-au-Prince on January 12 when the earth heaved and 150,000 people perished.

It's now apparent that among the earthquake's widespread destruction were museums, galleries and other places that contained Haiti's artistic treasures, including Exil's work.

They were a troubled nation's legacy, a key source of economic trade with the rest of the world -- and undeniable symbols of hope.

Lost, perhaps, forever.

The earthquake's blow to Haitian art is staggering: The Centre d'Art, which launched the Haitian arts movement in the 1940s, is severely damaged.

The Musee d'Art Nader, which housed more than 12,000 pieces from the largest private collection in Haiti, collapsed. Murals in the Trinity Cathedral, assembled by some of Haiti's best-known artists, came crashing down.

"There is no art museum run by the government of Haiti," said Georges Nader Jr., who runs a gallery near the Nader museum opened by his father. "This is for me like patrimony for Haiti. We were holding this collection for future generations. What will happen now? I don't know."

The significance of art in Haiti may be hard for outsiders to understand. But with few functioning institutions, few outlets of expression, Haiti's brightly colored depictions -- some laced with spiritual traditions of voodoo culture -- of sun and sea, people and animals serve as memory for a country that has suffered under dictatorships and failed governments and is today the poorest in the Americas.

With unemployment as high as 85 percent and a majority of Haitians reeling in abject poverty, art has also emerged as an economic lifeline.

"They're painting their lives. They're recording their history," said Camille Scully, executive director of Iowa's Waterloo Center for the Arts and co-president of the Haitian Art Society. "And they're very accessible because of the colors and style. Everyone who sees Haitian art tends to buy it because they respond to it."

Scully said efforts are under way to enlist conservationists to help Haiti, and a flurry of e-mails shared by collectors, curators, gallery owners and other interested parties show the urgency people are feeling to support the arts community.

One key figure who's been weighing in on the need to save what can be saved is Gerald Alexis, a leading Haitian art historian, critic and curator. Haiti has a long enough history of not conserving its art, Alexis said from his Quebec City, Quebec, home.

An earthquake in colonial times, fires and hurricanes, as wells as riots, revolutions and government-mandated raids of voodoo temples, destroyed much of the creativity that pre-dated the 1940s artistic boom. For this reason, salvaging art, including the oldest piece in Haiti -- an 1822 painting buried in the national palace -- matters.

Haiti's art "will tell future generations who they are and where they come from," Alexis said. "It's our heritage. And although people think that in poor countries such concepts are unnecessary, they are indeed the only thing we have. Our cultural heritage is our pride."

In Port-au-Prince, Nader has been frantically trying to rescue the thousands of pieces his father lovingly collected over four decades.

Among the masters: Hector Hyppolite. Philome Obin. Prefete Duffaut. Wilson Bigaud.

Nader pulled out an oil-on-cardboard floral still-life painted by Hyppolite in 1945 that now looks more like a jigsaw puzzle with pieces missing.

Some of the artworks housed in the Centre d'Arts, which was in a wooden structure, will be more repairable, he said. What do you do when cement gouges cardboard or canvas?

"This? Only cement can do this," he said, picking up some of his punctured pieces.

On the day of the quake, Nader's 79-year-old parents were in their bedroom on the top floor of the building that houses the museum. They were pulled from the rubble after the museum collapsed.

Nader could not hold back tears when he thought of the suffering around him and stopped the conversation to recompose himself. The cultural loss can hardly compare. "At that time, the paintings were my last concern," he continued. "There were lives at stake."

But since then, he has been going back to the rubble every day to salvage what he can. He knows he has to -- for the sake of his country. On the second floor of his gallery, he and his staff have been collecting damaged pieces, their vibrant colors dulled by the dust.

"This is like a hospital for paintings," he said, watching his staff strip off frames and backings.

He picked up a damaged portrait of a fruit vendor by Antonio Joseph. He grew to manhood looking at the painting on his bedroom wall. It's one of his favorites.

So far, Nader has rescued about 1,000 pieces; 70 percent need restoration. That was one room in the museum. Kent Shankle, the curator for Iowa's Waterloo Center for the Arts, which houses the largest public collection of Haitian art in the United States, said he hopes there is a silver lining to the tragedy.

"Hopefully this is raising awareness and shedding light on both the beauty of Haiti and its people, as well as the incredible needs there," he said.

And, perhaps it will fuel a new wave of art that reveals the resilience of people here. "We've survived. It's a blessing," said artist Jean Louis Maxan.

Maxan depicted Jean-Bertrand Aristide's exit from Haiti in 2004, an acrylic-on-canvas painting of "American Air" waiting to take the disgraced president away. Now, he said, he will paint people screaming, piles of bodies and tents blanketing the city's open spaces. High above the misery, Exil, too, said he will paint again. When nature tells him it is right.

"It's a great loss for all of us," Exil said of the earthquake. "But life continues and we will continue to create."

He will rely on the lush, undulating landscape before him. The sun and the moon. And the distant sea. He will make beauty blossom from the ugliness below. For the future of Haiti.

CNN's Moni Basu reported from Port-au-Prince, Haiti. CNN's Jessica Ravitz reported from Atlanta, Georgia.

@highlight

Among earthquake's destruction were museums, galleries with artistic treasures

@highlight

"They're painting their lives. They're recording their history," expert says of Haiti artists

@highlight

Artist sifts through rubble to save artwork in order to preserve history