Tripoli, Libya (CNN) -- The Libyan opposition has rejected a "road map" proposal by the African Union to bring an end to fighting between them and the government of Moammar Gadhafi, opposition leaders said Monday.

Rebel leaders Mustafa Abdul Jalil and Abdul Hafiz Ghoga said they would not agree to any plan that fails to include Gadhafi's removal.

The African Union plan, which Gadhafi agreed to in principle, does not provide any solution to the violence against the Libyan people, Ghoga said.

Can AU broker a peace deal?

Cheers erupted from supporters when the announcement was made. The leaders said the opposition remains open to any other proposals the African Union may make.

Gadhafi had agreed in principle to stop all hostilities in his North African nation and allow outside forces to help keep the peace, his government and African Union mediators said Monday in a joint statement.

The announcement came the same day UNICEF, the United Nations children's agency, released a statement saying that at least 20 children -- some as young as 9 months old -- have been killed by shrapnel or bullet wounds in the city of Misrata.

Ramtane Lamara, the African Union's commissioner for peace and security, read the agreement with Gadhafi early Monday, flanked by Libyan government spokesman Musa Ibrahim.

U.S. official: Prospect of stalemate looms

The deal announced Monday does not address whether Gadhafi will step down, nor is it binding. It has four basic elements, according to the memorandum detailed by Lamara:

-- An immediate end to all fighting.

-- Libyan authorities' cooperation "to facilitate the diligent delivery of humanitarian assistance."

-- The protection of foreign nationals in Libya.

-- The start of talks involving various Libyan authorities, including opposition figures, with the aim of setting up "an inclusive transition period" to adopt and implement "political reforms necessary for the elimination of the causes of the current crisis."

The agreement, which the statement said Gadhafi had signed off on, states that the final resolution must consider "the aspirations of the Libyan people for democracy, political reform, justice, peace and security, as well as social ... development."

Report tracks "sweeping changes" in Mideast

No timetable was spelled out as to when and if a cease-fire might take effect or the political transition might take place. In the agreement, Gadhafi does voice support for the "deployment of an effective and credible monitoring mechanism."

"Leader Moammar Gadhafi expressed his full confidence in the African Union and its ability to successfully carry out the peace process in his country," the statement said.

Gadhafi's government has announced unilateral cease-fires before, only to continue to attack the opposition.

U.S. Secretary of State Hillary Clinton said Monday that Washington is still "waiting to get a full readout" from participants in the African Union's peace mission in Libya.

"We've made it very clear that we want to see a cease-fire," Clinton said. But she said there also must be, among other things, a resumption of water, electricity and other services to Libyan cities that have been "brutalized by Gadhafi's forces."

"These terms are non-negotiable," Clinton said. She also reiterated the U.S. position that Gadhafi needs to step down from power.

The African Union's special committee on Libya has representatives from Mauritania, the Democratic Republic of Congo, Mali, Uganda and South Africa.

Gadhafi has been a strong supporter of the African Union and has channeled large sums of money its way. Libya also holds a seat on the 15-member Peace and Security Council, which Lamara heads.

As such, opposition leaders had voiced doubt that any mediation involving that multinational group would end the conflict in a way that would satisfy their goals, which include Gadhafi's ouster.

The talks come as violence continues in the North African nation, where pro- and anti-Gadhafi forces have been engaged in bitter fighting since February.

In Misrata on Monday, at least five civilians -- including two toddlers, a 75-year-old man and an Algerian worker -- were killed and more than 20 people injured in mortar attacks, two eyewitnesses said.

Libyan state TV reported that "colonial crusader enemies" hit civilian and military positions in al-Jufra district in central Libya.

After a series of setbacks driven by the advances of pro-government forces, Libyan rebel fighters recaptured the besieged city of Ajdabiya over the weekend after apparently holding off Gadhafi's better-equipped forces.

Tony Blair's take on Libya

Amnesty International said Monday that it had fresh evidence of extrajudicial executions apparently committed by forces loyal to Gadhafi near Ajdabiya in recent days. Researchers of the rights groups reportedly saw the bodies of two opposition soldiers who had been shot in the back of the head after their hands had been tied behind their backs.

In Misrata, NATO airstrikes hit parts of the city over the weekend, destroying 14 tanks, said a witness who did not want to be named for security reasons. NATO is operating under a U.N. Security Council resolution authorizing the use of force to protect Libyan civilians from attack.

On Sunday, two rebel fighters died as they attempted to hunt down pro-Gadhafi snipers near the city center, another witness said. The snipers took positions on top of residential and commercial buildings, the witness said.

At least eight people were killed and 22 injured in fighting Saturday between the pro-Gadhafi forces and the rebels, according to medical sources in the city.

Shahida Azfar, UNICEF's regional director for the Middle East and North Africa, called for an immediate end to the siege of Misrata.

"Until the fighting stops, we face the intolerable inevitability of children continuing to die and suffer in this war zone," Azfar said in the statement Monday.

CNN's Reza Sayah and Ben Wedeman contributed to this report.

@highlight

NEW: At least 5 civilians killed and 20 people wounded in Misrata, witnesses say

@highlight

Opposition says it rejects any plan that doesn't include Gadhafi's removal

@highlight

UNICEF: 20 children have been killed by shrapnel or bullet wounds in Misrata

@highlight

Mediators: Gadhafi agrees to cease-fire, political transition and international peacekeepers