LONDON, England (CNN) -- Catherine Schmidt-Jones, or Kitty as she's known to her friends, is, in her words, "an obscure music teacher in Champaign, Illinois."

Kitty Schmidt-Jones, whose Connexions modules have been viewed over 7 million times

But that's not strictly true: Schmidt-Jones is far from obscure. Through her online music courses, she has reached thousands of people and her teaching material has been viewed online -- over 7 million times.

Schmidt-Jones is just one of a growing number of professors and teachers who are using the Web site Connexions (cnx.org) to reach potential students. And what's more, they're doing it for free.

Connexions was set up by Rice University professor Richard Baraniuk in 1999. He wanted to produce learning materials for his electrical engineering students, but was frustrated by how expensive and slow it would be to produce a textbook.

"The access was going to be limited -- it would only be available to just a few students from the United States," he told CNN. "In the developing world, it would basically not be available at all.

"And the production process is just incredibly slow. For example, to get Pluto out of all of our nation's textbooks will take a decade. By then, Pluto will be reinstated as a planet, so we'll have to put it back in."

So Baraniuk decided to do something different. At the time, he was learning about Linux software. It dawned on him that its open source concepts could be adapted for education.

"I realized that there was a better way that was enabled by information technology, where we could author textbooks as a community and make them free and open for people to use and reuse," he explained.

On the Connexions Web site, authors can upload bite-sized chunks of learning materials called "modules." Modules can be strung together to form whole courses, or "collections." Anyone can build a collection from any combination of modules -- so, for example, a module on Shakespeare's Hamlet could appear in collections on literature, Elizabethan history or dramatic arts.

This building-block approach means that courses can be adapted both for personal use and by teachers who can tailor each collection for a particular curriculum, class or even an individual student.

To ensure the quality of its content, the site supports peer-review and endorsement of modules by third parties and all material is attributed to the author.

And once a collection is assembled, a textbook version can be printed on demand through third-party Qoop for around $24 -- considerably less than the cost of most college textbooks, but still enough to pay the author a slice of the royalties.

"A lot of the back-end that's been handled by traditional publishers can be handled very efficiently by this new breed of information technology," Baraniuk explains. "So we can lower the cost for everybody, sometimes to zero for materials that are online."

The Connexions formula is certainly working. Today, the site has nearly 5,000 modules written by university professors, school teachers and other educators, and while most are in the sciences (reflecting its roots) the arts and humanities are growing.

The content attracts 600,000 users a month, ranging from K-12 children to university-level engineering students. Fifty percent of its traffic comes from outside the United States, with 30-40 percent coming from the developing world. And as the site grows, Baraniuk is seeing a rise in the number of people using its modules, especially in the arts and humanities, for informal learning.

Even governments are starting to notice its potential. Connexions recently obtained an Official Memo of Understanding to supply Vietnam with course materials, with more partner countries in the pipeline.

And Connexions is crossing language barriers, too. While most of the site's modules are in English, the site's volunteer translators help meet the demand for educational materials in other languages, where translation and production of traditional textbooks is often prohibitively expensive.

"My particular book in Connexions is fairly popular," Baraniuk explains, "But I was translated by three volunteer engineering students in University of Texas, El Paso and my book is far more popular in Spanish than it is in English.

"That really gives you a sense of the global reach."

But perhaps its most striking benefit is the site's ability to connect talented educators who would not have considered going the traditional publishing route, like Catherine Schmidt-Jones, with people who want to learn but don't have access to books.

Those authors are seizing the opportunity to pass on their knowledge. "I don't think any publisher of music textbooks would even have looked at my material," Schmidt-Jones told CNN. "For me to go to a publisher and say, 'Hey I'm a really good writer, you should look at my textbooks!' -- I don't think that ever would have happened."

While she writes with her students in mind, Schmidt-Jones's work has been used by people from North America to Australia, Argentina to Uganda. She gets emails every week from teachers and students who've found her material helpful: "Your explanation of minor keys and scales saved my theory life. Thanks," reads one example.

"Thank you for the great explanation of perfect intervals! It was very helpful to our class," reads another.

It's this response that's prompted her to write more for the site.

"Doing something that's so wildly popular, it makes me feel good about myself. It's a pat on the back that I'm doing the right thing and that people appreciate it," she told CNN.

Schmidt-Jones currently has 167 modules available through Connexions. Some she can knock off in an afternoon. The more complex modules, with sound files, figures and diagrams, can take a couple of days to write. Schmidt-Jones fits this around her tutoring -- it's what she does for fun. She's also helped a friend of hers publish on the site.

Richard Baraniuk praises her work highly. "She is just the tip of the iceberg of a new community of authors who are going to be able to really enrich and enliven educational material for everyone," he told CNN. And through Connexions, they can reach an eye-poppingly wide audience. "They can really amplify their impact to a truly global level," he said.

And for Schmidt-Jones, it's an outlet for her passion for teaching.

"I'm convinced that making a good education available to everyone is one of THE answers to fixing all the things that are wrong with the world," she told CNN. "It's difficult to express how exciting it is to feel that I'm actively contributing to an effort to do that."

........................

Can open-source online learning replace the textbook? Should we give our knowledge away for free? Share your thoughts and read others' views in the Just Imagine forum. E-mail to a friend

@highlight

Web site Connexions holds free learning materials

@highlight

Site takes its inspiration from open-source Linux software

@highlight

600,000 people use the site monthly, many from developing countries

@highlight

The site lets teachers and students build and print their own tailored courses