(CNN) -- Editor's note: Kathleen Koch is author of the best-selling book, "Rising from Katrina," which explores how citizens recover from disasters. She was a CNN correspondent for 18 years.

For the last year my dining room has looked like the local post office, minus the junk mail. Stacks of letters from around the country piled high. But in this case, there was only one destination -- Japan. While most were collecting money to help the survivors of the earthquake, tsunami and nuclear crisis, I wanted to send something equally crucial to their recovery: hope.

"Words of Hope for Japan" began in March 2011 with a trickle, just 10 letters, all from individuals. But soon they were pouring in at the rate of 200 a day! Schools, churches, Rotary Clubs, Boy Scout and Girl Scout troops. In the end, some 5568 cards and letters arrived from the United States, Canada and Mexico making it the largest letter-writing campaign for Japan in the country. So many felt moved to offer words of support and condolence to those who had lost so much.

The most touching letters came from the Gulf Coast where I'd grown up. People there understood what Japan was going through and were eager to "pay it forward" because of the help and encouragement they received after Hurricane Katrina.

"For months, you never heard the sound of a bird. I missed that most of all. There were times when we thought that we would never have a normal life again," wrote a grandmother from Ocean Springs, Mississippi, where a storm surge similar in height to the tsunami had decimated nearly every building near the beach.

"We learned so much from it, however," she continued. "You can live with a small amount of food each day; water is very precious; family and friends are the most important; and God loves us."

A New Orleans teenager penned a three-page letter and described spending days stuck in the Superdome. "When we left the city, the sun was shining so brightly. I looked up and smiled because I learned that after a storm, there is sunshine. Rays of sun will shine upon your heart, body and soul when you feel alone in the dark or when you are about to give up."

A Biloxi, Mississippi, 10-year-old drew on her post-Katrina experience when she warned the Japanese to "stop digging through gunk and mud. ... If you keep doing that soon you will get sick. And if you get sick you won't have medicine to cure yourself."

Many cards and letters simply exuded joy and optimism. Flowers, rainbows, hearts and smiley faces accompanied exhortations to "Be Happy," "Have Hope," "Don't Worry," and "Stay Strong!"

I'd planned to send the letters straight to Japan, but an industrious woman in Atlanta, Georgia, offered to translate them since not all Japanese speak English. Asako Akai-Ferguson organized more than 200 volunteers around the world to painstakingly translate each card.

The project was a godsend for translators who had helplessly watched the disasters unfold. "I have been extremely frustrated being so far away from home and not being able to do anything to help the survivors of the earthquake, other than just sending money," e-mailed Virginia volunteer Sachiko Ide.

And by all accounts, the letters have helped. Our first batch of one thousand went to a middle school in Minamisouma that had been turned into a shelter. Japanese philanthropist Dr. Minoru Kamata hosted a surprise concert there, handing out letters and posting dozens on bulletin boards for the audience to read.

"Though the damage in the disaster area is awful, I believe that these letters must warm victims' hearts very much. I don't know how to thank you," he e-mailed afterwards.

The Japanese American Citizens League (JACL) in Tokyo has delivered the majority of the letters. Carl Williams, coordinator of JACL relief efforts, sent photos of a group of school children he encountered in Iwaki City on the four-month anniversary of the tsunami praying at the shoreline near the site of their destroyed school. He handed out cards and completely changed the somber mood.

"They had all just been crying minutes before. Can you believe it?" he marveled.

The tsunami had so badly damaged the robes in a kimono store in Ogatsu, Japan, that the plan was to shutter it. Encouraged by the letter he received from "Words of Hope," the owner changed his mind and decided to re-open his business.

A Missouri woman received a response from a woman in Ishinomaki City whose town was destroyed by the tsunami. "She said my letter made her very strong and smile," said Deborah Kamp Clifton. "It made her realize that she has wonderful friends all over the world."

Simple, old-fashioned snail mail. Not even we realized the power it would have.

@highlight

"Words of Hope for Japan" is a letter writing campaign for earthquake, tsunami victims

@highlight

Kathleen Koch started the "Words of Hope for Japan" campaign a year ago

@highlight

Two hundred volunteers translated thousands of letters

@highlight

Many Hurricane Katrina survivors used their experience to offer comfort and advice