(CNN) -- Those who were diagnosed with cancer after working at the World Trade Center site following the September 11, 2001, terror attacks were relieved earlier this week to find out that the federal government would compensate them for their illnesses.

But the news came too late for Jevon Thomas, a worker who died of a rare cancer in April, penniless and distraught. He was 45.

Thomas spent more than a year working on "the pile," breathing in fumes from burning jet fuel and asbestos. For 10 years, federal authorities said it was impossible to make a link between his work and his illness.

"He was so depressed. He didn't want to talk to anybody," says his daughter, Monet Thomas. "If he could have heard this news, it would have made him so happy."

It's not known how many of those who worked at ground zero have died of cancer, according to Dr. Michael Crane, director of the World Trade Center Health Program Clinical Center at New York's Mount Sinai School of Medicine.

While relatives of deceased workers may file claims, the federal program provides no financial or emotional solace for the workers who have died.

"I'm so grateful cancers were included, but when I'm reminded of the people who've died, I get a pain in my heart," Crane says. "It's a real tragedy."

Former worker '100 percent' sure cancer is linked to ground zero

Didn't hesitate to say 'yes'

Thomas was working for a company that installs portable toilets when the planes hit the World Trade Center.

He didn't hesitate to say yes when his boss asked him to set up toilets at ground zero for the emergency workers. He told CNN in an interview two years ago that he worked there without a mask for 10 hours a day, seven days a week, for about 14 months.

Around the time he stopped working at ground zero, he noticed a lump on his hand. It turned out to be a rare cancer called epithelioid sarcoma.

Thomas had several surgeries and rounds of chemotherapy and had to quit his $65,000-a-year job.

His physician, Dr. Iris Udasin at Rutgers University, found him as much charity care as possible, but his family suffered financially as Thomas' wife is disabled and couldn't work to support their two young children.

At the time, workers could apply for money from the federal September 11th Victim Compensation Fund if they suffered respiratory problems -- but not cancer, because a scientific link had not been found between the disease and breathing in the fumes at ground zero.

"Instead of everyone uniting, coming together, and figuring out a way to help you, they're figuring out a way of not helping you to save a dollar," Thomas said in 2010. "And that's what it all boils down to. A dollar."

What hurt Thomas the most, his daughter says, is that after graduating high school with honors, she got accepted to a community college, attended orientation and then had to leave because her family couldn't pay the tuition. More than anything, her father had wanted her to be the first in their family to attend college.

"He didn't care about himself. All he cared about was me and my brother," Monet Thomas says through tears. "He knew we needed help."

Her brother hasn't been able to find work, her mother is too sick to work and Monet, 21, supports the family by working as a hotel clerk in Secaucus, New Jersey.

"I feel like I'm going nowhere," she says.

58 cancers receive 9/11 coverage

'Tension between two poles'

When CNN interviewed Thomas two years ago, he said he was "100% sure" his cancer came from his work at ground zero.

"You can't work in an environment with so many different chemicals and carcinogens ... for a year straight, day in and day out, and not come down with something," he said.

But scientists weren't so sure. While someone's cancer might be because of his or her work at ground zero, it might also have been a coincidence -- Thomas might have gotten cancer anyway.

The long lag time makes it particularly difficult to study the link between ground zero and cancer. Cancer doesn't develop quickly after breathing in something toxic, the way asthma might. Instead, leukemia can take five to six years to develop, and solid tumors can take 10 to 20 years.

"People were very concerned that they were going to pull the trigger on the (federal) coverage too soon and they would end up covering people who didn't have a World Trade Center cancer," Crane says.

"They were trying to do this in an absolutely scientific way, according to rigorous principles of epidemiology, which is important to do," Crane adds. "But on the other hand, you have to balance that against the needs of needy and really sick people. There's a tension between those two poles."

In the end, a study of firefighters helped persuade the government to include cancers. In the study, firefighters who worked at ground zero were 19% more likely to develop cancer than firefighters who did not.

Firefighters responding to 9/11 at increased cancer risk

'He would never take it back'

Monet Thomas says her father would be "grateful" for the decision to compensate cancer victims who worked at ground zero, even though it took more than a decade.

"He would be crying right now," she said when she heard about the decision.

Even though her father was depressed, destitute and felt alone at the end of his life, she says he never regretted his work on the pile.

"He was proud of what he did," she says. "He was a hero, and he would never take it back."

CNN's Stephanie Smith, William Hudson and Georgiann Caruso contributed to this report.

@highlight

Jevon Thomas, 45, died of a rare cancer in April

@highlight

Thomas worked setting up toilets at ground zero for emergency workers

@highlight

His illness led to financial hardship for his family

@highlight

"He was proud of what he did," Thomas' daughter says