Hong Kong (CNN) -- One of the most dramatic developments from the trial of disgraced senior politician Bo Xilai isn't what was said in court, but that the arguments were revealed at all.

The public received updates released on social media -- a first in a country where most court proceedings are held in secret and the outcome far from doubt.

While official state media has given cursory coverage to the trial, Chinese netizens fed an online frenzy of commentary about the case, which was the top trending topic Thursday on Sina.com's Weibo, a Chinese Twitter-like microblogging site.

"The live coverage of Bo's case on Jinan Intermediate Court's Weibo feeds is awesome and a huge progress for media coverage on trials!" wrote Weibo writer Youyoulaihaiyouqu.

Followers of the Jinan court's Weibo account jumped from less than 10,000 on Wednesday to more than 330,000 by Friday morning as the court fed updates of the bribery case against Bo, whose downfall last year was laced with tales of murder and corruption, creating the Communist Party's biggest political crisis in decades.

"While it's difficult to say whether Beijing censored the material -- foreign journalists were not allowed inside to cover the trial, so it's unclear how closely the official remarks hewed to what actually went down in the courtroom -- it is certainly China's first live-microblogged show trial," noted Isaac Stone Fish in Foreign Policy.

Once heir apparent for a place at the top of China's political elite, Bo is on trial on charges of bribery, embezzlement and abuse of power. His wife, Gu Kailai, was convicted last year of murdering a British businessman in a case that began Bo's downfall.

On Thursday, Bo gave a spirited defense against the bribery charges -- which in itself surprised observers.

According to posts by the court, Bo contested the claim that he had taken bribes from Tang Xiaolin, a businessman in the northeastern industrial city of Dalian, where Bo used to be mayor. After watching a video in which Tang detailed how he sent Bo money, Bo remarked, "I saw an ugly performance by a person who sold his soul," the court said.

There were two surprising elements from the dispatches Thursday from the court, according to Cheng Li of the Brookings Institution.

The first was that Bo has dared to reject the allegations against him, and the poor performance of the prosecution which Li described as "terrible."

He said any deal that had been done before the trial appears to be unraveling.

"All of a sudden, in my view, Bo Xilai has decided not to co-operate, but not completely. Because he did not go too far to condemn other leaders or reveal some other problems; this is probably what worried some of the leadership the most," Li said.

While official state media offered little commentary on the proceedings, Chinese netizens weren't afraid to wade in.

"After reading the whole transcript of the trial, I realized that the prosecutors actually failed to offer direct proofs of Bo taking bribes. Instead, they talked a bunch of issues that don't really have much to do with the accusations," wrote Yuxin.

Shudongjunaishudong: "Bo Xilai thought high of himself, abusing the power for personal gains and fooled the public. But he didn't know that those who misuse the power which granted by people will be severely punished according to the discipline of the Party and the law of the country."

Still, many supporters on Weibo applauded Bo's tenure as mayor of Chongqing, where he made his name as an anti-graft crusader. "You (referring to Bo) will always remain a great secretary in the eyes of Chongqing people!" wrote Suzui.

Some heralded the live-blogged trial as turning a page for transparency in China; others wondered whether Bo's defense itself was blessed by the state, as evidenced by the court's release of his statements.

But the court's feverish stream of dispatches on Thursday had slowed significantly on Friday, adding to the belief that the outcome of the trial in China -- where only 0.1% of cases return a not guilty verdict -- is of little doubt.

"I never care about politics but I think it's worth following right now because of Bo Xilai, but I can tell the result has been scripted, now is only a process to make people think that our country is fair and transparent," wrote Xiao Kui Kui-Cindy.

CNN's Jaime FlorCruz, Jethro Mullen, Vivian Kam and Hala Gorani contributed to this report

@highlight

Live updates from the Bo Xilai trial were posted on a Chinese microblogging site

@highlight

First time in a country where court proceedings are secret and outcome predetermined

@highlight

Observers were surprised by the spirited defense offered by Bo, the disgraced politician

@highlight

The flow of live updates decreased significantly on the second day of the trial