Washington (CNN) -- Dennis Apel has been a longtime critic of U.S. military policy and for 17 years has protested around Vandenberg Air Force Base in California.

"It's completely immoral what's happening there," he says. "I'm not the threat" to anyone on the government reservation or its mission. "They think what I have to say is the threat."

His message of peace and the conflict it has created with Obama administration officials have now taken Apel and his case all the way to the U.S. Supreme Court.

At issue is whether someone previously barred from a military base may be convicted under federal law for "peacefully protesting" on a public road easement along the enclosed high-security facility.

While some on the court expressed concerns about the government's claims, a majority of justices at Wednesday's lively hour of oral arguments appeared to offer little support for Apel's free speech and jurisdictional claims.

"If you look at the easement" agreement between the U.S. and the county, Justice Anthony Kennedy said, "it makes it very clear that the military commander has authority to exercise control over the easement property."

"You've got a public school and a public highway" on the base, Justice Sonia Sotomayor said. "I'm not quite sure how you can keep a person off of lands that the military is not using in its operations."

The appeal presents a fact-specific inquiry into such issues as "concurrent" government jurisdiction, public forums and the limits of "exclusive control" asserted by the military. A ruling from the court in coming months could offer clearer guidelines for those like Apel seeking to protest on public land, where location is integral to their message.

The 63-year-old man and his wife, Tensie Hernandez-Apel, founded Beatitude Catholic Worker House in Guadalupe, California, about a half-hour away from the base, which is along the scenic Pacific Ocean, northwest of Santa Barbara.

The high-tech facility launches military satellites, operates aeronautical and space surveillance missions, and tests a variety of sophisticated weapons systems, including intercontinental ballistic missiles.

Running through its eastern boundary are state Highways 1 and 246, open to the traveling public. The federal government owns and operates the base, but the state and county have held a "use easement" for more than a half-century, and they maintain the roads. Concurrent jurisdiction gives a measure of control of the narrow strip of land to all three entities.

The Apels and their supporters from Pacific Life Community, a group that opposes nuclear weapons, had conducted monthly peace vigils in a special open "protest zone" created along the Pacific Coast Highway bisecting the base. A special green line is designed to mark an off-limits area.

Vandenberg's commanding officer in 2003 issued a "barment order" against Dennis Apel after he was arrested for trespassing and vandalism, including throwing blood on a base sign. A second "bar letter" was given four years later, after another trespassing incident. In 2010, with the ban still in effect, Apel again entered the protest zone on repeated occasions, was told to leave, and was then escorted off the property. He says he has been arrested about 15 times.

He sought to block the misdemeanor counts on free speech and other legal grounds. A federal appeals court eventually ruled in his favor, saying the special protest zone was not an area under the military's "exclusive right of possession." The Obama Justice Department then asked the Supreme Court to intervene.

At Wednesday's arguments, several conservative justices rebuffed the efforts by Apel attorney Erwin Chemerinsky to make this a predominately First Amendment case.

"When an easement goes towards a public road, that easement includes the right to use the public road for speech activities," he said.

Justice Kennedy said the issue was mainly about property ownership: "You're back on the First Amendment case. It may or may not. If the commander wants to close the base for a rocket launch, he certainly can."

Chemerinsky: "The United States wants it both ways. They want the benefits of having an easement there, in the sense that the state is responsible for maintaining the road, the state is liable for any harms on the road, and the state enforces crimes on the road. But they also want to claim that they have all of the control over that public road as they would within the base."

But Justice Antonin Scalia interjected: "They're entitled to have it both ways. It's their base. And if that's the deal, take it or leave it, state: 'We'll give you this easement, but the terms are what we have said.' What's wrong with that?"

Chief Justice John Roberts agreed: "It's been ceded by the United States for the convenience of the traveling public. ... The military commander has given permission to use the easement."

And Roberts said that even though there has been a protest zone in place since 1989, Apel can still be banned at the commander's sole discretion. "He does see some kind of threat by allowing somebody in there who's vandalized the base in the past."

Justice Elena Kagan, to Chemerinsky: "Your argument is sort of a 'use it or lose it' argument, is that correct? That the government has this commanding authority, and unless it uses it to its full extent, every day of the week, it loses it? One of the arguments that the government makes is, look, what the military wants to do here is something very sensible. It keeps tight what it needs to keep tight, but it allows to be more open areas that it doesn't have an interest in securing entirely. And that's for the convenience of military personnel and for other people who live around the base. What's wrong with that?"

As for Apel, he told CNN after the arguments that he was hopeful of prevailing, and continuing his vigils at Vandenberg.

"They're denying my right to dissent on their base," he said. "They're systematically trying to keep me out there, but I'm not going away."

The case is U.S. v. Apel (12-1038).

Supreme Court appears split over frequent flyer case

@highlight

Lawyer for U.S. military policy critic calls conviction for "peacefully protesting" invalid

@highlight

He's accused of trespassing at base; his defense is that he was on a public road easement

@highlight

Supreme Court appears to offer little support for his free speech and jurisdictional claims

@highlight

Chief Justice John Roberts: He can be banned from base at the commander's sole discretion