Aasta, Norway (CNN) -- Three rapid blasts echoed across the Norwegian countryside on Tuesday as police detonated explosives found at a farm owned by the suspect in last week's bloodbath in Oslo and the island of Utoya.

Anders Behring Breivik is accused of killing 76 people in the Friday attacks, most of them at a summer camp run by Norway's ruling Labour Party on Utoya.

Police carried out a controlled explosion at his farm in Aasta, about 100 kilometers (63 miles) north of Oslo, once some of the material was taken away as evidence, police spokeswoman Laila Sondrol told CNN.

The detonation was carried out alongside a riverbank on the property, leaving a plume of grey smoke hanging over the farm after the explosion.

Sondrol said investigators are continuing to search for other explosives at the farm. Another police spokeswoman, Trine Dyngeland, would confirm neither the type or quantity of the material detonated Tuesday, nor when it was found.

Earlier, Breivik's lawyer told reporters his client was "a little bit surprised" that he was able to pull off the bombing and shooting rampage, for which authorities say he has claimed responsibility. The attorney, Geir Lippestad, said Breivik was surprised that his plan "succeeded -- succeeded in his mind."

Lippestad said Breivik didn't expect to reach Utoya, where he is accused of shooting 68 people dead. Another eight died in a bombing outside government offices in Oslo earlier that day.

Breivik used drugs before the attacks that were designed to keep him strong and awake, Lippestad said. While he said it was too early to say whether Breivik will plead insanity, Lippestad added, "This whole case indicates that he's insane."

Lippestad said it was "very difficult" to describe Breivik's manner -- "he is not like anyone."

Norwegian police released the first few names of victims of the attacks Tuesday afternoon. Three of the four -- Tove Ashill Knutsen, 56; Hanna Orvik Endresen, 61; and Kai Hauge, 32 -- were killed in the Oslo bombing, while 23-year-old Gunnar Linaker died on Utoya.

Police said they would post an update at 6 p.m. every day until all the victims have been identified. Their families will be notified first.

During a closed court hearing Monday, the 32-year-old suspect said the attacks were necessary to prevent the "colonization" of Norway by Muslims, the presiding judge, Kim Heger, said. Breivik accused the Labour Party of "treason" for promoting multiculturalism, Heger said.

Lippestad said Breivik had told him he was in touch with two terror cells in Norway and in contact with other cells abroad, but that he acted alone in carrying out the attack on Utoya and the Oslo bombing.

"He says there are several cells around the Western world -- where, I do not know," Lippestad said. Breivik is cooperating with police inquiries, "but he won't talk about the other cells," he said.

His client considers himself to be "in a war," Lippestad said.

The police declined to say how many people are still missing, saying the number was still subject to change. They have said in the past that they were searching for four or five people.

Forensic scientists are still searching Utoya for clues, and the island will remain closed to the public for at least two weeks, Norwegian Police Chief Sveinung Sponheim said.

Other countries are involved in the Norwegian investigation into last week's attacks, police said in response to a question about Breivik's claim to have been in contact with terror cells abroad. They declined to name the other countries, saying, "The investigation is in Norway."

They also declined to say where Breivik is being held.

Prosecutors are considering charging Breivik with crimes against humanity, according to police. He is facing terror-related charges that carry a maximum 21-year sentence.

Geert Wilders, a Dutch politician whose Freedom Party is referenced in a manifesto apparently written by Breivik, condemned the suspect's alleged actions Tuesday. Wilders said he was not "responsible for a lone idiot who twisted the freedom-loving anti-Islamization ideals" of his party.

Meanwhile, U.S. President Barack Obama and Vice President Joe Biden visited the Norwegian ambassador's residence in Washington Tuesday to "offer condolences to the people of Norway after the tragic killings that occurred last week," according to a White House statement.

Earlier, Breivik's father said his son should have killed himself instead of allegedly going on the killing spree.

"In my darkest moments, I think that rather than killing all those people, he should have taken his own life," Jens Breivik said in an interview with Norway's TV2. He said he also believes his son has mental issues.

"He must be. He must be," the father said in response to a reporter's question about whether he thought his son was mentally ill.

"There is no other way to explain it. A normal person would never do such a thing."

Jens Breivik had a message for all the victims during his interview.

"I would like to say that I feel an incredible grief and despair over what has happened. I often think of how terrible it must be for those who are affected by this. I wish I could do something for them, but here I am, powerless to do anything," he said.

Lippestad said Breivik does not know what his father said. He said he does not know if any of Breivik's family members have asked to see him.

Jens Breivik, who was interviewed at his home in France, said he would not be visiting his son as the legal process continues.

"No. I will never have more contact with him," he told TV2.

The suspect's father was one of many people searching for answers Tuesday after the mass killings that terrorized Norway last week.

At a news conference Tuesday, hotelier Petter Stordalen pledged to give 5 million kroner ($923,000) to rebuild Utoya Island. He promised it would be "a new Utoya, a Utoya for everyone. It's been a summer camp for the Labour Party, now it's to be an island for everyone."

Eskil Peterson, a leader of the Labour Party's youth movement, the AUF, said the party had first been shocked and now was mourning those killed. That sorrow will intensify when police release the identities of all those killed, he said.

"When we see those names, it will be heartbreaking for everybody," he said.

According to Heger, Breivik said he worked with two cells to launch the attacks, the deadliest onslaught in Norway since World War II. Police refused to comment on the claim, but a police official said Breivik appeared to be "very calm" during his hearing.

Almost 200,000 people participated in a memorial Monday in downtown Oslo to honor the victims, authorities said.

Breivik hates democracy and all who believe in it, his lawyer said Tuesday. He added that his client felt the rest of the world didn't understand his point of view but that they would in 60 years' time.

He is undergoing a medical examination, Lippestad told reporters. Breivik is now "very tired" because of his circumstances, he said, but he was not injured when he was taken into police custody.

Marit Andersen said she knew Breivik in high school and described him as an entertainer who had friends and was quite successful in school. Andersen said she later saw Breivik's views change.

"Later, it became more extreme, and I remember after we all got on Facebook, I became friends with him there," Andersen said. "He had some rather outrageous statements there. I had commented on something he said. ... I said you can't say stuff like that. It's unacceptable."

Breivik appears to have written a 1,500-page manifesto that rants against Muslims and lays out meticulous plans to prepare for the attacks. In it, the author vilifies Stoltenberg and the Labour Party, accusing it of perpetuating "cultural Marxist/multiculturalist ideals" and indoctrinating youths with those ideals. The author accuses the Labour Party of embracing those ideals and allowing the "Islamification of Europe."

CNN has not independently confirmed that Breivik is the author of the manifesto, which bears his name and says it is intended to be circulated among sympathizers. The writer rails against Muslims and their growing presence in Europe, and calls for a European civil war to overthrow governments, end multiculturalism and execute "cultural Marxists."

It contains photographs of Breivik wearing what appears to be a military uniform that features an altered U.S. Marine Corps dress jacket with medals of the Knights Templar -- an order of Christian Crusaders who helped fight against Muslim rule of the Holy Land in the Middle Ages, but which was shut down 700 years ago.

Breivik asked to wear a uniform to the court hearing but was not allowed to, Heger said. The judge said he ordered Breivik held in isolation for the next four weeks to ensure he has no opportunity to tamper with evidence, Heger said.

The suspect has access to his lawyer but to no one else, and not to letters or news, court officials said.

According to the Norwegian newspaper VG, which cited unidentified sources, Breivik told investigators during interviews that he belonged to a revived Knights Templar. He described the organization as an armed Christian order, fighting to rid the West of Islamic suppression, the newspaper said.

CNN's Jonathan Wald, Nic Robertson, Antonia Mortensen, Laura Perez Maestro, Michael Holmes, Jennifer Deaton, Erin McLaughlin and Greg Botelho contributed to this report.

@highlight

NEW: Police detonate explosives at the massacre suspect's farm

@highlight

"This whole case indicates that he's insane," the suspect's lawyer says

@highlight

Obama offers condolences to Norway's ambassador in Washington

@highlight

Police are talking to other countries as they examine Breivik's claims of terror cells