(CNN) -- Salvatore Iaconesi's essay on his decision to post his medical records on the Internet in hopes of finding a crowd-sourced cure for his brain tumor has sparked a lively conversation on CNN.com.

Readers raised a lot of thoughtful questions about his methods and what he was trying to accomplish, so Iaconesi jumped into the comments to respond. Many of the questions were too long to duplicate here, so we included excerpts and a link to the full comments. Some questions and responses have been edited for clarity.

You can read his full essay and participate in the discussion on CNN's opinion page.

1) Can this help a lot of people?

momza: His idea does not scale well. As long as he is the only one, he has a good chance that an idle doctor stumbles upon his files. If all the people publish their records, the chances will be extremely low. (Read the full comment)

Iaconesi: Hello. Yes, it does not scale if we start from the assumption that I'm doing it for myself, and that what I'm doing is to find the best doctor.

But this is not the way I would want it to be. What I'm really looking for is to suggest a vision in which this process happens and its results (and the process itself) is shared/shareable and replicated by everyone.

Imagine that the results of this remain accessible. If you, tomorrow, have to go through cancer, you will be able to benefit from all this work already done, with contacts, different strategies combined in critical, harmonious ways, documented testimonies, ways to access the various services etc.

What I am also asking is to go beyond the idea of eHealth, and to not limit this whole thing to an "administrative" or, even worse, "bureaucratic" process, because this is really harmful to people, both the "diseased" ones and the rest of the members of society.

A "cure" should really confront with the whole human being. From what we're understanding now, it would have benefits at multiple levels, including financial and technical ones (and, obviously, at the level of health and well being)

2) How do you pay for the treatment?

Baba Louie: The one thing the guy doesn't mention is insurance. ... When average Americans get diagnosed, they have to think of how they can get effective treatment without losing their house because they have lousy insurance policies and Medicare, none of which pay for the advanced treatments that can keep you alive. (Read the full comment)

Iaconesi: Ahhh, Baba, that is an incredible issue! In Italy, for example, we have a very good welfare system for health. Hospitals and infrastructures are not very good, but doctors are really excellent and many things are really covered by the national health system. So this can be a somewhat lesser problem for us.

But as soon as you want to access something that is not "standard" (even a simple blood test of a specific kind, to analyze the presence of cancer markers) costs rise exponentially. This is another thing we're confronting -- also trying to imagine ways to help people (including me) to integrate in the "cure" the possibility to raise money to actually perform it.

3) Can't advice from non-doctors do more harm than good?

Tim: Please seek qualified, legitimate sources for your treatment. ... While one may want to believe that "spiritual healers" or "artists" can contribute to your treatment, the truth is that they will not, and they may actually be harmful by distracting from legitimate treatments. (Read the full comment)

Iaconesi: Dear Tim, actually "ordinary people" have been incredibly helpful, through their testimonies, experiences and evaluations. Where clinical trials often are performed with as few as 30 people, I have been able to compare the documented testimonies of hundreds of people. And this is just one example of the ways in which this kind of process has been really helpful and productive.

I won't even go, for now, into the enormous implications at a psychological, social and cultural level which I myself and many, many people are perceiving. But I do agree: If I eventually have to have a surgery performed, it will be by a professional doctor :)

4) Will opening the records do any good?

jamesrav: I'd be interested to know how making it 'open' actually benefited his condition versus keeping it 'closed'. I'm thinking the specialist who gave him his results and options knew the very best that medicine could offer for what he has. (Read the full comment)

Iaconesi: Great point. And that's one thing I'm really caring about: combining things in effective ways. To do this, I explicitly ask people (doctors, researchers, regular people... ) who contribute, to compare their approaches, also critically, and to try to understand how and if they should/could be combined, and to what extent.

Even in this scenario doubts remain, obviously. But at least you can benefit from a wider set of competences, technologies, strategies, philosophies and you can have an active role in the decisions which will affect your health.

Also because everyone involved will dedicate energies to make sure that they keep you informed and in the loop, making sure that you are actually able to understand what they're talking about, the implications and side effects, the dangers and problems.

5) Can cancer treatment be crowd-sourced?

Joe Michaels: It would be wonderful if a crowd-sourcing site existed for cancer. Options for treatment (offered by physicians / treatment facilities) could / should include research data on outcomes, side effects, and so on. This would greatly simplify a mystifying experience for many patients.

Iaconesi: This is one of the things we're working on, with a lot of researchers and designers. Something which goes beyond eHealth, and looks at the whole story of people: emotional, lifestyle *and* medical, including data, imaging, history etc. And also taking into account the important issues of privacy and ethics of a thing of this kind -- really really important. We will publish a few things about this in just a bit.

6) Can the Internet make you a medical expert?

Kropotkin:  I wish him the best, but it's dangerous to think that because you have access to a wealth of information on a particular subject, you are an expert at interpreting and applying the information. (Read the full comment)

Iaconesi: That is a good point, actually. And, in fact, I feel that I "have become an expert," but through the possibility of accessing the knowledge and competences of people who have expertise on this subject, from a variety of points of view, and also by asking them, if they can, to speak, and confront, and compare, and criticize.

7) Shouldn't you just trust your doctors?

Mr1Man: Truth and knowledge are not democratic. Trust your doctor over the Internet. Do what they say and get better soon. Good Luck.

Iaconesi: I do trust my doctors. All of them. And they trust each other, as well. So much that they are collaborating among 
(themselves) and with the other people as well. (They are) also helping out to understand the best ways in which collaboration of this kind can take place with the least amount of possible risk, by filtering out useless and dangerous nonsense, and by working together to understand how to combine techniques and how to really *care* about the human being, in the process, by taking into account their lifestyle, their creativity, their engagement. ...

8) Isn't this just nonsense?

Christopher Carr: Homeopathy does not and can not contribute to curing anything. It's just water. And it's not your "spirit" which needs healing. It's your brain -- specifically that tumor -- which is a real thing in your real head.

Iaconesi: Dear Christopher, I hope you never have to deal with this kind of thing. But if you really speak (and I mean really) to someone who has, you will learn some incredible things.

There are many, many approaches to confront this kind of problem. And most of the time they are inaccessible to you, either economically, technically, or even because you don't know about them.

Cancer, like many complex things of our time, is not something for which a "truth" exists. Many explanations are possible and available, as well as techniques to try and cure it.

Furthermore, many of them are compatible with each other. And, by combining them harmoniously, you have the chance to really send powerful messages to your body, working on immune system, cell multiplication and differentation, metabolism, etc. This is what, for me, is looking like the best possible option. For now it has proved effective.

And, BTW, I also don't plan on excluding surgery at all. On the contrary: I wish to use every possible, positive, useful technique, as a combination. Just like science says.

@highlight

Salvatore Iaconesi posted his medical records online after being diagnosed with a brain tumor

@highlight

More than 200,000 people have visited site; many have provided valuable information, support

@highlight

Iaconesi published an essay about his efforts as part of CNN's TEDTalk series

@highlight

He responded to commenters' questions about his idea