A first round of Syrian peace talks didn't go too well, and now the government delegation won't commit to a second round.

Meanwhile, Syrian President Bashar al-Assad's regime has failed to turn over its known chemical weapons stockpiles on time, causing U.S. Secretary of State John Kerry to warn on Friday that all options remain available to force compliance.

The dual developments showed the challenges facing efforts by the international community to halt the Syrian civil war through talks intended to set up a transitional government, and rid Syria of its chemical weapons that already have been used in the conflict.

President Barack Obama threatened a military response last year when U.S. authorities determined the al-Assad regime attacked its own people with chemical weapons. However, Obama failed to secure backing from Congress or key ally Great Britain.

Instead, Syrian ally Russia stepped in to persuade al-Assad to hand over the chemical weapons stockpiles to the international community in order to be destroyed.

That process started on schedule, but the Organization for the Prohibition of Chemical Weapons that is overseeing Syria's handover of its stockpiles said Friday that Syrian officials need to speed things up.

"While the two shipments (of chemicals) this month represent a start, the need for the process to pick up pace is obvious," Director-General Ahmet Uzumcu said.

Kerry: Fresh barrel bomb attack shows Syrian regime's 'true colors'

Kerry to Syria: all options on the table

In Germany, Kerry said al-Assad "needs to understand that he agreed to an international U.N. Security Council Resolution which has reinforced a requirement that he remove all of those weapons and that he do so in a specific period of time."

"Every indication we have is there is no legitimate reason that that is not happening now," Kerry said, noting that an international military response remained a possibility. "And therefore, we call on Bashar al-Assad to live up to his obligations or we will join together with our friends and talk about which, if any, of the options we deem necessary at this point to proceed forward."

In Geneva, the initial talks involving al-Assad's government and the Syrian opposition came to a quiet close on Friday, a week after they started with much fanfare.

"This is a modest beginning, but it is a beginning on which we can build," U.N. special envoy Lakhdar Brahimi told reporters.

He said the peace talks were scheduled to resume in Geneva on February 10. While the opposition has agreed to the date, the Syrian government delegation said it must first consult with Damascus, according to Brahimi.

Noting that "the gaps between the two sides remain wide; there's no use pretending otherwise," he said that "nevertheless, during our discussions I observed a little bit of common ground -- perhaps more than the two sides themselves realize or recognize."

The more than two years of fighting have embittered both sides to the point that reconciliation seems unreachable, particularly involving the opposition demand -- backed by the United States -- that al-Assad can't be part of any future transitional leadership.

"We felt like we were drinking from a poisoned chalice while the criminal was killing our women, children, young men and women, and elderly," said a statement released Friday by Syrian National Coalition leader Ahmad Jarba after the close of the first round of talks. "The only consolation that we had was that the regime which had been oppressing us for more than 50 years had arrived in Geneva to dig its own grave with its own hands."

Brahimi focuses on tiny steps forward

Emphasizing the positive, Brahimi said that over the past eight days, the two sides at least became used to being in the same room, and that moments occurred when one side acknowledged the concerns of the other.

Both sides understand that Syria's civil war has caused immense suffering, recognize the urgent need to bring the violence to an end and are committed to discussing the full implementation of the so-called Geneva I communique to achieve a political solution, he said.

They also understand the need to rapidly address the humanitarian situation in Syria, wherever that need exists in the country, Brahimi added. However, he acknowledged no breakthrough so far on delivering aid to the besieged city of Homs.

"Some good news came yesterday with the delivery of humanitarian assistance to the Yarmouk camp for Palestinian refugees," he said. "But so much more is needed."

Syrian Foreign Minister Walid Moallem said the government was still "hopeful" and wanted to engage in dialogue, but that the differences between the two sides had been very apparent.

"They are not in touch at all with what is happening on the ground in Syria," he said, adding that Syria rejects outside interference in its affairs.

Opposition spokesman Louay Saif said just starting the talks with the government represented progress in the fight.

"We believe the only way to stop violence and to ... end the work of any group that is part of a terrorist agenda is to start the transition," he said.

A terror group too brutal for al Qaeda?

A call for constructive engagement

The U.S. State Department was critical of the Syrian government's delay in confirming the date for the start of the next round of talks.

"The opposition has once again shown a seriousness of purpose in these negotiations by quickly committing to participate in the next round of talks, while the regime continues to play games," said Edgar Vasquez, a State Department spokesman.

Heading to a security conference in Munich, Kerry described the Syrian conflict as a destabilizing factor in the region.

The Munich Security Conference also will be attended by Brahimi, Russian Foreign Minister Sergey Lavrov, U.N. Secretary-General Ban Ki-moon and Iranian Foreign Minister Mohammad Javad Zarif -- all major players in the Syrian situation.

The Geneva I communique of June 2012 called for a transitional government and for al-Assad to step down. The government has said that is not an option.

More than 100,000 Syrians have been killed in the conflict, which has forced more than 2 million people to become refugees.

Opposition groups have long called on the Syrian government to halt its relentless attacks on rebel-controlled areas. The government argues that it is fighting terrorism backed by outside parties.

The conflict has also been mired by accusations that the Damascus government used chemical weapons and that the opposition includes al Qaeda-affiliated groups.

@highlight

Secretary Kerry says Syria is failing to comply with chemical weapons deal

@highlight

U.N. mediator Lakhdar Brahimi calls peace talks a "modest beginning"

@highlight

Negotiations on halting Syria's civil war are supposed to resume Feb. 10

@highlight

Meanwhile, Syria has failed to hand over known chemical weapons on time