(CNN) -- Up and down the East Coast, residents and naturalists alike have been scratching their heads this autumn over a simple question: Where are all the acorns?

Some scientists fear a mysterious shortage of acorns this fall in the eastern U.S. will affect squirrels.

Oak trees have shed their leaves, but the usual carpet of acorns is not crunching underfoot.

In far-flung pockets of northern Virginia, Maryland, Pennsylvania, West Virginia and other states, scientists have found no acorns whatsoever.

"I can't think of any other year like this," said Alonso Abugattas, director of the Long Branch Nature Center in Arlington, Virginia.

Louise Garris, who lives in the Oakcrest neighborhood of Arlington, Virginia, first noticed the mysterious phenomenon early this fall when doing yardwork beneath a canopy of large oak trees.

"I have lived in the area my entire life and have never not seen any acorns!" she said. Garris checked with some local plant nurseries and they confirmed her observation.

The mystery has found its way to the Internet, where a "No acorns this year" discussion on Topix.com yielded more than 180 comments from people reporting acorn disappearances as far away as Connecticut and North Carolina.

"WHAT IS GOING ON?" posted a resident of Maplewood, New Jersey. "Now we are finding dead squirrels! SHOULD WE ALL BE CONCERNED?"

Not necessarily, naturalists say. Last year Garris reported a bumper crop of acorns, which scientists say may be one clue to this year's scarcity. Virginia extension agent Adam Downing said acorn production runs in cycles, so a lean year is normal after a year with a big crop.

"It fits with the physiology of seed reproduction. The trees are exhausted, energy wise, from last year," Downing said.

But even he is surprised at the complete absence of nuts in parts of Virginia.

"There are plenty of acorns in most of the state, but zero acorns in some pockets," he said.

Downing said recovery from last year's big crop, combined with a much wetter-than-usual spring, probably accounts for the acorn absence. Meteorologists say the Washington-Baltimore area saw about twice as much precipitation last May as normal.

Kate McNamee, who runs a Washington-area, volunteer tree-planting project called "Growing Native," lends specific numbers to the acorn shortage. Her group collects hardwood seeds and plants trees to protect rivers and streams in the Potomac River watershed.

"Last year we collected 25,000 pounds of seeds, most from a bumper crop of acorns," said McNamee. "This year we only collected 10,000 pounds, and 90 percent of that was walnuts."

Even though this acorn shortage has not risen to the level of a crisis, scientists say it is important to watch closely. If the shortage continues for several years, other forces might be at work. iReport.com: Skillful squirrel raids bird feeder

Garris said her observations got her thinking about other recent environmental issues.

"I had read about the collapse of the bee colonies, and it made me wonder, is something else going on here? Could this be affecting other systems?"

At the Long Branch Nature Center, calls and e-mails have been pouring in from people who want to donate acorns they've gathered in areas where they are plentiful.

It's also hard to think of acorns without thinking about squirrels. What happens to them when their favorite food disappears? Some Eastern Seaboard residents have reported seeing skinny, aggressive squirrels devouring bird feed.

"Especially in the depths of winter, there's not much else for the squirrels to eat. Some may switch their diet, many others probably won't make it," said Abugattas. "Squirrel and deer numbers will almost certainly go down."

But Doug Inkley, senior scientist at the National Wildlife Federation, said that wild animals can be resilient when their usual food sources go away.

Inkley cited a blight that destroyed 3.5 billion American chestnuts from 1900-1940, wiping out a common food source for squirrels, deer, mice and wild turkeys. But those animals adapted and survived, he said.

Barbara Prescott, a wildlife rehabilitation expert, agreed that squirrels are not fussy about their diet. She suggested that residents leave whole (not crushed) corn, peanuts and sunflowers in the seed as backyard treats.

John Rohm, wildlife biologist for Prince William, Loudoun, Fairfax, and Arlington counties in northern Virginia, has faith in the furry population.

"Animals are resourceful," he said. "If they're hungry, they're gonna find something to eat."

CNN.com's Brandon Griggs contributed to this story.

@highlight

Naturalists are baffled this fall by a shortage of acorns in the eastern U.S.

@highlight

Residents in some areas report plenty of acorns, while others have seen none at all

@highlight

Acorn growth runs in cycles, so a lean year may be normal after last year's big crop

@highlight

Some scientists fear the shortage will affect squirrel populations