(CNN) -- At the launch party for Facebook executive Sheryl Sandberg's controversial new book, "Lean In," New York Mayor Michael Bloomberg complained only half jokingly that the book -- which hit Amazon.com's best seller list well ahead of its March 11 release -- is doing way better than his book did. Then he introduced Arianna Huffington, who introduced the woman of the moment.

And this is unquestionably a moment.

Its significance can be measured by the roiling controversy touched off in recent weeks over the role and place of women in society. (If estrogen were combustible, smoke detectors would be screeching.) More specifically: How women navigate life as they inch their way toward a fair and equal share of roles in a still male-dominated workplace and in the home space.

Sandberg and two other alpha females -- Yahoo! CEO Marissa Mayer, and Princeton professor and former top State Department official Anne-Marie Slaughter -- have taken turns at the center of the debate, Mayer recently when she declared an end to employee flextime in favor of face time, angering many women (and men), who considered the move a step back.

The myth of balancing motherhood and a successful career

Slaughter, in an Atlantic article last year, wrote of backing away from her State Department job over mom-guilt and then criticized Sandberg for signaling in her popular video talks "more than a note of reproach" to such a retreat, while she encouraged women to stay in the game, come what may.

The new book by Sandberg, chief operating officer of Facebook, may have caused the biggest stir. It's a well-researched overview of problems women face navigating what she calls the career "jungle gym," and exhorts women to embrace their power, live up to their highest ambitions, and own the work/life choices made along the way. Some women -- many who haven't read it -- have slammed it as elitist or as placing the burden of change too much on women and not enough on workplaces.

I've been an activist for women for decades, so I'm thrilled that a top female corporate leader has declared her intention to energize a new wave of women's advancement. But the inevitable backlash is a troubling diversion.

For one thing, why is this a women's discussion? Who ever judged a man for not being home to cook his child's dinner or wipe her nose? Or opting not to take paternity leave? Why this incessant drumbeat about women and the work/life choices they make? Why should only women shoulder the double burden of work and family responsibilities? And why hasn't the workplace caught up to the needs of the women who have been flooding into it for years now?

One answer, according to a research paper last year from a team headed by University of North Carolina's Sreedhari Desai, may be resistance of married men with stay-at-home wives. The team's findings included, for example, that "employed husbands in traditional and neo-traditional marriages, compared to those in modern marriages, tend to (a) view the presence of women in the workplace unfavorably, (b) perceive that organizations with larger numbers of female employees are operating less smoothly, (c) find organizations with female leaders as relatively unattractive, and (d) deny, more frequently, qualified female employees opportunities for promotion."

Organizational structures of workplaces were, after all, designed originally by men, for men with wives at home caring for the kids, the old folks, and the house. And culturally ingrained "implicit bias" influences both men and women to value men's traditional leadership roles more than women's.

Opinion: Working moms, don't try to be perfect at home

But such attitudes are neither realistic nor sustainable. In today's world of two-earner families, businesses that don't shift to accommodate to families' needs -- such as paid sick leave flexible enough to permit caring for children and elders -- are not only dysfunctional, they lose their women workers. Recognizing this brain drain and its negative impact on business, nearly 550 CEOs from major companies globally have signed the Women's Empowerment Principles, a collaboration between U.N. Women and the U.N. Global Compact (its tagline: "Equality means business").

I recently attended a convocation of this group, which includes such giants as Ernst & Young, Deloitte, Calvert, and Accenture, and heard male and female executives passionately asserting that inclusion of women is not just the right thing to do, it is a strategic business imperative.

If women are so strategically important -- and graduating from college and pouring into the job market at a higher rate than men -- shouldn't they be in a position to demand a more family-friendly workplace?

Consider: If women had been in charge of creating the organizational structures for the last few hundred years, wouldn't we all have figured out how to care for the kids and elders without losing the value of half the population's intelligence in the workplace?

It is time for women to stand up to seize this moment, as sure to wreak havoc with prevailing norms as the Second Wave feminism that inspired me in the 1960s to morph from real West Texas housewife (I mean really real -- three kids by age 20 and no employable skills) to college student to volunteer women's activist to a full-out career.

Let's stop dancing on the head of a pin to someone else's argument about who is more righteous: the woman who opts out to care for children, or the one who leans in to leadership in the corporate world, or the one who dodges both options to create a part-time alternative. Conflicts like this keep women fighting each other rather than using our collective power to push for systemic changes in the workplace, changes that can open up choices for us and generations to come.

Work and family: How do you it work?

Creating them isn't easy, but the steps are simple. I call it Sister Courage, and like-minded men are welcome to join.

First, be a sister at work -- make alliances with people who share your concerns. Don't let yourself be isolated. Reach out to give help and ask for help when you need it.

Second, have the courage to raise issues. Engage even when it's hard. That doesn't mean being unkind. It does mean not backing off. It means defining your own terms -- for flextime, for pay raises, for promotion, for creating a practical, productive work situation where everyone wins.

As a military strategist once told his advisers, when they told him they couldn't possibly win on the battlefield as mapped: "Draw a bigger map." And negotiation expert Victoria Pynchon says women do benefit most from negotiation when they operate from a straightforward position they define and stick to.

And third, put sister and courage together into a purposeful strategy and keep moving until you've reached the goal. Don't backslide in the pursuit of parity goals. As Linda Hirshman illustrated in "Victory: The Triumphant Gay Revolution," the gay rights movement has changed attitudes toward same-sex couples by applying these movement-building principles. If women quit arguing and work toward systemic changes together, we can retool the workplace for a successful 21st century.

If we don't? Twenty years from now we may still be bemoaning the fact that even though women earn 57% of college degrees, hold 85% of the consumer purchasing purse, are 54% of voters and half the workplace, they're stuck at under one-fifth of congressional, corporate board, and top management seats.

Social movements by nature are messy and do not go in straight lines. Striving together, not just to adapt ourselves, but to change the system is the key to a fair, just, and thriving society for women and men.

Editor's note: Join CNN Opinion on Facebook for a live discussion about women and the workplace on Tuesday from noon to 1 p.m. ET. Bring your questions and thoughts.

The opinions expressed in this commentary are solely those of Gloria Feldt.

@highlight

Gloria Feldt: Work/life balance and women's success big issues in the culture recently

@highlight

Feldt: Sandberg, Mayer, Slaughter at center of moment that's divided women; it mustn't

@highlight

She asks: Why is this still problem? Workplace should be changing for big influx of women

@highlight

Feldt: Workplace structure laid out by men, but women should use new leverage to change it