A nationwide shortage of a commonly used imported drug used in capital punishment has prompted 15 states on Monday to urge the U.S. Justice Department to intervene.

Led by Oklahoma officials, the move comes as the 33 states with the death penalty -- all of whom use lethal injection as the primary execution method -- struggle to preserve existing stock or search for legally acceptable chemical alternatives.

A federal judge in March had blocked the importation of thiopental into states like Arizona, South Carolina, and Georgia saying it was a "misbranded drug and an unapproved drug." Judge Richard Leon in Washington ordered state corrections departments to return suspected foreign-made thiopental to the Food and Drug Administration.

The states called that a "flawed decision" and now want the FDA to appeal that judge's decision, saying upcoming executions are being undermined. Attorneys General Scott Pruitt in Oklahoma and Marty Jackley in South Dakota are leading the legal effort.

"At the very core of the states' police powers are their powers to enact laws to protect their citizens against violent crimes. As state attorneys general, we are tasked with enforcing those laws, including in instances where capital punishment is authorized for the most heinous of crimes," according to attorneys general from the 15 states.

States argued the federal agency had routinely released the imported drug for executions, a practice suspended after the judge's ruling.

"If the (court) decision is not overturned, we as state attorneys general will be forced to take actions to ensure execution by lethal injection remains a viable option."

This comes after Texas officials disclosed Monday they only have enough drugs on hand for 23 more executions. The next scheduled execution in the U.S. is Bobby Hines in Texas on June 6.

Missouri earlier this month announced new protocols, and will use an entirely new drug. Propofol is a surgical anesthetic that in large doses can be administered fatally, but has never been used in the U.S. to put prisoners to death.

Officials in Ohio, Texas and other states last year cited a nationwide shortage of sodium thiopental in their decisions to separately use pentobarbital, a barbiturate that has alternately been used to put animals to sleep.

Some states use a single execution drug, others rely on a three-drug mixture or cocktail.

Pentobarbital has become the new legal flashpoint over capital punishment. It was used in a U.S. execution for the first time in December 2010, when it was administered as the first ingredient in a three-drug cocktail used in a lethal injection given to an Oklahoma inmate. It also has limited Food and Drug Administration approval in smaller doses for humans as a mild anesthetic and to treat some seizures. Many physicians say they no longer administer it to people for medical purposes.

The second drug in the three-drug cocktail -- pancuronium bromide -- paralyzes all  muscle movement. The third drug, potassium chloride, induces cardiac arrest and  death.

In 2009, Ohio became the first state to perform an execution with a single drug, using a higher  concentration of sodium thiopental. There were no reported complications and its use encouraged other states to follow suit.

The nation's only manufacturer of sodium thiopental since announced it was stopping  production.

Many capital punishment opponents claim sodium thiopental, which renders the prisoner  unconscious, can wear off too quickly, and that some prisoners would actually be  awake and able to feel pain as the procedure  continued.

The European manufacturers of both pentobarbital and sodium  thiopental have opposed using their products for executions in the  United  States.

Pentobarbital is widely available and has been used for  physician-assisted suicide, including in Oregon, where the practice is legal in limited  circumstances.

Nationwide, death penalty use continues to decline. Connecticut recently became the latest state to ban capital punishment, although the 11 people on death row will remain there.

Only 43 people were executed in the U.S. in 2011, down three from the previous year, and a 56% decline from 13 years ago, when nearly 100 people were put to death.

Eighteen have been executed so far in 2012.

@highlight

There is nationwide shortage of lethal injection drugs

@highlight

Federal judge in March had blocked the importation of thiopental

@highlight

European drug makers oppose use of products for U.S. executions