(CNN) -- The dog photos are difficult to view.

Of course.

They show man's best friend being stuffed into wire cages and trucked, illegally, across borders in Southeast Asia. The destination: restaurants in Vietnam.

That thought alone -- that someone would sit in a public restaurant and order dog from a menu -- is likely enough to get most "dog people" to stop reading this column, much less look at the photo essay featured this week by CNN's photo blog.

Here in the Untied States, we will spend $58.5 billion on pets this year, according to one industry projection. We pamper dogs with Christmas presents; send them to "doggie daycare"; bring them on planes (more than 2 million pets and animals fly per year); and trot them around show rings, judging the perfection of their pedigree.

Eat them?

Unthinkable. Repulsive. Cruel.

We don't even consider it.

The images featured on the CNN Photo Blog take viewers inside Southeast Asia's illegal dog-meat trade. Shot by Luke Duggleby, who traveled to Thailand, Laos and Vietnam for the story, they're well worth your attention. He documents a trade that is estimated to include hundreds of thousands of dogs per year.

The 36-year-old was born in the U.K. and has been living in Thailand for eight years. He told me in an e-mail interview that he considers himself a "dog person" -- "I got an English sheepdog for my fourth birthday and called him Tom" -- and that made it difficult to see the gruesome realities of this trade, which is illegal in Thailand because the exporters aren't paying taxes or getting the dogs vaccinated.

"The dogs are illegally smuggled out of Thailand -- that is the illegal part," he said. "They pay no tax or duty. The dogs aren't vaccinated nor do they undergo quarantine. But once they get to Laos they are legally allowed to travel ... on the way to Vietnam, as the officials aren't interested in it. And once in Vietnam no part of it is illegal."

In a slaughterhouse, "the dogs were beaten to death in front of me," he said.

I fear you'll see Duggleby's photos and think only one thing: How awful that people in Vietnam would eat these loveable, intelligent animals. You'll do what I did, which is to imagine your dog, or your childhood dog, in one of these cages.

You won't think about the bigger picture.

Which is this: The cruelty of this trade -- the fact that dogs are smashed into cages; suffocated; "skinned alive, strung up and beaten," according to a CNN report -- is what should shock and sadden you. The fact that people are eating dog meat? That shouldn't. Unless you're vegetarian or vegan -- I'm not, by the way, although I do try to eat relatively little meat -- you don't have any moral high ground to stand on. Here in the United States, a place with an unhealthy and ridiculously hipster bacon obsession (witness: bacon donuts, bacon pie, bacon in bloody marys), eating dog could be seen as a reasonable alternative to pig, which is another highly intelligent animal, capable of being a companion to the likes of George Clooney.

The United States euthanizes 1.2 million dogs per year, according to the ASPCA.

Would eating them be so different?

It actually could be seen as helpful.

"[U]nlike all farmed meat, which requires the creation and maintenance of animals, dogs are practically begging to be eaten," Jonathan Safran Foer, a vegetarian and novelist, writes in the book "Eating Animals." Euthanizing pets, he says, "amounts to millions of pounds of meat now being thrown away every year. The simple disposal of these euthanized dogs is an enormous ecological and economic problem. It would be demented to yank pets from homes. But eating those strays, those runaways, those not-quite-cute-enough-to-take and not-quite-well-behaved-enough-to-keep dogs would be killing a flock of birds with one stone and eating it, too."

But wait: Dogs are companions, right? Pigs (mostly) are not.

True, in America.

In parts of Vietnam, not so much.

In India, remember, cows are sacred.

And eating pig is off limits for many Muslim and Jewish people.

Plus, there's an inherent danger in thinking that "the value of an animal depends on how you treat it," writes Slate's William Saletan.

"If you befriend it, it's a friend. If you raise it for food, it's food," he says in a 2002 essay, hilariously titled "Wok the Dog." "This relativism is more dangerous than the absolutism of vegetarians or even of thoughtful carnivores. You can abstain from meat because you believe that the mental capacity of animals is too close to that of humans. You can eat meat because you believe that it isn't. Either way, you're using a fixed standard. But if you refuse to eat only the meat of 'companion' animals -- chewing bacon, for example, while telling Koreans that they can't stew Dalmatians -- you're saying that the morality of killing depends on habit or even whim."

Maybe the logic of that makes sense but the thought of eating dog still doesn't sit well. That's the case for me. I went to Vietnam earlier this year to report a story on the illegal trade in pangolin, which is a scale-covered mammal few people care about (except me and maybe this guy) in the way they care about dogs.

I saw dog restaurants in Hanoi. Easily could have gone to one.

I didn't. And that says less about the dog-eating that's going on in Hanoi than my own conflicted eating habits. Clearly, the illegal dog trade needs to be cleaned up. But so does our thinking about what we eat and when and why. If we're appalled by the dog trade in Southeast Asia, we should be similarly appalled by some of the conditions that exist in factory animal farms in the United States -- including the use of "gestation crates" to confine mother pigs, a practice activist Temple Grandin has criticized, saying it's like "asking a sow to live in an airline seat."

If we think dog shouldn't be eaten -- like, ever, regardless of how clean the trade is and how quick the kill -- then maybe we should think about the other animals we eat, and if and why we don't feel the same way about them. Is it because we spend so much time with dogs -- looking into their eyes, talking to them, walking them, picking up their crap -- that we understand that they are living, breathing, feeling beings? Would we feel that way about other animals if we could hang out more? Or would the beak-y, frowny face of the chicken still stop us short of empathy?

For his part, Duggleby, the photographer who shot the dog story, told me he was offered dog meat on the assignment but couldn't eat it.

"When I was photographing inside a dog meat restaurant -- claiming to be a chef studying Vietnamese food -- I was offered to try it," he said. "It probably looked very odd for a 'chef' to say no but I turned it down. I just couldn't bring myself to try it."

I likely would have done the same thing.

Exactly why? That's a harder question.

And it's the one all of us should further examine.

@highlight

CNN's photo blog features an essay on the illegal dog-meat trade in Southeast Asia

@highlight

John Sutter: The graphic details of the photos, and the trade, are shocking and sad

@highlight

But, he writes, the fact that people eat dog should not seem repugnant

@highlight

He says it's the equivalent of eating pig, which is another intelligent creature