Washington (CNN) -- Ten years after its formation, the Transportation Security Administration on Wednesday got the type of birthday card no one wants to receive -- a blistering report from Republican lawmakers who said the agency is "bloated" and "inefficient" and has done little, if anything, to improve aviation security.

Rep. John Mica, R-Florida, a longtime critic who has fought to privatize TSA screening jobs, said Congress never intended the agency it created in November 2001 to "mushroom" into a workforce of 65,000 employees, "top heavy" with bureaucrats.

"I can tell you, in our wildest dreams ... no one ever envisioned 4,000 administrative personnel in Washington, D.C., making on average ... almost $104,000, and then nearly another 10,000 out in the field," Mica said.

But the most scathing comment came from Rep. Paul Broun, R-Georgia.

"Americans have spent nearly $60 billion funding TSA and they are no safer today than they were before 9/11," Broun said.

Pressed on the accuracy of that statement, Broun and Mica said the TSA has never stopped a terrorist attack, and gave credit to private citizens or others for terrorist plots disrupted thus far.

"Unfortunately, the focus has been diverted from security ... into managing a huge bureaucracy," Mica said.

Broun concurred. "We must focus on identifying terrorists and stopping them instead of patting down grandma and children. And we must stop worrying about political correctness," he said. "TSA needs to put their resources into intelligence and technologies that can be more effective when it comes to catching highly elusive and dangerous terrorists."

The lawmakers said they are preparing legislation to reform the TSA.

A TSA spokesman called the GOP report "an unfortunate disservice to the dedicated men and women of TSA who are on the front lines every day protecting the traveling public."

The country's aviation system is "safer, stronger, and more secure than it was 10 years ago," spokesman Greg Soule said. The agency has screened more than 5 billion passengers over the past decade, he said, and has prevented more than 1,100 guns from being brought onto passenger planes this year alone.

Mica and Braun released the GOP report at a news conference held in the main concourse of Reagan-Washington National Airport. Their remarks criticizing the state of aviation security were amplified over a loudspeaker, and drew sidelong glances from passengers headed to airport checkpoints.

One day earlier, TSA Administrator John Pistole stood in the same location to discuss holiday travel preparations, touting advancements in screening technology and saying passengers are happy with changes that have reduced the number of pat downs of children.

The report released Wednesday was prepared by Republican staffers on House Transportation and Oversight committees. It is largely a compendium of earlier critical reports of the TSA, looking at its deployment of failed technology, such as puffer machines; the failure to interdict terrorists, such as 2001 "shoe bomber" Richard Reid and 2009 "underwear bomber" Umar Farouk AbdulMutallab"; and the lack of card readers for the 1.8 million ID cards issued to transportation workers.

The report says the agency has grown nearly four-fold since its inception, from 16,500 workers to more than 65,000, while commercial passenger traffic has increased less than 12 percent.

But a TSA spokesman said the agency had approximately 56,000 security officers in 2002, the year it started screening, and has approximately 52,000 today.

The report by the Republicans contains 11 recommendations, saying the TSA must act with greater independence from the Department of Homeland Security, and the administrator's stature must be elevated. The TSA has become "lost" in the Homeland Security bureaucracy, Mica said.

It also calls on the agency to contract out more screening jobs to private industry. Currently, 16 airports, including San Francisco International, have "opted out" of federal airport screening and use private screeners under what is known as the Screening Partnership Program. The screeners wear the same uniforms, use the same technology and follow the same procedures.

Mica advocates the continued privatization of airport screening jobs, but administrator Pistole has been less supportive, at one point saying he would expand the program only if there was a clear advantage to doing so.

In other TSA news, a travel industry group Wednesday said the agency's screening procedures remain "inefficient and frustrating" for travelers.

The U.S. Travel Association released the results of an online survey it conducted last month of about 600 people.

According to the survey, "four of the top five air traveler frustrations relate to the checkpoint process," including the top frustration: "People who bring too many carry-on bags through the security checkpoint." But five of the 11 options on the survey pertained directly to TSA checkpoints, and the remaining options did not include some common irritants, such as excess baggage fees.

The survey says 66.2 percent of air travelers are "somewhat or very satisfied" with the TSA's overall performance as it relates to security, 21.2 percent are neutral, and 12.5 percent are "somewhat or very dissatisfied."

But frequent air travelers are less happy, with 54.6 percent "somewhat or very satisfied."

The group said that despite the TSA's new initiatives to improve passenger screening, an "overwhelming majority" have not recognized any improvements in checkpoint efficiency when compared to the previous year. It said 81.8 percent plan to arrive at the airport the same amount of time before a flight as they did last year.

The survey has a margin of error of plus or minus 4 percent.

The TSA said it was pleased to see the vast majority of travelers polled believe the agency is moving in the right direction, and said checkpoint screening has gotten speedier, taking less than 20 minutes for more than 99 percent of passengers last year.

"The increased number of carry-on bags impacts our ability to further reduce wait times, but not the level of security we provide, which remains our priority," the agency said.

@highlight

The Transportation Security Administration is top heavy, Rep. John Mica says

@highlight

Americans "are no safer today" than before 9/11, Rep. Paul Broun says

@highlight

TSA spokesman: The agency is "safer, stronger, and more secure than it was"