Rahman Mina Camp, Afghanistan (CNN) -- A 30-minute drive from the heart of the Afghan capital along dusty pot-holed roads lie the slums of the city.

In the distance are plains with some patches of greenery before they hit a mountain range that juts out of the earth.

We're in Rahman Mina Camp, also known as the slum of Kabul. Dirty brown canvas tents litter the landscape, as children walk barefoot next to open sewers.

A group of women, wearing blue burqas, carry their young children into one particular tent. On the outside is a UNICEF logo next to a sign for ACF International -- the two humanitarian organizations that fund this medical clinic, which is a last resort for some very desperate mothers.

We follow the Afghan women inside and are slammed by the heat and noise inside this low ceiling canvas tent.

Dozens of women sit on the floor nursing their children. They've lifted up their burqas to let in some air but when they see the camera they drop the blue veils over their faces.

Some children cry, others appear too weak and exhausted to even let out a whimper. Some of the babies have black eyeliner drawn around their eyes. I'm told it's to keep away the "evil eye" and bad spirits.

A nurse calls out a name and 30-year old Rahela stands, picking up her daughter Bibi -- the youngest of her five children.

Bibi is 15 months old but very small for her age. Doctors tell me she has a condition called stunting -- acute malnutrition that affects the growth of a child.

They follow the nurse under one of the curtains off the main waiting area where Bibi's measurements are taken.

Staff members put a tape measure around her arm, place her on scales and make her lie down on the table to accurately measure her height. Bibi starts crying, calling out for her mother.

As Rahela tries to comfort her little girl, she tells me: "My child was born very weak. All my children were born weak and underweight. I went to a clinic close to my home but they told me to come here. I've been coming here twice a month for three months and Bibi is now getting much better. She's putting on weight and getting stronger."

Once Bibi's measurements are taken, Rahela takes her little hand and leads her to a man behind a desk at the end of the tent. He's handing out food supplements -- energy dense nutrients -- and putting them in plastic bags.

He tells Rahela how much to give Bibi and how often to feed her. A lot of these mothers don't know how to nourish their children properly. A lot of them have little choice because they are so poor.

Rahela explains to me: "Our life situation is not good. We are suffering a bad time. My husband has a job, but his salary is not enough for our monthly expenses. I have five children, so his salary is not enough for us."

UNICEF estimates more than three million children in Afghanistan under the age of five suffer from stunting and one-third of those cases are acute.

These are some of the highest levels in the world. The technical definition for the condition is low height for age, and the causes are numerous. It's the result of poor nutrition, lack of access to health care, poverty, a mother's malnourishment, natural disasters and war.

Afghanistan has been torn by war of one kind or another for more than three decades, which only exacerbates this life-threatening problem.

Dr. Moazzem Hossain, Chief of Health and Nutrition for UNICEF, visits the clinics in Afghanistan several times a year from his base in Bangladesh.

He says these outreach programs can sometimes be the difference between life and death.

"These clinics are so important because when you have high levels of acute malnutrition that doesn't just have an immediate impact on a child's mobility and chance of sickness...the chances of mortality and dying are much higher."

He says inappropriate feeding practices are often at the core of the problem. Poor and uneducated Afghan women have received misinformation that breastfeeding is bad and not good for your child.

And those that do breastfeed will dilute it with water or tea. It's a huge problem facing health groups working in Afghanistan, as they desperately try to re-educate mothers on the importance of breastfeeding.

UNICEF nutritionist Elham Monsef weighs into the conversation explaining that somewhere in the last 20 years the message has been mixed up. "I spoke to a doctor in Afghanistan who said his grandmother used to feed all the poor babies in her village with her breast milk. Now these women are told to use instant formula or mix it with water and crushed biscuits. It's such a dangerous message. Breast milk is the golden drop for the child and the best chance of giving these kids the start they will need in what will be a tough life."

A nurse calls out a new name -- this time an 18-year-old woman called Karima picks up her two listless children off the floor. She's traveled more than two hours to get here.

In her arms are seven-month-old boy Aqhaigul and her three-year old daughter Gulmina. They look roughly the same size. Gulima has sores all over her face and patches of skin missing from her legs. She wears a dirty pink outfit and no shoes. She clings to her mother and whimpers.

"My child was very weak and under weight when she was born," says Karima, a mother of four. "We didn't have money, so someone told me about this clinic, and I brought her here to hopefully get some medicine."

Doctors examine Gulmina and tell her mother she has a very severe case of malnutrition and must go to hospital.

Confused by what doctors are saying, her husband Rahmad arrives and takes charge. He's 38 years old but looks at least 10 years older with his dry, weathered skin. He sells corn on the street to support his family and asks: "Who is going to pay for us to go to the doctors? Who is going to pay for her treatment?"

The nurse gives Gulmina a sachet of the energy dense food that comes in the form of peanut paste. She slowly opens her mouth and sucks it. Her father smiles and continues to feed her, forcing it into her mouth.

The nurse explains that she needs time to digest and break it up with mouthfuls of water.

As life returns to Gulmina's little brown eyes her young mother relaxes a little. She knows her child is out of danger for now but explains the reality of their lives and the hardship they face everyday.

"We don't have enough food, and sometimes our four children have nothing to eat. We live in a tent; we have few belongings. If my husband gets work, then we can find food. If not, then we all eat less. This can go on for days."

@highlight

At a UNICEF aid tent in Afghanistan families line up with sick, malnourished children

@highlight

UNICEF estimates more than 3 million Afghan children under 5 suffer from stunting

@highlight

Many families don't know how to nourish their children properly

@highlight

And poverty means many can't feed their kids properly