Rock Hill, South Carolina (CNN)A long walk for justice will end soon for nine African-American men who pioneered the "jail, no bail" strategy during the lunch counter protests of the civil rights movement.

The men, dubbed the Friendship Nine after the Rock Hill, South Carolina, college that eight of them attended, were looking to make a statement about the plight of the segregated South.

And that's just what they did.

On Wednesday, the attorney who represented the men almost 5½ decades ago is scheduled to return to court to have their names cleared. In a poetic twist, Circuit Court Judge John C. Hayes III, who will preside over the hearing, is the nephew of the judge who originally sentenced these largely unsung civil rights heroes.

The prosecutor who pushed for this momentous day, 16th Circuit Solicitor Kevin Brackett of Rock Hill, leans on a quote from the Rev. Martin Luther King Jr. when asked why he was motivated to take up the cause of the Friendship Nine: "The arc of the moral universe is long, but it bends towards justice."

Lunch counter protests had become the cause celebre the year before, in 1960, just two hours up the road in Greensboro, North Carolina. African-Americans, many of them students, sought to break the barrier of segregated lunch counters by sitting in "white-only" sections.

As the protests spread from Greensboro to other parts of the South, protesters were arrested and charged. Civil rights groups had to pay the mounting bails and fines that the protesters were incurring.

The men of Friendship College wondered whether paying fines and bail -- to the very people who were oppressing them, no less -- was the best course of action. Rather than pay the $100 for their release, the men felt they could make a more profound statement by accepting the full punishment for trespassing: 30 days of hard labor.

"It showed that this was a moral crusade against injustice," Rolundus Rice of The Martin Luther King Jr. Center for Nonviolent Social Change in Atlanta said.

"Most of the support came from working-class African-Americans, so it was very expensive to bail out a lot of protesters. So, in a sense, what they did is turn the system on its head. So if you are going to incarcerate me, you are going to pay for it," Rice said.

On the evening of January 30, 1961, Clarence Graham, a student at Friendship and civil rights organizer, sat down to write a letter to his parents.

"By the time you read this, I suppose you both will be upset and probably angry, but I hope not. I couldn't tell you, but this morning I wanted to, but just didn't know how."

He and his cohorts had been planning for months. They were ready on the morning of January 31, 1961, and just after 11 a.m., they arrived at McCrory's 5-10-25 cent Variety Store in downtown Rock Hill.

Local authorities had caught wind of their plans and awaited their arrival. The men stood outside, protesting for a spell before entering. The details of exactly what happened inside were disputed in court, but what is known is that 10 men walked in and -- in defiance of the era's Jim Crow laws -- sat at the counter where people of their skin color were forbidden.

They were taken to jail, where they sat until their quick trial on trespassing charges.

"Try to understand that what I am doing is right," Graham wrote to his parents before his arrest. "It's not like going to jail for a crime like stealing, killing, etc., but we're going for the betterment of all colored people."

They spent the night thinking and praying, hoping that what they did next would shock the conscience of a nation.

Ernest Finney, a young African-American civil rights attorney from the area, represented the group.

Records of the trial have long since been destroyed, so it's not clear who said what in the courtroom, but the group was found guilty and offered a choice of paying a $100 fine or being sent to a labor camp for 30 days. Nine of the men chose the labor camp. One chose the fine.

"Jailers and the municipalities were receiving these funds to perpetuate the oppression, right?" Rice asked. "It was a practical reason behind the 'jail, no bail' (movement)."

The men were shipped out to the York County Prison Farm to begin their sentences, but according to local news reports, many of the Friendship Nine were sent to solitary confinement.

Pictures from local newspapers document how the prison farm became a rallying point for protesters.

It was a shot in the arm for the Southern Christian Leadership Conference, Congress of Racial Equality and NAACP, Rice said, because the authorities were saying, "OK, we have to have another strategy to confront this."

The group served 28 days at the camp and was released early -- not for good behavior, but because local officials wanted to get them out before the national press arrived.

On Wednesday, the national press will shine a spotlight on the men, in a reminder of the country's checkered history on civil rights. Hayes is expected to right the wrong of his uncle by clearing the men's names and vacating their sentences.

Author Kimberly Johnson, who wrote a children's book about the men, "No Fear for Freedom," was integral in getting the Friendship Nine's case on the court docket.

She met the still-living members of the Friendship Nine at a local restaurant in 2011, and after listening to their story, found herself surprised that she had never heard of them.

"I was proud to be African-American because I looked at them and thought what a wonderful thing they had done to open the path for me as a children's author," she told CNN. "I know I would not be where I am today if folks before me had not forged the way, so I was very honored to be in their presence."

After reading a speech from the Rev. Martin Luther King Jr. addressing how demonstrators arrested for nonviolent protests weren't disobedient in the broad sense of the word, but rather, "just being disobedient to the immorality of what that law represented," she began thinking about what she could do to help vindicate the Friendship Nine, she said.

She shared her thoughts with Brackett and asked whether the men could get a pardon, a request Brackett had field before. But he had his reservations.

"A pardon is an act of forgiveness, and what these guys needed wasn't forgiveness because they didn't do anything wrong. What these guys needed was justice, and a pardon didn't really speak to the underlying problems with the fact of the conviction in the first place."

Having their convictions vacated would attack those underlying issues head-on, he felt, and while he's proud to be able to "play some small part in history" by exonerating the men, don't call him a hero.

"The real act of heroism was done by these men 54 years ago," he said.

The men of the Friendship Nine, based on their activities and accomplishments both during and after their 1961 stand, are an impressive bunch. Here's a little about them from James Felder, author of "Civil Rights in South Carolina: From Peaceful Protests to Groundbreaking Rulings":

-- John Gaines was the NAACP president at Friendship during the 1961 protests. He went on to get his law degree at Howard University in Washington, then joined the NAACP Legal Defense Fund. He is now retired and living in Florence, South Carolina.

-- Thomas Gaither was a CORE field organizer who traveled to Rock Hill to help organize the protests. He is the only one who did not attend Friendship. In the summer of 1961, he helped organize the Freedom Riders in the South. After a stint in the Army, he became a biology professor. He is now retired and lives in Pennsylvania.

-- Clarence Henry Graham was CORE's chief organizer. After school, he joined the Air Force, then went on to become a social worker for South Carolina. He has now retired and lives in Rock Hill.

-- W.T. "Dub" Massey graduated from Friendship and went on to get his master's degree from nearby Winthrop University. He spent his career teaching in public schools. He's now semiretired (he still picks up a class or two as a substitute teacher).

-- Robert McCullough, the valedictorian of his high school before going to Friendship, was known by many as "brilliant" and was a natural leader for the group.  After college, he joined the Air Force. He earned degrees from Winthrop University in business administration and political science before returning to Friendship to teach. McCullough died in 2006 at age 64.

-- Willie McCleod was involved in the protest movement before coming to Friendship. After college, he volunteered for the Army and came home to Rock Hill after his service and started a business. He lives in Rock Hill and occasionally speaks to community groups about the events of the 1960s.

-- James Wells graduated from Friendship and went on to enlist in the Air Force. After his time in the military, he went back to school and earned a law degree from the University of Illinois. He practiced law in Columbia, South Carolina, before retiring in Rock Hill.

-- David Williamson Jr. moved to the North after school before returning to the Carolinas, where he became a banker and property manager. He has retired from full-time work but still works as a substitute teacher at Rock Hill schools.

-- Mack Workman moved to New York after school and worked with troubled children as part of the state Office of Children and Family Services. He retired in 2006 and still lives in New York.

CNN's Victor Blackwell and Eliott C. McLaughlin contributed to this report.

@highlight

The members of the Friendship Nine were convicted of trespassing in 1961 for a lunch counter sit-in

@highlight

Named for a South Carolina college, the men opted for jail over paying fines to "oppressors"

@highlight

On Wednesday, a judge is expected to vacate their convictions and sentences