(CNN) -- Two World Wars have been fought, Empires lost, the atom split, the worldwide web invented and social media proliferated, but all the while a unique set of quintessential English sporting events have remained in their own self-regulated time warp, with only minor concessions to modernity.

Glorious Goodwood and Royal Ascot, Henley Royal Regatta and Wimbledon, Cowes Week and Polo at the Guard's Club at Windsor are an integral part of the "English Season" where royal patronage and tradition are the key ingredients and woe betide any attempt to change them.

"These events are set in aspic," leading social commentator Peter York told CNN.

So that means a strict dress code, certainly if you want to be allowed into the Royal Enclosure at Royal Ascot or its equivalent at Glorious Goodwood, which starts on Tuesday.

Top hat and tails at the former, Panama hats de rigeur at the latter. Jeans or shorts? Don't bother to try, you will be ever so politely turned away.

Dress code

For ladies, hats should be worn and dresses and skirts "should be of a modest length defined as falling just above the knee or longer," according to the official Royal Ascot website.

It's no different at Henley, but entry to the Stewards' Enclosure is restricted to members only and invites to the Royal Box at Wimbledon to watch Andy Murray strut his stuff are limited to the great and the good.

With all those barriers to overcome just to be seen in the right place, it's even more surprising that in York's opinion the majority of the people at these iconic sporting events, could not care a jot about the sport itself.

"That's the thing about the English social season, it's just a pretext to have a good time, a lot of people spending a lot of time not watching but eating and drinking and having a generally good time," he said.

So while top jockeys wrestle with the cream of thoroughbred racehorses, Olympic and world rowing champions strain every sinew down the Straight Course at Henley and Roger Federer plays a sublime cross court winner at Wimbledon, the cry will come up "more Pimms please."

According to official figures, 45,000 pints of Pimms -- a quintessential British summer drink -- were consumed at Royal Ascot alone, not to mention 51,000 bottles of champagne.

Social events

York, renowned for his wry and sometimes acerbic observations of the upper classes, could be accused of exaggeration, but he is only repeating a famous observation of former monarch King Edward VII, who described horse racing at Goodwood as "a garden party with some racing tacked on!"

Edward was renowned for his flamboyant lifestyle, but like his great grand daughter, Queen Elizabeth II, he had a genuine interest and love of racing and horses, so perhaps he did bother to watch, particularly as he owned some of the contenders.

For others said York, "it's the chance to wear splendid clothes and do some social climbing."

Having the right connections as well as sticking to the rules, the other key requirement is a stoicism and stiff upper lip in the face of the inclement and unpredictable English weather.

So beware washouts at Wimbledon (unless you are at Centre Court where there is a roof), high heels stuck in the mud on the Polo field at the Guard's Club, boaters blown off in the wind at Henley, or choppy waters for the spectator flotilla at Cowes.

For the dedicated "sports fans" who battle the elements, it's all worth it to rub shoulders with the right type of person and soak up the very Englishness of it all -- not to mention have a very good lunch.

Glorious Goodwood

The sporting part of the "season" comes to an end with Glorious Goodwood and Cowes, but with Britain's rare heatwave proving an exception to the rule, attendances are booming.

120,000 people plus are expected at Goodwood this week and York believes the festival's success is deserved because of the work of Lord March, the heir apparent to the Duke of Richmond, who owns the race course and the vast estate.

"It is especially interesting, it isn't just a race course, it belongs to a real live person with a real live family influence," added York.

"There's just so much to do, it's a wonderful place and you will never be bored, it's loved by the discriminating."

March, who took the reins from his father in 1994 has diversified to run the Goodwood Festival of Speed and a vintage car revival event, both incredibly popular.

While not by strict definition part of the "English Season," as defined by Debrett's Peerage, the events have become an unofficial part of the social season and a must for those hoping to catch the eye for any number of reasons.

Debutantes delight

By repute, the "English Season" was apparently designed to allow Members of Parliament and the House of Lords, the ruling class, the chance to amuse themselves while stuck in London rather than on their country estates.

But its real purpose became to introduce their daughters, debutantes, into the social scene after being officially presented to the reigning monarch at a special ceremony at Buckingham Palace.

Queen Elizabeth II ended the tradition, curtseys and all, in 1958, fearing it had become outdated in a period of rapid social change.

But young women, still encouraged by their parents to meet an appropriate member of the opposite sex and preferably of the same class, continued to flock to Ascot and the others events in their droves.

And a new breed of "debuntante" emerged, the "Sloane Ranger," young women who mainly frequented the exclusive south west area of London around Chelsea and South Kensington.

They were epitomized by Lady Diana Spencer, who was to marry Prince Charles in 1981 and become an iconic global figure.

York and his co-author Ann Barr captured the mood of the times perfectly in their 1982 best seller "The Official Sloane Ranger Guide" which sold over a million copies and acquired cult status.

Sloane Rangers

By repute, "Sloane Rangers" loved equestrian events, so Badminton Horse Trials, the Epsom Derby, Royal Ascot and Glorious Goodwood, all part of the English Season, were very much in vogue.

Ironically, despite sporting the traditional tweed and green welly look, Princess Diana did not enjoy country pursuits of her followers, but did attend Wimbledon to present the trophy at the 1995 men's singles championship, won by Pete Sampras.

Her tragic death in 1997 left a nation in morning, but the "Sloane Ranger" style and their male equivalents, cruelly named "Hooray Henrys" persisted.

York updated the earlier offering with "Cooler, Faster, More Expensive" in 2007, co-written with Olivia Stewart-Liberty, and current British Prime Minister David Cameron was in his sights.

"He's the classic male Sloane Ranger," York said.

Not surprising then to see Cameron frequenting the Royal Box at Wimbledon to cheer on Murray to victory this year, although to be fair his arch political rivals Scottish Nationalist leader Alex Salmond and Ed Miliband, the leader of the Labour Party opposition in the UK parliament, were also watching.

Global super-rich

With the global super rich now buying up large chunks of London property, "Knightsbridge is a branch of Dubai or Bahrain, Mayfair is for the Russians," observed York, the clientele at some of England's sporting jewels in the crown has also changed.

Overseas visitors are also a growing feature.

"These events are steeped and tradition and history and cannot be replicated anywhere in the world," said Rebecca Holloway, head of PR at VisitEngland.

"To experience one of these events, is to experience a true insight into English culture, pomp and ceremony and all," she added.

As Holloway says, impossible to recreate, with heritage dating back to the 19th century, one suspects that even in 100 years time the essential elements that make up the England's sporting summer will remain largely untouched and perhaps the better for it.

@highlight

Sporting events integral to English social "season"

@highlight

Glorious Goodwood, Royal Ascot, Wimbledon and Henley Regatta are main events

@highlight

All quintessential English events with unique heritage and tradition

@highlight

Royal patronage a key ingredient