As mystery surrounds the disappearance of Malaysia Airlines Flight MH 370, which was en route from Kuala Lumpur to Beijing early Saturday, CNN's aviation expert Richard Quest said the airliner would have been at the safest point in the flight.

"It was two hours into the flight -- this would have been classed as the 'cruise portion of the flight,'" he said. "You break down the flight into taxi, take-off, climb out and then cruise.

"So in that particular point of the flight, this is the safest part, nothing is supposed to go wrong. The aircraft is at altitude on auto-pilot, the pilots are making minor corrections and changes for height as the plane burns off fuel -- the plane will be going higher and higher -- so this is extremely serious that something happened at this point in the flight."

READ MORE: Still no contact, stolen passports mystery

Quest, who coincidentally had been working on a story with the carrier recently, said the aircraft -- a Boeing 777-200 -- would have been around 11 years old, powered by two British-made Rolls-Royce Trent engines.

"So it's not a particularly old aircraft. Malaysia has 15 777-200s in its fleet, it's an extremely experienced operator of this type of aircraft. It's a very reputable airline with a very good safety record."

READ MORE: First officer's 'textbook-perfect' flying

It takes three or four minutes for an airliner to fall out of the sky when it is at cruising altitude, Quest said. He added, "we don't know and won't know for some time whether the plane broke up in the air or entered the water in one piece."

Once that is discovered, investigators can analyze if a crash was due to mechanical or structural failure, a fire, or terrorism, he noted.

Back-up power

Greg Feith, a former investigator with the National Transportation Safety Board (NTSB) in the United States, suggested the pilots should have been able to report in, even if power on the aircraft had failed.

"The airplane by certification has to have battery back-up power -- they still have to be able to utilize certain flight instruments and communication tools to complete the flight safely.

"So you could lose all the generators, you could have both engines out, but the battery back-up -- which will only work for a certain time -- is intended for emergency situations."

Feith also pointed to the possibility of an issue with the pressurization of the aircraft.

"If you have a high-altitude pressurization problem, catastrophic decompression, the time of useful consciousness (the time a pilot can operate with an insufficient oxygen supply) in the 30,000-40,000-feet range is a matter of seconds."

READ MORE: How does a jet disappear?

Asked whether it was likely the airliner could have made an emergency landing, Quest said it was possible but unlikely.

"You're not talking about a Cessna here. You're talking about a long-haul, wide-bodied aircraft and that puts it into a completely different league."

Search for aircraft

But with speculation mounting over whether Flight MH 370, which was carrying 227 passengers and 12 crew, went down on land -- perhaps in Vietnam -- or in the South China Sea, one aviation expert says it's essential to find the plane as soon as possible in case there are survivors.

"Given the modern communications and the truly modern equipped (Boeing) 777, it's highly unlikely this plane would have landed somewhere not contactable," Mary Schiavo, the former Inspector General of the U.S. Department of Transportation, told CNN. "Depending on how the plane has gone down, there could be many survivors in need of aid.

"That plane has many different ways to locate it: Automatic beacons that tell you where it is; there are several ways to contact it both with radios and GPS, as well as computer communications within the cockpit.

"But the lack of communication suggests that something most unfortunate has happened -- though that does not suggest there are not any persons that need to be rescued and secured."

Schiavo warned that if for some reason the transmitters on the airliner are not operating, then the search will obviously become far more complex and time-consuming.

"If they are not working then sadly there are similarities with the Air France plane, which was traveling from Brazil to Paris, France and was lost in the ocean. That was very difficult to locate because of the depth of the ocean," she said.

Air France Flight 447 -- an Airbus A330-203 -- plunged into the Atlantic Ocean on June 1, 2009, killing all 228 people on board. It took four searches over the course of nearly two years to locate the bulk of the wreckage and the majority of the bodies in a mountain range deep under the ocean.

The incident report detailed how the pilots failed to respond effectively to problems with the plane's speed sensors or to correct its trajectory when things first started to go wrong.

Aviation expert Jim Tilmon said the Boeing 777-200 was as sophisticated an aircraft as they come with an excellent safety record.

"The only fatality has been from the Asiana crash in San Francisco (last year)," he told CNN's Anderson Cooper. "There's been one other 777 that had some problems but no-one was hurt. This is really a shock in lots of ways."

@highlight

Quest: Airliner would have been classed as in the "cruise portion of the flight"

@highlight

"This is the safest part, nothing is supposed to go wrong," says Quest

@highlight

Malaysia Airlines operates fleet of 15 Boeing 777-200 aircraft

@highlight

Quest: Reputable, experienced operators with good safety record