(CNN) -- Neda Agha-Soltan: The night before she was killed on the streets of Tehran, the woman the world would come to know simply as Neda had a dream. "There was a war going on," she told her mother, Hajar Rostami, the next morning, "and I was in the front."

Neda's mother had joined her in the street protests that erupted after Iran's disputed June 12 presidential election. But on that fateful morning, she told her daughter she couldn't go with her. As Neda prepared to leave, the mother told CNN last November, she was filled with anxiety. "I told her to be very careful, and she said she would."

On June 20, Neda, 26, headed to Tehran's Nilofar Square, where thousands of protesters gathered. Tear gas was lobbed at the crowd. Her eyes burning, Neda headed to a medical clinic to get them washed. Neda later walked toward her car, parked on a side street not far from the heated protests. A single bullet struck her chest, and Neda was dead.

On Monday, Long Island University announced it was awarding a 2009 George Polk Award, one of journalism's highest honors, to the unknown videographer who captured Neda's final moments -- her collapse on the street and her death. The New York Times reports that this is the first time in the 61-year history of the prestigious awards that judges have given the honor to work done anonymously.

"This video footage was seen by millions and became an iconic image of the Iranian resistance," John Darnton, curator of the Polk Awards, told the newspaper. "We don't know who took it or who uploaded it, but we do know it has news value. This award celebrates the fact that, in today's world, a brave bystander with a cellphone camera can use video-sharing and social networking sites to deliver news."

The New York Times: Polk award winners include anonymous video uploader

George Polk Awards in Journalism: 2009 winners

CNN: Neda was 'like an angel,' mother says

William Ward Warren: When President Kennedy and first lady Jacqueline Kennedy arrived at Dallas Love Field on November 22, 1963, there were as many as 100 photographers there, mostly shooting black and white film. On Monday, the Sixth Floor Museum at Dealey Plaza in Dallas released never-before-seen, 8 mm amateur color film taken by Warren.

According to a release by museum curator Gary Mack, Warren was 15 at the time of the assassination, and because students were given the day off for the president's visit, he took his camera to Love Field to watch the arrival of Air Force One.

"My dad operated a furniture store adjacent to the airport, and so that morning on his way to work, he dropped me off at the airport to see [President Kennedy] come in," Warren said, according to the museum release. "It was cool and yet the sun was shining bright, and there was lots of excitement."

Kennedy was killed less than an hour after Warren captured the start of his visit to Texas. The owner of a freight brokerage business, Warren, now 61, lives in north Texas with his wife and children.

CNN: Watch the footage from the Sixth Floor Museum

CNN: Film released of JFK arrival in Dallas

Sixth Floor Museum at Dealey Plaza

Dafna Michaelson: The former director of volunteer services at a Denver, Colorado, hospital -- and a single mother of two children -- left her job and spent all 52 weeks of 2009 traveling to all 50 states and Washington. She funded her "50 in 52 Journey" by draining her 401k -- the entire $31,000 -- and then asking others for donations.

Her goal was to collect the stories of ordinary Americans who were making a difference in their local communities and to share those stories on her Web site. She ultimately interviewed more than 500 people, blogged regularly and posted 370 videos.

In January, she launched the Journey Institute, telling CNN on Monday, "One main thing I heard while traveling was, if they didn't have someone to push them or mentor them or train them, they wouldn't have been able to put their idea into action."

So after her journey, Michaelson decided to help people get their ideas off the couch and put them into action. Her plan is to bring people from every state facing similar challenges to Denver and give them training on how to solve those problems.

Michaelson said, "No matter where I went, I met people who were the same as the pioneers who built this country. They not only had to build their barns and plant their fields, they had to help their neighbors do the same. The people I met had the same values as those pioneers."

50 in 52 Journey Web site

The Denver Post: Woman travels nation, documents people making life better

Kim Jong Il: Tuesday is the "Dear Leader's" birthday, but where, do you ask, was he born in 1942? His official biography declares it was at the foothills of Mount Baekdu, North Korea's sacred mountain, amid bright lights and double rainbows. But historians are pretty sure he was born at a guerrilla base under Soviet protection in the Soviet Union. The discrepancy should not surprise. When Time magazine's Frances Romero wrote about the supreme leader of the Democratic People's Republic of Korea, the profile began, "An easy way of summing up Kim's life in one sentence would be to throw in the words reportedly, allegedly and the occasional is said to."

His father, Kim Il Sung, founded North Korea, and his son ran the country more or less for 20 years as his father aged, taking power officially in 1997, a few years after his father's death. "Here's a guy who is very concerned about his physical stature, among other things," said Dr. Jerrold Post, a former CIA psychologist who heads the political psychology program at George Washington University. "He's 5-foot-2 and wears 4-inch lifts in his shoes."

Post, in his book "Leaders and Their Followers in a Dangerous World," writes that Kim also loved to drink a certain Hennessy cognac that sold for $630 a bottle in Korea. Hennessy, the maker of Paradis cognac, confirmed that Kim was the biggest buyer of the cognac, and between 1988 and 1998, maintained an estimated annual account of $650,000 to $800,000.

Post wrote the ruler "annually spent 770 times the income of the average North Korean citizen ($1,038) on cognac alone!" Post told CNN that Kim Jong Il once kidnapped the most prominent South Korean movie star and kept her under house arrest with her husband for eight years. And he has a collection of some 20,000 videotapes, including the complete James Bond movie collection.

In August 2008, Kim had a stroke and was out of view for some time, and now seems to have recovered. Post said he believes that some of his toughness on North Korean nuclear policy now may be the indication of a power struggle at the end of his rule.

CNN: North Korea marks Kim Jong Il's birthday

CNN: Mystery has surrounded Kim Jong Il

Time: Two-minute bio: Kim Jong Il

Bode Miller: NBC Winter Games anchor Bob Costas said this weekend that the word "redemption" may be the most overused cliché in all of Olympics coverage, but it pretty much describes Bode Miller's downhill race Monday.

Sports Illustrated and the U.S. Ski Team Web site report that Miller, winner of 32 World Cup races, won two silver medals in Salt Lake City, Utah, but none during any of his five races at the Turin Olympics in in Italy in 2006. Then in May 2007, Miller announced he was leaving the U.S. Ski Team to race independently, only to rejoin the team in 2009.

Monday in Vancouver, British Columbia, Miller won a bronze medal in the men's Olympic downhill, finishing behind Aksel Lund Svindal of Norway, who took silver, and gold medal winner Didier Defago of Switzerland. Miller missed the gold by nine one-hundredths of a second, but he now holds the U.S. record for most medals in Alpine skiing. According to his official biography, Miller was born in New Hampshire in 1977, was home-schooled until fourth grade and started skiing at 3.

U.S. Ski Team: Bode Miller bio

SI: Bode Miller career highlights

CNN: Winter Olympics coverage

What makes a person intriguing?

There are people who enter the news cycle every day because their actions or decisions are new, important or different. Others are in the news because they are the ones those decisions affect. And there are a number of people who are so famous or controversial that anything they say or do becomes news.

Some of these people do what we expect of them: They run for office, pass legislation, start a business, get hired or fired, commit a crime, make an arrest, get in accidents, hit a home run, overthrow a government, fight wars, sue an opponent, put out fires, prepare for hurricanes and cavort with people other than their spouses. They do make news, but the action is usually more important than who is involved in the story.

But every day, there are a number of people who become fascinating to us -- by virtue of their character, how they reached their decision, how they behaved under pressure or because of the remarkable circumstances surrounding the event they are involved in.

They arouse our curiosity. We hear about them and want to know more. What they have done or said stimulates conversations across the country. At times, there is even a mystery about them. What they have done may be unique, heroic, cowardly or ghastly, but they capture our imaginations. We want to know what makes them tick, why they believe what they do, and why they did what they did. They intrigue us.

@highlight

Journalism award goes to anonymous uploader of video showing Iran protester's death

@highlight

Newly released footage of President Kennedy's 1963 arrival in Dallas, Texas, revealed

@highlight

U.S. skier earns bronze in Vancouver after failing to reach podium in 2006