Mountain View, California (CNN) -- Software developer Intuit isn't concerned about which of the two most popular applications for personal finance people choose.

It owns both of them.

Many families use either Quicken or Mint.com year-round to track budgets and review billing statements. Intuit, which also makes TurboTax, maintains the two personal-finance tools in tandem, and recent updates to each, such as the free Mint iPad app that launched on Wednesday or the major new version of Quicken that hit stores last month, are indicative of how different their audiences think about their money.

Quicken 2012 has a revamped look and a new debt-reduction-planning feature. Quicken comes in many flavors and can cost anywhere from $30 to $150, with one advertisement for a Quicken credit card shown infrequently. It's only available for Windows, and it stores data on the user's computer, which is important for the security-minded but prevents people from accessing their accounts from multiple devices.

On the other hand, Mint's website and applications, which can all provide access to a single account's information stored on Intuit's servers, are free with ads for cards, banks and insurance companies tailored to a user's spending habits sprinkled throughout. Mint seems to push out updates to its website and mobile apps constantly, but the iPad version was a long-awaited release for many people who use the service regularly.

The two tools take different approaches to money management and have each found niches. Quicken has been around for nearly 30 years, whereas Mint was founded in 2006 and was acquired by Intuit just a couple of years ago.

"Changing people's habits is hard," Intuit co-founder Scott Cook said in a recent interview. "Mint is for the person who doesn't want to think. They don't want to track or check anything."

Quicken still has a sizable customer base, and people keep buying it because access to online services expires after about 31/2 years. At least three versions of Quicken 2012 appear in the top 50 for software sold on Amazon.com, but an Intuit spokeswoman declined to provide sales data. She said Mint has more than 7 million users.

About a third of Quicken customers buy a new version every year, and another third upgrade every three years, said Eddy Wu, an Intuit senior product manager. Presumably, the last third either loses interest in tracking their bills or switches to something like Mint.

One might assume that Quicken users are obsessively tabulating each transaction they make rather than letting computers do the thinking, either due to a mistrust of their banks or a mistrust in storing their sensitive info in the cloud. However, more people are using the automatic input mechanisms provided by financial institutions, while only 20% to 30% of Quicken users input manually, according to Wu's research at Intuit.

"Most people don't like to do all that manual data entry," Wu said. "People aren't as scared of the Internet anymore."

So Intuit has beefed up Quicken's Web-based features. If people choose not to use these features, they can bask in the safety of keeping everything on their own machines.

The Mint and Quicken teams keep each other informed about what they're working on for their respective software, but the development teams are separate, Wu said. Intuit is mulling how it might converge the two apps, or at least make them more interoperable, but it has no immediate plans to build that bridge, he said.

Intuit has managed to ward off many competitors over the years. Microsoft made several attempts of its own, most notably with the Microsoft Money program. When it struggled to make inroads and then failed in its $1.5 billion bid to acquire Intuit in 1994 due to federal antitrust concerns, Microsoft retreated.

According to Cook, who founded Intuit with Tom Proulx, Microsoft's Bill Gates admitted to him privately, "We thought we could copy your products, but we couldn't copy your word of mouth."

@highlight

Intuit makes some of the most popular financial management programs

@highlight

Mint.com and Quicken, in many ways, compete with each other

@highlight

Intuit is not concerned about pitting two apps against each other if it owns both