(CNN) -- The man who dominated Libya for more than four decades died not far from his birthplace.

Moammar Gadhafi was born in the central Libyan desert south of Sirte in spring 1942. The only surviving son of traditional Bedouin parents, his early schooling centered on religious subjects taught by a local tribal teacher. Tribal social values, together with the religious principles learned at this time, strongly influenced him for the rest of his life.

Around age 10, he enrolled in elementary school in Sirte, where he completed six grades in four years. He then enrolled in secondary school in Sebha, where, for the first time, he had access to Arab newspapers and radio broadcasts, notably the "Voice of the Arabs" news program from Cairo. Shortly after he seized power in 1969, a junior American diplomat serving as an interpreter for the U.S. ambassador in Tripoli noted that Gadhafi spoke excellent Arabic, like a Voice of the Arabs radio announcer.

A political activist from the start, Gadhafi was expelled from school in Sebha because he was distributing pamphlets and organizing public protests critical of the ruling monarchy. He completed his secondary schooling in Misurata, and graduated from the Royal Military Academy in 1965.

Convinced that only armed might could force a change in government, he viewed military service not as a career, but as an instrument for socioeconomic and political change. In the course of his time at the academy, he created the Free Unionist Officers Movement and selected its 12-member central committee, drawing on contacts made in Sebha and Misurata.

The Free Unionist Officers Movement overthrew the monarchy in a bloodless coup d'Ã©tat on the night of September 1, 1969. Thereafter, the ruling Revolutionary Command Council depicted itself as a collegial body, but Gadhafi was always first among equals, directing events and dictating policy. The language of Gadhafi and the other council members was the language of Arab nationalism, guided by the precepts of the Koran and sharia, the traditional code of Islamic law, and strengthened by the conviction that only the Revolutionary Command Council spoke for the Libyan people.

Over time, the Gadhafi regime created a unique form of direct democracy consisting of a nationwide system of congresses and committees designed to give the impression the Libyan people were running the government.

In fact, Gadhafi, the remaining Revolutionary Command Council members, the Free Unionist Officers and revolutionary committees appointed by Gadhafi tightly controlled the political system from the start, making all important decisions. The functions and activities of the direct democracy system were regulated by law; however, the activities of the parallel sector directed by Gadhafi and his cohorts was not in any way regulated by legal statutes.

Gadhafi was a revolutionary, and initially, his regime pursued a complex, aggressive and often violent foreign policy. Beginning in the early 1980s, a series of setbacks caused him to rethink failed initiatives, and after 1999, Libya sought to return to the international community.

The Libyan agreement to pay $2.7 billion to the families of the victims of the Lockerbie bombing and its renunciation of weapons of mass destruction marked important steps in the reconciliation process. By 2006, the United States had achieved full commercial and diplomatic relations with Libya for the first time in 25 years.

By any measure, Gadhafi's legacy is a negative one. Politically, he systematically destroyed civil society and banned political parties, leaving the Libyan people with no experience in democratic government. Socially, his authoritarian regime violated the most basic human rights, including freedom of speech, assembly and the press. Economically, he failed to diversify the economy, leaving the country almost totally dependent on income from oil and gas revenues.

The opinions expressed in this commentary are solely those of the author.

@highlight

Gadhafi, schooled in tribal values, was an activist from an early age

@highlight

Gadhafi was first among equals in the group that overthrew the Libyan monarchy

@highlight

Author says Gadhafi created shadow democracy but held on to all real power

@highlight

He says Gadhafi destroyed civil society, violated rights, crippled the economy