(CNN) -- Convertibles are selling well at the Mercedes Benz dealership in Sendai in North Japan.

This seems odd, because Sendai is hardly the kind of place you imagine driving around with the top down. The temperature is in single-digits for five months of the year and it's even colder if you drive towards coast.

Yet Tsutomu Ishihara, the president of Mercedes dealership Yanase Tohoku, says he sold 16 cars in August and September. In fact, most of his models are selling well, with business up 50% over a year ago.

He's hardly alone. In the aftermath the March 11 earthquake and tsunami, business across Sendai is experiencing a reconstruction bounce. Thanks to an influx of construction workers, evacuees and government compensation money, Sendai has become the hub of Japan's recovery economy, the outlier in the midst of struggling coastal towns that are just beginning to rebuild.

Beyond the influx of reconstruction funds, the disaster has helped open the purse strings of people in the afflicted areas. In the face of such much death, why save?

"The consumers' mindset has changed after the quake," Ishihara said. "People used to try not to spend so much and save money, but after the quake, (they) spend more on luxurious cars, also because the stock market and exchange market are not doing well now."

Sendai is an exception. Japan saw its current account-- the sum of inbound versus outbound trade -- hit a record $5.4 billion deficit last month, according to government figures released Thursday. For Japan's export-driven economy, it's a change of fortune that underlines the economic troubles of the past year.

Analysts say much of Japan's trade deficit comes from increased importation and prices for natural gas and oil, which has increased in use since much of the nation's nuclear power supply has been taken offline.

Getting the auto industry back on the road

"One year on from the earthquake, Japan's economy remains deeply affected by the disaster," Takehide Kiuchi, chief economist of Nomura Securities, wrote in a recent research report.

Views of the potential economic impact at the time of the disaster "ranged from extremely optimistic to extremely pessimistic," Kiuchi wrote, but both now seem wide of the mark. Darker expectations foresaw widespread civil unrest, wholesale layoffs among Japanese companies and a slump in consumer spending -- none of which came to pass.

On the other hand, hopes that reconstruction would alleviate the twin forces that have been hurting the economy -- the rising value of the yen and persistent deflation -- did not occur, either, Kiuchi notes.

"Looking back at the progress made with reconstruction over this last year, we get a clear sense of the strength of Japan's private sector," Kiuchi said. "Japanese companies have shown amazing speed in addressing the supply chain problems that have arisen, particularly in the auto part sector, and these issues have been brought to a swift resolution."

The government response, however, is another story.

"In contrast to the great efforts made by the private sector, the response of the authorities has left much unresolved," Kiuchi said. "In the aftermath of the earthquake, the ruling and opposition parties were expected to form a government of national unity, but this never came to fruition."

Japanese PM says 'many lessons learned'

One of Japan's wealthiest men and the founder of retailer Uniqlo, Tadashi Yanai, feels the events of March 11 served as a wakeup call to the Japanese about the precarious state of the economy. "We spend double of what we make. Our administrative structure is the most inefficient in the world. This cannot continue," he said.

He hopes the rebuilding will not be a return to the old ways, but an opportunity to reform the government and make Japan's economy more integrated with the outside world.

Still, in Sendai, business is booming. Builder Noburu Sato describes the non-stop calls from people who need to rebuild their homes. "Honestly speaking, I developed a heart problem in the beginning, because I got so many calls," he says. "My phone didn't stop ringing."

Before the earthquake, many of his competitors had left the construction industry. Now, the only limiting factor is workers, who are coming from as far as Kobe or Nigata in pursuit of work. Builders say there is enough work to last them ten years.

One man's battle to revive the fishing industry

The recovery workers, from laborers to construction executives, are also spending, bringing business for Sendai's hotels, bars and restaurants. The manager of a capsule hotel in downtown Sendai says his business is twice what it was a year ago, with no shortage of men willing to pay around $45 to use the baths and occupy a tiny room for the night.

Many say there is also a change in attitude towards spending, with locals flocking to luxury stores in a way they didn't see before the quake. Sales at large retail stores were up 10% last quarter. "We used to think, 'let's wait' even though we wanted to buy," says one shopper, carrying a bag from Louis Vuitton. "But after such experience we learned that such an idea was no use."

@highlight

City of Sendai is center of Japan's recovery economy

@highlight

Itinerant construction workers fill hotels, consumer spending also up

@highlight

Goes against Japan's wider economic troubles

@highlight

Japan's current account hit record $5.4 billion deficit last month