Kennedy Space Center, Florida (CNN) -- NASA launched its Ares I-X rocket Wednesday, after multiple delays over two days because of bad weather.

The 327-foot rocket -- which NASA considers the world's largest -- took off at 11:30 a.m. ET, 30 minutes before a noon deadline for the launch. It rose about 24 miles. About two minutes after liftoff, the first-stage, reusable rocket booster fell into the Atlantic, where it was to be picked up by a ship.

It was the first flight test for the Constellation Program, NASA's next-generation spacecraft and launch vehicle system. The rocket's launch is part of NASA's mission to someday return astronauts to the moon and later travel to Mars.

NASA spokesman George Diller, who was moderating the launch preparations for broadcasters, communicated the frustration as launches were repeatedly called off with just minutes to go.

After 11 a.m., it appeared there would be a narrow window for a liftoff, and a half-hour later the rocket roared skyward.

"I can't tell you how proud I am of all of you," Ed Mango, Ares I-X launch director, told engineers and others inside the center after the launch. "That was just one of the most beautiful rocket launches I've ever seen."

"It shows what we can do when we have a common goal."

As the clock ticked toward noon, NASA officials nervously awaited all-clears for technical items and a weather clearance from weather officer Kathy Winters who, time and again, said conditions were "red," meaning a no-go. A reconnaissance plane was giving her frequent weather reports.

She kept looking for a break in the high-level clouds.  "It's a very dynamic situation," Winters said.

Before the launch, the space agency had begun negotiating with the Air Force to see if a Thursday launch attempt was possible. Failing that, NASA couldn't have tried again until November 16.

NASA's primary concern was the high-level, cold clouds that can cause triboelectrification, or the production of a kind of static electricity, similar to what happens when you walk across a carpet, then touch something.

If static surrounds the rocket, it can interfere with radio signals sent by or to the rocket.

The Constellation Program has been developing new vehicles to replace space shuttles, which will be phased out in 2010.

If the program moves forward, the Orion capsule atop the Ares rocket will not be ready to take astronauts into space until at least 2015, leaving a gap of at least five years in which the only way the United States would be able to put humans in orbit would be by hitching a ride with the Russians.

Part of the test rocket mission is for scientists to try out three massive main parachutes, measuring 150 feet in diameter and weighing one ton each -- the largest rocket parachutes ever manufactured.

The parachutes are a primary element of the rocket's deceleration system, NASA says. After the rocket is successfully launched, the parachutes are to open at the same time, "providing the drag necessary to slow the descent of the huge solid rocket motor for a soft landing in the ocean," the agency says on its Web site.

The two parts of the rocket are to separate at about 130,000 feet. The top of the rocket, known as the upper stage, includes a mock Orion crew capsule and a launch abort system. The upper stage will continue its ascent until gravity forces its return to Earth, after which it will fall into the Atlantic Ocean.

The launch comes at a critical time, when NASA is waiting for President Obama to decide future funding for the agency.

An independent committee reviewing the future of space flight recently reported that the U.S. space program appears to be pursuing goals that exceed current funding.

The committee also recommended to the White House that funding for NASA's under-construction international space station should be extended until 2020.

CNN's Kim Segal and John Zarrella contributed to this report.

@highlight

NEW: "One of the most beautiful rocket launches I've ever seen," says launch director

@highlight

Ares l-X rocket heads into space at 11:30 a.m. ET

@highlight

Weather delayed launch Tuesday at Kennedy Space Center

@highlight

Eventual goal with Ares I-X program is return to the moon