Tripoli, Libya (CNN) -- Embattled Libyan leader Moammar Gadhafi flatly denied Monday the existence of the protests threatening to end his 41-year rule, as reports of fighting between government forces and rebels raged another day.

In a joint interview with ABC News' Christiane Amanpour and the BBC, Gadhafi also denied using force against his people, Amanpour reported. Excerpts of the interview were posted on the networks' websites.

"No demonstration at all in the streets," he said, speaking at a restaurant in Tripoli.

Told by the BBC's Jeremy Bowen that he had seen demonstrators in the streets that morning, Gadhafi asked, "Are they supporting us?"

"They love me, all my people with me, they love me all. They will die to protect me, my people," he said.

Government forces have repeatedly clashed with demonstrators over the past two weeks in Libya, fired on crowds and at times shot indiscriminately at people in the streets, numerous witnesses have told CNN. The death toll has topped 1,000, according to an estimate from U.N. Secretary-General Ban Ki-moon.

Soon after Gadhafi's interview, U.S. Ambassador to the United Nations Susan Rice said the Libyan strongman sounded "delusional."

"And when he can laugh in talking to American and international journalists while he is slaughtering his own people, it only underscores how unfit he is to lead and how disconnected he is from reality," she said.

Gadhafi's regime has lost control of parts of the country to rebel forces, and with each passing day more Libyan officials around the world have defected, joining calls for his ouster.

The use of the term "rebel" to describe the anti-government forces is apt, said Kurt Volker, former U.S. ambassador to NATO and now a senior fellow at Johns Hopkins School of Advanced International Forces.

"In Egypt, you didn't have a force that was developed; you had protesters who were demonstrating against the government and the government relented," he told CNN in a telephone interview. "Here, you actually have a government that retains force at its disposal and you have demonstrators joined by elements of the military that have forces at their disposal. So it really has become an armed rebellion."

Even as Gadhafi sought to project confidence Monday, reports came in that a military jet bombed a military base in an area controlled by rebel forces.

The base is near Ajdabiya, 90 miles south of Benghazi, a stronghold of government opponents. Some bases in the area have fallen into the hands of protesters as more members of the military have abandoned Gadhafi's regime and joined demonstrations.

Several soldiers told CNN they switched their allegiance after refusing to use weapons against peaceful demonstrators.

CNN saw the military jet fly overhead and heard the sounds of explosions. Witnesses reported a bombing at the base.

But Libyan state television later denied any such bombing had occurred. The Temporary General Committee for Defense said reports that the Libyan air force conducted strikes on the ammunition depots in the cities of Ajdabiya and Rajima were false, state TV reported.

While CNN has staff in some cities, the network can not independently confirm reports for many areas in Libya. CNN has gathered information through telephone interviews with witnesses.

Pro-Gadhafi forces also tried to attack a radio station in Misrata, a city controlled by protesters, a witness said. A military chopper with soldiers on board has tried to land a couple of times over the past three days, but the opposition fired at the soldiers and kept them away, the witness said.

The international community, meanwhile, launched new efforts Monday to pressure Gadhafi to halt the violence.

"He has lost his legitimacy when he declared war on his people," Secretary-General Ban said about embattled Libyan leader, urging him to heed the call of his people.

Pentagon spokesman Col. David Lapan said the United States is "repositioning" naval and air forces in the region to be prepared for any option that it may need to exercise. He would not comment on whether any ground forces are being put on alert or having leaves cancelled because of Libya.

U.S. Secretary of State Hillary Clinton said at a meeting in Geneva, Switzerland, of the U.N. Human Rights Council that the United States is exploring "all possible options," and that "nothing is off the table so long as the Libyan government continues to threaten and kill Libyan citizens."

"Colonel Gadhafi and those around him must be held accountable for these acts, which violate international legal obligations and common decency. Through their actions, they have lost the legitimacy to govern. And the people of Libya have made themselves clear: It is time for Gadhafi to go, now, without further violence or delay," she said.

Asked at a news conference whether the U.S. planned an imminent military response, Clinton said, "No."

White House Press Secretary Jay Carney said Monday that "exile is certainly one option" for Gadhafi. Carney also said the U.S. government is considering the possibility of imposing a no-fly zone over Libya.

Also Monday, the United States became the latest country to announce it had frozen Gadhafi-related assets. The U.S. government froze at least $30 billion in Libyan government assets under U.S jurisdiction after enacting sanctions on Friday, a Treasury official said. It marked the largest amount ever blocked under a sanctions program, according to Acting Under Secretary for Terrorism and Financial Intelligence David Cohen.

In Tripoli, protesters stayed off the streets, telling CNN they feared violence. Government officials spread word that thousands of people could die if the popular uprising continues. On the 14th day of protests, there appeared to be a stalemate. Some in Tripoli told CNN they feared their protest movement was losing momentum.

But around the world, support for the protests was growing.

Yet another prominent Libyan official, the country's ambassador to South Africa, added his voice to the calls for Gadhafi to end his nearly 42-year grip on power. Gadhafi "should take the ultimate decision to step down in the interest of Libya," Abdullah Alzubedi told reporters in Pretoria.

The European Union's high representative for foreign affairs, Catherine Ashton, said the U.N. Human Rights Council "has a grave responsibility to ensure that our often-stated intentions are translated into real actions and real progress." Speaking at the meeting in Geneva, Ashton said, "What matters in the end is not the number of resolutions passed but results in the real world."

In an interview with CNN, Ashton said stopping the violence means trying "to persuade the people concerned that they will be held to account, that there will be the International Criminal Court, that we will stop their assets being moved, that we will hold them to account for their actions. That's what we do as an international community. That's what we have to make clear. And there's no doubt in my mind that actually they do listen to what's being said."

The U.N. Security Council over the weekend voted for tough restrictions and possible war crimes charges against the Libyan regime. The Security Council measures -- which include an arms embargo, an asset freeze and travel bans for Gadhafi and members of his family and associates -- also referred the situation unfolding in Libya to the International Criminal Court.

On Sunday, Gadhafi criticized the Security Council resolution, telling private Serbian station Pink TV by phone that council members "took a decision based on media reports that are based abroad." He added, "If the Security Council wants to know about something, they should have sent a fact-finding committee."

The protests, which began February 15, have been fueled largely by people demanding freedom and decrying high unemployment.

As the 68-year-old Gadhafi has appeared increasingly cornered, some Libyan officials have begun to discuss openly what a post-Gadhafi Libyan government would look like.

Over the weekend, Libya's deputy ambassador to the United Nations, Ibrahim Dabbashi, indicated he and fellow diplomats support "in principle" a caretaker administration under the direction of former Justice Minister Mustafa Abdul Jalil.

Jalil quit February 21 to protest the "bloody situation" and "use of excessive force" against unarmed protesters, according to Libyan newspaper Quryna.

Dabbashi told CNN Monday that Gadhafi has asked for a change in Libya's U.N. representation, though the diplomat vowed to stay on to represent the people.

About 100,000 people have fled Libya to Tunisia or Egypt in roughly the past week, the U.N. high commissioner for refugees said Sunday, citing reports from the Tunisian and Egyptian governments. The evacuees include Tunisians, Egyptians, Libyans and many from Asian countries.

Tunisia and Egypt are the two countries that have seen their leaders overthrown in the wave of protests that has swept through the Arab world over the past several weeks.

Tunisians on the border with Libya waved pre-Gadhafi-era Libyan flags in support of the opposition.

The Tunisian army, charities and ordinary Tunisians were trying to help Libyans on the border. Refugees said Tunisians were offering them food, water and the use of phones.

CNN's Ivan Watson, Nkepile Mabuse, Eve Bower, Ben Wedeman, Salma Abdelaziz, Talia Kayali, Richard Roth, Tom Watkins, Jack Maddox and Whitney Hurst contributed to this report

@highlight

NEW: U.S. Ambassador to the United Nations says Gadhafi is "slaughtering his own people"

@highlight

Gadhafi denies there have been protests and use of force

@highlight

U.S. Secretary of State Clinton: Libyans have made clear Gadhafi must go

@highlight

Protesters in Tripoli say they fear demonstrating will bring violence