(CNN) -- For Gen. Martin Dempsey, Thursday's move to open combat units in the U.S. military to women had its roots nearly a decade ago, on the streets of Baghdad.

Dempsey took command of the Army's 1st Armored Division in June 2003, when Iraqi insurgents were starting to target American troops with sniper fire, grenades and roadside bombs. As he prepared for a trip outside his headquarters, he took a moment to introduce himself to the crew of his Humvee.

"I slapped the turret gunner on the leg and I said, 'Who are you?' And she leaned down and said, I'm Amanda.' And I said, 'Ah, OK,' " Dempsey told reporters at the Pentagon.

Opinion: Will infantry men accept women as peers?

"So, female turret-gunner protecting division commander. It's from that point on that I realized something had changed, and it was time to do something about it."

Thursday, Dempsey -- now chairman of the Joints Chiefs of Staff -- sat alongside Defense Secretary Leon Panetta as both men signed a directive that will open front-line posts to the roughly 200,000 women now serving  in the active-duty military.

Panetta said the move is a bow to reality on the battlefield, where women in what are technically non-combat units already find themselves fighting alongside their male comrades.

Single mom fought alongside combat troops in Afghanistan

"The fact is, they have become an integral part of our ability to perform our mission, and for more than a decade of war they have demonstrated courage and skill and patriotism," Panetta said.

Women made up 67 of the nearly 3,500 Americans lost in hostile fire in Iraq and 33 of the 1,700-plus killed in combat in Afghanistan; more than 600 in Iraq and 300 in Afghanistan were wounded.

The ban on women in specialties such as armor, artillery and infantry dates back to 1994. The Pentagon loosened some of those restrictions in 2012, and Panetta said the result "has been very positive."

"If members of our military can meet the qualifications for a job -- and let me be clear, I'm not talking about reducing the qualifications for the job -- if they can meet the qualifications for the job, then they should have the right to serve, regardless of creed or color or gender or sexual orientation," he said.

Several U.S. allies, including NATO members France, Canada and Germany, allow women to serve in combat posts. Earlier this month, the U.S. Army opened the 160th Special Operations Aviation Regiment to women, and it has begun recruiting female pilots and crew chiefs. The Navy put its first female officers on submarines in the past year, and certain female ground troops have been attached to combat units in Iraq and Afghanistan.

Dempsey said Thursday's announcement would be implemented "over time and with careful analysis," but he added that the service chiefs were unanimous in their support for the move.

By the numbers: Women in the U.S. military

The move is one of the last significant policy decisions made by Panetta, who is expected to leave in mid-February. It is not clear where former Sen. Chuck Hagel, the nominated replacement, stands, but officials say he was apprised of Panetta's announcement.

The American Civil Liberties Union recently filed a federal lawsuit against the Department of Defense, charging that combat exclusion is unfair and outdated. The plaintiffs, who include women awarded Purple Hearts, also say the exclusion places them at a disadvantage for promotion.

Dempsey suggested allowing women into combat units may ease the military's ongoing problem with sexual harassment: "I have to believe, the more we can treat people equally, the more likely they are to treat each other equally."

Thursday's announcement drew an early cheer from Rep. Tulsi Gabbard, D-Hawaii, who served in Iraq as an officer in her state's National Guard.

"The first two women who earned Silver Stars since World War II, one was a military police sergeant. Another was a medic," Gabbard told CNN ahead of Thursday's announcement. "And they both were operating on the front lines per se, under fire, under extreme duress, shoulder to shoulder with their male and female counterparts and exhibiting great courage and heroism and saving the lives of their brothers and sisters."

Opinion: A more equal military? Bring back draft

Not every position will open at once, however. Each service will have to examine its jobs and produce a timetable for integration. And Gen. Robert Cone, the chief of the Army's Training and Doctrine Command, said the services are developing new physical standards to make sure recruits are capable of meeting the physical demands of combat roles.

"If you say, 'I want to be an infantryman,' we'll say, 'Can you pick up 54 pounds, you know, three feet in the air? Can you carry 66 pounds on your back?' " Cone said.

Cone said that's the biggest concern he hears from soldiers.

And it's one echoed by Jonn Lilyea, a former infantry sergeant who now publishes a military blog, "This Ain't Hell." Lilyea, who fought in the 1991 Persian Gulf war, said he believes physical standards will be relaxed "in order to force the acceptance of women in the combat arms specialties."

"I know it's an eventuality, because the social scientists at the Pentagon are going to want to see numbers that get accepted in there so they can show how just the whole thing is," he said.

Readers skirmish over women in battle

Dempsey said the services can still recommend closing a particular specialty or unit to women -- but "They have to explain why, and I think there will be the right amount of scrutiny on that." And Lilyea said he wasn't reassured by Dempsey's insistence that the brass is supportive.

"I'm sure they all stood and saluted and said 'Yes sir' and marched out smartly, but I don't think they're all 100% behind it," he said.

But Gabbard said there will be women who qualify for combat units under today's standards -- such as a friend of hers from MP school.

Opinion: Women in combat a dangerous experiment

"She did 100 pushups in two minutes," Gabbard said. "And she is a great example of one of our many fine women warriors that we have out there."

Panetta is setting the goal of January 2016 for all assessments to be complete and women to be integrated as much as possible, a senior defense official said Wednesday. The Pentagon must notify Congress of each job or unit as it is sent up to the secretary to be opened to women. Then the Defense Department must wait 30 days while Congress is in session before implementing the change.

It is a marked difference from the way the military ended the exclusion of gays serving openly, or the "don't ask, don't tell" policy. In that case, there were no stipulations attached to openly gay service members. There was no staggered approach that integrated openly gay troops into units. It was instead done all at once, across the board.

Former troops say time has come for women in combat units

CNN Pentagon Correspondent Chris Lawrence contributed to this report.

@highlight

NEW: Army developing new physical tests to implement the policy

@highlight

NEW: Veteran says the military will be pressured to lower standards

@highlight

Joint Chiefs of Staff chairman says female gunner changed his perspective

@highlight

Panetta says American women are already fighting and dying overseas