(CNN) -- Negotiations aimed at curbing Iran's nuclear ambitions may have stalled in Switzerland this weekend, but the head of the U.N. nuclear watchdog agency is optimistic about a new agreement struck with Tehran.

The International Atomic Energy Agency signed a cooperation deal with Iran on Monday.

It will give the IAEA greater access to long-unseen nuclear sites, including a heavy-water reactor in Arak, the very site that may have tripped up the Geneva talks.

Yukiya Amano, the director general of the International Atomic Energy Agency, said the agreement signified a new willingness by Tehran to cooperate with the IAEA.

"The atmosphere is very different, the meeting was very constructive," he said in an interview with CNN's Christiane Amanpour.

"This is an important step, but this is a first step, and much more needs to be done."

He said the deal would take a step by step approach to solving problems, bearing in mind the complications in dealing with the Iranian nuclear issue. Amano said Iran and the IAEA have agreed to focus on six practical measures that would be implemented in a three-month time line.

"The joint statement says Iran and IAEA agree to resolve all present and past issues," Amano said. "Issues that are not included in the first step will be addressed in the subsequent steps."

The IAEA's talks with Iran are separate from the big power diplomacy, he said, referring to the recent nuclear talks between world powers and Iran in Switzerland, which disintegrated on Sunday.

Hopes for a deal had soared after top diplomats rushed to Geneva, but then faded amid divisions among the P5+1 countries. Representatives from Iran and those six countries are scheduled to meet again in Geneva on November 20, in another attempt to resolve the decade long dispute.

"Geneva talks and IAEA talks are independent, different and separate," Amano said. "We are focusing on verification and technical issues."

State Department: "We made significant progress in Geneva"

The IAEA chief has reason to be optimistic, given that this is his first agreement with Iran in years, said Joseph Cirincione, president of Ploughshares Fund, a public grant-making foundation focused on nuclear weapons policy and conflict resolution.

"This is for real, these guys are not playing a con game," Cirincione said. "These Iranians are a much more pragmatic group. They want to make a deal, they want to end Iran's isolation. They want to end sanctions. They are willing to make serious concessions."

On Tuesday, the U.S. State Department also sounded upbeat, saying significant progress was made in Geneva.

"The P5+1 is united," said Jen Psaki, State Department spokesperson. "There is still a gap between what language might be appropriate; that the Iranians are prepared to accept."

Iran has always insisted its nuclear program is for peaceful purposes.

Western powers and Israel accuse it of harboring ambitions for a nuclear weapon.

Iran's refusal to stop enriching uranium has led to crippling sanctions that have stunted its economy, slashed its crude oil exports and triggered widespread inflation at home.

U.S. senators from both parties have pushed for tougher sanctions to increase pressure on Iran even as the Geneva talks showed early signs of promise last week.

But the White House warns lawmakers that tightening sanctions on Iran could derail the diplomatic push to curb Tehran's nuclear program.

Secretary of State John Kerry will push diplomacy as he heads to Capitol Hill on Wednesday to meet with members of the Senate Banking Committee. Some of the restrictions originated in that Banking Committee.

The State Department said Kerry would make it clear that putting new sanctions in place would be a mistake.

"We are still determining if there is a diplomatic path forward," Psaki said. "What we are asking for right now is a pause, a temporary pause, in sanctions. We are not taking away sanctions. We are not rolling them back. This is about ensuring our legislative strategy and our negotiating strategy are running hand in hand."

"The momentum for this deal is almost irresistible," said Cirincione.

"It may not happen November 20. It may take a few more weeks, but it is crystal clear, the majority of P5+1 believe a deal is in our best interest."

CNN's Christiane Amanpour contributed to this story

@highlight

No results in weekend talks on Iran's nuclear program

@highlight

But International Atomic Energy Agency hopes for better luck with deal signed Monday

@highlight

IAEA chief: "This is an important step, but this is a first step"