Prime Minister Nuri al-Maliki gave up the fight Thursday to keep his post, clearing the way for a new leader that many hope can hold Iraq together as the country battles brutal extremist fighters.

In a televised address, al-Maliki withdrew his candidacy for a third term and endorsed the Prime Minister-designate, bringing to an end a political battle that just days ago saw him vow to hold onto power as he ordered tanks into the streets.

"I announce to you today that I am withdrawing my candidacy in deference to my brother, Haider al-Abadi, in the highest interest of the country," he said.

The news -- first flashed on state television -- follows mounting pressure, at home and abroad, for al-Maliki to step aside and make way for someone to bridge the sectarian divide that many accuse him of fomenting.

The move comes at a critical time in Iraq as Sunni fighters with the so-called Islamic State, formerly known as the Islamic State of Iraq and Syria, force hundreds of thousands from their homes as they seize large swaths of land.

Al-Maliki's announcement came the same day that U.S. President Barack Obama declared the ISIS siege that trapped thousands in the Sinjar Mountains over, but warned the crisis is far from solved.

While humanitarian airdrops and U.S. airstrikes saved those stranded from starving and provided safe passage off out of the mountains, the Yazidis arrived by the thousands at camps in and outside Iraq.

Al-Maliki will continue to serve as the country's caretaker Prime Minister -- as well as its top military commander -- until al-Abadi forms a new government.

Al-Maliki's acquiescence was a turnaround for the man, who in recent days called the appointment of al-Abadi unconstitutional and said he would not step down.

He had gone so far as to file a lawsuit in federal court to stop the formation of a new government and ordered tanks and soldiers loyal to him into the streets of Baghdad, raising concerns of a possible coup.

But with world leaders, diplomats, members of his own political party and the country's most revered Shiite cleric pressuring him to step down, al-Maliki gave up the fight.

Calling it in an "honorable decision" by al-Maliki, U.S. Secretary of State John Kerry urged al-Abadi to move quickly to form the government, saying it is essential to pulling the country's various ethnic and religious groups together to fight a common enemy in ISIS.

Who's Haider al-Abadi, the man who will lead Iraq?

While Iraq works to seat a new government, Obama said in a televised address on Thursday that the United States will continue to conduct airstrikes to protect U.S. personnel and facilities.

The United States carried out airstrikes Thursday against three ISIS targets northeast of the Kurdish regional capital of Irbil, according to the U.S. Central Command.

The targets were U.S.-manufactured mine-resistant ambush-protected vehicles, more commonly known as MRAPs, and other armored vehicles being driven by ISIS fighters. The vehicles are believed to have been seized by ISIS after it routed Iraqi troops in northern Iraq.

Also, there were reports that ISIS fighters were advancing south and west of Kirkuk, about 240 kilometers (149 miles) north of Baghdad.

At the same time, Obama urged Iraq's Shiite-dominated government to seize "the enormous opportunity of forming a new inclusive government" under al-Abadi.

"He still has a challenging task in putting a government together, but we are modestly hopeful that the Iraqi government situation is moving in the right direction," he said.

The new battleground in Iraq appeared to be spreading to the south and west of Kirkuk, where ISIS fighters occupied four towns to the south and west of Kirkuk, according to Hisham al-Hashimi, a researcher at the Journalistic Freedom Observatory.

According to his sources in the field, there was fighting ongoing between ISIS and Kurdish fighters, known as Peshmerga, in the town of Tuz Khurmatu. The town is home to a number of Turkmen, an ethnic minority in Iraq.

The United Nations  estimates that more than 400,000 people have been driven from their homes since June, when ISIS swept across the border from Syria into Iraq.

Of those displaced, more than 200,000 have poured into northern Dohuk province in recent weeks, where refugee camp populations have swelled since ISIS began its assault against Yazidis, Christians, Kurds and Shiites.

Thousands of other refugees sought protection inside the northern Kurdish region of Iraq.

"To be blunt, we don't have housing for all of them. We don't have shelter," a spokesman for the U.N. human rights commissioner, Edward Colt, said at a camp near the Peshkhabour bridge where Iraqis are entering the area. "Thousands of tents are being erected as we speak."

Yazidi refugees were also fleeing across the Iraqi border into Syria.

As of Thursday, there were about 15,000 Yazidi refugees from Iraq who arrived at the Newroz camp in Syria, the U.N. refugee agency said. Thousands more are arriving, the agency said.

The Yazidis fled last week in the Sinjar Mountains as ISIS overran the city of Sinjar.

A senior commander said ISIS fighters abducted more than 100 Yazidi women and children from the community.

The ISIS commander, who has knowledge of the events that unfolded, said the fighters killed a large number of men when they took over the town more than a week ago.

"At that time, they took Yazidi women and children, and I can confirm those women and children have entered Mosul," the commander said by telephone. "...The Islamic State is taking this opportunity to call them to Islam."

While CNN cannot independently confirm the claim, it follows reports by survivors who describe ISIS fighters grabbing families and separating the men from the women and children.

@highlight

Secretary of State John Kerry says al-Maliki made an ''honorable decision''

@highlight

U.S. carries out airstrikes against ISIS targets northeast of Irbil

@highlight

U.S. military assessment finds there are far fewer Yazidis trapped than originally thought