(CNN) -- With each day, the hunt for Malaysia Airlines Flight 370 becomes one of the most baffling mysteries of the modern era, but history offers many great quests in which mankind searched for something or someone lost.

These are epic searches, based on legend or fact, ending successfully, tragically, or sometimes not at all:

The Holy Grail

There are many great biblical searches: Noah's Ark. The Ark of the Covenant. The Garden of Eden.

But there's nothing like the Holy Grail.

Indeed, it's a metaphor for any monumental search.

It's not clear what the Grail exactly was, but it's said to be the shallow cup from Jesus Christ's Last Supper and from his crucifixion, where the vessel took blood flowing from his side. Some believe Joseph of Arimathea brought the Grail to Britain, where it lies hidden.

Not even legendary King Arthur and his knights could find it, though their crusade inspired lore and romance.

The Titanic

RMS Titanic was a British luxury passenger ship that sank in 1912 during its maiden voyage from Southampton, England, to New York City. The ocean liner was touted as "unsinkable" -- until it met an iceberg in the North Atlantic around midnight on April 14-15, 1912.

About 1,500 of the more than 2,200 people aboard the Titanic died.

For decades, the ship was considered forever lost at the bottom of the ocean -- until 1985, when scientists found the wreckage on the seabed. Its story inspired director James Cameron to make the Hollywood tragic love tale "Titanic" in 1997.

Air France 447

A long search for a commercial airliner like Malaysia Airlines Flight 370 isn't unprecedented.

In 2009, Air France Flight 447 plunged into the South Atlantic Ocean during a storm, killing all 228 people aboard.

The precise location of the wreckage remained a mystery for almost two years. Then the plane and its dead were found in a mountain range deep on the ocean floor.

Miniature submersible vehicles retrieved the Flight 447's voice and flight data recorders. That allowed investigators to blame the crash on a series of errors by the pilots and a failure to react effectively to technical problems.

Nine aviation mysteries highlight long history of plane disappearances

Jimmy Hoffa

The disappearance of Teamsters leader James Riddle Hoffa remains a subject of relentless speculation and macabre jokes.

He vanished on July 30, 1975, after he stood outside the Machus Red Fox restaurant in Michigan and made a phone call. He was never heard from again.

His name makes news anytime FBI agents and police are seen holding shovels. Lore holds that Hoffa was killed and buried. But where?

Amelia Earhart

The swashbuckling aviatrix and pioneering woman embarked on the first around-the-world flight at the Equator in June 1937.

After completing about two-thirds of the flight, she and navigator Frederick Noonan disappeared after their plane took off from Lae, New Guinea. They were heading to the Pacific Ocean outpost of Howland Island -- a distance equaling a transcontinental U.S. flight.

A search never found any trace of her, Noonan or their plane. Some believe they ran out of fuel and crashed into the sea -- similar to one theory of what happened to the Malaysia Airlines plane.

Atlantis

In the fourth century B.C., the philosopher Plato spoke of an ancient utopia that existed 9,000 years before, a place called Atlantis.

Made of concentric islands rich with gold, silver and exotic life, Atlantis descended into depravity, Plato said, until earthquakes and tsunamis ultimately destroyed it.

Over time, thinkers and writers began trying to place Atlantis in real countries and lands, even America.

At a minimum, Atlantis lives on in the imagination, thanks to one of Western civilization's greatest philosophers.

Seven cities of gold

It's one thing to imagine of a paradise like Atlantis. It's quite another to actually voyage into a strange new world in search of one.

That's what the Spanish explorers did in the 1500s, driven by a tall tale told by natives of how the New World held seven cities of gold.

In their lust for wealth, the Spaniards traveled through modern Florida, Texas and Mexico in search of Cibola.

When they arrived in Kansas, they finally quit. They never found the seven lost cities of gold.

Tomb of Cleopatra and Mark Antony

Cleopatra, the great queen of Egypt, died in 30 B.C. and was buried with her lover, Mark Antony.

The couple's great passion has been captured in theater and film, thanks to Shakespeare on stage and Elizabeth Taylor in film. But for some adventurers, that's not enough.

In 2009, flamboyant archeologist Zahi Hawass of Egypt and his colleagues began a new search for Cleopatra's tomb -- "in hopes of removing some of the great mystery that hangs thick around this famous queen," Hawass wrote in National Geographic.

"Many have searched for the tomb of Alexander the Great, but no one had searched for that missing piece of ancient Egypt's story -- the tomb of Cleopatra, who took her own life rather than surrender her homeland to the Romans," Hawass wrote. "It occurred to me that we had before us an opportunity to recover the last page in the book of ancient Egyptian civilization, an opportunity we could not pass by."

So far, he's had no luck.

Then again, no one has found the tomb of Alexander the Great, either.

Bermuda Triangle

Many ships, planes and people have disappeared in the Bermuda Triangle, a section of the Atlantic Ocean in a "triangle" marked by the points of Bermuda, Miami and San Juan, Puerto Rico.

Speculation runs wild on what caused the boats and aircraft to vanish.

Sound familiar? The disappearance of Flight 370 has nothing on the Bermuda Triangle.

Some even blame the triangle disasters on supernatural forces, including influences from lost Atlantis or another time-space dimension.

The U.S. government devotes a Web page to the Bermuda Triangle and rebuts fringe theories. U.S. officials cite hurricanes, sudden storms, the powerful Gulf Stream and shallow Caribbean waters as reasonable explanations for the lost vessels.

"The U.S. Navy and U.S. Coast Guard contend that there are no supernatural explanations for disasters at sea. Their experience suggests that the combined forces of nature and human fallibility outdo even the most incredulous science fiction," the U.S. National Oceanic and Atmospheric Administration says on its website.

"The ocean has always been a mysterious place to humans, and when foul weather or poor navigation is involved, it can be a very deadly place. This is true all over the world."

By the way, no official mapping exists for triangle's boundaries, NOAA says.

Life out there

Call them aliens. Call them extraterrestrials.

Call them what you want.

But let's face it: Don't we all wonder what's out there, especially when we launch spacecraft to another planet?

Sure, astronomers study the heavens and find new planets, but what we're privately searching for is whether we are alone.

Among the organizations advancing this pursuit is the Carl Sagan Center for the Study of Life in the Universe, named after the late American astronomer who championed exploration of the cosmos.

"The significance of a finding that there are other beings who share this universe with us would be absolutely phenomenal, it would be an epochal event in human history," Sagan once declared.

@highlight

The hunt for Malaysia Airlines Flight 370 conjures up other great searches by mankind

@highlight

The Holy Grail, never found, is a metaphor for all monumental quests

@highlight

The ocean searches for the Titanic, Air France 447 ended with success

@highlight

Is our greatest search the one to know whether we are alone?