(CNN) -- Can the world agree that 2013 will be the year when a girl's right to education will finally be won -- even in the most remote and once lawless corners of the globe?

Last October, shocked by the attempted murder of the 15-year-old Pakistani girl Malala Yousufzai, three million people around the world rushed to sign a petition demanding universal girls' education.

The Pakistani government then agreed for the first time to legislate compulsory free education and provided stipends for three million children.

Only this week Shahnaz Nazli, a brave 41-year-old teacher on her way with her child to work at an all girls' school, was shot dead and joined an ever-lengthening list of teachers and students murdered because of their support for the basic right of girls to go to school.

The murder demonstrates yet again that in parts of the Indian subcontinent, Afghanistan, and Africa, intimidation and violence are the daily reality of life for many girls who want to go to school and the many educators who want to teach them.

Even today, five months after Malala's shooting in the Swat Valley, her school friends remain in fear of violence simply for attempting to return to school.

A new petition, launched this week on www.educationenvoy.org -- with its first signatories, Malala Yousafzai and her father Ziauddin -- calls for an immediate tightening of security protection for pupils and teachers when going to school in Pakistan.

It is because of the tragedies that befell Malala and her school friends -- and now Shahnaz -- that in Washington in three weeks' time the U.N. and World Bank will bring together the countries that are off-track in securing universal primary education to devise a plan to move further and faster to universal education by the end of 2015, the date by which the Millennium Development Goals are to be met.

The atrocity against Shahnaz -- murdered only 200 meters from the all-girls school where she taught in Khyber tribal district -- is a stark reminder of the continuation of the threats, intimidation, shootings, arson attacks and sometimes even murder that are the Taliban's weapons of a war against girls' opportunity.

They also remind us that the silent majority who once stood in the face of these threats will be silent no more and that public revulsion against the violence has strengthened the resolve of girls to go to school.

Over the past several years, Pakistani Taliban militants have destroyed hundreds of schools in Khyber Pakhtunkhwa Province. Last year Al Jazeera showed how Shabeena, the headmistress of a state-run girls' primary school in the troubled province, was battling to keep girls in school in spite of the threats. The film features Afshan, one of six daughters of a night security guard, determined to secure an education. It also tells the story of Zarina, whose fight to stay in school required her to resist her family's plan to marry her off at the age of 14.

What's happening in Pakistan is also occurring in Afghanistan where, despite the removal of the Taliban from the control of the national government, local teachers and pupils are under pressure to stay away from school. Last year an investigation was carried out into allegations that Taliban extremists were poisoning school girls through infecting their school water. Still women run schools, sometimes going underground, claiming they are offering only sewing lessons.

There are many reasons why 32 million girls are not at school today. For some there are no schools to go to and no teachers. Seven million are laboring in fields, mines, factories and in domestic service or they have been trafficked. Others still are child brides, forced out of school and into loveless marriages, often undergoing early pregnancies that put their lives at risk. But most of them are victims of unfair discrimination against girls, an assumption that girls do not need to be educated to play their part in the world.

This week's tragic killing near the Afghan border -- just five months after the shooting of Malala and her friends on a bus -- also reminds us that the discrimination against girls that provoked Malala's shooting has not gone away, and that the struggle of families in Malala's own community in the Swat Valley is far from over.

Injured with Malala were her friends Shazia Ramazan, who has had to relearn how to use her left arm and hand, and Kainat Riaz. I have spoken to them twice on the phone about their desire to continue their education and their ambition to become doctors. These sentiments were also expressed to the physician Seema Jilani in her New York Times piece.

According to recent reports that have been sent to me, armed policemen have had to be deployed to the homes of Shazia and Kainat as well as other girls to shield them from harm.

While Kainat says that things are better than four years ago, it is nonetheless the case that the girls still need police escorts to go to school.

You can sign the petition supporting the girls and teachers who are demanding they go to school free of intimidation and violence at www.educationenvoy.org. On that site you can also see the details of our plans to meet Malala's ambition, for every girl should go to school.

The opinions expressed in this commentary are solely those of Gordon Brown.

@highlight

Gordon Brown: Girls' eduction is a right that must be protected

@highlight

Petition started to safeguard girls going to school in Pakistan

@highlight

Petition started after a school teacher was shot dead

@highlight

Case of schoolgirl Malala Yousufzai also highlights violence and intimidation against girls