(CNN) -- Recently an op-ed by Douglas Rushkoff took up the issue of the creation of the Center for Copyright Information (CCI), a coalition charged with implementing the Copyright Alert System, a graduated response framework to copyright infringement. As the executive director of the Center, I would like to respond to several concerns that article raised about how the program will work and its goals

For background, the Copyright Alert System aims to inform consumers of inadvertent or purposeful unauthorized distribution of content over peer-to-peer networks and to help consumers find legal ways to obtain, share and enjoy movies and music protected by copyright.

The program represents an unprecedented and voluntary partnership between leading Internet Service Providers (ISPs) -- AT&T, Cablevision, Comcast, Time Warner Cable and Verizon -- and U.S. content creators -- represented by the Motion Picture Association of America and the Recording Industry Association of America -- with advice from leading consumer advocates. Gigi Sohn, president and CEO of Public Knowledge and Marsali Hancock, president, iKeepSafe.org, sit on our advisory board, to name just two.

This system reflects a new reality: The Internet has forever changed how content is consumed, making content easy to find, use and experience.

Our work at CCI is about educating consumers about how to legally and ethically enjoy the movies and music they love. As Rushkoff says: "The longer term solution would be to develop an appropriate social contract: conducting ourselves online under the same civilized behavioral norms that keep us from, say, stealing stuff from one another's homes even though we could probably get away with it."

It's beyond this premise that I take issue with Rushkoff's article.

The article's headline: "Will your Internet provider be spying on you?" indicates a fundamental misunderstanding of the program and how it works; it suggests that ISPs would engage in an activity anathema to their consumers to protect copyright. Now that doesn't sound like the ISPs that I know.

Opinion: Will your Internet provider be spying on you?

The role of the ISPs in the new Copyright Alert System will be to pass on notices sent by copyright holders to those subscribers whose Internet protocol addresses (strings of numbers that mean little to most people ) have been associated with allegedly illegal file sharing. As they have done for years, content owners will use technical methodologies to identify alleged infringements over peer-to-peer networks and will request that notices of such alleged infringement be passed on to subscribers by the participating ISPs.

To be clear: No personal information at all, including the identity of the subscriber, will be shared with the content owners by the ISPs. What the ISPs will do, in recognition of the importance of copyright protection generally, is to then provide their subscribers with education and information about what not to do and how to get content in the right way.

The alerts will be non-punitive -- 4-6 in total, depending on the ISP -- but progressive in scale. If the activity stops, the alerts stop. Initial alerts will focus on making the consumer aware of the activity and highlighting legal ways to enjoy content.

The alerts are designed with particular attention to key groups -- parents of teens, for example -- to provide the most helpful and actionable information possible. Alerts that require acknowledgment of receipt of the alert follow and -- in some cases -- the system also includes mitigation measures, which vary between ISPs. These may include temporary reduction of Internet speed or redirection to a landing page until the subscriber contacts the ISP or reviews educational information.

The CAS will only address activity over to peer-to-peer programs such as BitTorrent -- not streaming video or other general online content. The system is based on consumers' "right to know" when their Internet account is being used for illegal file sharing through peer-to-peer networks, or if their own online activity infringes on copyrights -- inadvertently or otherwise -- so that they can correct that activity.

The alert system is similar to warnings and alerts in place for stolen credit cards. The unfortunate reality of malware and other potential dangers on peer-to-peer programs makes this service to subscribers particularly important.

Going beyond the nuts and bolts of the program, the Center for Copyright Information's primary goal is educational. The program is designed to provide non-punitive tools that will help inform consumers about how to legally enjoy digital copyrighted content and avoid illegal peer-to-peer networks, through a system based on information and deterrence.

As Rushkoff points out, "in many cases the Internet subscriber might have no knowledge of the infraction" and he goes on to describe how a houseguest might share illegal content without the Internet subscriber's knowledge. But that's exactly the point. Many subscribers, particularly parents or caregivers, are not aware that their accounts are being used to distribute illegal -- and sometimes harmful -- content through peer-to-peer networks.

That ignorance doesn't make it acceptable. What we need to do is help subscribers better understand what they can and cannot do and help them get the compelling and entertaining movies and music from the constantly expanding collection of legal services now in the marketplace.

With methods for sharing content constantly evolving, the Copyright Alert System is designed to address an information gap. From homeowners who want to make sure their wireless networks are secure to parents concerned about their children's activity on the internet, information and tools can help users better consume content. In the coming months, we are eager to share our effort to close this information gap.

Join us at Facebook/CNNOpinion.

The opinions expressed in this commentary are solely those of Jill Lesser.

@highlight

Jill Lesser: Earlier op-ed imputed sinister intent to a new Copyright Alert System; there is none.

@highlight

She says the coalition of ISP's, media companies wants to deter copyright infringers

@highlight

She says it won't share your personal info, it's trying to educate consumers

@highlight

Lesser: Aim is to let consumers know what is OK and not OK to just take from the internet