(CNN) -- Ten years ago, Blair and Estelle Hunt entered the wine business with nothing more than a bare plot of land.

Blair and Estelle Hunt with their wine awards.

Both were approaching 60 and, while they were familiar with what made a good bottle of red, they had no idea how to make it.

That didn't stop them. This year, industry experts judged their 2005 Bald Hills pinot noir the best red wine in the world.

It beat 4,760 other entries to take the Champion Red award in the International Wine Challenge, the world's biggest blind tasting.

And, it was the first time a vineyard outside France took Decanter magazine's top prize for best pinot noir over £10.

"We were amazed," said Blair Hunt. "It's impeccable timing for a small vineyard in the face of such extensive competition."

Success has come rather suddenly for Blair and Estelle. After 45 years of marriage, three children and varied careers in management, real estate and teaching, they had been looking to wind down.

They sold their house in Sydney and moved to rural New Zealand to search for something to keep them occupied in later life.

"I'm really wary about the word retirement," Blair says. "I don't quite understand it, although the reality is that it is our income so you could say it's our retirement."

They had been considering entering the dairy industry, but as they criss-crossed the country searching for a place to settle down, the stunning landscape of Central Otago in New Zealand's South Island won them over.

"Just the sheer beauty of the place led us to say right let's give it a go," says Blair Hunt.

As it turns out, Bannockburn, one hour outside Queenstown, was an ideal place to grow grapes.

"We knew that from research on record we had good soil types and in relative proximity we could see grapes growing. The plot was just a bare 11 hectares, or 27 acres. It had a nice slope to the north, north-west, so you've got that sun bearing down on it all of the day. Everything seemed to be lined up and, as it turns out, it has been."

They planted their first vines in 1997. Back then it was a part-time job. Every weekend they'd drive up into the hills from their home in Balclutha, South Otago to tend their vines. They built a house on the site and moved there in 2001.

Even then it didn't demand their full attention.

Until June, Blair Hunt was working full-time as the Chief Executive of the local hospital. "Not bad for an old fella," he laughs. He is 69.

Estelle, 68, shares his passion for a day's hard work washed down with a glass of fine wine each night.

"Some people just are energetic and love what they're doing. That's a huge help," she says.

"We're avid learners really. We used to spend a lot more time in the vineyard but as time went by we discovered that there was more and more paperwork to be done."

"Blair still loves to get out and do the mowing up and down the rows and have a good look to see what's actually going on out there. From time to time we've both got out and done some picking."

Blair is quick to correct the suggestion that their success is anything other than the result of hard work by a dedicated viticulturalist and his team, as well as an expert winemaker.

Renowned New Zealand winemaker Grant Taylor started working with them before the first grapes were picked. He has his own label and is very selective about to whom he lends his expertise.

"I have worked with many, many grape growers in 28 years of winemaking. I never try to push my thoughts on them because usually they will cost the grower money, but simply say what I think and let them make the decision," he says.

"Blair and Estelle have listened, then acted. They have been fine tuning their viticulture, I have been fine tuning the winemaking, and the vines have been getting older and doing their job better. But underneath it all is a shared philosophy, which is to do everything in the vineyard and winemaking to make the best wine possible. There are no shortcuts aimed at saving money."

Pinot noir grapes are notoriously difficult to nurture. They're thin-skinned, susceptible to rot and are really only successfully grown in three locations: Burgundy in France, Oregon in the U.S., and New Zealand's Central Otago region.

There, growers go to great lengths to ward off winter frosts in the cold mountain ranges. Some fly helicopters low over the vines to stir up the icy air. At Bald Hills, there are two wind-machines on standby if the temperature starts to plummet.

The rest of the season, the vines are pruned and tended by hand, the grapes individually picked.

Strangely, the vineyard's "spare no expense" philosophy hasn't produced a hideously expensive wine. Visitors to the cellar door can buy a bottle for 38 New Zealand dollars, or less than U.S.$30.

And, despite the scarcity of the product -- there are only 100 "uncommitted" cases left -- the Hunts have not put up the price -- yet.

"We're contemplating that, and the consequences of doing that in the longer term. At the end of the day you're talking about long term viability and sustainability rather than short-term gains," Blair says.

This couple, although approaching 70, is in it for the long haul.

The judges called their 2005 pinot noir well integrated, harmonious and impeccably balanced. The same might be said about them. E-mail to a friend

@highlight

Blair and Estelle Hunt own the Bald Hills vineyard in New Zealand

@highlight

The couple started making wine without any previous experience

@highlight

Their 2005 pinot noir has been judged the best wine in the world this year