(CNN) -- The "mommy wars" that have cropped up repeatedly this campaign season are a figment of political pundits' imagination. The most recent example, of course, was the political and media tempest that followed Democratic strategist Hilary Rosen's comment that Ann Romney, Mitt Romney's wife and a mother of five, had not "worked a day in her life." Many made political hay with the remark.

The truth is most women aren't fighting about this. They know that work is involved to make everyday life happen: the feeding, and clothing and caring for oneself and one's family, whether earning the money to buy the clothes and food, or being at home, washing those clothes or cooking dinner. All mothers work, nearly all of the time. And so do many fathers.

But there is a serious issue hidden in the silliness of the alleged mommy wars, and it is the contradictory, conflicting beliefs we have about the value of taking time to care for other people. Who should take care of young people and their grandparents, and how should they be rewarded? We claim to value families, but we don't really value what it takes to care for them. Let me give you some examples:

Contradiction #1: Everyone seems to agree that women and men should have equal rights. But when was the last time you heard someone say that a man should make fatherhood a "career"? It is true today that sometimes, men do become stay-at-home dads, but even in the consciously feminist families I wrote about in my book, "Gender Vertigo," men share the "work" of raising their children; I didn't interview one man who described fatherhood as a career. And it took me a long time to find couples that really shared the work equally.

There are blogs to help parents equally share the work (like Marc and Amy Vachon's blog), but if parenting is truly the socially valued career choice that politicians on both sides of the political spectrum claim, why do so few men identify fatherhood as their primary career?

Contradiction #2: Everyone seems to agree that parenting involves sophisticated emotional and psychological skills and not merely grunt work. But if people truly believe that, why does Stanford sociologist Shelley Correll and her colleagues find time and time again that mothers are discriminated against in hiring and promotions?

Contradiction #3: Everyone seems to agree that America supports "family values." But research published in this month's American Sociological Review shows that women who breast-feed for six months or more pay a mommy penalty in wages for the rest of their lives because of the lack of work policies that protect employed women's right to breast-feed on the job. Why doesn't the U.S. institute the same protections for women's right to breast-feed as other Western industrial countries?

Contradiction #4: Everyone seems to agree that when women married to men of means choose to be stay-at-home moms, they are doing so for the good of their children. But when poor women, without access to first-rate child care, choose to stay home with their babies, we tend to call them lazy welfare mothers. Our social policy of providing only very "temporary assistance to needy families" comes with the built-in insistence that they take personal responsibility for their children, meaning they should get themselves a low-wage job, often with no choice but to leave their children in less than optimal child care.

Sociologist Mirra Komarovsky pointed out these contradictions back in 1953. She argued back then that if society truly believed caretaking was an important and difficult job, nursery school teachers would rate a salary at least equal to the beginning salary of a street cleaner. Not much has changed since then. As Stephanie Coontz, a historian and co-chair of the Council on Contemporary Families, told me: "It's time for politicians to stop competing over the women's votes and start competing over who has the best programs to support all parents, whatever their employment status or their gender."

Why all these contradictions? Because we have a society in flux. We have inherited both workplace cultures and beliefs from a time in our past when successful men had wives to take care of their homes and children. Workplaces got two employees for the price of one, the husband and his domestic wife. Unions fought for "family wages" so working-class men could benefit from women's household work as well.

That's not the world we live in today. Now, for better or worse, most mothers of young children -- married and single -- work both inside and outside their homes. Their workplaces, and our cultural conversation full of contradictions, has lagged far behind.

Let's call a truce on the fictional mommy wars and start a war on workplaces that don't allow mommies and daddies to live full lives, on the job and at home.

The opinions expressed in this commentary are solely those of Barbara J. Risman.

@highlight

Barbara Risman: "Mommy wars" are cooked up by politicians and media, not everyday women

@highlight

She says women know well the conflicts society presents them over value of their work

@highlight

She says women told job of mothering is valued, so why don't dads make it a "career?"

@highlight

Women face discrimination over mother choices, Risman says; workplaces must catch up