There's a lot of information out there on the Ebola crisis. And now, the issue's gone political with increasingly vocal talk on Capitol Hill and in midterm campaigns calling for a travel ban to keep the disease from spreading in the U.S.

Let's sort through the muck and get to the facts:

What's all this talk about a travel ban to deal with the Ebola outbreak?

Some Republican lawmakers and a handful of Democrats are calling for a travel ban on people from the West African countries most affected by the disease.

In Sierra Leone, Liberia and Guinea, more than 4,400 people have died of the disease and one person has died of the disease in the U.S.

That patient was diagnosed and ultimately died at a Texas hospital and now Gov. Rick Perry is joining calls for a travel ban after two nurses at the hospital contracted the disease.

"Air travel is, in fact, how this disease crosses borders and it's certainly how it got to Texas in the first place," Perry said. "I believe it is the right policy to ban air travel from countries that have been hit hardest by the Ebola outbreak."

Gov. John Kasich of Ohio said Saturday that such a travel ban "makes sense."

His state is on high alert after Amber Vinson, the second Dallas nurse to fall ill, flew to Cleveland and spent four days there after she had contracted the virus.

But health experts at the Centers for Disease Control and World Health Organization aren't recommending a travel ban, and CDC chief Dr. Tom Frieden has even said the ban could hurt efforts to prevent an outbreak in the United States

Has the U.S. ever enforced that kind of a blanket travel ban?

Not really. The U.S. has not banned people from a certain country from coming to the U.S. because of an epidemic.

But President Ronald Reagan in 1987 did ban anyone infected with HIV/AIDS from entering in the United States. And for more than 20 years, that was U.S. government policy until President Barack Obama struck it down in 2009.

That travel ban came at a time when AIDS was heavily stigmatized in the United States and amid misinformation and some public fear that the disease could spread through casual contact.

Anyway, there's not much evidence to suggest that travel ban was successfully enforced or effective. Today, more than 1.1 million people are HIV positive.

But remember, Ebola is nothing like AIDS according to Sen. (and Dr.) Rand Paul.

Wait, just checking, Ebola can't be spread through the air right?

No. No, no, no. The Ebola virus is only spread through contact with the bodily fluids of a person who has started showing symptoms of the disease.

And while some have stoked fears that the disease could go airborne, the World Health Organization and other experts have said the chances that could happen are near to nil and are unaware of a virus that has ever mutated in that way.

Can you catch Ebola on a plane?

What about  epidemics like SARS and swine flu that have infected and killed way more people than Ebola? Why weren't there travel bans for those outbreaks?

Nope. No travel bans for those diseases.

Swine flu, also known as H1N1 flu, killed more than 284,000 people between 2009 and 2010 according to the CDC -- of which about 12,000 Americans. The WHO did not recommend a travel ban then either.

And the United States never banned travel from China, the epicenter of the 2003 SARS outbreak, which tallied roughly the same number of cases -- over 8,000 -- in the same seven-month period as the Ebola epidemic.

In fact, U.S. airports never implemented SARS passenger screenings at airports at a time when many other countries did.

So why are politicians so certain a travel ban is the right way to go here?

Simply put, a lot of members of Congress just want to keep the disease out of the United States and prevent any more cases from spring up at home.

And they believe the best way to do that is to bar anyone who's been in West Africa recently -- or who has a passport from one of those countries.

U.S. health officials grilled on Ebola at congressional hearing

Rep. Tim Murphy, who led the house panel that sharply questioned top health officials over Ebola on Thursday, insisted airport screenings aren't enough to keep people out of the country -- especially since infected people can carry  the disease for up to 21 days without showing any symptoms.

And Rep. Fred Upton said Ebola "needs to be solved in Africa, but until it is we should not be allowing these folks in. Period."

OK, that sounds like it makes sense. Why are health experts saying the ban's a bad idea?

The CDC's Frieden gets why that's the knee-jerk reaction to such a deadly disease.

But a ban might actually make things worse, he said, because it could encourage people to lie about their travel to West Africa.

And without that crucial information, Frieden said people infected with Ebola could slip into the United States without the CDC being able to track and monitor them for symptoms.

But aren't more than two dozen African countries now enforcing some kind of travel ban?

Yes. A few of the neighboring West African countries have actually sealed their borders altogether while many other countries on the continent are banning travel to and from those West African countries.

But it's not clear how effective those bans are at keeping West Africans out in a region known for especially porous borders.

"Even when governments restrict travel and trade, people in affected countries still find a way to move and it is even harder to track them systematically," Frieden said last week.

So you're saying it probably wouldn't work?

Nope. At least not according to health officials. In fact, there are no direct flights to the United States from either Libera, Sierra Leone or Guinea, the three most affected countries.

There are direct flights from Nigeria, which has dealt with 20 cases, but that country has been much more effective in containing the outbreak.

Latest Ebola developments

How else could a travel ban hurt?

The ban would especially hurt efforts in West Africa to contain the disease, where foreign health care workers have been central to the fight against the epidemic.

And if American health workers are afraid they can't return to the United States, they might decide not to go at all.

Preventing the disease from spreading further in West Africa is crucial to keep Ebola from continuing to spread.

Complete coverage on Ebola

@highlight

The last time the U.S. enforced some kind of health-related travel ban was with HIV/AIDS.

@highlight

The U.S. didn't enforce travel bans with the more contagious SARS and swine flu epidemics.

@highlight

Top health officials say a ban wouldn't work and would make the problem worse.