Washington (CNN) -- Is it a model for bipartisan governance or a short-term solution that only hardened long-held positions?

Democrats and Republicans had wildly different takes on Thursday on the agreement passed by Congress and signed by President Barack Obama that ended the 16-day partial shutdown of the government and averted a possible U.S. default.

Hundreds of thousands of federal workers returned to their jobs across the country and national monuments such as the Gateway Arch in St. Louis reopened under the agreement considered a victory for Obama because it lacked substantive changes to his signature health care reforms targeted by conservatives.

In a tough and somber statement, the President challenged the Republican right to drop its anti-government ideology and change how business gets done in Washington.

The standoff "inflicted completely unnecessary damage (to) our economy" by slowing growth and increasing borrowing costs, Obama said, declaring that "there are no winners here."

At the same time, he blamed the brinksmanship that flirted with the first default in U.S. history on no-compromise tactics of the Republican tea party wing in Congress, saying that "the American people are completely fed up with Washington."

"Let's work together to make government work better instead of treating it like an enemy or purposely making it work worse," Obama said in a direct jab at tea party conservatives.

"You don't like a particular policy or a particular president? Then argue for your position. Go out there and win an election," he added. "Push to change it, but don't break it" because "that's not being faithful to what this country's about."

Saying "we can't degenerate into hatred," he ended by quoting part of the Pledge of Allegiance that states America is "one nation, under God, indivisible, with liberty and justice for all."

But an aide to Sen. Ted Cruz, who led the tea party charge to tie continued government funding to derailing Obamacare, told CNN's Dana Bash late on Thursday the Texas Republican was not ruling anything in or out about a possible shutdown early next year around the next big fiscal deadlines.

While no other Republican leaders offered on-the-record reaction, a senior GOP congressional aide told Bash that "the President's comments are not designed to help this process, only to lay blame in advance"of upcoming congressional battles over the budget, immigration reform and other issues.

The congressional stalemate ended when Republicans caved to the insistence of Obama and Democrats that legislation funding the government and raising the federal borrowing limit should be free -- or at least mostly free -- from partisan issues and tactics.

After all the bickering and grandstanding, the billions lost and trust squandered, the result amounted to much ado about nothing.

Hardline Republicans, whose opposition to Obama's signature health care reforms set the shutdown and debt ceiling crisis in motion, got pretty much zip -- except maybe marred reputations.

"To say we as Republicans left a lot on the table would be one of the biggest understatements in American political history," Republican Sen. Lindsey Graham of South Carolina tweeted.

The agreement amounted to the cliched kicking of the can down the road, because the deal passed by Congress in lightning fashion Wednesday night and signed by Obama in the wee hours of Thursday only funds the government through January 15 and raises the debt ceiling until February 7.

Read the bill

It also set up budget negotiations between the GOP-led House and Democratic-led Senate intended to reach a broader agreement on funding the government for the fiscal year that ends on September 30.

Ideally, a budget compromise would ensure government funding and include deficit reduction provisions that would prevent another round of default-threatening brinksmanship in three months' time.

Dialogue started

On Thursday, leaders of the House and Senate budget committees -- Republican Rep. Paul Ryan of Wisconsin and Democratic Sen. Patty Murray of Washington -- held a symbolic breakfast to get the dialogue started.

They noted that their negotiations -- called a conference between their two committees to work out differences in budgets passed by each chamber -- differed from a special committee set up under 2011 legislation that failed to agree on broader deficit reduction steps.

"Chairman Ryan knows I'm not gonna vote for his budget. I know that he's not gonna vote for mine," Murray told reporters, saying the goal was to find "the common ground between our two budgets that we both can vote on."

In his statement to reporters Thursday, Obama repeated his call for Congress to now take a "balanced approach" on a budget for the rest of the current fiscal year that would "cut out things we don't need," "close corporate tax loopholes that don't create jobs," and "free up resources for things that do help the country grow," like research and infrastructure.

He also said Congress should pass immigration reforms proposed by the Senate and complete work on a farm bill caught in partisan wrangling.

White House spokesman Jay Carney said the House vote to pass the spending and debt ceiling agreement Wednesday showed the possibility of bipartisan governance, with the Democratic minority joined by enough Republicans to surpass the 217-vote threshold required.

However, that outcome only came under immense pressure on House Republicans after their partisan proposals seeking to link provisions dismantling or defunding Obamacare were rejected by the Democratic-led Senate and the President.

House Speaker John Boehner's spokesman said the Ohio Republican sought a "step-by-step" process to address the immigration issue, which was Washington code for rejecting Obama's comprehensive approach that would offer immigrants living illegally in the country a pathway to legal status.

Conservatives call that amnesty, and a senior GOP aide told CNN that "the President's attitude and actions over the past few weeks have almost certainly poisoned the well on immigration, at least for now."

Why is Ted Cruz smiling?

Back to work

Before Obama spoke Thursday, federal employees returning to work got muffins from Vice President Joe Biden and hugs from colleagues, along with eye rolls about their "vacation" due to the shutdown.

"I am happy it's ended," Biden said when he arrived at the Environmental Protection Agency with the muffins handed out to returning workers. "It was unnecessary to begin with."

In the basement of the Capitol, there were exuberant hugs as furloughed colleagues were welcomed back, but there was also bitterness toward the elected legislators in charge upstairs.

A common refrain was the sarcastic question: "How was your vacation?" Responses were often nonverbal -- an eye roll, a head shake, an angry glare, the occasional ironic laugh.

Zakaria: Conservatives should lighten up

Had Congress not approved a debt limit increase, the government would have lost its authority to borrow more money to pay all of its bills. Social Security checks and veterans' benefits could have stopped. The markets could have gone into a tailspin.

Approval of the temporary spending plan meant the return to work of more than 800,000 furloughed employees, while more than 1 million others who've been working without pay will get paychecks again.

A provision in the agreement guaranteed back pay for government workers for the shutdown.

What's open for business again

Last-minute save

However, the measure doesn't address many of the contentious and complicated issues that continue to divide Democrats and Republicans, such as changes to entitlement programs and tax reform.

"We think that we'll be back here in January debating the same issues," John Chambers, managing director of Standard and Poor's rating service, told CNN on Wednesday night. "This is, I fear, a permanent feature of our budgetary process."

At the White House, Carney hoped the outcome of the shutdown showdown -- with Republicans getting little in return for the public anger leveled mostly at them for causing it -- would revise how things worked.

"It's a new day, and maybe that dynamic will change," he said.

Senate Republican leader Mitch McConnell of Kentucky, credited with brokering the agreement with his Democratic counterpart, Majority Leader Harry Reid of Nevada, said in published interviews Thursday there would be no further government shutdowns.

Pork in the bill: The 5 most surprising provisions in the debt deal

A $24 billion battle

The partial government shutdown came at a steep cost. Standard and Poor's estimated it took a $24 billion bite out of the economy.

Then there's the impact it had on politicians' image. If there's one thing polls showed that Americans agreed on, it's that they don't trust Congress -- with Republicans bearing more blame than anyone else for what transpired.

What did GOP win on Obamacare? Not much

While some Republicans, such as tea party favorite Cruz, claimed moral victories in energizing their movement, Boehner didn't even pretend his side came out victorious.

"We fought the good fight; we just didn't win," Boehner told a radio station in his home state of Ohio.

Cruz, despite being in the Senate, is credited with spearheading the House Republican effort to attach amendments that would have dismantled or defunded Obamacare.

Republicans did get a small Obamacare concession: requiring the government to confirm the eligibility of people receiving federal subsidies under the health care program.

However, Republican leaders said dismantling or defunding Obamacare was never going to happen and they criticized Cruz and his tea party cohorts for essentially causing the unpopular shutdown over that effort.

GOP Sen. Kelly Ayotte of New Hampshire called the Cruz tactic "an ill-conceived strategy from the beginning, not a winning strategy."

How the House voted

How the Senate voted

'Never again'

Former House Speaker Newt Gingrich predicts the tea party and staunch conservatives in the GOP will be more energized after not getting the anti-Obamacare amendments they wanted.

"They will be more embittered, more angry. They will find more ways to go after Obama because they can't find any way to get him to negotiate," he said, adding that he expects Obamacare to become the defining issue of the next two elections cycles.

Key points of the new debt deal

CNN's Brianna Keilar, Deirdre Walsh, Dana Bash, Erin McPike, Steve Brusk, Eliott C. McLaughlin, Paul Steinhauser, Ashley Killough, Craig Broffman, Jim Acosta, Mark Preston, Dan Merica and Lisa Desjardins contributed to this report.

@highlight

President Obama says nation can't "degenerate into hatred"

@highlight

Republican split on display after shutdown debacle

@highlight

The government is funded through January 15 and the debt ceiling through February 7

@highlight

NEW: Aide to Ted Cruz says Senator not ruling anything in or out on another possible shutdown