Washington (CNN) -- A 9-year-old boy's request to have Israel listed as the place of birth on his U.S. passport was supported by the U.S. Supreme Court on Monday.

Menachem Zivotofsky was born in Jerusalem, a disputed region in the eyes of the Obama administration, which claimed the larger issue should be resolved by bilateral negotiations, not by a 2002 federal law favoring the family and 50,000 other Americans born in the holy city. The Justice Department urged the courts to stay out of the matter.

But the justices by an 8-1 vote said the courts could intervene and decide the matter. That jurisdictional barrier is now overcome and the family can continue to pursue their legal claims.

The case is a classic fight between congressional and executive authority, with foreign policy the source of the current controversy.

At issue before the high court were two questions, one narrow, one broad: Can courts intervene to enforce a federal law explicitly directing the State Department how to record the birthplace of an American citizen on a passport? And does the law impermissibly infringe on the president's power to recognize a foreign sovereign?

"There have been 50,000 Americans in the last 10 years that were born in Jerusalem, and many of them would like to have Israel indicated as their place of birth in the passports," Sarah Cleveland, a Columbia University Law School professor, and until recently a counselor on international law at the State Department, said in November. "But this is also an extremely important geopolitical issue and a very sensitive foreign relations issue for the United States."

The high court case was Zivotofsky v. Clinton, but the key player in this dispute is perhaps the most famous city in the world, and one of the oldest human settlements still in existence: Jerusalem. Its name translates as "City of Peace" to some, "Holy Sanctuary" to others. It is Israel's largest city and its capital, though that is not recognized by the United Nations and most of the world community.

The city is home to Ari and Naomi Zivotofsky. The couple and their two oldest children were born in the United States, but the family migrated to West Jerusalem a decade ago, and in 2002 the youngest, Menachem Binyamin, was born.

"We're very proud of the fact that he was born in Israel and that we live in Israel and it's the modern state of Israel," Ari Zivotofsky told CNN Correspondent Kate Bolduan last year. "Religiously and historically, that's very significant."

Just three weeks before Menachem was born, the United States Congress gave U.S. citizens born in Jerusalem the individual discretion to ask that Israel be listed on passports and consular reports, where it says "Place of Birth." President George W. Bush signed the bill, but issued an executive "signing statement" indicating he would not comply.

The law, he said "impermissibly interferes with the president's constitutional authority to conduct the nation's foreign affairs and to supervise the unitary executive branch."

That law, and the Zivotofsky's long-standing request, were at the center of the 70-minute arguments before the justices in November.

"They're both proud American citizens but feel a very strong affinity, religiously too, to the state of Israel," said Alyza Lewin, the Zivotofsky's Washington-based lawyer, last year. "Their son is very proud of the fact that he is the one sibling born in Israel."

It is not the first time the Congress and White House have clashed over the region. The U.S. Embassy remains in Tel Aviv, over U.S. lawmakers' objections.

The boy's mother made the "Israel" request about two months after his birth, but embassy officials refused. His passport in fact shows his round, innocent face, and "Jerusalem" is listed as his place of birth.

"That's been the State Department's practice, the general rule for American citizens born abroad is that their passport lists only a country of birth," said Lewin in November. "So if a citizen is born for instance in Paris, it says France. If they're born in Tel Aviv or Haifa, it says just Israel. If you're born in Jerusalem, instead of saying the country, the city is listed -- just a city -- Jerusalem."

The attorneys for the Zivotofskys have framed their case as a modest request, one that does not implicate the president's foreign policy power. They are asking the high court not to decide a political question, but simply tell the administration to enforce the law, for the sake of a little boy.

"It is a very personal case. What's at stake is their deep personal pride and sense of identification with the state of Israel, and their right, given by Congress, to express that, on the passport," said attorney Nathan Lewin, who argued the family's case before the high court in November.

"That pride, and the national pride of others, is clearly what makes that region as much front page news as it often is. But I don't think that this case itself is asking for any kind of broader determination than allowing these individuals that opportunity. Congress has recognized that it's part of his self respect, that he should be able to say Israel, and that's all that we're asking for in this case."

The government is thinking of the bigger picture. State Department officials would not comment on the record on a pending case, but President Barack Obama has acknowledged the stalled peace process has created divisions both in that region and in the United States.

"Palestinians should know the territorial outlines of their state; Israelis should know that their basic security concerns will be met," he said in a May 2010 speech. "I know that these steps alone will not resolve this conflict. Two wrenching and emotional issues remain: the future of Jerusalem, and the fate of Palestinian refugees. But moving forward now on the basis of territory and security provides a foundation to resolve those two issues in a way that is just and fair, and that respects the rights and aspirations of Israelis and Palestinians."

Choosing a home, and being able to decide what to call it may seem like a fundamental right. But nothing is so easy when Jerusalem is mentioned. The Zivotofskys say they recognize the geo-political complexity, but think in this case, in this judicial forum, the solution is simple.

"Everybody knows Jerusalem is in Israel. Why is the State Department refusing to recognize this?" said Nathan Lewin. "They have this fear of nonexistent hobgoblins, which has caused them to follow this policy, and it's about time -- Congress thought it was about time -- they get rid of that policy ... all that we're asking the Supreme Court to do is agree with Congress, that this is a foolish policy, and ought to be eliminated."

@highlight

Menachem Zivotofsky wants to list Israel as his birthplace on his U.S. passport

@highlight

The Justice Department has urged the courts to stay out of the matter

@highlight

Zivotofsky's family is proud of the fact he was born in Israel, their attorney says