(CNN) -- Andre and Korisha Shipley were still mourning the death of their 17-year-old son, Jesse, when two months after his funeral, they received shocking news from students of the same Staten Island, New York, high school Jesse had attended. Members of a forensic science club on a field trip to the morgue couldn't believe what they noticed on a cabinet in the medical examiner's lab.

"They saw this jar with a brain in it labeled Jesse Shipley," recalls Korisha Shipley, whose daughter Shannon came home in tears that day delivering the news. "They knew Jesse and he knew them. They were looking at his brain, and his brain was looking right back at them," the father adds.

Jesse Shipley died in a car accident in January 2005, and the family members say that even though they agreed to an autopsy, they thought they were burying their son with all of his organs. To them, the cause of death was obvious - blunt trauma resulting from a car accident - so there was no reason for authorities to have kept the brain for further review.

The couple are now suing the city for the emotional distress caused by the handling of their son's remains.

"As far as we understand, during an autopsy you cut open the body, you look for the cause of death, you check out the organs and you put them back in. In this case, it was a little more than that," Andre Shipley says.

In a statement to CNN, the attorney representing the city wrote that although officials sympathize with the family, "it was within the Medical Examiner's discretion to perform an autopsy, and in appropriate cases, to remove and retain bodily organs for further testing."

Dr. Victor Weedn, a forensic pathologist and a spokesperson for the National Association of Medical Examiners, says determining cause of death is not as simple as people think. He says it is common practice for medical examiners in the U.S. to save the brain and certain other organs when they think it's important.

"To say someone died of a motor vehicle accident, doesn't really tell us anything," Weedn explains. "For example, if a passenger in the backseat was epileptic, their fit could have distracted the driver and led to the death. So, from the outside it may not be so obvious why the person actually died."

Weedn says the brain is preserved for at least two weeks in a formula that firms the matter enough for the coroner to examine it, a process necessary to rule out suspicion and to maintain evidence for cases when the death is determined to be the result of criminal activity. He says the deceased is often buried within that time period.

"We have a certain authority to investigate death for public health and public safety reasons. That is a right pitted against the individual right, and sometimes that does upset families," he explains.

Others, such as University of Pennsylvania medical ethicist Art Caplan, disagree. He says most people recognize the duty of medical examiners to rule out crime, but that does not justify keeping organs.

"The state says we're going to take this body and examine it to see what might have happened, but we promise you, we'll give everything back," Caplan says. "When you don't do that, you're breaking a basic covenant with society and with families."

The College of American Pathologists provides a sample autopsy consent form on its website. According to the form, the consenter authorizes "the removal, examination, and retention of organs....as the pathologists deem proper for diagnostic, education, quality improvement and research purposes." However, the form also states that "organs and tissues not needed for diagnostic, education, quality improvement, or research purposes will be sent to the funeral home or disposed of appropriately."

According to Caplan, the laws are clear about what a medical examiner should do, but there is little oversight in the industry. He says in situations where an autopsy has been performed and a bereaved family is concerned whether all the remains have been returned, it is usually up to the family to ask.

Court documents from the Shipley case indicate that medical examiners have extensive, but not unlimited, discretionary authority. The trial court "found that questions of fact existed with regard to whether Jesse's brain had been lawfully retained for scientific purposes, and whether the defendants unlawfully interfered ... by failing to advise [the family] at the time the body was released for burial that the brain had been removed and retained."

But, Weedn says approaching the family with this information is an area where even some medical examiners disagree.

"Some forensic pathologists would say going to the family and asking, 'Can I keep this?' would further upset them at a time of grieving," he explains. "But, there are others who say we really should be asking the family every time."

Still, Weedn says, in some circumstances it is not beneficial to ask family, because the person of you ask permission could potentially be connected to the cause of death.

"It's all about trust," says Rebecca Skloot, author of the book, "The Immortal Life of Henrietta Lacks," which explores the history of tissue research in the United States. In her opinion, cases such as the Shipleys' contribute to a growing mistrust in the medical system.

"People worry things are being done to them without their knowledge, and so they don't trust doctors," Skloot explains. "It doesn't matter if you take it out and put on your shelf or send it off to do research, it's still taking something without people's knowledge."

Perhaps what's most extraordinary in the Jesse Shipley case is that the family did find out through the serendipitous field trip students from Jesse's high school took the morgue.

Dr. Cyril H. Wecht, a forensic pathologist and attorney who reviews cases like these but is not involved in the Shipley case, says the medical examiner was right to take out the brain for investigation but was wrong to openly display Shipley's name on it.

"You're talking about a matter of sensitivity and common sense," Wecht says. "Certainly if you're going to have student visitors, then you should not have names and numbers available to see."

The Shipleys' attorney, Marvin Ben Aron, says not only the brain, but parts of the liver and testes were later returned and buried in a small casket with their son's body. He says handling the remains was the most traumatizing aspect for the family.

"For them, whenever they remember their child, part of their memory is holding a jar of organs in their hands that they never should have known existed," he explains. He is hoping for a settlement during their October 27 court date.

"I feel bad for those people who found out in the past and even worse for those who never will," Andre Shipley says. "We buried our son, and then two months after we had chunks of him coming back to us. This is not the way it's supposed to be."

CNN's Elizabeth Cohen contributed to this report.

@highlight

Andre and Korisha Shipley found out that their son's brain was not buried along with him

@highlight

A class from Jesse Shipley's high school saw his labeled organ at the morgue

@highlight

The family is suing the city for emotional distress

@highlight

Legally, the removal of organs is allowed as pathologists deem proper for diagnosis