(CNN) -- As a professor who sees firsthand how tough it is to get into college, I expected to hear widespread howls of protests from high school seniors and their parents when, this fall, a Kaplan Test Prep survey showed that an increasing number of college admissions officers were discovering information on Facebook and Google that hurt a student's acceptance chances.

According to the Kaplan survey, 27% of admissions officers checked Google and 26% looked on Facebook as part of their applicant-review process. Thirty-five percent of those doing so -- compared with 12% in 2011 -- found material that negatively impacted their view of a student.

The results of the survey would, I thought, cause college-bound students and their parents to lash out in anger. Students are under so much stress. College costs are up, and winning the admissions race seems harder than ever.

With Harvard's 5.9% acceptance rate and six of the eight Ivy League schools taking in fewer than 10% of their applicants, competition is certainly tough for ambitious students. But for many others, even popular state schools are out of reach. In California, Berkeley and UCLA admit fewer than 22% of their applicants.

The lack of protests over the survey results tells me that students and their parents are already so frazzled about finding the right college and the money to pay for it that they don't have the energy to fight a new battle. However, this doesn't mean we should brush aside the ethical questions that arise when college admissions officers get information about an applicant from the Internet rather than from the applicant directly.

What is considered private in a student's life that may be found online? Why should material not submitted by applicants to a college be used to judge them? These are questions for which the Kaplan survey, which was anonymous and conducted at 350 schools across the country, failed to provide a consensus answer.

My reaction was to see what I could learn on my own by directly contacting a handful of highly selective schools that could, if they chose, use their resources to go online and check out their applicants.

I asked everyone to answer on the record, and what I found was that none of the admissions officers who responded said they made it a practice to search the Internet for information about their applicants. After that, matters got more complicated.

Debra Shaver, the dean of admissions at Smith College, had this to say of student writing on the Internet: "I do think that students can be held accountable. Those of us at residential colleges are building communities; I want students in my community who behave in a way that is civil and respectful and thoughtful."

William Fitzsimmons, Harvard's influential dean of admission, emphasized that as a general practice, the college does not proactively seek online information about applicants. "That said, we may have occasion to encounter an applicant's digital footprint," he noted in an e-mail. "This often can be positive for applicants to the degree that it helps demonstrate their range of interests and accomplishments, but could be negative if it raises serious questions about character or judgment."

Such measured responses tell me that conscientious admissions deans are not about to turn themselves into online detectives. At the same time, they are not about to turn a blind eye to facts about their applicants -- even if they come across the facts by happenstance. As Carleton's veteran dean of admissions, Paul Thiboutot, pointed out, "We have never ignored information from any source if relevant."

At present, it is unrealistic to expect colleges to come up with a policy on admissions and social media that they can all agree on. But more candor is possible.

As a result of the Supreme Court's 1966 Miranda ruling, police now inform those they arrest that whatever they say can be used against them in a court of law. Colleges that in any form use -- or may use -- the Internet to evaluate their applicants need to commit themselves to a similar, Miranda-style warning.

On their websites and application forms, colleges should explicitly tell all prospective students that anything they write online can be held against them. That's the least they can do for applicants who may be dangerously naÃ¯ve about the consequences of their Facebook or Google posts.

As for college-bound high school seniors, they also need to change with the times. They should take a page from the Latin maxim "caveat emptor": Let the buyer beware. Their new maxim should be "caveat discipulus": Let the student beware.

The opinions expressed in this commentary are solely those of Nicolaus Mills.

@highlight

A survey shows more colleges are finding information online that hurts applicants

@highlight

Nicolaus Mills: Why aren't college-bound students and their parents lashing out in anger?

@highlight

He says colleges should tell students that what they write online can be held against them

@highlight

Mills: Applicants should be less naÃ¯ve about their Facebook or Google posts