(CNN) -- The revelation that al Qaeda leader Osama bin Laden hid in "plain sight" at a house in a bastion of Pakistani military power has touched a nerve in the United States, which relies heavily on the Islamabad government in its grinding war against terrorism.

Many Obama administration officials, lawmakers and observers from across the political spectrum want to know how bin Laden -- based at a compound in the military garrison city of Abbottabad -- could have eluded Pakistani capture, or whether the government or elements of it harbored bin Laden.

Live blog: Up-to-the-minute developments

They want to know whether Pakistan is firmly backing the fight against terror or is supportive of militants fighting against troops in Afghanistan.

The United States has a "complicated but important relationship" with Pakistan, White House press secretary Jay Carney said Tuesday.

Carney told reporters that U.S. officials need to learn more about the "support network" that sustained bin Laden in Pakistan. But he also warned against "tarring" everyone in Pakistan's government because of the revelation that bin Laden had been living so close to Islamabad.

There has also been "a great deal of important cooperation" in the fight against Islamic extremism, he said. "The idea that these kinds of complications exist is not new."

But Rep. Peter King, the New York Republican who is chairman of the Committee on Homeland Security, said "this can't be allowed to go on."

In comments Tuesday at a House subcommittee hearing on Pakistan, King noted that bin Laden's compound was near a headquarters for the Pakistani intelligence services.

White House: Bin Laden unarmed when shot

"There are two possibilities and one answer," King said. "One is that it was a direct facilitation by elements of the Pakistani government, or Pakistani intelligence is entirely inept, and that has not proven to be the case over the years."

At the hearing, Seth Jones of the Rand Corporation told the panel that bin Laden's presence in Pakistan showed that "at the very least, there has not been a high priority in targeting senior al Qaeda leaders" in the country.

"Based on the threat streams coming from this area, those interests have to change in my view," Jones said. Another terrorism expert, Frederick Kagan of the American Enterprise Institute, said mistrust between the United States and Pakistan runs both ways, with Pakistani officials fearful that the United States will abandon the region after eliminating bin Laden.

Sources: Panetta comes down hard on Pakistan

"It is essential that we find ways not only to communicate our frustration to Pakistan," Kagan said, but also to say "we're not leaving."

The United States has regarded Pakistan as a top ally in the fight against the Taliban, al Qaeda, the Haqqani Network and other Pakistan-based militants who have launched attacks against internationaland Afghan troops in Afghanistan. At Tuesday's hearing, experts also identified Lashkar-e-Taiba as a major emerging threat from Pakistan to the Indian subcontinent and beyond.

Pakistan's president defends his nation

According to the U.S. Government Accountability Office, the United States has provided $18 billion in foreign assistance and reimbursements to Pakistan, two-thirds of which are security-related.

The administration and lawmakers have praised the Pakistanis for their anti-terrorism efforts, but at the same time some lawmakers suspect the country hasn't been robust enough in going after terrorists. Some say elements of Pakistan's intelligence services -- the Inter-Services Intelligence or ISI -- have close ties with militants.

Sen. Dianne Feinstein, the California Democrat and chairwoman of the Senate Intelligence Committee, agrees that they have been "good at going after some terrorists" but have "very subtly walked both sides of the street."

"That's of concern to many of us, I think, because you have to declare yourself," she told reporters, noting that the issue of Pakistan will be addressed by the committee.

Denis McDonough, who is President Barack Obama's deputy national security adviser, told CNN that despite legitimate questions about what Pakistani authorities knew, the United States needed to maintain the relationship.

"We obviously recognize that nobody has sacrificed more in this war against al Qaeda than the Pakistanis," McDonough said. "Al Qaeda had declared war, in fact, on the Pakistani government, have threatened and continues to threaten to try to get their hands on nuclear material in that country. ... So they obviously have a lot at stake in this fight. So we're going to continue to work with them and continue to try to partner with them against al Qaeda, because we recognize that it's not only in our interests, but in their interests."

Retired CIA officer: Can U.S. trust Pakistan?

Asked if the U.S. funding to Pakistan should continue, McDonough said such investments bolster U.S. security.

"We'll continue to try to work with them to train, to try to target the common threat that we face from al Qaeda," McDonough said, adding: "Nobody has greater concern about our ability to ... carry out the fight against al Qaeda than the president. We're going to continue to do that, either with our Pakistani friends or alone. But this is too big a fight for us to give it up."

McDonough also said he agreed with a reported quote by Central Intelligence Agency Director Leon Panetta that the United States decided not to share intelligence with Pakistan in the run-up to the Monday raid that led to bin Laden's death because of fears of a leak. Sen. Richard Lugar, the top Republican on the Senate Foreign Relations Committee, also cited concern that some Pakistani officials might alert bin Laden.

"This is one reason we did not inform the Pakistanis of our actions," Lugar said, while noting "there were probably many who were very uncomfortable about the presence likewise."

The Pakistani government on Tuesday "categorically" denied reports that its leadership "had any prior knowledge" of the U.S. operation against bin Laden

One ISI official denied any complicity in hiding bin Laden, saying one failure and embarrassment doesn't negate its "track record" of capturing more al Qaeda members than anyone else.

"Yes, we did fail to locate him. Yes, we are embarrassed. But that does not mean we are incompetent and straddling the fence," the official said. "Had we known that OBL was there we would have raided it and handed him over to the U.S. to silence the critics talking about the complicity of the ISI."

The United States is reviewing intelligence seized in the compound to determine whether bin Laden received support inside Pakistan, a senior U.S. official told CNN. This comes amid discussions in Washington over the extent of the Pakistani intelligence service's knowledge of his whereabouts and whether it provided him sanctuary.

Lugar was asked in Washington why taxpayers should support money for Pakistan.

"It's a very complex country. A very complex set of officials," the Indiana senator said. "To try to obtain perfection in terms of who the recipients ought to be is out of the question. It's a question of if there are goals we can achieve if we have some accountability of the money."

Former Secretary of State Condoleezza Rice told CNN on Tuesday that Pakistan has been an "important partner in counterterrorism cooperation and we've had very important cooperation from them."

Rice raises concerns about Pakistan

But she questions how bin Laden could "hide in plain sight in that kind of compound without the knowledge of high-ranking officials."

"We have captured many, many al Qaeda operatives in Pakistan, including Khalid Sheikh Mohammed, so Pakistan has been a cooperating counterterrorism partner," Rice said, making reference to the mastermind of the 9/11 attacks. "But everyone knows that there are elements within Pakistan that are still tied to extremism, that has been a concern, and it is very important now that the Pakistanis take a hard look at how this possibly could have happened,"

Mark Quarterman, director of the Program on Crisis, Conflict, and Cooperation at the Center for Strategic and International Studies and an expert on Pakistan, said there have been strong differences between Washington and Islamabad over U.S. drone strikes in the tribal region and calls to remove CIA operatives in the country. The bin Laden operation and the issues surrounding it add to the tension, he said.

"I would not be surprised if there are questions on Capitol Hill about continued level of support to Pakistan, about the U.S. relationship with Pakistan and the consideration of the nature of that relationship and how we handle it going forward," he said.

The Pakistan government and the ISI supported the Taliban when it controlled Afghanistan during the 1990s, but the government broke ties with the Taliban after the 9/11 attacks. American officials have consistently indicated that there are rogue ISI elements supportive of militants.

One reason Pakistanis also have supported militants in the tribal region is that the fighters are seen as serving as a bulwark for Pakistani interests. That includes a focus against the influence of longtime rival India in Afghanistan, Quarterman said.

"The Pakistanis are hedging their bets," he said. "They know the United States isn't there to stay."

Navy SEALs: "The quiet professionals"

Jamie Metzl, executive vice president of the Asia Society, said the onus will be on Pakistan to do a thorough investigation to assess what happened with bin Laden.

"If Pakistan denies any official involvement with bin Laden, it will be difficult to prevent a backlash among members of the U.S. Congress who will believe that Pakistan is playing a double game," Metzl said.

Metzl also says Pakistan's fear is that India will increase influence in Afghanistan and surround Pakistan, and that calculation has led Pakistan to keep militants under its sway.

Mike Rogers, a Michigan Republican who is chairman of the House Select Intelligence Committee, said Pakistan and the United States have "a very funny relationship."

Pakistan dispatched "troops into the tribal areas at our request" and "took thousands and thousands of casualties trying to fight Taliban and al Qaeda elements," Rogers said on CNN's "American Morning."

"There are some concerns about their ISI being penetrated, their intelligence services being penetrated, but at the same time," he said, "we've got to have them."

CNN's Zain Verjee, Ted Barrett, Elise Labott, Alan Silverleib, Tom Cohen and Nick Paton Walsh contributed to this report

@highlight

NEW: Rep. King says elements in Pakistan had to know of bin Laden's presence

@highlight

Observers think Pakistan is playing both sides of the fence

@highlight

Pakistan has gotten billions in U.S. aid since 9/11

@highlight

Islamabad's fear over Indian influence motivates ties with militants, analysts say