(CNN) -- Despite decades of propaganda from marijuana prohibitionists, a majority of the American public has indeed said "enough" to the policies of cannabis criminalization. And no amount of fear-mongering is going to change this fact.

Writing in a just-published report by the Brookings Institute, "The New Politics of Legalization," authors E.J. Dionne and William Galston conclude, "In less than a decade, public opinion has shifted dramatically toward support for the legalization of marijuana. ... Demographic change and widespread public experience using marijuana imply that opposition to legalization will never again return to the levels seen in the 1980s. The strong consensus that formed the foundation for many of today's stringent marijuana laws has crumbled."

Indeed it has. Never in modern history has there existed greater public support for ending the nation's nearly century-long experiment with pot prohibition and replacing it with a system of legalization and regulation. The proof is in the polls.

For example, according to a May 2013 Reason Magazine-Rupe nationwide survey, conducted by Princeton Survey Research Associates International, more than nine out of 10 U.S. adults say that people who possess or consume small quantities of cannabis should not face jail time.

Also last month, a May 2013 nationwide Fox News telephone poll, conducted by under the direction of Anderson Robbins Research and Shaw & Co. Research, reported that 85% of voters support allowing adults to use cannabis for therapeutic purposes. The total is an increase in support of 4 percentage points since Fox last polled the question in 2010 and is the highest level of public support for the issue ever reported in a scientific poll.

Opinion: Legalizing marijuana a boon to potheads

Then there is this: An April 2013 national survey commissioned by the Pew Research Center reports that 72% of Americans now believe that "government efforts to enforce marijuana laws cost more than they are worth," and 60% say the government should no longer enforce federal anti-marijuana laws in states that have approved its use.

And this: According to a December 2012 Angus Reid national sampling of U.S .voters, 66% say that they expect cannabis to be legal within the next 10 years.

And finally there's this: recently published polls by Gallup, Pew, Quinnipiac University and Public Policy Polling all find that far more Americans now favor legalizing marijuana for adults than believe in its continued prohibition. Why? The answer has become obvious. The ongoing enforcement of cannabis prohibition burdens taxpayers, encroaches upon civil liberties, engenders disrespect for the law, impedes legitimate scientific research into the plant's medicinal properties, and disproportionately impacts communities of color. Furthermore, the criminalization of cannabis simply doesn't work.

Despite more than 70 years of federal prohibition, Americans' consumption of and demand for cannabis is here to stay. Voters' recent passage of legalization measures in Colorado and Washington acknowledges this reality. Such laws seek to take control of the marijuana market from untaxed criminal enterprises and, to impose common-sense regulations governing cannabis' personal use by adults and licensing its production.

Unlike the federal government, which continues to define cannabis as an illegal commodity that is as dangerous as heroin, voters recognize that a pragmatic regulatory framework that allows for limited, licensed production and sale of cannabis to adults but restricts use among young people best reduces the risks associated with its use or abuse.

Gupta: Why I changed my mind on weed

Marijuana regulations can allow governments to establish legal parameters for where, when, and how markets operate. They can provide oversight of who may legally operate in those markets and provides guidelines for best practices. Society would clearly benefit from this. Only criminals and cartels benefit from the unregulated environment.

Maybe an even more persuasive if not entirely counter-intuitive argument in favor of legalization as a means to actually deter youth use is found in recently released Gallup polling indicating a dramatic reduction in youth cannabis use rate as there is a surge in favor of cannabis legalization from virtually all segments of American society.

It is time to end our failed policies on marijuana criminalization and replace them with ones that regulate the cannabis market and allow for its private consumption by adults.

Marijuana legalization is no longer a matter of if; it's a matter of when.

The opinions expressed in this commentary are solely those of Allen St. Pierre and Paul Armentano.

@highlight

Allen St. Pierre, Paul Armentano: Ground has shifted in favor of legalizing pot

@highlight

They say Americans think enforcement is too costly

@highlight

Writers: Polls shows more in U.S. favor legalizing pot for adults

@highlight

Writers: Pot legalization is not a matter of "if," it's a matter of "when"