(CNN) -- In the current nationwide series of Veterans Administration scandals, the real focus has to be on rethinking the system that is failing to serve our veterans and their families.

I strongly favor Secretary Eric Shinseki resigning or being fired. He has clearly failed to lead and manage this vast bureaucracy. There are too many problems in too many places for him to remain as secretary. No one should believe, however, that simply replacing the secretary with a new person will solve the Veterans Administration's problems.

Scapegoating one or even a team of senior leaders will produce only marginal results and ultimately be drowned out by an enormous bureaucracy.

The real challenges in developing a 21st century Veterans Administration are challenges of systemic reform that go far beyond any single person or even a new senior leadership team.

The VA is a classic example of the principle W. Edwards Deming, the father of the quality movement, was trying to communicate with his red bead experiment. Deming had a bin full of mixed red and white beads. The goal was for workers to obtain only white beads, but he required them to scoop a random assortment blindly from the bin. Of course, they always came up with red beads as well as white beads. The experiment illustrated the point that organizations fail when the systems are bad, even if the workers are willing.

Trying to fix the VA by replacing the secretary but not the whole system is like trying to obtain white beads by replacing the person dipping blindly into the bin.

In private industry, businesses have used information and communications technologies to create highly reliable, efficient, personalized, and instantaneous new systems. The ATM is a good example. Anywhere in the world you can walk up to an ATM, stick in your card, and within seconds get cash from your bank account. There is no bank teller involved. There are no business hours involved. At most banks even deposit slips are a thing of the past.

Government bureaucracies like the VA have seen little innovation. In many cases they have gotten worse as more layers of bureaucracy grow on top of the existing systems.

The VA may be the best place to start applying breakout thinking because of the scale of its bureaucracy and the scale of its problems.

The VA workforce is larger than the Marine Corps. More than 314,000 work full time for the VA compared to 202,000 in the Marine Corps (potentially shrinking to 150,000--at which point there would be half as many Marines as VA bureaucrats).

The VA treats some six million veterans a year at more than 1,400 different sites including hospitals, clinics, nursing homes, etc. In 2013 there were nearly nine million veterans enrolled -- or better than one out of every three veterans in the United States.

Just the size of the VA training system is enormous. According to the VA, it helps train 90,000 health professionals every year in its medical centers. Over 50 percent of all American physicians have had some training in the VA system.

The scale of VA bureaucracy has grown dramatically. Between 2006 and 2013, the number of full-time employees jumped more than 40 percent, from 220,000 to 314,000. Yet with 94,000 additional government employees, the system has not been able to match the private sector's standard of care.

Consider the issue of waiting times for treatments. The national average waiting time in an emergency room is 26 minutes. At VA facilities, veterans wait twice that time on average and that understates the problem in especially mismanaged sites.

The Washington Times reports:

"A recent inspector general investigation of a VA facility in Las Vegas found that up to 25 percent of patients experienced a length of stay of more than six hours on all but one of the days in a week monitored...

"During a 2011 investigation, the watchdog found that a majority of ER patients had an average length of stay exceeding nine hours at a facility in Memphis, Tennessee, and roughly 27 percent of veterans spent over six hours in the emergency room."

This means that one out of four veterans in those sites was experiencing a wait more than 12 times longer than the national average. That is a systems problem, not a scapegoat problem. Simply firing a couple of managers without replacing systems, structures and culture will not solve systemic problems.

Waiting times are just the tip of an extraordinarily large iceberg. This map shows the serious problems at VA centers around the country. We are finding new issues to add to the map every day.

Compounding the VA challenge is the fact that it has to be considered in combination with the Department of Defense's Military Health System, which serves nearly 10 million people at a cost of more than $50 billion a year.

Every effort to integrate Department of Defense and VA medical record systems has failed. The result has been an absurd process of transitioning from active duty health services to VA health services.

At a time when you can instantly make airline and hotel reservations or get money from an ATM worldwide in seconds, it takes 175 days to transition a veteran's care from the Defense Department to the Department of Veterans Affairs.

The DoD and VA spent $1.3 billion to build a joint electronic medical record system for their health care services before the two secretaries announced in February that they were abandoning the effort. This is on top of the over $2 billion the Defense Department has spent on a failed upgrade to its own electronic medical system.

In other words, even though military health costs are growing rapidly and taking up more and more of the DoD budget, the Department is failing to modernize its system and to integrate it with the VA. But this is where the solution for the MHS and the VA must begin.

Sadly, this dysfunction is not new. Anyone upset at today's Veterans Administration should consider the founding of the Veterans Bureau in 1921 and take comfort that the admittedly appalling corruption or mismanagement we see today pales in comparison to that which marked the first two years of the original Veterans Bureau.

The first director, Charles Forbes, hired tens of thousands of bureaucrats. Many were cronies or patronage positions. They did such a bad job that fewer than 50,000 veterans were getting help out of more than 200,000 wounded veterans from World War I. Forbes stole hundreds of thousands of dollars of taxpayer money

As the scandal broke, President Harding summoned Forbes to the White House and "took him by the neck and shook Forbes 'as a dog would a rat,'" as Amity Shlaes writes in her book "Coolidge," ending the tenure of the first director of the modern Veterans Administration. Appropriately, Forbes wound up in jail for this corruption.

We can take some comfort that for all its current problems the system is vastly more honest and accountable than it was in 1921.

Now we have to have the courage to develop a system worthy of our veterans, our active duty military and their families for 2021 and beyond.

@highlight

Newt Gingrich: VA secretary should quit, but replacing him isn't the solution

@highlight

He says the VA is so enormous and so inadequate that it requires a systems change

@highlight

All efforts to integrate its systems with the Defense Dept. have failed, he says