(CNN)Catapulted into the international spotlight after the publication of a sensational biography in 2012, Shin Dong-hyuk became the most famous North Korean defector.

A soft-spoken and shy man, Shin shared his harrowing story about escaping from a total control zone called Camp 14, giving Western audiences an accessible reading on North Korea.

Over the weekend, Shin stated that parts of his stories are inaccurate, although he did not specify which aspects. He posted on Facebook that parts of his past "that I so badly wanted to cover up can no longer be hidden."

Blaine Harden, author of "Escape From Camp 14," wrote on his website that Shin had admitted several inaccuracies, including the length of time he spent in Camp 14.

For more: North Korean prison camp survivor admits inaccuracies

Shin's high-profile role and now admitted inconsistencies in his story raised concerns that it could undermine human rights advocacy efforts and distract from testimonies by other North Korean refugees.

"There are a lot of people who actually have been to the (prison) camp and experienced it. It will be wrong for their witness accounts to lose credibility because of this incident," said Ahn Myeong Chul, a former North Korean camp guard who knows Shin.

Peter Jung, director of the human rights group Justice for North Korea, said he's "worried that people testifying about North Korea will be called a liar" but that Shin's new revelations can't challenge the fact that "North Korea control camps exist."

Jung said that many North Korean refugees, such as Shin, suffer from major trauma after escaping the regime and called for support.

"I hope he gathers his courage and tells his story accurately and honestly, and we must help him do that."

Scrutiny on North Korea's human rights abuses

North Korean memoirs and testimonies cannot be verified -- there are no paper trails and investigators cannot interview or access witnesses in a closed society. Their stories are compared for consistency with other defectors and experts, but the process is far from foolproof.

CNN has not been able to reach Shin, who noted in his social media apology that "these will be my final words and this will likely be my final post."

Shin's admission of inaccuracies comes at a time of unparalleled attention on North Korea's human rights record following a landmark U.N. Commission of Inquiry report listing abuses of the Pyongyang regime. While "Escape From Camp 14" was not the sole reason for the creation of the commission, Navi Pillay, then the U.N. high commissioner for human rights, urged the probe after meeting Shin and another North Korean prison camp survivor in December 2012.

Since the commission report's release in 2014, the U.N. General Assembly has called for more sanctions and a referral of those responsible to the International Criminal Court. The matter remains at the U.N. Security Council, where it's likely China would block referrals of Kim Jong Un and his leadership to the International Criminal Court.

Double horror or triple horror?

Michael Kirby, chairman of the Commission of Inquiry into North Korea, said that Shin's testimony consisted of only two paragraphs in the 400-page report and that he was only one of hundreds of North Korean witnesses.

"It's a very small part of a very long story. And it really doesn't affect the credibility of the testimony, which is online," he said. "Lots of people took part (in) this inquiry. Their stories are powerful and convincing, and these stories do not only represent Shin but other people in North Korea."

In a reversal of his story told for years, Shin told Harden on Friday that he had been transferred to another prison, Camp 18, when he was 6, instead of spending his entire life inside North Korea at the total control zone Camp 14, the author says on his website.

The distinction of whether Shin was imprisoned in Camp 14 or 18 was not a deal breaker for Kirby.

"It seems as if the issue is whether he was in the total control zone, or whether he was in an ordinary prison camp. In another words, it's whether triple horror or double horror," Kirby said.

Pressures

Shin bears the physical scars of torture, including a missing fingertip and burn marks on his back, according to the book. And Harden noted in his book that during the interview process, Shin at times was unreliable and "in many crucial instances, corrected his Korean memoir" -- an autobiography that Shin wrote in 2007, called "Escape to the Outside World," which was only published in Korean.

North Korea had sought to discredit Shin. Last fall, a pro-North Korea government website released videos with English subtitles featuring a man whom Shin recognized to be his father, disputing the story that his son was ever in a prison camp. Shin responded with a statement, accusing the government of "holding my father hostage." It's unclear if the video had any bearing on the timing of Shin's admission.

Ahn, the former prison camp guard who has known Shin for seven years, said he believes the crux of Shin's story is true and that torture in either camp is still the same.

"Shin became an icon for North Korean human rights. Whether he was in Camp 14 or Camp 18, he is definitely a person from a political prison camp. He was born there and tortured there."

CNN's Judy Kwon and KJ Kwon contributed to this report.

@highlight

Shin Dong-hyuk, subject of best-selling book, admits part of his stories are inaccurate

@highlight

Advocates say it doesn't matter which North Korean prison camp Shin was in

@highlight

Some fear Shin's admission of inaccuracies will affect views of other defectors' testimonies