(CNN) -- Moments after the explosion, as he lay in a canal in rural Afghanistan, Cpl. Todd Nicely screamed twice at the top of his lungs. He was hurt so badly, his right leg blown away, his left one barely hanging on, but then he thought of two things.

His wife and his men.

He didn't think of dying.

He wanted to concentrate on getting home, and before that, he didn't want his squad's last image to be its leader wailing in pain.

"I just [told myself] keep breathing, keep breathing. If you do that you'll make it back to your wife," he said recently by phone. "I knew I was injured. It was whether I could bring myself to remain calm and not freak out and cause my vitals to go crazy."

What Nicely, who had stepped on the pressure plate of a roadside bomb, didn't realize at the time was that he had lost more than his legs. His arms also would need to be amputated.

In another war, another time, Nicely would have died on the battlefield.

Truth be told, there's a strong chance his heart did stop at some point on that day in March 2011. But thanks to modern body armor and a helicopter that arrived in just six minutes -- as well as quick reactions by his fellow Marines -- Nicely lived and became just the second quadruple amputee to survive battlefield injury wounds.

They are a small group, the quadruple amputee combat vets -- just five of them.

There are also 40 triple amputees. When they come home, they have their own set of issues, but many face the problems of every wounded vet. They start their new lives together.

"When you are out on the battlefield, you don't realize how many amputees there are because you are not there and you don't see them," Nicely said. "But when you are in the hospital and see all the amputations. ... But it's like one big support group. It doesn't matter whether you are a quad or missing one leg, it doesn't matter, everybody is in it together and it's like one big family in there."

For many wounded service members, the process of moving from military life back to civilian life can be confusing and fraught with delays. For Nicely, it was the frustrating wait for his discharge paperwork. For many injured troops, it can be getting their benefits straightened out.

"Despite the Department of Defense and Veterans Affairs' best efforts, oftentimes the transition feels like you've been thrown off a cliff," said Jonathan Pruden, who as an Army captain lost a leg in Iraq in 2003 and now works for the Wounded Warrior Project.

Organizations step up

On September 11, 2001, an off-duty New York City firefighter named Stephen Siller found the Brooklyn Battery Tunnel blocked to traffic during the chaos after the terrorist attacks on the World Trade Center. Siller, who was headed to play golf that morning, instead returned to his firehouse to grab his 60 pounds of gear, put it on and run the three miles to the burning towers, where he was killed.

Stiller's brother Frank created the Tunnel to Towers Foundation. Last year, he heard the story of Brendan Marrocco, a 22-year-old soldier from his Staten Island neighborhood, who was the first quadruple amputee wounded in war.

"We know that we've been at war because of what happened on 9/11, so we knew that we had to take care of our military," Siller said.

Siller went to visit Marrocco at Washington's Walter Reed Army Medical Center, where he promised the Army specialist his organization would help with one of the soldier's greatest needs, a home with smart technology.

Siller's organization worked with other groups, including a foundation headed by actor Gary Sinise, to raise more than $800,000 for the home, which has special features like stoves and sinks that move up and down, elevators, heated outdoor wheelchair ramps (to melt snow) and appliances that Marrocco controls by computer.

The Tunnel to Towers Foundation has agreed to build homes for the other quadruple amputees and -- it hopes -- for triple amputees. The foundation plans to build 11 houses this year.

YouTube: Watch as Todd Nicely visits his future home

"When you meet these kids they are so inspiring," Siller said. "They are incredible. Their spirit, the way they work so hard to get back to living every day in what is their new normal."

Nicely said his new home, being built in Lake of the Ozarks, Missouri, will lift a big burden.

"Having to rely on my wife to do a lot of things for me kinda takes a toll," he said. "When you're not able to do things for yourself it kind of sets you back a little bit, so getting in there and getting to run at everything with a full head of speed is going to be pretty nice."

Other organizations, like the Veterans of Foreign Wars, also help wounded service members face obstacles. The VFW helps veterans file disability claims. Dawn Jirak, VFW assistant director for veterans' health policy, said agents from the organization scour medical records to find everything a veteran should claim. They also explain to vets what conditions cannot be claimed as related to their time in the military.

The agents also explain what to look for in the future.

"There are certain presumptive conditions for veterans of Iraq and Afghanistan that may pop up in one year or five," Jirak said. "But if no one tells them, they won't know."

More than 624,000 veterans from Iraq and Afghanistan have filed disability claims, Military Times reported in January. More than two-thirds of all applications for benefits take the VA more than 125 days to process.

Pruden, the former Army captain who is an alumni manager for the Wounded Warrior Project, is concerned that as wars end, Department of Defense funds for the severely wounded will dry up and the VA will struggle to fill the void.

"Our big concern is that the VA is not prepared to fill those shoes either in research or long-term rehab care," Pruden said. "Additional funding, additional staffing and ongoing oversight from Congress are important."

The next steps

Nicely, who now walks with prosthetic legs, plans to go back to college soon, after he and his wife, Crystal, move into their new home.

He thinks he'll end up working for Tunnels to Towers one day when it opens an office in St. Louis. He wants to raise public awareness on the plight of this new kind of veteran, the triple or quadruple amputee, and help them get homes that work for them, he said.

He also wants to counsel other wounded troops.

Recently he met with Army Staff Sgt. Travis Mills, who lost his four limbs in a similar way.

Nicely wanted to actually walk into a room at Walter Reed and show Mills something important.

"There's life after the hospital bed," he said. "You just have to put in the time and energy."

@highlight

More troops surviving bad wounds thanks to battlefield medicine, body armor

@highlight

Badly wounded vets find help via special organizations

@highlight

One group raises money to build special homes for triple, quadruple amputees

@highlight

Expert: VA needs staff, money to handle growing wounded population