(CNN)Unless you've been stuck in a mine shaft or visiting a distant planet for the past few decades, chances are you've heard of Bob Marley and Usain Bolt and can identify both as the most famous sons of Jamaican soil.

Beyond reggae and track icons, however, there are many fascinating things less widely known about "Jamrock" that make this island of just 3 million people stand out.

Here are eight things to know for starters:

James Bond's birthplace

Ian Fleming conjured up and penned the thrilling international spy novels known the world over by their larger-than-life, women- and evildoer-conquering protagonist, James Bond, in Oracabessa, a sleepy village in the parish of St. Mary on Jamaica's north coast.

Fleming named his rustic property Goldeneye after a World War II operation in which he'd taken part as an intelligence officer. An avid birder, Fleming took 007's name from the American author of "Birds of the West Indies."

Travel photos we wish we'd taken

The first James Bond film, "Dr. No," was filmed in Jamaica, where the villain's lair, actually a bauxite storage facility owned by Noranda, is hard to miss in Discovery Bay.

And later in the film, Ursula Andress walked out of the surf and into movie history at one of Jamaica's most spectacular beaches, Laughing Waters, located just west of Ocho Rios, where cool river water cascades directly into the warm Caribbean sea.

After Fleming's death, his Goldeneye property was sold to Island Records founder Chris Blackwell, who has transformed it into Jamaica's most exclusive boutique hotel and villa resort.

10 things you didn't know about Las Vegas

Roots of banana trade and Caribbean tourism

Jamaica gave birth to the global banana trade and Caribbean tourism. In the late 1800s, steamships began plying routes between the Northeast United States and the parishes of St. Thomas, Portland and St. Mary in northeast Jamaica.

When these steamships began carrying passengers seeking relief from the New England winter on the southbound journey, Caribbean tourism was born.

Steamship captain Lorenzo Dow Baker was a pioneer in the banana trade and served as president of the Boston Fruit Company, which later became United Fruit Company through a merger and more recently became Chiquita Brands International.

The banana industry waned in Jamaica in the face of crop disease and larger, more competitive plantations established in Central America. Today the island's largest banana grower is Jamaica Producers, a locally held company that targets domestic and international markets with a range of agricultural products.

Delicious coffee

Jamaica Blue Mountain Coffee is among the most prized, and expensive, in the world, fetching upwards of U.S.$30 a pound.

High elevation cloud forests make for an ideal long growing season and slow maturation period for coffee berries, ultimately yielding beans with a strong, full-bodied flavor void of the bitterness typical of coffee grown in other regions.

Japanese coffee connoisseurs are the leading buyers of Jamaica Blue Mountain Coffee, which is a registered international trademark like Champagne, and regulated by Jamaica's Coffee Industry Board.

One of the best ways to learn about and taste Jamaica's coffee is with a farm or factory tour. The Twyman family's Old Tavern Estate is an excellent option, offering visitors a trip back in time to the days of small-scale cottage industry production.

The Sharp family operates the neighboring Clifton Mount coffee farm with a slightly larger scale, more industrialized business.

Mavis Bank Coffee Factory also offers tours. The buzzing factory buys its beans from thousands of farmers and is the largest industrial coffee processing and roasting operation in the Blue Mountains that opens its doors to visitors.

10 things to know before visiting Sicily

Few Rastafarians

While locked hair might be the most famous "do" associated with the island, Jamaican adherents to the Rastafarian movement make up less than 2% of the population, actually just 1.1%, according to the CIA World Factbook.

The iconic natural hairstyles associated with Rastafarians are anything but the norm on the island, where instead, chemically treated straightened hair, extensions, weaves and wigs are the norm for women, and most men rock short-cropped coifs.

A refuge for exiled Jews and religious diversity

Jamaica became a refuge for exiled Jews fleeing the Spanish Inquisition. The Spanish crown, which ruled the island between 1492 and 1655, took a more relaxed stance on religious freedom, or at least a "don't ask, don't tell" approach.

Kingston's active synagogue attests to the island's small, yet prominent, Jewish community today.

Today Jamaica has more churches per capita than any other country. The Anglican Church played a significant role during the slave period in maintaining order on the island and quelling discontent, while the Baptist Church, on the other hand, fueled slave uprisings ultimately leading to emancipation in 1834.

It would be difficult to find a religion not represented in Jamaica, and where a church structure doesn't exist, Jamaicans are inclined to erect a tent for pop-up service.

Pentecostals, Moravians, Catholics, Methodists, Seventh Day Adventists, Revivalists, Muslims, Hindus, Mormons and Jehovah's Witnesses are all well represented, among numerous other faiths and denominations.

Marijuana is illegal in Jamaica

Despite the ubiquitous posters of Bob Marley and Peter Tosh with burning joints dangling from their mouths, marijuana is still illegal in Jamaica.

But its legal status is slowly evolving. This year legislation was introduced to decriminalize marijuana use and develop a regulated medical and recreational marijuana industry following similar U.S. initiatives in Colorado and Washington State.

The movement to decriminalize has been led in the political sphere by Minister of Justice Mark Golding, who announced in June that people carrying up to 2 ounces of pot will only be hit with a small fine, rather than be charged, and the infraction wouldn't result in a police record.

Jamaicans with police records attributable to marijuana use charges will have their names cleared, enabling them to seek formal employment and travel visas.

Jamaica is more than sun and sand

The original name Xaymaca, bestowed by its original Taino inhabitants, means "land of wood and water," fitting for a mountainous island endowed with several distinct climatic zones, from arid near-desert conditions complete with sand dunes along the south coast to tropical rain forest in the northeast to high elevation alpine areas where nighttime temperatures fall below freezing in the Blue and John Crow Mountains.

This climatic diversity and abundant fresh water from subterranean springs and rivers crisscrossing every parish, affords the relatively small island excellent conditions for growing a wide range of crops.

A hike up to Blue Mountain Peak is a great way to take a break from the beach and get a bit of a workout.

On a clear day, the summit affords spectacular views of Kingston and the coastline of several parishes meeting the Caribbean sea to the East, North and South. The Blue Mountains also provide bird watchers an opportunity to spot many of the island's 280 species, 30 of which are endemic.

Jamaican food is reason enough to visit the island

While the country may be known for its jerk seasoning, which features local agricultural products like pimento (allspice) and hot Scotch bonnet peppers, Jamaican cuisine has much more to offer and the island's lively foodie culture may be the best representation of its national motto, "Out of Many, One People."

The influence of Indian cuisine is hard to miss, and curried goat, shrimp, lobster or vegetables are staples.

Of course the seafood is hard to beat, with escovitch  snapper borrowing elements from Spanish cuisine, while the accompaniment of fried bammy, made from cassava root, couldn't be more local, as it was a staple starch for the original Taino inhabitants.

The abundant fresh produce and quality of the ingredients on the island make it a natural manufacturing center for entrepreneurs concocting a wide array of sauces and preserves for the local market and export. Pickapeppa may be the most widely known condiment produced in Jamaica, but other more recent products on the scene, from Walkerswood to Belcour Preserves, are every bit as good.

To get a taste of Jamaica's best flavors, stop by Belcour in Maryland district in the Blue Mountains to sample mouthwatering chutneys, pepper sauces and preserves and walk among citrus orchards, orchid gardens and the apiary, or spend a few nights on the town in Kingston to sample the island's best restaurants.

Jakes boutique resort in Treasure Beach holds regular farm-to-table dinners that are lively affairs featuring a rotating cast of guest chefs.

Oliver Hill is a financial news editor and author of a leading travel guide, Moon Jamaica (www.moonjamaica.com). The print edition of the guide is published by Avalon Travel, a division of Perseus Books. Oliver can be reached at oliver.hill@moonjamaica.com.

@highlight

Ian Fleming created James Bond in Jamaica

@highlight

Rastafarians make up less than 2% of the population

@highlight

Marijuana is illegal, but the government is moving toward decriminalizing it