Montevideo, Uruguay (CNN) -- The passage of a landmark marijuana legalization measure Tuesday means Uruguay is set to become the first country in the world to have a system regulating legal production, sale and consumption of the drug.

It's practically a done deal. President Jose Mujica has to sign the bill before it becomes a law. But he's long backed the measure, and there's little doubt that he remains behind it.

Applause and cheers rang out in Uruguay's Senate on Tuesday after the high-profile vote at the end of a lengthy debate on the bill.

The measure passed Uruguay's lower house in July.

Supporters of the proposal have said it marks a turning point and could inspire other Latin American nations to take a similar approach.

It places the South American country at the vanguard of liberal drug policies, surpassing even the Netherlands, where recreational drugs are illegal but a policy of tolerance is in place.

"It is understood that a regulation-based policy has positive consequences for health and public security, given that, on the one hand, it can produce better results when it comes to education, prevention, information, treatment and rehabilitation in relation to the problematic uses of drugs," said Sen. Roberto Conde of Uruguay's Broad Front coalition, which supported the measure. "On the other hand, it helps fight drug trafficking, which fuels organized crime and criminal activities that affect the security of the population."

Critics said legalizing marijuana could have dangerous consequences.

"This bill, which proposes an experiment in social engineering, as it was described in the public health commission, does not comply with any of the ethical safeguards of experimentation with human beings," said Sen. Alfredo Solari of the Colorado Party. "Those safeguards are extremely important ... given that we're talking about marijuana, a substance that harms human beings."

A letter sent by Mujica's government to lawmakers last year presented the bill.

He told CNN en EspaÃ±ol last year that he supported legalizing marijuana.

"If we legalize it, we think that we will spoil the market (for drug traffickers) because we are going to sell it for cheaper than it is sold on the black market," he said. "And we are going to have people identified."

Conservative critics of the measure have said it promotes drug addiction and have suggested that Mujica's comments were uninformed.

Details still in the works

The proposed law would allow individuals to grow up to six plants of marijuana and possess as many as 480 grams for personal use. Marijuana clubs of anywhere from 15 to 45 members would also be allowed and granted permission to grow up to 99 plants at a time.

Users would have to register, and those claiming to use cannabis for medical reasons would have to show a doctor's prescription. Marijuana would also be sold at licensed pharmacies.

Once the bill becomes law, there will be a 120-day period to give the government time to adopt regulations and implement it.

Consumption of marijuana has been legal Uruguay, but its production and sale are not.

"We seek to eliminate that incongruence," the country's top drug official, Julio Calzada, told CNN earlier this year.

The same debates about marijuana that exist in the United States -- about medicinal properties, recreational use, the impact on the justice system -- have been happening in Uruguay for a long time, Calzada said. The decision to push legislation to overhaul its drug policies did not come overnight.

"We have reflected on our problems," Calzada said, and the government felt that Uruguay's tradition of tolerance and equality merited action on the marijuana issue.

Widespread debate

But many in the traditionally Catholic country of 3.3 million people feel supporters are espousing the wrong policy for the wrong reasons.

In a July poll from CIFRA/Gonzalez, Raga and Associates, 63% of Uruguayan respondents said they disagreed with the bill. Only 26% said they approved of the measure in the poll, which surveyed more than 1,000 Uruguayans and has a margin of error of plus or minus 3 percentage points.

Opponent Solari says making marijuana widely available has the potential to create even higher levels of addiction.

"It's a very bad piece of legislation, mainly because it increases the availability of marijuana in the market," he said.

Backers of the bill say the legislation addresses some of the concerns expressed by the opposition. For one, violators of the law would face sentences of 20 months to 10 years in prison. Those younger than 18 would not be allowed to use marijuana under any circumstances. The legislation also calls for mandatory classes in public schools aimed at drug prevention and bans the advertising of cannabis in any form.

Video: Seattle marks one year of legalized marijuana

Journalist Dario Klein reported from Montevideo. CNN's Catherine E. Shoichet and Rafael Romo reported from Atlanta. CNN's Mariano Castillo contributed to this report.

@highlight

Uruguayan lawmakers vote to legalize marijuana

@highlight

Supporters say it will help fight organized crime

@highlight

Critics say it could have dangerous health consequences