(CNN) -- For sale: One football club, formerly the best in Europe, now fallen on hard times. Buyer: Rich Middle Eastern family, determined to restore club's "glory days."

When it was announced this week that a Kuwaiti family had agreed to take over Nottingham Forest, two-time winner of the European Cup, the big question became: Is this another Manchester City or Chelsea -- or more evidence of football's "prune juice" theory?

For every Sheikh Mansour and Roman Abramovich, there is a Sulaiman al-Fahim or Venky's to prove that money pumped into one end of a club generally comes straight out the other.

Indeed, Forest -- last a member of England's top division as long ago as 1999 -- reportedly required more than $100 million of investment from Nigel Doughty during his 13-year spell as owner.

How much is Manchester City's victory worth for Abu Dhabi?

That might not seem like a lot for a Premier League team, but for one that last season only narrowly avoided a return to the third tier, it's a significant amount.

However, the Al-Hasawi family could potentially achieve a much greater return on their investment at Forest than, say, the series of money men who have followed in Al Fahim's unsuccessful attempt to make capital out of former EPL side Portsmouth.

"Financial interest from the Middle East has fallen into two camps: the genuine and the fantasists," Middle Eastern football expert James Montague told CNN.

"You have on one hand the likes of Sheikh Mansour who bought Manchester City, put his money where his mouth is and within four years has transformed the club from also-rans into title winners. They are now feared across Europe.

Arabian dreams: Abu Dhabi celebrates City's title triumph

"On the other you have a string of failed takeovers from those hoping Middle Eastern money could be some kind of panacea. Or in the case of Portsmouth were taken over by the UAE's Sulaiman al Fahim and eventually became the first Premier League club to go into administration.

"This takeover appears to fall in to the former category, largely because they have a successful track record in domestic football. Remember, Manchester City wasn't the first club Sheikh Mansour bankrolled. His first love is the Abu Dhabi-based club Al Jazira. Likewise the Hasawi family have turned Kuwaiti club Qadisa into a local regional powerhouse."

While Portsmouth's only English titles date back to 1949-50, Forest won the old first division championship relatively recently in 1978 and then shocked the football world by lifting Europe's top club trophy in the following two seasons.

Will football clubs play fair financially?

"It makes a great deal of sense for an investor to buy into a club of Forest's stature," says Simon Chadwick, professor of sport business strategy and marketing at England's Coventry University.

"There is some equity in the brand amongst fans and potential fans that dates back to their successes in the late '70s and early '80s. This brand equity can offer things to customers and investors that other organizations can't."

Forest's near neighbor Leicester City, another club to have lost top-flight status in recent years, is now owned by a Thai group -- but Chadwick says there is a big difference in their earning potential.

"Forest's financial position, while not being especially strong, is more stable than it has been over the past five years or so," he said.

"For people like the Al-Hasawi family, it depends on what their view of the club is. If they see it as a revenue-generating asset, clearly it's going to take a great deal of hard work to build those revenue streams.

"It's there where Forest's history and equity of the brand can have an impact. Forest can deliver a level of revenue that their closest geographic rivals Leicester City can't. Nottingham has a significant population so in terms of being able to fill a stadium, in terms of latent fan base, it's very significant."

French revolution: Can Qatari cash make PSG a football force?

Foreign investors once flocked to the lucrative but highly expensive Premier League -- Manchester United was reportedly valued at £1 billion when the Qatari royal family was linked with the club -- but the second-tier Championship is now proving to be more value for money.

"Sheikh Mansour saw that you needed to find undervalued clubs with history and prestige," said Montague, author of "When Friday Comes: Football in the War Zone."

"City fit the bill, and in a way Forest has even more potential. We drool at clubs like Barcelona, Manchester United and Inter Milan winning the Champions League, but Forest won back-to-back European Cups just over 30 years ago and had one of the most iconic managers -- Brian Clough -- in charge.

"A whole industry has boomed over Clough -- biographies, novels, films. For the reported £20 million ($31 million), the Hasawi family are getting former European champions with Hollywood-level exposure for a snip."

Earlier this year, a Russian group agreed to buy Reading months before the club's promotion to the top flight, while Italians have bought Watford, Malaysians control Cardiff, Hong Kong's Carson Yeung owns Birmingham, a North American group has Derby County and an Egypt-born UK businessman has taken over Hull.

PSG's Qatari owners aim to be world's best

"It makes the competition for players more intense, the competition for spectators more intense," Chadwick told CNN.

"Whereas maybe five or 10 years ago the involvement of a rich investor might have been seen as the right ingredient for success, I think now such is the level of interest in English football and such is the level of investment, it's now much more about managerial competence and skill and knowledge of the industry and networking."

Doughty brought in former England manager Steve McClaren at the start of last season with disastrous results, and the current FC Twente coach's short reign resulted in the Forest benefactor -- considered one of the most powerful men in UK business -- standing down as chairman.

Doughty put the club up for sale, but the Al-Hasawis dealt with the executors of his estate following the investment banker's death at the age of 54 in February.

They issued a statement stating their goal to "bring the Reds back to the top of the table" but acknowledged "challenging times ahead" -- and have already sacked manager Steve Cotterill just nine months into his three-and-a-half-year contract.

"If the family is looking at this on a medium to longer term basis, they'll look to develop a scouting network and sign players for relatively small amounts of money," Chadwick said.

"They will have to manage the club in a very shrewd way to make sure they don't get back into debt in the same way. One would hope that Forest as a club have learned their lessons.

"When they were relegated they tried to spend their way out of trouble. They dropped further and further down the league structure, while at the same time building up their debts."

Cash for cups? Qatar's sporting influence spreads across the globe

If Forest fans are getting overexcited about their future, they don't have to look very far for proof that such a takeover can go horribly wrong.

In 2009, city rivals Notts County announced that football's oldest professional club -- languishing in the bottom division and in danger of collapsing -- had been bought by a group called Munto Finance, purportedly financed by Middle East money.

In came former England manager Sven Goran Eriksson and international star Sol Campbell on lucrative long-term deals, but they had both gone before the end of that season as Munto's promises to wipe out crippling debts proved empty. Still struggling to survive, the club was sold for a nominal fee of £1 just months after the takeover.

"There will always be this fear. The 'fit and proper person test' applied to new owners is not especially robust or rigorous, so we can never be completely sure about what new owners' intentions or resources are," Chadwick said.

"Until we get into this period of ownership, it won't be entirely clear what they are able to do."

From riches to rags: Why Rangers' financial meltdown should worry Europe

He cited the example of Blackburn Rovers, who suffered relegation from the EPL after only one season under the ownership of Indian chicken magnates Venky's.

"The experience since they took over is a stark illustration of how inexperience can cause problems. No matter your intentions or how much money you've got, experience of the industry is very important," Chadwick said.

"Do they know what they're letting themselves in for? Running a football club is very different from running other forms of business.

"What do they see as being the strategic position at Forest? If they are looking to win the Premier League and get in the Champions League, they are going to have to invest a significant amount of money.

"But if their definition of glory days is to get back into the Premier League then it will require a more modest sum. Stoke. have proved you can establish yourself as a midtable team. It's still very expensive, but not as expensive as what City have spent to win the title."

@highlight

Kuwaiti family buys former European Cup winner Nottingham Forest

@highlight

English club has been out of the elite division for more than a decade

@highlight

Experts say there is great value in buying a team with such a rich history

@highlight

Al-Hasawi family said to have more soccer knowledge than some failed investors