ISLAMABAD, Pakistan (CNN) -- Taliban militants made their deepest incursion into Pakistan this week, seizing control of areas that are a short drive from the capital city.

Pakistan has deployed paramilitary troops to a district taken over by the Taliban.

A Pakistani government official said the militants fully withdrew from the Buner district on Friday, although other officials cast doubt on the extent of the pullout and how long it would last. Buner is only 60 miles outside Islamabad.

The situation is particularly concerning because Pakistan is a nuclear-armed state.

The Islamic republic is believed to have between 30 and 40 nuclear warheads, according to the U.N. nuclear watchdog, the International Atomic Energy Agency (IAEA).

Those warheads, however, are unassembled and scattered about Pakistan in areas that are not under the control of the Taliban, several analysts said. iReport: Should the U.S. intercede in Pakistan?

Earlier this week, U.S. Secretary of State Hillary Clinton warned that Pakistan was in danger of falling into terrorist hands. But Pakistan's ambassador to the United States, Husain Haqqani, said that the situation is not as dire as Clinton described.

"Yes, we have a challenge," Haqqani told CNN. "But, no, we do not have a situation in which the government or the country of Pakistan is about to fall to the Taliban."

Analyst Michael Krepon said while the news out of Pakistan is "disturbing," the real concern is what happens if Pakistan decides to move the weapons components, which are closely guarded by its army.

"The nuclear weapons are the most well-guarded inanimate objects in the country," said Krepon, co-founder of the Stimson Center, a Washington, D.C.-based think tank.

"When they're not in motion, they're not going to be subject to hijacking or being overrun by the Taliban."

Krepon, who studies Pakistan's and India's nuclear programs, said tensions between those two countries could prompt Pakistan to move its weapons components.

"If there's a crisis with India ... odds increase greatly that weapons could move around, and when weapons move around, it is very worrisome," he said.  Watch a former CIA official view »

However, Pakistani political consultant Hasan-Askari Rizvi downplayed the threat of the Taliban insurgency to Pakistan's nuclear weapons program.

"The threat to nuclear weapons is not so imminent because they are far away from those places and secondly, they are under control of the army," Rizvi said.

"Only a few people in the army know about it," he said, noting that the Pakistani army would defend their control of the nuclear weapons until the end.

"It's a source of power," Rizvi said. "Whoever controls the weapons will dictate to the Pakistani government."

Commentators and politicians in the West have long harbored concerns that Pakistan's nuclear weapons could be stolen by Islamic militants.

A month after suspected Islamist extremists assassinated former Prime Minister Benazir Bhutto in December 2007, top Pakistani security officials held a special briefing with Western journalists, insisting that the country's nuclear arsenal is secure from Islamic extremists.

The January 26, 2008 news conference took place a few weeks after IAEA chief Mohamed ElBaradei warned that Pakistan's "many internal problems" put the country's nuclear arms at much greater risk.

At the briefing, Lt. Gen. Khalid Kidwai -- head of the army division that controls Pakistan's nuclear sites and weapons -- said the country's weapons were protected by a "fool-proof" security system.

Kidwai said there are 10,000 troops assigned to guard the country's nuclear facilities, including special agents who report directly to the country's intelligence services.

He stressed that Pakistani military sites were equipped with security cameras; biometrics and access control; bullet-proof vehicles, high security walls; and quick reaction forces.

Around 2,000 scientists working with sensitive materials and information at the sites had to undergo extensive background checks before being given security clearances, he added.

"In Pakistan we have been extremely conscious of our responsibilities and obligations in this regard and we have instituted command and control structures and security measures in a manner so as to make these fool proof," Kidwai said.

CNN's Tricia Escobedo in Atlanta, Georgia, contributed to this report.

@highlight

Concerns over Pakistan's nuclear arsenal as Taliban make advances

@highlight

Pakistan is estimated to have 30-40 nuclear weapons

@highlight

Consultant says army would fight to the end to protect nuclear sites

@highlight

Another analyst says the weapons are the most well-guarded objects in Pakistan