(CNN) -- As the United States prepares to build its first new nuclear power reactors in three decades, concerns about an early generation of plants have resurfaced since last year's disaster in Japan.

The Vermont Yankee nuclear power plant -- the subject of a battle between state authorities and the Nuclear Regulatory Commission over its continued operation -- uses one of 23 U.S. reactors built with a General Electric-designed containment housing known as the Mark I.

It's the same design that was used at Japan's Fukushima Daiichi nuclear power plant, where three reactors melted down after the station was struck by the tsunami that followed Japan's historic earthquake in March 2011. The disaster resulted in the widespread release of radioactive contamination that forced more than 100,000 people from their homes.

GE says the Mark I design has operated safely for more than 40 years and has been modified periodically to meet changing regulations. No nuclear plant could have avoided a meltdown after being swamped by a tsunami and losing power to cooling systems for an extended period of time, the company says -- and at least one expert CNN spoke to agrees.

But concerns about the Mark I's ability to contain the consequences of a severe accident have been raised for decades, and critics say the Fukushima Daiichi accident shows it can't survive a real-world disaster.

The structure was designed so steam that builds up in an overheating reactor can be diverted into a doughnut-shaped water tank known as the suppression pool, or torus, where it condenses back to water to reduce pressure inside the reactor containment building. That allows utilities to build a much smaller containment structure -- as little as one-sixth the size of those used at some U.S. plants.

Stephen Hanauer, a former top safety official at what was then the Atomic Energy Commission, warned in 1971 that in an accident in which the core slowly loses coolant and overheats, the Mark I containment "would overpressurize. That could lose the torus water source, hence ECCS [emergency core cooling system] as well as leak out fission products."

Read the 1971 Atomic Energy Commission document (PDF)

In 1978, the NRC, which replaced the AEC, decided that the design was safe. Hanauer agreed with that decision, which GE and plant operators have pointed out.

But the following year, there was a partial meltdown at Three Mile Island in Pennsylvania. Three Mile Island used an entirely different design, but the NRC began an extensive safety review after the accident that resulted in several changes to the Mark I.

One of those was a 1989 push for utilities to install a vent system that would release steam from the containment during an emergency. But as critics point out, that also raises the odds that radioactive material will escape the containment -- even with a "hardened" vent, one that tries to filter out the reactor byproducts.

Read the 1989 NRC recommendation for U.S. nuclear plants to install vents (PDF)

"A hardened vent is just a way of saying we're going to uncontain the containment," said Ken Bergeron, a former physicist at the Sandia National Laboratory in New Mexico, who took part in the NRC review. "The question comes up now -- and this is a really important question -- can the Mark I containment be made better?"

Arnie Gundersen, a former nuclear engineer and a leading critic of the Vermont Yankee plant, says the Japanese accident shows the Mark I containment system can't prevent a release of radioactivity in a meltdown.

Watch an excerpt from CNN's Special Investigations Unit report on Vermont Yankee

In an October hearing before the NRC's Petition Review Board, he said the vents were a "Band-Aid fix" for the design that failed "not once, not twice, but three times" at Fukushima Daiichi.

"True wisdom means knowing when to modify something and knowing when to stop," said Gundersen, who leads a state commission set up to monitor the Vermont Yankee plant.

Half of U.S. reactors are more than 30 years old

The NRC has rejected a petition by anti-nuclear groups to immediately shut down all reactors using the GE Mark I containment. But it said it would examine several of the issues the petitioners raised as part of its review of the Japanese disaster.

Bergeron called the Mark I containment the smallest and weakest of those used in American plants. But he said the NRC "punted" in the face of industry resistance by calling only for utilities to install vents.

As for GE, he said, "They got the rule book from the federal government, and they said 'This is all you have to design it for.' The real question is: What should have been done after 1979, when you found out the rule book was flawed?"

GE says it has made several changes to the Mark I design since 1980 aimed at improving safety in the event of an accident. The manufacturer, which has a partnership with Japanese industrial giant Hitachi, stands by its product and says the tsunami that struck Fukushima Daiichi would have devastated any plant.

"There is no nuclear plant operating today that would have performed differently," GE-Hitachi Nuclear Energy spokesman Michael Tetuan told CNN.

Bergeron agrees that no power station could have survived the long-term loss of power that occurred at the Japanese plant without a meltdown. But he noted that at Three Mile Island, the worst U.S. accident to date, there were "essentially zero emissions" from its much larger containment structure.

"From the point of view of public safety, that's a home run," he said.

Tetuan said the nuclear industry is still studying what happened in Japan, "and there will undoubtedly be lessons learned that will need to be implemented across the industry and across all types of nuclear plants, including the Mark I." But he added, "The GE Mark I containment structure design is a proven, reliable technology. It fulfills all regulatory requirements in one of the most highly regulated industries in the world."

Commission: U.S. nukes are safe, but ...

Japan will need decades to clean up after Fukushima Daiichi, the world's worst nuclear accident since Chernobyl in 1986. About 110,000 people are still displaced from homes, a Japanese government commission reported in December.

A 20-kilometer (12-mile) radius around the plant remains off-limits. Workers have peered only briefly into the damaged reactor buildings, and experts say a full damage report may take years.

"We need still a little bit more time to find out what really happened," said John Lee, a nuclear engineering professor at the University of Michigan. "It took three years at Three Mile Island to be able to open up the pressure vessel," Lee said. "So we're not quite there yet."

2011 nuclear power report: No changes needed

Michigan nuclear plant cited for safety violations

The U.S. nuclear industry hasn't built a new reactor since Three Mile Island. But on February 9, the NRC approved two new reactors at the Vogtle nuclear plant in Georgia.

The reactors are of a different design than the GE plants at Fukushima Daiichi and in the United States.

CNN's Todd Schwarzschild and Curt Merrill contributed to this report.

@highlight

U.S. OKs new nuclear reactors a year after Japan disaster

@highlight

23 GE Mark I reactors in U.S. share same design as Fukushima Daiichi plant

@highlight

Many are aging, but have undergone safety improvements

@highlight

GE says design is proven, reliable technology that is safe to use