Beijing (CNN) -- It is a striking image that in an instant crystallizes the passions and anger on the streets of Beijing.

A man is leaning out of the sunroof of a car driving down a six-lane freeway, holding a massive Chinese flag in one hand and, in the other, a portrait of Mao Zedong.

"The islands are ours," he yells, referring to China's claim on what it calls the Diaoyu islands. He denounces Japan, and others in the car raised clenched fists, threatening to go to war.

Protests have flared for another day across the country. This is not just any day, it is the anniversary of the incident that set off the Japanese invasion of China in 1931. The wounds of history run deep amongst generations raised on stories of the brutality of Japanese occupation. The row over the islands is tearing at those old scars.

These are indeed confused times; old-style Maoism, anti-Japanese hatred, ancient territorial claims and a rich nation's hunger for national resources are fueling passionate and at times violent protests aimed at the Japanese.

The islands dispute is a magnet for a grab bag of competing agendas.

Japanese plants close amid Chinese fury

The open displays of anti-Japanese fury, say some China watchers, is a convenient distraction for the Communist Party as it grapples with a fraught leadership transition marked by political scandal, murder, "disappearances" and infighting.

The appearance of the iconic Mao images lends a revolutionary fervor to these protests. The father of China's Communist Party is not seen as synonymous with the new economic powerhouse. He harks back to a more brutal time.

But this is not just about anger and pride, it is about money. Lying beneath the uninhabited islands are vast natural resources. China is hungry for oil and gas to power its economy.

But most of the argument here is framed around history; unfinished business with Japan and China's rising economic significance in the world.

Chinese analysts like Guo Xiangjiang, the Deputy Director of the China Institute of International Studies, say there should be no question about who owns the islands.

"There shouldnÂ¹t be any discussion on Diaoyu island. It has always been a part of China," he says.

China says its claim on Diaoyu extends back hundreds of years. Japan says China ceded sovereignty when it lost the Sino-Japanese war in 1895. Japan's surrender in World War II clouded the issue again.

How a remote rock split China and Japan

But in 1972, the United States returned Senkaku to Japanese control as part of its withdrawal from Okinawa.

China refuses to recognize these agreements. China's Ministry of Foreign Affairs Spokesman, Hong Lei, has effectively told the U.S. to keep out of the issue.

"We hope that the U.S. can earnestly honor its principle of not taking positions on the Diaoyu issue," he said.

On the streets it is all about Japan. Thousands marched outside the Japan embassy in China Tuesday.

"Kill Japan!" one woman yells.

Another turns the question on us.

"Would you not fight for Hawaii? Would you not fight for Washington D.C? Of course we will fight for Diaoyu," the protester asks.

China normally clamps down on protests like this. Public displays of anger are not allowed. But this is different: this is Japan.

Nationalism works for the party right now, Mao images and all; better to keep the people focused on an enemy outside than the enemies within.

@highlight

Passion and anger merges in Chinese street protests

@highlight

Protesters directing anger towards Japan over disputed islands

@highlight

Japan bought what it calls the Senkaku Islands from private owner

@highlight

China has long claimed it owns the islands, calls them Diaoyu