NEW DELHI, India (CNN) -- Police in India summarily execute prisoners, torture and threaten suspects and arrest people without reason, a leading rights group said Tuesday.

Human Rights Watch says individial officers are not to blame for abuses.

India's police have largely failed to evolve from the repressive forces they were designed to be under Britain's colonial regime, according to a new report by the U.S.-based Human Rights Watch.

"While 60 years later, much of India is in the process of rapid modernization, the police continue to use their old methods," the group said.

Officials at the Federal Home Ministry -- which is responsible for the police -- offered no immediate comment.

The report cited abuse and threats as a primary tactic for investigating crime and enforcing the law in India.

It said the system rather than individual officers or commanders was partly to blame.

"The institutional culture of police practically discourages officers from acting otherwise, failing to give them the resources, training, ethical environment and encouragement to develop professional police tactics," it said.

The Federal Home Ministry will study the report before responding, said R.K. Sharma, its deputy secretary dealing with human rights issues, but some former police officers agreed that the force had yet to modernize.

Nikhil Kumar, former police commissioner of New Delhi and head of an association of retired officers from the Indian capital, charged that almost all Indian states had been reluctant to carry out police reforms.

State chief ministers, he said, had rejected any moves aimed at granting greater autonomy to the police for fear it would loosen their control over the force.

"The police inherited a colonial legacy. In the last 60 years or so, they should have come out of it, but this hasn't happened. What has happened is that British masters have been replaced by Indian masters," Kumar remarked.

The legal basis for much of India's state and federal police services is a law dating back to 1861, which was drafted in the wake of an 1857 uprising against British rule.

India gained its independence from Britain in 1947.

Kumar said a national police commission had recommended scrapping the 1861 law some 30 years ago, but said it had not been acted upon except for what he called "small changes."

Top serving officers from Uttar Pradesh and Karnataka, states HRW used for its field research, refused comment on the report.

"I have to study it first," Karnataka police chief Ajay Kumar Singh said.

Brij Lal, additional director general of police in Uttar Pradesh, gave the same response.

Successive governments for decades have failed to deliver on promises to hold the police accountable for abuses and to build professional, rights-respecting police forces, HRW said.

"Colonial-era police laws enable state and local politicians to interfere routinely in police operations, sometimes directing police officers to drop investigations against people with political connections, including known criminals, and to harass or file false charges against political opponents," it added.

Moreover, abysmal conditions for police officers also contribute to violations, the report noted.

Low-ranking officers often work in difficult conditions and are required to be on-call 24 hours a day, every day, it said.

"They often lack necessary equipment, including vehicles, mobile phones, investigative tools and even paper on which to record complaints and make notes," the HRW said.

The 118-page report, "Broken System: Dysfunction, Abuse and Impunity in the Indian Police," is based on interviews with more than 80 police officers of varying ranks, 60 people who said they were victims of police abuse, and numerous discussions with experts and civil society activists.

"It's time for the government to stop talking about reform and fix the system," said Brad Adams, HRW's Asia director, in a statement.

@highlight

Human Rights Watch accuses Indian police of abuses

@highlight

Group blames colonial-era police system rather than individuals

@highlight

No immediate comment from Indian authorities