The Internal Revenue Service targeted liberal groups as well as conservatives seeking tax-exempt status, a Democratic congressman charged on Monday after the agency acknowledged the inappropriate practice continued until last month.

Rep. Sander Levin said the term "progressives" was included on IRS screening lists of applicants for tax-exempt status made available to Congress on Monday.

It was the first confirmation that the "Be on the Lookout" or BOLO lists used criteria targeting liberal groups after an inspector general's report made public last month said the IRS had used words such as "tea party" to determine possible extra scrutiny.

Earlier, the first substantive review of the controversy by the IRS showed the agency used multiple lists of inappropriate criteria in assessing tax-exempt applications up until this month, more than a year later than previously revealed.

Daniel Werfel, the IRS acting commissioner, provided no details of what inappropriate criteria were on the lists, but said "there was a wide-ranging set of categories and cases that spanned a broad spectrum."

The practice of using BOLO lists in considering tax-exempt applications has been suspended, Werfel told reporters.

Shifting polls contradict key deposition

Levin's disclosure that progressive groups also were targeted follows a liberal claim that their side also  came under extra scrutiny based on political titles or other language in their applications.

In a statement, the Michigan Democrat  questioned why the Treasury inspector general who initially disclosed the IRS targeting, J. Russell George, focused only on BOLO lists that contained conservative labels.

The inspector general's report "served as the basis and impetus for a wide range of congressional investigations, and this new information shows that the foundation of those investigations is flawed in a fundamental way," Levin's statement said.

A spokesperson for George later responded that the report focused only on BOLO criteria used to refer cases for extra scrutiny of potential political activity that would make groups ineligible for tax-exempt status.

Conservative groups complained about their applications being delayed for months and even years, receiving demands for inappropriate questioning from the IRS.

Republicans have claimed the controversy amounted to political retribution against enemies of the administration, an accusation denied by the White House and the IRS.

In response to Levin's statement, House Ways and Means Committee Chairman Rep. Dave Camp said the inclusion of "progressives" on a BOLO list did not prove that liberal groups underwent the same extra scrutiny of conservative groups cited in the inspector general's report.

CNN Poll: Did White House order IRS targeting?

Political firestorm

The controversy that became public last month with the release of George's report ignited a political firestorm in Washington while fueling conservative mistrust of President Barack Obama's administration.

Use of some lists of conservative labels for further screening stopped in May 2012 when IRS officials were first notified of the practice.

However, Werfel's review showed that other inappropriate lists continued to be used until as recently as this month by the unit that handles tax-exempt applications.

Werfel was informed on June 12, 2013, that other BOLO lists were still in use. He immediately suspended use of any BOLO lists by the unit that handles tax-exempt applications, his review said.

He noted that his investigation, while still incomplete, found no evidence so far of intentional wrongdoing by IRS personnel, involvement by anyone outside the IRS or that targeting extended into other areas of the agency.

"Several key leaders, including some in the commissioner's office, failed in multiple capacities to meet their managerial responsibilities at various points during the course of these events," Werfel's report said. "Most notably, there was insufficient action by these leaders to identify, prevent, address, and disclose the problematic situation that materialized with the review of applications for tax exempt status."

Remember that IRS scandal . . . ?

Five IRS managers have been replaced, from the previous acting commissioner whom Werfel succeeded to the head of the unit based in Cincinnati that handles tax-exempt applications.

In addition, Werfel created an Accountability Review Board to recommend within 60 days "any additional personnel actions necessary to hold accountable those responsible" for the targeting disclosed by the inspector general's report.

White House spokesman Jay Carney said Monday that Obama believes Werfel's report "is an important step in ensuring accountability for any staff that acted inappropriately, identifies the failures in their systems that allowed the misconduct to happen, and takes a forward-looking systemic view at the agency's management."

The White House ordered the review by Werfel when he started the job on May 22 in the aftermath of George's audit that found targeting of some conservative groups seeking tax-exempt status.

Werfel was given 30 days to complete the review, and the House Ways and Means Committee has scheduled a hearing for Thursday on the report, with Werfel as the lone witness.

Read IRS watchdog's report

Series of investigations

The targeting scandal and a separate inspector general's report that documented wasteful spending on IRS conferences in past years have led to a series of investigations of the tax collection agency by Congress, the Department of Justice, the tax administration inspector general's office and Werfel.

The IRS admitted there was unfair targeting of conservative groups seeking tax-exempt status starting in 2010, but officials said the action was a bureaucratic shortcut in its Cincinnati office rather than an exercise of political bias.

IRS targeting: Scandal or snafu?

In his report that disclosed the misconduct, George said there was no evidence of a political motive. However, George is continuing to investigate the matter, along with the FBI and the congressional committees.

Republicans argue the controversy is proof that the administration and progressive groups have been trying to clamp down on those who disagree with Obama's agenda.

Camp, a Michigan Republican, said Monday that the IRS "still needs to provide clear answers to the most significant questions -- who started this practice, why was it allowed to continue for so long, and how widespread was it?"

"This culture of political discrimination and intimidation goes far beyond basic management failure and personnel changes alone won't fix a broken IRS," Camp said in a statement that promised continued investigation.

As part of his review, Werfel said 80 groups awaiting IRS action on their applications for tax exempt status for more than 120 days could self-register with the agency as long as they certified under penalty of perjury that they would comply with applicable laws and regulations.

McConnell: Obama administration marked by 'culture of intimidation'

At the heart of the matter is what kind of organization can qualify for tax-exempt status. Regulations limit such status to groups primarily involved in social welfare activities, while political groups are considered ineligible.

Confusion over defining what constitutes political activity versus social welfare activity contributed to the targeting by the IRS, Werfel said.

An IRS statement on Monday said the "safe-harbor" option for self-certification would apply to groups that "certify they devote 60% or more of both their spending and time on activities that promote social welfare."

"At the same time, they must certify that political campaign intervention involves 40% or less of both their spending and time," the statement said. Applicants meeting those thresholds would get approval within two weeks of seeking self-certification, it said.

Werfel said the IRS would continue checking on tax-exempt groups to ensure they were following the law.

Earlier: What's a 501(c)(4)?

@highlight

The IRS targeting was more widespread than previously revealed

@highlight

The use of so-called BOLO lists to screen applicants has been halted

@highlight

Official: An ongoing IRS probe of targeting finds no evidence yet of outside influence

@highlight

The FBI and several congressional committees also are investigating