(CNN) -- The Syrian government has been mounting a campaign to boost vaccination among children in Syria after at least 20 suspected cases of polio were reported -- from government and opposition sources -- near the eastern city of Deir Ezzor.

Though the cases will not be confirmed for about a week, "as far as everyone is concerned, they're treating this like polio," said Dr. Bruce Aylward, the World Health Organization's assistant director-general for polio, emergencies and country collaboration.

WHO personnel were working with government health officials in Syria as well as surrounding countries "to stop what's circulating in Syria and make sure it doesn't spread," he told CNN Thursday in a telephone interview. But, given the massive refugee flows, "it's going to be a tough one," he said.

Wild poliovirus was last reported in Syria in 1999. The highly infectious viral disease primarily affects young children. Initial symptoms can include fever, fatigue, headache, vomiting, neck stiffness, limb pain and, in a small number of cases, paralysis.

It can be prevented through immunization, but there is no cure. The incidence of the disease has dropped by more than 99% since 1988. It remains endemic in three countries, Pakistan, Nigeria and Afghanistan, down from more than 125 countries in 1988.

The director of the National Immunization Program at the Ministry of Health, Dr. Nidal Abu Rashid, said the campaign also seeks to prevent measles cases, according to the state-run Syrian Arab News Agency.

Public health can be among the first casualties of war, as resources can be diverted away from ensuring clean water supplies and intact sewer lines.

WHO said last week that it had received the reports of a cluster of cases of acute flaccid paralysis, which is defined as sudden onset of weakness and floppiness in any part of a child's body or paralysis in any person in whom polio is suspected as the cause.

Despite the challenges posed by the ongoing civil war, the polio vaccination effort will be helped by the fact that Syria had high rates of vaccination coverage among its populace prior to the current conflict, Aylward predicted.

In an address Friday to the U.N. Security Council, the under-secretary-general for humanitarian affairs and emergency relief cited the outbreak as an example of the privations endured by the Syrians and the risks they face.

Diseases, including those easily preventable by basic hygiene and vaccination, are spreading "at an alarming rate," said Valerie Amos. In addition, reports of malnutrition have soared, and people suffering from chronic illnesses, such as cancer and diabetes, are dying for lack of access to treatment, she said.

She credited the U.N.'s World Food Programme with scaling up its operations with the goal of reaching 4 million people per month -- half of them in opposition-held or contested areas of Syria.

Still, she said, "the humanitarian response in Syria remains severely insufficient compared to growing needs."

Aid workers cannot reach some 2.5 million people in the country, she added.

"All humanitarian staff missions and convoys continue to require written approval," she said, citing as "unacceptable" and "unpredictable" the government's processing of visas for U.N. and non-governmental staff members. More than 100 such visas are pending, many are limited to a single entry and many of those that are issued are for insufficient durations, she said.

"There is simply no reason why humanitarian staff, whose only interest is to help those in desperate need, have not been granted visas to scale up our operations," she said.

In response, Syria's permanent representative to the United Nations acknowledged to reporters in New York that the country is facing grave humanitarian problems, but accused Amos of having failed to properly apportion blame.

"She should know and say what are the root causes," Bashar Jaafari told reporters, citing neighborhoods that are "under siege by the Syrian Army because there are armed groups in these neighborhoods taking civilians as human shields."

Jaafari said his country is "a victim of interference by some member states into its domestic affairs."

Regarding the issuance of visas, he said, "We are issuing too many visas to too many people; we are a sovereign nation, like any other nation; we have our own reasons sometimes to deny a visa to this or that individual."

Jaafari said Damascus has extended visas to hundreds of people working for the Office for the Coordination of Humanitarian Affairs (OCHA), which is led by Amos. "Any minimal cases here and there" of problems "wouldn't affect the overall picture of our cooperation with OCHA," he said.

In Syria, opposition activists blamed the war for more than 100 deaths Friday in a series of incidents.

A car bomb erupted in front of a mosque in the Damascus suburb of Wadi Barada, killing at least 44 people and wounding more than 200, the Local Coordination Committees of Syria said.

Other attacks resulted in 33 deaths in Daraa; 11 in Hama; 11 in Deir Ezzor; five in Latakia; three in Homs; three in Aleppo; and three in Idlib, the LCC said.

Syrian state television reported that the military ambushed and killed more than 50 "terrorists" in al-Otaiba, a town in the suburbs of Damascus. The London-based Syrian Observatory for Human Rights put the number of rebel dead at 20.

Amid accusations by government and opposition forces that each side has used chemical weapons, the Syrian government continued this week to comply with its agreement to rid the country of its stores of such arms, the Organization for the Prohibition of Chemical Weapons said.

On Thursday, the OPCW said its inspectors had visited the 19th of 23 chemical weapons sites disclosed by Damascus.

President Bashar al-Assad on Thursday thanked workers at the ministries of electricity and petroleum for restoring services a day after much of the country was plunged into darkness by what the state-run Syrian Arab News Agency said was sabotage of a gas pipeline.

According to the United Nations, more than 100,000 people have died in the conflict, which began in March 2011 when government forces cracked down on peaceful protesters.

@highlight

U.N. official" Humanitarian efforts are "severely insufficient" in Syria

@highlight

At least 20 cases of polio have been reported in eastern Syria

@highlight

The last case of wild poliovirus in Syria was reported in 1999

@highlight

It primarily affects young children