(CNN)He may have worked with world leaders, but now Nigerian billionaire investor Tony Elumelu is focusing on those yet to turn their business dream into reality. The chairman of pan-African investment company Heirs Holdings Limited has pledged $100 million to find and support 10,000 entrepreneurs throughout Africa.

Launched earlier this week, the Tony Elumelu Foundation Entrepreneurship Program (TEEP) wants to help find and grow businesses who will contribute $10 billion in revenue across Africa over the next 10 years.

"I have always sought ways to help inspire a generation across our continent," said Elumelu. "[It is] my fundamental belief that entrepreneurs -- women and men across Africa -- will lead Africa's development and transform our futures."

Driving entrepreneurship

It is this belief that led Elumelu to coin the term "Africapitalism" -- an economic philosophy "that the African private sector has the power to transform the continent through long-term investments, creating both economic prosperity and social wealth."

Entries are open to entrepreneurs from all 54 African countries and applications will be accepted in English, French and Portuguese. These will be reviewed by a panel of judges, tasked with selecting the 1,000 most promising startups each year. The chosen entrepreneurs will be given seed funding and 12 weeks of business skills training. They will also be put through their paces at an entrepreneurship "boot camp."

Among the judges are Ayodeji Adewunmi, the co-founder of the popular Nigerian job search site Jobberman, Opunimi Akinkugbe, CEO of African board game company Bestman Games, and Monica Musonda, chief executive Zambia-based Java Food.

As well as these business names, the initiative is also collaborating with big hitters from other sectors, like Vera Songwe,  the World Bank country director for Senegal, Cape Verde, the Gambia, Guinea-Bissau and Mauritania. "We must strive for entrepreneurial innovation in Africa," says Songwe, "and my participation in this program further promotes the World Bank Group's push for entrepreneur-led global development."

Africa brimming with entrepreneurs

The initiative's goal to nurture 1,000 entrepreneurs every year for a decade may sound ambitious, but research reveals Africa is a hotbed of entrepreneurial spirit. According to research conducted in 2012 by the Global Entrepreneurship Monitor, over 80% of people in Nigeria and Uganda see opportunities for starting businesses.

And across the continent, 53% of people intend to pursue a business in the next three years. In Angola, Botswana, Malawi and Uganda that figure is 70%. Crucially, however, the continent is also experiencing high discontinuation rates as many entrepreneurs abandon their efforts after failing to make profits.

"African entrepreneurs have ideas, they have products but they don't have support," says technologist Marieme Jamme, a Davos Young Global leader and CEO of SpotOne Global Solutions. "Mentorship for entrepreneurs in Africa is the key," she continues, calling for governments to improve educational efforts work with the private sector to create new markets for entrepreneurs.

"There is not enough funding available despite that we have lots of money in Africa and billionaires," adds Jamme. "Some people are ready to fund amazing and bright ideas, like Tony Elumelu, but let's not get ahead of ourselves here -- we have great challenges on quality control. We need good products, locally designed by Africans for Africans and global markets."

Read this: 12 brilliant entrepreneurs under 22

Read this: Africa is buzzing with entrepreneurial spirit

More from African Start-Up

@highlight

The Tony Elumelu Foundation Entrepreneurship Program plans to support 10,000 entrepreneurs throughout Africa

@highlight

Selected entrepreneurs will receive seed funding and mentoring

@highlight

80% of people in Nigeria and Uganda see opportunities for starting businesses

@highlight

The initiative is the largest African philanthropic gift aimed at boosting the continent's entrepreneurs