(CNN) -- "The LHC is back," the European Organization for Nuclear Research announced triumphantly Friday, as the world's largest particle accelerator resumed operation more than a year after an electrical failure shut it down.

Restarting the Large Hadron Collider -- the $10 billion research tool's full name -- has been "a herculean effort," CERN's director for accelerators, Steve Myers, said in a statement announcing the success.

Update: First collisions at the LHC on Monday

Experiments at the LHC may help answer fundamental questions such as why Albert Einstein's theory of relativity -- which describes the world on a large scale -- doesn't jibe with quantum mechanics, which deals with matter far too small to see.

Physicists established a circulating proton beam in the LHC's 17-mile tunnel at 10 p.m. (4 p.m. ET) Friday, CERN said, a critical step towards getting results from the accelerator.

"It's great to see beam circulating in the LHC again," said CERN Director General Rolf Heuer. "We've still got some way to go before physics can begin, but with this milestone we're well on the way."

Located underground on the border of Switzerland and France, the LHC has been inching towards operation since the summer.

It reached its operating temperature -- 271 degrees below zero Celsius -- on October 8 and particles were injected on October 23.

Now that a beam is circulating, the next step is low-energy collisions, which should begin in about a week, CERN said. High-energy collisions will follow next year.

The collider has been dogged by problems. It made headlines early this month when a bird apparently dropped a "bit of baguette" into the accelerator, making the machine shut down.

The incident was similar in effect to a standard power cut, said spokeswoman Katie Yurkewicz. Had the machine been going, there would have been no damage, but beams would have been stopped until the machine could be cooled back down to operating temperatures, she said.

The collider achieved its first full-circle beam last year on September 10 amid much celebration.

But just nine days later, the operation was set back when one of the 25,000 joints that connect magnets in the LHC came loose and the resulting current melted or burned some important components of the machine, Myers said.

The faulty joint has a cross-section of a mere two-thirds of an inch by two-thirds of an inch.

"There was certainly frustration and almost sorrow when we had the accident," he said. Now, "people are feeling a lot better because we know we've done so much work in the last year."

Mark Wise, professor of physics at the California Institute of Technology, said he's just as excited about the results that will come out of the LHC as he was last year and views the September 2008 accident as a delay rather than a devastating event.

Wise noted that Tevatron, the collider at the Fermi National Accelerator Laboratory in Illinois, has also had its share of failures but is generally considered to work just fine.

"It's a horribly complicated piece of equipment, it's not like there's not going to be problems along the way," he said. "They will surmount those problems."

The LHC will probably be in operation more than 20 years, Myers said.

But it won't be that long before scientists could potentially discover new properties of nature. The as-yet theoretical Higgs boson, also called "the God particle" in popular parlance, could emerge within two or three years, Myers said.

Evidence of supersymmetry -- the idea that every particle has a "super partner" with similar properties in a quantum dimension (according to some physics theories, there are hidden dimensions in the universe) -- could crop up as early as 2010.

For some theoretical physicists such as Wise, finding the Higgs boson and verifying every prediction of the Standard Model of physics would be the worst outcome. He wants the LHC to deliver surprises, even if that means no Higgs.

"When push comes to shove, the name of the game is 'what is nature,' and we're not going to know until our experimental colleagues tell us," Wise said.

ATLAS and CMS are the general-purpose experiments designed to find the Higgs boson and other rare particles that have never been detected before.

ALICE, another experiment, will explore the matter that existed some 10 microseconds after the Big Bang, said John Harris, professor of physics at Yale University and national coordinator of ALICE-USA.

At that time, there was a "hot soup" of particles called quarks and gluons at a temperature of around 2 trillion degrees above absolute zero, he said.

Although they have never been directly seen, these particles are theoretically the building blocks of the bigger particles -- protons, neutrons and electrons -- that form the universe as we know it.

CNN's Elizabeth Landau contributed to this report.

@highlight

LHC restarted more than a year after being shut down by electrical fault

@highlight

The full scientific program for the LHC wil probably last more than 20 years

@highlight

The LHC will look for the Higgs boson, quarks, gluons and other small particles

@highlight

Restarting $10B research tool described as "herculean effort"