Abu Dhabi, United Arab Emirates (CNN) -- Thirty-three people have now died from the MERS coronavirus, the World Health Organization said Friday.

Three new cases, including a fatality, were recorded in Saudi Arabia, the kingdom announced this week. Another previously reported Saudi Arabian patient also died from the disease, which lacks a cure or vaccine.

Globally, there have been 58 laboratory-confirmed cases of MERS, and all have been linked to the Middle East.

A statement from the Saudi Ministry of Health said one of three new cases was a 21-year-old man who died after being admitted into intensive care this week.

Health officials haven't revealed more details about the young man or whether he had an underlying health condition. The majority of serious illness and deaths have been seen in old, already sick men.

The other two cases, according to the health ministry, were in Saudi Arabia's eastern governorate of Al-Ahsa, where most cases of the disease have appeared. One is a 63-year-old Saudi woman who is in stable condition; a 75-year-old man remains in intensive care.

The Saudi Arabia ministry announcement Wednesday came a day after the ministry said it had made progress in its research to combat the MERS (Middle East Respiratory Syndrome) outbreak.

Studies carried out by researchers from Saudi Arabia and the United Kingdom have allowed them to map out the genetic characteristics of the MERS virus, the health ministry said in a statement.

This is considered "a positive step to follow-up the development and mutation of the virus over the time, meanwhile, helping in the diagnostic steps, and to find out a quick mechanism of diagnoses," the ministry said.

The research was conducted in collaboration with scientists from University College London and the Wellcome Trust Sanger Institute.

A full genetic series, obtained from four infected cases in Al-Ahsa, was recorded in the gene bank, said ministry spokesman Dr. Khalid Marghlani.

The series is also available to the public on the National Center for Biotechnology Information website.

The ministry said it "hopes that this step to contribute to the scientific development; so as to accelerate finding out a vaccine for this disease, and to learn more about this the virus, since there is hardly current information about it up to now, nor there is a vaccine or treatment for it."

The Centers for Disease Control and Prevention said it is "important that the Saudis released the sequences. It helps us understand the virologic evidence of person-to-person transmission."

The virus could be adapting to better grow and cause disease in humans, said Dr. Mark Denison, a professor of pediatrics and longtime coronavirus researcher at Vanderbilt University.

Releasing the genetic sequences from four more patients and making them publicly available is essential for allowing researchers around the world to study this emerging disease.

Researchers can now start comparing the genetic sequences from these four recent Saudi patients to the genetic sequence from the first Saudi patient, which is also publicly available, he said. "It may give us insights into why the epidemic is continuing" and whether the virus is changing.

While the overall number of cases is limited, MERS has been fatal in more than half of patients, according to the WHO.

Despite concerns about this new virus, there is "no evidence of widespread person-to-person transmission," according tothe WHO. Cases where it was passed from person to person resulted from close contact between an infected person and someone else.

In addition, fewer MERS infections have been seen in health care workers than during the SARS epidemic, the WHO said.

But the international organization called for caution, saying it is possible for the virus to move around the world.

CNN's Miriam Falco contributed to this report.

@highlight

The WHO says 58 cases of MERS have been reported; 33 have died

@highlight

Researchers have mapped the genetic characteristics of the virus

@highlight

While cases are limited, MERS has killed more than half of its victims