(CNN) -- A surprise inspection by the Centers for Disease Control has resulted in a failing grade for one of the plushest cruise ships afloat.

According to a report by the CDC's Vessel Sanitation Program, the cruise ship Silver Shadow was cited repeatedly for using an "organized effort" to remove 15 trolleys of food from the ship's galley to individual crew cabins to "avoid inspection."

The snap inspection of the Silver Shadow on June 17 in Skagway, Alaska, was conducted after an anonymous crew member sent still photographs to the CDC showing meat in crew cabin sinks and trays of food in the corridors in the hallways outside those cabins.

It resulted in a failing grade of 82 for the Silver Shadow. Any grade less than 84 is considered "less than satisfactory," according to the VSP website.

In its advertisements Silversea Cruises, the cruise line that owns the Silver Shadow, emphasizes luxury and what it calls a "world class" culinary experience. The company said its ships have an average passenger load of a little more than 300 compared to some cruise lines with ships that carry anywhere from 2,000 to 5,000 passengers.

The company said it charges passengers an average of $5,000 per week to sail.

One crew member who was on board the Silver Shadow said that his superiors ordered him and other crew members to sleep with food inside their cabins.

Adriano Colonna, who had a 40-day contract to serve as a pastry chef on the vessel, said a trolley full of salami and even unrefrigerated blue cheese was stored in crew cabins. Colonna said food was hidden night after night to avoid health inspections.

Passengers lack public info on cruise ship crime

A spokeswoman for the Fort Lauderdale-based Silversea Cruises, Ltd. e-mailed CNN prior to the public posting of the CDC score, stating that the firm was "deeply disappointed" in the outcome of the inspection. In fact, Gina Finocchiaro said the final grade was an 84, although it actually turned out to be 82.

The company said it had always scored in the highest range of grades in the past. Records published by the CDC showed that Silversea ships had been graded in the high 90s and even 100 on occasion.

Finocchiaro said the Silver Shadow inspection last month in Alaska was an anomaly. Neither she nor anyone else at the company responded to questions from CNN asking whether any employees were disciplined.

Jim Walker -- a Miami-based lawyer who specializes in filing lawsuits against cruise lines for injury and wrongful termination -- said that, in his experience, it's common for cruise ships to hide food from government inspectors.

"There is typically a scramble that takes place," he said. "That's what we learn from crew members."

Walker, who wrote about the Silver Star incident on his website cruiselaw.com, said he believes managers on board the ship "were essentially caught playing a game."

"The CDC was alerted by crew members who were concerned about the hygiene on the ship and they went in and verified their complaints," he said.

According to the CDC final report, its inspectors poured chlorine liquid over the discarded food on board the Silver Shadow to prevent any of it from being re-used. Other than a promise to correct actions that led to the problems, the owners of the ship were not fined, nor was the ship stopped from proceeding on its scheduled trip along Alaska's Inland Passage to Juneau.

That's because the CDC has no authority to correct any of the issues. The CDC's Vessel Sanitation Program employs inspectors from the U.S. Public Health Service and, even though it's a considered a regulatory program, it only has the authority to ask the cruise line to correct its actions.

"VSP requires all ships to submit corrective action statements for deficiencies," the program states on its website. "VSP does not verify that the deficiencies have been corrected until after conducting the next vessel inspection or re-inspection."

In a cruise ship crisis, what should happen?

This year, six cruise ships, including the Silver Shadow, have received failing grades by the CDC, according to its database. That's three times more than the number of cruise ships that failed inspections in 2012.

CDC spokeswoman Bernadette Burden noted that "every case is different," and each case goes through several reviews before scores are finally posted.

The cruise industry has been in the spotlight after a series of disasters that have captured headlines.

The Costa Concordia hit a reef off the coast of Italy in January 2012, killing 32 people. Then there was February's Carnival Triumph cruise, which experienced an engine fire in the control room that led to a loss of electrical power for five days.

In May, Royal Caribbean's Grandeur of the Seas caught fire, forcing the ship to cut short the trip.

Nevertheless, a recent survey by J.D. Power and Associates found overall customer satisfaction with eight major cruise lines remains high.

Disney Cruise Line, Royal Caribbean International and Holland America Line came in first, second and third, respectively, in customer satisfaction, while Carnival ranked last.

Silversea Cruises was not included in the survey, which survey measured seven factors that affect a customer's experience: service, state of the room, food, the efficiency of boarding and departing on the ship, entertainment, cost and excursions.

5 things we've learned about cruising

Got a story idea or tip for CNN's investigations team? Go to cnn.com/investigate or click here to submit.

Watch Anderson Cooper 360° weeknights 10pm ET. For the latest from AC360° click here.

@highlight

Silver Shadow scored "less than satisfactory" 82 during surprise inspection

@highlight

Pastry chef said trolleys of food were stored in crew cabins to avoid inspection

@highlight

CDC inspectors poured chlorine over discarded food to keep it from being re-used

@highlight

Ship owners were not fined; CDC has no authority to correct any of the issues