(CNN) -- India and the United States have become embroiled in a full-scale diplomatic row involving the case of Devyani Khobragade, an Indian diplomat who was arrested last week and charged with visa fraud by U.S. authorities. Prosecutors claim she imported and employed an Indian housekeeper to whom she paid only a small fraction of her promised wages.

After Khobragade's arrest, she was strip-searched in a private setting by a female U.S. marshal. This in particular caused a firestorm of criticism in India, though prosecutors and police claim all standard procedures were followed and that Khobragade was even given special considerations due to her diplomatic status.

OPINION: U.S. actually owes India apology over strip-search

While the courts will eventually resolve the welter of claims and counterclaims -- even the most basic facts in the case are currently in dispute and the diplomat's attorney says the charges are false -- it is clear that this arrest was the result of an investigation lasting several months. Given the sensitivity of arresting a diplomat representing a major U.S. ally, it seems likely that prosecutors feel that the case against Khobragade is very strong.

However, even without being able to determine Khobragade's guilt or innocence with respect to the charges, l'affaire Khobragade shines an unflattering light on several elements of India's diplomacy and its politics of privilege.

First, whether or not the charges and manner of arrest were proper, the intemperate reaction of the Indian government in response shows that, despite its status as an aspiring great power, India still frequently lacks the maturity on the world stage to behave like one.

In the wake of the arrest, India announced a number of steps against U.S. diplomats, including revoking government-issued IDs for U.S. diplomats in India, stopping the U.S. Embassy from importing most goods, and most provocatively removing a concrete security barricade at the U.S. Embassy in Delhi.

The sensitivity of such a threat to the embassy cannot be taken lightly, and the willingness of the Indian government to take such a step indicates a situation in which politics has run roughshod over any sensible understanding of diplomacy.

Even if India feels its diplomat was ill-treated, a responsible power does not inflame the situation, especially against an ally that happens to be the world's most powerful country. There are many ways to show displeasure without putting the safety of American diplomats at risk. And there are more important moral and political issues that India has to address with the U.S. that do not involve, if the charges are true, vindicating the inalienable right of India's diplomats to illegally import and underpay domestic servants.

Meanwhile, Khobragade and her father, a retired senior civil servant in the elite Indian Administrative Service (IAS) have gone on a PR offensive, with Mr. Khobragade charging, "It is nothing but a racial bias. It is simple and clear racial bias to harass the Indians." In light of such claims, which were frequently echoed in the Indian media, it bears mentioning that the U.S. attorney who brought the case, Preet Bharara, is himself a native of India, and he has strongly defended the action.

In addition to the Indian government's extremely provocative steps, the treatment of the case by most of the Indian media has also shown a substantial moral blind spot: Few members of either the commentariat or the political class, neither of whom were short on outrage over Khobragade's treatment, seemed to evince much sympathy for the maid in question, who, if prosecutors are believed, has been the victim of a crime, not the perpetrator of one.

Quite to the contrary, according to Indian media reports, the maid's family in India were threatened when she made her initial complaint and eventually were temporarily brought to the U.S. to assure their safety during the prosecution.

The deafening silence in the maid's defense, in favor of a full-throated defense of an alleged criminal of the higher social class, tells a sad story about the reality of power and privilege in India that will be familiar to many foreigners who have spent substantial time in the country.

Indian politicians play frequent lip service to the "aam admi" or common man, but the Indian press is daily filled with accounts of horrific mistreatment meted out by upper-class Indians against India's "common citizens" (for example, just last month a member of India's parliament was arrested for beating a servant to death -- allegedly over the quality of her dusting). In that context, it is worth noting that this is not the first recent case of alleged abuse of domestic servants at India's New York Consulate.

In 2011, a member of the household staff sued India's consul general in New York, accusing him of forced labor. He denied the accusation; the case was subsequently settled but the terms of the settlement do not appear to be public. Less than a year later another Indian maid won a similar case against the consulate's former press and culture counselor. In that case, according to the Christian Science Monitor, "the Indian diplomat has refused to pay the amount, a position supported by an Indian court."

The ultimate disposition of the Khobragade case is uncertain -- perhaps U.S. prosecutors will have been found to have made a catastrophic blunder. But no matter what the result in the court of law, the case shines a disturbing light on the politics of privilege in India -- and on the ability of the Indian government to conduct diplomacy befitting a great power, one that seeks to ease tensions with allies over disagreements rather than needlessly inflaming them.

OPINION: U.S. actually owes India apology over strip-search

The opinions expressed in this commentary are solely those of Jeremy Carl.

@highlight

U.S.-India in diplomatic dispute over treatment of consular official in New York

@highlight

Jeremy Carl: India's government and media overreacted to the events

@highlight

He says India's retaliatory measures don't befit a great country, needlessly endanger U.S. relations

@highlight

Carl: Few observers in India focused on the apparent plight of the domestic worker