BEIJING, China (CNN) -- Fireworks, athletes and pageantry on a scale never before seen in the Olympics opened the Summer Games in Beijing on Friday as the Asian nation kicked off the biggest and most scrutinized Games in history.

Fans celebrate the Opening Ceremony of the 2008 Olympic Games in Beijing, China, on Friday.

Chinese President Hu Jintao declared the Olympics officially open, retired Chinese gymnastics champion Li Ning was carried through the air to light the Olympic cauldron, and pyrotechnics exploded throughout Beijing as the crowd of 91,000 at National Stadium cheered wildly.

It was a stunning display from the nation of 1.3 billion people. Some media observers believe that the Opening Ceremony may be the most-watched television event in history.

IOC President Jacques Rogge spoke of China's long-held ambition to host the Olympics. "Tonight, that dream comes true," he said.

Rogge mentioned the Sichuan earthquake, saying the world was moved "by the great courage and solidarity of the Chinese people."

Emotion was high, as Friday's Opening Ceremony not only officially started the Summer Games but was a symbolic expression of a nation seeking its place as a global superpower.  Watch the excitement in Beijing as the ceremony begins »

The ceremony began at 8 p.m. local time (8 a.m. ET) on the eighth day of the eighth month of 2008 -- in a country where eight is the luckiest number.

The opening was an artistic mix of performance and light depicting China's 5,000 years of history.

Fireworks shot off across the Chinese capital as thousands of drummers, acrobats, martial artists and dancers performed under a light display at the National Stadium.

Children representing each of the 56 ethnic groups in China marched out into the stadium, called the "Bird's Nest" because of its notable appearance.

Dancers merged with objects that depicted China's ancient Silk Road, its Great Wall and ancient imperial past. Acrobats swirled around a giant sphere, depicting China's ambitions in space.  Watch why the Olympics mean so much for the Chinese »

Delegations from Afghanistan, Taiwan, North Korea and the United States were welcomed by huge cheers. But the loudest roars were saved for the Chinese participants. Waves of emotion greeted China's delegation as it entered National Stadium, led by flag bearer and basketball superstar Yao Ming.

U.S. President Bush was joined by Russian Prime Minister Vladimir Putin and more than 100 heads of state, heads of government and sovereigns expected to attend, the International Olympic Committee said.

The joy in Beijing was countered by grave news in Europe. As the Opening Ceremony was under way, Georgia's president said that his country was under attack by Russian tanks and warplanes. While in Beijing, Bush and Putin met to discuss the conflict.

Earlier Friday, the anticipation over the Beijing Olympics was unmistakable in China's capital city. Thousands were on hand early at Beijing's Tiananmen Square to witness the traditional flag-raising ceremony by soldiers of the Chinese People's Liberation Army. Blog: Anticipation was at fever pitch

This version of the Olympics brings with it controversy, discord that began in 2001 when the 2008 Games were awarded to Beijing. Criticism over China's policies on human rights for its citizens, its policies in Tibet and the persistent pollution across the country have been the focus of much international scrutiny and media attention.  Watch protests in Germany over China's Tibet policies »

For some world leaders, the decision to attend was a tough call. French President Nicolas Sarkozy threatened to boycott the Games because of human rights abuses in Tibet but later changed his mind.

"It's inevitable that people from different countries may not see eye to eye,"  Hu said recently, "so we should try to expand our common ground on the basis of mutual respect."

Political leaders do not attend Olympic opening ceremonies as a matter of protocol -- Bush is the first American president to attend them outside the United States -- but China seemed determined to have as many there as possible.

"They want those leaders to confirm the fact that China has returned to great power, prominence in the world," said David Zweig, a political analyst at Hong Kong University of Science and Technology.

"They really want to say to the people of China that we, the Communist party of China, have done a great job."  Watch why China has invested so much in the Olympics »

As for the Games, an estimated 10,000 athletes from 205 countries will compete in 28 events for about 300 gold medals. The first medals will be awarded Saturday, and China hoped to claim the first gold of the Games.   See a timeline of moments to watch for »

The Olympics will offer plenty of drama. China has put a priority on finishing first in the overall medal standings. Government officials have said they expect nothing less than a repeat gold medal from 110-meter hurdler Liu Xiang.  Watch how pressure is building for the athletes »

On Sunday, swimming competition begins, along with U.S. swimmer Michael Phelps' quest to win eight gold medals, more than any individual in a single Games. Even if he fails, Phelps could become the all-time leader in gold medals.

Also Sunday, an early showdown in basketball as the U.S. basketball team led by stars Kobe Bryant and LeBron James faces host China and Yao Ming.  Watch an exclusive CNN interview with Yao »

CNN's Kevin Drew and Emily Chang contributed to this story.

@highlight

Olympics Opening is under way, marking beginning of Summer Games

@highlight

2008 summer Olympics is most expensive on record

@highlight

Anticipation building grows who will light Olympic cauldron

@highlight

More than 10,000 athletes to compete for about 300 gold medals