Washington (CNN) -- On Capitol Hill, the beginning of this year will look a lot like the end of last year.

The fight over extending a payroll tax cut and long-term unemployment benefits picks back up Tuesday as Congress returns to work after its winter break.

While aides in both parties say it's likely Congress will resolve that dispute, Republicans are still licking their wounds after a public backlash over how they handled those issues and fear that Senate Democrats will drag out the fight to score more political points in an election year.

And Democrats are concerned that House Republicans will insist on adding more items to the measures to try to keep conservatives on board.

The presidential campaign will take center stage this year. President Barack Obama already has made clear he plans to run against a "do-nothing" Congress and will likely highlight that theme during the annual State of the Union address next week. Facing that high-profile push against them, and with congressional approval ratings in the single digits and the fight for control of both chambers in the balance, lawmakers know they have a heavy lift to convince voters they deserve re-election.

Democrats, who run the Senate, and Republicans, who control the House, acknowledge that outside of the payroll tax cut bill no major legislation is expected to make it through Congress this year. However, each party promises a series of bills to advance what it thinks the public wants from Capitol Hill in response to the weak economy. For both sides, these efforts will be more about political messaging than actually legislating because few, if any, are likely to become law.

Congressional tensions

This week House Republicans will huddle at their annual three-day retreat in Baltimore to map out their 2012 agenda and strategy for responding to President Obama and Congressional Democrats.

But high on the agenda at that meeting for House Speaker John Boehner is likely to be an effort to bridge severe divisions with his own rank-and- file, many of whom questioned his leadership over the course of several showdowns with the White House and Democrats last year. Conservatives want Boehner to be more aggressive in standing for their principles.

Tensions between Senate Democrats and Republicans are also high. The president's decision earlier this month to make a recess appointment of Richard Cordray to head the Consumer Financial Protection Bureau while the Congress was technically not recessed drew a swift and angry response from Republicans. Top GOP aides privately grumbled the move set a bad tone for the coming year and invited Republicans to be even less cooperative.

And with key economic nominees needing Senate confirmation, including a new Director of Office of Management and Budget after Jack Lew was named White House chief of staff, Republicans could cause problems for the president and Senate Democrats.

Senate Majority Leader Harry Reid said Sunday on NBC's "Meet the Press" that Congress spent months on issues unnecessarily last year, pointing out that President Ronald Reagan raised the debt ceiling 18 times while in the White House.

"We've had obstructionism on steroids," Reid said.

A top Senate Democratic leadership aide said the party isn't overly concerned. That's because Democrats believe GOP obstructionism is at such a high level now -- where filibusters are routine -- they already expect a major fight on every nominee.

Finishing the payroll tax cut bill

When Congress limped out of town before Christmas, it agreed to a two-month extension of a bill that cuts payroll taxes, extends unemployment benefits and prevents a cut in the rate paid to doctors who care for Medicare patients. As they begin talks on an extension for the rest of 2012, both sides remain highly skeptical and suspicious of each other.

Questions linger for congressional negotiators -- how to pay for the $200 billion price tag and whether to tighten requirements for unemployment benefits. Democrats are worried Republicans will push for other issues, such as renewing their demand for the approval of the controversial Keystone XL oil pipeline or the elimination of a range of EPA regulations on businesses.

Some in the GOP are wary the White House and Senate Democrats will try again to pass a surtax on millionaires -- something even some Democrats don't support -- as a way of painting the GOP as protectors of the rich.

"The only way this process will not go smoothly and through regular order is if the White House chooses to disrupt it for political reasons," said Michael Steel, spokesman for House Speaker John Boehner.

Informal discussions between House and Senate negotiators have already begun.

Reid told "Meet the Press" that he hopes the tea party faction in the House doesn't have the same influence on talks that it did in December's impasse, calling that "bad for the country."

"I would hope the two Republican leaders would have learned from what took place in the previous year," Reid said.

Debt ceiling again

Right out of the gate when Congress returns, lawmakers will have to respond formally to the president's recent request to raise the debt ceiling. As part of the choreography agreed to last summer, members will get a chance to vote against the president's request, but it's mostly for show because the reality is Congress doesn't have the votes to block an increase.

Two other significant bills need attention this winter. One is a new Federal Aviation Administration bill that is stalled over disputes on labor rights and a costly government program to subsidize air travel to rural areas. Senators also want to pass a highway bill that would fund road and bridge construction for the next two years.

Obama is supposed to formally submit his budget for 2013 in February. Last year, Republicans criticized his budget for failing to reform entitlement programs like Medicare and Social Security, which represent the bulk of the nation's massive budget deficit.

"If he punts again, it will be clear the White House plans to spend the year on autopilot. We think that would be unacceptable to the American people," Boehner's aide said.

On the Keystone matter, the administration already is facing a congressionally mandated deadline on February 21 to approve the project or explain why it won't. Democrats say they expect the White House to reject the plan -- because the administration has said it can't finish its environmental review by then -- but Republicans are promising to continue to hammer the administration on the issue.

Bills to help the economy and send a message to voters

In addition to their push for Keystone, House Republicans are planning votes early this year on legislation that would expand domestic energy production and upgrade transportation infrastructure across the country. The bill will include offshore drilling, energy exploration in the Arctic National Wildlife Refuge (ANWR), as well as give money to states along with more flexibility to build roads and bridges. The new spending on highway projects would be offset by revenue from oil and gas leases. But the White House is unlikely to support the GOP proposals and they are unlikely to go anywhere in the Democratic-led Senate.

Even without much hope for actually passing these bills House Republican aides stress they will continue focusing on measures to boost the weak economy to show they are responding to voters' concerns, and they emphasize that many of these proposals have had Democratic support.

"The House is going to continue to work hard to produce results for small businesses, working families and middle class Americans," one House GOP aide told CNN.

"If the president wishes to ignore Congress and play political games, that's his decision, but by doing so he will own the gridlock," the aide said.

In addition to the bills on jobs, the House also is expected to take up legislation to make more transparent members of Congress' stock trades and other financial transactions. GOP leaders plan to vote on the so-called "STOCK Act" which would ban lawmakers from using any non-public information to trade stocks or make other financial transactions.

Senate Democrats want to draw a line to job creation with almost everything they do this year. That starts with the highway and FAA bills, which Democrats say will create thousands of jobs. It will then continue all year with a myriad of bills Democrats think will prove to a wary public they are putting jobs first. A measure to fund school construction is another example of a bill Democrats hope to highlight.

Lawmakers from both parties say they are determined before the end of the year to prevent deep cuts to the defense budget as called for after the deficit reduction "super committee" failed to reach a deal to slash the deficit. Aides said serious work to find alternative spending reductions probably won't happen until after the election in November.

Control of Congress

As voters go to the polls this year, members are expected to spend less time in Washington and more time in their districts making the case for why their party ought to be steering the country's economic agenda.

Democrats need to pick up 25 seats to regain control of the House -- a high hurdle, but one many Democrats feel is within reach because they think voters will blame Republicans for the gridlock in Washington.

Senate Republicans feel more confident they can win control of their chamber, especially after the retirements of several key Democratic senators in states that lean Republican. Right now the Democrats hold a 53-47 advantage. But Democrats are defending 23 seats this year while Republicans are working to hold just 10.

The recent announcement by Sen. Ben Nelson, a conservative Democrat from Nebraska, that he would not seek re-election is seen by Republicans as another sign Democrats will lose majority control.

@highlight

Fight over payroll tax cut and long-term unemployment benefits picks back up

@highlight

Members will get a chance to vote against the president's debt ceiling increase request

@highlight

Members will spend less time in Washington, more time in their districts during this election year