(CNN) -- Common opinion holds that diplomacy involves careful negotiation and an ability to bite your tongue. But what happens when the political situation in a country is so corrupt that you feel it is your moral duty to speak out?

Former British ambassador to Uzbekistan, Craig Murray

Craig Murray, former British ambassador to Uzbekistan, has gained notoriety as one of the few diplomats to ignore the wishes of his government and openly criticize the country in which he was stationed.

"I was told before I went that the human rights situation [in Uzbekistan] hadn't changed much since the days of the Soviet Union, whereas in fact it had got much worse," he says. "Nothing had prepared me for the sheer level of brutality and the sheer level of subjugation of the people."

Central Asia's most populous country, Uzbekistan has been ruled by President Islom Karimov since the nation broke free from Soviet rule in 1991. Karimov is democratically elected but the elections have been labeled unfair by independent observers.

Two cases of torture that were brought to his attention propelled Murray to speak out. In the first incident he was introduced to a man who told him that his grandchildren had been tortured in front of him in a bid to coerce him into signing a witness statement that would implicate two of his nephews as members of al-Qaida -- falsely, Murray claims.

Shortly afterwards he received an envelope of photographs of the body of Muzafar Avazov, who had died at Jaslyk Prison, a notorious detention center in north western Uzbekistan.

His body had been delivered back to his mother in a sealed casket. She was ordered to bury the casket the next day without opening it but she felt there was a religious duty to clean the body before burial. When she saw the condition of the body she took detailed photographs and sent them to Murray.

"I sent the photos on to the pathology department of the University of Glasgow," explains Murray. "The pathologist's report said that his fingernails had been pulled out, he'd been beaten about the face and neck and he died of immersion in boiling liquid. He'd been boiled alive."

Murray says he has come across only one other case of complete immersion in boiling liquid but numerous cases of limbs being inserted in boiling water and that "rape, suffocation and electrocution" is exacted on "thousands of people every year."

Murray's claims are corroborated by respected NGOs. In a report titled "Nowhere to turn: torture and ill-treatment in Uzbekistan", published last month, Human Rights Watch concluded that torture is "endemic to the criminal justice system" in Uzbekistan. "It is not a marginal problem caused by a handful of errant police or security agents but is practiced by police and security agents on a regular basis," said the report.

The nature of these cases so disturbed Murray that in October 2002 he made a speech to fellow diplomats and Uzbekistani officials at a human rights conference in Tashkent in which he criticized the regime and highlighted the "prevalence of torture in Uzbekistani prisons."

The speech had been approved by the UK Foreign Office but behind closed doors it was met with arched eyebrows. Uzbekistan had become an important strategic ally in the "war on terror". The Karshi-Khanabad airbase loaned to the U.S. gave them easy access to Afghanistan during the 2001 invasion and the Foreign Office was keen to maintain a relationship with Karimov.

Murray was recalled to London for a reprimand. Later, while on holiday in Canada he was again summoned to London where he was served with 18 disciplinary charges, including accusations of "hiring dolly birds" to work in the visa department, having sex in his office with local girls in exchange for visas and drinking on the job.

Murray did not aid his cause by beginning an affair behind his wife's back with a 23-year-old English teacher turned lap dancer, Nadira Alieva. He makes no secret of his taste for the good life; none of the charges levied against him held up in a tribunal.

He was exonerated but the stress of the ordeal brought on a mental breakdown. He recuperated and returned to Tashkent but on landing suffered severe back pains and was airlifted back to London with a pulmonary embolism in his lung.

He was eventually removed from his post in October 2004. In a statement the FCO told CNN: "The FCO's handling of this case has been scrupulously fair throughout, and entirely in accordance with its obligations as an employer, including its duty of care. Mr. Murray was withdrawn from post because it was considered that he was no longer able to perform effectively the full range of duties required in conduct of our relations with Uzbekistan.

"He was subsequently suspended from duty on full pay pending investigation of whether there were disciplinary issues to answer. That investigation was put on hold on medical advice until the uncertainties over his health were resolved: thus it was not concluded. Mr. Murray then opted to apply for early severance under the terms of the FCO scheme to reduce its staff numbers, and we accepted that application."

Craig Murray does not believe that open criticism of regimes would hamper delicate negotiations with despotic governments. Standing up to dictators often elicits more respect than a timid word in their ear, he says.

"The idea that it is impossible to conduct diplomatic relations except by fawning and by showing a respect that you do not feel towards countries which behave very badly indeed doesn't help at all."

There is an argument that diplomats are part of a more far-reaching international governmental strategy where their job is to keep the lines of communication open with despotic regimes and that the role of blowing the whistle on human rights abuses is already fulfilled by NGOs and journalists. But Murray argues that this does not apply in a country such as Uzbekistan where most of the NGOs have been expelled and local journalists risk imprisonment, torture and death if they speak out.

"Sometimes you find yourself in a position where you are actually the only person in a position to speak out against a totalitarian regime," he says.

In Uzbekistan, his concerns appear to have become reality. The US ceased its effective alliance with Uzbekistan in 2005, nominally due to a massacre in May in Andijan where several hundred civilians were shot dead at a protest, but in reality, claims Murray, because Karimov had switched allegiances and formed a military partnership with Russia.

He continues to speak out; he recently published a book about his experiences, "Murder in Samarkand -- A British Ambassador's Controversial Defiance of Tyranny in the War on Terror," which is scheduled to be made into a film by the director Michael Winterbottom, and he continues to write and give talks on the subject.

Craig Murray may now speak out from the cold but it is apparent that he believes that his stance has achieved significantly more than he would have in twenty years of quiet diplomacy.

@highlight

Craig Murray gained notoriety by openly criticizing the country where he was stationed

@highlight

The former British diplomat hit out at Uzbekistan's human rights record

@highlight

Murray cited grandchildren tortured in front of grandfather; man "boiled alive"

@highlight

Human Rights Watch has slammed the use of torture in Uzbekistan as "endemic"