(CNN) -- While we learned that rising stars in the Democratic Party come in younger (Sandra Fluke) and older (Elizabeth Warren) versions, it was a party elder and established superstar (President Bill Clinton) who stole the show on Day Two of the Democratic convention.

Wednesday's session began amid controversy over language in the party's platform that saw a tumultuous voice vote. And another one. And another one. It's not the image Democrats wanted to project after a successful opening night.

And while Clinton's speech was 15 minutes longer than his famously panned 1988 convention address, this one kept the audience in the packed Time Warner Cable Arena on its feet.

Here are five things we learned from Wednesday night:

1. Clinton delivers

Forty eight minutes, more or less.

That's how long Clinton's speech lasted on Wednesday night, but no one in Charlotte gave a rip.

Why? The Full Clinton showed up Wednesday with a combative, charming and substantive piece of oratory that many in the political class immediately billed as one of the best speeches he has ever delivered.

Clinton's remarks at the DNC

And crucially, President Barack Obama -- who has struggled to explain his policy accomplishments to the public -- got a tremendous boost from the best communicator in American politics.

Republicans were stunned after the speech.

"Tonight, when everybody leaves, lock the door," GOP strategist Alex Castellanos said on CNN immediately after the speech ended. "You don't have to come back tomorrow. This convention is done. This will be the moment that probably re-elected Barack Obama. Bill Clinton saved the Democratic Party once. It was going too far left. He came in and took it to the center. He did it again tonight."

Mike Murphy, another leading Republican operative, tweeted his praise.

"Highly effective Clinton speech. Aimed right at voters Obama needs," Murphy wrote.

And then: "A master's class in using (select) factoids and policy ideas to 'explain' and score big politically. Mitt's speech should have done this."

Forget that Clinton strayed from his prepared remarks repeatedly and was not even halfway through his speech when the clock struck 11 p.m. on the East Coast -- the Big Dog delivered.

Now it's Obama's turn.

2. Clinton answers the burning question

Republicans criticized Democrats this week for largely avoiding a firm answer on the question of whether Americans are better off than they were four years ago.

It was a question that first gained traction last week during Mitt Romney's acceptance speech, when he said, "You know there's something wrong with the kind of job he's done as president when the best feeling you had was the day you voted for him."

Clinton says Obama offers a better path forward for America

And the issue further snowballed when Democratic Gov. Martin O'Malley of Maryland answered "no" to the query during a Sunday interview -- a reply quickly seized upon by Republicans.

While speakers at the DNC Tuesday and Wednesday mostly stayed away from the topic, Clinton answered it head-on in his speech, delivering perhaps his biggest moment of the night.

"He inherited a deeply damaged economy. He put a floor under the crash. He began the long, hard road to recovery and laid the foundation for a modern, more well-balanced economy," he said.

He continued: "Now are we where we want to be today? No. Is the president satisfied? Of course not. But are we better off than when we were when he took office? Listen to me," he said, as the crowd roared.

He then painted a picture of economic conditions at the time Obama took office in January 2009, saying 750,000 jobs were disappearing per month and adding the economy was "in free fall."

"Are we doing better than today? The answer -- yes," he said forcefully. He used the "better off" theme several more times through the night.

Inside the DNC: Sights and sounds from convention-goers

Clinton rallied the crowd, urging them of the importance of re-electing Obama to finish what he described as a tough ride from the start.

"No president -- not me, not any of my predecessors -- no one could have fully repaired all the damage he found in just four years," he said.

3. Foreign policy and faith still matter

What goes around, comes around. One week after criticizing the platform that Republicans approved at their convention last week, Democrats got a taste of their own medicine on Day Two of their convention.

While Tuesday's session was considered a strong opener, there was a growing controversy over the omission in the current platform of a line from the 2008 platform that recognized Jerusalem as the capital of Israel.

Republicans and Mitt Romney presidential campaign officials quickly pounced.

Fast forward a day: The Wednesday session started with some dissension when delegates approved a change in the party platform to reinstate the 2008 line.

Another change restored the word "God" to the platform after the 2012 version omitted it, though it included language on faith as part of American society. The language referring to God-given rights was the same as in the 2008 platform.

Just in: Democrats update platform with Jerusalem, God reference

But it took three voice votes to pass the changes, with supporters and opponents loudly expressing their sentiments. When Los Angeles Mayor Antonio Villaraigosa, chairman of the convention, said that the motion passed with a two-thirds majority, some delegates made it clear they weren't happy.

Obama himself intervened regarding the Jerusalem language, a senior Democratic source told CNN. And Democrats say that illustrates that the president showed leadership. But the damage was done.

Romney campaign spokeswoman Andrea Saul was quick to put out a statement saying "Mitt Romney has consistently stated his belief that Jerusalem is the capital of Israel."

Analysts said it was a terrible start to the second day.

"After a roaring first night that we all proclaimed was successful, they started out Wednesday night with a stumble," said CNN Senior Political Analyst David Gergen, who has advised Democratic and Republican presidents.

Van Jones, a CNN contributor and former Obama administration special adviser, called it a "big blunder."

"I think it was handled badly from beginning to end, and now I think we're going to pay a price for it," he said.

CNN Chief National Correspondent John King said the conversation should have never come up.

"The Democrats last week decided to make a very big deal of the Republican platform. When you do that, it is Politics 101, you better scrub yours, because you know this is coming," he said.

"This is Keystone Cops."

4. We, not me

The theme of convention week is "Americans Coming Together" -- and for the second night in a row, Democrats hammered the premise home with a clarion call for collectivism instead of individualism.

This isn't a big shocker. Those two worldviews are at the heart of the ideological schism between the Democrats and Republicans.

But in speech after speech about the slowly recovering economy, Democrats aggressively pushed a common message: We're all in this together.

Five lines that killed on Day Two

"Democrats believe in reigniting the American dream by removing barriers to success and building ladders of opportunity for all, so everyone can succeed," House Minority Leader Nancy Pelosi announced.

"The American dream belongs to all of us," said California Attorney General Kamala Harris.

Then there was the hook of Colorado Gov. John Hickenlooper's speech about how he started a successful chain of Denver brewpubs from next to nothing.

"It was 'we,' not 'me,' " Hickenlooper said over and over again.

The contrast at work here? Republicans look out for themselves, while Democrats look out for each other. It takes a village and all that.

If you didn't have that message drilled into your brain at the end of the night, you probably missed that middle school English class lesson about "context clues."

Or you were watching the Cowboys-Giants game?

5. Paul Ryan a bigger thorn in Romney's side than Bain?

Mitt Romney faced a tsunami of attacks this summer over his business background and former private equity firm, Bain Capital. A pro-Obama super PAC particularly hammered Romney, spending $20 million on commercials in crucial swing states painting Romney as a greedy corporate raider.

And while speakers addressed Bain during prime time, Democrats seemed to be more fired up about another target Wednesday night: his running mate.

Fact or fiction? Paul Ryan's RNC speech

Speech after speech dealt several zings at Rep. Paul Ryan's budget plan, a proposal widely backed by the GOP and one that favors tax cuts coupled with large entitlement cuts.

Sister Simone Campbell especially hammered home the point. The nun has led other nuns on a nine-state bus tour this summer, campaigning against Ryan's plan as a measure that stands in the way of the church's moral teachings.

"Mitt Romney and Paul Ryan are correct when they say that each individual should be responsible. But their budget goes astray in not acknowledging that we are responsible not only for ourselves and our immediate families," she said. "Rather, our faith strongly affirms that we are all responsible for one another."

Her comments were carried further by U.S. Rep. Chris Van Hollen of Maryland, who serves on the same House Budget Committee chaired by Ryan. Van Hollen, who's been tapped to play the role of Ryan in debate prep for Vice President Joe Biden, said Romney and Ryan's "obsession with tax breaks for the wealthy is part of a rigid ideology."

"But this theory crashed in the real world. We all lived through the recession when jobs went down and the deficit went up," he said. "So when they say they'll turn around the economy, beware. They mean a U-turn back to this failed theory that lifted the yachts while other boats ran aground."

Wednesday night's program certainly highlighted Romney's time at Bain, especially when three laid-off workers took the stage to blast the GOP nominee as a heartless businessman motivated only by profit.

But a stronger theme threaded throughout the night could be found in Ryan's sweeping budget proposals and Democrats' fervent opposition to it.

Political observers say Romney's pick in Ryan was risky, given the congressman's highly polarizing policy proposals. Watching the convention this week, it seems those attacks fuel plenty of fire against Romney, one that may not die down anytime soon.

Obama to speak after forceful Clinton endorsement

@highlight

The Full Clinton showed up Wednesday with combative and charming oratory

@highlight

Clinton answered the question, "Are you better off than you were four years ago?"

@highlight

Platform battle over Jerusalem and God show foreign policy and religion matter

@highlight

Paul Ryan's budget plan may cause Republicans problems headed into the fall