(CNN) -- A few dozen protesters picketed the restaurants of acclaimed chef Thomas Keller last weekend, over his use of an ingredient that has become a lightning rod in the culinary world -- foie gras.

Chefs like Anthony Bourdain sing its praises, calling foie gras "one of the 10 most important flavors in gastronomy."

"It's one of the best foods in the world for a couple of reasons, and I think it's because it has this very unique trait which is that it is on one side, extremely rich, but on the other, extremely delicate," Ariane Daguin, the CEO and founder of D'Artagan, a gourmet food company that started 25 years ago supplying Americans with foie gras.

French for "fat liver," this delicacy comes from ducks and geese that are fed massive amounts of food in the last weeks of their life. Foie gras is used in terrines and mousses, and by more adventurous chefs, shaved cold to add a creamy fat element to restaurant dishes.

The force-feeding process, called gavage, causes the animals liver to expand up to 10 times its size. Anti-foie gras activists call the process cruel. Producers insist it doesn't hurt the fowl.

"We are the easiest target in the world for a couple of reasons, one our accent, it's called foie gras, it's a French word," Daguin tells CNN.

"Two it's an organ. It's easy to say that we don't need a meat organ to survive or to live. Three, it's expensive, so it's 'elitist,' and four, it's so easy for somebody just to take a look at the photo of the funnel inside the esophagus and to say 'Oh my god, if it were me, it would hurt.' Well, you are not a duck, so it is not you, you know? But it's so easy to empathize with the duck."

Foie gras has been produced by farmers since the days of ancient Egypt, when farmers discovered that the waterfowl's liver expanded in the days leading up to the bird's planned migration. The liver, in the center of the bird's body, stores fat the bird traditionally uses on long migratory flights.

Only three farms in the United States produce foie gras. D'Artagnan gets its foie gras from Hudson Valley Foie Gras, two hours north of New York City, which produces about 375,000 pounds of the delicacy a year. Each foie gras sells for between $70 to $100 per lobe.

At Hudson Valley, ducks are raised to 12 weeks before they begin the gavage process in pens 4-feet by 6-feet with 11 ducks in each enclosure, according to Marcus Henley, the farm's operations manager.

Over 21 days the ducks are fed three times a day by a worker who uses a tube to fill the bird's esophagus with grain. At the beginning, each bird gets about 3 ounces of food, which increases to 10 ounces by the end of the program, Henley said, noting that the esophagus can hold up to a liter of volume. Each duck will yield a liver that weighs about 1.5 pounds.

The rest of the bird is processed for its meat, remaining organs, bones and feathers.

It's this feeding process that anti-foie gras protesters target with photos of the feeding tubes and banners that read "How much cruelty can you swallow?"

"The idea that you can produce the products that we produce -- that are a delicacy -- by mistreating animals is just completely, it's inconceivable," Henley says. "It's not how farming is done."

Veterinarians say the bird lacks a gag reflex and their esophagus is lined with collagen, which makes it insensitive to pain. The bird breathes through a hole on the tongue.

Still, protesters call the process a travesty.

"The whole point of the production method is to create this diseased liver, which is unlike any other form of animal agriculture where you're not just growing animals to be eating, but you're also torturing the animal to grossly enlarge its organs for consumption," Bryan Pease, an attorney and chairman of the board of the Animal Protection and Rescue League, said.

Foie gras producers argue against use of the word "diseased."

"When we force-feed ducks and geese and we stop the force-feeding, the liver recesses to normal," Daguin says. "So we do not induce a sickness, we just use the natural propensity to expand the liver."

Those opposing the production of foie gras have succeeded in getting California to adopt a law that will make it illegal to serve or produce in 2012. A ban on the ingredient in Chicago, adopted in 2006, was overturned by the City Council 22 months later.

"The key will be both banning the sale and getting restaurants to just remove it voluntarily and not sell it," Pease said. "They'll always be able to find a place to produce that is going to make it be legal. They'll just go to a country with no laws, like China. The key is either for consumers to stop eating it or for restaurants to stop selling it."

Pease says his group has hired staff in New York to begin to target Manhattan restaurants to have them remove foie gras from the menu or face protests.

But foie gras producers say they're being targeted by people whose ultimate goal is a meat-free world.

"There cannot be an agreement because for vegetarian activists, no farm is a good farm," Daguin says. "They don't want us to eat meat period. So eventually, if they were to succeed, once somebody is out of the picture, the next one will be the chicken farm down the road. There is no 'good' farm for activists."

Still, there may be middle ground. Chef Dan Barber, inspired by the work of a Spanish foie gras producer, Eduardo Sousa, has begun experimenting with  "ethical foie gras,"  harvested from geese allowed to roam Stone Barns Center in Pocantico Hills, New York., foraging for food, according to their natural feeding cycles.

Daguin says that even those without an interest in the delicacy should pay attention to this fight.

"What they should be interested in is making sure that the farming practices in the world are sound," she said. "That they are not destructive -- to me that's the most important thing."

@highlight

Fois gras is liver from a force-fed duck or goose and is considered a delicacy

@highlight

Animal rights groups call pouring grain down tube in fowl's esophagus is cruel

@highlight

Veterinarians: Bird lacks gag reflex, esophagus is insensitive to pain

@highlight

Ariane Daguin: Complaints are ploy by activists to turn everyone into vegetarians