(CNN) -- Once upon a time, the idea of having a trained, disciplined, cultivated memory was not nearly so strange a notion as it might seem to be today. People invested in their memories, in laboriously furnishing their minds.

Over the last few millennia, we've invented a series of technologies -- from the alphabet to the printed book to the photograph to the iPhone -- that have made it easier and easier for us to externalize our memories and essentially outsource this fundamental human capacity.

These technologies have made our modern world possible, but they've also changed us. They've changed us culturally, and I would argue that they've changed us cognitively. Having little need to remember anymore, it sometimes seems as if we've forgotten how.

One of the last places where you still find people passionate about the idea of a disciplined, cultivated memory is a strange contest held each spring in New York called the USA Memory Championship. Contestants compete to see who can memorize the most lines of poetry, the most names of strangers, even the most random digits in five minutes.

Watch Joshua Foer's TED Talk

The sport of competitive memorizing is driven by a kind of arms race. Each year someone comes up with a new technique to remember more stuff more quickly, forcing the rest of the field to play catch up.

Three-time World Memory Champion Ben Pridmore invented a memory system, which he alone has mastered, that allowed him to memorize the precise order of 28 shuffled packs of playing cards in one hour. He used a similar trick to memorize the precise order of 4,140 random binary digits in half an hour. Even more incredible than the mere fact of this feat is that this is not an innate talent, but rather a skill he taught himself.

TED.com: How your brain tells you where you are

While there are lots of different tricks for remembering better, all of the techniques used in these memory contests ultimately come down to a concept that psychologists refer to as elaborative encoding. And it's well illustrated by a strange kind of forgetfulness that psychologists have dubbed the "Baker/baker paradox."

The paradox goes like this:

A researcher shows two people the same photograph of a face and tells one of them that the guy is a baker and the other that his last name is Baker. A couple of days later, the researcher shows the same two subjects the same photograph and asks for the accompanying word.

The person who was told the man's profession is much more likely to remember it than the person who was given his surname. Why should that be? Same photograph. Same word. Different amount of remembering.

TED.com: The real reason for brains

When you hear that the man in the photo is a baker, that fact gets embedded in a whole network of ideas about what it means to be a baker: He cooks bread, he wears a big white hat, he smells good when he comes home from work.

The name Baker, on the other hand, is tethered only to a memory of the person's face. That link is tenuous, and should it dissolve, the name will float off irretrievably into the netherworld of lost memories. (When a word feels like it's stuck on the tip of the tongue, it's likely because we're accessing only part of the neural network that "contains" the idea, but not all of it.) But when it comes to the man's profession, there are multiple strings to reel the memory back in.

Even if you don't at first remember that the man is a baker, perhaps you get some vague sense of breadiness about him, or see some association between his face and a big white hat, or maybe you conjure up a memory of your own neighborhood bakery. There are any number of knots in that tangle of associations that can be traced back to his profession.

TED.com: A computer that works like the brain

As I describe in my book "Moonwalking With Einstein", the art of remembering better in memory competition -- and to remembering better in everyday life -- is about figuring out how to turn capital "B" Bakers into lowercase "b" bakers.

It's about taking information that is lacking in context, lacking in meaning and figuring out a way to transform it so that it makes sense in the light of all the other things that you have floating around in your mind. Pridmore uses a complicated technique to memorize decks of playing cards and strings of binary digits, but we can all take advantage of the Baker/baker paradox.

If you want to make something memorable, you first have to make it meaningful.

The opinions expressed in this commentary are solely those of Joshua Foer.

@highlight

Josha Foer observed the 2005 USA Memory Championship and won it in 2006

@highlight

He says you can teach yourself to remember a lot of information effectively

@highlight

One of the keys is to associate a word or a fact with other things you remember, Foer says

@highlight

Foer: "If you want to make something memorable, you first have to make it meaningful"