Singapore (CNN) -- At nearly the length of four football pitches, the container ship Eugen Maersk takes some stopping when traveling at full speed -- around 7 kilometers (4.3 miles) before it can come to a complete halt.

It can also burn through 250 tons of highly polluting bunker fuel each day when at sea, but while berthed in Singapore last month the ship was trying its best to keep a low profile, at least in terms of its impact on the environment.

The 397-meter long vessel was running on a low-sulfur fuel while in port, something its owners say reduces toxic sulfur dioxide emissions by 85%.

Financially, the shipping industry is in the doldrums, suffering from over capacity and high oil prices. With tough times have come new ideas on how to cut costs and improve the environmental impact of shipping.

These days many shipping lines believe that bigger is better, not just for the shipping companies' bottom line, but also the environment.

"The bigger the ship the lower the fuel consumption, that's one thing," said Thomas Riber Knudsen, Asia Pacific CEO of shipping line Maersk. "The most important thing that we're doing (to reduce costs) on all our ships is we're reducing speed so simply sailing slower than we would normally do.

"There is a benefit in financial terms. Our biggest financial cost is fuel consumption; (cutting it) happens to be very good for the environment so probably there is shared interest there."

As well as travelling slower, new ships like the Eugen Maersk have other fuel-saving and potentially environmentally-friendly features, such as a redesigned bow and special paint to reduce friction through the water.

Built-in measures to make vessels more efficient are increasingly important believes Knudsen, as there is a growing awareness in the industry that it needs to take a long view on its environmental impact.

Shipping's international regulator, the International Maritime Organization (IMO), has embarked on a greenhouse gas reduction program, part of which will come into action in 2013, which for the first time includes CO2 emissions. The IMO believes the new measure could reduce CO2 emissions by 180 million tons annually by 2020 and save $34 billion to $60 billion in fuel costs.

So far the most toxic of pollutants from ships, like sulfur dioxide, have been the main focus of the IMO program and also other regional regulations. In some areas of Europe and the U.S., ships have been required by law for years to use low-sulfur fuel when in port.

Currently Asian countries lag behind others in environmental regulations, relying instead on voluntary initiatives like the one introduced in Singapore last year. Its Green Shipping Initiative offer incentives such as reduced port fees for ships in return for using low-sulfur fuel.

Maersk say that despite the financial sweeteners from Singapore's Maritime and Port Authority the company is actually losing money by using low-sulfur fuel that can cost twice as much as ordinary bunker fuel.

"Its' very difficult to stand out as a single shipping line to do this...What we would like is to have comprehensive rules spanning the globe, so we don't have areas that are different from each other," said Knudsen.

"We think the industry has a responsibility (to the environment) but it's very hard to be the one standing out and doing it as a competitive differentiator."

Some believe that retrofitting ships with equipment like "scrubbers" that remove harmful emissions from vessels could help the industry to clean up its act. Critics of existing scrubber technology however point out that the technology only removes the toxic chemicals from the atmosphere at the expense of depositing them in the ocean as contaminated waste water.

The Singaporean company Ecospec, supported by the country's government, believes it has avoided this problem with its emission abatement system developed over the last ten years. According to the company it removes not just sulfur dioxide, but also carbon dioxide and nitrogen oxides.

However the company's managing director, Chew Hwee Hong is sanguine about the potential for any green shipping technology to succeed without the push of uniform regulations.

"I would say a good 95% of (shipping industry green initiatives) is incentivized or is driven by international regulations," he said. "You get 5% who are volunteers, who are green advocates; they want to do it by themselves, irrespective of whether there are those regulations."

Until firmer international regulations emerge, linking cost-savings with environmental action is the best way to encourage the industry to do more, believes Manish Singh, of shipping consultancy, Ideocean.

"I don't expect fuel prices to go down but if they did and still the industry as a whole had become a lot more efficient, I think that efficiency will stay with us," he said.

"The fact they remain high today is helping to get the opinion and the action done. There is a genuine commitment to the ecological cost but I suppose the fact that we have a very strong economic reason to take action adds to the urgency."

@highlight

Shipping accounts for around 3% global CO2 emissions, according to IMO

@highlight

Industry facing tough financial times and high fuel prices

@highlight

Cost cutting measures provide opportunities to reduce emissions