Residents of this sleepy Turkish border town breathed a sigh of relief on Thursday.

For the first time in a week, there were no explosions, bullets or bombs coming from the Syrian side of the border.

The lull led some locals to gloat.

Read more: Blasts may have struck prison of torture in Syria

"You're late," announced the owner of a tea shop, as a van full of foreign journalists pulled up to his business, 20 meters from the border fence.

But worry was still in the air.

"It's quiet today," said a grizzled Turkish man sipping a glass of tea.  "I hope that $*&# guy running that country doesn't do something #*&$ today," he cursed.

Fighting first erupted in the area on November 8, when Syrian rebels mounted an assault on Syrian government forces in the neighboring Syrian town of Ras Al Ain.  Ras Al Ain, Syria, and Ceylanpinar, Turkey, are effectively one town, separated by a fence and a parallel line of railroad tracks.

Read more: After the election, a new push on Syria

The next day, rebels claimed victory. They raised the opposition flag triumphantly over Ras Al Ain, despite the fact that their offensive had sent thousands of terrified residents streaming across the border to Turkey for safety.

Those refugee numbers swelled when Syrian regime forces struck back, pounding Ras Al Ain with artillery, airstrikes and bombardments with "barrel bombs" hurled out of hovering helicopters.

As Ras Al Ain shook and shuddered, Turkish soldiers and ambulances waited at the nearby border gate, collecting scores of Syrians who arrived wounded, and rushing them to nearby hospitals.

Locals said Turkish authorities parked lines of railroad cars on the tracks between the two towns in an effort to protect Ceylanpinar from shrapnel and errant bullets.  But the Turkish government said at least a half dozen Turks were wounded during the week of fighting.

On Wednesday, Turkey's defense minister issued a warning to Syria.

Read more: Over 37,000 have died in Syria's civil war, opposition group says

"We will respond to Syrian planes or helicopters that violate our borders," said Ismet Yilmaz.  "Syria has been given a note of protest.  Our citizens, especially residents of the (border) regions, should stay calm.  Our armed forces are on duty full time and the troops on the ground have been authorized to intervene immediately when necessary."

Whether or not Damascus heeded Ankara's warning is not clear.  But on Thursday, after being shuttered for days, shops were once again open in downtown Ceylanpinar.

Mehmet Saitavci, a community leader and the owner of a stationery shop, pointed out businesses that had windows shattered by the force of the Syrian airstrikes.

"Of course we were afraid," he said. "Jets flew overhead, there were bombardments, the children were terrified.  We had to close the schools for their safety!"

Now, houses were packed full of refugees. An officer from the local Zabita, a municipal police force, said he was hosting 30 Syrian refugees in his home.

Volunteers at a nearby municipal building distributed yogurt, beans and bread to families, while also hosting scores of refugees.

These frightened Syrians said Ras Al Ain had been a safe haven until last week's rebel attack.

Read more: France, U.S. stand behind new opposition alliance as Syria remains defiant

"From the beginning of the revolution, refugees came from all across Syria to Ras Al Ain because it was safe," said Rashid Mohammed, a Kurdish farmer who was living in the municipal building with 60 of his relatives.  He said seven of his cousins were killed by government helicopter attacks.

"We are angry at both of them (the rebels and the government), because the rebels entered Ras Al Ain and because the regime bombed us with its aircraft," Mohammed said.  "Most of the Kurds want neither the rebels nor the regime."

The refugee farmer reflected the ambivalence many members of Syria's ethnic Kurdish minority have had toward Syria's grinding conflict.

Since the start of the uprising 19 months ago, various Kurdish political parties have resisted joining Syrian opposition groups, which are dominated by Arabs.

Last summer, a Kurdish militia closely affiliated with the Kurdistan Workers Party, or PKK, assumed control over a number of predominantly Kurdish towns along the border with Turkey.  The power grab triggered alarm bells in Turkey, which has fought a 30-year war against PKK guerillas.

Read more: As U.N. falters, Syria's conflict threatens regional stability

Roughly half of Ras Al Ain's population is said to be Kurdish.  On Wednesday, an umbrella group of Kurdish political parties issued a public declaration, demanding that all armed groups abandon the border town.  It was a warning primarily to the Free Syrian Army rebels, who now patrol Ras Al Ain in pickup trucks jerry-rigged with heavy machine guns.

"The FSA has to know that their enemy is not in Ras Al Ain and in other Kurdish areas.  Their enemy is in Aleppo and Damascus, so why don't you go there to attack your real enemy?" said Omar Aloush, a top official in the Kurdish Democratic Union Party, the Syrian wing of the PKK.

Speaking by phone from the Kurdish-controlled Syrian town of Qoubani, Aloush said his Kurdish faction would not use force to push Syrian rebel groups out of Ras Al Ain.  But he warned that his movement could withhold food and other supplies to put pressure on the rebels.

The threats were met with defiance by a rebel media activist in Ras Al Ain.

"We don't care if the Kurds say you have to leave," said Yalmaz Basha of the FSA.  "All Syrians have to sacrifice, even the Kurds, because they are part of the Syrian people."

The simmering tensions between Kurdish militiamen and the FSA have exploded in deadly violence within the past month in the embattled northern city of Aleppo.

They also underscore the difficulties foreign powers face trying to unify Syria's opposition, while trying to hasten the downfall of Syrian president Bashar al-Assad.

On Friday, the Turkish government once again denounced the Syrian regime, claiming it had no legitimacy.

Turkish Foreign Minister Ahmet Davutoglu then announced his government would be recognizing a newly formed Western-backed opposition movement known as the National Coalition Forces of the Syrian Revolution as "the legitimate representative of the Syrian people."

But Turkey has failed to deter the Syrian military from carrying out operations within sight of the Turkish border.

On Friday, Syrian and Turkish witnesses told CNN they saw Syrian government aircraft bombing targets near the Bab el Hawa border get between the two countries.

@highlight

Syrian fight overflows to Turkish town of Ceylanpinar

@highlight

Ceylanpinar and Syria's Ras Al Ain are one town separated by a border

@highlight

Fighting first erupted in the area on November 8, when Syrian rebels mounted an assault