Coober Pedy, Australia (CNN) -- Coober Pedy is one of the least accessible towns in Australia -- the place where the old American West meets Mars -- which is probably why it gained a reputation as the place where outlaws went to hide.

Situated in the Outback, it is close to nothing: The cities of Adelaide and Alice Springs are respectively nine hours south and eight hours north, and the nearest town -- William Creek, official population three -- takes 3Â½ hours to reach, provided the dirt roads aren't closed due to rain. Here, the earth is red, vegetation bare and temperatures extreme, but none of that stopped Westerners from setting up camp a century ago when they found opal shimmering in the dirt.

Lots of opal.

So they began digging, in more ways than one. As they mined the earth to discover one of the world's richest gem deposits, they also discovered why Westerners didn't settle in this barren, desolate region of Australia before: The heat. To battle temperatures that regularly reached above 110, settlers dug underground dwellings, a practice that continues to this day. In the heat of day, people are nowhere to be found, each hidden in a mine or dugout.

One sees why outlaws chose to come here: It's far from anything, it's desolate, it's pockmarked with underground homes, and it offers the possibility of a fresh start and the hope of a fortune.

Walking down the town's main drag today makes one feel like a real-life space cowboy and evokes an episode of "Firefly." There's a reconstructed "Star Wars" spaceship, underground hotels, a Volkswagon beetle painted like an opal dangling from a store, signs for underground churches, a kangaroo orphanage, a couple of mining museums, underground home tours, and a pizza place that sells pies with toppings like kangaroo, emu sausage, sweet cranberry, asparagus, onions and Camembert.

Its residents are known for being eccentric and hearty -- and if some are outlaws, they don't publicize it much on the street. What they do publicize is the town's international community, which represents more than 50 countries. There are olive groves for the Italians and Greeks, a Chinese restaurant so Asians can taste home and grocery stores with fare ranging from sweet chili sauce to imported Greek fondant and a whole kangaroo tail, complete with fur.

All in a town of 1,900.

Coober Pedy remains a popular tourist destination for those seeking an authentic Outback experience (or who want to see where films like "Red Planet," "Mad Max" and "Priscilla, Queen of the Desert" were filmed). Visitors often walk through the graveyard, where several tombstones are decorated with colored lights, and one even has, "Have a drink on me," etched into it, with beer and wine bottles resting nearby, free of charge. They board a four-wheel drive mail truck for a 13-hour tour of Outback cattle stations and towns. And, of course, they sit on the hot, dusty earth, shooing away oddly persistent flies as they lose all sense of time searching for opal in the dirt, hoping that the next stone they turn might let them retire early.

Outlaws came to Coober Pedy a century ago to find their fortune. Today, the town is an international community of residents united by their commitment to mining one of the world's most precious gems. Just as the town is home to the kind of diversity found in many cities, the opal that miners find so alluring, seductive, even, is a gem of many colors, with specks of pink, green, blue and red. It's a singular, unique, precious stone, and like Coober Pedy itself, what makes it so valuable is the rainbow inside.

IF YOU GO

What to do

Outback Mail Run Tour: Guests travel 13 hours with an Australian mail carrier to deliver mail and supplies to five cattle stations (including the largest in Australia) and two towns (including one of the smallest in Australia). The tour provides a unique opportunity for visitors to experience the vastness of the Australian Outback and to learn about what it's really like to live there.

Sunset, Ghosts and Stars Tour: Run by the Desert Cave Hotel, guests begin this tour by traveling 20 minutes outside town to the Breakaways, a geological formation of jagged hills marking what used to be the shorelines of an ancient ocean, to see the sunset. Once the stars have risen, guests travel back to the Old Cemetery in Coober Pedy, where a guide delights them with ghost stories of the town's most notable residents. Be sure to ask about Crocodile Harry!

Old Timers Mine Museum: One of Coober Pedy's most popular destinations, the mine provides visitors with an opportunity to learn about the search for opal and the struggles of Coober Pedy's earliest miners. As part of the museum, guests have the chance to walk through an old-time dugout as well as a mineshaft.

Fossicking: Tourists in Coober Pedy are welcome to dig for their own opal fortune at public fossicking sites in town. Simply sit on the red earth and look for shimmery rocks. Fossicking is free and guests usually find numerous low-quality opals. Ask any resident for directions to the nearest public fossicking site.

Getting there

By plane: Regional Express operates a two-hour flight from Adelaide to Coober Pedy most days of the week.

By train: The Ghan train operates a weekly service from Adelaide or Alice Springs to Manguri Station, 45 minutes outside Coober Pedy; transportation from the station must be arranged with hotels in advance, as there is no transportation at the station and trains from both cities arrive late at night.

By bus: Greyhound offers daily service to Coober Pedy from both Adelaide and Alice Springs. Expect the trip from Adelaide to take 11 hours and the trip from Alice Springs to take eight.

By car: Coober Pedy can be reached by car via a nine-hour drive from Adelaide or an eight-hour drive from Alice Springs. Drivers are warned not to drive through the Outback at night, because of the lack of gas stations and the threat of accidents caused by kangaroos; rain in the Outback may also render roads impassable, and drivers should not expect to have cell phone reception in the desert.

Where to stay

Desert Cave Hotel: Located in the middle of Coober Pedy's main street, this is the town's only four-star hotel. Guests have the option to stay underground or aboveground. Underground rooms have ventilation but no windows.

The Underground Motel: Offers underground accommodations to travelers with friendly hospitality. All rooms are underground with natural light and ventilation.

Underground Bed and Breakfast: Owners Ana and Ken Male treat their guests to truly authentic Coober Pedy accommodation. Guests stay in underground rooms with a choice of en suite or shared bathrooms.

Where to eat

John's Pizza Bar and Restaurant: Awards hang from the walls of John's, testifying to its reputation for having not only the finest pizza in Coober Pedy but some of the best in Australia. John's serves up not only traditional pies but also regional specialties like the Malu (smoked kangaroo, tomato sauce, mozzarella cheese, eggplant, marinated tomatoes, roasted peppers, eggplant and olives) and the Coat of Arms (sweet cranberry, mozzarella cheese, Camembert, emu metworst, spinach and smoked kangaroo). Pasta and sandwiches are also available.

Tom and Mary's Greek Taverna: The place to go for Mediterranean food in the Outback. A favorite of locals and visitors alike, Tom and Mary impress visitors with authentic Greek fare. The restaurant is renowned for its seafood, especially the Saganaki prawns, so don't be afraid to try some fish in the desert. Also be sure to try some tzatziki -- the yogurt is made from scratch and the herbs are grown in the backyard. Then, with a full stomach, ask for directions to Coober Pedy's olive grove to continue that Greece-in-Australia experience. Hutchinson Street, Coober Pedy

Umberto's: Located in the Desert Cave Hotel, Umberto's is Coober Pedy's finest dining establishment, and is known for its Mod-Oz cuisine, including regional specialties like kangaroo, camel, emu and Australian beef. Italian food is also on the menu.

The Pink Roadhouse (Oodnadatta): Situated in a largely aboriginal town of fewer than 300 people, this combo restaurant, grocery store and post office looms over the town in all its pink, hand-painted-sign splendor. The restaurant is known throughout Australia for its iconic Oodnaburger, which is composed of meat seasoned with secret spices, onion, cheese, egg, bacon, pineapple, lettuce, beetroot and tomato. The Outback Mail Run Tour stops here for lunch.

William Creek Hotel (William Creek): Owned by two of the three permanent residents in South Australia's tiniest settlement, the William Creek Hotel serves a changing menu of fresh schnitzel, burgers and curries. The walls are covered with photos and business cards from folks who have passed through, and the owners always welcome friendly conversation and questions about what it's like to live in such rural territory. If visitors are too tired to move after eating, they can stay in one of the pub's hotel rooms. The Outback Mail Run Tour stops here for dinner.

@highlight

Coober Pedy is a remote Australian opal-mining town

@highlight

Underground homes and hotels hide residents and visitors from the blistering sun

@highlight

50 countries are represented in the town of fewer than 2,000 residents