(CNN) -- Campaign 2014 is in full swing with primary voting, and incumbents and challengers busy raising money.

Now the first task for every federal candidate in this midterm election year will be to read the Supreme Court's ruling on campaign finance for a reality check.

The 40-page decision handed down on Wednesday promises to continue a transformation over how donations and spending on elections are conducted.

The court's 5-4 ruling threw out congressionally mandated limits on the total one can give to all federal candidates in an election cycle.

The practical effect: it would allow well-heeled donors to spread the wealth to give to more candidates and political groups.

Toobin: High court gives rich more say in elections

But current limits on giving to an individual candidate -- $5,200 -- remain in place and were never at issue before the justices.

There is disagreement on how much of an impact this narrow decision will have in money terms as billions of dollars fuel today's campaign process overall.

But the larger implications could be huge, played out for years to come in a variety of continuing challenges to current restrictions.

"Every time this current Supreme Court has confronted a campaign finance restriction, it's struck it down," said Thomas Goldstein, publisher of SCOTUSblog.com. "It has been on a slow but steady march towards deregulation, towards saying that restrictions on your spending money -- say, in expenditures or in contributions to candidates -- that is a free speech right."

Breyer's lament

Justice Stephen Breyer sounded forlorn Wednesday, lamenting in sad tones the effect of the Supreme Court ruling.

Speaking from the bench, Breyer -- supported by his three more liberal colleagues -- criticized the conservative majority for ignoring a century of efforts to blunt political corruption -- or its appearance.

"The threat to that integrity posed by the risk of special access and influence remains real," he said.

The ruling "eviscerates our nation's campaign finance laws, leaving a remnant incapable of dealing with the grave problems of democratic legitimacy that those laws were intend to resolve," he added.

But Chief Justice John Roberts, in his majority opinion, acknowledged what many a smart election lawyer knows:

"Because individuals' direct contributions are limited, would-be donors may turn to other avenues for political speech" than direct contributions to office-seekers, said Roberts. "Individuals can, for example, contribute unlimited amounts to 501(c) organizations, which are not required to publicly disclose their donors. Such organizations spent some $300 million on independent expenditures in the 2012 election cycle."

Roberts emphasized the free-speech rights of donors and downplayed the concerns the ruling would further erode public confidence in the political system.

"The government may no more restrict how many candidates or causes a donor may support than it may tell a newspaper how many candidates it may endorse," he said.

The man behind the ruling

Shaun McCutcheon is an electrical engineer by trade, but grassroots politics may be his true passion.

The Alabama native has worked for years with his local Republican Party in Birmingham, and is chairman of Conservative Action Fund, a so-called "super PAC" that "promotes conservative Republicans' time-proven messages and effective solutions."

His success in business and a willingness to put his money into GOP coffers set him at the center of the politically tricky Supreme Court fight. He equates his donations to "core political speech."

McCutcheon says he has a constitutional right to donate more than that amount to as many office seekers as he wants, so long as no one candidate gets more than the $2,600 per election limit.

He supports those individual controls, but "what doesn't make any sense is that you can only give that amount of money to a few candidates, because somehow my giving money to (U.S. Rep.) Martha Roby of Alabama could corrupt (former Rep.) Allen West of Florida," he told CNN.

"That's just nutty, but that's what the powers-that-be want: to prevent folks who want to get involved from having the same ability to get involved and support candidates that big union PACs have," he said.

But backers of continued congressional regulation do not see it that way.

"The reason we have limitations on the dollars an individual can give is to create some sense of fairness, so that if we do have a campaign finance system driven by donations, we have as many opportunities for as many people as possible to participate," said Robert Zimmerman, a prominent Democratic fundraiser.

"That's why there are limitations, so that everyone has an equal or fair voice in the process. Not only are our elections being put up for auction, these donors are making an investment in the democratic system for their own agenda and we taxpayers have to foot the bill," he said.

Fundamental debate

The competing arguments are stark: supporters of campaign finance reform say current federal regulations are designed to prevent corruption in politics. Opponents said it would criminalize free speech and association.

The current case deals with direct political contributions. But it continues a trend that culminated in the separate "Citizens United" high court ruling from 2010, easing long-standing restrictions on "independent spending" by corporations, labor unions, and certain non-profit advocacy groups in political campaigns.

Its impact put corporations on the same free-speech footing as wealthy individuals, who have long enjoyed the ability to spend freely and independently on behalf of federal candidates.

That and a subsequent decision from a federal appeals court in Washington have led to a proliferation of so-called "super PACs"-- separate political action committees that can raise and spend unlimited amounts of cash from businesses, unions, and advocacy groups.

These super PACs are independent political organizations operating as "527s," named after the tax code governing their operation. They cannot contribute directly to a federal candidate or political party.

Limits on direct contributions to candidates by corporations and individuals remain in place, the focus in part of the current McCutcheon appeal.

Some political experts say a ruling in favor of increased, or even unlimited, aggregate individual donor contributions could put party committees and political action committees on a greater competitive track with the "super PACs."

All PACs are organizations that campaign either for or against candidates, legislation, or ballot measures. The difference is in how they are organized for regulatory and tax purposes, and by the amounts of money they are allowed to spend.

Regular PACs may also give limited donations to federal candidates and political parties, while super PACs cannot.

With a resounding win at the high court, wealthy donors like McCutcheon -- whether Democrat, Republican, or Independent -- could in theory contribute a maximum $3.6 million to the national and state parties, and the 450 or so Senate and House candidates expected to run in 2014.

Key for the conservative majority court was rejecting claims by the law's supporters that it had a permissible goal of preventing political corruption or the appearance of it.

Another point of contention is whether the aggregate spending limits are really having a pervasive effect, or only involve a relative few well-heeled givers.

Figures from the Center for Responsive Politics for the 2012 race showed about 600 donors leveraged their money to each give the maximum of about $48,000 total -- benefitting no more than 17 presidential or congressional candidates.

Almost 1,700 contributors forked over the maximum limit to party committees, which added up to more than $100 million. Loosening those limits, say opponents of the law, would benefit wealthy liberals and conservatives equally.

Lax enforcement

But the Supreme Court has never in its history overturned a federal contribution limit.

And critics accuse regulators of having a generally lax enforcement stance, particularly for independent advocacy groups.

The FEC will now be tasked with taking this high court opinion and crafting new rules to ease limits on aggregate spending.

Unlike in "Citizens United," the big winners may be harder to discern. Certainly individual donors seeking to expand their election portfolio have more choices. But as Roberts noted, other big-move avenues exist to funnel money to outside groups willing to spend freely.

And political parties certainly will have more money to spend. That worries many supporters of more regulation.

"The court opens another loophole by allowing our political parties to be further corrupted by big-money contributions from special interests," said Elisabeth MacNamara, president of the League of Women Voters of the U.S. "The party and PAC systems now become a huge funnel for corrupting elected officials across the country."

But McCutcheon argues that characterizing the legal fight as between "good" and "bad" simply blurs the truth.

"Getting rid of the aggregate limits is not about corrupting democracy -- it is about practicing democracy," he said. "This case is about freedom-- your freedom and my freedom-- to express ourselves openly and fully within our political system. And if there is one thing that we Americans believe with all our hearts, it is that freedom never corrupts."

The case is McCutcheon v. Federal Election Commission (12-536).

@highlight

A campaign finance reality check for candidates running in this year's midterms

@highlight

The Supreme Court's 5-4 ruling through out congressionally mandated limits

@highlight

Critics accuse regulators of having a generally lax enforcement stance