(CNN) -- Despite public perception, Iceland is hot. Sure, summer temperatures rarely rise above 13 C, but the small Nordic country has become a holiday superstar.

Tourism has nearly doubled since 2000 (last year saw over 565,000 visitors), but while tourism has helped jolt Iceland out of recession, the country is courting a different demographic: it wants to woo business travelers.

"The tourism numbers fluctuate a lot, depending on the season, whereas corporate travel is distributed more evenly throughout the year," explains Thorsteinn Orn Gudmundsson, managing director of Meet in Reykjavik, the official convention bureau for the Icelandic capital. Hoping to tap into the events market, Reykjavik has set to work building its conference infrastructure.

Perhaps the most prominent display of the city's corporate courtship is the newly built Harpa, a combo concert hall and convention center that opened May 2011.

A joint effort by Icelandic-Danish artist Olafur Eliasson, Henning Larsen Architects and Batteriio Architects, Harpa is one of the most cutting-edge conference centers in the world. Its glittery, disco-like facade is meant to mimic the country's stunning glacial surrounds, while the interior evokes Iceland's lava fields.

See also: Best business hotels 2012

The acoustics, however, are the real star. Each of Harpa's four concert halls has a large overhead reflector system and acoustics control chambers, all of which are intended to produce a superior sound.

"We may be a small country, but we've got big ideas," says Karitas Kjartansdottir, Harpa's conference director. Though the venue is in its early days, and Kjartansdottir reckons it takes up to five years to market a new conference hall, Harpa has already booked some big gigs.

"If you're a manager, and you're risk-adverse, you might be hesitant to send several hundred of your best employees overseas somewhere, especially if you're not fully sure of how evolved the infrastructure is in that place," says Gudmundsson. "People who have been here already know how state-of-the art our technology and infrastructure are, but there are some who have no idea, and they might think of Iceland as primitive, in a sense. Our focus right now is in trying to shift that perception."

See also: Iceland bouncing back on tourism boom

Another advantage that managers may not be privy to is the convenience of Iceland's location. Though it may seem like a distant land, the country is a mere three-hour flight from central Europe, and five hours from many North American destinations.

Meet in Reykjavik has adopted the slogan "meet in the middle," a reference to both the country's handy midway coordinates, and to the historic Reykjavik Summit, where former U.S. President Ronald Reagan met with General Secretary of the Soviet Union's Communist Party Mikhail Gorbachev in 1986, to negotiate arms control.

"It will be a long time before we get another meeting as prominent as the Reykjavik Summit," says Gudmundsson. "Though one could say that it was the starting point for Iceland becoming a destination for meetings."

The national carrier, Icelandair, has also been a major factor in developing the country's connectivity with the world. Over the last few years it has developed its flight network, increasing both the number and frequency of direct routes.

"We have great connections from the [United] States to Iceland, and that puts us in a strong market position," notes Kjartansdottir.

Watch video: Richard Quest's presidential tour of Iceland

But perhaps the country's greatest sell is its natural beauty. The Blue Lagoon -- the most visited sight in Iceland -- is also set up for meetings and conferences. There are board rooms and theaters that can accommodate up to 90 guests, and which overlook the lava fields, glaciers, waterfalls and the lagoon itself. Some companies even hold meetings in the midst of the steaming waters.

"The Blue Lagoon brings more energy to business groups, and makes corporate events more fun and productive," notes Magnea Guomundsdottir, the director of public relations for Blue Lagoon Iceland. Gudmundsson attended one such meeting while a management consultant at McKinsey & Company.

"There were 30 of us standing in the blue water, watching the snow come from the sky while discussing the values of the company," said Gudmundsson. "It literally blew the socks off everybody there.

"Six weeks earlier, we'd had an event in New York. It was very nice, and memorable, but nothing close to how distinctive the Blue Lagoon was."

As if the setting wasn't unique enough, Blue Lagoon has also arranged DJs, circuses and modern dance performers for corporate events.

"It's in keeping with the spirit of the setting," notes Guomundsdottir.

@highlight

Iceland is trying to attract more business travelers

@highlight

It is pitching itself as a halfway point between Europe and the United States

@highlight

High-tech Harpa is a state-of-the-art convention center

@highlight

Famous Blue Lagoon springs is also set up for meetings and conferences