(CNN) -- When it comes to the creatures most likely to be spotted swimming down London's River Thames, hippos will be far down the list.

Until now.

Thanks to Dutch artist Florentijn Hofman, eagle-eyed visitors to London might just spot the three humps of an enormous hippo appearing from the Thames' murky depths.

Hofman is known for his super-sized, colorful works of art, most recently the enormous inflatable rubber duck that floated around the waters of cities like Hong Kong, Sao Paulo, Auckland and Osaka.

Earlier this year, Hofman was asked to create a piece of artwork by the organizers of Totally Thames, an annual festival that celebrates London's famous river.

He says he started by researching the history of the river, and eventually came across studies on hippo evolution that revealed its waters were awash with the large creatures hundreds of thousands of years ago.

The result was an artwork he's christened with a pun almost as heavy as one of the beasts he's been studying: "HippopoThames."

"I wanted to use the hippo to get people out of their homes, away from the Internet and the TV, and to explore London with a new perspective."

Not that creating a giant replica of an ungainly water mammal in one of the UK's busiest waterways is an easy business.

Cocktail of ingredients

"I was thinking about the history, but I also had to think about practicalities," Hofman says.

"We needed to make sure it could fit under various bridges as it had to be towed into place, so it's a cocktail of ingredients: the history of London, cost and the size of the space available."

Like several of Hofman's other pieces, "HippopoThames" was inspired by everyday objects -- in this case a children's book that the artist's parents gave him for their grandchild.

"One page had an illustration of a hippo and I saw it and thought that it could work really well. So the installation is something which is partly inspired by a found object," he says.

It's a process Hofman has used in the past, chiefly the enormous cuddly toys that formed his 2009 exhibition at The Hague and the ornament-like sparrow statues he created for Belgium's Rock Werchter music festival.

"'These pieces were inspired by children's toys or items picked up from flea markets I've visited -- mass-produced toys and animal ceramics," he says.

"It's not just about the animal -- it's about the outer skin. I'm all about beauty and the design of an object and I like to use and change these found objects by giving them different skins.

"I love the fact that so many of them are made in China and Taiwan.

"They're sent to the U.S. and Europe and they're in the hands of children for just a few minutes. I have a love for these objects and the way they get circulated around the world."

Settting is also key.

"I have a love of beautiful places -- both urban and rural, and I like to show them in their natural state," the artist explains.

Giant yellow bunny

Hofman claims an enormous yellow bunny he installed in the town of Orebro, Sweden, helped highlight a largely forgotten statue it was sited next to.

"The bunny was removed after three months but afterward, more people started to visit the spot. That's the B-side of my installations: they give the public space back to the people who then see it with a new perspective."

Hofman's work has taken him all over the world and certain destinations have left their mark.

"I love Sao Paulo," he says. "I love the people.

"Every morning you wake up and you meet people who become your friends.

"It's a concrete jungle where, as a human, you're downsized, but I like the strength and the love of the people and the way they live together."

The West African country of Senegal also makes his list of favorites, as does the Swiss town of Bern, largely because of the way residents interact with its river in the summer.

"It's the biggest artwork you can make - it's a social, natural thing and it changes people's perspective of the city."

Different nationalities react to his work in different ways, he says.

"In Europe, the first question will be about the cost. In Asia and South America people will ask, 'what is it and why is it there?'"

No more ducks

"In Asia, people work six or seven days a week, perhaps two jobs a day. They'll have Sundays off and they make the most of their spare time.

"In those rare moments they enjoy life to the max and are more open to certain things.

"If people have less spare time they feel they should make full use of it.

"In Europe, people work hard but they have more spare time and there's a different pace. People tend to be more spoiled."

Florentjin's own spare time on the sidelines of the London festival is likely to spent in one of the city's pubs, he says.

"I love the pub life in London, as well as the parks. If you step into any pub, people will talk to you.

"It's quite open, and they have a wonderful sense of humor -- you can have a great evening socializing."

Hofman says "HippopoThames" will be his final water-based project.

It appears that the popularity of his most recent project was a double-edged sword.

"After the rubber duck it was hard to come up with another water-related installation," he says.

"People just want another duck!"

Tamara Hinson is a freelance travel writer based in the UK.

@highlight

Artist Florentijn Hofman's latest work is part of a festival celebrating London's River Thames

@highlight

Hofman says he's inspired by found objects and the settings his artworks are displayed in

@highlight

The Dutchman says he's now done with water-based art and promises no more ducks