Washington (CNN) -- John Boyd is a man on a mission. Beginning Thursday, the founder and head of the National Black Farmers Association can be seen driving a spluttering tractor called "Justice" around Capitol Hill, pressing political leaders to provide funds to settle a discrimination case involving minority farmers.

Boyd, a fourth-generation black farmer himself, tells CNN that he wants Congress and the Obama administration to "step up" and deliver the money needed to fund the settlement. "We've been waiting for years," he said. "And when we entered into this settlement agreement back in February, the administration announced it like it was a done deal."

"They put out in the media that they were 'turning the page' at the USDA," Boyd continued. "But the bottom line is that the black farmers don't have the money."

The 1997 Pigford v. Glickman case against the U.S. Department of Agriculture claimed that black farmers were systematically denied government farm loans and support from federal programs because of the color of their skin. Eleven years ago it was settled out of court.

Under a federal judge's terms dating to 1999, qualified farmers could receive $50,000 each to settle claims of racial bias. But tens of thousands of farmers missed the filing deadline to submit claims.

Then-Senator Barack Obama sponsored a measure in the 2008 Farm Bill that reopened the case, known as Pigford II. And in February, the Department of Justice released a statement announcing a resolution to Pigford II.

But the statement said the settlement agreement was contingent on the appropriation of funds by Congress. After that the Senate failed to approve funds already passed by the House.

Boyd says the situation facing black farmers in the United States is a "national disaster. They're dying every day, I'm going to more and more funerals every day. Black farmers are dying when they were supposed to have received this settlement years ago."

"I decided to drive my trusty tractor here -- Justice -- all over Washington, so people can see what a real farmer looks like," Boyd said, adding that he wants political leaders to understand "the lives they're affecting when they deny justice. That's what this is about. It's about a group of people who've proven their case in front of a court, who've won time and time again in Congress. Now we have a bill, a passed bill, and Congress should enact it. We already have a hundred million dollars out there. Where's that at?"

Boyd founded the non-profit National Black Farmers' Association in 1995. He's worked to represent the rights of minority farmers since the 1990s, meeting with all sorts of political figures, from lowly bureaucrats to presidents. And this isn't the first time he's mounted a somewhat unique, farm-oriented action in the U.S. capitol, either. He's driven an older tractor into Washington from his Virginia farm before. He's also driven a mule and wagon into the city as well.

He chose this tactic because he says the black farmers "are just marched out. You know they're older now, they're dying. And we're trying to get more young people involved in agriculture and farming and it's been difficult. Even my own son who really should ... hasn't expressed any interest in (farming). And deep down I know it's because he watched how damn bad I suffered with the government and how bad the government treated us, you know with getting loans and things of that nature. So I know that's really what it is. Of course he's never said that to me, but I know really what that is."

Now, Boyd says he hopes to remain in Washington until a bill is passed funding the settlement. He says he will visit the White House Friday morning to talk about what he believes the Obama administration can do to "push this thing along." He says he is considering making stops at the U.S. Supreme Court, along with the headquarters of both the Republican National Committee and the Democratic National Committee.

Boyd says he'll put his question to leaders of all stripes: "Why can't we get this done if we have the support they say we do amongst Republicans and Democrats and the president? Why are we still out here chasing our tail in the Senate, begging and pleading for leaders to do the right thing?"

Ultimately, however, Boyd says his protest is for everyone. "There are other bills that are pending," he says. "It's time for Congress and leaders in the Senate to start working for the American people and that includes the black farmers, too."

CNN's Shawna Shepherd contributed to this report

@highlight

Head of Black Farmers' Association arrives in Washington for a tractor-riding protest

@highlight

John W. Boyd, Jr. wants Congress to approve money to fund settlement

@highlight

Black farmers have waited for years for compensation money after settling discrimination lawsuit