In a country where bleaching creams are frequently used to chemically lighten skin tone, one savvy entrepreneur is fighting against the disfiguring practice.

After 19 years of driving taxis, Alhaji Mustapha Oti Boateng was looking for a change. His journey for a new profession led him to Britain, Japan and ultimately back home to Ghana, where he stumbled into his calling after producing a line of herbal cosmetics.

In Ghana, the practice of using creams and other cosmetic products to chemically lighten skin tone is fairly common, as it is in many African countries -- but the practice is known to have detrimental health effects, according to the World Health Organization.

Using his deep-rooted knowlege of herbs, Boateng had an idea to help his fellow Ghanaians. Now a household name in the West African region, his Chocho cosmetics has become a popular staple in beauty bags throughout the area.

Boateng, who won the Overall Entrepreneur of the Year award bestowed by the Entrepreneurs Foundation of Ghana earlier this year, sat down with CNN to explain how he went from a humble taxi driver to a cosmetics king.

CNN: What was your breakout product?

Alhaji Mustapha Oti Boateng: I started with Chocho cream -- the natural skin restorer and beauty soap. It is a local soap produced by our forefathers... It's not all types of a disease that a cream can cure, but most of the skin ailments the cream can cure. That is why it's written as a "natural skin restorer" -- it doesn't bleach but rather enhances your color.

CNN: Where has this knowledge of organic cosmetics come from?

AB: My father was a herbalist and my grandfather was a herbalist I tried to recall all those things that when I was young they sent me to the bush to collect. The herbs that we have here have a real potency of curing... and when I started using them too I have realized that I didn't choose the wrong way of curing people.

CNN: You had been working as a taxi driver since you dropped out of school. Why the sudden need to mix things up?

AB: When I found that my children were growing up, I told [one of my taxi clients] that I had to find something to do so that I would be able to look after my children very well. And he himself told me they needed to send someone to Britain, to go and learn how to operate printing a press. He sent me there, I learned and came back and they opened a printing press for me in Accra.

CNN: Then after the printing press, came a stint in Japan...

AB: They gave me the opportunity to go and I traveled to Japan where I started odd jobs... I came back with about five buses and started a transport business, but unfortunately for me it was all accidents, one after the other.

CNN: After all these accidents, you didn't give up though. You transformed one of the buses into a mobile grocery delivery service, right?

AB: What I was doing was going to the villages, buying food stuffs, buying everything needed in the kitchen and coming to the residential areas and announcing the things that I had to sell.  It was a very lucrative job.  I did it for some time and I saw that the work was so tedious because sometimes I had to go to the bush myself, carry the load, uproot the coco yam, cassava, and that stuff by myself and age was catching up with me. So I decided that this work, I can't do it for long because if age caught up with me I can't go to the bush to carry those food stuffs, so I decided to try another thing.

CNN: So where did the name "Chocho" come from?

AB: This name "Chocho" is in the memory of a dear friend, who has passed on. That name "Chocho" was a nickname between us.

CNN: And how did you know organic skin care products would take off the way they did?

AB: I went to the market and bought creams that are manufactured and produced by foreign countries, powders and perfumes, and went around announcing those things for sale and it was really doing very well.

CNN: So you decided to start producing locally and it's been quite the success. Has it been an easy ride?

AB: The economy is always fluctuating. You know we haven't got a permanent exchange rate for our currency. I'm an herbalist, I produce other products but some things, fragrance and petroleum jelly and that sort of stuff. We import them so at the time of importation you calculate based on the exchange rate, before the goods would arrive in the country, [sometimes] the exchange rate would shoot upwards.

CNN: You seem to face these obstacles head on and industry leaders have noticed. How did it feel to be honored as the "Overall Entrepreneur of the Year" in April?

AB: [As] somebody who started from nowhere,  if I am in this area and being recognized that I am the entrepreneur of the year, obviously, I cherish this the most ... it means they are appreciating what I am doing, so I was very happy.

CNN: And after receiving these honors, you're also trying the "pay it forward" mentality by helping build schools and provide computers in classrooms?

AB: I'm not educated but I'm always happy when I see children in school. You know here in Africa, it's not all people who get [the] opportunity to go to school. Education is a lost treasure for every human being. That is why I'm always passionate even if I did not get the change to educate myself very well. Now that Allah has given me that power, everywhere that I see that need [for] education, if it is in my power, I help them.

CNN: Last question, what advice do you have for any budding businessmen?

AB: Nobody should think that because they didn't go to a classroom to sit on a chair I'm not educated. We can always educate ourselves wherever we go. That is a courageous way of life. Whatever dreams that we have, we should think that it's human beings who can do anything in this world.

OPINION: Diaspora should have a voice, too

@highlight

Alhaji Mustapha Oti Boateng is a Ghanaian entrepreneur

@highlight

His line of organic cosmetics has become a household name

@highlight

But before falling into skin care, Boateng held a variety of odd jobs including taxi driver, salesman

@highlight

He reveals how he went from humble taxi driver to organic cosmetics king