(CNN) -- Can companies patent human genes? It was the question considered by an Australian federal court judge who on Friday ruled that a U.S. biotech company was within its rights to hold Australian patent 686004.

That patent covers mutations of the human gene BRCA1 which point to a greater hereditary risk of breast and ovarian cancer.

The same gene, along with another, BRCA2, is at the center of a high-profile lawsuit in the U.S. set to be heard by the Supreme Court in April.

That lawsuit argues that patents on human genes violate the First Amendment and U.S. patent law because genes are "products of nature" and therefore can't be patented, according to the American Civil Liberties Union (ACLU).

The Australian Federal Court defeat was a crushing blow for cancer campaigners who have been fighting to have the patent declared invalid since the case was first filed in June 2010.

"I won't give up the fight because this is too important for future generations of people who at some point in their lives may need testing and treatment for cancers and other diseases," said breast cancer survivor Yvonne D'Arcy, one of the parties in the case.

Rebecca Gilsenan of Maurice Blackburn Lawyers, who represented D'Arcy and Cancer Voices Australia, said: "We are disappointed in this ruling but it is not necessarily the end of the issue in a legal or policy sense.

"We think there may be grounds to appeal, and that there's a reasonable chance that we will make that decision in the next week or two."

Reasons for the Australian ruling

In his ruling, Justice John Nicholas found that the process of isolating the BRCA1 gene for testing requires human intervention, and because of that human intervention the isolated gene is patentable.

He said there was "no doubt that naturally occurring DNA and RNA as they exist inside the cells of the human body cannot be the subject of a valid patent."

However, he said that the issue in this case was whether an isolated nucleic acid constituted "an artificial state of affairs." He ruled that it did.

The lawsuit, the first of its kind in Australia, was filed against two biotech companies, U.S.-based Myriad Genetics, which owns the patent, and Genetic Technologies in Melbourne, which has exclusive rights to the testing in Australia and New Zealand.

Gilsenan said that currently Genetic Technologies was not enforcing its ownership rights under patent laws, though it did attempt to in 2008 but backed down after public backlash.

"At the moment is it's not being strictly enforced, but nevertheless researchers and testing institutions feel conscious of the fact that it could be enforced at any time and their work or their testing could be stopped or they could be in trouble for doing it."

Genetic Technologies declined CNN's request for comment on the ruling, and at the time of writing Myriad Genetics was unavailable for comment.

Supreme court to hear case in U.S.

Myriad Genetics is also defending its right to own a patent on the gene in the U.S., where it is named in a lawsuit alongside the University of Utah Research Foundation and the U.S. Patent and Trademark Office.

The lawsuit, filed by the ACLU and the Public Patent Foundation, argues that the patents on genes BRCA1 and BRCA2 are unconstitutional and invalid.

According to the ACLU, the lawsuit was filed on behalf of "researchers, genetic counselors, women patients, cancer survivors, breast cancer and women's health groups and scientific associations representing 150,000 geneticists, pathologists, and laboratory professionals."

It was filed in 2009 and has since bounced from the New York federal court to the appeals court and the Supreme Court, which will hear arguments in the coming months on whether human genes can and should be patented.

The genes at issue

According to Myriad Genetics' website, approximately 7% of breast cancer cases and up to 15% of ovarian cancer cases are caused by mutations in the BRCA1 and BRCA2 genes.

The company says people found with mutations of either gene have "risks of up to 87% for breast cancer and up to 44% for ovarian cancer by age 70."

It says its BRACAnalysis test can confirm the presence of mutations so carriers can form "patient-specific medical management plans to significantly reduce the risk of cancer."

"This is the beginning of personalized medicine," said Sally Crossing, spokesman for Cancer Voices Australia, a national network representing Australians affected by cancer.

"Any testing or access to material for researchers needs to be made as free and as easy as possible for them just to speed it up."

Crossing said the Australian ruling was "extremely disappointing" but not surprising.

"There seems to be a mindset in Australia to protect patents at all costs," she said. "To our way of thinking it's an anomaly of the Patents Act that was never intended to be applied to the human body."

She said Cancer Voices Australia would be pushing for an amendment to Australian law to cover human genes.

"I think the only thing for us to do now is to look at having an exclusion clause in our current patent law or put up a whole new law. That's what we will be advocating for and supporting," she said.

@highlight

Australian federal court rules patent on human gene testing valid

@highlight

Mutations of gene BRCA1 increase risk of breast, ovarian cancer

@highlight

Cancer advocacy group had challenged biotech companies' right to patent

@highlight

Biotech company Myriad Genetics fighting separate challenge in the U.S.