Olympic Park, London (CNN) -- "Let it be known from this day forth, the Olympic movement has seen the creation of the first 'rock 'n' roll' Games, and London 2012 will be remembered for all time as the venue of its birth."

An affirmation that was not so much spoken by opening ceremony supremo Danny Boyle - film director and Oscar winner of "Slum Dog Millionaire" fame - but implied with so much of his vision for the 30th Olympiad curtain raiser.

Music was the heartbeat of the $42.3 million spectacular, an aural backdrop arguably worthy of the "Isle of Wonders" hype, creating an almost tangible cultural DNA of what the organizers feel is to be British.

From the androgynous swagger of David Bowie (his hit "Heroes" introduced Team GB to the stadium), to the drugged-out funk of the Happy Mondays; the rolling grooves of Soul II Soul's "Back to Life" to the punky-punch of The Prodigy's "Firestarter"; the petulance of the Stones' "Satisfaction" to the raw, rebellious sound of the Sex Pistols; and form the staccato rap of Dizzee Rascal (born a stone's-throw from the Olympic Park) to euphoria of Underworld's bespoke-written tracks a montage of era-defining tunes were melded together to provide a snapshot of distinctly British sounds.

And if all of that wasn't enough, music was also used to answer the biggest question that had hung over the event like a judge's gavel: How do you top Beijing?

Easy, by getting a Beatle to end the show!

Olympic opening ceremonies are often a anomalous mix of political grandstanding, national branding and artistic re-visioning of the global gathering that the Games represents.

The response of London 2012 organizers to the grandiose opening ceremony of the 2008 Beijing Olympics, such was the scope and spectacular nature of the Chinese curtain-raiser, was always going to pique curiosity.

It seemed apt to end the evening with the voice of one of the Fab Four, who had directly influenced many of the other acts who had performed earlier in the night. In fact, the Arctic Monkeys even sang Abbey Road's "Come Together" as part of their set.

The Beatles may well be a band form another century but the 28 million people who follow the now defunct band's official Facebook page suggests they are loved the world over as much as ever. Beijing may have had an athlete running around the roof of the arena but London had McCartney play out with "Hey Jude" leaving television viewers from around the world no doubt humming a chorus that even language proves no barrier to: "Nah, na, na , nananna nah, nananna nah ..." etc.

Put simply, it rocked: a spell-binding moment that touched the soul in the way the splendor of the Beijing opener failed to with such force.

The vision had always been clear even back in the Bird's Nest Stadium -- when Led Zeppelin's legendary axeman Jimmy Page and stunning soul singer Leona Lewis belted out "Whole Lotta Love" from the top of a double-decker bus to provide soundtrack to the handing over of hosting duties from China.

It may have been seen as a risk by many, but for some the tone and topic matter captured British idiosyncrasies well.

Jamie Fullerton - features editor for the NME (New Musical Express), Britain's pre-eminent weekly music magazine, told CNN: "What's really interesting is the set included bands like New Order and Happy Mondays, organizers tipping their hat towards the cult element of British rock 'n' roll music, which is very different to what you see at an event like the Superbowl.

"I think Britain likes to see itself as having a bit of edge. The Sex Pistols were only recording for a couple of years, but people bought into their rebellious nature the world over. It's funny how this anti-establishment band is now seen as one of the nation's great musical acts. There's also an element of embracing the outsider in Britain. New Order were the ultimate cult band, coming from Factory Records, a small independent record label, and being from Manchester. I would imagine most Americans aren't familiar with bands like New Order, so it's great to showcase them.

"The Olympics is a cultural event and the Games is about hammering home the sense of location as much as anything, it's natural for music to be a big part of that especially because it's so integral to our identity in Britain.

"As for The Beatles, they are the biggest band of all time. Their template is the one that was followed through the generations, and I think if you ask any visitor to Britain to name a few of the favorite things about this country, I'm sure the Beatles would still be one of them."

Statistics would also suggest that Boyle had been correct to assume that many around the world see British identity closely entwined with that of its musical exports. Sales of British music abroad reached $2.9 billion in retail value in 2011 with British artists accounting for almost 13% of global sales of recorded music, according to BPI (the representative body of the British Music Industry) figures.

Compared to Britain's share of world trade in goods (2.7%), the trade of recorded music is four times the nation's average share of trade in services, accounting for 12.6% of the global market, according to figures from the Department for Business, Innovation and Skills.

In 2011 for example, Adele became the fourth British artist in five years to claim the best-selling artist album in the world, following in the footsteps of Amy Winehouse, Coldplay, and Susan Boyle.

The Londoner's second album, 21, sold 18 million copies, accounting for 1.6% of all albums sold in the global music market that year. Thanks to the success of new faces on the scene, such as Tinie Tempah, Florence + the Machine, Hugh Laurie and Mumford & Sons, the BPI states that one in every eight albums sold this century in America alone were produced by a UK act. In Europe, British acts accounted for 52.7% of all sales.

Geoff Taylor, the chief executive of BPI -- a body that represents independent and major record labels in the UK -- told CNN in a statement: "I think British people are more obsessed by music than any other people in the world, they buy more CD albums per capita than any other nation, it's fundamental to our life.

"180 million singles were sold in the UK last year. We ran a survey last year to ask whether the UK population thought that we'd made an important contribution to world music. Eight out of 10 thought we did, and the same number said they were proud of the music Britain produces.

"The Beatles were particularly important in paving the way internationally. Their invasion of the States really raised the profile of the quality that is produced here in the UK. Whether it's punk or dub step, we have a great tradition of being innovative. We're a nation which, given the size of our economy and population, punch way above our weight in music.

"Without doubt we are a musical superpower, alongside the United States, and if anything the cultural influence of Britain's music is increasing as our communications are increasingly digital."

Ultimately, the success of the opening ceremony to the London 2012 Olympics can probably only be judged properly with the perspective of hindsight and when measured against the others that have gone before it. But, arguably, by putting popular music at the center of the showpiece Boyle, and the local organizers, focused on an area where Britain can still boast of superpower status.

Maybe Beijing and London weren't so different in their approach after all. Now, back to the "Nanana nahs."

@highlight

Music was the heartbeat of the $42.3 million Olympic opening ceremony spectacular

@highlight

Former Beatle, Paul McCartney ended the night by playing "Hey Jude"

@highlight

NME: "They're tipping their hat towards the cult element of British rock 'n' roll music"

@highlight

Montage of era-defining tunes provide snapshot of distinctly British sounds