(CNN) -- Josh and Jenni Johnston already have photos and memories of 4-year-old Anastasia, the HIV-positive Russian orphan they met in November and hoped to welcome into their family.

Now they don't know what the future holds after Russian President Vladimir Putin on Friday signed a controversial law that bans the adoption of Russian children by American families.

The new law creates uncertainty for 46 American families who have already met prospective adoptees, according to the U.S. State Department. The agency, which helps facilitate foreign adoptions, hopes Russia will lift the ban altogether, but in the meantime is working to resolve pending adoptions.

Read more: Russia's Putin signs anti-U.S. adoption bill

As far as the Johnstons know, their dossier was submitted to a Russian court on Friday, one month after meeting Anastasia in a children's home outside Moscow. Otherwise, they have no idea where their case stands or how the new law will affect them.

"We just hope everything works out so we can bring her home," Josh Johnston said in a phone interview from his home in Dover, New Jersey.

"We told her we were going to be back for her and she said she would wait for us," he said. "Now we're in limbo."

The couple already has one adopted child, 4-year-old Jack from Ethiopia, and two biological children. But they wanted to continue growing their family, and their Christian faith led them to again consider adoption, Josh Johnston said.

Jenni Johnston's experience volunteering for an international nonprofit had also opened their eyes to the difficulties orphans with medical conditions face in finding a family, leading them to specifically request a child who was HIV-positive.

"We knew that there was an overwhelming need for children to be adopted, especially children with special needs," Josh Johnston said. "We had means and love to give, so we figured that would be the best way to serve the Lord and the world."

They completed about 90 hours of online and classroom training on cultural awareness and raising a special-needs child before arriving in Moscow at the end of November. They met with an official from the region's Ministry of Education, who gave them an information packet with Anastasia's picture, Josh Johnston said.

They accepted the referral and drove about 70 miles (115 km) east of Moscow to the children's home, an imposing facility surrounded by high fences topped with barbed wire. Inside, they found a clean and safe environment for children ages 4 to 16.

They first saw Anastasia from a distance in the audience of a talent show and later met her face-to-face accompanied by a nurse and doctor, Josh Johnston said. She seemed shy and unsure at first. But when the nurse explained that they were there to take her home, her face flushed and she smiled, he said.

"She captured our hearts," he said. "We went there guided by the Lord, and she was the one the Lord put in front of us."

Americans tend to seek adoptions abroad because of the perception that it's easier and that there are more children in need in other countries than in the United States. In the past 20 years, Americans have adopted about 60,000 Russian children, according to the U.S State Department. In 2011, Americans adopted 970 children from Russia, making it third to China (2,589 in 2011) and Ethiopia (1,727), according to the U.S. State Department.

Still, most adoptions are domestic. U.S. citizens adopted 17,416 children from foreign countries in 2008, accounting for 13 percent of adoptions that year compared to approximately 136,000 children in the United States, according to a 2011 report from the U.S. Department of Health and Human Services' Children's Bureau.

"Generally, it's perceived that orphans have far greater challenges abroad than they do in the United States, so when it comes to adopting a child, families typically want to raise a child out of a desperate situation," said Kim de Blecourt, founder of Nourished Hearts, a faith-based support network for those connected to adoption and foster care.

Another common perception is that it costs less to adopt internationally. But estimates show that variables such as travel, visa and attorney fees can drive up the cost.

International adoptions also offer families who don't want open adoptions more distance from biological parents -- geographically, psychologically and logistically.

When Dominique Love found out she couldn't have children, she and her husband started looking abroad to avoid potential conflicts with birth parents. She knows that stance might draw criticism, but at the time it was a very real fear.

"I was scared of the birth mother having a role in our lives, or taking the child back or changing her mind," she said. "When you're standing on the edge of adoption, every angle of it is scary. Until you're in those shoes and faced with the decision you really can't judge."

The couple came across Russia as an option and ultimately found the experience to be so positive that they planned to return there to adopt a daughter. The process was relatively quick, from the moment they submitted paperwork in August 2008 to when they left the country on February 7, 2009, with the 20-month-old boy they later renamed Hampton Burchfield Love Greto.

He knows he is adopted and where he's from, she said. She and her husband try to instill in him an awareness of Russian culture through maps, books and TV shows about Russia. They have also become part of a community of Russian-American families in Atlanta in an effort to stay connected to his roots.

"He's Russian-American. It's part of his story, and we don't want to erase that," she said.

She remembers the day her son thanked her for "choosing" him. It broke her heart and reminded her of the other children still waiting for a family to choose them, which is why she was eager to return to Russia for Hampton's sister.

If the ban holds up, she and her husband will pursue a domestic adoption. She sympathizes with Russians who want their children to stay in the land where they born but thinks the children are the ones who will suffer.

"Our son had been in that baby home for 12 months when we came along," she said. "You don't understand the need until you see it. We walked into that baby home and saw the number of children that need homes."

Follow CNN Living on Facebook and Emanuella Grinberg on Twitter

CNN's Elise Labott contributed to this report.

@highlight

Josh and Jenni Johnston told orphan Anastasia they would return for her

@highlight

The New Jersey couple has no idea how the new law will affect them

@highlight

Their faith, sympathy for special-needs children led them to look for HIV-positive orphan

@highlight

Mother of child adopted from Russia says bill will hurt orphans in need of homes