(CNN) -- Even by the standards of supercars, and nearly a decade after it was first introduced, the Porsche Carrera GT is something remarkable.

That much is clear from the moment you climb into it, and find yourself in a cockpit trimmed with carbonfibre, the high-tech material that F1 cars are built from.

The GT's chassis and bodywork are made from the same material. Parts of the cabin bear a close resemblance to other modern Porsches -- the instruments and steering wheel are almost the same as those of the 911 and Boxster -- but all similarities end once you fire up the Carrera GT's engine.

The 5.7-litre V10 motor sits behind you, and bursts into life with a busy, purposeful noise, responding instantly to any pressure on the throttle pedal. It sounds like a race car engine -- indeed, it pretty much is, having originally been created for a Le Mans program that Porsche subsequently cancelled.

And the best part of a decade after it went on sale, the GT's mighty 605bhp power output still makes it one of the most powerful road cars ever constructed.

Moving off is the first big challenge. The Carrera GT was only produced with a manual gearbox, and the engine's instant responses and a race-specification ceramic clutch mean you have to be gentle to avoid stalling.

Opinion: Why race car drivers crave speed

Yet as soon as the Carrera GT is moving, it starts to feel far more normal. It might have been hyped as a road-going racer, but I found it as easy to drive as any other Porsche. That mighty engine is happy to trundle along at low revs and, once you've got used to the clutch, the gearshift is light and accurate.

The GT is wider than most cars, and its firm suspension means you have to tackle poor quality roads slowly. If I had the money to afford one, I would definitely drive it every day.

Start to go faster and the Carrera GT shows a far harder edge to its personality. As a supercar, it's been designed to go fast -- and its limits are toweringly high. So high that, to get consistently close to them, you'd need both a racetrack and time to learn the car's habits properly.

The engine loves to rev, and working it as hard as it encourages you to unleashes neck-straining acceleration that's pretty much outside the frame of reference. Porsche claims the GT can blast from 0-60mph in 3.5 seconds, and from 0-100mph in just 6.9 seconds. Those numbers reflect the car's ability to shrink even the longest straights. Fortunately, its carbon-ceramic brakes are as good at scrubbing off speed as the engine is at adding it.

Astonishing though its straight-line pace is, it's in the corners that the GT really comes alive. Like all Porsches, it's easy to drive quickly thanks to accurate steering and a keenness to both change direction and to stick closely to a chosen line.

The vast tyres offer huge grip: you can drive the GT quicker than pretty much anything else without ever finding its limits. And within just a few laps on track it's possible to be pushing the car hard, reveling in the G-forces it can develop and the feedback it offers.

Like most modern cars, it has a traction control system as standard -- which works to match the power that gets sent to the rear wheels to the amount of grip available and preventing the back of the car from sliding under power.

Most drivers will be able to drive the GT considerably quicker if they leave the system on, but turning it off does reveal another side to the car's character -- with what can be a sudden transition from the car gripping to sliding. For some, that's part of the GT's appeal as a supercar, of course -- but you've got to be extremely confident in your own abilities to consider switching the system off.

And while some parts of the media seem determined to portray the Carrera GT as flawed or inherently dangerous, it's categorically not. While it's inevitable that questions will be asked in light of this week's tragic events, we need to wait until we have all the facts before reaching conclusions.

But the truth is that any car offering this extreme level of performance has to be treated with a corresponding degree of respect. Even experienced drivers like Anthony Hamilton, father of Formula 1 racer Lewis, have crashed Carrera GTs, and Top Gear presenter Jeremy Clarkson has described it as having a "savagery that's hard to explain."

The higher the limits are, the bigger the risks when you overstep them, so if you do lose control, you're likely to be traveling at mind-blowing speeds.

The opinions expressed in this commentary are solely those of Mike Duff.

@highlight

Paul Walker's death probe is focusing on speed of the Porsche Carrera GT

@highlight

Carrera GT's power makes it a powerful road car, writes Mike Duff

@highlight

Some media portray Carrera GT as inherently dangerous, it's not, he says

@highlight

He writes: Any car with this level of performance must be treated with respect