(CNN) -- Stephen Prothero, a Boston University religion scholar and author of "The American Bible: How Our Words Unite, Divide, and Define a Nation," is a regular CNN Belief Blog contributor.

As President Barack Obama puts the finishing touches on his second inaugural address, one in which aides say Obama will take a "hopeful" tone, here are Prothero's picks for the top five U.S. presidential inaugural addresses:

1. Thomas Jefferson's first inaugural (1801)

If you think partisan politics are bad today, you should have seen the election of 1800. Desperately trying to hold onto power, Federalists accused Jefferson of all sorts of infidelities to God and country, blasting him as an infidel and intimating that he might be a secret Jew or Muslim. Soon each side was questioning whether America could survive rule by the opposing party.

The election ended in a tie between Jefferson and his running mate, Aaron Burr. (At the time, the Electoral College cast its ballots without distinguishing between president and vice president, and the two Republicans each got 73 electoral votes, throwing the decision to the House of Representatives.) It took 36 ballots before the House awarded Jefferson the presidency. Into this maelstrom, Jefferson delivered perhaps the most conciliatory inaugural address in U.S. history, "better liked by our own party than his own," in the words of Massachusetts Federalist George Cabot.

"Let us then, fellow citizens, unite with one heart and one mind, let us restore to social intercourse that harmony and affection without which liberty, and even life itself, are but dreary things," he said in a classic expression of our great tradition of conciliation. "Every difference of opinion is not a difference of principle. ... We are all Republicans. We are all Federalists."

Bibles, oaths and parades: Inaugural trivia

2. Abraham Lincoln's second inaugural (1865)

The Gettysburg Address is the greatest speech by America's greatest orator, but Lincoln's second inaugural contains some of his most profound thinking.

In this address, which according to Frederick Douglass "sounded more like a sermon than a state paper," Lincoln thinks out loud about the ways and means of Providence in the midst of the bloodletting of the Civil War.

A lesser man might have denounced the Confederates as evildoers, or called God to his side. Instead Lincoln coolly observed the battleground where theology and the military meet: "Both read the same Bible and pray to the same God, and each invokes His aid against the other. ... The prayers of both could not be answered. That of neither has been answered fully. The Almighty has His own purposes."

After this astounding flight of theological humility, Lincoln ended his remarks with another great statement of conciliation, urging his fellow Americans, North and South, to act "with malice toward none, with charity for all." Good advice, that, for civil wars and culture wars alike.

Quiz: How well do you know your inauguration history?

3. Franklin Delano Roosevelt's first inaugural (1933)

Like Jefferson and Lincoln, FDR delivered his first inaugural address in a moment of crisis, though this time the crisis was economic rather than political or military. In an era before food stamps and Social Security, the Great Depression had put two out of every five Americans out of work. Farm prices were collapsing. Factories were closing. The banking system was convulsing. The stock market was crashing.

Into this grim situation FDR delivered hope.

"This is a national consecration," he began, and then got right to the point: "So, first of all, let me assert my belief that the only thing we have to fear is fear itself -- nameless, unreasoning, unjustified terror which paralyzes needed efforts to convert retreat into advance."

Strictly speaking, this sentiment makes no sense. Fear itself aside, there is always plenty to fear. But Roosevelt struck the right chord for the moment, and his reassuring words paved the way for the massive overhaul of the federal government now known as the New Deal.

10 inaugural moments that mattered

4. John F. Kennedy's inaugural address (1961)

John F. Kennedy's first and only inaugural was a Cold War speech that barely mentioned domestic policy. It takes us back to a time when the lines between liberals and conservatives were harder to draw -- when an upstart Massachusetts Democrat like Kennedy could run to the right of the sitting Republican president and war hero Dwight D. Eisenhower on foreign policy.

It also recalls an era when presidents would actually call for sacrifice. Today politicians tell us what our country can do for us, or they demand that our country leave us alone. Kennedy told us to put the interests of the nation above region, party, and even self.

"Ask not what your country can do for you -- ask what you can do for your country," he said, in a line that inspired a generation to enter into the newly formed Peace Corps and other forms of public service. In a less known but equally apropos line he said, "Civility is not a sign of weakness. ... Let both sides explore what problems unite us instead of belaboring those problems which divide us."

5. Ronald Reagan's first inaugural (1981)

Ronald Reagan's first inaugural address isn't on its own terms a classic. But it was historic in the sense that FDR's first inaugural was historic. While FDR paved the way for the New Deal, Reagan set the groundwork for its gradual dismantling.

Ironically, FDR was Reagan's hero. But here Reagan turned on the big government FDR had ushered in, giving the policies of his predecessor a clear rebuke. "In this present crisis," he said, "government is not the solution to our problem; government is the problem."

Reagan's first inauguration came on the same day that 52 American hostages were released from Iran. So the celebrations were particularly keen. But in retrospect the day was most important for ushering in the Reagan Revolution and the fears of big government and high taxes that continue to haunt us today.

@highlight

In the wake of election tie, Thomas Jefferson delivered most conciliatory address

@highlight

Frederick Douglass said Lincoln's second inaugural "sounded more like a sermon"

@highlight

Franklin Roosevelt's first inaugural delivered hope amid the Great Depression