Victoria, Texas (CNN) -- This small Texas town is half a world away from the nuclear disaster unfolding in Japan.

Nevertheless, the calamity is having a ripple effect.

This week, the U.S. Nuclear Regulatory Commission held a scheduled two-day public hearing on a nuclear power plant near Victoria.

There, Texans for Sound Energy Policy got a chance to voice their opposition on the proposed plant that would be built by electric power giant Exelon Generation.

Those who support the plant repeatedly stated, "Nuclear power is a safe energy source" at the two-day hearing.

In addition, supporters argued that the $16 billion project would add over 750 permanent jobs and 2,500 temporary construction jobs.

How close are you to a nuclear plant?

The money spent on the plant would be nearly five times more than Victoria's yearly budget, said Don Pozzi, an administrative judge and lifetime resident of Victoria County.

"That's a lot of money," said Pozzi, 67.

In addition to the jobs, he argues the project would help add to the town's coffers through sales taxes and real estate taxes from new housing.

That, he says, will help the small town of about 87,000 people continue to grow.

And that's exactly what rancher David Huber is afraid of -- a larger Victoria with a nuclear power plant.

"I've been opposed from the beginning and I'm still opposed," said Huber, 62.

The proposed site for the reactor is located in a rural farming district approximately seven miles from Huber's ranch.

Huber, a 6-foot-2 rancher with a thick Texas accent and an affable personality, said he loves his land and his way of life. His family has been a part of the Victoria farming community since the late 1800s.

"The road Exelon is planning on using for heavy hauling, my grandfather built around 1920," the rancher said, while driving around his ranch with his son, Jason Huber.

Along the way, he proudly points the results of his family's hard work.

"Our roots are in the ground."

His concerns over the dangers of a possible nuclear reactor so close to his ranch have increased since the nuclear disaster triggered by last week's quake and tsunami in Japan, he said.

Japan's nuclear crisis explained

Prior to choosing the location, Exelon Generation studied the possible impact of a nuclear power plant on Victoria's community, water and ecology.

Exelon is the United States' largest nuclear power plant operator, running 17 plants in 10 states.

See locations of U.S. nuclear power facilities

After studying the Victoria site, the power company found the risks to be low. But not everyone agrees.

"Nuclear power is a high risk, high stakes business," said Jim Blackburn with Texans for Sound Energy Policy at this week's NRC public hearing.

"Everyone here should be sobered by the events in Japan and by the seriousness of matters at hand," Blackburn added. "Our thoughts and prayers go out to the people in Japan."

The NRC must grant final approval before any new nuclear plants can be built and operated. No new nuclear plant has won final approval in the United States since the Three Mile Island accident in 1979, although site work is being done at a couple of locations around the country.

At this week's hearing, Exelon representative William Scott acknowledged the events in Japan, but he urged people not to overreact to what's going on in light of the continuous news coverage of the unfolding crisis.

Texas town OK with nuclear plant expansion

He said he understands people's concerns and why politicians have taken a closer look at the safety plans for nuclear plants in their states.

"That's a perfectly natural reaction. We expect to be held accountable, that's part of our commitment to safety," said Scott.

The situation in Japan doesn't seem to have any effect on those who steadfastly support the proposed nuclear plant near Victoria, Pozzi said.

"I don't expect people will change their minds," he said. "I think people have had their minds made up."

He pointed to an unscientific online poll in the local newspaper, the Victoria Advocate, which found that despite the Japan incident, 53% of the 394 people polled said they favor the Victoria plant compared to 23% who oppose it.

"There are plane crashes, people continue to fly. There are car accidents, people continue to drive," Pozzi said. "There's going to be nuclear power."

Victoria's Mayor Will Armstrong agreed.

"My support hasn't wavered at all," he said.

Victoria county commissioner Gary Burns said he and other city officials have "wined and dined" Exelon in hopes of bringing billions of dollars to Victoria's economy. Burns said if the deal falls through, the town's economic future is at risk.

Those who oppose the plant said the site where Exelon would build the plant lies on a "growth fault" which doesn't trigger earthquakes but can cause the Earth to shift.

Blackburn and his Texans for Sound Energy Policy group fears the ground beneath the proposed nuclear site could sink, causing the cooling water ponds, vital to a nuclear plant, to drain away.

"It has active oil and gas extraction," Blackburn said about the proposed site. "It can and will change over time."

Blackburn said Exelon has not addressed the growth fault issue in its filings with the NRC. But Steve Frantz, an attorney representing Exelon pointed out that the growth faults are "are not tectonic in nature."

A study of the area shows one growth fault in the area moved only 8 inches over 40 years.

"They pose no seismic threat," said Frantz. "The only threat is a possibility of surface deformation if the growth faults were to move."

He did say all safety structures including vital safety cooling ponds would be located away from the growth faults.

"We did find it and studied it," said Frantz. "We planned the safety-related structures 500 feet away, which we felt was more than adequate."

Blackburn insists that even though growth faults are not seismic, they still pose "potential dangers to the safe operation of a nuclear facility."

"TSEP believes that good engineering can address many potential safety issues," he said. "However, you cannot engineer around issues that are not recognized, studied and evaluated."

Some residents, like Huber, who would live near the proposed site, feel that it's a risk that is not worth taking.

"(What if) all of a sudden that (proposed) plant has a problem and there's an evacuation for a 10-mile radius?" the rancher wondered.

"I'm in the 10-mile radius. What do I do? Try and pick up and try to run? This is my life."

"Why would you even want to risk this natural beauty?" he asked, as he stood on the banks of the San Antonio River next to his ranch at sunset.

@highlight

Exelon wants to build a $16 billion nuclear plant near Victoria

@highlight

Supporters say it will be a boon to the small town's economy

@highlight

The plant would lie on a "growth fault" that opponents say could be unsafe

@highlight

Exelon says growth faults are not seismic and do not pose a risk