Lawmakers began a new session of Congress with the mass shooting at Sandy Hook Elementary school in Newtown, Connecticut, still fresh in their minds -- inspiring a new push to pass gun laws that could prevent another tragedy.

On Day One, lawmakers in the House of Representatives introduced nearly a dozen bills related to gun violence.

Rep. Carolyn McCarthy, D-New York, a longtime gun control advocate, led the fight on the Democratic side of the aisle. She's sponsoring legislation that would require background checks for all gun sales -- including at gun shows -- and ban online sales of ammunition. McCarthy is also co-sponsoring a bill to ban high-capacity magazines with Rep. Diana DeGette, D-Colorado. DeGette's district includes Columbine High School, where two gunmen killed 13 people in 1999, and is next to Aurora, where a gunman killed 12 people in a mass shooting at a movie theater in July.

"These assault magazines help put the 'mass' in 'mass shooting' and anything we can do to stop their proliferation will save lives in America," said McCarthy, whose husband was killed and her son critically wounded in a mass shooting on the Long Island Railroad in New York in 1993. "These devices are used to kill as many people as possible in the shortest amount of time possible, and we owe it to innocent Americans everywhere to keep them out of the hands of dangerous people."

Meanwhile, two Republican freshmen, Rep. Steve Stockman of Texas and Rep. Thomas Massie of Kentucky, have introduced bills that would allow more guns around schools.

In the Senate, California Democrat Dianne Feinstein plans to introduce a bill to ban the sale, transfer, importation and manufacturing of more than 100 firearms. The bill would also ban certain semiautomatic rifles, handguns and shotguns that can accept a detachable magazine, and semiautomatic rifles and handguns with a fixed magazine that can accept more than 10 rounds. The assault weapons ban Feinstein helped pass in 1994 expired in 2004. Feinstein is in the process of gathering support for her bill in both chambers.

Marine to Feinstein: 'No ma'am,' I won't register my guns

Bills sponsored by Sen. Frank Lautenberg, D-New Jersey, to ban high-capacity magazines and Sen. Chuck Schumer, D-New York, to enhance background checks and close the gun show loophole already have counterparts in the lower chamber.

But gun control is a heated topic, and any push to restrict access to guns will be met with strong opposition from the 4-million-member National Rifle Association, the nation's most powerful gun rights lobby. The NRA has long blocked efforts to introduce tougher gun laws, arguing Congress cannot infringe on the Second Amendment right to bear arms. In a press conference a week after the Newtown shootings, the group's Executive Vice President Wayne LaPierre asked, "Since when did the word 'gun' automatically become a bad word?" He called on Congress to appropriate enough money to put armed police officers in every school in the country.

The NRA has also questioned the effectiveness of gun bans, suggesting they could put communities in danger.

"Politicians pass laws for Gun-Free School Zones," LaPierre said during the December press conference. "They issue press releases bragging about them. They post signs advertising them. And in so doing, they tell every insane killer in America that schools are their safest place to inflict maximum mayhem with minimum risk."

Gun owners fear new legislation could tread on their rights

No gun-control efforts will bear fruit without support from both sides of the aisle, which is by no means a sure thing. So far, no Republicans have come forward to sponsor new legislation restricting gun rights, and several Democrats also speak out in favor of gun rights.

"The NRA is the big issue, but I wouldn't say it's on the Republican side only, it's on the Democratic side also. ... fully half of your new Senate has either an A+, A or A- rating from the NRA," said John Gramlich, who covers gun control for CQ Roll Call. "The NRA has said that the answer to Newtown is to put more guns, more police officers in schools, and so if you want anything to happen on gun control, you're going to have at least half of the Senate upsetting the NRA and that's a very difficult proposition."

Gramlich said some elements of gun control -- like banning high-capacity ammunition magazines -- could get passed, but more comprehensive legislation faces long odds.

Gun-control supporters believe having the support of the highest office in the land could help make a difference this time around. President Barack Obama called for action at a vigil in Newtown after the shooting.

"Since I've been president, this is the fourth time we have come together to comfort a grieving community torn apart by mass shootings, fourth time we've hugged survivors, the fourth time we've consoled the families of victims," he said. "Are we really prepared to say that we're powerless in the face of such carnage, that the politics are too hard?"

Days later, he announced Vice President Joe Biden would lead a task force to come up with recommendations on ways to reduce gun violence, which is expected to include new gun regulations. Those recommendations are due this month, and the president has said he wants Congress to pass legislation this year.

iReport: Why would someone own a military-style rifle?

While the politics will be difficult, pro-gun control members believe the 113th Congress could make progress on guns.

"We're hopeful that more can get done on this issue now than in many years," said Shams Tarek, McCarthy's communications director. "The climate seems different now, after Newtown, than after other recent mass shootings."

They also acknowledge a tough and potentially long road ahead.

"There is no more uphill fight than this, the question is do we fight or do we knuckle under and we're not knuckle-unders. We're just not going to knuckle under. It may take a year it may take two it may take three," Feinstein said in December.

Analysis: Guns and the law

It's also a fight that will have to compete with several other legislative priorities, including the debate over raising the country's borrowing limit, and a deficit-cutting agreement that will avoid steep automatic spending cuts that are set to kick in about two months from now if lawmakers can't make a deal.

"There's definitely a question of timing and floor time for these kinds of debates, and then there's also the political question," said Gramlich. "You just had a fiscal cliff deal where the House speaker really alienated a lot of the members of his own party, because he was seen as making too many concessions towards the Democrats, and if you're talking about an issue as powerful and emotional as gun control, is the speaker really going to meet Democrats halfway on something like that and risk offending his own party even more? I think that's a really important question."

@highlight

Lawmakers in House introduce multiple bills related to gun violence

@highlight

Gun-control advocates sponsor bills requiring background checks for all gun sales

@highlight

Two GOP freshmen introduce bills to allow more guns around schools

@highlight

Fate of proposed laws depends on getting support from both sides of aisle