(CNN) -- Retired Coast Guard Adm. Thad Allen, who is overseeing the federal response to the BP oil spill, said Sunday that he is "satisfied" with the amount of dispersants that have been used to clean up the disaster, saying crews have used them only when needed.

Allen's comments were in response to new documents released by a congressional subcommittee that indicate Coast Guard officials allowed BP to use excessive amounts of chemical dispersants in the Gulf of Mexico.

BP used the chemicals to break up oil after the April 20 Deepwater Horizon rig explosion sent millions of gallons of crude gushing into the Gulf.

Allen noted that the decision to use the dispersants does not rest with BP; rather, "it's a decision by the federal on-scene coordinator," he said in describing a "very disciplined process."

Despite a federal directive restricting the use of dispersants, the Coast Guard routinely granted exemptions, said Rep. Edward J. Markey, chairman of the House Energy and Environment Subcommittee.

In May, the Environmental Protection Agency, along with the Coast Guard, ordered the oil giant to stop surface application of the chemicals during the oil spill except in rare occasions, according to a House subcommittee on energy and environment.

In rare cases, exemptions had to be requested, documents show.

"BP carpet bombed the ocean with these chemicals, and the Coast Guard allowed them to do it," Markey said in a statement Saturday. "After we discovered how toxic these chemicals really are, they had no business being spread across the Gulf in this manner."

Allen dismissed Markey's allegations during a conference call with reporters Sunday.

"I'm satisfied that we only use them [dispersants] when they're needed," he said.

Allen said field commanders on a case-by-case basis have decided to use dispersants when oil has been spotted by surveillance aircraft and no other method of cleaning it up is available in the area.

"We're going to accept some impact on the water column" rather than having the oil reach the beach, he said.

The Coast Guard approved more than 74 exemptions in 48 days, Markey said. In one instance, Coast Guard officials allowed the oil giant to use a larger volume of dispersants than it had applied for, he said.

Dispersants are "a toxic stew of chemicals, oil and gas, with impacts that are not well understood," Markey, a Democrat from Massachusetts, said in the letter to Allen.

BP issued a statement Sunday saying it has worked closely with the EPA and the Coast Guard over the use of dispersants "since the very beginning" of the disaster.

"Furthermore, we've complied with EPA requests regarding dispersants which are an EPA-approved and recognized tool in fighting oil spills," the statement said.

Doug Suttles, BP's chief operating officer, said Sunday that the oil company is funding research into the long-term effects of the spill, including the use of dispersants.

"Right now we haven't seen anything that shows us to be concerned, but we're going to keep looking," he said.

Markey said the findings are based on an analysis by the Energy and Environment Subcommittee.

"The use of dispersant is always a difficult decision, with environmental trade-offs that must be taken seriously into consideration," EPA spokesman Brendan Gilfillan said Sunday. "As a result, its use in response to the BP spill was subject to numerous strict conditions once it quickly became apparent that BP wanted to use it in unprecedented quantities and in novel ways."

BP's use of disperants peaked at 70,000 gallons on May 24, the EPA said. It was after that the EPA ordered the halt on its use, except for rare occasions. From the time that directive was issued, dispersant use dropped 72 percent, Gilfillan said.

Initially, the EPA was not involved in the day-to-day decisions about which exceptions were granted, but that changed in late June.

"While EPA may not have concurred with every individual waiver granted by the federal on-scene coordinator, the agency believes dispersant use has been an essential tool in mitigating this spill's impact, preventing millions of gallons of oil from doing even more damage to sensitive marshes, wetlands and beaches and the economy of the Gulf coast," Gilfillan said.

Allen said Sunday that he and EPA administrator Lisa Jackson talk daily about dispersant use, saying "we haven't ignored EPA's guidelines."

Markey said the subcommittee also found contradictions on how much chemical dispersant was being used. On other occasions, BP used more than the amount approved by the Coast Guard, Markey said in his letter.

The report brings into question the total amount of dispersants used in the Gulf. BP says it has used 1.8 million gallons to break up oil flowing from the Deepwater Horizon's ruptured well.

"The validity of those numbers are now in question," Markey said.

Meanwhile Sunday, Allen announced that the first of two efforts to seal the ruptured well once and for all could begin as early as Monday night.

The "static kill" -- when mud and cement are poured into the well from above -- had been previously delayed while debris that collected during Tropical Storm Bonnie can be cleared out.

Suttles said that the more likely start for the static kill will be Tuesday.

"I do have a lot of confidence we'll be successful," Suttles said.

That will be followed by a final "bottom kill" after a relief well intercepts the crippled well -- a step that Allen estimated Sunday to begin a minimum of five to seven days after the static kill is complete.

@highlight

NEW: BP says it complied with EPA guidelines

@highlight

Documents allege excessive use of harmful dispersants

@highlight

Thad Allen responds to documents' release

@highlight

The dispersants were used to break up oil after the April 20 rig explosion