(CNN) -- Tensions boiled in a volatile Syrian community Thursday as thousands turned up for the funerals of people killed in unrest. Meanwhile, Syria's government blamed the instability on outsiders and announced plans to study popular demands, including the lifting of the country's decades-old emergency law.

Syria is the latest in a string of Arabic-speaking nations beset with discontent over economic and human rights issues. Syrian discontent centers on Daraa, a southern city in the impoverished country's agricultural region, where violence has been escalating between security forces and anti-government protesters since late last week.

Wissam Tarif, executive director of the human rights organization Insan, said at least 34 people have been killed in Daraa in the past two days. Other activists believe many more have been killed.

Tarif said as many as 20,000 people followed the funeral procession for those who died in the violence, including a conscripted soldier who was reportedly shot and wounded because he refused to fire on demonstrators.

A witness, who asked not to be named, said 10 "martyrs" were buried following afternoon prayers, with the people in the procession mourning the loss of the victims and chanting anti-government slogans.

Kamal Aswad, a political activist in Daraa, said people in the funeral procession were chanting: "Those who kill their own people are traitors" and he said activists are trying to generate support for a big protest on Friday -- a "Day of Martyrs" to be held after Friday prayers.

Syrian state TV portrayed an opposite picture of the public mood. Scenes broadcast Thursday included fireworks and crowds of pro-government supporters waving pictures of President Bashar al-Assad and shouting, "with our bloods and our souls, we defend you Bashar!"

The footage was marked onscreen as "live," but it could not be determined when the footage actually originated.

Also Thursday, state TV broadcast an "urgent" message that read: "Following a directive by President Assad, all those who were detained in the latest events were released."

It could not be determined whether the statement was true.

State TV reported on Wednesday that the government fired the provincial governor amid the demonstrations.

The Obama administration on Thursday released a statement condemning "the Syrian government's brutal repression of demonstrations, in particular the violence and killings of civilians at the hands of security forces."

"We call on the Syrian government to exercise restraint and respect the rights of its people and call on all citizens to exercise their rights peacefully," the White House statement read.

Al-Assad's government on Thursday announced a number of measures apparently addressing protesters' demands. Among them, decrees to cut taxes and raise government workers salaries by 1,500 Syrian pounds ($32.60 US) a month, as well as pledges to provide more press freedoms, increased job opportunities and curbs on government corruption.

The government also said it would study lifting the country's emergency law and new legislation that would license political parties.

Syria's emergency law has been in effect since 1963. The law allows the government to make preventive arrests and override constitutional and penal code statutes. It also bars detainees who haven't been charged from filing court complaints or from having a lawyer present during interrogations.

The government also announced Thursday it will form a committee "to contact and listen to citizens in Daraa."

Bouthina Shaaban, a spokeswoman for al-Assad, passed along his condolences to those killed in Daraa and said the president "would not accept any bloodshed."

"I was an eyewitness to his excellency's orders that no live bullets would be used against the demonstrators," Shaaban said.

Shaaban also said the government is investigating the unrest in Daraa and that there are "indications and proof that there is a foreign financial support."

"Daraa was chosen because of its geographic location near the borders and how easy it is to transfer money and weapons to the city," Shaaban said, referring to the area's proximity to Jordan.

The Jordanian government on Thursday released a statement on state TV denying "as baseless, reports that fighters and vehicles loaded with weapons entered Syria from inside Jordanian territory."

"Such reports are nothing but media allegations that will not affect the good relations between the two countries," the statement read.

Syria is a diverse country, largely Sunni Muslim but ruled by the minority Alawite Muslim sect. It is also populated by Christians and members of the Druze sect. Along with Arabs, it has a significant Kurdish minority, which has been restive in recent years, and an Armenian population.

Those populations are controlled by a government that human rights groups consider one of the most repressive in the world.

In 2010, Syria ranked 127th out of 178 countries in transparency and accountability to the public, according to the international government watchdog group Transparency International. On a scale of 0 to 10, the lowest score representing the world's most corrupt governments, Syria scored a 2.5, Transparency International reported.

Human rights groups estimate that tens of thousands of people were killed in Syria during the three decades under the rule of Hafez al-Assad, the current president's father. Bashar al-Assad came to power in 2000 promising reforms, but aside from implementing some economic reforms, failed to deliver, according to human rights groups.

Joshua Landis, who runs the Syria Comment blog and is director of the Center for Middle East Studies and associate professor at University of Oklahoma, told CNN that the unrest in Daraa is spurred by a number of factors, widespread poverty, a dislike for the emergency law and the arrests two weeks ago of young people who scrawled anti-government graffiti.

It is also driven by Sunni resentment against a government controlled by Alawites, among them, al-Assad.

So far, Landis said, the rallies been localized to Daraa but it's possible that there will be demonstrations elsewhere on Friday.

"Daraa is very poor and Islamic -- it optimizes everything that troubles Syria -- a failed economy, the population explosion, a bad governor and overbearing security forces," Landis wrote in his blog. "It is an explosive brew. Even if the government can contain violence to Daraa for the time-being, protests will spread. The wall of fear has broken. Apathy of the young has turned to anger,"

Because there are so few sources available from what has been a closed, authoritarian society, human rights activists are trying to get a handle on the number of casualties and the context behind the unrest in Daraa, which is a more conservative, tribal and close-knit community.

Amnesty International said it has been "deeply disturbed by reports of multiple deaths" in Daraa, as security forces fired "at protesters and people coming to the aid of the injured."

Along with many killed in the violence over the past 36 hours there were 92 confirmed arrests, according to Neil Sammonds an Amnesty researcher on Syria, Lebanon and Jordan. Sammonds said there are reports of army snipers shooting women carrying water and an 11-year-old girl.

It's "hard to imagine these are front-line protesters," Sammonds said.

CNN's Saad Abedine and Mia Aquino contributed to this report

@highlight

Syrian president decrees salary hikes for state workers, tax cuts

@highlight

Syrian state TV broadcasts pro-government rallies.

@highlight

The White House condemns "brutal repression" by the Syrian government

@highlight

Thousands show up for the funerals of a soldier and others