Sochi, Russia (CNN) -- Who do you ask for help if you need to turn a muddy hole in the ground into a futuristic grand prix track?

"He's my sort of man," Formula One supremo Bernie Ecclestone says of Russian president Vladimir Putin's influence in the project to stage the nation's first grand prix this October in Sochi.

"He knows what he wants to do and he gets on and does it. I've never had any fear that what he agreed to do wouldn't happen. I think (Russia has) done a first-class job for F1 and a super job for the Olympics," Ecclestone told CNN.

It's the kind of ringing endorsement that stands out like an oasis in a desert for a politician much derided for many of his policies by a large swathe of the international community.

But then, the 83-year-old Ecclestone has a reputation for favoring those who he believes can deliver on their promises and thereby aid F1's further expansion.

The growth of motorsport's elite division into one of the world's most valuable sport franchises has been built on such relationships and Ecclestone's shrewd 40-year management of them.

The Sochi circuit is the culmination of talks that first started in the 1980s, when a plan to run a race through Red Square in Moscow was abandoned -- "they didn't want to replace the cobblestones with paving," says Ecclestone -- and is a major statement of intent from Putin's government to secure the city's post-Games future.

Talks became serious six years ago, when the Olympic project gained momentum.

"He's been following the plans all of the way through," Ecclestone says of Putin's involvement.

New locations are always a risk for F1's management. The promise of lucrative hosting deals and iconic locations often turn to dust before coming to reality, as plans for a race in New Jersey recently demonstrated.

But the Sochi pitch filled Ecclestone with confidence, so much so that a six-year deal reportedly worth in excess of $250 million -- though Ecclestone would not confirm that figure -- was signed to secure the event until 2020.

"I think Russia is an important nation full stop. F1 is a world championship, so it's difficult to think of leaving Russia out of a world event like this," Ecclestone said.

"We looked at what they were building ... and tailored ourselves around what they had constructed for the events already."

But the task of fitting an F1 circuit within the confines of an Olympic Park proved no easy task.

"Originally we had an idea to build the track through the main Fisht Stadium," Oleg Zabara, promoter of the Sochi Grand Prix, told CNN from his office in the paddock area of the newly-built pit lane compound.

So organizers turned to track designer Hermann Tilke -- "nothing is impossible for him," says Zabara -- with the German engineer offering another plan more suitable for the Olympic Park facilities.

"It was a big hole!" says Tilke, recalling his initial impressions of when he visited the Sochi site in 2010.

"It looked like a desert of mud ... but I had a fantasy in my mind of how it would look later so I wasn't too worried."

The complexity of the new circuit design -- it needed to be cut through the middle of the Olympic Park and weaved in between the stadium and arenas -- provided Tilke with plenty of challenges.

"I've had more meetings about Sochi than any other track," the architect says. "We were a construction site within a construction site ... (but) in many ways it's like a city track -- you cannot move a house in a city, you have to work with the situation.

"The stadiums, arenas and pipes and cables under the earth had to be factored in."

Turn four -- a long, sweeping circular corner which the cars will enter at 80 miles per hour and exit at 190 mph -- fills Tilke with particular pride, and he believes it will be "the hardest in F1," especially when the surface is slippery or when attempted on degraded tires.

Despite his pride at a job well done, Tilke admits he'll feel "very nervous" on the day of the race because the track until then remains a prototype.

As with the Olympic constructions, it seems costs were not foremost in organizers' minds in their ambition to construct a world-class facility.

"We've spent about $330 million (so far). But I'm not worried about the cost only about the quality," Zabara says.

"I can say for sure that the cost of the track will be three to four times cheaper than the circuit in Abu-Dhabi."

The promoter is hoping a race on Russian soil will attract many of the country's F1 fans who already travel the world to watch the championship, as well as creating a new domestic supporter base willing to pay $200 a ticket to attend.

"About 60,000 fans are expected to come here and that will mean an extension of the resort season (in the town) too," says Zabara.

"It's also suitable to use the track throughout the season -- we've signed contracts with GP2, GP3, the Porsche Cup and hope to attract MotoGP," adds Zabara, a fan of motorcycling star Valentino Rossi.

The plans for the Sochi GP certainly don't lack for ambition and chime well with the wider Putin-driven plan of trying to rebrand Russia through the city.

It's maybe the reason Ecclestone expects the Russian president to attend the inaugural race in October and why he remains so enthusiastic about this month's Winter Games.

"People love to criticize anything new don't they? But we'll look back at Vancouver and say it didn't come close to what we've just seen in Sochi," Ecclestone argues.

Maybe the same will soon be said of the Sochi Grand Prix.

@highlight

F1 chief Bernie Ecclestone backs Russian president Vladimir Putin's way of working

@highlight

Sochi hosts Russia's inaugural grand prix in October 2014

@highlight

Sochi GP promoter Oleg Zabara says $330 million spent on circuit

@highlight

Track site in 2010 "was a big hole," says German track designer Hermann Tilke