Las Vegas (CNN) -- The humble thermostat is getting a 21st-century makeover. And so is the boombox, thanks to a son of the late reggae legend Bob Marley.

The 2012 International Consumer Electronics Show doesn't start in earnest until Monday, but at a gadget preview event Sunday, some electronics startups seemed determined to give redemption to ordinary appliances, and not just those from children of the Rastafarian movement.

In a packed hotel ballroom, companies demonstrated portable televisions, plastic guitars, stoves and solar-powered e-reader cases.

Here are five of the more intriguing gadgets we found:

Nest thermostat

For most of their existence, home thermostats have been mere functional accessories. White or beige, they blend into the wall and only get noticed when someone needs to change the temperature.

With an elegantly simple dial that turns blue when cooling and orange when heating, the new Nest digital thermostat seeks to change that. If it looks like something made by Apple, that's because it's designed by former Apple exec Tony Fadell, the man behind the look of the iPod.

"We're the iPhone of thermostats," said Nest Labs marketing spokeswoman Kristin Bickett, continuing the Apple theme. "It's the simplicity of the design."

The Nest saves energy with motion-tracking sensors that detect when people enter or leave a room and adjust temperatures accordingly. It also tracks your energy-use history and energy savings.

When it's connected to Wi-Fi, it downloads software updates automatically. And if you're lazy, you can control it wirelessly from your couch with your phone or tablet.

It sells for $249 and is available from heating- and cooling-system installers or at Nest.com, although the website is currently sold out.

Marley Bag of Rhythm

"We're bringing back the boombox from the '80s!" said House of Marley spokeswoman Karen Korponai cheerfully in what must surely be one of the stranger marketing pitches at a cutting-edge gadget show.

Indeed they are. The Bag of Rhythm is pretty much that -- a portable stereo with high-end components, a handsome birch wood face and an iPhone/iPod dock, nestled inside a canvas shoulder bag.

Take it to the beach, to the college quad or to your next Hacky Sack game. The rechargeable battery promises five to six hours of music for your dancing, air-guitaring or spacing-out pleasure.

The Bag of Rhythm will sell for $300 when it hits the market in February, Korponai said.

The House of Marley company, which also makes earbuds and headphones, operated under a partnership with the late Bob Marley's family. One of his sons, Rohan Marley, was at CES to help promote the product.

Dyle TV tuner

Why is it that your uncle's clunky old hand-held TV can pick up live channels, but our cutting-edge smartphones are left with 20-second cat videos?

A new device called Dyle can put live TV on an Android phone, iPhone or iPad. The cork-size plastic gizmo has a headphone jack at the end of a short wire, which houses an antenna that can pick up digital TV signals.

The wireless TV transmission is the same one that pipes into many homes that don't subscribe to cable. That means no monthly fee, and watching hours of video doesn't add up in costly cellular data bandwidth.

Mobile Content Venture, the year-old company formed by such media giants as Fox Broadcasting and NBC Universal, makes the mobile TV service. The company expects people will access live TV from their phones in addition to all on-demand content found online. The over-the-air broadcasts Dyle pulls in are limited to a dozen or so channels.

"We don't think it's one or the other," Erik Moreno, an MCV general manager and also a Fox executive, said in an interview. "We think consumers want to do both."

MCV and Belkin International, which makes the accessory, declined to announce a price or release date. Those details should come in the next few months, Moreno said.

Dyle will also be included in an upcoming Samsung Android phone for MetroPCS, a prototype that MCV demonstrated at the event Sunday. A metal antenna can be extended from the top of the phone to improve reception -- and to make users look like they stepped out of a time machine from 1992.

Guitar Apprentice

"Guitar Hero" publisher Activision Blizzard hung up its ax a year ago, but music equipment maker Ion Audio is breathing new life into the plastic guitar with a new gizmo called the Guitar Apprentice.

The Gibson-style guitar body has a slot in the soundboard for an iPad to be inserted. Using a companion application, Guitar Apprentice players can run their fingers across virtual guitar strings while holding buttons on each fret along the neck to play musical notes. The buttons light up to teach newbies proper finger placement for playing each chord.

Virtual shredding will commence when the $99 Guitar Apprentice hits the market in June or July, an Ion spokesman said. Prospective Doors cover bands can already practice with Piano Apprentice, a $100, 25-note keyboard with a place for hooking up an iPad.

Strange days, indeed.

Tinke vital-signs monitor

Like some similar health-care gadgets, the Tinke is a little gizmo with a sensor that plugs into the bottom of your iPhone.

Unlike those devices, however, you don't have to put a clamp on your finger to read your vital signs. If you simply place your thumb on Tinke's sensor for 60 seconds, it will tell you your heart rate, breathing cycle and blood-oxygen level.

The Tinke also will store your data on your phone so you can chart your heart or breathing rates over hours or days. Manufacturer Zensorium, a Singapore-based company, expects to debut the gadget in mid-2012 and sell it for about $100.

@highlight

At a CES preview event, CNN goes searching for noteworthy gadgets

@highlight

Among these are a Marley-inspired portable stereo and a guitar that pairs with an iPad

@highlight

New device called Dyle can put live TV on an Android phone, iPhone or iPad