(CNN) -- The patient slammed his fist on the table in Dr. Otis Brawley's office.

"Dammit, I'm American," Brawley remembers him saying. "You can't tell me I have prostate cancer and that we're just going to 'watch it.'"

Brawley is the chief medical officer for the American Cancer Society, a world-renowned cancer expert and practicing oncologist. If you're going to get someone's opinion on a cancer diagnosis or course of treatment, he's a good choice. And in this case, he was recommending no treatment.

It's a scenario that may happen more as science reveals cancer's secrets, the biggest one being that what we now call cancer maybe shouldn't be called cancer at all.

"The word 'cancer' often invokes the specter of an inexorably lethal process," a working group for the National Cancer Institute wrote in a recent recommendation. "However, cancers are heterogeneous and can follow multiple paths, not all of which progress to metastases and death."

Basically, cancer is scary, but some kinds may be more boogeyman-in-the-closet scary than serial killer scary.

To understand fully, you have to look at the history of cancer diagnosis, Brawley says. In the 1850s, a group of German pathologists did some of the first biopsies on people who had clearly died of cancer. They took samples of their tumors and decided what breast cancer looks like, what lung cancer looks like, etc.

Today, Brawley says, there is a patient who has a lesion that's approximately 5 millimeters in diameter -- smaller than a pea. There's a doctor taking a biopsy of that lesion and a pathologist who's analyzing the sample using 21st-century technology. The problem, Brawley says, is that they're still comparing the samples to the cancer definition that was created more than 150 years ago.

"He's going, 'This looks just like what those Germans said is breast cancer,' " Brawley said of the pathologist. "But it's 5 millimeters in size. What killed the woman 160 years ago had spread all throughout her body."

We all harbor abnormalities, says H. Gilbert Welch, Dartmouth professor of medicine and author of the book "Overdiagnosed: Making People Sick in the Pursuit of Health." And new technology is increasingly able to find these abnormalities. When we do, our inclination is to act, even when the remedy turns out to be far more harmful than the disease would have been, had it run its course.

There is a growing consensus, backed by mounting scientific evidence, that Americans tend to be overtested, overdiagnosed and overtreated across a variety of conditions. Some experts estimate that unnecessary interventions account for 10% to 30% of U.S. health care spending.

Part of the problem is our medical culture, Welch says. The physician may be engaging in what is known as "defensive medicine," which entails ordering tests to guard against malpractice suits, should something go awry. There may also be perverse economic incentives at play -- that is, in a fee-for-service system, doctors are compensated for the quantity of tests and procedures they order.

But a recent study of physicians with the U.S. Department of Veterans Affairs found that salaried physicians who received no income from an increased volume of services and who had limited liability concerns ordered as many heart stress tests deemed "unnecessary" as doctors in more traditional settings.

The researchers theorized that the doctors had "an exaggerated perception of benefit" of the tests. In an editor's note on the study, Dr. Deborah Grady observed that while the study sample was small, "neverthless, it suggests that the culture of overdoing is ingrained."

Simply put, physicians are trained to think that the way you take care of people is to "find stuff and to take care of that stuff," Welch says.

Patients aren't exactly helping the issue, either. Energized by public awareness cancer campaigns, many patients have been empowered to find cancer early through screening and to intervene as soon as possible, Welch observes.

"To raise awareness and to get people to participate in screening, we have to whip up fear; we must introduce a bit of 'dis-ease' into the population," he said. "In a way, we have to make them feel as if the world may be a more dangerous place and that they ought to be worried about their future."

Brawley's patient, the one he refused to treat, eventually found another doctor who would treat his prostate cancer. "Patients will doctor-shop until they get what they want," Brawley said.

It's an issue many people have difficulty wrapping their heads around: Some patients who are diagnosed with cancer do not need to be treated, because that cancer is never going to bother them. The problem is that we don't know who those people are.

"There is a lot of work and research in this area in trying to better characterize which tumors will matter," Welch said.

The National Cancer Institute working group made several recommendations for the medical community in addressing cancer overdiagnosis and overtreatment. One was a change in the terminology doctors use to talk about cancer, especially when the cells they've found may not be dangerous.

"Use of the term 'cancer' should be reserved for describing lesions with a reasonable likelihood of lethal progression if left untreated," they wrote.

They also noted that the public should be made aware that overdiagnosis is common in cancer screening.

Doctors know that approximately 10% of localized lung cancer tumors and 20% to 30% of localized breast cancer tumors that are found through screening would never cause harm, Brawley says. "That tumor would just stay there: never grow, never spread." The rate is even higher for prostate cancer at 60%.

But isn't screening used to catch some aggressive cancers in people that we would otherwise see too late to treat?

Some overdiagnosis is acceptable, Brawley says. "We cure and treat some people who don't need to be treated. And in return, we save some lives." But screening has its own dangers.

Whenever you test a population, you will have some false positives. For example, if a woman is told that her mammogram is abnormal, that diagnosis might be straightened out days or weeks later, and she might find out that she does not have cancer. The diagnosis will create anxiety and lead to additional unnecessary testing.

Good health is more than absence of physical abnormality; it's also a state of mind, experts say.

"In my experience, it's not the diagnosis of cancer which really kills people," said Ezekiel Emanuel, a former oncologist, vice provost for global initiatives and chairman of the Department of Medical Ethics and Health Policy at the University of Pennsylvania. "It's the uncertainty."

The National Cancer Institute group recommended reducing the frequency of some screening examinations, focusing that screening on high-risk groups (e.g. screening smokers for lung cancer) and raising the requirements that would lead to a biopsy or other follow up care.

"We've been taught that cancer is a terrible thing and the way to deal with it always is to find it early and cut it out," Brawley said. "We're starting to realize that that is not true in all cases."

Childhood cancer survivors have significant chronic disease

@highlight

National Cancer Institute scientists say the word "cancer" is sometimes misleading

@highlight

Not everyone who is diagnosed with cancer should be treated, experts say

@highlight

Unnecessary tests and treatment may account for 10% to 30% of health care spending