(CNN) -- The deadly church and mosque attacks in Nigeria and Kenya, and the deaths of Ghanaian and Ethiopian leaders dominated sub-Saharan Africa headlines in 2012.

But lost in the midst were a series of positive stories. For every conflict, there was a milestone. For every violence, there was reconciliation. For every setback, progress.

Here are the top 5 positive stories out of the continent, as chosen by those who call it home:

The rise of African women

This year saw three African women take on key leadership roles.

Malawi appointed a female president, Joyce Banda, as Liberia re-elected Ellen Johnson Sirleaf.

Since taking over the task of stabilizing a shaky economy, Banda has earned plaudits for financial reforms, including selling the presidential jet, downsizing the government's car fleet and cutting her own salary.

In another milestone, South Africa's Nkosazana Dlamini-Zuma was inaugurated as the chief of the African Union.

The former minister took the reins of a male-dominated organization facing funding woes and challenged it to reduce its reliance on aid.

Her election could ease tensions between the body and the International Criminal Court, which also picked an African woman as its top prosecutor.

Critics have accused the court of focusing on African nations and overlooking opportunities to investigate abuses in other countries.

Gambian lawyer Fatou Bensouda took over as the court's top prosecutor, a move welcomed by critics as a major step in healing relations between the two organizations.

The three were the first women to assume their respective positions.

Growing economies, middle class

Africa is home to some of the fastest-growing economies in the world. And the thriving, burgeoning middle class is one indication of that.

The number of middle-class Africans tripled over the past three decades to 313 million, or about 34% of the continent's population, the African Development Bank says in its latest report.

The figure is a marked improvement from previous years.

Middle-class earners are described as people spending between $2 and $20 a day, a threshold criticized by some analysts as too low.

The report says that the overall number of people defined as middle class includes a "floating class" -- those with expenditure levels of $2 to $4 per day, a group considered at risk of sliding back to poverty levels.

Though the report also warns of the growing number of income inequality, it also notes that the middle class is crucial in anchoring African economies.

"It's a call to say 'look, please invest in Africa, there are good returns,' " says Mthuli Ncube, chief economist and vice president of the African Development Bank.

Analysts have warned that the current boom in a middle class is not generating much employment.

New Somali government

Though progress is fragile at best, Somalia got its first central government in about two decades.

Parliament members picked a political newcomer as president, who then named another political novice as prime minister.

Somalia also adopted a provisional constitution and selected parliament members -- all in recent months.

The new leadership marks a milestone for the nation, which plunged into chaos after dictator Mohamed Siad Barre was overthrown 21 years ago. Clan warlords and militants battled for control after his ouster, sparking a civil war and mayhem.

In another recent achievement, Somali and African Union troops forced out Al-Shabaab militants from Mogadishu, sending residents frolicking to the beach as life in the capital trickled back to normalcy.

Once out of the capital, the militants retreated to the port city of Kismayo, a strategic location for their lucrative coal shipments. Coalition forces forced them out of that city as well.

It was the last major town under militant control.

Ghana elections

Ghana lived up to its "mature democracy" reputation again this year, a political feat that has eluded most nations in Africa.

Long hailed as a beacon of democracy and progress in the continent, the nation re-elected the incumbent, who beat his closest contender with a razor-thin margin.

Despite the narrowness of the victory, no violence erupted, unlike elections in nations such as the Ivory Coast, where both the incumbent and the winner clung to power after the results of the 2010 poll.

A series of other African nations have also descended into violence after elections, making Ghana a noteworthy exception.

While there was some bickering from the losing sides, the nation maintained peace for the most part.

President John Mahama served as vice president under his predecessor, who died this year.

In another move highlighting the solidity of its democracy, Ghana immediately swore in Mahama to avoid a power vacuum.

Zambia's emotional win

Zambia won its first African Cup of Nations -- nearly two decades after a plane crash killed its team, coaches and crew members.

The win was sentimental because it occurred in Gabon, the same country where the tragic crash happened in 1993.

And it was a major triumph because the team was not favored to win against the star-studded Ivory Coast.

In the end, Zambia hoisted the Cup of Nations after beating Ivory Coast 8-7 in a dramatic penalty shootout.

Throngs of supporters danced and wept at the airport when the team arrived home.

Did we leave any out? Let us know in the comment section below.

@highlight

This year saw three African women take on key leadership roles

@highlight

The number of middle-class Africans is rising

@highlight

Somalia formed a government in 2012, and Ghana's presidential election was peaceful

@highlight

Zambia won its first African Cup of Nations, nearly two decades after a tragic plane crash