(CNN) -- If Facebook is the ultimate popularity test, then the most famous art institute on the planet is not in Paris, New York or London.

It's a tiny gallery hidden on the fifth floor of a nondescript building in Amsterdam.

Measuring a meager 750 square feet, The Greenbox Museum is the only museum in the world dedicated solely to Saudi contemporary art, and with over a million Facebook "likes", it is more loved than the Tate, the Metropolitan Museum of Art, or the Louvre.

"When I started, people thought, it can't be true, it's a joke, its April Fools," recalls Aarnout Helb, the museum's founder. Helb started collecting Saudi art in 2008, after accidently stumbling upon a work by leading Saudi artist Ahmed Mater online. A year later, he opened Greenbox. Helb doesn't find the museum's online popularity unusual.

"A lot of the fans are basically young Muslims that perceive Saudi as a country relevant to their culture, because of the historical and ritual position of Mecca," he says.

Saudi art has also become trendy in Western art circles. Last year, Tate Modern director Chris Dercon made a special visit to Saudi for Jeddah Art Week. Michael Jeha, the managing director of Christie's Middle East, who last year sold a piece by Abdulnasser Gharem for $842,500 (the highest grossing work by a Saudi artist ever), says that much of the demand is coming from Europe and America.

For Saudi artists themselves, foreign influence can be a mixed blessing. On the one hand, art shown outside the country is less censored.

Read more: Saudi artists push the limits

Soraya Darwish, a young artist who also blogs about her country's art scene, notes that often, artists will feel more comfortable showcasing sensitive materials abroad.

In Saudi, all exhibits have to pass review by the Ministry of Culture and Information before they are opened to the public. Overseas, there are no such measures.

"If an artwork is too culturally sensitive, it could get banned from being shown in Saudi," she says. "It hasn't happened to me, but I've known artists it has happened to. Usually, they'll just be asked not to show a work. I guess in the worst-case scenario, a show could be shut down."

Manal Al Dowayan, the country's highest grossing female artist, disagrees that censorship is problematic within Saudi.

Al Dowayan has exhibited at both the V&A and British Museum, and at solo and group shows within Saudi. At Alaan Artspace, a newly opened gallery in Riyadh, she showed a sculpture entitled "esmi" or "my name", which depicting giant prayer beads bearing female names (it was made in response to a conservative trend forbidding men to use a woman's name in public).

"My art is very critical of social attitudes toward women, and I have never been censored in Saudi," she says. "The obvious untouchables are insulting religion and the royal family; everything else is open."

Saudi hasn't traditionally championed its artists. The majority of Greenbox's online love, for instance, doesn't come from Saudi, which ranks ninth on the list, but from Indonesia, Pakistan and Egypt.

Yet as art becomes more accepted (and lucrative) outside the Saudi Arabia, those inside the country are starting to take note.

One of the first institutions inside the country to champion Saudi art was Athr, which launched in Jeddah in 2009. Only recently have other institutions started to join the fray. Last October, Alaan Artspace opened, with the added mission of establishing an art curriculum in the country.

"Art and design have always been a part of Saudi culture. It is art education that has been overlooked," says Neama Al Sudairy, Alaan's founding director.

The art scene has picked up to such an extent that last March also witnessed the launch of the country's first art guide (appropriately titled "Saudi Art Guide"), available online and in app form.

"In Jeddah and Riyadh, there are more galleries opening -- maybe one or two a year. It's kind of a trend, where someone sees the market potential and opens up a gallery," says Darwish, the guide's co-founder.

For some artists, the development of art within the country is a reaction against the adverse effect foreign influence has had on the scene.

Recently, Ahmed Mater sent out a brief stating his longing to return to his roots, partly because the growing Middle Eastern art market "treats our practices as a means to a resulting commodity, our visual languages and aesthetics being transformed into identifiable and inflexible brands."

Helb also worries about the effects of commercialization.

"You have censorship (of Saudi art) in London. Not a little, but a lot," notes Helb.

"Galleries want to make things glossier for the art market, so it sells and fits in your house and is interesting, and Saudi artists lose the spontaneity of their voices. They turn artists into race horses."

@highlight

Small gallery in Amsterdam has huge online support

@highlight

Facing a lack of interest in their country, many Saudi artists have found recognition abroad

@highlight

Abdulnasser Gharem broke the record for highest grossing work by a Saudi artists when a piece of his sold for $842,500

@highlight

The landscape is changing as more galleries are opening up inside Saudi Arabia