At first glance, the sleepy Chinese town of Anren, isn't much to look at unless you're a fan of the giant Buddha heads and vintage water tanks being hawked outside its vintage buildings.

And then, around a corner, everything changes.

At the far end of a long driveway lies a colossal complex and one single word that has come to define Anren: museums.

A decade ago, Anren was like many other ancient towns dotted around the country -- rich in history but largely forgotten.

Located just over an hour's drive from Chengdu, the capital of China's southwestern Sichuan province, it traces its origins back to the Tang dynasty (618-907 AD).

Due to a lack of industry, Anren would likely have remained a backwater but for local landlord Liu Wencai, whose legacy has driven the town's rebirth as an historic destination.

Liu and his family emerged as prominent local residents in the 1930.

Cruel tactics

Legend has it that he amassed tremendous wealth through cruel tactics, including forcefully taking lands from farmers and brutalizing local women.

By the time he died in 1949 after a period of failing health, he had created an enormous 70,000-square-meter estate.

His family and staff also prospered in the 1930s and 40s, enabling them to build 40 connecting mansions in the center of Anren.

Liu's estate became the town's first museum in 1958.

Each mansion boasts its own unique style, displaying the rank, importance and interests of their owners.

A blend of Western and Chinese architectural aesthetics, they also provide insight into the remarkable period between the end of imperial China's last rulers -- the Qing dynasty -- and the formation of the People's Republic.

Twenty seven mansions survived the turbulent years of revolution and now make up the heart of Anren old town, mostly in the form of hotels or restaurants.

Some have been transformed into galleries or museums dedicated to a variety of subjects, such as film, and are open to visitors.

Most, though, lie behind locked doors.

The accessible buildings have now become a major attraction for wedding parties and mansion feasts.

The weddings feature many obsolete local traditions.

Lavish recipes

Chopsticks are thrown in the air -- a gesture once thought to lead to abundant offspring -- and bejeweled swords are hung from sedan chairs for luck.

Some couples come just to have their wedding photos taken.

Mansion feasts, meanwhile, showcase lavish recipes created by chefs who cooked exclusively for the owners of the Anren's large houses and passed down through generations.

A spicy duck feet salad is said to be the invention of one of Liu's wives.

Despite its colourful history, Anren didn't evolve as a museum town until Jianchuan Fan, a real estate developer-turned-collector-and-curator, decided to open a private museum here in 2003.

Fan had acquired land in Anren through auction and decided that it would be the perfect spot to house his large collection of revolution memorabilia.

It transformed the area into the Jianchuan Museum cluster. Opened to the public in 2005, it's still a growing project.

Ghost town

There are currently 24 exhibition spaces open, covering 100,000 square meters (1.1 million square feet) and housing more than eight million items including historical artefacts, commissioned artworks and reproduced photographs, themed around the Sino-Japanese war, the Mao-era, Chinese culture and the 2008 Sichuan earthquake.

When Chengdu's government announced in 2009 that it would invest $820 million to transform Anren into an internationally renowned museum town, its fate was further sealed.

Later that year, China's Association of Museums and the National Heritage Board awarded Anren the title of "China's Museum Town."

Midweeks, this new identity has done little to change Anren's appearance as a ghost town populated only by artefacts.

Come Saturdays, Sundays and holidays, however, it's a bustling tourist spot bathed in a sea of visitors.

Here are the main attractions:

Jianchuan Museum Cluster

While most sites are ticketed, there are a few installations that are free to view such as the Handprint Square of the veterans of China.

Ticketed exhibits follow themes -- there's the War Series, the Red Series, the Earthquake Series and the Folk Series.

The vast collections can be a bit overwhelming so it can be worth focusing on the highlights.

In the War Series, the Hall of Unyielding Chinese Prisoners of War tells the stories of Chinese POWs through a series of photographs.

There are also three floors of artifacts at the Hall of the Core of the Resistance, focusing on individuals in the Sino-Japanese war.

The Red Series contains the most distinctive exhibits.

A maze of decorative looking glasses adorns the Red Age Badge, Clock and Seal Exhibition Hall of the Red Era Mirror Museum.

There are also thousands of unique pieces on display in the Gallery of Porcelain of New China that explore how the aesthetic style of porcelain changed between the 1950s to the 1980s.

The Earthquake Series and the Folk Series are smaller.

The Wenchuan Earthquake Museum relates harrowing tales from 2008 Sichuan earthquake survivors and their rescuers. The Museum of Shoes for Bound Feet features adult footwear measuring just four inches long.

Access to all the museums costs RMB$100 ($16) and tickets are valid for three days. Individual museums costs RMB$20 ($3) to enter. Other ticket options are also available.

Liu Family estates

The estates are split into four main areas: the Liu Family Old Manor, Liu Family's Historic Home, Precious Artefacts Gallery and Rent Collection Hall.

Liu Family Old Manor is the house where Wencai Liu lived with his close relatives.

Highlights include their intricately carved door frames and beds.

The Precious Artefacts Gallery is is now home to the items that once sat in the now mostly bare rooms of the Old Manor.

Visit to all of the areas on site costs RMB$50 ($8) but there are also separate tickets for individual areas.

Anren's Old Mansions

Dominating the center of the old town, along Hong Xing Street, Yu Ming Street, Shu Ren Street and De Ren Lane, are Anren's Old Mansions.

Many of these are now restaurants, boutique hotels or cafes with varying appeal to just-visiting tourists.

The buildings are still well-preserved and the interiors are often in keeping with the era so it's worth having a peek at some of the architecture and murals on the walls.

There are also numerous vintage film posters on the walls in this part of town.

The Film Museum is free to enter but tickets to movie showings cost RMB$10 ($1.6).

There's about 5,000 old films at the museum, so you never know what you might be watching.

Galleries, mostly displaying traditional art, are free to enter.

@highlight

Anren, in Sichuan Province, has been declared China's "museum town."

@highlight

Sleepy town's historic heart largely built by family of notorious local landlord in last century

@highlight

Anren's fortunes changed a decade ago after property speculator began investing

@highlight

Today Andren's a popular destination for weddings and banquets