Cesar Chavez is something of a national icon.

His face is on a U.S. postage stamp. Countless statues, murals, libraries, schools, parks and streets are named after him -- he even has his own national monument. He was on the cover of Time magazine in 1969. A naval ship was named after him. The man even has his own Google Doodle and Apple ad.

Yet his footprint in American history is widely unknown and that's exactly the reason why actor-turned-director Diego Luna decided to produce a movie about his life.

"I was really surprised that there wasn't already a film out about Chavez's life, so that's why I spent the past four years making this and hope the country will join me in celebrating his life and work," Diego Luna said during Tuesday's screening of "Cesar Chavez: An American Hero" in New York.   The movie opens nationwide on Friday.

After seeing farm workers harvesting the country's food unable to afford feeding their own families --  let alone the deplorable working conditions they faced --  Chavez decided to act.

He and Dolores Huerta co-founded what's now known as the United Farm Workers. They became the first to successfully organize farm workers while being completely committed to nonviolence.

Without Chavez, California's farm workers wouldn't have fair wages, lunch breaks and access to toilets or clean water in the fields. Not to mention public awareness about the dangers of pesticides to farm workers and helping outlaw the short-handled hoe. Despite widespread knowledge of its dangers, this tool damaged farm workers' backs.

His civil rights activism has been compared to that of Martin Luther King Jr. and Mahatma Gandhi.

Difficult conditions in America's fields

But as the film successfully highlights Chavez's accomplishments, viewers will also be confronted with an uncomfortable truth about who picks their food and under what conditions.

Unfortunately, Chavez's successes don't cross state lines.

States such as New York, where farm workers face long hours without any overtime pay or a day of rest, are of concern for human rights activist Kerry Kennedy, president of the Robert F. Kennedy Center for Justice and Human Rights.

The Kennedys have been supporters of the UFW since Sen. Robert Kennedy broke bread with Chavez during the last day of his fast against violence in 1968.

"New York is 37 years behind California. Farm workers here can be fired if they tried collective bargaining," Kennedy said after the "Cesar Chavez" screening. "We need a Cesar Chavez."

Opinion: Why I didn't eat for 22 days

California is still the only state where farm workers have the right to organize.

Kennedy is urging the passing of the Farmworkers Fair Labor Practices Act, which would give farm workers the right to one day of rest each week, time-and-a-half pay for work past an eight-hour day, as well as unemployment, workers' compensation and disability insurance.

It's not just New York. Farm workers across the country face hardship. In Michigan's blueberry fields, there's a great deal of child labor, Rodriguez said.

"Because they're paid by piece-rate, it puts a lot of stress on all family members to chip in. Plus, families work under one Social Security number because about 80% of the farm worker population is undocumented," Rodriguez added.

That's why the UFW and major grower associations worked closely with the Senate's immigration reform bill to include special provisions that would give farm workers legal status if they continued to work in agriculture.

"Farm workers shouldn't struggle so much to feed their own families, and we can be part of that change," Luna said.

A national holiday in honor Chavez?

To help facilitate that change, Luna and the film's cast -- Michael Peña as Chavez, America Ferrera as his wife, Helen, and Rosario Dawson as labor leader Dolores Huerta -- have been trekking all over the country promoting the film and a petition to make Chavez's birthday on March 31 a national holiday.

"We aren't pushing Cesar Chavez Day just to give people a day off. It's to give people a 'day on' because we have a responsibility to provide service to our communities," United Farm Workers president  Arturo Rodriguez told CNN.

In 2008, President Barack Obama showed his support for the national holiday and even borrowed the United Farm Workers famous chant "Si Se Puede!' -- coined by Dolores Huerta -- during his first presidential campaign.

Obama endorsed it again in 2012, when he created a national monument to honor Chavez, but the resolution still has to be passed by Congress to be recognized as a national holiday.

Right now, Cesar Chavez Day is recognized only in California, Texas and Colorado.

Huerta, 83, is still going strong in her activism and has also helped promote the film.  She said she wishes the film could have included more history, but she knows it's impossible.

"There were so many important lessons in the film. All the sacrifices Cesar and his wife, Helen, had to make and the obstacles we had to face against the police and judges. We even had people that were killed in the movement but we were still able to organize," Huerta said.

Actor Tony Plana, who attending the New York screening, knew the late Chavez and credited him with the launch of his acting career.  Plana, known for his role as the father on ABC's "Ugly Betty" TV series, said his first acting gig was in the UFW's theatrical troupe educating and helping raising farm workers' awareness about their work conditions.

"I've waited more than 35 years for this film to be made, and I can't tell you how honored I am to finally see it happen," Plana told CNN.

Cesar Chavez an inspiration to Obama campaign

It's not that there wasn't interest in making the biopic before: Hollywood studios and directors have approached the Chavez family in the past, but the family kept turning them down, mainly for two reasons.

"Well, first Cesar didn't want to spend the time making the film because there was so much work to do, and he was hesitant on being singled out because there were so many others that contributed to the UFW's success," said Rodriguez.

It wasn't until Luna came around and asked the Chavez family how they felt the movie should be made that the green light was given. But when it came time to getting the funding to produce the film, Hollywood was not willing.

"Hopefully this film will send a message to Hollywood that our [Latino] stories need to be portrayed in cinema," Luna added.

"Latinos go to the movies more than anyone else, but we're the least represented on screen. It doesn't make any sense," Dawson told CNN.

In 2012, Hispanics represented 18% of the movie-going population but accounted for 25% of all movies seen, according to Nielsen National Research Group.

"I hope young people use the power of social media to help spread the word about social change," Dawson said.

"There is power in being a consumer and boycotting. If we want more as a community, we need to speak up."

@highlight

Cesar Chavez's life not widely known, but actor-director Diego Luna hopes to change that

@highlight

Kennedy: "New York is 37 years behind California. We need a Cesar Chavez."

@highlight

Film depicts Chavez and UFW's success, but there is still more work to be done

@highlight

Luna: "Farm workers shouldn't struggle so much to feed their own families"