The Supreme Court on Tuesday will confront its biggest case of the term so far, another high-profile challenge to affirmative action in college admissions.

The planned hour of oral arguments raises anew thorny, unresolved questions over race and remedies.

The justices are being asked to decide the constitutionality of a voter referendum in Michigan banning race- and sex-based discrimination or preferential treatment in public university admission decisions.

The high court just 16 weeks ago affirmed the use of race at the University of Texas, but made it harder for institutions to justify such policies to achieve diversity.

In that dispute, a white student said the college's existing affirmative action policy violated her "equal protection" rights, while civil rights supporters of such programs claim Michigan's ban also has the same effect.

A federal appeals court last year concluded the affirmative action ban, which Michigan voters passed in a 2006 referendum, violated the U.S. Constitution's equal protection guarantees.

It was the latest step in a legal and political battle over whether state colleges can use race and gender as a factor in choosing which students to admit.

"The question before the Supreme Court is whether you can have a constitutional amendment enacted by the people of a state that prevents the legislature from adopting affirmative action," said Thomas Goldstein, publisher of SCOTUSblog.com and a prominent Washington attorney. "Is that a form of discrimination against minorities, or is it actually an implementation of a colorblind Constitution that itself ends discrimination?"

The law was passed seven years ago with support of 58 percent of voters. It was added to the state's constitution, and bars publicly funded colleges from granting "preferential treatment to any individual or group on the basis of race, sex, color, ethnicity or national origin."

That prompted a series of lawsuits and appeals from a coalition of civil rights groups and University of Michigan faculty and students, who counter the law actually burdens state residents, denying them the opportunity to persuade state and college officials to apply affirmative action.

"Proposition 2 unconstitutionally gerrymanders Michigan's political process," said Sherrilyn Ifill, president of the NAACP Legal Defense Fund, "and relegates the critical topics of racial diversity and access to educational opportunity to a separate, distant, and far more cumbersome playing field-- one that is unplayable for all practical purposes."

Many of the prestigious institution's faculty and student body say classroom diversity remains a necessary government role.

Michigan voters approved the ban after the U.S. Supreme Court ruled in 2003 that while state universities could use race as a factor in choosing which students to admit, they could not make race the determining factor in deciding whether applicants are accepted.

The current ban "embodies the fundamental premise of what America is all about: equal opportunity under the law," said Bill Schuette, Michigan's attorney general. "Entrance to our great universities must be based upon merit."

The referendum effort was led by Jennifer Gratz, who was at the center of the decade-old high court case.

As a white student, she was put on the waiting list for undergraduate admission to the state's largest university. She eventually attended another school, and became the lead plaintiff in a subsequent discrimination lawsuit.

After the Supreme Court's 2003 decision, she began a public campaign to end racial preferences in admissions.

"This will be an important day in the fight for true equality," said Gratz, who is now CEO of the XIV Foundation, which advocates for "equal treatment." "How the court rules in this case will have national importance, determining whether or not citizens have the right to choose equality over discrimination."

The Michigan ban also prohibits the state from considering race and gender in public hiring and public contracting decisions. But the current high court case deals only with the college admissions portion.

Efforts over decades to create a diverse classroom have been controversial.

The Brown v. Board of Education high court ruling in 1954 ended segregation of public schools, but sparked nationwide protests and disobedience by states that initially refused to integrate.

In the 1978 Bakke case, the justices ruled universities have a compelling state interest in promoting diversity, and that allows for the use of affirmative action. That issue involved a discrimination claim by a white man denied admission to law school.

The referendum issue has been around at least since 1996, when California voters endorsed Proposition 209, which bans use of race, sex, or ethnic background by state agencies in areas of education, and government hiring and contracts.

The U.S. Supreme Court in 1997 refused to consider lawsuits challenging the law, also known as the California Civil Rights Initiative.

But the high court under Chief Justice John Roberts has made the issue a key part of its docket in recent years, and it could serve as a major legacy of the current conservative majority. A ruling in the Michigan appeal however may be limited in scope.

"The Michigan case isn't an opportunity for the conservatives on the court, for example, to say that affirmative action's unconstitutional," said Goldstein. "But the justices can send signals to state legislatures, and to the public more generally, that either affirmation action is something they think should be encouraged, or something for which they're very suspicious."

Two years into Roberts' tenure, the conservative majority in 2007 struck down public school choice plans in Seattle and Louisville, concluding race could not be a factor in the assignment of children to schools. Those school districts had sought to use raced-based criteria to achieve diversity.

The debate in recent years is whether and when affirmative action programs -- while constitutionally permissible now -- would eventually have to be phased out as the goal of obtaining diversity is met.

Now-retired Justice Sandra Day O'Connor -- who wrote the key ruling a decade ago in the initial Michigan cases -- said, "The court expects that 25 years from now, the use of racial preferences will no longer be necessary to further the interest approved today."

The justices are now being asked once again to decide whether Michigan's current policy in this case meets that legal and social test.

Justice Elena Kagan will not hear this petition, leaving the possibility of a 4-4 high court tie and no important precedent being established.

The case is Schuette v. Coalition to Defend Affirmative Action, Integration, and Immigrant Rights and Fight for Equality by Any Means Necessary (12-682). A written ruling could come as late as June.

@highlight

Court will hear oral arguments on Tuesday in Michigan case

@highlight

Challenge again raises thorny, unresolved questions over race

@highlight

Michigan referendum banned race and sex discrimination in admission decisions