Matt Souveny was feeling overwhelmed by the unworn clothes languishing in his closet when he began poking around Reddit's menswear forums, where style-conscious men debate different shoe leather and denim brands, or bravely seek constructive feedback on how a suit fits.

Souveny, a Canadian Air Force pilot, got into discussions about what to wear if you could only choose one outfit for the rest of your life, a popular topic on such forums. It was hypothetical at first, but as the list grew, Souveny decided he had enough intel to turn into a real-life experiment.

"I'd been trimming it down over the past year, but after that conversation on the Internet, it really struck me that I don't need all this stuff," he said.

As of June 1, Souveny has pledged to pare down his wardrobe to 10 articles of clothing for the next year, excluding socks, underwear and outerwear.

The list includes: one pair of pants, one pair of shorts, two T-shirts, one button-down, one sweatshirt, one pair of sneakers, one pair of boots, a blazer and a belt.

He declared his intention in May to wear one outfit for one year in a blog post titled "minimalism." The timing couldn't be better, he said. He and his wife were moving to a smaller home, and he would be on parental leave from the Air Force for six months, freeing him from the daily obligation to wear a flight suit.

It was also a way for him to start experimenting with how to live with less overall, he said.

"We've found over the past year that having less stuff can actually allow you more freedom. Instead of spending free time sorting stuff, or organizing stuff, or searching through stuff for other stuff, you can hopefully spend more time doing things that you want to be doing," he wrote.

Most of us aspire to de-clutter our lives at some point. Shunning all material possessions is a big leap for most, but slimming down one's closet is an easier first step. Popular minimalist fashion movements include the 10-piece capsule, the five-piece French wardrobe and Project 333, which invites participants to dress with 33 items or less for three months.

When people recognize the benefits of fewer choices in their closets, they start thinking about how to apply the philosophy to other areas of their lives, said Courtney Carver, creator of Project 333.

"It's sort of the gateway drug for further simplicity, because that's where we start each day," Carver said.

Carver began Project 333 in 2010 to simplify her life while dealing with the onset of multiple sclerosis, and ended up inspiring a movement that continues to gain momentum. Project 333's Facebook page, which has more than 12,000 likes, features stories from people around the world participating in the challenge.

Inspired by Project 333, Milwaukee Journal Sentinel reporter Alison Sherwood started her own version earlier this month, the Tiny Closet Challenge, and invited readers to join her. So far, 30 have signed up from around the world

"The simplicity of a minimalist wardrobe really appealed to me. I wanted to give it a try and see how it would affect my perspective on things like style, spending habits, materialism and contentment. I have two little kids -- ages 2.5 and 9 months -- so I don't really have time in the morning for trying on outfits and staring into my closet," Sherwood said.

"I tend to have a hard time getting rid of clothes even if I never wear them, because of guilt that I spent money on them or because I'm afraid I might want or need them at some point. I want to prove that I can let go of those clothes and be perfectly fine."

So far, it's working out, she said. She saves time in the morning and laundry is easier. When temperature fluctuations struck, she layered tops to stay warm.

"It's nice only wearing my favorite clothes and jewelry, and not feeling guilty for neglecting other clothes I may not like as much," she said.

"I feel a sense of calm when I look in my closet. It's stressful when there are clothes jammed into every available space, especially when you have a toddler who might come in and start tearing clothes off the hangers when you're trying to get ready. Now there is breathing room in my closet and it makes me feel like I'm starting the day with some semblance of organization and control."

Cutting back completely changed Carver's life. After being separated from her clothing those first three months, she realized most of it didn't matter to her. Today, she continues to use only 33 clothing items (not including underwear, sleepwear or workout clothing) at a time, reassessing her wardrobe every three months to cycle in seasonal necessities from a single container into her closet.

She still makes purchases to replace items in her closet, but she's more thoughtful about them, she said. The minimalist philosophy has extended to other areas of her life. After deciding that she could do with much less in the kitchen, the living room and elsewhere in her home, she moved from her 2,000 square-foot home into an apartment. She also left her job in advertising to focus full-time on consulting with others to streamline their lives and businesses.

Parting with clothing, even clothing you hate, is hard, said Jillian Quint, managing editor of PureWow.com, an online publication geared toward women's interests. Start by asking: Does it fit? Does it look good on me? When was the last time I wore it?

If you can't answer "yes," "yes," and "within the last year," the item has to go, she said.

If you really want to rock a minimalist closet, it helps to invest in quality pieces that do double, triple or quadruple duty, Quint said. Think a crisp white blouse, a black blazer and a perfectly fitting pair of jeans accompanied by shoes and accessories to bring in more color and current trends.

But the first step is overcoming the fear that "it could never work for me" and starting small.

Don't get rid of anything at first, Project 333's Carver recommends. Hold onto everything and gradually shed the items you didn't realize you were missing during the experiment.

Everyone has different reasons for paring down their wardrobe. For some, like Carver, the goal was to reduce stress and clutter.

For others, it's part of an effort to focus on quality over quantity. Consumers are demanding a return to high-quality items that can stand the test of time, Quint said

"We're in an era of examining our carbon footprint. Nobody wants a closet that looks like a landfill," she said.

Souveny's motivation falls into this camp.

"I tried to find brands that embody this whole idea of making high quality products out of the best materials available," he said.

And, it shows in the bill: $2,703, as one Redditor estimated the total cost of Souveny's 10 pieces, most of which are made in North America.

Each piece of clothing was selected for its versatility and durability in different weather conditions and social environments, Souveny said. He avoided denim because it was too "casual" but he didn't want to wear a suit all year, leading to a wardrobe consisting of mostly synthetic fabrics that keep you cool in the summer and warm in the winter.

It helps that some clothing brands heard about his plans and donated clothing to his experiment. Still, he says, he chose clothing by brands that he already owned or was likely to own, making the experiment not too far removed from reality.

"The way I justify buying higher quality items is in buying less and buying the best I can afford," he said. "My closet is full of cheap clothes that will never wear out because I never wear them. The items that I saved for and sought after, however, get plenty of loving wear."

His exercise isn't meant to be prescriptive for everyone, he said.

"This was just a fun experiment for me to see how long things last," he said. "Who knows, maybe it'll inspire others to think about how minimalism could work in their closet."

@highlight

Matt Souveny has pledged to wear only 10 articles of clothing for a year

@highlight

For those interested in downsizing their lives, the closet is an easy first step

@highlight

Closets are "gateway drug for further simplicity," Project 333 founder says

@highlight

Start small and don't get rid of everything at once, experts advise