(CNN)So now the real trial is underway: What does the surviving Boston Marathon bomber, Dzhokhar Tsarnaev, deserve and why?  What's he likely to get and why?

Let's start where the penalty phase starts, with the prosecution's case.

Prosecutors have listed, as they must, the aggravating circumstances that make this horrific mass murderer deserve the harshest punishment. The killing was "heinous, cruel and depraved."   He placed a bomb in a crowd, set it to kill and maim children and adults indiscriminately -- if that's not heinous, cruel and depraved, what is?

Cruelty classically consists of a desire to cause pain and suffering in innocent victims, or, at the opposite extreme, it reflects a cold, callous indifference.

Tsarnaev displayed both. Cruelty really provides us a lens into the worst of the worst of the worst.

The number of dead from the bombing (three) and injured (260), including dozens maimed, also elevate these murders.  The victims were vulnerable -- no one more so than 8-year-old Martin Richard.  For 2,500 years, we have proclaimed that all human beings are equally valuable, yet we identify certain victims as especially worthy, and those who prey on them as especially culpable.

The prosecution's emphasis: The killings involved "substantial planning and premeditation" and a betrayal of the United States -- the very country that gave Tsarnaev shelter and citizenship. And then there's the selection of the site, the Boston Marathon, an "iconic" event.

And then there's Tsarnaev's lack of remorse -- opening day, the prosecutor's final shot of Tsarnaev locked up, giving the security camera the finger.  From his blood-scrawled justification in the boat after the bombing to this day, the message has been: Screw you, society.

Tsarnaev may take the stand to beg for mercy, but only if he now feels or at least can fake remorse. And don't confuse regret with remorse.  No doubt Tsarnaev regrets his present predicament, regrets the negative publicity he's brought his friends and family and most poignantly regrets running over and killing his older brother while trying to escape.  But that's a far cry from genuine remorse for the victims he's killed and maimed.

Dzhokhar Tsarnaev was the lesser of two evils, the defense will insist over and over. Tamerlan was the source of his younger brother's malicious intent.  As the prisoners inside Washington D.C.'s now defunct Lorton Central Prison once described the street code to me:  No snitching, but if someone dies, then "the dead guy did everything."

So the defense will claim that Dzhokhar was not fully responsible because he could not be.  After all, he was only 19.  Biologists teach us our brains don't fully develop until we're 25.  Thus, their argument goes, a 19-year-old simply can't be the worst of the worst.

In 2005, the U.S. Supreme Court struck down the death penalty for those younger than 18 when they killed, repeatedly quoting an article by psychologists Laurence Steinberg and Elizabeth Scott.  But in the same article, these leading developmental psychologists themselves characterized it as an "open question whether under real-world conditions the decision making of mid-adolescents is truly comparable with that of adults." And they were talking about 17-year-olds.

To the best of my knowledge, science has not and cannot establish a definitive connection between organic brain development and moral responsibility.

Think about it:  When a 19-year-old bravely dashes into a burning building, risking his life to save children inside, we celebrate this heroism. We do not, nor should we, dismiss this bravery as the product of an impulsive not-yet-fully-formed personality.  If we can fully celebrate good character and heroic acts of our best young adults, why can't we fully condemn the cowardly viciousness of our worst?

What outcome would I predict in the Tsarnaev case?

Confronted by surviving victims and images of their dead loved ones, hearing offsetting pleas to "move on," balancing the real suffering in the courtroom against the  imagined punishment of life that awaits Tsarnaev, I expect the jury will vote 10-2 (or 9-3) for death.

But they must be unanimous for death; a lopsided but divided jury would result in a life sentence.

Worse, the historical record and headlines in the next day's anti-death penalty news organizations will probably proclaim:  "Jury Chooses Life for the Marathon Bomber" -- even if overwhelmingly the people's representatives were to vote for death as the more appropriate punishment.

Requiring a unanimous verdict for death gives the defense an enormous advantage -- one of many.  Why?

Because in the end, we would much prefer that 1 or 10 or 20 convicted murderers who deserve to die instead live out their lives in the relatively nonpunitive condition of prison than one person who deserves to live be wrongly killed at the hands of the people.

And yet, if we really commit ourselves to having the punishment fit the crime, if we rightly reserve the death penalty for the most heinous crimes and criminals, surely the Boston Marathon bomber stands among the worst of the worst.

@highlight

Robert Blecker: In sentencing phase, the prosecution lays out wealth of evidence that Dzhokhar Tsarnaev deserves penalty reserved for the worst of the worst

@highlight

He predicts most of the jury will vote for a death sentence, but it must be unanimous; therefore, Tsarnaev will most likely get life in prison