In 2001 a huge earthquake shook the state of Gujarat in India.

2,000 people were killed, 400,000 lost their homes, and countless more lost their businesses in the devastation.

One young entrepreneur, Mansukhbhai Prajapati, lost everything, but found an innovative way to get back on his feet. Prajapati designed a low-cost clay fridge which required no electricity and continued to function in the event of major catastrophes or blackouts such as the one that devastated his village.

Prajapati's invention is part of a growing trend in India that has become known as "frugal innovation" -- below-the-radar inventors across the country devising low-cost solutions to local problems, often borne of necessity, using bespoke technologies of their own creation.

So striking has the trend for frugal innovation become, that last year the National Endowment for Science, Technology and the Arts (Nesta), an independent charity in the UK, commissioned and published a major research paper on the phenomenon.

The paper said "frugal innovation is found throughout the Indian system: from ... efforts to crowdsource drug discovery driven by government labs, to Bharti Airtel's approach to cutting the cost of mobile phone calls, to the Keralan approach to palliative care which is providing access to support at the end of life for thousands in a void of formal healthcare."

At the forefront of the frugal innovation movement is Professor Anil Gupta who, for the last 20 years, has been travelling across India in search of local inventors whose creativity has had a positive impact on rural poverty. In 1989, Gupta founded the Honey Bee Network, an organization that uncovers grassroots inventors, and helps bring their inventions to the world.

"I have walked about 4,000 kilometers in the last 12 years," says Gupta. "I have tried to map the minds of people who are creating around the country."

Gupta's journey has brought him into contact with inventors who are solving common problems in frugal ways, using traditional knowledge and readily available materials.

By his own reckoning, Gupta believes that the Honey Bee Network has helped unearth over 25,000 new inventions, including a motorbike-mounted crop sprayer, a device for climbing trees, an amphibious bicycle and a wind-powered irrigation system.

Kirsten Bound, the author of Nesta's report, says "frugal innovation is all about creating advantage out of constraint. Faced with scarce resources and institutional voids, frugal innovators develop radical new solutions to problems. It's not just about making things cheaper, but better, more appropriate and scalable. It involves leveraging available resources in new ways, reducing or re-using waste or even re-thinking an entire system around a product or service."

Mansukhbhai Patel, a Gujerati farmer devised just such a product. Picking cotton in Gujarat is a manual task which, in the past, has frequently been undertaken by children. In a bid to reduce the work involved, Patel invented a cotton-stripping machine that can be operated by one person. Professor Gupta believes the invention has helped significantly reduce child labor in the region.

Frugal Digital, a research group run by the Copenhagen Institute of Interaction Design, seeks to promote exactly this kind of invention. The group runs projects in conjunction with Indian inventors to build cheap, "hackable" devices to solve enduring problems across the subcontinent.

Priya Mani, project manager for Frugal Digital, says that there is a lot to learn from "thinking about how you can hack everyday castaway objects." The projects the organization has run in conjunction with Indian inventors have already yielded products that are being used around India today, including a classroom projector fashioned from repurposed cell phone components and a low-cost health screening tool made from an old alarm clock.

But Mani believes that work being done by frugal innovators  in India has yet to have a significant international impact: "People thought we were totally nuts trying to create something new out of old parts."

Bound believes that the philosophy of frugal innovation and the practice of repurposing technology  could be applied globally. "Frugal innovation coming out of India could have important implications for the rest of the world" says Bound.

"General Electric has shown with its now famous ultra-low cost ECG machine that there is a Western market for products born out of the constraints of the Indian healthcare market. It forces multinationals to think about how their existing investment intensive models of innovation can face inevitable growing competition with Indian and Chinese multinationals."

Of course, not all stories of frugal innovation have a happy ending. In 1975, flooding across India brought the province of Bihar to a standstill. The rising waters in the village of Jatwa-Janerwa made it impossible for many people to work, shop or go about their daily lives.

Local honey salesman, Mohammed Saidullah, was forced to cross the swollen Ganges river for sell honey, but every trip came at a price -- the boat was expensive and paying the levy was driving him towards penury -- so he came up with novel solution.

Saidullah locked himself away for three days of solid design and construction. When he emerged he had constructed an amphibious bicycle, which would allow him to contend with the annual monsoon.

It looked like a regular bike, but had large retractable floats attached to the sides of each wheel. Saidullah's invention earned him a raft of awards including the National Innovation Foundation's lifetime achievement award. Yet in spite of the recognition, the inventor still lives in poverty.

Gupta says there is work to be done yet in connecting creative people with funding, and not all of it can come from the public purse.

According to Gupta, connecting grassroots technologists with big business will be key to development not just in India, but around the world. "Nothing," he says, "can justify preventing people from learning from one another."

@highlight

Indian inventors recycle old technology to solve local problems

@highlight

Inventions include amphibious bicycles, wind-powered irrigation systems and tree-climbing machines

@highlight

Frugal innovators around India have patented their inventions and received awards