(CNN) -- The human imagination is an amazing thing. Take for example the story of how a simple father-and-son chat led to a prototype spacecraft for landing on other planets.

One Friday evening in 2009, NASA engineer Stephen Altemus arrived home from work feeling, well, kind of frustrated.

Altemus, who was chief engineer at NASA's Johnson Space Center in Houston, believed the agency was under "incredible pressure and scrutiny" for allegedly high budget costs. NASA's ambitious Constellation program to develop a next-generation rocket was about to be canceled.

"The environment was a sense of uncertainty and chaos and redirection," Altemus told CNN last week on the phone. Engineering, he believed, wasn't being used to contribute to NASA's future.

"That responsibility to make sure every dollar is spent exactly right within the agency sometimes causes a stifling of innovation," Altemus said. "What NASA needed was an innovative fire that made it OK to try and fail and learn from mistakes."

Altemus' 15-year-old son noticed something was wrong.

" 'You never talk bad about NASA, Dad,' " Altemus recalled his son saying. The conversation that followed, the engineer said, was a "moment of inspiration -- instigated by my son."

They sat down at the family dinner table and talked about how to "put NASA back on the map with a bold mission that seemed nearly impossible." A short time later, Altemus created a few charts and his son put together an illustrative YouTube video.

Monday morning at his office, Altemus made his pitch to his NASA leadership team.

"I said, 'What if we unleashed the power of engineering, and did things our way, and were not deterred? What could we do together?' "

It was a radical idea: Build an unmanned spacecraft with a robotic explorer and send it to the moon within 1,000 days. Its engines would be powered by liquid oxygen and methane fuel. The vehicle would also have a self-guided laser landing system that avoided coming down on big boulders and other hazards.

Altemus' fellow team members said, "Yes." They were in.

Altemus then took his crusade to a higher level, briefing officials at NASA headquarters. "We told them, 'We've got an idea that's going to change the agency.' They were like: 'Yeah, yeah, this is really good but politically this may not fly.' "

Nonetheless, Project M was born.

"We had no money we had no endorsement from leadership, we had no authority to proceed, we had nothing. All we had was this commitment to do engineering in a lean, affordable way."

Despite a shoestring budget, Altemus' team cobbled together the parts and technology they needed. They bartered. They traded.

At first, "a whole lot of political fallout came trying to squash the project," Altemus said. Nonetheless, Project M gained momentum. "It was nothing like what NASA was used to."

Eventually, "the whole attitude changed."

By June 2010, Project M ended without making it to the moon. But it resulted in an offshoot project called the Morpheus planetary lander.

An unmanned spacecraft that can haul 1,100 pounds of cargo, Morpheus looks like a four-legged metallic spider on steroids.

Given what this thing can do without risking human lives, the four-year program was a steal at $14 million. Compare that to the approximate $1.7 billion cost of one space shuttle. That's billion, with a "B."

Mainly Morpheus serves as a testing platform for new technologies that could take both unmanned and manned spacecraft to other worlds. It's the first NASA prototype spacecraft to be propelled using liquid oxygen and liquid methane. It's also the first to use a suite of laser-based sensors as a kind of autopilot for dangerous landing situations.

"The technologies demonstrated on Morpheus are directly applicable to future robotic, and eventually human missions," Morpheus Project Manager Jon Olansen told CNN via e-mail. That includes landing on asteroids, the moon, Mars, or even Jupiter's moon, Europa. U.S. President Barack Obama has called for astronauts to orbit Mars by the mid-2030s.

But its development wasn't exactly smooth sailing. In 2012, during an engine test of a Morpheus prototype, the lander rose a short distance, rolled over and slammed into the ground. It caught fire immediately and exploded about 30 seconds later.

Thankfully there were no injuries, but the crash "was a huge setback for the team," Altemus said. NASA quickly "picked itself up" and figured out how to fix the problem.

Read more about the crash

Today, the latest version of the Morpheus lander "is a centerpiece for the agency to show what a fantastic team it is, and what incredible things can be done with just sheer willpower to imagine," said Altemus, who in 2013 ended a 25-year career at NASA to start an engineering products business based on space technology.

The sophisticated self-guided system that prevents Morpheus from setting down in hazardous landing zones could be used on a lander that could safely put astronauts on another planet. The auto-pilot could greatly reduce astronaut workload during the critical phase of a manned mission, Olansen said. It opens up areas for exploration that were once considered too dangerous even for robotic landings -- like the north and south poles of the moon, which are riddled with craters.

In fact, during the next decade, NASA plans an unprecedented mission to send astronauts to an asteroid. Accomplishing that feat would be historic.

Training has already begun. On May 9, two astronauts performed a simulated asteroid space walk at the Houston facility's 40-foot-deep low-gravity simulation pool. They practiced on a mockup of an Orion, NASA's manned spacecraft which is still being developed.

Read more about the asteroid mission

Amazingly, NASA planners hope to design a robot spacecraft that would capture an asteroid and haul it into a stable orbit near the moon. Next, astronauts aboard an Orion would spacewalk to the asteroid and collect rock samples that would help scientists learn more about the components of asteroids.

It's possible that Morpheus' fuel -- liquid oxygen and methane -- could be found on Mars or other planets. This opens the door to the idea that a Morpheus-like lander could refuel there.

Here's how it might work: An unmanned fuel-making spacecraft would travel to Mars ahead of the lander. The fuel-making spacecraft would then harvest methane from the atmosphere, said Altemus. "If there's water in the soil you would harvest the water and break down the water into oxygen and hydrogen. Then the lander sets down near the fuel-making spacecraft and uses the oxygen and methane to refuel for another flight.

How amazing would it be if that father-son talk across a Houston dinner table back in 2009 had even the smallest connection to a journey to another world?

Human space exploration is "part of our DNA," said Altemus. "It's as simple as that. We as human beings will find a way to strive to create, to invent. As long as there are planets in the sky that are unreachable, somebody's going to try to reach them."

@highlight

Ideas for NASA's unmanned Morpheus spacecraft started with a father-son talk

@highlight

Morpheus spacecraft has technology to land on other planets

@highlight

It's fueled by liquid oxygen and methane, which can be found on other planets

@highlight

Morpheus also proved that its self-guided landing hazard avoidance system works