(Sunset) -- Whether you're into lazy-day floating or rip-roaring rapids, there's a river out there for you. Compare these two trips to get a better idea of your taste.

The MILD trip: The Rogue River, Oregon

Day 1

The launch: At the tiny, woods-ensconced Galice Resort, the damp air smells like a sharpened pencil. It makes me think of Cabernet Franc. For some people, that first whiff of the uncorrupted outdoors might trigger a set of survival instincts. But I have none of those. What I have are ephemeral associations with lesser-known Bordeaux wine varietals. And so here I am, on a Wine on the River tour with a winemaker, a pair of chefs, a nimble river crew and a handful of fellow fortunate souls. We get the necessary primer before putting in: Drink lots of water, they tell us. Always, but especially on this trip, what with the three cases of wine being loaded onto the rafts.

"Lunchtime": That's the answer I get when I inquire about the time. Days here are measured in meals. We've lounged away the morning on a people-free, rapids-free stretch of river in a thickly forested gorge, under a cover of damp fog -- like drifiting through a rain cloud. Even with limited visibility, we've seen a great blue heron, a kingfisher, Canada geese, an osprey, a quick glimpse of an otter and a bald eagle. The river is calm, and we don't have to paddle if we don't want to. Yet, somehow, a stretch and a bite to eat are in order. The chefs have managed to pack all our food, gear and elegantly rustic table settings on the rafts, leaving the rest of us to kick back while they set up and break down each feast.

Sunset.com: Mild and wild defined, plus more rafting trips

Wine-thirty: After several miles of floating, we pull off at the Tyee Campground, a woodsy gravel bar. For the first time in my life, I must assemble a tent alone. But the payoff is grand: I sit down to cumin-grilled Tawanda Farms lamb chops with apricot-jalapeno chutney, assorted Oregon cheeses, fruit, eggplant puree, green olive tapenade, cucumber salad and red pepper relish with wontons and flatbread; followed by pan-seared king salmon with Oregon wasabi-thyme aioli, lemongrass cous-cous and ginger-citrus slaw; and finally topped off with Dagoba chocolate s'mores with homemade marshmallows -- each course paired with wine. It'll go on like this for two more nights. I will persevere.

Sunset.com: The West's best dude ranches

Day 2

Splashing around: I try out one of the inflatable kayaks we've been towing. Nobody, including me, seems to care that I can barely steer. It could just be hypothermia from playing in the 58º water, but I'm feeling close to the river.

Group bonding: This evening's icebreaker involves a spree of mutual toenail painting. Oh, and wine. Lots of wine. Personalities have emerged. Maybe it's the Sewell Rhône Blend talking, but I like these people. After dark, the stars go so many layers deep that a few of us decide to sleep directly under them, and our tents become mere storage units.

Day 3

Campsite gourmet: At the grassy, rolling hillside of the Tacoma Campground, we dine under an old oak tree: smoked steelhead with cream cheese, capers and onions; roasted beets with sheep's-milk feta; greens with candied hazelnuts; grilled American Kobe-style flatiron steak with caramelized onions and housemade Worcestershire. The brussels sprouts sauteed with andouille win multiple approvals, including several from people who thought they didn't like brussels sprouts.

Day 4

The last toast: One last bracing swim and one final meal, when we compare favorite flavors: the Cinsault Rosé, the Malbec, the Fiano, which worked so well with that asparagus; the crawfish cakes with remoulade, the seared duck breast, the lemon sponge cake with huckleberry compote, the everything else. It's safe to say that the uncorrupted outdoors has heightened my sense of deliciousness.

Sunset.com:The West's best food towns

The WILD trip: Chilko River, British Columbia

Day 1

Entry: My first glimpse of the Chilko is from 15,000 feet up in a tiny 10-seater plane, looking down the longest raftable stretch of continuous Class IV whitewater on the continent. Did I mention this is my first-ever rafting trip?

Beer talk: Our guide Mark has a shaggy river-rat beard and a Canadian lilt, and he's as skinny and spritelike as he is ruggedly reassuring. He instructs the eight of us -- a motley crew of three businessmen, a doctor, a lawyer, and a ranching couple -- on what to do if we run into a bear, how to tell a grizzly from a black, and how to prevent Mace mishaps. We're introduced to the Groover (a portable toilet).

Sunset.com: Top wow spots of the Hawaii volcanoes

Day 2

Calm water: After a paddling 101, our three rafts head out through the riffled water that the guides -- Mark, Brian and Jorge -- refer to as "calm." Which makes me and Ginny, the other whitewater rookie, mighty nervous about the hardcore rapids to come. We ride 22 miles, dipping our water bottles into the 50º glacier water on the way. The landscape looks surprisingly like New Mexico, with pine-covered mountains and mesas -- plus moose! We spot a chocolate-hued mother with calf and two bald eagles.

Day 3

Rapids!: Here they come. Deep breaths. We don our helmets, wetsuits and life jackets, and practice paddle maneuvers. Back paddle. Hard forward! We vanish into the rapids, as the raft bends and catapults and the waves pound through us on the famous great White Mile: 12 miles of rapids in 55 minutes -- yes, that longest stretch of continuous Class IV on the continent. Mark slides our 18-foot-2-inch raft through an 18-foot-4-inch gorge. We officially become whitewater junkies.

At camp: Tents are pitched while the guides set up and find a scenic spot for the Groover. Dinner is grilled chicken, fresh veggies with ginger butter, tiramisu, and five bottles of well-deserved wine.

Sunset.com: Best national parks -- avoid the crowds

Day 4

An "easy" day: Our raft gets hung up on a protuding log inside a rapid. Ever been inside a washing machine? On the "very cold" cycle? Jorge deftly extricates us, and we lay out clothes to dry on the rocks. We've entered hoodoo country.

Day 5

Class III cakewalk: Class III? No sweat. We talk politics as we run them. Camp goes up at Big Creek, with 200-year-old pines and grassy meadows. Mark reads stories about spectacular Groover mishaps (picture it overturning while you're in the way).

Sunset.com: The top 26 wilderness experiences

Day 6

The gaping jaws of death: Hang on! Hard forward!! Time for the 8-foot waves of the daunting Farewell Canyon, and I'm paddling too intently to see past the waves. We just clear the foam when Brian yells, "Bear!" and a young black bear runs up the cliff. After lunch, we take the two final, gargantuan rapids called Gaping Jaws of Death and Brains Smashed In. I'm drenched. We high-five with our paddles, and pull up to the raft carrying the beer cooler for a toast. Later, there'll be Champagne and reminiscing on a sandy beach under a red sky at our last campsite. And more Groover stories.

To read more rafting adventures, visit Sunset.com.

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright 2004-2011 Sunset magazine. All rights reserved.

@highlight

Check out the itineraries for two very different rafting trips in the West

@highlight

Days are measured in meals on a Rogue River wine-themed rafting tour

@highlight

Chilko River offers the longest stretch of continuous Class IV rapids on the continent