Global health experts on Friday declared the Ebola epidemic ravaging West Africa an international health emergency that requires a coordinated global approach.

Guinea, Liberia and Sierra Leone are battling the Ebola virus, which has also spread to Nigeria. The virus  has killed 961 people from the start of the outbreak this year through Wednesday, the World Health Organization said.

"The possible consequences of further international spread are particularly serious in view of the virulence of the virus, the intensive community and health facility transmission patterns, and the weak health systems in the currently affected and most at-risk countries," WHO said Friday after two days of emergency meetings.

The U.N. health agency described it as the worst outbreak in the four-decade history of tracking the disease.

"A coordinated international response is deemed essential to stop and reverse the international spread of Ebola," WHO said.

Ebola virus: 9 things to know about the killer disease

Medical aid groups applauded the designation but said that it alone won't reduce fatalities.

"Declaring Ebola an international public health emergency shows how seriously WHO is taking the current outbreak, but statements won't save lives," said Dr. Bart Janssens, director of operations for Doctors Without Borders, a humanitarian organization.

"Now we need this statement to translate into immediate action on the ground. For weeks, MSF has been repeating that a massive medical, epidemiological and public health response is desperately needed to save lives and reverse the course of the epidemic," said Janssens, using the initials for his organization's French name, Medecins Sans Frontieres.

"Lives are being lost because the response is too slow."

The agency said it has nearly 700 staff responding to the crisis in the affected countries. "All our Ebola experts are mobilized, we simply cannot do more," Janseens said.

American patients improving

Two Americans who contracted Ebola while supporting efforts to fight the disease in Liberia are showing improvement at Emory University Hospital in Atlanta. Dr. Kent Brantly and aid worker Nancy Writebol are getting treatment at one of four U.S. institutions capable of providing such treatment.

WHO warns of bogus information

Meanwhile, a WHO official said bogus information is adding to the rapid spread of the disease.

"Perhaps one of the most important factors contributing to this is fear and misinformation," said Dr. Keiji Fukuda, assistant director for health security.

"This is critical to understand, because what it is doing is that it helps foster suspicion and anxiety in communities, and when that happens we see a situation where people are reluctant to go to health facilities or maybe reluctant to bring their family members there."

Though infectious, Ebola "is not  mysterious" and can be contained, Fukuda said.

Liberian President Ellen Johnson Sirleaf said the fast-spreading disease has overwhelmed her nation's health care system.

"The scope and scale of the epidemic ... now exceed the capacity and statutory responsibility of any one government agency or ministry," she said.

The Liberian leader declared a 90-day state of emergency this week, which will allow her government to set up a series of measures to prevent the spread of the disease.

9 questions about this new Ebola drug

While Liberia struggles to contain the epidemic, the United States ordered relatives of its embassy employees to leave the country. The U.S. Embassy is in the capital of Monrovia, one of the areas hardest-hit by the epidemic.

Washington said it's sending experts to Liberia, including 12 specialists from the Centers for Disease Control and Prevention, and a 13-member disaster assistance response team from the U.S. Agency for International Development.

Ebola is here: 5 reasons not to panic

The Ebola virus causes hemorrhagic fever that affects multiple organ systems in the body.

Early symptoms include weakness, muscle pain, headaches and a sore throat. They later progress to vomiting, diarrhea, impaired kidney and liver function -- and sometimes internal and external bleeding.

Ebola spreads through contact with organs and bodily fluids such as blood, saliva, urine and other secretions of infected people. It has no known cure. The most common treatment requires supporting organ functions and maintaining bodily fluids such as blood and water long enough for the body to fight off the infection.

What's the risk of catching Ebola on a plane?

@highlight

Ebola has killed 961 people from the start of the outbreak this year

@highlight

U.N. health agency: "A coordinated international response is deemed essential"

@highlight

Doctors Without Borders applauds designation but says "statements won't save lives"