Washington (CNN) -- A new incident inflaming tensions between the United States and Afghanistan -- this time the alleged massacre of 16 Afghan civilians by a U.S. soldier -- calls into question the chances for stability as the U.S.-led military mission shifts security responsibility to Afghan forces in coming months.

Sunday's shootings in Kandahar province followed a series of events that already had sparked anger and distrust between the Afghan and U.S. governments, including the burning of Qurans by U.S. soldiers that led to a violent backlash, including attacks that killed U.S. service members.

Now the concern is that an atrocity apparently carried out by a lone American soldier will heighten anti-U.S. sentiments among a civilian population that is key to a successful counterinsurgency strategy against the Taliban.

Suspect suffered brain injury in 2010, Pentagon official says

Analysts and U.S. officials said Monday they believe the transition under way -- which seeks to end the American-led military mission in 2014 -- will remain on track, though the process may be more difficult.

"There is still no better option and the Afghans still aren't ready to handle their problems without us, and I think they know that," said Michael O'Hanlon, a senior fellow at the non-partisan Brookings Institution, in an e-mail to CNN.

Seth Jones, a senior political scientist at the non-partisan Rand Corporation research organization, said the Sunday incident "certainly adds to tension between the U.S. and the Afghans, but I don't believe this is a tipping point."

In the end, Jones told CNN, a key issue is whether local Afghan clans and sub-tribes will continue to work with U.S. and Afghan forces as part of the transition process.

"If it becomes clear in multiple regions that they would prefer a smaller U.S. role, especially one not in the lead, I do think that means transitioning to an Afghan lead faster," Jones said.

Calls to hasten the transition in Afghanistan had increased at home before Sunday's shootings. Last week, two dozen U.S. senators -- Democrats and Republicans -- sent a letter to President Barack Obama that argued for a faster handover of security responsibility to Afghan forces so that U.S. combat forces could come home.

Senate Majority Leader Harry Reid, D-Nevada reacted to Sunday's shooting by adding to the calls for bringing U.S. troops home from Afghanistan as soon as possible, while Republican presidential hopeful Newt Gingrich said the entire Afghanistan mission needs to be reassessed.

The Obama administration insisted Monday that the civilian killings, while tragic and horrific, would not change the goals or timing of the U.S. strategy to defeat al Qaeda in Afghanistan and turn over security responsibility to Afghan forces.

"This is a challenging time, there's no question," White House Press Secretary Jay Carney told reporters Monday. "I do not believe that this incident will change the timetable of a strategy that was designed and is being implemented to allow for the withdrawal of U.S. forces."

Carney noted that in the aftermath of the recent violent backlash in Afghanistan after the Quran burnings by U.S. troops, the two nations were able to complete a long-negotiated memorandum of understanding on the transfer of detainees.

Also Monday, the Pentagon called the mass shooting in Afghanistan "an isolated incident," and spokesman George Little said the overall mission there remains the same.

"Despite what some are saying, we are not changing our fundamental strategy," Little said. In addition, he said, recent polls that show a lack of American support for the war will not affect the strategy.

O'Hanlon, of the Brookings Institution, said fallout from the Sunday shooting could harm efforts to negotiate a long-term strategic partnership with Afghanistan intended to maintain U.S. support after the end of the formal military mission.

So far, those talks have been "impeded by impasses over issues such as NATO night raids and civilian casualties," O'Hanlon added.

Jones, the Rand Corporation analyst, said news of Sunday's attack was sure to travel quickly throughout Afghanistan, spread by mullahs in mosques, word-of-mouth and radio.

The government will likely depict the incident as the latest of many atrocities by both sides, noting Taliban killings of civilians, while the Taliban will try to portray it as another example of U .S. aggression, Jones added.

In Afghanistan on Monday, the Taliban called U.S. forces "sick-minded American savages," warning in an online statement that the group would mete out punishment for their "barbaric actions."

President Hamid Karzai labeled the attack an "unforgivable" crime, and people in the area of the killings were angry at both Americans and Afghan security forces, whom they accuse of failing to protect them, villager Muhammad Wali said.

"The people in these villages are scared, and we don't know what is going to happen next. ... They saw nothing except the Americans going and killing them in their homes," Wali said.

To Jones, the greatest anger will come from "the specific sub tribes and clans themselves where they lost villagers."

"I think this will require some time to shake out," he said, adding that the full impact of the attack won't be known until the view of the Afghan population becomes more clear.

Only if the Afghan government and the Afghan people want to quicken the pace of the U.S. withdrawal will that happen, Jones said, adding: "It shouldn't be based on one incident."

CNN's Chris Lawrence and Brianna Keilar contributed to this report.

@highlight

Another atrocity heightens anti-U.S. sentiments in Afghanistan

@highlight

U.S. officials say the latest shooting won't change the Afghanistan mission or timetable

@highlight

Security responsibilities are to be turned over to Afghan forces by the end of 2014

@highlight

Last week, two dozen U.S. senators called for speeding up the transition