(CNN) -- "Theatre of Dreams" reads the plaque on the classroom door of Manchester United Soccer School in Mumbai. Nutritional advice and tactics are scribbled on the whiteboard and a Wayne Rooney portrait hangs on the wall.

But if the future of the domestic sport lies at the feet of new talent, youngsters are dreaming of playing in stadiums abroad, not at home.

Endemic problems over the last four decades have slumped the nation to a low 149 out of 209 in FIFA's world rankings, moving FIFA president Sepp Blatter to describe Indian football as a "sleeping giant."

However, the arrival of Dutch coach Robert Baan as the nation's first technical director signals a possible revival of a country with a 1.2 billion population.

Appointed in October 2011, Baan was previously the technical director in the Netherlands and caretaker coach for the Australia Under 23 team. In India, he says he had spotted about five boys aged below 10 whose skills were on par with European youngsters of that age group.

Qualifying for the World Cup

It is still early days, but Baan believes with continued development of India's grassroots, the country might be ready to participate in the 2022 World Cup. "Or more realistically, 2026 or 2030," he adds.

"As India has just started to implement grassroots football it will take 10 years or more to get these players to the same level as in Japan, Korea, or Europe and South America."

This grassroots project involves the All India Football Federation (AIFF) opening residential academies all over the country, free to athletes and providing education alongside football training.

These are different to the academies run by overseas clubs such as English Premier League champion Manchester United, which require fees and are non-residential.

The first AIFF academy opened in Navi, Mumbai in May 2012, the second in September 2012 in Pailan, another recently in Goa, with a fourth coming soon in Bangalore.

"We already have our under-19 boys in Goa and that will now be our elite academy, possibly moving to Pune in the coming months," said Baan.

Sunando Dhar, CEO of the AIFF's domestic I-League, has high hopes for this new development.

"I think this is the first positive step that Indian football and the AIFF have taken in the last 30 years," he said.

Up until the 1970s, India, which has long been one of the world's top sides at cricket, was among the best sides in Asian football and the national team was even invited by FIFA to play in the 1950 World Cup in Brazil.

In the end India failed to make it to Brazil. According to football historian and statistician Gautam Roy, the journey by ship was too expensive and the players were unable to fulfill the compulsory requirement to wear football boots, as they usually played with bare feet.

The AIFF has governed football in India for 75 years and was responsible for appointing Baan. Located in Dwarka in southwest Delhi, the AIFF's headquarters is an impressive building crowned with a huge football.

Is India a sporting country?

Despite that bold architectural statement, Dhar is more downbeat in his assessment of the country's competence: "India lacks sporting passion and is not really a sporting country."

That surprising admission provoked astonishment from two Indian football experts.

"India has been playing football, as well as cricket, for over 100 years," Roy told CNN. "There are so many individuals in cricket, football, athletics and hockey.

"We've won gold medals and been world champions, despite being amateur players. If India is not a sporting nation, then why are there so many people playing sport on the ground?"

Former Indian soccer star Baichung Bhutia, who briefly played for English lower division team Bury FC in 1999, added: "If the AIFF says India's not a sporting nation, then what are they doing there? You have to make it a sporting nation!"

Dhar defends his view and says India does not have a strong presence at the Olympics.

Referring to how interest in cricket soared after the first World Cup win in that sport in 1983, he says: "If the national team does well, it suddenly changes the equation completely."

India's national captain Sunil Chhetri believes the AIFF's criticism of the team dampens their confidence and argues everyone should be working together.

Chhetri gave India a sign of hope when he joined the reserve side of Portuguese club Sporting Lisbon in July last year, with Indian football pundit Arunava Chaudhuri describing the move as the "biggest ever transfer of an Indian footballer."

But the main goal should be for Indians to renew national pride in their home game, which currently rejoices in its past.

Beating the British

British soldiers introduced the sport to the country in the 19th century and an Indian team even beat them at their own game to win a domestic tournament in 1911. Roy says this victory gave India the confidence to make the move towards independence, which finally happened 36 years later.

However the influence of England -- or rather the English Premier League -- still hangs heavy over Indian football.

At Bhutia's academy in Delhi, 14-year-old Somil, Vansh and Tannay say they stay awake until the early hours to keep up with the European Championships and the World Cup. And they all wish to go to Europe to play professionally.

"In the English Premier League, I support Chelsea. And for La Liga, it's Barcelona," says Somil, without hesitation. "But I don't really know much about Indian football."

In December 2010, AIFF signed a 15-year lucrative seven billion rupee ($1.3 million) marketing deal with India's IMG Reliance --- a world-leading sports management company -- to boost the promotion of domestic football.

Dhar says revamping the I-League is a priority. But that was over two years ago and experts say little improvement has been made since.

The Indian Football Association (IFA), which manages football in West Bengal, organized the country's first international friendly between the hugely popular Venezuela and Argentina in 2011. Crowds packed out the 120,000-capacity Salt Lake Stadium in Kolkata for a glimpse of Argentina's superstar Lionel Messi.

But while tickets were in short supply to watch arguably the world's best player, local matches remain abandoned on unpopular television channels and without effective promotion.

Last year, private company Celebrity Management Group organized a Premier League Soccer, spending almost $7 million bidding for retired World Cup players, including former France international Robert Pires.

However, the stadiums were not ready in time, which led to an indefinite postponement and players left in limbo without their wages. Again, these efforts, independent of the AIFF, did not make noticeable improvements to the home game.

Kolkata-based Mohun Bagan A.C. and East Bengal F.C. are the biggest Indian clubs with a historical 86-year long rivalry, comparable to the Scottish clubs Celtics and Rangers. In fact, a derby match can attract a crowd of 100,000 people.

"These clubs don't know how lucky they are because they did absolutely nothing to get this kind of commitment from fans," says Hindustan Times sports journalist Dhiman Sarkar.

Anjan Mitra, general secretary of Mohun Bagan A.C., boasts about the club's "worldwide" following. But when asked about the lack of merchandise available for fans, he says they have run out and will re-order soon.

Sarkar says: "Mismanagement is a huge part of the problem."

Bhutia now co-owns the United Sikkim club, which has risen to the I-League's top division just five years after its formation.

He argues that AIFF should be working with and advising clubs on management, attracting investors and developing players.

"The AIFF doesn't help club owners who aren't as knowledgeable as me," he said. "Football hasn't changed; it's still the same from the '60s and '70s. It hasn't caught up with world football and where it's gone.

"That's the story of India itself."

'Unclaimed territory'

However Roy feels worldwide perceptions are changing.

"Everyone's looking towards India," he said. "Here you have over one billion people; if you can make football popular, it will be one of the most popular things."

The scope for development is also being keenly monitored by some of Europe's leading clubs.

Along with Manchester United, Liverpool and Barcelona have also opened football academies in the country. Dhar describes India as "unclaimed territory."

Former Liverpool player Steve McMahon began the Steve McMahon Football Academy in October 2011 in New Delhi.

Anshuman Tripath, supportive father of 12-year-old Utkarsh who attends the school, says it has "the best facilities and training, much better than government facilities" and that "British coaches also bring a completely different perspective."

Education, education, education

But these initiatives still have to overcome the emphasis Indians place on education, which has traditionally overshadowed sports.

Shaji Prabhakaran -- FIFA's South Asia development officer -- says schools in India should give sport as much importance as math and promote its health benefits.

Baan says children aged between six and 12 years old need to be offered a weekly program of fitness and sports run by quality coaches at all schools. "Let the child learn to play all kinds of sport and find out for which he has most talent."

According to Baan, Indian children are increasingly able to tell their parents "what they want." In addition, attractive salaries, and the opportunities to become a coach or a physio, are incentives for parents to allow their children to pursue football.

In fact, Roy says I-League players earn more than cricketers: "The prize money is low at five million rupees ($93,000) but the clubs are paying a lot because they're sponsored."

Last year, India placed a bid to host the FIFA Under-17 World Cup tournament in 2017, and would be given automatic participation if it is successful. Das points out that this would be the first time that India would play in a World Cup.

But FIFA is demanding certain guarantees from the Indian government, such as security, tax and foreign exchange inflow, and acceptance of the bid is uncertain.

However, Baan is hopeful: "It will give Indian football a big boost."

Ultimately, heroes are made, not born.

"The Messis of the world only come through if we create the right kind of environment," Prabhakaran argues.

"If Messi was growing up here, he may not have been so successful."

.

@highlight

India's national football team ranks 149 out of 209 FIFA member nations

@highlight

India used to be among the best in Asia at the sport until the 1970s

@highlight

FIFA president Sepp Blatter describes Indian football as a "sleeping giant"

@highlight

Dutchman Rob Baan signals hope as the nation's first technical director