(CNN) -- Since a temporary radiologic technologist was accused of stealing drugs from a New Hampshire hospital and giving patients hepatitis C through infected syringes, troubling reports of his past have emerged -- casting a spotlight on the staffing industry as a whole.

David Kwiatkowski worked in 13 hospitals in eight states between January 2007 and July 2012, when he was arrested in a Massachusetts hotel room "in an intoxicated state," according to court documents. During that time he was employed by at least two staffing firms: Triage Staffing and SpringBoard Healthcare Staffing.

A surge of contract employees have entered the work force since 2009, according to the U.S. Bureau of Labor Statistics. Businesses turned to staffing firms to handle their workload until they were more certain of their company's future. More than 25% of all new jobs created were temporary.

The health care industry was especially affected by the economic downturn in recent years, said American Staffing Association spokesman Steve Berchem. Patients put off elective procedures amid hospital uncertainty over effects of the Affordable Care Act.

"Many health care professionals were seeking the flexibility that contract work allowed and were leaving hospitals with vacancies," Berchem said. "Hospitals are turning to staffing firms to fill those vacancies to make sure they have the employees and staff and skills they need to ensure quality care."

Approximately 1.7% of the health care industry's work force is now composed of temporary or contract workers, according to ASA data. That's about 240,000 employees, compared to the nearly 14 million full-time health care workers in the United States.

Lack of evidence for man accused in hepatitis C case?

But those temporary employees play an important role in hospitals, Berchem said. They fill in gaps in almost every field -- from nurses to physicians to med techs and administrators.

While the hepatitis C infections have prompted concerns about whether contract workers are providing substandard care, research shows the opposite is generally true.

A 2007 study conducted by the Center for Health Outcomes and Policy Research at the University of Pennsylvania showed that temporary nurses are often better educated and more recently trained. Berchem said hospitals that do not use temporary workers tend to have more negative patient outcomes because they have fewer staffing resources overall.

Still, the Kwiatkowski case raises questions about the hiring process for both temporary and permanent health care workers.

The case is not the first regarding a health care worker accused of harming patients during a career punctuated by troubling incidents. In 2005, a New Jersey law took effect requiring health care professionals or companies to notify the state Division of Consumer Affairs of concerns or misconduct of health care workers who could endanger patients.

It was passed after nurse Charles Cullen was accused of killing more than 20 people in the state. Cullen reportedly was hired at a number of hospitals during his career in spite of what officials said was a questionable employment record.

Two years ago, Kwiatkowski was fired from Arizona Heart Hospital in Phoenix when a fellow employee found him passed out in the men's bathroom, according to documents obtained by CNN. A few weeks later, he was working at Temple University Hospital in Pennsylvania.

The staffing agency that employed Kwiatkowski at the time, SpringBoard, reported the incident to the American Registry of Radiologic Technologists, according to a spokeswoman for the agency.

The ARRT said this week that they did not punish Kwiatkowski because they did not have firsthand evidence of the 2010 incident. And the director of the Arizona Radiation Regulatory Agency said officials stopped their investigation when Kwiatkowski moved out of state.

Confused? So are investigators, who are still working to sort out all the facts.

Scott Schnierer, vice president of business development for Comforce Staffing Services, said that most staffing firms conduct a seven-year background check on potential employees. They will also do on-site drug tests and verify a candidate's credentials.

"We're the legal employer of record," Schnierer told HLN last week. "We insure them, we pay their payroll taxes. So while 'temporary' or 'contract worker' may have a certain reputation or connotation, we take them very seriously. ... We take the full HR responsibility as any direct employer would."

Did registry know man accused in outbreak was earlier fired?

If there is a problem with an employee, hospitals are asked to report it to the staffing firm, he said. Either party can take disciplinary action.

"Basically, it really falls down to the department level," Schnierer said. "If they want to put it under the rug, things can happen. But it's up to the department manager to report it to HR. HR should inform the staffing firm -- that's the only way we'll know."

One of the biggest problems, Schnierer and Berchem agree, is that former hiring managers are often unwilling to disclose the reason for a past employee's termination, creating holes in a background check.

And it's not just a problem for staffing firms. Kwiatkowski was charged with stealing drugs from Exeter Hospital, where he was hired as a full-time employee.

"Many employers are fearful of litigation and will verify employment dates only," Berchem said. "The system is only as good as the information available."

HLN's Allison Rampley contributed to this report.

@highlight

David Kwiatkowski worked in 13 hospitals between January 2007 and July 2012

@highlight

Approximately 1.7% of the industry's employees are temporary or contract workers

@highlight

Contractors fill in gaps in almost every field -- from nurses to physicians to med techs