(CNN) -- What a difference a year makes. Last year, delegates at the Ambrosetti Forum in Italy had a lot to contend with. The economic crisis was in full bloom and they had urgent concerns: Will Greece leave the eurozone? Will the euro survive? Is the project doomed?

A year on, it seems those worries have eased; the mood has lightened and the crisis is finally over.

Even if you don't feel it, the latest economic numbers show the eurozone is growing again and confidence has returned to the continent.

Read more: Rail expansion plans bring fractured Europe closer together

Despite the optimism, concerns remain and I'm told time and time again here that Europe still faces a mighty task.

That much I'm aware of, but what do the captains of industry feel needs to be done to get Europe growing and competing on the world stage?

Unemployment

Andrea Marescotti, the Managing Director of Brembo, one of Italy's leading manufacturer of automotive brakes, tells me over an espresso that unemployment is his biggest worry.

He tells me job creation should be Europe's priority "to have stable growth, with growth of consumption, you need to create jobs. If you don't produce, you don't buy. So the question is how we can foster a stable increase in jobs."

Read more: Spanish exports are bright spark for economy

Antonio Tajani, the Vice-President of the European Commission is of the same opinion. In fact, he tells me this is his project: building new jobs for young people by creating a new education policy in Europe.

To do this he says, we need to build "a link between schools and small and medium- size businesses. This exists in Germany and Austria. We need this in every European state." It's refreshing to see youth unemployment hasn't been ignored, after all, Spain and Greece are both struggling under the weight of 56.1% and 62.9% youth unemployment respectively.

Read more: Royal Delft unfazed by copycats

But whilst the talk is promising, I find it rather strange that the discussion is being led by a group of middle-age men who know little of the challenges young people face. I know it, because I too have had to deal with student debt, job applications and random jobs on the side. But now I'm veering off-point.

Cohesion

Alongside talk of unemployment, growth and competitiveness, key words crept up time and time again to my surprise: cohesion and political union.

Marco Tronchetti Provera, the Chairman and CEO of Pirelli, felt strongly about this subject, arguing that to grow again and compete with the likes of China and India, Europe must work closer together.

Read more: The Netherlands: A nation under water

He candidly told me: "We have a Europe that needs a project that refines more deeply the countries. We have a Europe that doesn't have enough cohesion, there are no common projects on the many issues such as energy."

His words echo those of European Commission President Jose Manuel Barroso, who this week called for a "Europe that is united, strong and open." It all returns to his famous quote: "we swim together, we sink together."

Stability and Complacency

This year at the Ambrosetti, there is definitely a sense that Europe is thinking together; acknowledging that there can be strength in their numbers.

But for all the talk of Europe's economic achievements, of green shoots of recovery, there were reminders, alarm bells of sorts of the risks of complacency.

Read more: Recession leaves bitter taste for Italian coffee makers

Francesco Caio, the CEO of Avio Group, was perhaps the most pessimistic on Europe -- warning about political instability and complacency "there is still a need to be very alert. Stability is a competitive factor. We don't need a government crisis right now, " he told me.

Four days later in his State of the Union address, Barroso touched on the same subject when he said that the biggest downside risk to Europe's recovery is political.

Of course, Barroso didn't single out any particular country, but the warning could have been directed at Italy whose coalition is facing an uncertain political future after the country's top court found former prime mnister Silvio Berlusconi guilty of tax fraud.

There is no doubt that Europe is breathing a bit easier again. The crisis has abated and our politicians are smiling once more.

But let's not start popping the prosecco, cava or Champagne just yet. The work is just beginning and the scars have yet to heal.

Still, what a difference a year makes.

@highlight

Spain and Greece are both struggling under the weight of 56.1% an 62.9% youth unemployment respectively

@highlight

Pirelli CEO Provera said that Europe must work closer together to compete with the likes of India and China

@highlight

European Commission VP Tajani prioritizing new jobs for young people by creating a new education policy in Europe