Washington (CNN) -- The Supreme Court ruled for drug manufacturers Tuesday, deciding that a case brought by a Pennsylvania family who says their child was injured by a vaccine cannot be heard outside of a court created to hear such claims.

The Bruesewitz family engaged in what they called a "fight for justice," claiming that a combined disease-prevention booster shot left their then-infant daughter with severe physical injuries.  But the justices, by a 6-2 vote, concluded that drug makers cannot be sued outside a special judicial forum set up by Congress in 1986 to address specific claims over safety.

The so-called "vaccine court," which has handled such disputes, was designed to ensure a reliable, steady supply of vaccines by reducing the threat of expensive lawsuits against pharmaceutical firms.

It was clear the high court struggled over precisely how the federal statute should be interpreted, and Justice Antonin Scalia, writing for the court, said congressional ambiguity in the law played a part in their conclusions.

"The lack of guidance for design defects [in the drugs] combined with the extensive guidance for the grounds of liability specifically mentioned in the act strongly suggests that design defects were not mentioned because they are not a basis for liability," he wrote.

At issue was whether such liability claims can proceed in separate state courts, if the vaccine-related injuries could have been "avoided" by better product design and if federal officials had approved another, allegedly safer drug.

"Taxing vaccine manufacturers' product to fund the compensation program,while leaving their liability for design defects virtually unaltered, would be an odd way to make vaccine manufacture more effective," said Scalia.

The lawsuit was brought by the parents of Hannah Bruesewitz, a young woman from the Philadelphia area.  They claimed she was in fine health as an infant in 1992 when given a series of DPT shots -- a combination of vaccines to prevent diphtheria, pertussis (whooping cough) and tetanus. After the third series, according to court briefs, the child began having seizures and became disabled. Hannah, who turns 19 next week, continues to suffer what is described as "residual seizure disorder," and will require lifelong care.

The Bruesewitzes alleged Wyeth Laboratories failed to adequately warn them and other parents of the risks associated with the vaccine. Court records show the vaccine lot in question produced 65 reports of adverse reactions, including 39 emergency-room visits.

The family alleges another vaccine owned by Wyeth -- known as Tri-Solgen -- had proven in earlier tests to result in fewer potential side effects. The Bruesewitzes claim the company and the federal Food and Drug Administration were lax in pushing use of the alternative, potentially safer vaccine. The original drug given to Hannah was discontinued by Wyeth in 1998.

The "vaccine court" rejected the initial claim, so the family tried to revive the lawsuit in separate state and federal courts. Their lawyers claimed Congress did not intend to block all vaccine-related lawsuits, especially those filed when the harmful side effects were avoidable.

Four firms supply vaccines for the U.S. market -- Wyeth, GlaxoSmithKline PLC, Merck & Co. and Sanofi-Aventis SA.

Justice Sonia Sotomayor dissented in the case, joined by Justice Ruth Bader Ginsburg.

"Manufacturers, given the lack of robust competition in the vaccine market, will often have little or no incentive to improve the designs of vaccines that are already generating significant profit margins," wrote Sotomayor. "Nothing in the text, structure, or legislative history remotely suggests that Congress intended that result."

A federal appeals court eventually ruled for Wyeth, now owned by Pfizer Inc., concluding all design-defect claims were barred under the statute.

Despite that victory, the company urged the high court to hear the case, saying it seeks final resolution on the broader legal questions. The Obama administration under then-Solicitor General Elena Kagan also urged review and is supporting the company and the federal law in question.

Kagan, now a Supreme Court justice, sat out of the case to avoid a conflict of interest in the eventual ruling.

Wyeth and other drug manufacturers say their products are generally safe, but side effects can occur in very rare cases. They also say the vaccine industry is generally not profitable, but the health benefits for society in general have kept them in the business. For that, they say, legal protection provided by Congress is essential to ensure such drugs are widely available and

affordable.

Doctors' groups applauded the high court ruling.

"Childhood vaccines are among the greatest medical breakthroughs of the last century," said Dr. O. Marion Burton, president of the American Academy of Pediatrics, which represents 60,000 physicians. "Today's Supreme Court decision protects children by strengthening our national immunization system and ensuring that vaccines will continue to prevent the spread of infectious diseases in this country."

The high court has yet to act on a related pending appeal. The Georgia Supreme Court in 2009 became the first appeals court in the United States to allow families to sue outside the special vaccine court. That case involved Atlanta-area parents who claimed their son, Stefan Ferrari, suffered severe neurological damage 12 years ago from booster shots by Wyeth and GlaxoSmithKline that contained the mercury-based preservative thimerosal. Now 14, the boy is unable to speak, say his parents, Stefano and Carolyn Ferrari.

The preservative has since been taken out of nearly all standard vaccines.

Despite winning at the state level, the family has since withdrawn its case, but the liability on drug companies resulting from that decision remains in force in Georgia.

The National Childhood Vaccine Injury Compensation Act was passed to establish a nationwide strategy to ensure a secure vaccine supply, promote safety and future research, and compensate innocent victims. Those goals were listed at the time as a "top public health priority."

Lawmakers at the time recognized the vaccine supply was suffering under rising company costs from potential liability claims. Despite FDA approval for the vaccines, pharmaceutical firms claimed they were being driven out of the market. The special federal court created under the legislation was a liability shield, designed to be a reliable, relatively quick, no-fault solution to various claims.

Unresolved over the years is whether and when certain exceptions to liability should be in play in specific cases.

The current high court case is Bruesewitz v. Wyeth (09-152). The pending case is American Home Products Corp. v. Ferrari (08-1120).

@highlight

The Supreme Court decides in favor of drug manufacturers

@highlight

The case cannot be heard outside of a special court created for such cases, the justices rule

@highlight

The Bruesewitz family said a vaccine severely injured their infant daughter