(CNN) -- The Navy's new super stealthy destroyer, the USS Zumwalt, has a lot in common with Hollywood's starship Enterprise, according to folks who've seen it in person.

Much has been written about the Zumwalt's appropriately named commander, Capt. James Kirk. But aside from that coincidence, the ship's operations center utilizes advanced technology that takes multitasking to a deadly new level on the high seas.

First launched last year, this is a massive $3 billion warship -- the largest type of destroyer in the modern Navy by about 65%. One thing that sets it apart is a very small crew.

Compared with about 300 sailors needed for similar warships, the Zumwalt's minimum compliment is only 130.

The smaller crew is made possible by advanced automated systems which "make it much easier and much more effective for the sailor to operate," says former Navy Capt. Wade Knudson, who now serves as Zumwalt program director for Pentagon contractor, Raytheon.

In the operations center -- which in many ways is the heart of the ship -- sailors are surrounded by an array of video displays that have been designed to be used by a generation raised on video games, Knudson says.

Raytheon tested the technology configuration in the operation center with young, gamer sailors, Knudson says. "We've brought them down to our labs and we got direct feedback from them using human-factor engineers in order to make sure that we've integrated all the displays and information in a way that they can use the systems most effectively."

The result, he says, is less chance of making errors on the ship. "The system and the computer provide information to the sailor in a way that they're used to."

Work stations inside the center are outfitted with three common displays, Knudson says. "You can sit down at any of the systems and operate them."

At 610 feet long and 80 feet wide, the Zumwalt is about 100 feet longer and 20 feet wider than ships in the Navy's current fleet of Arleigh Burke-class destroyers featured in the action-packed 2012 film "Battleship."

Although it's huge, the Navy says this thing is surprisingly stealthy.

Much of the ship is built on angles that help make it 50 times harder to spot on radar than an ordinary destroyer. "It has the radar cross-section of a fishing boat," Chris Johnson, a spokesman for Naval Sea Systems Command, told CNN last year.

Meet Capt. James Kirk, commander of the USS Zumwalt

Sean Gallagher, of the self-described "alpha geek" website Ars Technica, got a chance last year to explore a mockup of the Zumwalt's operation center. The workstations are part of the ship's Common Display System -- nicknamed "keds" for short, Gallagher reported.

Sailors operate keds with "trackballs and specialized button panels," Gallagher reported. Operators have an option to interface by using touchscreens, if they prefer, according to Gallagher.

The whole operations center technology array saves manpower by allowing sailors to monitor multiple weapons systems or sensors, Gallagher reported. The Zumwalt, Gallagher wrote, also includes limited wireless networking capability.

"Theoretically, the ship could even be steered from the ops centerâ€”the ship is piloted by computer, not a helmsman," Gallagher wrote. CDS displays are built into the "commanding officer's and executive officer's chairs on the bridge," he reported.

The way all the ship's weapons, radar and other systems are displayed to users and the captain, Knudson told CNN, "it really give them unprecedented situational awareness."

"That ability is truly going to be a game-changer."

In its current configuration, the Zumwalt will carry a considerable arsenal of weapons, including two Advanced Gun Systems (AGS), which can fire rocket-powered, computer-guided shells that can destroy targets 63 miles away. That's three times farther than ordinary destroyer guns can fire.

But one day it could be fitted with advanced weapons systems that are currently experimental, including a laser weapon and an electromagnetic railgun.

Electromagnetic railguns don't need to fool around with needless explosive warheads or propellants. These fearsome weapons inflict damage by sheer speed. The gun uses electromagnetic force to blast a missile 125 miles at 7.5 times the speed of sound, according to the Navy.

The laser weapon -- which could be fired by one sailor on a video game-like console -- is designed to take on aircraft or small surface vessels.

Read more about the Navy's plans for new weapons

Currently undergoing sea testing, Knudson says the Zumwalt is expected to join the rest of the Navy fleet sometime in 2016.

@highlight

Navy's new destroyer USS Zumwalt boasts operations center bristling with new technology

@highlight

Advanced workstations allow one sailor to do the work of several on older warships

@highlight

Although the Zumwalt is the Navy's largest destroyer, it has a small minimum crew of about 130

@highlight

The operations center is designed to be used by the video-game generation