(CNN) -- When the HMS Birkenhead, a British ship carrying troops, began to sink off the coast of South Africa in 1852, the captain and military officers on board famously allowed women and children to board the lifeboats first.

The captain and many of the troops stayed on the ship until the last, perishing in the ocean as the women and children made their way to safety. Their chivalrous act of self-sacrifice is considered to have helped set the standard for noble conduct at sea.

Other displays of courage by captains and crew members who put their passengers first have punctuated the decades since, like Capt. Edward J. Smith who went down with the Titanic.

But such bravery has been conspicuously absent from two major maritime disasters in recent times.

Capt. Lee Joon-seok of the Sewol, the South Korean ferry that sunk last week, has come under heavy criticism for abandoning the ship while hundreds of passengers remained on board. Dozens of them died and more than 200 were still missing Monday.

Lee's actions have prompted comparisons to those of Capt. Francesco Schettino who was in command of the cruise ship Costa Concordia, which crashed into a reef off the Italian coast in 2012, killing 32 people.

Witnesses said Schettino jumped into a lifeboat to flee the ship, even though hundreds of passengers were still on board. In his trial, the captain said he fell into a lifeboat when the ship listed sharply.

Schettino is now on trial on charges of manslaughter, causing a maritime disaster and abandoning ship with passengers still on board. He denies wrongdoing.

The cases of the Sewol and the Costa Concordia have raised questions about a captain's obligations to passengers when a vessel runs into trouble.

Go down with ship?

By leaving the Sewol soon after it began sinking, Lee reneged on some of his key duties, experts say.

"The captain's first obligation is for the safety of his crew and passengers," Capt. James Staples, a maritime consultant, told CNN. "He should stay on board that vessel until he knows everybody is safely evacuated.

"And then the other reason he stays on board the vessel is for salvage rights. For the captain to leave the vessel in an early situation, it's not the way it should be done."

An international maritime convention on the safety of life at sea makes a captain responsible for the vessel and all the people on board, but it doesn't stipulate that the captain stay on the ship throughout the crisis.

"You don't necessarily want a captain dying with a ship. But he has a responsibility for the safety of everybody on board that ship," said Cade Courtley, former Navy SEAL and president and founder of SEAL Survival.

"He's got to be there and take care of that," Courtley told CNN. "And this guy didn't do that. He was one of the first off. I mean, that's kind of unforgivable, basically."

Murky waters cloud horror facing divers

Criminal charges

Some countries, including Italy and South Korea, make abandoning ship a maritime crime.

And similarly to Schettino in Italy, Lee is facing criminal charges over his role in the disaster, including abandoning his ship, negligence, causing bodily injury and not seeking rescue from other ships.

South Korean President Park Geun-hye has likened the actions of Lee and some of the ferry's crew members to murder.

Schettino and Lee are not alone in leaving a doomed ship before their passengers, though.

As well as the role of honor for captains who went down with their vessels, there is hall of shame for those who jumped ship.

In one example, the Italian steamer Sirio was wrecked off the Spanish coast in 1906, killing more than 150 people.

Its captain was reported to have abandoned the ship at the first opportunity, but he died the following year of "a broken heart" according to a report in The New York Times.

Delayed evacuation

Lee has drawn particular criticism for apparently ordering passengers to delay the evacuation of the Sewol as it foundered.

"The captain should have been passing honest and clear information on to everyone as to the situation, not telling them to just sit," said William Doherty, a retired captain with the U.S. Merchant Marines.

Lee has defended his actions.

"It is a fairly fast current area, and the water temperature was cold," he said, according to local media.

"I thought that abandoning the ship without discretion would make you drift off a fairly far distance and cause a lot of trouble. At the same time, the rescue ship did not come, and there were no fishing boats or supporting ships around to help at that time."

Anguish amplified by misinformation

Leadership vacuum

Lee's early departure may have exacerbated the crisis on board the ship, said Doherty, who teaches safety management at the Massachusetts Maritime Academy.

"When the leadership cuts and runs, it leaves a vacuum that is almost impossible to fill," he told CNN.

"There should have been crewmembers going to the life raft stations. There should have been crew members mustering the passengers. So you know your head count. If there are missing people, there should have been other crew members searching the vessel to find those people."

Although U.S. law doesn't specify abandoning ship as a crime, it's a long-standing tradition that the captain be the last one off a sinking ship, according to legal experts.

"Generally speaking, the captain is the last person to get off that vessel," Staples said.

'Safer than any other vehicle'

He cautioned, though, that not all the details have emerged of Lee's actions during the crucial moments on the Sewol.

"We don't know if the coast guard demanded him to get off at that time," he said. "They may have been alongside and told the captain he had to get off at that time. We're not sure what happened there."

Lee appears to have been confident of his ability to ensure the safety of passengers in the past.

In a promotional video from 2010, he is pictured in the wheelhouse of a ship, looking out to sea through binoculars.

He praises the security a ship provides to its passengers.

"I believe it is safer than any other vehicle," he says, "as long as they follow the instructions of our crew members."

@highlight

Captains should stay on board until everybody is safe, experts say

@highlight

The Sewol and Costa Concordia captains buck a tradition of staying with the ship

@highlight

In Italy, South Korea and other countries, abandoning ship can be a crime

@highlight

A captain's early departure can leave a leadership vacuum, a safety expert says