Editor's note: On CNN's "State of the Union," host and chief national correspondent John King goes outside the Beltway to report on the issues affecting communities across the country.

The Cleveland Clinic is consistently among the country's best in quality ratings, and its costs are among the lowest.

CLEVELAND, Ohio (CNN) -- As he walks the halls of the Cleveland Clinic, Dr. Steven Nissen makes the next generation of health care in America sound quite simple.

"Everything that we do is done with the patient at the center of the picture, not the doctor at the center," Nissen says as he takes a visitor on a tour of the clinic's world-renowned cardiac center.

The clinic is consistently among the country's best in quality ratings, and its costs are among the lowest -- which is why President Obama often cites the Cleveland Clinic as an example of how health care in America should be, and why Nissen and other leading doctors here are frequently consulted by lawmakers and administration officials pushing major reforms this year.

Nissen says the clinic's organizational structure -- and its pay structure -- are what make it different.

Go inside the Cleveland Clinic on State of the Union with John King, 9 a.m. ET, Sunday.

The traditional model is for the nonsurgeons and surgeons to be organized in separate groups --- imagine a Department of Medicine and a Department of Surgery. The cardiologist works in the former, the cardiac surgeon in the latter.

Add in a financial model where doctors are paid on a "fee-for-service" basis.

"Everyone wants to do their procedure," is how Nissen explains the most frequent result. "One of the things we say in medicine is, to a man with a hammer, everything looks like a nail.

"And so if you are a cardiologist you want to do your procedures, if you are a surgeon you want to do your procedures and frankly people sometimes end up getting multiple procedures when a single collaborative procedure would have actually solved the problem. One of the ways you facilitate collaboration is you take the issue of personal income out of the equation."

At the Cleveland Clinic, Nissen and other doctors are paid a fixed salary.

"I get the same check at the end of the month whether I do a thousand procedures or one," he said. "And so I'm not incentivized to do more than what is necessary to help the patient. We all get the same check, whether we do an operation or an angioplasty. So we have taken that issue of income out of the equation."

As a result, Nissen says cardiologists and surgeons share notes and ideas -- and work together to give the patient the best care -- and to emphasize choices that help prevent major procedures and surgeries.

The clinic staff tries to set an example: Yoga classes on the roof; exercise facilities; healthier choices in both the staff and public cafeteria; walking routes in the halls and on the grounds; a policy that forbids hiring smokers.

So far, CEO Dr. Toby Cosgrove says the staff has lost a combined 75,000 pounds -- an emphasis on wellness that he says will without a doubt lower the hospital's own health care costs.

"Seventy percent of the cost in health care is from chronic disease," Cosgrove told us in an interview at his Cleveland Clinic office. "And chronic diseases come from really three big things -- from obesity, from lack of exercise and from smoking. And it also results in 40 percent of the premature deaths in the United States. So we have to do something as a nation to begin to deal with all those."

Cosgrove, like Nissen, is an enthusiastic proponent of major national health care reforms that bring coverage to the estimated 45 to 50 million Americans who lack health insurance and that put an emphasis on primary and preventive care.

"We believe that the government ought to incentivize quality," Nissen said. "If you can do a better job and you can prove you are doing a better job, then you ought to be paid better. And if you are not doing a good job, then you ought to be paid less."

Cosgrove, however, does sound some cautionary notes as the key committees in Congress set about the difficult business of writing legislation.

Paying for reforms is a dicey political proposition, and mindful of campaign promises not to add to the tax burden on middle class families, Obama has insisted that a major chunk of the money needed to pay for reforms can be found in "cost savings" in the Medicare and Medicaid programs.

Cosgrove said there is without a doubt ample waste in those programs. But he warns any savings need to be arrived at carefully.

"If you begin to take money away, my concern is that you begin to drive quality down," he said. "The first thing that you will begin to see happening is a deferment in investment in infrastructure. A classic example of this is what happened to the national health system in England. I mean they didn't invest in their infrastructure for 50 years. And now a lot of hospitals in England are 100 years old and way behind."

Again, Cosgrove is emphatic that there are substantial cost savings in federal health programs that can be achieved over time. But he says a rush to squeeze savings from federal programs could cause a shock to a fragile delivery system.

"The concern right now is 50 percent of the hospitals in the United States are running in the red," he said. "So if you begin to look at reducing the amount of money coming into hospitals to look after patients, I think you are beginning to look at a failure of a group of hospitals."

Cleveland Clinic is among the trailblazers in electronic record keeping and interaction with patients. Many leave the clinic with home devices to test heart rate, blood sugar levels and blood pressure that automatically use wireless transmission to send the results to a home computer and then on to the clinic.

Doctors say the impact on the quality of care is nothing short of astounding -- a dangerous reading results in an urgent alert e-mail to the doctor and his staff, and that time is precious in altering approaches to, say, keep blood pressure under control and avoid escalation to a more serious -- and more expensive -- medical episode.

Doctors say patients who know their physicians are getting frequent updates on their vital signs often are more likely to stick to their diet or take their medications properly.

Obama's stimulus legislation included funding for an expansion of electronic record keeping, and he has held up the practice as a revolutionary way to improve quality and cut costs.

In another cautionary note, Cosgrove, however, said over time he believes widespread electronic record keeping -- and sharing -- will lead to fewer duplicative tests and other cost savings, but that the jury is still out on that question.

"What we've seen is our quality's gone up -- substantially," Cosgrove said. "What we haven't seen is our costs come down. It's like the difference between an abacus and a cash register. Clearly the cash register is better, gives you a better record. But it isn't cheaper."

@highlight

President Obama often cites clinic as example of how health care should be

@highlight

Ohio hospital pays surgeons fixed salary instead of by procedure

@highlight

Doctor says that leads to focus on choices that help prevent major procedures