Washington (CNN) -- President Obama signed sweeping health care reform legislation into law Tuesday, hailing the moment as the latest example of America facing up to major challenges for the benefit of all its people.

The bill constitutes the biggest expansion of federal health care guarantees in more than four decades, and its enactment was a giant victory for Obama and Democrats after a brutal legislative battle dating back to the start of his presidency.

No Republicans supported the bill in either the House or Senate, and Democratic leaders needed a separate bill that calls for changes in the new law in order to get enough support in the House to pass the measure.

The Senate started debate on the accompanying House bill later Tuesday, with Republican opponents promising to use every possible parliamentary tool or technique to undermine it.

Obama and Democratic leaders celebrated the new law at the White House signing ceremony, with a crowd packing the East Room repeatedly standing to applaud and cheer the president.

"It's been easy at times to doubt our ability to do such a big thing, such a complicated thing, to wonder if there are limits to what we as a people can still achieve," Obama said.

"We are not a nation that scales back its aspirations," he continued. "We are not a nation that falls prey to doubt or mistrust. We don't fall prey to fear."

Rather, "we are a nation that does what is hard, what is necessary, what is right," Obama said. In the end, he said, the bill delivered the "core principle that everybody should have some basic security when it comes to their health care."

Among those on hand for the signing ceremony was Vicki Kennedy, the widow of Sen. Edward Kennedy of Massachusetts, who championed health care reform for decades before his death last year.

Also present were several people who wrote Obama in the past year about their personal woes over losing or being unable to get health insurance. Obama had told their stories when campaigning for the health care bill in recent months.

Among the private citizens attending Tuesday's ceremony were 11-year-old Marcelas Owens of Washington state and Ryan Smith, a small-business owner from California.

And Obama said, "I'm signing this reform bill into law on behalf of my mother, who argued with insurance companies even as she battled cancer in her final days."

Watch what Obama has to say about his mother and others

Democratic senators and representatives filled the crowd, and all stood to cheer and applaud after Obama used 22 pens to sign the bill.

Republicans and social conservatives are vowing to try to repeal the law or have it declared unconstitutional. Attorneys general from 13 states filed a lawsuit Tuesday against the measure, claiming its mandate for people to purchase coverage and the costs it forces states to assume violate the Constitution.

Twelve of the 13 attorneys general filing the lawsuit are Republican. A separate lawsuit filed by the Republican attorney general of Virginia makes a similar claim.

Watch what Florida's attorney general has to say

Obama's comments at the signing ceremony and a later appearance before staff and supporters at the Department of the Interior focused on the immediate benefits of the new health care law.

The president emphasized that this year, some 4 million small-business owners will be able to get tax credits to help cover the cost of providing health insurance to their employees, while insurance companies will no longer be able to deny coverage for children because of pre-existing medical conditions.

Insurance companies also will no longer be allowed to drop people from coverage when they get sick, or to place lifetime or annual limits on the amount of health care people receive, Obama said.

In addition, he warned senior citizens to ignore claims by Republicans that the new law will reduce Medicare benefits.

Obama will hit the road to sell the measure to a still-skeptical public, giving a speech Thursday in Iowa City, Iowa, where he launched his grass-roots drive for health care reform in May 2007, according to White House press secretary Robert Gibbs.

iReport: What will health care reform mean to you?

Passage of the bill was a huge boost for Obama, who made health care reform a top domestic priority of his presidency.

"I haven't seen the president so happy about anything other than his family since I've known him," senior adviser David Axelrod told CNN on Monday, adding that Obama's jubilation when the bill passed exceeded his election victory in November 2008. "He was excited that night, but not like last night."

Senior Republicans in Congress warned that voters will judge Democrats harshly in November's mid-term elections, with Sen. John McCain of Arizona saying the Democratic-passed bill killed any chance of bipartisan support on legislation for the rest of the year.

"There will be no cooperation for the rest of this year," McCain said in an interview Monday with KFYI radio in Arizona. "They have poisoned the well in what they have done and how they have done it."

Gibbs, however, said the administration expects to win any lawsuits filed against the bill, and he challenged McCain and other Republicans to campaign for the November election against the benefits of the health care bill.

The overall $940 billion plan is projected to extend insurance coverage to roughly 32 million additional Americans.

The compromise package would expand insurance subsidies for middle- and lower-income families, and scale back the bill's taxes on expensive insurance plans.

iReport: Share your views on health care reform

Observers warn, however, that the road ahead for health care reform in the Senate may be rocky. Democratic leaders are using a legislative maneuver called reconciliation, which will allow the compromise plan to clear the Senate with a simple majority of 51 votes. But according to Senate rules, members are still allowed to offer unlimited amendments and challenges.

In one of the first of many attempts Republicans say they will make to try to amend or kill the package, GOP aides went to Senate Parliamentarian Alan Frumin on Monday to argue that the compromise bill violates rules of the reconciliation process because of the way it affects Social Security. For that reason, GOP aides said they argued, the bill should not even be allowed to be debated.

However, Frumin, according to a senior Republican and a Democratic aide, informed both parties he disagreed with the GOP assessment, and would not block the bill from reaching the Senate floor.

House Democrats unhappy with the Senate bill have been continually reassured that the compromise package will be approved by the more conservative Senate.

So far, two of the 59 senators in the Democratic caucus -- Ben Nelson of Nebraska and Blanche Lincoln of Arkansas -- have said they will oppose the compromise package.

CNN's Ed Henry, Dana Bash, Ted Barrett, Ed Hornick, Josh Levs, Alan Silverleib and Tom Cohen contributed to this report.

@highlight

"We are not a nation that scales back its aspirations," he says; others vow to fight law

@highlight

Attorneys general from 13 states file a lawsuit against the measure

@highlight

Obama to travel to Iowa to continue sales pitch to still-skeptical public

@highlight

Package of changes to bill still needs Senate approval; GOP could delay it there