(CNN) -- Comedian Stephen Colbert used his signature humor last week to focus the nation's attention on a very serious issue: the treatment of the hardworking people who produce our nation's food supply.

Some members of Congress complained that Colbert's testimony before the House Immigration Subcommittee was undignified; others took issue with his invocation of Christian values.

Colbert's deadpan humor may have been slightly irreverent, but he did the country a service by highlighting congressional inaction on immigration reform and pointedly referencing the issue's moral dimension. Responding to a question from California Democratic Rep. Judy Chu about his interest in migrant workers, Colbert became uncharacteristically serious , even invoking the words of Jesus, who said that "whatsoever you did for the least of my brothers, you did it to me" (Matthew 25:40).

Colbert, who is a practicing Catholic, noted that in today's troubled economy, there are many "least brothers." He added, "I don't want to take anyone's hardship away from them or diminish it or anything like that. But migrant workers suffer, and have no rights."

These were not idle comments. Christians take Jesus' words as a call to show justice and mercy to those at the very bottom of the social hierarchy. It is a call that Jesus embodied in his own life, as he engaged with Samaritans, lepers, prostitutes, tax collectors and others treated as outcasts in society.

Jesus summarized his mission as bringing good news to the poor, freedom for prisoners, recovery of sight for the blind and release for the oppressed (Luke 4:18-19). Caring for migrant farmworkers is one way that Christians today -- including Christian lawmakers -- should follow Jesus' example.

In 2009, the National Association of Evangelicals, which represents some 45,000 churches with millions of constituents, issued a call for immigration reform. In the past year, we have held numerous meetings with members of Congress and with White House officials, and we have conducted forums, news conferences and other public events. In one of those events, veteran evangelical civil rights leader John Perkins called immigration reform "the civil rights struggle of our day."

Why? While some agricultural operations have become highly mechanized, growing fruits and vegetables is still labor intensive. For decades, farmers have relied on migrant workers, primarily immigrants, to do this difficult but essential work.

Despite this massive and predictable need, our immigration laws make little provision for the legal entry of immigrant farmworkers. Still, the crops must be picked: Our economy and food security depend on it. So each year, growers hire tens of thousands of undocumented workers to do some of the most backbreaking jobs in America. As a result, Americans enjoy an abundant supply of affordable produce and our economy enjoys a substantial boost.

As testimony by Colbert and others pointed out, there is a dark side to this story. Undocumented farmworkers are poorly paid, enjoy few rights and live in fear of deportation.

Full disclosure: I descend from generations of farmers and am married to the daughter of a migrant farmworker. I know that farmers face losses from potential labor shortages during critical periods and risk hefty fines for hiring workers without employment visas.

State and local governments educate the children of migrants but don't reap the benefits of their investment because the graduates are not allowed to work legally and become taxpaying citizens. (Undocumented immigrants, of course, pay sales taxes, and many pay Social Security and income taxes, though they are ineligible for most public benefits.)

None of this is new information to the representatives who gathered in the Immigration Subcommittee hearing last week to listen to testimony on the proposed AgJOBS legislation. Immigration reform has been debated for years.

The basic elements needed to fix our broken immigration system are clear. They include securing our borders, fixing our broken legal immigration system and providing an equitable pathway to earned legal status for the currently undocumented.

Business, agriculture, labor, faith and immigrant advocate groups are in broad agreement on the solutions. It is an issue on which President Obama and former President Bush, and many leaders in both parties, have agreed. And yet, after 21 months on the job, the 111th Congress has failed even to seriously debate the issues. No bill has come to a vote at even the subcommittee level.

Politicians may resent Colbert's jokes, but they can scarcely blame the comedian if their constituents are exasperated by congressional inaction on this and other critical issues, despite the many promises on the campaign trail.

By mischaracterizing immigration reform as amnesty and open borders (nothing could be further from the truth), pandering to voters' fears and prejudices, and putting short-term political gain ahead of the national interest, they have lost legitimacy in the minds of many.

If a slightly irreverent comedian can help to prick the nation's conscience and move us to finally rectify this long-standing injustice, then we welcome his intervention.

Members of Congress should smile, swallow their medicine and do what they know is right.

The opinions expressed in this commentary are solely those of Galen Carey.

@highlight

Galen Carey says in House testimony, Colbert serious about morality of immigration reform

@highlight

He said Colbert used Jesus' words about helping "the least of my brothers" in urging reform

@highlight

Christian lawmakers who have let reform languish should follow Jesus' example, Carey says

@highlight

Carey: Instead, by promoting misinformation, fear, lawmakers have lost legitimacy on issue