(CNN) -- Nancy Ayala arrived in the U.S. 11 years ago, at the age of 9.

"Why did I move to the States? I still don't know. For a better education, for a better life," she said.

One of her biggest dreams was to join the Marines, but at 17, Ayala -- the first in her family to graduate high school -- discovered that she couldn't enlist because she didn't have a Social Security number.

"I had dreams, but I had no way to complete them," she said. "Sadly, my whole family is undocumented."

Ayala soon moved back to her home country of Mexico but now regrets doing so: "I've been here for 10 months. I cry every night, missing my family, and God knows when IÂ´ll see them again."

When President Obama announced June 15 that some young immigrants would no longer be deported, Ayala was happy. At the same time, she believed the policy change would not help her.

"There's no way back for me. How can I apply? What can I do? Nothing."

Obama's announcement and the Supreme Court's subsequent rejection of all but one provision of a controversial immigration law in Arizona this week have brought the issue back into the spotlight.

Like Ayala and others across the country, many of the iReporters who posted their views had a personal stake in the broader issue of immigration. Their opinions were nuanced and widely varied but had one thing in common: Most did not believe that the recent changes and rulings will have a direct effect on them -- or would have helped them in the past.

Corrine Kay of Gaithersburg, Maryland, said she has had a years-long issue with immigration.

"All immigration to these United States should be done legally, abiding by the laws of our great nation," she said. "My husband and I are doing exactly that, taking an excessively long time and great expense to do so."

Kay was married in Egypt but has been waiting for three years for her husband to get a visa in order to live with her in the U.S.

"I realized, I must not be alone, as there are certainly other Americans who deal with the pains of having to make do and go through the motions of life while missing their loved ones so," she said.

Even so, Kay said, she can understand why some people cross the border illegally.

"They don't all have motives to smuggle contraband into the country or undermine our homeland security. They are simply trying to find a way to survive, escape systemic violence within their own politically dysfunctional governments and make for a stable and happy family life for the ones they love," she reasoned.

Diana Carey's mother sought out a new life for her family in America. As a young child, Carey knew that her family could be sent home at any time.

"Being in a country illegally is a scary and difficult situation for children, and it is not a decision they made or were mentally equipped to make," said Carey, whose family came from Ecuador. "But for that same reason, I think adults who have made the decision to come to the U.S. illegally have to face reality."

That reality includes the possibility of being deported.

Carey no longer has to face that, since her mother married a U.S. citizen: "It was an enormous sigh of relief to say the least."

Her experience led her to get involved with advocacy groups.

"I was involved in activism in favor of illegal immigration and the halt on deportations for a bit, but I made the decision to no longer support these groups," she said.

"I don't agree with their strategies. There need to be more compelling arguments based more on logic and less heart. They want their supporters to feel bad for illegal immigrants, but no responsibility is taken whatsoever for the fact that an adult stayed here illegally."

At the same time, Carey was happy to see so much of the Arizona law struck down.

"I always thought the Arizona law was a bit extreme and based on fear while targeting mostly one race/background," she said.

"While I never want anyone to ask my son for his birth certificate because he looks Hispanic, I want him to know that when you do something illegal, you will face negative consequences, and you shouldn't expect forgiveness, only hope for it."

Even though the recent immigration decisions don't affect him now, Sajiv Pandya believes they might have 20 years ago.

Now a U.S. citizen living in Maryland, Pandya still recalls being stopped by the Border Patrol in 1991 for four hours outside Yuma, Arizona.

"I was a citizen of the United Kingdom, but I was a third-generation Kenyan of Indian ethnicity," he said.

"I don't look 'white,' and so I was held on the grounds that I was Mexican until I could prove otherwise."

More than 20 years later, Pandya said he is in favor of "comprehensive legal immigration and for strict compliance to immigration rules."

"I followed rules to become a U.S. citizen, and I don't think it is fair for someone to jump the line or not even stand in line," he explained.

Pandya opposes "random stops" by authorities, however.

"I am happy that the Supreme Court ruling struck down three of the four major provisions. The fourth one, which they upheld, is precisely what impacted me and which I think is going to continue to be abused if it is not further challenged," he said, referring to the controversial provision that allows police checks on people's immigration status while enforcing other laws.

Pandya said he is "a little aghast" at the partisan nature of the immigration debate. "Comprehensive immigration rules need to be a bipartisan effort at a federal level and and must follow a process that is fair to all," he said.

Despite their different views and experiences, these iReporters all want the same thing Ayala wants.

"I want my voice to be heard; I want to chase my dreams; I want my family to be free, and I want them to live the American dream," she said.

@highlight

iReporters with varying personal experiences with immigration shared their views

@highlight

Nancy Ayala lived in the U.S. illegally for 10 years, regrets returning to Mexico

@highlight

Diana Carey, a former illegal immigrant, opposes the tactics used by immigration activists

@highlight

Most did not believe recent immigration decisions would affect them today