LONDON, England (CNN) -- Demand for the world's largest, most expensive yachts is on the rise ahead of the Monaco Yacht Show this week.

Ships moored at the Moncao Yacht Show.

"We've gotten the strongest forward order book that we've ever had. It's the best outlook we've ever had since we've started the company," said Toby Allies, Sales and Marketing Director for Pendennis, a leading British manufacturer and re-fitter of superyachts.

Amid the global recession, the worldwide market for luxury goods has plummeted over the last year, expected to shrink 10 percent for 2009 according to global business consultants Bain & Company.

A few sectors, though, have shown surprising strength and even growth amid the downturn, including British-made superyachts.

The British market for superyachts grew more than 15 percent during the fiscal year ending June 1, 2009, according to a new survey. Overall revenue increased to a record $663 million (£410 million) and jobs across the industry increased five percent, according to Superyacht UK, the trade group who conducted the survey.

Since last September, yacht sales tanked in many parts of the world, particularly as cash dried up among clients from Russia and the Middle East. "It was a difficult year, many manufacturers had to cut down on production numbers and give larger discounts," said Georges Tchoumak, Head of Sales and Marketing for Numarine, a manufacturer of superyachts based in Turkey.

In France three of the four publicly-traded yacht companies who make yachts that cost more than $40 million took advantage of the country's bankruptcy laws to stave off collapse, including Rodriguez Group, the company who built Bernard Madoff's yacht "Bull."

Though affected by the recession, the UK industry managed to buck that trend, buoyed by a decline in the pound.

"In the last quarter of 2008 through the end of first quarter 2009 there was virtually zero activity in the large yacht sector," said Tim Wiltshire, Director of Burgess Yachts, a UK-based high-end boat manufacturer.

Wiltshire said that at their worst, transactions were down 60 percent compared with the previous year, but that volume had recently returned, particularly in brokerage sales of used yachts.

Heading into Monaco, manufacturers around the world including the UK now appear poised for a robust rebound.

"There have been a dozen significant sales in the past quarter ... enough of our customers think it's unlikely to get much worse."

But whiles sales have picked up, Wiltshire predicted it could take years for sale prices to reach the premiums of only a few years ago: "Since early summer [business] has picked up significantly ... We are back on par with 2007, albeit at reduced values," he said.

Manufacturers across the UK share Wiltshire's optimism, according to the survey. Ninety-five percent of UK companies questioned rated their prospects for the year ahead either "good or excellent" (56 percent) or "OK" (39 percent).

At Numarine "things are looking better for the last three months," Tchomak told CNN. "We've had more sales in the past three months than in the previous 12 months," he wrote in an email.

At Pendennis, directors have changed their business strategy to accommodate the anticipated growth.

"We've increased our investment in infrastructure for large yachts," said Ailes. "Improving facilities and looking to recruit more people to work on boats up to 70 or 80 meters."

One of the reasons cited for the strength in Britain's superyacht business compared with manufacturers in other European countries has been the declining value of Sterling against the Euro.

Hugo Andreae, Editor-in-Chief of Superyachtworld magazine said that the exchange rate helped, but the high quality of British boats and sustained demand among the world's wealthiest had helped hold up sales.

Andreae also explained that one of the effects of the recession has been to shift demand from new builds to the used boat brokerage and chartering markets.

"There are signs that things are picking up ... Monaco is the premiere big yacht show and it's the real acid test of whether [the rebound] is the odd sale being picked up at a good price, or if the market has reignited properly," explained Tom Chant, International Commercial Manager for Superyacht UK.

If interest in the Monaco Yacht Show is any indicator, then sales can be expected to meet bullish expectations.

The annual end-of-summer yachting industry and yacht owners' conference is fully booked this week. The number of double-decker pavilions has doubled since last year, but in spite of the event's increased provision of these more expensive, higher visibility exhibition spaces supply still fell short of demand.

In the United States yacht manufacturers also say they've seen a recent surge in interest in new construction of yachts over 150 feet.

"Over the last 45 days, all of a sudden, the inquires have started coming along really strong. That bodes well for the Monaco Yacht Show," said William Smith, V.P. of Sales and Marketing for Trinity Yachts. "It's fair to say sales came to a shuddering halt after the Monaco show last year."

In another sign that interest in the top-end of the yacht market is back, Luxury retailer Hermes recently announced plans to team up with Wally, the Monaco superyacht company, to build a $145 million (€100 million) yacht.

Sales to Russia, the Middle East and other developing countries have rebounded more quickly than sales to Europe and the U.S., according to Smith, as uncertainty about the markets has subsided and boosted consumer confidence.

In the past six months, Trinity had only had one inquiry from an American, which came in the last few weeks. Trinity, the largest U.S. retailer of megayachts, has had two projects out of 17 builds stall due to the recession, both about 164 feet long.

Smith said the owners can either come back and pay for them to finish the work or let Trinity sell them. Throughout the downturn Trinity was able to continue to deliver ships at a record pace, thanks to a hearty backlog of orders placed during the markets peaks.

@highlight

The British market for superyachts grew more than 15 percent last year

@highlight

After a year of steep declines, sales for new yacht constructions are picking up

@highlight

The Monaco Yacht Show is fully-booked this week, showing renewed interest

@highlight

Hermes teams up with Wally to build $145 million ultra luxury yacht