Washington (CNN) -- William Henderson Foote was a lawman of the highest order in his small town of Yazoo City, Mississippi, when he died in the line of duty more than a century ago.

He'd once been the town's constable, town marshal and circuit clerk while serving in the Mississippi legislature.

And on Monday, Foote was remembered and recognized as the first African-American federal office killed in the line of duty.

The Bureau of Alcohol, Tobacco, Firearms and Explosives (ATF) posthumously awarded its Gold Star Medal to Foote, who served as a post-Reconstruction-era deputy collector with the U.S. Department of the Treasury, Bureau of Internal Revenue -- a predecessor agency to today's ATF.

Foote was honored 128 years after his death as part of National Police Week. Several of Foote's descendants were in attendance and Foote's great-grandniece, Bettye Gardner, a professor of African-American history at Coppin State University in Baltimore, Maryland, accepted the award.

In December 1883, on what would be his last Christmas Eve, Foote intervened to protect an African-American man from being lynched. In the scuffle, three white men in the lynching party were shot and killed, but Foote ended up being put in prison.

Four days later, Foote was killed by a lynch mob that stormed the prison where he was held. He died December 29, 1883.

"They wanted him out of that job, that was a white man's job," said Gardner.

Foote's name is the latest to be added to ATF's Memorial Wall.

As a part of a larger effort to honor all fallen agents of law enforcement, ATF has gone back through historic annals to excavate overlooked stories of heroism like Foote's.

"It was very important once I saw that he had slipped through the cracks of history that we make sure that we bring him and his story to life here at ATF," said ATF historian Barbara Osteika, who discovered William Foote's story in a New York Times article from decades ago.

On the wall beside Foote's name is the name of William L. Pappan, an agent of the then, U.S. Department of Treasury, Bureau of Internal Revenue, Alcohol Tax Unit, who died in 1935 as the first Native American federal investigator killed in the line of duty.

"It was too long, but the fact is we're not perfect in getting all of the names up on the wall. But, it's my passion to make sure each and every agent that served to protect our communities against violent crime -- each and every one of them that has lost their life in the line of duty -- will get on our wall," said Osteika.

Foote was born a free man in 1843. And the period following the Civil War was a complicated one, explained the keynote speaker of Monday's event, Sharon Malone, wife of U.S. Attorney General Eric Holder.

"The shocking thing to me, actually being a Southerner, (was) finding out that there were free black people in the state of Mississippi at the turn of the 19th century, not the 20th," said Malone who hails from Alabama and is her family's historian. She added, "We tend to know only one narrative of life in the South, and that is of slave and slave owners. But there is a very rich and varied history that we have yet to tap in to."

While Foote's story of sacrifice has recently gained public attention, his has been a story of family lore for generations of his ancestors.

"It's just been a wonderful legacy come to life," said Patricia Nolcox, who is Foote's great-granddaughter. "And, the interesting and important thing is that it wasn't new to them (the family), they knew the story also. We had pictures, we talked about it. But, it was just our story, the family story," she said, as she stood beside her cousin, Gardner.

The process of documenting Foote's story brought both a new perspective to the African-American experience during the period of Reconstruction, and also brought an extended family together.

"I hadn't seen her since she was a toddler," Nolcox said of Gardner as they stood side by side in ATF's atrium. "I'm the oldest descendant and I'm proud of it," she added.

"The real legacy is to understand that black people, people of color have been involved and have been patriots in this country from its very inception," said Malone.

@highlight

The ATF honors William Henderson Foote, who was killed 128 years ago

@highlight

Foote was the first African-American federal officer to die in the line of duty

@highlight

He worked for a predecessor agency to today's ATF

@highlight

He was killed by a lynch mob in Mississippi, in 1883