(CNN)Katherine Kuczynski was a cryptologic technician in the U.S. Navy. The post required obtaining and maintaining security clearance and performing tasks in support of national intelligence-gathering efforts, with an emphasis on cryptology, she told me.

Her work earned her a Joint Service Achievement Medal for "exceptionally meritorious achievement," explained Kuczynski, of New Baltimore, Michigan.

And yet the single mother of three children, now 12, 11 and 9, found herself unemployed numerous times during the past several years. Since leaving the military in 2003, she has held jobs ranging from home improvement to store clerk to security guard.

Kuczynski's experience is, sadly, all too familiar to veterans, especially women who served.

The unemployment rate for female veterans who have been discharged since September 11, 2001, was 9.3% in 2013, versus about 8% for male vets, according to a report from the Disabled American Veterans.

The difference in unemployment between female and male veterans is even more dramatic when you consider veterans of wars in Iraq and Afghanistan: For women, the rate was 11.2% last month, 5 points higher than it was for men, according to the Bureau of Labor Statistics.

5 ways to honor veterans beyond Veteran's Day

"Women veterans are still having a harder time finding jobs than their male counterparts," first lady Michelle Obama said at a White House event Monday designed to put a spotlight on the issue.

But why?

We don't have a definitive answer, but here are some possible contributing factors.

One-quarter of female service members are married to other service members, and military spousal unemployment rates are five times higher than those of other women in their peer group, according to Col. Steve Parker, executive director of Joining Forces, the joint initiative from Obama and Jill Biden to support military families.

The transient nature of being a military spouse, sometimes moving every two or three years, makes it very difficult to get a new job.

Female veterans also don't "all readily identify themselves as veterans," Parker said.

"We've got a number of preferential efforts going to hire veterans, but you have women veterans in some cases who are opting out of using that on their resume," he added.

Also, there are fewer health services in the Department of Veterans Affairs specifically designed for female veterans; some question whether that impacts their ability to successfully transition from the military.

For instance, a third of VA medical centers don't have a gynecologist on staff. Almost one-third of VA clinics don't have the staff to provide the necessary treatment to the one in five female veterans who say they experienced sexual trauma in the military, according to the report from the Disabled American Veterans.

Currently, 14.5% of the 1.4 million active military members are women.

At an event Monday for Joining Forces, the first lady addressed an audience of female service members, including many who are still looking for work.

"The fact that any of you are worrying about where your next paycheck is going to come from or struggling to put food on the table -- that should be appalling to all of us as Americans," Obama said.

When they can't find jobs, the effects extend far beyond the veterans themselves.

"The average male veteran is single, but the average female veteran is a parent, if not a spouse. So you've got a family dynamic that's impacted negatively when they're unemployed ... so this is one of our more vulnerable populations," Parker said.

"If we want take care of veterans and families, we've got to focus on female veterans."

5 things you may not know about post-traumatic stress

The first lady, who made the issue of female veterans' unemployment the centerpiece of an interview with Redbook for its November issue, touted a number of new commitments from major companies.

LinkedIn is helping veterans import their profiles onto the relatively new Veterans Employment Center website, which has more than a million job postings for positions in the public and private sectors. The company is also offering veterans a free one-year subscription to all of its premium job-seeker tools.

Online educational platform Coursera is providing all veterans with one free verified certificate for select courses in high-demand fields ranging from data science to cybersecurity and health care.

Some industries are also stepping up efforts to recruit female veterans directly, such as the sheet metal and air conditioning industry.

Leah Rambo, director of training for the Local 28 Sheet Metal Apprenticeship Program, which covers New York and parts of Long Island, often makes sure a female veteran is on hand at military job fairs.

"The truth is, women don't apply, and oftentimes, minorities don't apply, because they simply don't know it's available (and) don't know they can do it, and the easiest way to dispel that is just to put someone there that looks like you," she said.

During the most recent recruitment period in July, 7% of the veterans who applied were women -- a number that has been steadily going up, Rambo said.

Thank you for your service, vets! Now try finding a job

Kuczynski, the Navy veteran, got interested in the sheet metal trade when her grandfather introduced her to it as a kid.

"I remember him coming home from work and telling me that I could do anything a boy could do, if not better, and I really took that to heart," she said.

She decided to pursue a career in the industry and is currently a journeyman sheet metal worker, which involves assembling, installing and repairing sheet metal equipment products and structures.

"As a former military person, I thought this would be a great fit ... because the military grooms you to be a leader. Further, I thought it would be a great job to raise three children on my own."

She applauds efforts by the International Training Institute, the education arm of the sheet metal and air conditioning industry, to actively target female veterans.

Said Rambo, "There's no reason why a person risked life and limb and then (does) not have a job afterward. To me, it's kind of the least that you can do."

Why do you think unemployment is higher for female veterans than male vets? Tell Kelly Wallace on Twitter or CNN Living on Facebook.

CNN's Courtney Battle contributed to this story.

@highlight

Unemployment is higher among female veterans than male

@highlight

Michelle Obama: Veterans struggling to find jobs "should be appalling to all of us"

@highlight

LinkedIn, Coursera are offering programs to help veterans find jobs