America's rich generally have better schools, tidier parks and (surprisingly enough) more trees. But are their neighborhoods also more likely to be mapped by Google?

That's the question two readers asked after I published a series of stories on East Carroll Parish, Louisiana, which I called "the most unequal place in America," based on its extraordinary level of income inequality.

The readers noticed something I hadn't: The rich side of Lake Providence, which is the largest town in the parish, is mapped in detail by Google Street View; the poor side isn't.

"After reading I your article, I wanted to see where this Lake Providence in Louisiana is. So I went to Google map and found it," wrote Sam Patadia, a 63-year-old in Houston. "Then I decided to look at the town through Google street view to see the houses there but I was surprised to find that even Google discriminates against poor. They have the street view of most of the northern part of the town but very little on the south side though the south side has more streets."

"I found it interesting that Google did not drive thru the streets on the south side like they did on the north side," another person wrote. "Maybe I am viewing in wrong but it appears that even Google divided the area."

So why map the rich side and not the poor?

I have all sorts of guesses, but Google is the only one with answers.

Unfortunately, the company wasn't much help.

"We try to cover as many streets as possible but occasionally we miss the odd one or two -- for example there may have been road work that day, a street may have been inaccessible or simply because of human error our drivers may have missed a street," a Google spokeswoman said in an e-mail to me. "It's also possible that we did drive a certain street, but discovered that when processing the imagery, the photographs collected did not meet our high quality imagery standards due to unforeseeable challenges like shadows, poor visibility conditions, etc.

"Hopefully we can come back and photograph it at a future date."

Hopefully so. Because I don't particularly buy those arguments. The odds that an entire side of the town -- a small town, sure, but still a town -- would be under construction or would be photographed during an extreme weather event strikes me as implausible.

The streets on the poor side of Lake Providence are generally narrower and harder to navigate than those on the north, so maybe that had something to do with it. Maybe fear is a factor. Perhaps the driver taking these images didn't want to drive through the poor side of town with cameras tacked to his roof. Maybe it was racism, since the poor side is largely black. Or maybe Google prioritizes areas based on the number of businesses there or the number of times Internet users search for addresses in that zone.

Those are just theories, of course, and Susan Cadrecha, a Google spokeswoman, said none of them are accurate. Lake Providence was last mapped in 2008, she said, and it is unclear why the driver mapped one side of town and not the other. The region, and Louisiana as a whole, are less mapped than the company would like, she said.

"It wasn't for any reason about the demographics or anything like that -- or it being a poor area," she told me. "That does not factor into our decisions in any way to map areas. We're constantly updating this imagery and we're constantly trying to make it as accurate as possible ... We want the whole world to be mapped, that's our eventual goal. We want people to be able to explore different areas."

And maybe I'm being unfair by raising this line of questioning. Google is a private company, even though its services, including maps, have started to feel so important that they're almost like public goods. It would make sense in a profit-minded way that they would provide Street View in places where it's most needed or most likely to be used. That's probably the reason only select parts of Africa are mapped with Street View, while much of North America and Europe are. (I asked Google what percentage of the United States is mapped with Street View and have not received a response; the company would say Street View is available in more than 3,000 cities and 54 countries, plus the Arctic and Antarctica. Google Street View cars have driven more than 6 million "unique miles" since the project kicked off in 2007, the company said). Technology costs money, and people with money tend to drive the development and deployment of tech.

Plus, Lake Providence is just one little place, one example floating in an ocean of data. There are numerous counterpoints. You can search street view in the Bronx and the south side of Chicago. In 2011, I wrote about a fascinating photography project called "A New American Picture" that used Street View to highlight poverty. That project includes Google-sourced images of poor neighborhoods in New Jersey, California, Illinois, Texas, Arkansas, Maryland, New Mexico, Florida and elsewhere.

Cadrecha told me Google added Street View functionality to Skid Row in Los Angeles earlier this year.

So, there are poor neighborhoods on Street View. Plenty. But it is somewhat amazing to me that in this one little town -- the one that happens to be the most economically divided in the country -- the divisions extend into the very way the place is mapped.

Maybe that has real implications for life there, and maybe it doesn't. It's certainly easier to find a new place if you can take a digital look at where you're headed. It may matter more for how outsiders, like those who e-mailed me, see the town.

But the symbolism is what gets me.

Part of Lake Providence -- a substantial part, which includes the public high school and some businesses -- is missing on Google Street View. The digital version of Lake Providence, in that sense, is like the real world: Its poverty is hidden.

Is that true in your community? Take a look and let me know.

@highlight

Readers notice the poor side of a town isn't mapped with Google Street View

@highlight

John Sutter asks whether there is a trend with mapping and income

@highlight

Google: "We try to cover as many streets as possible"

@highlight

Sutter asks readers to send in examples from their communities