The struggle between communism and capitalism defined the second half of the 20th Century. The Cold War pitted east against west, pushing the world to the brink of nuclear war.

Now, as we approach the 25th anniversary of the fall of the Berlin Wall, which brought the era to a close, CNN International is again airing its 24-part series, The Cold War, which first aired in 1998. Giving unparalleled insight from those who lived and fought through the events that defined an era, The Cold War lets viewers see how the events of yesterday have shaped the world of today.

The series was commissioned by CNN founder Ted Turner. Award-winning television director Jeremy Isaacs was the executive producer. The series was narrated by Academy Award nominated actor Sir Kenneth Branagh.

The programs will air on CNN International every two weeks starting on January 4. Here is a summary of the first 12 episodes.

1 "Comrades" 1917--1945  (January 4 at 11:00 and 20:00 GMT and January 5 at 02:00 GMT)

The Russian Revolution of 1917, followed by the Russian Civil War caused a rift between the Soviet Union and the United States. But when President Franklin Roosevelt took office in 1933, diplomatic and trade relations between the two countries resumed. The relationship was strained yet again after the USSR annexed the Baltic States and signed a non-aggression pact with Nazi Germany.

Despite their differences the Soviet Union and the United States found themselves allied after the German invasion of Russia in June 1941. As the war in Europe began to wind down and victory was in sight, the two countries had very different views as to what the post-war world would look like. At the Potsdam Conference, just before the atom bomb was dropped on Japan, it became clear that Stalin wanted to put Eastern Europe under the Soviet sphere of influence, setting the conditions for the Cold War to commence. Episode 1 includes interviews from George F. Kennan, Zoya Zarubina, Hugh Lunghi and George Elsey.

2 "Iron Curtain" 1945--1947 (January 18 at 11:00 and 20:00 GMT and January 19 at 02:00 GMT)

As wartime turned to peacetime, a resurgent United States enjoys economic prosperity while Europe is left to recover from the ravages of war. In the Soviet Union, Stalin has resumed his feared purges and the country is gripped by famine. Germany is forced to cede some of its eastern territory to Poland, and the Germans living in that area are expelled from their homes. Stalin begins to increase his hold on Eastern Europe, installing communist regimes, but decides to stay out of the Greek Civil War.

The United Kingdom, exhausted from the war, sees its once-powerful empire go into decline. As food shortages begin to threaten the stability of Europe, a more assertive United States begins to challenge the USSR's influence in both Turkey and Iran. Episode 2 includes interviews from Lord Annan, Sir Frank Roberts and Paul Nitze.

3 "Marshall Plan" 1947--1952  (February 1 at 11:00 and 20:00 GMT and February 2 at 02:00 GMT)

For both selfless and selfish reasons, the United States institutes the Marshall Plan, giving massive amounts of aid to the war-ravaged countries of Europe. Suspicious of American intentions, Stalin prevents countries in the Soviet sphere from taking part in the plan. As a counter to the U.S. plan, Stalin established the Council for Mutual Economic Assistance.

In Czechoslovakia, communists seize power in a 1948 coup. While Yugoslav leader Marshal Tito was originally allied with the Soviet Union, he decides to forge his own foreign policy path and accepts aid from the Marshall Plan. After the 1948 Italian elections, the CIA and Catholic Church conspire to push the communist party there from power. The Marshall Plan successfully modernizes Western Europe and strengthens its ties to the United States. Interviewees from episode 3 include Vladimir Yerofeyev, Gianni Agnelli and Giulio Andreotti.

4. "Berlin" 1948--1949 (February 15 at 11:00 and 20:00 GMT and February 16 at 02:00 GMT)

Opposed by the USSR, the United States emphasizes the need to rebuild the German economy. With the introduction of the Deutsche Mark, the Soviets react by tightening checkpoints leading into the French, British, and American sectors of Berlin, ultimately leading to a ground blockade of the city. To keep the city from starvation, the western allies begin the Berlin Airlift, ferrying in supplies by plane. German Communists in Berlin successfully take over the city's municipal government, which causes both the city and country to be divided between east and west. Interviews in Episode 4 include Gail Halvorsen, Sir Freddie Laker and Clark Clifford.

5. "Korea" 1949--1953 (March 1 at 11:00 and 20:00 GMT and March 2 at 02:00 GMT)

Korea was split between the United States and the Soviet Union at the end of World War Two. The Soviets install Kim Il-sung as the leader of the north, while the Americans place Syngman Rhee at the head of the south. In 1950, with the help of the Soviets, North Korea invades South Korea, pushing U.S. and South Korean forces to a city at the southern tip of the Korean peninsula, called Pusan.

In response to the invasion, a United Nations force, led by the United States, regains the advantage, driving the communist forces towards the Chinese border. Feeling threatened, and at Stalin's behest, Chinese leader Mao Zedong attacks. This leads to a stalemate in the center of Korea. After protracted negotiations, an armistice is signed. Communism in Korea is contained, but the country is left divided. Interviews in Episode 5 include Lucius D. Battle, Paik Sun Yup and John Glenn.

6. "Reds" 1948--1953 (March 15 at 11:00 and 20:00 GMT and March 16 at 02:00 GMT)

Fear of one another permeates the eastern and western leadership, trickling down to the citizenry. The House Committee on Un-American Activities in the United States begins investigating alleged communist infiltration in the entertainment industry and diplomatic corps. In the USSR, an increasing cult of personality is being built up around Stalin and a more repressive police state is taking hold. In response to Yugoslavia's independent foreign policy, the Soviet Union pushes a series of purges in Prague as a warning to other satellite countries that may stray from Soviet policy. Fear and repression in the USSR hits its zenith right before Stalin's sudden death in 1953. Interviews in Episode 6 include Arthur Kinoy, Ralph de Toledano and Boris Pokrovsky.

7. "After Stalin" 1953--1956 (March 29 at 11:00 and 20:00 GMT and March 30 at 02:00 GMT)

After Stalin's sudden death, Nikita Khrushchev takes over the Soviet Union, reversing some of Stalin's oppressive policies. Khrushchev also reestablishes relations with Yugoslavia and in a secret speech given to the Soviet leadership he denounces Stalin's harsh policies. Meanwhile, West Germany begins to rearm, leading the USSR to establish the Warsaw Pact in response. Trying to maintain Soviet influence in Eastern Europe, Khrushchev sends troops into East Germany, Poland, and Hungary to put down revolts. Interviews in Episode 7 include Anatoly Dobrynin, Charles Wheeler and Sergei Khrushchev.

8. "Sputnik" 1949--1961 (April 5 at 11:00 and 20:00 GMT and April 6 at 02:00 GMT)

Unbeknown to the United States, the Soviets had spied on the U.S. development of the atom bomb, and quickly created their own after the Second World War. This sparked a nuclear arms race between the two superpowers. With the successful Soviet launch of Sputnik, America responds by increasing its development of nuclear armed missiles. A fear takes hold in the United States that the nation is falling behind the Soviets in terms of technology. John F. Kennedy is elected President of the United States in 1960, as the Soviets seem to have a commanding head start in the space race. Interviews in Episode 8 include Joseph Rotblat, Boris Chertok, Andrew Goodpaster, Herbert York and Gherman Titov.

9. "The Wall" 1958--1963 (April 19 at 11:00 and 20:00 GMT and April 20 at 02:00 GMT)

As West Germany and West Berlin become more affluent, East Germans begin to flee their country for their more prosperous neighbor. Khrushchev demands that the British, French, and Americans leave West Berlin, but they decline and the opportunity for a peaceful resolution is dashed when the Soviets walk out on the Paris Summit of 1960 because of the U-2 incident.

On the night of August 12, 1962, East German security forces begin to build the Berlin Wall. In response, a tense standoff between U.S. and Soviet forces ensues. In 1963, President Kennedy delivers his famous "I am a Berliner" speech.  Interviews in Episode 9 include Anatoly Gribkov, Valentin Falin, Stefan Heym, Egon Bahr, Raymond L. Garthoff and Conrad Schumann.

10. "Cuba" 1959--1962 (May 3 at 11:00 and 20:00 GMT and May 4 at 02:00 GMT)

Fidel Castro seizes power as a result of the Cuban Revolution and becomes an ally of the Soviet Union. He begins to nationalize American assets in Cuba, which leads to the United States introducing an economic boycott of the island nation.

The United States sponsors a failed counter revolution on the island with the Bay of Pigs Invasion. The Soviet Union begins to move medium range nuclear missiles into Cuba which sparks the Cuban Missile Crisis. The crisis leads to a U.S. blockade of Cuba, and a near war with the Soviet Union. The crisis ends after secret negotiations between the United States and USSR lead to a deal to remove American missiles from Turkey and Soviet missiles from Cuba. Interviews in Episode 10 include Fidel Castro, Walter Cronkite, Pierre Salinger and Theodore Sorensen.

11. "Vietnam" 1954--1968 (May 17 at 11:00 and 20:00 GMT and May 18 at 02:00 GMT)

Vietnam's former colonial ruler, France, was forced out of the country after losing the Battle of Dien Bien Phu. Refugees began to flood into South Vietnam from the north, after communists there began a strict land reform program. The Viet Cong, with Soviet help, tries to reunify the country through force. America, supporting South Vietnam, becomes more involved after the Gulf of Tonkin incident.

As American casualties continue to grow, so does the unpopularity of a war that seems unlikely to be won. After the Tet Offensive, President Lyndon Johnson's clout is severely damaged. A policy of bombing North Vietnam, while also seeking to negotiate a peace, does not work. Interviews for Episode 11 include Robert Macnamara, William Westmoreland, Nguyen Vo Giap, Bui Diem, Jack Valenti and Clark Clifford.

12. "MAD" 1960--1972 (May 31 at 11:00 and 20:00 GMT and June 1 at 02:00 GMT)

America's policy of targeting Soviet military bases as a deterrent to war is shown to be ineffective during the Cuban Missile Crisis. A new deterrent policy is thought up by U.S. Secretary of Defense Robert McNamara, called MAD, or Mutually Assured Destruction.

Both Americans and Soviets begin testing and building more nuclear weapons, including submarines that are able to strike should one side destroy the other. Adopting a defensive strategy, the Soviets create an anti-ballistic missile. The United States develops multiple independent warheads to counter this. The danger of the arms race is shown in the Palomares incident. Yet there is some hope of de-escalation after both sides sign the SALT Treaty. Interviews in Episode 12 include Russell E. Dougherty, William Kaufmann and Harold Brown.

@highlight

CNN International is again airing its 24-part series, The Cold War, which first aired in 1998

@highlight

The Cold War shows how the events of yesterday have shaped the world of today

@highlight

Series was narrated by Academy Award nominated actor Sir Kenneth Branagh