(Departures) -- In 1829, Englishman George Stephenson brought to life the first steam-powered locomotive — named Rocket — and marked the birth of train travel.

Fast-forward 183 years, and today's jet-setting lives are lived at breakneck speed. One can climb aboard a Gulfstream G550 jet in Miami and make it to Seoul, South Korea, in a bit less than 15 hours for an impromptu business meeting.

But when it comes to luxury train travel, finding the fastest route between two points is not the goal. It is more about settling back in one's seat and savoring the experience, one station at a time.

The train trips on this list are diverse, encompassing varied cultures within epic journeys, like a four-week excursion through Africa with stops at the pyramids and Victoria Falls, or a two-week Trans-Siberian sojourn through Russia that crosses eight time zones and travels a quarter of the way around the world.

Departures: Riding the Ferrari train

Not all cover thousands of miles. Micro journeys -- such as a day trip through the thick, green vegetation of Peru to climb the steps of Machu Picchu -- can be just as eye-opening.

And some trips are about a sense of place, offering a comfortable feeling that you may slip into when, say, sipping whisky aboard a train rolling through the Scottish Highlands.

T. S. Eliot once said, "The journey not the arrival matters."

After embarking on these train adventures, we think you'll agree completely.

All aboard: Railroad adventures for every budget

Al Andalus, Andalucía, Spain

This 800-mile trip aboard the Al Andalus, through the homeland of Pablo Picasso and Federico García Lorca, is nothing short of romantic.

The train winds its way through some of southern Spain's most iconic medieval cities — Seville, Córdoba, Granada, Ronda and Cádiz. They are areas where hard-fought religious battles resulted in today's cultural kaleidoscope, a tightly woven fabric touched by Moorish and Catholic influence.

Best of all, traveling from the glittering Alhambra palace in Granada to the palm-lined squares and wide streets of Jerez in an original 1929 Wagons-Lits carriage lends a sense of old-world glamour and history. $3,220, including meals; luxurytrainclub.com.

Departures: World's most beautiful bridges

Eastern & Oriental Express, Singapore to Bangkok

Luxury is second nature on the opulent Eastern & Oriental Express, as evidenced by the open-air observation car at the back of the train for taking in panoramic views of the countryside and a resident pianist performing in the bar car.

The seven-day, six-night Fables of the Hills journey zips through the mist-covered Cameron Highlands and past Bukit Merah, home to one of Malaysia's largest freshwater lakes, with an opportunity to disembark and taste the teas and strawberries grown in the hills.

Guests can later take in dramatic views of the River Kwai as they pass over the historic Tham Kasae viaduct built along the mountain. $9,200, including meals; orient-express.com.

How we'll travel in 2022

Golden Eagle Trans-Siberian Express, Moscow to Vladivostok, Russia

Travelers aboard the Golden Eagle's two-week Trans-Siberian expedition are in for a wild ride. They will cover 6,000 miles, crossing eight time zones, traveling a quarter of the way around the world in the process.

But with luxurious amenities like a Champagne welcome reception, heated floors and dedicated butler service, guests can settle into their seats and focus on taking in the uniquely Russian scenery — from the Ural Mountains dividing Europe and Asia to the classic wooden architecture of Irkutsk — as Tchaikovsky symphonies play gently in the background.

Don't miss the freshwater seals at Lake Baikal. $21,020, including meals; luxurytrainclub.com.

Departures: World's most bikeable wine regions

Hiram Bingham, Cuzco to Machu Picchu, Peru

This is one of the shortest trips on our list — just three and a half hours each way — but it packs a punch.

Those who board the Hiram Bingham receive a warm towel and are asked to sign a leather-bound guest book. After brunch, spectacular sights (like the snowcapped Vilcabamba Mountains) begin to unfold outside the windows as the train zigzags along switchbacks through the agricultural terraces of the Incan city of Jaquijahuana.

Then it is on to the cloud-laden Urubamba Gorge, thick with green vegetation, before finally arriving at Aguas Calientes, just a bit more than a mile from the famous lost city of Machu Picchu, with its more than 3,000 steps looming in the distance.

Meals and tea are enjoyed at Machu Picchu Sanctuary Lodge Hotel. $350, including meals; orient-express.com.

Departures: Amazing private safaris

Pride of Africa, Cape Town to Cairo

This 28-day excursion through South Africa, Zimbabwe, Tanzania, Uganda and Egypt doesn't confine itself to land travel (there is a luxury air safari and lake cruise included), but the adventure's crown jewel is its majestic Pride of Africa train.

Guests will take in a broad swath of Africa, from a visit with chimpanzees in Uganda to a tour of the pyramids and the Great Sphinx in Egypt to the rushing waters of Victoria Falls in Zimbabwe — a sight so powerful, explorer David Livingstone said the falls must have been "gazed upon by angels in their flight."

Back onboard, guests can relax in leather seats and enjoy fine South African wines in the lounge car. And for the adventurous set, the train provides complimentary goggles in the event one should want to stick his or her head out the window.

The trip is a rare treat, departing only once every two years, and sets out next in January 2014. From $6,200, including meals, laundry and excursions; rovos.com.

Departures: Top Alaska cruises

Royal Canadian Pacific, Canadian Rockies

This is a trip so regal, it attracts royalty, in the form of Queen Elizabeth II, who traveled in a Royal Canadian Pacific train shortly after her marriage to the Duke of Edinburgh.

The six-day, five-night excursion, which begins and ends in Calgary, scales the Spiral Tunnels of Yoho National Park, during which the Royal Canadian climbs 1,070 feet in 10 miles of track along a narrow mountain pass.

Perilous? Perhaps. But the views of the Rocky Mountains afforded by this near-vertical trek are some of the most spectacular in the world.

Other highlights include the opportunity to lounge by the emerald waters of Lake Louise in the unspoiled wilderness of Banff National Park. $8,145, including meals; luxurytrainclub.com.

The Royal Scotsman, Scottish Highlands

The Royal Scotsman's Highland Journey begins and ends in the capital city of Edinburgh.

From there, the train heads north through the former Kingdom of Fife, filled with fishing villages and rolling green pastures, and then onward and upward to the rugged crags of the famed Highlands. At night, a local clansman tells tales of Scottish history, and an informal whisky tasting allows guests to get acquainted with Scotland's national drink.

The second day is filled with activities in the Rothiemurchus Forest, home to wild hare, osprey and red deer. Guests can shoot clay pigeons or fish before the night winds down with a tour of Strathisla, one of the oldest working distilleries in Scotland. $4,020, including meals; royalscotsman.com

Departures: See two more spectacular rail trips

Are you a rail enthusiast? What train trips would you recommend? Please share your suggestions in the comments section below.

© 2010 American Express Publishing Corporation. All rights reserved.

@highlight

Luxury train travel is about enjoying the ride and savoring the sights

@highlight

The Al Andalus winds its way through southern Spain's most iconic medieval cities

@highlight

The Trans-Siberian Express crosses 6,000 miles and eight time zones