(CNN)  -- The gunman showed that he was human.

Most of the others who stalked the lobby of Tripoli's Rixos Hotel were young, brash, hostile Gadhafi diehards. Yet this man in his 50s, armed with a Kalashnikov, longed to see his children.

His kids were out there somewhere in the Libyan capital, he said, gunfire and explosions erupting around them.

"I really miss my family, too," CNN producer Jomana Karadsheh told him in Arabic. "I really want to go out and see my family. They're worried about me."

Tears welled in the gunman's eyes. Rebels were taking over the Libyan capital. And this man, who had known nothing but the Gadhafi regime for 42 years, wanted to go home, too.

It was in this moment that Karadsheh knew she had a chance. If the three dozen journalists being held against their will inside the five-star hotel for five days had a shot of being freed, it was now.

At 29, Karadsheh has a lifetime of experience in hostile regions. A native of Jordan who is fluent in Arabic and English, she's a stalwart of CNN's Baghdad bureau and known for her professionalism, persistence and persuasiveness.

If you encounter trouble, you want her at your side.

She'd come to Libya weeks before, meeting up with CNN Senior International Correspondent Matthew Chance. She'd built relationships with the government officials, media minders and security in the hotel, including this gunman. Now she and an Arabic-speaking cameraman from another news organization were negotiating to secure the journalists' safe release.

On her Facebook page, Karadsheh lists her favorite quote: "Life is not a journey to the grave with the intention of arriving safely in a pretty and well-preserved body, but rather to skid in sideways, thoroughly used up, totally worn out, champagne in one hand ... strawberries in the other and screaming: 'Woo Hoo! What a ride!' "

In the Rixos Hotel, Karadsheh wasn't ready for life's wild ride to end.

Phoning home to say goodbye

It had become apparent days earlier that the journalists -- from an array of news organizations, including BBC, Reuters, Fox and China's CCTV -- were prisoners of a dying Gadhafi regime.

The government officials and minders who'd monitored the journalists abandoned the hotel August 21. About 15 gunmen loyal to the regime remained behind, roaming the halls with Russian assault rifles. They told the journalists they could not leave the hotel.

Most of the loyalists were irritable, young, reckless. They adorned their weapons with the green flag of Gadhafi's regime. To avoid contact with this volatile bunch, the journalists moved to an upper floor.

A hotel chef initially took care of the group. One 21-year-old gunman -- a "nice guy," Karadsheh says -- ran through the hotel with his jeans covered in the blood of his cousin, killed in the fighting outside.

By Monday, tensions between the journalists and their captors escalated. Gunfire erupted outside the hotel, and smoke could be seen coming from the direction of Gadhafi's nearby compound. The gunmen were enraged.

"NATO spies," they shouted. "There are spies amongst the journalists!"

They walked amid the journalists, their guns drawn. They were angry, bitter.

"This could really turn out terribly for us," Chance thought.

The journalists tried not to antagonize. "We all had a calm panic, if there is such a thing," he recalled.

The gunmen's belligerence sparked paranoia "about being taken hostage, about being held prisoner, about being executed."

"It dawned on us: If they'd been given orders to take us as prisoners or to execute us, there was nothing we could do."

That loss of control -- the realization that their fate rested with the men holding guns -- led to the darkest thoughts: that they wouldn't make it out alive.

Chance phoned his mother and wife to tell them what to do with his remains.

His wife put his 5-year-old daughter on the line. If this was a final goodbye, his only child needed to hear daddy's voice.

The veteran correspondent who has covered conflicts in the Balkans, Chechnya, Iraq and Afghanistan didn't tell his girl about the danger he faced. He spoke instead of the new school year.

"You're going to start school in two weeks," he said. "Promise me that you'll work really hard at school."

"Yes, Poppa, I promise you."

"Be a good girl for me and mommy."

"Poppa, I will."

His heart sank. He was 2,000 miles from his home in Moscow. He wanted nothing more than to see his girl on her first day of school.

He just wasn't sure if he'd make it.

Fighting intensified outside. Snipers fired into the hotel, shattering windows and rattling nerves. Chance and the others spent 36 hours face-down on the floor with little food or water.

With frequent power outages, it was difficult to follow the events of Tripoli outside the walls of the hotel. But work kept Chance focused. He tweeted using his smartphone, used a satellite phone or called friends and dictated his thoughts.

At one point Tuesday, he leaned over a balcony overlooking the hotel's interior courtyard, which the gunmen patrolled.

"I suppose you're happy now that Libyans are killing Libyans," one shouted.

Connecting "as a human"

The sound of artillery fire pierced the morning calm Wednesday. Journalists rustled awake. The gunmen had grown increasingly hostile the day before. The group worried about what lay in store.

About 6 a.m., all of the gunmen except the older one left the hotel. Karadsheh and the Arabic-speaking cameraman approached him.

A day earlier, she had overheard him telling the younger gunmen to remain calm and be good to the journalists: "We want them to go back to their countries and say good things about us -- how Libyans are brave people."

Now Karadsheh and the cameraman told him what they understood: Gadhafi's regime had fallen.

When a man who called himself a soldier entered the hotel, the gunman asked about the situation outside. "You were out there. Tell me, what's really going on? Is it what they are telling us?"

Yes, he was told. The rebels were indeed in control.  Gadhafi's rule of Libya was over.

Karadsheh seized the moment with an emotional plea. Her family missed her, she told him, as did the families of the three dozen other journalists.

"Think about your kids," she said. "You're left here alone. Just let us go."

At first, the man defended Gadhafi, saying that he had brought democracy to Libya, that the nation thrived under his leadership.

Earlier, he'd told Karadsheh that he was protecting the journalists. That he wanted his children to know that he'd fight to the end.

Karadsheh and the cameraman reminded him that all the senior officials -- and now even his young comrades -- had abandoned him.

It was time to give  up.

"Slowly, he started to change."

The cameraman slowly stripped the soldier and gunman of their weapons.

Now unarmed, the man looked at the journalists and said, "You can go now."

Karadsheh immediately began negotiating with the International Committee of the Red Cross to get cars to the hotel.

Before she left, she told the man goodbye.

"Jomana, get out of here," he said. "Go back home. Libya is over. There will be a bloodbath for years to come."

Chance watched nearby as his colleague talked with the guard. "I watched this transformation these guys made from being Gadhafi hardliners to realizing that his regime was a historically past moment. That was a remarkable transition to witness.

"I think it's the most moving part of this whole crisis."

Says Karadsheh: "In the end, we're all human. And that's what this was about, connecting with him as a human."

Stepping outside the Rixos, the journalists worried about snipers. There were none. Cars with the BBC and the International Committee of the Red Cross pulled up. They piled inside.

"Rixos crisis ends. All journalists are out!" Chance tweeted.

In the car, he called CNN. Speeding through Tripoli, he described the end of their hellish ordeal. Karadsheh sat next to him, tears streaming down her face, the weight of recent days crashing down.

"We wouldn't be here if it weren't for her," Chance said later. But Karadsheh praised the cameraman. "It was a team effort."

Chance's daughter will soon see her poppa. He plans to be home for her first day of school September 5.

But first he stopped at the newly named Martyr Square, where joyous Tripoli residents showered him with flowers.

"They're not celebrating my freedom," he said. "They're celebrating Libya's freedom."

Karadsheh was struck by the disparate scene from a week ago, when Tripoli was filled with unhappy faces. Today, she noted, everyone seemed to wear smiles.

Gadhafi's images have been torn down.

"I came out to a new Libya," she said.

On Thursday, the day after her release, she did the unthinkable. She returned to the hotel to gather her personal belongings.

"I got a bit freaked out when we got close," she said. "But the first thing I saw was a rebel flag hanging on the Rixos. I felt comfortable."

Soon, she was back in a car, crossing the border into Tunisia, headed home. As she'd told the gunman, she longs to see her loved ones.

CNN's Paul Armstrong contributed to this report.

@highlight

CNN producer helped negotiate end to crisis at Tripoli's Rixos Hotel

@highlight

All 36 journalists were freed unharmed

@highlight

CNN correspondent Matthew Chance called home to say his goodbyes

@highlight

Gunmen turned over weapons Wednesday: "You can go now."