(CNN) -- It's a stirring sight, and it happens just once a year -- a full field of thoroughbred gray horses thundering down one of Britain's most famous racecourses in a fiercely-contested handicap event.

"You don't have to be a racing purist to appreciate the spectacle of 19 gray horses charging down the July Course," Newmarket's PR manager Tony Rushmer told CNN.

"There are not many of them, it's their scarcity that gives them cult appeal."

Once described as "diseased" and genetically inferior, gray horses have achieved a special place in hearts of racing fans in recent decades -- winning some of the industry's biggest events.

The Newmarket handicap was first run in 2003 and has grown in popularity with both the professional racing fraternity and the general public.

The 2012 version was won in fine style this month by Medici Time, ridden by Eddie Ahern, and once again attracted interest over and above the moderate standard of the runners.

Tough winners

But the enduring appeal and popularity of grays is well known in racing circles.

"It's a wonderful spectacle with wonderful-looking horses. And it's very good for racing," says Tony Carroll, a former jockey who trained last year's winner Time Medicean -- which this time finished outside the placings.

So why are gray horses so popular?

Carroll believes it's because they are perceived as good bets for punters. "They're tough horses and many are winners," he told CNN.

Some of the greatest flat performers in the United States have been grays -- going back to early 1950s with the great Native Dancer, who has sired a line of champions.

Brian Zipse, the managing editor of the influential website Horse Racing Nation, said that the legendary colt, who was nicknamed the "Gray Ghost," made his reputation as the sport was being shown widely on television for the first time.

"The fact that here was a gray horse that won so often made him even more famous because he stood out," he told CNN.

Native Dancer was named Horse of the Year twice, and other grays to win the award include Spectacular Bid (1980), Lady's Secret (1986) and Skip Away (1998).

Rated greatest

Zipse has a soft spot for Lady's Secret, a filly sired by the legendary Secretariat, who is rated by many the greatest racehorse of all time.

He was taken by his father to watch the Belmont Stakes in New York in 1973 when Secretariat completed the Triple Crown by adding a devastating 31-length victory to his Kentucky Derby and Preakness Stakes successes.

"The stand literally shook that day," Zipse recalled.

Lady's Secret was one of Secretariat's best offspring -- and as a gray filly she had a double affinity with race followers.

"When a top filly races against colts, it's similar to how people feel about a gray racing against more common colors," Zipse said.

This year's gray attraction in the United States has been the striking colt Hansen -- almost white by pigmentation.

He failed to live up to the promise shown as the top juvenile in 2011 and was out of the placings at the Kentucky Derby, but has a "big fan base" according to Zipse.

A desert bloom

On the other side of the Atlantic, the gray Desert Orchid -- "Dessie" to his fans -- was one of the most popular horses in the history of the sport.

Racing over the national hunt jumps, Desert Orchid won the Cheltenham Gold Cup in 1988 and the King George VI Chase at Kempton Park four times. There is an eye-catching statue in his honor at that track in west London.

This year, the gray Neptune Collonges won the Grand National at Aintree, a feat which eluded Dessie, who never ran in the prestigious UK race.

Both these great grays stood out even more because, as older horses, their coats had grown even lighter with age.

The official definition of a gray is outlined in "Identification of Horses -- Instructions for Veterinary Surgeons," a book produced by Weatherbys in conjunction with the Royal College of Veterinary Surgeons and British Equine Veterinary Association.

All thoroughbreds listed by Weatherbys in the UK have to have their coloring and markings registered by a veterinary surgeon.

"The body coat is a mixture of black and white hairs, with the skin black. With increasing age the coat grows lighter in color," reads the definition.

Nature's anomaly

Official figures confirm that grays are a rarity. Weatherbys' "General Stud Book for 2011" records that 2.8% of the foal crop in the UK were registered as gray, with bay the most prevalent color at 73.3%. Chestnut was next at 20.4%, then brown at 3%.

In genetic terms, to breed a thoroughbred gray one of the parents has to be so colored -- but it was not always a popular combination.

Italian Federico Tesio (1869-1954) is renowned as one of the most successful breeders in the history of horse racing.

At his Dormello Stud in Novara near Lake Maggiore, Tesio and his wife bred and trained a string of great champions over a half-century period.

His books on the subject are still "must reads" for aspiring thoroughbred breeders, but he insisted gray horses were "diseased" not just differently colored and his views proved influential.

Grays indeed are more likely to develop tumors, known as melanomas, but many are benign. While gray hairs are a sign of aging (as in humans) this is exacerbated for horses as pigment is prevented from reaching the hair.

Perhaps because of Tesio's views, grays were out of vogue and even segregated into gray-only races, not for the positive reasons that prompt the race at Newmarket and others in the United States.

The stunning success of Native Dancer and his offspring would have done much to change attitudes and in and era dominated by television, their ability to stand out in a packed field is priceless.

"Fans gravitate to gray horses because they are rare and it's easy to spot them," concluded Zipse.

@highlight

All-gray events proving popular with fans of horse racing

@highlight

Annual handicap race held on the famous July Course at Newmarket

@highlight

Unique appeal of grays put down to their rarity

@highlight

Legendary Native Dancer popularized grays in the United States