Kabul, Afghanistan (CNN) -- In the suburbs of Afghanistan's capital on the third floor of a modest apartment building live newlyweds Mushtaq and Haleema Changezi.

They tied the knot in a traditional ceremony just four months ago, yet their families are wondering why they haven't started a family.

"This is supposed to be a new chapter in our lives -- we should be excited," explained 27-year-old Haleema. "But there is no future for us here in Afghanistan, so how can we possibly start a family?"

Haleema has a double masters degree in economics and accounting. She has applied for dozens of jobs in Kabul but can't get one interview. Her 30-year-old husband works for a production house in multimedia design -- his salary is just enough to support them. They are both Hazaras -- Persian-speaking ethnic Afghans who over the years have been persecuted and discriminated against.

Escaping dangers of home

The couple feels this is still the case and the reason why so many Hazaras have left their homeland for foreign shores. "In our country there are NATO forces, the aid of foreign countries and yet we don't feel we have a life or a future. What's going to happen when the foreign forces leave in 2014? There is no future for us in Afghanistan," she said.

This is a familiar story, not just among the Hazara community but also across the Afghan community in general -- many are fearful of what will happen to their country once coalition forces leave in two years time.

Australian vote keeps question mark over asylum seekers

Despite assurances from ISAF -- the International Security Assistance Force -- that includes U.S. and NATO forces, there has been an increase in violence across the country. Analysts say the Taliban are no longer based only in their Helmand province heartland in the country's south and along the eastern border with Pakistan.

They are now spread out across all 34 provinces using suicide attacks and IEDs -- Improvised Explosive Devices -- to target coalition and Afghan forces, as well as innocent Afghan civilians.

Which countries take in most refugees?

This resurgence has frightened many Afghanis, including Haji Ali Mohammad. He decided to send his two sons and nephew to Australia to escape the war-ravaged nation.

"They were going to Australia for work, to make a better life, a good and peaceful life, away from the Taliban. Our life is dangerous here -- we don't feel secure," he said.

His sons, 19-year-old Akbar and 22-year-old Javid, joined their cousin, 20-year-old Hashim, on their 11,000-kilometer journey. Organized by people smugglers they flew to Dubai and then to Thailand where they picked up visas. From there, they caught a plane to Malaysia where the trio traveled by boat to Indonesia. The three eventually boarded a leaky wooden fishing vessel bound for Australia's Christmas Island.

"The last time I spoke to them, they said we're leaving tonight. The next time we call you we'll be in our new home -- Australia," said Mohammad.

A few days later, he received a call.

On the phone was another passenger from the fishing vessel. He said within a few hours of leaving shore the boat began to sink. Of the 18 men on board, only 10 survived. Among the dead were Mohammad's sons and nephew.

"The people who survived, held onto broken pieces of ship until the rescue boats arrived. My boys knew how to swim but not in that much water for hours on end," Mohammad said.

The father of 11 children then broke down in tears. "A bright day turned into a dark night. The anniversary of their deaths is approaching. I miss them constantly."

Thousands of Afghan asylum seekers attempt the long and treacherous journey to Australia every year. Frustrated with waiting for political asylum though the official channels, they pay smugglers up to US$20,000 per person -- and there's no guarantee, just the promise of a brighter future.

For Mushtaq and Haleema Changazi they are trying the legal route and for good reason. Haleema's 28-year-old brother, Ishaq, set off earlier this year because he didn't want to wait any longer. "The last time we spoke he was on the boat in Jakarta and he was saying that maybe in two to three hours, there would be no signal and this was his last call," she said.

"After that there was no news from him and we haven't heard from him for the last 3 months."

With tears rolling down her face, Haleema says while her family pray they will hear from him soon, she knows there's little hope. "I hear the reports about the boats sinking. I know what's happening. I know they're all prepared to die for a better life in Australia -- including my brother."

@highlight

Mushtaq and Haleema Changezi are seeking to escape persecution in Afghanistan

@highlight

Many ordinary Afghans fear for the future of their country and the Taliban influence

@highlight

Thousands risk their lives making the hazardous journey to countries such as Australia

@highlight

Many pay smugglers up to US$20,000 per person to help them make the journey