MATURA, Trinidad (CNN) -- With its white sand and clear, blue water, Trinidad's Matura Beach looks like a postcard. It's a far cry from its recent past, when leatherback sea turtle carcasses littered the ground and kept tourists away.

Suzan Lakhan Baptiste's efforts have turned a beach from a leatherback turtle graveyard to a nesting colony.

"Twenty years ago, this was a graveyard," Suzan Lakhan Baptiste said of the six-mile stretch of beach near her home.

"The stench was horrendous. You could smell it for miles," she said.

Saddened and frustrated, Baptiste launched a crusade to help end the slaughter of the gentle giants. Today, she and her group are succeeding: What was once a turtle graveyard is now a maternity ward -- one of the largest leatherback nesting colonies in the world.

It hasn't been an easy fight for Baptiste or the turtles.

For 100 million years, the creatures have traveled the world's oceans, outliving the dinosaurs. Over the last 30 years, they have become critically endangered worldwide because of fishing, pollution and hunting.

For centuries, they've been hunted throughout the Caribbean for their meat and fins, and also for their eggs, which some people prize as aphrodisiacs.

"Turtles are in serious trouble," Baptiste said.

Every year, female leatherbacks make their way onto the beach, laying their eggs deep in the sand. It is a long, complicated ritual during which the enormous, slow-moving animals are easy prey for poachers.

"Leatherbacks [are] very vulnerable," Baptiste said. "They cannot pull their head and flippers back into the shell. They have no sense of defense to actually protect themselves."

By the 1980s, nearly one in three turtles that nested on Matura Beach were killed. When the government asked for volunteers to help protect the endangered creatures, Baptiste and several others answered the call. In 1990, they started Nature Seekers, one of Trinidad's first environmental groups.

'Crazy Turtle Woman'

For years, Baptiste and her group patrolled the beaches every night of turtle nesting season. She often walked alone until sunrise.

Locals mocked her efforts, calling her the "Turtle Police" or "Crazy Turtle Woman," yet her dedication to the unpaid work was fierce; when it conflicted with her day job, she quit and found a new job.

Leatherbacks were a vital source of income for some members of her village, and the poachers who prowled the beaches with machetes could be threatening. When Baptiste's then-husband was injured during a patrol, she became more determined to stand her ground.

"I was very vigilant," she said, adding that at times, she even got into physical fights.

But Baptiste persisted, and a prestigious award from the United Nations Environment Program helped validate her efforts. She and her group also worked hard to convince the villagers that using the turtles for eco-tourism could create a more sustainable income.

"I wanted to show that a turtle is [worth] so much more to us alive than dead," Baptiste said.

Gradually, her message of conservation turned the tide of public opinion, and after nearly two decades under Baptiste's leadership, Nature Seekers has largely won its battle. Today, the leatherbacks' survival rate on Matura Beach is virtually 100 percent.

"Here, turtle slaughter is a thing of the past," Baptiste proclaimed.

Even "Papa George," a village elder who used to hunt leatherbacks with his father, can attest to the cultural shift.

"Suzan brought around the change," he said. "They don't kill the turtles anymore ... because of the visitors."

Nearly 10,000 tourists a year, most of whom are Trinidadian, now visit Matura Beach, and many locals make a living by providing them with accommodations, food and souvenirs.

Since the beach is a prohibited area during the nesting season, Nature Seekers' members act as guides, explaining the turtles' ancient rituals to visitors. In addition, Baptiste and her colleagues gather data on the enormous creatures, tagging and weighing as many leatherbacks as they can.  Watch Baptiste and her group weigh a leatherback turtle at night »

During peak season, they might see between 250 or 300 turtles a night. More than 5,000 leatherbacks nest in the area each year. The group's work is often cited as one of the most successful eco-tourism efforts in the Caribbean.

Still, turtle slaughter persists throughout the region, and Baptiste is working to help other groups learn from her success, most recently on the island of Dominica.

She finds joy in sharing her hard-earned knowledge.

"The passion that I feel, it burns me up," she said. "I have seen the fruits of our labor, and it can happen in every community."  Watch how Baptiste helped end the slaughter of turtles in her community »

Her efforts -- and those of many others around the region -- are making a difference. While leatherbacks are still critically endangered worldwide, the Caribbean population has begun to rebound.

"When I got started, a lot of people thought I was crazy," Baptiste said, and she admits that she sometimes wondered if they were right. Reflecting on what she and her team have accomplished, she now believes it was worth it.

"I love being crazy, you know?" she said, laughing. "Crazy with a passion, crazy with a dream -- totally environmentally crazy."

Want to get involved? Check out Nature Seekers and see how to help.

@highlight

Suzan Lakhan Baptiste helped end leatherback turtle slaughter in her community

@highlight

Her nonprofit Nature Seekers promotes turtle conservation throughout the Caribbean

@highlight

The group's efforts contribute to eco-tourism in the area

@highlight

Do you know a hero? Nominations are open at CNN.com/Heroes