Editor's note: CNN contributor Bob Greene is a best-selling author whose current book is "When We Get to Surf City: A Journey Through America in Pursuit of Rock and Roll, Friendship, and Dreams."

"Tumbling tumbleweeds" have been romanticized in song, but they're no fun in some parts of the U.S.

(CNN) -- "Do we like them?"

Patrick Victor, a game and fish commission employee in San Carlos, Arizona, repeated the question back to me as if I had proved my lunacy by asking it in the first place.

"Do we like tumbleweeds?" he said. "No one likes them. They're not like in the cowboy movies. We consider them garbage -- worse than garbage. There is nothing to treasure or cherish about a tumbleweed."

We were talking about tumbleweeds because of a theory I had been pondering:

In this country, because of the immediacy of news, it seems as if everyone from one coast to the other is worrying obsessively about the same thing at the same time. You name it: the banking meltdown one day, the feared floods in Fargo, North Dakota, the next; the forced ouster of the head of General Motors one morning, followed soon after by the street demonstrations in London during the Group of 20 summit. We all tend to fret together about one crisis at a time; undoubtedly there will be something new for all of us to be nervous about together before sundown tonight.

So the goal here was to come up with something utterly unlikely -- something that, in 2009, you wouldn't think would bother people -- and find out if it does.

Tumbleweeds. That, just picked at random, was the test case.

"They can be a pretty big problem out here," said Scott McGuire, a code enforcement inspector in Greeley, Colorado. "When the wind is right, they'll pile up right to the roofline of a house. Seriously -- people can't see out of their windows or even easily get out of their homes."

There was something instructive, even (in an off-kilter way) comforting, about learning this: the affirmation that, in this increasingly monolithic country, there are still local vexations that override the breaking news bulletins on the national networks, that people in one pocket of America are routinely dealing with forces that people a few hundred miles away are blissfully unaware of.

Just hearing about it makes life seem somehow more life-size.

"I meant what I said literally," McGuire said, continuing on his pinned-in-the-house-by-tumbleweeds theme. "They are big and prickly -- they can blow for hundreds of miles, sometimes all the way from Wyoming. They go until the wind dies out or they run into something. That's when people can have piles of them pressing against their homes -- when the tumbleweeds stop there."

Tumbleweeds, if you haven't thought about them in years, may seem like a gauzy memory from old Western movies, a nostalgic high-plains symbol of desolation and loneliness. There was that campfire song by Roy Rogers and his group, the Sons of the Pioneers; once you think of the lyrics and melody again, you can't get it out of your head:

"See them tumbling down/Pledging their love to the ground/Lonely but free I'll be found/Drifting along with the tumbling tumbleweeds."

But in the 21st century? In our connected-by-broadband, addicted-to-cell phones, technologically tethered nation?

Tumbleweeds? As something to be concerned about?

"They're ugly and nasty," said Charlene Hardin, the county manager of Roosevelt County, New Mexico. "They can make our roads impassable. You can see 12-foot-high, chain-link fences with tumbleweeds piled all the way up to the top. They're very flammable -- toss a cigarette, and you have a big fire.

"Tumbleweeds are more than a nuisance out here. We'll get complaints from people who can't even get out of their own driveways because the tumbleweeds have them hemmed in."

Tumbleweeds are mainly a plague in the West and Southwest: certainly not dire on the level of, say, a national security issue, but a perpetual pain in the neck. They're a gnarled and unpleasant-looking plant, useless as a crop or nutritionally; they dry up, separate from their roots and blow across the land, spreading seeds. They're thorny, are often painful to the touch and can grow as big as trash bags -- it's not uncommon to see tumbleweeds 4 feet in diameter rolling speedily along.

As Velda Bucklen, who lives west of Kersey, Colorado, and who was concerned about people just heaving errant tumbleweeds off their property and thus onto nearby lawns, wrote in a letter to the editor of her local newspaper: "They are prickly and strong. ... I have been guilty of tossing them into the street and sending them on their way. .... Please don't fight with your neighbors."

The people of the United States, though, are nothing if not resourceful. Just as you may have been unaware that tumbleweeds are a contemporary problem, so you may be heartened to learn that, as always, where some people see bad news, others see opportunity.

"I thought there might be some money in tumbleweeds," said Linda Katz of Garden City, Kansas.

She was right. She runs a company called Prairie Tumbleweed Farm (its motto is "If they don't tumble, we don't sell them!"), and she said she has found a steady mail-order market for tumbleweeds.

"Personally I'm not fond of them, but apparently some people are," she said. "They're just big, rolling weeds. But people order them for wedding decorations. People order them for dances. Servicemen say tumbleweeds remind them of home. I've taken two orders already today."

Finding them is not a challenge: "They just roll by the house." She grabs them, puts them in boxes and mails them off. And, to answer your question before you can ask it: $25 for a large tumbleweed, $15 for a small.

Before we leave this topic so we can all return to more conventional news, a word from Bob Lee, director of weed and pest control in Cheyenne, Wyoming:

"I've seen people here who have gone away for a two-week vacation, and when they come back, there are so many tumbleweeds in front of their house that they have to chop their way to the front door."

So, Mr. Lee, is there one stirring and inspirational parting message you'd like to convey to people?

"Just that tumbleweeds don't have any redeeming features, as far as I'm aware of."

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: National issues such as economic crisis dominate news

@highlight

Greene says that we quickly move from one crisis to the next

@highlight

Greene: Still there are regional concerns that never get a big spotlight

@highlight

Some parts of the U.S. are plagued by "tumbling tumbleweeds"