(CNN) -- I like to joke that the difference between other places I've lived and Indiana is that seeing a goat or a chicken used to be a field trip; now it's my commute. Humor aside, though, one of the perks of living much closer to farmland is the access that we have to amazingly fresh food. I haven't always been the healthiest of eaters, but in recent years that has changed. Two summers ago, we participated in a "farm share," where every week we would get a box of organically raised produce.

It's not an understatement to say that this completely redefined the eating habits of my family. We went from a meat-heavy diet to a much more vegetable-oriented one. My wife became much more concerned with how our food was raised and processed. Before long, she was near-obsessed with whether our food was "organic."

We're not alone. Organic food, or food grown without synthetic pesticides, fertilizers, antibiotics or hormones, now accounts for more than $31 billion in sales each year. More than 4% of all food sold is organic, and whole industries have sprung up around its production and sale. Most people who buy organic food do so for its purported health benefits. Often, people will claim that it's more natural production leads to better nutrition. Others cite pesticides and other substances in nonorganic food as being hazardous to your health. Those who believe this are willing to pay a premium (and organic food usually comes with one) for those benefits.

A recent study, though, calls into question whether those benefits are actually real. In this month's Annals of Internal Medicine, a manuscript examined all the studies published in the medical literature from 1996 through 2009 that compared organic and conventionally grown food. There were 223 such studies that compared these foods for nutrient and contaminant content. There were no significant differences in vitamin content between organic and nonorganic foods. Of the 11 other nutrients studied, none were significantly different once adjustments were made for study quality.

Although some differences existed between levels of detectable pesticides, in only three studies did contamination exceed the maximum allowed limits, and none of those were in the United States. There was no statistically significant difference in bacterial contamination, fungal toxins or heavy metal contaminations.

An additional 17 studies looked at the effect of organic and nonorganic foods in human beings. Three looked at whether organic foods in pregnant women and children might protect against allergies (they didn't overall). Two found that children on organic diets had lower organophosphates (compounds used in herbicides and pesticides) ]in their urine, but no actual health benefits could be detected from that difference.

Of the 11 reports in nonpregnant adults, only one reported a clinical outcome. It turned out that people who ate organic meat in the winter were more likely to get a campylobacter infection, which could lead to food poisoning.

This is a lot of research. I've done systematic reviews before, and I can tell you that reviewing hundreds of studies is not only a lot of work, but it also shows that this domain has been researched extensively. Organic food has almost no evidence showing health benefits.

This comes as no surprise to many detractors of organic food. None other than Norman Borlaug, who arguably saved more lives than any other person in human history by deveolping disease resistant, high-yielding plant varieties (earning him a Nobel peace prize in 1970), claimed that organic food was "ridiculous." He, along with others, has long argued that there is no way to feed the world's population without chemical fertilizers and technological advancements, and that with no proven benefits from avoiding those components, we are only hurting ourselves and the chance of others to eat cheaply and easily by advocating for them.

My wife remains unmoved. So do my friends. I'm sure many of you who believe in the benefits of organic food are similarly unimpressed.

The continued focus on organic food has potential problems, though. Because it doesn't use as many fertilizers, organic farming requires more land to grow the same amount of food as conventional industrial farming. A Scientific American article asserted "nothing has been more disruptive to the planet's ecosystem and its inhabitants than agriculture," and included in its assessment organic farming. Organic farming can even result in a disrupted ecosystem, according to one report. Moreover, some scientific advancements have even engineered food with more nutrients than organic farming produces. Making healthy food more expensive also potentially puts it out of reach of those with limited means.

I've watched this debate intensify in the last week. This is a subject that stirs deep passions in both those who favor and disdain organic foods.

I think we're missing the point, though. The benefit of organic food is that it tends to help us to eat more healthily. But it's the focus toward fruits, vegetables and less processed foods themselves that's the benefit, not the lack of pesticides. My eating habits changed because I was eating a wider variety of healthy foods -- and they tasted good. That's not because of how they were fertilized as much as it was that they were fresh and nonindustrial.

Once you've tasted a home-grown tomato, then the ones you buy in the store are never tolerable again. People who try locally grown produce are often amazed at the difference in taste. It turned out that I liked some vegetables more than I knew, and that helped me to want to eat them more.

The current argument over organic food is somewhat of a waste. Most of those people who are quibbling over it are already eating reasonably well. They don't need the extra benefits, even if they did exist. But there are whole swaths of people out there who have never had a locally grown vegetable, and think they're all tasteless

Those are the people who might benefit from changes in diet. If we could focus on the added benefits of more vegetables and less meat period, and recognize that organic food might help convert some from one to the other, then we've won. Perhaps more backyard growing when possible, or farm shares when not, might do the trick. We should celebrate good food for what it is -- good tasting and good for you. We should spend less time arguing over minutiae that are irrelevant both in theory and in practice.

The opinions expressed in this commentary are solely those of Aaron Carroll.

@highlight

Aaron Carroll: A local "farm share" program introduced his family to local grown produce

@highlight

It changed the way they ate. New study shows little health benefit to organically grown food

@highlight

He says organically grown food takes up more space, can price out people who can't afford it

@highlight

Carroll: Better to focus on getting people to eat healthy food at all, not necessarily organic