NEW YORK (CNN) -- Federal, state and municipal agencies staged an elaborate drill in the waters off New York City on Tuesday to prepare for the possibility of a nuclear or dirty-bomb attack from the water.

A U.S. Coast Guard vessel passes a container ship in New York Harbor as part of Tuesday's terror drill.

"We're a big city, and there are vulnerabilities," said Ray Kelly, commissioner of the New York Police Department.

Agencies involved in Tuesday's test  emphasized they did not undertake it because of a specific threat against the city. However, Kelly said the city was taking no chances after a proclamation years ago by Osama bin Laden. "We do know that Osama bin Laden several years ago obtained a fatwah to use nuclear weapons, and our goal is to make certain that that fatwah does not come to fruition," he said.

In addition to increasing various agencies' preparedness for a seaborne radiological attack, Kelly said Tuesday's well-publicized drill was meant to deter those who would perpetrate such an attack.

"It pays to advertise to a certain extent. We want anyone who would do us harm to know that we're out there, that we have the capability to detect," Kelly said.

Eight government agencies participated in the drill, ranging from the NYPD to the U.S. Coast Guard. The exercise took place at the entrance of New York Harbor, just south of the Verrazzano-Narrows Bridge linking Staten Island to Brooklyn.

Per the drill's plan, eight boats were to cross a checkpoint set up by authorities. They were on the lookout for abnormally high concentrations of radioactivity -- a telltale sign of an improvised nuclear device or a radiological dispersal device, more familiarly known as a dirty bomb. Some of the boats were decoys with no radioactive substances aboard, while others had actual radioactive isotopes planted in them.

A radioactivity detector in the hull of the authorities' boats was to identify which vessels had radioactive substances in them. The devices are highly sensitive -- so much so that people who have recently had certain medical treatments can set them off.

It was up to the authorities participating in the drill to sort the good boats from the bad -- and to intercept the bad.

Only minutes into the six-hour exercise, equipment aboard a police boat detected radioactivity within a small white pleasure craft passing through the checkpoint.

Two patrol vessels then converged on the pleasure craft, while officials began to question the driver and his two passengers. Soon after, authorities boarded the boat and used a radiation detector, officially known as a radiological isotope identification detector, to produce a "spectrum" of the radiological material. They then transmitted the spectrum to the Department of Homeland Security's Joint Analysis Center (JAC) in Washington to determine precisely what radiological material was aboard the boat.

Within moments, the JAC radioed back with a positive identification: Caesium-137, an industrial radioactive isotope that if used in large enough quantities could power a devastating dirty bomb.

Sure enough, when a separate boat containing press and police officers sidled up to the apprehended craft soon afterward, the portable radioactivity detectors of officers onboard began to sound excitedly.

NYPD Sgt. Art Mogil said that, in part, the agencies chose to practice on leisure craft to illustrate that radiological weapons could be transported in deceptively benign-looking boats. "It doesn't require a large vessel. A device can be just a few pounds and still be a major threat," Mogil said.

James Waters, counterterrorism chief for the NYPD, said exercises like Tuesday's were vital because the stakes involved are so high. "Someone bringing in a radiological or nuclear device would be very serious if not catastrophic," he said.

On an average day, not all incoming maritime traffic in New York City is subjected to the radioactivity tests performed at Tuesday's drill. An NYPD official declined to specify what percentage of boats normally undergo such screening.

@highlight

NYPD Commissioner Ray Kelly: "We're a big city, and there are vulnerabilities"

@highlight

Participating agencies stressed that the drill was not in response to a specific threat

@highlight

Authorities were to decipher sinister intent from any of eight boats in waterway

@highlight

They were on lookout for abnormally high concentrations of radioactivity