Video, whether it's a natural sound package (see below, with editing tips from CNN's Merv Teo), an interview, "B-roll," or a simple sound bite, is the hallmark of multimedia production. Two veterans of CNN photojournalism, Mark "Mad Dog" Biello and Chris Hrubesh, share their tips below. After reading these, CNN iReport would like you to participate in this week's boot camp project, by profiling a person who works with his or her hands.

• Shoot in series

Give a variety of shots to the viewer: a wide shot to establish the scene, medium shot to bring the viewer closer, and a close-up to reveal the action. You can mix this up too, starting a sequence with the close-up instead.

• Hold your shots

Always hold your shots for at least five seconds at the beginning and five seconds at the end. This technique will give our viewers a "less jarring experience" and make it easier to edit later.

• Use a tripod or mono-pod

Nothing distracts viewers more than shaky or lopsided video. You can purchase an inexpensive tripod to correct these problems. The more expensive a tripod is, the more control you have over your camera shots. A tripod with a fluid head will allow you to accomplish the smoothest zooms, tilts, and pans.

• Limit your zooms and pans

All of us have been guilty of overusing zooms and pans, but you must resist this temptation. These moves should only be used on tripods. If you have time, practice the zoom or pan before you start rolling. Try to focus more on getting wide, medium, and (my favorite) close-up shots. Try to physically move closer to your subject instead of zooming if possible. If you do zoom, try to stick to your optical zoom, not your digital zoom. Digital zoom looks bad and should only be used if your subject is out of your normal camera range.

• Have a foreground subject

It is always interesting to have an object or subject in the foreground. For example, when shooting the exterior of a house, use the mailbox in the foreground for a more dramatic look, or pan from the mailbox to the house.

• Use manual controls, if possible

If you have a "prosumer camera," use the manual controls instead of the automatic if you have the time. Automatic focus and auto iris can distract from the quality of your video if the subject or light is constantly changing location and intensity. To do a proper manual focus, zoom all the way in to your subject (before recording) get your focus, and zoom out. If you are interviewing someone, zoom in to their eyes and set your focus. If you don't do this, your subject with be "soft" which is out of focus.

• Get a variety of angles and shots

Only showing wide or medium shots will get boring quickly. Try to vary your shots. Always get a wide or establishing shot, then try to get in close to the action and get close-ups without interfering with the story.

• Don't talk while shooting "B-roll"

Do not --- I repeat --- do not talk while you are shooting awesome footage (or "B-roll," a.k.a. supplemental or alternate footage). We need to hear the natural sound of the event and not your commentary. If you talk during the event, the viewers will lose that sound, and we would generally lower or edit out your commentary if it distracts from the video.

• Use a microphone when interviewing someone

Even though camera mics will do in a breaking news situation, wireless lavaliere or stick mics are the tools of choice for good storytelling (if you have a DV cam, it is wise to invest in a wireless system, for use with interviews or following a subject around without having to hold a mic). If possible, use a windscreen to keep out wind noise and audio pops from your subject.

• Have the interview subject restate the question

For example: If you ask how does this machine work?" have the subject answer, "Well, the machine works in this way...."

iReport: Put your video skills to work

• Get to know the subject before rolling tape

Furthermore, when conducting any interview, always start with the person's full name, spelling and if appropriate, where are they from and what they do for a living. The name is very important to CNN iReport producers and for air. Also, never ask a question that can be answered with a simple "yes" or "no." Ask a question like, "Can you describe to me what you saw?" Have them describe the details and their personal feelings.

• Use a camera light for indoor interviews

If you are shooting indoors and the light is low, use a camera (bat light). You should ideally have one with a dimmer but these can get pretty pricey. When you are shooting outdoors, always have the sun to your back and your subject facing the sun if possible. Making sure people's faces are lit will help them stand out from their background.

• Bring extra batteries and media for every shoot

As they say in the Boy Scouts, "Be prepared." Make sure your batteries are fully charged and you have plenty of extra videotapes or media before you head out there and get your extraordinary video. Purchase a decent camera case to protect your camera that also has room for your extra batteries and media.

• Be creative

You don't have to reinvent video production, but be observant and try to find shots that you don't normally see on the air.

These 10 basic tips should help you improve the quality of your video submissions in the future. I also recommend watching CNN programming and gleaning basic composition and lighting techniques.

These basic tips should help you improve the quality of your video submissions in the future. We also recommend watching CNN's programming and gleaning basic composition and lighting techniques.

Mark "Mad Dog" Biello has traveled to more than 80 countries and 49 states, and worked in nine CNN bureaus capturing compelling stories for CNN over the past 27 years. He was portrayed in the HBO film "Live From Baghdad" as the only photojournalist for CNN to be in Baghdad when the 1991 Gulf War began. He also covered the revolutions throughout Eastern Europe, the fall of the Berlin Wall, the fall of the Soviet Union, wars in Somalia, Bosnia and Sudan, the South African elections in 1994, 9/11, the Afghanistan war, and was embedded with U.S. Marines in 2003 in Iraq. He has covered as many as 30 conflicts and civil wars around the world. During Hurricane Katrina, he rescued dozens of people hours after the storm had passed through New Orleans, Louisiana. He recently covered the BP oil disaster in the Gulf of Mexico.

Chris Hrubesh has worked for CNN for 22 years as a video editor, field audio recordist, photographer and producer. He has been to several war zones, including Bosnia (1992 and 1995), Kuwait, Iraq and Somalia. He has traveled and covered the last four elections and been embedded with the presidential campaigns of Joe Biden, John McCain, Al Gore and Dick Gephardt. He has covered dozens of hurricanes, including Katrina, several high-profile court cases and was at ground zero hours after the attacks on 9/11.

Merv Teo has worked for CNN for eight years and is an accomplished producer; field producer, segment producer, video editor, photographer, lighting and field engineering assistant. He has spent a significant amount of time working in the Boston bureau with reporter Dan Lothian and also covered the 2004 Democrat and Republican national conventions. In his current role, Merv produces breaking news elements for our online businesses and generates original content on a daily basis, including producing entertainment related stories for CNN.com.

@highlight

Veterans of CNN photojournalism share their expert tips on creating videos

@highlight

One tip: Give a variety of shots to the viewer

@highlight

Another: Get to know your interview subjects before rolling tape

@highlight

iReport: Profile someone working with their hands