NEW YORK (CNN) -- Students at a high school in Virginia prepared Thursday for the funeral of a popular classmate, the victim of a deadly drug-resistant strain of bacteria that has turned up in schools across the country recently.

It's called MRSA, short for methicillin-resistant Staphylococcus aureus, and is responsible for more deaths in the United States each year than AIDS, according to new data.

Ashton Bonds was a senior at Staunton River High School in Moneta, Virginia, who was diagnosed with MRSA.

"I was standing beside his bed and ... I said, 'Baby, we're supposed to be having a graduation this year, you've got to come up out of this and get better,' " his mother, Veronica Bonds, remembered.  After struggling with the infection for a week, the 17-year-old died on Monday.

Students at his school organized a rally, saying the school needed to be cleaned up before they went back to class.

"If we sent the whole student body back into the school, then more people would just come down [with] it and maybe even result in another death," student Chelsea Woods told CNN. "So we sent out a bunch of text messages, got on MySpace and posted a few bulletins, and decided to have a rally around the flagpole to make sure this doesn't happen again."  Watch crews disinfect schools in Bedford County, Virginia »

Another Staunton River student, Ashleigh Shuffler, told CNN's "American Morning" she took the school superintendent on a tour of the school.

"We walked around the school, showed him a couple of bathrooms and the hallways and pointed out everything that wasn't sanitary and he was very surprised," she said. "I don't think he realized we were as serious as we were.  I think he thought we were exaggerating."

Officials closed all 22 schools in Bedford County for cleaning this week.

The situation at Staunton River High was not an isolated incident.

On Wednesday, school officials in Connecticut confirmed that one student at Weston High School and one at Newtown High School had been diagnosed with MRSA. In Rockville, Maryland, at least 13 students have been diagnosed with MRSA.

Cases have been reported in Ohio, Michigan and other states. Although school principals have observed that the bacteria predominantly affects student athletes, cases have been reported in children of elementary school age as well.

A study published Wednesday in the Journal of the American Medical Association estimates that MRSA infections occurred in nearly 95,000 Americans in 2005. Based on those figures, an estimated 18,650 people died due to their MRSA infection in 2005. That death rate is higher than the HIV/AIDS death rate for that year, and the number of MRSA related deaths is much higher than previously thought.

Pat Mshar, an epidemiologist for Connecticut's Department of Health -- which contributed data to the JAMA study -- said the consolidation of statistics was groundbreaking.

"This is the first time that we've been able to measure this in a population basis in which we've been able to quantify the impact," she said.

According to the Centers for Disease Control, some 25 to 30 percent of the population carry staphylococcus bacteria -- one of the most common causes of infection -- in their bodies. While such infections are usually minor, invasive MRSA infections can become fatal because they are caused by drug-resistant staph.

Dr. Julie Gerberding, the director of the CDC, says these infections are not new. "It's important to appreciate that many of these infections are the same infections moms have been dealing with for decades. They're very preventable," she says.

"If you see a skin infection that looks like the redness is getting bigger or if it's associated with a lot of swelling around the wound or if the individual has a fever, those are reasons to definitely seek doctor's attention. But most of the time these are things that can be treated with the same kind of common sense approach that is we've been using for years."

Mshar emphasized that the highest rate of MRSA deaths -- 58 percent -- is found in hospitals.

"The healthy person in the community -- like the high school student -- generally is going to be able to be treated adequately without adverse outcome," she said. So long as an infected student seeks treatment, covers open cuts or lesions and avoids direct skin contact with other students, "it's OK to go to school."

"Certainly the publication of the article and the death of the student has heightened concern," she said. "Parents are more aware of MRSA now than they ever were before." E-mail to a friend

CNN's Mythili Rao and Tim Langmaid contributed to this report.

@highlight

17-year-old student died of drug-resistant strain of bacteria on Monday

@highlight

Methicillin-resistant Staphylococcus aureus, MRSA, blamed for his death

@highlight

MRSA cases also reported in Connecticut, Maryland, Ohio, Michigan

@highlight

MRSA killed more people than HIV/AIDS in 2005, new study finds