Achilles' heel was his weak spot in the Greek myth, but the heel of a newly discovered primate provides a strong connection between humans and their possible ancestors.

Scientists have discovered the oldest primate skeleton to date, from a creature that resembles humans' evolutionary line -- the anthropoids -- and a different primate lineage called the tarsiers. They have named this specimen Archicebus achilles, making reference to its heel bone, which resembles those of modern monkeys.

Anthropoids include humans, apes and monkeys. Tarsiers are nocturnal primates that live only in Southeast Asia today. The study is published in the journal Nature.

"For the first time, it really shines a light on an important phase of primate and human evolution that we just had very little information about before," said K. Christopher Beard, paleontologist at the Carnegie Museum of Natural History and senior author of the study.

The specimen's completeness, age and position in the primate family tree make it special, said Erik Seiffert, associate professor at Stony Brook University, who was not involved in the study.

Giant extinct lizard named for Jim Morrison

"In my opinion, it is one of the most important discoveries in the history of paleoprimatology," Seiffert said in an e-mail.

While fragments of other ancient primates have been found in the past, this skeleton -- about 55 million years old -- is by far the most complete example of a primate from this period, Beard said.

Archicebus achilles represents a never-before-seen link between the anthropoids and the tarsiers, Beard said, but he expects the creature's exact position on the evolutionary tree to be quite controversial.

Some of its features suggest to his group that it is slightly more closely related to tarsiers than to anthropoids, but other scientists may reach different conclusions. Still, he said, it seems to be clearly related to both groups.

"Archicebus (achilles) gives us our first really detailed look at a species that branched off right near the base of the primate family tree -- when anthropoids, tarsiers, and lemurs had just started out on their separate evolutionary pathways," Seiffert said.

This creature was tiny -- only 2.8 inches long -- and weighed no more than 1 ounce, making it between the size of a shrew and a mouse.

Will mammoths be brought back to life? Liquid blood fuels cloning hopes

Scientists find the small size fascinating because until about a decade ago, researchers believed that anthropoids needed to be a lot bigger, Beard said. But there are counterexamples, even today: The pygmy mouse lemur, found in Madagascar, weighs only about an ounce as well.

A creature so tiny must have been "active and frenetic," Beard said. Shrews, for instance, act anxious because they are always looking for their next meal, since they need a lot of food for their high metabolic rate.

Archicebus achilles, being small, probably also had a high metabolism, and likely ate high-calorie foods such as insects and very ripe fruits with lots of sugar content.

"When you're that small, you can't afford to eat salad," Beard said. "You can't ingest enough calories rapidly enough to keep your body going."

Unlike modern tarsiers, Archicebus achilles was active during the day. Tarsiers also tend to have eyeballs that are the same volume as their brains, whereas this ancient creature had relatively small eye sockets compared to its face -- an attribute of monkeys.

Triceratops trio unearthed in Wyoming

The creature's foot made a big impression on Beard because of how much it resembles the feet of modern-day marmosets. Its features are much more like those of a monkey than a tarsier.

On the other hand, other features -- the hip, knee, elbow and pelvis -- more closely resemble a tarsier.

Paleontologists can't say that this specific creature is the ancestor of humans and tarsiers, but this is the best approximation so far of something resembling a hypothetical common ancestor, he said.

Archicebus achilles was discovered in an ancient lake in Hubei province, China, at a site called the lower Eocene Yangxi Formation, in the Jingzhou area.

The scientists plan on going back and looking for more, but it's hard work. They were lucky to have found this creature, Beard said. It must have died near the lake and then its carcass was swept into the lake, perhaps by a stream. The body settled at the bottom, covered up by mud which then hardened.

For researchers digging at this site, ancient fish fossils are far more likely to turn up than primates, "which is cool -- fossil fish are cool. I like fossil fish, but I'm not an expert on fossil fish," Beard added.

But if you're looking for ancient mammals at this site, "you have to have an incredible amount of patience because it's probably going to be years before you find something that's really, really exciting. But when you do, you hit the jackpot."

More space and science news from CNN Light Years

Follow @CNNLightYears on Twitter

@highlight

Scientists have discovered ancient primate Archicebus achilles

@highlight

Its name highlights its unusually modern foot

@highlight

The skeleton has a mixture of features of anthropoids and tarsiers