TAMPA, Florida (CNN) -- Some Christian congregations, particularly in lower income, urban areas, are turning to an unlikely source for help -- the Church of Scientology.

Rev, Charles Kennedy uses Scientology founder L. Ron Hubbard's book during a Friday night sermon.

Scientologists do not worship God, much less Jesus Christ. The church has seen plenty of controversy and critics consider it a cult. So why are observant Christians embracing some of its teachings?

Two pastors who spoke recently with CNN explained that when it comes to religion, they still preach the core beliefs of Christianity. But when it comes to practicing what they preach in a modern world, borrowing from Scientology helps.

The Rev. Charles Kennedy, of the Glorious Church of God in Christ, a Pentecostal church in Tampa, Florida, and the Rev. James McLaughlin, of the Wayman Chapel African Methodist Episcopal Church in Houston, Texas, are among the theological hybrids.  Watch Rev. Kennedy preach »

They say they are not scared off by programs with ties to a church that critics say has aggressive recruiting, secretive ways and rigid theology. As men of God rooted in Christian values, they do not see Scientology as a threat to their faith, but rather as a tool to augment it.

Scientology was founded in the 1950s by L. Ron Hubbard, a science fiction writer. Followers are taught that they are immortal spiritual beings called thetans. Although the church says there is a supreme being, its practices do not include worshipping God.

"I'm looking for solutions, and the people that I help, they don't ask me who L. Ron Hubbard is," said McLaughlin, who works with addicts. "You know what they say? 'Thank God.' "

Critic Rick Ross, a court-certified Scientology expert, sees something more sinister at work. He warned that mainstream acceptance makes it easier for the Scientologists to achieve their ultimate goal -- new recruits.

"Their hope is that through these programs, people will become more interested in L. Ron Hubbard, what else Mr. Hubbard had to offer, and this will lead them eventually to Scientology," Ross said.

The church has long been in the headlines for practices critics say are little more than cult-like mind control. It is also known for its stable of devout celebrity followers.

And according to published reports, Scientology has been recently diversifying its outreach to include other religions and ethnic groups.

Kennedy, McLaughlin and a handful of other Christian church leaders -- no one can say how many -- are finding answers to their communities' needs in Scientology's social programs.

For Kennedy, it began two years ago when he attended a meeting at the Church of Scientology's spiritual headquarters in Clearwater, Florida. He was introduced to a book called "The Way to Happiness" -- Hubbard's 64-page, self-described "common sense guide to better living."

In the book, which lays out ways to maintain a temperate lifestyle, Kennedy found a message he believed could help lift his predominantly lower income African-American congregation. He said the book's 21 principles help them with their struggle in an urban environment where there is too much crime and addiction and too little opportunity.

Kennedy knew that before he could introduce any Scientology-related text to his congregation, he would have to prove that it did not contradict his Christian beliefs. And so, he found Scripture to match each of the 21 principles.

Now Kennedy uses "The Way to Happiness" as a how-to supplement to his sermons. He believes it is easier to understand and clearer to follow than ancient Scriptures taken from the Bible.

When asked whether Scientology's values contradict the religion of Jesus Christ, Kennedy replies, "Sometimes yes. Sometimes no." But he says his congregation can relate to "The Way to Happiness."

Kennedy admits other pastors have criticized him, but the disapproval is not enough to discourage him. He insists that he has witnessed the changes "The Way to Happiness" has inspired in people. He also maintains that the Scientologists, many of whom he calls friends, are successful at outreach and getting desired results.

At Kennedy's C. L. Kennedy Center, free tutoring based on Hubbard's "study tech" philosophies is provided to dozens of children and some adults. Kennedy's daughter, Jimirra, is one of the instructors. She said "study tech" and the Scientology orientation classes she attended helped her graduate from high school and become a poised woman.

Though Jimirra Kennedy insists she does not ascribe to the religious side of Scientology, she still considers herself, at least in part, Scientologist. "We say this all the time and I know my father says this, but I am like a Pentecostal Scientologist, that's what we are."

Critics like Ross are alarmed by such a blurring of the lines. They consider it a marketing win for Scientology.

In Houston, McLaughlin says he is not one to argue with success. Driven by a need to address the rampant drug problem in his community, McLaughlin spent years searching for a solution before he discovered "Narconon," Scientology's nonprofit drug rehab center, in 2001.

McLaughlin trained at Narconon and brought the techniques back to his community to launch "First Step Faith Step," a program that combines Hubbard's methods with the teachings of Christianity.

He claims a 70- to 80-percent rehabilitation success rate.

Kennedy and McLaughlin said they have never lost a member of their congregations to Scientology.

"I think that they truly believe that this may help their communities, but in my opinion, they're naïve," Ross said. Scientologists, he added, "have their own agenda."

The Church of Scientology would not grant CNN an interview, nor would its representatives answer questions about the Hubbard-based programs.  E-mail to a friend

@highlight

Christian pastors borrow ideas from Scientology to preach temperate lifestyle

@highlight

Critics say Scientology is a cult, always looking for recruits

@highlight

Pastor in Houston, Texas, claims 70 percent success rate with addicts