London (CNN) -- It was the art discovery that stunned the world: more than 1,400 works of art, many of them masterpieces, hidden away for over 70 years, unearthed not in a high-security vault or long-forgotten museum basement, but an anonymous apartment in an upscale German neighborhood.

A vast stash of paintings by the likes of Picasso, Matisse and Chagall, some previously unknown, others that had been presumed lost forever. Their worth is thought to be upwards of $1 billion.

The cache was uncovered by German tax authorities who raided the property in the Munich district of Schwabing in February 2012 as part of an investigation into allegations of tax evasion, but its existence remained a closely-guarded secret until this week.

As details of the paintings -- and claims they may have been looted by the Nazis -- begin to emerge, one mystery remains: just who is the man behind this remarkable collection?

The apartment where the haul was hidden belongs to an 80-year-old art lover named Cornelius Gurlitt; he has long since vanished, leaving relatives and neighbors -- as stunned as everyone else by the contents of his outwardly modest home -- to piece together his story.

They paint a picture of a solitary and enigmatic man, whose only love was art.

"For me he was a 'lonesome cowboy,'" says his cousin Ekkeheart, who last saw Gurlitt more than 30 years ago, and now lives in Spain. "He had no friends. He was very strange. The only thing I think that was interesting for him was his paintings."

Ekkeheart remembers Gurlitt as "a very elegant man," always impeccably turned out, carrying an ivory-topped cane, but always with an air of mystery about him.

"He never let us in to his flat -- nobody," he told CNN. "When we met him we always met at some fancy place... never in his flat. I wondered... why can't we stay there, but 'no, no, it's not possible.'

Read more: Unknown Matisse, Chagall artworks in 'Nazi-looted' haul

"So of course you think, 'he never lets us in, perhaps he has some secrets...' If you're a mystery man people think all kinds of mystery things about you."

He says the family knew that Gurlitt worked as an art restorer, but insists they had no idea about the treasure trove of paintings he had squirreled away.

"We knew he was restoring paintings, but we thought maybe he had 100 or so... paintings going in and out, so people didn't wonder, but nobody knew -- not even us -- that he had 1,400-and-something pictures in his flat, in 90 square metres, imagine! Nobody had seen it because he didn't let anybody in."

According to land registry checks carried out by Paladin Associates and seen by CNN, the Munich apartment isn't the only property owned by Gurlitt; he and his sister Benita also own another home in a smart suburb of Salzburg, Austria.

Art-obsessed recluse

No one answered the door when CNN paid a visit to the house this week, but a neighbor said he hasn't seen Gurlitt for several years. He remembers a reclusive man, apparently obsessed with art.

"He never greeted anyone and would just drive by, keeping to himself," the neighbor told CNN. "He always seemed grumpy and would never really be out in public... He would always quickly retreat into his house and never really had any visitors."

While Gurlitt appears to have lived a largely secret life for decades, his father Hildebrand, who is thought to have amassed the huge collection of paintings, was well known in the German art world of the 1930s and 1940s.

According to statements Hildebrand Gurlitt gave to the Allies in June 1945, he had been employed to buy art for the Nazis. Previously, he'd lost two jobs -- first as director of the city art gallery in Zwickau, eastern Germany, and then as head of Hamburg's Art Association -- because of his partially Jewish heritage.

Documents published on lootedart.com, the website of the Central Registry of Information on Looted Cultural Property 1933-1945, reveal that the allied forces confiscated more than 100 artworks from Hildebrand in the aftermath of the Second World War.

Read more: Art looted by Nazis 'found in German apartment'

The pieces -- including works by Henri Matisse, Pablo Picasso, Gustave Courbet, Jean-Honore Fragonard and Edgar Degas -- were later returned after Hildebrand strongly denied holding Nazi beliefs and insisted the paintings and other art objects were the legal property of his family.

In a checklist which forms part of his statement to the Allies, Hildebrand reports owning a Picasso painting "bought from the artist" in Paris in 1942 for 60,000 francs, while a work by Chagall was said to be an "old possession of my sister."

The 1945 inventory and other lists compiled by Hildebrand when applying to reclaim his collection also include several pieces by artists condemned as "degenerate" by the Nazis: Otto Dix, Emil Nolde, Max Beckmann and George Grosz.

In statements backing his calls for the return of the works, several people wrote of Gurlitt's interest in art forbidden under the Nazi regime.

In a letter dated March 1946, Friedrich Schreiber-Weigand, director of the city art collection of Chemnitz, in eastern Germany, reported that Gurlitt "took the side of the condemned 'Degenerate Art' and saved many a masterpiece of this kind by bringing it into private ownership."

Hildebrand finally secured the return of his artworks in 1950-51. He died a few years later in 1956, leaving them -- together with hundreds of other pieces -- in his son's hands. Their origin is unclear.

Cornelius Gurlitt appears to have guarded the collection ferociously, keeping it out of sight for decades.

"He could have sold them to a rich man, or made a foundation, or sold them to a museum," says his cousin Ekkeheart. "He had Picasso, Otto Dix, Marc Chagall, everything. He could have sold [them] if he was interested to make money...

"[Instead] He's said I am the one that has something unique that nobody has. Not you and not you, and I'm not prepared to show these treasures, all my treasures, all my babies. I don't want to show it to anybody."

Read more: Unknown Matisse, Chagall artworks in Nazi-looted haul
Read more: Art looted by Nazis 'found in German apartment'
Read more: Art labelled 'degenerate' back on display in Germany

CNN's Dan Morgan, Erin McLaughlin and Claudia Rebaza contributed to this report.

@highlight

More than 1,400 masterpieces, hidden away for over 70 years, found in Germany

@highlight

Collection includes works by Picasso, Matisse, Chagall, as well as so-called 'degenerate art'

@highlight

Mystery surrounds the keeper of the paintings, 80-year-old Cornelius Gurlitt

@highlight

Gurlitt's father admitted working for the Nazis as an art dealer