(CNN)Take one look at these images and you experience a range of city-life emotions.

You feel the noonday sun beating down on your back, surging waves of people on every side of you. You sip your overpriced beverage and stare into the distance for a reprieve from the crowds and from a morning spent on your feet.

You see long shadows and you hear the quiet: the exhale of a city that's been running hard and long all day -- the settling down, the withdrawal of vendors and businessmen and every sort of tradesmen in between.

Dutch photographer Bas Losekoot is interested in these interactions, and by isolating them he examines "the mask that people are wearing on the streets, and things like the gaze -- who's looking at who?

"What do these small gestures on the street tell us about the human condition?" Losekoot asked. "How do people feel and how do people respond to (each other)?"

Losekoot was trained as a classical photographer and spent time after graduation shooting stills on film sets. Influenced by the lighting techniques from the cinema, he had the idea: "Why not bring the light to the streets?"

"After that," he said, "the street became a studio and the people became the actors."

He started in New York three years ago when he had this idea.

"I was fascinated by this theme of the 'urban millennium,' " he said. "What's going to happen when cities get more busy and people have to live in a smaller space?"

The urban millennium references the announcement, made by the U.N. Department of Economic and Social Affairs in 2007, that "more people (are) living in cities than in rural areas: 3.3 billion people (are) on three percent of the earth's surface."

During his time in New York, Losekoot made a blueprint for where he would go next to continue this documentary work: Sao Paulo, Brazil; Seoul, South Korea; Mumbai, India; and Hong Kong. He is now stationed in London, continuing the project while he pursues a master's in photography and urban cultures.

When deciding what city to focus on for his project, there are three determining factors, he said: "Speed and scale of urbanization, size of economy, and population density."

Once arriving in a new city, Losekoot brings passion for his work, and grit and determination carry him through long days standing on dusty and crowded street corners.

"I find these places interesting, because this is where the personality and character and the desires that people have come up in places where the population density is very high," he said. "You really see what they're thinking in those places, and small gestures have a lot of information about what we think about ourselves and what we think of each other."

Losekoot brings small flashes with him and sets them up on whatever is available, be it light posts, poles or railings. Then he waits for the perfect moments. Nothing is staged; it's all a candid flow of human interaction. The most subtle gaze or movement speaks volumes in a still image. Losekoot does his best to be invisible so that people will act naturally and not pose for the camera.

The dramatic lighting makes for a very theatrical end product. Running late for the bus suddenly becomes an epic dash through dappled sunlight and illuminated sheet-metal buildings.

"The camera made me curious in the world, and the camera is a great way to explore places and people," Losekoot said. "And it can open doors in a lot of situations."

Social media

Follow @CNNPhotos on Twitter to join the conversation about photography.

Losekoot asks thoughtful questions of society by holding up a mirror and inviting honest examination.

"What kind of cities are we creating, and in the end are we creating an ideal world? Those are the big themes I like to touch with my work. And the themes I like to raise questions about," he said. "It's very difficult to find those answers in photography; it's hard to see the progress of the city in someone's eyes. I'm very much interested in the people in there, in the social behavior of the group."

These questions are the driving force that propels Losekoot's work. Exploring the dynamics of the streets. Capturing a moment in time that you can delve into and resonate with on a very human level.

Just pictures of people on the street? Yes. But the underlying implication is that we, the same humanity that used to roam the forest floor, now traverse concrete in this urban millennium.

Bas Losekoot is a Dutch photographer based in London. You can follow him on Facebook.

@highlight

Photographer Bas Losekoot is fascinated by city life and its people

@highlight

He took photos in major cities across the world to study how its residents interact

@highlight

In 2007, a U.N. report said 3.3 billion people live in cities -- 3% of the world's surface