(CNN) -- Presidential libraries always seem to be the center of controversy and debate. Right now a number of cities are competing to host President Barack Obama's library once he leaves office. There will certainly be a flood of stories about the vast fund-raising that will take place to secure money for the building since, according to the laws governing these libraries, the buildings are privately funded.

At President Richard Nixon's archive in Yorba Linda, California, there was a heated controversy over the failure to appoint a new director to replace Tim Naftali, a distinguished historian who came into conflict with the library's board for trying to put together an honest presentation for visitors about the Watergate scandal. The Nixon foundation blocked the appointment of Mark Lawrence, a widely respected diplomatic historian at the University of Texas, because of his writing on Vietnam.

There is a heated contest currently taking place to decide which city will house Obama's library after his term ends. Applicants from New York, Chicago and Honolulu are among the 13 that are engaged in a competition to win the right to host the museum and archives that will honor Obama's service to the nation.

But the most important question about presidential libraries is not where they're located, but how they handle the release and processing of the White House records.

This too has been the subject of controversy. According to the law, most presidential records are to be released by 12 years after a president leaves office. Some documents might still be kept secret as a result of matters such as national security concerns.

In 2001, President George W. Bush stirred controversy with an executive order giving former presidents much more leeway in restricting papers after the 12-year period ended. The order came under intense criticism from the historical community and public interest advocates. A judge overturned much of the order in 2007, and Bush himself has signed an order encouraging a speedier release of his documents.

But delays in the release of some of President Bill Clinton's papers beyond the 12 years have caused more concerns about the power that former chief executives have over these kinds of documents. Some critics have speculated that Obama has allowed for the continued delays to protect Hillary Clinton from questions if she runs for president in 2016.

Obama -- who had been critical of Bush's preference when in the White House toward tighter restrictions on presidential papers -- accepted the delays in the release of Clinton's records.

He issued an executive order in 2009 that established a 30-day period for a president to review proposals from the National Archives to release the records of a previous president. Under that order, however, an unlimited number of extensions are permissible.

There is important legislation pending in the Senate that would curtail how much authority a president has to restrict the release of these records. This kind of legislation is vital since the archives contained in these libraries are a national treasure -- and access to the archives allows scholars and journalists to really examine the history of each White House.

With all the controversies that loom over these libraries, the one thing that's unquestionably needed is a speedy release of papers. These archives, which are an essential part of these museums, are incredibly important for our understanding of presidential history and the foundation of our current politics.

The presidential library system took form in 1955 with the Presidential Libraries Act. The legislation created a national system of presidential libraries that would be run by the National Archives but privately funded. Congress passed legislation in 1978 that ensured that the official records of each president and his staff would go to the archives rather than remaining private property, as they had been considered before.

The findings from the archives have had a huge impact on how we think about many periods in American political history. Democrat Harry Truman, who ended his term in 1952 as a highly unpopular president, has seen his image rebuilt as historians took a close look at his records and found the important role that his administration played in developing our Cold War policies and institutions to contain communism. A president who once looked as if he made one blunder after another came out of the archives looking much more astute and skillful than anyone ever imagined.

Republican President Dwight Eisenhower is one of the most famous cases of how a reputation can be transformed. For many years, journalists and scholars thought that Eisenhower was an affable and incredibly popular president, but a leader who was hands-off and allowed his staff to handle most of the major decisions that took place during his term. But the archives proved that the situation was quite different.

According to the Princeton presidential scholar Fred Greenstein, the records show that Eisenhower ran a "hidden hand" presidency where he was extremely proactive behind the scenes. He consciously allowed the public to think that he was not doing much, so that he could look as if he was standing above the political fray, at the same time that he was very careful in making decisions about party strategy and public policy.

Lyndon Johnson is another case in point. For many decades, the assumption about the war in Vietnam was that Johnson and his advisers blindly followed the logic of the domino theory, meaning the notion that if South Vietnam fell to communism other countries would follow. According to this standard account, policymakers could not see the huge mistake they were making and it was virtually inevitable that the U.S. would end up in this protracted war.

But slowly that notion of the war has been shattered. The presidential tapes and the archives in Austin, Texas, have revealed that Vietnam was much more of a choice -- a contested choice -- than we ever thought. Through the archives we have learned that many of Johnson's closest advisers, including hawks like Sen. Richard Russell, expressed strong doubts about the necessity of the war and whether it could be won. As the Cornell historian Fred Logevall wrote in his book "Choosing War," for many reasons, including politics and perceptions of his manhood, Johnson eventually chose the path of escalation despite intense opposition.

Nixon's archives have been both good and bad for his legacy. On the one hand, the archives have continued to expose all sorts of wrongdoing that took place in his White House. Nixon was every bit as bad as Americans thought at the height of the Watergate scandal. We learned that he was devious, calculating and ruthless. On the other hand, the archives have helped to change and rehabilitate our image of Nixon by demonstrating his extensive accomplishments on foreign and domestic policy. This was an administration that made huge progress on the environment, affirmative action, detente and more.

Sometimes the archives don't produce a huge makeover. President Jimmy Carter's archives in Atlanta, for example, which are extensive and provide a terrific look at the behind-the-scenes events of the period, have not erased the negative images people have. The findings have confirmed many of the political missteps and problems that the administration had with Congress and the public.

Ronald Reagan, however is a different story. He was once thought of as a lightweight Hollywood actor who walked his way through political power -- like the character from the film "Being There." But we have learned that he was much more strategic and thoughtful than most people ever imagined. Transcripts of his radio addresses in the 1970s show how he carefully tailored particular messages and thought through the rhetoric he wanted to use. Minutes from the National Security Council meetings in his presidency reveal a very hands-on and deliberative person, not the caricature that was so popular in the 1980s.

We are only starting to learn about George H.W. Bush, whose archives are beginning to be opened to researchers, as well as about Bill Clinton, as the trickle of findings about his presidency has revealed. Historians will be eager to look at the papers of George W. Bush, someone who once was resistant toward releasing records but has now indicated he will have them out sooner than most.

Presidential archives are a national treasure and they are absolutely essential to our ability to understand what actually happened during the four or eight years a person was in office.

Legislation moving through Congress now would expand access to presidential records and guarantee that the archivists retain the e-mails of executive branch officials. It passed the House in January on a voice vote, and in May, the Senate Homeland Security and Governmental Affairs Committee sent the bill to the Senate. The legislation would allow for 60 days of review with only one 30-day extension allowed. The legislation also requires the public to be notified of these proposals when they are sent to the White House. Right now they are not public.

Congress must keep the pressure on to make the records public, to require that more are digitized and made accessible online, and to ensure that all of this is done as quickly as possible and with as little interference as possible, so that scholars and journalists can look at the records to start evaluating, analyzing, and interpreting what the nation has lived through.

Join us on Facebook.com/CNNOpinion.

@highlight

Cities are competing to host Obama presidential library and archives

@highlight

Julian Zelizer: Most important thing about presidential libraries is quick release of records

@highlight

He says delays in release of Clinton records have concerned historians

@highlight

Zelizer: Our view of a president can be transformed by the contents of his archives