(CNN) -- The judicial equivalent of white smoke has risen: The Supreme Court has ruled in a split decision rejecting most of Arizona's controversial immigration policing law, SB 1070.

Many were expecting a tough ruling favoring the Arizona statute and opening the floodgates to states' rights. And so the majority opinion is surprising as it upholds the federal government's power in setting immigration policy, leaving less room than many anticipated for state immigration enforcement.

Decision and issues at a glance

The justices upheld the provision of most concern to immigrant rights advocates, requiring police to check the immigration status of people they stop for other reasons if the officers suspect that they are in the country illegally. But even that part of the opinion is tenuous, and it's far from certain what will happen next.

Maybe it's a coincidence, but the court's hesitance to open the door to more state immigration enforcement is consistent with a new mood emerging in the states and nationally.

Winners, losers in immigration policy debate?

The past six years saw a federalist revolution in immigration lawmaking, with states taking more power into their own hands every year. But the mood in most state houses was strikingly different this spring, with lawmakers much less focused on immigration and in much less of a hurry to crack down.

Read the immigration ruling (PDF)

According to the National Conference of State Legislatures, state lawmakers considered far fewer bills mentioning immigration: Halfway through the legislative sessions, in March, the number was down by 44%. Only two or three states seriously considered far-reaching enforcement measures, and no state enacted a new law. (Alabama revised an existing law, mostly softening it.)

Most surprising, no state took advantage of the opening created by last year's Supreme Court immigration decision, the ruling that states may act to prevent and punish the hiring of unauthorized immigrants, requiring employers to enroll in the federal E-Verify worker identification program. Most observers expected that ruling too to encourage a host of imitators.

In fact, nothing happened; not a single state enacted a law mandating E-Verify for any new employers.

Opinion: An incomplete win for Obama?

Developments in recent weeks suggest that the public's views, too, may be shifting. President Obama's surprise announcement that immigration authorities will not deport up to a million young people brought to the country illegally as children has met with an astonishing reaction: approval by voters and acquiescence, if not support, among Republicans. Neither Mitt Romney nor GOP leaders in Congress have denounced the order.

A poll by Bloomberg News found that nearly two-thirds of the public are in favor. And some courageous Republicans -- including influential former Mississippi Gov. Haley Barbour -- have endorsed the policy, if not the way it was issued, by partisan fiat. It's no secret what's behind this jockeying, by Democrats or Republicans: the outsized role the Latino vote is likely to play in November, determining the outcome in several swing states and perhaps the next president.

But as significant in the past week has been the broader public's easy acceptance of the Obama order, a new climate already creating new room to maneuver in Congress.

Supreme Court mostly rejects Arizona immigration law; gov says 'heart' remains

The fight over who should make immigration law, Washington or the states, is far from over. But today's ruling, seemingly consistent with a new mood taking hold nationwide, is a stunning reversal of recent trends.

The opinions expressed in this commentary are solely those of Tamar Jacoby.

@highlight

Tamar Jacoby: Many expected court to favor Arizona law

@highlight

She says ruling fits in with emerging mood toward immigration in states, nationally

@highlight

She says unlike in previous years, states are in no hurry on immigration crackdowns

@highlight

Jacoby: With "Dreamers" move, Latinos gaining political power, is trend reversing?