(CNN)   -- At six foot five, with his shock of blonde hair shaved into a fat Mohawk and talking in a languid Georgian drawl, Omar Jarun looks like he was once part of an all-conquering college basketball team.

But the 26-year-old American doesn't play basketball. Or at least not well. "I played recreational basketball for one season," he told CNN. "People told me I should try it because of my height. But I wasn't any good at it."

Instead life had a different path for Jarun, one that would take him far from his native Peachtree City, Georgia.

On Sunday he will line up as a defender for the Palestinian national soccer team as they take on Afghanistan in a match that, just one year on from the World Cup final in South Africa, represents one of the first steps towards qualification for the next tournament in Brazil in 2014.

Besides being Palestine's first World Cup match on home soil, Sunday's encounter will have extra significance for Jarun. It will be the first time he has ever set foot in the West Bank and he plans to visit his ancestral town of Tulkarem.

His team traveled for 24 hours to be able to play their first match against Afghanistan. The game was moved from Kabul to the tiny aluminum smelting town of Tursunzade in southern Tajikistan -- a few miles from the Uzbek and Afghan border -- for fear of violence in Afghanistan.

Palestine won 2-0 and now have a good chance of qualifying for the second round where they would play Thailand.

The return match, to be held Sunday in Ramallah, will also be a landmark: Palestine's first ever World Cup match on home soil.

"My dad taught me to play the game. He would always take me and my brother out and we would always play around the back yard," Jarun says.

"I kicked football in high school, and I was actually pretty good at it. They wanted me to pursue it in college but I didn't really want to. I wanted to play with a team, I really wanted to play soccer."

Jarun's remarkable story began in Kuwait. Along with his sister, his American mother and Palestinian father, he fled the country in 1990 when Saddam Hussein's forces invaded the kingdom and sparked the first Gulf War.

"I remember bombs going off. Missiles shooting off near the apartment. I remember grabbing my bear, me and my sister running to my dad's bedroom and saying: 'What's going on?'" he recalled.

"The next morning my dad would come in shaking from the bombs going off. Because we are American, my mom managed to get the entire family in to the U.S. We left everything behind. My parents had nothing."

Growing up, Jarun soon discovered his love for soccer, playing for AFC Lightning, the same youth team that nurtured U.S. internationals Clint Mathis and Ricardo Clark.

His Arab heritage was seldom an issue, he says, but he noticed a change after 9/11. "By looking at me, I look like a white boy," he laughed. "You don't get judged immediately like my father does. Like an Arab. He gets judged right away. But you look at me and you don't think I'm Arab.

"Before 9/11 there were no problems, really. I had always established myself as an American from the Middle East. After 9/11 it was very difficult. My dad would tell me: 'Be careful what you say.' I would get double, tripled-checked at the airport. You know it's for safety for the country, so I don't have many complaints about it."

After stints playing for the Atlanta Silverbacks, Vancouver Whitecaps and then in the Polish league, Jarun returned to the U.S. and joined F.C. Tampa Bay in America's second tier league. But by now he had become an international footballer.

A scout from the Palestinian Football Federation discovered him while on a tour looking for professional players from the Palestinian diaspora that might qualify to play for the national team.

"At the time, when I thought of the national team I thought I could play for the U.S. national team at some point but I never really got the opportunity, so I took this one. I really had no idea I'd be in the Palestinian national team," he said.

"I knew it wasn't going to be the best set-up, I knew it wouldn't be particularly professional. But I could do my part. I didn't know what I could do for the Palestinian people apart from play football. So when they told me I could play for the Palestinian national team I said yes."

Many will be surprised that Palestine even has a national team. In 1998 FIFA, world football's governing body, recognized Palestine, making it one of the few international bodies to place it alongside other nation states.

But following the outbreak of the second intifada in 2000, and the imposition of restrictions for residents of the West Bank by the Israelis, the local league was cancelled and national team players were prevented from traveling abroad to fulfil their fixtures.

When qualification for the 2006 World Cup began, so many players were prevented from leaving Gaza and the West Bank that only nine could start against Uzbekistan in a match in Doha, Qatar.

Today the team is a patchwork of bureaucracy. They fly on seven different sets of papers that make moving through every border, be it Jordanian, Israeli or Tajik, a tough task.

One, Roberto Bishara, plays for Palestino in the Chilean first division, a team set up by Palestinian immigrants. Three others are Israeli Arabs who have played in Israel's first division while most of the rest play in Jordan or for teams in the newly professional West Bank Premier League.

The coach, Mousa Bezaz and his assistant are French Algerian; eight players and the goalkeeper coach are from Gaza, which is controlled by the militant Palestinian movement Hamas and in many ways cut off from the outside world. Others have an East Jerusalem ID, a separate identity reserved for those Palestinians who live in the divided city or have family there.

Gaza-born players who now play in the West Bank have recently been refused re-entry when trying to come home via Jordan. Arguably the team's best player, defender Abdel Latif Bahdari, was repeatedly refused permission to leave Gaza through Egypt due to a ban on visas for men aged between 18 and 40. By the time he finally got out it was too late for him to make the team.

Jarun recalls first meeting his teammates. "Their first impressions were: 'Who the hell is this guy? How the hell is this guy Palestinian?' But they welcomed me in like I was one of the brothers. It wasn't like I was an outsider. No one was judging each other.

"They could tell I had good intentions for the team. Being an American I can explain to people in America what was going on in their country."

Jarun believes victory on Sunday will do far more than send Palestine into the next round.

"I think the match is huge man. Sport brings countries together and I don't know a better way for the world to know about Palestine apart from this soccer team," he explained.

"Coming from outside, I feel that this is such a big step for this country. We can show that the Palestinians are normal people."

@highlight

Palestine's soccer team plays Afghanistan in a World Cup qualifying match

@highlight

Omar Jarun, one of Palestine's defenders, is an American-Arab who was brought up in Georgia

@highlight

He is visiting his ancestral homeland for the first time

@highlight

Palestine's national team is playing in the World Cup qualifiers for the first time