(CNN) -- Sure, there are things at stake in Tuesday's recall election for governor of Wisconsin. You need to know only a smidgeon about the politics of Republican Gov. Scott Walker and the Democratic challenger Milwaukee Mayor Tom Barrett to be aware of that. You need to have paid only passing attention to the political battle that has engulfed Wisconsin for 16 months to know that.

If there's anything that just about everyone in Wisconsin agrees on, it's that it makes a big difference who is governor and which party controls each house of the legislature. When staunch conservative Walker and Republicans swept to control of the Capitol in Madison, and particularly when Walker launched his drive in February 2011 to render public employee unions all but powerless, no doubt was left that it mattered when Walker beat the liberal-to-moderate Barrett by a 52.3% to 46.5% margin in November 2010.

Walker's fate in Wisconsin comes down to ground game

The changes can be seen not only in the law on employee public unions, but in tax policies, school funding, the strength of the safety net for those in need, environmental regulations, the right to carry concealed weapons and other major issues.

But some things are not going to change in the light of Tuesday's outcome, things that should be kept in mind when it comes to post-election analysis. I'd suggest five of them:

1. The presidential race in Wisconsin. Many will read Tuesday's outcome as a good sign for the presidential candidate from the party of the winner. I'm dubious. For one thing, President Barack Obama has done fairly well in recent polls, up 8 percentage points over former Gov. Mitt Romney in a Marquette Law School Poll last week, while Barrett has trailed Walker in almost all recent polls, down 7 percentage points in the same poll. Clearly, some people look at the two races separately.

Previously on CNN: My mom is sick of calls from Mitt Romney

Obama and the national Democratic Party have distanced themselves from the recall election. That was glaringly clear when Obama did not make an appearance in Wisconsin, even though he was in next-door Minnesota on Friday and then, Friday night and Saturday, in his hometown of Chicago. It's a short hop from Chicago to Kenosha, Racine or Milwaukee, all Democratic strongholds where turnout will be key on Tuesday.

The most reasonable interpretation for national Democrats keeping their distance is that they see nothing to gain from being visible, especially given polls that suggest a Barrett defeat is likely. The thinking most likely is: If Obama is doing reasonably well in Wisconsin already, why get involved in this acrimonious and probably losing mess?

Wisconsin Democratic leaders have been unhappy with the low level of national party support, but Republicans have been more forthcoming with both money and by sending in GOP stars such as Govs. Chris Christie, Bobby Jindal and Nikki Haley.

However the recall turns out, leaders of both parties expect the presidential race to be close in Wisconsin. With 10 electoral votes, Wisconsin isn't a big deal, except that it is hard to chart an Obama victory without including Wisconsin. In 2000 and 2004, the state had razor's edge wins for Democrats. The 2008 outcome, an easy Obama win, was different. But in some ways, 2008 seems longer ago than 2004.

2. The deep well of political anger. Wisconsin is a strong example of how people are pretty fed up, even as they go in almost equal numbers in opposite political directions. The economy, social hot-button issues, cultural issues, economic and racial dynamics -- there are many sources of fuel for the feelings that divide Wisconsin. The demographics of the state make these close to 50-50 issues, but it's worth pondering how similar the intensity of emotions are on each side of the divide. That anger won't be relieved after Tuesday.

3. The intensity of campaigning.  Wisconsin is in the Era of Never Ending Campaigns. In addition to the regularly scheduled November elections for governor and legislative seats, the state has featured a super-close, high spending Supreme Court race in 2011 and waves of recall elections for state senators.

Immediately after Tuesday's recall for governor comes a hot Republican primary in August for an open U.S. Senate seat, followed by the November election, which will include not only the presidential and U.S. Senate voting but elections for half the state Senate and all of the state Assembly.

4. The dominance of big money. The political wars here have been a remarkable boon to television station revenues. Tens of millions of dollars have been spent on the recall election, much of it coming from out-of-state donors. It's not just TV and radio. It's daily mailings to hundreds of thousands of homes, extensive phone banking and robo-calling, and expensive get-out-the-vote efforts, which may prove be the decisive factor. The invasion of big money won't end after the recall, given the upcoming elections.

5. The short supply of civility. With some exceptions -- the era of Sen. Joseph McCarthy in the 1950s comes to mind -- Wisconsin has been known for civil politics. But the polarization of the state has been evident in round after round of polling, just as it is clear to anyone who observes the tenor of campaigning.

There is little reason to think the intense and adamant approach to politics will abate after Tuesday. The pendulum swings in Wisconsin politics, and it seems to being swinging faster and farther in recent years. Both the winners and losers Tuesday are almost sure to refuel for more fights ahead, not only at the polls.

The next two-year state budget cycle begins in early 2013. It will be intense, whoever wins. Hostility is going to hang around, and there's a strong chance political disarray will continue to be its partner.

The state song is "On, Wisconsin." Whatever happens Tuesday, the case is likely to get stronger for making it Tom Petty's "I Won't Back Down."

The opinions expressed in this commentary are solely those of Alan J. Borsuk.

@highlight

Alan Borsuk: Wisconsin residents to decide recall of conservative Gov. Scott Walker

@highlight

Borsuk: Walker, who weakened public worker unions, changed the politics of Wisconsin

@highlight

Borsuk: Whoever wins, money and bad tempers will dominate as election season intensifies

@highlight

Tumultuous presidential, state, Senate elections and budget fights all ahead, he says