(CNN) -- Criminal investigators from the Department of Justice and the Food and Drug Administration were at a Massachusetts pharmaceutical company on Tuesday with a search warrant, a company spokesman said.

Federal officials say that more issues have been reported with drugs from the New England Compounding Center, or NECC, which has been linked to a deadly multistate outbreak of fungal meningitis.

FDA spokeswoman Erica Jefferson confirmed that criminal investigators were on site, but declined to answer questions regarding a warrant.

U.S. Attorney Carmen M. Ortiz similarly said that personnel from her office and law enforcement partners were investigating allegations concerning the company. She added that it was "entirely premature" to suggest what the results of that probe may be.

Fifteen people have died from the noncontagious meningitis associated with injections of a contaminated steroid produced by the NECC.

As part of the ongoing investigation into the center, a patient with possible meningitis has been identified who received an injection of another NECC product, triamcinolone acetonide, the Food and Drug Administration said Monday.

Also, a fungal infection from Aspergillus was reported in a transplant patient who received cardioplegic solution from NECC, the FDA said. Cardioplegic solution is used to induce paralysis of the heart during open-heart surgery.

"An investigation of this patient is ongoing; and there may be other explanations for their Aspergillus infection," the FDA said.

The health care facility initially reported two transplant patients having infections from Aspergillus, the FDA said.

The heart transplant patient received the cardioplegic solution in August, and the patient who received the triamcinolone injection was treated on September 19 -- both before NECC recalled its products, according to an official at the federal Centers for Disease Control, who declined to be named because of the sensitivity of the subject.

The NECC announced a recall of all its products October 6. The FDA said "the sterility of any injectable drugs ... produced by NECC (is) of significant concern, and out of an abundance of caution, patients who received these products should be alerted to the potential risk of infection."

The CDC reported Monday the number of meningitis cases increased from 205 to 214, spread across 15 states.

Two of the cases are a "peripheral joint infection" that specifically affects a joint such as a knee, hip, shoulder or elbow, officials said.

The cases have been linked to injections of a contaminated steroid, methylprednisolone acetate, produced by the NECC. Some 14,000 people may have received the injections, the CDC estimated last week.

Meningitis outbreak: What are compounding pharmacies?

A Minnesota woman, Barbe Puro, filed a lawsuit Thursday -- which may be the first from the outbreak -- against tthe NECC. In it, she alleges she was injected in September with a tainted batch of steroids from the NECC.

Meanwhile, members of Congress expanded an investigation into the outbreak.

In a letter to the director of the Massachusetts Board of Registration in Pharmacy, leaders of the House Committee on Energy and Commerce noted the FDA sent the NECC a warning letter in 2006 "detailing significant violations witnessed" by investigators the previous year.

Woman sues over outbreak

Massachusetts Gov. Deval Patrick also accused the NECC last week of misleading regulators and operating outside its license by shipping large batches of drugs nationwide. Plus, the state's pharmacy board mandated that all Massachusetts compounding pharmacies sign affidavits stating they are complying with state regulations requiring compounders to mix medications for specific patients.

Meningitis is an inflammation of the protective membranes covering the brain and spinal cord. It is usually caused by an infection, frequently with bacteria or a virus, but it can also be caused by less common pathogens, such as fungi in this case, according to the CDC.

Steroid injections common for back pain sufferers

Fungal meningitis is very rare and, unlike viral and bacterial meningitis, is not contagious.

Dr. William Schaffner, chairman of the Department of Preventive Medicine at Vanderbilt University Medical Center, said fungal infections are not usually mild. He said when a fungus invades small blood vessels, it can cause them to clot or bleed, which can lead to symptoms of small strokes.

In addition to typical meningitis symptoms such as headache, fever, nausea and stiffness of the neck, people with fungal meningitis may also experience confusion, dizziness and discomfort from bright lights. Patients might just have one or two of these symptoms, the CDC says.

CDC: Tests may not detect meningitis fungus

CNN's Elizabeth Cohen and Danielle Dellorto contributed to this report.

@highlight

NEW: Justice, FDA investigators at facility tied to meningitis outbreak

@highlight

The outbreak has been linked to the Massachusetts compounding pharmacy

@highlight

The number of cases is now up to 214 with 15 deaths, according to the CDC