London (CNN)Lawmakers on Tuesday voted in favor of a law that sets the stage for the United Kingdom to be the first country in the world to allow a pioneering in vitro fertilization technique using DNA from three people.

The technique could prevent mitochondrial diseases but also raises significant ethical issues.

The measure was passed in the House of Commons, 382 to 128, Speaker John Bercow said.

A further vote must be held in the UK's upper house, the House of Lords, before the measure can become law.

Passage of the law is opposed by Catholic and Anglican church leaders, in part because the process involves the destruction of an embryo.

One in 6,500 babies in the United Kingdom are thought to develop a serious mitochondrial disorder, which can lead to health issues such as heart and liver disease, respiratory problems, blindness and muscular dystrophy.

Problems with mitochondria, the "powerhouse" cells of the body, are inherited from the mother, so the proposed IVF treatment would mean an affected woman could have a baby without passing on mitochondrial disease.

But the cutting-edge IVF technique, which involves transferring nuclear genetic material from a mother's egg or embryo into a donor egg or embryo that's had its nuclear DNA removed, raises ethical questions.

The new embryo will contain nuclear DNA from the intended father and mother, as well as healthy mitochondrial DNA from the donor embryo -- effectively creating a "three-parent" baby.

The amount of donor DNA in the mitochondria will, however, be much less than the parental DNA in the nucleus, which determines the baby's characteristics.

The Church of England's national adviser on medical issues, the Rev. Dr. Brendan McCarthy, described the step as representing an ethical watershed and said more research and wider debate were needed.

"We accept in certain circumstances that embryo research is permissible as long as it is undertaken to alleviate human suffering and embryos are treated with respect. We have great sympathy for families affected by mitochondrial disease and are not opposed in principle to mitochondrial replacement," he said.

"Our view, however, remains that we believe that the law should not be changed until there has been further scientific study and informed debate into the ethics, safety and efficacy of mitochondrial replacement therapy."

Bishop John Sherrington, in a statement posted online by the Catholic Church in England and Wales, urged lawmakers not to rush into taking such a serious step.

"It seems extraordinary that a licence should be sought for a radical new technique affecting future generations without first conducting a clinical trial," he said. "There are also serious ethical objections to this procedure which involves the destruction of human embryos as part of the process."

The California-based Center for Genetics and Society, in an open letter to UK lawmakers last month, said that although the proposed goal was noble, "the techniques will in fact put women and children at risk for severe complications, divert resources from promising alternatives and treatments, and set a policy precedent that experimentation on future generations is an acceptable biomedical/fertility development."

A team at the Wellcome Trust Centre for Mitochondrial Research, led by professor Doug Turnbull and based at Newcastle University in northern England, has been leading the research into the pioneering IVF technique.

The center points out that mitochondrial diseases cannot be cured and that in many families, several people are affected.

A Wellcome Trust fact sheet states that "nuclear DNA is not altered, and so mitochondrial donation will not affect the child's appearance, personality or any other features that make a person unique -- it will simply allow the mitochondria to function normally and the child to be free of mitochondrial DNA disease.

"The healthy mitochondria will also be passed on to any children of women born using the technique."

According to the latest estimates from the research team, published in The New England Journal of Medicine, almost 2,500 women of childbearing age in the UK are at risk of transmitting mitochondrial disease to their children, while in the United States, the number is more than 12,400.

This equates to an average of 152 births per year in the UK, and 778 births per year in the United States, the team said.

In a Newcastle University news release, Turnbull said his team's findings had considerable implications for other countries considering the technique. Allowing it would give "women who carry these mutations greater reproductive choice," he said.

CNN's Alexander Felton, Laura Perez-Maestro and Debra Goldschmidt contributed to this report.

@highlight

UK lawmakers vote overwhelmingly in favor of allowing the new IVF technique

@highlight

A further vote must be held in the House of Lords before the measure can become law

@highlight

Scientists say the technique will not change a child's characteristics, just make it healthy