London (CNN) -- Only two days after Pope Francis was officially inaugurated, the Church of England enthroned its new leader, ex-oil executive Justin Welby. As Archbishop of Canterbury, Welby now heads the 77 million-strong worldwide Anglican Communion.

British Prime Minister David Cameron, Prince Charles and the Duchess of Cornwall, bishops and leaders of other faiths were among those gathered for the ceremony at historic Canterbury Cathedral, about 100 kilometers (60 miles) southeast of London.

It followed a series of time-honored traditions, beginning with the admittance of the new Archbishop of Canterbury into the cathedral following three knocks with his staff on the door.

Welby then swore an oath of faith to the Church of England and Queen Elizabeth II on the ancient Canterbury Gospels, brought to England by St. Augustine in 597.

But the service also embraced elements that were modern and reflected the church's international reach.

A woman, Sheila Anne Watson, the Archdeacon of Canterbury, installed Welby in his role as Bishop of the See of Canterbury.

And the cathedral rang with African music and dance, reflecting Welby's link to the continent through his work in peace and reconciliation there, and improvised organ music.

In his sermon, Welby said that "Christ-liberated courage" had allowed great changes to take place in the past -- such as bringing an end to slavery.

Further courage is now needed to tackle issues including the environment, the economy, global poverty and human development, he said.

He also reflected on how Pope Francis, in his own inaugural homily on Tuesday, had called for people "in humility and simplicity" to protect each other and the world.

Thursday's service makes Welby the 105th holder of the most senior position in the Church of England and the titular leader of the world's 77 million Anglicans.

He was named as the successor to Dr. Rowan Williams as Archbishop of Canterbury in November. He was the Bishop of Durham, England, at the time.

He is considered an outspoken critic of the excesses of capitalism and a supporter of women bishops, as well as an opponent of same-sex marriage.

Same-sex marriage

Ahead of the service, the question of same-sex marriage jumped to the fore when an interview Welby gave to the BBC reignited the debate over the church's approach to issues of sexuality.

Welby acknowledged the strength of some same-sex partnerships, saying, "You see gay relationships that are just stunning in the quality of the relationship."

Nonetheless, he reaffirmed his support for the Church of England's policy of opposition to same-sex marriage.

"The Church of England holds very firmly, and continues to hold, to the view that marriage is a lifelong union of one man to one woman," he told the British public service broadcaster.

"At the same time, at the heart of our understanding of what it is to be human is the essential dignity of the human being. And so we have to be very clear about homophobia."

Welby said it was not about "turning a blind eye" to same-sex relationships but rather "loving people as they are and where they are."

His remarks come a day after it emerged that Pope Francis, now head of the world's 1.2 billion Catholics, may privately have voiced support for civil unions in his native Argentina while publicly opposing same-sex marriage.

Gay rights activist Marcelo Marquez -- a self-described devout Catholic and former theology professor at a Catholic seminary -- said the then-archbishop of Buenos Aires had called him after he wrote an angry letter to Catholic leaders.

"He told me ... 'I'm in favor of gay rights and in any case, I also favor civil unions for homosexuals, but I believe that Argentina is not yet ready for a gay marriage law,'" said Marquez.

Argentina approved a law legalizing same-sex marriage nationwide in July 2010.

A bill that would legalize same-sex marriage is currently under consideration in the British Parliament. Cameron has incurred the wrath of many in his Conservative Party by backing the legislation.

Educated at Cambridge University, Welby worked for oil companies in Paris and London before training for the ministry. He had only been a bishop for a year before his promotion to the top job was announced.

In his public appearances, he has displayed a wry humor and down-to-earth attitude that may help him negotiate the minefield of conflicting views and interests within the vast Anglican Communion.

@highlight

NEW: Justin Welby is enthroned as the new Archbishop of Canterbury

@highlight

NEW: He calls for "Christ-liberated courage" to tackle the problems facing the world

@highlight

Welby is now the spiritual head of the 77 million-strong Anglican Communion

@highlight

His remarks on same-sex marriage reignite the debate over church policy