(CNN) -- Sizing up the magnitude of Mexico's obesity problem is as simple as visiting a clothing manufacturer. At Arush, a clothing factory in Mexico City, the changing demand has modified production. Buyers, including Mexican giant retailers like Soriana and Liverpool, are increasingly asking for "large" and "extra large" sizes, which have all but replaced production of "small" and "medium."

Designer Adriana Moreno, who works at Arush, said they're simply adapting to Mexico's new reality: an explosion of overweight and obese people, mostly in the last three decades. "In our market, I can tell you we've had a 50% growth in sales of large and extra-large sizes in the last three years," Moreno said.

According to the Organization for Economic Cooperation and Development, 69.5% of the Mexican population aged 15 and older is overweight or obese. This is the highest rate in the world, even higher than in the United States -- which historically had the highest rate -- and the United Kingdom, which has the highest in Europe.

The Mexican government launched a campaign last year urging people to exercise, drink more water, and eat fruits and vegetables. President Felipe Calderón said that "since 1980, the percentage of overweight or obese Mexicans has tripled."

The problem starts early: 4.5 million children between the ages of 5 and 11 are already overweight. Many school districts have banned junk food in their facilities, but it's readily available right outside, much to the chagrin of parents. "You can see how many stands there are outside. And they're all selling junk food! I think they should also control what they sell out here," Daniela Piña said as she waited for her child outside a grammar school in Mexico City's Doctores neighborhood.

Adela Garcia, a stay-at-home mother, said parental responsibility plays a vital role in solving the problem. "It really starts at home," she said. "We as parents have to take that kind of food away from children so that they eat healthier."

Mexico's Institute for Public Health reports that the number of overweight or obese school-aged children increased from 18.4% in 1999 to 26.2% in 2006. It also says that diabetes -- of which obesity is a contributing factor -- has become the No. 1 cause of death in Mexico.

Other statistics provided by the institute are very telling. Mexicans drink 160.1 liters (42.3 gallons) of soft drinks per year. The institute also says that school-aged children get at least a fifth of their calories from drinks with a high content of sugar and other sweeteners.

"We trust that the public interest will prevail over private interests and that the federal government will do, under the law, everything possible so that our proposals are quickly implemented," the institute says. Their proposals include increasing physical activity in schools and improving nutrition guidelines.

Back at the clothes factory, Adriana Moreno is faced with a challenge: pleasing people in spite of their size. "It's a very demanding market, very demanding. People are always trying to look good, not seem so overweight. They look for a beautiful garment, a good design that doesn't make them look heavier than they really are," Moreno said.

The war on drugs has killed 30,000 people in the last four years, and violence is front-page news in major newspapers across Mexico. But obesity, excess weight and their related health problems claim almost five times more lives than the war against drug cartels. According to the Organization for Economic Cooperation and Development, individual prevention programs could avoid as many as 47,000 deaths from chronic diseases every year.

Mexico's Health Ministry reports that obesity and excess weight cost the country $5.5 billion in expenses associated with treating people with diabetes, high cholesterol, high blood pressure and heart disease.

CNN's Rey Rodriguez in Mexico City contributed to this report.

@highlight

Diabetes is the No. 1 killer in Mexico, health agency says

@highlight

Nearly 70% of the population is overweight or obese

@highlight

Mexicans drink more than 42 gallons of soft drinks per person each year