(CNN) -- Though no longer a hurricane, "post-tropical" superstorm Sandy packed a hurricane-sized punch as it slammed into the Jersey Shore on Monday, killing at least 11 people from West Virginia to North Carolina and Connecticut.

Sandy whipped torrents of water over the streets of Atlantic City, stretching for blocks inland and ripping up part of the vacation spot's fabled boardwalk. The storm surge set records in Lower Manhattan, where flooded substations caused a widespread power outage. It swamped beachfronts on both sides of Long Island Sound and delivered hurricane-force winds from Virginia to Cape Cod as it came ashore.

Sandy's wrath also prompted the evacuation of about 200 patients at NYU Langone Medical Center.

"We are having intermittent telephone access issues, and for this reason the receiving hospital will notify the families of their arrival," spokeswoman Lisa Greiner said.

In addition, the basement of New York's Bellevue Hospital Center flooded, and the hospital was running off of emergency backup power. Ian Michaels of the Office of Emergency Management said the main priority is to help secure additional power and obtain additional fuel and pumps for the hospital.

The storm hit near Atlantic City about 8 p.m. ET, the National Hurricane Center reported. It packed 80-mph winds at landfall, down from the 90 mph clocked earlier Monday.

Superstorm Sandy's wrath

"I've been down here for about 16 years, and it's shocking what I'm looking at now. It's unbelievable," said Montgomery Dahm, owner of the Tun Tavern in Atlantic City, which stayed open as Sandy neared the Jersey Shore. "I mean, there's cars that are just completely underwater in some of the places I would never believe that there would be water."

Dahm's family cleared out of Atlantic City before the storm hit, but he says he stayed put to serve emergency personnel. At nightfall Monday, he said the water was lapping at the steps of his restaurant, where a generator was keeping the lights on.

The storm had already knocked down power lines and tree limbs while still 50 miles offshore and washed out a section of the boardwalk on the north end of town, Atlantic City Mayor Lorenzo Langford told CNN. He said there were still "too many people" who didn't heed instructions to evacuate, and he urged anyone still in town to "hunker down and try to wait this thing out."

"When Mother Nature sends her wrath your way, we're at her mercy, and so all we can do is stay prayerful and do the best that we can," Langford said.

And in Seaside Heights, about 30 miles north of Atlantic City, Police Chief Thomas Boyd told CNN, "The whole north side of my town is totally under water."

Mass transit grinds to a halt

In New York, lower Manhattan's Battery Park recorded nearly 14-foot tide, smashing a record set by 1960's Hurricane Donna by more than 3 feet. The city had already halted service on its bus and train lines, closing schools and ordering about 400,000 people out of their homes in low-lying areas of Manhattan and elsewhere.

Flooding forced the closure of all three of the major airports in the area, LaGuardia, John F. Kennedy and Newark Liberty. Water seeped into subway stations in Lower Manhattan and into the tunnel connecting Lower Manhattan and Brooklyn, while high winds damaged a crane perched atop a Midtown skyscraper under construction, forcing authorities to evacuate the surrounding area.

New York Mayor Michael Bloomberg told reporters there was an "extraordinary" amount of water in Lower Manhattan, as well as downed trees throughout the city and widespread power outages.

"We knew that this was going to be a very dangerous storm, and the storm has met our expectations," he said. "The worst of the weather has come, and city certainly is feeling the impacts."

The storm was blamed for more than 2.8 million outages across the Northeast. About 350,000 of them were in the New York city area, where utility provider Con Edison reported it had also cut power to customers in parts of Brooklyn and Lower Manhattan to protect underground equipment as the storm waters rose.

But as water crept into its substations, Con Ed said it had lost service to about 250,000 customers in Manhattan -- including most of the island south of 39th Street.

Five things to know about Sandy

At least five people had been killed in storm-related incidents in New York state, including three killed by trees falling on homes in Queens and in the town of New Salem, near Albany, city and state officials said. Falling trees were also blamed for three deaths reported in New Jersey and one in Connecticut, authorities there told CNN.

In West Virginia, a woman was killed in a car accident after the storm dumped 5 inches of snow on the town of Davis, said Amy Shuler Goodwin, a spokeswoman for Gov. Earl Ray Tomblin's office.

And before hitting land, it overwhelmed the sailing ship HMS Bounty, a replica of the historic British vessel, off North Carolina. Fourteen of the ship's crew of 16 were rescued, but the body of one deckhand was found Monday evening and the ship's captain was still missing Monday night, the Coast Guard said.

Sandy had already claimed at least 67 lives in the Caribbean, including 51 in Haiti.

Sandy's storm surges were boosted by a full moon, which already brings the highest tides of the month. And forecasters said the storm was likely to collide with a cold front and spawn a superstorm that could generate flash floods and snowstorms.

"It could be bad," said U.S. Coast Guard Rear Adm. Steven Rattior, "or it could be devastation."

Mass transit shut down across the densely populated Northeast, landmarks stood empty and schools and government offices were closed. The National Grid, which provides power to millions of customers, said 60 million people could be affected before it's over.

On Fire Island, off Long Island, the water rose above promenades and docks on Monday afternoon, homeowner Karen Boss said. Boss stayed on the island with her husband despite a mandatory evacuation order. She said they own several properties and a business there and had weathered previous storms.

"I'm concerned that it might come into the first floor," she said. "If that's the case, I'll just move into another house that's higher up."

Based on pressure readings, it's likely to be the strongest storm to make landfall north of Cape Hatteras, North Carolina, CNN senior meteorologist Dave Hennen said. The benchmark storm, the 1938 "Long Island Express" Hurricane, contained a low pressure reading of 946 millibars; Sandy had a minimum pressure of 943 millibars. Generally speaking, the lower the pressure, the stronger the storm.

In Sea Bright, New Jersey, Yvette Cafaro scrawled a plea on the plywood that covered her burger restaurant: "Be kind to us Sandy." The seaside area largely dodged last year's Hurricane Irene, but Cafaro was not optimistic that Sea Bright would be spared Sandy.

Keep a hurricane preparation checklist

"Everything that we've been watching on the news looks like this one will really get us," she said. "We're definitely worried about it."

Its arrival, eight days before the U.S. presidential election, forced President Barack Obama and his Republican challenger, Mitt Romney, to alter or cancel several campaign stops. Obama flew back to Washington from Florida, telling reporters at the White House that assets were in place for an effective response to the storm.

"The most important message I have for the public right now is please listen to what your state and local officials are saying," Obama said. "When they tell you to evacuate, you need to evacuate."

And in Ohio, Romney asked supporters to drop off items and cash at his "victory centers" to be donated to victims of the storm.

"There are families in harm's way that will be hurt -- either in their possessions or perhaps in something more severe," Romney said.

Tips from Katrina survivors

By Monday afternoon, 23 states were under a warning or advisory for wind related to Sandy. Thousands of flights had been canceled, and hundreds of roads and highways were expected to flood. And according to a government model, Sandy's wind damage alone could cause more than $7 billion in economic loss.

Sandy was expected to weaken once it moves inland, but the center was expected to move slowly northward, meaning gusty winds and heavy rain would continue through Wednesday.

On the western side of the storm, the mountains of West Virginia expected up to 3 feet of snow and the mountains of southwestern Virginia to the Kentucky state line could see up to 2 feet. Twelve to 18 inches of snow were expected in the mountains near the North Carolina-Tennessee border.

"This is not a typical storm," said Pennsylvania Gov. Tom Corbett. "Essentially, this is a hurricane wrapped in a 'nor'easter.'"

Sandy grounds thousands of flights worldwide

CNN's Elizabeth Cohen, Dana Ford, Tom Watkins, Josh Levs, Chelsea J. Carter, Greg Botelho, Jason Kessler, Sarah Dillingham, Sean Morris, Ashley Corum, Eden Pontz and George Howell contributed to this report.

@highlight

One New York hospital evacuates 200 patients; another turns to backup power

@highlight

At least 11 U.S. deaths have been blamed on Sandy

@highlight

"Extraordinary" amount of water in Lower Manhattan, Bloomberg says

@highlight

Jersey Shore police: "The whole north side of my town is totally under water"