(CNN) -- Few would argue that football is the planet's true global game. From Baghdad to Buenos Aires it is watched, played, argued about, loved and hated with an intensity that no other sport can match.

Its ubiquity also brings a tremendous amount of power. Dictators and politicians have long tried to harness its ability to inspire unity and national pride for more nefarious political purposes -- be it Argentina's junta who used the 1978 World Cup to inspire the kind of loyalty that its regime had failed to do, to current Iran President Mahmoud Ahmadinejad, who feared and respected football's power to spark change in equal measure.

"[Football] has caused at least one war and many battles, often tragic, off the pitch," wrote Melvyn Bragg, nominating the 1863 Rules of Association Football, the football's first official code, in his "Twelve Books That Changed the World."

But sometimes a single match has been at the center of huge social and political changes. Ahead of the start of the 2011 AFC Asian Cup, CNN gives you some of the games that changed the world.

Secretary's XI versus President's XI (1864)

When 22 men gathered in Battersea Park, London, in the winter of 1864 for a game of football, no-one could imagine the worldwide sporting revolution that would follow. This was the first game played according to the Rules of Association Football, written by the embryonic English Football Association and the first attempt to unite and codify football's different, not to mention competing, strands.

The forward pass hadn't been introduced yet, there were no such thing as crossbars and the offside rule was still three years away from being introduced, but the British Victorian need for imprimatur and order meant that the simplified, slimmed-down rules -- just 13 laws -- were easily exported. Which the British did with a proselytizing zeal throughout its colonies and the rest of the world.

One such football missionary was Charles William Miller, who in the mid-1890s took a copy of the rules and a football to Brazil, from where it caught on like wild fire.

"A Brazilian taxi driver told me that Charles Miller had invented football. In other words, he's a legendary figure [in Brazil], but no-one is quite sure what the legend actually is," explained Josh Lacey, author of "God is Brazilian," a biography of Miller.

"In Sao Paulo, there is a square named after him. It's the square outside the stadium where Corinthians play."

And the match itself? The Secretary's XI won 2-0, with both goals scored by Charles William Alcock, who would himself go on to organize the very first international fixture, between England and Scotland, seven years later.

West Germany versus Hungary (1954)

Post-war Germany was a haunted, broken and divided place. Although it was devastated financially by the folly of Nazism and the split between east and west by the emergence of the Iron Curtain, Germans were in a soul-searching funk over their role in the Second World War. The singing of the national anthem was actively discouraged and the country's new, unloved flag was rarely seen. And then came the "Miracle of Bern" at the 1954 World Cup, held in Switzerland.

Despite being trounced 8-3 in their first match against Hungary, West Germany made it to the final of the World Cup to face the same opposition. The team was made up solely of amateur footballers, while Hungary -- the best team in the world at the time -- boasted the likes of Ferenc Puskas. No-one gave them a chance, but they won 3-2, sparking scenes of jubilation back in West Germany and the first positive, collective nationalistic outburst since the war.

"It was a kind of liberation for the Germans from all the things that weighed down upon them after the Second World War," German historian Joachim Fest wrote.

"July 4, 1954 is in certain aspects the founding day of the German Republic."

From there West Germany boomed economically, becoming the leading nation in Europe. As newspaper Der Spiegel pointed out before a united Germany hosted the 2006 World Cup: "In one 90-minute match against Hungary, modern-day Germany was born."

Rangers versus Bucks (1966)

Robben Island is infamous for its most revered prisoner: Nelson Mandela. But the jail, which held what the apartheid South African state viewed to be the most dangerous political prisoners, also gave birth to an unlikely football league.

The Makana Football Association was set up by a group of prisoners desperate to break the monotony of prison life. Every week from 1964 onwards a prisoner would ask for permission to play football, and then be punished by the authorities as a result of his temerity. But by 1966 the prison warden relented and a football league was set up based on one of the only books in the prison library: the FIFA rule book.

Scores, leagues, disciplinary records and even the results of disciplinary hearings from on-pitch indiscretions were kept, although no record exists of the score between the Rangers and Bucks in the first-ever match.

As well as giving the inmates hope during desperate times, the Makana FA had a more important impact: honing the administrative skills of South Africa's future leaders. Jacob Zuma, the current President, was a tough-tackling defender for the Bucks and a future Makana FA referee.

"It taught them administration ... Robben Island created the new generation of people that struggled for freedom," explains Professor Chuck Korr, author of "More Than Just a Game: Football vs. Apartheid."

"And those men thought football was very important in maintaining their sanity and hope for the future. By definition, football is absolutely essential in the way the struggle for freedom is won."

The Makana FA, although long abandoned, was given honorary FIFA membership in 2007.

Dinamo Zagreb versus Red Star Belgrade (1990)

Yugoslavia was already on the brink of imploding by the time Serbia's Red Star Belgrade played Croatia's Dinamo Zagreb at the latter's Maksimir Stadium. Pro- independence parties had already won recent Croatian elections. But the events that unfolded on March 13, 1990 are regarded by many as the opening salvo of the most vicious European war since the Nazis were defeated in 1945.

During the match, future AC Milan and Croatia captain Zvonimir Boban launched a kung-fu kick at a policeman who was attacking a Zagreb fan. Riots broke out between Zagreb's "Bad Blue Boys" ultra group, and Red Star's "Delije" -- led by the brutal war-lord Arkan.

Arkan's Tiger's, the paramilitary group he ruled during the war, recruited heavily from the Delije. Arkan himself was indicted by the United Nations for war crimes, but was assassinated in 2000 before he stood trial. Later, Boban explained what was going through his head.

"Here I was, a public face prepared to risk his life, career and everything that fame could have brought, all because of one ideal cause: the Croatian cause."

For the rest of the soon-to-be-non-existent country, it was a symbolic moment. "It was the most important match in Yugoslav history," explains Dr. Neven Andjelic, author of "Bosnia-Herzegovina: The End of a Legacy."

"It has political implications and is a clear sign of the forthcoming violence and war that this unfinished match provided to the population."

The war went on to rage for five years, with the International Center for Transnational Justice estimating that 140,000 people were killed. Its effects are still evident today, not least outside the Maksimir Stadium, where a statue depicting a group of soldiers stands. On it is the inscription: "To the fans of the club, who started the war with Serbia at this ground on May 13, 1990."

Iraq versus Saudi Arabia (2007)

Younis Mahmoud ran the length of the pitch to celebrate with the handful of fans that had made the long journey to the vast, half-empty stand in Jakarta's Bung Karno stadium.

The captain of the Iraq national team -- a team of Kurds, Sunni and Shia Muslims -- had just scored the only, decisive goal in the 2007 Asian Cup final on July 29 against Saudi Arabia, but it meant much more than the first piece of major silverware for the "Lions of Mesopotamia."

Back in Baghdad, tens of thousands of Iraqis poured into the streets, firing celebratory bullets into the air, with many clutching something that had not been seen in numbers since the fall of Saddam: the Iraqi flag.

Football had achieved what no politician or general had managed to achieve: a semblance of national unity. According to the U.S. military, there were 1,700 sectarian attacks in Baghdad alone in June 2007. That had almost halved after the final, to 960 by the end of August.

But the victory came at a price. Minutes after Iraq had beaten South Korea in a penalty shoot out in the semifinal, a suicide bomber blew himself up in a crowd of cheering fans, killing 50 people. At the Asian Cup, the victorious team sat, stunned, in the dressing room and contemplated pulling out of the final. But then the players watched the carnage on television.

"One of the victims was a 12-year-old child," recalled Mahmoud to the press afterwards. "His mother, when his body was laid in front of her, she didn't weep, but she said: 'I present my son as a sacrifice for the Iraqi national team.' We have to win."

They chose to continue, and the rest is history.

@highlight

The 2011 Asian Cup kicked off in Qatar earlier this month, with 16 teams taking part

@highlight

The holders Iraq shocked the world by winning in 2007 and violence there fell afterwards

@highlight

CNN looks at five football matches that had political and social reverberations