(CNN) -- The growing Hispanic population in the United States has reached a new milestone, topping 50 million, or 16.3% of the nation, officially solidifying its position as the country's second-largest group, U.S. Census Bureau officials said Thursday.

"Overall, we've learned that our nation's population has become more racially and ethnically diverse over the past 10 years," said Nicholas A. Jones, chief of the bureau's racial statistics branch.

Several trends emerged from the 2010 census, according to Robert M. Groves, director of the Census Bureau, and Marc J. Perry, chief of the population distribution branch.

The country is growing at a smaller rate. Growth is concentrated in metropolitan areas and in the American West and South. The fastest-growing communities are suburbs such as Lincoln, California, outside Sacramento. And standard-bearer cities such as Boston, Baltimore and Milwaukee are no longer in the top 20 for population, replaced by upstarts such as El Paso, Texas, and Charlotte, North Carolina, the officials said.

The most significant trend, however, appeared to be the nation's new count of 50.5 million Latinos, whose massive expansion accounted for more than half of the nation's overall growth of 27.3 million people, to a new overall U.S. population of 308.7 million, officials said.

The Hispanic population grew 43% since 2000, officials said.

In stark contrast, all other populations together grew by only about 5%, officials said. The nation as a whole expanded by 9.7%.

Bureau officials declined Thursday to say how much illegal immigration has spurred growth among Latinos and other minorities, saying the sources of the growth are still being studied.

"Those are actually very excellent questions," said Roberto Ramirez, chief of the bureau's ethnicity and ancestry branch. "We are actually in the middle of the process of investigating that."

D'Vera Cohn, a senior writer at the Pew Research Center in Washington, said the birth rate, rather than immigration, is the primary driving factor in the Latino boom.

Hispanics now account for nearly one-quarter of children under the age of 18, Cohn said.

"Hispanics are a younger population, and there are just more women of a child-bearing age," she said.

Although immigration remains a major contributor to Hispanic population growth, the recent recession and high employment rates may have prompted a tapering off in the rate of foreign-born nationals seeking U.S. residence, analysts said.

Intensified border patrols may have reduced illegal immigration, but those measures "remain at the margins," said William Frey, a demographer at The Brookings Institution.

He added that America's overall undocumented immigrant population -- estimated at between 10 million and 11 million people -- may have even declined in recent years, though accurate numbers are difficult to acquire.

While Latinos are evidence of a growing voting bloc, they may not necessarily spur immigration reform in Congress, which has been paralyzed politically for years on whether to reform immigration laws or roll out additional crackdowns such as a beefed-up border patrol, said one immigrant rights advocate in Arizona.

"We hope these census numbers signal a new era of racial politics in our states, rooted not only in strong economies but also equalities for all people," said Jennifer Allen, executive director of the human rights organization Border Action Network.

Home to the busiest border crossing for illegal immigration, Arizona has been the nation's hotbed for several laws targeting illegal immigrants, including the much-publicized Senate Bill 1070 that is now being challenged on constitutional grounds in federal court because one of its controversial provisions allows racial profiling by police, critics charge.

Several states have tried to pass measures similar to Arizona's, but not with much success, Allen asserted.

The census figures may dampen further immigration crackdowns in Arizona because the new population count "demonstrates the growing importance of Latino voters throughout the state," Allen said.

As the census figures are used for congressional redistricting in states, Latino voters should not be "written off and treated as disposable constituents," she added.

The census data show that while the white population increased by 2.2 million to 196.8 million, its share of the total population dropped to 64% from 69%, officials said.

The Asian population also grew 43%, increasing from 10.2 million in 2000 to 14.7 million in 2010, officials said. Asians now account for about 5% of the nation's population.

The African-American population, which grew by about 4.3 million, is now about 40 million, or 12.6% of the population, a slight increase over 12.3% in 2000, officials said.

Persons reporting "some other race" grew by 3.7 million, to 19 million, or 5.5% of the nation, figures show.

The vast majority of Americans, 97%, reported only one race, with whites as the largest group, accounting for about seven out of 10 Americans.

The remaining 3% of the population reported multiple races, and almost all of them listed exactly two races. White and black was the leading biracial combination, figures show.

"The face of the country is changing," said Jeffrey Passel, demographer at the Pew Hispanic Center.

Demographic data had already been released for all states except New York and Maine and for the District of Columbia.

In fast-growing states where whites and blacks dominated past growth, Hispanics are now the greatest growth engine, Frey said.

The significance of the numbers to the United States is more than just an increase of an ethnicity. Research shows that along with the changing demographics, the country has become more diverse in other ways, Passel said. For instance, there is a substantial mixing of the American population through interracial marriage, he said.

Another change is the concentration of the growing populations.

Previously, the Hispanic population was concentrated in eight or nine states; it is now spread throughout the country, Passel said.

Meanwhile, most of the data released so far show decreases in the population of white children, Frey said.

Minorities will have a greater presence among future generations, he said. For example, in Nevada, 61% of children are minorities, compared with 41% of adults.

In border states like Texas, demographers say, Hispanic populations are expected to surpass non-Hispanic populations within the next decade.

"Without question, we are becoming a Hispanic state," said Texas state demographer Lloyd Potter.

"I live in San Antonio, and there you see Spanish advertisements, television shows and newspapers everywhere," he said.

In cities and towns across the region, there are Spanish-speaking restaurants, retailers and annual festivals.

"It's helpful to be able to speak a little Spanish if you're non-Hispanic," Potter said. "My neighbors don't really speak much English. While my Spanish isn't great, at least we can interact and be neighbors."

But while the labor force may absorb Spanish-only employees, an emerging debate among policy makers asks whether their children face additional challenges in English-speaking schools.

"Education attainment is the single best determinant for a whole variety of social outcomes," said Steven Camarota, director of research at the Center for Immigration Studies in Washington.

Analysts speculate that while population levels swell, comparable growth in education levels may take some time.

"In New York City, Italians once had a much higher high school dropout rate," Camarota said, noting an Italian immigration flux in the United States that spanned the years of 1890 to 1920. "It took them 60 to 70 years to lower those levels and close the socioeconomic gap."

CNN's Mariano Castillo contributed to this report.

@highlight

The Hispanic population is now 50.5 million, or 16% of the country

@highlight

The white population is 197 million, dropping to 64%

@highlight

The black population is 40 million, or nearly 13%

@highlight

The Asian population grew 43% to 14.7 million, or about 5%