(CNN) -- When the Republican National Convention kicks off this week in Tampa, Florida, the nation will notice one thing before anything else: This is not your father's or grandfather's Republican Party. Rather, it's a party with leaders as diverse as the country it intends to represent.

With the nation's changing demographics, Republicans can no longer rely on the South and Midwest to carry them to victory in 2012. Instead, they must broaden their base into traditionally purple and blue states. It's an uphill battle: President Obama leads by a sizeable margin with women and by wide margins with Latino and black voters. But it's not insurmountable. Romney already leads with men by roughly the same number President Obama leads with women. Nor is it unprecedented. Republicans won a landslide victory in the 2010 fall midterm elections. Now they must devise a strategy to repeat that.

Republicans, in short, must repeat what they did in their landslide victory in the 2010 fall midterm elections.

Opinion: Unfriendly to women? Not my GOP

Bolstered by the rise of the Tea Party, Republicans won back the House in historic fashion then. Independents went to Republicans by 15 points, an incredible 23-point swing from 2008. Republicans virtually eliminated the gender gap with women -- their best showing since 1982.

Writing in The Wall Street Journal this week, Michael Barone notes, "White noncollege voters and white evangelical Christians were only 42% and 37%, respectively, of the winning Republican coalition in the 2010 congressional elections." 2010 was a watershed year for Republicans because they were able to lure away much of the Democratic base, particularly Northern and Midwestern suburbanites and college graduates. They did so by campaigning on major policy issues and reforms, such as Obamacare and the national debt, that inspired and enthused the electorate.

As the 2012 Republican convention dawns, look for Republicans to display a similar election strategy: a diverse cast of party leaders with bold policy ideas reaching for a diverse electorate.

For one of the few times in GOP history, the top of the Republican ticket hails exclusively from the North, with Mitt Romney from Michigan and Paul Ryan from Wisconsin. The de facto leaders of the GOP bring a newfound party interest in these traditionally blue states. Already, Ryan has put Wisconsin in play for Republicans in some of the latest polls. In Michigan, which President Barack Obama won by more than 16 points in 2008, Romney trails Obama by only 2 points, according to the Real Clear Politics average of polls in Michigan.

The nation is familiar with the likes of Sen. Marco Rubio of Florida and Gov. Bobby Jindal, the Louisiana governor, but in Tampa, viewers will be introduced to a new, even deeper and more diverse cast.

Scheduled to speak Tuesday night is Ted Cruz, Republican candidate for U.S. Senate in Texas. The son of a Cuban immigrant, Cruz rose to attend Princeton University and Harvard Law, becoming a gifted orator. As the solicitor general of Texas, he argued and won high-profile cases in front of the Supreme Court.

Also speaking on Tuesday night is Nikki Haley, the first female governor in South Carolina and the daughter of Sikh immigrants. She made her name as governor fighting the Obama administration's National Labor Relations Board lawsuit challenging Boeing's right to build a new plant in South Carolina. The NLRB dropped the suit after the union reached an agreement with Boeing. The plant could bring thousands of jobs to her state.

Opinion: GOP -- big tent, or big mess?

With the reshuffled convention schedule, also speaking Tuesday will be Mia Love, the mayor of Saratoga Springs, Utah, and candidate for the 4th Congressional District there. Love, the first black female mayor in Utah state history, is already making a name for herself with her outspoken, firebrand conservatism. Susana Martinez, the first female governor of New Mexico and the first female Hispanic governor in U.S. history, is set to take the stage Wednesday night.

More important than diversity, however, is substance, and this year's crop of Republican leaders is a bolder, more conservative group than we've seen in decades. After paying a steep price at the polls in 2006 and 2008, the Republican Party might be in a new era in 2012, one ripe with intrepid, limited government and Constitutional reformers such as Govs. Scott Walker of Wisconsin, Chris Christie of New Jersey, Bob McDonnell of Virginia and Rep. Ryan, now the vice presidential nominee.

The purpose of a convention, after all, is to coalesce individuals into parties and ideas into causes. With the selection of Ryan for vice president, the race takes on clear shape and focus -- repealing Obamacare, restoring fiscal sanity and jump-starting the economy -- that voters can rally for, rather than just rallying against President Barack Obama. For all the hand-wringing and second-guessing in the Republican primaries, the post-convention GOP will take on a new, united face.

The goal, inevitably, is to replicate the results of the GOP's 2010 landslide victory. But to do that, it must replicate the same vision, clarity and diversity, not for diversity's sake, but for the sake of the wide swath of America's voters in need of help.

Look for the GOP to harness, focus and refine that message all week in Tampa.

The opinions expressed in this commentary are solely those of William Bennett.

@highlight

William Bennett: GOP convention will demonstrate the party is as diverse as the nation

@highlight

He says since 2010 vote brought people who traditionally vote Democratic toward GOP

@highlight

He says speakers at convention -- Nikki Haley, Ted Cruz, Mia Love -- show party's diversity

@highlight

Bennett: New crop of Republican leaders is bolder, more conservative than past