(CNN)The death of a 14-year-old shot by police just blocks from his school is the latest flashpoint as political tensions mount in Venezuela and pockets of anti-government protests erupt throughout the country.

Kluibert Roa Nuñez, a high school student, was killed Tuesday when he got caught between protesters and national police in the western city of San Cristobal. A police officer fatally shot Kluibert, officials say.

The government and the opposition alike have condemned the teen's killing, but Venezuela's recent history of violence and sharp political polarization hang over this shooting. Already protesters opposed to President Nicolas Maduro's government are pointing to the teen's death as a fresh rallying cry. And Maduro has blamed protesters for the violence that led to the shooting.

A year ago, San Cristobal was the birthplace of anti-government protests that spread nationwide. The standoffs between security forces and protesters lingered for weeks and became violent, with more than 40 deaths, according to the government.

Three witnesses at Tuesday's protest said that Kluibert was not a protester and had inadvertently come across the confrontation after leaving school.

Vivian Nuñez, the slain teen's mother, told CNN en Español her son was walking four blocks from his school when a riot broke out around him.

The protesters -- mostly students from a nearby university -- were running from police at the moment that Kluibert walked into the area, according to the witnesses, who spoke with CNN en Español.

The teen tried to protect himself by ducking under a car but suffered a direct shot from an officer's firearm, the witnesses said.

CNN has not independently confirmed how the shooting unfolded. The governor of the state of Tachira, where San Cristobal is located, declined to comment on his government's version of events.

The teen's death sparked several protests around the country Wednesday. In Caracas, demonstrators outside the justice ministry held up notebooks smeared with red paint to symbolize the blood of the country's youth they say has been spilled.

"A bloody notebook. This is what we, the students, have -- ideas," protester Hilda Rubi said. "We say to Mr. Nicolas Maduro, 'Are you afraid of the students? These are our weapons: a notebook, pens, thoughts and ideology.' "

The Venezuelan government responded quickly to the killing, detaining and identifying the national police officer who shot the teen.

The interior ministry named Javier Mora Ortiz, 23, as the shooter. Attorney General Luisa Ortega Díaz announced Wednesday that Mora is formally charged with intentional homicide, and that nine protesters were also arrested in San Cristobal.

Interior Minister Carmen Melendez, speaking on state television, vowed that the officer would be prosecuted to the fullest extent of the law.

She appealed for calm, asking students to remember the 43 deaths recorded in clashes last year.

The police has been reformed since then, she said, calling the national police force a "protector of human rights."

"This is an isolated incident that does not represent the behavior of the new, humanist police," Melendez said.

To protesters, and to the family of the slain teen, these comments seem to be insincere, or outright lies.

Erick Roa, the father of the slain teen, told CNN en Español's Fernando del Rincon that he wants the full weight of the law to be applied to the officer but is not comforted by the government's actions.

The officer's quick confession might be part of a strategy to get a lenient sentence, Roa said. He is afraid the justice system will go easy on Mora because he is a police officer.

"This was a murder; this was a homicide committed by this man, and he should pay with the full weight of the law," he said.

The father also questioned the government's claims of what kind of projectile killed his son.

The interior minister said Mora shot Kluibert with a shotgun loaded with rubber pellets. Roa said that if the weapon was indeed a shotgun, it was loaded with lead pellets, not rubber. The coroner's report said that a firearm caused the fatal wound, without detailing whether it was rubber or lead pellets, the father said.

The government also said that police provided first aid to the injured teen, something that witnesses deny.

Roa pleaded for police to "be guardians" while on duty, saying he hopes another child won't become a victim.

The fury over Tuesday's shooting echoes the arguments made by pro- and anti-government groups in the past.

Maduro framed the boy's death around the actions of the protesters in San Cristobal. He described a group of "hooded youths" who were "being violent," beating police and pelting officers with rocks before police responded with force.

Critics of the government turned to one of their most powerful tools -- social media -- to accuse the security forces of abuses and to share photos they say back their allegations. Tweets were tagged with #SOSVenezuela, #PrayForVenezuela and #MaduroAsesinoDeEstudiantes, literally accusing the President of killing students.

Government supporters tweeted under the banner #ApoyoRotundoAMaduro, or "complete support for Maduro."

All this turmoil comes during an economic crisis in oil-rich Venezuela.

Venezuelans have endured years of shortages of basic goods, products and services. Consumers have to stand in line for hours for staples such as milk, chicken and cornmeal. Even toilet paper and condoms are scarce.

Venezuela's currency, the bolivar, is overvalued. The official exchange rate is 6.3 per dollar, but dollars are being exchanged in the black market at 190-to-1 creating all kinds of problems for foreign companies, including American ones.

Last week, the mayor of Caracas, Venezuela's capital and largest city, was arrested and accused of plotting to overthrow Maduro's government.

In fragile economy, Venezuela arrests opposition figures: Why you should care

Mayor Antonio Ledezma, one of the opposition's most visible leaders, was arrested in a raid by federal agents. The opposition says the mayor's arrest is an attempt to divert attention from the country's economic woes.

CNN's Kay Guerrero, Miguel Escalona and Catherine E. Shoichet and journalist Osmary Hernandez contributed to this report.

@highlight

Anti-government protests erupt over the death of a 14-year-old

@highlight

The high school student was killed by police during a protest Tuesday

@highlight

Tensions and polarization in Venezuela remain high