(CNN) -- It is rare when politicians decide to make government reform the centerpiece of their campaigns. Although Americans always complain about government, polls show that most voters care most about "bread and butter" issues when they make decisions about who their leaders should be.

2014 might be different. The partial government shutdown is just one more example in an ongoing series of political meltdowns that has left the country extraordinarily frustrated with Washington, and with Republicans in particular. On the second day of the shutdown, polls showed that congressional approval ratings had fallen to an abysmal 10%.

As a result of what has taken place in the past few years, there is a genuine opportunity for a marriage between partisan interests and government reform in the 2014 midterm elections. Democrats will have an opportunity to develop a successful campaign around government reform, returning to issues that President Barack Obama campaigned on in 2008 but has generally neglected ever since.

Many Republicans, equally frustrated with their tea party counterparts, might echo similar themes so as to not be outdone by their competitors.

If Democrats are able to take control of Congress and create a united government for two more years, they would give Obama an opportunity to make progress on these issues before his term ends.

Budget reform must be at the center of the message. The budget process has become a total mess. Congress is unable to reach basic agreements about spending and the existing process offers legislators too many opportunities to wreak havoc in their effort to extract concessions from opponents.

There are many proposals for reform that have been floated. Eliminating the debt ceiling is one possibility, so that debates about spending cannot turn into threats to the global economy.

Another proposal is to move toward biennial budgeting to facilitate long-term planning and reduce the number of annual skirmishes that take place over funding.

Centralizing and reorganizing the process could produce fewer points of conflict, while some experts, such as William Galston have proposed tying congressional pay to on-time appropriations decisions.

Campaign finance reform must be tackled. When Senator Ted Cruz delivered his long speech before the government shutdown began, he knew exactly what he was doing. His dramatic actions have been targeted toward issue-based interest groups that feed the coffers of legislators. This is but one aspect of a campaign finance process where the barriers toward injecting private money into elections have almost completely broken down.

The Supreme Court is currently considering a major case that threatens to undercut the limitations that exist on individual donors. But whatever the court does, Congress could pass legislation placing tighter constraints on contributions in the wake of the Citizens United decision, providing some form of public funding, and restricting the kinds of activities that third party organizations can engage.

These would help to lessen the pressure that members of both parties feel to please the donors during budget battles and enable them to focus more attention on the challenges of governing the nation.

The filibuster is another long acknowledged procedural problem which creates a difficult system in the Senate where a supermajority of 60 votes is needed to pass legislation.

Although the heart of the current budget stalemate has to do with the House Republicans, the supermajority requirement in the Senate has become a huge source of obstruction in recent years. As with budget reform, there have been many proposals to overhaul the filibuster, including lowering the number of senators needed to end a filibuster or prohibiting certain kinds of stalling tactics that do not technically amount to a filibuster.

The filibuster is not enshrined in the Constitution and has been reformed before, including in 1975 when the Senate lowered the number of senators needed to end debate from 2/3rd to 3/5th of the chamber.

The convergence of midterm elections and reform can have a powerful effect. In 1974, the newly elected "Watergate Babies" campaigned on the theme of government reform in the shadow of the scandal and many of the issues they tackled -- such as campaign finance reform, openness in government, ethics rules, and mor -- became enshrined in the law.

There is an opportunity for this to happen again. Although the current budget standoff is not a scandal akin to Watergate, the levels of public frustration are extremely high. Moreover, the consequences could be severe. If there is another shock to the global economy as a result of the debt ceiling debate, as we saw in 2011, the public's view of the urgency of changing the legislative process will greatly increase.

The issues could help Democrats regain their majority, and at the same time might create the right conditions for Congress to pass reforms in 2015 and 2016.

Enough moderate Republicans are clearly frustrated that they might join, making this a bipartisan effort, and one that changes the basic rules of the game for both parties going into the next presidential administration.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: 2014 campaign could provide unusual opportunity for congressional reformers

@highlight

He says Americans are fed up with the partisan battle in Washington and would welcome change

@highlight

Sen. Ted Cruz is providing an example of how obstructionism gains support from party base, he says

@highlight

Zelizer: Some modest reforms could make Congress more productive