(CNN) -- No Googling allowed:

Who are Koichi Wakata, Oleg Kotov, Mike Hopkins, Mikhail Tyurin, Rick Mastracchio and Sergey Ryazanskiy?

If you're stumped by the question, don't feel bad. You're not alone.

Most people almost certainly wouldn't know the answer. Although it would be nice if we did.

Those six men are people of great accomplishment, rigorous education and training, and astonishing courage.

Right this moment, they are taking part in something so thrilling that it's hard to believe the world has become so indifferent to it.

They are the six inhabitants of the International Space Station. Living together hundreds of miles above the surface of the Earth, they circle the globe every 90 minutes. They travel at a speed of 17,500 miles per hour every second of every day.

But except when there is a potential crisis on the Space Station, such as the problem with the cooling system over the holidays, most people are barely aware that they are up there.

Their mission is like something Ian Fleming would have dreamed up in an old James Bond novel:

Five different space agencies from nations across the Earth, cooperating to populate and support a self-contained outpost -- a colony the size of a football field -- that circles endlessly above us at unimaginable velocity.

An international team of intrepid explorers living in space, conducting experiments and research and gazing through the blackness toward the rest of us. The International Space Station has been continuously occupied by different teams of astronauts and cosmonauts for more than 13 years.

Americans once knew by heart the names of the original astronauts. Alan Shepard, John Glenn, Gus Grissom and their colleagues were as celebrated as any baseball heroes had been in generations that preceded theirs.

Life on Earth came to a complete, pulse-pounding standstill when Neil Armstrong and Buzz Aldrin first stepped onto the surface of the moon.

The fascination somehow faded during the space shuttle years. Unless there was a tragedy, as happened with Challenger and Columbia -- and with the exception of the shuttle mission on which Glenn, at age 77, became a crew member -- most of the shuttle flights drew little more than a national glance or two.

It may have had to do with the fact that in an age when television images were king, the shuttles, for all the dangers they presented to their dedicated crews, on TV appeared more like giant commercial airliners than exotic spacecraft as they returned to make their landings. The very name -- "shuttle" -- sounded deceptively routine, although the missions were anything but.

Whatever the reason, it seemed more difficult, during the space shuttle era, to get the public especially interested.

The International Space Station, for all its jaw-dropping technological capabilities, and for all the bravery of its resident astronauts, has faced an even bigger hurdle in attracting the attention of the constantly distracted people of Earth. Because the space station has been up there so long, people seldom pause to consider the wonder of it all.

In recent days, though, it has been in the news.

NASA announced this month that the space station will continue circling the Earth for at least four years beyond its previously planned splashdown in 2020. Now, it will be inhabited until at least 2024.

And last week the six occupants of the space station finally received their Christmas gifts. The presents from their families, along with crates of supplies, were supposed to be delivered last month, but were delayed.

The cooling system breakdown had held things up, and then there was an explosion on the sun that unleashed particles that could have caused problems during the transport. (And you think you had a creative excuse for being late to work.)

The gifts and supplies that eventually made it to the station, by the way, were delivered not by NASA but by a for-hire private company. Two such companies, Orbital Sciences Corp. and SpaceX, are contracted to fly supplies to the International Space Station.

Even that fact plays into the misguided perception down on Earth that the space station is, if not ho-hum, then not the stuff of tingling drama. There are already plans for privately owned "space taxis" to take future astronauts to and from the station, a far cry from the breathless years of Mercury, Gemini and Apollo.

When the unmanned courier craft arrived last week, the space station residents belatedly opened their Christmas presents. (Incidentally, included in that cargo delivery was a container of live ants. Eight hundred or so of them. It has something to do with an experiment about weightlessness. Just what you would most like to unwrap when you're in a confined area in space, right? Ants.)

One measure of the public's attentiveness toward the astronauts of today can be seen in the audience for the Twitter feed of Mastracchio, one of the two Americans up there.

He does, indeed, tweet -- circling the Earth, he sends down messages and descriptions so citizens of the world (those with a computer, smartphone or tablet), can in real time and for free be kept up on what is transpiring aboard that miraculous mission. It is a way of instant and intimate communication from space that wouldn't even have been dreamed of not so long ago.

He has 36,300 Twitter followers.

For comparison's sake, Justin Bieber has 48.7 million followers for the Twitter account of his daily doings.

LeBron James has 11.2 million.

Katy Perry has 49.5 million.

We can get used to just about anything, or so it seems, but it's instructive that we have gotten so used to even this: humans from different countries living in harmony as they hurtle perilously through the dark void so far from Earth.

Walter Cronkite is no longer around to tell a breathlessly waiting world of such exploits in space. But if astronaut Mastracchio wants more people to know about the astounding things he is seeing and experiencing up there, perhaps he can prevail upon Justin Bieber to retweet him.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: Most people don't know names of those at the International Space Station

@highlight

He says spaceflight used to be awe-inspiring. Now we see it as routine. That's regrettable

@highlight

He says six astronauts are from countries around the globe, work together on research

@highlight

Greene: They Tweet amazing stuff. Why is their following a small fraction, of, say Katy Perry's