Los Angeles (CNN) -- Keya Morgan sometimes sleeps with Abraham Lincoln's pocket watch clutched in his hand or with Marilyn Monroe's dress next to him. It makes for amazing dreams, he says.

It also puts Morgan -- owner of a vast array of historical photos, documents and objects -- at the nexus of celebrity, conspiracy and collectibles.

He's friends with an unusual array of famous people, many of whom he met while gathering his artifacts and information.

Michael Jackson was among them. Marina Oswald still is.

The widow of the man accused of assassinating President John F. Kennedy says she's spent hours discussing history with Morgan, who owns the largest private collection of photos of JFK.

"Keya is a good kid. Let's put it that way," Oswald said. "He has a good heart, and he's compassionate and puts all his 150% in it."

Although she rarely gives interviews, Oswald felt strongly enough about her friendship with Morgan that she agreed to speak with CNN by phone from her Texas home.

"I am very pleased to know Keya," Oswald said.

The admiration is mutual.

"Marina Oswald is one of the most intelligent, amazing women I know," Morgan said, adding that he's "100% positive" her husband, Lee Harvey Oswald, did not mastermind Kennedy's death.

In addition to being a collector, Morgan is a historian and filmmaker -- and will become an author in the spring when his book, "Marilyn Monroe: Murder on Fifth Helena Drive," is scheduled to be published.

He interviewed more than 300 people during a decade of research, including FBI agents, the coroner who conducted Monroe's autopsy, the Los Angeles police detectives who investigated her death and two of Monroe's three husbands.

Morgan claims that his book will prove the movie star was murdered.

"I feel so fortunate to be able to live alongside of history," Morgan said. "History is like a drug to me. I get a total high."

Morgan's addiction, which began at New York estate sales at age 8, soon grew into a business.

He was a teenager operating a collectibles shop in Manhattan in the mid-1990s when he met a new client and friend.

"A guy with a mask and a hood walks into my shop," Morgan said. "It scared the living daylights out of me. I knew I was going to be robbed."

A customer who was selling gold coins to Morgan fled in fright, but when the masked man spoke, Morgan realized it was Michael Jackson.

The pop icon, a well-known buyer of historical artifacts, was searching for prints of Elvis Presley and Marilyn Monroe, Morgan said.

Jackson returned several times to the shop he called "a little Smithsonian on 25th Street," Morgan said.

Jackson called Morgan a "time traveler" because of his passion for artifacts, ranging from his statuette from King Tut's tomb to Muhammad Ali's personal writings.

When Morgan gave Jackson a ring that once belonged to Monroe, Jackson returned the favor by teaching him his trademark dance step.

"He actually taught me the Moonwalk in my shop," Morgan said, adding that he can still do the move.

Morgan later became close friends with real moonwalker Buzz Aldrin, the second man to step onto the lunar surface.

"I always pride myself in going straight to the source," he said.

Another celebrity friend is Donald Trump Jr., the son of the real estate mogul and "Apprentice" host.

"Keya is one of these guys who was perhaps born 100 years too late," Trump said. "He's a timeless character living in a modern world."

One aspect of Morgan's personality that helps him make and keep celebrity friends is he is "that rare friend who isn't the clingy, needy friend," Trump said.

Now in his 30s -- he won't reveal his exact age -- Morgan owns Queen Victoria's family album, a large collection of Adolf Hitler photos and the largest private collection of photos of Abraham Lincoln.

His extensive photography collection also includes images of Fredrick Douglass and several Civil War generals, as well as rare photos of slaves.

Morgan says the relationships he develops while researching historical photos pays off, such as when Gen. Ulysses S. Grant's great-great-grandson told him about an image in a family-owned album that showed Lincoln in front of the White House weeks before he was assassinated.

Unlike most other Lincoln images, Morgan said, this was an unstaged photo captured after the photographer convinced a young Tad Lincoln to ask his father to step outside.

Morgan calls it "the first act of paparazzi photography."

President Obama was a U.S. senator from Illinois in 2005 when he called Morgan to ask for permission to use one of his photos of Lincoln -- made just two months before his death -- for a column for Time magazine titled, "What I See in Lincoln's Eyes."

"On trying days, the portrait, a reproduction of which hangs in my office, soothes me; it always asks me questions," Obama wrote.

At Obama's suggestion, Morgan created a website, LincolnImages.com, to make his catalog of historical photos available to the public for licensing, he said.

Until Morgan disappeared into a Los Angeles condo this year to finish the last chapters of his book on Monroe, he could be found at the Beverly Hills Hotel Polo Lounge or West Hollywood's Chateau Marmont, socializing with an impressive list of celebrity friends.

Morgan says they're often his biggest customers, too.

"Historical people appreciate history even more than anybody," Morgan said.

Morgan was lunching at the Polo Lounge with veteran screenwriter David Seidler just days before he won an Oscar for "The King's Speech."

Morgan gave Seidler an original photograph of King George VI sitting with President Franklin Roosevelt in June 1939.

The photo, part of a collection of Queen Victoria's family photos Morgan purchased at auction, was taken three months before the king delivered the dramatic radio address featured in Seidler's screenplay.

When Mariah Carey paid $662,000 for Monroe's childhood piano, Morgan said, he gave the singer a rare photo of Monroe sitting at the keyboard.

Morgan's longtime obsession with Monroe took an eerie twist when he moved into his west L.A. condo to write. He didn't realize fate had put him two blocks from her grave.

"When my doorman told me Marilyn was around the corner, I was totally shocked," he said. Morgan visited Monroe's grave almost every morning while he wrote to "say a prayer for strength to do justice to her."

"Marilyn Monroe is the most misunderstood character in history," he said. "She is as American as apple pie, and she was sweeter than honey."

One chapter in his book, titled "Dumb Blonde Genius," will prove that "she was a prodigy, not a dumb blonde," Morgan said.

"Marilyn Monroe went from being the most poor, unwanted girl tossed from all these orphanages to the most desired sex goddess, movie goddess, highest-earning actress in the world when she died in 1962," he said.

"She did that all by herself. She created this magical character."

Morgan's knowledge of Monroe's life is enhanced by his friendships with two of her husbands, James Dougherty and Arthur Miller. He never knew husband Joe DiMaggio, but he bought much of the Yankees slugger's estate, giving Morgan access to the couple's personal letters.

After the book is published, Morgan says, he will concentrate on a film "to prove once and for all that she was murdered."

A key part of Morgan's book focuses on Monroe's relationship with Kennedy and his brother Robert F. Kennedy. Morgan owns the only known photo of the three together, taken in May 1962 after the actress' famous "Happy Birthday" serenade to the president.

Morgan boasts the largest private collection of JFK photos, thanks in large part to his recent purchase of the archives of former White House photographer Cecil Stoughton. Most of the 20,000 images have never been seen beyond the day Stoughton printed them in his darkroom five decades ago.

While Morgan's business is to license or sell from his historical collections, much of what he owns is not for sale. Instead, he keeps them for personal enjoyment, such as his "time traveling" dreams.

"I take a historical object, like a watch that belonged to Lincoln, and I sleep with it," Morgan said. "I pray to God and to Lincoln to sort of guide me. And when I sleep, I have a dream about it. Now, it could either be my subconscious that's doing that, or it could be my soul traveling time."

During one dream experienced while holding Lincoln's watch, Morgan said, he found himself standing among Lincoln Secretary of War Edwin Stanton, Secretary of State William Seward and the president's family.

"I remember Mary Lincoln, how nasty she was, and she was full of herself," Morgan said. "I remember the kids. I remember his son Willie was the cutest kid."

He's dreamed with Monroe's watch, her dress and even a piece of her dog's toy.

"I had one dream, actually, in which she was towards the end of her life, and she had gotten her contract for $1 million, and she was so extremely happy," he said.

He went shopping with Monroe in another dream.

One night, Morgan counted eight trips through time using a variety of artifacts.

After more than two decades of collecting, he can choose from King Tut's 3,000-year-old "servant of the hereafter" ushabti statuette, a 2,200-year-old Alexander the Great coin, 24-karat earrings from Cleopatra's time, Thomas Edison's pen, Marlon Brando's wristwatch or a wide array of artifacts from all 44 U.S. presidents.

@highlight

Keya Morgan collects historical artifacts from celebs

@highlight

His work has helped him develop relationships with the stars

@highlight

Morgan says he "time travels" using some of the items he has