(CNN) -- It is a question that the global community is seeking to understand as the crisis in Iraq and Syria deepens. How can such a numerically small force as ISIS, which calls itself the Islamic State, have taken control of vast swathes of Syria and Iraq, and how can it hold the ground taken while simultaneously conducting multiple offensive actions in both countries?

The most recent CIA estimate in September 2014 put the total number of ISIS fighters in Iraq and Syria at between 20,000 and 31,500. But such numbers, while alarming, are not nearly enough to explain the stunning military successes the group has enjoyed.

ISIS is at heart a guerrilla army that has recently captured large stocks of modern and heavy weaponry.

While the equipment that makes headlines is war planes, captured tanks, heavy artillery and American-made Humvees, most ISIS fighters are still armed with the same mix of Soviet-era small arms and American M16/M4 pattern rifles that their Iraqi, Kurdish and Syrian opponents rely on.

Much of the heavy equipment ISIS has at its disposal was captured during their lightning advance into Iraq, not before. It is not the core reason for their battlefield successes. However, what it does do is make planning any battle against ISIS forces an uncertain exercise because one may have to face weapons and vehicles from right across the capability spectrum.

When it comes to offensives against prepared positions, ISIS forces can certainly deploy heavy artillery, modern weapons and tanks that give it greatly enhanced capabilities and completely outgun Kurdish Peshmerga forces in particular. Unconfirmed reports have suggested that ISIS even deployed a captured M1A1 Abrams in its takeover of the Mosul Dam, before eventually being driven back by repeated U.S. airstrikes.

This is where airpower can make a difference since heavy artillery, tanks and armoured vehicles are vulnerable to airstrikes when concentrated in the open such as at the Mosul Dam and in the current offensive to take Kobani.

What air power cannot do is easily degrade or neutralize ISIS's core advantages which are strong battlefield leadership, significant tactical autonomy and aggressive tactics. Their battlefield tactics are somewhat reminiscent of the German Blitzkrieg campaigns in the early part of World War II. They use fast, well-coordinated forces with vehicle support to attack enemy weak points in strength under the cover of long range artillery and mortar fire.

A particular speciality is outflanking defensive positions and then mopping up defenders who attempt to retreat. The tactic is as much psychological as it is kinetic, and is greatly magnified by the horrendous and public brutality ISIS has systematically exhibited wherever it has gained control.

Even well-motivated and equipped troops are likely to contemplate tactical withdrawals if outflanked and in danger of being surrounded by an unknown number of fanatical mass murderers with apparently superior weaponry and tactics. Where, as in Mosul, the defenders are poorly motivated, even small ISIS attacks are capable of provoking mass panic and routs.

Kobani is an unusual operation for ISIS fighters in some respects, in that they appear committed to what has become a pitched battle in the open where they are vulnerable to airstrikes. Despite having surrounded Kobani and conducting aggressive and apparently well-coordinated infiltration attempts from multiple approaches, the sort of street-to-street "meat grinder" that Kobani has become does not play to ISIS's strengths.

Against an enemy with nowhere to retreat to and air support, a numerically limited force such as ISIS that normally relies as much on psychological effects as firepower to take ground faces a tough challenge. This is just as well since on the ground, it is only the bravery of lightly armed Kurdish fighters standing between ISIS and control of the town. Airstrikes are essential but could not keep ISIS out of the town alone.

In terms of defending the ground it has, ISIS appears to be efficient at quickly moving forces in strength to meet particular Iraqi and Peshmerga offensives. However, along most of the "frontlines" across Northern Iraq and Syria, a relatively small number of ISIS forces appear capable of pinning potential attackers in their defensive lines with a combination of reputation and sporadic mortar, sniper and machine-gun fire.

Given the disorganized state of the ground forces arrayed against them, and the limitations of airpower for rolling back such an enemy, this may well be enough to allow ISIS to maintain control of most of its newly declared Caliphate for a long while yet.

@highlight

Justin Bronk: The number of ISIS fighters is not enough to explain the group's success

@highlight

Bronk: Most ISIS fighters are armed with Soviet-era small arms, M16/M4 pattern rifles

@highlight

ISIS makes planning any battle against them uncertain, writes Bronk

@highlight

What air power cannot do is easily degrade or neutralize ISIS's core advantages, he says