(CNN) -- A bill that seeks to increase prison sentences and extend parole terms in California for certain sex crimes against minors was passed in a unanimous vote by the state Senate on Tuesday.

"Chelsea's Law" -- named after 17-year-old Chelsea King, who was raped and murdered by a convicted sex offender this year -- will go to the State Assembly next week for a vote. If it passes, it will go to the desk of Gov. Arnold Schwarzenegger, who has already lent support to the legislation formally know as AB 1844.

King disappeared February 25 during a jog in a suburban San Diego park, sparking a massive search that ended a few days later with the discovery of her body. Registered sex offender John Gardner pleaded guilty in April to killing her and another San Diego-area teen, Amber Dubois, in a deal that spared him the death penalty.

The case set off a firestorm of debate over the management of sex offenders in California, with King's parents lending their voices to legislative efforts.

"The heartbreaking loss of Chelsea earlier this year revealed a broken public safety system, and it called our entire community and our entire state to action. With the King family's unwavering dedication and with the good faith of many who contributed to shaping this measure, we've built a solution that will protect children and spare other families from tragedy," Assemblyman Nathan Fletcher, the bill's sponsor, said in a statement.

But Chelsea's Law also has its detractors. They argue it advocates a one-size-fits-all approach to punishing sexual offenses and that its fiscal implications are too much for the cash-strapped state to bear.

Supporters of Chelsea's Law, which include California Attorney General Jerry Brown and U.S. Sens. Dianne Feinstein and Barbara Boxer, say it targets the worst of the worst with provisions such as one-strike life without parole sentencing and lifetime parole for certain sex offenses against children younger than 14.

Among the crimes that could carry potential sentences of life without parole under the proposed legislation: rape, lewd and lascivious acts on a minor, continuous sexual abuse of a child that were committed during a kidnapping, first-degree burglary or that resulted in great bodily injury. Offenders could also face a true life sentence for inflicting "aggravated mayhem or torture on the victim" in the commission of the offense.

The bill also requires lifetime parole and GPS supervision with no possibility of discharge for crimes including continuous sexual abuse of a child and certain sex crimes on children younger than 14.

The proposed legislation also would make it a misdemeanor for a registered sex offender who committed a felony offense to enter any park where children regularly gather without written permission from a parole official or chief park official. It also calls for a revision of the California mentally disordered offender laws to provide for continued detention of offenders where evaluation and assessment deem such to be necessary.

Critics of the bill call it a blanket approach that pushes sex offenders further to the fringes of society without addressing the root causes of sexual offenses.

"We need to seek solutions to this one shoe size fits all policy and target those who are of high risk to re-offend after being assessed by professionals in the field, as well focus our money and resources into prevention and awareness programs on sexual abuse, and preventing the first crime," said Mary Duval, CEO of the Sex Offender Solutions and Education Network, a nonprofit resource center on sex offender issues and a support network for registered sex offenders.

A preliminary analysis of the bill by the state Legislative Analyst's Office completed earlier this year estimated it would increase state prison operating costs by "at least a few tens of millions of dollars annually" as a result of certain offenders remaining in prison for longer periods of time, resulting in a larger prison population. Parole operations might also be stretched to their limits, the study said.

The analysis, noted, however, that a number of variables made the findings inconclusive, such as how often district attorneys would choose to prosecute crimes under Chelsea's Law or the possibility that the law could deter future criminal activity.

"The long-term nature of the fiscal impacts of some of the provisions of AB 1844 further means that our forecasts may not fully account for significant potential changes in prison operating costs and in the size of the population of sex offenders that could occur over time," the LAO said in a letter to Assemblyman Fletcher dated May 12.

In an interview with CNN in May, Fletcher said the projected costs of the bill were relatively small compared with the the expense of maintaining a system that does not seem to be working.

"We've tried to create a narrowly focused bill that goes after the worst of the worst by improving upon sentencing laws and guidelines that already exist," he said.

"The first responsibility of government is public safetyand if we can't protect our children from violent sexual predators then nothing else matters. This has to be our priority."

@highlight

Bill calls for life without parole, lifetime GPS monitoring for certain crimes against minors

@highlight

Chelsea's Law named after high school student who was murdered by sex offender

@highlight

Bill goes to State Assembly next week for a vote

@highlight

Critics say bill puts burden on taxpayers, takes blanket approach to sex offender treatment