(CNN) -- A single hair that shows evidence of decomposition was similar to that of Casey Anthony's 2-year-old daughter, Caylee, an FBI evidence analyst testified at the Orlando, Florida, woman's trial Saturday.

Investigators found the hair in the trunk of Casey Anthony's car. Prosecutors are trying to link the hair to Caylee as evidence that her body was in the car.

But defense attorney Jose Baez attacked FBI trace evidence examiner Karen Lowe's findings as little more than unreliable opinion in a morning of fitful testimony that produced frequent objections and huddles among the attorneys out of earshot of the jury.

A crime scene investigator, the operator of a towing company and members of Anthony's family all have testified they smelled a bad odor coming from Anthony's car after it was found abandoned in a parking lot on June 27, 2008, then towed four days later.

Caylee was last reported seen by her family on June 16, 2008, but no one alerted police until July 15, 2008 -- after the girl's grandmother tracked Anthony down and demanded answers. Caylee's skeletal remains were found in December 2008.

Anthony, 25, is charged with seven counts in Caylee's death, including first-degree murder, aggravated child abuse and misleading police. If convicted, she could face the death penalty.

Prosecutors say she used chloroform on her daughter and then put duct tape on her nose and mouth to suffocate her. She has pleaded not guilty and has denied having anything to do with the girl's disappearance or death.

The Orlando woman's attorneys argue Caylee drowned in the family pool on June 16, 2008. They say Anthony and her father panicked and covered up the death. George Anthony denied the claim during his testimony last week.

Testimony about the hair marks a departure from the dramatic testimony and evidence of the last nine days, in which friends and acquaintances contradicted Anthony's claims that she was frantically searching for her daughter during the month she was missing.

Instead, according to evidence and testimony in the case, she was spending time with her boyfriend, shopping and going to nightclubs.

In dry, scientific terms, FBI trace evidence analyst Karen Lowe testified Saturday how a 9-inch piece of hair sent to the FBI lab in Quantico, Virginia, appeared similar to a piece of hair recovered from a brush belonging to the girl.

But she said hair analysis is not as precise as DNA analysis, so she could not say with absolute certainty that the hair belonged to the girl.

The hair had a dark band that Lowe testified has only been seen in hairs remaining in the scalp of a decomposing body.

A crime scene investigator, Gerardo Bloise, testified Friday that he recovered a human hair from the trunk of Anthony's car, and also that the car smelled of decomposition.

In cross-examination, Baez questioned the validity of Lowe's testimony, first asking if there was any way to prove how the hair got into the trunk.

"I couldn't say how the hair got there," Lowe said. "It's consistent with transfer or contact of some sort, but I don't know from whom."

She also testified under questioning from Baez that while the hair is clearly not Casey Anthony's, it could belong to any other light-haired relative on her mother's side of the family. The kind of DNA testing authorities were able to perform on the sample reveals DNA passed down only through maternal lines.

Lowe also testified there are no standards for identifying the bands and that such decisions are based on her opinion and that of a fellow investigator.

Baez also questioned Lowe's experience, saying she had failed a 2000 proficiency test and that she has never before testified on hair banding.

He also questioned the entire premise of hair analysis, citing a 2009 National Academies of Science report that broadly questioned the use of microscopic hair analysis and other forensic science results in criminal cases.

Lowe said she agreed with the report's findings -- that hair can't uniquely identify an individual and that it's important to send samples for DNA analysis, which she said she did in the Anthony case. Lowe, who is not a DNA expert, has not testified about the findings of the those tests.

The hair in question was recovered after Anthony's car was picked up from her family's home, after it had been abandoned in a parking lot, towed to an impound lot and then driven back to the family home two weeks later by Anthony's father.

According to testimony, Anthony asked her boyfriend to pick her up from the parking lot on June 27, saying the car had run out of gas. She also told a friend that she believed an animal carcass was lodged in her car's frame.

The car was towed to an impound lot on June 30, 2008, where a manager said he also smelled the odor of decomposition.

An analysis of the car after the Orange County Sheriff's Office took possession of it did not show any such evidence, Bloise testified.

Also on Saturday, Orange County crime scene investigator Mike Vincent told jurors about collecting air samples from inside Anthony's car. A scientist later found evidence of chloroform and gases associated with decomposition in those samples.

Baez questioned whether the air inside the trunk on August 29, 2008, when it was tested, was the same as that in the car when it was recovered in July.

He also sought to raise a question whether a trash bag found in the car when it was recovered might have been the source of the smell. Vincent also sampled air from the inside of that bag. The contents of the bag were dry when Vincent tested the air inside, he testified. The trash might have smelled different when, and if, it was wet, Vincent said under questioning from Baez.

Before prosecutors began presenting scientific evidence in the case on Friday, jurors watched recordings of jailhouse visits between Anthony and her parents.

In one conversation played Friday, Anthony scoffed at a media report her mother brought up speculating that Caylee had drowned in the family swimming pool.

"Surprise, surprise," Anthony said of the rumor, which is now the primary defense theory in her capital murder trial in Orlando.

In recordings of visits played for the jury, Anthony frequently accused the media of failing to accurately report on the case.

A videotaped exchange, during which Anthony became agitated with her parents as they pressed her for details of Caylee's whereabouts, was one in a series shown to jurors the past two days.

"We need to have something to go on," Cindy Anthony pleaded during the visit.

"Mom, I'm sorry. I don't have anything," Casey Anthony angrily replied. "I've been here a month. Do you understand how I feel?"

Some legal experts say these taped conversations could hurt Anthony in the eyes of jurors.

"These tapes are so devastating to the defense," defense attorney Richard Herman told HLN's Nancy Grace. "Now at this point, there is no way Casey Anthony can take the stand in the case. They cannot get an acquittal."

Prosecutors allege Anthony was not looking for her daughter during the month she was missing. Instead, she was staying with her boyfriend, spending time in Orlando with numerous friends, attending parties, going shopping and hitting nightclubs, including participating in a "hot body" contest, according to evidence in the case.

Her former boyfriend, friends and acquaintances have all testified that she did not mention her daughter being missing during that time and that they noticed nothing different about her demeanor.

Anthony's defense team explains her behavior in the weeks following Caylee's death by saying she had been sexually abused by her father and had been taught to conceal her pain. George Anthony has denied abusing his daughter.

The trial will resume Monday morning. Prosecutors expect their case will take two more weeks, after which Baez will begin to mount the defense case. Overall, the trial is likely to last another four to six weeks, based on initial projections.

Watch Nancy Grace Monday through Sunday starting at 8 p.m. ET on HLN. For the latest from Nancy Grace click here.

@highlight

NEW: FBI analyst says hair from car isn't Casey Anthony's but could be Caylee's

@highlight

The hair sample showed signs of decomposition, the FBI tech testifies

@highlight

Anthony is accused of killing Caylee in 2008; her lawyers said she drowned

@highlight

Trial resumes Monday; prosecutors have about two weeks of work ahead