Ever feel overwhelmed by worries? Do you find yourself dwelling on concerns big (is my job safe?) and small (that darn clogged sink!)?

It's official: You're human and living in the United States. Anxiety levels in this country are the highest they've been in seven decades, surveys show.

Not surprisingly, money and work woes top most people's freak-out lists (thank you, lingering recession). All that e-mailing, texting, and tweeting aren't helping; social technology has reduced actual face time (a known stress reliever) and made us compulsively available to everyone at all times.

Women suffer most -- we're twice as likely as men to be diagnosed with generalized anxiety disorder, which involves excessive worry about a wide range of things (and requires medical attention).

"Women are more likely to feel responsible for taking care of others' well-being," says Robert Leahy, director of the American Institute for Cognitive Therapy and author of "The Worry Cure: Seven Steps to Stop Worry from Stopping You."

And in this you-can-do-it! era, some of us think we can power through anxiety, which only exacerbates the problem.

Chronic stress has been linked to weight gain, depression, and even cancer. But this doesn't have to be your fate.

You can actually train your brain to be less anxious. Recent studies have found that both cognitive behavioral therapy (CBT) -- more about this in a minute -- and mindfulness techniques can make positive changes to your gray matter, ones actually visible in a brain scan.

Health.com: 7 steps to instant calm

What is CBT, anyway?

CBT centers on the idea that we can free ourselves from a lot of angst by becoming aware of our distorted view of situations, particularly stressful ones, and adjusting our behaviors accordingly.

A 2012 review concluded that CBT can enlarge the prefrontal cortex -- the part of the brain associated with weighing thoughts and making decisions -- and reduce the size of the amygdala, the region associated with stress and fear.

In another study of patients with social phobia that compared the effects of CBT and the antidepressant citalopram, both treatments triggered changes in the parts of the brain that help us process, and act upon, fears.

"Our brains are constantly being shaped, most often unwittingly," says Richard Davidson, director of the Lab for Affective Neuroscience at the University of Wisconsin-Madison. "But there are things we can do to purposefully shape them and reduce anxiety."

You can try CBT on your own with the exercises that follow, or, for a more in-depth experience, find a therapist who specializes in it.

The more you incorporate these very doable techniques into your life, the more second nature they'll become when anxious thoughts rear their ugly little heads. Try them all, then do the ones that work best daily; in about two weeks, you'll start to see a calmer, happier you.

Health.com: Which type of talk therapy is best for you?

Stay calm now, worry later

"Much of feeling anxious is that sense of urgency: 'I've got to know -- is this mole cancer?'" Leahy notes. "But research shows that 85% of things people worry about actually end up having a positive or neutral outcome."

Write down exactly what's worrying you, then don't look at your note again for three or five hours. Chances are, it will feel less worrisome, and you'll be better able to consider productive actions, like scheduling a skin check at the dermatologist.

Think small

Too often, anxieties swell to epic size: I'll never get out of debt!

"Things feel more manageable when you remove worry's distortions," notes Tamar Chansky, author of "Freeing Yourself from Anxiety."

Take it step by step instead: I can't pay off all the bills now, but I can chip away at them every month.

Health.com: 9 things to stop worrying about

Give yourself a pep talk

Write down or say out loud the ways you are prepared to handle a situation: I generally get things done. I know how to ask for help. Remind yourself how capable you are.

Let George Clooney help

Imagine the issue from an outside perspective, Chansky suggests. What would your best friend -- or your favorite celebrity -- say? Conjure up that person's voice as they guide you to calm. George: Listen, woman, that CEO has a bark much bigger than his bite. You've totally got this. You: You are so right.

Use your senses

Mindfulness, an ancient practice that focuses your brain on the present, is as old as Buddha. But it's experiencing a surge of popularity; companies like Google and General Mills have mindfulness programs for employees.

Like CBT, it conditions your mind to be more stress-resistant. In a 2012 study, students trained in a mindfulness technique had a significant decrease in stress-related cortisol and an increase in signaling connections (called axons) in a part of the brain that controls emotions.

Health.com: Head-to-toe solutions for stress

"When we feel anxiety, our thoughts are rarely in the present," says Jenny C. Yip, a cognitive behavioral therapist in Los Angeles. "We are either ruminating about past mistakes or worrying about future consequences."

Zooming in on what you can see, hear, taste, smell, or feel shifts your mind to the present. The more you practice this, the better equipped you'll be when anxiety strikes, and the quicker you'll calm down. Try this four-step exercise:

1. With eyes closed, imagine yourself and your surroundings from above.

2. How does the floor, mat, or chair feel? How's the temperature in the room?

3. What are the sounds? Maybe an electrical appliance is humming, or trees outside are rustling.

4. Now tune into all these things at once.

Hard, right? That's the point -- to fill your thoughts with the present. When your mind wanders (and it will), bring it back to your senses. It may just bring -- as famously said on "Seinfeld" -- serenity now.

@highlight

Anxiety levels in the United States are the highest in decades

@highlight

Chronic stress has been linked to weight gain, depression and cancer

@highlight

With practice, stress-reduction techniques can become second nature