(CNN) -- There are up to 7 billion geniuses in this world -- are you one of them?

How can we nurture the world's many talented people so they most effectively contribute to the world's economic health? Start by figuring out what they need to flourish and how to overcome the barriers that stand in their way.

I'm not talking about Silicon Valley software geniuses or corporate business tycoons. I'm talking about the geniuses who are all around us -- maybe even the one staring at you in the mirror: Individuals who have solid ideas for developing or marketing products or services that benefit consumers.

They could be immigrants who travel the globe searching for better opportunities for themselves and their families, entrepreneurs-to-be who could be breathing life into communities ripe for revitalization, or social entrepreneurs who find innovative solutions to social challenges and change the world for the better.

"There's a lot of promise out there," Senegal-born entrepreneur Magatte Wade said at a United Nations conference last month. "There are millions of issues that can be addressed by billions of geniuses -- and they can be addressing millions of opportunities to co-create solutions."

Wade is a successful businesswoman who moved from France to the United States to live out her dreams in a more conducive environment that celebrates—rather than discourages—risk, innovation and enterprise.

Opinion: Solving 'the Google problem' key to ensuring the Internet's success

She spoke from heart and experience as she told the audience about the obstacles she faced while developing her former beverage company based on indigenous hibiscus flower ingredients, and her skin care company based on ancient Senegalese recipes. The condescending attitude of developed and developing countries toward African businesses and the lack of respect for African culture and vision —both within her own country and worldwide—continue to be impediments to her and Africans like her who dare to dream big.

Her experiences turned into practical recommendations as she advised the assembly on how to make life better for entrepreneurs in their respective countries. Wade was speaking at an event to promote the U.N. draft resolution "Entrepreneurship for Development."

Sponsored by Israel's Mission to the U.N., the unprecedented resolution encourages countries to remove potential licensing, financial and legal barriers that prevent local businesses from stimulating widespread economic and social growth. It also emphasizes the value of teaching entrepreneurial skills at all levels of education, so that everyone—including youth and women—can turn their creativity, energy and ideas into business opportunities.

The resolution had already garnered the support of 74 countries in advance of the discussion. It is scheduled for a vote on Friday.

Support for this resolution is a no-brainer. Entrepreneurship is a powerful engine that can propel the global agenda forward. It is a major tool for reducing poverty, improving social conditions and confronting environmental challenges. It empowers people and generates solutions that help communities overcome old problems with new ways of thinking. It is an important driver of economic development, job creation and expanding opportunities for women and youth.

Indeed, eight years ago, the Commission on Private Sector Development of the United Nations Development Program stated in a report that, "It is about realizing that the poor entrepreneurs are as important a part of the private sector as the multinational corporation. ... It is about unleashing the power of the local entrepreneur to reduce poverty in their communities and nations."

But the benefits of entrepreneurship go beyond pure economics. As individuals become more self-sufficient and empowered, they are more likely to seek higher levels of education and better living conditions for themselves and their children. As President Paul Kagame of Rwanda put it, "entrepreneurship is the surest way for a nation to meet its goals and to develop prosperity for the greatest number of people."

Those of us who work with social entrepreneurs know this statement to be spot on. Their projects involve an ever expanding amount of people from their community and as they replicate and scale their innovations, they cast an ever widening global net that involves hundreds, thousands and even millions more.

Their goal is not so much to attract consumers of products but to attract change makers -- people they can empower to embrace social change and give themselves the means to become full economic citizens.

Albina Ruiz, the founder of Lima-based Ciudad Saludable, is a poster child for the economic benefits of entrepreneurship that creates immense social value. She built a community-based waste management system that plays an increasingly important role in improving sanitation and health conditions in Peru and other Latin American countries.

Albina developed an innovative chain of job- and income-generating micro-enterprises. Every stage of the waste management system, from the hiring of former garbage pickers (now recyclers), to the encouragement of a culture of paid garbage collection, and the transformation of garbage into saleable items that are sold in high-end stores creates a virtuous cycle of change that positively impacts her city.

Started just 10 years ago, Ciudad Saludable now serves more than 3 million residents in the slums of Lima alone. The organization has spread across Peru and other countries in Latin America, employing hundreds of people, improving public health and the environment and contributing to the economic vitality of the communities and cities in which Ciudad Saludable and its many micro-enterprises operates. There is no better argument for supporting entrepreneurship worldwide.

Israel's delegation deserves credit for engaging their fellow member countries in dialogue to encourage a global approach to promote entrepreneurship. The success of the resolution will provide a necessary pathway for stimulating future entrepreneurs and help equip world leaders to be better able to solve complex and fast-changing economic and social problems.

To cultivate a culture of entrepreneurship and innovation everywhere - it will take a global village.

The opinions expressed in this commentary are solely those of Beverly Schwartz.

@highlight

Beverly Schwartz: Entrepreneurship is an important key to the world's economies

@highlight

She says a draft U.N. resolution asks countries to remove barriers to local business

@highlight

Schwartz: Entrepreneurship reduces poverty, helps environment, spurs growth