The largest study of mental-health risk ever conducted among the U.S. military has found that many soldiers suffer from some form of mental illness, and rates of many of these disorders are much higher in soldiers than in civilians.

The study's findings, related to suicide attempts and deaths, were released in a series of three reports published in this week's edition of JAMA Psychiatry. Authors found significant differences in the rates of disorders like major depression, intermittent explosive disorder and post-traumatic stress, said Harvard epidemiologist Ronald Kessler, the lead author on one of the studies.

Almost 25% of nearly 5,500 active-duty, non-deployed Army soldiers surveyed tested positive for a mental disorder of some kind, and 11% within that subgroup also tested positive for more than one illness. Some of those conditions are related to the hard experience of a wartime Army, but Kessler said nearly half of the soldiers who were diagnosed with a mental disorder had it when they enlisted.

"Obviously, the kind of person who joins the Army is not the random person in America. You're patriotic and adventurous and maybe a little more aggressive," he said. But the rates of conditions like attention deficit-hyperactivity disorder and intermittent explosive disorder in the study matched a pattern researchers also found in the newest recruits.

"We've gone back to some new soldiers the very first day they're in the Army," said Kessler, the McNeil Family professor of health care policy at Harvard Medical School. "They get their hair cut, they get their blood tested and they sit down and talk to us -- and they have the same high rates."

At the Pentagon, Lt. Col. Cathy Wilkinson said the Defense Department is reviewing the results and would work to include them into the military's mental health procedures.

"Our most valuable resource within the department is our people," Wilkinson said in a statement issued to CNN. "We are committed to taking care of them, and that includes doing everything possible to prevent suicides in the military."

The rate of major depression is five times as high among soldiers as civilians; intermittent explosive disorder, which results in episodes of extreme anger, is six times as high; and post-traumatic stress disorder was nearly 15 times higher than among civilians, the study found.

Much of the data used in the reports was taken from the Army's STARRS (Study to Assess Risk and Resilience in Servicemembers) survey of almost 5,500 soldiers. The project was collaboration between the U.S. Army and the U.S. National Institute of Mental Health.  The survey looked at disorders that included clinical depression, bipolar disorder, panic disorder and PTSD.  Authors also noted that alcohol and drug use were common.

When it came to suicidal thoughts, one study found about 14% of soldiers had thought about taking their lives, while 5.3% had planned a suicide and 2.4% had actually made one or more attempts. Most suicides occurred back home, not in Afghanistan or Iraq, and the rate has increased among troops who have never been deployed overseas, Kessler said.

Despite concerns about the effects of multiple combat tours and shorter stints at home during more than a decade of war, Kessler said veterans appear to fare better than younger soldiers. Those who suffer from mental health problems are "substantially less likely" to re-enlist, while troops on their second or third hitch are more likely to enjoy Army life.

"If you can get them through the first tour, if they deploy, they come back and they decide they want to sign up again, those are the people who have lower rates," he said. The problems are largely among "the young guys who are in their first tour, who don't know what they're getting into."

But overall, the three papers painted a disturbing picture of the military and mental illnesses. Although the causes for the rise in Army suicides still remain unknown the authors hoped their data might be useful to the military to help develop outreach programs for new soldiers as well as those who are already in the service.

"These studies provide knowledge on suicide risk and potentially protective factors in a military population that can also help us better understand how to prevent suicide in the public at large," said National Institute of Mental Health Director Dr. Thomas R. Insel.

Kessler said the Army "does a very good job" of making mental health services available to its soldiers and encourages them to step forward when they have a problem. But he said the study shows how many people are coming into the service "with emotional problems that need to be addressed in the United States."

"We've got to figure out some ways to get people early in the process, as part of the process, saying, 'Look, you're making yourself the most complete soldier, the most effective person. You've got to prepare yourself mentally, as well, and be willing to admit that everybody has problems,' " he said.

At last, suicides among military family members could be tracked

Why suicide rate among veterans may be more than 22 a day

Websites become tool for helping veterans

@highlight

Nearly half of soldiers had some mental condition when they enlisted, author says

@highlight

One study finds that about 14% of soldiers had thought about taking their lives

@highlight

Causes for the rise in Army suicides remain unknown

@highlight

But study authors hope their data might be useful to help develop outreach programs