You may have heard it before: Billions of years ago, Mars probably looked more like Earth does now, with clouds and oceans and a much thicker atmosphere. It may even have had some type of microbes. But now it's a barren, frozen desert.

So what happened? Where did the air and water go?

That's what the spacecraft NASA launched Monday is being dispatched to find out. It's called MAVEN -- short for Mars Atmosphere and Volatile Evolution -- and it's the first mission dedicated to studying the red planet's upper atmosphere.

"We expect to learn how the modern Mars works, really in detail. To see its climate state, to understand how the atmosphere is lost to space -- how Mars may have lost a magnetic field -- to take that information and map it back in time," said NASA's James Garvin.

MAVEN lifted off shortly before 1:30 p.m. ET from Cape Canaveral Air Force Station in Florida, starting a 10-month trip. By late afternoon, it was more than 14,000 miles from Earth en route to a September 22, 2014 rendezvous with Mars.

The solar-powered probe is about the length of school bus -- 37.5 feet (11.43 meters) -- and will weigh about 5,410 pounds (2,454 kilograms) at launch.

What killed Mars? New spacecraft will find out

"MAVEN will fill in a very big gap in our understanding of the planet by exploring the upper atmosphere and its influence on the Martian environment," principal investigator Bruce Jakosky, from the University of Colorado, says on his NASA webpage.

He says he's "excited that we're providing one step along the path of answering questions about whether life ever existed on Mars."

Jakosky's team will use the spacecraft's three instrument suites in hopes of determining three things about Mars:

• The composition of its upper atmosphere

• How fast it's losing what's left of its atmosphere

• The history of the atmosphere

MAVEN won't make a cool, daring landing like the Mars Curiosity Rover, which has been roaming Mars for more than a year now. Instead, it will orbit between a low of about 93 miles (150 kilometers) above the surface to a high of about 3,728 miles (6,000 kilometers). It also will make five dives, flying as low as 77 miles (125 kilometers) in altitude.

NASA says the mission will cost $671 million.

Interactive: Mars exploration from Viking to MAVEN

@highlight

MAVEN logs more than 14,000 miles on its first day, NASA says

@highlight

The unmanned probe is en route to Mars to study the red planet's atmosphere

@highlight

The mission launched Monday afternoon; it's scheduled to arrive in September 2014