(CNN) -- When researchers present what the media perceive as "big" findings -- as my colleagues and I did last week in reporting a plume of oil from the Deepwater Horizon oil well in the Gulf of Mexico -- it is incumbent on scientists and journalists to keep the results in perspective and refrain from veering into misleading waters.

Unfortunately, in this case, both parties failed.

Reporters and editors, in their quest for the biggest story possible, injected their reports with implications unintended by scientists.

For their part, scientists from various corners of government and academia -- including our group at the Woods Hole Oceanographic Institution (WHOI) -- let it happen. In some cases, they may have even encouraged it.

Instead of being able to consider our results on the basis of the information alone (''just the facts, ma'am''), readers, viewers and listeners around the world were exposed to newspaper, TV and radio reports clouded with politically charged agendas that were premature at the least and outright wrong at the most.

I must have spoken with at least 25 journalists last week, and despite my every effort to explain our findings, the media were more interested in using the new information to portray a duel between competing scientists. The story turned into an us-versus-them scenario in which some scientists are right and others are wrong. Seeking to elucidate, I felt caught in a crossfire.

On August 4, the National Oceanic and Atmospheric Administration released a report giving its best initial estimates accounting for where the oil spilled in the Gulf went. Two weeks later, scientists at the University of Georgia and the Georgia Sea Grant countered with their own inventory, arguing NOAA underestimated the amount of oil remaining in the ocean.

Our research confirmed the existence of a subsurface oil plume in June that did not come from a natural sea floor oil seep and that was not substantially degraded by deep-sea microbes. The research added new information to an unfolding investigation, but the media seemed more interested in whether our work decided whether NOAA or the Georgia group was right.

Even though my colleagues and I repeatedly avoided contrasting our results with previous NOAA estimates that some 75 percent of the spilled oil was already gone from the Gulf, much of last week's coverage of our work made that a prominent part of the story.

For example, The Washington Post reported, "Academic scientists are challenging the Obama administration's assertion that most of BP's oil in the Gulf of Mexico is either gone or rapidly disappearing -- with one group Thursday announcing the discovery of a 22-mile 'plume' of oil that shows little sign of vanishing."

In doing so, it cast our results as evidence of sorts that the NOAA estimates were wrong, and at the same time had the effect of giving the Georgia work our imprimatur.

Neither of these conclusions was ever meant to be drawn from our research on the oil plume. This reasoning implicit in the media coverage was not only premature, but it might turn out to be wrong.

Science does not work that way. It is incremental. It is not a house of cards where one dissenting view leads to a complete collapse. Rather, science is more like a jigsaw puzzle. Each piece is added. Occasionally a wrong piece may be placed, but eventually science will correct it.

Both the corrections and the completion of any scientific puzzle take time.

Scientific peers regulate the process of presenting hypotheses, acquiring data and assessing them. In this process, questions are asked, gaps get filled, inconsistencies are hammered out, discoveries are made, problems get solved and knowledge is obtained. Science's regulatory systems have a very solid record of accomplishment.

Unfortunately, the process takes months or years, but in this case, it has been compressed into days with dueling reports and news conferences on the fantails of boats. News organizations haven't the luxury of time to distill scientific findings and put them into context, which increases the risk of oversimplifying scientific findings.

Some of these problems are scientists' fault. In our world in the peer-review process, we liberally, passionately, sometimes harshly interrogate each other, where we argue over details and interpretations of research results to ensure that they are bulletproof. Out of the academic world, reporters can magnify negative comments by scientists about research results.

As the number of science journalists gets smaller, this problem will grow. One solution is for scientists to gain skills needed to bridge the communication gaps between the academic world and the lay public, media and policymakers.

In addition, scientists need to learn how to say "no" to reporters.

For many of us, we desperately want to please a reporter, who for the first time cares about what you do. And scientists, including me, have egos, so we want our thoughts and work recognized. But scientists have a better chance of getting the story straight if they listen carefully to the questions asked by reporters and understand the reporters' goals.

In 1994, 11 scientists published a study, "The fate of the oil spilled from the Exxon Valdez: The mass balance is the most complete and accurate of any major oil spill." Of these 11 authors, six were NOAA scientists, one was from academia and four from four different consulting firms. The Exxon Valdez oil spill happened in 1989.

Science takes time.

If it took five years to "balance the books" on how much oil was spilled and where it went for the Exxon Valdez spill, how are we getting estimates of the Deepwater Horizon spill only weeks afterward? It's not trivial to decipher something as vast, fluid, complex and inaccessible as the ocean.

So given that it is so early in this investigation of the Deepwater Horizon oil spill, I would consider both the NOAA and Georgia studies as first passes.

Neither is absolutely right or wrong. They are certainly not the definitive findings, but should be thought of as a foundation from which to work, road maps to use in assigning future research assets in examining the transport and fate of oil in the Gulf of Mexico.

Those road maps will be refined into robust values as more information becomes available. Eventually, teams of scientists will be able to "balance the books" for the Deepwater Horizon spill, too.

Over the next few months, many scientific studies on the spill will be published and reported on.

Journalism, the first draft of history, is incremental, too. Consider each scientific report like a chapter in an epic novel, and not necessarily in order. Let the dust settle and read the book in a few years.

The opinions expressed in this commentary are solely those of Christopher Reddy.

@highlight

Christopher Reddy's team confirmed subsurface oil plume in Gulf in June

@highlight

He says results were wrongly portrayed as a challenge to Obama administration findings

@highlight

Reddy says his study adds to body of knowledge but doesn't prove other findings wrong

@highlight

Science is incremental, takes a long time to reach definitive conclusions, he says