The United States and its allies are steeling themselves for what an American defense official described Thursday as a yearslong fight against the so-called Islamic State, a revelation that came as airstrikes pummeled oil refineries in Syria used by the terror group to help fund its operations

"I think we are in this for a matter of years," Pentagon spokesman Rear Adm. John Kirby told CNN on Thursday. "... We are steeling ourselves for that period of time."

U.S.-led airstrikes hit locations overnight in a remote area of eastern Syria where ISIS has been using mobile refineries to produce oil that brings in up to $2 million a day for the group.

The U.S. military was still assessing the damage to the refineries by the airstrikes, Kirby said. The attacks are focused on the "infrastructure around the refineries," meaning the ability of ISIS to produce oil, he said.

Even so, there are questions about just how much impact the destruction of the refineries will have on ISIS, which analysts have said has access to billions of dollars.

"Even if we stop their oil flow today, they still have about a billion dollars in the bank," retired U.S. Army Col. Peter Mansoor said.

"They seized about a third of a billion dollars from the central bank of Mosul (Iraq)." On top of that, he added, ISIS has garnered millions of dollars in ransoms from European governments for hostages and have traded much of their oil.

For now, the United States is focused on the refineries, according to Kirby. But he acknowledged there are "other economic levers the international community is going to have to pull" to cut off all funding to ISIS.

At least 14 militants and five civilians were killed in the overnight airstrikes, according to the Syrian Observatory for Human Rights, a dissident monitoring group.

ISIS targets in Iraq were also hit Thursday morning by France's military, government spokesman Stephane Le Foll told reporters in Paris. Fighter jets carried out strikes on four ISIS warehouses near Fallujah, which were believed to house military equipment.

Human rights lawyer executed

The news came as reports surfaced that ISIS fighters carried out a public execution of a well-known human rights lawyer, who took to Facebook to criticize the group's destruction of mosques, churches and shrines in Iraq.

Calling the torture and killing of Sameera Al-Nuiamy savage and cowardly, U.N. special representative for Iraq, Nickolay Mladenov, said the Iraqi government and the international community must do all they can to ensure those responsible for her death are brought to justice.

Al-Nuiamy was reportedly abducted from her home in Mosul on September 17 and put on trial before a Sharia court, which Mladenov says found her guilty of apostasy.

"She was then held for a further five days during which she was subjected to torture in an attempt to force her to repent before she was executed in public," he said.

Since August, ISIS has beheaded American journalists James Foley and Steven Sotloff, and British aid worker David Haines, gruesomely showing their killings in videos posted online.

On Thursday,  FBI Director James Comey said that the United States believes it has identified the ISIS militant in the video showing Foley's killing. Officials believe the same masked militant speaks in all three beheading videos. Comey did not identify the man.

ISIS overruns Iraqi base

The reports about the execution came as new details emerged about the killing of up to 300 Iraqi soldiers in Iraq's western Anbar province after ISIS fighters overran the base near Falluja this week.

A handful of survivors who escaped from Saqlawiyah, which had been under siege for a week, accused the Iraqi government of failing to respond to pleas for help in the days leading up to Monday's final ISIS assault on the base.

One soldier recounted in a video posted to YouTube how he and his comrades battled the fighters for hours before starting to run out of ammunition and then being shot by a sniper.

"I called the commander ... for support, but no one responded," he said.

While CNN cannot confirm the authenticity of the claims in the video, Iraqi Prime Minister Haider al-Abadi has ordered an investigation into what happened and why the soldiers were left to fend for themselves.

At least 113 soldiers were killed and another 78 are missing, according to Iraqi security officials.

The report has raised questions about whether the Iraqi military can defeat ISIS on the ground even with help from the United States and its allies in the air.

There are similar questions being asked about Syria's moderate rebel groups, which have been battling President Bashar al-Assad's forces and ISIS.

ISIS leadership dispersed?

ISIS has likely dispersed much of its command-and-control capabilities in Syria, and leaders are now "mixed in with the civilian population," Mansoor said.

"So it's unlikely these airstrikes have crippled ISIS," he said. "As the President has said, it's going to be a long campaign, and it will be months -- perhaps years -- before ISIS is dealt a serious blow absent any sort of ground force to go in and root them out on the ground."

In the latest round of strikes targeting ISIS refineries in Syria, fighter jets from Saudi Arabia and the United Arab Emirates flew alongside U.S. aircraft, hitting 12 locations, Kirby said.

While ISIS has been the focus of most of the strikes in Syria, other terror targets have been hit.

The U.S. military said the al Qaeda-linked Khorasan Group also was targeted when the strikes in Syria began Tuesday morning.

And the terror group al-Nusra Front says its leader, Abu Yousef al-Turki -- also known as "The Turk" -- was killed. But the United States has not said whether al-Turki is dead.

"We cannot confirm any particular leadership that might have been killed in any of these strikes," Kirby said Wednesday.

And as far as how many ISIS militants have been killed, "we don't know that, either," Kirby said.

What's the difference between ISIS, al-Nusra Front and the Khorasan Group?

International support

While the support for the U.S.-led airstrikes in Syria has been tepid, the support for the the international coalition against ISIS in Iraq is growing.

The Dutch foreign ministry announced Wednesday that its military will contribute six F-16 fighter jets and 250 troops to carry out airstrikes and train Iraqi and Kurdish forces. Belgian Foreign Minister Didier Reynders said his country's parliament will weigh a request for six of its fighter jets to take part in the bombing campaign.

Similarly, British Prime Minister David Cameron said he's recalling Parliament Friday "to secure approval for the United Kingdom to participate in the Iraq air campaign.

"The U.N. Security Council has now received a clear request from the Iraqi government to support it in its military action against ISIL," Cameron said from U.N. headquarters in New York. "... So it is right that Britain should move to a new phase of action."

@highlight

Airstrikes focus on oil refineries, a source of revenue for ISIS

@highlight

U.S. thinks it has identified militant in beheading videos

@highlight

113 soldiers are dead and 78 are missing following ISIS attack, officials say

@highlight

A military analyst and Syrian resident say ISIS is infiltrating the civilian population