(CNN) -- "What do you love? What do you fear? What's in your pocket?"

These were among the questions asked of the world by director Kevin McDonald when shooting "Life in a Day," the remarkable crowd-sourced film that debuted on YouTube in 2011.

Produced by Hollywood blockbuster brothers Ridley Scott ("Alien," "Blade Runner") and Tony Scott ("Top Gun"), and edited from 81,000 submissions from 192 countries, "Life in a Day" is a video mosaic of intimate moments from around the world all shot on one random day -- July 24, 2010.

The documentary has racked up nearly 7.8 million views on YouTube to date.

Now, another pair of director brothers is taking on a similarly inspired project -- this time commissioned by the city of Seoul.

"Oldboy" director Park Chan-wook and his younger brother Park Chan-kyong are taking on a crowd-sourced video ode to South Korea's capital.

Titled "Seoul, Our Movie," the project works like this: would-be participants choose one of three themes -- Working in Seoul, Made in Seoul and Seoul -- and upload a video of less than five minutes on the project's channel from now until November 9.

The brothers' joint production company will choose clips and edit them into a film with a cohesive narrative.

Participants have a chance to win plane tickets to Seoul, cars and laptops.

A dark past

Despite being the most celebrated director from the country, Park Chan Wook may be considered an odd choice for an ambitious global marketing effort for Seoul tourism.

Park's startlingly violent "Vengeance Trilogy," which includes "Oldboy" and "Sympathy for Lady Vengeance," amassed a fanatic following around the world for its unflinching and at times disturbing treatment of fear and pain.

His first Hollywood movie, "Stoker" (2013), starring Nicole Kidman and Mia Wasikowska, is a sinister psychological thriller.

When he's not exploring violence or Gothic chills, it's vampire horror.

Despite the aura of darkness in his work, Park says he's actually an apt choice for delivering a message of hope.

So do the project's backers.

"We had other directors in our mind, but we decided to go with director Park and his brother, as we thought they would manage this project with creativity and global recognition and provide opportunity for global citizens to participate," says Ki Hyun Kim, director for the tourism business division for the Seoul Metropolitan Government.

Park also had the benefit of discussing the project with Ridley Scott when the two were working together on "Stoker." Scott produced, Park directed.

In an interview with CNN, the Park brothers discussed "Seoul, Our Movie."

CNN: Fans expect dark movies from you. What kind of story are you planning to tell through "Seoul, Our Movie?"

Park Chan-wook: I'm sure many don't know this, but I've actually directed a hopeful and bright movie called, "I'm a Cyborg, But That's OK." I think it's a common bias from the public that I only create and film the darker movies with serious story lines.

Similar to my previous film works, I want to deliver the message of "hope" through "Seoul, Our Movie."

Now, when I say "hope," I'm not referring to the floating bubbles of "hope" with unrealistic wishes and dreams that pop as soon as you blow them. I'm actually referring to the solid, powerful "hopes" facing reality in this world. In this film, I want to portray a lot of scenes that feature ordinary people in the labor force.

It's a movie that will be created by participants. Though this is what I want, I'm sure the movie itself will vary in its atmosphere or story line depending on the type of films or videos that are shared with us.

CNN: Who will weed out submissions?

Park Chan-kyong: Videos on the official YouTube channel will be constantly viewed by PARKing CHANCE (the Park brothers' production company).

Different videos posted by various Seoul locals and travelers will keep us (engaged) during the editing process.

CNN: What are your favorite places in Seoul?

Park Chan-wook: Itaewon and Hwanamoo Road, also known as Kyungridan, in Yongsan are some of my favorite places in Seoul.

There are many fancy roads with quiet residential areas and countless small streets on the steepest hills.

Also, dainty restaurants and Leeum Art Museum, a place that symbolizes the old and contemporary Korean art, are all located there.

An area like Kyungridan is one of the most "free" places in Seoul with its dynamic vibrant actions from various residents -- ethnic minority groups, homosexual communities, etc.

Park Chan-kyong: I was born in Seoul and have lived in this city for over 40 years. Despite this, Seoul is so dynamic that I still haven't been to many places around the city.

But if I have to pick, a few of my favorite spots would definitely be Euljiro 3-ga and 5-ga, a trail in Bukhansan where I can see the city's skyline, and Changdeokgung Palace, Han River and Inwangsan's Seonbawi.

@highlight

Director brother duo tapped for new Seoul crowd-sourcing movie

@highlight

Participants upload videos to official channel; prizes include cars, plane tickets

@highlight

Despite reputation for violent movies, Park Chan-wook excited to deliver message of hope