Syria's prime minister defected Monday, becoming the latest among high-profile politicians and leaders to leave the embattled regime of Bashar al-Assad.

"I announce today my defection from the killing and terrorist regime and I announce that I have joined the ranks of the freedom and dignity revolution. I announce that I am from today a soldier in this blessed revolution," Riyad Hijab said in a written statement read by a Syrian opposition official on Al Jazeera.

CNN Inside Syria

Analysts described Hijab's departure as a significant symbolic blow for al-Assad's government but noted that the former prime minister had been on the job for only a few months.

Al-Assad appointed Hijab prime minister in June, a month after parliamentary elections that were boycotted by supporters of those seeking to oust al-Assad.

"In short, this isn't going to bring a lot of insight into what Assad is thinking or doing. It is certainly embarrassing and does some damage to regime," said David Hartwell, a senior analyst of Islamic Affairs at Jane's. "But all indications are that Hijab was probably kept in the dark. This wasn't a man who had Assad's ear. Assad appointed him just a few months ago. He was essentially just another Cabinet member without much power at all."

Hijab was tasked with creating a new Cabinet for al-Assad's regime.

Opposition leaders said Hijab had defected, while Syrian state television said al-Assad dismissed Hijab from his post Monday.

Syrian Information Minister Omran al-Zoubi said officials hadn't "heard anything from the former prime minister," according to the state-run Syrian Arab News Agency

The information minister also "said that fleeing and leaving one's post in an illegitimate manner is an evasion of responsibility and shows lack of political and national awareness," the news agency reported.

In July, one of Syria's most senior diplomats -- Nawaf al-Fares -- defected, publicly embraced his country's uprising and called for a foreign military intervention. Al-Fares was Syria's ambassador to Iraq.

Manaf Tlas, a Sunni general in Syria's elite Republican Guards, also defected last month. Tlas is the son of a former defense minister and a cousin of a first lieutenant in al-Assad's army.

Also Monday, the Turkish news agency Anadolu reported that Syria's first man in space -- astronaut Mohammad Ahmad Faris, who flew on a 1987 Soviet space mission -- crossed into Turkey last weekend and proclaimed his support for opposition forces.

Hijab, like al-Fares and Tlas, is a Sunni who served in a power structure dominated by the Alawite minority, an offshoot of Shiism.

"If strategically Hajib's defection means very little, it does have symbolic significance," said David Schenker, the director of the Program on Arab Politics at The Washington Institute. "The more Sunnis who split off at this high level, the more it will encourage other Sunnis in their attitudes toward the regime."

Opposition leaders hailed the news of Hijab's defection.

Syrian forces deploy heavy weapons in Aleppo

"We consider the defection to be what is morally right and what is called for at this historic time," said Abdulbaset Sieda, head of the Syrian National Council. "This is a killer and criminal regime, and at this historic moment, there should be no further hesitation. It is imperative to stand by the people of Syria now."

There were conflicting reports about the whereabouts of Hijab.

A Syrian opposition official, Muhammad el-Etri, told CNN that Hijab had defected, was "in a country neighboring Syria" and would be heading to Qatar "sometime soon."

George Sabra, a spokesman for the opposition Syrian National Council, said Hijab fled Syria overnight and arrived with his family in Jordan.

Jordanian government spokesman Samih Maaytah said Hijab had not entered the country's territories, according to state television. But a senior Jordanian official told CNN that Hijab had defected to Jordan and was with his family.

Government officials announced Hijab's sacking after officials discovered he had left Syria, el-Etri said. The former prime minister escaped Syria with the help of the rebel Free Syrian Army, el-Etri said, adding that the plan to defect had been in the works for two months.

"The flight of some personalities, however high-ranking, won't affect the Syrian state," state-run SANA said Monday, citing the country's information minister.

Meanwhile, fighting raged in Aleppo, Syria's most populous city.

Snipers fired from the roofs of buildings and artillery fire rang out in the besieged neighborhood of Salaheddin.

CNN's Ben Wedeman said drivers had to dodge piles of rubble in the streets. Residents evacuating to safer neighborhoods left their homes with all the belongings they could carry, he said.

An elderly man, carrying a briefcase and a bag full of jam, said he was leaving the neighborhood to move in with his daughter.

"What kind of leader does this to his own people?" the man said as he left his home.

A dark plume of smoke rose in the air near Aleppo's ancient citadel.

At least one rebel-controlled neighborhood was notably calmer, Wedeman said. Shops and bakeries were open, and residents walked the streets.

Clashes raged for hours at various spots near the city center, some close to the presidential palace, said Bashir Al-Hajji, a spokesman for a Free Syrian Army brigade in Aleppo.

As rebels scrambled to fend off regime forces in Aleppo, fighting was reported in other parts of Syria.

At least 161 people were killed in fighting across the country Monday, the opposition Local Coordination Committees of Syria said. The deaths included 54 people killed in fighting and the discovery of 20 bodies in Aleppo, the group said.

At Syrian rebels' funeral, children weep

CNN can not independently confirm reports of violence, as the government has severely restricted access to Syria by international journalists.

There were reports of a bombing Monday inside the Syrian state-run TV building in Damascus, the latest in a series of attacks to rock the nation's capital city as Syrian rebels and government forces battle for control of the country. There was no immediate claim of responsibility for the blast.

"There are some injuries, but Syrian media will continue to broadcast," the Ministry of Information said on state-run TV.

Three Iranian prisoners were killed in the Damascus suburbs during heavy shelling Monday, according to the LCC. The opposition network did not provide additional details.

State media reported over the weekend that "armed terrorists" had attacked and kidnapped 48 Iranian Shiite pilgrims on a bus near the capital.

Roughly 17,000 people have been killed since the Syrian conflict first flared in March 2011, when government forces began cracking down on protesters, Ban said last month. The opposition put the toll at more than 20,000.

Complete coverage: Unrest in Syria

@highlight

Opposition reports at least 161 deaths in fighting across the country Monday

@highlight

"The flight of some personalities" won't affect Syria, state news agency says

@highlight

Analysts say Riyad Hijab's departure is a symbolic blow for Syria's government

@highlight

An official says Hijab will head to Qatar "sometime soon"