(CNN) -- After 116 years, it seems the Olympic movement has finally embraced equality.

For the first time in the history of the quadrennial Summer Games, every one of the 204 competing nations at London 2012 is represented by both male and female athletes.

World stars such as heptathlete Jessica Ennis, swimming sensation Missy Franklin and sprinting champion Shelley-Ann Fraser-Pryce enjoy media profiles which rival those of their male counterparts.

Coupled with the historic decision to allow female athletes from Qatar and Saudi Arabia to compete at the Games for the first time, it shows how far the Olympic movement has come since the Amsterdam Games of 1928.

Food, glorious food: Olympic athletes' extreme eating habits

That was when women were given the chance to become Olympians for the first time.

You would think those ground-breaking first champions would be world-renowned for their pioneering efforts.

But you would be wrong. Just take the remarkable case of Betty Robinson -- one of the forgotten female heroes of track and field.

"She's not terribly important anymore," past president of the International Society of Olympic Historians, Bill Mallon, told CNN.

"She probably had a little bit of influence back then as the first woman to win a gold medal in track and field, but she was very little-known.

"Women's track and field was not very popular in the U.S. at that time and she didn't get a whole lot of publicity, so she was overshadowed."

Recordbreakers, medals and Phelps: The numbers behind the 2012 Olympics

That she is so forgotten is remarkable given her astonishing life.

Imagine Usain Bolt had taken up sprinting just four months before his world-record-smashing run at the 2008 Olympics.

Now imagine the Jamaican star was just 16 years old when he wowed the world in Beijing, and you begin to get an idea of what American schoolgirl Robinson achieved 84 years ago.

Robinson, of Riverdale, Illinois, dashed to 100 meters gold wearing a skirt and vest, an outfit a million miles from the skintight speed suits worn today, in just her sixth competitive race.

Yet that victory was just the start of her most extraordinary story.

Can Usain Bolt make Olympic history?

In April 1931, three years after that historic win, Robinson was involved in a plane crash over Chicago.

Having being discovered on the roadside by a passerby who took her for dead, Robinson was bundled into the trunk of a car and driven to a mortuary.

After the error was eventually spotted, she remained unconscious for seven weeks, but her injuries were so severe she was unable to compete for three and a half years.

Even when she returned to the track, the damage to Robinson's leg meant she was unable to crouch in the starting blocks. No matter. Robinson still managed to run in the 4 x 100m relay at the 1936 Berlin Games.

Eight years after bursting onto the Olympic scene, Robinson ran the third leg of the relay for the U.S team, helping them win gold under the watching eye of Adolf Hitler and Germany's Nazi rulers. The German quartet, which qualified fastest for the final in a world-record time, were disqualified after dropping the baton.

For Robinson it was a remarkable rise, fall and rise, made all the more unfathomable when you consider she was only discovered as an athlete when one of her school teachers spotted her running to catch a train.

Four track meets and six races later, Robinson was an Olympic champion and a joint world record-holder.

"She ran her first race that we know of in March 1928," Mallon said.

"She was a natural talent. She finished second in that race behind U.S. record-holder Helen Filkey. In the second race she ever ran she tied the record for the 100m, which got her to the Olympic trials where she finished second."

Despite her landmark medal, Robinson's low-key profile was at odds with her achievements both during her life and since her death from cancer in 1999.

The crash which damaged her leg also robbed her of her peak years. When she should have been cementing her position as the world's fastest woman, Robinson watched other sprinters assume her mantel.

"In 1932 Babe Didrikson (a gold medalist in hurdling and the javelin at the Los Angeles Games of 1932) came in and evolved into the big name and pushed everyone else onto the sidelines," said Mallon.

Robinson's athletic honors may not have brought her the fame and fortune her modern-day equivalents enjoy, but it did not diminish her passion for the sport she had left such an indelible footprint on.

"She married and raised a family," Mallon said. "She stayed involved in track and field with the Amateur Athletics Union in the U.S. doing timekeeping at meets and she did some public speaking as well."

Perhaps Robinson's relative anonymity is a saddening, if inevitable consequence of the passing of time.

"It's a shame," said the American historian. "In Britain people know about gold medalists like Bradley Wiggins and Steven Redgrave, but I could tell you about athletes from the 1920s or 30s who most of the British public wouldn't know about."

So when the women's 100m champion is crowned at the London Games on Saturday, it is unlikely the champion or the vast majority of the 80,000 crowd in the Olympic Stadium will have the faintest idea who Robinson was.

But, by crossing the line first in Amsterdam all those years, ago, she guaranteed her place in the history books, even if it's not on the front page.

@highlight

Betty Robinson won women's 100m gold at the 1928 Games in Amsterdam

@highlight

It was the first Olympics where women were allowed to compete

@highlight

Aged 16, Robinson became the first women's track and field gold medal winner

@highlight

The Illinois native almost died in a plane crash but returned at 1936 Berlin Games