Editor's note: This story is based on interrogation reports that form part of the prosecution case in the forthcoming trial of six Belgian citizens charged with participation in a terrorist group. Versions of those documents were obtained by CNN from the defense attorney of one of those suspects. The statement by Bryant Vinas was compiled from an interview he gave Belgian prosecutors in March 2009 in New York, and was confirmed by U.S. prosecutors as authentic. The statement by Walid Othmani was given to French investigators, and was authenticated by Belgian prosecutors.

Vinas is believed to have lived in this Patchogue, New York, house with his father until 2007.

(CNN) -- On September 10, 2007, almost exactly six years after al Qaeda attacked the United States, Bryant Neal Vinas, a 24-year-old American citizen born in Queens, New York, boarded a flight from the city en route to Lahore, in eastern Pakistan, determined to fight jihad in neighboring Afghanistan.

Brought up a Catholic by his Latin American immigrant parents, who divorced when he was young, Vinas tried to join the U.S. Army in 2002 but dropped out after just a few weeks.

In 2004 -- for reasons which are still unclear -- he converted to Islam and started frequenting a mosque in Long Island near where he lived with his father. During the next three years he became radicalized, U.S. officials have stated, in no small part because of his exposure to pro-al Qaeda Web sites.

It is possible that Vinas was also influenced by people he came across in the New York area. A former U.S. government official told CNN that youths influenced by the ideas of the British pro-al Qaeda extremist group Al Muhajiroun were known to have hung out in the vicinity of the mosque at the same time as Vinas. Read how al Qaeda is changing

The former official told CNN that they were a splinter group of the Al Muhajiroun followers who used to hang out in the New York-Long Island area in the late 1990s and early 2000s.

Al Muhajiroun's American members, the former official stated, included Syed Hashmi, a Brooklyn college graduate who traveled to Pakistan in 2003 and now awaits trial on charges of providing material support to the terrorist network. He has pleaded not guilty.

Another who belonged to Al Muhajiroun was Mohammed Junaid Babar, a trainee Queens taxi driver, who met two of the July 7, 2005, London bombers in Pakistan and who in 2004 pleaded guilty to providing material support to terrorists in Pakistan.

Al Muhajiroun was formally disbanded in October 2004 but still operates, CNN has discovered, under a variety of guises.

Anjem Choudhary, the former deputy leader of Al Muhajiroun, told CNN Monday that New York was one of the organization's main hubs before 2004. He says dozens of followers from the New York area still regularly tune into online sermons put together by the group's founder Omar Bakri Mohammed in Tripoli, Lebanon, where he has been living since being banned from the UK after the 2005 London bombings.

Choudhary stated that he and Bakri were still loosely affiliated with The Islamic Thinkers Society, a New York based organization, which says the peaceful restoration of the Islamic Caliphate is one of its objectives.

A March 5, 2009, posting on the homepage of its Web site states that Bakri Mohammed is "a man who has inspired thousands across the world to rise for Islam." The Islamic Thinkers Society exists legally in the United States and says it is committed solely to the political and intellectual struggle for Islam.

When Vinas arrived in Lahore he had little idea about how he was going to gain access to the fighting in Afghanistan, according to his own account. But a few days after he arrived he sought help from a New York friend, whom he knew moved in militant circles.

One introduction led to another and eventually Vinas met a jihadist commander about to return to Afghanistan.

Identified in legal documents as S.S., the commander agreed to let him join his group. CNN has learned from a source briefed on the case that the initials S.S. stand for a man who goes by the name of Shah Saab, and is believed to be somewhere in Pakistan's tribal areas.

At the end of September, Vinas was whisked in the commander's car into Pakistan's tribal areas and then across the border into Afghanistan to join up with a small band of fighters targeting a U.S. base. The raid, however, was called off at the last minute because of American aircraft circling above.

His quick introduction to the fighting appears to have been unusual. Vinas stated it was standard for fighters to undergo military training before being selected for such missions. Read how al Qaeda training tactics are adapting

It is possible he persuaded his handlers that his brief stint as a U.S. army recruit justified him being fast-tracked; or perhaps the jihadist group just needed more fighters.

On his return to Mohmand, a district in Pakistan's tribal areas, Vinas was asked by one of the fighters if he wanted to become a suicide bomber. Vinas, according to his own account, accepted and was sent to Peshawar, Pakistan, for more instruction.

But his handlers there judged that he had not received enough religious instruction to launch such an attack. Perhaps it was dawning on them just how valuable an American recruit might one day be.

Vinas stated that at this point he traveled back to a village in Waziristan where he spent time with a number of al Qaeda members, including Saudis and Yemenis.

In March 2008 he successfully persuaded one of them, a Yemeni he identified as Soufran, to recommend him for formal membership in the terrorist group. Only Soufran's initials appeared in the legal document but CNN obtained his name from a source briefed on the case. His current whereabouts are unknown.

According to Vinas, al Qaeda recruits were asked to fill out forms with personal information and hand over their passports when they joined the organization, but were not required to sign a contract or take part in a ceremony to become a member of al Qaeda.

Between March and July 2008 Vinas stated that he attended three al Qaeda training courses, which focused on weapons, explosives, and rocket-based or -propelled weaponry.

Vinas stated that when training was completed, al Qaeda instructors did a written evaluation of performances. Vinas was judged qualified to participate in missile attacks against U.S. and NATO bases in Afghanistan, according to his account.

During his travels Vinas met some of al Qaeda's top leaders, leaders he was able to identify to U.S. authorities after his capture. Read how al Qaeda is looking at Western targets

According to U.S. investigators, quoted by the Los Angeles Times, Vinas says he met with Abu Yayha al Libi, one of al Qaeda's principal spokesmen, and Rashid Rauf, the British al Qaeda operative suspected of coordinating a plot against transatlantic aviation in August 2006.

Rauf, who was arrested that August in Pakistan, escaped from custody in December 2007 but is believed to have been killed in a Predator strike in North Waziristan in November 2008.

Vinas says he also met with an individual by the name of Abdullah Saeed, whom he says replaced Abu Leith al Libbi as al Qaeda's military chief in Afghanistan and Pakistan in January 2008. A former Jihadist told CNN that Saeed is almost certainly Mustafa Abu Al-Yazid, an Egyptian also known as Sheikh Saeed. In June, Al-Yazid released an audio recording complaining of a lack of funds for the fighting in Afghanistan.

Vinas stated he met with Saeed in the late summer of 2008 in Waziristan, and al Qaeda's military chief personally instructed him to join a group of fighters targeting U.S. bases from the tribal areas of Pakistan. In January this year Vinas pleaded guilty to having targeted an American base in September of that year.

That attack, however, appears to have been a failure. Creeping up towards the American forward operating base Vinas and other al Qaeda fighters' first attempt to fire on the base was botched by radio problems. The second rocket attack fell short of the base, according to Vinas' account.

Vinas' life as an al Qaeda fighter saw him rotate between fighting behind enemy lines in Afghanistan, training in remote mountain dwellings in the tribal areas, and spending downtime in Peshawar, the capital of Pakistan's North West Frontier Province, where he was eventually arrested in November 2008 and transferred into American custody.

@highlight

Army dropout Bryant Neal Vinas says he went to Pakistan to join al Qaeda

@highlight

He claims he was inducted into the group and authorized to attack U.S. troops

@highlight

During his travels Vinas says he met some of al Qaeda's top leaders