(CNN) -- The resignation of Silvio Berlusconi as Italy's prime minister does not mark his end, but the beginning of the end.

He will not disappear from the stage anytime soon. Through his vast public and private sector networks, Berlusconi's influence on Italian affairs will continue for the foreseeable future and beyond.

However, despite making several successful comebacks, any further attempt will be far less effective. While Berlusconi's credibility abroad is irreparably damaged, his legitimacy at home consistently sags. As a rapidly aging figure, he is increasingly disconnected from political reality.

Time is of the essence and necessity determines a technocratic government that must last until 2013, when elections are formally due. During this period, Italy's problems will not be resolved. The objectives must be to stabilize the status quo, place Italy on a clear path to reform and provide a respectable degree of certainty for international markets.

Time has run out for Italy to determine the process and pace of reform. Past failures have caught up. Greater collective sacrifices are now required.

A new government must firmly make the often unpopular decisions required. The crucial need for structural reform and greater deregulation is accompanied by the need to boost competitiveness and growth -- indispensable elements to long-term success.

While Italy's long-standing challenges remain unresolved, the deep level of political polarization continues, as does Italy's failure to adapt to an increasingly globalized world.

With one of the world's lowest birth rates, Italy is increasingly becoming a nation of pensioners, ruled by pensioners for the sake of pensioners. It amounts to a gerontocracy with little, if any, meritocracy. In Italy, a young leader is considered someone in his 50s.

The prevailing perception of politicians is that their purpose is not to serve the public but to take from it and distribute the spoils to loyalists in order to guarantee survival and self-preservation.

For young Italians, upward mobility is not a fluid process. Personal connections or tutelage under a "sponsor" becomes a more secure guarantee to success. Some of Italy's best and brightest opt for opportunities abroad to find greater meritocracy and equitable results for hard work.

In the corporate realm, many of Italy's largest multinationals have adapted to globalization. However, many small and medium-sized companies, largely responsible for the nation's post-war economic success, struggle to compete.

For a society which has enjoyed generous state-sponsored benefits for decades, amending or revoking what is considered an entitlement will be extremely difficult. This requires not only an economic change but a cultural one in a country where dependence upon the state prevails in many quarters and remains significantly rooted in the political culture.

As the world's eighth largest economy, Italy consistently punches below its weight. By continuing on its present course, and as new powers emerge globally, Italy will inevitably be relegated. Its traditional political establishment pales in competence when compared to its entrepreneurial class. Italy remains a nation unable to unleash its wealth of talent, much of which continues to seek opportunities abroad, significantly hurting the nation's competitiveness and growth.

Italy possesses one of the most over-regulated economies and some of the lowest labor productivity rates in the developed world. Labor and pension reform and deregulation remain essential priorities. Excessively powerful unions continue to exercise disproportionate influence over effective national policy. Corruption and organized crime in Italy's southern regions continue to hinder economic development.

As for post-Berlusconi Italy, the door now opens for a potential realignment in Italian politics. A sizable centrist bloc could emerge as a power broker in determining future governments. It would be a combination of old Christian Democrats, defectors from Berlusconi's party and disenchanted centrist elements of the main center-left party, Partito Democratico.

While Berlusconi's center-right will attempt to consolidate its ranks, the center-left will struggle to overcome divisions. Throughout the turmoil of recent months, Italy's center-left has utterly failed to seize the political initiative. In part, this has helped to extend Berlusconi's survival.

In retrospect, Berlusconi had an historic opportunity to reform Italy, particularly after winning an absolute parliamentary majority in 2008. It was squandered due largely to his personal shortcomings and inability to effectively manage Italy's economy and political system. His failures led to his ouster and history will deny him the chance to ever make up for it.

During his 20-year political career, Berlusconi displayed impeccable endurance skills. At home, he survived more than 50 confidence votes, scandals, court cases and other controversies, all somewhat subject to his influence.

However, current market pressure proved too overwhelming for Berlusconi's aura of invincibility and omnipotence. Ironically, his most humiliating defeat was largely inflicted by external circumstances beyond his control. In less than 48 hours, he became the second victim of the eurozone crisis after the resignation of the Greek prime minister. A possible third target is Spain's Socialist party after national elections on November 20.

Over time, Berlusconi has largely become the victim of his own hubris. Whereas many Italians were amused by past antics, they eventually became a liability and particularly unacceptable for the important voting bloc of Berlusconi's Catholic supporters.

His can-do-no-wrong attitude also became unsustainable. The sense that he was accountable to no-one but himself created resentment even among diehard loyalists. This was further compounded by the perception of a do-nothing, no-results government.

From Berlusconi's perspective, he was back-stabbed. After all, the narrative goes, he saved Italy from the far left and is therefore entitled to rule at will and leave power when ready. To think otherwise is committing treason.

Many are eager to write off Berlusconi sooner rather than later. Some are ideologically driven, others simply tired of polemics and political gridlock. It may be too premature to write his political obituary just yet. However, the drafting has begun in earnest.

The opinions expressed in this commentary are solely those of Marco Vicenzino

@highlight

Vicenzino: Berlusconi's influence on Italian affairs will continue for foreseeable future

@highlight

Italy "increasingly a nation of pensioners, ruled by pensioners for the sake of pensioners"

@highlight

Italy's political establishment "pales in competence when compared to its entrepreneurial class"

@highlight

Over time, Berlusconi has largely become the victim of his own hubris, Vicenzino says