(CNN) -- Besides charting the nature of space and time and penning the bestseller "A Brief History of Time," Stephen Hawking has another distinction: He beat the life-expectancy odds for people with ALS, amyotrophic lateral sclerosis.

Stephen Hawking, shown in Pasadena, California, in March, is hospitalized but said to be "comfortable."

Most people with ALS survive only two to five years after diagnosis. Hawking, on the other hand, has lived more than 40 years since he learned he had the disease, which is also known as Lou Gehrig's Disease in America and motor neuron disease, or MND, in the United Kingdom.

Hawking, 67, was taken to Addenbrookes Hospital in Cambridge, England, on Monday in a "very ill" condition, and spent the night in the hospital. He was said to be  "comfortable"  Tuesday.

Bob Hawkins, 75, of Fayetteville, North Carolina, who learned of his ALS diagnosis last year, said Hawking, with his long life and ability to communicate through a voice synthesizer, gives him hope. The physicist should be a role model for people with the disease as well as those without it, Hawkins said.

"The man is brilliant, and he has striven through a lot of adversity to accomplish all of the things he has accomplished," Hawkins said. "He should be an inspiration for anyone."

The British physicist also embodies the idea of empowering people with ALS to live life to the fullest, said Dr. Lucie Bruijn, scientific director for the ALS Association, in an e-mail. This empowerment theme is part of the mission of the ALS Association, she said.

"To have achieved so much in his lifetime while battling Lou Gehrig's Disease is quite remarkable," she said.

ALS affects nerve cells in the brain and spinal cord, which results in muscle weakness and atrophy. The disease causes the death of motor neurons, meaning the brain loses its ability to control muscle movement.

Hawking has had direct involvement in promoting awareness and research into his disease. He recently agreed to be a patron of the MND Association in Northampton, England, meaning he will lend his name to the charity and support it by attending events, fundraising, or other activities.

He has participated in some of the organization's high-profile events, said Mel Barry, communications manager at the MND Association.

"He's a very busy man, so it's wonderful that he's publicly supporting us with his very heavy workload," she said.

Hawking's case is also unusual because his condition was diagnosed at a young age, said Sharon Matland, vice president of patient services at the ALS Association. People typically are between 40 and 70 when they learn they have ALS; Hawking found out at age 21. Some very rare cases manifest in the late teens, Bruijn said.

There have been other rare cases of people living long lives with ALS, although none as famous as Hawking. Barry said she knows of a man in Ireland who has lived with the disease for 30 years -- but only about 5 percent of people with ALS live longer than 10 years.

ALS affects 350,000 people worldwide and up to 30,000 people in the United States, the ALS Association estimates.

"It totally upsets your entire way of living," Hawkins of North Carolina said. "It slowly takes over your entire muscle structure and eventually your limbs are affected, your speech may or may not be affected. The only part of your body that isn't affected is your mind."

Still, patients experience different symptoms, and some do have cognitive impairment, Matland said. They may have trouble making day-to-day decisions, such as choosing which bills to pay first.

Hawkins said he first experienced weakness in his legs and arms, typical symptoms of the disease. People with ALS may also find it difficult to lift their arms or feet, Matland said.

"You drop things or you can't grasp things as you might have been able to do in the past," she said.

Loss of voice is another potential symptom, but some people are able to speak until they die, Barry said. The nature of the disease is that it's very different in each person, she said.

Most people with ALS become dependent on a wheelchair -- sometimes within six to eight months, but the time frame varies, Matland said. Typically, the ultimate cause of death is respiratory failure, because ALS affects the muscles used for breathing, she said.

David Niven, the English actor known for his roles in "Around the World in 80 Days" and "The Pink Panther," died of ALS at age 73. He suffered from the disease for more than a year.

A variety of ongoing clinical trials seek to find an effective treatment for ALS in the U.S. Drugs in these trials include lithium, ceftriaxone, and memantine, according to the ALS Association. A recent study showed there may be a genetic component to the disease.

In the UK, the MND Association is funding a trial for lithium, which has produced promising results in mice, Barry said. Psychiatrists currently prescribe lithium, a mood-stabilizing drug, for bipolar disorder and other conditions.

An FDA-approved drug called riluzole has been shown to prolong survival for some ALS patients, but extends the life span by only three to six months, Barry said. Typically, palliative care is the main treatment -- managing symptoms rather than stopping or curing them.

Stem cell therapy may hold promise for the disease, but the general perception is that research into it is not sufficiently advanced, according to the MND Association.

To raise money for research in the U.S., the ALS Association hosts walks across the country. Hawkins said he will be participating in the 2009 Fayetteville, North Carolina, Walk to Defeat ALS in May.

"I would encourage everyone to recognize how terrible this disease is, and encourage them to support the ALS Association and research projects," he said.

CNN's Jennifer Pifer Bixler contributed to this report.

@highlight

Stephen Hawking is a rare case of someone who has survived decades with ALS

@highlight

ALS affects 350,000 people worldwide and as many as 30,000 people in the U.S.

@highlight

Symptoms vary from person to person; some lose their speech but others do not

@highlight

Clinical trials are in progress for a variety of treatments