(CNN) -- Less than a week after New York became the nation's sixth state to legalize same-sex marriage, Rhode Island state lawmakers on Wednesday voted in favor of a bill that permits civil unions between gay and lesbian couples.

The measure, which passed the state Senate by a count of 21-16, is widely seen as a compromise intended to provide same-sex couples with added rights and benefits, while also preventing an expanded legal definition of marriage.

Gov. Lincoln Chafee, an independent, is expected to sign the bill into law, according to his spokesman, Michael Trainor.

If signed, the law would take effect on July 1, making Rhode Island the fifth state in the union to allow civil unions between same-sex couples.

Such unions are currently permitted in New Jersey and Illinois, and will be allowed in Delaware and Hawaii beginning January 1, 2012.

Three West Coast states -- California, Oregon and Washington -- plus Nevada, also allow for "comprehensive domestic partnerships," largely considered an equivalent to their civil union counterparts.

Despite robust opposition to the measure, Rhode Island's Senate Judiciary Committee approved the bill by a vote of 7-4, sending it to the Democrat-controlled Senate floor where lawmakers voted in its favor, according to Senate spokesman, Greg Pare.

The legislation, which passed overwhelmingly in the state's lower house on May 19, affords same-sex couples a host of new state tax breaks, health-care benefits and greater ease of inheritance.

But it also drew sharp criticism from religious leaders and opposition groups who say it will lead to court-ordered action that would eventually legalize same-sex marriage.

Similar legal action in Connecticut and Massachusetts resulted in those states adopting same-sex marriage laws, noted Christopher Plante, executive director of the National Organization for Marriage's Rhode Island chapter.

Chafee -- who is supportive of potential legislation that legalizes same-sex marriage -- says civil unions are "a step in the right direction," according to Trainor.

Meanwhile, gay rights activists -- like Marriage Equality Rhode Island -- say that while they support the civil union bill, they would prefer legislation that permits same-sex couples to wed.

The group urged Chafee not to sign the measure if it includes a House amendment that permits groups with religious affiliations to refuse certain legal rights provided to civil unions.

For instance, a hospital with a religious affiliation could refuse a civil union partner from being involved in the emergency medical care decisions of their spouse if it chose to do so, said Ray Sullivan, a spokesman for the activist group.

Chafee is "very aware of the concerns that have been expressed," Trainor said, but will likely sign the bill into law, which passed the Senate with the controversial amendment included.

House spokesman Larry Berman called the issue a "red herring," pursued by the state's more radical activists.

The exemption, he said, is meant to provide religious protections against potential litigation.

"It's a small exception," Berman said, when compared to the slew of new rights and benefits same-sex couples would enjoy should the measure be signed into law.

Currently, Rhode Island and Maine are the only states in New England that do not permit same-sex marriage.

Last week, New York Gov. Andrew Cuomo a signed a bill that legalizes same-sex marriage, more than doubling the number of Americans living in states that permit such unions.

The measure will take effect on July 24, providing gay and lesbian couples with new rights that include employer health benefits, easier inheritance and a host of state tax breaks.

Federal recognition, however, was not a part of Friday's vote, leaving benefits like Social Security and ease of immigration largely out of reach for same-sex couples.

The controversial bill passed New York's Republican-controlled Senate before reaching Cuomo's desk, in an extended legislative session that left many skeptical over whether lawmakers would bring the measure to a vote.

Iowa and the District of Columbia also allow gay and lesbian couples to wed.

@highlight

NEW: Senate passes bill that permits civil unions between gay and lesbian couples

@highlight

NEW: If signed by Gov. Lincoln Chafee, the law would take effect on July 1

@highlight

Civil unions are currently permitted in New Jersey, Illinois, Delaware and Hawaii