(CNN)Abu Mohamad just wanted to sell some pizza.

An electrician-turned-entrepreneur, he knew his upstart pizza parlor needed a kick. So Abu Mohamad came up with the idea of using bikes to bring his customers their margarita, za'atar and mince pies.

"We had to adapt," he said.

It's not just about coming up with business innovations or delivery options. Thinking outside the box becomes a necessity when you're essentially living in boxes like Abu Mohamad and more than 83,000 others like him, who fled their homes in war-ravaged Syria and settled across the border in northern Jordan's Zaatari refugee camp.

The camp began in July 2012 as a small patch of tents for scared and worn Syrians. As the refugees' numbers grew, their perspectives changed. The civil war in their homeland wasn't going away anytime soon, and neither were they.

So these resilient Syrians went to work. For men like Abu Mohamad, who, like other refugees, prefers not to be identified by his full name, there wasn't much choice but to adjust to their new lives, new livelihoods and new ways of doing things.

"I couldn't sit and wait for the situation to change," said Abu Mohamad. "We always want more for our families."

INTERACTIVE MAP: Syrians turn Zaatari into a home

They've gotten it. Abu Mohamad's business is booming, with up to 50 deliveries a day to humanitarian workers, government officials and fellow refugees.

And in many ways, Zataari -- their new home -- is thriving as well.

Almost anything is better than what they left behind.

Syria's civil war has been raging since 2011, when a government crackdown on protests in Daraa spiraled into a full-blown armed conflict.

Few areas have been spared by gunfire, bombing, airstrikes, even reported chemical attacks. The violence comes not just from troops loyal to President Bashar al-Assad -- who has been criticized and isolated by much of the world -- but a number of rebel groups, some of them considered moderates and others extremists, like the al Qaeda affiliate al-Nusra Front and ISIS.

The impact on civilians has been horrific. Staffan de Mistura, the United Nations special envoy for Syria, reported in January that some 220,000 people had been killed and 1 million wounded. Some 7.6 million have been displaced because of the fighting, with the return of polio, typhoid and measles to Syria symptomatic of the health crisis there.

The war has also produced 3.3 million refugees, most of whom ended up in camps in Turkey, Lebanon, Iraq and Jordan.

At least in Zaatari -- which, within its packed 1.3 square miles, is already one of the world's largest refugee camps and ranks as Jordan's fourth largest city, according to the United Nations -- refugees have taken matters into their own hands by transforming their new home.

"They realized they were going to be in Jordan longer than they first thought," U.N. refugee agency official Nasser Touaibia said. "(They) could not sit around and do nothing."

For proof of what they've done, look no farther than the Champs-Elysees.

No, not the iconic boulevard in Paris, though the common name is a nod to that street and a reflection of Syrians' sense of humor. That's also the name of the Zaatari camp's now vibrant main drag.

It's lined by mobile phone shops, mini markets, welding shops, barbers, fruit and vegetable stalls -- just about anything you can think of. This Champs-Elysees is a place where Syrians can make a little money, get what they need and, perhaps, restore some of their hope for the future.

While non-governmental organizations and the United Nations are active in Zataari, and their employees even do some shopping there themselves, the more than 2,000 stores and such are made and run by refugees. Business is so brisk that a new road, Saudi Street, has popped up to accommodate new ventures.

Touaibia estimates the Syrian refugees there generate approximately $10 million dollars a month in revenues.

This doesn't necessarily make up for the larger strain that refugees have had on Jordan's economy, with an April 2014 International Monetary Fund report calling the overall impact "negative." Still, that same report also said, "Increased consumption brought about by a sizable influx of Syrian refugees has contributed positively to economic activity."

And any economic activity is a plus for the Syrian refugees, two-thirds of whom live below the national poverty line and one in six who live in abject poverty, according to the United Nations.

That's why Syrians like Abu Mohamad and humanitarian officials like Touaibia are pleased with what's happening in Zataari. While its residents' lives have been far from happy or normal of late, the refugee camp -- more and more -- is becoming just that.

As Touaibia said, "It is like any downtown, in any city, in the world."

@highlight

More than 83,000 people live in the Zataari refugee camp in northern Jordan, U.N. says

@highlight

The refugees have set up and run more than 2,000 businesses in the crowded camp

@highlight

"I couldn't sit and wait for the situation to change," says one entrepreneurial refugee