(CNN) -- The Obama administration likely will succumb to growing pressure to "do something" kinetic and dramatic in Iraq, and when it does, it will most likely be air and missile strikes against ISIS targets. This could relieve the political pressure on the President: His critics continue to blame him for abdicating U.S. leadership in Syria and in Iraq --which now faces the advancing extremist militants of the Islamic State in Iraq and Syria (ISIS).

But answering the political mail in Washington is not the same thing as dealing with, let alone resolving, the complex issues on the ground that have led to this crisis. To do that would require a comprehensive reengagement strategy, even without boots on the ground. And President Barack Obama should not be drawn into a veritable Iraq war III.

Most of Obama's detractors engage in what I call "woulda/coulda/shoulda" criticism. That is to say, if the President had only invested more time and effort in negotiating a status of forces agreement with the government of Prime Minister Nuri al-Maliki, left a residual presence there, enforced his chemical weapons red line in Syria and backed the moderate opposition there, we wouldn't be seeing the ISIS jihadi rampage playing out in both countries.

But given the limited amount of intervention this administration, Congress, and the public would support, even under the best of circumstances, the U.S. could not have stopped the dynamic that is occurring.

We cannot hold Iraq's hand forever, nor end Syria's civil war without a major military commitment. And the longer the Syrian conflict continued, the more of a boon the conflict would provide to jihadi elements who fed off its violence and sectarian character.

As for Iraq, the al-Maliki government's insistence on maintaining Shia dominance and privilege, and repressing Sunnis, created the perfect ferment for ISIS's spread. No amount of U.S. military power summoned by any administration could have compensated for this kind of bad sectarian governance. That and the weak institutions of the Iraqi state have allowed ISIS to thrive.

No matter how much progress the U.S. made in Iraq between 2003 and 2011, the dysfunction that now shapes Iraq's future was driven by factors set into motion by the very act of the invasion, Iraq's nature and its location. And those same factors limit now what the U.S. can do; they should make Washington wary of getting sucked back in.

Back to Iraq: What can - and should - the U.S. do now?

Maliki's sectarian dominance

How can you expect stability and security in a country where the political contract between the governed and those who govern is completely skewed in the direction of the Shia community? But that's what you have with Nuri al-Maliki; and that's unlikely to change. Shia repression has left Sunnis feeling disenfranchised -- one reason why violence has surged in the last year -- and this is why it's hard to get Sunni elements of the military to fight and resist ISIS moves. It's also why some key Sunni elements are reportedly in league with the ISIS jihadis.

It's a reason to be careful about backing a government not committed to serious power sharing and reform, let alone to use direct U.S. military intervention to defend it. The U.S. couldn't build the new Iraq on the backs of American military power before it was clear that al-Maliki was a Shia triumphalist. How are we to do it today when it's clear that he is?

The neighbors

Geography is destiny. This isn't America's neighborhood: It does not have the same kind of stake as those who live there. The U.S. may be committed to a nonsectarian, pluralist, democratic Iraq where everybody gets along in one big happy family. But Iran and Saudi Arabia envision very different outcomes, and they will act in ways detrimental to our interests.

Iran is worried about ISIS to be sure. But Iran knows that its long-term interests depend on a stable Iraq under Shia dominance. That means that while it will assist al-Maliki, it won't pressure him to reform. The Saudis, on the other hand, can't abide al-Maliki and while they are worried about the Sunni jihadis, they see some merit in weakening the Prime Minister. Both Tehran and Riyadh will continue to see Iraq as a battleground to check the other's influence and to promote their side in a Sunni-Shia war. Iraq's stability and the U.S.'s altruistic vision of Iraq's future will be the casualties.

The Syrian civil war

Any U.S. strategy that deals with Iraq in isolation will fail to get at a main sources of the ISIS threat. The Syrian civil war was a godsend for these jihadi groups. And unless the United States is prepared to expand its area of operations and to develop a sustained, aggressive strategy to contain if not destroy the ISIS presence in Syria, any effort in Iraq will at best produce a short-term success. Having willfully avoided militarizing the U.S. role in Syria, the President may well go ahead and do so now, with all the risks of mission creep. Attacking ISIS will also help Bashar al-Assad in Syria and Iran in Iraq.

A serious strategy

And that brings us to the most difficult dimension of this entire problem. Without a serious and sustained strategy that has a military, counterterrorism, political and economic component, including mobilizing the international community, it's hard to see how the Obama administration can realistically put these Humpty Dumptys back together again. To do that would mean American involvement -- for starters CIA or special forces in an advisory capacity, most likely functioning clandestinely.

Airstrikes, even if they worked to check ISIS, would have to be used repeatedly over time. And more training for the Iraqi military -- most likely with advisers on the ground to instruct in the use of sophisticated military equipment -- would be necessary. And despite all of this, it's likely that ISIS may still be able to secure enclaves in Iraq.

Haven't we seen this movie before? It was called Iraq 2003-2011, and it clearly didn't have a happy ending.

So, Mr. President, you probably have no other choice but to get sucked back into Iraq with military strikes. It might even have positive short-term results. But it likely won't over time. Triumphalist Shia, unhappy Sunnis, Iranian influence, and Kurdish separatists will guarantee it. Iraq was a trap for America once before. It will be again.

5 predictions revisited: Iraq's troubles are years in the making

@highlight

Writer: Obama administration will likely yield to pressure to act on ISIS advances in Iraq

@highlight

He says it should not. The U.S. could not have prevented crisis. Bad Iraqi governance was key

@highlight

He says any success repelling ISIS in Iraq will be short-lived unless U.S. also does so in Syria

@highlight

U.S. would need sustained strategy if it is to address crisis. We've seen this movie before, he says