Washington (CNN) -- Last month, Secretary of Homeland Security Janet Napolitano said the threat of terrorism to the United States is at its "most heightened" since the September 11, 2001, attacks -- a threat that she asserted has taken on a new and disquieting form because of the growing emphasis by Islamist terrorist groups on recruiting Americans.

Napolitano's warning came at the first in a series of hearings convened by the chairman of the House Homeland Security Committee, Rep. Peter King, R-New York, who is determined to investigate what he terms the radicalization of Muslim-American communities, a problem he says is compounded by their lack of cooperation with law enforcement.

The hearings, scheduled to begin in earnest Thursday, have caused consternation among many Muslim-Americans who worry that they will devolve into a McCarthyite witch hunt.

So, how real is the "homegrown" Islamist terrorist threat?

The New America Foundation and Syracuse University's Maxwell School of Public Policy examined the post-9/11 cases of Americans or U.S. residents convicted of or charged with some form of jihadist terrorist activity directed against the U.S., as well as the cases of American citizens who have traveled overseas to join a jihadist terrorist group. Read the full report

The number of such cases has certainly spiked in the past two years. In 2009 and 2010, there were 76, almost half of the total since 9/11.

This increase was driven in part by plots that could have killed dozens, such as the attempt by Faisal Shahzad, a Pakistani-American, to bomb Times Square in May. It was also driven by nine arrests in FBI sting operations and the 31 people who were charged with fundraising, recruiting or traveling abroad to fight for the Somali terrorist group Al-Shabaab.

Only four of the homegrown plots since 9/11 progressed to an actual attack in the U. S. -- attacks that resulted in 17 deaths. The most notable was the 2009 shooting at Fort Hood, Texas, in which Maj. Nidal Malik Hasan allegedly killed 13 people.

By way of comparison, 73 people were killed in hate crimes in the U.S. between 2001 and 2009, according to the FBI. And more than 15,000 people are murdered in the U.S. every year.

None of the 175 individual jihadist terrorism cases we investigated involved plotting with chemical, biological, radiological or nuclear weapons. Given all the post-9/11 concerns about terrorists armed with weapons of mass destruction, this is one of our more positive findings.

The U.S. military, fighting wars in two Muslim countries, is firmly in the cross hairs of homegrown jihadist militants.

Around one-third of such cases involved a U.S. military target, ranging from the U.S. Marine Corps base in Quantico, Virginia, to American soldiers serving overseas. And in a third of the cases, the individuals involved were training on weapons or were manufacturing or acquiring weaponry.

Contrary to King's assertion that Muslim-American communities have not cooperated with law enforcement, more than one-fifth of the post-9/11 Islamist terrorism cases originated with tips from Muslim community members or involved the cooperation of the families of alleged plotters. (Not included in our total were the tips from the local community that led to investigations into the disappearances of Somali-American youths in Minnesota to fight for Al-Shabaab, because it is difficult to put an exact number on the cases affected by those tips.)

Tips from Muslim communities and families warned authorities, for instance, about the danger posed by Daniel Boyd, who was planning to attack the Quantico base in 2009, as well as the "D.C. 5," who tried to join militant groups in Pakistan the same year.

A third of cases we surveyed involved the use of an informant, while a further one in 10 involved an undercover federal agent. (Five cases involved both). The large number of informants and undercover agents driving these cases raises the issue of how many of these arrests happened because the defendants were entrapped.

While no one in a terrorism case since 9/11 has successfully used an entrapment defense, some of these cases certainly raise the specter of entrapment. For instance, in 2009, a government informant promised $250,000 in cash and a BMW to a group of impoverished men if they would participate in a plot to attack synagogues in the Bronx and an Air National Guard base in Newburgh, New York.

We also found that rather than being the uneducated, young Arab-American immigrants of popular imagination, the homegrown militants do not fit any particular socioeconomic or ethnic profile.

Their average age is 30. Of the cases for which ethnicity could be determined, only a quarter are of Arab descent, while 13% are Caucasian, 10% are African-American, 18% are South Asian, 20% are of Somali descent and the rest are either mixed race or of other ethnicities. About half the cases involved a U.S.-born American citizen, while another third were naturalized citizens. And of the 94 cases where education could be ascertained, nearly two-thirds pursued at least some college courses, and one in 10 had completed a master's degree, Ph.D. or doctoral equivalent.

The data on jihadist terrorism cases shows that there is a tiny but growing problem of militancy in the Muslim-American community, but it also shows that the consequences of this are quite small.

King has every right to investigate this phenomenon, but given the larger domestic problem of hate crimes, his committee would be well-served to focus on that issue as well.

And the data shows that Muslim-American communities may prove to be the congressman's best ally in the fight against radicals in their midst. Given that finding, the worst possible outcome of King's hearings would be to alienate the very constituency that is best-suited to root out the militants in their community.

@highlight

Rep. Peter King wants to investigate the "radicalization" of Muslim-American communities

@highlight

Public policy institute, school look at post-9/11 homegrown U.S. terrorism threats and crimes

@highlight

King's panel should consider focusing on domestic problem of hate crimes as well, authors say

@highlight

They say data shows that Muslim-American communities may be King's best ally