(CNN) -- With record low approval ratings and intense criticism for his handling of the Iraq war, Hurricane Katrina and the economy, the word most used to label George W. Bush's presidency will be "incompetent," historians say.

President Bush makes remarks on the presidential transition November 6.

"Right now there is not a lot of good will among historians. Most see him as a combination of many negative factors," said Julian Zelizer, a professor of history and public affairs at Princeton University's Woodrow Wilson School.

"He is seen as incompetent in terms of how he handled domestic and foreign policy. He is seen as pushing for an agenda to the right of the nation and doing so through executive power that ignored the popular will," he added.

But like so many presidents before him, Bush's reputation could change with time.

Harvard University political history scholar Barbara Kellerman said when President-elect Barack Obama takes over in January, people may view Bush in a new light.  Watch Bush address staff about transition of power »

"I think it's possible when people have stopped being as angry at the Bush administration as they are now ... that they will realize that some of this is just ... the luck of the draw."   Kellerman, author of the book "Bad Leadership: What It Is, How It Happens, Why It Matters," noted that Bush has not had luck on his side for the past eight years.

"He [Bush] has been a quite unlucky president. Certain things happened on his watch that most people don't have to deal with -- a 9/11, a [Hurricane] Katrina, the financial crisis, being three obvious examples," she said.

"And yet they happened on his watch. He is being blamed," she said.

And that fact -- coupled with approval ratings around 27 percent, according to CNN's poll released October 21 -- is in large part why Obama and Democrats won big on November 4.

Douglas Brinkley, a presidential historian and professor at Rice University, said the country is dealing with a "lame duck president" who will most likely face an uphill battle in getting anything passed through Congress before he leaves office.

"We're dealing with an economic meltdown ... We're dealing with two wars. So everything Obama does now is going to be seen as he is the de facto president," Brinkley said Thursday. Read Zelizer's take on what Obama should avoid

Historians, beginning to examine Bush's legacy, note that the 43rd president could end up with a better reputation down the road -- something that happened to Harry Truman.

At different points in his presidency, Truman earned some of the highest and the lowest public approval ratings in history: 87 percent approval in June 1945  vs. 23 percent approval in January 1952, according to a CNN analysis of polling at the time.

Truman, who is often noted for his upset victory over Thomas Dewey in 1948, faced several domestic and foreign policy problems throughout his term in office, which lasted from 1945-1953. Most notably: The Korean War, World War II and later, Cold War relations with an aggressive Soviet Union.

"One of the things that has been conventionally done is to compare George W. Bush to Harry Truman, both of whom had upon leaving office dismal approval ratings and of course as it is well known by now, Harry Truman's reputation has, by virtually every account, not only improved, but I would say escalated nearly to the top of the list of greater American presidents," Kellerman added.

Another president Bush may be compared to down the road? Ronald Reagan.

Prior to leaving office, Reagan faced strong backlash from Republicans and Democrats on opening negotiations with Soviet Premier Mikhail Gorbachev during the Cold War era as well as the handling of the Iran-Contra Affair.

"He was seen as bumbling; he was seen as unintelligent; he was seen as a guy driven by his advisers," Zelizer added. "And now he's being talked about like FDR, one of the great presidents in American history and we have a new look at who he was."

Reagan is often invoked by Republicans in presidential races -- most recently with the campaign of Sen. John McCain -- looking to shore up the conservative base.

Bush, meanwhile, who has long defended his decision to invade Iraq as a way to spread democracy, could also see criticism dissipate over time if Iraq becomes a thriving, stable country.

"If you imagine that an Iraq in 10,15 years is actually a vibrant, stable democracy and other countries neighboring it move in that direction ... I think you'd have a strong Bush revisionism," Zelizer said. "How things unfold in coming decades can help repair a battered presidency," he added.

Kellerman said that while many will credit Bush for taking charge of democracy-spreading, his "incompetence" will still be noted.

"The level of incompetence after the initial 'mission accomplished' was so acute that my guess is, even if the decision to invade might be historically justified, the incompetence that succeeded it ... I think that's going to be very difficult to ever alter our negative perception of that."

@highlight

Presidential historians weigh in on how history will perceive President Bush

@highlight

Zelizer: "There is not a lot of good will among historians" for Bush

@highlight

Bush is often compared to Harry Truman, whose reputation improved over history

@highlight

Kellerman: Bush will be remembered for his "incompetence"