(CNN)French officials are still trying to determine what caused gunmen to attack a satirical magazine in Paris, killing 12 people. But, according to French media, the gunmen yelled, "We have avenged the Prophet!" as they stormed the office.

Charlie Hebdo, the French satirical magazine attacked on Wednesday, has a controversial history of depicting Mohammed, often in an unfavorable light, which has angered many Muslims around the world.

The prohibition again illustrating the Prophet Mohammed began as a attempt to ward off idol worship, which was widespread in Islam's Arabian birthplace. But in recent years, that prohibition has taken on a deadly edge.

A  central tenet of Islam is that Mohammed was a man, not God, and that portraying him could lead to revering him in lieu of Allah.

"It's all rooted in the notion of idol worship," Akbar Ahmed, who chairs the Islamic Studies department at American University told CNN. "In Islam, the notion of God versus any depiction of God or any sacred figure is very strong."

In some ways, Islam was a reaction against Christianity, which early Muslims believed had been led astray by conceiving of Christ, not as a man but as a God. They didn't want the same thing to happen to Mohammed.

"The prophet himself was aware that if people saw his face portrayed by people, they would soon start worshiping him," Ahmed told CNN. "So he himself spoke against such images, saying 'I'm just a man.' "

In a bitter irony, the sometimes violent attacks against portrayals of the prophet are kind of reverse idol-worship, revering -- and killing for -- the absence of an image, said Hussein Rashid, a professor of Islamic studies at Hofstra University in New York.

In November 2011, Charlie Hebdo's office was burned down on the same day the magazine was due to release an issue with a cover that appeared to poke fun at Islamic law. The cover cartoon depicted a bearded and turbaned cartoon figure of the Prophet Mohammed, with a bubble saying, "100 lashes if you're not dying of laughter."

In September 2012, as France was closing embassies in about 20 countries amid the global furor over the anti-Islam film "Innocence of Muslims," the magazine published an issue featuring a cartoon that appeared to depict a naked Mohammed, along with a cover that seemed to show Mohammed being pushed in a wheelchair by an Orthodox Jew.

Charlie Hebdo journalist Laurent Leger defended the magazine at the time, saying the cartoons were not intended to provoke anger or violence.

"The aim is to laugh," Leger told BFMTV in 2012. "We want to laugh at the extremists -- every extremist. They can be Muslim, Jewish, Catholic. Everyone can be religious, but extremist thoughts and acts we cannot accept."

But for many Muslims, depictions of Mohammed, revered not only as a prophet but also as a moral exemplar, are no laughing matter.

Satirical representations of Muhammad are not new, although they are very modern, said Rashid.

"In the context of Europe, where in many countries Muslims feel like they are besieged, these images are not seen as criticism, but as bullying. Violence, as a response, is clearly wrong and disproportionate. However, it is not so much about religious anger, as it is about vengeance."

But even in the United States, where Muslims are relatively acclimated, extremists have opposed the portrayal of Mohammed on "South Park," the satirical cartoon show, and the subsequent "Draw Mohammed Day," that erupted in response.

Mohamed Magid, an imam and former head of Islamic Society of North America, told CNN that the Muslim prohibition on depicting prophets extends to Jesus and Moses, whom Islam treats as prophets. Some Muslim countries banned the films "Noah" and "Exodus" this year because their leading characters were Hebrew prophets.

In Sunni mosques, the largest branch of the faith, there are no human images of any kind. The spaces are instead decorated with verses from the Quran.

But there have been historical instances of Muslims depicting the prophet, especially in Shiite branches of Islam,  Omid Safi, a religious studies professor at Duke University, told CNN.

"We have had visual depictions of the prophet in the form of miniatures and pictures in the Iranian context, the Turkish context, the central Asian context," said Safi. "The one significant context where depictions of the prophet have not been image-related has been in the Arab context."

Johari Abdul-Malik, the imam for Dar Al-Hijrah Islamic Center in Falls Church, Virginia, told CNN that depictions of the prophet 's teachings were sometimes used to bridge gaps in illiteracy.

Even historical renditions of Mohammed by Muslim artists were careful not to paint the prophet in too much detail.

For example, Ahmed told CNN that Muslim artists in the 15th and 16th centuries would depict the prophet but took pains to avoid drawing his face. "It would be as if he was wearing a veil on his face, so the really orthodox could not object -- that was the solution they found."

In a  Muslim film called "The Messenger," which circulated throughout the Muslim world in the 1970s and 1980s, Mohammed was shown only in shadow.

In  the Quran, there is "no statement from the prophet requesting his image not be recorded," Abdul-Malik told CNN.

Instead, the teaching about images comes from the hadith, a record of the sayings and actions of the Prophet Mohammed and his closest companions. The hadith is considered secondary only to the Quran in terms of textual authority, but the sometimes contradictory accounts have led to centuries of debates within the umma, or global Muslim community.

Scholars of religion say opposition to portraying Mohammed wasn't generally violated in earlier centuries because of a gulf between Western and majority-Muslim nations.

In the age of globalization, non-Muslims and critics of Islam have felt free to depict Mohammed, including in offensive ways. In 2006, for example, a Danish cartoonist's depiction of the prophet wearing a bomb as a turban with a lit fuse sparked demonstrations across the world.

CNN's Nick Thompson and Eric Marrapodi contributed to this report.

@highlight

Objections to portrayal of Mohammed "rooted in the notion of idol worship," professor says

@highlight

The Muslim disapproval of depicting prophets extends to Jesus and Moses, imam says

@highlight

In globalization age, non-Muslims and critics of Islam have felt free to depict Mohammed