Hong Kong (CNN) -- On a promenade that runs along Hong Kong's harbor, crowds of tourists jostle for their chance to photograph the city's spectacular skyline.

But long after most have retired to their hotel rooms, one small group of visitors remains.

The four men, who came from India in search of a better life, say they have been sleeping in the alcove of a building in Hong Kong's Tsim Sha Tsui district for almost two months as they wait for their asylum claim to be processed.

"Lots of refugees in Hong Kong live in the same conditions," says Mohammadi Rahman, chairman of Refugee Union, a group that advocates for asylum seekers' rights and helps them to find suitable housing in Hong Kong as they wait to learn their fate.

It's a feeling that Rahman, 30, knows well. When he arrived in Hong Kong in 2007, he, too, was homeless and slept on the streets for months.

For almost eight years, he has been battling what many see as the government's indifference to the plight of refugees.

Frustrated by his own struggle against Hong Kong's immigration system after fleeing Afghanistan, he has become a champion for the rights of some of the city's most vulnerable inhabitants.

When he was just five years old Rahman fled with his family to Iran after one of his brothers was shot dead during the country's civil war.

He worked as an engineer and made enough money to help support his parents, along with his four sisters and three brothers.

But he wasn't safe in Iran either, for reasons he won't disclose for fear of putting his family in danger. "The government wanted me dead," he said. If he returns, he believes he will be incarcerated, tortured, or worse.

In 2011, after more than three years in Hong Kong, the United Nations recognized Rahman as a refugee. Since then he has been waiting for the organization to find a third country that will take him in.

Thousands living in limbo

Around 6,000 people are currently seeking asylum in Hong Kong according to the territory's Immigration Department. Refugees cannot work legally, which makes them dependent on the city's welfare system. The lucky few whose claims are successful are resettled to another country. As Rahman can attest it is an agonizing process that can take years.

"As long as you don't have a right to work, you don't have anything to live on," says Rahman. "You don't have any future. You can't build your family's future, your kids' future."

Authorities provide food parcels three times a month and a rental allowance, but some asylum seekers say the assistance is not enough to cover even their most basic needs.

Strength in unity

In January this year, Rahman and several dozen others like him founded the Refugee Union. The group advocates for the rights of asylum seekers, gives advice and legal assistance and helps people find accommodation.

"We created the Refugee Union to fight ... against the system with more power," he said.

"We have to fight together, because whatever I fight, another refugee is fighting for the same thing -- they suffer from the same thing."

In recent months, the group has held peaceful demonstrations in the heart of Hong Kong's business district to raise awareness of their concerns and put pressure on authorities.

"Most of the refugees are afraid to complain, because they think if they complain, immigration will process their application faster and will reject them, (or) will cut their welfare allowance," Rahman said. 

Since Refugee Union began its campaign, the government has increased asylum seekers' food and rent allowance, and given them additional funds for transportation, electricity and water.

Rahman says that the total assistance they receive still falls below the city's poverty line.

"The Refugee Union completely changed the asylum arena by coordinating individual protests into group action," says Cosmo Beatson, executive director of Vision First, an NGO that is giving the group advice and logistical support.

"The goal is to empower refugees to speak up for themselves, support each other in solidarity and advocate for the changes that they desperately need because obviously collective bargaining beats solo endeavors."

Improving lives

In Hong Kong, Rahman lives with his wife in a cramped, one-room apartment that costs HK$2,800 ($360) per month. She earns HK$4,000 ($520) a month working as a domestic helper for a local family, but sends a large portion of her income back to her family in the Philippines.

Every day, Rahman reads a sign that his wife has placed near their bed: "Life is not about waiting for the storm to pass, but about learning how to dance in the rain."

He hopes one day to leave Hong Kong and start a new life. Until then, he is determined to help reform the city's welfare system so that other asylum seekers aren't forced to live "like beggars."

"Even though I cannot do work ... it is better for me to give my time for them, to help them to improve their situation in Hong Kong," he said.

CNN's Michala Sabnani and CNNMoney's Charles Riley contributed to this report.

@highlight

Mohammadi Rahman fled Afghanistan as a child

@highlight

He came to Hong Kong to seek asylum in 2007

@highlight

He helps other asylum seekers in the city to understand their rights and have a voice

@highlight

Cost of living in Hong Kong is high; asylum seekers, who can't work legally, often live in poverty