(CNN)It may be the most historic plane in the world: Special Air Mission 26000, SAM for short. Not familiar? Maybe you know its nickname. Back in its heyday the sleek, blue and white airliner was called Air Force One.

This ain't just ANY Air Force One. SAM 26000 saw more historic events than any other -- ranging from the tragic to the hilarious. A national treasure, the airliner now sits in the Air Force museum in Dayton, Ohio.

But you can't see it. It's off limits to visitors. For many history buffs and aviation geeks, that's a cryin' shame.

If things were different, visitors could walk down the same cabin aisles where Jacqueline Kennedy mournfully sat beside her husband's casket en route from Dallas to Washington. You could stand in the exact spot where the only woman to preside over a presidential oath swore in Lyndon Johnson as commander-in-chief. Examine with your own eyes the on-board suites that carried President Richard Nixon to Beijing, where he cracked open U.S. relations with China.

For more than 30 years, the 100-ton plane transported some of the most powerful figures on the planet -- and once it even carried a history-making ex-White House intern named Monica Lewinsky. Yep, SAM 26000 has seen a few eyebrow-raising situations over the years.

Oh my, if only this plane could talk.

"A person could justify that it's the most important historical airplane in the world," Air Force historian Jeff Underwood said on the phone, just a stone's throw away from the jet. "It's a place in history that moves. Every time I get on board, that's what I think about."

So what's the problem? Why is this $36 million plane -- paid for by taxpayers --  shut away in a darkened hangar?

It's ironic if you think about it. The plane perhaps most associated with politics has fallen victim to political gamesmanship.

About 500 miles away, inside the bubble of Washington's Beltway, political fighting triggered mandatory budget cuts called sequestration. The Air Force ordered the museum to economize -- including temporarily closing the Presidential Gallery where SAM 26000 is parked. Buses that are required to transport visitors to SAM 26000's special hangar are just too pricey. So they shut it down.

"People are very disappointed," says Sarah Swan of the National Museum of the U.S. Air Force. Staffers are trying to determine whether to hold events marking the 50th anniversary of JFK's death this November. It's bad timing, she admits. Last year, SAM 26000 ranked among the museum's most popular exhibits, drawing almost 90,000 visitors among the facility's total attendance of 1.2 million. Since the hangar doors closed in May, the jet's visitors of course have plunged to zero.

History has happened on this plane. And by stepping aboard SAM 26000, visitors say they can imagine it all.

They can imagine a newly sworn-in president Johnson grabbing ahold of JFK's casket as he helped White House staff pull it through the plane's rear exit into the cabin.

They can paint a mental picture of federal Judge Sarah Hughes swearing in Johnson while a photographer snapped that famous image of LBJ and a grief-stricken and stunned Jacqueline Kennedy.

"You can stand on that spot where President Kennedy's casket came in -- you think about the horror of what was going on and the shock of what happened," said Underwood. "You can look forward toward the nose of the aircraft and know that's where the transfer of power took place, and you can see where Mrs. Kennedy sat near the body of her slain husband. Sometimes I still get goosebumps."

You can imagine the pilot -- Col. James B. Swindal -- as he took off from Dallas to D.C., jetting to an unusually high 41,000 feet to guard against a possible second attack. "He didn't have any idea whether this was part of a large conspiracy," his son, James L. Swindal told, The New York Times. "He wasn't going to take any chances with a new president in the plane.''

Imagine the dramatic scene a few hours later outside Washington at Andrews Air Force Base as JFK's brother, Attorney General Robert Kennedy, "leaped up" a portable stairway to board the plane. Rushing to console the first lady, RFK "pushed his way down" the aisle past President Johnson "without saying a word," wrote historian Steven Gillon. An angry Johnson "fumed that Kennedy would board the plane without even acknowledging him," Gillon claims in "The Kennedy Assassination, 24 Hours After."

A few days after that, imagine the plane soaring high over Kennedy's funeral at Arlington National Cemetery, as described by historian William Manchester. Saluting the fallen commander in chief, SAM 26000 tipped its wings before Swindal  "threw all his fuel controls on full and leaned into the wind" at a blistering 600 mph.

Awkward

Many associate the jet with JFK, but the plane was tied just as closely to his two successors, LBJ and Nixon.

In 1972, SAM 26000 touched down in the world's most populous nation, as Nixon forged the first U.S. ties with the People's Republic of China. Aboard the plane, a "burly" Nixon aide "blocked the aisle" to keep staffers from following the president down the stairway to the tarmac, national security adviser Henry Kissinger recalled. Nixon didn't want anyone getting in the way of his historic photo op with China's premier.

Nine years later, imagine Nixon sitting with ex-presidents Gerald Ford and Jimmy Carter in the "relatively cramped tail section" of SAM 26000, as TIME magazine described it. They felt "somewhat ill at ease," as they flew to the funeral of Egyptian President Anwar Sadat, wrote Carter years later. And they certainly had their reasons -- especially Carter and Ford. Just five years earlier Carter, a Democrat, had delivered a stinging election defeat to the GOP's Ford.

Tension also ran high among staffers aboard the flight. They endured long waits to use the lavatories and got upset about who received bigger cuts of steak at dinner, according to author Ronald Kessler.

Then Nixon "surprisingly eased the tension" with "courtesy, eloquence and charm," Carter revealed in a memoir. Aboard SAM 26000, the two former enemies developed a camaraderie and then a friendship, wrote historian Douglas Brinkley.

'Buck naked'

Air Force One was designed for presidential multitasking, generations before the word was even invented.

Maybe the funniest example of this concept occurred aboard SAM 26000 at a campaign stop in 1964. Johnson invited reporter Frank Cormier and two colleagues to an impromptu press conference in the plane's bedroom, according to Cormier's book, "The Way He Was."

The president -- who wanted to change clothes after giving a speech in the hot sun -- astonished the reporters when he "removed his shirt and trousers," while answering their questions about the economy. Johnson then "shucked off his underwear" and kept talking while "standing buck naked and waving his towel for emphasis."

Another time on the jet, Cormier wrote, Johnson was sitting and talking with his legs crossed when an "airman who served as LBJ's valet" kneeled before the president and "quickly removed one of Johnson's shoes and socks, bathed the naked foot then put on a fresh sock and replaced the shoe." Neither the valet nor the president ever acknowledged each other, and Johnson didn't miss a beat of his conversation.

The plane carried LBJ's body after his death in 1973, just as it had Kennedy. Twenty-one years later, it ferried Nixon's casket back home to California.

SAM 26000's legacy also includes a footnote labeled, "Monica Lewinsky." The former White House intern who later became a central figure in the impeachment of President Bill Clinton flew aboard the plane as a Pentagon staffer on a tour of European nations in the '90s.

By that time, the aging SAM 26000 had been demoted as a second-tier presidential aircraft and was reserved as a backup. The Air Force introduced a military version of the Boeing 747 -- much bigger than SAM 26000 -- into the SAM fleet beginning in 1990. SAM 26000 carried about 48 passengers and crew, while the new bigger jets held more than twice as many: 102 passengers and crew with about 4,000 square feet of floor space to roam around in.

"It was such a quantum leap forward in Air Force One's capabilities," said Underwood. "With the added ability of inflight refueling, it freed up Air Force One to do whatever it needed to do."

By 1998, SAM 26000 was done. Then-Vice President Al Gore honored the plane's legacy by hosting its final official flight -- a hop from Washington to Columbia, South Carolina, before it traveled to the Air Force museum in Ohio a few months later. "If history itself had wings, it probably would be this very aircraft," Gore said at the time.

As this year's 50th anniversary of the Kennedy assassination approaches, SAM 26000's caretakers at the Air Force museum have no idea how to plan for it. As Underwood put it, "We're just held in limbo right now."

It's a mystery whether Congress will end sequestration in October -- or if even deeper cuts will follow. The Air Force is already preparing for a worst-case scenario.

At the Pentagon, Air Force brass have no plans to change the current funding situation at the museum -- at least through October, said Air Force Lt. Col. Laurel Tingley. After that, she said, "we don't know what the new normal will look like in our current fiscal-constrained environment."

In the meantime, the Air Force "will continue to take action to reduce spending" as a way to support "overseas contingency operations and preserve readiness," Tingley said.

"It's heartbreaking," says Rep. Michael Turner, a Republican member of the powerful House Armed Services Committee who represents the museum's district. "These are incredibly historic aircraft," Turner said, which are inaccessible to visitors because of sequestration that he described as "shameful and outrageous."

Turner called on the Senate and President Barack Obama to come to the table with a solution and break the deadlock.

Despite the closure of the museum's Presidential and Research and Development Galleries, the facility remains open seven days a week, and admission is free.

But until funds appear -- or lawmakers in Washington can come together -- the world's most historic plane will stay behind closed doors.

Air Force returns sequestration-grounded Thunderbirds to the sky

@highlight

Budget cuts make ex-Air Force One, aka SAM 26000, off limits

@highlight

Expert: It may be "the most important historical airplane in the world"

@highlight

SAM 26000 served as a stage for several major historic events

@highlight

It carried JFK's casket,  hosted LBJ's swearing in, and ferried Nixon to China