(CNN) -- A thick pall of chemical smoke hung over a crowd in Cairo on Friday afternoon. People ran, covering their noses and mouths to escape yet another volley of tear gas.

The same scene was being played out elsewhere in Cairo, in Alexandria and Suez. And several weeks back, Tunisian police used tear gas to try to quell protests there. It is one of the most common ways to used to disperse protests -- but not everyone runs.

In both Tunisia and Egypt, some protesters stopped to pick up canisters, and posted photographs online. A few inches long, blue and silver, they include warning labels and then a set of initials: CSI, followed by "Made in the U.S.A."

The photograph posted in Tunisia was of a 40 mm riot CS smoke projectile, made by a company called Combined Systems Inc., which describes itself as a "tactical weapons company" and is based in Jamestown, Pennsylvania.

CSI's website describes the projectile as "a launched burning extended-range single projectile round that dispenses smoke or chemical agents via rapid burning. Used effectively during riots at safe stand-off distances to disperse groups or deny areas."

Its warning label reads: "Danger: Do not fire directly at person(s). Severe injury or death may result."

That warning is apparently not always followed. Lucas Mebrouk Dolega died in Tunisia on January 17, three days after being hit by a tear gas grenade at close range. The 32-year-old was a photographer for the European PressPhoto Agency.

On Thursday, a similar picture was posted on Twitter by a someone in Egypt, only this time it was of a grenade, not a canister. It, too, was made by CSI. The grenade appears to be an "Outdoor 52 Series Large Grenade" that "discharges a high volume of smoke and chemical agent through multiple emission ports. Specifically for outdoor use," the website says.

CSI's website (www.less-lethal.com) bills the company as the "premier engineering, manufacturing and supply company of tactical munitions and crowd control devices globally to armed forces, law enforcement, corrections and homeland security agencies." Clients include the U.S. Army, U.S. Customs and Border Patrol, and the U.S. Department of State, as well as Rafael Advanced Defense Systems and Israeli Military Industries -- both of which are weapons companies based in Israel.

On January 1, Jawaher Abu Rahmah died in the West Bank during a weekly protest against a security barrier being built in Bilin. Israel considers the protests violent and illegal. Rahmah died of severe asphyxiation and cardiac arrest after Israeli soldiers fired tear gas canisters into the crowd.

In April 2009, Rahmah's brother was killed participating in the same weekly protest when a tear gas canister struck him directly in the chest.

A spokesman for CSI says the company is operating well within the law by selling tear gas to countries like Tunisia and Egypt.

According to the Chemical Weapons Convention, riot control agents are not considered chemical weapons unless used during a time of war. This means that it's perfectly legal to manufacture and sell tear gas, so long as countries don't stockpile a large amount of the chemical compounds.

The spokesman declined to say how much tear gas CSI had sold to countries in northern Africa, but said it is a small company. He also said CSI could not control how its products are used once sold.

Social media reaction to the "Made in the U.S.A." label on the canisters was scathing, with some suggesting it meant the U.S. government itself was somehow involved in suppressing the protests.

Some Twitter users demanded to know "why so many weapons used against Egyptian protesters read 'made in the USA'." Others advised "Maybe U.S. weapons manufacturers should stop printing "made in USA" on their weapons especially the ones we send to brutal autocrats."

Whether CSI is operating within the law hasn't stopped protestors from voicing their dissatisfaction with the company.

After Rahmah died in Israel, demonstrators gathered outside Point Lookout Capital Partners' Manhattan offices. Point Lookout owns a majority interest in CSI. The protesting group -- the New York Campaign for the Boycott of Israel -- demanded that CSI stop providing tear gas that could be used on Palestinians by Israeli forces.

Israeli authorities are still investigating Jawaher Abu Rahmah's death.

According to the Centers for Disease Control and Prevention, there are several compounds that are considered to be riot-control agents. Two of the most common are chloroacetophenone (CN) and chlorobenzylidene malononitrile (CS). Others include chloropicrin (PS), bromobenzylcyanide (CA), and dibenzoxazepine (CR).

Riot control agents temporarily disable those affected by causing irritation to the eyes, mouth, throat, lungs, and skin. Long-lasting exposure to these compounds can cause blindness and chemical burning of the throat and lungs resulting in death, as well as respiratory failure, which can also result in death.

@highlight

Tear gas canisters fired at Egyptian protesters are marked "Made in the U.S.A."

@highlight

Combined Systems Inc. also has sold tear gas to Tunisia and Israel

@highlight

Some Twitter users demand why U.S.-made weapons are being used against protesters