(CNN) -- Even terrorists have fears. And the prospect of gender equality appears to rank high on their list of worst nightmares.

The logic, for them, is simple. Empowered women would never accept the brutal ideology espoused by terrorist leaders as the rule of their land.

Educated women and girls would fundamentally challenge the power structure of organizations like ISIS. Therefore, if you carry out the argument, they must be suppressed and enslaved.

"There is no doubt that targeting of women is the core element -- not a byproduct -- of the ideologies espoused by these groups," Sanam Naraghi-Anderlini, co-founder of the International Civil Society Action Network, told us.

So, any successful strategy against these groups must put women's rights at the front and center of policy planning. This will require more than words or a few million dollars allocated to girls' schools.

It will demand a fundamental shake-up of America's foreign policy paradigm, on everything from aid to alliances. It will demand engaging women on the ground -- the women who are currently battling the nefarious organizations that are stripping them of their humanity.

Does any group or state that refuses to commit to working toward gender equality merit our money, weapons or political capital? Any entity that refuses to treat at least half of its population as equal to the other cannot be expected to protect minorities and promote tolerance.

In other words, the perpetuation of female oppression works against U.S. interests and therefore should be a disqualification for U.S. investment. After all, part of the reason America ostensibly invests and offers aid is to help nations to move closer to more inclusive and tolerant governance.

The merits of building a foreign policy around the protection and empowerment of women and girls should be obvious from our own experience: Progress on gender equality has been central to our own accession to true democracy (though we still have a long way to go on the gender parity front). It will similarly be key in any efforts to salvage areas that have become cesspools for extremist ideology.

It is not a coincidence, after all, that some of the countries where women's rights fare the worst also produce many jihadists for al Qaeda and the Islamic State.

And in many of those countries, women's rights aren't just stagnating, they're backsliding. "Although the battle over traditional gender roles is not new, the rise of religious extremism is ... halting and sometimes reversing the recent progress made on women's rights and pushing women out of the public sphere," according to an ICAN policy brief from spring 2014, which cites Tunisia, Algeria, Libya, Yemen and Egypt as prime examples of the trend.

The World Economic Forum's 2014 Global Gender Gap Report backs up that assertion.

The index ranks countries by performance in reducing the disparity in treatment and access between women and men. Consistently, some of the worst ranked countries on the economic empowerment index -- and on the overall index -- (Tunisia, Egypt, Turkey, Lebanon, Afghanistan, Algeria, Saudi Arabia, Yemen, Iran, Jordan, Somalia, Pakistan and Syria) are also countries where extremism is on the rise and has in some cases already taken over the reins of power.

"In parts of Syria, Iraq, and the Sinai, extremist groups have a greater impact on conditions on ground, and freedoms that people do or don't enjoy, than the government does," says Vanessa Tucker, vice president for analysis at Freedom House.

The question remains: Why do these groups target women? It all comes down to asserting control. Often times, extremist groups are catering to disillusioned young men who, because of their unstable life circumstances, have been unable to marry, secure a job, provide for a family and thus assert their masculinity in traditional ways. Hence, "the control over and subservience of women is part of the messaging and ideology that seems to resonate well" when recruiting men, Naraghi-Anderlini says.

One of the first steps to domination is the control of information. Just as the Nazis were obsessed with burning books and exterminating any free-thinking group whose mere existence might be incompatible with its one-party fanaticism, Islamist extremists are committed to shutting down any institution that allows for women's education.

In Afghanistan, schoolgirls as young as 7 or 8 years of age have been threatened and shot by the Taliban for going to school.

In Nigeria, hundreds of women were abducted from their schools earlier this year. Perhaps the most famous example is Nobel Prize winner Malala Yousafzai, the Pakistani girl who was the subject of an elaborate assassination plot as the Taliban chose to make an example of her to instill fear into other activists for girls' education. Despite being shot in the head when her school bus was ambushed in 2012, she survived.

More recently, in the Yazidi and Kurdish parts of Iraq that fell to Islamic State fighters, young women have been enslaved, and many now live the most tortured lives imaginable.

On a recent BBC World Service segment, we heard about a phone call that a Kurdish fighter received recently from an enslaved Yazidi woman.

"If you know where we are please bomb us," said the crying woman, who was living in a brothel. "There is no life after this. I'm going to kill myself anyway -- others have killed themselves this morning. I've been raped 30 times and it's not even lunchtime. I can't go to the toilet. Please bomb us."

The money that funded the rise of ISIS and other terrorist organizations came from countries that we now claim are allies, but which embrace religious ideologies that are similar in theory, if not always as openly brutal in practice (or at least on YouTube videos) as ISIS.

Wahhabi and Salafi ideologies on the Sunni side, and the Iranian Ayatollahs' own brand of systematic suppression of female liberties, all prevail in the states that gave birth to extremist groups.

It is hardly encouraging, in this context, to hear President Erdogan of Turkey recently proclaim that women would never be equal to men -- this, right as the United Nations was gearing up for a 16-day campaign to bring awareness to violence against women worldwide (the United Nations estimates that a full third of women across the globe experienced acts of violence directed at their gender).

By aiding states that were actively supporting groups that merged with ISIS, the United States seems to have favored the short-term alignment of interests over the long-term alignment of principles. Making progress on women's rights should be a criterion for our aid and protection.

The linkage between aid and progress is not new. World Bank loans, for example, are already contingent on commitments to economic reform. And the Millennium Challenge Corporation, an independent U.S. foreign aid agency which is central in its role of setting policy, doles out aid based on various policy indicators, including civil liberties, child health and even girls' primary education completion.

But a stronger emphasis on progress towards gender equality would help clarify the importance this issue holds for the United States, and perhaps inspire other global institutions to make gender equality a priority.

At this critical time, it is vital that we react with clarity to the rise in brutality towards half of humanity. We must realize that only a policy that puts our money where our mouth is on the question of gender equality will effectively promote tolerance and stability.

Join us on Facebook.com/CNNOpinion.

@highlight

Authors: Terrorists in many nations oppose gender equality

@highlight

They argue the U.S. should orient its foreign policy to favor pro-equality regimes

@highlight

Nations that won't commit to that goal don't deserve American money or weapons, they say