The glitz of Cannes on the French Riviera is a world removed from the hellish conditions endured by the hundreds of illegal immigrants smuggled from Africa to Europe every year.

But Senegalese director Moussa Toure is confronting attendees of the world's leading film festival with their story of desperation in "La Pirogue," his first feature film in 14 years.

"La Pirogue" -- a pirogue being a type of flat-bottomed boat commonly used for fishing in West Africa -- tells the story of Baye Laye, a boat captain who hails from a fishing village outside Dakar. It follows his ordeal after he agrees to take a pirogue containing 30 men to Spain's Canary Islands in search of a better life in Europe.

Toure said the film was inspired by the fact that, in his experience, virtually every Senegalese family had a member who had left by boat for Europe.

"It's an everyday reality in my country," he told CNN, in French. "In Dakar, young people attempt these journeys practically every day because they have no hope for their future in Senegal. They are often educated young people with qualifications, and they pay a lot of money to be smuggled out of the country, because they have no choice."

According to UNHCR figures, there were 5443 "irregular arrivals" from North and West Africa by sea in Spain in 2011 -- down from 32,000 in 2006. With the vessels poorly equipped for the arduous journeys of hundreds of kilometers, fatalities are commonplace.

When Toure discovered his young mechanic was among those who had made the voyage, lasting two months in Europe before being discovered by authorities and sent home, the director pressed him for his experiences, which subsequently informed the film.

See also: Beat goes on for Senegal's octogenarian star

The film was shot over two months in Senegal. Many of the actors, just like their characters, could not swim, making for some tense moments, said Toure. "We had dangerous moments because we were filming at the mouth of the Saloum River and this is where it meets the sea. I was secretly terrified that we would capsize like often happens in real life. I was especially scared for those (the actors) who could not swim."

Moussa, a former electrician who shot his first short film in 1987, has been focusing on documentaries for the past decade. Working on "La Pirogue," his third feature, was deeply affecting, he said, and the result had made his wife cry "like I've never seen her cry before".

The film, a French-Senegalese co-production, is one of 20 films selected for the "Un Certain Regard" (A Particular Outlook) section of the festival, designated for original and innovative movies seeking international recognition.

See also: African big cats caught on film

Toure's film is the only sub-Saharan African movie in competition this year, but African films -- particularly those from Senegal and Burkina Faso -- have fared well at the festival, especially over the past decade.

In 2008, the French-Liberian co-production "Johnny Mad Dog" won the Prize of Hope at the festival, for its depiction of child soldiers at the end of the Second Liberian Civil War. It was based on the novel "Johnny Chien Mechant" by Congolese author Emmanuel Dongala.

In 2005, "Delwende," directed by Burkina Faso's S. Pierre Yameogo, won the same prize when it was screened. It told the story of a woman accused of being a "soul eater" and subjected to trial by a council of elders after a child died in her village.

The year previous, "Moolaade," by the late Senegalese writer and director Ousmane Sembene won the "Prix Un Certain Regard," while in 1990, Burkina Faso's Idrissa Ouedraogo won the Jury Grand Prize for his film "Tilai."

African cinema also has a strong presence at Cannes with South African and Nigerian delegations at the festival's film market. Their attendance is intended to showcase both countries' film industries and the investment opportunities they represent.

Nigeria boasts one of the world's biggest film industries -- affectionately known as "Nollywood" -- alongside Hollywood and Bombay's "Bollywood."

See also: Nollywood's Julia Roberts

Most of its output consists of pacey and vibrant video-format B-movies, which have immense popularity across the continent despite their shoe-string budgets. But recently a new generation of filmmakers has been seeking to elevate the industry through a movement they call "New Nigeria Cinema," involving stronger story lines, higher production values and a more authentic depiction of African experience.

Toure is no stranger to film festivals; last year he was president of the documentary film jury at Africa's largest film festival, FESPACO (the Pan-African Film Festival of Ouagadougou, in Burkina Faso).

He said he was optimistic about the future of African cinema. "I think there are great stories coming out of Africa and there are many people who are talented. Those who govern us do not get involved and leave cinema at the mercy of filmmakers," he said.

Follow the Inside Africa team on Twitter: @CNNInsideAfrica, Presenter Errol Barnett: @ErrolCNN, online producer: @StephanieBusari, Writer: @tim_hume

@highlight

Senegalese film "La Pirogue" is the only film from sub-Saharan Africa selected for Cannes

@highlight

It tells the story of a boatload of African migrants seeking to reach Spain's Canary Islands

@highlight

Director Moussa Toure said making the movie was deeply affecting

@highlight

African films, particularly from Senegal and Burkina Faso, have previously done well at Cannes