(CNN) -- "There is a market for selling humans."

That unsettling fact was pushed into the front of the news cycle on Monday when a man who claims to have kidnapped 276 teen girls announced in a video message that he would sell the young women into marriage or slavery.

"I abducted your girls. I will sell them in the market, by Allah," the man, who claimed to be Abubakar Shekau, the leader of a Nigerian terrorist group Boko Haram, said in the video. He smiles while he says that, by the way, which sent chills down my spine.

"There is a market for selling humans," he adds, according to a CNN translation. "Allah says I should sell. He commands me to sell. I will sell women ..."

This is no doubt an extreme case, and it's one that has led to international outrage and demands for the United States and other world leaders to help find the young women that reportedly were kidnapped a month ago from school in Nigeria. Everything possible should be done to find these girls, who may be as young as 12.

But the story is also a harrowing reminder that slavery, in various forms, remains a pervasive reality worldwide, particularly in poor and violent places such as parts of Nigeria. International efforts to combat the practice have failed to stamp it out.

Perhaps the only sane thing this crazed leader said is that there is a "market for selling humans." It's 2014, and that most certainly is true.

That fact alone is worthy of sustained, global attention.

In Nigeria, signs suggest the market is alive and well.

Between 670,000 and 740,000 people are estimated to be in slavery in Nigeria, according to the Walk Free Foundation's 2013 Global Slavery Index. That puts Nigeria at No. 4 worldwide in terms of the total number of people enslaved. Mauritania, a West African country I visited in 2011 for a CNN story, ranks as having the highest percentage of enslaved people, according to that report.

Advocacy groups say 20 million to 30 million people are enslaved worldwide, and more than 15% of those people are in Sub-Saharan Africa, according to Walk Free.

It's unclear what exactly would happen to the girls if Boko Haram does follow through on its threats to sell them into marriage or slavery. Young women sold into slavery or marriage sometimes end up as domestic servants; some are sexually abused by the "husbands" who purchase or obtain them; some work under threat of violence; and other women are sold internationally to work in the sex trade.

"It appears from the media statements that the intention is to sell the girls into so-called 'marriages,' which are likely to be nothing more than sexual and domestic enslavement, presumably either in neighboring countries or within Nigeria itself," Fiona David, executive director of global research at the Walk Free Foundation, wrote to me in an e-mail from Ghana, where she is attending a conference.

Nigeria acts as a sort of hub for human trafficking, with victims sometimes being sent to Europe, especially Italy, according to experts and published reports.

During a September 2013 visit to Rome, the United Nations' special rapporteur on trafficking in persons, Joy Ngozi Ezeilo, told the story of a 21-year-old woman who was trafficked from Nigeria through Turkey, Serbia, Hungary and Slovenia and eventually to Italy. The story highlights not only the international nature of the network but also the importance of global vigilance to spot trafficking victims.

Families sleep in the bushes, fearing more attacks

"Not only was she trafficked but was held in debt bondage as her father back in Edo state (of Nigeria) had put up his land as collateral for the payment of the 60,000 euros ($84,000) fee illegal contract to bring her to Europe," Ezeilo said of the woman, who was not identified in an online summary and transcript of the speech.

"The young woman was moved from Turin to Milan and Paris to sell her body in order to repay her debt. She was rescued following a random identification check in Italy, where she now benefits from assistance."

As we keep the young women in Nigeria on our minds and pressure governments to rescue them before they can be sold into marriage or slavery, we also should think about the conditions that foster slavery internationally.

Poverty, instability and a lack of education tend to make the practice of slavery more likely and help it persist.

This is particularly troubling given reports that the Nigerian girls were kidnapped because they were at school. Boko Haram, the group taking credit, has a name that roughly translates to "Western education is a sin."

Education and stability also could help end slavery.

"Any time there's conflict -- particularly when that's accompanied by historic discrimination against women and sex violence and abuse -- it's actually not uncommon that there would be this type of kidnapping," Karen Stauss, director of programs at Free the Slaves, a Washington-based advocacy group, told me.

It's crucial not to downplay the importance of finding the young women in Nigeria, but I agree with Stauss when she says that every potential victim of trafficking and sex slavery has an important story to tell.

All of them matter.

Bergen: What's at stake in war against girls' kidnappers?

It's impossible for each to become the center of global media coverage. But each deserves our advocacy. If you live in the United States, asking your legislators to pass the International Violence Against Women Act is one way to show your support for all of the women around the world who are hurt because of their gender. The act would make combating gender-based violence a central goal of U.S. foreign policy.

Change.org has an online petition you can sign.

I'm sure there are some people who will read this and think that Nigeria and the issues of slavery and the sex trade are far too distant to matter to them. For one, that's patently untrue. Trafficking occurs in the United States and Europe, as well.

But, if that is your view, I'd ask you to consider what Emeka Daniel told CNN after the kidnapping in Nigeria. Daniel, whose father was kidnapped in Nigeria in a separate incident, according to the CNN report, said some people in Nigeria reacted to the news by saying "Why do I care?" and "Nigeria is done."

They'd resigned to the control this extremist group exerts. And they'd lost hope that the country can be made safe.

Not Daniel.

"I refused to believe that," he said, according to the report. "We can't let this be the new normal."

I'd second that.

This sort of violence against women could start to seem normal if it's ignored. So don't ignore it.

Demand, as so many are, that the United States and others do more to help rescue the girls. And refuse to ignore the fact that, every day, unseen and unheard women face sex slavery and discrimination on an unthinkable magnitude.

@highlight

Nigeria is home to 670,000 to 740,000 slaves, according to 2013 report

@highlight

John Sutter: Nigeria kidnappings highlight horrific worldwide problem

@highlight

Sutter talks with slavery experts about what could happen to the kidnapping victims

@highlight

Nigerian man: "We can't let this be the new normal"