(CNN) -- The 1992 Barcelona Olympics mark the first games in which Team USA included NBA athletes. It was called the "Dream Team."

The Dream Team comprised a coterie of NBA legends, including Magic Johnson, Larry Bird, Charles Barkley, John Stockton, and of course, "His Airness" Michael Jordan. Its claim to the title of best basketball team ever has remained virtually unchallenged for two decades.

That is, until last week, when Lakers guard Kobe Bryant suggested this year's Olympic team, featuring himself along with NBA superstars LeBron James and Kevin Durant, could beat the heralded Dream Team.

Suffice it to say, Bryant's assertion shook up the sports world.

The vigorous responses on ESPN, talk radio and in cyberspace are fierce rebukes directed at the five-time champion for declaring what many commentators, bloggers and pundits deem blasphemous.

Michael Jordan laughed when recalling Bryant's statement, telling reporters that his Dream Team was too smart and too good to lose to this current contingent of NBA youngsters. Similarly, Charles Barkley chided Bryant, arguing that Kevin, LeBron and Kobe are the only Team USA players good enough to have made the 1992 Dream Team roster.

The general consensus appears to side with Jordan and Barkley. In informal online polls, an overwhelming majority of the public favored the Dream Team over our current Olympic Team in a hypothetical matchup.

Judging by the polls, pundits and prognostications on the issue, few seem to be taking Kobe's sacrilege seriously.

But I do.

In fact, I believe Kobe Bryant's team would not only win, but also win comfortably. What makes this social scientist so sure?

There is a general principle within elite performance systems, including everything from Scripps National Spelling Bee Championships to world-class modern dance companies, scientific research communities and professional sports. In competitive systems that offer participants great incentives, peak levels of performance progressively elevate.

HLN: Kobe's right: Better Dream Team... '92 or '12?

Simply put, spelling bee finalists, elite dancers, noted scientists, and superstar athletes get better and better over time.

For example, Alvin Ailey, the founder of the prestigious Alvin Ailey American Dance Theater, and Judith Jamison, the dancing legend who elevated the company to world-class status, would not have been strong and athletic enough to secure spots in the same company if transported a few decades into the future while still in their primes. As decades passed, the physicality of the dancers in their company progressed far beyond Ailey's and Jamison's capabilities.

The sports world is no different from the elite world of modern dance in that a whole lot can happen in just a few decades. Sports science advances, training regiments improve, coaching schemes gain sophistication, conditioning capabilities increase and practice procedures progress.

As a result of these cumulative advances, athletes become bigger, stronger, faster and better.

In 1972, Mark Spitz was the greatest swimmer in the world, winning seven gold medals in the Munich Olympics. But 20 years later, all of Spitz's record times were not just broken, but shattered. In fact, 1992 medalist Matt Biondi's best time in the 100-meters freestyle (long course) was almost three seconds faster than Spitz's 1972 mark of 51.2 seconds, a world of difference in the event. Biondi's record was broken by CÃ©sar Cielo from Brazil, who holds the long-course record with a time of 46.91 seconds.

In figure skating, a quadruple jump, or toe loop, was inconceivable in the 1970s. By the 1988 World Championships, Canada's Kurt Browning landed the first valid quad toe loop. Twenty years after Browning's pioneer landing, the difficult move is part of the repertoires of most male Olympic figure skaters.

Today's swimmers, sprinters, pole vaulters, shot putters, divers and long-jumpers are considerably better than their 1992 predecessors. Few, if any, athletic records last more than a decade before better athletes break them, and then in the next decade shatter them as a new breed of competitor emerges.

Some records appear unbreakable in certain sports, but the progression in ability can explain why. Transport Steffi Graf from the 1990s into today's tennis circuit. Could her startling feat of maintaining World No. 1 ranking for 377 weeks happen today, when many more women detonate blistering service games, discharge powerful forehands and display dazzling speed and footwork? To put this into perspective, Graf's fastest serve was 112 mph. Venus Williams' fastest serve is 127 mph.

Similarly, transport Joe DiMaggio a few decades into the future and his record 56-game hitting streak would have to be accomplished pitted against better defenses, fresh relief pitchers at the end of games, harder fastballs, slicker sliders and increased baseball knowledge.

The possibility that Graf and DiMaggio's records may never be broken only speaks to how much competition in tennis and baseball has strengthened. Although swimmers and sprinters face no resistance beyond water and air, peak-performance feats in other sports must face strong defenses, which only improve as each sport gains sophistication. Wilt Chamberlain scoring 100 points in the era of Bill Russell is different from Chamberlain having a 100-point game in the era of Patrick Ewing, David Robinson and Shaquille O'Neal.

Today's NFL safeties, linebackers and defensive ends are undoubtedly faster and stronger than their 1992 counterparts. Football's all-time leading wide-receiver Jerry Rice would struggle to get open for a pass when running routes against today's speedy cornerbacks, just as few NFL teams would draft Joe Namath and Roger Staubach if the two Hall of Fame quarterbacks were transported into the 1990s while in their primes.

Transport any NBA legend 20 years into the future and he would have to compete against a new breed of athlete. Which means we can presume that:

Walt "Clyde" Frazier, Willis Reed and Phil Jackson, players on the 1973 Knicks championship team, would be too slow in their positions to help any NBA team win a championship in 1993.

John Havlicek would not steal the ball in Game 7 of the 1985 Eastern Conference Championship like he did in 1965 because he is comfortably seated on the bench.

Oscar Robertson in the 1960s is an indomitable force; the same Oscar Robertson in the 1980s would be a serviceable journeyman.

Magic Johnson in his prime would be too slow to play point guard in today's locomotive landscape, just as Larry Bird would be too slow to guard any of today's elite small forwards.

Can you imagine Magic chasing after Team USA's speedy guard Russell Westbrook, or Bird trying to contain Carmelo Anthony? It wouldn't be pretty.

So there you have it. The new breed trumps the old. Today's Scripps National Spelling Bee winner would crush the 1992 winner in a spell-off. Today's Alvin Ailey dancers dance like superhumans compared with 1992 Ailey. Even today's competitive eaters vaporize hot dogs far faster than yesteryear's carnivores. This year, Joey Chestnut downed 68 hot dogs in 10 minutes, crushing Takeru Kobayashi's 2002 mark by almost 20 dogs, and two minutes faster at that.

Transport this year's Team USA back to 1992 and the heralded Dream Team loses to Kobe's kinetic crew by a wide margin.

The opinions in this commentary are solely those of Shayne Lee.

@highlight

Kobe Bryant suggests the 2012 Olympic basketball team would beat 1992's Dream Team

@highlight

Shayne Lee: It might be blasphemous, but Dream Team wouldn't beat today's players

@highlight

In elite performance systems, Lee says, players break records and get better each year

@highlight

Lee: Past record-setting athletes would be hard-pressed to recreate accomplishments today