Hong Kong (CNN) -- After jarring clashes between pro-democracy protesters and opponents in Hong Kong's densely populated Mong Kok district Friday, student leaders called off talks with the government, accusing police of allowing the violence to happen.

"The path of conversation should be put aside now. The government is not honoring its promise and it should be held accountable first," the Hong Kong Federation of Students said in a statement.

Pro-democracy activists accuse Beijing of exerting too much influence on Hong Kong and are demanding the right to directly choose candidates for elected office -- rather than the newly instituted policy giving the central government veto power over eligible candidates -- and other reforms.

Students had hoped to meet with the No. 2 official in Hong Kong's government, Chief Secretary Carrie Lam, in an effort to resolve the political crisis that has gripped the semiautonomous Chinese territory for a week.

Protester Edward Tsoi said that after some students had been beaten and others sexually molested as police stood by and watched, they had lost all faith in government officials.

"The government and the police have done nothing to stop them," he told CNN.

A police spokesman rejected the protesters' claims, saying police had tried to fairly and neutrally manage a chaotic situation. At least 12 people were injured in the clashes in Mong Kok, including six officers, according to the police. (In the seven days of protest, 148 people have been injured.)

Police official Kong Man-keung told reporters Friday that police were struggling to deal with a quickly developing situation and did their best. He reiterated requests for protesters to disperse, but protest leaders said they would do nothing of the sort.

"Now, the government is declaring that it will stand firm in clearing the occupied areas," the student federation said in its statement. "And we ask Hong Kong people to come and protest all these areas and we will fight to the end and we're not going to succumb."

Demonstrators on both sides of debate

The clashes broke out Friday in Mong Kok, a tightly packed neighborhood of shops and residences where protesters have occupied one of the city's busiest intersections.

Witness Jessica Cheung told CNN the trouble began around noon when "a 30-something-year-old man" began "causing a scene." After him came a bunch of "middle-aged men" who burst into the area saying, "''You're in my way, I have to go to work, I have to make a living.' "

The men, who did not appear to be from the area, tried to tear down protesters' tents and got into scuffles with them, Cheung and other protesters said. Another activist, Wilson Wong, called the crowd encircling the protesters intimidating.

"We just want a peaceful dialogue, but we're scared because they're using violence," he said. "We're very nervous and our hands are shaking, even as we hold on to each other."

The crowds opposing the protesters in Mong Kok expressed anger about the disruption posed by the demonstrations, which have choked one of the busiest intersections in Hong Kong.

"They've been here for nearly a week. They need to clear out. It's ruining our economy, they just need to leave," said one of them, Joe Lee.

A similarly minded crowd gathered Saturday at the police headquarters, though there were no clashes with protesters in this case.

"We need order. We know what they want. Why do they still stay?" said one of them, retired police officer Yan pak Yu. "Go to the park. Go the playground. Don't obstruct the daily operations of Hong Kong."

Crowds grow 'exponentially' after clashes

Meet the 17-year-old student agitating for change

At least 20 people arrested at the protest were suspected of crimes, including fighting in public places, unlawful assembly and assault, police said.

Hong Kong's police superintendent warned that demonstrators should clear the busy Mong Kok intersection or face arrest. Police will begin dismantling protest barriers, and anyone remaining at the site could be arrested, Superintendent Mok Hing-wing said at a news conference broadcast by Hong Kong media.

Despite the warnings, the crowd at the site grew "exponentially" after the clashes, Kong said.

On Saturday morning, things had calmed down considerably, but a couple hundred protesters remained at the scene. The protesters are employing a strategy to call other students over if they perceive a possible threat.

Hong Kong protests: What's next?

Earlier, Hong Kong Chief Executive C.Y. Leung said there was no current plan to clear the remaining protesters, their numbers significantly reduced from the massive crowds that turned out on public holidays the previous two days.

"Currently, we do not have any plan, but as I ... said, nowhere else in the world would tolerate protesters surrounding government headquarters indefinitely," he told reporters.

Protest demands

Demonstrators are upset with a recently enacted policy giving Beijing veto power on who can run as a candidate for the chief executive role in the 2017 election.

A new electoral system will, for the first time, let the city's 5 million eligible voters pick a winner, rather than a 1,200-member committee stacked with Beijing loyalists that has chosen past leaders.

Critics argue that the right to vote is pointless if the candidates are handpicked by Beijing. They complain the Chinese government is encroaching too much on the affairs of Hong Kong, a semiautonomous Chinese territory ruled according to the "one country, two systems" policy since the 1997 handover from Britain.

Leung's steadfastness against the protesters' demands has led them to call for his resignation.

But he's had support in Beijing, with a high-ranking Chinese official has denounced the protests as "illegal acts" while reiterating China's view that what happens in the special administrative region is purely a domestic matter.

How tear gas united Hong Kongers

It remains unclear how long the protests can maintain support and continue to draw the numbers that have so far clogged main arteries. The crowds are getting smaller during the daytime when most of the protesters go home to shower and refresh.

If the students "drag this on for a really long time, they're going to start losing some of their support," David Zweig, a professor at the Hong Kong University of Science and Technology, said as he stood at the main protest site.

CNN's Michael Pearson, Elizabeth Joseph, Madison Park, Euan McKirdy, Ray Sanchez, Esther Pang, Anjali Tsui, Jethro Mullen, Greg Botelho and Laura Smith-Spark contributed to this report.

@highlight

Friday clashes in Mong Kok district leave 12 injured

@highlight

Police allowed attacks on pro-democracy protesters, demonstration leaders say

@highlight

A police spokesman rejects those claims, saying officers did their best

@highlight

The political crisis in Hong Kong is now in its seventh day