(CNN) -- In this acrimonious and bitter American summer of 2010, a summer during which at times it has seemed that everyone is angry at everyone else, I sat outside the other afternoon and read a magazine.

The magazine was Life.

The cover date on the issue was July 4, 1955.

The middle of the 1950s was the apex of the era in which Life -- the weekly Life -- was a mainstay in American homes. Arriving like clockwork in mailboxes in big cities and tiny towns, Life, with its 20-cent cover price and its red-and-white rectangular logo, represented America talking to itself. It didn't just mirror the national conversation; it was, in large measure, the national conversation.

Fat and prosperous, seemingly as tall as the Empire State Building when compared to today's magazines, Life in the summer of '55 offered on its numerous advertising pages remedies for the sweltering days and nights the nation was going through: four separate display ads for different brands of lemonade, ads for window-mounted air conditioners and fans, colorful full-page ads for fancy ice cream (Lady Borden Plantation Peach, Meadow Gold Hawaiian Sherbet).

But that was not the fascinating thing about this particular issue.

That is not what, in this rancorous summer of 2010, has the power, over all the years, to make you stop and reflect.

Near the front of the magazine, the lead story summed up the mood of the United States in the week that had just ended.

The headline was: "Nobody Is Mad With Nobody."

The magazine reported:

"Summer, announced by graduation and the Fourth of July, rolled over a nation up to its ears in domestic tranquility."

And:

"Embroiled in no war, impeded by no major strikes, blessed by almost full employment, the U.S. was delighted with itself and almost nobody was mad with nobody."

And:

"This week millions of Americans were purring with contentment --  when they were not roaring with exuberance."

And:

"The satisfaction showed in the grinning faces of Vermonters, hearing an easygoing speech by the President of the U.S. It was evident in the triumph of a Coloradoan standing amid chest-deep wheat where there had been only dust weeks before. The great nation, made possible by the bold planning of the Founding Fathers, had reached a peak the planners could scarcely have imagined."

How much of this may have been an illusion? What portion of Life's snapshot of the United States in that summer 55 years ago may have been a willful fantasy, a purposely comforting dream?

Certainly a case can be made that, even in placid times, the cloudless rendering of unfettered happiness that Life was selling was in part a carefully marketed image of the country. Alan Brinkley, in his excellent recent biography of Life founder Henry Luce, used that very issue of Life among his examples of Luce's desire to build national consensus: of Luce's determination to convince Americans that they had a great shared purpose, and that they were doing just fine.

History tells us that the United States of 1955 may not have been quite the unblemished, unremittingly joyful land described in that issue. You're probably already checking off the things about America that needed fixing back then: Racial inequity was widespread, constrictive conformity was all around, intolerance of anything different was itself tolerated ... your list could go on and on.

But here is what should give us pause:

If monolithic national happiness was, in fact, being sold as a commodity back then, a case can also be made that the commodity being sold to us today is national animosity. Just about every day, we are told how furious we are at each other. If Luce's Life magazine was endeavoring to promote the notion of consensus, what we are being relentlessly barraged with now is a message of anti-consensus. And that may be just as false an impression, in its own way, as the everyone's-joyful pitch was in 1955.

It's a possibility that is at least worth thinking about. The television airwaves these days are bristling with images of rage, yes. But is that rage truly a representation of how most Americans feel about each other? Combativeness has always been an easy sell; that early hit television show was known as the "Friday Night Fights," not the "Friday Night Handshakes."

In 2010 the three cable TV networks that specialize in news coverage are the place where America's disagreements are on perpetual display, where the conversations tend to be the most vigorous, and sometimes the most high-decibel. They often depict a nation ready to duke it out. Yet on a given evening, the combined peak total of people watching the three news networks on cable at a given moment seldom exceeds 5 million. Out of a U.S. population of 310 million.

Is there anything to be made of that -- of the fact that more than 90 percent of the country may be tuning out the constant battles, may be symbolically choosing to hit the "mute" button? And even putting that aside, is there a chance that in this allegedly angry summer, a significant portion of the country may elect not to wake up all that angry with their fellow citizens? That there may be an underreported reservoir of good will, and willingness to listen to the other guy, out there?

That the country yearns for lowered voices and reasoned conversation?

For a shared purpose, a steady middle ground?

Just asking the question, for your end-of-summer consideration. "Nobody Is Mad With Nobody," Life declared, 55 summers ago. It may have merely been a pipe dream.

But in the words of a great Southern California philosopher:

Wouldn't it be nice.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

In summer of 1955, Life magazine featured a story titled: "Nobody is mad with nobody"

@highlight

It depicted a nation at rest, calm and secure in its contentment

@highlight

Bob Greene asks if that image of American tranquility was real

@highlight

He also asks if today's image of America as an angry nation is real