David Petraeus' resignation was not linked to the September attack that killed four Americans in Benghazi, Libya, and he never passed classified information to the woman he was having an affair with, the former CIA director told an HLN journalist.

"In our first conversation," Kyra Phillips, from CNN's sister network HLN, said Thursday, Petraeus "had told me he had engaged in something dishonorable. He sought to do the honorable thing in response -- and that was to come forward. He was very clear that he screwed up terribly ... even felt fortunate to have a wife who is far better than he deserves."

Phillips, who has interviewed Petraeus in war zones, initially reached out to him to express shock at the news of the affair that derailed a highly decorated career in the military and CIA.

Among other things, Petraeus said he has not talked with Paula Broadwell, his biographer and the woman with whom he had an affair, since the scandal broke.

What the Petraeus scandal says about digital spying and your e-mail

"He insisted to me that he has never passed classified information to Paula Broadwell," Phillips said. "He said this has nothing to do with Benghazi, and he wants to testify. He will testify."

Petraeus is expected to appear Friday before the House and Senate intelligence committees, aiming to clear up "a lot of misrepresentations of what he told Congress initially" about who was behind the attack, a source who has spoken with him said.

Meanwhile, the "general conduct" of Petraeus is the focus of a new investigation launched by the CIA's inspector general, said CIA spokesman Preston Golson said.

Among other aspects, this inquiry will explore whether Petraeus used CIA resources in carrying out his affair with Broadwell, a U.S. official said.

In his first public comments on the matter, Attorney General Eric Holder said Thursday that Justice Department officials did not tell the White House about related FBI investigations -- including looking into possible breaches of top-secret information -- because it was determined national security was never at risk.

"Had we made the determination that a threat to national security existed, we would of course have made that known to the president and appropriate members on (Capitol) Hill," Holder told reporters in New Orleans. "But as we went through the investigation ... we felt very secure in the knowledge that a national security threat did not exist."

The former CIA chief didn't try to persuade his bosses to let him keep his job once he admitted the affair, and "has maintained to me all along this was a personal failing," Phillips said.

The extramarital relationship ended months ago. But it continues to make waves in Washington, as suspicions ripple through the capital about the timing of its revelation and Petraeus' scheduled testimony into the Benghazi attack.

Top U.S. general caught up in scandal

In addition, the chain of fiery e-mails that led the FBI to discover the sexual indiscretion has caused collateral damage, putting the imminent nomination of Gen. John Allen as NATO commander on hold, until the nature of his e-mail exchange and relationship with a military "socialite" have been clarified.

The FBI investigation was triggered by Frederick Humphries, a veteran agent for the Tampa FBI field office, who is a friend of Jill Kelley, said Lawrence Berger, general counsel for the Federal Law Enforcement Officers Association.

The tricky nature of investigating Gen. Allen's e-mails

Kelley, who was a volunteer at MacDill Air Force Base in Florida, contacted Humphries about anonymous e-mails that questioned her character, a U.S. official and a source close to Kelley said.

Humphries took the information on the e-mails to the "appropriate components," Berger said. "He reported it to the proper channels and had no further part in the case."

Asked about reports that Humphries pestered the agents assigned to the case for information, Berger said that wasn't true.

"I don't accept that. He followed proper protocols," he said.

However, the FBI is reviewing Humphries' actions, a law enforcement official said. The agency will look at whether Humphries followed proper procedures in speaking to some members of Congress about his concerns about how the FBI was handling Kelley's case.

The review will include a look at whether the agent went through the proper chain of command at the FBI to raise his concerns, the official said. Humphries is still on duty in the Tampa office.

Reports by officials familiar with the e-mail messages between Kelley and Allen give conflicting impressions about their potentially inappropriate nature -- with one U.S. official saying "John Allen would be very embarrassed by them" and a senior official close to the general saying they don't point to a sexual or romantic relationship.

That Allen remains in command in Afghanistan suggests that there is no criminal issue, a U.S. official told CNN. But the official said the Defense Department's inspector general could still find evidence of criminal conduct.

The investigation into the e-mails connected to Allen and Kelley led to the discovery of the affair between Petraeus, 60, and Broadwell, 40.

The fallout has been widespread, but there are signs that the FBI investigation is winding down, said CNN contributor Tom Fuentes, a former FBI assistant director.

There is no indication of criminal activity on the part of Petraeus or that he disclosed classified information, senior federal law enforcement officials told Fuentes.

Kelleys' financial troubles

Kelley hosted top military brass at her home, but it's unclear if Allen or Petraeus were aware that her family was experiencing financial difficulties or of the unusual background of a charity they founded.

Public records show that in April 2010, about six years after the Kelleys bought their $1.5 million home, Regions Bank filed to foreclose on the property, saying the couple hadn't made a mortgage payment since September 2009.

Florida records show there are at least nine lawsuits involving money and the Kelley family, including unpaid credit card bills of more than $320,000.

Public records also show the Kelleys founded a cancer research charity in 2005 called the Doctor Kelley Cancer Foundation. In a  2008 federal tax return, the Kelleys' charity reported it spent the exact amount of money it raised:$157,000.

The charity's money paid for parties, transportation, legal bills and other administrative costs. There is no evidence any of the money was used for cancer research or caring for cancer patients.

Asked for the Kelleys' side of the story, a source close to the family told CNN the source didn't have enough information to respond.

Broadwell's security clearance

It appears unlikely that Broadwell would face prosecution in the case, a senior law enforcement official said.

Officials continued to review materials taken from her home, and the FBI needed a presumption that there were classified materials there when they obtained a search warrant. But it appears that any violations of releasing classified information appear not to be egregious.

Before the warrant was issued, FBI agents approached high-level Pentagon officials to ask them if material they had tied to Broadwell could be considered classified, two U.S. officials with direct knowledge of the case said. Defense Department officials said they were classified.

As a military reservist, Broadwell had security clearance but presumably would have no clear reason to have classified information in her home, the officials said. The military has many safeguards in place, including not allowing data to be saved on hard drives and restricting what can be sent out by e-mail, to prevent secret info from getting out.

Broadwell's security clearance with the government has since been suspended, pending the outcome of the investigation, said the officials.

The relevance of Paula Broadwell's security clearance

Petraeus reportedly has not been following the media firestorm over the extramarital affair that led to his resignation.

"He wants to maintain a distance and focus on his family at this time," his aide, retired Col. Peter Mansoor, has said.

The affair with Broadwell ended about four months ago, Mansoor said, though the two remained in contact afterward, as she needed his help to finish her dissertation.

Read more: How pillow talk could be security threat

Who's who in the scandal

Read more: The Petraeus scandal: What we know

Timeline of the Petraeus affair

Tough choice for Obama on Petraeus' successor

Amanpour: CIA vs. FBI in Petraeus scandal

How Petraeus changed the U.S. military

Petraeus' other seduction

Acting CIA chief has been here before

Opinion: 5 things we've learned from Petraeus scandal

@highlight

CIA will probe if Petraeus used CIA resources to conduct affair, a U.S. official says

@highlight

The FBI found no threat to national security and didn't tell the White House, Holder says

@highlight

A possible promotion for Gen. John Allen is put on hold, as he's tied up in the scandal

@highlight

The security clearance of Petraeus' mistress is suspended, a source says