LONDON, England (CNN)  -- After four years and 11 rounds of hard negotiation, the introduction of the "Open Skies" agreement in March was greeted with a sigh of relief. This was not just from airlines, but also their passengers.

If talks in the second phase fail, the entire Open Skies deal could be torn up.

The deal that allows airlines to fly anywhere in the European Union to anywhere in the United States and vice versa promised to increase competition between carriers and possibly cut ticket prices.

But the relief could be short-lived. On Thursday, the EU and the U.S. began talks in Ljubljana, Slovenia for the second phase of the deal. This time round there's an even tougher set of issues on the table. And if an agreement is not reached by 2011, either side can pull the plug on the whole deal.

Such a move could be crucial for airlines that have already invested hundreds of millions of dollars in preparation for reduced restrictions. Carriers have added and increased frequency of services, with some paying as much $60 million to get their hands on limited Heathrow slots. British Airways will also launch a new business-only airline following the deal between either Paris or Brussels and New York's JFK airport this summer.

One issue the stage-two talks will address is cabitage, or rights for European airlines to operate domestic American routes. European critics have said the current deal offers greater advantage to U.S. carriers by allowing them to operate within the EU. An American airline can, for example, fly from New York to London, where they could pick up passengers and then fly to Germany.

But as John Byerly, U.S. Deputy Assistant Secretary of State for Transportation Affairs and chief negotiator for Open Skies, explains to CNN, this is a red herring in terms of importance in aviation law. "Not one U.S. airline has taken advantage of the right because it doesn't make commercial sense," he says. "The aircraft that's right for transatlantic flights is ill-suited for operation within the highly-contested European Union market."

What's more, adds Kieran Daly, editor of Air Transport Intelligence, there isn't a simple quid pro quo in terms of cabitage. As he explains, the EU is not a single market in the same way that the U.S. is, and the travel patterns on both sides of the Atlantic are different. "Nobody is really sure what the equivalent right would be in Europe for the American carriers," he says.

A more important, and arguably more contentious, issue is around ownership and control. U.S. laws currently cap international ownership to 25 percent of voting stock, and prohibit "actual control" by foreign citizens. If these restrictions are removed it could pave the way for transatlantic airline mergers.

Steve Ridgway, CEO of Virgin Atlantic Airways expresses his frustration that airlines are the only companies that cannot be owned by foreign buyers in the U.S. "An airline is no different to a car company or a telephone company," he says.

"As long as there are proper competition rules in place, and dominance is not allowed, why does there have to be artificial restriction?"

Last August, Virgin completed a five-year battle to start a low-cost service, Virgin America, in the United States. The British company won regulatory approval by agreeing to distance ownership from the Virgin Group. In effect, the Virgin brand is licensed to an American-owned company. But Ridgway wants more. "It took five years for us not own an airline," he points out.

Yet despite Virgin's expansion into ventures such as Virgin America as well as Virgin Blue in Australia and V Australia, the carrier has not yet decided to follow British Airways' lead by launching services from other European capitals following the removal of restrictions under Open Skies. And considering how tempting a Madrid to Miami, or Paris to Los Angeles route could be to a non-flag-carrying carrier such as Virgin Atlantic, this is significant.

Ridgway says a time will come for such routes. "We need the right aircraft, we need the right market conditions, and we need to make sure that we are fighting the right battle here in our home ground. Because this is where our strength is," he says.

But the other reason for hesitancy comes down to a lack of confidence for phase two of negotiations, he adds.

Byerly doesn't deny the difficulties and political hurdles negotiators face. Opening up ownership to foreign companies has implications for homeland security, he explains. "We rely on U.S. airlines to transport our troops and military cargo in time of war of emergency."

They must also tread carefully with airline labor unions. "There are serious concerns about how to maintain a level playing field if you've got two unions, one in Europe and one in the United states, working for an airline," he says.

But signs are that the U.S. is willing to keep an open mind. On Tuesday, United States surprised EU negotiators by proposing to drop investment restrictions for airlines for more than 60 countries.

Senior airline executives have also voiced encouragement for an easing of ownership restrictions. Jeff Smisek, president of Continental Airlines told CNN: "anything that would open up a freer flow of capital between the European Union and United States would be a positive influence."

As Byerly said, the U.S. is willing to envisage a positive outcome from the outset. "We're committed to working in very good faith and with a lot of energy in the second stage of negotiations to try and reach an agreement that is mutually beneficial. That's our goal."

@highlight

The EU and U.S. have begun talks for phase II of the Open Skies air transport deal

@highlight

The hot issue to be debated revolves around ownership rights of U.S. airlines

@highlight

If talks fail, either side has power to pull the plug on the whole agreement