Washington (CNN) -- After more than three days of deliberations, jurors on Monday convicted Ingmar Guandique of two counts of first-degree murder in the 2001 death of Washington intern Chandra Levy.

As the verdict was read, Levy's mother, Susan, stared intently at Guandique. Several jurors wiped their eyes afterward.

Levy, a 24-year-old California native, was in Washington working as an intern for the Bureau of Prisons when she was last seen on May 1, 2001. Her skull was found over a year later, on May 22, 2002, in Washington's Rock Creek Park. But police didn't arrest Guandique until February 2009. He was then serving a 10-year sentence for attacking two other women in the park and had reportedly spoken about killing Levy.

"It's been nearly 10 years since the promise of a young life was lost in Rock Creek Park," Ronald Machen, the U.S. attorney for the District of Columbia, told reporters Monday afternoon. "Today's verdict does send a message for a murderer to be held accountable. It's never too late for justice to be served."

Following an 11-day trial, jurors deliberated for three days and then for another two hours Monday. They notified Superior Court Judge Gerald Fisher about 11:45 a.m. that they had reached a verdict, entering the courtroom at 12:35 p.m. ET.

Speaking after their dismissal, jurors told reporters they took the time to examine each piece of evidence and consider it.

"We were very careful to evaluate all the evidence, and it was a decision based on everything we had," said juror Susan Kelly, a journalist.

Guandique, 29, will face a maximum sentence of life in prison without parole when he is sentenced February 11. The jury convicted him of one count of murder with kidnapping and a second count of murder with attempted robbery.

After the verdict, Susan Levy asked reporters, "What difference does it make," and then answered her own question.

"You, the prosecutors, defense, the jury, the police, the public and individual citizens, as well as the media, both the written media and the visual media, we all make a difference," she said. "... It makes a difference to find the right person who is responsible for my daughter's death or for anybody else's death."

Regardless of the sentence Guandique is given, "I have a lifetime sentence of a lost limb missing from our family tree," she said. "It's painful. I live with it every day. ... There's always going to be a feeling of sadness."

Emily Grinstead told reporters that she and fellow jurors were mindful not to rush a decision. While confident they reached the right verdict, she said that "doesn't mean that I don't wish we didn't have to be here today."

"You're dealing with somebody's life," Grinstead said. "Two people's lives. I don't take that lightly."

Asked what she would say to Susan Levy, juror Linda Norton said, "I think she has to take from this what she will. We cannot bring back her daughter. ... We did the best we could with the evidence we were given."

Prosecutors argued that Guandique, a reputed member of the Salvadoran gang Mara Salvatrucha, attacked Levy while she was jogging in Washington's Rock Creek Park. After her skull was found, a  search turned up other remains of Levy's, as well as clothing later identified as hers strewn down the side of a ravine. Her running shoes were unlaced, and her clothes were turned inside out. Her pants were knotted in tight restraints around her legs.

Prosecutor Amanda Haines, during her closing argument, cited what she portrayed as confessions that Guandique allegedly made to a cellmate as he served time for other attacks, as well as remarks he allegedly made to a female pen pal.

Defense attorney Santha Sonenberg emphasized the largely circumstantial nature of the case, including what prosecutors have acknowledged was a lack of DNA evidence, a lack of witnesses and only secondhand accounts of Guandique's alleged confessions.

Both the women who Guandique also attacked in the park -- including one on the same day Levy went missing -- spoke at the trial, testimony that Kelly called "powerful." He had pleaded guilty for his role in those attacks, and was set to be released in September 2010.

The disappearance of Levy drew national attention after her parents discovered a connection with Gary Condit, who was then a sitting congressman from California. Condit was never a suspect in the case, but he was questioned intensively for details about Levy's whereabouts.

He testified in the trial earlier this month, but refused to address a question about whether he had sex with Levy. An FBI forensic expert later confirmed Condit's semen had been found in underwear retrieved from Levy's apartment in the days after her parents reported her missing.

"We've lost our feeling for common decency. I didn't commit any crime. I didn't do anything wrong," he said.

Condit said several times during his testimony that the media frenzy surrounding Levy's disappearance was hard to handle, including a helicopter flight over his California home while his daughter and her friends were sunbathing at the family's pool. "They reported that I had young women in bikinis at my house," he said.

Juror Grinstead pointed out that it wasn't just police that were sidetracked and focused for weeks on the wrong person. Asked who also was on the wrong track, she told reporters, "You all."

Metropolitan Police Department Chief Cathy Lanier defended authorities' handling of the case Monday afternoon, saying it sometimes takes time to find evidence and suspects. The U.S. attorney's office in the District of Columbia recently opened a "cold case" unit, which Machen credited for leading to four convictions in the past year for murders that dated back as far as 20 years.

"It's not like it is on TV. Cases can be very complicated," said Lanier, who became chief in 2007. "You never give up, regardless of criticism, regardless of mistakes. And I think that's what happened in this case."

CNN's Paul Courson contributed to this report.

@highlight

NEW: U.S. attorney says verdict shows murderers will be held accountable

@highlight

NEW: Police chief defends handling of case, which first focused on Gary Condit

@highlight

The body was found over a year after she disappeared; charges came 9 years later

@highlight

Chandra Levy's mother: "There's always going to be a feeling of sadness"