Atlanta (CNN) -- Basketball star Lisa Leslie battled her way from the courts of Inglewood, California, to the upper echelons of the WNBA to become one of the most popular women's basketball players of all time.

After retiring from play, Leslie finds herself in a new fight -- to gain respect for her beloved sport.

"It's a constant battle," she says. "I feel like I'm an activist for women in sports."

Marking its 17th season this year, the Women's National Basketball Association is the country's longest-running professional women's sports league. But the quest for fans, sponsors and exposure in a sports world dominated by men can be slow, and tough.

The league will celebrate the 27th annual National Girls and Women in Sports Day on Wednesday, with several community events across the country. The occasion will honor female achievement in sports. But some say U.S. attitudes have a long way to go.

How women cracked tennis' glass ceiling

Leslie was one of the pioneer players in the league. During her 12 seasons in the WNBA, she won three Most Valuable Player trophies -- not to mention four Olympic gold medals. She also scored her place in women's basketball history when she became the first professional player to slam dunk during a game back in 2002.

Now, as co-owner of her former team, the Los Angeles Sparks, she is looking for a slam dunk in the form of financial support. "It's difficult to get corporate sponsors to really buy in and spend some of those corporate dollars on women's sports," she says.

The WNBA says that team sponsorships rose more than 10 percent in 2012 from the prior season. Still, Leslie calls her task tough, even with support from the NBA. Leslie says the women's league is growing, "but it would be nice to get more fans supporting the WNBA and more women supporting women in sports."

Top player Tina Charles says there is an unfair attitude toward women's sports in the United States.

"I don't think we get a lot of media coverage the way that I wish we could," she says. The center for the Connecticut Sun was the WNBA's MVP last season.

Still, speaking to CNN from Krakow, Poland, where she is playing in the offseason, she says she is pleased with the WNBA's progress, and that playing for the league has been a dream come true.

"I think we have a lot to show with the way we play," she says. "...how hard we play, how competitive we are, just to show that there is another avenue for girls, another outlet for girls."

But building a fan base and profitability takes time. It also takes canny leadership.

"We are in no way resting on our laurels," says WNBA President Laurel Richie, who came to the league in 2011 from Girl Scouts of the USA, where she was chief marketing officer. "But we do take some comfort in the fact that it takes a while to get a league and all teams up and running and to profitability."

Expanding exposure is another challenge. Richie points to ESPN2's plan to broadcast the WNBA draft in prime time this year. Last year marked the first time ESPN televised the draft lottery at all.

Experts agree that watching women play in a professional arena is inspiring for girls. And it helps convince them to play sports themselves -- a huge benefit for their development.

"It's really stunning," says Nancy Hogshead-Makar, senior director of advocacy for the Women's Sports Foundation. "The changes are profound for the rest of [a girl's] life."

Hogshead-Makar, who won three gold medals as an Olympic swimmer, says playing sports teaches girls about winning and losing, belonging to a team, and postponing short-term gratification for long-term rewards. She says that those skills "translate directly into tangible educational gains, and economic gains."

Sports can also help teenagers during an awkward time in their development. Lisa Leslie credits basketball with shaping her character, as well as her career.

Analysis: 40 years after Title IX, more women in high school sports

She started playing for a simple reason, she says: "I wanted to be popular."

But impressing her classmates was hardly the only benefit.

"I found playing basketball really became the most important aspect of who I am today," Leslie says. "When you play sports, you're more likely not to do drugs, you're more likely not to have early pregnancy."

WNBA players and executives alike see community outreach as part of the league's mandate. Tina Charles donated $32,000 of her own money to help build a school in Mali.

Kelly Loeffler, co-owner and co-chairman of the Atlanta Dream, says she was drawn to the league when she first saw a game. She thought there was a tremendous product, without the recognition it deserved.

"It was the opportunity to solve that business challenge," Loeffler says, "...while being a part of the growing movement towards growth in professional women's sports."

She credits her players with filling key roles in the community and helping to win fans among girls, and boys.

By building awareness, women's sports fans hope to create more support for women on the court. One of the most famous female athletes in the country, Jackie Joyner-Kersee, credits Title IX, a 1972 law barring discrimination in school sports, for creating equal opportunities for girls.

"With Title IX, the opportunity for girls in sports is such a blessing," says Joyner-Kersee. "I can never imagine the women who came before me, who didn't have the same opportunities that I had."

She broke records with her Olympic heptathlon performances. Now, she reaches out to young people through grassroots programs, like the Triple Play wellness program through the Boys and Girls Clubs.

Experts agree the race isn't over for equality in sports, particularly in the coaching industry. Hogshead-Makar says women are locked out of jobs that would have them coaching men at the university and professional levels.

"It's probably the most sex-segregated industry out there," she says. "The industry of coaching men. It's less than 2%."

Still, she's optimistic about the future.

"(With) those numbers?" she says. "You can only go up."

@highlight

The 27th annual National Girls and Women in Sports Day is Wednesday

@highlight

In its 17th year, the WNBA still struggles for fans and sponsorship, says Lisa Leslie

@highlight

Leslie contends playing sports can help deter girls from early pregnancy and drugs