(CNN) -- Russia's military occupation of Ukrainian territory on the Crimean peninsula constitutes a blatant violation of the commitments that Moscow undertook in the 1994 Budapest Memorandum on Security Assurances for Ukraine. The United States and United Kingdom, the other two signatories, now have an obligation to support Ukraine and penalize Russia.

When the Soviet Union collapsed in 1991, Ukraine found itself holding the world's third largest nuclear arsenal, including some 1,900 strategic nuclear warheads that had been designed to attack the United States. Working in a trilateral dialogue with Ukrainian and Russian negotiators, American diplomats helped to broker a deal —the January 1994 Trilateral Statement — under which Ukraine agreed to transfer all of the strategic nuclear warheads to Russia for elimination and to dismantle all of the strategic delivery systems on its territory.

Kiev did this on the condition that it receive security guarantees or assurances. The Budapest Memorandum, signed on December 5, 1994, by the leaders of Ukraine, Russia, the United States and the United Kingdom (the latter three being the depositary states of the Non-Proliferation Treaty, that is, the states that receive the accession documents of other countries that join the treaty) ) laid out a set of assurances for Ukraine. These included commitments to respect Ukraine's independence, sovereignty and existing borders; to refrain from the threat or use of force against Ukraine's territorial integrity and independence; and to refrain from economic coercion against Ukraine.

Rubio, Cotton: Congress must act quickly to punish Putin

The memorandum bundled together a set of assurances that Ukraine already held from the Conference on Security and Cooperation in Europe (CSCE) Final Act, United Nations Charter and Non-Proliferation Treaty. The Ukrainian government nevertheless found it politically valuable to have these assurances in a Ukraine-specific document.

Words matter, and a big question at the time arose over whether to use the term "guarantees" or "assurances" in the memorandum. The United States provides guarantees to allies, such as NATO member states; the term implies a military commitment. In the early 1990s, neither the George H. W. Bush administration nor the Clinton administration was prepared to extend a military commitment to Ukraine— and both felt that, even if they wanted to, the Senate would not produce the needed two-thirds vote for consent to ratification of such a treaty.

The Budapest Memorandum thus was negotiated as a political agreement. It refers to assurances, not defined, but less than a military guarantee. U.S. negotiators —myself among them — discussed this point in detail with Ukrainian counterparts so that there would be no misunderstanding.

What is taking place today in Crimea can only be described as a Russian military occupation. The Russian Black Sea Fleet and its associated units have had bases in Crimea since 1991, by agreement with Ukraine. But the agreement does not allow for the Russian military, which has poured thousands of additional troops onto the peninsula over the past several days, to take control of Crimea.

Opinion: Putin's Ukranian endgame

These Russian actions are in blatant violation of the Budapest Memorandum, as well as Russia's commitments under the CSCE Final Act and a 1997 bilateral Ukraine-Russia treaty. As signatories, the United States and United Kingdom have an obligation to respond, even if they are not obligated to respond with military force.

Washington and London should act in two ways. First, they should work with other European Union member states to support Ukraine. That means political engagement, such as Secretary of State John Kerry's visit today to Kiev. They should also assemble a financial package with the International Monetary Fund to extend credits to Ukraine. That can give the country some breathing room as it undertakes critical reforms to put its economic house in order.

Second, Washington and London should work with the European Union and others to impose political, diplomatic and economic sanctions on Moscow unless and until Russia ceases its violation of Ukraine's sovereignty and territorial integrity. This has begun. On Sunday, the United States, United Kingdom, Germany, France, Italy, Canada and Japan announced they were suspending preparations to take part in the G8 summit to be hosted in June in Sochi by Russian President Vladimir Putin. Other steps have been taken, and still others are being planned.

The West should aim to impose significant costs on Russia that will lead Putin to rethink his actions. That likely will prove difficult, but there can be no business as usual with Moscow.

Opinion: How Putin carries out power grab

A strong response is important for settling Ukraine's current crisis. It also matters for the cause of nuclear nonproliferation. Security assurances were key to bringing Kiev to agree to get rid of its nuclear arms. If Washington and London do not stand by the Budapest Memorandum now, it would discredit the idea of such assurances. That would be unfortunate, as security assurances could play a role in defusing nuclear proliferation cases, such as Iran.

The opinions expressed in this commentary are solely those of Steven Pifer.

@highlight

Steven Pifer: In Ukraine occupation, Russia reneging on 1994 deal to leave it alone

@highlight

Budapest Memorandum let Ukraine shed nukes in exchange for its sovereignty, he says

@highlight

U.S., Russia, UK, Ukraine signed. Russia now reneging. West must penalize it, he says

@highlight

Pifer: Failure to support Ukraine could delegitimize future nuke deals, like with Iran