Beijing (CNN) -- When China's new leader Xi Jinping spoke to the media last week, one sound bite struck me as especially noteworthy.

The Chinese people love life, he said, and they wish for better education, more stable jobs, better medical care -- in short, "more comfortable living conditions and a more beautiful environment."

This, he said, is the goal that China must strive for, one that is surely shared by many Chinese.

To achieve that, however, China needs to square the circle: to grow fast while mitigating the degradation of its environment and ecology, especially its air and water.

Read more: Protest stops China sewage pipeline project

China, for one, has a drinking problem.

I discussed this topic with a group of experts in a Fortune magazine forum recently held in Beijing.

China's water crisis looks grim, the panelists agreed. The United Nations says China is one of 13 countries with extreme water shortages.

The problem is partly demographic -- it hosts 20% of the world's population yet only holds six percent of the world's water resources -- but is also exacerbated by rapid and short-sighted development.

Read more: Taking a swim? App lets users check water's cleanliness first

Strong economic growth has turned the country into the world's second largest economy but at the expense of the environment.

The Yangtze River, once the lifeblood of the country, now flows a foreboding blood red, possibly due to industrial pollution, experts said.

Chronic droughts plague important agricultural regions like Shandong province, which produces most of China's grain.

For Guo Peiyuan, general manager at SynTao, a Beijing-based corporate sustainability consulting firm, the problem is close and personal.

"I was born in a farmer's family in southern China, and there are a lot of rivers there," he recalled. "When I was a child we could swim in the river. But as I grew up in the 1990s, a lot of factories came in. One summer vacation I went to my hometown, and my mother told me that the local farmers would not use the water for the crops because water was polluted, and the vegetables would die."

Read more: River in China turns red

Stories like Guo's are common. Citizens lodge not-in-my-background public protests amid fears of industrial pollution. In October, for instance, thousands of residents protested in Ningbo, a thriving coastal city, and forced local officials to shelve plans to expand a chemical plant.

Such successes are still rare, and experts worry the water crisis is going to worsen in years.

China's water demand will reach 818 billion cubic meters, experts say, and yet there's only 616 billion cubic meters available.

Beijing has about 100 cubic meters of water available per person, well below the U.N. standard of 1,000 cubic meters per person, a threshold used to measure chronic water shortage.

Read more: ConocoPhillips to pay $191 million more to China over oil spill

Debra Tan, a specialist at China Water Risk, a Hong Kong-based non-profit group, suggested a way to visualize the crisis. Imagine, she said, that China has 25 bathtubs of water per person. The U.S. will have the equivalent of 125 bathtubs.

Polluted water is both deadly and costly.

China now has around 300 million people with no access to potable water, resulting in some 66,000 deaths per year, according to the World Bank. It estimates the cost of water pollution to China at $22 billion, roughly 1.1 percent of the country's GDP.

The Chinese government recognizes the problem and is seeking to cut water consumption by 30%.

Read more: Experts detail 5 challenges for China

But that target, experts said, is hard to reach.

"Because of population growth, because of distribution of populations, there's even greater demand. There's an expected increase of up to 10% demand in the agricultural spaces in northern China. This increase is going to put ever increasing stress on those already stressed water systems," said Matthew Durnin, director of science programs in Asia for The Nature Conservancy.

Read more: Why booming China needs to learn the three R's

China's rapacious water consumption is in part boosted by an illogical scenario: water, while scarce, is unusually cheap.

"In China, water really should be three to five times more expensive," said Tan of China Water Risk.

One way to reduce consumption, she said, will be to keep raising water prices, a step China has been taking since 2009.

Tan believes the solution lies in targeting industry and agriculture, the "largest users and polluters." They use about 85% of the water in China, she said, and should face higher disincentives and harsher punishments.

Ma Jun, who runs the non-profit Institute of Public and Environmental Affairs in Beijing, seeks pollution control, especially of water resources, by blacklisting notorious violators.

Read more: China's famed Pearl River under denim threat

Ma, one of China's most tenacious "green warriors," has made some headway but said environmental litigation is nearly impossible because enforcement of existing environmental laws is weak.

"We need to bring in more stakeholders and apply public pressure, like putting these companies on a list of polluters," he said.

Pressure, shaming and wish to make amends, he said, is changing behavior. "So far we have some 720 companies on our list coming to our NGOs to figure out what they did wrong and how they can fix their problems."

Read more: Red river brings cancer, Chinese villagers say

Ordinary Chinese consumers need to change consumption habits, too, experts said, just like those in developed countries.

"America can't be America anymore," explained Durnin of The Nature Conservancy. "The rest of the world can't be like the developed world. We can't keep saying that we want everyone to rise up to the same standard because that is an unsustainable standard."

Durnin proposed a simple step for China and other countries to take: fix leaky pipes.

"There's a lot of waste in urban environments, in the transfer of water in the pipes. There's literally hundreds of millions of miles of pipe laid around the world that are leaking and wasting water. These are some simple fixes that we could do right away."

CNN's Rebecca Chao contributed to this report.

@highlight

China is one of 13 countries facing extreme water shortages, according to the U.N.

@highlight

The country is home to 20% of the world's population, but only has 6% of its water resources

@highlight

Yangtze River, once the country's lifeblood, has now turned blood red

@highlight

Pollution needs to be cut, but ordinary Chinese must also reduce consumption: Experts