(Health.com) -- Electroshock therapy today bears little resemblance to its lurid depictions in Hollywood dramas like "One Flew Over the Cuckoo's Nest."

For decades psychiatrists have used shock therapy to treat cases of depression that haven't been helped by antidepressant medications, and in recent years the treatment -- now known as electroconvulsive therapy (ECT) -- has experienced something of a revival.

Roughly 100,000 people in the U.S. now receive it each year.

The future of ECT is in doubt, however. On Thursday, a Food and Drug Administration (FDA) advisory panel will meet to consider whether the machines used in ECT should be more tightly regulated than they are now. If the advisory panel votes for more oversight -- and if the FDA follows the panel's advice, as it usually does -- some experts fear that access to the treatment will be curtailed.

Health.com: Hysteria, demons, and more: depression throughout history

ECT machines are currently in a strictly controlled category of medical devices that includes pacemakers and prosthetic joints.

As with prescription drugs, devices in this class must be approved by the FDA before they can be used on patients. But because ECT devices were already in use when the FDA put those rules in place about 35 years ago, they were exempted from the approval process.

The FDA is now revisiting the status of the devices. The agency can leave ECT devices in their current class and require manufacturers to provide evidence of safety and effectiveness, which may entail new clinical trials and could temporarily limit the devices' use.

Or it can rely on existing evidence and reclassify the devices to a less restrictive category that includes ultrasound machines, motorized wheelchairs, and contact-lens solution. That option would give ECT devices a pass and ensure that they remain available to doctors.

The impending FDA action has reawakened the debate surrounding this controversial treatment for depression and other mental disorders. More than 1,500 organizations and individuals have filed formal comments with the FDA.

Health.com: 10 things to say (and not say) to someone with depression

The American Psychiatric Association (APA) and scores of individual psychiatrists have expressed support for permanently easing the restrictions on ECT devices, because they worry that manufacturers of ECT devices may lack the funds, time, or motivation to meet new FDA requirements (by conducting new research, for instance).

"It may be a major disaster," says Max Fink, MD, a professor emeritus of psychiatry and neurology at Stony Brook University Medical Center, in New York, who researched and performed ECT for 45 years. "If they want an extensive review of safety and efficacy, that means somebody has to pay for it. It becomes a very expensive proposition and there is nobody to do it unless the government supports it. The manufacturers are all small companies in the U.S. There's no General Electric for ECT devices."

On the other side, patients' rights organizations and advocacy groups such as the Depression and Bipolar Support Alliance (DBSA) have urged the FDA not to hastily reclassify ECT devices. Those groups argue that the treatment and the potential side effects -- such as memory loss and brain damage -- are serious enough to merit a thorough review.

Health.com: 7 types of therapy that can help depression

And for good measure, the Church of Scientology and related anti-psychiatry groups have joined the fray, calling for an outright ban on ECT and flooding the FDA with comments that call the treatment "barbaric," "evil," and "criminal."

The evolution of shock therapy

ECT was first used on a human patient in Italy in 1938, after preliminary experiments in dogs and pigs. The treatment involves delivering electric currents to the brain in order to induce a seizure, which, in turn, seems to alleviate depression. (No one knows exactly how ECT works.)

Early ECT treatments were more primitive than those used today, and in some cases they did cause harm to patients, including memory loss, burns from the electrodes placed on the patient's skull, and bone fractures resulting from violent muscle contractions during the seizure.

These grisly scenes are now a thing of the past, advocates of the treatment say, thanks to improvements in devices and protocols. "We have not had an injury of any kind from ECT in years," Dr. Fink says.

An ECT session generally lasts no more than 10 to 20 minutes, and the bulk of that time is spent waiting for the general anesthesia to kick in and wear off. The electrical current is on for a few seconds or less, and the seizure lasts for about 20 to 60 seconds, says D.P. Devanand, MD, director of geriatric psychiatry at Columbia University's College of Physicians and Surgeons, in New York City.

Health.com: What ECT feels like

The procedure is relatively drama-free. General anesthesia tends to shorten the seizures, and doctors now give patients muscle relaxants that reduce spasms and even "visible movement," says Dr. Devanand, who ran Columbia's ECT Service for 15 years.

The placement of the electrodes has also been refined, making ECT much safer, according to William Narrow, MD, the APA's associate director of research.

"ECT does not cause brain damage," Dr. Devanand says. "Memory loss today is very limited in most cases, and the loss is patchy and primarily for events during and just before and following the ECT course. So the patient may not remember one of the nurses on the ward but will recognize the other nurses."

The treatment is very effective in the short term, Dr. Narrow says. Roughly 80% to 95% of patients experience a full remission from their depression symptoms, he estimates, although some patients need repeat sessions to keep their severe depression from coming back.

And unlike antidepressants, which can take weeks to kick in, some patients start experiencing improvement after their first one or two ECT treatments.

Health.com: 10 surprising facts about antidepressants

A charged debate

In 2009, the U.S. Government Accountability Office, which investigates and audits government agencies, urged the FDA to lift the grandfather clause that exempted ECT devices (and many other types of devices) from the FDA approval process.

Disability and mental health advocates welcomed this development as an opportunity for ECT to receive a long-overdue review of its safety and effectiveness.

If the devices are reclassified, on the other hand, "the rigorous scientific safety investigation of these devices may never take place -- preventing patients from making informed choices about their treatment," the DBSA wrote in a 2009 letter to the FDA.

But the APA and other supporters of reclassification claim that ECT has been researched enough to address these concerns.

"We have a growing body of evidence to support the fact that ECT is safe and effective," Dr. Narrow says. "We think it would be a waste of money and effort to go through a new application process, because the amount of research that's already been done in the past 30 years is so great."

Nancy Koenigsberg, the legal director of Disability Rights New Mexico, one of many independent statewide disability agencies that have lined up against the reclassification of ECT devices, questions the quality of the existing research.

"There are concerns about who's done [the] studies and whether they are, in fact, appropriate scientific studies or whether they're pushed by the APA or pushed by manufacturers," Koenigsberg says. "We're calling into question...whether the studies are, in fact, unbiased studies."

The FDA's neurological devices advisory panel is scheduled to discuss ECT devices on January 27 and 28. An official decision from the FDA will come later.

Copyright Health Magazine 2010

@highlight

Roughly 100,000 people in the U.S. now receive ECT each year

@highlight

FDA meeting to consider whether machines used in ECT should be more tightly regulated

@highlight

Critics say treatment and potential side effects are serious enough to merit review