(CNN) -- From krill to king crabs, the collapse of a 160-square-mile portion of the Wilkins Ice Shelf in Antarctica could mean many changes for wildlife at the bottom of the world.

Krill may not be the most exotic of creatures, but climate change could affect them like any other animal.

Most inhabitants of our planet will never get a firsthand look at a polar bear at the North Pole or a penguin at the South. But polar scientists already see changes in plants and animals from rapidly warming temperatures.

"Because of their extreme environments, they tend to be highly sensitive to temperature changes," said marine biologist James McClintock of the University of Alabama at Birmingham.

"Therefore, what we see happening in the poles should be taken as warning of what may be coming elsewhere," said McClintock, who studies the physiology and ecology of aquatic and marine invertebrates in Antarctica.  Watch how the ice shelf is a sign of trouble »

According to the U.S. National Snow and Ice Data Center, in the past 50 years, the western Antarctic peninsula has undergone the biggest temperature increase on Earth: up .9 degree Fahrenheit, or .5 degree Celsius, in each of the past five decades.  How the ice is disappearing »

Although krill may never be as majestic as whales or as adorable as penguins, these small shrimp-like crustaceans in the waters of the Antarctic are crucial to the region's ecology.

And they might be among the first in the animal kingdom to have to adapt to warming temperatures. Scientists already are observing declines in polar krill populations that could be tied to a decrease in annual winter sea ice.

"As babies, krill live under the sea ice and graze on microalgae. With a decline in sea ice, there is less habitat for young krill," McClintock said.

But there may be a non-global-warming explanation for the decrease. Once heavily hunted, humpback whales that feed on krill have made a comeback in Antarctic waters.

So it is also possible that more whales are simply eating more of these tiny crustaceans.

Another warming ocean event that scientists are studying closely is the migration of king crabs. Marine remotely operated vehicles have captured photos of these giant crabs on the Antarctic Slope, where underwater land starts to rise up to the southernmost continent.

It's the first time in tens of millions of years that these predators have appeared that close to Antarctica.

Crabs and other marine invertebrates die when the water is too cold, because they cannot flush magnesium out of their systems. But even slightly warmer seawater allows the animal to regulate that element.

McClintock says that if these new predators keep moving, they could wipe out other Antarctic species. Snails, brittle stars, sea spiders and some marine worms have evolved without armor and other protections they would need to survive alongside the king crab.

Scientists studying Adelie penguins on Antarctica's western peninsula see that species suffering major declines. Ironically, an increase in snowfall could be among the most dangerous "warming" effects for this animal.

"In Antarctica, as the air temperature warms up, the humidity rises and the ability of snowfall to occur increases," McClintock said.

That snowfall can affect the mortality of penguin eggs.

Another possible impact of climate change in the Antarctic is acidification. Seawater has long been known to be good at absorbing carbon dioxide. But one effect of that absorption is that it turns the ocean water more acidic.

Organisms that make shells or have skeletons that are exposed to seawater, such as clams, snails and sea butterflies, could see their shells dissolve in water that is too acidic.

Plants and animals that have survived and thrived in the brutal conditions of Antarctica for millions of years have had to make plenty of adjustments.

"Wildlife will be impacted, but they are pretty adept at dealing with a topsy-turvy world," said Ted Scambos, lead scientist at the National Snow and Ice Data Center.

"The ecosystem is pretty resilient," he said.

Scambos first spotted the disintegration of the Wilkins Ice Shelf in February. He cautions that the poles will be the leading edge of what's happening in the rest of the world as global warming continues.

"Even though they seem far away, changes in the polar regions could have an impact on both hemispheres with sea level rise and changes in climate patterns," he said. E-mail to a friend

@highlight

Biologist says polar animals are incredibly sensitive to temperature changes

@highlight

Expert: Changes "should be taken as warning of what may be coming elsewhere"

@highlight

The temperature in the western Antarctic is up .9 degree Fahrenheit

@highlight

Krill may be among the first animals to have to adapt to warming temperatures