(CNN) -- No one who works full-time -- in this, one of the wealthiest nations on Earth -- should have to raise a family in poverty. That is the fundamental principle behind our work to increase the national minimum wage. And today, on 10/10, National Minimum Wage Day, we are saying louder than ever that hard work should be rewarded with fair pay of at least $10.10 per hour.

Every day for low-wage workers is filled with struggle and anxiety. We have heard from and visited with people making heartbreaking decisions about which bill to pay, which meal to skip, which growing child will get a pair of shoes this season and whether to buy a gallon of milk or a gallon of gas. For many of us, an unexpected car repair is an inconvenience; for a minimum-wage worker, it is a catastrophe.

The national minimum wage of $7.25 per hour is unconscionably low. It is an affront to our values, and it has remained unchanged for more than five years. During that time, the cost of food, utilities, transportation and other essentials has gone up, but low-wage workers' paychecks have remained the same. In fact, the purchasing power of the minimum wage has been eroding steadily (PDF) since its peak in the late 1960s. Today's minimum wage would have to be well above $10 per hour to equal the purchasing power of the minimum wage in 1968.

Too many low-wage workers must rely on public assistance just to keep their heads above water. Raising the minimum wage would allow up to 3.6 million people to come off the food stamp rolls. These workers would have the dignity and satisfaction of buying food with their own paychecks while American taxpayers would no longer have to pony up billions of dollars to subsidize the large companies that build wealth for shareholders on the backs of their workers.

Fortunately, many businesses are turning away from this low-road business model. Poll after poll shows that employers -- especially small businesses -- are rallying around $10.10. We've seen it firsthand in visits to these businesses, where they know that higher wages strengthen their bottom line by increasing employee loyalty, retention and productivity.

Businesses also know that they need customers with money in their pockets. When working families get a raise, they don't stash it in offshore tax havens. They pump it right back into their local economies at the grocery store, hardware store or auto body shop. Increasing the minimum wage boosts consumer demand, growing our economy and helping communities thrive.

Henry Ford understood this. A century ago, long before there was a federally mandated minimum wage, he doubled the pay of the workers on his assembly line because he thought they should be able to afford the very cars they were making.

He said, "If we can distribute high wages, then that money is going to be spent and it will serve to make storekeepers and distributors and manufacturers and workers in other lines more prosperous. ... Countrywide high wages spell countrywide prosperity."

We, Sen. Tom Harkin and Rep. George Miller, have offered legislation to increase the national minimum wage to $10.10, which would benefit 28 million workers. Polls show this increase is supported by an overwhelming percentage of Americans across party lines.

But unprecedented partisan intransigence in Washington has kept it from moving forward. The Republican leadership of the House of Representatives won't even bring the minimum wage bill up for a vote. And this past spring, it was filibustered in the Senate; a minority of senators refused to even debate this proposal that a strong majority of the American people clearly support.

The good news is that many state and local leaders are taking matters into their own hands. Emboldened by grass-roots momentum and a groundswell of public support, they are raising the minimum wage in their own jurisdictions. Thirteen states plus the District of Columbia have done so since the beginning of 2013, showing once again that sometimes change doesn't come from Washington but rather to Washington.

President Obama is also using his executive authority to do what he can. Last week, the Labor Department took the final steps to implement the president's executive order raising the minimum wage to $10.10 an hour for workers on federal service and construction contracts.

Too many of our hardest-working neighbors -- people who prepare our food, stock our grocery shelves, clean our offices, care for our children and seniors and more -- are working harder than ever but falling further behind. Today, on 10/10, we are proud to fight for them to get $10.10, and we'll continue to do so every day until we succeed.

@highlight

Writers: No one who works full-time in the U.S. should have to raise a family in poverty

@highlight

They say purchasing power of minimum wage of $7.25 an hour has eroded since 1960s

@highlight

Writers: Raising minimum wage would take up to 3.6 million people off food stamp rolls

@highlight

They say working people would pump money into their local community's economy