(CNN) -- One of about every 12 babies born in the United States in 2008 was the offspring of unauthorized immigrants, a Pew Hispanic Center study released Wednesday concluded.

According to the study, an estimated 340,000 of the 4.3 million babies born in this country that year had parents who were in the United States without legal documentation.

The 14th Amendment to the Constitution stipulates that those children automatically become U.S. citizens, but some members of Congress are pushing to change that provision. That effort -- rooted in the debate over illegal immigration, particularly of people from Mexico -- has created some controversy.

"This has got a lot of attention in the past weeks," said Jeffrey S. Passel, the study's author. "The idea was just to put a number on it."

According to the study, 79 percent of the 5.1 million children of unauthorized immigrants in the United States were born in this country, making them U.S. citizens.

Nearly one of four children born in the United States in 2008 had parents who were immigrants, the Pew study found. Of those, 16 percent of the parents were legal immigrants and 8 percent were in the United States without proper documentation.

Many of those children are Latino, Passel said.

More than three-fourths of all unauthorized immigrants in the United States in March 2009 were Latinos, the researcher said. And nearly one of every four children under age 18 in the nation was a Hispanic.

That trend is likely to continue, the study concludes.

"Overall, Hispanics who live in the U.S. have higher rates of fertility than do whites, blacks or Asians," the report states. "And among Hispanics, the foreign born have higher rates of fertility than the native born."

Immigration reform has become a hot-button issue this political season. Arizona passed a law in April that required all immigrants to carry documentation of legal status and other states are considering similar measure even though major parts of the Arizona law were struck down last month in federal court.

"The country is really emotionally torn over this," U.S. Senator Lindsey Graham, R-South Carolina, said recently on CNN.

The government estimates there are more than 11 million illegal immigrants in the United States.

Proponents of stricter immigration enforcement and control point to the large number of Latinos having babies in the United States as reason to change the 14th Amendment. The proponents say these children, which they often call "anchor babies," qualify for welfare and other programs and make it harder to deport their parents

"Babies born to illegal alien mothers within U.S. borders are called anchor babies because under the 1965 immigration Act, they act as an anchor that pulls the illegal alien mother and eventually a host of other relatives into permanent U.S. residency," says an organization called The American Resistance, which has described itself as "a coalition of immigration crime fighters opposing illegal and undocumented immigration."

Under the 1965 Immigration and Nationality Act, the child may sponsor other family members for entry into the United States when he or she reaches the age of 21.

The group notes that "the 14th Amendment was ratified in 1868 to protect the rights of native-born Black Americans, whose rights were being denied as recently freed slaves." The intent of the amendment "was clearly not to facilitate illegal aliens defying U.S. law at taxpayer expense," The American Resistance says on its website.

Having a child become an automatic U.S. citizen can provide immigrants with another reason to come to this nation illegally, some critics say.

"I think we need to look at that in the future as to whether or not we want to change that because I think it's an incentive to break the law," said Graham, the U.S. senator.

Texas state Rep. Debbie Riddle, a Republican, pointed out another concern on CNN's "AC 360" program Tuesday night. Some pregnant women from other countries are traveling to the United States to give birth and then taking their babies back home to raise them as terrorists that would return to attack America, she said.

Information for that "sinister issue," Riddle said, is coming from from former FBI officials she declined to name.

"This is something that is being talked about by various members of Congress," she said.

State Rep. Rafael Anchia, a Democrat, disputed the claim, calling it "the myth of anchor babies."

"For that to rise to some sort of national security concern is really unsubstantiated," Anchia said. "The 9/11 bombers were all here legally. The Times Square bomber was a naturalized citizen. He was not an anchor baby."

Anchia also disputed the contention that having a baby in the United States hinders the deportation process.

"The law does not bear that out," he said. "Just because you have a child here doesn't mean you can't be deported tomorrow."

Despite all the heat, a majority of Americans seem to oppose changing the 14th Amendment. A nationwide poll conducted in June by the Pew Research Center for the People & the Press found that 56 percent of Americans are against changing the citizenship provision while 41 percent favor amending it.

The Pew Hispanic Center is a nonpartisan research organization that does not take positions on policy issues.

@highlight

The study was conducted by the Pew Hispanic Center, a nonpartisan research group

@highlight

The results come amid a national debate over changing the 14th Amendment

@highlight

The 14th Amendment grants automatic citizenship to anyone born in the United States

@highlight

Nearly 80 percent of illegal immigrants' children were born in the United States