(CNN) -- Television pioneer and longtime CBS executive Don Hewitt, the creator of "60 Minutes," has died, the network said Wednesday. He was 86.

Don Hewitt joined CBS News in 1948.

Hewitt, who had been battling pancreatic cancer, died at his home in Bridgehampton, New York, surrounded by his family, CBS said.

The winner of eight Emmy and two Peabody awards, Hewitt began working for CBS News as an associate director in 1948. He was executive producer of "60 Minutes" when it premiered on CBS on September 24, 1968. Hewitt stepped down in June 2004, but the program remains on the air and is the number-one news program, according to CBS News' Web site.

"In the history of journalism, there have been few who were as creative, dynamic and versatile as Don Hewitt," said CBS Corp. President Leslie Moonves. "The depth and breadth of his accomplishments are impossible to measure, because since the very beginnings of our business, he quite literally invented so many of the vehicles by which we now communicate the news."  Watch how Hewitt innovated television news »

"He was bursting with passion for what we do: telling stories," said Jon Klein, president of CNN, who previously worked at CBS and oversaw "60 Minutes."

Klein recalled his first day on the job as a 37-year-old, when Hewitt took him to lunch and told him, "Listen, kid. It's very simple. I have 10 ideas a day. Nine of them are terrible. Your job is to tell me which one is great."

"Don Hewitt didn't need a boss," Klein said. "What he needed was somebody to bounce ideas off of."

"It is a sad and difficult time for all of us who work at '60 Minutes,' " Jeff Fager, the program's current executive producer, said in a CBS statement. "Don was a giant figure in our lives and will always have an impact on this broadcast -- there's a part of him in every one of us, and it affects every decision we make. He will be remembered as a brilliant editor and storyteller, an irrepressible force who changed journalism forever."

Born in 1922 in New York, Hewitt started his career in newspapers. "His picture experience prompted a friend in 1948 to tell him about television, where CBS News had a job opening," according to a CBS statement. He told reporters years later his response was: "Whatavision?"

He directed the first television network newscast on May 3, 1948, featuring Douglas Edwards, the network said. In 1960, he was named executive producer of "The CBS Evening News with Walter Cronkite," a position he held for five years. In 1963, the Cronkite broadcast became the first to go to a half-hour format.

Hewitt's innovations included the use of cue cards for news readers -- an early version of the electronic teleprompter that is used today, CBS said. In addition, he was the first to use "supers" -- captions and other written information superimposed on the lower third of the television screen, Klein said. And he was the first to use the film "double" -- cutting back and forth between projectors, CBS said.

Hewitt also produced and directed coverage for the three main television networks for the first-ever televised presidential debate in 1960 between Richard Nixon and John F. Kennedy.

"Critics have long maintained that Kennedy won the debate because he looked better," CBS said. Hewitt recalled that he offered makeup to Kennedy first, but he refused, and Nixon followed suit.

"But the suntanned Kennedy was a vigorous contrast to Nixon, whose pasty complexion put his five o'clock shadow in high relief," CBS said. In hindsight, Hewitt recalled the incident as "the first step in the dangerous dance between politicians and the special interests that provide the big money to buy the now-crucial political television advertising," CBS said.

Hewitt was removed from his post at "The CBS Evening News with Walter Cronkite" after what CBS refers to as "the NBC playbook incident," according to CBS. Hewitt found a lost copy of NBC's coverage playbook at the 1964 Republican Convention and pocketed it, intending to use it to scoop his competitors. He gave it back "after an NBC producer, it is said, threatened to throw him out a hotel window," CBS said.

Following his removal from the news program, Hewitt "knew he was off the frontlines," according to CBS News. "Exiled with time on his hands, Hewitt then slowly emerged with the idea for what would become the most successful television program in history."

Hewitt has publicly said that the lowest point for "60 Minutes" was the Jeffrey Wigand story -- an interview with the highest-ranking tobacco executive to become a whistleblower. The interview was held back by CBS management out of fear of a $10 billion lawsuit that could bankrupt the company, according to the network statement.

"The initial spiking of the interview, in which Wigand revealed tobacco executives knew and covered up the fact that tobacco caused disease, led to an unusual '60 Minutes' segment," CBS' statement said. "A portion of it, with Wigand disguised, was broadcast, followed by an unprecedented rebuke of management read on the air by Mike Wallace." The interview was aired in its entirety a few months later, in February 1997. A movie about the incident, "The Insider" was made the following year.

Hewitt said he felt he had no choice but to comply with management, opting to "fight another day" instead of quit, CBS said. But he later acknowledged in a documentary he was not proud of his actions at the time.

He often told reporters inquiring about the secret of "60 Minutes" that it was four words every child knows: "Tell me a story."

Hewitt authored two books -- "Tell Me a Story: Fifty Years," and "Minute by Minute."

Hewitt won every major award in television journalism and was inducted into the Television Academy Hall of Fame in 1990.

After leaving "60 Minutes" in 2004, Hewitt was named executive producer of CBS News, where his duties included brainstorming ideas for television news and working on specials, the network said. As recently as 2007, Hewitt was executive producer of the first-ever network television special coverage of the Radio City Music Hall Christmas Show on NBC.

Hewitt is survived by his wife of 30 years, Marilyn Berger, along with his children and grandchildren, CBS said. His funeral will be private.

@highlight

Television news pioneer, 86, was battling pancreatic cancer

@highlight

Hewitt innovated cue cards and captions, created "60 Minutes" in 1968

@highlight

"60 Minutes" executive producer: He was a "force who changed journalism forever"

@highlight

Award-winning journalist inducted into Television Academy Hall of Fame in 1990