The pro-Russian government of Ukraine's southeastern Crimean region declared independence Tuesday ahead of a scheduled referendum on whether to join Russia, ignoring international warnings that the vote won't be recognized.

In the regional capital Simferopol, pro-Russian militiamen guarded the airport and train station, some wearing armbands that proclaimed their allegiance to "the autonomous republic of Crimea." Flights into the region from Ukraine's capital, Kiev, were canceled Tuesday, while flights from Moscow appeared to be landing as scheduled.

A guard at the railway station told CNN that he and his comrades were looking out for weapons being shipped in from the rest of Ukraine.

Tuesday's declaration from the Crimean parliament announced that if its population votes in favor of joining Russia on Sunday, it will ask the Russian Federation if it can join with Moscow. Almost immediately afterward, the Russian parliament announced it would debate whether to accept Crimea as part of the country on March 21.

Ukraine's interim government, backed by the United States and European powers, has said the upcoming vote is illegitimate.

And from Russia, ousted Ukrainian President Viktor Yanukovych -- run out of his country in a revolt that triggered the current crisis -- insisted he was still the legitimate leader and vowed to return to Kiev "as soon as the circumstances allow."

Yanukovych fled Kiev on February 22, after three months of protests against his decision to scrap a trade deal with the European Union and embrace closer ties with Russia. Less than a week later, armed men seized the Crimean parliament building in Simferopol and raised the Russian flag above it.

Ukrainian government forces in Crimea have been surrounded in their bases by well-equipped troops wearing uniforms with no insignia -- troops Western countries say are Russian but whom Moscow calls local "self-defense" forces. The move has effectively severed the strategic peninsula, which has an ethnic Russian majority, from the rest of Ukraine.

U.S. and Western diplomats have urged Russia to enter into talks with Ukraine, but Russian officials have shown little interest. While the West is preparing sanctions against Russia over the standoff, U.S. Secretary of State John Kerry has told his Russian counterpart, Foreign Minister Sergey Lavrov, that "there is an off-ramp here,"  State Department spokeswoman Jen Psaki told reporters in Washington.

"Any discussion about the future of Crimea needs to take place with the new government of Ukraine at the table, engaged in it, participating in that conversation," Psaki said. The United States understands that Russia has interests in Crimea, "but those interests in no way justify military intervention or the use of force," she added.

The U.S. House of Representatives Tuesday overwhelmingly approved a resolution condemning Russia for its military intervention in Ukraine and urging economic and other sanctions in response. In a 402-7 vote, lawmakers approved a nonbinding resolution stating that Russia's action poses a "threat to international peace and security" and calling on Russia to remove "all of its military forces from Ukraine's Crimean peninsula" other than those that are there in accordance with an agreement on operations of Russia's Black Sea fleet.

The resolution urges the Obama administration to "work with our European allies and other countries to impose visa, financial, trade, and other sanctions on senior Russian Federation officials, majority state-owned banks and commercial organizations, and other state agencies, as appropriate."

Lavrov said Monday that Kerry had postponed a face-to-face meeting with Russian President Vladimir Putin to discuss U.S. proposals, which Moscow has effectively rejected. The meeting would have marked the highest-level contact between the two countries since Russian troops took up positions in Crimea.

The head of the Organization for Security and Co-operation in Europe also said the referendum would be illegal. Swiss Foreign Minister Didier Burkhalter, the OSCE's current chairman, said holding the referendum without everyone affected being on board would "provoke tensions instead of leading to sustainable solutions."

OSCE monitors have been denied entry into Crimea by armed men several times since the crisis began.

In a statement issued Tuesday evening, Russia's Foreign Ministry cited Kosovo's secession from Serbia -- a move recognized by Western governments over bitter opposition from Serbia and its historical allies in Moscow -- as precedent for the "absolutely legitimate" Crimean vote.

"The Russian Federation will respect the results of the free vote of Crimea's people during the referendum," it said.

Amid tensions over Ukraine, space cooperation goes on

Lavrov and Kerry spoke on the phone Tuesday, both sides reported. During the conversation, Lavrov said Russia "emphasized the need to respect the rights of all Ukrainians and all regions while looking for ways of solving the crisis, and the need to respect the rights of Crimea's citizens to determine their destiny by themselves in accordance with the international law," the Foreign Ministry said.

French Foreign Minister Laurent Fabius also called the referendum illegal, tweeting on his official account Tuesday that sanctions against Russia over its intervention in Crimea could come as soon as this week. Sanctions would include asset freezes and visa suspensions, he said.

"We have a firm position, but still we are seeking a political solution," Fabius tweeted. "The only legitimate vote in Ukraine will be May 25, the upcoming presidential election."

And German Foreign Minister Frank-Walter Steinmeier said his government's current relationship with Russia cannot continue unless the country heeds calls to calm the situation.

"We are not only deeply worried, but we believe what is intended by Russia in view of the Crimea is completely unacceptable," Steinmeier said during a visit to the former Soviet republic of Estonia, now a NATO ally and European Union member. Steinmeier said Germany and Estonia "agree that we will stand up to further escalations united and determined."

But in Crimea, pro-Russian forces were in firm control and warning loudly against "fascists" they claimed had seized power in Kiev. Ruslan Dudkin, a volunteer at a militia camp in Simferopol, compared the protesters who rallied in Kiev's Maidan Square to topple Yanukovych to "cockroaches."

"The people on the Maidan would soil and sleep and eat in the same place, it was worse than tramps," he said.

Meanwhile, a commander of the notorious Berkut riot police -- disbanded after Yanukovych was ousted but celebrated as heroes in Crimea -- denounced the February revolt in Kiev.

"The Maidan was a provocation from start to finish,"  said Vladimir Krashevsky, whose forces appeared to have close ties to the militia. "There was no democracy, and no real indignation from the people. It was a paid-for event."

And pro-Russian billboards portray Sunday's choice as one between a free Russia and a Ukraine under the swastika. Former U.S. Secretary of State Madeleine Albright called that "one of the more outrageous placards I have ever seen."

"There are probably good-willed people who are concerned that their Slavic brothers and sisters are all of a sudden being subjected to fascism or Naziism, because that is what Russian TV is putting out," Albright told CNN's "Amanpour" program.

"There are a lot of older people who probably remember World War II and the tragedies that took place in Ukraine, and so this is just pure, unadulterated scare tactics," Albright added.

And Fabius defended Ukraine's new government Tuesday, saying it was "legitimately installed by the Ukrainian parliament" and that the extreme right "is not represented."

Yanukovych, meanwhile, made what was only his second public appearance since leaving Ukraine on Tuesday to insist he was still the country's rightful leader. Speaking in Rostov-on-Don in southwestern Russia, Yanukovych slammed the interim government in Kiev as "a gang of ultranationalists and fascists."

Yanukovych, who spoke backed by the yellow-and-blue flag of Ukraine, insisted he is still the lawful leader of his country and will return to Kiev "as soon as the circumstances allow."

"I'm not just the legitimate President, but I am also the head of the military. I've not stopped my responsibilities, I'm alive, I've not been left without my powers," he said.

Moscow has denounced the events that led to Yanukovych's ouster as an illegitimate coup and has refused to recognize the new Ukrainian authorities, putting the two countries on a collision course over control of Crimea.

The Black Sea peninsula has been part of Ukraine since 1954 but has strong cultural and historical ties to Russia, which has a large, strategically important naval base in the Crimean port of Sevastopol. Putin has said his government has the right to protect ethnic Russians living there.

INTERACTIVE: Comparing Ukraine and Russia's military forces

@highlight

U.S. House approves resolution condemning Russia, urging sanctions

@highlight

OSCE chief says Crimea referendum would make things worse

@highlight

Pro-Russian billboards portray Crimea under the swastika

@highlight

Russia calls Crimea vote "absolutely legitimate," cites Kosovo precedent