(CNN) -- There may be no bigger revolutionary rock star than Aung San Suu Kyi.

So it only makes sense that the 67-year-old Myanmar democracy activist and Nobel Peace Prize winner would tour the United States in a way reflecting that.

On Tuesday, Suu Kyi was photographed laughing with U.S. Secretary of State Hillary Clinton. The two sat on couches next to each other at the State Department in Clinton's private office and chatted. Clinton told Suu Kyi about the bucolic scenes she could expect to see when she went to southern part of the U.S.

"You're going out to one of the horse farms. Those are beautiful places. They're called bluegrass the way it looks across the field," Clinton said to a smiling Suu Kyi. "You'll find that quite beautiful."

That scene, historic and high profile, was just Day One of the next 17 days on Suu Kyi's calendar on her first visit to America.

She's slated to talk with high-level Washington officials and democracy activists in the capital. The White House said she will meet with President Obama at 5 p.m. Wednesday, a day she's already expected to receive the Congressional Gold Medal.

Then it's on to New York to speak at a university and at a museum.

Next week, she'll be a guest of the U.S. Sen. Mitch McConnell in Kentucky and visit California.

It's a lot of travel for a person who spent most of the past 20 years under house arrest imposed by her country's ruling military junta. During her confinement, she lost her husband to cancer -- unable to see him because he was forbidden from entering Myanmar to be with her. She also went without seeing her two sons.

Suu Kyi was released from detention in November 2010 and this year was finally able to pick up the Nobel Peace Prize she won in 1991 but couldn't receive in person.

Profile: Suu Kyi, peaceful freedom fighter

Suu Kyi is expected to meet with refugees who left Myanmar (also known as Burma) and relocated in the United States, many who fought for the same democratic freedoms that she paid for so dearly.

"We have this plan throughout the country that when refugees come we try and find sponsors," Clinton told Suu Kyi on Tuesday.

"I'm looking forward to visiting Fort Wayne," Suu Kyi replied. "There's all sorts of interesting things happening in Fort Wayne."

As part of Suu Kyi's U.S. tour, she will visit the Indiana city, home to one the United States' largest populations of Burmese expatriots. Since the early 1990s, some 5,000 Burmese have carved out a life in its "Burmatown."

And many there are expecting a lot from Suu Kyi.

"We are excited for Suu Kyi in Fort Wayne, but we also hope that it is more that a single visit. We want it to mean more. She symbolizes experience for us and Burma in the long term," said Minn Myint Nan Tin, the executive director of the Burmese Advocacy Center in Fort Wayne, which helps refugees find jobs and navigate everyday life.

"The young people here want to be part of the Burma of tomorrow. This tomorrow is one that is open and free," said Nan Tin. "We know that more has to happen outside of her."

Nan Tin fled Myanmar in the 1990s, she said.

She and many of the Burmese who she works avidly follow world events. "We always keep up on what is happening, and we are very aware of what has happened in the past few years about Suu Kyi," she said.

Thawing U.S.-Myanmar relations

Last year, Clinton met with Suu Kyi in Yangon, the Myanmar capital. The two were photographed embracing, even though such signs of affection are not normally acceptable in the nation.

The meeting was a sign that relations between Myanmar and the United States were softening. It had been icy for some time. Clinton was the first secretary of state to visit Myanmar in 50 years.

In January, Suu Kyi announced she was running for Parliament. She won in a landslide in April.

Suu Kyi is now the leading the pro-democracy opposition in her country.

Myanmar's president, Thein Sein, who took control in April 2011, will visit the United States next week to attend the United Nations General Assembly's annual gathering of world leaders in New York.

This week at least 58 political detainees were among hundreds released in Myanmar as part of an amnesty announced on Monday, a prisoner rights group said. Earlier this summer, the country removed Suu Kyi's two sons' names from a blacklist.

On the world scene, Suu Kyi is both a politician and a symbol of promise, said Robert Lieberman, a filmmaker who interviewed Suu Kyi in Myanmar and had spent a lot of time in the country. His film "They Call It Myanmar" will be shown in New York and Los Angeles and other cities, including Fort Wayne on September 23. See a nationwide screening schedule

"It's important to keep in mind what's motivating Sein. He wants an easing of sanctions against his country," said Lieberman. "(Suu Kyi) is walking a tightrope."

He said Suu Kyi now must concede as much as any politician to get something accomplished, but she must also stand firm in her beliefs, the ideals that kept her sane and focused during her years in detention and have elevated her as a moral leader to much of the world.

In July, the Obama administration began allowing U.S. companies to invest in Burma. Several lawmakers have voiced their support for a relaxation of sanctions.

In May, Republican Sen. John McCain said Washington should temporarily lift economic sanctions but keep in place an arms embargo against the Burmese military and those who have violated human rights, according to Foreign Policy.

Next generation's obstacles

Lieberman cautioned against what he views as overly optimistic headlines lauding Suu Kyi's U.S. visit as a harbinger of immediate change on the ground in Myanmar.

He said that kind of change cannot come solely from the president or Suu Kyi.

It's important to keep in mind that the military still has a tremendous amount of control, at least according to the nation's constitution.

It still guarantees the military 25 percent of the legislature, he pointed out.

"Suu Kyi is stunning, strong, articulate, mesmerizing. But she is also 67. She'll be 70 when the next national election comes around in 2015," he said. "So that's a factor as well. I think it will come down to whether a younger generation will get behind what she stands for, and will they be able to follow through."

And in that, he said, there's perhaps another obstacle. It's cultural.

Lieberman wonders if young people -- especially those in her own party -- will challenge Suu Kyi honestly and directly when they disagree with her.

"There's something called 'anade' in Burma there which means you respect your elders, you don't give them a bad message," he said. "I asked her, 'How do you get information?' And she said, 'Everybody knows they can tell me what they want and they won't get (fired).'

"She probably believes that," he said. "But I just doubt it because there's such love for her, I don't see someone questioning her."

Nan Tin, in Fort Wayne, said she hopes they will.

"We have to be able to say what we think. The people have high expectations," she said.

If Nan Tin has a few moments with Suu Kyi, she will use the opportunity not to demand anything, though.

"We know she is only one person," she said. "I would tell her that we are with her, no matter what."

@highlight

Burmese democracy activist started her tour of the U.S. Tuesday

@highlight

She met with U.S. Secretary of State Hillary Clinton in Washington

@highlight

Expert: Change in Burma has to come from multiple sources, not just Suu Kyi