(CNN) -- It looks like a regular bike light, but one day a Blaze could save your life.

Invented by a UK design student, Blaze is a detachable lamp that projects a laser image five meters in front of your bicycle to let motorists, bus drivers and pedestrians know you are coming.

Blaze's inventor, Emily Brooke, a physics student turned product designer, came up with the idea while she was studying at Brighton university.

"While studying I knew the problem that I wanted to tackle very clearly: sideswiping or blind spot incidents where vehicles turn across a cyclist's path."

Incidences of cycling fatalities remain a problem in most major capitals around the world. As more and more commuters travel to work on two wheels rather than four, a myriad of new safety equipment, infrastructure and road rules are being introduced to keep cyclists out of harm's way.

In many cities in the U.S. and beyond, cycling is on the rise. According to statistics published by Governing Data, cycling has grown exponentially in most major U.S. cities since 2006. In London cycling has more than doubled in the last decade and in many cities in the Netherlands, Germany and Denmark, cycling now accounts for more than 20% of urban trips. In spite of a gradual decline, urban cycling also remains hugely popular across China.

Brooke says that her primary motivation for inventing the Blaze was to improve cyclist safety:

"Last year over 3,000 people were killed or seriously injured on Britain's roads alone. We have over half a million people cycle in London every day and the fatality statistics are really terrifying. Over a hundred people were killed last year. The fact that I really wanted to focus on was the 79% of cyclists hit were travelling straight ahead and a vehicle turned into them so that was the one cyclist that I really focused on in designing Blaze," Brooke says.

Blaze is a front-mounted light powered by bright LEDs that also projects a green laser image of a bicycle onto the road to let motorists know a cyclist is coming. The aim is to help prevent vehicles from turning across a cyclist's path of cyclists by increasing their 'footprint' on the road.

It is one of a new crop of tech products aimed at improving cyclist safety. The annual Interbike conference, which opens next week, will showcase a large number of new products including a device that emits high frequency audio signals to keep pursuing dogs at bay.

Also being launched soon is a set of 'smart handle bars' fitted with LED lights that adjust to your environment and speed. They will also track your bike via SMS if it is stolen. Pure Fix Cycles have a glow-in-the-dark bike frame to light up your entire bicycle at night.

Dr Graham Hole, a Senior Lecturer in Psychology at the University of Sussex, says that increasing visibility could be critical to keeping cyclists safe: "Brooke's invention could be a major aid to detecting cyclists. It gives the driver advance warning of a cyclist's approach ... it has the potential to make a significant difference to cyclists' safety on the roads."

Read more: 12 amazing designs from the past 100 years

Carlton Reid, editor of BikeBiz agrees that products that aim to increase cyclist visibility could be useful in preventing accidents: "Anything that increases conspicuity has got to be a good thing, although in the UK cyclists and motorcyclists have a saying about those motorists who knock into us. We call such collisions: SMIDSYs -- 'sorry mate I didn't see you.'"

Many cyclists believe that rather than developing new technology, safe cycling requires changes in the attitudes and behaviors of road users.

Andy Clarke, President of the League of American Bicyclists says: "Clearly, better bike infrastructure encourages more riders, makes things safer for both cyclists and motorists, and encourages better behavior by riders -- all of which are good things.

"But perhaps more fundamental than any road design or technological fix attached to cars or bikes is an improvement in operator behavior! Getting drivers to pay attention and be a little more patient (with everybody, not just cyclists) would make the world of difference out there. Distracted, drunk, drugged, drowsy and just plain poor driving is a real scourge -- especially if you are on foot or on a bike."

Monique Rivalland contributed to this article

@highlight

Blaze bike light uses laser to alert motorists to nearby cyclists

@highlight

Invention aims to decrease bicycle accidents

@highlight

3,000 cyclists were killed or injured in Britain in 2012