Los Angeles (CNN) -- The San Diego County medical examiner's office Thursday classified the death of former NFL linebacker Junior Seau as a suicide, but the finding will probably do little to answer questions swirling since he was found with a self-inflicted gunshot wound to the chest.

Toxicology results and the narrative that could reveal contributing factors in the death could take weeks or longer to complete, said Sarah Gordon of the medical examiner's office.

Since news broke that Seau was found Wednesday in his Oceanside, California, home with a gunshot wound to the chest, there has been speculation about whether repeated hits to his head over his 20-year pro career could be a contributing factor.

1994 Chargers team carries dark legacy

There is no evidence Seau suffered from chronic traumatic encephalopathy (CTE), a degenerative disease brought on by multiple concussions, though friends and family have stepped forward to say the legendary linebacker suffered a number of hits to the head during his career.

As a linebacker, he played "the most havoc-ridden position on the team. He suffered many concussions, so there is a strong sense that it played a role," said Shawn Mitchell, a pastor and Seau family friend.

Mitchell, who stood next to Seau's grief-stricken mother as she faced a sea of cameras to discuss her son's death, said the family had received calls from researchers asking to study his brain.

"Him taking the shot to the chest makes sense that he would want his head examined," he said.

The medical examiner's office, in a statement Thursday, said it was awaiting the family's decision regarding study of Seau's brain. It said a final autopsy report may take up to 90 days to complete. The autopsy confirmed Seau died of a self-inflicted gunshot wound to the chest.

While Mitchell did not identify the researchers making the requests, among the institutions the family could donate Seau's brain to is Boston University's Center for the Study of Traumatic Encephalopathy, the research center that found former Chicago Bears safety Dave Duerson suffered degenerative damage to his brain because of repeated hits.

Duerson committed suicide, shooting himself in the chest in 2011 and leaving a suicide note that said he wanted his brain studied for possible damage.

Seau's death follows last month's suicide of former Atlanta Falcons safety Ray Easterling, the lead plantiff in a class action lawsuit against the NFL over concussion-related injuries. The lawsuit names more than 1,000 professional players.

In both cases, Easterling and Duerson exhibited symptoms of repetitive head trauma: memory lapses, anger and deep depression, according to family and friends. And in both cases, researchers found signs of brain trauma.

More than 100 former professional football players added their names Thursday to the growing list of people suing the NFL, saying it "repeatedly refuted the connection between concussions and brain injury," according to the lawsuit filed in U.S. District Court in Atlanta by attorney Mike McGlamry.

The NFL has repeatedly dismissed the allegations, saying player safety is a priority. "Any allegation that the NFL intentionally sought to mislead players has no merit," it said.

Seau does not appear to have participated in any of the pending lawsuits against the NFL.

CNN's chief medical correspondent, Dr. Sanjay Gupta, warned against drawing a conclusion in Seau's case, though he said there were striking similarities between his death and other cases involving football players.

The only way to determine if Seau suffered CTE is to analyze the brain tissue for "hallmarks of the dementia-like disease," Gupta said.

"We can't know, unless Junior Seau's" brain is analyzed in this way, whether his death was related to CTE, he said.

Though Seau had no reported documented history of concussions, Gupta said "the hits don't necessarily result in diagnosed concussion, but the brain is rattled over and over again."

Seau family friend Joe Gallagher said the former linebacker made a comment recently that appeared to indicate a possible issue.

"Junior had wanted to donate his brain to science to the study of concussive injuries," he told CNN affiliate KGTV of San Diego.

Seau was drafted into the NFL in the first round in 1990 out of the University of Southern California. He debuted with the San Diego Chargers, establishing his Hall of Fame potential as a Pro Bowl staple.

He left San Diego before the 2003 season to join the Miami Dolphins and spent parts of the last four seasons with the New England Patriots before retiring in late 2011. Seau amassed 1,526 tackles, 56.5 sacks and 18 interceptions in his 20-season career.

Seau's death rocked the Southern California city of San Diego, where he was a member of the 1994 Chargers -- the team's only Super Bowl appearance.

His reputation as a fierce tackler -- with a heart of gold for his community work -- earned him admiration and a legion of fans.

Through most of his career he avoided negative publicity that plagued some in the NFL.

But in October 2010, he made headlines when he was charged with domestic violence after an incident with his girlfriend, and then hours after his arrest he drove off a cliff and crashed on the beach. Investigators later ruled the crash an accident, saying he fell asleep at the wheel.

On Wednesday, Seau made headlines again. His girlfriend, who had just returned home from a workout, found him in the bedroom of his home with a gun lying next to him, authorities said.

It is not clear if Seau left a note or an explanation. Funeral arrangements are pending, but are expected to be announced Friday afternoon.

"At that time, any specifics to be shared will be made available to the public, as we are waiting to discover Junior's personal wishes through an Executor," Mitchell said in an e-mail.

In the hours before his death, Mitchell said he sent text messages to his ex-wife and their three children.

"They said simply, 'I love you," Mitchell told CNN. "They actually responded back to him with 'Love you too, Dad.'"

Alan Duke reported from Los Angeles, and Chelsea J. Carter reported from Atlanta.

@highlight

NEW: Popular athlete's death classified as a suicide

@highlight

Pastor and family friend says Seau suffered many concussions

@highlight

Seau texted his ex-wife and children "I love you" before his death, pastor says

@highlight

His death is being investigated as a suicide, medical examiner says