(CNN) -- Nadine Gordimer, the Nobel Prize-winning South African author and anti-apartheid activist, died Sunday, her family said Monday. She was 90.

Gordimer died peacefully in her sleep, according to a statement from her family. She was awarded the Nobel Prize for Literature in 1991.

Her literary works, including "A Guest of Honour" (1970), the Booker Prize-winning "The Conservationist" (1974) and "July's People" (1981) were cited by the Nobel committee as "giving profound insights into the historical process (and) help(ing) to shape this process."

The Nelson Mandela Foundation, calling her "South Africa's grande dame of literature," responded to her death in a news release.

"We have lost a great writer, a patriot and strong voice for equality and democracy in the world," said professor Njabulo Ndebele, the foundation's chairman.

Mandela, the former South African President who died last December, was a friend of Gordimer's and read her books while incarcerated.

In her novels, essays and other works, Gordimer was one of the leading voices against South Africa's apartheid system, which segregated black and white people and led to decades of unrest. Three of her novels, including "Burger's Daughter" (1979), were banned by the government -- a reaction she fully expected, given their subject matter.

"I knew 'Burger's Daughter' would be banned because I even put in it ... sometimes scattered little pamphlets in the street, you know, which were swept up. But I always picked these things up, and I think I put one almost in its entirety in the book, so that would be enough for it to be banned. What else could you do?" she said in a 2009 interview.

"Burger's Daughter" was about the child of a white anti-apartheid activist who had died in prison after attempting to overthrow the government. It includes a description of the 1976 Soweto uprising.

However, she told fellow author Justin Cartwright that her works weren't about politics, but about people.

"To be a writer is to enter into public life. I look upon our process as writers as discovery of life," she told him in 2012.

Indeed, Gordimer was as praised for her writing ability as she was for her stand on issues. Her literary voice "is as clear and crisp as Jane Austen's," wrote The Telegraph's Peter Florence. "Her eye for the betraying detail, for the physical sensations of African heat and dust, reminds you of the great masters of location: Mark Twain's Mississippi or Gabriel GarcÃ­a MÃ¡rquez's Macondo."

Nevertheless, she never shrank from speaking her mind. In recent years, she had criticized what is known as the "Secrecy Bill," which gave the government great leeway to decide what information should be protected, as well as to prosecute violators.

The bill, though approved by South Africa's parliament in 2013, wasn't signed by President Jacob Zuma, who returned it to the legislature.

Gordimer was born in South Africa in 1923, the daughter of Jewish immigrants. She was a thoughtful observer from a young age, noting the inequities of South African society while attending an all-girls, all-white Catholic school.

"I early on began to realize how artificial our life was," she said.

But despite her recognition of societal problems, she said she was sometimes reluctant to speak up herself. When pondering "Burger's Daughter," she thought the topic would be better handled by a veteran of activist families.

"I waited a long time to do it, because I thought, I am not in this," she said. "I'm neither a parent nor a child. I'm waiting for somebody to write it who would know more about it than I did.

"Nobody did, so I did."

Gordimer was married twice. Her second husband, Reinhold Cassirer, to whom she was married for 47 years, died in 2001. She is survived by two children.

People we've lost in 2014

@highlight

Nadine Gordimer was a leading speaker against apartheid

@highlight

Gordimer won the Nobel Prize for Literature in 1991 for such works as "The Conservationist"

@highlight

The South African government banned three of her novels