(CNN) -- When Chokonjetsa was born, he weighed just over 2 pounds. His tiny, underdeveloped lungs struggled for each breath.

Then doctors in the hospital in Blantyre, Malawi, put Chokonjetsa on a breathing machine made out of aquarium pumps.

Chokonjetsa is one of dozens of newborns in the African country who have survived thanks to the ingenuity of students in a senior design class at Rice University in Houston. The overall survival rate of babies with respiratory distress at the Malawi hospital increased from 44% to 71% with the use of the students' breathing machine, according to a recent clinical trial.

Using aquarium pumps, the students have designed a low-cost version of a breathing device called a bubble CPAP, or Continuous Positive Airway Pressure, machine. Traditional bubble CPAP systems used in developed countries can cost upwards of $6,000; the students' machine can be manufactured for around $350, providing big savings for hospitals in poverty-stricken areas.

Malawi has the highest rate of preterm birth in the world, 18.1 per 100 live births, according to the World Health Organization. Babies born too early often have underdeveloped lungs that don't inflate easily.

Premature babies struggle to breathe in part because they don't produce enough lung surfactant, a naturally-produced chemical that keeps the tiny air sacs in the lungs, called alveoli, from collapsing. A lot of these babies die because of the stress struggling to breathe puts on their bodies.

Second baby possibly 'cured' of HIV

In Malawi, when a newborn is suffering from respiratory distress, he or she is typically provided extra oxygen via tubes placed gently in the nose. But doctors don't add air pressure to help inflate the infant's lungs. This is the way respiratory distress was treated in newborns, even in developed countries like the United States, until the 1970s.

With a CPAP machine, gentle air pressure is pushed via tubes into the nostrils and/or mouth to help facilitate breathing.

To understand how a bubble CPAP works, think of a straw that is partially submerged in a glass of water. When you blow into the top of the straw, bubbles come out of the bottom of the straw and bubble up.

"When lungs are underdeveloped, it's like when you're blowing up a completely deflated balloon and that first breath to inflate the balloon is really difficult," said Dr. Rebecca Richards-Kortum of Rice University, who helped facilitate the design of the students' bubble CPAP machine. "For a baby with underdeveloped lungs, every breath is like that."

Doctors and nurses know that it takes very little air pressure to assist newborns. The design students found that two aquarium pumps provided the perfect amount of gentle pressure for delicate lungs. In the original prototype, the machine was housed in a clear plastic shoebox from Target.

The device's latest casing box is made from bent sheet metal specifically designed for usability, funcation and durability, said Dr. Maria Oden of Rice University, a co-author of the device's clinical trial along with Richards-Kortum.

"Having used bubble CPAP myself, the (low-cost aquarium pump) machine uses the same general principles," said Dr. Andrea Trembath, a neonatal specialist at Rainbow Babies and Children's Hospital in Cleveland who was not associated with the device's design. "We've found bubble CPAP to be very beneficial in infants with respiratory distress. ... After taking a look at the photos, the low-cost machine doesn't seem to be very different."

Jocelyn Brown, a former student who helped design the low-cost bubble CPAP machine, has lived in Malawi for almost two years. She is collaborating with aid organizations and using a transitions grant from USAID in hopes of rolling out the device across the country -- first in government hospitals, and then in private and rural hospitals.

So far, the machines have been implemented in nine government hospitals, she said.

Mysterious cluster of birth defects stumps doctors

Brown said one major challenge to the rollout in Malawi is a lack of nurses and physicians; the high turnover rate makes training difficult.

"Many district hospitals have maybe one doctor, who may not even be a neonatal specialist," Brown said. "Much of the care is provided by nurses, but one nurse could be taking care of 40 patients at a time."

Another challenge, Brown explained, is that parents in Malawi are sometimes reluctant to allow the bubble CPAP machine to be used, perhaps because nasal tubes and masks used in respiratory therapy are associated with death -- usually, only extremely ill patients receive breathing assistance.

Fortunately, baby Chokonjetsa's family allowed him to receive the respiratory therapy. His name, which means "thrown away" in Malawi's Chichewa language, was chosen by his grandmother. She feared he had been thrown away by God, as she didn't expect him to survive.

But with the help of a breathing machine made of aquarium pumps, Chokonjetsa is now a healthy, thriving 7-month-old baby.

@highlight

College students create a breathing machine from aquarium pumps

@highlight

The machine has helped dozens of newborns in Malawi survive

@highlight

Malawi has the world's highest rate of preterm births per 100 births

@highlight

The machines provide gentle air pressure to help babies breathe