Baghdad (CNN) -- A barrage of attacks struck Monday across Iraq, killing at least 84 people and wounding more than 200, said officials, who likened the attacks to another outbreak last year.

"Once again, murderers and criminals have carried out attacks against innocent civilians to add a new page to their black criminal record," Iraqi Prime Minister Nuri al-Maliki said in a written statement.

He called on security forces to "not let the killers catch their breath," and to pursue them "until they finish them."

Some of the 21 reported bombings and shootings targeted police and security forces, while others targeted civilians.

It was the worst wave of violence to strike the country in months, taking place on the halfway mark of the Muslim holy month of Ramadan.

"Today's attacks are eerily similar to the stream of large-scale, complex attacks that occurred here last year during Ramadan on August 25," said Maj. Angela Funaro, spokeswoman for United States Forces-Iraq.

Officials believe last year's attacks were carried out by al Qaeda in Iraq "to shake the public's confidence in the capabilities of the ISF (Iraqi Security Forces) to defend this country," but it is too early to speculate about who may have been behind Monday's attacks, Funaro said in an e-mail.

A posting Monday on a jihadist website praised the attacks against "Shiites, Christians, and the apostate Awakening Councils." The post did not include a claim of responsibility. Awakening Councils are made up of former Sunni militants now in the pay of the Iraqi government, which have been credited with helping reduce violence. They are also frequent targets of assassination attempts.

The attacks come weeks after Iraq's political leaders agreed to request U.S. troops stay beyond a January 1, 2012, deadline to withdraw. While the United States pulled its combat troops last year, between 46,000 and 50,000 troops have remained to provide support and training. The United States is widely expected to agree to some kind of limited extension of training personnel and equipment.

Last week, Muqtada al-Sadr, the influential Iraqi Shiite cleric staunchly opposed to U.S. troop presence, warned against the prospects of a "challenge" with any U.S. forces that may stay in Iraq. His Mehdi army militia was a major factor in the sectarian violence that erupted during the height of the war.

Al-Maliki said Monday's attacks "cannot undermine the resolve of our citizens and our armed forces."

Monday's violence ended a period of calm that began about the same time as Ramadan.

Ministry of Interior officials called on security forces to ban people from parking their vehicles on the streets of cities targeted in the attacks, saying they feared more violence.

In Tikrit, north of Baghdad, officials imposed a curfew on vehicles until further notice after a fatal suicide attack, officials with the Interior Ministry said.

Funaro said Iraq forces requested U.S. assistance only in Tikrit, and added that U.S. forces "are prepared to assist in any capacity" in line with the security agreement in place.

Two suicide bombers targeted security forces in Tikrit -- Saddam Hussein's hometown -- killing at least four policemen and wounding 11, the two officials said.

The deadliest of Monday's attacks was a double bombing that targeted civilians on a busy street in central Iraq, authorities said.

At least 37 people were killed when a car bomb followed by a roadside bomb exploded on the commercial street in Kut during morning rush hour, according to health officials and police, who spoke on condition of anonymity because they were not authorized to release the information to the media.

Sixty-five people were wounded in the attack, Dr. Dhiya al-Deen Jalil, the head of the health directorate in Kut, told CNN.

In Twareej, near the southern holy city of Karbala, a car bomb exploded near a police station, killing at least eight people and wounding 20, two officials at the Interior Ministry told CNN. The officials also spoke on condition of anonymity for the same reason as the police.

A string of explosions rocked Baghdad, killing at least three people and wounding 34, the officials said. Among the attacks were two car bombings that targeted an Iraqi army patrol and an Education Ministry convoy, the officials said.

In Yusufiya, about 35 kilometers south of Baghdad, gunmen wearing Iraqi army uniforms entered a Sunni mosque around 9:30 p.m. and summoned seven worshipers by name to step outside the mosque and form a line, said an Interior Ministry official who was not authorized to speak to the news media. The gunmen then fatally shot the seven, who were members of a local Awakening Council.

A bomb in a parked car in Najaf killed 11 people and wounded 50. Another parked car bomb in Kirkuk killed one person and wounded eight. A motorcycle rigged with explosives detained at an Iraqi police patrol in central Kirkuk wounded seven people.

In Baquba, a suicide car bomb, another car bomb, and a shooting attack killed 13 people.

Four roadside bombs exploded in Mosul, wounding five people.

In the Sunni-dominated Anbar province, a man building a bomb in his house in Falluja inadvertently detonated it, killing his own 5-year-old son and wounding his wife and three other children, police and health officials in Falluja said.  The man was later arrested.

While violence in Iraq has fallen off in recent years, there has been an increase in attacks targeting civilians and U.S. and Iraqi security forces in recent months.

Stuart Bowen, the U.S. official in charge of overseeing reconstruction in Iraq, said the country was more dangerous last month than it was the year before, according to an agency report to Congress in July.

CNN's Chelsea J. Carter contributed to this report.

@highlight

84 are killed and more than 200 wounded, according to reports from across Iraq

@highlight

20 bombings and shooting attacks are reported

@highlight

Al-Maliki tells security forces to pursue the killers "until they finish them"

@highlight

A jihadist website has a post praising the attacks, but no claim of responsibility