(CNN)  -- Like thousands of other Iranian women, Parisa took to Tehran's streets this week, her heart brimming with hope. "Change," said the placards around her.

Iranian women demonstrate Thursday in the streets of Tehran, the capital city.

The young Iranian woman eyed the crowd and pondered the possibility that the rest of her life might be different from her mother's. She could see glimmers of a future free from discrimination -- and all the symbols of it, including the head-covering the government requires her to wear every day.

Women, regarded as second-class citizens under Iranian law, have been noticeably front and center of the massive demonstrations that have unfolded since the presidential election a week ago. Iranians are protesting what they consider a fraudulent vote count favoring hardline incumbent Mahmoud Ahmadinejad, but for many women like Parisa, the demonstrations are just as much about taking Iran one step closer to democracy.

"Women have become primary agents of change in Iran," said Nayereh Tohidi, chairwoman of the Gender and Women's Studies Department at California State University, Northridge.

The remarkable images show women with uncovered heads who are unafraid to speak their minds and crowds that are not segregated -- both the opposite of the norm in Iran, Tohidi said.

She said a long-brewing women's movement may finally be manifesting itself on the streets and empowering women like Parisa.

"This regime is against all humanity, more specifically against all women," said Parisa, whom CNN is not fully identifying for security reasons.

"I see lots of girls and women in these demonstrations," she said. "They are all angry, ready to explode, scream out and let the world hear their voice. I want the world to know that as a woman in this country, I have no freedom."

Though 63 percent of all Iranian college students are women, the law of the land does not see men and women as equal. In cases of divorce, child custody, inheritance and crime, women do not have the same legal rights as men.

In the past four years, Ahmadinejad has made it easier for men to practice polygamy and harder for women to access public sector jobs, according to CNN's Chief International Correspondent Christiane Amanpour.

Amanpour, who has reported extensively from Iran, describes Iranian women as "very strong." In 1997, it was women who came out along with young people to put reformist candidate Mohammed Khatami into the presidency, Amanpour said.

Increasingly, women's voices are gaining power as their numbers rise and their demands grow louder.

Even the granddaughter of Ayatollah Ruhollah Khomeini, the architect of the Islamic republic, voiced frustration at the way women are treated.

"Women are just living things," Zahra Eshraghi told Amanpour. "A woman is there to fill her husband's stomach and raise children."

For the first time, women were allowed to register for the presidential race, though none, including Eshraghi, were deemed fit to run by the religious body that vets candidates. But women's issues surfaced in the campaign.

That was partly the result of a women's movement comprised of educated, urban, middle-class women that has grown in recent years with the addition of more conservative and poorer women, said Tohidi, a longtime observer of women's rights in Iran. Ironically, traditional women first gained voice under the clerics.

"Khomeini needed their votes, so he encouraged them to be publicly active," Tohidi said.

The middle-class women who enjoyed certain freedoms in prerevolutionary days refused to turn back, while a new generation of conservatives were awakened to feminism.

In 2003, lawyer and women's rights activist Shirin Ebadi won the Nobel Peace Prize, providing a "big boost" for Iranian women, Tohidi said.

At the same time, private organizations and charities that deal with women's issues blossomed under the presidency of reformist Mohammed Khatami, growing by as much as 700 percent, Tohidi said.

Marriage age increased as more women opted to marry for love, instead of entering arranged marriages. The One Million Signatures Campaign officially launched in 2006 sprouted new discourse and attention with a petition that asks the parliament to reform gender discriminatory laws.

In this year's presidential campaign, Iranian women pressured candidates to agree to ratify the U.N. Convention on the Elimination of All Forms of Discrimination Against Women. The 1979 treaty has been ratified by 186 nations, including several Islamic states.

Two opposition candidates, Mir Hossein Moussavi and Mehdi Karrubi, vowed to look into parts of the Iranian constitution that defer women's rights to what is regarded as an outdated version of sharia, or Islamic, law. Moussavi had even promised to appoint women as cabinet ministers for the first time.

Some women in Iran looked to Moussavi to carry their banner, perhaps because they were inspired by his wife, Zahra Rahnavard, a much-admired academic who told CNN's Amanpour that Iran's 34 million women want civil laws and family laws revised.

Author and journalist Azadeh Moaveni, who spent several years working in Iran, said Ahmadinejad's fundamentalism has pushed Iranian women to the edge.

"He has been a catastrophe for women," said Moaveni, who wrote "Lipstick Jihad" and co-authored "Iran Awakening" with Nobel laureate Ebadi.

The weight of discrimination against women is felt most profoundly through Iran's legal system, but Moaveni said Ahmadinejad added to the hardship by clamping down on women's lifestyles. He mandated the way women dress and even censored Web sites that dealt with women's health, Moaveni said. A woman would be hard-pressed to conduct a Google search for something as simple as breast cancer.

Moaveni was almost arrested because her coat sleeves were too short and exposed too much skin. In that setting, she said, it's striking to see women protesting, especially without their hijabs, or head coverings.

"While it's not at the top of women's grievances, the hijab is symbolic. Taking it off is like waving a red flag," Moaveni said. "Women are saying they are a force to be reckoned with."

Azar Nafisi, a professor at Johns Hopkins University's School of Advanced International Studies and author of "Reading Lolita in Tehran," said she has been watching the footage from Iran with "inordinate pride."

She marched on the streets during the 1979 revolution because she believed in greater freedoms for her people, only to see her dreams shattered as hardline clerics took hold of Iran. "Reading Lolita" is largely a memoir of her harrowing days in Iran until 1997, when she immigrated to the United States.

"The way I walked down the street became a political statement," Nafisi said.

She recalled her own mother being a devout Muslim who chose not to wear a veil. Her grandmother, like more traditional women in Iran, wore a veil but resented the government ordering her to do so. Covering up, Nafisi said, was a matter of faith, not politics.

Nafisi believes that women have become a symbolic statement of the power of the Islamic state. She called Iranian women canaries of the mind -- barometers of how free society is.

It's impossible to predict what will transpire in Iran in the coming days.

Nafisi believes a regime change will not be enough; that only a change in mindset can lead to greater freedoms for women.

Moaveni said the sheer scale of the demonstrations assures her that the political and social climate will never again be the same in Iran.

Tohidi is keeping her fingers crossed that the protests won't prompt Iran's hardliners to clamp down and rule by repression.

But all of them shared the hopes of the women -- like Parisa -- who are marching on the streets.

"Today, we were wearing black," Parisa said, referring to the day of mourning to remember those who have died in post-election violence.

"We were holding signs. We said, 'We are not sheep. We are human beings,'" she said.

Parisa was thankful for all the images being transmitted out of Iran despite the government's crackdown on international journalists. She was thankful, too, that the world cared.

"Today," she said, "I had this feeling of hope that things will finally change."

@highlight

Women have been strikingly noticeable in street demonstrations

@highlight

Many hope the protests will lead to changes in gender discriminatory laws

@highlight

Iranian women have been slowly building a movement for greater rights