Hong Kong (CNN) -- We live in a three-speed economic world, according to the International Monetary Fund. Nations that enjoy the fastest growth include China, India and other emerging countries. Moving at a moderate pace are the United States, finally seeing the light at the end of the 2008 financial crisis tunnel, and Japan, riding a resurgence thanks to Prime Minister Shinzo Abe's vow for a 2% inflation target. But economic growth across most of Europe is still growing at a crawl.

Earlier this month, IMF managing director Christine Lagarde, said this current three-speed world is setting up financial imbalances that could pave the way for future crises. And just this week, against this backdrop of divergent growth rates, the IMF cut world economic growth for 2013 from 3.5% to 3.3%.

But Olivier Blanchard, IMF chief economist, told CNN's Richard Quest that there is reason to be hopeful.

"The reason to be optimistic is to look at what has happened in the U.S. For a while, the question was 'Where is growth going to come from?'. And what you see is nearly 100 flowers blooming," Blanchard said.

"People are becoming more optimistic. The fact that there was no housing construction means that we don't have enough houses, so housing is doing well. Monetary policy is aggressive. People believe it. Banks are improving."

A recent report by Case-Shiller says U.S. home prices are slowly returning to normal, with a prediction that average home prices will rise an average of 3.3% through September 2017. U.S unemployment fell to 7.6% in March, its lowest since December 2008, although much of the fall that month was attributed to attrition in the number of people looking for jobs.

The question, adds Blanchard, is how Europe can stage a U.S.-style recovery despite a crisis in confidence across much of the Continent. Record unemployment in the eurozone -- at 12% in February -- means about 19 million people are jobless. Nearly one in four of those unemployed are under 25.

"If you look in Europe -- in particular core Europe -- what you see is people don't have any hope and so what they do is they don't spend, and firms don't invest and banks don't lend," said Blanchard. "And it just feeds on itself. Now if they had confidence, they would spend more, firms would invest more, banks would do more and we could have growth. It can happen but the point is how do we make it happen?"

Blanchard says the only tool that remains is monetary policy -- a cut to interest rates. Yet, despite warnings from IMF chief Christine Lagarde and prominent American economist Nouriel Roubini, the European Central Bank has left rates unchanged since July 2012, with the benchmark rate standing pat at 0.75%.

"We have to use all the tools we have," said Blanchard. "The tool which remains is monetary policy. Has it gone too far? I don't think it's too far. There are some risks associated...but my sense is the benefits far exceed the risks or the cost."

@highlight

IMF says world economies are separating into three different speeds

@highlight

China, India growing fastest, U.S. and Japan have moderate growth, Europe slowest

@highlight

In April, IMF cut global growth forecast from 3.5% to 3.3% for 2013

@highlight

IMF chief economist still hopeful, says best tool for Europe is monetary policy