(CNN) -- Casey Hayden knows something about hate.

She's seen how hateful words can cause people to demonize their political foes, grab guns and commit murder.

She's a survivor of one of the most brutal episodes of the civil rights movement.

Long before the January 8 shootings in Tucson, Arizona, sparked debate about the role of heated rhetoric, Hayden and other civil rights veterans worried about the nation's recent political tone -- and what it might wreak.

Hayden is a former volunteer with the Student Nonviolent Coordinating Committee. She was working in an office one summer day in 1964 when she received a call that three civil rights workers were missing. The bodies of the murdered men were discovered after a 44-day search.

"I knew immediately that they were dead," Hayden said. "You don't forget things like that. Things like that happen when political emotions are heated."

There appears to be no direct evidence that politics motivated Jared Lee Loughner, the man accused of killing six people and wounding 13 -- including Rep. Gabrielle Giffords. Internet postings attributed to Loughner show what one expert called "classic signs of psychosis."

Source: Provocative Loughner photo turns up

Still, lawmakers on both sides of the aisle have called on colleagues to tone down the militant-themed messages and fear-laced speeches that have marked recent dialogue in Washington and on the campaign trail.

For some civil rights veterans, the debate over political rhetoric isn't academic -- it's personal.

Rep. John Lewis, D-Georgia, said the recent political tone "takes me back to that period in the civil rights movement when we were called un-American."

Lewis, who was beaten in Selma, Alabama, while leading a civil rights march, said rhetoric turns dangerous when groups go beyond the war analogies common in political speech and imply their foes are enemies of America. During the health care reform debate, some leaders called their foes "un-American" and "socialists," he says.

"Individuals like Gov. George Wallace or Bull Connor never threw a bomb or pulled a trigger, but they created the climate for others to throw the bomb and pull the trigger," Lewis said, referring to the segregationist Alabama leader and Birmingham city commissioner.

Both the recent rhetoric and the Tucson shooting reawakened memories for Lewis, Hayden and others from the civil rights era.

Hayden said that when she retired to Tucson, she never expected to experience the dread she once felt as a civil rights worker in Mississippi.

But in recent months, she said she had felt a familiar sense of foreboding.

She said she saw hundreds of Tea Party members shout down Giffords at a town hall meeting. She saw scores of ordinary Arizonans openly carry guns around town. She noted the rising ethnic strife.

"I told people, this is the new Mississippi," Hayden said. "This is where the focus of the resurgence of right-wing hostility is located."

Pima County, Arizona, Sheriff Clarence Dupnik set off a wave of criticism after the shootings when he made similar comments calling Arizona a "mecca for prejudice and bigotry" and blaming the news media for spreading "vitriolic rhetoric."

A conservative talk show host and a local newspaper were among those who accused the sheriff of becoming part of the problem. The Pima County Tea Party Patriots put out a statement calling on "all Americans to come together and renounce violence."

"There is no place in America's political debate for acts of violence," the statement said. "While we disagree with Congresswoman Giffords on many things, we pray for her survival and full recovery without reservation or exception."

Giffords upgraded to serious condition

Hank Thomas knows what it's like to enter a state that's considered a mecca of bigotry.

Thomas is a former "Freedom Rider," part of an interracial group of students who tried to desegregate interstate bus travel in 1961 by riding Greyhound buses throughout the South. They were savagely beaten by mobs and, in one infamous incident in Anniston, Alabama, their bus was torched.

Thomas said Southern political leaders helped create mobs by demonizing Freedom Riders in the press and describing their arrival as an "invasion."

"Words have consequences," said Thomas, who will mark the 50th anniversary of the Freedom Rides this year with his friends.

"The governor of Alabama called us outside agitators, communists and race mixers. He said the good people of Alabama would not protect us."

Thomas said political tension has been building since the country elected Barack Obama as its first African-American president.

Calling Obama a socialist and a native of Kenya and labeling health care reform "Obamacare" can condition some people to see the president and others as part of a new wave of invaders who must be stopped, with violence if necessary, Thomas said.

Thomas said he and other civil rights veterans have been discussing the dangers for some time.

"In the private conversations in our home, we shuddered at what these kinds of things were leading to," said Thomas, who lives in Stone Mountain, Georgia, just outside Atlanta.

Thomas said many of the whites he encountered in the South during the civil rights movement were angry because they felt integration would cause them to lose their status. He said he believes some whites feel the same anxiety today.

Susan Glisson, director of the William Winter Institute for Racial Reconciliation at the University of Mississippi, said contemporary politicians should heed the lessons of history by avoiding language that demonizes their foes.

If a political leader assassinates a foe's character, a troubled person might think it's OK to assassinate the foe, she said. But some contemporary politicians forget this lesson from the civil rights era, she said.

"There's an historical amnesia because they're so focused on winning political battles at any cost," Glisson said.

Political leaders serving in times of great anxiety face a choice, she said: "The purpose of leadership is not to speak to fears, but to speak to people's hopes."

Others argue that political rhetoric has its place in the national debate.

Jonathan Chait of the New Republic magazine said the left has deployed the same war-like political rhetoric that it now condemns, noting that President Obama once said during his 2008 presidential campaign, "If they bring a knife to the fight, we bring a gun."

"Strong feelings are a part of political discourse," Chait wrote. "This is serious business. Important things are at stake, including, at times, life and death. People have a right to be angry."

Michael Barone, a political analyst for the Washington Examiner newspaper, said right-wing politics had nothing to do with the Tucson shootings.

"It has become obvious that the murderer was crazy, the follower of no political movement, motivated only by the bizarre ideas ricocheting around his head," Barone wrote.

Opinion: After Tucson, will media tone it down?

Yet sometimes political leaders can make public statements that make them sound unhinged, said one civil rights veteran.

Bruce Hartford, who was a member of the Southern Christian Leadership Conference, recalled some of the rhetoric of Southern politicians when he participated in a civil rights campaign in Selma with the Rev. Martin Luther King Jr. in 1965.

"The politicians were creating a climate of fear and hysteria to get votes," Hartford said. "They were going around saying that Northern blacks had been assigned to rape white women."

Hartford said it's virtually inevitable that rapid social changes in America -- electing the first black president, the influx of Latino immigrants -- will be accompanied by violence.

"There is almost always an undercurrent of violence in this country that emerges as a reaction to the advancement of a despised minority's rights," Hartford said.

That violence doesn't have to occur, though, if enough leaders create safe public spaces for varying groups of people to talk to one another, said Glisson.

Glisson points to Mississippi as an example. She says the once notorious state has more black elected officials than any other. Civil rights history is taught in its schools, and interracial groups gather to talk about racial progress, she says.

"If it can happen in Mississippi, it can happen anywhere," she said.

She said it happens when Americans heed the wisdom of an old adage that declares:

"My enemy is someone whose story I haven't heard."

@highlight

Recent rhetoric, Tucson shooting reawakened memories for civil rights veterans

@highlight

Freedom Riders of 1960s say they've seen familiar signs in recent months

@highlight

Rep. John Lewis: Rhetoric turns dangerous when groups imply foes are enemies of America

@highlight

Historian: Politicians suffer from "historical amnesia" when they focus on winning "at any cost"