Tokyo (CNN) -- In Japan, a country where structure, conformity and security are bedrocks, it is often hard for individuals to break free and follow a more idealized path. It is especially difficult when that path turns out to be somewhat ... eccentric.

So we salute Hideaki Kobayashi, who took the courageous step a few years ago of dressing up -- like a 15-year-old schoolgirl. Complete with ponytail, knee-high socks, penny loafers and a cute red kerchief, his outfit is the epitome of Japanese girls' school uniforms.

His thinning white hair and beard, which frame his round, middle-aged man's face, however, add something a little different to the look.

By and large, he's found that his unusual appearance, which he says makes him "feel comfortable," is accepted on Tokyo's streets.

Now a patent-holding computer engineer, an accomplished photographer and presumptive music producer, Kobyashi's life hasn't always been this way.

"When I was in university I majored in mathematics and I was very introverted," he tells me as people crowd round to take photos -- he poses for up to 100 a day. "I never talked to people. I feel much more myself wearing this.

"Japan(ese) society is all about conforming to the other people. (Japanese people) feel suffocated conforming to society."

For such a conservative country, the capital does have pockets of individuality, especially around the Harajuku area, where tourists often gather to snap pictures of some of the city's more out-there residents. Cosplay is a big thing in Japan, and many enthusiasts gather in the neighborhood's Yoyogi Park to show off their ensembles. But even here, the 51-year-old stands out.

Certainly Kobayashi's style is unique, and draws a lot of attention, even in Harajuku. He tells me that it took him two hours to walk from Shibuya's famous crosswalk to the neighborhood, usually a 15-minute stroll, because of all the people stopping to take photos with him.

"Comfortable, relaxed and happy"

Lola Fantappie, a tourist from California, encountered Kobayashi in the Akihabara district, the beating heart of Japan's otaku (geek) culture and no stranger to societal outliers. She says that she was struck by his contentedness. "He just seemed so comfortable, relaxed, and happy... I don't know, embracing life. I think it's great."

And his unique take on life -- and dress code -- has garnered some unlikely admirers.

Waseda Juku, a private tutorial center in Tokyo, might be a far cry from the Japanese public school system, which still largely operates by the old maxim, "the nail that sticks out gets hammered down," but still, to draft in an elderly cross-dresser as a motivational speaker is a huge step for a Japanese educational institution.

The school's staff learned of Kobayashi's many talents, and Alexander Blackhall, an administrator at the school, said they were drawn to the "rich character behind the facade" as well as the potential this brave man had to teach their charges something about being themselves.

"(He) just sends such a positive message," Blackhall says. "It's really useful to young people, particularly here in Japan -- this voyage of self discovery."

Kobayashi calls it the key to a rich and happy life. "If thereÂ¹s something you want to do, do that," he says.

'Be yourself'

Historically, cross-dressing has played an important part in Japanese culture. Onnagata -- male kabuki performers who played the female role -- were, and remain, a staple of the art. A more modern flip-side to this can be found in the Takarazuka revue, an all-female troupe which acts out campy musicals using an all-female cast in the town of Takarazuka in Osaka prefecture, as well a satellite theater in Tokyo.

Variety shows on TV here also mine a rich seam of cross-dressing, and it's common in anime (Japanese cartoons) as well as manga (comic books).

But while men dressing as women is accepted in Japanese pop culture, Kobayashi says that real life reactions can be different -- he says sometimes people shout insults on the street, and notes that he's been stopped by the police as many as ten times.

Despite the negative attention and discrimination, he thinks it's worth it. It's still outweighed by the positivity of the throngs of people eagerly posing with him as he skips from Shibuya to Harajuku, and by the kids he's able to reach with his message of tolerance, and how liberating being a non-conformist can be.

He says his story proves you donÂ¹t have to be conventional to be accepted.

"ThatÂ¹s my message," he says. "Be yourself."

CNN's Euan McKirdy contributed to this report

@highlight

Japanese society is generally quite traditional and conservative

@highlight

Following an alternative lifestyle can be difficult, but Hideaki Kobayashi took the plunge a few years ago

@highlight

Dressed as a uniform-clad schoolgirl, he gets a lot of attention, both positive and negative

@highlight

He's been held up as an example of being true to yourself