THE HAGUE, Netherlands (CNN) -- The International Criminal Court at the Hague issued an arrest warrant Wednesday for Sudanese President Omar Hassan al-Bashir for a five-year campaign of violence in Darfur.

Al-Bashir waves to supporters in the sudanese capital,  Khartoum on Wednesday.

It is the first arrest warrant ever issued for a sitting head of state by the world's only permanent war crimes tribunal.

Bashir is charged with seven counts of crimes against humanity and war crimes. The warrant does not mention genocide, but the court may issue an amended warrant to include that charge later, ICC spokeswoman Laurence Blairon said.

But Sudan's minister of information and communications said the country does not plan to cooperate with the "white man's tribunal."

Kamal Obaid said: "Sudan perceives those decisions as an insult directed at (Sudan's) nationalism and sovereignty ... The government relies on the strong will of the people and on a national consensus not seen before and (stands) by decisions taken by its council of ministers and parliament and restates what it always confirmed."

Speaking on Sudanese TV, he added: "The Security Council and international community must bear full responsibility toward any escalation produced by those clumsy decisions."  Watch a pro-Bashir rally in Sudan »

Five of the counts against Bashir are for crimes against humanity and include murder, extermination, forcible transfer, torture, and rape, Blairon said. The other two are for war crimes, for intentionally directing attacks against civilians and for pillaging.

"Bashir's official capacity as head of state does not exclude criminal responsibility or get him immunity," Blairon said in announcing the warrant.

The ICC's chief prosecutor, Luis Moreno-Ocampo, filed genocide charges against al-Bashir in July last year, accusing him of masterminding attempts to wipe out African tribes in the war-torn region with a campaign of murder, rape and deportation.  Watch more on the verdict »

The violence in Darfur erupted in 2003 after rebels began an uprising against the Sudanese government. To counter the rebels, Sudanese authorities armed and cooperated with Arab militias that went from village to village in Darfur, killing, torturing and raping residents there, according to the United Nations, Western governments and human rights organizations.  A man describes how he was told to rape children »

The militias targeted civilian members of tribes from which the rebels drew strength.

Moreno-Ocampo told CNN's Nic Robertson last year that he had "strong evidence that al-Bashir is committing a genocide." But Blairon said the evidence submitted to judges so far doesn't support that charge.  Watch Christiane Amanpour's reaction to the verdict »

"In order to speak about a genocide, you need to have a clear intent that a person wishes to destroy, in part or as a whole, a targeted group, a specific group," Blairon said. "In this specific case, the (judges of the) Pre-Trial Chamber 1 has not been able to find that there were reasonable grounds to establish the genocidal intent."

Prosecutors may still return to the chamber if new evidence of genocide emerges, and the court may then decide to issue an amended warrant, she said.

Moreno-Ocampo said Wednesday he would have to review the court's decision not to include genocide in the arrest warrant, but he pointed out it is possible to appeal.

Al-Bashir bears responsibility for the crimes committed in Darfur, Moreno-Ocampo said last year, because he sat at the apex of the government.

"For such crimes to be committed over a period of five years and throughout Darfur, al-Bashir had to mobilize and keep mobilized the whole state apparatus; he had to control and direct perpetrators; and he had to rely on a genocidal plan," Moreno-Ocampo wrote as background for arrest warrant request.

The Sudanese government has long rejected the authority of the ICC, saying Sudan is not a signatory to the court's creation so there is no legal obligation to turn al-Bashir over to the court.  Sudan: 'Process is unlawful' »

U.S. State Department spokesman Gordon Duguid issued a statement on the arrest warrant, saying "the United States is strongly committed to the pursuit of peace in Sudan and believes those who have committed atrocities should be held accountable for their crimes."

The statement urged all groups "to exercise restraint in responding to this development and to ensure the safety and security of vulnerable Sudanese populations, international civilians, and peacekeepers on the ground."

Germany and the UK both urged Sudan to cooperate with the ICC.

"We deeply regret that the government has not taken these allegations seriously or engaged with the court, and we repeat today our call for its cooperation," British Foreign Secretary David Miliband said.

The ICC said the obligation to surrender al-Bashir falls on all countries that are also members of the U.N. Security Council and to "any other state as may be necessary." And the judges have ruled that additional arrest warrants may be issued for Al-Bashir and served on any state as required, said court registrar Silvana Arbia.

Al-Bashir is scheduled to attend an Arab summit in Doha, Qatar, later this month. Moreno-Ocampo said Wednesday that al-Bashir stands the chance of being arrested should he travel.

"The judges were clear: There is no immunity for head of states before the ICC," the prosecutor said. "As soon as Omar al-Bashir travels through international air space, he can be arrested."

"Omar al-Bashir's destiny is to face justice," he added. "It will be two months or in two years, but he will face justice."

About 300,000 people have died in Darfur, the United Nations estimates, and 2.5 million have been forced from their homes.

"His victims are the very civilians that he, as a president, was supposed to protect," Moreno-Ocampo said.

CNN's Nic Robertson contributed to this report.

@highlight

NEW: Sudan says it will not cooperate with International Criminal Court

@highlight

ICC charged Sudan president Omar Hassan al-Bashir with Darfur war crimes

@highlight

It is first the first arrest warrant ever issued for a sitting head of state

@highlight

About 300,000 have died in Darfur, U.N. says; 2.5 million forced from homes