(CNN) -- The disputed head of the Ivory Coast will not step down, one of his key ministers said Saturday, despite the threat by West African leaders to use military force to force him out.

A day earlier, a statement from the 15-member Economic Community of West African States said its 15 members would not hesitate to use "legitimate force" if necessary to defuse an escalating crisis in the Ivory Coast.

But Alcide Djedje, the foreign affairs minister for incumbent president Laurent Gbagbo, on Saturday dismissed the threat as part of a Western plot spearheaded by France. He said that his regime views the prospect of outside military action unlikely, claiming that the West African group's members would be reluctant to send soldiers into the Ivory Coast.

The organization's move was the latest to isolate Gbagbo, amid sweeping international sentiment that he is not the Ivory Coast's rightfully elected leader and that his forces have perpetrated human rights abuses against his opponents.

The United Nations, African Union, European Union and numerous individual nations have called for Gbagbo to step down, with many also calling out his regime for its actions against political foes in the past week that have reportedly killed scores of people.

Still, the call from the Economic Community was especially significant, given that the Ivory Coast is a member and its mention of possible military action.

"In the event that Mr. Gbagbo fails to heed this immutable demand of ECOWAS, the Community would be left with no alternative but to take other measures, including the use of legitimate force, to achieve the goals of the Ivorian people," the group said in a statement following an emergency meeting Friday in Abuja, Nigeria.

Under the leadership of Nigerian President Goodluck Jonathan, the regional bloc will coordinate, "without delay," a meeting of defense ministers from member countries "to plan future actions, including the provision of security along the Cote d'Ivoire-Liberia border," the statement said.

This back-and-forth comes as the security situation in the Ivory Coast continues to deteriorate.

The United Nations refugee agency said Saturday that about 14,000 Ivory Coast residents escaping that country have fled to eastern Liberia, some walking hours if not days before boarding barges on rivers bordering the West African nation.

A few deaths have been reported among the refugees, including a child who drowned while crossing the Cestos River into Butuo. In some locales without ambulances, U.N. High Commissioner for Refugees vehicles are being used to take people out to get medical care.

"Some are arriving with severely swollen feet,... some families said they had walked three to four days through the bush with little food," the U.N. agency said in a statement.

A spokesman for Alassane Ouattara, widely recognized as the Ivory Coast's legitimate leader following a November 28 run-off election, accused Gbagbo of defying democratic ideals and instead embarking on new era of violence.

Spokesman Patrick Achi said Friday that Ouattara hopes the West African leaders will be able to help end the turmoil.

Meanwhile, the Dutch Defense Ministry said on Friday that at the request of France, it had dispatched one of its ships to the Ivory Coast to help evacuate European citizens in case the situation worsens.

And U.S. State Department spokesman P.J. Crowley said earlier this week that the United States and other countries were discussing with African nations the possibility of augmenting the existing U.N. force in the Ivory Coast.

However, he said it was unclear what a U.S. contribution could look like -- forces of logistical support or something more indirect were among the options.

The African Union has suspended the Ivory Coast from the organization "until such a time the democratically elected president effectively assumes state power." The World Bank has halted lending and disbursing funds to Ivory Coast and has closed its office in the country.

On Friday, U.N. Secretary-General Ban Ki-moon welcomed the decision of the U.N. General Assembly to recognize Ouattara as the winner of the disputed Ivory Coast election.

"This important decision reflects the united position of the international community with respect to the legitimacy of the new government led by President Ouattara," a spokesman for the secretary-general said in a written statement.

Kyung-wha Kang, the U.N. deputy high commissioner for human rights, has said that between December 16 and Tuesday, human rights officers had "substantiated allegations of 173 killings, 90 instances of torture and ill treatment, 471 arrests and detentions and 24 cases of enforced or involuntary disappearances."

She added that the actual numbers may be much higher because "it has been impossible to investigate all the allegations of serious human rights violations, including reports of mass graves, due to restrictions on movement by U.N. personnel."

While acknowledging "the situation is very, very difficult to live" in, Charles Ble Goude -- the nation's youth minister under Gbagbo -- said Thursday the government is "dealing with that."

He said "the U.N. report is not correct," especially in its fingering fellow Gbagbo backers as being to blame for the recent violence. Instead, he accused Ouattara's supporters of using weapons at what had been billed as peaceful rallies to attack soldiers.

After last month's election, the country's Independent Electoral Commission named Ouattara the winner. But its Constitutional Council invalidated those results and declared that Gbagbo won.

Goude said that he and others in Gbagbo's circle couldn't accept the electoral commission picking Ouattara, noting that it announced its decision in a hotel that was also being used as Ouattara's headquarters.

While stressing a desire for talks on the issue, he said there is no intention for Gbagbo to forfeit a seat that he believes is rightfully his. "Why do you want someone who won an election to step down?" Goude asked. "The president has been elected."

@highlight

The Ivory Coast's Laurent Gbagbo will not step down, his foreign minister says

@highlight

The official dismisses as unlikely a threat by West African leaders to use force against Gbagbo

@highlight

On Friday, that group said it may have "no alternative" but to use "legitimate force"

@highlight

The international community has called Gbagbo illegitimate and accused his forces of abuses