The day after Michael Brown was killed by a police officer, Syreeta Myers drove from her South City home to the northwest suburb of Ferguson. She marched on the street demanding justice for Brown's death. She wanted to stand by his parents.

Two months later, Brown's father was calling her. This time, it was Myers who was receiving support.

Like the Browns, she had lost a son.

VonDerrit Myers Jr. was 18, just like Michael Brown. He was a young black man killed by a white police officer.

"My issue is with crooked cops who won't hesitate to kill a black man," Syreeta Myers tells me on this dreary Sunday afternoon.

Brown was unarmed, and the grand jury investigating his killing is expected to make a decision any day now on whether to indict Officer Darren Wilson. Myers hopes her son's case will also be investigated to sort out opposing sides of the story.

"Picture if this was your kid. What would you want?" she would like to tell the grand jurors. "Base your decision on the facts."

Just as in Brown's case, the facts in Myers' killing are disputed. And Myers' case is far more complicated. At issue is whether or not a teenager who had a history with guns tried to shoot a police officer.

Police say that the October 8 confrontation in the city's Shaw neighborhood began when Myers and two others ran from an off-duty police officer working for a private security firm.

Police have not released the officer's name, but Jermaine Wooten, an attorney for the Myers family, identified him. Wooten says the name was included in an evidence sheet inadvertently left with VonDerrit Myers' body when it was brought to the funeral home.

The St. Louis Post-Dispatch said it had independently verified the officer as Jason H. Flanery. Police would not confirm the name for CNN. The officer is on administrative leave while the shooting is investigated.

The officer was in his car and chased Myers and the two others because he thought one of them had a handgun, police said.

He tussled with Myers, police said, and then Myers fired three shots at the officer. The officer fired back with 17 rounds and killed him. Police said they found Myers with a stolen gun that matched three bullets that were recovered near the officer's location. They also said tests confirmed gunshot residue on Myers' hand, T-shirt and jeans. The residue, police said, could mean a person fired a gun, or was near a gun when it was fired.

Family disputes police account

But Syreeta Myers tells a different version of what happened on the night that she lost her only child.

She refers to witness accounts of Myers running away and begging for his life when the officer shot him. She says her son was holding a sandwich, which he was seen buying on a shop surveillance video, and not a gun.

Wooten says VonDerrit Myers pleaded with the officer.

"Stop, stop. Don't shoot."

That's what witnesses heard him say, Wooten tells me.

A private autopsy done for the family showed that Myers had seven leg wounds, and one bullet struck him in the face.

Myers had been wearing an electronic monitoring bracelet since a June arrest for unlawful use of a weapon and resisting arrest. Police said those charges resulted from him tossing a loaded .380-caliber pistol into a sewage drain. Shortly after his death, photos of him posing with guns went viral online.

The shooting immediately drew a comparison to Brown's, except media reports described Myers as an armed criminal.

But her son's troubles with the law did not justify his death, Syreeta Myers says. Why is it, she asks, that everything bad about the victim is made public and not the man who killed him?

"If you believe a person is guilty of a crime, lock him up. Don't shoot him," she says. "This is senseless. I was cheated. I only got 18 years with my son. He should still be here."

VonDerrit Myers' past does not matter to many who are protesting Brown's death. Myers may not be a Trayvon Martin or Michael Brown or any of the others on the list of slain, unarmed black men in America. But his shooting in St. Louis, so soon after Brown's, has fed a cry for racial justice.

The voices of Ferguson

Myers was another case of a black teen killed by a white police officer, another case that demonstrated, they say, that black lives do not matter.

Ferguson church turns to faith as uncertainty looms

'Mama, I'm going to make you proud'

I meet Syreeta Myers at her attorney's St. Louis office on Sunday afternoon. Outside, the skies are dark with thick clouds. The rain is blowing sideways.

Ferguson is just a few miles from here. These neighborhoods in St. Louis are on edge ahead of the grand jury announcement in the Brown case. Sunday evening, protesters marched for two hours on the streets near where VonDerrit Myers was shot.

In the shadow of the storm called Ferguson, a quiet grave

Myers and I sit at a conference table and begin our conversation. She tells me her son was not the animal the media portrayed.

"How can you make a decision about a person you don't know?" she asks.

I learn that when she was close to eight months' pregnant, doctors said her baby would probably not survive. She had preeclampsia, a complication characterized by high blood pressure that can prove fatal for both mother and child. The only cure is an immediate delivery of the baby.

Myers, a certified pharmacy technician, and her husband braced for the worst. But the baby came out screaming and weighed almost 5 pounds, 3 ounces. They named him after his father.

He grew to become a good student who loved basketball and softball, although his asthma hampered him at times. When he entered high school, he began to hang out with friends his mother disapproved of. Some were dropouts, losers.

"When you are around negativity, it rubs off on you," she says.

VonDerrit was living with his grandmother when he was killed. Her place was closer to his school and to the assembly line job he had at a plastic company.

But Myers often went out with him on mother-son dates. They'd go eat at Chili's and catch a movie -- the last one they saw together was "The Equalizer." And all he talked about was getting off the box, meaning the ankle bracelet.

That's why, Myers says, she finds it preposterous that he would shoot anyone.

On October 7, Myers spoke to her son for the last time. He told her he was job hunting after getting laid off and had turned in applications. He was looking forward to graduation from Gateway High School in January. Myers says he had to attend an extra semester because he had failed some classes.

He had dreams of being an athletic scout or a construction engineer, she says.

"Mama," he told her in that two-hour phone call, "I'm going to make you proud."

'Families should not have to bear this pain'

The next evening, Myers and her husband were at a grocery store when her cell phone rang. She learned her son had been shot. They rushed to the scene on Shaw Boulevard. Her phone rang again. She learned her son was dead.

Police did not let her into the taped-off area. She could see what she knew was her son's body under black sheeting. Her husband went to the morgue later to identify him. She did not want his bloodied body to be the last image of him in her mind.

The next night, dozens of protesters turned up at the corner of Shaw and Grand boulevards. Some burned American flags that night.

For Myers, the hours and days since her son's shooting are a blur.

She stopped watching the news. It was too painful to see her son's face, to hear others call him a thug and to listen to countless discussions about racial hatred and police brutality.

Instead, she reached for her Bible. She says that as a Christian, she knows she will have to forgive the officer who shot her son. But she cannot just yet.

The call from Michael Brown Sr. was comforting, she says.

"He knew what I was experiencing," she says. "Families should not have to bear this pain. I am breathing, but I feel like my life just stopped."

It's difficult for Myers to talk about her son, especially with Thanksgiving just a few days away. She wipes away tears and gets up and leaves the room when her attorney talks about her son's gunshot wounds.

She never got a condolence call from the St. Louis Police Department. But she never expected one.

She says she doesn't despise all police. She recognizes they put their lives on the line for the safety of others.

But she believes that in this case -- and in the case of Michael Brown -- a police officer committed a crime, and he should be punished.

Follow CNN's Moni Basu on Twitter.

@highlight

The mother of a black 18-year-old killed by white police officer speaks out

@highlight

Syreeta Myers says her son did not have a gun; police say he did

@highlight

Her son's troubles with the law, she says, did not justify his death