Princeton, New Jersey (CNN) -- In the days following the horrendous attacks against the United States on 9/11, all the talk in Washington was about the need for bipartisanship. Republicans and Democrats promised that they would work together to protect the home front and capture those who were responsible.

On the day after, Democrats and Republicans followed the traditional post-military crisis ritual of promising to work on policies in bipartisan fashion. New York Sen. Hillary Clinton -- who was still struggling to gain her sea legs in her first year on Capitol Hill, after having spent eight years serving as the first lady during some bruising partisan battles -- announced that it was important to be "united behind our president and our government, sending a very clear message that this is something that transcends any political consideration or partisanship."

Republicans also promised political peace. House Speaker Dennis Hastert assured the nation that "we are in complete agreement that we will work together, that we want to share information, that we will be ready to move on whatever the president suggests, and we will go through the debate and the actions of Congress in a bipartisan way to make that happen." The kind of partisan sniping that voters were accustomed to, he and his colleagues said, would be a thing of the past.

The political question on September 12 was how long this unity would last: Would the worst terrorist attack ever on American soil really transform the politics of national security?

Ten years later, it is evident that the answer was clearly no. The period of good feelings did not last long. One of the most striking aspects of 9/11 was that even a tragedy of this scale could not tame the partisan forces that shape American politics.

Partisanship flared over one of the most important measures that Congress had to deal with in the fall of 2001: airport security. The administration proposed that the federal government take a larger role in guarding airports, but only if Congress granted the president the power to exempt airport security workers from civil-service protections. The GOP insisted that the government needed flexibility when hiring and firing workers so that it could properly handle security concerns.

Democrats opposed the president's plan on the grounds that, in their minds, President George W. Bush was trying to use the excuse of national security to weaken unions; Republicans charged that Democrats were holding up the legislation to please organized labor. According to Republican Majority Leader Richard Armey, "What the Democrats want, is 30,000 new dues-paying contributors." For its part, the Democratic Congressional Campaign Committee established a website called "Unsafe Delay," which criticized Republican Whip Tom DeLay for stifling the legislation. Each side blamed the other for the holdup. Congressional Democrats held a rally in front of the Capitol with pilots and flight attendants.

This was just was just a taste of what was to come. During the 2002 elections, national security became part of the campaign. In one of the most notorious cases, Republicans launched an attack against Sen. Max Cleland of Georgia, a triple amputee as a result of combat in Vietnam. Cleland, a moderate Democrat whose model had been the centrist Sam Nunn, had sought a compromise on the labor provisions in Bush's homeland security efforts.

In one devastating ad, supporters of his Republican challenger, U.S. Rep. Saxby Chambliss, who had received five student deferments and one medical deferment during the Vietnam War, flashed an image of Osama bin Laden before attacking Cleland for his positions on homeland security.

Chambliss won the election.

"Really good policy is really good politics," explained White House adviser Mark McKinnon, sensing how the Republicans' national security positions could help win the election, "It's the right thing to do for the right reasons. The domestic agenda right now is security. It's covering up everything else."

While there was some bipartisanship after 9/11, with many Democrats supporting the Patriot Act as well as the wars in Afghanistan and Iraq, the parties blasted each other on the issue of national security at almost every turn.

Despite our nostalgia for times when the parties joined forces on foreign policy, politics rarely stops at the water's edge. The moments like 1947 to 1949 when key members of each party work together are exceptions, not the norm.

During the famous 80th Congress, which President Harry Truman later made his foil in the 1948 campaign, Michigan Republican Arthur Vandenberg and the president worked closely together to create the modern national security apparatus to fight the Cold War. The National Security Act, which created the CIA and the National Security Council, as well as the Marshall Plan and the Truman Doctrine, were all products of this bipartisan alliance. Of course, the moment of good feelings disintegrated in the next few years with the bitter battles of the early Cold War.

The irony is that partisan battles continue over foreign policy even when there is a basic consensus on policy. This was true during the Cold War, when most politicians were prepared to be tough against communism, and it is the case today when President Barack Obama, despite the campaign of 2008, has continued with most of Bush's war on terrorism. Indeed, recent revelations suggest that the president has barely dismantled any of the counterterrorism programs that were in use.

Could the promise of September 12 ever be fulfilled? Certainly today there are enormous areas of consensus between the parties, such as over most counterterrorism policies, over the need for strong homeland security programs and even for strong military vigilance with countries such as North Korea and Pakistan.

Nonetheless, the partisan forces that play out on the campaign trail are simply too great to overcome. If 9/11 taught us anything, it's how deeply rooted partisanship is in our modern political culture. Even a tragedy of its magnitude could barely contain the forces that perpetually rip apart members of the two parties.

Ten years ago, the parties came together. But they came together just for a brief spell. In the long span of history, it was as if the moment ended before either side could even blink.

The opinions expressed in this commentary are solely those of Julian E. Zelizer.

@highlight

Julian Zelizer: Politicians of both parties pledged to work together after 9/11

@highlight

He says that bipartisan spirit after attacks evaporated quickly

@highlight

Zelizer says Democrats, GOP clashed over status of TSA workers

@highlight

He says partisan forces too powerful for most politicians to overcome