Brussels, Belgium (CNN) -- Ukrainian President Petro Poroshenko on Friday signed a broad agreement of cooperation with the European Union, the same deal whose reversal set off a crisis in the nation.

The signing came hours before the President's office announced a three-day extension of a cease-fire. This is the latest step suggesting Ukraine may be moving back from the brink of full-fledged civil war -- though the situation remains volatile, with continued violence and the constant fear of yet more, cease-fire or not.

This tension has recent roots in then-President Viktor Yanukovych's decision to shun the EU Association Agreement last year and work with Russia instead. That move unleashed deadly strife that led to Yanukovych's ouster, the loss of Crimea and a pro-Russia separatist rebellion.

Sealing the deal may be the second-most important moment in Ukraine's history, Poroshenko said, after its independence from Russia.

He said the signing "shows how dramatically things can change in a short time, if the will of the people is strong enough."

And he paid tribute, on what he described as a "great day" in the nation's history, to Ukrainians who lost their lives when protests over closer ties with Europe turned bloody.

"The document we will sign today is not just political and economic, it is a symbol of faith and unbreakable will," he said.

"It is a tribute to people who gave their lives and health to make this moment happen, and it is the strongest reminder that today's Europe is and must be about people's determination to live in a better and safer world."

Poroshenko said that in signing the Association Agreement, he was making a unilateral statement that his country has underlined its choice of future membership in the EU.

And he signaled to Russia that its efforts to undermine the closer unification of Europe would fail in the face of Ukraine's determination to pursue its European dreams.

He used the same pen intended for use in November before Yanukovych turned his back on the agreement in favor of Moscow.

Russian reaction

Kremlin spokesman Dmitry Peskov said on Russian state TV that signing the EU deal is a "sovereign right" but that "Russia will undertake its measure if its market is negatively affected" by the agreement.

Such action probably would be protective trade measures intended to shield Russian producers and industry from an influx of potentially cheaper, better-quality goods from Europe.

Speaking at a Brussels news conference after the signing, Poroshenko said what was needed more than sanctions was a "real dialogue" with Russia. The EU and the United States have repeatedly warned Moscow that more economic sanctions could be imposed if it doesn't act to defuse the crisis.

"I really hope that finally now this dialogue will take place and we will have a real cease-fire and the implementation of my peace plan," Poroshenko said.

Speaking in Moscow, Putin also emphasized the need for a lasting truce, according to Russia's state-run news agency ITAR-Tass.

"Ukraine should embark on the path of peace, dialogue and accord. The priority is to conduct substantial talks between the authorities in Kiev and the southeast," Putin is quoted as saying.

"We stand for the complete termination of bloodshed on the whole territory of Ukraine, including along our borders," he said, adding that Russia is doing its best to contribute to the peace process.

Foreign Minister Sergey Lavrov on Friday called for Ukraine to carry out promised constitutional reforms and said Russia should be involved in consultations to safeguard the interests of Russian speakers in southeast Ukraine.

European Council leader sees stability, prosperity

The EU-Ukraine Association Agreement calls for a free trade zone and for Ukraine to adhere to European values such as democracy and human rights. It will allow for the country to participate in common border protection and security processes.

In remarks before the signing, European Council President Herman Van Rompuy also remembered those who died in Ukraine.

"In Kiev and elsewhere, people gave their lives for this closer link to the European Union," he said. "We will not forget this."

Van Rompuy said that closer political and economic ties would bring greater security, stability and prosperity to Ukraine and the two other former Soviet states also each signing an EU Association Agreement on Friday, Georgia and Moldova.

"Our joint goal is your full integration into the market of the European Union," Van Rompuy told those countries' three leaders, adding they must push forward with reforms.

He also expressed the EU's solidarity with the three nations in the face of Ukraine's "very difficult" security situation, and the "uncertainties" looming over Georgia's and Moldova's relationships with Russia.

He stressed that Russia had nothing to fear from those nations' closer ties with Europe, adding the EU would engage with Moscow to work for peace.

Putin -- pragmatic or emotional?

As Ukraine's government works to quell the violence in the east, Poroshenko has said that negotiations with Russian separatists there will continue Friday.

Peace is possible if Putin is in the right mood, he told CNN's Christiane Amanpour in an exclusive interview Thursday.

"Sometimes, the position of Mr. Putin is quite pragmatic, sometimes it is very emotional," Poroshenko said. "I just try to find out the time when he is more pragmatic than emotional."

The talks are intended to end fighting that threatens to escalate into a broader conflict.

"I am optimistic and I'm thinking that within a few weeks, maybe months, we can have a deal to establish peace," Poroshenko said.

Putin has agreed to negotiations that will include an EU representative, Poroshenko said. "We do not expect any immediate negative reaction," he said. "I'm ready to make a peace deal with anybody."

He is also ready to fight if necessary but said, "I hate the idea not to use the last opportunity to bring the peace to the region."

Peace plan

Under his peace plan, he seeks a commitment to negotiations, the release of hostages, a mutual cease-fire and the withdrawal of Russian-backed forces from Ukraine.

"All the troops on Ukrainian territory are Russian, they are Russian citizens," he alleged, adding that separatist leaders were from the Russian secret service. "If that continues, it is a real war."

Poroshenko said that Ukraine had seen 18 soldiers killed and 33 injured in the past week, while the separatists had shown "no negotiation, no sign of compromise."

But he held out hope for last-minute negotiations Friday and said he could not yet say whether the military action against the separatists would resume.

At the same time, he made clear that in his mind, the Russian annexation of Crimea -- which has an ethnic Russian majority -- cannot stand. Crimea is Ukrainian, he said.

He made the same point Friday when he said that "all Ukraine, including Crimea" will be associated with the EU.

Russia and Ukraine have been engaged in a tense standoff since the annexation in March when Russia also massed troops along its western border with Ukraine.

Cease-fire extended

Poroshenko's office announced Friday a 72-hour extension of a fragile cease-fire that was declared last week.

That means that, by late Monday night, the Kiev government expects that all hostages will be released, all international border checkpoints will be taken out of separatists' hands and the militants' recruiting offices in Russia will close down.

At the same time, the Ukrainian government says it still reserves the right to use force in any areas where the cease-fire is not being universally accepted.

In fact, there have been plenty of examples of violence since the original cease-fire was declared.

On Thursday, for instance, a Ukrainian national guard base came under attack in Donetsk, Anti-Terrorist Operation unit spokesman Vladislav Seleznyov said. Ukrainian troops were able to repel the attack but braced for another assault.

Two days earlier, Ukrainian authorities said pro-Russia militants shot down a military helicopter in eastern Ukraine, killing nine.

Kiev and the West have accused Russia of failing to take concrete steps to ease the crisis.

NATO chief Anders Fogh Rasmussen urged Moscow this week "to create conditions for the implementation of the peace plan, to end its support for separatist troops, and to stop the flow of weapons and fighters across its border."

Putin has shown signs of detente.

At his request, Russia's upper house of parliament voted Wednesday to revoke the President's right to use troops in Ukraine.

CNN's Mick Krever reported from Brussels, while Laura Smith-Spark wrote and reported from London and Ben Brumfield from Atlanta. Journalist Victoria Butenko contributed to this report from Kiev, while CNN's Tom Cohen and Radina Gigova contributed from Atlanta.

@highlight

NEW: Ukrainian President's office: Cease-fire is extended 72 hours

@highlight

Ukraine's Petro Poroshenko: EU document is "a symbol of faith and unbreakable will"

@highlight

The signing shows "how dramatically things can change in a short time," he says

@highlight

State media: Vladimir Putin calls for "substantial" talks in Ukraine, end to bloodshed