(CNN) -- On January 12, I went to basketball practice and then spent time with a kids' basketball league. The whole time my phone was in the car. When I finally looked at it, I had about 50 messages saying, "Have you been watching the news about Haiti?"

It still haunts me to think that, as I went about my business that day, my homeland shuddered, crashed, and crumbled. More than 220,000 of my fellow Haitians died. Another 1.6 million were instantly left homeless -- most with nothing but the clothes on their backs. About 800,000 of them are children.

Haiti has never been an easy place to be a kid. When I was growing up in Port-au-Prince, I felt lucky because I always had at least one meal a day. Some of my friends were starving. But we all shared what we had with each other.

We figured out ways to have fun with nothing but a small patch of dirt to play in. We got along with very little, and we told ourselves that -- if we got just the slightest opportunity -- we would grab onto it and use it to do great things. That is what Haiti's children need now. They need opportunity. They need our help.

It is amazing what kids can endure. Haiti's children have held the hands of parents as they lay crushed and dying beneath rubble. They've lost families, best friends, homes, schools. They can survive all that. But they can't thrive without us stepping up.

Right after the earthquake, the immediate and enormous generosity from people in the U.S. made such a difference in Haiti -- and it made me very proud to be part of this huge-hearted nation. Organizations like UNICEF, which I have partnered with for years through my Samuel Dalembert Foundation, were able to provide emergency relief that stopped another wave of disaster in the form of disease and starvation.

In the last six months, UNICEF has been providing water, food, shelter, immunizations, medicines, child protection, and education supplies to hundreds of thousands of Haitian children and their families.

But in many ways, the hard work is just beginning. And the need remains huge. Those 1.6 million people left homeless are still living in tents and makeshift shelters -- and hurricane season is fast approaching. More than one third of the spontaneous settlements that have been created lack adequate sanitation, and this can make kids ill and lead to major disease outbreaks. People in settlements still rely on water being trucked in every day, and many don't get enough considering the near 100-degree heat.

Learn more about helping Haiti at Impact Your World

Education is going to make all the difference to Haiti's future. Given the opportunity to learn, the children who survived the earthquake will grow up to transform their nation and lead it towards prosperity. But before the earthquake, only four in ten kids went to school, and that number is even lower now. Teachers are also absent because so many lost their homes and are now displaced.

I was lucky enough to get the opportunity I dreamed of as a child in Haiti. And I started my foundation because I wanted to give other kids that chance, too. It's my deep belief that those who are lucky enough to have success in this life should do something -- anything -- to help others.

So I ask: Even if you've already been generous, don't forget Haiti now that it's dropped from the news headlines. Organizations like UNICEF are there for kids, but they need funds to rebuild schools, train teachers, set up feeding centers, immunize against disease, dig wells, install water pumps...

There are hundreds of thousands of very resilient kids in Haiti who are surviving despite all they've been through. They can endure a lot. Parents dying. Living in tents in 100-degree weather and rainstorms. Hungry bellies. But we don't want a nation of kids just barely surviving -- we want a nation of leaders.

Haiti's children can't become leaders if they don't go to school. They can't become leaders if they're so hungry they can't concentrate. Or if they have to spend their days selling sodas in the street to make a few pennies. They can't become leaders if the water they drink makes them chronically sick. Or if they never get the vaccines that will keep deadly diseases away.

If you join me in giving Haiti's kids the opportunities they deserve, I can promise they will do great things.

The opinions expressed in this commentary are solely those of Samuel Dalembert.

@highlight

As Haiti recovers from January quake, children bear a heavy burden, says Samuel Dalembert

@highlight

He says it's important that kids not only survive, but are educated and kept healthy

@highlight

Dalembert recalls growing up poor in Haiti, sharing with friends who had less

@highlight

He and other kids vowed if they got any opportunity, they would use it to do great things, he says