(CNN) -- Baseball. The radio. Summer.

There is something about the connection between the three of them that nothing can tear apart.

If baseball on the radio sounds a little different lately, there is a reason. Richard Sandomir of The New York Times reported recently on the proliferation of "drop-in" advertisements on radio broadcasts of ballgames around the nation.

Drop-in ads are paid commercials that air not as traditional advertisements, but as part of the play-by-play. The first walk during a New York Yankees game is accompanied by "Just walk into CityMD's six convenient locations"; the first run scored in a Texas Rangers game is described by the play-by-play man as "the First Financial First Run."

It shouldn't be surprising that this is happening. Baseball has always been a relentlessly and unapologetically revenue-seeking enterprise. Have you ever seen photos of the outfield walls in big-league ballparks in the early to mid-20th century? Even NASCAR's marketing strategists would have been envious of the don't-waste-an-inch commercial clutter.

Broadcast entities have to find a way to make back the money they spend for radio rights. According to USA Today the average salary of a Major League Baseball player this year -- the average salary -- is around $3.6 million, and everything from ticket fees to concession-stand prices is reflective of the sport's runaway inflation.

So no one should be startled by the presence of the drop-in radio ads. Yes, they frequently can be an irritant to the flow of the play-by-play. But ours is a sponsor-and-advertising-driven culture overall; that's not going to go away.

And baseball on the radio -- distinct even from baseball itself -- is durable and steady in ways that can't be easily spoiled. Baseball on the radio is one part of the sport that somehow, despite everything, still manages to feel good.

On the radio, baseball is less literal than baseball on television. With the measured voices of the most skilled announcers accompanied by the resonant humming undertone of the crowd, the echo from down on the diamond of the crack of a bat against a fastball, and the occasional thump of a foul ball bouncing off the top of the play-by-play booth, there is a kind of romance in a radio broadcast.

The sports-page and sports-website coverage of the business of baseball may, of necessity, be dismaying and ugly lately. A visit to the ballpark in person brings on the sticker-shock of those prices on everything from hot dogs to souvenirs to parking spots.

Baseball on the radio, though, remains free. Unlike viewers of cable TV or subscribers to satellite radio, fans of home-team games on their hometown radio stations don't have to pay a cent to listen. The sound of it all is very much what the sound has been forever. Because the pace of the game is leisurely, local play-by-play announcers, over a 162-game season, develop a relationship with their listeners unique in sports. They have to talk a lot, even when there's not much going on down on the field, and the audience grows accustomed to, and comfortable with, their relaxed voices and their heard-but-not-seen personalities.

And that's just during routine games. At certain moments, radio broadcasts of ballgames can become part of the very fabric of a town -- the authentication of how sports can help define the meaning of community.

How good can it get? For a gold-standard example from the history of the sport and of the medium, listen to the KMOX radio broadcast of Stan Musial's final at-bat for the St. Louis Cardinals before his retirement.

The date was September 29, 1963, at the old Busch Stadium in St. Louis. On the play-by-play was Harry Caray, in the years before he moved to Chicago to broadcast the White Sox and then the Cubs. Some older residents of St. Louis recall a television simulcast of Caray's call, but it is the KMOX radio version that is indelible in their memories:

"Here's Musial. Listen to the crowd again." (The roar is heard behind Caray's voice.) "A base hit would give the Cardinals the lead." (The noise sustains.) "First pitch. Oh, what a cut he had, and he fouled it back. Hey, he really had a swing at that one." (The crowd begins to clap rhythmically in unison.) ..."The stretch by Maloney. Low curve."

And then, unforgettably, from Caray: "Take a good look, fans. ... Take a good look. This might be the last time at bat in the major leagues. Remember the stance ... and the swing." (The rhythmic clapping in the stands grows more insistent.) "You're not likely to see his likes again."

The procession of the game: "Fast ball, low and away." And soon: "The pitch to Musial." (Caray's voice rises to be heard above the mounting crowd noise.) "A hot shot on the ground into right field, a base hit! ...The Cardinals lead, one to nothing, listen to the crowd! Listen to the crowd! Let's see, now! Manager Johnny Keane is talking to Gary Kolb.

"Stan is at first base. He might be waiting for this applause on the hit to die down. ... They'll tear the joint apart when he trots off the field. ... Now listen. Gary Kolb is going to replace Musial. ...There he goes! The end of a great career. A standing ovation for Musial. ..."

Could being in the stands have been any more memorable than listening to that?

I remember talking once with a woman in her 80s. She was residing in an assisted-living facility; her husband had died the year before, and the end of their lifetime of long conversations in the evenings had left a void.

She told me that, even though she had never been much of a baseball fan, she found herself tuning in, each evening, to the strong-signal WLW Radio out of Cincinnati. For three hours, she said, she would listen to Marty Brennaman and Joe Nuxhall broadcast the Reds' games. Their voices -- reliable, unhurried -- became her companions. A part of life she could count on.

"Take a good look, fans. ... Take a good look."

It's possible, on summer nights, to see most clearly with your eyes closed.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: Baseball radio play-by-play is working commercials into the announcers' descriptions

@highlight

He says baseball on the radio is still special -- it's free and comforting commentary in summer

@highlight

At times, play-by-play can reach heights, as in description of Stan Musial's last at bat, Greene says