SAN ANTONIO, Texas (CNN) -- Last week in an operating room in Texas, a wounded American soldier underwent a history-making procedure that could help him regrow the finger that was lost to a bomb attack in Baghdad, Iraq, last year.

Army Sgt. Shiloh Harris is wheeled into surgery for the experimental treatment to regrow what's left of his finger.

Army Sgt. Shiloh Harris' doctors applied specially formulated powder to what's left of the finger in an effort to do for wounded soldiers what salamanders can do naturally: replace missing body parts.

If it sounds like science fiction, the lead surgeon agreed.

"It is. But science fiction eventually becomes true, doesn't it?" asked Dr. Steven Wolf of Brooke Army Medical Center.

Harris' surgery is part of a major medical study of "regenerative medicine" being pursued by the Pentagon and several of the nation's top medical facilities, including the University of Pittsburgh Medical Center and the Cleveland Clinic. Nearly $250 million has been dedicated to the research.

Air Force Tech. Sgt. Israel Del Toro is one of the wounded vets who might one day benefit from this research. He was injured by a bomb in Afghanistan. Both his hands were badly burned. On his left hand, what was left of his fingers fused together.

"You know, in the beginning, when I first got hurt, I told them, just cut it off. So I can get some function," Del Toro said. His doctors did not cut off his injured left arm. And since that injury, advancements in burn and amputation treatment mean he may one day be able to use his fingers again.  Watch more on regenerative medicine »

A key to the research dedicated to regrowing fingers and other body parts is a powder, nicknamed "pixie dust" by some of the people at Brooke. It's made from tissue extracted from pigs.

The pixie dust powder itself doesn't regrow the missing tissue; it tricks the patient's body into doing that itself.

All bodies have stem cells. As we are developing in our mothers' wombs, those stem cells grow our fingers, toes, organs -- essentially, our whole body. The stem cells stop doing that around birth, but they don't go away. The researchers believe that the "pixie dust" can put those stem cells back to work growing new body parts.

The powder forms a microscopic "scaffold" that attracts stem cells and convinces them to grow into the tissue that used to be there.

"If it is next to the skin, it will start making skin. If it's next to a tendon, it will start making a tendon, and so that's the hope, at least in this particular project, that we can grow a finger," Wolf said.

It has worked in earlier experiments. "They have taken a uterus out of a dog, made one in the lab, put it back in and had puppies," Wolf said. Researchers have also regrown a human bladder and implanted it in a person, and it is working as nature intended.

Although the technique has incredible promise, doctors will be watching for unexpected side effects as they follow Harris' recovery. "It could grow a cancer," Wolf said. "We will be closely monitoring for that to make sure that doesn't happen."

If the military's most badly wounded start benefiting, so will civilians. "If we can pull this off in missing parts the next step is, OK, can we grow a pancreas? Can we grow and replace that in a diabetic? And can we do the same thing with a kidney and can we do the same thing with a heart?"

One day, he hopes, people with heart trouble will be told, "That's OK. We will just grow you another one."

"That is something that is real science fiction."

CNN Pentagon correspondent Barbara Starr contributed to this report.

@highlight

"Regenerative medicine" pursued by the Pentagon, top U.S. and medical facilities

@highlight

Key to regeneration is powder nicknamed "pixie dust"

@highlight

Powder forms a microscopic "scaffold" that helps cells grow into desired tissue