(CNN) -- There are certain elements of leadership that survive the centuries -- that are classical, says John Prevas, co-author of "Power Ambition Glory: The Stunning Parallels between Great Leaders of the Ancient World and Today."

And while these features aren't necessarily a guarantee of success in the modern world, they can provide professionals with a framework around which success can be built, he says.

So which leaders from the ancient past should you be looking to model your  career on?

Alexander the Great (356-323 BC)

Alexander III of Macedon is the standard for leadership by which all others are measured, Prevas says. But does he merit his place as a leadership icon?

"It's questionable," says Prevas.

On the one hand, Alexander had a capacity for intense focus and was willing to sacrifice friends, family and personal fortunes to reach the top.

But ambition fueled by a massive ego eventually proved to be Alexander's undoing, Prevas argues.

Having defeated King Darius III in the Battle of Issus, the Persian king offered the marauding youngster the western half of his Persian Empire in return for his family who had been captured by the Macedonian army.

Alexander's most senior commander, Parmenio, urged his young master to accept Darius's proposal and consolidate his power in the region.

But Alexander ignored the advice, choosing instead to resume his conquest, capturing the Persian capital of Persepolis before hunting down and killing Darius.

From there, Alexander continued eastwards conquering large parts of south central Asia before heading to India. But it was here that Alexander's exhausted army refused to carry on, thus ending his eastern escapade.

Ancient quote: "I see no limits to what a man of ability can accomplish."

Modern lesson: Youth is no barrier to success. Be bold and learn to focus on your task, but don't let your ambition or ego cloud your judgment. Listen to the advice of those more experienced than yourself.

Xenophon (circa 435-circa 354 BC)

An aristocrat by birth, Xenophon was a Greek military leader.

But unlike Alexander the Great, Xenophon didn't command by the force of his personality, says Prevas, but sought to forge a consensus.

"What makes Xenophon so unique as a leader is that he's not a soldier, he's a philosopher. He is elected by the soldiers to be one of the leaders based on his ability to articulate a course of action for them," Prevas said.

Xenophon was a student of Socrates and didn't believe in democratic rule but he actually functioned as a democratic leader, Prevas says, leading a potentially unruly army of Greek mercenaries successfully out of Persia by occupying the middle ground.

Ancient quote: "In life a leader must resign himself to expect anything and never count on anyone but himself."

Modern lesson: Tailor your message to your audience and be sensitive to the moods and opinions of the people you manage.

Augustus (63 BC-AD 14)

Julius Caesar famously built the Roman Empire by conquest, but it was Augustus, his nephew and first Roman Emperor, who administered it and took it to its greatest heights, says Prevas.

Augustus believed that the conquering achievements of Alexander the Great were actually easy when compared to the task of administering and building an empire, Prevas says.

"He was a great administrator who made the political and economic foundation of Rome that lasted for the next 300 years," Prevas said.

Ancient quote: "That which has been done well enough has been done quickly enough."

Modern lesson: Augustus said: "Make haste slowly." In other words, Prevas says, move cautiously and thoughtfully in everything you do.

Cleopatra (69 BC-30 BC)

Ancient Egypt's last pharaoh is often feted for her seductive beauty.

But Cleopatra was also a woman of high intelligence, as evidenced by her grasp of several languages, says Sean Easton, assistant professor of classics at Gustavus Adolphus College in Minnesota.

"One of our principal sources for Cleopatra's life, Plutarch (the 2nd century biographer), says that in fact she rarely needed an interpreter to deliver her decisions to the representatives of foreign peoples," Easton said.

She was a tenacious and resourceful leader who adopted a "hands-on" approach to power, consolidating her position through civil war with her brother and sister (Ptolemy XIII and Arsinoe IV), he says.

Furthermore, Easton says, "she was a realist and wasn't afraid to gamble on bringing in a more powerful ally when that was what the situation called for," as shown by her personal and political courtship of Julius Caesar and Rome.

Ancient quote: Easton says Cleopatra's attitude to power and life could be best summed up with the phrase, "Let it be done."

Modern lesson: Leaders who back up their god-given attributes with hard work and imagination can create a formidable business package.

@highlight

Today's professionals can learn much from the ancients

@highlight

Alexander the Great was notable for his "intense focus" but was undone by his ego

@highlight

Lesser-known leaders like Xenophon are good examples of leading by consensus

@highlight

Cleopatra was a realist and wasn't afraid to team up with a partner