(CNN) -- With so many advancements in mobile phone technology, it's easy to dismiss most as insignificant. A mega-megapixel camera, a brighter screen and better apps are all good, but they're hardly going to redefine your world.

But with 4G you can expect significant life changes. A new generation of the cellular network -- already rolled out in many parts of Asia and the U.S. -- 4G promises to supercharge mobile internet connections across the UK and parts of Europe in the coming year.

Speed is the essence of 4G. Since global mobile networks began rolling out in the 1980s, a new generation of handsets has evolved roughly every decade. The latest, promising data speeds equivalent to a standard broadband internet connection, is considered the fourth -- hence 4G.

Although 4G coverage is still limited and, some critics argue, it may struggle to fulfil the ambitious claims of network operators, it is likely to make a difference to the millions of people who already channel great chunks of their lives through their mobile phones.

Some may argue none of this is a change for the better. With almost every aspect of our waking (and, in some cases, sleeping) lives slavishly conducted through our handsets, perhaps we are in danger of losing touch with the world beyond our small screens.

Others would say that by unloading life's chores onto our phones, we will be free to spend more time doing what we want to do.

Whether for good or bad, 4G is already changing our world. Here's how:

Watching, not waiting

Whereas 3G networks offered slow video downloads or buffering-plagued live streams, 4G's high data speeds should mean feature-length movies accessed in a matter of minutes, or seamless live TV. High definition video phone calls are possible too.

The implications of mobile TV growth are huge. As more people use their handsets as their primary viewing platform, moviemakers and TV producers may find themselves faced with the need to create shows that look good on smaller screens as advertisers move to mobile.

Consumers, however, would be advised to change their viewing habits with caution. Video downloads are, and will continue to be, a major drain on data allowances. Keeping up with the Kardashians could cost you fortune.

Pros: A cineplex in your pocket

Cons: A wasteland in your wallet

Connecting to the thingternet

The first generation of mobile phones were so large and clunky they were known as carphones. Most mobile calls were made from the comfort of a car because you needed a vehicle to carry around the heavy, ugly box of electronics that kept you connected.

With the advent of 4G, you're just as likely to be talking TO your car as talking from it. This is a concept known as the "Internet of Things," a world wide web of everyday items that will soon see our contact books cluttered with the email addresses of washing machines, toasters and microwave ovens (well, almost).

Some everyday items, like TiVo cable television boxes, are already hooked up to the internet, allowing users to program them remotely. It is predicted that most high-end electronic goods will soon be embedded with the ability to communicate via the internet.

Drivers will be able to defrost cars from the warmth of their bed. Fridges will tell you whether you need to buy more milk. Garden sprinklers will advise you whether the lawn needs a drink.

Such communications will flourish under 4G, as networks will offer the extra speed and capacity needed to cope with such an increase in electronic chatter.

Pros: Control every aspect of life from your mobile

Cons: Until the battery runs flat, leaving your home in digital disarray

Work, work, work

When the first BlackBerry handsets were unleashed on unsuspecting employees over the last decade they revolutionized the way many of us work.

Suddenly, we were dealing with company emails on the train, on the bus and in the bath. Thumbs suffered as people pounded out their replies on tiny QWERTY keypads. Work-life balances suffered as the lines between professional and personal time became blurred. Some relationships suffered as BlackBerrys were inevitably brought into marital beds.

These days most of us have adapted to carrying around a portal to the office in our pockets. We might check them obsessively, but we're no longer feverishly addicted to responding in real time.

The arrival of 4G could shake things up again. With a mobile network that offers broadband speeds and capacity, it in theory becomes possible to carry out all manner of online activity on the hoof.

Secure connections through which employees can access data-heavy company software become possible. As does downloading or uploading huge data files and video conferencing.

This will make life easier for workers whose job already takes them on the road. It will also unshackle many more from their desks.

But it could also lead to a tricky transition period as millions of us adapt to a new world in which almost every aspect of office life can be lugged around in our laptops.

Pro: Being able to work on the beach

Con: Beach vacation ruined!

Play, play, play

Even as 4G keeps us connected more closely to our work, it will also plug us into our play.

Whether you enjoy listening to music or engaging in multi-player computer combat, 4G should make that a seamless mobile experience via delay-free access to cloud storage or gaming servers.

Pros: Mozart on the metro. Alien annihilation on the number 8 bus.

Cons: Work and play. Our phones now own us.

2G or not 2G

Whether we like it or not, 4G is the future of mobile telecommunications (at least until 5G comes along). Some people may insist that their old 1G or 2G handsets are all that they'll ever need, but sadly they must soon bow to the inevitable.

4G phone operators have been able to increase network speeds by accessing a broader spectrum of transmission frequencies. These are expensive, with operators often entering highly competitive government auctions to secure a slice of radio bandwidth.

As demand for 4G grows, networks will be looking to dedicate more frequencies to their coverage. This will eventually mean re-assigning the frequencies that currently support 1G and 2G devices.

And so, after decades of service, millions of old LCD-screened handsets will be forced to beep their last SMS.

Pros: Recycling of an obsolete network that had little left to offer

Cons: Ungr8ful, undignified nd 2 a fone srvic dat gave us a nu lngwij & hz coNectd millions of ppl Ovr d years. :-(

@highlight

Next generation of phone networks will revolutionize communications with faster speeds

@highlight

4G connections will drastically increase the number of devices we control from our phones

@highlight

Faster data speeds will allow us to watch live TV, work and play more on the go

@highlight

As more of our lives move onto our mobiles, we could become over-reliant on technology