Washington (CNN) -- In a meeting rife with angry and emotional exchanges, the Senate Judiciary Committee on Thursday approved a new ban on semiautomatic firearms modeled after military assault weapons.

The measure now goes to the full Senate for consideration as part of a package of gun measures prompted by a Connecticut school massacre last December that killed 20 first graders.

However, the proposed ban has little chance of becoming law due to fierce opposition by the National Rifle Association and a certain GOP filibuster.

Even supporters acknowledged the difficulty ahead in passing an updated version of a similar ban that became law in 1994 and expired without congressional re-authorization a decade letter.

Democratic Sen. Sheldon Whitehouse of Rhode Island said he doubted whether the new prohibition could get the 60 votes needed for passage.

Instead, Whitehouse called for breaking off a provision that would limit ammunition magazines to 10 rounds, saying he believed it could win Senate approval as a separate measure.

Sponsored by Sen. Dianne Feinstein, D-California, the proposed ban won approval from the Judiciary Committee on a party-line vote with 10 Democrats supporting it and eight Republicans opposed.

The panel previously approved other proposals that would expand background checks on all gun sales and enact tougher laws against firearms trafficking and straw purchases. Analysts believe those have a better chance of clearing the Senate.

Heated debate by committee members on Thursday showed the partisan divide over gun legislation, as well as the challenge supporters face in getting any substantive measures through Congress.

At one point, Feinstein and Chairman Pat Leahy, D-Vermont, reacted sharply to remarks by freshman Sen. Ted Cruz, R-Texas, about the need for the committee to legislate based on facts and the Constitution instead of passion over the gun issue ignited by the Newtown, Connecticut, killings.

When Cruz asked if Feinstein believed the First Amendment also could be limited in the same way he contended the proposed ban would limit the Second Amendment right to bear arms, she shot back: "I'm not a sixth grader."

Noting her 20 years on the committee and experience as mayor of San Francisco, she said in a rising voice how she had seen "bodies that have been shot with these weapons," adding that the schoolchildren killed in Newtown "were dismembered" by the bullets.

"I've studied the Constitution myself. I am reasonably well-educated and I thank you for the lecture," she continued, noting her bill exempts 2,271 weapons from the ban.

"Isn't that enough for the people in the United States? Do they need a bazooka? Do they need other high-powered weapons that military people use to kill in close combat? I don't think so," she said.

She concluded by telling Cruz that "I come from a different place than you do. I respect your views. I ask you to respect my views."

Cruz and other Republicans on the committee contended that Feinstein's proposal would prevent law-abiding gun owners from possessing weapons of choice, while criminals would still be able to get them to leave people unable to properly defend themselves.

"Why would you deny for defensive purposes otherwise law-abiding citizens to be able to use an equivalent firepower to defend themselves?" argued Sen. John Cornyn, R-Texas. "It's not much satisfaction to say that criminals are gonna have access to the whole range of weapons that they will have access to because they don't care about the laws that are passed. And we're gonna give the American citizen a pea shooter to defend themselves with."

President Barack Obama called for the legislative steps in response to the massacre in Newtown by a lone gunman armed with an assault weapon that jolted the nation.

The Senate panel passed versions of much of the package Obama proposed, but Republicans made their opposition clear.

"Now the full Senate and the House need to vote on this bill, as well as the measures advanced in the past week," Obama said in a statement on Thursday.

One measure by Democratic Sen. Chuck Schumer of New York would mandate background checks for all gun sales, including private transactions.

It would also require increased cooperation by states with the FBI's National Instant Criminal Background Check System (NICS) and would prohibit people deemed by the courts as unfit to own guns from obtaining them.

Cornyn said Thursday that he would propose amendments to Schumer's bill on the Senate floor, and he also mentioned that a bipartisan substitute to the measure could be offered.

The NRA has said increased checks are nothing more than an attempt to create a national gun registry, a move the group vehemently opposes.

Leahy challenged such assertions on Thursday, saying in a toughly worded final statement that opponents of gun legislation should stop spreading false information about the panel's proposals.

"Second Amendment rights are not at risk," he said. "Let's not put an issue out here that's not out here. But lives are at risk."

Reflecting on his decades on the panel, Leahy called for members of both parties to "come together to become a safer and more secure society."

"We do not need false charges about gun registries and gun registration to scare people when no such thing is being proposed or will be proposed," he said.

Another measure approved by the panel earlier this week would establish a framework for the Department of Education to set safety guidelines aimed at protecting schools from gun violence.

CNN's Todd Sperry contributed to this report.

@highlight

NEW: President Obama urges the House and Senate to vote on gun measures

@highlight

The Senate Judiciary Committee approves a new assault weapons ban on a party-line vote

@highlight

It now goes to the full Senate for consideration

@highlight

It is expected to eventually be defeated because of NRA opposition