(CNN) -- One of the most successful hostage rescues of the modern era took place on July 4, 1976, when Israeli commandos stormed Entebbe Airport in Uganda to rescue dozens of Israeli hostages held there by a Palestinian terrorist group.

In key ways the raid on Entebbe differed from the raid on Saturday in Yemen to free Luke Somers, the American photojournalist held hostage by al Qaeda in the Arabian Peninsula, and that resulted in Somers' death.

Jonathan Netanyahu (the older brother of the Israeli prime minister Benjamin Netanyahu) led the Entebbe raid. An officer who read Machiavelli to relax and an intense Israeli patriot, Netanyahu paid close attention to the smallest details of any operation he commanded.

At the time of the Entebbe raid it was virtually unthinkable that a force would fly more than seven hours from Israel to Uganda to launch a rescue operation.

Adding to the element of surprise, the Israeli commandos who landed at Entebbe airport wore Ugandan uniforms and the lead assault element drove the same type of Mercedes that was then driven by Ugandan generals.

It took only a few minutes between the first Israeli transport plane landing at Entebbe and the commandos securing the hostages, but Netanyahu was mortally wounded in the assault. The seven terrorists and dozens of Ugandan soldiers were killed in the raid, as well as three hostages. 102 hostages were freed, by any measure a great success.

Adm. Bill McRaven, the commander of the raid that killed Osama bin Laden in Pakistan in 2011, published a book almost two decades ago, Spec Ops: Case Studies in Special Operations Warfare, which is regarded as the bible for how to best understand and plan special operations. For the book, McRaven interviewed the key participants in a number of Special Operations raids such as the Entebbe operation.

After a careful examination of a number of raids McRaven identified some key principles that had made these operations a success: Speed, purpose and, of course, the critical element of surprise.

-- Speed meant that "relative superiority" over the enemy needed to be achieved in the first few minutes of the attack, as it was at Entebbe, and that the entire mission should be completed in around half an hour.

-- Purpose meant both that the operation was well understood by each of the soldiers involved -- "release the hostages" at Entebbe -- and that the soldiers were completely committed to the mission.

-- Surprise meant catching the enemy entirely off guard, as had happened at Entebbe.

With these principles in mind it's clear that the operation on Saturday in Yemen conducted by members of SEAL Team Six to free Somers lacked the crucial element of surprise, in particular, because two weeks ago a SEAL team had raided another location in Yemen in an unsuccessful bid to locate Somers, an operation that received widespread media coverage.

On Saturday Somers was being held in a compound in southern Yemen by well-armed militants, which made a surprise approach difficult. The militants may have been alerted to the operation by a barking dog when American forces were still 100 yards away. Another account suggests that one of the militants was relieving himself outside and spotted the SEAL team and alerted his colleagues.

Alerted to the SEALs' approach the hostage takers mortally wounded Somers and Pierre Korkie, a South African teacher, who they had also captured.

Achieving the element of surprise was made particularly difficult by the failure of the previous Special Operations attempt. On November 25, U.S. Special Operations forces along with a Yemeni counterterrorism unit successfully freed eight foreign hostages in a raid on a location in Yemen where Somers was believed to be held.

Unlike Saturday's operation, this raid did have the element of surprise, but it suffered from a lack of up-to-date intelligence. The militants had reportedly moved Somers to a new location days before the raid.

This surely prepared the militants holding Somers for the possibility of another U.S. raid to free him.

American Special Operations Forces have a mixed record when it comes to the tricky task of rescuing hostages held by well-armed terrorists. In July, a Special Operations team conducted a raid in the Syrian city of Raqqa in an attempt to free James Foley, a 40-year-old American journalist held by ISIS, as well as other westerners captured by the group.

The Special Operations team flew modified Black Hawk helicopters deep into ISIS-held territory and according to American officials killed a "good number" of militants, but the western hostages had been recently moved.

In another failed rescue attempt, Linda Norgrove, a 36-year-old British aid worker in Afghanistan, was killed when American commandos tried to free her from her Taliban captors on October 8, 2010. American forces arrived in helicopters in a remote area of eastern Afghanistan, but because of the remote location they lacked much of the element of surprise. In the ensuing firefight, a SEAL threw a fragmentation grenade killing Norgrove. The SEAL was later disciplined for throwing the grenade.

U.S. Special Operations Forces have also successfully freed American hostages, particularly when they had up to date intelligence and maintained the element of surprise.

On January 25, 2012, members of SEAL Team Six parachuted into Somalia and hiked two miles to a compound where Somali pirates held Jessica Buchanan, a 32 year-old American aid worker, and Poul Thisted her 60-year-old Danish co-worker. They surprised the pirates and freed Buchanan and Thisted.

There's also the well-known case of the rescue of Capt. Richard Phillips whose ship the Alabama Maersk was hijacked by Somali pirates in 2009.

Three U.S. Navy SEAL sharpshooters on a U.S. warship tracking the Alabama Maersk fired simultaneously at the pirates from a distance of 30 yards in heaving seas at nightfall, killing them all. The SEALs were able to generate surprise through astonishing sniping skills married to technology -- night vision scopes allowed them to shoot and kill the pirates in a matter of seconds and free Capt. Phillips unharmed.

In another successful mission on September 7, 2005, the Army's Delta Force rescued Roy Hallums, an American contractor who was kidnapped in Baghdad in 2004 by armed men from a local kidnapping ring demanding a $12 million ransom. The Delta Force operators were pointed to the house where Hallums was held because of good intelligence from an Iraqi detainee and when they dropped onto the house from helicopters they found that the kidnappers had fled.

Successful Special Operations missions require good intelligence and the element of surprise. Hostage rescues are particularly tough as they require not only reaching the target undetected, but also doing the operation in a manner that ensures the hostages' safety. Even the brilliant operation to release the hostages at Entebbe airport resulted in the deaths of three of the hostages.

Some of the successful recent hostage rescues such as the operations that freed Buchanan and Thisted, Phillips, and Hallums were operations to free hostages held by criminal groups rather than by terrorists.

As terrorist groups like al Qaeda in the Arabian Peninsula and ISIS frequently engage in hostage taking, American special operators may increasingly find themselves confronting enemies who are better armed and trained and more willing to threaten the lives of hostages than is the case of ordinary criminal groups.

@highlight

Raid to free American photojournalist Luke Somers resulted in his death

@highlight

Peter Bergen: Successful rescues usually have the benefit of surprise

@highlight

In the Somers case, an earlier rescue effort preempted the possibility of surprise, he says