Washington (CNN) -- Supreme Court Justice Sonia Sotomayor touted the benefits of affirmative action in her personal and professional life, telling CNN in an interview that diversity programs helped open new worlds and made her more determined "not to fail, to work hard, to succeed."

Her sudden fame as the first Latina member of the high court still surprises her.

"I still get chills sometimes when I walk in into this building and when I enter the courtroom to hear a case," she said on Friday.

Sotomayor, 58, has a new autobiography out this week, "My Beloved World." It is a candid and deeply personal account of her early life.

She seeks to inspire by revealing often painful chapters in her self-described "extraordinary journey."

This includes her father's early death from alcoholism; a complex, often distant relationship with her mother; growing up poor in the Bronx projects; self-doubts about her looks, a brief failed marriage, and her professional path.

But her strengths are celebrated, too. Self-reliance to the point of giving herself insulin shots at age 7, after being diagnosed with diabetes; her loyalty to a large circle of friends; and vivid pride in her Puerto Rican heritage.

Sotomayor spoke at the Supreme Court with CNN "Starting Point" anchor Soledad O'Brien and CNN en Espanol's Juan Carlos Lopez in separate cable-exclusive interviews.

Sotomayor was named to the high court in 2009 after 17 years as a federal judge in New York. She will formally swear in Vice President Joe Biden during separate inaugural ceremonies on Sunday and Monday.

She told CNN the responsibility was "surreal."

"I practice everything I do over and over again, and so I have been saying the oath out loud for a couple of weeks now, a couple of times a day. But I won't be relying on my memory either," she said. "I'll have a card with me. I like having a security blanket."

Chief Justice John Roberts stumbled when he recited the oath of office to President Barack Obama four years ago, without benefit of a card containing the constitutionally mandated words on it.

Roberts will do the honors again, at the president's invitation.

"I was thinking just a couple of days ago, if I think back when I was a kid -- which of the two would seem more improbable to me," said Sotomayor of sitting on the high court and swearing-in the vice president.

"I realized each one was so farfetched that I couldn't have imagined either."

Her memoir spends a good deal of time discussing being one of the first beneficiaries of affirmative action, when she entered Princeton University in 1972 as one of the few Hispanic and women students at the time.

"It was as if I had landed in a different world," she told O'Brien. "It was so foreign to me you really did feel like an alien." But she succeeded academically, graduating with top honors.

"You can't help but feel different," she said of entering the university and later the legal profession as a minority. "It makes me sensitive to that, not as a judge, but as a person. Every judge has a different life experience."

The high court is currently deciding whether diversity plans at the University of Texas in Austin unfairly discriminate against white students.

She would not talk about that case or any appeal before her.

Sotomayor acknowledged that her colleague, Justice Clarence Thomas, takes a different view of his experience as an African-American growing up in the same era.

He has spoken of feeling stigmatized, believing many teachers and fellow lawyers were skeptical his accomplishments were earned fairly. He has since questioned the value of his Yale Law School education, the same institution attended by Sotomayor.

"My book talks about the negative aspects" of feeling discriminated and stigmatized herself, Sotomayor said.

Through hard work and her own talents, she was able to succeed through every professional step in life, and the justice felt she could always "hold my head up high."

Her narrative is also revealing about her personal life, especially the decision not to be a mother.

"I get angry when some people say you are less than a woman because you didn't have children," she told CNN. "The choices of how you manage your life should be your own." Sotomayor worried becoming pregnant "could be compromised by my childhood diabetes. I thought I would regret trying to have children."

Sotomayor admits feeling "overwhelmed, terrified" sometimes in her role as one of only nine justices, having the final say in important issues like national security and same-sex marriage. So, too, as a role model for millions of young people of all backgrounds.

Guiding her is a mixture of self-confidence and quiet anxiety, of "not wanting to disappoint myself. I set high standards for myself," she said. "I wasn't born a justice, I work at being a justice. I work at how to be an influential voice."

@highlight

Interview keys on release of new autobiography, 'My Beloved World'

@highlight

Sudden fame as first Latina justice still surprises Sonia Sotomayor

@highlight

Justice discusses personal and professional triumphs, painful moments

@highlight

Sotomayor will swear in Vice President Joe Biden at inaugural