Tokyo (CNN) -- U.S. Secretary of State John Kerry arrived in Japan on Sunday for the last stop of his Asian tour, a trip that has largely focused on the provocations coming out of North Korea.

Kerry met Sunday with Japanese Foreign Minister Fumio Kishida to discuss regional tensions, climate change and cybersecurity.

"We cannot in any way allow North Korea to possess nuclear weapons," Kishida said. Also, "we agreed North Korea must stop its provocative speech and and behavior."

North Korea threatened in early March to launch a pre-emptive nuclear strike against the U.S. and South Korea and has made a series of other threats since then..

Kerry said the parties need to work privately at "the highest levels of government" in order to bring about a peaceful resolution to the situation.

"Hopefully North Korea will hear our words and recognize that for the future of its people and for the future of stability in the region ... there is a clear course of action they're invited to take, and they will find in us ready partners," he said.

North Korea issued a scathing warning to Japan on Friday, saying Tokyo should "stop recklessly working for staging a comeback on Korea, depending on its American master," state media reported.

Japan's Transport Ministry has issued a notice requiring its airplanes to report to the U.S. military if they fly near the U.S. military's Kadena base in Okinawa prefecture, the Kyodo News Agency said.

The notice, made at the request of the U.S. military in Japan, is believed to be part of precautions taken against possible North Korean missile launches.

Opinion: Why I fled North Korea

As Kerry visited the Japanese capital, North Korea responded to South Korea's call last week for open talks.

"If they have true intent for dialogue, they should drop the attitude of confrontation to begin with, not getting inveigled in wordplay," North Korea's state-run news agency KCNA reported. "The possibility of dialogue entirely depends on their attitude."

South Korean Foreign Minister Yun Byung-se, speaking with Kerry on Friday, urged North Korea to open talks.

"We urge North Korea to cease its reckless behavior and to stop issuing threats," he said.

Future talks on climate, cybersecurity

Kerry said Japan and the United States agreed to make climate change a high priority as countries around the world seek consensus on a new international agreement to take effect in 2020.

"The foreign minister and I agreed to raise the initiative above the level that it is today ... because of the urgency of this issue," Kerry said. "We have agreed to engage in a new bilateral dialogue based on three pillars."

Those areas of concern and focus are agreeing to a climate change pact for the next decade, lowering carbon emissions to reduce their impact on the climate, and planning new growth so that it has minimal effect on the climate, Kerry said.

iReporter: Foreigners in South Korea unconcerned with threats from the north

In late November nearly 200 delegations gathered in Qatar to advance discussions on a new treaty while moving to extend the Kyoto Protocol, which most countries ratified in 1997. But not every nation signed on to the pact's second commitment period, which ends in 2020.

Kerry also said high-level talks on cybersecurity will take place May 9-10.

Visit to Beijing

In his first trip to Asia as secretary of state, Kerry visited South Korean and Chinese leaders amid growing tension over North Korea.

Washington wants Beijing to "stop the money trail into North Korea" and give Pyongyang a strong message that China wants the Korean Peninsula free of nuclear weapons, two U.S. administration officials said.

On Saturday, Kerry and Chinese leaders said their two nations would work together to press North Korea to tone down its provocations. He met with Chinese President Xi Jinping, Premier Li Keqiang and State Councilor Yang Jiechi.

Kerry told reporters in Beijing that the United States and China are calling on North Korea to refrain from any provocative steps -- including any missile launches.

Yang said China's position is "consistent and clear-cut."

"China is firmly committed to upholding peace and stability and advancing the denuclearization process on the peninsula," Yang said.

He also said Beijing will work with its international partners to help restart the stalled six-party talks on North Korea's nuclear program and hold it accountable to its international agreements.

China, U.S. to work together to calm down North Korea

Support for Seoul

Kerry landed in Beijing after leaving Seoul, South Korea, where he pledged unbending U.S. military support against any attack from the North.

During his visit to Seoul on Friday, Kerry said the United States would talk to North Korea, but only if the country gets serious about negotiating the end of its nuclear weapons program.

"North Korea will not be accepted as a nuclear power," Kerry said in the South Korean capital.

His trip to Seoul came a day after a Pentagon intelligence assessment surfaced suggesting North Korea may have developed the ability to fire a nuclear-tipped missile at its foes.

The Defense Intelligence Agency assessment is the clearest acknowledgment yet by the United States about potential advances in North Korea's nuclear program.

U.S. officials think North Korea could test-launch a mobile ballistic missile at any time in what would be seen by the international community as a highly provocative move.

But a senior administration official said there's no indication that any such missiles are armed with nuclear material.

Pentagon spokesman George Little said that "it would be inaccurate to suggest that the North Korean regime has fully tested, developed or demonstrated the kinds of nuclear capabilities referenced" in the DIA study.

The DIA has been wrong in the past, producing an assessment in 2002 that formed the basis for arguments that Iraq had nuclear weapons -- a view later found to be incorrect.

5 things we still don't know about North Korea's nukes

CNN's Barbara Starr, K.J. Kwon, Kyung Lah, Judy Kwon, Laura Smith-Spark, Chris Lawrence, Elise Labott and Adam Levine contributed to this report.

@highlight

NEW: Kerry says Japan, U.S. ready to work with North Korea to resolve tensions

@highlight

Kerry's visit to Japan is the last stop in his Asia tour

@highlight

North Korea tells Tokyo to "stop recklessly working for staging a comeback on Korea"

@highlight

Kerry: China and the U.S. call on Pyongyang to refrain from provocative steps