Want to avoid a heart attack or stroke? In addition to well-known risk factors like diet and exercise, you may want to keep an eye on your vitamin D levels too.

Small amounts of vitamin D is available in food, such as fish, cod liver oil, and fortified milk and juice.

Low levels of the "sunshine vitamin" -- so nicknamed because we get most of our vitamin D from sunlight -- may increase the risk of cardiovascular disease, according to a report published Monday in the Journal of the American College of Cardiology.

About 30 to 50 pecent of American children and adults don't get enough vitamin D, says coauthor James O'Keefe, M.D., cardiologist and director of preventative cardiology at the Mid America Heart Institute, in Kansas City, Missouri.

"Society has been slow to respond to the pleas of vitamin D experts for years," O'Keefe says. "People say, 'Well, I go outside,' but the truth is we just aren't outside enough -- or when we are, we're using sunscreen or wearing protective clothing."

Small amounts of vitamin D can be consumed through food, such as fish, cod liver oil, and fortified milk and juice. But to achieve the daily 1,000 to 2,000 international units (IUs) that most people need, a dietary supplement is almost always necessary, according to the report. Oral doses of up to 2,000 IUs a day are considered safe and are available over the counter.  Watch more on vitamin D recommendations for children »

People with vitamin D levels below 15 nanograms per milliliter (deficiency is defined as less than 20 ng/ml) are twice as likely to have a heart attack, stroke, or other cardiovascular event within the next five years as those with higher levels, according to the Framingham Heart Study, a large, ongoing study of heart risk factors.

Because the Framingham Heart Study is not a randomized controlled trial, it's still not clear if vitamin D is the real reason for the link (the vitamin's levels could drop in unhealthy people for other reasons), or if taking a supplement would lower the risk. However, experts agree that a connection is likely. Vitamin D appears to regulate insulin production in the pancreas, and a deficiency could raise diabetes risk. Low levels of vitamin D can also raise blood pressure and increase inflammation in the arteries, "a recipe for disaster," says O'Keefe.

"These are the fundamental disturbances that predispose us to blood clots, strokes, and cardiac deaths," he says.

Susan Harris, D.Sc., an epidemiologist in the Bone Metabolism Laboratory at Tufts University in Boston, Massachusetts, agrees that there's little harm in assuming that vitamin D may help the heart. "It looks like vitamin D is important in very basic physiological functions like appropriate immune responses and inflammation, which play a role in cardiovascular disease and other chronic illnesses," she says.  Health.com: How the financial crisis could break your heart, literally

While placebo-controlled studies are still needed to define vitamin D's real relationship with heart disease, "it is such a safe and possibly preventive treatment, there's not really any reason to wait until that research is conducted," she adds.

O'Keefe and his colleagues at the University of Alabama, the Mayo Clinic, and the vitamin D laboratory at Boston University recommend that people with cardiovascular disease or related risk factors -- such as smoking, obesity, diabetes, or a family history -- have their vitamin D levels checked by a doctor. Health.com: 7 Causes of High Cholesterol

To restore normal vitamin D levels, deficient at-risk patients should be supplemented with 50,000 IUs of prescription vitamin D2 or D3 (vitamin D comes in two forms) once a week for 8 to 12 weeks, according to the report's authors. They should then maintain these levels with either 50,000 units every two weeks, 1,000 to 2,000 IUs of vitamin D3 every day, or approximately 10 minutes of sunlight a day between the hours of 10 a.m. to 3 p.m. Health.com: Vitamin Guidelines: Easy Ways to Double Your D

Harris agrees with most of these recommendations, although she warns that sun exposure in the northern United States during the months of November through April tends to be an inadequate source of vitamin D.

The bottom line, says O'Keefe, is that adequate vitamin D levels are a necessity for overall health -- and they probably improve heart functioning as well.

"Deficiency really wreaks havoc on long-term health," he says. "And so even though [the cardiovascular benefit] is still theoretical, we have a mandate to normalize levels in heart patients -- and really in all patients -- just for the good it will do the rest of their system." Health.com: How I survived a heart attack at 43

O'Keefe is an unpaid consultant for CardioTabs, a supplement maker, and the group practice where he works uses the supplement company's funds for marketing and patient education.

Try a FREE TRIAL issue of Health - CLICK HERE!

Copyright Health Magazine 2009

@highlight

Study: Low levels of vitamin D may increase the risk of cardiovascular disease

@highlight

About 30 to 50 pecent of Americans don't get enough vitamin D says study author

@highlight

Sun in northern U.S. may not generate enough vitamin D during winter months

@highlight

More studies needed to pinpoint role of vitamin D and cardiovascular health