Near Kherbet Al-Jouz, Syria (CNN) -- As the Syrian military on Tuesday continued its relentless advance against protesters, citizens who had fled their homes for safety related "horror story upon horror story" to a reporter who managed to enter the country.

Despite the Syrian government's consistent refusal to give CNN and other international news organizations permission to enter the country, a CNN reporter crossed the Turkish border into northwestern Syria for a few hours Tuesday.

She spoke to people at a makeshift campsite near Kherbet al-Jouz, where tarpaulins strung between trees provided the only shelter from the elements for the hundreds of Syrians encamped there. One family said they had spent an entire night standing rather than lie in the mud. One man tried to protect himself from the rain with branches and a piece of tarpaulin.

Watch: Misery at refugee camp in Syria

Families bathed in a muddy stream, where they also washed the few clothes they had brought with them.

Thousands of Syrians head to Turkey

Illness has already begun to spread, said Mohammed Merri, a pharmacist who carried supplies with him as he fled, then set up something of a field hospital once he arrived at the camp. "My biggest problem is the children and people with heart disease," he said. "I don't have the medicine for that."

Most of the refugees here are from the region that includes the nearby city of Jisr al-Shugur, which government forces entered Sunday.

A number of people said they had witnessed bombings around the city as they fled. One man said soldiers shot at him, and a woman said she witnessed death.

"They set our fields on fire, destroyed our homes," said a woman who added that she was planning to try to cross into Turkey for protection. But others said they would remain in Syria, some hoping to find loved ones lost in the chaos, others hoping against hope to return to their homes.

Mousa, 26, said he tried to do just that a few days ago, but didn't succeed. "I was on my friend's motorcycle and suddenly I saw the military advancing through the olive groves," he said. "And they started shooting at me."

Jisr al-Shugur is not the only town in the area that was occupied by the military. On Sunday, the army also entered Dair Alzour and set up a presence in four areas of the town, an activist said. They arrived aboard tanks and pickup trucks carrying heavy weaponry, the activist said.

But protests were continuing in defiance of the military, the activist said. Since such protests started in Dair Alzour a month ago, four people have been killed and about 200 wounded, some of them seriously, the activist said. In addition, some 1,500 people have been arrested.

But on Tuesday, about 16 tanks were leaving Dair Alzour heading toward Albu Kamal, on the border with Iraq, the activist said. Residents of the tribal area have strong connections with tribes in eastern Iraq.

As of Monday, 6,817 Syrian refugees had crossed into Turkey, said Metin Corabatir of the U.N. High Commissioner for Refugees office in Ankara.

Amnesty International said last week it believes more than 1,100 people -- including 82 children -- have been killed in Syria since the crackdown started in mid-March.

As a result of such reports and the distribution on social media platforms of chilling videos depicting violence, Syria's government has drawn international condemnation -- albeit no response from the U.N. Security Council.

"The Security Council has failed, so far, to react on Syria, which I think is extraordinary and disappointing," said Carne Ross, a former U.N. diplomat.

The United States has imposed sanctions on President Bashar al-Assad and other senior Syrian officials because of human rights abuses, freezing any assets held in the country.

The four European members of the Security Council -- Britain, France, Germany and Portugal -- have said the council must act. But ambassadors from China and Russia disagree, stating that U.N. action would risk further destabilizing the key Middle Eastern nation.

"China and Russia are concerned that if the U.N. Security Council feels empowered to address the major human rights violations occurring around the world, eventually the Security Council will focus on issues within China and in the neighborhood of Russia," said Jamie Metzl, executive vice president of the Asia Society.

"The failure of the U.N. Security Council to act is a tragedy," he said.

Some countries' reluctance to act may be traceable to the Security Council's resolution aimed at protecting civilians in Libya. Russia and others quickly signed off on the resolution, but -- nearly three months later -- efforts by NATO forces appear caught in a stalemate.

As for Jisr al-Shugur, the Syrian military seized control of the town over the weekend, a network of human rights activists said Monday.

The Syrian government gave a similar assessment. "Army units on Monday restored security and tranquility to the city of Jisr al-Shugur," state-run news agency SANA reported.

The Syrian government insists it is stopping "armed terrorist groups" who carried out a "massacre" in the city; opposition activists say the government's claims are a ruse to justify a crackdown on demonstrators demanding government reform, in keeping with the wave of political protests across the Middle East and North Africa this year.

Throughout Syria's uprising, its government has described activist leaders as terrorists looking to destabilize the country. This month, the government said 120 members of the security forces had been killed by "armed groups" in Jisr al-Shugur.

But Syrian refugees who have fled to Turkey said some Syrian soldiers rebelled after being ordered to fire on unarmed protesters and instead started fighting among themselves.

Syrian opposition members, including human rights activist Wissam Tarif, also said the deaths likely stemmed from a rift within security forces.

Because of the restrictions on journalists' entry into Syria, CNN has been unable to independently confirm the accounts.

CNN's Richard Roth, Salma Abdelaziz and Saad Abedine contributed to this report.

@highlight

NEW: "They set our fields on fire, destroyed our homes," one woman says

@highlight

Trees provided the only shelter at a makeshift campsite in northwest Syria

@highlight

4 European countries say the U.N. Security Council should act; Russia and China disagree

@highlight

Rights groups and the government give conflicting accounts of violence