(CNN) -- When U.S. Sen. Mark Kirk made his closely-watched walk up the 45 Capitol steps Thursday, his progress was slowed more by all the well-wishers than by the fact that he had to re-learn how to walk this past year.

The 53-year-old Republican from Illinois suffered a massive stroke last January. He underwent three separate brain surgeries at Northwestern University Hospital. Then he started an intensive kind of physical therapy at the Rehabilitation Institute of Chicago, including a nine-week long mobility study.

"It's impressive to watch him, especially when you have a guy who was so impaired when he began," said George Hornby, a research scientist and director of research for RIC's AbilityLab, the unique program which treated Kirk.

After enrolling in a research study, he soon began walking about 3,600 steps a day.

Senator makes emotional return to Capitol after stroke

"It was a very high-intensity program and we kept pushing him. We even had him on the StairMaster -- even I hate doing the StairMaster at the gym," Hornby said.

Overall, the exercise regimen could be difficult for even the most able-bodied person. But by July 12, Kirk was able to walk without a cane or harness. In November, he even walked up 37 stories to get to the top of Chicago's tallest skyscraper for a fundraiser.

Kirk's inability to walk at first following his stroke is typical. Only 37% of survivors are able to walk in their first week after suffering a stroke, according to a Duke University study.

Even patients with mild to moderate impairment experience falls. Some 73% of stroke patients fall at least once due to the stroke's lingering effects, according to the study. People with less mobility can experience increased vascular risk factors due to lack of exercise that can lead to diabetes or even further strokes.

In the past, doctors weren't entirely sure how much stroke patients should push themselves physically. Still today, only half of the 800,000 people who suffer strokes annually receive any kind of rehabilitation, according to Janet Bettger, a stroke expert at the Duke University School of Nursing. But studies show there is an immediate need for physical therapy and exercise.

"There was a time when we didn't think people should try moving right away, and there was a time when we weren't sure people really should be pushing themselves physically," Bettger said, "but we've seen people make remarkable progress with therapy."

Robotic system may help stroke patients

Research suggests rehabilitation work should start in the acute care hospital as early as 24 to 48 hours after a stroke. "That's where we see the best outcome and the most opportunity because the brain is still adapting to the injury then," Bettger said.

Each stroke is different, so therapy must be tailor-made to that individual.

Kirk's stroke impacted the right side of his brain, which affected his left arm, left leg and the left side of his face. He underwent therapy that targeted the mobility of his arm. Speech therapy improved the challenges he had talking because of the impact the stroke had on his face. And then there was his intensive walking therapy.

The walking program was different than standard physical therapy, according to Hornby. In standard physical therapy, a patient does a lot of stretching and then goes through different physical steps like sitting and standing before they try and walk.

"In this case we said, 'Forget those stepping stones. Let's go ahead and walk him and all the posture and control will get better,' " Hornby said. "It was a novel approach and it worked."

Kirk was an extremely determined patient. Not all are, according to Hornby.

"If people are not horribly determined, though, we have ways of tricking them. People are motivated differently. It's not unlike being a coach on a sports team -- you just have to relate to a person and figure out what gets them moving, but the important thing is to get them moving."

Physical rehabilitation can't "cure" a person completely. Kirk will continue to use a four-pronged cane like the one he used on the Capitol steps. He will use a wheelchair for longer distances. But Bettger said the attention paid to Kirk's story should help other stroke patients.

"After intense therapy, I've seen some people ski and run marathons," Bettger said. "Seeing immense progress like this should give people real hope."

@highlight

U.S. Sen. Mark Kirk walks up 45 Capitol steps

@highlight

He suffered a massive stroke last January

@highlight

Only half of stroke patients actually receive intensive therapy, expert says