(CNN) -- Facebook has been on a cloning tear recently.

On Thursday, the social media company announced that its photo app Instagram was adding support for 15-second videos, a la Twitter's hit Vine app.

There are a few minor differences: Vine is only 6 seconds; Instagram has filters; Vine loops; Instagram lets you delete a clip. But they are essentially the same tool.

This is not the first time Facebook has tried replicating another company's features. It imitated Foursquare with its Places check-ins, Instagram with the Camera app, Twitter with profiles you can follow and Snapchat with the Poke app. Last week, Facebook finally added hashtags, another creation started on Twitter, though the outrage seems to be more that it took so long.

While perhaps disappointing, it is unsurprising that a minor feature gets so much media coverage (Yes. This is my third article on the topic). Facebook has more than a billion users around the world. Instagram says 130 million people use the photo-sharing service every month, and most will be excited to get a cool new feature like video. In just 24 hours, 5 million videos were uploaded to the service, according to Instagram.

What happens on these tools, even when they are tiny, has an immediate impact on a huge amount of people.

"Facebook is a very important company in the world," said Brian Singerman, a partner at the Founders Fund investment firm. "Anything Facebook does impacts a billion people. That in and of itself, becoming a communications platform for a billion people, is a pretty impressive feat in the world."

The small features can also have big impacts on the company itself. Originality is risky, and Facebook is now a public company tasked with making investors money after a particularly harrowing first year on the stock market.

For Facebook, advertising, particularly on mobile devices, is where that money will come from. In 2012, 84% of Facebook's revenue came from advertising, and videos are going to play a bigger role in future online advertising revenue.

There are no paid ads on Instagram yet, but it is very brand-savvy. A handful of major companies seem to have been given early access to the new feature and posted promotional videos on the service. Major companies to post such videos include Burberry, the Los Angeles Dodgers, Gap and MTV.

The practice of an established company copying successful features isn't new or particular surprising.

According to Chris Dixon of Silicon Valley investment firm Andreessen Horowitz, this is the same pattern that happened 10 or 12 years ago with Microsoft. Intuit would build a cool product for Windows, and then Microsoft would copy it. Borrowing features from other companies and improving on them is part of being competitive.

"It's always a threat, but then you see these things break out," Dixon said.

Facebook's track record has been hit or miss. SnapChat could be one of those breakouts it didn't manage to squash. The independent mobile messaging app has grown in popularity while Facebook's Poke app hasn't caught on.

Experts say Facebook's recent spate of arguably ho-hum announcements isn't an accurate representation of Silicon Valley as a whole. Many early-stage companies, they say, are taking the big risks and working on technology that will change the world.

"Silicon Valley is not just about apps for smartphones and doing a photo-sharing app that has a blue border instead of a red one," Singerman said.

Founder's Fund's own Peter Thiel was an early investor in Facebook, but the firm is now focused on finding companies with very large barriers to entry that cannot be easily be cloned.

Investments include ride-sharing company Lyft, big data company Palantir and space-travel company Space X. It also focuses on companies that are working to solve some of the world's biggest problems, such as health care and energy.

"The issue is, from a (venture capitalist's) perspective, we have moved on," said Navin Chaddha of Mayfield Ventures. "We are working on things that are going to be on the Facebook level in five to 10 years, but mass media is focused on what's already big."

Innovating isn't just for startups. Both Apple and Google have worked on risky products as mature companies, but they are also standing on firmer financial ground. Once it has appeased investors, perhaps Facebook will go back to its "hacking" ethos and release something unexpected and new.

As for the other companies that are busy working on the next big thing, they aren't putting too much energy into organizing press events with Blue Bottle coffee and amazing baked goods because, for now, their business models don't require it. They are aiming higher.

"The only way to get much, much, much larger is to focus on being really valuable to to the world," Singerman said. "They're not doing it for fame; they're doing it for a mission. ... Sometimes those things just take a little longer."

@highlight

Instagram's new video feature is the latest imitation feature from Facebook

@highlight

The minor updates are not representative of the innovations happening in Silicon Valley

@highlight

Tech companies are working on big problems like health care and energy

@highlight

Any Facebook feature, even small, has an impact on a huge number of people