The Syrian civil war has birthed rebel groups across a wide ideological and geographic spectrum. Some are nationalists bent on liberating their country from a ruthless regime.  Others view the conflict as a springboard to a global jihad. A number are active only in their home province, while others are present throughout the country.

A closer look at Syrian rebel units illustrates the balance of forces on the battlefield. In examining these groups, it is clear that those allied with the United States have become increasingly marginalized by jihadists and Salafists, who are the most powerful players in the revolution.

The Free Syrian Army

The Free Syrian Army (FSA) was created by Col. Riyad al-Asad in July 2011 and is supported by Western nations.  Today it is led by Gen. Salim Idriss. More a loosely linked umbrella organization than a cohesive fighting force with a hierarchical chain of command, the organization welcomes everyone. In December 2012, donor nations brokered the creation of a Supreme Military Council (SMC), hoping it could unify the disparate ranks, but it has failed to do so.

Syrian-based commanders remain disobedient, illustrating the tenuous influence of exiled FSA leaders. These officers, located in Jordan and Turkey, are nationalists who emphasize respecting the rights of all Syrians. Local leaders inside Syria are far less tolerant. After meeting with Idriss in May, U.S. Sen. John McCain issued a statement: "General Idriss and his fighters share many of our interests and values."

Washington has provided nonlethal aid, but promised weapons have not materialized. The FSA is active in every Syrian province and reportedly has 80,000 men under Idriss' control. Nevertheless, the FSA is plagued by a high level of attrition. Fighters seeking a more cohesive structure and stronger ideology desert to Islamist units. Others leave for better-funded brigades.

Moderate Islamists

Moderate Islamist groups identify with the ideology of the Muslim Brotherhood. These groups aspire to replace the secular canon with Islamic law, curtail individual freedoms, and subordinate minorities. They have coalesced around the Syrian Islamic Liberation Front (SILF), a 19-faction alliance established in September 2012, whose leader boasted it has more than 40,000 fighters. It comprises some of the largest units in Syria, including the Tawhid Brigade, the most powerful group in the northern province of Aleppo. In Damascus, the coalition's key group is Liwa al-Islam.

It has captured sophisticated surface-to-air missiles. The SILF also includes the Faruq Brigades, a dominant unit in the central province of Homs. One of its members made headlines when a video surfaced of him eating an organ of a regime soldier. Moderate Islamists cooperate with the FSA and participate in joint operations. They communicate with Western governments but receive no aid from them.

Salafists

Salafists are puritanical Muslims who seek to return the Islamic community to the first three generations following its birth. They shun modernism and Western influence, and espouse a literalist and uncompromising reading of canonical texts. They have promoted a vitriolic sectarian discourse depicting the ruling Alawi minority as heretics meriting death, and have targeted Alawi civilians.

Eleven Salafist groups joined forces in December 2012 to create the Syrian Islamic Front (SIF). They include Ahrar al-Sham -- one of the most powerful rebel brigades, active in several provinces from Latakia to al-Raqqa; and al-Haqq Brigade in Homs. Members say the organization has more than 30,000 fighters, including some foreigners, but mostly Syrians. The SIF has shunned suicide bombing but uses car bombs to target regime forces.

Though its platform is vague, it constantly references the integral role of Islam in Syria's future, but declares "our course is the centrist and moderate course, far from exceeding the proper bounds of religion." As proof, it offers ambiguous assurances to minorities. The SIF asserts that its conflict is limited to Syria. Salafist brigades cooperate with all other rebel units. They work with Western journalists but eschew their governments.

Jihadists

Though jihadists associated with al-Qaeda were latecomers, they are now the most powerful groups on the battlefield.  Jabhat al-Nusra was created in January 2012. The group was composed of Syrians who fought in Iraq while it was under American rule. Jabhat al-Nusra pioneered the use of suicide bombing, targeting both civilian and military targets.

In April, al-Qaeda's Iraqi affiliate created a new organization called the Islamic State in Iraq and Syria (ISIS). It quickly absorbed many Jabhat al-Nusra units. ISIS has a presence in almost every Syrian province. The Emigrants and Helpers Army, another jihadist group, is led by Abu Umar the Chechnyan. Its members are largely drawn from the Caucasus region.

American intelligence organizations believe there are more than 6,000 foreign jihadists, including Westerners, in Syria.  They have killed Alawi civilians, kidnapped Westerners and attacked other brigades. They control key infrastructure, such as dams and oil installations. ISIS wants to use the Syrian conflict as a platform to destabilize neighboring countries. As jihadists grow in strength, they have sidelined other brigades, and captured their bases and weapons.  Nevertheless, they cooperate with rebel groups across the ideological spectrum.

FSA criminal outfits

As consolidation occurs within the rebel ranks, Free Syrian Army units that dabble in criminal activity are increasingly being squeezed. In Aleppo, smugglers created the Asifa al-Shamal Brigade. The group  earned hefty fees controlling the Bab al-Salama border crossing. But its criminal activities led other units to break up its monopoly. Recently it was forced to relinquish partial control of Bab al-Salama, and ISIS has taken over many of its checkpoints. The Aleppo-based Ghuraba al-Sham, another brigade whose leaders have criminal roots, has seen a similar decline.

As the FSA has lost ground, jihadists and Salafists have gradually become the most important actors in the Syrian revolution. And an American strike against the regime will only make them stronger.

@highlight

Barak Barfi: Syria's civil war has spawned rebel groups across wide spectrum of ideology

@highlight

He says the Free Syrian Army, most aligned with values of West, lacks cohesion

@highlight

He says moderate Islamist grade into stricter groups Salafists, jihadists with severe tactics

@highlight

Barfi: FSA has lost ground; if U.S. strikes regime, jihadists, Salafists will grow stronger