(CNN) -- The mainland United States, which was largely recovering Monday from a near-nationwide heat wave, has experienced the warmest 12 months since record-keeping began in 1895, a top government science and weather agency announced Monday.

The report from the National Climatic Data Center, which is part of the National Oceanic and Atmospheric Administration, does not take into account blistering heat from this month, with 2,116 high temperature marks either broken or tied between July 2 and July 8 in communities nationwide.

Share your heat photos and videos on CNN iReport

But it does incorporate the warmest March recorded as well as extreme heat in June, which also helped make the first six months of 2012 the warmest recorded of any January-June stretch.

In the last half of June, 170 all-time temperature records were matched or smashed in cities across the lower 48 states. The U.S. State Climate Extremes Committee also is reviewing whether 113-degree temperatures in South Carolina and 112-degree recordings in Georgia qualify as all-time records in those two states.

Southwest heats up as rest of U.S. cools down

"There are a lot of things going on that have been very unusual over the last several months," said Dev Niyogi, earth and atmospheric sciences professor at Purdue University.

That includes an outbreak of particularly large wildfires in Colorado, which had its warmest June ever, according to NOAA. Most of that state is experiencing extreme to exceptional drought, which is also true in places as far afield as Arizona and Georgia, according to the U.S. Drought Monitor, run out of the University of Nebraska.

That's a pressing problem in Indiana, where Niyogi is the state climatologist and where the National Weather Service says conditions in central and southern parts of the state "resemble the Dust Bowl days of the 1930s."

Niyogi said it is "very hard to root out" the role played by short-term weather patterns and longer-term trends in creating conditions recorded over a given stretch, such as the period from June 2011 to June 2012 measured by NOAA. But he said, "They're all tied together" and can contribute to major issues, pointing specifically to the interdependent relationship between heat and drought.

"That is an intriguing and fairly dangerous kind of event that obviously has affects on humans," he said, referring to drought.

The average temperature for the U.S. mainland in June was 71.2 degrees -- 2 degrees above the 20th-century average. It was the 14th warmest June on record.

Besides the Midwest and Rocky Mountain region, coastal states have also felt the heat of late: New Jersey, for instance, has experienced 16 straight months (not including data from June) in which average monthly temperatures measured above normal.

Stepping back further in time, 2010 tied with 2005 as the warmest ever, based on global surface temperatures, according to NOAA. In fact, a March report from the Intergovernmental Panel on Climate Change noted that "climate change has led to changes in climate extremes such as heat waves, record high temperatures and, in many regions, heavy precipitation in the past half-century."

Triple-digit strategies for staying healthy

Millions in the central and eastern United States who experienced the latest heat wave got somewhat of a reprieve Monday. But the break in the heat also brought severe storms to some areas.

The cold front, while welcome, prompted a series of thunderstorm warnings late Monday afternoon and into the evening from Virginia south to Georgia. The National Weather Service warned of potentially "quarter-size hail and damaging winds in excess of 60 mph."

There were few indications, by 9:30 p.m., that these storms packed anywhere near the wallop of those from late June. But they did affect some trees and bring torrential rain in spots.

Flash floods left as much as five inches of rain in downtown Greensboro, North Carolina, on Monday night, said Darin Figurskey, a meteorologist at the National Weather Service's Raleigh bureau. "Motorists are encouraged to stay off the roads, if possible," the city said in a press release noting two road closures.

Nearby on Interstate 40, between 20 to 30 cars were stranded due to flooding rains, said Figurskey.

One upside to the front moving through was much cooler temperatures. High temperatures Monday were in the 80s in cities including Chicago, New York, Boston and Washington, where temperatures on Sunday hit 102 degrees and surpassed 95 for the 11th straight day. Even the 91 degrees recorded Monday in St. Louis was a welcome relief.

This cool-down follows a heat wave that roasted much of the country for more than a week and contributed to dozens of heat-related deaths, including 18 in Maryland and 10 in Virginia, according to state officials. Millions also lost power at one point or another, many of them for several days, because of severe storms that swept east from Indiana to the Mid-Atlantic states starting on June 29. As of Monday afternoon, just under 100,000 customers in 11 states and metropolitan Washington still lacked electricity.

West Virginians brace for storms, aftermath

On Sunday damaging winds struck Fredericksburg, Virginia, and collapsed a building, injuring two people, according to the National Weather Service's Storm Prediction Center. The storms have complicated power restoration efforts in some spots and caused even more damage. One person died Saturday in storms in Cuba, Missouri, the prediction center said.

"It has been a tough few weeks for many Virginians," Virginia Gov. Bob McDonnell said late Sunday. "They have suffered from record-breaking temperatures and an historic storm that brought widespread damage and power outages. Now, many have lost power again. I ask Virginians to remain patient and to continue to help each other get through this latest storm."

Still, even as the Midwest, Southeast and Northeast cool a bit, the U.S. Southwest is practically boiling.

The National Weather Service has issued excessive heat warnings for parts of Arizona and California through Wednesday, with temperatures forecast to peak Tuesday at 114 degrees in Las Vegas; 113 in Phoenix; 116 degrees in Yuma, Arizona; and 125 degrees in Death Valley, California.

"The combination of hot afternoon temperatures and very warm overnight lows will result in oppressive conditions," the weather service said.

Use caution if you drive in extreme heat

CNN's Greg Botelho, Joe Sutton, Devon Sayers and Dave Alsup contributed to this report.

@highlight

NEW: Floods in North Carolina strand up to 30 cars on highway, a meteorologist says

@highlight

The first half of 2012 has also set temperature records, NOAA says

@highlight

The analysis doesn't include more record-breaking heat from July

@highlight

Temperatures Tuesday in Arizona and California may go as high as 125