Tokyo (CNN) -- Nearly seven decades after the end of World War II, Japanese Prime Minister Shinzo Abe is expected Thursday to call for long-standing limits on the country's military to be eased to allow it to come to the aid of allies under attack.

Abe's drive to revamp Japanese security policy comes at a time of rising tensions with China and concerns over North Korea's nuclear weapons program. But the prospect of a historic reinterpretation of the country's pacifist constitution has caused unease both within Japan and abroad.

The United States, Tokyo's main ally and the nation that oversaw the adoption of the constitution in 1947, has supported the idea of Japan's military taking on a more assertive role in the world.

As things stand, Japan can only use its military, known as the Self-Defense Forces, to defend itself.

Article 9 of the constitution, written in the aftermath of Imperial Japan's defeat by the allies, says the Japanese people "forever renounce war as a sovereign right of the nation and the threat or use of force as a means of settling international disputes."

If, for example, a U.S. ship came under attack in the Western Pacific, Japan would not be able to offer military help unless it was also threatened.

Public opinion divided

Abe, who is eager to strengthen Tokyo's alliance with Washington, wants Japan to be able to participate in collective self-defense and take a more proactive role in peacekeeping missions.

He set up an advisory panel on Japan's security policy, which delivered its report to him on Thursday. Abe is expected to announce his response to the panel's conclusions and outline how he plans to proceed.

He is unlikely to try to change the constitution, a formidable political challenge that would need the backing of two-thirds of both houses of Parliament and a referendum. Instead, he is expected to propose a reinterpretation of the existing text.

Opinion polls suggest Japan is deeply divided over the idea of such a change, with different surveys showing drastically different levels of support and opposition. The constitution, considered by many Japanese to have kept the country out of war since 1945, is widely respected.

Using national security arguments to reinterpret the Constitution on the issue of collective self-defense would "in effect, eviscerate the constitution," warned a commentary published Wednesday in The Asahi Shimbun, a leading English-language daily newspaper in Japan.

U.S. support

But one of Abe's advisers, Tomohiko Taniguchi, told CNN's Christiane Amanpour last month that Japan has adopted a "strange interpretation" of the constitution for "historical reasons."

"Everyone, every individual, and every nation" has the right to "act collectively with your like-minded peers," he said.

A reinterpretation would still require the support of Abe's governing coalition, including the New Komeito Party, which is considered to have a strong pacifist leaning.

The U.S. government, facing complex security challenges around the world, has made it clear it favors a change in Japan's military stance.

"The United States welcomes Japan's efforts to play a more proactive role in contributing to global and regional peace and stability, including reexamining the interpretation of its Constitution relating to the rights of collective self-defense," Defense Secretary Chuck Hagel said during a visit to Tokyo last month.

Chinese criticism

However, China, whose rising military spending has been cited by Japanese officials as a reason to adapt, has voiced criticism of the suggested changes.

"Abe's goal, while stripping a nation of its pacifist identity, simultaneously serves to endanger the lives of the nation's citizens as their country remilitarizes and, for all intents and purposes, becomes 'war ready,'" China's official news agency Xinhua said in an analysis article last week.

Some commentators in the West have also expressed concern about the way Abe appears to be going about the policy overhaul.

"The government's 'reinterpretation' is the most profound challenge to the pacifist constitution since 1947," a column in the British magazine The Economist said this week.

And an editorial in The New York Times warned that "such an act would completely undermine the democratic process."

CNN's Will Ripley reported from Tokyo, and Jethro Mullen reported and wrote from Hong Kong. CNN's Yoko Wakatsuki contributed to this report.

@highlight

Prime Minister Shinzo Abe is expected to outline plans to change defense policy

@highlight

The country's constitution renounces using force to settle international disputes

@highlight

But Abe wants to reinterpret it to allow Japanese forces to defend allies

@highlight

That has prompted concerns within Japan and from China