Istanbul, Turkey (CNN) -- Turkish Prime Minister Recep Tayyip Erdogan hailed the passage of a wide-ranging package of constitutional amendments as a "milestone for democracy" after voters approved the measures in a Sunday referendum.

In a resounding victory for Erdogan and his ruling Justice and Development Party (AKP), voters approved the 26 amendments by a wide margin Sunday. The country's current constitution was enacted after a military coup that took place on September 12, 1980, 30 years to the day before Sunday's vote.

"Our nation has said from now on, we go forward," Erdogan told supporters Sunday night. "Yes to freedom. Yes to rule of law. No to the law of the rulers. The tutelage of the coup regime is over."

But with more than 96 percent of the votes counted, 58 percent of voters favored the referendum, while 42 percent were opposed, Turkey's electoral board reported.

More coverage at CNN Turk

The proposed amendments include articles that would allow collective bargaining for public sector workers and affirmative action measures for women. But when asked what was the most important achievement of the reform package, a senior Erdogan adviser made it clear that the main goal was to overhaul the country's judiciary.

The proposed reforms include amendments to the judicial system, curbs on the power of military courts and an article abolishing the immunity currently enjoyed by the leaders of the 1980 coup. Other measures would guarantee gender equality and put in place measures to protect children, the elderly and the disabled.

One of the amendments increases the number of judges on Turkey's highest court from 11 to 17. It also grants the parliament, which is controlled by Erdogan's party, the power to appoint several judges. The senior Erdogan adviser, who who requested anonymity because he is not authorized to speak with the media, told CNN the package would "break the caste system of the judiciary."

In his victory speech, Erdogan apologized to political rivals he insulted during a bruising and divisive campaign in the run-up to Sunday's vote. But to thunderous applause, he announced, "We are going to free the judiciary from an ideological abyss."

Opponents argued that the amendments would further undermine the secular foundations on which modern Turkey was established in 1923, giving the prime minister too much power over the judiciary and making him a "modern-day sultan." Berhan Simsek, head of the main opposition CHP's Istanbul branch, told CNN that by packaging the judicial changes with less controversial proposals, the AKP had "coated a poisonous pill with chocolate."

"This will put all the branches of government into one man's hand," Simsek said. "It will be one-man rule, like Saddam Hussein, or the Fuhrer."

And Hasan Gerceker, the head of Turkey's Supreme Court of Appeals, this week warned that the changes would politicize the judiciary. But Erdogan said the amendments would bring greater freedom and democracy.

"Can there be anything wiser and more meaningful than going from a coup constitution to the constitution of the people?" Erdogan told CNN last week.

Turkish lawmakers approved the package earlier this year, but not by the two-thirds majority necessary for the government to press ahead without a referendum. The measures have also been ratified by Turkish President Abdullah Gul, Erdogan's AKP ally.

"People have voted for amendments that signal a desire for change to an outdated system of government," said Asli Aydintasbas, a columnist with Turkey's Milliyet newspaper. "Erdogan clearly has come out of this with a solid mandate. But I do hope he now abandons the harsh rhetoric he has been using during the electoral process and reach out to secularists and the Kurds."

Sunday's vote is the latest confrontation in a power struggle between Erdogan's Islamist-rooted party and Turkey's secularist establishment, which have repeatedly clashed since AKP swept to power eight years ago.

The AKP narrowly avoided being banned from politics in 2008 when it was fined by the country's constitutional court -- one of the last bastions of secular opposition -- for alleged anti-secular activities. The court has also blocked legislation to lift a ban on Islamic headscarves at public universities.

"It started out as a referendum on constitutional reform package but it quickly developed into a confrontation between the government and the opposition. So it's really become a vote of confidence in the government," Istanbul-based journalist Andrew Finkel told CNN.

Turkey's main Kurdish political party, the BDP, called on its supporters to boycott the vote altogether, saying their struggle for greater autonomy will continue whatever the result.

"Regardless of who wins, it won't stop the war," Mustafa Avci, the Istanbul co-chairman of the BDP, told CNN. "The referendum does not recognize the rights of Kurds."

Tensions boiled over in downtown Istanbul on Friday when Kurdish activists attacked buses and police vehicles with stones, wounding at least one bystander.

Erdogan insists he will do more to defuse the decades-old simmering conflict which has claimed thousands of lives -- but only after winning the referendum.

CNN's Ivan Watson, Simon Hooper and Yesim Comert contributed to this report.

@highlight

NEW: Erdogan hails passage as a "milestone for democracy"

@highlight

"Yes to the rule of law. No to the law of the rulers"

@highlight

Sunday vote comes on 30th anniversary of 1980 military coup

@highlight

Opposition argued changes would undermine Turkey's secular foundations