(CNN) -- Arizona's immigration law, Senate Bill 1070, has generated a lot of ink recently, especially with a court ruling last week that allowed a controversial provision that in my view will result in racial profiling to move forward.

The law's goal is chilling: ramp up deportations of undocumented people by forcing local police into the difficult role of immigration agents. And with last week's ruling, police are now required to go out of their way to investigate the immigration status of everyone they "suspect" might be undocumented whom they arrest or stop.

In practice, that will mean targeting people just for the way they look or speak, separating families, and trapping undocumented people in local jails for minor infractions to await deportation.

As an undocumented American -- and I am, in my heart, an American -- it is my hope that our nation doesn't follow Arizona's discriminatory example. Will Arizona become the norm, or can we work as a nation to fix dysfunctional immigration policies so that they reflect our best values as Americans?

All eyes are now on California for a key part of the answer.

Sitting on the Gov. Jerry Brown's desk is the most important piece of legislation for immigrant communities this year. By signing the bill, called the TRUST Act, Brown can prevent the separation of thousands of families, establish an alternative to Arizona's approach and send a powerful message to the nation: In a state built and replenished by generations of immigrants, fairness and equality matter.

Under the TRUST Act, local law enforcement would only be able to hold people for extra time, for deportation purposes, if the person has been convicted of, or charged with, a serious or violent felony.

With the TRUST Act, Juana Reyes, the "tamale lady," never would have been stuck in Sacramento County Jail for 13 days on an immigration hold after the most absurd of arrests. With the TRUST Act, Reyes' children wouldn't have spent weeks worrying if they would ever see their mother again. She's still undocumented.

If Brown signs the bill, he will bring hope to millions of undocumented Americans like me, and some relief to our family members who fear that if we are arrested for even the most trivial of charges, they will never see us again.

Undocumented people and their allies -- their relatives and friends, their neighbors and co-workers -- have created a new political climate in which the passage of the TRUST Act is not simply the right thing to do, but the politically strategic thing to do, with supporters from across the political spectrum, from Nancy Pelosi to right-leaning think tanks such as the Cato Institute and Competitive Enterprise Institute.

The enactment of TRUST would also help turn the page on a painful era of our state's history that the implementation of the Arizona law evokes.

A year after I arrived in this country at the age of 12, four years before I knew about my own undocumented status, I watched with anxiety as California voters passed Proposition 187. That ballot initiative, in many ways, was the precursor to SB 1070 and House Bill 56, Arizona's and Alabama's "show-me-your-papers" laws, respectively. Although courts would ultimately reject Proposition 187, fear immediately gripped immigrants in California upon its passage in 1994.

The specter of local police acting as immigration agents was one of the measure's most unsettling provisions. And despite how much California has changed in nearly two decades, the federal Secure Communities deportation program, which was supposed to target people "convicted of serious criminal offenses," has instead effectively done what Proposition 187's backers tried to do -- turn local law enforcement into de facto immigration authorities.

What if while driving from my alma mater, San Francisco State University, down to my hometown of Mountain View, I were stopped for the most minor traffic infraction? Or, perhaps, simply profiled?

I could be detained for driving without a valid license. Then, under "Secure Communities," my fingerprints would be sent to U.S. Immigration and Customs Enforcement no matter how minor the charge. ICE would then ask the jail to hold me for extra time, at local expense, until it came to pick me up for deportation as my grandmother, a naturalized American citizen, waited for me at home in Mountain View.

This is essentially what's happened to about 80,000 Californians who have quietly been torn from their families under the ridiculously named federal deportation program, "Secure Communities."

Seven out of 10 people detained nationally under Secure Communities either had no convictions or committed minor offenses, according to ICE statistics. And even though top law professors have confirmed that requests to detain immigrants for additional time are "optional," many California jurisdictions have submitted, no matter the damage done to community-police relations.

Enter the TRUST Act, which limits responses to ICE's requests to detain people in local jails for additional time for deportation purposes.

It should not be lost on anyone that the bill's author is Democratic Assemblyman Tom Ammiano, who was San Francisco's first openly gay teacher. Ammiano fought for equality alongside Harvey Milk in the 1970s. As a gay man myself, I see many parallels in the history of the lesbian, gay, bisexual and transgender and immigrant communities' fights for inclusion.

Brown's signing of the TRUST Act would be a watershed moment in the long journey toward permanent reform to recognize our common humanity.

The opinions expressed in this commentary are solely those of Jose Antonio Vargas.

@highlight

Jose Antonio Vargas: Law awaiting Gov. Jerry Brown's action important for immigrants

@highlight

He says it would stop practice of police holding nonviolent offenders for deportation by ICE

@highlight

Vargas says 80,000 people in California have been deported; vast majority aren't criminals