(CNN) -- "Slumdog Millionaire" took home eight Oscars on Sunday night, a surprising achievement for a film once thought to be straight-to-DVD fodder.

"Slumdog Millionaire" with Dev Patel and Freida Pinto has a "rags-to-riches" storyline with wide appeal.

The colorful story, which mixes the gritty life of Mumbai's poor with the shiny aspirations of the new India, features no stars recognizable to Western audiences, but it may have made one of its native country.

So, is it time for Bollywood -- as India's huge Mumbai-based film industry is called -- to come to America?

"International cinema comes in cycles in the United States," said Frank Lovece, a film critic with Film Journal International. "Now, it's Bollywood's time."

But "Slumdog" is a far cry from the lavish movie musicals made by Bollywood, which releases nearly 1,000 films annually. And it's not authentically Indian -- it was directed by Briton Danny Boyle, and the leading actor, Dev Patel, was born and raised in England.  Watch the "Slumdog" principals talk about their victories »

However, the film is a celebration of India -- from the slums to the Taj Mahal. It pays homage to Bollywood by incorporating many of the industry's norms -- vibrant colors, fast-paced editing, a fairy-tale love story and a feel-good musical dance ending.

" 'Slumdog' is the reason why people go to the movies. It's the whole package," said Gene Newman, editorial director at Premiere.com. "It's an incredible story ... and it makes you feel good."  Memorable moments from the Oscars »

Priya Joshi, associate professor of English at Temple University and author of the forthcoming book, "Crime and Punishment: Nationalism and Public Fantasy in Bollywood Cinema," said the film's "rags-to-riches" storyline has a lot to do with its wide mainstream appeal.

"Hindi film and Bollywood, in particular, is a profoundly political cinema about the crisis of the day," she said. "Today, the typical American feels like the poor in the world. ... This sense of vulnerability is what the film is able to capture."  Watch the "Slumdog" stars talk about bonds between the cultures »

Hollywood often has used international styles and filmmakers to its advantage. In its early days, the U.S. film capital embraced European directors such as Fritz Lang and Jean Renoir. The 1960s saw the influence of French New Wave cinema. Japanese films inspired "The Magnificent Seven" and "Star Wars"; Hong Kong works inspired Hollywood blockbusters such as "The Departed" and "The Matrix."

"Slumdog" isn't even the first film centering on India to attract Hollywood's attention.

"Indian cinema has been around in the United States since Satyajit Ray in the early 1940s," Lovece said. Ray, who won the Academy Award for lifetime achievement in 1992, made films in Bengali, a language spoken in eastern India. Despite that fact, his movies, notably "The Apu Trilogy," have had universal appeal.

Since Ray, many Indian actors have emerged on the Hollywood scene. Aishwarya Rai, one of Bollywood's leading ladies, starred in 2004's "Bride and Prejudice" and appeared, more recently, in "The Pink Panther 2."

"India's movie stars are essentially the country's ambassadors," said Gitesh Pandya, box-office analyst and founder of BoxOfficeGuru.com. "A lot of people going to see ["Pink Panther 2"] are learning about Bollywood through [Aishwarya Rai]."

From Ray to Rai, Indian influence in American cinema is vast. Many Hollywood films also have been influenced by Bollywood. Baz Luhrman's 2001 musical "Moulin Rouge," a tragic romance told with song and dance, borrows heavily from Bollywood.

"These big, epic numbers are very reminiscent of Bollywood," Newman said, also referring to "Chicago," "Mama Mia!" and "West Side Story." "Musicals have always been part of the tradition of American cinema, and Bollywood really just took it to the next level."

Hollywood films such as 2008's "The Love Guru" and 2005's "The 40-Year-Old Virgin" -- which ends with a musical dance number -- also borrow from Bollywood, Newman said, but are comedies that parody the enchantment in Bollywood films.

"There's innocence and playfulness in a lot of the cinema in India," he said, which is why Bollywood, in its authentic form, would not appeal to American audiences.

"We're a little more cynical," said Newman. " 'West Side Story' is kind of laughable by today's standards. ... But, for some reason, in India, that innocence is still acceptable."

Joshi said the cultural differences between Bollywood and Hollywood could make it difficult for Bollywood films to cross over to America.

"India is still clinging on to its social values, which explains Bollywood's success everywhere but in America," she said. "Bollywood films don't have any kissing in them or tend not to. Warner Bros. used to make movies like this in the past. ... If it's ready to ready to return to its roots, then it's ready for Bollywood."

American audiences may want to explore Bollywood films after seeing "Slumdog Millionaire," Pandya said, but it is unlikely that they will find another film like it.

"The film is obviously very successful, but it is its own entity so it doesn't necessarily mean that people in this country will wake up to Bollywood overnight," he said. "Bollywood is not for everybody. ... People who love to see Adam Sandler movies are not going to line up to see Bollywood films."

Newman agreed, saying that, for now, America will see Bollywood only in small traces.

"I think a lot of filmmakers have been enamored with Bollywood," he said. "They're investing over there, like [Steven] Spielberg." But in American cinema, "for the most part, there will be little tinges of Bollywood."

@highlight

"Slumdog Millionaire" is not authentically Bollywood or Indian

@highlight

Hollywood has often used international styles and filmmakers to its advantage

@highlight

Film critic: It's Bollywood's time to influence American cinema

@highlight

Box-office analyst: Bollywood will have a hard time crossing over to America