San Francisco (CNN) -- A driver of a white Prius with a giant, red plastic flag affixed to its side is rolling through the hilly streets of San Francisco, undelivering mail from mailboxes.

The driver is not a thief. He and the car are part of a startup called Outbox that is attempting to pick up where the embattled United States Postal Service leaves off -- by digitizing physical mail.

The driver, dubbed an "unpostman," visits Outbox subscribers' homes three times a week, flipping through a thick ring of keys to open the wide variety of entryways and mailboxes. He collects the letters, bills, magazines and advertisements that were deposited there by official postal workers and delivers them to a warehouse. There they are opened and photographed, and the resulting digital files are sent electronically to the recipient through the Outbox website or iPad or iPhone apps.

The idea is that for $4.99 a month, someone can make their pesky physical mail disappear (assuming they can resist the urge to peek in their mailbox between pickups). Using a mobile device or computer, Outbox customers can organize mail in files or forward them as e-mails, ask to be unsubscribed from junk mail, have unwanted items destroyed or request that important mail, such as a wedding invite or a postcard, be re-delivered to their home.

The company already has more than 600 customers in Austin, Texas, and starting Tuesday it's rolling out in its second city, San Francisco.

Creating a shadow, reverse postal service may not be the most efficient way to improve the struggling mail system, but Outbox is unable to intercept clients' mail any sooner in the process. The company has met resistance from the United States Postal Service, which has refused to collaborate with Outbox or let its workers pick up mail directly from local post offices.

"From a startup perspective, we can wait on no one," said Outbox co-founder Will Davis.

Outbox's legal 'gray zone'

Even though Outbox is forging ahead without the blessing of the USPS, Davis said he has a lot of respect for the federal agency and would welcome any attempts to work together.

It's a sentiment that does not yet seem to be mutual.

"The Postal Service is focused on providing an essential service in our mission to serve the American public and does not view Outbox as supporting that mission," the USPS said in a statement. "We do have concerns regarding the destruction of mail -- even if authorized by the receiver -- and will continue to monitor market activities to ensure protection of our brand and the value and security of the mail."

Circumventing the Postal Service has been a way to get Outbox up and running. But tampering with mail is a federal offense, and there may be questions about the legality of a third party removing mail from a mailbox, even with permission.

Davis argues that once a piece of mail has been delivered, it becomes just another unregulated piece of paper. An Outbox employee taking mail with permission would be no different from having a neighbor pick it up while you're out of town, he said.

"Innovation happens in the gray zone of deregulation," said Davis. "We're operating in that gray zone."

The U.S. Postal Inspection Service declined to comment on whether the practice is breaking any laws.

Security and privacy also will be a concern for any company handling mail filled with sensitive financial and personal information. Outbox says its employees undergo more thorough background checks than Postal employees. It uses 512-bit encryption and device recognition to prevent digitized mail from falling into the hands of someone other than the intended recipient. Any unwanted physical mail is shredded and recycled.

Can the Postal Service catch up?

The Postal Service has been slow to innovate and adapt to new technology on its own, in part because of constraints such as the 2006 legislation that prohibits it from entering into new businesses.

The USPS also faces serious financial issues. In 2012, the agency had $15.9 billion in losses and in early February it announced plans to cease Saturday mail delivery this summer in an attempt to save $2 billion.

The Postal Service has also been watching technology steadily eat away at its core business for years. The volume of mail handled by the USPS dropped from 202.8 billion pieces a year in 2002 to159.9 billion in 2012. First class and standard mail are decreasing as bill payments, statements and marketers migrate online. One bright spot has been an increase in shipping and packages, the result of the growing popularity of e-commerce.

"They face a lot of challenges that are not of their own making," said John Payne, chief executive of Zumbox, a digital mailbox company that deals directly with large companies. He agrees that the Postal Service needs to innovate to stay relevant and thinks they're starting to try harder to partner with innovative companies.

Outbox isn't waiting on the Postal Service's call. New, nimble and relatively tiny, the startup can begin experimenting with new ways of handling mail that would take time, and possibly congressional action, for the Postal Service to do.

"We've done what they can't do without trouble, Davis said. "We're able to play by different rules."

Making money off mail

Just because the USPS isn't making snail mail a profitable business doesn't mean it can't be done. In addition to charging $4.99 a month, Outbox has plans to eventually deliver ads through its apps. They wouldn't be banner ads, but rather would appear just like another item of scanned mail.

The company would be in a unique position to know what catalogs, fliers and brands a customer likes or marks as junk, and could charge companies that wanted to reach specific demographics.

The companies currently filling up mailboxes with fliers have already been experimenting with online alternatives. If Outbox attracts enough customers and its ads are effective, it could become an alternative to sending ads through the U.S. Mail.

"As time changes the marketers evolve," said Jerry Cerasale, a vice president at the Direct Marketing Association. "The more precise they can be means less waste, less money spent on advertising, and more response."

Outbox's Davis also believes that once his company has saturated an area, it will be in a great position to handle same-day deliveries for e-commerce companies like Amazon. Eventually Outbox will also try tiered pricing for work addresses, and extra features such as forwarding individual pieces of mail to other addresses, he said

For now it's focused on polishing its service and logistics. The company has big-name backers like venture capitalist Peter Thiel and is planning on closing a "sizable" second round of funding in April. After San Francisco is fully staffed with unpostmen, Outbox plans to bring its service to New York, Boston, Chicago, Los Angeles and Washington.

Davis isn't worrying yet about competitors. "No one is crazy enough to do what we're doing," he said.

@highlight

Outbox picks up mail the post office drops off at homes, scans it and e-mails it to recipient

@highlight

Austin-based startup is rolling out in its second city, San Francisco, this week

@highlight

The service costs $4.99 a month and will still deliver selected physical mail

@highlight

The struggling U.S. Postal Service is not working with Outbox