(Lonely Planet) -- While many visitors to Canada -- especially those who think Canadians live under a permanent blanket of snow -- are surprised to learn that wine is produced in Canada, their suspicion is always tempered after a drink or two.

Canada's wines have gained ever-greater kudos in recent years and while smaller-scale production and the industry dominance of other wine regions means they'll never be a global market leader, there are some truly lip-smacking surprises waiting for thirsty grape lovers.

The best way to sample any wine is to head straight to the source, where you can taste the region in the glass. You won't want to miss the multitude of top table wineries in Ontario's Niagara region or British Columbia's Okanagan Valley -- the country's leading producers -- but a visit to the smaller, often rustic wineries of Québec and the charming boutique operations of Nova Scotia and Vancouver Island's Cowichan Valley can be just as rewarding.

Wherever your tipple-craving crawl takes you (with a designated driver of course), drink widely and deeply and prepare to be surprised. And make sure you have plenty of room in your suitcase -- packing materials are always available, but you'll probably drink everything before you make it to the airport anyway.

Regional Wine List

Depending on how thirsty you are, you're rarely too far from a wine region in Canada. Which means that most visitors can easily add a mini tasting tour to their visit if they'd like to meet a few producers and sample some intriguing local flavors. Here's a rundown of the best areas, including the magnum-sized larger regions and the thimble-sized smaller locales:

Lonely Planet: In vino veritas: Italy's regional wines

Okanagan Valley

The rolling hills of this lakeside BC region are well worth the five-hour drive from Vancouver. Studded among the vine-striped slopes are more than 100 wineries enjoying a diverse climate that fosters both crisp whites and bold reds. With varietals including pinot noir, pinot gris, pinot blanc, merlot and chardonnay, there's a wine here to suit almost every palate. Most visitors base themselves in Kelowna, the Okanagan's wine capital, before fanning out to well-known blockbuster wineries like Mission Hill, Quail's Gate, Cedar Creek and Summerhill Pyramid Winery (yes, it has a pyramid). Many of them also have excellent vista-hugging restaurants.

Find out more about BC's wine regions and annual festivals -- and download free touring maps -- at www.winebc.com.

Golden Mile

Some of BC's best Okanagan wineries are centered south of the valley around the historic town of Oliver, where the Golden Mile's hot climate fosters a long, warm growing season. Combined with gravel, clay and sandy soils, this area is ideally suited to varietals like merlot, chardonnay, gewürztraminer and cabernet sauvignon. While the 20 or so wineries here are not actually crammed into one mile -- it's more like 20 kilometers -- the proximity of celebrated producers like Burrowing Owl, Tinhorn Creek and Road 13 Vineyards makes this an ideal touring area. And if you're still thirsty, continue south to Osoyoos and check out Nk'Mip Cellars, a First Nations winery on the edge of a desert.

Vancouver Island

Long-established as a farming area, Vancouver Island's verdant Cowichan Valley is also home to some great little wineries. A short drive from Victoria, you'll find Averill Creek, Blue Grouse, Cherry Point Vineyards and Venturie-Schulze. Also consider Merridale Estate Cidery, which produces six celebrated ciders on its gently-sloped orchard grounds. For information on the wineries here, visit www.wineislands.ca.

Niagara Peninsula

This picture-perfect Ontario region of country inns and charming old towns offers more than 60 wineries and grows more than three-quarters of Canada's grapes. Neatly divided between the low-lying Niagara-on-the-Lake area and the higher Niagara Escarpment, its complex mix of soils and climates -- often likened to the Loire Valley -- is ideal for chardonnay, riesling, pinot noir and cabernet-franc varietals. This is also the production center for Canadian icewine, that potently sweet dessert drink made from grapes frozen on the vine. Home to some of Canada's biggest and best wineries, including Inniskillin, Jackson-Triggs and Peller Estates, don't miss smaller pit-stops like Magnotta and Cave Spring Cellars in the Escarpment area.

Lonely Planet: Tripping California Wine Country

Prince Edward County

Proving that not all of Ontario's wineries are clustered in Niagara, this comparatively new grape-growing region -- located in the province's southeastern corner and almost three hours drive from Toronto -- is a charming alternative if you want to avoid the tour buses winding through the main wine area. A long-established fruit-growing district with generally lower temperatures than Niagara, cooler-climate wines are favored here -- including chardonnay and pinot noir. The most intriguing wineries include Closson Chase, Black Prince Winery and Grange of Prince Edward. If your taste buds are piqued, consider checking out other Ontario wine regions like Pelee Island and Lake Erie North Shore.

Eastern Townships

Starting around 80 km southeast of Montréal, this idyllic patchwork farmland region in Québec is studded with quiet villages, leafy woodlands, crystal clear lakes and winding countryside roads. A rising tide of wineries has joined the traditional farm operations here in recent years, with rieslings and chardonnays particularly suited to the area's cool climate and soil conditions. But it's the local icewines, dessert wines and fruit wines that are the area's main specialties, so make sure you come with a sweet tooth. Wineries to perk up your taste-buds here include Domaine Félibre, Vignoble de L'Orpailleur and Vignoble le Cep d'Argent.

Montérégie

The dominant player in Québec's wider Eastern Townships, this bumpy and bucolic area is packed with vineyards and orchards (not to mention a surfeit of maple groves). A major fruit farming region -- this is an ideal spot to try ciders and flavor-packed fruit wines -- growers here are happy to try just about any red or white varietal, but it's their rosés that are particularly memorable. Recommended wineries include Domaine St-Jacques, Les Petits Cailloux and Vignoble des Pins; and keep in mind that Québec restaurants often encourage diners to bring their own bottles, so fill your car as you explore the region.

Nova Scotia

Divided into six boutique wine-producing regions -- from the warm shoreline of Northumberland Strait to the verdant Annapolis Valley -- Nova Scotia's two-dozen wineries are mostly just a couple of hours drive from big city Halifax. One of the world's coldest grape-growing areas, cool-climate whites are a staple here, including a unique varietal known as l'Acadie Blanc. Innovative sparkling wines are a Nova Scotia specialty and they tend to dominate the drops that are on offer at the popular stops such as the excellent Benjamin Bridge Vineyards. Other highly recommended destinations to fill up your glass include Gaspereau Vineyards, Jost Vineyards and Domaine De Grand Pre.

Lonely Planet: Top 10 Canadian adventures

© 2011 Lonely Planet. All rights reserved.

@highlight

Canada's wines have gained ever-greater kudos in recent years

@highlight

You're rarely too far from a wine region in Canada

@highlight

Prince Edward County, a comparatively new grape-growing region, is a charming alternative to Niagara