Washington (CNN) -- The front end of HealthCare.gov is working better, but many problems identified in the days after its launch persist, according to a team of Web engineers.

Media Temple is a private web-hosting company that analyzed the public-facing side of the site days after its disastrous October 1 launch, and again this week for CNN.

"It's getting better, but it looks like there's still a lot to do," Media Temple president and COO Russ Reeder said. "So whether that's three weeks or three months, I can't tell."

A week after the site went live, a team of Reeder's engineers found a slew of out-of-date Web applications, poorly written code, testing code and unnecessary data transmitted to users at each login that should have been stored on local servers or computers for quicker access through a process called caching.

House passes proposed GOP Obamacare changes

All of these mistakes broke with best practices for Web coding.

"They're not following the proper protocol when you deal with a website that's going to get a lot of traffic," Reeder said on October 8.

More than a month later, many of these problems still exist.

"So far, it does not look like much has changed on the front end," one engineer wrote in his analysis.

The site is still not properly routing data to servers closer to individual users, a practice that helps speed up response times, but is still sending information to too many unnecessary third-party web tools, although there appear to be fewer than in the early days, he continued.

It is still loading far too much unnecessary code and there still appears to be needless testing code in the final front-end product.

Obamacare: What now?

Jeff Zients, the management expert brought in by the White House to oversee the site's repair, repeated the administration's assurances that "most users" will be able to navigate from start to enrollment by the end of the month.

"As we prioritize fixes on HealthCare.gov, we focus on system performance and functionality, things like site stability, speed and usability that make a real difference to the consumer," Zeints told reporters on a conference call on Friday.

"But to be clear as you would experience with any major new site, new bugs and other glitches will surface in December and beyond and as they surface we will fix them," he said.

Two of the engineers who participated in the second analysis wrote that things were getting better.

The site looks "a lot cleaner," one wrote, and another noted that there was less extra code than last time he looked.

"You can tell from the website that there are people working it and making changes," Reeder said. "And those changes are good. There are still many changes they can still make."

Reeder and his team had no special access to the back-end of HealthCare.gov, where most of the functionality problems exist. All of these mistakes are visible from the end, Reeder emphasized, which raises questions about the structure of rest of the site.

Bachmann: I lost my insurance under Obamacare

The Obama administration official in charge of overseeing the site, Centers for Medicare and Medicaid Services Director Administrator Marilyn Tavenner, testified at a congressional hearing earlier this month that HealthCare.gov would be "fully functioning" by the end of the month.

But Obama, himself, appeared to lower expectations on Thursday when he discussed the issue with reporters.

"The website will work much better on November 30th, December 1st, than it worked certainly on October 1st," he said before quickly acknowledging, "That's a pretty low bar."

"The majority of people who go to the website will see a website that is working the way it's supposed to," he continued. "I think it is not possible for me to guarantee that 100 percent of the people 100 percent of the time going on this website will have a perfectly seamless, smooth experience. We're going to have to continue to improve it even after November 30th, December 1st."

@highlight

"It's getting better but it looks like there's still a lot to do," analyst says of HealthCare.gov

@highlight

An engineer writes in his analysis: "It does not look like much has changed on the front end"

@highlight

Site is still loading too much unnecessary code, report says, which is slowing it down