JERUSALEM (CNN)  -- Israel's new hard-line foreign minister immediately distanced himself Wednesday from the 2007 relaunch of peace talks between Israel and the Palestinians adopted by his predecessor, Tzipi Livni.

Avigdor Lieberman's remarks come amid concerns about the new Israeli government's view of the peace process.

Avigdor Lieberman, leader of the far-right Yisrael Beytenu movement, said the Annapolis agreement was never adopted by Israel's government and is not binding. He said Israel is bound to follow the "road map" process, started earlier this decade.

The road map, put together by the Mideast Quartet -- composed of the European Union, Russia, the United Nations and the United States -- calls on Israel to stop settlement building and Palestinians to stop terrorism.

The Annapolis Peace Conference, held in November 2007 in Annapolis, Maryland, brought together Israeli Prime Minister Ehud Olmert, Palestinian Authority President Mahmoud Abbas and U.S. Secretary of State Condoleezza Rice to discuss a joint statement signed by the two Mideast leaders and U.S. President George W. Bush calling for a two-state solution.

State Department spokesman Gordon Duguid said Wednesday that the United States stands by what was achieved at the Annapolis talks and supports "the two-state solution, and we will continue to work for that." Of the differences between U.S. policy and statements by the new Israel government, Duguid said, "We haven't heard their proposals yet. We haven't sat down with them."

But Israelis generally have become frustrated with the peace processes and have moved to the right in recent years, because of the war with Hezbollah in Lebanon and the Hamas rocket attacks on southern Israeli cities that sparked the country's Gaza offensive. Yisrael Beytenu, which had a successful showing in recent elections and has become a major power in Israeli party politics, is a beneficiary of that right-wing trend.

Lieberman made the remarks in front of Livni during the handover ceremony at the Foreign Ministry in Jerusalem. He took office after the formation of a new government led by Benjamin Netanyahu.

Palestinian officials have been critical of Lieberman's positions on Israeli-Palestinian matters and are pessimistic about the new government's will in forging the necessary compromises to reach a peace.

Netanyahu "does not believe in peace," Abbas said Wednesday, according to a report from WAFA, the Palestinian Authority's news agency. He urged the world to put pressure on the new Israeli prime minister to make peace.

Lieberman's remarks underscore concerns about the Israeli government's way forward regarding peace talks. They come a day after Netanyahu made conciliatory comments about relations with the Palestinians but stopped short of endorsing a two-state solution, the end result foreseen in both the road map and the Annapolis processes.

Abbas was also quoted as saying, "Netanyahu never believed in a two-state solution or accepted signed agreements and does not want to stop settlement activity. This is obvious."

Israeli President Shimon Peres, presiding over the prime minister's changeover ceremony, made reference to the importance of the two-state vision.

"In parallel with the strengthening of Israel's security, the government under your leadership must invest great effort in advancing the peace process on every front," Peres told Lieberman. "The outgoing government espoused the vision of two states, for two peoples, which was initiated by the American government and accepted by the majority of countries in the world. It is up to your government to decide the shape of the reality to come."

Lieberman called Egypt a key player in the region and said it has a major role in quelling the instability there.

He criticized Egyptian President Hosni Mubarak last year because the Egyptian leader has never visited Israel. At that time, Lieberman said, "if he wants to talk to us, he should come here. If he doesn't want to come here, he can go to hell." His remarks drew widespread criticism in Egypt and the Arab world.

Lieberman said Wednesday that he expected to be invited to visit Egypt and expected that country's representatives to visit the Jewish state. Egypt and Jordan are the only Arab League countries to have full diplomatic relations with Israel.

The prime minister's office said Wednesday that U.S. President Obama and Russian Prime Minister Vladimir Putin phoned Netanyahu to congratulate him. Both leaders agreed to meet soon with the new Israeli prime minister.

The office said Obama repeated America's unqualified commitment to Israel's security, and it characterized the half-an-hour conversation between Obama and Netanyahu as "friendly and constructive."

Duguid said, "Israel is a close friend and ally, and we remain unalterably committed to Israel's security."

"We will work closely with Prime Minister Netanyahu's government to advance the cause of peace and stability in the Middle East and move the parties in the direction of a two-state solution. We have full confidence in and will continue to support the government of Israel and we will work together for durable and lasting peace in the region."

Obama and Secretary of State Hillary Clinton have handed off day-to-day work on the Middle East to special envoy George Mitchell, the former Maine senator who is a veteran of peace negotiations in Northern Ireland.

@highlight

Israel is bound to follow "road map" process instead, he says

@highlight

Annapolis Peace Conference deal isn't binding, Lieberman says

@highlight

State Department says U.S. stands by Annapolis talks

@highlight

Palestinian officials skeptical of new government's views on peace process