(CNN) -- John Donohue: Why the NRA fights background checks

A more powerful NRA today is in no mood to follow the slogan of their "be reasonable" ad campaign of 14 years ago. This relatively small group -- the NRA boasts that it has 4.5 million members, which is peanuts compared to the roughly 40 million AARP members -- might have the political power to pull it off.

Federal law prohibits selling guns to felons or the mentally ill. Background checks are the only way to enforce that law. So, besides criminals and the insane, who could possibly oppose universal background checks?

Gun manufacturers.

They are the ones who call the shots at the NRA, and they are the most important people in the opposition. The manufacturers don't want anything that interferes with total gun sales and profits. Read more ...

John J. Donohue is C. Wendell and Edith M. Carlsmith professor of law at Stanford Law School and research associate at the National Bureau of Economic Research.

Rand Paul: The government wants your gun rights

Congress is debating legislation that will limit Americans' right to keep and bear arms and infringe on the right to privacy. The Bill of Rights was made part of our Constitution explicitly to protect freedoms: the freedom of speech, protection against searches without a warrant, the right to trial by jury and the right to protect oneself with a firearm.

I am compelled to stand up for every amendment and right enumerated in the Constitution.

Senate Majority Leader Harry Reid is attempting to push forward with gun control legislation. The chief problem I have is that nothing in this legislation would have prevented the terrible massacre in Newtown, Connecticut. I am open to ideas that would help prevent tragedies, but this legislation would not have saved us from the national heartbreak of the December school shooting. Read more ...

Rand Paul is a Republican senator from Kentucky and a member of the Senate Foreign Relations and Homeland Security and Governmental Affairs committees.

Daniel Webster: Give gun owners what they want

The politicians called out by [Mark] Kelly and [Gabrielle] Giffords let the National Rifle Association bully them into thinking that gun owners don't want key flaws in our current gun laws fixed and that you can't win elections without the backing of the NRA. The millions of dollars the NRA spent in unsuccessful attempts to win close Senate races in swing states with high gun ownership rates -- Florida, Missouri, Ohio, Virginia and Wisconsin -- suggests that candidates can and do win despite strong NRA opposition.

The NRA portrays itself as an organization that speaks for and advocates for gun owners. The reality is that they speak for gun owners with the most extreme views and for the gun industry. A case in point is their opposition to requiring background checks for all firearm sales. Read more ...

Daniel W. Webster is professor and director of the Center for Gun Policy and Research at Johns Hopkins School of Public Health.

James Alan Fox: Gun control or carry permit won't stop mass murder

If one thing is predictable about mass shootings, however, is that they will spark arguments from gun control advocates and gun rights groups alike. Both sides of the gun issue will probably view this tragedy [shooting at Aurora, Colorado] as one more example of why more or less gun control is the answer ... and both sides will be wrong.

Tighter restrictions on gun purchasing -- for example, eliminating multiple gun sales and closing the gun-show loophole -- may help reduce America's gun violence problem generally, but mass murder is unlike most other forms of violent conflict.

Mass killers are determined, deliberate and dead-set on murder. They plan methodically to execute their victims, finding the means no matter what laws or other impediments the state attempts to place in their way. To them, the will to kill cannot be denied. Read more ...

James Alan Fox is the Lipman Family professor of criminology, law and public policy at Northeastern University and co-author of "Extreme Killing: Understanding Serial and Mass Murder."

William Bennett: The case for gun rights is stronger than you think

Many people agreed with me and sent me examples of their son or daughter's school that had armed security guards, police officers or school employees on the premises. Many others vehemently disagreed with me, and one dissenter even wrote that the blood of the Connecticut victims was ultimately on the hands of pro-gun rights advocates.

To that person I would ask: Suppose the principal at Sandy Hook Elementary who was killed lunging at the gunman was instead holding a firearm and was well-trained to use it. Would the result have been different? Or suppose you had been in that school when the killer entered, would you have preferred to be armed?

Evidence and common sense suggest yes. Read more ...

William J. Bennett, a CNN contributor, is the author of "The Book of Man: Readings on the Path to Manhood." He was U.S. secretary of education from 1985 to 1988 and director of the Office of National Drug Control Policy under President George H.W. Bush.

Peter Bergen: Gun violence is a national security issue

The proliferation of semiautomatic weapons in the hands of Americans of the types that were used in the Newtown massacre is sometimes framed as a public health issue in the United States.

There is considerable merit to the notion of treating gun violence as a public health matter. After all, homicides -- around 70% of which are accomplished with firearms in the United States according to an authoritative study by the United Nations -- are the 15th leading cause of death for Americans.

But framing gun control as a public health issue doesn't quite do justice to the problem. It's probably more or less inevitable that most Americans will die of cancer or a heart attack, but why is it even plausible that so many Americans in elementary schools, colleges, movie theaters and places of worship should die at the hands of young men armed with semiautomatic weapons?

Americans generally regard themselves as belonging to an exceptional nation. And in terms of living in a religiously tolerant and enormously diverse country, Americans can certainly take some justified pride. Read more ...

Peter Bergen is a CNN national security analyst and author of "Manhunt: The Ten-Year Search for bin Laden, from 9/11 to Abbottabad" and "The Longest War: America's Enduring Conflict with al-Qaeda."

Dorothy Paugh: A mother's journey to bearing grief

I am a mother of three, and my views on guns have evolved significantly over the course of my lifetime. My husband hunts and believes strongly in his right to bear arms. But when my 25-year- old middle son Peter shot himself in a moment of despair last April, I came full circle to the harsh reality that there are almost twice as many suicides as murders by firearm across America, roughly 19,000 of the 30,000 gun deaths each year. Yet we disproportionately fear and almost exclusively talk of criminals in this national gun debate.

My introduction to guns came on a hot summer day in 1963 when my father, 53 sent us all out of the house to have an afternoon of fun at a swimming pool in Aberdeen, Maryland. He called police, wrote "I'm sorry" on a scrap of paper and shot himself in our basement. He had recently lost his job. Not knowing how he would support his family, he had calculated how much his life insurance policies would pay upon his death. It was enough for my mother to raise the five of us, who were between the ages of 5 and 15 at the time. Read more ...

Dorothy Paugh lost her father to suicide by gun 50 years ago. A year ago, she lost her son for the same reason. Paugh volunteers with the Maryland chapters of the American Foundation for Suicide Prevention and the Licensed Firearm Dealers Association. Paugh's story first appeared on CNN iReport.

Tracy Scarpulla: A mother's journey to bearing arms

I am the mother of three amazing children. Before having children, I was a firm believer that guns were dangerous. But I did nothing to educate myself about guns or gun safety. I feared the unknown and the danger guns seemed to possess.

But after 10 years, I now have a gun in my home. Listening to President Obama's news conference on Thursday marking 100 days after Sandy Hook, and the whole gun control debate, prompted me to get my viewpoint across.

I married a U.S. Marine. He of course was a firm believer in his right to bear arms. This posed no issue until our son was born. I was adamant that no gun be allowed in our home, while he felt quite the opposite. We agreed on one gun locked in a safe, and his other hunting guns were stored at his parents.

Slowly over the years, I became more and more fearful of being home alone on the nights he worked, especially after I had children. Read more ...

Tracy Scarpulla is a traveling nurse and a mother of three from Albany, New York. For years, she was adamant about not having a gun in the house, especially when she had children. Her husband, a Marine, is a firm believer in the right to bear arms. Scarpulla's story first appeared on CNN iReport.

The opinions expressed in this commentary are solely those of the authors.

@highlight

This week, CNN TV and CNN.com take an in-depth look at the issue of guns in America

@highlight

CNN Opinion rounded up a selection of provocative op-eds from both sides of the debate

@highlight

John Donohue: It's the gun manufacturers who oppose universal background checks

@highlight

Rand Paul: I am compelled to stand up for the Second Amendment to bear arms