(CNN) -- Scotland decided to trust its 16-year-olds to vote in the biggest question in its history when the country headed to the polls this week for a referendum on independence. Americans, in contrast, don't even trust theirs to help pick the county sheriff. Who's right?

Many here might be skeptical about the idea of the United States following Scotland's lead in lowering the voting age. The trouble is that the main reason most people cite for barring 16- and 17-year-olds from voting looks like an equally good reason to stop most American adults from voting, too.

The key argument against letting high school juniors vote is simple: Their choice would affect all of us. After all, a voter chooses for everyone, not just him or herself. Many worry that most 16-year-olds lack the wisdom or knowledge to cast smart votes, so we don't let them vote because we want to protect ourselves from their decisions.

And this concern is often grounded in reality -- young adults are indeed in many cases profoundly ignorant about politics. But if that is a reason for excluding them from voting, it is surely a reason to exclude almost everyone else.

Every two years, for 60 years, the American National Election Studies has surveyed what prospective voters know and don't know. And the results are always depressing -- the top quartile of voters are like B students, tending to get about 85% of questions right. The next two quartiles do little better or worse than chance. But the lowest quartile are systematically misinformed. Indeed, if you ask them which party, Republicans or Democrats, is more conservative, most of them even get that answer wrong.

As political scientists Michael X. Delli Carpini and Scott Keeter noted in their 1996 book, "What Americans Don't Know About Politics and Why It Matters," political knowledge is not evenly spread among all groups. Membership in some demographic groups correlates with high levels of political knowledge, depending on region, income and education, while other groups tend to correlate with political ignorance.

So, this is the catch: If you wanted to exclude 16- and 17-year-olds on the grounds that they are more likely to be ignorant or misinformed, you would also in effect be arguing against other demographics having a say.

Of course, you could object that the issue here is not so much about knowledge, but the capacity for political judgment. Yet nothing special happens at age 18 -- there is no sudden increase in cognitive ability, political wisdom or political knowledge at that age. In fact, in the 1970s, psychologists discovered that the biggest increases in the capacity to reason about politics occur around age 12 when puberty hits. By 16, most people have about as stable an ideology and capacity to reason about politics as they are going to get. Any improvements after that come slowly, if at all.

It's true that voter turnout among young adults is low -- middle-aged and elderly citizens are far more likely to vote than young adults. And that is not necessarily a problem. Political scientists who study voting behavior consistently find that citizens vote for what they perceive to be the common good rather than their narrow self-interest. (If that seems surprising, consider: Your individual vote counts for so little that if you were just acting selfishly, you probably wouldn't bother to vote all.)

But it's arguable that the needs of the young are overlooked, and that the young have valuable perspectives that are missing from the national conversation, and so perhaps expanding the voting pool would help fix that.

And what should we do if we still can't get over our fear that 16-year-olds are too dumb to vote? Well, we needn't exclude all of them. Instead, we could allow any child who can pass the U.S. citizenship exam to acquire the right to vote.

Of course, if you think that's a reasonable standard for a 16-year-old to have to meet, it's worth remembering that most voting-age adults cannot meet it either. So why should we demand more from our teenagers than we expect from ourselves?

@highlight

Scotland allowed 16-year-olds to vote in its referendum on independence

@highlight

Americans worry that young people don't know enough about politics, Jason Brennan says

@highlight

But surveys suggest many other demographics have a poor grasp of politics as well, he says

@highlight

There is no sudden increase in cognitive ability or political wisdom by age 18, he says