One in four American girls ages 13 to 17 have been given at least one shot of Gardasil, the human papillomavirus vaccine that is heavily marketed as a way to prevent cervical cancer.

Critics say Gardasil's makers minimized the sexual transmission of HPV and provided unbalanced info.

Now, a new study says that Gardasil is safe and no riskier than other vaccines, although there is a small chance of fainting or developing a blood clot after getting the shots, according to a study in the Journal of the American Medical Association.

Still, many adolescent health specialists and epidemiologists continue to question the benefit of vaccinating all girls against HPV, a sexually transmitted disease that causes genital warts and some cases of cervical cancer.

A related study in the same journal looks at how the vaccine was marketed.

Sheila M. Rothman, Ph.D., and David J. Rothman, Ph.D., both of the College of Physicians and Surgeons in New York City, say the vaccine manufacturer, Merck & Co., may have swayed the debate by providing educational grants, ready-made slides, and other materials to professional medical associations such as the Society for Gynecologic Oncology and the American College Health Association.

"Much of the material did not address the full complexity of the issues surrounding the vaccine and did not provide balanced recommendations on its risks and benefits," they wrote. "By making this vaccine's target disease cervical cancer, the sexual transmission of HPV was minimized, [and] the threat of cervical cancer to all adolescents was maximized." Health.com: How to protect yourself from HPV

In June 2006, the U.S. Food and Drug Administration approved Gardasil for girls and women ages 9 to 26. The vaccine protects against four HPV strains, which cause many, but not all, cases of cervical cancer and genital warts.

The Centers for Disease Control and Prevention added Gardasil to its routine childhood vaccine schedule the following year. Gardasil, which is given in three doses, is recommended for all girls ages 11 and 12 and even for those as young as 9, with catch-up doses for girls and women ages 13 to 26 who have not been vaccinated earlier. Health.com: Top myths about safe sex and sexual health

In 2008, the vaccine had worldwide sales of $1.4 billion.

In the new study, the researchers looked at problems reported to the Vaccine Adverse Events Reporting System in the 2.5 years since Gardasil was licensed. Of 23 million doses given during this time, there were 12,424 voluntary accounts of adverse events. In all, 94 percent were not considered serious.

"This continues to be a safe vaccine," says lead researcher Dr. Barbara A. Slade, a medical officer at the CDC. "It does protect against the four main types of HPV that are responsible for cervical cancer, and it does prevent the early cervical lesions that could turn into cancer. This suggests it should decrease risk of full-blown cervical cancer."  Health.com: 10 questions to ask a new sex partner

Still, the HPV vaccine is not a cure-all. Women and sexually active girls still need to get regular Pap tests to find abnormal cells in the cervix that may lead to cancer. The vaccine does not protect against all types of HPV, and if a girl has already been infected with HPV prior to receiving the vaccine, it won't help her. The vaccine has been criticized for its cost, which is about $360 for all three shots.

Overall, 6.2 percent of the reported problems were considered serious. This included 32 deaths among women who received the vaccine. (However, these types of reports cannot determine whether adverse events were caused by the vaccine or just a coincidence).

There were 8.2 reports of fainting per 100,000 doses and 0.2 blood clots per 100,000 doses, the study shows. Other problems included nausea, headache, a skin reaction at the injection site, an allergic or hypersensitive reaction, skin rash, and autoimmune reactions such as Guillain-Barré syndrome, a potentially life-threatening condition in which the body's immune system attacks part of the nervous system.

There was a greater risk of fainting or developing a blood clot with Gardasil than there is with other vaccines, the study shows. "[Exposing these risks] should open the dialogue that people need to have with their physician about whether they need to get the vaccine," Slade said.

However, advertisements for the vaccine heavily promote its ability to prevent cervical cancer. Dr. Charlotte Haug, the editor in chief of the Journal of the Norwegian Medical Association, noted in an editorial that HPV is not always harmful and that most women with healthy immune systems can and will clear it on their own.

"In a few women, infection persisted and some women may develop precancerous cervical lesions and eventually cervical cancer," she wrote. "It is currently impossible to predict in which women this will occur and why. Likewise, it is impossible to predict exactly what effect the vaccination of young girls and women will have on the incidence of cervical cancer 20 to 40 years from now."

The bottom line, according to Dr. Haug? "Even if persistently infected with HPV, a woman most likely will not develop cancer if she is regularly screened. So rationally she should be willing to accept only a small risk of harmful effects from the vaccine," she said in the editorial. Health.com: How to deal with 7 of the most common birth control side effects

Abby Lippman, a professor of epidemiology at McGill University, in Montreal, has publically questioned whether Canada is rushing too quickly to recommend the vaccine for all girls and young women.

"If we want to get rid of cervical cancer, let's know what we are doing before we start launching a vaccine," said Lippman, who is also the past chair of the Canadian Women's Health Network. She said she would rather see campaigns aimed at improving access to Pap tests in at-risk populations.

"I am not alarmed about the safety, but we have to ask hard questions about the real benefits," she said. "We don't know how long protection will last, and we won't know if the vaccine protects against cancer for a while. Doctors need to talk to parents and not say, 'Sign here on the dotted line,'" she says.

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

Study says Gardasil is safe, although chances of fainting or getting blood clot exist

@highlight

Critics say Gardasil's maker Merck didn't address complexity of vaccine

@highlight

Vaccine does not protect against all types of HPV