(CNN) -- Most people who travel by train on a regular basis rush through the station so quickly, they never stop to appreciate their surroundings. But some railway terminals deserve a long admiring look for their beauty, their heritage and their engineering accomplishments. Here are five that are on the right track.

Grand Central Terminal, New York

For 100 years, New York's Grand Central Terminal has represented big-city hustle and bustle. About 700,000 people pass through it every day; yet, incredible as it seems today, Grand Central almost met its demise in the 1970s. It was rescued in large part by former first lady Jacqueline Kennedy Onassis, who became a driving force behind the campaign to protect and preserve the landmark building, saving it from the fate that befell New York's original Pennsylvania Station in 1963.

Renovation and restoration has continued ever since Onassis stepped in. One milestone was the cleaning and restoration of the terminal's 25,000-square-foot cerulean blue and gold leaf zodiac ceiling, which was enhanced further in 2010 with the addition of LEDs to mark specific stars in the heavens. There's a small Transit Museum on the main concourse, and the lower level food court offers so many options, even locals eat there. The Campbell Apartment -- tucked away in a corner on the upper level -- is a clubby place for cocktails. To mark the terminal's 100th anniversary, a schedule of centennial events such as performances, exhibitions and art installations will continue throughout 2013.

Where can you go from here? To suburban New York and Connecticut; as far as Poughkeepsie or New Haven and all points in between. The East Side Access project, scheduled for completion in 2019, will provide access to the Long Island Rail Road as well. Then again, this is New York, and you don't really need to go anywhere else to find things to see and do, starting with a guided tour of Grand Central terminal conducted by a docent from the Municipal Art Society of New York or a self-guided audio tour available in six languages.

Liège-Guillemins Station, Belgium

In the past, Brussels and Antwerp might have cast a skeptical eye toward Liège, Belgium's third-largest metro area, but their skepticism turned to envy when the stunning steel and glass Liège-Guillemins Station, designed by Spanish architect Santiago Calatrava, was unveiled in 2009. It's a remarkable achievement, not least because during the 10 years of its construction, the trains to and from Liège were never shut down. "It was very important for us to have an architect who had (designed) stations before and knew how to prevent the problems," said Louis Maraite, a spokesman for SNCB-Holding, which operates Belgium's rail stations.

Before Liège, Calatrava designed Gare de Saint-Exupéry in Lyon, France, and Oriente Station in Lisbon, among others; he's currently working on a station for Mons, Belgium, that will open before the city becomes European Capital of Culture in 2015. His influence is apparent throughout Liège-Guillemins Station, from its gently peaked 35-meter-high glass roof to the designs of the shops and cafés on the main concourse to the children's day care facility, the first at a European station. He even makes himself felt in subliminal ways. For instance, there is no advertising on the train platforms; no posters or kiosks interfere with his vision or yours. It's as refreshing and uncluttered as a train station can be.

Where can you go from here? The new station was built primarily to accommodate high-speed trains such as the Thalys from France and the Inter-city Express (ICE) from Germany. They will take you to Brussels in less than an hour; Cologne, Germany, in one hour and Paris in a little over two hours. Liège is a working city whose political and religious machinations date to when Charlemagne was a lad (he was born in the area). Local culinary traditions include the gin-like beverage peket, crunchy sugar-coated liègeoise-style waffles and delicious sweet-and-sour meatballs known as Boulet a la liègeoise, all of which can be savored at the station.

Tokyo Station Marunouchi Building, Japan

Just shy of its 100th birthday, the Tokyo Station Marunouchi Building received a facelift, bringing it as close to the way it looked when it opened in December 1914 as anyone can recall. The restoration was well-deserved; the elegant red brick building has weathered plenty of upheaval in its history. In 1923, the Great Kanto Earthquake rocked its foundation. In 1945, the Great Tokyo Air Raid destroyed the roof and much of the building's interior, and the aftermath of World War II resulted in the loss of the building's third story and two architectural domes.

Kingo Tatsuno, a prominent architect of the Meiji Period at the turn of the last century, designed the station in a distinctly Western style, a reflection of his time spent studying in Europe. Yet, like his neo-Baroque Bank of Japan "Old Building" from 1896, the Tokyo Station Marunouchi Building is a Tokyo landmark. Even in a city that embraces the ultramodern, it would be hard for most residents to conceive of anything that could take its place.

The restoration, completed in October 2012, brought back the domes and original architectural features and added Japan's largest seismic isolation system to limit the potential effects of earthquakes. The station's centennial celebration starts in 2014; events will be announced in the coming months.

Where can you go from here? A walk through the surrounding Marunouchi business district takes you to the Imperial Palace. Tokyo Station is the primary hub for Japan's famed shinkansen "bullet trains." The fastest route on the Tokaido Shinkansen line covers the 246 miles from Tokyo to Osaka/Kyoto in 2½ hours. The fastest route on the Tohuko Shinkansen line, traveling at up to 320 kmh, takes you from Tokyo north to Aomori, about 350 miles, in about three hours. Before you board, pick up an ekiben train station bento box for your trip; these flavorful box lunches are designed for train travel and feature regional food specialties.

Helsinki Central Station, Finland

In 1923, architect Eliel Saarinen moved from Finland to the United States and became a professor at the University of Michigan. By that time, he'd already left Helsinki a lasting legacy: Helsinki Central Station. It opened in 1919 and remains one of the world's most stunning examples of art nouveau architecture, known in Finland as Jugend. Like many other landmark buildings in Helsinki (Helsinki Cathedral comes to mind), the station is majestic and arresting without being showy, and it represents the marriage of functionality and beauty that still defines Finnish design. Most majestic and arresting of all are the four granite giants who flank the station's main entrance. Created by Emil Wikström, they carry enormous globe lamps, lighting the way for the 200,000 passengers who travel to and from the station daily. Inside the station, people stop in to the Eliel Restaurant as much to see the lovely landscape by Finnish realist artist Eero Jarnefelt on its wall as they do for the light meals served there.

Where can you go from here? Last year marked the 150th anniversary of the oldest section of track in Finland, the route between Helsinki and Hämeenlinna, birthplace of Finnish composer Jean Sibelius. Today an express train will take you there in just over one hour. In just over two hours, you can be in the charming, historic city of Turku, with its Swedish heritage, unusual architecture and internationally renowned shipyard where cruise ships are constructed. Farther still, the Allegro train runs from Helsinki to St. Petersburg, Russia; travel times vary.

Chhatrapati Shivaji Terminus, Mumbai

When it opened, it was called Victoria Terminus, in honor of England's Queen Victoria, who had taken the title Empress of India in 1877 and who'd celebrated her Golden Jubilee in 1887. (There was a ceremonial opening in the Jubilee year, but the trains weren't running in earnest until 1888.) Now celebrating its 125th anniversary, Mumbai's central station is known as Chhatrapati Shivaji Terminus in honor of the first Maratha emperor, and it maintains its status as one of the world's great Victorian Gothic Revival buildings.

British architect Frederick William Stevens gave the station all the ornamentation and grandeur of the Victorian age, and then he added a little bit more: architectural features such as domes and arches derived from Indian styles. Inside, it almost resembles a cathedral, from its vaulted ceiling to the stained-glass windows with images of locomotives instead of religious figures. In 2008, the terminal was the target of a terrorist attack that left the city deeply shaken, but three years later, in 2011, a flash mob of ordinary people dancing to a hit song joyfully "reclaimed" the station for the millions of travelers and commuters who pass through it each day.

Where can you go from here? Chhatrapati Shivaji Terminus is the busiest train station in India; Central Railway estimates that 3 million people a day travel on the Mumbai Suburban train system. A regional train to Pune, where the real Chhatrapati Shivaji lived in the 17th century, will take about three to four hours. If you're taking your time, the Deccan Odyssey is an eight-day rail journey that starts and ends at the terminal and takes in palaces, forts, beaches and the UNESCO World Heritage Ellora Caves and Ajanta Caves.

@highlight

Spanish architect Santiago Calatrava's Liège-Guillemins Station was unveiled in 2009

@highlight

Grand Central Terminal features a 25,000-square-foot cerulean blue and gold leaf zodiac ceiling

@highlight

Eliel Saarinen's Helsinki Central Station is a stunning example of art nouveau architecture