(CNN) -- "Real photographers don't take photographs, they make photographs," says Eileen Ramsay, who is widely regarded as one of the world's great yachting photographers.

The feisty 96-year-old Brit should know. A pioneer in her field, she is credited with being the first yachting photographer to shun the safety of the tripod and compose her pictures while dangling off the side of a boat -- all in quest for the ultimate action shot.

"Other photographers would stand in the middle of their boats taking pictures of big yachts with plate cameras, so I developed my own style -- taking my pictures as close to the water as possible," recalls Ramsay.

Water-level photography, now an industry standard, quickly became her signature shot, but it was neither easy nor cheap. While adamant that she never dropped one of her German-made Rollerflex cameras overboard, the saltwater took its toll on her equipment nonetheless.

"I used to make sure I shielded the camera under my buttoned-up anorak, but the saltwater would still get to it. Even though I cleaned them after each session, they would quickly get stiff because of all the salt," says Ramsay, whose career has been immortalized in a new book by fellow photo-journalist and Brit Barry Pickthall.

Read related: $16m solar boat sails into record books

It has taken Pickthall over a year to complete the glossy hard-back book, regally titled "Eileen Ramsay: Queen of Yachting".

"It only took so long because Eileeen was so prolific. She kept immaculate records of her work and she remembers every photograph she's ever taken, which meant that she would immediately pick up on things if I didn't get it right," says Pickthall, a former yachting correspondent who now runs a photo agency that specializes in nautical photography.

Drawn to picture-taking from a young age, Ramsay began her professional career in 1937 as a 22-year-old receptionist at a photography studio outside London.

But as war clouds gathered across Europe and the call to arms began, the owner of the studio discovered that his personal services would be required to record the impending conflict, so he gave each of his staff a camera and told them to go out and take some "interesting" photographs. The one to come back with the best pictures would take over the studio in his absence during the war.

"I didn't know anything about cameras then, but my pictures were judged the best and I got the job," says Ramsay, who spent the war years honing her skills in portrait photography by taking pictures of soldiers and their girlfriends.

After the war she decided to go at it alone and set up her own studio in London, taking on any commissions that came her way from magazines and newspapers. In 1953, she and her boyfriend decided to move closer to the ocean, and after purchasing a 28 foot (8.5 meter) ex-Royal Air Force boat that they moored at the end of their garden, she set out to make her mark in the nautical world.

Sailing enjoyed a post-war explosion in Britain, and it was during the 1950s and 60s that Ramsay's yachting photography career really took off. It's this period that Pickthall has tried to capture in his book.

More from Mainsail: When superyacht chic meets hybrid technology

"I feel it's very important to save Eileen's archive. Her early pictures of our sailing pioneers have great significance when recording Britain's sailing history," says Pickthall, adding that grown men were "moved to tears" at the sight of her original photos, which he brought to a boat exhibition last year.

"All these people were gobsmacked, they couldn't believe these photos existed. They kept spotting themselves as children as they flicked through her albums," says Pickthall.

As for Ramsay, she is not fazed by her new moniker as the "Queen of Yachting".

"I knew I was original back then," she says bluntly, before adding: "You know, when you are 96 years of age, nothing can really faze you."

@highlight

Eileeen Ramsey began her professional career as a 22-year-old in 1937

@highlight

She pioneered the water-level photography angle, now an industry standard

@highlight

Her career took off in the 1950s and 1960s when sailing enjoyed a post-war explosion in Britain