Hong Kong (CNN) -- Tangled thickets and thirsty mosquitoes safeguard the secret of Koon Wing Chan. Less than two kilometers from the mainland Chinese border, in a quiet shadowy grove by a local village, sits a rare 200-year-old wild incense tree.

"No one in this village even knows that this is an incense tree -- except me," says the 54-year old Chan. "I love these trees because I grew up with them."

He wants to ensure his two young sons do as well.

Officially known as Aquilaria sinensis, "agarwood" was once a common commodity, but is now rare because of illegal logging. Chan has been trying to change that.

Over the past four years, he has planted 10,000 new trees on Hong Kong's only incense plantation, part of a family business passed on to him from his father and grandfather. All told, the plantation has some 300,000 incense trees.

"My grandfather was the one in the family who started planting these incense trees back in the day," reminisces Chan. "When I was young, I followed him up into the hills to help. Now, I see a lot of incense trees in Hong Kong have been logged, so I want to preserve them."

While incense tree conservation is one of Chan's motivations, a lucrative livelihood is another.

Chan explains he can sell a sapling for as much as $600. The 10,000 trees he planted could mean millions if he were to sell.

But if left to mature at least 10 years, the trees can be an even bigger moneymaker once harvested -- supplying incense powder, fragrant wood used in herbal teas as well as traditional Chinese medicines with anti-inflammatory properties.

The wood itself can command a hefty sum. Chan says one arms-length carving can command $125,000. He adds his buyers usually come from Taiwan and mainland China after they learn of his business through word of mouth or through his website.

But because of its high price and limited supply, the incense tree has also become a victim of its own value.

Mainland Chinese loggers are to blame, says Professor Chi-Yung Jim, chairman of the geography department at the University of Hong Kong.

"They would come here -- of course illegally - usually in a fast boat at night. They would land and then climb into the hills, and stay there to actually set up some kind of rudimentary camp - and even cook there," explains Jim. "And then they would systematically find these trees. Its value is comparable to gold, but of course, we are talking about the highest quality."

Over the past 90 years, Wing Lee Sandalwood has been legally trading in that quality. Long, slender aromatic joss sticks line the shop's walls. An incense burner sits by the entrance, puffing out a smoky scent to passersby. The most expensive incense wood sells for $2500 per kilogram. About once a month, employees hand roll incense sticks from scratch -- starting with incense power, water and secret, trade ingredients.

Business has been bustling, says employee Li Hua Peng.

"In the past five years, I can see from my shop that there are more customers buying incense wood. The most popular products are the ones that are used for worshipping gods."

In fact, incense is primarily used for prayer and how Hong Kong got its name. Hundreds of years ago, this city served as a regional supplier of scents -- an Asian hub for aromatic affairs.

"Hong" means fragrant in the local Cantonese language. "Kong" means harbor.

In the meantime, Chan hopes people will not forget the city's heritage as he nurtures the city's last incense plantation to save the "Hong" of Hong Kong.

"I hope my incense trees can grow bigger and be everywhere. Even though Hong Kong is urbanizing I think more trees can and should be planted."

Vivian Kam contributed to this story

@highlight

Hong Kong plantation has 300,000 incense trees, but are increasingly rare

@highlight

Hong Kong's name, 'Fragrant Harbor,' comes from its history as a provider of incense

@highlight

Much of the native trees have been eliminated by illegal harvesting

@highlight

The most expensive incense wood sells for $2500 per kilogram