(CNN) -- Major conflict could return to southern parts of Sudan unless international action bolsters a faltering peace accord, ten aid agencies said in a report released Thursday.

A resumption of conflict between north and south in Sudan, meanwhile, would make a sustainable peace impossible in Darfur, a region of western Sudan that has been the scene of what the U.S. calls genocide, the aid groups said.

"It is not yet too late to avert disaster, but the next 12 months are a crossroads for Africa's largest country, " said Maya Mailer, policy advisor for Oxfam International and the report's co-author.

The warnings were underscored by news Thursday of a clash that killed scores in Southern Sudan, the latest instance of tribal violence among southerners that has alarmed the United Nations.

Locals said fierce fighting in Warap State, one of the most remote regions of the south, killed 140 people, wounded 90, and led to the theft of tens of thousands of cattle early this month or in late December, the United Nations said.

"The human toll is massive -- hundreds if not thousands displaced. The death toll is massive," said Lisa Grande, a top U.N. humanitarian official in Southern Sudan. "These attacks are a matter of great concern."

Resurgent tribal violence in the south also concerned the 10 aid groups. They released their report, "Rescuing the Peace in Southern Sudan," two days before the fifth anniversary of a 2005 peace deal that ended a grinding war between the Sudanese government and southern rebels in the Sudan People's Liberation Movement.

They said that peace deal is "on the brink of collapse."

That war pitted a northern government of Arab Muslims against southern blacks who follow Christianity and traditional African religions. It killed 2 million people and forced several million others from their homes.

The peace deal conferred limited autonomy on southern Sudan and ended one of Africa's longest and deadliest wars even as a separate conflict that erupted in 2003 raged in Darfur, killing roughly 200,000, the United Nations says.

Despite the peace deal, violence in the south increased last year, Mailer said, and it could escalate further to become one of the biggest emergencies in Africa this year.

About 2,500 people were killed and 350,000 fled their homes in southern Sudan last year, the aid agencies said. Many died in tribal violence between southerners. Outside countries have ignored the problem and have not provided sufficient help, the agencies said.

The United Nations says more people have been killed in southern Sudan in 2009 than in Darfur, where a separate conflict drew international attention, prompted charges of genocide and led the International Criminal Court to indict the Sudanese president, Omar Hassan al-Bashir, for war crimes.

Some southerners blame their former enemies in the north for instigating violence in the south. As the south plans to participate in national elections in April, many southerners say the north has hindered access to registration materials, logistical support and voter education, the United Nations said.

The north denies those charges, but they're among the reasons that analysts worry about an outbreak of north-south violence in a region already buckling under the weight of corruption, cattle rustling and revenge attacks.

Sudan needs diplomatic involvement from neighboring countries and the international community to help secure the 2005 peace agreement, said Paul Valentin, international director of Christian Aid, one of the agencies that produced the report.

"A return to war is by no means inevitable, but it depends whether the world heeds the warning signs of the past year and has the political will to save the peace," Valentin added.

Other agencies that produced the report include the International Rescue Committee, Save the Children and World Vision.

The report urges the U.N. Security Council to ensure that protecting civilians becomes a core priority for a peacekeeping force in Sudan.

The agencies also called on the international community to mediate between the northern and southern parties before the national elections -- the country's first multi-party elections in 24 years -- and before a referendum on independence, which is scheduled for early next year.

Southern Sudan is roughly the size of Texas but has only 30 miles of paved roads and few health facilities. It is so underdeveloped that the U.N. says a 15-year-old girl in the south is more likely to die in childbirth than finish school.

"After five years of peace, southern Sudan remains one of the poorest regions on earth. People hoped the peace would bring economic benefits and development, but this has happened far too slowly and in some areas not at all," said Francisco Roque, country director of Save the Children in South Sudan.

"We are very worried about children who seem to be increasingly targeted in attacks on villages," he said. "International donors and the government must urgently improve aid to these areas."

@highlight

Aid groups: Peace deal signed in 2005 "on the brink of collapse"

@highlight

Aid groups: About 2,500 people killed, 350,000 fled in southern Sudan last year

@highlight

U.N.: More people killed in southern Sudan in 2009 than in Darfur

@highlight

Report: Protecting civilians should be core priority for U.N. peacekeepers