(CNN) -- A report from Amnesty International says the wave of popular unrest sweeping North Africa and the Middle East makes this a critical time for the human rights movement -- one that could result in historic gains by freedom-loving, tech-savvy people or distressing setbacks if oppressive regimes clamp down on activists and stay in power.

The report, which coincides with the advocacy group's 50th anniversary, documents what it claims are cases of torture, unwarranted imprisonment, restrictions on freedom of expression and other alleged abuses around the world.

France, for example, is among those countries called out for its restrictions on predominantly Muslim women wearing veils. Amnesty also challenges China over its alleged repression of free expression, notes the dire conditions for pregnant women in Afghanistan and points to difficulties wrought by violence in parts of Africa.

Yet the so-called "Arab Spring" is front-and-center in the report, with its authors singling out the popular movements against generally long-entrenched administrations as a time of great promise and danger. Throngs of mostly young people helped to peacefully oust heads of state in Egypt and Tunisia, while governments in countries such as Syria, Yemen, Bahrain and Libya have thus far resisted similar attempts -- killing civilians in the process, according to Amnesty.

"Not since the end of the Cold War have so many oppressive governments faced such a challenge to their stranglehold of power," Salil Shetty, Amnesty's leader, said in a press release. "The demand for political and economic rights spreading across the Middle East and North Africa is dramatic proof that all rights are equally important and a universal demand."

But William Aceves, a California Western School of Law professor, said one factor distinguishing what happened in Egypt and Tunisia -- where mass popular movements helped unseat Egypt's Hosni Mubarak and Tunisia's Zine El-Abidine Ben Ali, who had led their countries for 30 and 23 years respectively -- from the institution of new governments in places like Afghanistan is that there is less outside control of what happens next.

That could mean such nation's new governments -- perhaps after democratic elections -- could choose to restrict women's, immigrants or others' rights. If so, these popular revolutions could put those groups promoting human rights in a tough spot.

"The question is what happens if you have a democratization process that doesn't lead to greater civil liberties," said Aceves, who has worked with Amnesty International and other human rights groups through the course of his career. "(Popular revolutions) don't always lead to good things."

Worse yet is what might happen if those pushing for change in places like Yemen, Syria, Bahrain and Iran fail after being beat back by ruling governments, human rights advocates say. Some leaders such as Libya's Moammar Gadhafi may become more defiant in the face of outside and internal opposition, while others may be emboldened if they survive popular dissent, experts say.

The part of Amnesty's report about the Middle East and North Africa highlighted what it called "governments' preoccupation with their political security, but neglect of their people's human security and failure to uphold the human rights on which it depends." Already, these popular pushes for new governments have come at a stiff human cost.

"Those calls for democracy have led to violence," said Aceves, noting the real danger to human lives when people push for major reforms. "There have been deaths in the thousands."

Another challenge for groups like Amnesty is determining how to promote a pro-rights agenda in places with authoritarian leaders and little in the way of democratic institutions or history.

In its report, Amnesty touts technology, specifically social networking tools like Twitter and Facebook, with being a powerful, non-violent tool that didn't exist years ago. This allows people to circumvent censorship and communicate directly with one another, on an even platform.

"Information is a source of power, and for those challenging the abuse of power by states and other institutions, it is an exciting time," Shetty writes in the Amnesty report.

But Aceves said that, at some point, rights' groups may have to wrestle with the merit of backing military efforts to overthrow totalitarian regimes. That might mean supporting airstrikes in Libya, for instance, that could lead to civilian casualties.

The Amnesty report makes a point to stress that its accounts of human rights abuses -- and the need for a movement to prevent them -- are not confined to the Middle East and North Africa.

In 2010 alone, the group said it has documented specific cases of "torture and other ill-treatment" in 98 countries." Its investigators, moreover, have recorded or investigated human rights abuses in 157 countries and territories.

Amnesty alleges, for instance, that "virtually any form of dissent was suppressed in Turkmenistan," while law enforcement were said to have attacked "human rights defenders" in Ukraine. The group alleges discrimination against immigrants in parts of mainland Europe, criticizing efforts to deport people in need.

Crackdowns on journalists working to unearth corruption was a problem in many nations, according to Amnesty.

Nearly 400 journalists were threatened or attacked last year in Latin America alone, the report contends.

"There has not been any accountability," said Javier Zuniga, a special adviser on human rights at Amnesty, on what has happened in parts of Central South America. "That's why the situation is so bad so now, because that culture of impunity has been very, very unchanged."

Despite all the documented problems and challenges, Shetty -- Amnesty's secretary-general -- voices optimism that popular movements will ultimately prevail, with human rights becoming an even more universally recognized and realized value.

"The call for justice, freedom and dignity has evolved into a global demand that grows stronger every day," he said. "The genie is out of the bottle, and the forces of repression cannot put it back."

CNN's Greg Botelho and Catherine Shoichet contributed to this report.

@highlight

Amnesty International alleges human rights abuses in 157 countries and territories

@highlight

The wave of popular unrest in the Middle East and North Africa is seen as critical

@highlight

Amnesty says technology has spurred democratization in authoritarian nations

@highlight

An expert warns that democratic movements may not all promote equal rights