LONDON, England (CNN) -- If mention of The Pirate Bay conjures up images of parrots, peg legs and planks, or geeky jargon like BitTorrent and jailbreak leaves you all at sea, this handy A-Z will help you navigate the choppy waters of the online piracy debate.

"X-Men Origins: Wolverine," starring Hugh Jackman, was downloaded over a million times after being leaked in early April.

The Screening Room's indispensable lexicon of online piracy will teach you cracking from key generators: You'll never again be caught out wondering how "X-Men Origins: Wolverine" fits into warez.

A is for anti-piracy  Efforts to prevent the illegal transfer and use of copyrighted material -- often spearheaded by corporate associations like the Motion Picture Association of America (MPAA) -- using a variety of digital rights management (DRM) tools like encryption, product keys and serial numbers. Technologically often a step or two behind the pirates, the entertainment industry will sue for breach of copyright.

B is for Bill Gates As early as 1976, Gates wrote an open letter saying that software piracy could be a problem. Ironically, he has since said that Microsoft actually benefited from piracy in China, where over 90 percent of computers use Windows, most copies of which are pirated. The widespread use of Microsoft's operating system has enabled the software giant to gain pole position in the fast-growing market.

C is for cracking  Modifying software to remove copy protection -- one of the technologies companies use to prevent unauthorized reproduction of media -- to enable the illegal duplication and proliferation of pirated material on disks and online. Mostly done by hackers, not usually for money but to gain respect within the hacker community.

D is for digital rights management (DRM) Access-control technologies used by manufacturers. Most pirating technology is created to circumvent various types of DRM in order to share copyrighted material online. Apple rid its iTunes library of DRM in early April, but is charging users 30 cents per song to upgrade to DRM-free tracks.

E is for encryption Originally used by militaries to protect secret message transmissions, encryption allows a user to transform and "lock" information that, upon transfer, can only be opened by a person who has the right "key." Encryption software is one of many anti-piracy measures designed to prevent the spread of copying and transferring copyrighted material.

F is for Free Culture movement Led by Harvard law professor Lawrence Lessig, the movement believes restrictive copyright laws are strangling humanity's creativity. Under Lessig's "Creative Commons" organization, the movement is advocating for the free copying and modification of creative works -- and rejecting what they perceive to be the culturally oppressive "permission culture" of copyright and intellectual property.

G is for Global Software Piracy  This report by the Business Software Alliance suggested that 35 percent of software installed on PCs worldwide in 2006 was pirated.

H is for hackers  Hackers "wiped," or erased, all the data from the Recording Industry Association of America's (RIAA) Web site in 2008. The incident, which exposed serious flaws in the RIAA's web security, was an embarrassment for the group, which represents the recording industry of the United States.

I is for International Federation of the Phonographic Industry (IFPI)  According to the IFPI's 2008 Digital Music Report, up to 80 percent of data traffic via Internet service providers (ISPs) is involved in the illegal transfer of pirated material.

J is for jailbreak Mostly commonly associated with the iPhone, it is the practice of downloading illicit software designed to bypass digital rights management, allowing people to upload pirated versions of official iPhone applications for free and use them on their phones.

K is for key generators Small programs found on pirate sites that allow users to crack open key-locked software like Microsoft Office or Adobe Photoshop by generating valid serial numbers for pirated copies of software that would otherwise only be included with legitimately purchased copies.

L is for Limewire One of the oldest and most popular peer-to-peer (P2P) file sharing clients, Limewire is a free program used to search for and download pirated content. The program has been accused of having massive security gaps and an abundance of "malware" files, which contain computer viruses that infect users' computers upon completion of a download.

M is for Metallica The first major band to sue for online music piracy in 2000, Metallica sued file-sharing service, Napster and three U.S. universities for enabling illegal downloading of copyrighted content. The case, which saw the rock group harshly criticized by many of its fans, was eventually settled out of court when Napster agreed to block illegal downloads of the band's songs.

N is for Napster Online music-sharing service created by a college student in Boston in 1999, which spearheaded the widespread illegal copying and transferring of MP3 music files. A judge shut down the service in 2001. Napster has since relaunched as a legitimate monthly subscription music site.

O is for organized crime International recording industry organization, IFPI and Interpol say there are links between online piracy and organized crime and terrorism, citing examples from South America to South Africa and Eastern Europe to East Asia.

P is for P2P More than 20 times as much music is exchanged on peer-to-peer networks as is legally purchased, the Economist magazine wrote in 2008. BitTorrent is a growing P2P technology that allows the rapid downloading of large, multi-gigabyte files.

Q is for quality According to a survey by the auditor Ernst and Young in India, 66 percent of people believe pirated content is of an inferior quality to the original, but 89 percent say they've used pirated music or films anyway.

R is for R4 card A $30 Nintendo DS cartridge that can be loaded with hundreds of free, pirated Nintendo games, the R4 card is cheaper than the store price of many single authentic games.

S is for Sweden Prosecutors in the country filed suit against The Pirate Bay Web site earlier this year for "promoting other people's infringement of copyright laws." Dubbed the "Internet piracy trial of the decade" by UK newspaper The Times, the verdict against the site will have massive implications for the future of online file-sharing, but The Pirate Bay's founders plan to appeal and have previously said that the site will stay up and running.

T is for The Pirate Bay A very popular file-sharing Web site primarily used as a linking site to find and download pirated movies, music, video games, applications and more. It tracks BitTorrents -- file sharing protocols that enable big, fast file transfers. The Pirate Bay's founders have constantly argued that the Web site does not violate copyright law because the site does not host any copyrighted material, but simply provides a service by indexing the BitTorrents.

U is for Usenet.com Regarded as a source of much pirated material, this bulletin board site is being sued by the RIAA. Unlike The Pirate Bay, Usenet allows paying customers to download files in a way that is nearly impossible to track. But, like the Swedish site, Usenet has had to defend itself from charges that it encourages its users to violate copyright law.

V is for video games The Entertainment Software Association says the industry loses $3 billion annually to online piracy.

W is for "Warez" Slang for any movies, music, applications or any other materials being traded in violation of copyright law.

X is for "X-Men Origins: Wolverine" A version of the upcoming blockbuster leaked online in March this year, the film has already been downloaded over a million times. The FBI says it is investigating the source of the leak, and the film's star Hugh Jackman has spoken out, calling the leak "a serious crime," and "heartbreaking."

Y is for YouTube  The ubiquitous video site has been sued by major companies like Viacom for publishing and proliferating unauthorized video content online. YouTube has responded by removing copyrighted content, but popular clips of television programs are often reposted by users as soon as they are taken down.

Z is for Zune Microsoft's answer to the iPod plans to make its entire catalogue of music DRM-free, which will make it even easier to copy and share copyrighted music.

@highlight

A run-down of the biggest online piracy moments since Napster in 1999

@highlight

F is for Free Culture, a group that rejects the idea of modern copyright law

@highlight

D is for DRM, technologies companies use to try to restrict online piracy

@highlight

S is for Sweden, where the "Internet trial of the century" has just concluded