(CNN) -- Clemson University suspended a mandatory online course that asked students and faculty about their sex lives and drinking habits following backlash from the school community.

The South Carolina public university started using the third-party online course this semester as part of required "Title IX training" on sexual violence prevention. Questions such as: "How many times have you had sex?" and "With how many different people have you had sex?" raised privacy concerns among students.

Clemson junior Machaella Reisman said she appreciates the school's efforts to educate the community on sexual violence prevention, especially in light of recent headlines related to domestic violence in the NFL. But, schools should be able to educate students without asking how many times they've had sex in the past three months, or if drugs or alcohol were involved, Reisman said.

"This is not information that I discuss with my friends, let alone information I feel the need to disclose to the school or whoever the third-party source may be," Reisman, 20, told CNN in an email. "As a questionnaire that is supposed to serve the purpose of educating students on gender equality to prevent sexual violence, why should there be questions regarding how much sex a student has had and if they used drugs, alcohol, or a condom?"

The controversy comes as schools across the country are experimenting with new approaches to sexual harassment prevention and education to comply with federal law. Sexual violence prevention in higher education has been a concern for schools across the country amid widespread allegations that schools mishandled sexual misconduct incidents in violation of federal law.

Mandatory sexual violence education programming is common in schools nationwide. The University of California-Berkeley said this week that at least 500 freshmen could face holds on spring registration if they do not complete mandatory sexual harassment training this semester.

The White House launched a task force earlier this year dedicated to the issue, and unveiled a new public awareness and education campaign on Friday called "It's On Us." The program, which President Barack Obama and Vice President Joe Biden announced Friday, aims to engage students and colleges to take active roles in preventing sexual assault on campus.

Clemson's Title IX training module was stirring debate on campus as more people started taking it, Reisman said. A Campus Reform article on the program brought the conversation to the national level, prompting Clemson to suspend the program Wednesday pending further "review and revision."

"We felt it was important to take those concerns seriously," Shannon Finning, dean of students and associate vice president for Student Affairs, told CNN.

"We are very committed to not only meeting federal requirements, but also assuring that we will provide critically important training and education to all members of our community."

Reisman also questioned the extent to which her responses would be treated anonymously considering she used her name and student ID number to register for the online course. But Finning said the responses were "captured anonymously" and would not be identifiable by the school or CampusClarity, the vendor that created the module.

"At the conclusion, we would gather it in aggregate and it would give us a better picture of campus culture and give us an opportunity to identify additional educational and training needs."

The questions were included among other slides related to campus resources and exercises in how to deal with potential scenarios, Finning said. On the whole, the course was intended to address requirements under Title IX to make students aware of resources for dealing with sexual violence and how to report sexual misconduct, she said.

Schools that receive federal funding are required under the Violence Against Women Act to provide sexual violence education to new and returning students and employees. Guidance under Title IX issued by the Office for Civil Rights in 2001 and 2014 also makes clear that schools should be providing educational programs on sexual violence to their student body, said Nancy Chi Cantalupo with the professional group Student Affairs Administrators in Higher Education.

Surveys are not required by Title IX and VAWA, and schools do not have to purchase surveys or educational programs from third parties, Cantalupo said. There are several models schools can adapt, including White House guidelines.

"By designing their own survey, schools can insure that the survey questions are non-invasive" Cantalupo said.

@highlight

Clemson's "Title IX" online training included questions about sex, alcohol and drug use

@highlight

"How many times have you had sex in past three months?" among questions asked

@highlight

Students said they were concerned over how the responses would be used

@highlight

Clemson says questions were anonymous, would be used to improve education programs