London (CNN) -- The award of the Nobel Peace Prize to the Organisation for the Prohibition of Chemical Weapons (OPCW), the international chemical weapons watchdog helping to eliminate the Syrian army's stockpiles of poison gas, recognizes the dangers and difficulties that the body faces.

A team from the OPCW and the U.N. has been in Syria since October 1, and oversaw the first destruction of chemical weapons equipment this week.

On Sunday, Syrian personnel used "cutting torches and angle grinders to destroy or disable a range of items," the OPCW said. "This included missile warheads, aerial bombs and mixing and filling equipment."

Given the danger the inspectors face, U.N. Secretary General Ban Ki-moon this week described the joint OPCW-U.N. mission in Syria as "an operation the likes of which, quite simply, have never been tried before."

The joint mission is tasked with eliminating all chemical weapons in the country by midyear 2014.

"These developments present a constructive beginning for what will nonetheless be a long and difficult process," OPCW Director-General Ahmet Uzumcu said.

Mission impossible? Securing Syria's chemical weapons wouldn't be easy

There are many more sites to inspect and the OPCW experts face significant dangers in working in a country riven by a protracted civil war.

The U.N. resolution that authorized the mission capped a month of dramatic diplomacy between the United States and Russia. That deal averted an American military strike over allegations the Syrian government used sarin nerve gas in an August 21 attack on a Damascus suburb. U.S. officials said at least 1,400 people died in the attack. Syria denied responsibility, blaming rebel forces.

The Norwegian Nobel Committee tweeted that the prize was awarded not because of Syria "but because of its long standing work." However, in a statement it said that recent events had underlined the need to enhance the efforts to do away with such weapons.

It also pointed the finger at certain states for failing to observe an April 2012 deadline to destroy their chemical weapons. "This applies especially to the USA and Russia," it added.

The need to rid the world of chemical weapons was underlined by events in Libya, said CNN's Nic Robertson. Former dictator Moammar Gadhafi tried over many years to destroy his stocks under the terms of an international treaty, but after his removal from power in 2011 and the ensuring turmoil, Libya's remaining weapons spread throughout the region.

Arms treaty

The OPCW, based in The Hague, in the Netherlands, is the implementing body for the Chemical Weapons Convention, an international arms control treaty.

The Chemical Weapons Convention entered into force in April 1997, at which point 87 states had ratified it -- and the work of the OPCW to implement its provisions began at that point.

According to the treaty's wording, signatories are "determined for the sake of all mankind, to exclude completely the possibility of the use of chemical weapons, through the implementation of the provisions of this Convention."

Sixteen years later, more than 100 additional states have ratified the treaty. In September, Syria became the latest nation to ask to join the convention. It is due to enter into force in Syria on October 14, when it will become the 190th member state.

Aside from its work on disarmament, the OPCW aims to prevent the proliferation of chemical weapons through the inspection of chemical production facilities and monitoring of transfers of toxic chemicals and their precursors.

The OPCW's experts have monitored the cataloguing and destruction of chemical weapons in countries ranging from the U.S. and Russia to Libya. They have also worked in Iraq, which was the first time its inspectors were sent into a live battlefield.

"We try to get as much information as we can about what we are doing," Franz Ontal, OPCW's head of inspector training, recently told CNN, during an exclusive visit to the organization's lab and staging facility in the Netherlands.

"We want to know what the target site looks like; we want to know what we are after. The information we get is what's going to inform the inspectors about the kind of protective equipment they are going to wear."

Ontal showed CNN around the OPCW's warehouse and explained the inspectors' rules of operations. Once they have located the site of a possible chemical weapons attack, the inspectors use special electronic detectors to give them an initial readout of the type of chemicals they might be facing, and in what concentration. Two different machines, using different technologies, are used to increase confidence in the result.

In addition to chemical experts, the inspection team also includes munitions experts. That's because they may be dealing with unexploded ordnance. In addition, shell remnants often contain traces of the chemical residue inspectors are looking for.

Ontal said inspectors rarely find chemical agents in their pure form, but, crucially, they can detect residues even if only fine traces are left.

"The holy grail for environmental sampling is the pure agent, the agent itself. [But] that might not be practical; we do not expect to find agent by the time we arrive. So we need to look for secondary evidence. That could be munitions fragments, or the delivery device itself, or whatever they used to deliver the agent. Munitions fragments can inform us of many things; they can still hold agent, if there is some liquid left."

Identifying the munitions and the delivery device can also assist the investigative process, by providing clues about who might have been behind the attack.

Reactions

The European Commission, the executive arm of the EU, which won the peace prize last year, tweeted its backing, saying: "Congratulations @OPCW! #NobelPeacePrize is a powerful recognition of your important role in curbing the use of chemical weapons."

And NATO's Secretary General Anders Fogh Rasmussen sent his support: "Congratulations to @OPCW for winning #NobelPeacePrize! OPCW doing difficult but essential work in eliminating #WMD #CW in #Syria"

Some took exception to the award though. Nadim Houry, deputy director of Human Rights Watch for Middle East/North Africa tweeted: "I would have thought 2013 would have been a year for soul searching at OPCW not accolades."

And Blake Hounshell, deputy editor of Politico magazine, made a dig at the expense of U.S. President Barack Obama, a previous Peace Prize laureate: "OPCW owes this prize to the use of chemical weapons and the 2009 winner's subsequent threat to bomb Syria."

Tawakkol Karman, a Yemeni human rights activist who won the 2011 Nobel Peace Prize, described how the award inspired her battle against injustice. "The peace prize meant so much for me and my Yemeni people and the youth of the Arab Spring who were fighting dictatorship and corruption," she wrote in an email to CNN before the announcement was made.

"There will be no deviation or turning back no matter how much violence and suppressions we face and no matter how many bullets and bombs are directed towards the chest of peaceful activists who are full of love and peace.

No matter who wins the prize this year, I believe that both that person and his organization are worthy of respect and our trust. The Nobel Peace Prize has helped us to view the future with optimism."

@highlight

Nobel Peace Prize goes to Organisation for the Prohibition of Chemical Weapons

@highlight

Award recognizes dangers and difficulties that body faces -- not because of Syria

@highlight

U.N. chief says mission in Syria is "an operation that has never been tried before"

@highlight

OPCW has since '97 sought to implement ban on production, storage of chemical weapons