(CNN)In the past eight months, ISIS has seeded itself in some dozen countries around the globe. Indicative of this was the announcement on Saturday that the Nigerian terrorist group Boko Haram had pledged its "allegiance to the Caliph of the Muslims," ISIS leader Abu Bakr al Baghdadi.

The global spread of ISIS raises key questions about whether these new affiliates signal an intensification of the threat of terror. It also has important implications for the debate in Congress over Obama's request for a new authorization to fight ISIS.

Lt. Col. Michael Waltz, a U.S. Special Forces reserve officer who has just returned to the States after advising the Nigerian Ministry of Defence in its fight against Boko Haram, told me, "So far the pledge (to ISIS) seems to be legit."

Waltz says there is some debate about the timing of the pledge, because Boko Haram has recently come under effective attacks by Nigerian forces allied with the armies of neighboring African countries that are also threatened by the group: "Some folks in the region are saying it's a sign of desperation, as the regional offensive by Nigeria and its neighbors has knocked Boko Haram on its heels and out of a number of its sanctuaries. The Chadians have been particularly effective."

But Waltz also says there is some evidence that the Boko Haram pledge to ISIS "has been in the works for some time." The group's increasing alignment with ISIS is demonstrated by Boko Haram's recent beheadings of its victims and its more professionally edited video releases of recent weeks that have mimicked ISIS' slick videos.

Virginia Comolli, whose book "Boko Haram: Nigeria's Islamist Insurgency," will be published next month, agrees that the more sophisticated Boko Haram media releases of the past couple of months point to "some sort of inspiration" that Boko Haram is drawing from ISIS and that recent beheadings "might also be a form of copycat but, I shall note, they are not completely new" for Boko Haram.

Comolli also emphasized to me, "lately the government had been able to take back a number of towns under Boko Haram control. Boko Haram has always been very resilient and adaptable, changing and upping its game when needed. The pledge might be exactly that: Boko Haram has recently suffered some serious blows and feels it needs to try something different to strengthen its position."

Some 5,000 have died in Boko-related violence during the past half-decade, while more than 1.5 million have been forced out of their homes, but Boko has generally not attacked Western targets. Its affiliation with ISIS could change that although, for the moment, it's not clear how the Boko-ISIS alliance would work from an operational standpoint.

Hilary Matfess, a researcher at the Nigeria Social Violence Project at the Johns Hopkins University School of Advanced International Studies, told me, "Boko Haram would be the largest group to pledge allegiance to ISIS, but it's not certain what kinds of logistical or operational support that ISIS could provide an African affiliate."

Since August, Boko Haram is one of some 30 terrorist groups that have issued statements of support for ISIS or have gone further and pledged their allegiance to ISIS, according to IntelCenter, a Virginia-based company that tracks terrorist organizations.

Of most concern are the groups that have pledged allegiance to ISIS, since this allows ISIS some measure of command and control over these organizations and also means that these groups will likely more closely align with ISIS' goal of creating a caliphate across the Muslim world as soon as feasible and use the most reprehensible of tactics to do so.

In addition to Boko Haram, terrorist groups in Afghanistan, Algeria, Egypt, Lebanon, Libya, India, Indonesia, Pakistan, the Philippines and Yemen have pledged allegiance to ISIS, according to IntelCenter.

What could this mean for the wider jihadist terrorist movement? It's worth taking a closer look at how the Libyan branch of ISIS, which affiliated with it in November, has played out on the ground in Libya.

A senior U.S. government official told me that there is some debate in the U.S. intelligence community about whether ISIS' Libyan affiliate is more of a "wannabe" ISIS, and a "rebranding" of a local group that wanted to take advantage of ISIS' fearsome brand, than a group that takes orders from ISIS central command in Syria and Iraq.

On January 27, ISIS gunmen attacked the Corinthian Hotel in the Libyan capital, Tripoli, killing 10. Five of the victims were foreigners and one was an American. And last month ISIS released a video showing members of Egypt's Coptic Christian minority being beheaded on a Libyan beach, apparently by members of ISIS' Libyan affiliate. The video showed the victims in the orange jumpsuits that ISIS forces its victims to wear.

Both the attack on the Corinthian Hotel and the beheading of the Christians do suggest some measure of command and control by ISIS' core of its Libyan affiliate, according to the U.S. government official, who says Libyan fighters frequently go back and forth between Libya and Syria and Iraq.

The increasing globalization of ISIS raises some interesting questions for the Obama administration and for Congress.

Last month Obama put forward a proposal for a new Authorization for the Use of Military Force specifically targeting ISIS. Obama's AUMF proposal mentions combating ISIS in its heartland of Syria and Iraq, but it doesn't mention the dozen other countries where ISIS now has a presence or foothold.

Interventionist Republicans will likely want to see an AUMF that specifically targets other groups allied to ISIS that are outside of Syria and Iraq. Many Democrats will be uncomfortable about such an expansion.

The ball is now in Congress' court to decide how geographically wide the scope of the fight against ISIS should be. It will be an interesting debate: on one side, those who want to prolong indefinitely what is already America's longest war, against jihadist terrorist groups like ISIS that have affiliates from Algeria to Afghanistan; and, on the other, those who want to circumscribe that war both in time and in space.

Given the fact that a broadly written AUMF that was passed in the days after 9/11 has allowed the United States to conduct military operations in half a dozen Muslim countries over the course of the past 14 years, a new authorization that specifies both a sunset provision and also a specific geographic scope would be a useful check on executive power. And such an authorization could be amended if a substantial new threat from an ISIS affiliate emerges.

@highlight

Bergen: Boko Haram is the latest of terrorist groups in 12 countries to pledge allegiance to ISIS

@highlight

He says the spread of ISIS poses questions for Obama, Congress in deciding future of fight against terrorism