(CNN) -- As the violence in the Central African Republic reaches unprecedented levels, aid organizations say the number of internally displaced people edges toward a million, further hampering humanitarian relief efforts.

The nearly 935,000 displaced people are hiding in bushes and seeking refuge with host families, and churches and schools have been turned in to makeshift shelters. More than half the population of the capital city of Bangui has been displaced, and nearly 60% of them are displaced children, according to the latest report from UNHCR, the United Nations' refugee agency.

Since March, violence has gripped the Central African Republic, or CAR.

Aboubakar Daoud, 33, has spent the last 15 years of his life as a shopkeeper in the country. He says life was very good, his business was thriving and everyone was living in peace. But all of that is now just a memory.

"The situation is very precarious for Muslims and particularly for Chadians, even for those who got married with the Chadians," he said.

After the predominantly Muslim-backed Seleka militia and other rebel groups from the marginalized northeast seized Bangui, one of the Seleka leaders, Michel Djotodia, overthrew President Francois Bozize, who fled to Cameroon, creating a political power struggle.

Under Djotodia's interim presidency and transitional governance, Human Rights Watch has reported details of the Seleka's deliberate killing of civilians, including women, children and the elderly. The rights group also reported in recent weeks that violence and insecurity in the Central African Republic have taken on an alarming sectarian dimension.

Backlash set in when Djotodia officially disbanded the Seleka and, according to rights groups, thousands of Seleka rebels kept their arms and formed their own vigilante group known as the "ex-Seleka." That group has since been integrated into a new "national army."

Human Rights Watch says command and control of the ex-Seleka remain questionable as the group continues to commit abuses in the Central African Republic. All the while, the anti-balaka -- a predominantly Christian armed group created by then-President Bozize to fight banditry -- continues to attack Muslim civilians in response to ex-Seleka abuses.

Residents say the violence between the Muslim Seleka militias and the retaliating Christian groups has wreaked havoc in cities across the Central African Republic.

"For days and nights on end, the men in my town did not sleep so we could secure the area from anti-balaka. They would come anytime to attack Chadians in the area," Daoud said.

In December, 1,000 men were killed over a two-day period, according to Amnesty International.

As a protective response, France has sent 1,600 troops under a United Nations mandate into the Central African Republic to assist African troops, but the violence continues.

Children beheaded as violence grows in Central African Republic

'Unprecedented levels of violence against children'

"I was born in CAR and started to do commerce with my parents at an early age. The good moments were in the past and have ended. We were living in peace as brothers and sisters," said businesswoman Djemila Abdoulaye, 39.

"The worst moment was when my 21-year-old son went out to look for some provisions, and he got shot on Christmas Eve," she said, holding back her tears. "At the same time, his uncle got shot trying to protect him. I have never seen them or their bodies again."

UNICEF, the United Nations children's aid agency, has verified the killings of at least 16 children, and injuries among 60, since the outbreak of communal violence in Bangui on December 5. The agency says at least two children were beheaded at the end of December, and one of them mutilated, further stating that attacks in the CAR against children have sunk to a "vicious new low."

"We are witnessing unprecedented levels of violence against children. More and more children are being recruited into armed groups, and they are also being directly targeted in atrocious revenge attacks," said Souleymane Diabate, a country representative for UNICEF.

"Targeted attacks against children are a violation of international humanitarian and human rights law and must stop immediately. Concrete action is needed now to prevent violence against children," Diabate said.

The Central African Republic, which is north of the Democratic Republic of the Congo, is one of the six African countries that border Chad.

The International Organization for Migrants, or IOM, estimates there could be tens of thousands of migrants in the CAR, with most originating from the neighboring region, including Cameroon, Chad, Cote d'Ivoire, Niger, Nigeria and Sudan. Also, Chadians are among the migrants in the CAR who are at the highest risk, the IOM says.

Group: Nearly 1,000 killed over 2 days

'Largest evacuation effort' since 2011

"This is the largest evacuation effort we have seen since the war in Libya in 2011," said Dr. Qasim Sufi, the IOM chief of mission who's in charge of receiving Chadians arriving from the CAR.

Air evacuations from the CAR to Chad are now entering the third week, and the IOM says the number of Chadian migrants evacuated is increasing by the day. Since late December, the IOM estimates, more than 17,000 Chadian migrants have been returned from the CAR by air and land.

"We have a very big caseload of evacuated migrants in a short period of time, which can overstretch our capacity to assist, and we need additional financial support," Sufi said.

The UNHCR estimates that this mission could cost $152.2 million.

"There are also hundreds of Nigerians waiting at the Nigeria Embassy in CAR to be rescued. Citizens are being taken from Bangui to Nnamdi Azikiwe International Airport in Abuja, where they can unite with their family," said Mohammed Sani Sidi, director general of the National Emergency Agency.

For weeks now, the Bangui International Airport has become a safe house for many people looking to flee the violence.

The government of Chad also has sent road convoys to help evacuate migrants who were not able to make it to the airport.

"The evacuations are nice, but the situation at the airport is not well-organized because there are too many Chadians who all want to get back to Chad," said Abdoulaye, the businesswoman.

The air evacuations alone, to date, have topped 8,500 people aboard 51 flights.

The first road convoy organized by the Chadian government to evacuate stranded Chadian migrants arrived at the Chadian border village of Sido this week to help evacuate about 1,800 women and children who were living in very desperate conditions. The IOM also estimates that 4,000 additional migrants have returned to Chad on their own through the Gore and Sido border crossing points.

"Many of the evacuees are in urgent need of basic humanitarian assistance, including food, water, medical attention," Sufi said. "Once returning to Chad, these migrants are really traumatized psychologically and need further help, time and assistance reacclimating to their new surroundings."

At least five migrants have died since the evacuations began Friday, according to Sufi.

As for Daoud, he looks across the border to find a new way of life.

"I think, it will be better to go to the village and be a farmer," he said.

Others, such as Abdoulaye, are leaving everything behind.

"I will only take my life back to Chad. I'm happy to still be alive," she said.

Fears of genocide: 10 things to know about the CAF

CNN's Nana Karikari-apau contributed to this report.

@highlight

Violence has gripped the Central African Republic since March

@highlight

There are nearly 935,000 internally displaced people, U.N. refugee agency says

@highlight

Violence between Muslim militias and Christian groups has wreaked havoc, residents say

@highlight

"I have never seen them or their bodies again," woman says of relatives who were shot