Yosemite National Park has almost everything a nature lover could desire: Glorious waterfalls, spectacular meadows and valleys, groves of ancient sequoias and the wildlife that call the park home.

Of course, Half Dome looms large for visitors.

Each year, thousands of seasoned hikers make it to the summit 8,800 feet above sea level, climbing the last 400 feet on metal cables installed to allow hikers to reach the peak without rock climbing gear. The round trip takes most hikers 10 to 12 hours and permits are required. But as seasonal ranger Kirsten Randolph can attest, the park offers many stunning settings beyond this granite dome.

Yosemite National Park exists because President Abraham Lincoln signed a bill creating the Yosemite Land Grant on June 30, 1864. The legislation, which included Yosemite Valley and the Mariposa Grove of Giant Sequoias, marks the first time the federal government had set aside a piece of land purely for preservation. That act is generally believed to mark the worldwide birth of the national parks idea.

Yosemite National Park was officially created in 1890, although the Valley and Mariposa Grove were still managed by the state of California at that time. These two areas were ceded to the federal government in 1906, creating the park much as it exists today.

Summer in the park: Great Smoky Mountains National Park

Park stats: Yosemite National Park is the third most visited national park in the country with 3.8 million visitors last year (behind Great Smoky Mountains and Grand Canyon national parks). The park encompasses nearly 1,200 square miles.

The location: The Sierra Nevada mountain range in eastern California.

If you go: The park entrance fee is $20 per private car, van, pickup or RV. The fee is $10 a person if arriving on foot, horseback, bicycle, motorcycle or noncommercial bus. Visitors 15 and younger can enter for free. Campground fees vary and reservations for campgrounds that require them go fast and are strongly recommended.

Meet our ranger: Park ranger Randolph didn't grow up watching television or playing video games. Instead, Randolph played outside with her sister and family in Spokane, Washington, visiting Olympic National Park and other national parks for their vacations.

"I thought how neat it would be to live and work in a national park someday," said Randolph, 26. "The rangers at all the parks seemed to be pretty cool."

She started at Yosemite as an intern, working on young visitor programming. After interning and volunteering for a full year, she got hired as a seasonal park ranger. She doesn't see herself leaving anytime soon.

"Yosemite provides a unique opportunity to enjoy nature and wildlife and have interaction with visitors," she says. "I love witnessing how a first-time visitor connects with this place."

Summer in the park: Grand Teton National Park

For a day trip, don't miss: Cook's Meadow. You can take the one-mile Cook's Meadow Loop through the meadow. Then make make your way to the base of Yosemite Falls on the Lower Yosemite Fall Trail.

Take a drive to see the iconic view at Glacier Point to see how large Yosemite is and catch an impressive view of Half Dome. During the summer, drive along Tioga Road, where the habitat is very different  because you're so high in elevation. Head into one of the sequoia groves, such as Mariposa Grove or the less visited Tuolumne or Merced groves.

Favorite less-traveled spot: Take the free park shuttle to stop 16 (at Happy Isles) and walk to a marshy meadow called the Fen.

"There's a little bit of a spring underneath that keeps it green all year round," says Randolph. "It's possible to see wildlife all year around this green meadow near Glacier Point."

Favorite spot to view wildlife: Cook's Meadow is where Randolph saw her first bear on the job and where she spotted a rare Virginia rail bird.  Even though it's in the middle of everything, "animals are still drawn to it around sunset or at night," she says. "Our wildlife don't like to be out in the hot sun any more than we do."

7 stunning spots for U.S. wildlife

Most magical moment in the park: No surprise that it's Cook's Meadow (again) for this ranger: Two months ago, that's where her fiance, a park law enforcement officer, proposed to her in the lush green grasses growing in spring. "Yosemite Falls and Half Dome were in the background," she says.

Favorite other park to visit: Pinnacles National Park (California). Set aside as a national monument by Theodore Roosevelt in 1908, Pinnacles National Monument was elevated to become the nation's 59th national park (and California's ninth national park) on February 11, 2013.

If you visit, you might see endangered California condors, as Randolph did when she and her fiance went camping there last fall. That's because the 27,000-acre park is home to 63 California condors and is one of four condor release sites in the country.

What is your favorite national park or national park site and why? Please share your thoughts in the comments section below.

@highlight

Yosemite National Park's Half Dome welcomes seasoned hikers to its summit

@highlight

Visitors might see bears and other wildlife wandering through Cook's Meadow

@highlight

Visit Mariposa Grove or any of the sequoia groves to see the ancient sequoias