Princeton, New Jersey (CNN) -- This presidential election tells us something unexpected about American politics. For all the talk about polarization and discord in Washington, it appears that both parties will have pragmatic problem-solvers at the top of their tickets.

Democrats have accepted four more years with a pragmatist. President Barack Obama has consistently been willing to anger members of his own party by reaching out to Republicans and often embracing their issues, such as deficit reduction. Rather than a fighting for an ideological agenda, he has instead focused on one problem at a time and accepted the constraints that he faces.

Republicans are settling on former Massachusetts Gov. Mitt Romney, who has spent much of his career avoiding ideological purity. By all accounts, one of his virtues as a leader has been his eagerness to delve into difficult problems and his willingness to experiment when trying to find solutions.

As everyone knows, he has shifted his positions on matters such as stem cell research and as governor he was willing to put forward an ambitious health care plan that expanded government by using a conservative idea, the individual mandate.

Some pundits will read the decision to support these candidates as continued evidence of party loyalty. In the case of Obama, there were no Democrats who decided that they would challenge him in the primary because they wanted to avoid the kind of turmoil that occurred when Sen. Ted Kennedy ran against President Jimmy Carter from the left in 1980.

In the case of Romney, the Republican hatred of Obama is so great that the party is willing to compromise on a candidate whose politics are hard to pin down but who stands a better chance of winning in November.

Yet another way to read these decisions is that, at some level, voters are genuinely angry about the polarized status quo in Washington. They are willing to support pragmatic problem-solvers because, at some level, they find it appealing to elect politicians who could overcome the deeply dysfunctional government we have.

There is some evidence to support this claim. In "Culture War? The Myth of a Polarized America," Morris Fiorina argued that polarization was much stronger among political elites that it was in the broader electorate. His examination of poll data revealed that on many controversial issues such as abortion or gay rights, most Americans tended to be in the middle of the political landscape.

Second, the approval ratings of Congress also suggest that citizens are unhappy with polarization. Approval ratings for Congress are at about 12.5%, a historic low. When such a large number of Americans indicate that they don't approve of the institution, they are registering their complaints about the gridlock in Congress. Even though most Americans continue to vote for incumbents in their districts, they don't like the institution as a whole.

Finally, for all the talk about polarization, when it comes to electing presidents, voters have tended to go for the people who promise to reach out across the aisle. In 2008, Obama ran as the candidate who appealed to both sides of the political spectrum and who contrasted himself with the fierce partisanship of the Republican side.

In 2000, George W. Bush ran as the compassionate conservative who was willing to use government on behalf of some causes, and in 2004 he avoided some of the more divisive issues by emphasizing national security as his unifying issue.

In 1992, voters went for Bill Clinton, a proud pragmatist who wanted to move beyond the orthodoxies of the 1960s. Clinton was part of the Democratic Leadership Council, a group that sought to move his party toward the center. Clinton doubled down on this theme in 1996 as he leaned to the right following the Republican takeover of Congress, and he defeated Sen. Robert Dole by landslide.

The emerging contest between Romney and Obama thus provides more evidence that there is still room to move beyond Washington's bitter partisan stalemates.

When politicians yell and fight, they capture the attention of the television cameras but the public is not always with them. As this upcoming contest reveals, there is still a yearning in the electorate for a different kind of politics in Washington.

Join us at Facebook/CNNOpinion

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Is America really a deeply polarized country, as some suggest?

@highlight

Julian Zelizer says Obama, Romney have appeal to the center of the spectrum

@highlight

He says the two parties are choosing not to run candidates with polarizing ideology

@highlight

Zelizer: There is still a strong yearning for compromise and moderation in D.C.