Bethesda, Maryland (CNN) -- Tucked away on the sprawling campus of the National Institutes of Health, an elite team of doctors and researchers search for clues to solve medical mysteries that have eluded a diagnosis.

They're detectives for a one-of-a-kind initiative at the NIH. It's called the Undiagnosed Diseases Program or UDP. Together, the UDP's team focuses its vast expertise on trying to save patients' lives and creating new science. Dr. William Gahl is the clinical director of NIH's National Human Genome Research Institute and the Undiagnosed Diseases Program's lead investigator.

"The mission is really two-fold," Gahl says. "One is to try to get to a diagnosis for people who have struggled for so long to achieve a diagnosis -- of course there all kinds of benefits to that. The second is to discover new diseases or new aspects of known diseases so we can help the entire community of individuals with related disorders."

For many people with mysterious conditions, the UDP is their last hope for a diagnosis.

"We try and be realistic about it, and get our patients to be realistic about the issues too," Gahl says. "So the first day of a typical visit, I'll go in and tell the patients, 'You've been to the best places in the country, now you're coming here. We only have a 10 to 15 percent success rate. So I don't want you to get your hopes up really too, too high.' But on the other hand, we don't want to take all hope away."

There are an estimated 6,800 rare diseases in the world, according to the NIH. The NIH defines a rare disease as one that affects fewer than 200,000 individuals in the United States. But then there are other disorders that have yet to reach the diagnosis stage. That's where Gahl and his team come in. They take on the impossible with the hope that new science can be created.

"It's really sort of the inspiration we all have as clinical researchers," says Gahl.

Created as a government pilot program in 2008, the UDP has received more than 3,000 inquiries. But it has only accepted slightly more than 300 patients. To be considered for the UDP, a patient must be referred by a doctor and have his or her case well-documented in medical records. Gahl and a panel of experts then have the difficult job of selecting who will be accepted.

"I have to take some solace in the fact that even though we're turning down a lot of people, we're still helping a chosen few," Gahl says.

Those chosen few head to NIH's clinical center for a week of complex and exhaustive tests. The clinical center is the world's largest hospital devoted to clinical research and allows the UDP team to perform around-the-clock testing with state-of-the-art technology.

But what makes the UDP truly unparalleled is its collective approach to every case. It is designed to call upon experts throughout NIH's 27 institutes to look not only at their individual areas of specialty, but how those specialized areas fit into the bigger puzzle.

After one week, the patients are sent home. That's when the real detective work begins for Gahl and his team. Using the process of elimination, they pursue every option and sift through every clue, hoping it leads them to a diagnosis.

"This is a different paradigm." Gahl says. "So this to me is the perfect amalgam of the training in knowledge -- having acquired a certain fund of knowledge -- and then applying it to cases that are not yet solved. So I find that extremely stimulating."

Watch Anderson Cooper 360° weeknights 10pm ET. For the latest from AC360° click here.

@highlight

At NIH, an elite team of doctors and researchers seek to solve medical mysteries

@highlight

The Undiagnosed Diseases Program tries to save patients' lives and create new science

@highlight

6,800 rare diseases in the world, according to NIH estimates