Houston (CNN) -- Aviation fans have already named it Dreamliner 2.0.

No longer grounded for safety concerns, Boeing's embattled 787 Dreamliner now has a few things to prove. Monday might be a good day to start. That's when domestic Dreamliner flights return to America's airways.

At 11 a.m., United Flight 1 is scheduled to depart Houston's George Bush Intercontinental Airport for Chicago's O'Hare International Airport. The airline plans to roll out additional 787 flights throughout the week. Some international carriers have already resumed Dreamliner service.

For aviation enthusiasts it's kind of a big deal. As word spreads of Dreamliner's return, travel advisers report they're getting calls from curious fliers looking to connect with one of United's six 787s at Dreamliner hubs.

They want a chance to ride the 787 and experience its fancy interior lighting, high-tech windows and mysterious anti-turbulence technology. So far, United is the only U.S. carrier flying the aircraft

Dreamliner interactive: The Boeing 787 layout

This plane is so lightweight that it can fly farther with the same amount of fuel as heavier airliners. It can carry 200-plus passengers a third of the way around the globe. Boeing says the plane's increased profitability will open more destination cities for travelers.

Industry observers are curious to see what the future holds for Dreamliner, the first entire airline model to be grounded by the Federal Aviation Administration in more than 30 years.

Lithium-ion batteries that overheated on two Dreamliners in January prompted authorities to ground all 50 787s worldwide, but a redesigned battery system has cleared the way for the plane's return.

Behind the scenes: Boeing's Dreamliner battery fix

Here are five things about Dreamliner for American travelers to keep in mind now that it's back in service:

How safe is it?

"It's a safe airliner to get back on and fly," says Capt. Kevin Hiatt, president of the Flight Safety Foundation, an independent aviation safety think tank. The FAA simply exercised an abundance of caution when it grounded the aircraft, he says. What travelers should take away from the grounding is "the fact that we've got a pretty good system that works."

Still, now that all eyes are on Dreamliner in the wake of the grounding, new reports of even minor glitches are likely to make travelers nervous.

Japanese airline ANA reported an incident that damaged an electrical distribution panel on a Dreamliner test flight on May 4. ANA blamed it on a nut that had not been properly tightened, calling it a "minor issue" unrelated to batteries.

A team made up of experts from Boeing and from outside the company redesigned the battery system, which separates, insulates and ventilates the battery cells. Passenger rights advocates have screamed "conflict of interest" about the FAA's longstanding policy allowing Boeing to certify components of its own aircraft. They're calling for more independent testing and analysis of Dreamliner's battery fix. But Hiatt says the process is safe and as independent as possible.

"Looking at historical data, we haven't had any evidence over the years that self-certification has been responsible for any problems," says John Goglia, a former member of the National Transportation Safety Board, the federal air crash investigation agency.

Travelers have such high regard for the safety of the U.S. aviation system they don't pay much attention to the kind of plane they're flying, says Brett Snyder, travel adviser and self-described "president and chief airline dork" of CrankyFlier.com. Most aren't worried about flying the 787, but if Dreamliner develops another problem "then that might change things."

Goglia, who also worked for years as an airline mechanic, warns that a repeat incident with the batteries "would severely impeach Boeing's engineering capabilities." Success for the Dreamliner heavily relies on no repeats, Goglia says.

How's its reputation?

When an aircraft is hit by the first FAA grounding order for an entire airliner type in three decades, does it come with a stigma? "They're definitely going to have some lumps in the road because of that," says Goglia.

On the other hand, Snyder believes the "average everyday traveler isn't looking at the specific aircraft type. They're looking at the flight times and they're looking at the prices."

"I'm sure there are some people that are feeling like they don't want to get on it," says Snyder. "They'll probably feel that way in the short term until the Dreamliner develops a "track record of being reliable and safe."

CNN.com readers have mixed feelings about the new plane.

"If there are no further incidents absolutely no one is going to remember this in a year or two," wrote one commenter. "Other troubled airplanes like the DC-10 actually killed people and still went on to be successes."

Another isn't so optimistic: "I fly between continents 1-2 times per year and have done so for the last decade and I will NEVER set foot on a Dreamliner."

How does it feel?

We'll soon find out for ourselves when we fly United Flight 1 today, but supposedly, Dreamliner air is rare up there.

New cabin environmental systems allow control of air pressure and humidity.

Dreamliner's cabin pressure is set to the equivalent of 6,000 feet above sea level -- compared to the traditional setting of 8,000 feet. Feeling like you're at a lower altitude lets the body absorb more oxygen, making passengers less susceptible to airsickness. Humidity in the cabin is supposed to feel more comfortable, too.

Everybody talks about the windows. By pushing a button under each one, it activates energized gel embedded in the windowpane, which darkens or lightens the glass. No shades necessary.

Check back here with CNN.com today and we'll let you know what these tech-laden features are really like.

How does it ride?

It's a mystery how it works, but the Dreamliner comes equipped with gust suppression technology that is designed to smooth the ride during moderate turbulence. Boeing is keeping its cards close to the vest. Suffice it to say sensors on the aircraft respond to turbulence and send command signals that adjust parts of the wings. Result: smoother flying, says Boeing. We'll check it out for ourselves.

"It looks pretty awesome, although I'd just rather not have turbulence -- then you don't need the gust suppression," jokes Snyder. "But I think it will be interesting to see how that feels, and how the plane handles it."

How did we get here?

Boeing used to think airlines felt a need for speed.

But the company soon learned it had miscalculated. What the airlines really wanted was efficiency, triggering a trend toward fuel-sipping, lightweight, long-range airliners.

Here's what happened: In the early 2000s, Boeing was brainstorming the next generation of airliners -- the first that would be built largely from lightweight carbon-composite materials.

These new planes would jet across the nation at about 650 mph -- nearly the speed of sound. They called this idea the Sonic Cruiser.

But as oil prices rose, the Sonic Cruiser took a dive. Boeing abandoned the concept, keeping the idea of a new lightweight, carbon-composite airliner. Speed was out, efficiency in. By 2003, the project had a name: Dreamliner.

This year, Boeing's rival Airbus will follow Dreamliner with its A350 XWB, another sleek, long-distance fuel-sipper that can carry 200-plus passengers.

Related story: Airbus rolls out sleek, new A350 XWB

CNN's Thom Patterson boards Boeing's Dreamliner later today for its first domestic flight on a U.S. carrier after it was grounded earlier this year. Check back for updates later today and follow his progress on Twitter.

@highlight

United Flight 1 is the first U.S. commercial Dreamliner flight in more than four months

@highlight

Battery troubles led the FAA to ground the 787, the first model fleet grounded in 30 years

@highlight

Experts say plane is safe; travel advisers say enthusiasts are requesting bookings

@highlight

It's the first of a new generation of efficient airliners that can carry 200-plus passengers