Hong Kong (CNN) -- Four months after hushed deal-broking produced a new leadership lineup for China, Xi Jinping is to set to formally take charge of the country he'll rule for the next 10 years.

Xi, along with new premier Li Keqiang, has inherited a supercharged economy that's created vast riches for some, a growing middle class, and many poorer migrant workers who are becoming increasingly frustrated with their lot in life.

But the deepening wealth divide isn't the only challenge facing the country's population of 1.3 billion people.

In November, as China was convening its 18th National Communist Party Congress, CNN asked a number of China experts to define what they believe to be the country's most pressing challenges. We revisit their thoughts four months on, as delegates attend the 12th National People's Congress in Beijing.

Wen opens China's People's Congress with call to unite

1. Closing the wealth gap

In February, the Chinese government announced plan to raise spending on social welfare by two percentage points within the next five years.

Economist Li Gan says that's nowhere near enough to narrow the wealth gap and argues that the country needs to work on a "much larger scale."

"If the government creates a stronger social safety net for its citizens, Chinese workers will feel less pressure to save for health emergencies, unemployment and retirement, and more likely to buy goods and services -- and create a mature consumer-driven economy," he says.

Gan explains his views here.

2. Too many men

Faced with a surging population, China attempted to put the brakes on procreation in the late 1970s by implementing a controversial policy limiting couples in some areas to just one child.

Since then, a cultural bias towards male children has led to a skewed child sex ratio where millions of men, or "bare branches" face an uncertain future due to the lack of potential female partners, writes evolutionary biologist Rob Brooks.

"It would be difficult to overstate the urgent need for China to emulate South Korea in eliminating sex-biased abortion and neglect," Brooks writes.

Studies show, he says, what can happen if it doesn't.

3. Securing China's food, water and air

The legacy of China's powerhouse of cheap, labor-intensive exports is a natural environment tainted by the pollutants of economic growth.

Author Geoff Hiscock says securing the food, water and air security of China's 1.35 billion people is one of the leadership's biggest challenges.

"Beijing and other parts of northeastern China are already water-stressed, the air quality in inland mega-cities such as Chongqing and Chengdu is abysmal, farming land is being poisoned by toxic runoff from mining and industrial activities, acid rain blights large parts of south China, contagious disease is an ever-present risk among its livestock, and unscrupulous makers sell tainted foodstuffs," Hiscock writes.

So what can China do about it? More from Hiscock.

CNN's Paul Armstrong and Kevin Voigt contributed to this story.

@highlight

CNN asked experts to explain biggest challenges facing China

@highlight

Experts: Economic disparity, gender imbalance, water and food security are big issues

@highlight

Delegates are meeting for National People's Congress in Beijing

@highlight

Xi Jinping to formally become Chinese president at end of congress