A whopping 70 percent of American kids aren't getting enough vitamin D, and such youngsters tend to have higher blood pressure and lower levels of good cholesterol than their peers, according to two new studies published this week in the journal Pediatrics. Low vitamin D levels also may increase a child's risk of developing heart disease later in life, experts say.

People who drank milk less than once a week were among those most at risk for vitamin-D deficiency, a study found.

"We were astounded at how common it was," says study author Dr. Michal Melamed, an assistant professor of medicine, epidemiology, and population health at the Albert Einstein College of Medicine, in the Bronx, New York. "There is a lot of data that suggests adults with low vitamin-D levels are at risk for diabetes, high blood pressure, cardiovascular disease, and a lot of cancers, and if kids start out with low levels and never increase them, they may be putting themselves at risk for developing all of these diseases at a much earlier age."

Vitamin D is often called the "sunshine vitamin" because the human body makes it only when exposed to sunlight -- although it only takes 10 to 15 minutes a day to make an adequate amount. Vitamin D, which helps the bones better absorb calcium, is also added to multivitamins and milk.

In Melamed's study, the researchers looked at the vitamin D levels of more than 6,000 people ages 1 to 21. They checked for vitamin-D deficiency, which is defined as less than 15 nanograms per milliliter of blood (ng/mL), and vitamin-D insufficiency, which is defined as 15 to 29 ng/mL. Overall, 7.6 million, or 9 percent, of U.S. children were vitamin-D deficient, and another 50.8 million, or 61 percent, had insufficient levels of this important vitamin in their blood.

Children with low levels of vitamin D were more likely to have high blood pressure and lower levels of high-density lipoprotein, also known as good cholesterol -- two factors that are considered major risk factors for heart disease later in life. Health.com: How cholesterol affects your heart's health

Children with low vitamin-D levels also had higher levels of parathyroid hormone than their counterparts with adequate vitamin D in their blood. Parathyroid hormone is a measure of bone health. When levels are high, it suggests that bones need more calcium to grow.  Watch more on kids in the U.S. and low levels of vitamin D »

Overall, those most at risk for a vitamin-D deficiency were older, female, obese, drank milk less than once a week, and spent more than four hours a day watching TV, playing video games, or working on a computer. They were also more likely to be children with darker skin, including non-Hispanic blacks and Mexican-Americans. (Children with darker skin are more likely to be deficient in vitamin D because they have more melanin than their fairer counterparts. Melanin is the pigment that gives skin color, but it may prevent the skin from absorbing enough sunlight to produce an adequate amount of vitamin D.) Health.com: Battle aging with vitamin D

In the second study, a research team led by Jared P. Reis, Ph.D., of Johns Hopkins Medical Institutions, looked at 3,577 adolescents ages 12 to 19. Those with low levels of vitamin D were more likely to have high blood pressure, high levels of blood sugar, and metabolic syndrome (a cluster of factors known to increase risk of heart disease) than their counterparts with ample vitamin D in their blood, regardless of how much they weighed.

Exactly how a lack of vitamin D increases the risk of heart disease is an evolving story. In terms of blood pressure, vitamin D helps control renin, a protein that plays a role in regulating blood-pressure levels. Health.com: Why belly fat increases type 2 diabetes risk

The best vitamin-D boosting strategy involves a three-pronged approach, says Melamed. "You can get a little bit from food, but not as much as you need," she says. "Supplements are readily available, and kids like to take Flintstones or gummy-bear multivitamins, which typically contain vitamin D."

Also, parents should help their children get at least 10 to 15 minutes of sun exposure daily without sunscreen. "Set your watch and then apply sunscreen after 15 minutes," Melamed says. Some children, including those in high-risk groups, may need to be screened to check for low vitamin-D levels.

Dr. Michael F. Holick, Ph.D., a professor of medicine, physiology, and biophysics at Boston University School of Medicine, and the author of "The Vitamin D Solution" (to be released in April 2010), has been sounding an alarm about the dangers of low vitamin-D levels for years. Health.com: Easy food swaps cut cholesterol, not taste

"This is a recipe for serious diseases occurring in our children when they are in their 20s and 30s," he says. Holick was among the first to document the return of rickets--a disorder caused by a lack of vitamin D and other minerals--which can lead to the softening and weakening of the bones. Health.com: How to get vitamin D safely

"[But] rickets is just the tip of the iceberg," Holick says. "Vitamin-D deficiency has insidious, serious long-term health consequences for children that could remain with them throughout their lives," he explains. "[Parents should know] their child is likely to be vitamin-D deficient if the child does not take a supplement of 400 IU vitamin D a day and receive some unprotected sun. It is next to impossible to get enough vitamin D from diet, and the sun-phobic attitude has made the problem much worse."

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

Study: 70 percent of American kids aren't getting enough vitamin D

@highlight

Children with darker skin are more likely to be deficient in vitamin D

@highlight

Vitamin D helps control the protein renin, involved in blood pressure levels

@highlight

Vitamin D also helps the bones better absorb calcium