Washington (CNN) -- Roughly half of all Americans now think the White House was behind the Internal Revenue Service decision to target conservative political groups, according to a recent CNN/ORC International poll, a growing belief at odds with information recently provided to CNN by congressional investigators.

The information includes a full transcript of the May 21 deposition of Holly Paz, a high-ranking IRS official placed on administrative leave as a result of her role in the scandal.

Paz was questioned extensively by investigators from the House Oversight and Government Reform Committee, which is chaired by one of the administration's fiercest congressional critics, California GOP Rep. Darrell Issa.

The transcript of Paz's deposition, examined by CNN this week, shows an agency plagued more by bureaucratic ineptitude than partisan political scheming.

IRS agents are revealed as politically tone deaf and blind to what was being done, or not done, in different offices that presumably should have been in closer contact.

"Politics was not something they were interested in," Paz told investigators. "Because they are so apolitical, they are not as sensitive as we would like them to be as to how things might appear."

Paz is a top official at the IRS division responsible for reviewing applications for tax-exempt status.

Some critics argue the division intentionally intimidated and harassed tea party and other conservative groups, often delaying the processing of their applications for months or years.

An inspector general's report released last month found that an IRS unit in Cincinnati had used criteria that included conservative labels such as "tea party" to target certain groups for extra questioning.

IRS rules prevent groups engaged in excessive political activity from becoming tax exempt, but the agency has struggled to develop clear guidelines on the matter.

The targeting began in 2010 and ended last year when senior IRS officials learned of it, according to the report.

Boehner: 'Who is going to jail' over IRS scandal

Last month, 37% of the public thought the White House was tied to the IRS controversy. Now, 47% say the White House was directing the IRS, according to the latest CNN/ORC International survey.

Democrats are sensitive to the charge, which some analysts contend has contributed to a recent drop in President Barack Obama's approval ratings.

Maryland Rep. Elijah Cummings, the top Democrat on Issa's panel, released the full transcript on Tuesday of the deposition of a self-described "conservative Republican" IRS manager who has denied any administration involvement in the scandal.

The manager also insisted that the initial decision to flag tea party groups for additional scrutiny originated with lower level IRS staff in Cincinnati, not upper management in Washington or elsewhere.

"This interview transcript provides a detailed first-hand account of how these practices first originated, and it debunks conspiracy theories about how the IRS first started reviewing these cases," Cummings said.

"Releasing this transcript serves the best interest of Congress and the American people by ensuring that there is an accurate and fair picture of the management challenges facing the IRS."

Obama: IRS actions "intolerable and inexcusable"

The move by Cummings drew a sharp rebuke from Issa, who has also released certain elements of the investigation at different points.

"I am deeply disappointed that Ranking Member Cummings has decided to broadly disseminate and post online a 205 page transcript that will serve as a roadmap for IRS officials to navigate investigative interviews with Congress," Issa said.

"Americans who think Congress should investigate IRS misconduct should be outraged by Mr. Cummings' efforts to obstruct needed oversight."

Issa and Cummings have both promised in appearances on CNN's "State of the Union" to release transcripts of all of the depositions conducted in the investigation.

For her part, Paz told investigators from two House committees that questions about certain applications often remained unanswered because IRS agents were simply "waiting for guidance" from Washington that was never provided.

Meanwhile, agency leaders in Washington remained unaware that applicants were not receiving final answers.

Paz was under the impression that the "tea party" label was internal IRS shorthand for all cases regarding groups involved in campaign politics.

"It was really just an efficient way to refer to this issue," Paz told investigators, noting that the first case identified with political campaign activity related to an application from a tea party group.

"It's like calling soda 'Coke' or you know, tissue 'Kleenex.' They knew what they meant, and the issue was campaign intervention."

Applications for tax-exempt status "was an area that did not get a great deal of attention ... outside the IRS," Paz added. "It's only been in recent years that it's something that has gotten, you know, more media attention and congressional attention."

Many IRS employees have been with the agency "for decades" and "were used to a world where how they talked about things internally was not something that would be public or that anyone would be interested in," Paz said. "So I don't think they thought much about how it would appear to others. They knew what they meant, and that was sort of good enough for them."

Paz insisted she never took part in any discussion about targeting conservatives. She also noted other cases in recent years involved a denial of tax-exempt status for liberal groups, an assertion challenged by critics.

"I had no indication that we were not being balanced in what we were doing," she said.

Paz noted that she was personally involved in a review of roughly 40 cases in the fall of 2010, an acknowledgment undercutting claims that the Cincinnati office was solely to blame for the debacle. Roughly half of the cases involved groups with the words "tea party" in the name.

Tea party and other conservative activists are planning to hold a rally on Capitol Hill on Wednesday to protest the IRS actions.

@highlight

Deposition of IRS official Holly Paz shows no political motivation behind IRS scandal

@highlight

Paz: "Politics was not something they were interested in"

@highlight

Paz's assertion is at odds with belief of growing number of Americans

@highlight

Reps. Issa and Cummings argue over release of deposition transcripts