(CNN) -- Consumer demand for mobile media is growing fast, but the smartphone app market has quickly become heavily saturated and fairly confusing.

Perhaps one of the best ways for a company to increase its customer base is to go after the kinds of phones that the majority of mobile users in the U.S. and elsewhere currently have -- feature phones. Feature phones are usually cheaper devices that offer less computing ability than smartphones.

This weekend, Facebook acquired Snaptu, a platform that delivers Java-based apps that run on most feature phone models. According to comScore, as of January 2011 only about 28% of all mobile phones in the U.S. were smartphones. This means 72% of U.S. cell phones are feature phones, most of which have a broad array of features, including the ability to run Java-based apps.

In January,  Facebook launched a Snaptu-powered feature phone app, which brought easier Facebook access to more than 2,500 mobile devices worldwide. But so far, Facebook's feature phone app is only for use in markets outside the U.S.

Recently, the weblog ReadWriteWeb noted that feature phone apps make a lot of sense for companies seeking to grow their user base in emerging mobile markets worldwide.

The market for feature phone apps represents a huge growth opportunity right here in the U.S. So I wouldn't be surprised if Snaptu and other feature phone app platforms, such as Getjar, start attracting more interest and investment and start rolling out richer offerings for U.S. mobile users.

The main reason for this is that most smartphone data plans are likely to remain pretty costly, and the majority of mobile users are very cost-conscious. Increasing consolidation among U.S. carriers won't bring monthly bills down.

For instance, AT&T's newly proposed acquisition of T-Mobile would increase market consolidation by absorbing the lowest-cost major U.S. carrier, which Consumers Union believes will lead to rate increases for current T-Mobile customers (among other problems for consumers).

Earlier this year, Qualcomm announced that it's making Opera Mini the default browser on its BREW MP operating system, which powers a huge portion of U.S. feature phones. This move will make Web browsing much easier on feature phones, and it could spark a far greater appetite for mobile content and services among feature phone users.

At the same time, feature phones are getting smarter and easier to use. For instance, the new HTC Freestyle, available from AT&T, emulates the HTC Sense Android interface, but it's powered by BREW MP and it doesn't require a two-year contract.

When it comes to user experience, apps probably make much more sense on feature phones than smartphones in the long run.

One of the great strengths of smartphones is their fully featured, easy-to-use Web browsers. Increasingly these will support HTML5 functionality, which allows Web pages to work more like apps. Since it's much easier and cheaper to develop for the mobile Web than for several native app platforms, a lot of smartphone services that are delivered mainly via apps today probably will migrate to a mobile browser experience.

Feature phones will probably always lag behind smartphones in terms of Web browser usability. (Opera Mini is nice and fast, but it's definitely nowhere near the experience of Mobile Safari or Dolphin HD.) So on feature phones, apps are probably the best way to deliver a richer and more user-friendly experience.

Of course, wireless carriers would have to play ball for the feature phone app market to grow. Right now, carriers control which Java-based apps customers can download onto feature phones. For the U.S. feature phone app market to take off, carriers would have to loosen restrictions.

I doubt Facebook would have bought Snaptu if it only wanted to introduce apps outside of the U.S. They're probably also looking to get an early jump on a huge and largely underserved U.S. consumer market.

Stay tuned. The feature phone app space is probably about to get very interesting.

The opinions expressed in this post are solely those of Amy Gahran.

@highlight

Facebook just bought Snaptu, a platform for apps that run on feature phone models

@highlight

About 72% of U.S. cell phones are feature phones

@highlight

Wireless carriers would have to play ball for the feature phone app market to grow