(CNN) -- A friend of mine who works in advertising recently got called for a job in Riyadh, Saudi Arabia. Knowing I have traveled in the Middle East, she asked me if she should take it. I said it might be interesting in terms of cultural anthropology, but don't expect to enjoy yourself. The social and legal restrictions on women are rampant.

In the end she turned it down, and one big reason was her trepidation about how she would be treated.

Western women work in the notoriously misogynistic Gulf States, mostly in PR for governments and doing business with multinationals. But the biggest contingent of foreign women working in those countries -- the millions of Bangladeshi, Indonesian and Filipino servants -- are off the radar. The events of this past week should be regarded as their, and the native women's, silent scream.

Marte Deborah Dalelv, an interior designer working in Qatar, reported being raped last year while on a business trip to Dubai. Although her alleged attacker was arrested and jailed, so was she. A court sentenced her to 16 months in prison for having unlawful sex.

World outrage at the Kafkaesque situation apparently provoked the Dubai potentate Sheikh Mohammed bin Rashid Al Maktoum to "pardon" Dalelv. She gets her passport back and is free to go home. She told reporters in Dubai she planned to get out soon.

The incident should be a wake-up call for any woman, and any man who cares about women, working in or doing business with the petro-cash soaked Gulf States.

It is a reminder to us that no matter how many glittery skyscrapers they build, no matter how many jewels of Western culture they attract -- the Sorbonne, Guggenheim and NYU in the United Arab Emirates, for example -- their laws are stacked against women. To convict a rapist in the United Arab Emirates, he must confess or at least four Muslim men who witnessed the rape must come forward.

Norway's government helped negotiate Dalelv's release, perhaps motivated by the 72,000 signatures collected by outraged Facebookers. That is not always the case. In 2008, an Australian woman who reported being gang-raped served eight months in jail.

In December 2012, a British woman reported being raped by three men in Dubai and was found guilty of drinking alcohol without a license and fined.

In January 2010, a British woman reported being raped by an employee at a Dubai hotel. She was charged with public intoxication and having sex outside of marriage.

Davelv thanked the emir for pardoning her (for what, exactly?), but royal forgiveness of a rape victim is not enough.

We ought to be pressuring the leaders of Dubai, and other Gulf States, all the time, and not just when foreign women are victims.

The U.S., incredibly, has had three female secretaries of state in a row who never put this issue on the table despite many meetings with kings and princes. We should be applying much more political and diplomatic pressure on these countries to give women their basic human rights.

We should also be supporting the brave women in these countries fighting for change.

A slender young Saudi woman named Manal al Sharif has been courageously fighting for women's right to drive in the Kingdom. She's been jailed. The rich and powerful nation where she lives and works forbids women from driving by refusing to grant them driver's licenses and arrests those who do drive.

The Saudis' justifications include the risible statements from religious muftis who preach that driving is a gateway activity to promiscuous sex.

The real reason women Saudi Arabia forbids women from driving is that the law regards them as children for life. Females remain legally under male "guardianship" from cradle to grave in the Gulf theocracies. Mobility profoundly threatens that lopsided intimate power structure.

In 2011, our nation's 14 female U.S. senators  signed a letter urging Saudi Arabia to let women drive. Shouldn't there have been 100 senators' signatures -- male and female -- on such a letter?

In any other circumstance where biased laws affected men, too, we would see a more coordinated response. What if a nation forbade an ethnic group from driving, forced its members to walk about in blankets in desert heat and criminalized them for being victims of violence?

Absolute power, as the saying goes, corrupts absolutely. The abysmal state of gender relations in the theocracies includes girls in their early teens forced into marriage, rampant and unreported domestic violence and -- as in the Dalelvy case -- laws that offer no protection for rape victims but instead make them criminals.

The Arab Spring hasn't done much for women anywhere in the Arab world, and least of all in the Gulf States, which have avoided any revolutionary activity by crushing dissent and jailing people without charge.

Dubai, with its cool, gleaming skyscrapers, has earned a reputation as a playground for the world's wealthiest people. Al Jazeera, owned by the Qatari princes, is a reputable news organization not just in Arabic but in English as well.

The trouble is that these visible advancements are attached to medieval attitudes toward women.

And the real victims are not Western women, who can come and go at will, but the millions of powerless women who live in those countries.

Dalelv -- blond, First World and educated -- gets to go home to her mother and friends in Norway. How many female rape victims are languishing in the emirs' and sheikhs' jails or ostracized by society for life or suffering in silence for the "crime" of having been sexually assaulted?

Our silence is a measure of the power of petro-dollars and a powerful signal about where women's human rights rank on the world stage.

Until and unless Gulf State leaders start making some pro-female changes, women invited to work in these countries should boycott all job offers. Maybe if the emirs are isolated in their all-male 21st century utopia, they will begin to change.

The opinions expressed in this commentary are solely those of Nina Burleigh.

@highlight

Nina Burleigh: Case of woman sentenced to jail in Dubai for reporting rape is not unusual

@highlight

Westerners can leave, she says, but Arab women and foreign servants must stay and endure

@highlight

She says Arab Spring hasn't done much for women: Don't be fooled by modern skyscrapers

@highlight

Burleigh: The power of petro-dollars fuels our silence, shows we fail on global women's rights