Haiti's terror didn't end when the ground stopped shaking.

Reports of rape and sexual violence have been all too common after the January 2010 earthquake that killed more than 220,000 people and displaced almost 25% of the entire population.

"On the evening of January 20, several young men were firing gunshots in the air. They came into our shelter and grabbed my 19-year-old niece," one woman, Dina, told Amnesty International. "They just came in, grabbed her and dragged her away. ... She was raped by several men. They took her at around 9 p.m. and let her go at around 2 a.m."

Another woman, Guerline, told the rights group that she and her 13-year-old daughter were attacked on the same night in March 2010. The men wore hoods and told Guerline that if she went to the police, she would be shot dead.

"There is nowhere safe where I can live, so I had to keep quiet," she said. "I didn't take my daughter to the hospital. She was too scared. I sent her to another town where some relatives live."

In the days following the disaster, camps were set up to provide shelter for more than a million displaced Haitians. But these "tent cities" have been far from ideal, according to Malya Villard-Appolon, one of this year's top 10 CNN Heroes.

"After the earthquake, the situation was inhumane and degrading. There was no security. There was no food; there was no work," said Villard-Appolon, a rape survivor who co-founded an organization, KOFAVIV, that helps other victims find safety, medical aid and legal support.

"Two years after the earthquake, it is still the same," she said. "The people are still under the tent, they don't have electricity, they are getting raped."

Nearly 370,000 people remain in displacement camps, according to the U.N. And gruesome reports of violence, inadequate health care and substandard living conditions have painted a picture of horror and hopelessness.

In one study, published in January by the Center for Human Rights and Global Justice (PDF), 14% of households reported that at least one member of the household had been a victim of sexual violence since the earthquake. And 70% of households surveyed said they were now more worried about sexual violence.

Residents have cited lack of lighting, long walks to the bathroom, and flimsy tents as some of the issues putting females at risk of attack. Many females also are on their own for the first time.

"Women and girls were left to fend for themselves in camps," said Anne-christine d'Adesky, project coordinator for PotoFanm+Fi, a nonprofit that has been working with more than 70 Haitian support groups to track post-earthquake violence. "Because of the great displacement, people lost that sense of community protection."

Accurate numbers of gender-based violence are difficult to find in the aftermath of such devastation, especially when many victims fear retaliation. But d'Adesky said her group has seen a steady rise in reports, which she attributes to increased outreach.

One young woman, Marie, was raped in the Champ de Mars camp and had her jaw broken. She said she was also forced into prostitution so she could eat and survive.

High numbers of adolescent girls are engaging in what they call "transactional sex" for shelter and food, d'Adesky said. Many of those interviewed claimed they had never sold sex before, but the earthquake had left them no option.

"I call this gender aftershocks," said d'Adesky, whose group is publishing their report on Haiti next month. "These women and girls have no means of survival and are engaging in transactional sex work -- or survival sex -- sometimes just for shelter."

And many of those women -- as well as those who have been raped -- are becoming pregnant, raising fears about rising maternal health issues.

Even before the quake, Haiti was the most dangerous place to be pregnant in the Western Hemisphere: the lifetime risk of dying during childbirth there is 1 in 47.

"We followed up with a number of pregnant girls who were no longer pregnant," d'Adesky said. According to her sources, there has been a high rate of illegal street abortions and child abandonment.

But amid the depressing and dire reports comes a glimmer of hope.

KOFAVIV and other groups are working to help young girls and women, giving them safety, support and training so they can make money and not have to sell themselves.

Better lighting has been installed in some displacement camps. More than 10,000 military and police personnel are now helping to provide security throughout the country, and hundreds of U.N. peacekeepers have been assigned to specifically work with the Haitian National Police.

And in the last two years, there has been a big change in the way rape is prosecuted, according to legal experts. More women are reporting the crimes, and more rapists are being prosecuted.

"There has been a higher percentage of complaints that are turning into pre-trial investigations and are leading to formal charges," said Brian Concannon Jr., director of the Institute for Justice & Democracy in Haiti.

In the first two years after the quake, sources in Haiti had estimated there were few, if any, rape convictions. But this year there have already been more than 60 convictions for sex crimes in Haiti, according to the National Human Rights Defense Network.

This summer, 22 rape cases were prosecuted and there were 13 convictions, said Meena Jagannath, a lawyer who has worked with Haitian rape victims. There was one acquittal, and eight of the trials were "left blank" for a number of reasons, including lack of representation for the victim who may not have even known she was to appear in court.

"It sounds like it's a small number, it sounds like more should have been filed since 2010," Jagannath said. "But we should take into consideration the biases of the system and level of disorganization and corruption. It really is an accomplishment. I've heard those numbers are much higher now than even before the earthquake."

CNN Photos: Rape adds to Haitian camp woes

Concannon said Haiti's justice system has a history "of not taking rape that seriously." It wasn't until 2005 that rape was classified as a crime on par with an assault. Before that, rape was a "crime against public morals," which Concannon says is something like a misdemeanor compared with a felony.

Now the challenge is changing attitudes and empowering women to speak up. While it still can be difficult for many victims to file a police report and obtain the necessary medical documents needed to pursue justice, there are more resources for women who want to speak out.

"All this progress is the result of advocacy by KOFAVIV and other grassroots women's groups and their allies," Concannon said. "I believe that the progress has the potential to play a key role in transforming attitudes about violence against women -- not just in the justice system, but in Haitian society as a whole."

More from CNN Heroes:

Afghan girls take brave first step

Young caregivers put life on hold

What really sways teens not to drink, drive?

@highlight

Nearly three years after Haiti's earthquake, many are still living in displacement camps

@highlight

Women are reporting rape, sexual violence in these "tent cities"

@highlight

But amid the depressing, dire reports comes a glimmer of hope

@highlight

Top 10 CNN Hero Malya Villard-Appolon is reaching out to support Haitian rape victims