(CNN) -- Iran's finance minister believes oil prices could rise as high as $160 a barrel thanks to sanctions over its nuclear program, a prediction that comes just as the chief of the United Nations nuclear watchdog agency headed to Tehran on Sunday for high-level talks.

"We must pay close attention when we speak of oil revenues and sanctions against oil sales, who are the winners and the losers of such sanctions?" Shamseddin Hosseini told CNN's "Fareed Zakaria GPS" in an interview that airs Sunday.

"Indeed, it is difficult. But not just for Iran. And we can all rest assured that there will be a considerable increase in international oil market prices. Now, is this the best approach?"

The comments came as the International Atomic Energy Agency said in a carefully worded statement that its director-general, Yukiya Amano, was headed to Iran for talks on what it described only as "issues of mutual interest with high Iranian officials."

The trip raises speculation that Iran may be willing to grant IAEA inspectors access to sites to determine whether it is developing nuclear weapons.

The talks come at a critical time for Iran, whose economy has been crippled by sanctions imposed by the United Nations, the United States and the European Union.

Eighty percent of Iran's foreign revenues are derived from oil exports, and an embargo by the EU set to go into effect in July will further devastate its economy.

But Hosseini said the embargo would also likely hurt the EU, which is grappling with its own weakened economy.

Oil prices as a result of the sanctions, he said, "will go considerably higher than $100 per barrel."

Even the International Monetary Fund "says as a result of these sanctions, oil prices will perhaps reach and hover around $160 per barrel," he said.

Hosseini gave little indication to Zakaria that Iran would be willing to abandon its nuclear program, which Tehran has consistently maintained is solely for the development of alternative energy.

"There are conversations and dialogues taking place currently, but there cannot be a hegemony and a double-standard in the treatment of member countries such as Iran," he said.

"If these principles can be understood and applied with mutual respect, I think we will be in a much better place. If we don't, we will witness a increase in international oil markets."

The Iranians met with the IAEA for the first time in three months in Vienna, Austria, last week and are expected to meet again Monday.

Later this week in Baghdad, Iran is set to continue talks over its nuclear program with world powers who make up the group known as P5+1: the United States, France, Russia, China, Britain and Germany.

Tensions over the country's nuclear program have roiled the Middle East, with Iran threatening earlier this year to close the Strait of Hormuz, a vital oil shipping lane, if sanctions were imposed on its exports of crude oil.

Meanwhile, Israel has said it may attack Iran to prevent it from developing nuclear weapons.

During the height of tensions, oil prices soared to $110 a barrel. The price per barrel of crude oil finished last week at $92.50 per barrel.

In March, the IAEA noted what it called a sharp and troubling increase in Iran's uranium enrichment capabilities.

The United States and its allies suspect that Iran is evading international inspections and is developing nuclear weapons. As punishment, Western nations have slapped crippling sanctions on Iran.

Leaders of the so-called Group of Eight -- United States, Canada, the United Kingdom, Germany, France, Italy, Japan and Russia -- called on Iran on Saturday to comply with the requirements of the U.N.'s watchdog agency to open its doors to nuclear inspectors.

In a declaration, the G8 leaders said they welcomed the resumption of talks.

The leaders called on Iran to engage "in detailed discussion about near-term, concrete steps that can, through a step-by-step approach based on reciprocity, lead towards a comprehensive negotiated solution which restores international confidence that Iran's nuclear program is exclusively peaceful," according to the declaration.

The G8 leaders also urged Iran to comply with international obligations to uphold human rights and fundamental freedoms, including the freedom of religion.

@highlight

Iran's finance minister tells CNN that oil prices could rise as high as $160 a barrel

@highlight

"Rest assured there will be a considerable increase," the minister says

@highlight

The chief of the U.N.'s nuclear watchdog agency is heading to Iran for talks

@highlight

G8 leaders urge Iran to cooperate with inspectors