(CNN) -- This year marks the 20th anniversary of the opening of the Channel Tunnel linking France with the United Kingdom, and the 50th anniversary of the deal which led to its creation.

To mark the occasion, we're taking a look at some of the world's greatest tunnels.

Channel Tunnel (UK and France)

Connecting the United Kingdom with continental Europe (it has entrances/exits in Folkestone, Kent, and Pas-de-Calais in northern France), the tunnel has the world's longest undersea section -- 37.9 kilometers (23.5 miles).

Though a marvel of the modern age, it wasn't a new idea when it was built.

French engineer Albert Mathieu proposed a tunnel under the English Channel in 1802, although his plans included an artificial island mid-channel where horse-drawn carriages could make maintenance stops.

"This tunnel defined the term 'mega project,'" says Matt Sykes, tunnel expert and director at engineering company Arup.

"It fundamentally changed the geography of Europe and helped to reinforce high speed rail as a viable alternative to short-haul flights."

Length: 50 kilometers (31 miles)

Fast fact: Though both the English and French put in work to build the Channel Tunnel, the English side tunneled a greater distance.

More info: Euro Tunnel

Laerdal Tunnel (Aurland, Norway)

The Laerdal Tunnel in West Norway is the world's longest road tunnel and cost $153 million to build, which works out at $6,250 per meter.

The length of the tunnel prompted engineers to include various features designed to alleviate claustrophobia and tiredness.

"The sheer length of tunnel -- which takes 20 minutes to drive through -- led to innovation in the use of behavioral science and driver psychology in the design to reduce driver fatigue and improve safety," says Sykes.

"This resulted in large, colorfully lit caverns every six kilometers, providing points of interest and a unique driver experience."

Length: 24.5 kilometers (15.2 miles)

Fast fact: Engineers separated the tunnel into different sections to give the illusion that drivers are traveling through a number of smaller tunnels.

In these smaller sections drivers can take breaks, or even have a wedding ceremony, as one adventurous couple has previously done.

More info: The Fjords

Tokyo Bay Aqua-Line (Tokyo)

It's easy to mistake this tunnel for a bridge because part of the structure comprises a 4.4-kilometer span as well as a 9.6-kilometer subsea conduit.

The Aqua Line crosses Tokyo Bay and connects the cities of Kawasaki and Kisarazu.

It reduced the journey time between the two from 90 to 15 minutes.

"This project required the world's largest undersea tunnel boring machines and set the precedent for constructing two-lane road tunnels," points out Matt Sykes at Arup.

"The resilience of the construction was demonstrated during the 2011 Tohoku-Pacific Ocean earthquake, which caused severe damage to Tokyo Bay."

Length: 14 kilometers total (8.7 miles)

Fast fact: Constructed atop the Tokyo Bay Aqua Line is an island that functions as a rest area and mall.

The man-made island, called Umi-Hotaru, is a popular scenic point with an observation deck that gives a great view of Tokyo Bay.

More info: Nippon Civil Consulting Engineers

Eisenhower Tunnel (Colorado)

Colorado's Eisenhower road tunnel is one of the world's highest, located 3,401 meters (11,158 feet) above sea level, at the highest point on the U.S. interstate highway system.

It played a significant role in the women's rights movement when Janet Bonnema was hired as a construction worker in 1972.

Her supervisor misread her name as James, but realized his mistake and reassigned her to administrative duties after workers -- many of whom were former miners -- cited the common superstition that a woman's presence can bring bad luck to a mine.

Bonnema sued and was allowed to return to the tunnel.

A new equal rights law was subsequently passed.

Length: 2.72 kilometers (1.7 miles)

Fast fact: Prior to the tunnel's official opening in 1972, a drunk driver believed he should be the first person to take a vehicle through and was arrested for trespassing.

Charges were subsequently dropped because the signs prohibiting traffic were considered inadequate.

More info: Colorado Department of Transportation

Spiralen Tunnel (Drammen, Norway)

The dramatic Spiralen road tunnel, built in 1961 and comprising six spirals covering 1,649 meters (5,413 feet), leads to one of the most spectacular viewpoints in the industrial town of Drammen.

"Despite being an expensive country, Norway builds some of the cheapest tunnels," says Alun Thomas, head of tunnels at engineering consultancy Ramboll.

"This is because the engineers strip the design down to the bare essentials required for the flow of traffic in the tunnels. Maximum benefit for minimum effort -- that's good engineering."

Length: 1.65 kilometers (1.02 miles)

Fast fact: The tunnel opens out to a dramatic view of Drammen Valley and has a beer garden, restaurants and open-air museum.

Guoliang Tunnel (Henan Province, China)

Before the construction of this impressive tunnel, the only way to access the village of Guoliang was via a narrow path carved into the side of the Taihang Mountains.

In 1972, a group of 13 villagers decided to construct a tunnel, which they dug by hand.

Three died during the construction process but the tunnel transformed the village and became a tourist attraction in its own right.

"This tunnel is beautiful and a tribute the tenacity of the villagers who built it," says Thomas at Ramboll.

"For me it emphasizes how tunnel construction can enhance the environment as well as bringing huge benefits for society. At the same time, one should remember the cost and the fact that several villagers were killed during construction."

Length: 1.2 kilometers (0.74 miles)

Fast fact: The tunnel was built jagged and steep due to the village's primitive tools, earning it the nickname: "The road that does not tolerate any mistakes."

SMART (Kuala Lumpur, Malaysia)

"SMART is a combined road and flood relief tunnel," explains Thomas at Ramboll.

"It can be completely flooded to get rid of storm water and turned back into a road in a few hours."

The tunnel, the longest in Malaysia, was built to solve the problem of flash flooding in Kuala Lumpur.

SMART can operate in three ways.

When there's no flooding, it serves purely as a road tunnel.

When there are floods, rainwater can be diverted into a lower channel, and the upper level will remain open to traffic.

When exceptionally heavy floods occur, the tunnel closes to all traffic and watertight gates open to allow floodwater to flow through.

Length: 9.7 kilometers (6.02 miles)

Fast fact: The tunnel is expected to prevent billions of dollars of possible flood damage and costs from traffic congestion.

Since it opened in 2007, flood-prone areas such as Masjid Jamek, Dataran Merdeka, Leboh Ampang and Jalan Melaka have been spared inundation.

More info: SMART Motorway Tunnel

Bund Sightseeing Tunnel (Shanghai)

This underwater Chinese tunnel is short and sweet, but spectacular and slightly strange.

It spans the Huangpu River and connects Shanghai's Bund to Lujiazui, location of the Pearl TV tower.

Passengers were originally going to be ferried from one side to the other on a moving walkway, but automated cars were installed instead.

Length: 646.7 meters (2,122 feet)

Fast fact: A company that had worked with Disney was originally supposed to help design the tunnel, but was deemed too expensive.

Instead a Shanghai-based company created the tunnel's psychedelic lights and trippy audio-visual effects.

The ride is apparently meant to represent a journey to the core of the earth, and the tunnel currently ranks as one of Shanghai's top five tourist attractions.

Seikan Tunnel (Japan)

The Seikan is a railway tunnel in Japan, but what makes it unique is the fact that a 23-kilometer (14.2 miles) stretch of the tunnel is 140 meters (460 feet) below sea level.

It's the longest and deepest rail tunnel in the world, and spans the Tsugaru Strait, connecting Aomori Prefecture on the island of Honshu to the island of Hokkaido.

Work on the tunnel started in 1964 and was completed in 1988.

Length: 53 kilometers (32.9 miles)

Fast fact: In 1976, construction workers hit a patch of soft rock and water gushed into the tunnel at a rate of 80 tons per minute. The leak took two months to fix.

More info: JR-Hokkaido Hakadote Branch

@highlight

2014 marks the 20th anniversary of the opening of the Channel Tunnel

@highlight

The 24.5-kilometer Laerdal Tunnel in West Norway is the world's longest road tunnel

@highlight

At 460 feet below sea level the Seikan Tunnel is the longest and deepest rail tunnel in the world