(CNN) -- As the world says goodbye to Nelson Mandela, the task of ensuring his legacy becomes the world's responsibility.

His life has been described as an evolution from militant freedom fighter, to prisoner, to unifying figure and eventual elder statesman -- in the process winning the hearts and minds of world leaders and average citizens alike.

In his 95 years he accomplished what many thought impossible. Held prisoner for 27 years and later becoming South Africa's first democratically elected president, he practiced reflection, negotiation and incredible stubbornness. His capacity for forgiveness and reconciliation made him one of the most remarkable and respected individuals of modern times.

Whether it's battling racism, offering a helping hand or long-overdue forgiveness, here are several practical suggestions to keep Mandela's legacy alive.

Make the best of your current situation

"It is possible that if I had not gone to jail and been able to read and listen to the stories of many people. ... I might not have learned these things," Mandela once said in 2000 during an interview with the Christian Science Monitor.

He said reading biographies helped him realize problems make some people, while destroying others.

His mother and eldest son both died while he was imprisoned.

While he had ample reason to remain bitter about his mistreatment, instead he wrote in "Long Walk to Freedom," his 1995 autobiography, "Prison is itself a tremendous education in the need for patience and perseverance. It is, above all, a test of one's commitment."

Don't judge a book by its cover

"I have been surprised a great deal sometimes when I see somebody who looks less than ordinary, but when you talk to the person and he (or she) opens his mouth, he is something completely different," Mandela said in the same interview about how his prison experience taught him to respect even the most ordinary people.

Anthony F. Lemieux, an associate professor of communication at Georgia State University in Atlanta said avoiding the temptation to put people in narrowly fixed categories is one of Mandela's greatest legacies.

"People are complex and dynamic, capable of change and evolving," Lemieux said. It would have been easy for Mandela to become and remain jaded after what he had experienced, Lemieux added.

Even for the people who kept Mandela locked up, the former president said they weren't bad people. "Mr Mandela was at pains to point out that not every prison warder or apartheid official was bad. This view was underpinned throughout by his assertion that to get along in life one should see the good in all people," said a Nelson Mandela Centre of Memory statement on a collection of writings about his prison time.

Use your passion to persuade others

"If you have an objective in life, then you want to concentrate on that and not engage in infighting with your enemies," Mandela continued during the interview. "You want to create an atmosphere where you can move everybody toward the goal you have set for yourself."

Remaining focused on a goal despite adversity requires a deep level of commitment. Ask anyone whose ever overcome great odds to achieve their version of greatness.

Lemieux said different situations are going to draw different things out people, but it's never as simple as distilling the experience down to a "type of person." Practically none of us knows how we will react in complex situations and interactions.

Change yourself first

"One of the most difficult things is not to change society -- but to change yourself," Mandela said in 1999 at a tribute to billionaire businessman Douw Steyn, who had made his Johannesburg residence available to Mandela as a retreat after his prison release in 1990.

While Mandela clearly fought for change in the world he lived in, he also changed himself.

While imprisoned, he reflected on his "wild man" behaviors. He also said he neglected to show any gratitude to those who had helped him when he was poor, after he experienced some success as a lawyer.

Lemieux points out his change from violence to peace was profound. Throughout the violence and chaos, ultimately, "It wasn't the violent conflict that led to social change."

Don't be afraid to acknowledge weaknesses

"If you come across as a saint, people can become very discouraged. I was once a young man and I did all the things young men do," Mandela told the Christian Science Monitor.

"In his twilight, Mandela was at pains to publish and acknowledge his weaknesses and shortcomings in his family life, in his relationships with women and his first wife, Evelyn," John Battersby wrote for CNN. "He was keen to dispel any notion of sainthood that might be bestowed on him. To this day, Mandela's weaknesses, his turbulent youth and his sometimes tempestuous relationships with women can still detract from the iconic status that Mandela achieved in his own lifetime.

"But, the responsible airing of his weaknesses -- including his own acknowledgment -- in fact humanized Mandela and focused on his extraordinary strength of character and commitment in overcoming both his weaknesses and adversity in his own lifetime. It augmented Mandela's greatness."

Get educated -- educate others

"Education is the most powerful weapon which you can use to change the world," Mandela said during a speech at the University of the Witwatersrand in Johannesburg in 2003.

Mandela failed twice to complete his bachelor's degree and readily admitted he was a poor student. Eventually he earned a law degree.

Six weeks after being elected President in 1994, Mandela called on South Africans to solve the country's "profound education crisis," Bloomberg reported this year.

"The task to make South Africa a learning and learned nation belongs to all of us," he said in a speech.

But the country's schools are near the bottom in international rankings. Unqualified teachers, inadequate training and corruption are among the problems. Still, officials say almost all South African children now attend school, Bloomeberg reported.

Look people in the eye and shake their hands

"Nelson Mandela made such a common gesture something transcendent -- a greeting that crossed all societal barriers, a symbol of reconciliation, even a declaration of victory," wrote CNN's Tom Cohen in his piece, "Nelson Mandela: Man of many handshakes."

Before meeting visiting dignitaries or political adversaries in five-star hotel conference rooms, Mandela made sure to approach the security guards, servers and other workers outside to shake their hands, Cohen wrote.

They went wild when Mandela concluded his final statement during a conference by offering his hand to F.W. de Klerk, South Africa's last apartheid-era president, as an expression of unity, saying that despite their differences, he was willing to work with his adversary. De Klerk had little choice but to grasp it.

"I look at not only how people treat me, but how they treat others," Lemieux said. "Sometimes this (how they treat others) is more important."

A simple handshake, Lemieux said, can convey to others that the person making the gesture is demonstrating the belief that, "this person has value, has a perspective."

Maintain a sense of humor

"You sharpen your ideas by reducing yourself to the level of the people you are with and a sense of humor and a complete relaxation, even when you're discussing serious things, does help to mobilise friends around you. And I love that," Mandela said in a 2005 interview, published by the Nelson Mandela Foundation.

At election rallies in 1994, Cohen wrote, Mandela repeatedly elicited trilling howls of ululation from women of all ages when he explained how voters should search their ballots for the picture of the "very handsome young man" -- referring to himself -- to mark their support for the ANC.

CNN's Robyn Curnow examined Mandela's the importance of his ability to "charm and cajole."

"The cult of Mandela had become so pronounced that celebrities, world leaders and ordinary people often became tongue-tied and gibbering when they met him," she said. "Self-mockery was a typically savvy Mandela ploy to ensure that people would relax around him."

Forgive

"It enables me to go to bed with an enriching feeling in my soul and the belief that I am changing myself [by reconciling with former adversaries]," Mandela told the Christian Science Monitor about his experiences with Douw Steyn.

Steyn was a white businessman who befriended Mandela and began sharing his resources with the poor.

"For someone who had been imprisoned, it (forgiveness) was a fundamentally transformative experience," Lemieux said. He explained that people unable to forgive may experience an inability to move forward.

Johann Lochner was a Johannesburg police officer from 1986 to 1990. In an essay submitted to CNN iReport, Lochner describes responding to a shopping mall bombing scene and stepping over body parts.

"We suspected that the deceased may have been affiliated with the Umkhonto we Sizwe, the militant arm of the African National Congress," Lochner wrote. He describes the police department, as well as the city, as "greatly divided."

"Mandela wanted to find a way to unite all the people of South Africa -- something only the power of forgiveness could produce," he said. "To this day, I am so passionate about the role forgiveness played in Madiba's life. I remember so clearly how I had to personally take steps to overcome the ingrained apartheid mentality in South Africa."

"It's almost like a miraculous, supernatural transformation had taken place in Mandela's life, and consequently, in the whole nation.

"Forgiveness freed Madiba," Lochner said, "and forgiveness freed his country,"

Nelson Mandela from Joel Gautraud on Vimeo.

.

@highlight

Simple changes in everyday behavior can honor Mandela's legacy

@highlight

Forgiveness, compassion, humor used by many notable world leaders

@highlight

Expert warns against using Mandela examples as solution for all problems