Washington (CNN) -- There is no health risk from consuming milk with extremely low levels of radiation, like those found in Washington state and California, experts said Thursday, echoing the U.S. Environmental Protection Agency.

"When we have a disaster like we've had with a nuclear power plant in Japan, we're probably going to find things that are truly not a public health risk, but I think it's very difficult for the public to assimilate this information and understand the risks," said Dr. Wally Curran, a radiation oncologist and head of Emory University's Winship Cancer Center.

The federal agency said Wednesday it was increasing its nationwide monitoring of radiation in milk, precipitation, drinking water, and other outlets. It already tracks radiation in those potential exposure routes through an existing network of stations across the country.

Results from screening samples of milk taken in the past week in Spokane, Washington, and in San Luis Obispo County, California, detected radioactive iodine, or iodine-131, at a level 5,000 times lower than the limit set by the U.S. Food and Drug Administration, officials said.

At that level, a person would have to drink 1,000 liters of milk to receive the same amount of radiation as a chest X-ray, said Dr. James Cox, radiation oncologist at Houston's MD Anderson Cancer Center.

The I-131 isotope has a very short half-life of about eight days, the EPA said, so the level detected in milk and milk products is expected to drop relatively quickly.

"The good news about iodine is, it has a short half-life," said Curran. "It doesn't dwell in any biologic system, be it an adult, a child, a cow, for any significant period of time, and at those levels there's no evidence that there's any medical significance."

Radiation gets into the milk because it falls on grass eaten by cows. The milk does not itself absorb radiation.

FDA senior scientist Patricia Hansen also said the findings are "minuscule" compared to what people experience every day.

Washington Gov. Chris Gregoire said tests confirmed the milk is safe to drink.

"This morning I spoke with the chief advisers for both the EPA and the FDA and they confirmed that these levels are minuscule and are far below levels of public health concern, including for infants and children," Gregoire said in a statement.

"According to them, a pint of milk at these levels would expose an individual to less radiation than would a five-hour airplane flight."

Similarly, the California Department of Public Health reassured residents that the levels do not pose a threat.

"When radioactive material is spread through the atmosphere, it drops to the ground and gets in the environment. When cows consume grass, hay, feed, and water, radioactivity will be processed and become part of the milk we drink. However, the amounts are so small they pose no threat to public health," the department said.

At least 15 states have reported radioisotopes from Japan's crippled Fukushima Daiichi nuclear plant in air or water or both. No states have recommended that residents take potassium iodide, a salt that protects the thyroid gland from radioactive iodine.

Iodine-131 has been found in Eastern states from Florida to Massachusetts as well as in Western states like Oregon, Colorado, and California, according to sensors and officials in those states.

None of the levels poses a risk to public health, they said.

At high levels, the isotope focuses on and accumulates in a person's thyroid gland, Curran said. A medical test for thyroid health involves a person ingesting iodine-131 and undergoing a nuclear scan to examine the gland.

The Japanese plant has been leaking radiation since it was damaged in a tsunami that followed a massive earthquake March 11.

CNN's Sara Weisfeldt and Ashley Hayes contributed to this report.

@highlight

Isotope won't remain in humans' or animals' digestive systems, expert says

@highlight

The Environmental Protection Agency is increasing monitoring nationwide

@highlight

A milk sample from Washington state and California shows "minuscule amounts" of radiation

@highlight

Tests confirm the milk is safe to drink, officials say