(CNN) -- Is Pfc. Bradley Manning an idealist who became disillusioned by what was being done in Iraq and elsewhere in the name of U.S. national interests, as the attorney for the former Army intelligence analyst has argued?

Or is he, as the prosecution contends, a traitor who leaked classified material to WikiLeaks that he knew could assist terrorists?

The formal answers to those questions, at least, will come in the anticipated verdict by a military judge, who will decide Manning's guilt or innocence in a case that has been described as the largest leak of classified material in U.S. history.

Authorities have accused Manning of delivering three-quarters of million pages of classified documents and videos to WikiLeaks -- which has never confirmed the soldier was the source of its information -- about everything from the U.S. military strategy in Iraq to U.S. State Department cables detailing its foreign relationships.

There is little debate over the basics of the case: Manning pleaded guilty in February to 10 lesser charges related to the leaks, and spent more than an hour in court reading a statement that detailed why and how he sent classified material to WikiLeaks -- a group that facilitates the anonymous leaking of secret information through its website.

But Manning refused to plead guilty to the most serious allegations, including that of aiding enemies of the United States -- a charge that falls under the Espionage Act and carries a sentence of life in prison, if convicted.

As the soldier sits in a military prison cell at Maryland's Fort Meade awaiting word of his fate, questions remain about what damage his actions caused to U.S. intelligence gathering.

The answer depends on who is doing in the talking.

"Osama bin Laden asked for some of the information himself," the prosecutor, Army Maj. Ashden Fein, said during his closing argument Thursday, referring to the documents provided to WikiLeaks by Manning.

But Manning's attorney, David Coombs, told the court Friday that despite claims that the leaks harmed national security, the Army did not make any major changes to its operation.

It's a sentiment that has been echoed publicly by his supporters.

"They really have not reported any great impact. More embarrassment than anything else," Kevin Zeese of the Bradley Manning Support Network, an online group that supports the soldier's actions and has been raising funds for his legal defense.

Embarrassing or not, the publication of the leaks rocked the U.S. government, with then-Secretary of State Hillary Clinton saying the release of the material threatened the lives of Americans and damaged foreign relationships.

Prosecution witnesses have testified Manning downloaded and leaked 400,000 Pentagon field reports from Iraq and 90,0000 similar documents from Afghanistan. There evidence also was presented that he downloaded and leaked more than 250,000 State Department cables.

'Collateral Murder' video

For most people, the story began on April 5, 2010, when WikiLeaks released a video that it called "Collateral Murder."

The video was shot from a U.S. Apache helicopter as it opened fire on a group of people in Baghdad in 2007, killing a dozen people. Among the dead were a Reuters TV news cameraman and his driver.

The video showed Reuters' Saeed Chmagh survived an initial strafing by the helicopter, but apparently died when it opened fire again -- this time on people attempting to get him off the sidewalk where he lay and into a van.

The footage quickly made news, elevating what was once a virtually unknown WikiLeaks to a globally recognized name. Later, a U.S. investigation into the attack found that the crew mistook the journalists' cameras for weapons while seeking out insurgents who had been firing at American troops in the area.

But, according to court documents and testimony, by the time the world saw the video, Manning had already downloaded hundreds of thousands of classified documents and videos.

Within months, Manning was behind bars, accused of using his computer skills to commit what the government called treason.

From Oklahoma to Iraq

It was a far cry from his beginnings.

Hailing from the small Oklahoma town of Crescent, population less than 1,300, he was a gearhead with a love of computer games and a passion for current events, his friends and family told CNN in 2011.

After working a series of part-time jobs and, at one point, living out of his car, he joined the Army in 2007.

But it was a tough acclimation, his friends later said, in large part because of the military's "don't ask, don't tell" policy. According to friends and his own writings on the Internet, Manning is openly gay.

Then, in 2009, Manning deployed to Iraq.

He was at Forward Operating Base Hammer in southeast Baghdad, where he worked as an analyst reviewing possible threats to U.S. troops.

According to Fein, the prosecutor, within two weeks of his arrival in Iraq, Manning began working with WikiLeaks founder Julian Assange over what to leak and how to do it.

Assange has taken refuge at the Ecuadorean Embassy in London to avoid extradition to Sweden to face questioning in sex-crimes allegations, charges he claims are a ruse by allies of Washington to arrest him and then extradite him to the United States to face charges.

Manning spent hours at work during off-hours downloading documents, Fein said.

Manning, the prosecutor said, was well aware of the military's policy about divulging classified material and the repercussions of doing it. The soldier had even taught classes about protecting the material, Fein said.

"Manning had no allegiance to the United States," Fein told the court last week, adding that he was "not a whistle-blower; he was a traitor."

But Manning's attorney offered another picture, one in which the war deeply affected his client.

It began, his attorney told the court, after an attack on a convoy with his comrades. A roadside bomb exploded beneath a car full of civilians that had pulled aside to let the military vehicles pass.

Although members of his 305th Military Intelligence Battalion were not hurt, Coombs said, at least one civilian was killed. That changed Manning's outlook on the war, his lawyer said. He "struggled."

He was further disturbed by the "Collateral Murder" video, the attorney said.

"Did they all deserve to die? That is what Pfc. Manning is seeing when he watches this," Coombs told the judge after playing the video in court.

It was for those reasons, according to Coombs, that Manning then started selecting information to reveal, believing that it would be better if it were public.

Coombs said his client was selective in the information he diverted from a controlled-access computer system where he worked as an "all source" intelligence analyst.

What would you do?

Manning came to the attention of authorities in May 2010 after a confidential informant, later identified as ex-hacker Adrian Lamo of Sacramento, California, came forward with a stunning story.

It began with a message said to be posted by Manning, using the instant message handle "bradass87."

"If you had unprecedented access to classified networks 14 hours a day 7 days a week for 8+ months, what would you do?" it read.

According to testimony, that was purportedly part of a string of instant messages that a person sent to Lamo, who was convicted in 2004 for hacking The New York Times, Microsoft and Lexis-Nexis computer systems.

Over a period of days beginning on May 22, 2010, Lamo testified, he and the man identified as Manning instant-messaged about the release of the documents and videos.

Lamo has said he reported Manning to authorities.

Army Criminal Investigation Command Special Agent David Shaver has testified that the chat logs that Lamo provided to the Army largely matched chat logs found on Manning's computer in Iraq.

Solitary confinement

Manning was arrested in Iraq on May 27, 2010, and then transferred to Kuwait before being returned to the United States two months later.

He was formally charged on July 6, 2010, with violations of the Uniform Code of Military Justice and the Espionage Act. In March 2011, the military revised the alleged violations and filed 22 charges against Manning.

He was held for months by the military in solitary confinement, a move that drew sharp criticism from Amnesty International and other human rights groups.

It even cost P.J. Crowley his job as State Department spokesman after he said in March 2011 that the conditions of the soldier's detention were "ridiculous and counterproductive and stupid."

Crowley resigned just days later amid reports that the Obama administration was furious over his suggestion that Manning was being treated badly.

President Barack Obama publicly defended the conditions of the soldier's detention, telling reporters that he had been assured by the Pentagon that the conditions were appropriate and met basic standards.

Even so, the outcry grew, with academics, medical professionals and others weighing in as Manning's attorney filed motions to move the soldier from the Marine Corps prison at Quantico.

After 11 months in solitary confinement, Manning was transferred to Fort Leavenworth. He has since been moved to a jail at Fort Meade.

Dueling portraits

During closing statements last week, attorneys on both sides pointed to a picture of a smiling Manning.

Each had their own take on the man in the cross-dressing image that was taken in 2010 while he was on leave -- just weeks before his arrest.

"This is a gleeful, grinning Pfc. Manning," who had little regard for his allegiance to the United States, Fein told the court.

But Coombs told the judge that picture showed a situation in which Manning could "be himself."

The only question now is what portrait of Manning the judge will offer with a verdict.

CNN's Barbara Starr, Larry Shaughnessy, Ashley Fantz and Dana Ford contributed to this report.

@highlight

Bradley Manning, 25, is charged with violations of the Espionage Act

@highlight

His case is in the hands of a military judge who will decide his guilt or innocence

@highlight

Manning was arrested on May 27, 2010

@highlight

He is accused of releasing upwards of three-quarters of a million classified documents