Health screenings to help prevent the spread of Ebola began Saturday for some travelers to New York's John F. Kennedy International Airport but an official with the Centers for Disease Control and Prevention warned that nothing can "get the risk to zero."

Four other airports will add the screenings Thursday, according to the CDC.

This won't be a mass event, with long lines of travelers waiting for screening. Only about 150 travelers a day will receive the screenings, CDC officials said.

"No matter how many of these procedures are put into place, we can't get the risk to zero," Dr. Martin Cetron, director of the CDC's Division of Global Migration and Quarantine, told reporters Saturday.

"That will not be the case but this additional layer should add a measure of security to the American public. This entry screening procedure, for example, would not necessarily have caught the patient in Dallas."

Cetron was referring to the only case of Ebola so far diagnosed on U.S. soil -- that of Thomas Eric Duncan, who didn't have symptoms at the time he arrived in the United States.

Under the program, passengers originating from Guinea, Liberia, and Sierra Leone will be subject to the additional screening.

Coast Guard corpsmen and eventually medical workers under contract will take the passengers' temperature and Customs and Border Protection staffers will ask questions about their health and possible exposure to Ebola.

Those suspected of possible Ebola exposure will be referred to a CDC public health officer for additional screening.

After the initial run Saturday at JFK, the testing will expand Thursday to Washington-Dulles, Newark, Chicago's O'Hare International Airport and Hartsfield-Jackson International Airport in Atlanta.

The five airports, JFK included, receive 94% of air travelers who come from the afflicted countries, according to the CDC.

"The expanded screening measures provide this layer of protection to the already established protocols to minimize the risk of another case of Ebola here in the United States," said R. Gil Kerlikowske, commissioner of U.S. Customs and Border Protection.

Kerlikowske said travelers with fever or other symptoms or who may have been exposed to Ebola will be referred to the CDC to determine whether they can travel or should be taken to a hospital. In addition, Border Patrol agents will monitor travelers for signs of illness.

Cetron said all travelers leaving the affected countries are already being screened with questionnaires about possible exposure and symptoms and having their temperatures checked.

"More than 36,000 passengers have been screened with this tool the last two months and not a single Ebola case has been detected," he said.

Reporter's Notebook: Why we haven't stopped Ebola

Will it help?

Some critics of the U.S. approach say the screenings won't do much from a public health perspective.

"I think they offer some margin of, I don't know, peace of mind for the public," said Laurie Garrett, a senior fellow for global health at the Council on Foreign Relations and author of "The Coming Plague."

But she stressed the screenings would not have detected Duncan's case.

"So I see this more as something to calm the nerves of the American people, the British people, the French people," she said.

Mary Schiavo, a former inspector general for the U.S. Department of Transportation, said the effort isn't "entirely window dressing, because we have to do something."

"But," she said, "there's much more that has to be done to keep people safe."

She says she worries about planes carrying ill passengers who may not be detected until after they get off the flight. By then, the plane may have already been prepared for another flight.

Health officials have warned the screenings will likely catch some people with fevers, but not Ebola, and could miss some with Ebola as symptoms can take up to 21 days to appear.

"No exit or entry screening will supplant the need for state and local health departments, for clinicians and for individuals to be aware and to think Ebola," Cetron said.

How the Ebola virus spreads

Outbreak in Africa

At least 8,399 people are believed to have contracted the disease as of October 7, according to the World Health Organization. Of those, 4,033 have died, the agency said.

Among health care workers fighting the outbreak, 416 are believed to have caught the disease and 233 have died, according to WHO.

The numbers were reported from Guinea, Liberia, Nigeria, Senegal, Sierra Leone, Spain and the United States.

U.S. troops battle invisible enemy in Liberia

American cases

Aid workers Nancy Writebol and Dr. Kent Brantly contracted the disease in Liberia while working with Samaritan's Purse to care for Ebola patients. They were flown to Emory Hospital in Atlanta, where they were treated and released in August after doctors concluded they were healthy.

A third patient, Dr. Rick Sacra, was flown to Omaha, Nebraska, after contracting the disease while working in Liberia. He was discharged in September.

Doctors at the same hospital are now caring for Ashoka Mukpo, an NBC News videographer diagnosed with Ebola on October 2.

Mukpo's condition continues to improve, according to a statement from The Nebraska Medical Center.

"Mr. Mukpo is still very weak, but his condition has improved since yesterday," said Dr. Phil Smith, medical director of the Biocontainment Unit at The Nebraska Medical Center. "He's eating some solid food now, so we're still headed in the right direction. ... The severity and unknown aspects of the disease we're dealing with always have to be kept in mind."

Mukpo has received the experimental drug Brincidofovir, along with a blood transfusion from Brantly, an Ebola survivor, the statement said.

Authorities  imposed a mandatory quarantine on NBC News staffers who worked with Mukpo after the workers violated a voluntary quarantine, New Jersey health officials said.

Mukpo was among a team working with Dr. Nancy Snyderman, the news agency's chief medical correspondent.

"The NBC crew remains symptom-free, so there is no reason for concern of exposure to the community," said Donna Leusner, a spokeswoman for the New Jersey Department of Health.

CDC director on Ebola: 'Only thing like this has been AIDS'

In other countries

Morocco

The Confederation of African Football said the 2015 African Cup of Nations, a soccer competition, will go ahead as scheduled despite fears about Ebola by Morocco. The competition is scheduled to be held in Morocco from January 17 to February 8.

"CAF has registered the request and wishes to state that there are no changes of the schedules of its competitions and events," the group said in a statement released Saturday. "It must be noted that since the first edition in 1957, the Africa Cup of Nations has never witnessed a deferral or a change in schedule."

The CAF said it took into account recommendations from the World Health Organization and other medical experts.

United Kingdom

In London, the UK Department of Health said enhanced screening will be implemented at London's Heathrow and Gatwick airports and Eurostar terminals.

The screenings will involve assessing passengers' recent travel history, who they have been in contact with and onward travel arrangements, the department said.

English medical professionals, such as doctors and ambulance drivers, participated in a nationwide drill on Saturday on the handling of Ebola cases.

Spain

Teresa Romero Ramos, a nurse's assistant in Spain who is the first person to contract Ebola outside Africa, has been treated with the anti-influenza drug Avigan, hospital sources with knowledge of the case said Saturday.

Romero was in "stable but serious" condition Saturday after taking a turn for the worse earlier in the week, according to the hospital sources.

"Teresa is conscious and talking," a hospital source said.

A special committee created by the Spanish government to tackle the Ebola crisis reported no significant changes in her condition Saturday, according to the Carlos III hospital spokeswoman.

After the nurse's assistant was diagnosed with Ebola, 16 people related to the case were being monitored in a Madrid hospital, including an emergency room doctor, the neighborhood doctor who saw her before the case was confirmed, and the nurse's husband, according to a government source. Those being monitored also included three people admitted to Hospital Carlos III Friday night -- a beautician, a nurse and a hospital cleaner.

"There has not been any change worth mentioning relating to those admitted, and they all remain asymptomatic," the special committee said.

The nurse admitted to the hospital Friday was told she needs to remain there for 21 days, a man who identified himself as her father said Saturday. The nurse, a friend of  Romero, works at the same hospital as the nurse's assistent, Alcorcon hospital

"She is fine, no symptoms," her father said, adding that he hasn't seen her. He said he "just brought some things for her. When the doctors come in they wear the protective suits."

Another nurse under observation tested negative for the Ebola virus, the committee said Saturday. The nurse has been discharged but will remain under observation outside the hospital until her quarantine ends on October 16, the committee said.

Romero became sick after she helped treat an Ebola-stricken Spanish missionary. Her case has prompted questions from her fellow medical professionals about whether they are properly equipped to safely treat Ebola patients, and about why a week passed before she was treated.

But experts from the European Centre for Disease Prevention and Control who visited the hospital over the past three days said in  the "procedure and action" carried out at the hospital complied with established protocols.

The statement added, "The current infrastructure is not designed to deal with this type of emergency. Nevertheless, the action and measures which have been taken, and which continue to be taken at present, are likely to improve it."

Russia

Russia plans to introduce Ebola vaccines within the next six months, the country's health minister said, according to Russian state news agency Ria Novosti.

"We are now creating three vaccines... and they will be created, we think, in the next six months," Health Minister Veronika Skvortsova said, according to Ria Novosti.

Skvortsova also said Russia is working on creating special drugs to be used in preventing and treating Ebola, the news agency reported.

Complete coverage on Ebola

@highlight

Two airports in London to implement enhanced screenings

@highlight

Screenings begin Saturday at New York airport; four more begin next week

@highlight

Emergency rooms in the United States are preparing for possible cases

@highlight

World Health Organization: 8,399 are believed to have caught the virus; 4,033 are dead