(CNN) -- A federal appeals court has blocked an Oklahoma voter-approved measure barring state judges from considering Islamic and international law in their decisions.

The three-judge panel at the 10th U.S. Circuit Court of Appeals upheld an earlier injunction preventing State Question 755 from being certified until the free speech questions are resolved. The decision Tuesday allows a lawsuit brought by Islamic-American groups to move ahead to a bench trial.

"The proposed amendment discriminates among religions," said the judges. "The Oklahoma amendment specifically names the target of its discrimination. The only religious law mentioned in the amendment is Sharia law."

A federal judge last summer had issued a temporary restraining order in favor of the Council of American-Islamic Relations (CAIR), which had sued to nullify the law completely.

The amendment would require Oklahoma courts to "rely on federal and state law when deciding cases" and "forbids courts from considering or using" either international law or Islamic religious law, known as Sharia, which the amendment defined as being based on the Quran and the teachings of the Prophet Mohammed.

In bringing suit, CAIR argued that the amendment violates the establishment and free-exercise clauses of the First Amendment's guarantee of religious freedom. The group's local leader, Muneer Awad, has said the amendment passed in November 2010 under a campaign of fear and misinformation about Islam.

"This is an important reminder that the Constitution is the last line of defense against a rising tide of anti-Muslim bigotry in our society, and we are pleased that the appeals court recognized that fact," Awad told CNN after Tuesday's announcement.

The appeals court said voter initiatives normally should be given great deference by the courts but concluded the Oklahoma measure would be applied selectively.

Ballot supporters "do not identify any actual problem the challenged amendment seeks to solve," said the 37-page ruling. "Indeed, they admitted at the preliminary injunction hearing that they did not know of even a single instance where an Oklahoma court had applied Sharia law or used the legal precepts of other nations or cultures, let alone that such applications or uses had resulted in concrete problems in Oklahoma."

State Question 755, also known as the "Save Our State" measure, was approved by a 7-3 ratio. It was sponsored by Oklahoma State Reps. Rex Duncan and Anthony Sykes, both Republicans.

"The fact that Sharia law was even considered anywhere in the United States is enough for me" to sign on, Sykes told CNN last year. "It should scare anyone that any judge in America would consider using that as precedent."

Sykes said his concern was compounded by U.S. Supreme Court Justice Elena Kagan's comments during her confirmation hearings in June 2010 that she would be willing to consider international law when hearing cases before the court.

As written on the ballot, the measure states it would amend a state constitution section dealing with the state courts, making them "rely on federal and state law" when deciding cases, forbidding them "from considering or using international law" and "from considering or using Sharia Law."

The ballot then briefly described international law, which "deals with the conduct of international organizations and independent nations, such as countries, states and tribes," and Sharia, which is "based on two principal sources, the Koran and the teaching of Mohammed."

"Shall the proposal be approved?" the ballot read, instructing voters to respond "yes" if they're for the proposal and "no" if they're against it.

Saleem Quraishi, president of the American Muslim Association of Oklahoma City, runs the Islamic Center at the Grand Mosque of Oklahoma City. He said there are more than 5,000 Muslims in the city. While there are no exact numbers for the Muslim population in the state, it is not among the larger communities, said Ibrahim Hooper of CAIR.

"It's just fear-mongering; it's nothing," Quraishi told CNN. "What's Sharia law have to do with Oklahoma?"

The Oklahoma controversy stems from a New Jersey legal case in which a Muslim woman went to a family court asking for a restraining order against her spouse, claiming he had raped her repeatedly. The judge ruled against her, saying that her husband was abiding by his Muslim beliefs regarding spousal duties. The decision was later overruled by an appellate court, but the case sparked a nationwide firestorm. The issue spread to Oklahoma, prompting the ballot initiative.

Tuesday's ruling deals only with the injunction stopping certification and enforcement of 755. There was no indication when the federal district judge would hear the larger merits of the Oklahoma case and issue a ruling, but that could be some months away. The losing side could then try again at the federal appeals court, then possibly to the U.S. Supreme Court.

The appeals case is Awad v. Ziriax (10-6273).

CNN National Security Producer Laurie Ure contributed to this report.

@highlight

Federal appeals court blocks an Oklahoma voter-approved measure

@highlight

The measure would ban state judges from considering Islamic, international law

@highlight

Council of American-Islamic Relations says measure violates First Amendment freedoms

@highlight

Legislator on possibility of judge factoring in Sharia law: "It should scare anyone"