(CNN) -- After reaching a record high of 14,253.77 on Tuesday, the Dow Jones industrial average rose an additional 0.3% on Wednesday to reach a new record high of 14,296.39.

First off, the latest Dow number is not really a record. If we adjust it for inflation, the Dow still has a way to go.

But is the rising number a sign that the economy, which has been improving sluggishly, is about to improve dramatically?

Probably not.

For example, the previous peak in the Dow in 2007 was just before the onset of the Great Recession, and remember what happened then? Right, the economy crashed. People got scared. Hell broke loose. No -- not really, but there was plenty of fear going around.

Flash to present day. Some people are surprised that the stock market is doing so well, particularly in light of such high levels of unemployment. But maybe we should welcome the optimism since it can push along the economy.

The steady rise of the Dow since early 2009 has been driven mainly by two factors: the slow improvement in economic conditions and optimism since the recession ended, and the Federal Reserve's attempt to stimulate the economy using quantitative easing policies.

Under the policies, the Federal Reserve has purchased large volumes of financial assets, and the increase in demand for these assets from the Fed has lowered long-term interest rates and put upward pressure on the prices of stocks and bonds.

As asset prices increase, people feel wealthier and more secure because of increased value of retirement funds, education savings, and so on, and the increase in wealth and security makes it more likely that consumers will spend money on goods and services. This boosts GDP and employment, and the improved outlook for the economy can increase stock prices even further.

A case in point -- my parents. They are retired and did a lot of traveling. But when the 2007 recession hit and wiped out their retirement savings and equity in their home, they stopped traveling and instead began trying to rebuild what had been lost. They hunkered down, waiting for the storm to pass so to speak.

Gradually, they started to spend a bit more as stock prices and the economy improved, but they are not yet back to where they were before the recession.

My parents are more optimistic now, and that spurs them to spend more, which helps businesses and the economy. There are many Americans who went through similar experiences. If we add all of them together, we can see why things seem better than before. More people feel like we're on the right track. The high stock market prices reflect this sentiment.

But the real question remains: What does the Dow tells us about the future of the economy?

There is some evidence that the stock market can predict economic prospects, but the correlation is unreliable. The improvement in the Dow is a good sign, but let's not treat it as reading the tea leaves.

Just as no one can predict the stock market, no one can really predict the economy, even if the Dow is doing great.

The opinions expressed in this commentary are solely those of Mark Thoma.

@highlight

Mark Thoma: The latest Dow number is not really a record when adjusted for inflation

@highlight

Thoma: It's good that the stock market is doing well, but it's not a reliable predictor of economy

@highlight

He says Federal Reserve's policy of quantitative easing has contributed to Dow's rise

@highlight

Thoma: General optimism has also helped push the stock market up