SAN DIEGO, California (CNN) -- Favorable weather and firefighter reinforcements helped ease the fire danger in parts of Southern California Thursday, but the human toll from the disaster was still coming to light.

A firefighter watches the Harris Fire. Four bodies were found in a canyon in the path of the blaze Thursday.

The number of deaths attributed directly to the fires grew to seven Thursday, after the charred bodies of four people believed to be illegal immigrants were found in a canyon east of San Diego.

Seven other deaths are labeled as fire-related: Three elderly people died during evacuations, and four others died after being evacuated.

Improving conditions allowed more people to come home Thursday, but new evacuations were ordered in areas where the unrelenting flames marched on.

Where residents could return, they often found ash and rubble in place of their homes.

"We see pictures from online and on TV, but it's just, it's much different when you see it up front," said Louela Binlac in front of what remained of her Rancho Bernardo home.

"The most important thing is that our family is still together, everybody is safe, and eventually we will rebuild again," she said. "Those things you can replace. We are just all grateful that everybody is safe."

Rancho Bernardo resident Marilyn Wood said it was "really scary" to come back to the pile of ashes she once called home. Her voice breaking, Wood vowed to rebuild and recounted how she and her husband, Gordon, fled early Monday with only minutes to spare.  See photos of the fires »

"(Our house) was burning as we were leaving," she said.

President Bush got a firsthand look at the aftermath of the devastating fires Thursday -- 10 still burning across seven counties.

He promised federal help for those affected by the fires.  Watch Bush tour the damage »

"We're not going to forget you in Washington, D.C.," the president said after touring the area by air and visiting Rancho Bernardo with California Gov. Arnold Schwarzenegger.  Watch a report on Bush as 'comforter-in-chief' »

Bush signed a federal disaster declaration Wednesday, freeing money to help residents rent temporary homes and repair damaged homes and businesses and to help local and state agencies pay for the emergency response.

The cost of homes destroyed by the wildfires is likely to top $1 billion in San Diego County alone, an emergency official said.

People left homeless by the fires can apply online for federal help at FEMA.gov, said Federal Emergency Management Agency Director David Paulison.  Watch a tour of FEMA's command center »

Almost 9,000 firefighters battled the blazes, augmented by reinforcements from dozens of states across the country.

Twenty-three fires have scorched 472,478 acres (738 square miles), an area roughly three-quarters of the size of Rhode Island.  See where the fires are still burning »

Along with homes and businesses, the flames have destroyed roughly one-third of San Diego County's lucrative avocado crop, along with other croplands, greenhouses and nurseries.

A change in the winds -- from a ferocious 100 mph on Sunday to an almost manageable 10 mph on Thursday -- brought welcome relief and allowed a full-bore aerial assault on the fires.

Reinforcements from across the country arrived to aid the exhausted firefighters, officials said.

While the fires still threatened some 25,000 homes, the burn rate in the region -- a measure made up of factors like wind speed, humidity and available fuel -- was significantly lower Thursday, a spokeswoman at the California Department of Forestry and Protection said.

Residents of several communities, including the city of San Diego, were allowed to return home Wednesday and Thursday, but more evacuations were ordered -- the latest covering the communities of Lake Henshaw and Mesa Grande and the La Jolla Indian Reservation in San Diego County.

With the shifting fires, some shelters closed as others opened closer to danger.

In San Diego, Mayor Jerry Sanders announced that Qualcomm Stadium -- the home of NFL's Chargers that held 11,000 evacuees at the height of the fires but dropped to 750 Wednesday night -- would close to evacuees.

"As we transition from a large-scale emergency evacuation center into the recovery process, we have begun assisting all evacuees to find more suitable shelter and housing," Sanders said.

"Toward that end, Qualcomm will close as an emergency shelter at noon tomorrow [Friday]."

Meanwhile, arson investigations were under way in Orange and Riverside counties in connection with some of the wildfires.  Watch how arson investigators look for clues »

The Orange County Sheriff's Department announced a $250,000 reward for information leading to the arrest of those responsible for the 23,000-acre Santiago fire, local officials said. Watch the raging flames of the Santiago Fire »

"For someone to even think about doing something as reprehensible as starting a fire, where they knew that the fire would grow as rapidly as it would, traveling about three, 3½ miles in about an hour, is just, is really absolutely unconscionable," Orange County Battalion Chief Kris Concepcion said on CNN's "American Morning."

The FBI and the ATF are assisting Orange County authorities with the investigation.

In addition, the California Department of Forestry and Fire Protection considers the Rosa fire in Riverside County an arson case. That fire burned more than 400 acres before being fully contained.

In other arson investigations, two men have been arrested in San Bernardino County, one in San Fernando and an adult and a juvenile in San Diego County. None are believed connected with the major fires burning in the area. E-mail to a friend

Copyright 2007 CNN. All rights reserved.This material may not be published, broadcast, rewritten, or redistributed. Associated Press contributed to this report.

@highlight

NEW: Qualcomm Stadium to close as an emergency shelter at noon Friday

@highlight

Charred bodies of three men and a woman found near San Diego

@highlight

More than half of Southern California fires are fully contained

@highlight

Bush to fire victims: We're not going to forget you in Washington