Freed from prison, former Ukrainian Prime Minister Yulia Tymoshenko returned Saturday to the battleground capital the same day the country's president said he left Kiev because of a "coup."

Tymoshenko's release was the latest in a day of dramatic, fast-paced developments that saw Parliament vote to remove President Viktor Yanukovych from office and call for new elections.

"Today, Ukraine has finished with this terrible dictator, Mr. Yanukovych," Tymoshenko told a cheering crowd of thousands in Kiev's Independence Square, the scene of deadly demonstrations.

Just hours after her release from a prison hospital, Tymoshenko called for justice for protesters killed in demonstrations sparked by the President's decision to scrap a trade deal with the European Union in favor of one with Russia.

"You were able to change Ukraine, and you can do everything," she told the crowd. "Everyone has a right to take part in building a European, independent state."

But Yanukovych took to television airwaves, saying he had been forced to leave Kiev because of "vandalism, crime and a coup."

"I don't plan to leave the country. I don't plan to resign. I am the legitimate president," he said in an interview from Kharkiv, a pro-Russian stronghold near Ukraine's border with that nation.

"...What I am going to do next is to protect my country from the split, to stop the bloodshed. I don't know how to do it yet. I am in Kharkiv and I don't know what I am going to do next."

He did not address reports that he attempted to leave the country by airplane.

According to the head of Ukraine's Border Guard Service, Sergei Astakov, Yanukovych and his entourage attempted to board a charter flight without proper documentation in the eastern city of Donetsk. He was on the tarmac when he was turned back by security forces, Astakov told CNN, confirming an account he gave to Ukraine's Interfax news agency.

In that account, Astakov said border security had approached the plane to check paperwork, and an armed group of people on the plane attempted to offer money to the inspectors to allow the flight to take off.

When the inspectors refused the money, Yanukovych and others in his entourage exited the plane and got into two vehicles that drove up on the tarmac, Astakov is quoted as saying.

Ukraine's dismissed interior minister, Vitaliy Zakharchenko, also was refused exit from the country in a similar incident at the same airport, Astakov said.

The events of the day raise questions about just who is in control in Ukraine, with Parliament voting to oust Yanukovych and hold new elections on May 25.

The vote came just 24 hours after Yanukovych signed a peace deal with the opposition intended to end days of bloody protests.

'People's residence'

At the presidential residence in a Kiev suburb, the president's living quarters were vacant, his guards gone.

Government buildings, protest gatherings and the central city were devoid of police and security forces, who had opened fire on protesters this week, killing dozens.

Track how the crisis in Ukraine unfolded

As a CNN crew drove to Yanukovych's residence, it passed checkpoints set up by protesters.

When the crew arrived, the gatekeepers said they were not allowing the general public onto the grounds, but they let journalists enter.

The civil servants asked that the reporters treat his home as a crime scene and referred to it as the "people's residence."

But not everyone in Ukraine was happy with the news.

The country is ethnically split, with many ethnic Russians living in the east. The rest comprises mostly ethnic Ukrainians.

In several cities, people have toppled statues of Vladimir Lenin, a founder of the Soviet Union. The communist empire had included Ukraine until it gained independence in 1991 after the fall of the Soviet Union.

In a sign of the deep divisions, government supporters took to the streets Saturday night in Kharkiv to protect a monument to Lenin that anti-government protesters threatened to tear down. Police in riot gear stood between the two sides, while others erected a temporary fence around the monument.

Freeing Tymoshenko

In the Verkhovna Rada, Ukraine's Parliament, lawmakers passed a resolution to free Tymoshenko, a hero of the country's 2004 revolution that forced the questionable results of a presidential election won by Yanukovych to be thrown out.

Tymoshenko served as prime minister from 2007 to 2010, and was forced out of office after losing an election to Yanukovych.

She was sentenced in 2011 to seven years in prison after being convicted of abuse of authority over a natural gas deal negotiated with Russia in 2009.

The case against her was widely considered to have been politically motivated, and the United States and other Western nations called her "a political prisoner."

In 2012, after she was allegedly beaten unconscious by guards, she went on a hunger strike to draw attention to "violence and lack of rights" in her country.

In Washington, White House press secretary Jay Carney said U.S. officials were closely monitoring developments. "We have consistently advocated a de-escalation of violence, constitutional change, a coalition government, and early elections, and today's developments could move us closer to that goal," he said in a statement.

Russia's ambassador to the United Nations, Vitaly Churkin, condemned what he called Western attempts to influence the outcome of the tumult in Ukraine.

"Either they don't understand the consequences of what they're doing, or they're engaged in a very provocative game of destabilizing Ukraine and therefore Eastern Europe," Churkin said in a post on his official Twitter account.

A day earlier, Churkin accused the opposition of wanting to take power by force.

"If those so-called democratic opposition leaders come to power on the shoulders of thugs that will not produce democracy in Ukraine," he said.

By Saturday, a tidal wave of political change appeared to be engulfing Ukraine with key Yanukovych allies leaving office, and the presidential duties being handed off until a new cabinet has been selected.

During the parliamentary session, resignations were announced for the speaker and another leading presidential ally.

Hours later, Parliament elected a new speaker, a rival to Yanukovych, and gave him the duty of coordinating the executive office until a new cabinet is in place.

Another opposition parliamentarian received the duties of acting interior minister.

The Verkhovna Rada sacked Yanukovych's prosecutor general.

Discord's roots

The unrest began in November, when Yanukovych scrapped a European Union trade deal and turned toward Russia.

Russia, which has offered to lend money to cash-strapped Ukraine in a deal worth billions of dollars and to lower its gas prices, has pressured Yanukovych to crack down on demonstrators.

Western leaders, who have offered Ukraine a long-term aid package requiring economic modernization, urged him to show restraint, open the government to the opposition and let the democratic process work out deep-seated political differences.

But the fight was also about corruption and control. The opposition called Yanukovych heavy-handed, with protesters saying they wouldn't leave Independence Square until he resigned.

Tensions boiled over Tuesday, when security forces charged into a Kiev crowd with stun grenades, nightsticks and armored personnel carriers. The violence escalated, leaving dozens -- protesters and police alike -- dead.

Explainer: What and who are behind Ukraine's political crisis?

iReport: Protester describes bloodied people being rushed to medics

U.S. talks tough, but options limited in Ukraine

@highlight

Russia's U.N. ambassador says the West doesn't understand what's at stake

@highlight

President Viktor Yanukovych stopped at airport, a security official says

@highlight

Yanukovych calls action a "coup," says "I am the legitimate president"

@highlight

Opposition leader Yulia Tymoshenko has been released from prison