(CNN)In "The Godfather Part II," Michael Corleone famously responds to a U.S. senator's demands by saying, "My offer is this: nothing."

Since President Barack Obama announced his normalization deal with the Cuban regime in December, life appears to be imitating art. Last week, Cuban President Raul Castro declared that his regime would not even entertain the Obama administration's requests to normalize ties until the United States abandons our naval base at Guantanamo Bay, ends the trade embargo, ceases pro-democracy radio and television broadcasts into Cuba and compensates the regime for "human and economic damages" the U.S. has, according to him, inflicted on the Cuban people. Last month, the regime's lead negotiator summed up its position even more succinctly after the first round of U.S.-Cuba normalization talks in Havana, saying, "Change in Cuba is not negotiable."

In other words, emboldened by the first wave of concessions Obama gave the Castro regime in the form of access to more U.S. dollars, it wants even more in exchange for nothing.

When dealing with tyrants, you can't wear them down with kindness. When that approach is attempted and one-sided concessions are made, tyrants don't interpret them as good faith gestures. They interpret them as weakness. This is a lesson the Obama administration has failed to learn from its dealings with Iran, North Korea and Russia, and even terrorists such as the Taliban.

On Tuesday, the American people will have their first opportunity to hear from the Obama administration about its dealings with the Castro regime when I chair a hearing of the Senate Foreign Relations Committee's Subcommittee on Western Hemisphere affairs. I look forward to hearing the perspectives of State Department officials, even though I am already concerned by the administration's reluctance to allow the American people to hear directly from the two White House officials who negotiated the deal with the Castro regime over the course of 18 months of secret negotiations, and without the input of our government's top diplomats and negotiators.

Many important questions remain about what exactly the Castro regime has done in exchange for Obama's softening of travel and banking regulations that will now allow more U.S. dollars to fill the Castro regime's coffers. For example, it's unclear why, with all the economic leverage it initially brought to the table, the administration apparently accepted a deal to free conditionally 53 political prisoners -- many of whom were released, but with charges pending or were threatened with more jail time if they renew their pro-democracy work. Indeed, some have already reportedly been rearrested in addition to hundreds of new detentions since the December announcement.

Questions also remain about what, if anything, the administration has done to secure the repatriation of what the FBI estimates to be more than 70 fugitives from justice being provided safe harbor in Cuba, including known cop killers such as Joanne Chesimard. Also unknown is what, if anything, the administration intends to do to secure billions of dollars' worth of outstanding American property claims and judgments against the Cuban government. The list of questions and concerns like these goes on and on.

In recent months, I've made clear that I believe the President and his allies in Congress are misguided for supporting a policy that gives away practically all the leverage the United States has to bring about democratic change in Cuba in exchange for virtually nothing. While reasonable people can disagree on the merits of what U.S.-Cuba policy should be in the 21st century, no serious person can argue that America is stronger when we give a cruel regime such as the one in Cuba everything it wants from the United States, including money it uses to repress its opponents, while we get nothing in return except more anti-American bluster from a geriatric dictator.

With Cuba in the news recently, many Americans are asking why Cuba matters to them and why they should care. The simple answer is that what happens with Cuba has far-reaching and potentially damaging implications far beyond the island nation. Cuba is not the only rogue regime with which Obama is engaging in an attempt to end bad behavior. When America sits at the negotiating table with one tyrant or radical regime, the others -- from Iran to North Korea and elsewhere -- watch closely and learn best practices that they can apply to advance their own anti-American agendas. Just as the Cuban regime reportedly cited our swap of five members of the Taliban in the negotiations for Alan Gross' release, the Iranians watched how North Korea exploited U.S. diplomacy, slow-walked negotiations and ultimately achieved their goal of developing a nuclear weapon.

There should therefore be no doubt that regimes around the world will be looking to emulate the Castro regime's so far successful efforts to take advantage of Obama's weaknesses and to undermine the U.S. role as the world's leading economic and military power.

When the President settles for one-sided deals with the Castro regime, it hurts the Cuban people and their aspirations for freedom. When Obama allows the Castro regime to get the best of him in negotiations, it emboldens tyrants around the world. As the President's engagement with the Castro regime continues, I will do all I can to ensure that his "normalization" does not come at all costs, becoming yet another instance of a failed foreign policy that makes America weaker in the world and, ultimately, less safe.

Join us on Facebook.com/CNNOpinion.

@highlight

Sen. Marco Rubio: Castro regime wants even more in exchange for nothing

@highlight

When dealing with tyrants, you can't wear them down with kindness, Rubio says