(CNN)Eternally blooming in Kolkata, India, along the Hooghly River is Malik Ghat, a wholesale flower market that attracts more than 2,000 sellers each day. Photographer Ken Hermann visited the market for his project "Flower Man," which is a series of portraits that casts light upon the people behind the petals.

When Hermann was in Kolkata working on another assignment, he went to the market as a tourist. After that first encounter with Malik Ghat, his captivation with the market did not diminish and he became intent on returning.

"(The flower sellers) woke my curiosity. But at that time, I didn't really have the time to do the project," Hermann said. "And this idea just kind of stuck in my head for almost two years."

Hermann was able to spend about 10 days at the market, and did not allow any challenges to hinder the completion of "Flower Man." He said that in addition to language barriers and the heat of Kolkata making communication complicated and shooting at certain times difficult, another adversity he faced was taking portraits of the female flower sellers.

"I had a really clear idea before I went (to the market) about what I wanted to do," Hermann said. "I wanted to shoot the sellers -- the male and the female sellers."

But none of the female flower sellers wished to be a part of Hermann's project, so he focused only on those who were interested in and comfortable with having their portrait taken.

For the portraits, Hermann sought a neutral background. He first tried shooting under a bridge near the market, but quickly realized the lighting did not match the mood he wanted to create. He then decided to create the portraits by the Hooghly River. This allowed him to combine the hazy smog in the air, sunlight from above and studio lights of his own, which culminated to produce a surreal effect and overexposed look that made his subjects stand out.

"All the pictures are shot within noon and 3 p.m. when you have the sun straight from above, which gives (the portraits) this very hard light," Hermann said. "And then I just used some studio light as a fill to make it a little bit more soft."

Although the composition of the majority of Hermann's portraits encompasses the flower sellers in front of a neutral background, other portraits forgo this characteristic and consequently bring a sense of movement and fluidity to "Flower Man." Viewers may see people or a dog appearing in a frame, or even birds flying in the sky and a boat floating in the water.

One of the reasons Hermann did not create the flower sellers' portraits directly inside the market is because of the hectic atmosphere. Hermann compares Malik Ghat to the environments of financial trading and fish markets.

"It's impossible to shoot at the market, especially if you want a clean and quiet background, because there's so much going on," Hermann said.

Social media

Follow @CNNPhotos on Twitter to join the conversation about photography.

Similar to the commitment needed to effectively and successfully operate within the financial and food industries, Hermann emphasized that the competitive atmosphere of the market and work ethic of the flower sellers was a major factor in whether a seller would agree to have their portrait made.

"All the other sellers -- they are so busy, so just convincing them to go near the river to get their portrait done and spend maybe 15 minutes of their time was a challenge," Hermann said. "Because every minute they're not standing in the flower (market), they lose money."

Hermann said that another important reason some flower sellers decided not to be photographed was because flowers are highly valued in India and serve as a prominent feature during many events and moments in people's lives, including everything from religious rituals and festivals to weddings and parties.

"Some of the flowers, (the sellers) didn't allow us to take pictures of because they're flowers used for offering in the temple," Hermann said. "It was more a problem about the flowers than actually the guy behind, because they didn't want us to take the pictures because (the flowers would) lose their purity."

Challenging perceptions and breaking down barriers are underlying elements within "Flower Man." Hermann said viewers must not make assumptions about the socioeconomic status of the sellers, nor should they view the sellers through a fixed, rigid lens regarding the behaviors and roles associated with gender.

Noticeable throughout the portraits is that none of the sellers is smiling, which is usually a behavior people tend to exhibit when in the presence of a camera. The lack of a smile enhances the organic nature of "Flower Man," making the portraits a powerful representation of unforced and unfabricated human emotion.

"If you want to take pictures in India, people tend to just stand up and look proud and strong," Hermann said. "It's very different from the Western world because if you take pictures here, people tend to smile."

Like people, flowers come in all shapes, sizes and colors. When viewing Hermann's photos, this fact leaves viewers to consider if it is not the flowers that are decorations, but rather the sellers who bring vibrancy to the flowers.

In the portrait of Sanju Joshi, for example, he is engulfed in endless layers of orange.

"They use these flowers in temples and all over India, so that's one of the more common flowers at the market," Hermann said. "I really like that picture because they carry the flowers like it is a dress. You should see when they walk through the flower market, it's almost like (the flowers are) all alive."

Similarly, the abundant leaves come to life in Odhir Gayen's portrait.

"These are a special kind of leaves, and many of (the sellers) carry them on their head and (on their) arms," Hermann said. "And when they walk around, it's almost like a human bush or something like that."

Hermann plans to return to Malik Ghat and looks forward not only to the opportunity to photograph different kinds of flowers -- as the range varies based on the seasons -- but also to the chance to present the flower sellers featured in "Flower Man" with their portraits.

"I enjoyed this project," Hermann said. "There's a lot of photographers going to India and then showing a poor, bad situation. ... I have a totally different approach. I want to show some more proudness and find the beauty of people."

Ken Hermann is a photographer based in Copenhagen. You can follow him on Facebook, Twitter and Instagram.

@highlight

Malik Ghat is a wholesale flower market in India that attracts more than 2,000 sellers each day

@highlight

Photographer Ken Hermann spent 10 days at the market photographing his project "Flower Man"