Athens (CNN) -- The leader of Greece's center-right, pro-bailout New Democracy party claimed "a victory for all Europe" after topping Sunday's parliamentary elections, a vote seen as a referendum on the survival of the continent's common currency.

New Democracy's Antonis Samaras now finds himself facing a new round of coalition talks, six weeks after a previous election that failed to produce a government. In a brief address following Sunday's vote, he pledged to form a slate "determined to do what it takes and do it fast."

"Today the Greek people expressed their will to stay anchored within the euro, remain an integral part of the eurozone, honor the country's commitments and foster growth. This is a victory for all Europe," Samaras said. "I call on all parties that share those objectives to form a stable new government."

The unpopular bailouts that have kept Greece from defaulting on its debts in the face of an ongoing recession include budget cuts demanded by international lenders. Voters punished New Democracy and its former coalition partners in the socialist party Pasok in the earlier vote in May, but reopening the agreement would set up a confrontation with the other countries that use the euro -- the common currency of 325 million people across 17 European nations.

Markets appeared poised to react positively to news of the vote, as Japanese stocks climbed. The Nikkei rose 1.7% in early trading Monday.

With less than half of 1% of ballots still to be counted, New Democracy had won nearly 30% of the vote, according to Interior Ministry figures. But that showing translates to 129 seats in the country's 300-seat parliament, forcing it to seek other coalition members from the fragmented field.

Samaras has said his party wants to remain in the eurozone and alter existing policies, including stringent austerity measures, to "achieve development and offer people relief." His leading rival, Alexis Tsipras of the left-wing, anti-bailout Syriza, had called for the deal to be torn up.

European Union leaders hailed the vote, with eurozone finance ministers praising results "which should allow for the formation of a government that will carry the support of the electorate to bring Greece back on a path of sustainable growth."

And in a joint statement, European Commission President Jose Manuel Barroso and European Council President Herman van Rompuy said in a joint statement that they "support the continued efforts of Greece to put its economy on a sustainable path."

"Today, we salute the courage and resilience of the Greek citizens, fully aware of the sacrifices which are demanded from them to redress the Greek economy and build new, sustainable growth for the country," the EU leaders said.

Tsipras congratulated New Democracy late Sunday, but said his party's nearly 27% showing has forced Greek leaders to realize the bailout "is a nonviable economic plan."

Samaras "has the opportunity to form a government on the basis of the people's verdict and on the basis of his own program," Tsipras said. But he said Syriza -- which was projected to win 71 seats -- would continue to demand "from the position of the opposition" that the bailouts be scrapped.

"Even if it didn't manage to take the first place, Syriza is now the most basic body representing the average individual, the progressive and the anti-memorandum portion of our population," Tsipras said.

Both Syriza and New Democracy picked up 20 seats over their showings in the abortive May 6 vote, while Pasok fell from 41 seats to 33. In the previous parliament, elected in 2009, Pasok held 160 seats, New Democracy held 91 and Syriza, 13.

What will Greek elections mean for the country's future?

Critics had feared that efforts to renegotiate the bailout would set up a confrontation that could lead to a run on Greek banks and deeper misery.

"Don't underestimate the capacity of the Greek people to rise to the occasion," Petros Doukas, a former New Democracy lawmaker and deputy finance minister, told CNN.

"What's very clear is the Greeks today voted, including those that voted for Syriza, in favor of the euro and the European Union," Doukas said. He predicted that Greece could now come to better terms with its creditors, whom he said understand "that you can only squeeze so much so fast out of a country and out of its people."

Pasok trailed in third place with about 12%. Its leader, Evangelos Venizelos, said the parties need to hammer out a ruling coalition overnight.

Venizelos proposed an alliance of New Democracy, Pasok, the Democratic Left party -- which was running in sixth place with 6% and a projected 17 seats -- and Syriza, which has said it won't join a government that backs the continued bailout terms.

"If we really want Greece to remain in the euro and to get out of the crisis for the benefit of every Greek family, by tomorrow we need a government," he said.

The Independent Greeks were running fourth at 7.5% and 20 seats, while the nationalist, far-right Golden Dawn -- which called illegal immigration the country's biggest issue -- appeared headed for a fifth-place finish at 7% and 18. The Communists brought up the rear at 4.5% and 12 seats, according to Interior Ministry figures.

The Independent Greeks, a conservative nationalist party led by former New Democracy lawmaker Panos Kammenos, saw its support shrink from 33 seats in May to 20, while Golden Dawn -- which hadn't won seats in parliament before -- held steady.

A wild election weekend for Greece, France and Egypt

Greece has been suffering under a heavy burden of painful austerity measures, high unemployment and a long-running recession. Syriza and New Democracy were effectively tied in the last official polls two weeks ago, in part because Syriza was seen as offering something new and different, Greek journalist Fanis Papathanasiou said Sunday.

And Yiannis Alafouzos, managing director of Greek broadcaster Skai Media Group, said older Greeks are scared -- "But the younger generation, they're not scared, and they seem to have had enough of the recession they're trying to get out of it by rebelling, effectively."

"Unfortunately, the political system in Greece has not been honest with the voters," Alafouzos said. "And so a lot of people believe there is a way out of this without all the pain we have been suffering for the past two or three years."

The possibility that Tspiras could emerge as prime minister prompted waves of fear that Greece could crash out of the euro and Europe's ambitious experiment with a common currency could collapse. Some analysts have estimated that the collapse of the euro would cost $1 trillion, while others say talk of the break-up of the currency is alarmist and unlikely to happen.

Since May's vote, Greece has been roiled by uncertainty and division, and the country must identify additional budget cuts by the end of June to be considered "compliant" with the terms of its bailout program.

The future of Europe: 3 scenarios

German Chancellor Angela Merkel, Europe's most powerful advocate of balancing budgets to build a strong basis for economic growth, urged Greeks not to walk away from international loan deals.

"We will stick to the agreements. That is the basis on which Europe will prosper," she said Saturday.

But Fotis Kouvelis, leader of the small Democratic Left party and a potential kingmaker in a closely divided parliament, said the country needed to escape "a situation that cuts us into small pieces and hurts society."

As economic crisis bites, Greece's children pay the price

The situation in Greece is likely to be on the minds of world leaders as they meet in Mexico on Monday for the Group of 20 summit. Some experts argue that a potential Greek exit would be manageable, assuming the European Central Bank and European Union policymakers respond aggressively, while others worry that the pullout would cause chaos in financial markets and shock the global economy.

CNN's Richard Quest, Matthew Chance, Irene Chapple, John Defterios and Diana Magnay contributed to this report.

@highlight

NEW: News appears to boost markets -- Japanese stocks rise in early trading Monday

@highlight

EU leaders praise Greek "courage and resilience"

@highlight

Second-place Syriza says it will keep fighting bailouts

@highlight

The vote is a referendum on the euro used by 325 million people, a former minister says