(CNN) -- Missouri Highway Patrol Capt. Ron Johnson perhaps put it best.

He said Ferguson, Missouri, was unknown to most of the world before August 9.

That's the day Darren Wilson, a white police officer, shot and killed Michael Brown, an unarmed black teen.

The shooting prompted protests in the suburb of St. Louis, making it a flash point in the debate over race and policing in America.

Suddenly, Ferguson had a place on the map.

"It has become a conversation throughout the world," said Johnson.

Complete coverage of the events in Ferguson

Here's a look at key moments from that conversation:

AUGUST 9: THE SHOOTING

There are conflicting accounts as to exactly what happened the day of the shooting.

Certain facts of the case, however, are clear: Wilson shot and killed Brown on August 9. The teen was unarmed.

ONGOING: THE PROTESTS AND RESPONSE

Brown's death sent immediate shock waves through the community of Ferguson.

Protests began the same day, and grew as time passed and news of the shooting spread.

The vast majority of demonstrations were peaceful.

However, there were pockets of looting and violence, which prompted a forceful -- protesters say excessive -- response from law enforcement.

Authorities, who drove armored vehicles and wore military gear, were roundly criticized by members of the media, other law enforcement officials and demonstrators for escalating the violence, rather than tempering it.

AUGUST 14: THE SHIFT IN SECURITY

In a bid to turn the tide, Gov. Jay Nixon put the Missouri Highway Patrol, and specifically Johnson, in charge of security.

Nixon said he decided to tap state troopers because "at this particular point, the attitudes weren't improving, and the blocks towards expression appeared to be a flash point."

Ferguson has looked "more like a war zone, and it's not acceptable," the governor said.

Johnson promised to take a different, more inclusive approach. He walked with protesters and was initially welcomed with open arms.

Some of that good will soured after security forces under his command lobbed tear gas and stun grenades at rowdy protesters, who tossed rocks and Molotov cocktails at them.

AUGUST 15: THE RELEASE OF SURVEILLANCE VIDEO AND THE OFFICER'S NAME

At the start, one of the protesters' main demands was that the name of the officer involved in the shooting be made public.

Police eventually identified Wilson as the officer responsible. They did so the same day they released surveillance video of Brown at Ferguson Market and Liquor store.

Minutes before the teen was shot, police said, a man fitting Brown's description allegedly stole cigars and roughed up a store clerk as cameras recorded.

Release of the video angered some, who said police were using it to distract from Brown's killing and paint him in a negative light.

Authorities have said Wilson stopped Brown not because of the theft, but because Brown and a friend were "walking down the middle of the street blocking traffic."

AUGUST 15: THE OFFICER'S REPORTED ACCOUNT

The officer who killed Brown said the teenager rushed at him full speed in the moments before the shooting, according to an account phoned in to a St. Louis radio station and confirmed by a source with detailed knowledge of the investigation.

According to the version on KFTK, phoned in by a woman who identified herself as "Josie," the altercation began after Wilson rolled down his window to tell Brown and a friend to stop walking in the street.

When Wilson tried to get out of his cruiser, Brown first tried to push the officer back into the car, then punched him in the face and grabbed for his gun before breaking free after the gun went off once, the caller said.

Wilson pursued Brown and his friend, ordering them to freeze, according to the account. When they turned around, Brown began taunting Wilson, saying he would not arrest them, then ran at the officer at full speed, the caller said.

Wilson then began shooting. The final shot was to Brown's forehead, and the teenager fell two or three feet in front of Wilson, said the caller, who identified herself as the officer's friend.

AUGUST 20: THE ATTORNEY GENERAL'S VISIT TO FERGUSON

Federal officials are conducting two civil rights investigations, one into Brown's killing and the other into the local police department's overall track record with minorities.

The most high-profile figure in President Barack Obama's administration to visit Ferguson, U.S. Attorney General Eric Holder, stressed that the federal government is on the case and listening -- both to protesters calling for Wilson's arrest and for an end to what they describe as a heavy-handed police response, and to residents and law enforcement officers challenged with looting and violence from some in the crowd.

"The people of Ferguson can have confidence in the federal agents, investigators and prosecutors who are leading the process," Holder said. "Our investigation will be fair, it will be thorough and it will be independent."

"On a personal note," the African-American father of a teenage son told reporters, "I've seen a lot in my time as attorney general, but few things have affected me as greatly as my visit to Ferguson."

SEPTEMBER 25: THE FERGUSON POLICE CHIEF'S APOLOGY

Ferguson Police Chief Thomas Jackson issued a video apology to Brown's parents, as well as to any peaceful protesters who felt he didn't do "enough to protect their constitutional right to protest."

Specifically, he apologized that it took investigating officers four hours to remove Brown's body from the street after Wilson shot him.

"I'm truly sorry for the loss of your son. I'm also sorry that it took so long to remove Michael from the street," he said.

Later, Jackson said he had no intention of stepping down, despite many calls to do so, telling CNN, "this is mine, and I'm taking ownership of it."

OCTOBER 21: THE AUTOPSY

Brown's gunshot wounds included a shot in the hand at close range, his official autopsy shows, according to an analysis reported by the St. Louis Post-Dispatch newspaper.

A county official with knowledge of the investigation told CNN the autopsy document that the Post-Dispatch used to do its report is authentic.

The detail could lend credence to Wilson's account that he and the unarmed African-American teenager scuffled at his patrol car before Brown was shot and killed.

A private autopsy conducted for the Brown family showed the teen had been shot at least six times, including twice in the head.

The official autopsy, as published by the Post-Dispatch, said Brown suffered six gunshot entrance wounds.

INTERMITTENT: THE LEAKS IN THE CASE

Many details about the investigation have been leaked to the media and some, including Attorney General Holder, have accused the leakers of being selective.

In addition to the autopsy information, the St. Louis Post-Dispatch published accounts of testimony presented to a St. Louis County grand jury.

The Washington Post, meanwhile, reported that at least six black witnesses gave testimony that supported Wilson's side of the story. The New York Times said it received information from a federal source.

Holder has called the leaks "inappropriate and troubling" because both the federal investigation and the grand jury proceedings are ongoing, according to a Justice official.

ONGOING: THE GRAND JURY

Although the grand jury has until January to issue its ruling, the prosecutor's office has said a decision could come as early as mid-November.

Whether or not it decides to indict Wilson, authorities have said they are planning for protests and possible violence.

Police from various departments will operate as a unified command. The National Guard will be available as necessary.

Law enforcement is prepared to extend shifts and limit leave, and additional resources have been distributed, Gov. Nixon has said.

"These measures are not being taken because we are convinced that violence will occur, but because we have a responsibility to prepare for any contingency," said the governor.

He added: "This is America. People have a right to express their views and grievances, but they do not have the right to put their fellow citizens or their property at risk."

CNN's Michael Pearson, Steve Almasy, Eliott C. McLaughlin, Holly Yan and Evan Perez contributed to this report.

@highlight

Michael Brown, a black teen, was shot August 9 by a white police officer

@highlight

His death sparked protests in the St. Louis suburb and beyond

@highlight

A grand jury is weighing whether to indict the officer

@highlight

Federal officials are conducting two civil rights investigations