(CNN) -- Mexican migration to the United States may have stalled, as a new study shows, but the political and social debates over immigrants living in the United States aren't going anywhere, experts say.

The immigration debate is reflected in a number of policies and proposals, most recognizably state immigration laws that are being challenged.

Oral arguments are scheduled at the Supreme Court on Wednesday as the justices decide whether Arizona can enforce its controversial immigration law.

A bill in Mississippi that would require police to check the immigration status of all those arrested died in the state Senate this month.

Amid the backdrop of contentious debates comes a study this week from the Pew Hispanic Center, which finds that for the first time in decades, the flow of Mexican migrants to and from the United States balances out.

The effect may be even more pronounced. According to the report, "the trend lines ... suggest that return flow to Mexico probably exceeded the inflow from Mexico during the past year or two."

"The largest wave of immigration in history from a single country to the United States has come to a standstill," the report announces.

The report's findings weren't a surprise to several Mexican immigrants in Los Angeles, who said they've seen the political and economic situation shift dramatically in recent years.

"It isn't like it was before. The laws have changed. The work is very hard. Life is very expensive," said Norma Ibarra. "It's not the United States it was 30 years ago."

Alba Roche said her nieces in Mexico want to come to the United States, but can't.

"They haven't been able to come because of the situation, because there is not enough work, and more than anything because crossing is quite dangerous, so there are many obstacles," she said.

Those who study immigration trends and policy agree that the apparent standstill in immigration is significant, but to varying degrees they say it will do little to change attitudes and actions in the United States.

Jeffrey Passel, senior demographer at the Pew Hispanic Center and one of the report's authors, said that as Mexican families have fewer children, the number of potential immigrants is shrinking. Also, the Mexican economy is improving and providing jobs that before weren't available and provided a push to look for opportunities in the United States.

"It's likely impossible that we'll get back to the level of immigration that we saw 10 years ago. It's possible that the flows may pick up, but I don't think they will get anywhere near where they were in 2000," Passel said.

"People have been talking about the return flow for a couple of years, but it just wasn't showing up in the data, and now we're beginning to see it," he added.

But the forces that pull immigrants to the United States and push them from Mexico have not disappeared.

"It's a little premature to say that part of history is over," said Tamar Jacoby, president and CEO of ImmigrationWorks USA, a federation of small-business owners in favor of immigration reform.

There are a number of factors that may have affected the recent trend: better enforcement in the United States, demographic changes in Mexico and the economic downturn in the United States.

"We have three different reasons, and we don't know how important each one of these reasons is," she said.

As those factors shift -- for example, as the U.S. economy improves -- the demand for immigrant workers in the United States will rise, she said. An improving situation in Mexico could result in fewer Mexicans migrating to the United States, but people from Central American countries could fill that void.

Even if not as large as before, a future demand for immigrants in the United States will mean a continuation of the debates of today.

The news produced in the Pew Hispanic report may relieve some people's anxieties, but for many illegal immigration critics, the real problem isn't the immigrants arriving today but the cumulative effects of immigrants who have arrived illegally over the past 30 years, Jacoby said.

Mark Krikorian, executive director of the Center for Immigration Studies, said there is no question that immigration from Mexico has slowed, but it doesn't mean nobody is coming.

"The claim that this is a permanent development is premature," said Krikorian, whose center favors a restrictive approach to immigration policy.

"When our economy picks up, what happens then?" he asked.

Krikorian said he sees the pause in Mexican migration as an opportunity to build up enforcement against future illegal immigration.

"The conclusion I draw from this is that we have breathing space to put enforcement measures in place that we will need when these pressures mount again," he said.

CNN's Jacqueline Hurtado contributed to this report.

@highlight

NEW: "It's not the United States it was 30 years ago," one immigrant says

@highlight

A new study says net flows from Mexico into the United States have stopped

@highlight

Better conditions in Mexico mean less desire to emigrate to the United States

@highlight

But future demand means the controversial debates will continue