(CNN) -- Friends and colleagues of Apple founder Steve Jobs sent their condolences Wednesday after his death at the age of 56.

On its homepage, Google carried a small notation, "Steve Jobs, 1955-2011." Clicking on Jobs' name took users to the Apple website and its tribute to Jobs.

U.S. House Leader Eric Cantor, R-Virginia:

"There is not a day that goes by, and often not an hour, that a Steve Jobs invention does not better my family's life. Thank you Steve."

U.S. Rep. John Boehner, R-Ohio:

"Steve Jobs changed the world for the better (with) his innovations & genius. R.I.P."

San Francisco Mayor Edwin Lee:

"Steve Jobs was a giant in the world of technology and established the Bay Area as a global center for innovation. He has inspired and changed the Bay Area and the world forever. Steve Jobs was born in San Francisco and his values were reflected in his generous support for results-driven education reform, 21st century philanthropy and bridging the digital divide for our diverse communities. Our thoughts and prayers are with his wife Laurene, his family and friends."

New York City Mayor Michael Bloomberg:

"Tonight, America lost a genius who will be remembered with Edison and Einstein, and whose ideas will shape the world for generations to come. Again and again over the last four decades, Steve Jobs saw the future and brought it to life long before most people could even see the horizon. And Steve's passionate belief in the power of technology to transform the way we live brought us more than smart phones and iPads: it brought knowledge and power that is reshaping the face of civilization. In New York City's government, everyone from street construction inspectors to NYPD detectives have harnessed Apple's products to do their jobs more efficiently and intuitively. Tonight our city -- a city that has always had such respect and admiration for creative genius -- joins with people around the planet in remembering a great man and keeping Laurene and the rest of the Jobs family in our thoughts and prayers."

California Attorney General Kamala Harris:

"California has lost a great leader with the passing of Steve Jobs. His character, intelligence, and creativity changed how the world works and how the world imagines itself. We are forever grateful and inspired by the gift he has given us. I send my thoughts and sympathies to Laurene and the entire Jobs family."

Former Massachusetts Governor Mitt Romney:

"Steve Jobs is an inspiration to American entrepreneurs. He will be missed."

John Lasseter, chief creative officer, and Ed Catmull, president, Walt Disney and Pixar Animation Studios

"Steve Jobs was an extraordinary visionary, our very dear friend and the guiding light of the Pixar family. He saw the potential of what Pixar could be before the rest of us, and beyond what anyone ever imagined. Steve took a chance on us and believed in our crazy dream of making computer animated films; the one thing he always said was to simply 'make it great.' He is why Pixar turned out the way we did and his strength, integrity and love of life has made us all better people. He will forever be a part of Pixar's DNA. Our hearts go out to his wife Laurene and their children during this incredibly difficult time."

Meg Whitman, president and chief executive of Hewlett-Packard:

"Steve Jobs was an iconic entrepreneur and businessman whose impact on technology was felt beyond Silicon Valley. He will be remembered for the innovation he brought to market and the inspiration he brought to the world."

Google Executive Chairman Eric Schmidt:

"Today is very sad for all of us. Steve defined a generation of style and technology that's unlikely to be matched again. Steve was so charismatically brilliant that he inspired people to do the impossible, and he will be remembered as the greatest computer innovator in history."

Google co-founder Sergey Brin:

"From the earliest days of Google, whenever Larry and I sought inspiration for vision and leadership, we needed to look no farther than Cupertino. Steve, your passion for excellence is felt by anyone who has ever touched an Apple product (including the MacBook I am writing this on right now). And I have witnessed it in person the few times we have met. On behalf of all of us at Google and more broadly in technology, you will be missed very much. My condolences to family, friends, and colleagues at Apple."

U.S. President Barack Obama:

"Michelle and I are saddened to learn of the passing of Steve Jobs. Steve was among the greatest of American innovators -- brave enough to think differently, bold enough to believe he could change the world, and talented enough to do it. By building one of the planet's most successful companies from his garage, he exemplified the spirit of American ingenuity. By making computers personal and putting the internet in our pockets, he made the information revolution not only accessible, but intuitive and fun. And by turning his talents to storytelling, he has brought joy to millions of children and grownups alike. Steve was fond of saying that he lived every day like it was his last. Because he did, he transformed our lives, redefined entire industries, and achieved one of the rarest feats in human history: he changed the way each of us sees the world. The world has lost a visionary. And there may be no greater tribute to Steve's success than the fact that much of the world learned of his passing on a device he invented. Michelle and I send our thoughts and prayers to Steve's wife Laurene, his family, and all those who loved him."

YouTube founders Chad Hurley and Steve Chen:

"It was an honor to have worked with Steve Jobs. He will forever remain an inspiration. He will be sorely missed, and our thoughts and prayers go out to his family."

G.S. Choi, chief executive of Samsung Electronics:

"Samsung Electronics is saddened to hear of Chairman Steve Jobs' passing and would like to extend our deepest condolences. Chairman Steve Jobs introduced numerous revolutionary changes to the information technology industry and was a great entrepreneur. His innovative spirit and remarkable accomplishments will forever be remembered by people around the world. We would like to again express our sincerest condolences to Mr. Jobs' family and his colleagues."

Google co-founder Larry Page:

"I am very, very sad to hear the news about Steve. He was a great man with incredible achievements and amazing brilliance. He always seemed to be able to say in very few words what you actually should have been thinking before you thought it. His focus on the user experience above all else has always been an inspiration to me. He was very kind to reach out to me as I became CEO of Google and spend time offering his advice and knowledge even though he was not at all well. My thoughts and Google's are with his family and the whole Apple family."

Mark Zuckerberg, founder and chief executive, Facebook:

"Steve, thank you for being a mentor and a friend. Thanks for showing that what you build can change the world. I will miss you."

U.S. Rep. Nancy Pelosi, D-California:

"Steve Jobs was a visionary who changed the way we live, an innovator whose products brought joy to millions, a risk-taker who wasn't afraid to challenge the status quo, and an entrepreneur who led one of the most creative companies of our time. His sage advice was respected by policymakers on both sides of the aisle. His courageous fight against cancer brought strength to many. I hope it is a comfort to those who loved him, especially his family, that so many grieve his loss and are praying for them at this sad time."

Microsoft Chairman Bill Gates:

"I'm truly saddened to learn of Steve Jobs' death. Melinda and I extend our sincere condolences to his family and friends, and to everyone Steve has touched through his work. Steve and I first met nearly 30 years ago, and have been colleagues, competitors and friends over the course of more than half our lives. The world rarely sees someone who has had the profound impact Steve has had, the effects of which will be felt for many generations to come. For those of us lucky enough to get to work with him, it's been an insanely great honor. I will miss Steve immensely."

Robert Iger, president and chief executive, The Walt Disney Company:

"Steve Jobs was a great friend as well as a trusted advisor. His legacy will extend far beyond the products he created or the businesses he built. It will be the millions of people he inspired, the lives he changed, and the culture he defined. Steve was such an 'original,' with a thoroughly creative, imaginative mind that defined an era. Despite all he accomplished, it feels like he was just getting started. With his passing the world has lost a rare original, Disney has lost a member of our family, and I have lost a great friend. Our thoughts and prayers are with his wife Laurene and his children during this difficult time."

California Governor Jerry Brown:

"Steve Jobs was a great California innovator who demonstrated what a totally independent and creative mind can accomplish. Few people have made such a powerful and elegant imprint on our lives. Anne and I wish to express our deepest sympathy to Steve's wife, Laurene, and their entire family."

@highlight

U.S. President Barack Obama: Steve was among the greatest of American innovators

@highlight

New York City Mayor Michael Bloomberg: Tonight, America lost a genius

@highlight

Facebook CEO Mark Zuckerberg: Steve, thank you for being a mentor and a friend