(CNN) -- The parents of a 10-year-old Pennsylvania girl who's been waiting more than a year for a lung transplant says the girl has essentially been "left to die."

Sarah Murnaghan, who has had cystic fibrosis since birth, could die within weeks without a transplant. She has been waiting 18 months for another pair of lungs as her ability to breathe has rapidly deteriorated.

She is at the top of the list for any pediatric lungs that may become available for transplant in her six-state region. Doctors say modified adult lungs could help save her, and adult lungs become available much more often.

But children under age 12 aren't prioritized for adult organs, under federal rules. So Sarah could only get available adult lungs if everyone else waiting for lungs in her region -- no matter how sick they are -- turns them down.

U.S. Health and Human Services Secretary Kathleen Sebelius has called on officials to review the nation's lung transplant policy for children, but any change could take up to two years.

Organ donation by the numbers

A statement from Fran and Janet Murnaghan welcomed the policy review as a "positive step."

"However, Sarah, and other children like her who need a transplant now, do not have the luxury of time to wait for a lengthy bureaucratic change," the parents said. "Essentially, Sarah has been left to die."

The department said Sunday it is sympathetic to the many parents facing similar circumstances.

"Our heart goes out to any family that is dealing with a loved one who is on a waiting list for an organ transplant," the statement said. "Given the significant disparity in the number of transplantable organs to the number of people in need of an organ, (the Organ Procurement and Transplantation Network) has regulations and policies to ensure that decisions are based on the best medical science and the most equitable process in a very difficult situation."

The Murnaghans asked that other parents consider naming Sarah as a transplant recipient should they or one of their children face death in the coming weeks.

"If you want to directly donate your loved one's lungs to Sarah, the law cannot change that. And Sarah will use that and create a positive and wonderful life and legacy for your loved one," Janet Murnaghan told CNN.

"I'm praying that somebody sees this story and is in a position to save my baby."

Sarah had a setback Sunday night, suffering from a fever and increased carbon dioxide levels, according to a post on Janet Murnaghan's Facebook page.

"I am feeling anxious and praying," she wrote.

The United Network for Organ Sharing, a nonprofit that manages the nation's transplant system under federal contract, agreed to the review Friday, the same day Sebelius sent an urgent request for it to look at its policy, UNOS spokeswoman Anne Paschke said.

But because the review process involves research and public comment, which take time, and because there are not enough organ donations for children, the nation's transplant system may not be able to save Sarah's life.

Her family wants Sebelius to step in.

"We are going to let a kid die over red tape. Somebody needs to stand up that this isn't right, this is a human issue. This isn't politics, this is a human issue," Janet Murnaghan said.

Paschke urged more Americans to look at an organ donation website.

Sebelius' request to the Organ Procurement and Transplantation Network called on officials to look at the age categories used in lung transplant cases.

Sarah's struggle has ignited a fight for new rules governing organ donations. She's been in a Philadelphia hospital for months due to her cystic fibrosis.

Tens of thousands of people have signed a petition on Change.org, and a congressman has called on the Obama administration to take quick action.

Sarah's mother told CNN she was "shocked" when she learned the rules a couple of weeks ago.

Sebelius asked for the policy review in a letter to Dr. John Roberts, board president of OPTN.

Sebelius cited the significant disparity between the number of transplantable organs and the number of people in need of an organ, especially among children. She also directed HHS's Health Resources and Services Administration Division of Transplantation to consider new approaches for promoting pediatric and adolescent organ donation.

"With 1,819 pediatric patients on organ transplant waitlists and only 852 pediatric organ transplant donors each year, it is especially clear that we can and should, if possible, do more to encourage the public to become registered organ donors," Sebelius wrote.

OPTN issued a statement last week noting that there is a separate policy for children because the "biological needs and circumstances of candidates younger than age 12 are different from either adolescent or adult candidates. One key difference is the size and lung capacity of donors and patients among these age ranges."

Children younger than age 12 are prioritized for donations from other children of similar age and size within a 1,000-mile radius.

Policies allow "status adjustments for specifically defined groups of candidates with unique medical circumstances not addressed by the overall policy," the statement said.

The network routinely reviews policies and considers "public input as well as medical data and experience," the statement said.

Dying girl's plight sparks fight over organ transplants

CNN's Jen Bixler, Chris Welch, Ross Levitt and Josh Levs contributed to this report.

@highlight

"I'm praying that somebody sees this ... and is in a position to save my baby," mom says

@highlight

Federal agency says policy aims to be fair in difficult situations

@highlight

Officials will take several years to review lung transplant policy

@highlight

Sarah Murnaghan has been waiting for a transplant for 18 months