London (CNN) -- Energy giant Total has found the source of a gas leak on an offshore oil platform in the North Sea, the company told CNN on Thursday. The leak is on the deck level of the well head platform, Total said.

The Elgin platform sprang a leak Sunday, forcing the evacuation of the rig.

Experts are working to decide whether they can wait for the gas to stop leaking on its own, or whether the company must drill a relief well or fill it with mud in a "kill operation," Total said.

Nearly 240 workers were taken off the rig as the problem developed Sunday, Total has said.

The leak seems to have started as workers were sealing the well in the North Sea, about 150 miles (240 kilometers) east of the Scottish city of Aberdeen.

"Ironically, it sounds as if, just like with the Deepwater Horizon, they were closing off a well and somewhere along the line something went wrong," oceanographer Simon Boxall said, referring to the major BP oil spill in the Gulf of Mexico in 2010.

The Elgin leak has echoes of the BP spill, but there are differences. The Elgin is in shallower water, which could make problems easier to fix, but it is leaking gas, rather than oil. Gas ignites more easily.

"This is nothing on the scale of the Gulf spill two years ago," Boxall said. "This is a relatively light spill. The gas itself is dispersing quite rapidly."

"The hope is that there is so little gas pressure in there that it will just blow itself out," he said of the Elgin spill.

Total's share price was down about 2% in trading in France on Thursday afternoon.

The French company's share price fell 7% Tuesday on news of the leak, but market analyst firm Jeffries International said Wednesday that it thought the market had overreacted.

A union representing workers on the rig warned Wednesday that there was an "urgent need" to stop the leak.

"If the gas cloud somehow finds an ignition source, we could be looking at complete destruction," said Jake Molloy, an official with the National Union of Rail, Maritime and Transport Workers.

"This is an unprecedented situation, and we really are in the realms of the unknown," he said.

But oceanographer Boxall said the risk of explosion may not be as high as initially feared.

"Initially, the risk of explosion was seen as being very high. There were reports coming through of a large gas cloud enveloping the whole rig," he told CNN.

But the fact that there has been no blast when the flare on the gas rig is still burning "obviously contradicts the idea that there was a very high risk of explosion," he said.

"Perhaps the quantity of gas is not that great as first thought," he said.

For the moment, the wind seems to be blowing the gas cloud away from the flare on the Elgin rig.

The winds over the North Sea around the Eglin platform are predicted to remain strong (40-50 kph, with gusts over 60 kph) and out of the northwest through Friday. On Saturday, the winds are expected to shift slightly out of the north, as an area of high pressure drifts eastward over the British Isles, and they should weaken Sunday. Scattered light showers are possible Friday and Saturday, but the area should stay mostly dry through the weekend.

Total said there was a "sheen on the water in the vicinity of the platform," but said Tuesday there was no indication of environmental damage and there had been no injuries.

Shell partially evacuated two of its nearby platforms, Shearwater and Hans Deul, as a "purely precautionary" measure, it said Wednesday.

The North Sea was the scene of the world's worst offshore rig disaster, the Piper Alpha explosion, which killed 167 people in 1988.

CNN's Bharati Naik and Brandon Miller contributed to this report.

@highlight

The Elgin platform leak is not underwater, energy firm Total says

@highlight

Total evacuated the rig in the North Sea after the leak Sunday

@highlight

Experts are deciding whether leak will stop on its own, or if action is needed

@highlight

Initial fears of an explosion may be unfounded, an oceanographer says