It was three years ago that people across the nation and around the world held their breath.

After a two-month trial, the jury in the Casey Anthony murder trial announced they had arrived at a verdict.

Anthony was found not guilty of first-degree murder and the other most serious charges against her in the 2008 death of her 2-year-old daughter.

The nation was first introduced to Casey Anthony in July 2008. The country fell in love with her precious daughter, Caylee, who had gone missing in Orlando, Florida.

A massive missing persons search for the little girl ensued.

Police were suspicious of what Anthony, then 22, was telling them. She lied about her nanny taking the child. She lied about working at Universal Studios.

Anthony suddenly became the most hated woman in America.

On July 16, 2008, Anthony was arrested on suspicion of child neglect. Her attorney was an unknown Florida lawyer named Jose Baez. A Florida grand jury indicted Anthony on capital murder charges October 14, 2008.  A utility worker found Caylee's skeletal remains in a wooded area near the Anthony home in December 2008, and several months later, prosecutors announced they would seek the death penalty.

Florida v. Casey Anthony: A look back at evidence and testimony

Watching in the wings was another Florida lawyer, Cheney Mason. A former president of the Florida Association of Criminal Lawyers, Mason, who just that year had been selected by Florida Monthly magazine as one of Florida's top lawyers, was disgusted with the local media coverage about the relatively inexperienced Baez.

"I was offended by it. I was offended by the fact that he wasn't being treated fairly. I didn't know Baez. I had never met him," Mason said.

Baez started asking Mason, a Florida death penalty qualified attorney, for advice. That propelled Mason to want to meet Anthony. He remembers going to the Orange County jail to introduce himself.

"They brought her to the room, and I have to tell you I was really surprised to see how small she is ... how tiny she is. I stood looking at a child herself. I said this can't be," he said.

I sat down with Mason exclusively to talk with him about his new book, "Justice in America." In it, he insists that the jury got it right, and the rest of the country had it wrong.

"Could she look you in the eye?" I asked.

"Oh yes," Mason responded, describing her demeanor as quiet, afraid and unsure.

After that meeting, with Anthony's approval, Mason decided to join the team pro bono. He said the unpaid time he spent on the case "was well over a million dollars" and cost him tens of thousands of dollars out-of-pocket.

Mason said in the years before trial, he normally met with Anthony in a lunch room at the jail. The jail would clear everyone out before Anthony came in. A stationary video camera in the room was positioned on their conversations, so he and Anthony would cover their mouths and speak in low tones to each other, Mason said.

Shortly before jury selection was to begin, Mason got word that Anthony's handwritten letters describing sexual abuse at the hands of her father were going to be made public under Florida's open records law.

He believed it was only right that Anthony's parents, George and Cindy, were warned. He called them to his office late on a Friday afternoon.

"We had them one at a time come into my personal office and made the announcement: 'Monday's going to be a bad day for you George. I felt man to man I would tell you in advance.""

Mason said George Anthony's reaction was "basically none." "He looked at me ... I turned sideways a little bit, he clapped his hands down on his thighs -- let out a big sigh but didn't say anything," Mason said.

"He never admitted doing anything," Mason said. "All we had were the letters and (separately) the statements Casey had made to the psychiatrist."

Next it was Cindy Anthony's turn. "We called Mom in, Cindy, and told her and she immediately welled up with emotion, cried, was very upset," Mason said.

Once a jury was selected it was time for the evidentiary portion of the trial. Baez gave the opening statements. In the midst of telling the jury what the evidence would show, he delivered a bombshell that turned the case on its head by telling the jury that his client was a victim of sexual abuse by her father.

The country was stunned and so was Mason, who was sitting next to Anthony in the courtroom.

"I didn't know that he was going to say that. We had talked about all aspects of it, and I did not know. I don't know if anybody knew that he was going to say that other than himself," Mason recalled.

I asked Mason if he was concerned the defense would not be able to establish this with evidence as promised during the opening statement. Mason said he was.

"Yes, I was concerned about that because I knew we didn't have the ability to prove that unless George got on the stand and confessed," he said.

The prosecution responded by making George Anthony its first witness. The first question Assistant State Attorney Jeff Ashton asked him was whether he had sexually abused his daughter. George Anthony responded with a definitive no.

The trial went on for weeks. Witness after witness took the stand for the prosecution in the largely circumstantial case.  They finally rested their case on June 15, 2011. Then it was the defense's turn.

Anthony's defense attorneys maintained that Caylee was not murdered at all. They said the child drowned in the Anthony's above-ground pool, and that Casey Anthony and her father panicked upon finding her there and covered up the death. George Anthony denied that in his testimony.

Casey Anthony: 'I didn't kill my daughter'

In the midst of the defense case, Mason described how out-of-court conversations with the prosecution suddenly turned to possible plea discussions. Anthony was approached with the possibility.

"Casey got very angry about that. She got very angry to hear talk about it. She didn't want to hear it." Mason said. "Casey would fight it 'til her last breath. She didn't kill her daughter."

Mason said he believes it took a lot of courage and strength for Anthony to end any talk of a plea agreement. She knew what was at stake in this death penalty trial.

So, plea discussions were stopped in their tracks, Mason said, and the trial went on.

Then, on July 5, 2011, after deliberating for 10 hours, jurors announced they had reached a verdict.

"She was holding her breath like a deep sea diver, waiting as we all were," Mason said.

Anthony was acquitted by the 12-person jury on the most serious charges, including first-degree murder, aggravated child abuse and aggravated manslaughter of a child. But the jury convicted her on four misdemeanors of providing false information to law enforcement officers.

Anthony now lives in an undisclosed location in Florida and doesn't go out of the home she is living in because of the public hate and continued threats to her life, Mason said.

"She has to live constantly on guard. She can't go out in public," Mason said.

By her own choice, she works inside the home, Mason said, and is living as "a housekeeper, clerk, secretary and stuff like that."

"I think Casey has a lot of world left to have to deal with. She hasn't been freed from her incarceration yet 'cause she can't go out. She can't go to a beauty parlor, she can't go shopping to a department store, she can't go to a restaurant, she can't even go to McDonald's. She can't do anything," he said.

Mason and his wife, Shirley, have continued a relationship with Anthony. Now three years after being acquitted, Mason said Anthony still distrusts the outside world.

"Casey is aloof," Mason said. "She is kind of, I think, afraid of people ... she's not real close to. We've had a couple of occasions to have social gatherings that can include her -- close friends, the (legal) team. She still likes to back away from the middle."

2012: Anthony's 'video diary' surfaces

Anthony "does not have any blood family anymore," Mason said. The family she has is the residual of the defense team, Dorothy Clay Sims, Lisabeth Fryer and Mason's wife.

Mason said although there may have been a few conversations between Anthony and her mother in recent years, there is no relationship.

And as for a relationship with her father? "None," Mason said emphatically.

Shirley Mason has also gotten to know Anthony over the past three years.

"I'm a cross between a friend, a mother, but not a mother -- only someone who is older who has had experience in the world she has not had," she said.

Mason gives Anthony advice, but also listens to her when they talk.

"My hope for her is it gets better for her and the world or the people who have been so hateful can let that go and they can move on," she said.

Anthony "tries to make her life work," Shirley Mason said. She takes care of herself and stays physically fit by working out in the house.

"I do think she wants to speak out," Mason said. Anthony declined CNN's request for an interview.

"I have never asked her that, but I know she has very strong feelings for what has happened to her. I also know she's very saddened by her loss and she will never forget her daughter Caylee, ever."

@highlight

This week marks three years since the Casey Anthony verdict

@highlight

Caylee Anthony went missing in June 2008

@highlight

Today, Casey Anthony is in undisclosed location in Florida

@highlight

She chooses not to go out in public