(Health.com) -- Do any of these scenarios sound familiar?

-Somebody cuts in front of you in the grocery store line. You're irritated but don't say anything.

-Your friend asks you to pick her up at the airport. Again. You say yes even though you have no time.

-You disagree with your boss, but say nothing.

Are you nodding yes? We've all had moments when we think to ourselves, I'm confident, I'm smart, and I know what I want. Why can't I just say it?

Being assertive -- standing up for yourself and speaking your mind in a clear yet respectful way -- can be remarkably hard on a good day. We worry if we ask for what we need, we'll put someone out. Or that we'll come across as a you-know-what. So we just let what we want go unsaid.

In your defense, it is more of a challenge to state your needs these days. The still-shaky economy may make you hesitant to ask for that raise at work (or disagree with your boss). You may feel worse turning down requests from family, knowing they're stressed.

And it's not just your imagination that more folks are losing it in public -- witness the woman who sprayed mace at fellow shoppers on Black Friday. A recent survey revealed that 86 percent of Americans have been the victims of rude behavior.

The payoff of having your own back, though, is enormous -- and it's so much more than simply getting your way.

"When you say what you want, you live a happier and more authentic life," says Caroline Adams Miller, author of "Creating Your Best Life."

That's true no matter what the outcome, adds Simon Rego, Psy.D., director of the cognitive behavioral training program at Montefiore Medical Center in New York. Those who speak up do better at work, have more time, and have healthier relationships.

So how do you master this crucial skill? "The three keys," explains Miller, "are knowing what you want, believing you have a right to it, and finding the courage to express it." You are about to become your own best advocate.

Health.com: 29 days to a healthier relationship

Be assertive... with friends and family

Surprisingly, your nearest and dearest can be the toughest to stand up to.

"They're the people we want to please the most," says Miller. "We'd rather be unhappy ourselves than disappoint them."

To complicate matters, we have to fight a lifetime of old (bad) habits -- saying "sure" when we really mean "no way." True, standing your ground can be momentarily uncomfortable, but it's so worth it -- your relationships will be stronger as a result, Miller says. Try these tactics:

Challenge #1: Saying "no!"

Your sister is always asking you to watch her kids; your running buddy keeps dragging you to Spinning class, which you hate.

The solution: There is a trick to getting your way when someone doesn't pick up subtle hints. Take a deep breath so you sound calm -- not at all peeved -- and just say, "No, I'm not able to do that," Rego advises. If she pushes back (which she likely will), repeat, minus a word or two. "No. I'm not able."

This may go on for several rounds. "Each time, you shorten the phrase until you eventually just say no," says Rego. "It's extremely effective because it allows you to convey what you want without getting upset."

Challenge #2: Sticking with your values

You need your folks to respect your decisions about your kids; you want the in-laws to stop breaking the bank on gifts.

The solution: When you're broaching a sensitive topic, it's best to start with the word "I". (This is particularly effective at deflecting arguments over hot button issues.) "'I' statements are expressions of your own needs, which we all are entitled to have," explains Rego. Using "you" statements, on the other hand, can put the other person on the defensive, which will only escalate an argument. Keep it simple and own it ("I feel my kids act crazy when they eat candy, so I don't want them to have any.")

Challenge #3: Breaking a pattern

Maybe your friend always picks the restaurants (and pricey ones), or your man chooses your vacation spots every time.

The solution: This one pops up a lot in close relationships. Here, too, that "I" statement is key. Soften it with at least one thing the other person will be happy to hear ("Our date nights are so fun, but I would love to see a movie this time.")

Health.com: 10 ways to shake up date night

Be assertive... at work

Overdue for a raise? Longing for more interesting assignments? Working with spotlight stealers who are constantly broadcasting their accomplishments (and taking credit for some of yours)? You know what you have to do!

"Assertiveness is one of the most crucial tools for success," says Gabriela Cora, M.D., a psychiatrist who specializes in workplace issues. "To be able to clarify a thought, make it precise and relevant, and share it at the right moment is an art."

Luckily, it's a learnable art. Consider this your cheat sheet for getting your needs met from 9 to 5.

What you need: To ask for a raise or promotion (and get it)

How to proceed: Show your best stuff is yet to come

Let's be honest: Even if you feel confident, marching into your boss's office and rattling off all the reasons you deserve more cash or seniority isn't the way to go. That said, "You do need to present your case, citing two or three of the valuable contributions you've made to the company," recommends Cora. (Timing your request so it comes after a major accomplishment is wise.)

But equally crucial, Cora adds, is to look ahead to the future: "Discuss the things you want to do in the future that are in line with your boss's goals." In so doing, you gain power in the negotiations, because you become more valuable to your manager.

What if the head honcho flat-out says no? Ask: "Can we talk about my performance again in six months?" You're not pushing; you're just showing that you believe in your skills enough to follow through.

What you need: To get an idea green-lighted at a meeting

How to proceed: Don't go first

Though you may think it's always best to get your idea on the table first, it's actually smarter to listen before you take the floor, Cora says. "Look to see how you can piggyback your idea with someone else's," she advises. Wait for two or three people to speak, then make your case, saying something like, "My idea, which works well with Sara's, is...."

The piggyback strategy not only increases the likelihood that you'll get your idea approved, but it also tends to defuse competition between co-workers and create a more collaborative and creative workplace. Keep in mind that brevity helps, so make your case in three to five sentences, advises Cora: "When people don't feel confident, they tend to say too little or too much, and their point isn't clear."

Health.com: Job killing you? 8 types of work-related stress

Be assertive... in public

The maÃŽtre d' at a restaurant gives away the table you were next in line for. The guy using the treadmill before you leaves it dripping in sweat. You'd think that speaking up with strangers would be easy -- after all, you never have to see them again. But some of us actually have more trouble in these situations because we feel like our speak-out skills are on display. Make it simpler with this advice.

When you want to register a complaint...

The best strategy: Make a complaint sandwich.

Not sure how to ask for a refund on the top you washed once that promptly fell apart? Make what's called a complaint sandwich, says Arthur Gallego of Gallego & Co. Brand Communications, which manages customer service programs for companies.

The layers of the sandwich, in order: a statement saying how much you enjoy the product or brand, then a description of the problem, then a statement that you hope the company/store can stand behind its products and fix the issue. Sample script: "I shop here all the time, but I washed this shirt once and it came apart. I'd like you to replace it or give me a refund."

When you want someone to stop doing something annoying...

The best strategy: Stick to the facts. If you're not used to speaking your mind, your go-to reaction may be a pointed stare or loud sigh, but these nonverbal expressions of anger aren't going to help you get what you need -- or make you feel good about yourself, notes psychologist Sharon Greenburg, Ph.D.

Health.com: Find your ultimate happiness

Better bet: State your case in a neutral tone (think TV newsreader) and reserve the eye-rolling for when you watch Jersey Shore marathons.

When you want to right a wrong

The best strategy: Find common ground.

Empathize, advises Josh Denton, president of Denton Consulting Group, who consults with companies on customer service and human relations. Say a fellow shopper snatches a marked-down pair of shoes out of your pile. Instead of snapping at her, put her move in context. A simple "Wow, this sale is crazy!" before pointing out that those heels are yours helps you get what you deserve--in the most pleasant way possible.

@highlight

A recent survey revealed that 86 percent of Americans have been the victims of rude behavior

@highlight

Stick to the facts when you want someone to stop doing something annoying

@highlight

In a relationship, soften topics with at least one thing the other person will be happy to hear