(CNN) -- When Maria Elza de Fatima learned the World Cup was coming to Brazil in 2014, she thought the good times were soon to return.

Once the owner of a busy clothing stall, the 59-year-old Sao Paulo resident had scraped around for work since her license expired and wasn't renewed by city authorities.

But now the World Cup was coming to her home town -- along with many thousands of fans, visitors and tourists -- opportunities would abound, wouldn't they? It hasn't quite turned out that way.

De Fatima may be one of the lucky ones who has been able to secure an official World Cup job but what she can do and where she can work is limited.

Alongside roughly 600 others, she has been given permission to sell ice packs and soft drinks outside the Sao Paulo stadium. Only official FIFA partners are allowed to hock their wares here and within the arena. De Fatima is all too aware that many others haven't been so fortunate.

She recalls the days when as many 22,000 stall-owners plied their trade on Sao Paulo's streets. A mere 600 jobs (although there are also temporary roles in other areas) isn't nearly enough for them, she laments.

"This World Cup is not for the Brazilians," de Fatima replies when asked whether Sao Paulo has experienced the boon she expected. "It is for the foreigners and FIFA friends."

Nationwide protests

De Fatima isn't the only disillusioned Brazilian.

A recent poll by the Pew Research Center found that 61% of respondents felt hosting the World Cup would be a bad thing for their country.

According to Marina Mattar of the Sao Paulo Popular Committee of the World Cup, an umbrella organization for disparate protest groups in the city, the tournament will bring a lot of money into Brazil, but mainly to a well-connected few.

"The World Cup is bringing benefits to Brazil but it's to the economic and political elites -- not to street vendors, not to small companies, entrepreneurs and not to workers in general," she said.

Key to this debate are the spiraling costs of building new stadia across the country to host matches during the World Cup.

Promotional literature released by the Brazilian government puts expenditure in terms of funds, loans and credit lines from the public purse for stadium projects at at $3.5 billion.

But a recent audit suggests the price has escalated to $4.2 billion.

"The stadiums are not being built for ordinary people because the price of the tickets is very high and many people will not be able to go watch football any more.

"Instead, the stadiums are in a way very good for big engineering companies to make money," Mattar said.

People have also been evicted from their homes to make way for projects relating to the World Cup and there has been the "pacification" of favelas, which has seen police forcibly occupy some of the poorer neighborhoods in the city, she added.

Such concerns are far from exclusive to Sao Paulo.

All across Brazil, street protests have raged in the last year while popular committee groups have also sprung up in Rio de Janeiro, Belo Horizonte and beyond.

A multitude of grievances, not all directly related to the world Cup, have driven this discontent -- including rising transport prices, higher living costs, housing concerns and accusations of police brutality.

Fairness and equality are at the heart of these concerns.

While Brazil has grown rapidly since the turn of the century, creating a new middle class, inequality remains high and some fear the very poorest are being left behind.

According to the CIA World Factbook, Brazil ranks 17th out of 140 countries in terms of the highest levels of income disparity.

Protesters are asking why an emerging nation is spending billions on hosting a football tournament when that money could be better directed towards alleviating poverty.

"It is unacceptable to build a mega event that will provide high profits to FIFA ... while there are serious problems of social inequality in the country," said Jean Marcelo, an activist with the student protest group Domino Publico.

"The World Cup reaffirms an existing logic that rules the Brazilian government. It's a logic benefiting big businesses and a small elite who occupy the top of the social pyramid," he added.

But with new roads, airports and stadiums being built, all of which have brought jobs and improvements to the country's infrastructure, there are many who say the initial outlay, however eye-watering, will be worth it in the long term.

The Brazilian government estimates that 710,000 temporary and permanent jobs will be created during the tournament while fan spending alone is expected to total $13 billion.

On top of that, many Brazilian cities see the exposure they will gain hosting matches as an opportunity to position themselves as attractive destinations to potential investors and tourists now and in the future.

A World Cup for all?

"There has been significant investment in urban mobility projects, in airport modernization projects, in port modernization projects, telecommunications infrastructure and security infrastructure," Brazil's deputy sports minister Luis Fernandes told CNN.

"You have to remember that Brazil is still a developing nation... as well as providing jobs for hundreds of thousands of Brazilians, these investments will benefit people in terms of the services provided," he added.

"The fans who come to the World Cup won't be taking back with them the new urban transport solutions or airport extensions," Fernandes said.

Paulo Esteves, general supervisor at Rio de Janeiro-based think-tank, the BRICS Policy Center, agrees with this viewpoint.

"In a way, what we are seeing are investments that otherwise do not take place," he said. "The World Cup has been a kind of catalyst for this."

"The government did not take money from health or transportation to invest in stadiums. Investments in public health and transportation will go on and on."

Esteves is quick to add, however, that this doesn't mean public grievances are without merit, and believes the World Cup has created a platform for groups and people dissatisfied with how Brazil is developing as to unite and make their voices heard.

In recent weeks teachers, metro workers and bus drivers have gone on strike demanding better pay and conditions. Others have taken to the streets to campaign for better housing.

Rather than highlighting the negatives of hosting a football tournament, these protests "are really talking about the other side of economic modernization in Brazil," Esteves said.

"The World Cup is not a target per se but it is an opportunity to vocalize and make stronger ... claims for strengthening the process around political and social inclusion."

However, Mattar and others in protest movements maintain their opposition to the World Cup is based on principled rejection of spending decisions tied to what they regard as an elitist, closed event.

Yet, with billions of dollars already spent and the tournament about to start, they are realistic about what opposition can now achieve.

Still, Mattar hopes the anger felt by many Brazilians will reach the watching world and provide lessons for future hosts of big sporting events, including the next two World Cup host countries.

"We hope our legacy will be to show to people in Russia, Qatar and maybe in other places that these events and the way they are organized (make it) impossible they will bring any benefits," Mattar said.

@highlight

The World Cup is expected to bring in billions to Brazil's economy

@highlight

Many protestors claim this money will remain in the hands of a well-connected few

@highlight

Brazilian officials say World Cup has boosted infrastructure projects and created jobs

@highlight

Country has experienced wide protests over hosting the World Cup