(CNN) -- Since March 11, the six reactors at the Fukushima Daiichi nuclear power plant have been in various states of disrepair after being battered by a 9.0-magnitude earthquake and subsequent tsunami.

Here is the latest on the status of each reactor and what was being done to prevent further emissions of radioactive material:

Reactor No. 1

The "vapor" rising near the No. 1 reactor at the plant is "only natural" and not a cause for alarm, Chief Cabinet Secretary Yukio Edano said Thursday, especially since water is now in that unit's nuclear spent fuel pool. The temperature at the No. 1 reactor "right now is going down," he added.

Light was restored Thursday in the No. 1 reactor's central control room, a Tokyo Electric Power Co. official told CNN. But it was just a partial restoration, as workers continued to try to get electricity going for control panels and cooling system pumps at the reactor. Hidehiko Nishiyama, an official with Japan's nuclear and industrial safety agency, said that the hope is to begin cooling the unit's spent fuel pool -- which is thought to be fully or partially exposed -- on Friday using outside power.

According to the Japan Atomic Industrial Forum, a nuclear industry group basing its data on official government and utility information, the No. 1 unit's reactor core has been damaged, but its containment vessel was not. As of Thursday, the unit's cooling systems were still not operational, with seawater being pumped into the reactor.

Still, the building itself was "severely damaged" by an earlier hydrogen explosion. There were concerns Thursday, according to the trade group, that pressure in the reactor was rising.

Reactor No. 2

Nishiyama on Thursday described the No. 2 unit as "quite stable." But he did note -- but did not explain -- that there had been "high radiation readings" nearby.

Seawater continues to be pumped in an effort to cool down nuclear fuel rods and prevent the further emission of radioactive material into the atmosphere.

Damage is "suspected" in this unit's containment vessel -- the only such vessel so compromised, according to the Japan Atomic Industrial Forum. The reactor's core is also thought to be damaged. But the building itself has only been "slightly damaged," the same group reports.

With the cooling system still not working, seawater has been injected into both the unit's reactor and its spent nuclear fuel pool. Like units Nos. 1 and 3, the reactor's fuel rods are thought to be fully or partially exposed, leaving them susceptible to overheating and subsequent emissions of radioactive material into the air.

Reactor No. 3

By 10 a.m. Thursday, black smoke spotted a day earlier rising from the No. 3 reactor had stopped, according to Nishiyama. He said the cause of the smoke remains unknown, speculating it may have come from burning oil or machinery nearby.

Edano announced Thursday that, the previous day, three workers were exposed to more than 170 millisieverts of radiation while laying cable in the No. 3 reactor's turbine building. Two of them were hospitalized.

By Thursday, work had resumed at that reactor. Beginning shortly after 5:30 a.m., about 500 tons of seawater began being injected into it, Nishiyama said. Authorities intend to eventually switch to adding fresh water, he said, without providing an explanation as to why or a timetable.

In addition, firefighters from Tokyo and Yokohoma cities are preparing to spray another 500 tons of water toward that reactor's nuclear spent fuel pool, which Nishiyama said could happen Thursday or Friday. These pools contain fuel rods that, if not cooled down, can overheat and, in the process, release radioactive vapors into the air.

The building of the No. 3 reactor was "severely damaged" after an explosion caused by the buildup of hydrogen gas, reports the Japan Atomic Industrial Forum. Its core reactor is also damaged, its fuel rods are either partly or fully exposed. As to its nuclear spent fuel pool, reports are that the pool itself was "possibly damaged," and the water level has been low -- a reason for the repeated spraying.

On the positive side, the No. 3 unit's containment vessel is not damaged, according to the nuclear trade group.

Reactor No. 4

Members of Japan's self-defense forces on Thursday doused the nuclear spent fuel pool at the No. 4 reactor. Nishiyama estimated that this effort should wrap up Friday.

Along with the Nos. 5 and 6 units, the No. 4 was offline on a scheduled outage when the earthquake hit, and as a result the reactor's water level and pressure are continued safe. But its nuclear spent fuel pool was "possibly damaged," which is why authorities have said its water levels are low and why they've made repeated efforts to fill it up with seawater.

Reactor No. 5

The No. 5 unit appears safe, for now, Nishiyama said. Workers were trying Thursday to repair the unit's cooling system, which gave out the previous day. The temperatures in the unit remained relatively low, though authorities acknowledged that they could rise again if the cooling system isn't fixed soon.

As with units Nos. 4 and 6, this reactor was off on a scheduled outage when the quake hit and there are no major issues with the reactor and core itself. The nuclear spent fuel pool is thought to be functioning, aside from continued concerns about powering its cooling system to ensure that the fuel rods contained within remain cool.

Reactor No. 6

The No. 6 unit appears safe, for now, Nishiyama said. Workers were trying Thursday to repair the unit's cooling system, which gave out the previous day. The temperatures in the unit remained relatively low, though authorities acknowledged that they could rise again if the cooling system isn't fixed soon.

The No. 6 reactor was offline when the tsunami struck, and there are no major concerns about the structure or safety of its core or containment vessel. The nuclear spent fuel pool is thought to be functioning, aside from continued concerns about powering its cooling system to ensure that the fuel rods contained within remain cool.

This reactor was off on a scheduled outage when the quake hit and there are no major issues with the reactor and core itself. The nuclear spent fuel pool is thought to be functioning, aside from continued concerns about powering its cooling system to ensure that the fuel rods contained within remain cool.

@highlight

Government officials note progress Thursday in efforts at the Fukushima Daiichi facility

@highlight

Major issues remain, especially at reactors Nos. 1, 2, 3 and 4