(CNN) -- With its heaving highways, glittering skyscrapers, contemporary art and design spaces, and countless new developments, Beijing is a thoroughly modern city.

But beyond its contemporary facade are the remnants of hundreds of years of traditional history.

Home to numerous ruling dynasties, Beijing is famed for its Forbidden City, a majestic court surrounded by high walls, once all but impossible to enter, which can now be visited by locals and tourists alike.

Palaces temples and observatories dot the city, usually set in parks providing respite from the hustle and bustle.

CNN's World's Treasures offers its top five picks of Beijing's traditional sites, from palaces laden with jaw-dropping artifacts to tranquil sculpted gardens that will -- almost -- make you forget you're in a buzzing modern metropolis.

The Forbidden City

Built in the early 15th century, this gilded fortress was the seat of power during the Ming and Qing dynasties. With its breathtaking art and furniture and its sheer scale, the Forbidden City is a must on any Beijing travel itinerary. Visitors can easily lose themselves for hours admiring its opulence, sheltered from the outside world by high walls.

Secret Garden of Beijing's Forbidden City garden revealed

The Summer Palace

Set in a landscaped park, the imperial court's summer residence is now a beautiful resting spot for the city-weary. Pavilions, temples and palaces make up the stunning vista, but perhaps the most memorable feature is a marble boat commissioned by the Empress Dowager Cixi. It also boasts the 900-meter Long Gallery -- home to paintings of mythological scenes -- and a lake on which you can row boats in summer and ice skate in winter.

The Temple of Heaven

The Temple of Heaven, located in Beijing's Tiantan Park, was built in the 15th century during the Ming period and is admired for its complex architecture that symbolizes the meeting between heaven and earth, with the Emperor believed to have been the link between the two. The Temple was where sacrifices were offered to heaven and earth, and these were carried out for nearly 500 years before being banned at the beginning of the 20th century.

Ancient Observatory

The history of this observatory stretches all the way back to the days of Khubilai Khan, grandson of the feared Mongolian warlord Genghis. It is set in a tranquil park, features eight Ming dynasty astronomical instruments on its roof, and is attached to a small museum.

Khubilai Khan's riches travel to New York

Confucian Temple

Completed in 1306, during the Yuan dynasty, the Confucian Temple was both a place of learning and where emperors offered sacrifices to the philosopher Confucius up until the beginning of the 20th century. Carvings, commemorative stone tablets and numerous statues of wise men make this a quiet pit-stop, perfect for a spot of contemplation.

@highlight

Beijing may be a bustling modern metropolis but it is steeped in hundreds of years of history

@highlight

CNN World's Treasures selects five top sites for travelers eager to sample the city's imperial past

@highlight

Highlights include the Forbidden City, the Summer Palace and the Temple of Heaven