Simferopol, Ukraine (CNN) -- There has been lots of talk by officials about Ukraine, specifically about the disputed region of Crimea and it possibly joining Russia.

There have been threats of sanctions and other punitive measures against Moscow, for allegedly supporting this breakaway from Ukraine, in spirit and in action. Troops -- some uniformed, some not -- have been seen in and around the region, raising worries, even if no one has been shot.

But could something big and decisive be coming soon?

For as tense as things are now, the fear is that things could deteriorate quickly and bloodily. The trigger may be Sunday's vote in Crimea, where voters can formally set the stage for its secession from Ukraine and becoming part of Russia.

Russia's increased flexing of its military might has heightened the tensions and raised fears of an imminent invasion, especially after the referendum results come in and the dominoes start falling.

Thousands of Russian paratroopers, artillerymen and more on Friday continued a large-scale military drill near the Ukraine border. On the same day, armored truck after truck toting long-range guns and other military equipment rumbled through northern Crimea.

Already, eight Ukrainian military units in Crimea have been taken over, 22 others are blocked, and 49 of 56 border patrol stations are in similar straits, Ukraine's foreign ministry said.

Kiev's new Western-leaning government -- which came to power following the ouster of President Viktor Yanukovych, who fled last month after succumbing to intense public pressure in part for aligning more with Moscow and less with the European Union -- has insisted that Ukraine's territorial integrity, including Crimea, must be respected.

Moscow has been equally steadfast in its support for ethnic Russians and abiding by voter's' wishes in Crimea.

Estonia's defense minister, Urmas Reinsalu, warned Friday that Ukraine is on the verge of a full-scale military conflict unless Russian President Vladimir Putin's hand is forced.

"It is clear that we are at a crossroads," U.N. Secretary-General Ban Ki-moon said Friday. "If positions continue to harden and rhetoric continues to sharpen, there is great risk of a dangerous downward spiral."

Neither side is budging.

Russia so far has refused any direct talks with Ukraine's new leaders, but its foreign minister, Sergey Lavrov, has talked daily with Kerry, met face-to-face with him last week in Europe and the diplomats met again for more than five hours Friday in London.

Afterward, it appeared -- as has been the case for weeks -- the only thing Russia and the United States agree upon is that they can't agree on anything of substance.

As Lavrov said Friday, "We don't have a common vision."

Kerry: Actions 'calibrated' if Russia open to talks

While the Russian foreign minister and his team did engage in talks Friday, calling them negotiations may be a reach. As Kerry said, Moscow wasn't going to do anything until the Crimea referendum's results are released, likely Monday.

In fact, Lavrov didn't have any authority to even negotiate on anything to do with Crimea, according to a senior State Department official.

His boss, Putin, reiterated Friday that Sunday's vote is in line with international law and the U.N. charter, a Kremlin statement said. A day earlier, Russian U.N. Ambassador Vitaly Churkin asked why Crimeans don't deserve a right to self-determination, just like anyone else.

Ukraine's new government, as well as Western leaders, see it differently.

While Churkin accused the West of having "fanned the flames of unrest," officials there accuse Russia of instigating and furthering the crisis -- including sending troops into Crimea to blockade and seize Ukrainian military and other facilities, something Moscow has denied.

European nations and the United States have already hit back some, with targeted punishments in addition to offers of billions in aid to Ukraine's fledgling government. The situation seems to have had an impact already within Russia, as evidenced by steep declines in its stock market and the value of the ruble. And the State Department cautioned Americans about traveling to Russia given "the possibility of violence or anti-U.S. actions directed against U.S. citizens or U.S. interests."

Kerry warned Friday that the "consequences" will be far more stringent should Putin sign off on the "back-door annexation" of Crimea.

At the same time, he opened the door for less strident measures should Russia opt not to take in Crimea -- whatever the referendum says -- and instead go along with more autonomy, human rights monitoring and other steps for that region if it stays part of Ukraine.

"If there is greater diplomatic opportunity that can be pursued -- and that is, in fact, on the table -- then I'm confident that whatever the response is would be calibrated accordingly," Kerry said. "But if ... a decision is made that is negative and/or flies in the face of all of the rationale that the EU and others have put on the table for the illegality (of an annexation), that will obviously demand some further response."

For his part, Lavrov called Friday's conversations -- which he characterized as "negotiations" -- as "useful," even if they didn't produce a breakthrough. He added he's aware of what might happen if Crimea becomes part of Russia, saying sanctions won't help anyone.

"I assure you that our partners understand that sanctions are counterproductive ... and (they) will not facilitate mutual interests," he said.

Unrest, military action continues

Some 1,500 miles away from these seemingly calm, cordial discussions, Crimea continues to boil.

Col. Evgeniy Pivovarov, the head of a military hospital associated with Ukraine's foreign ministry, was "kidnapped" Friday evening in the Crimean capital of Simferopol, a Ukrainian defense ministry spokesman for Crimea said.

"His kidnappers cuffed Pivovarov's hands behind his back and drove him away," said Vladislav Seleznev. "His whereabouts are currently unknown."

Meanwhile, in northern Crimea, video shot by CNN showed green trucks rolling in the direction of Dzhankoy, home to a key military airfield. They appeared loaded, including some with long-range artillery guns.

Who was driving them, and for what purpose? One of the vehicles had a Russian license plate, but the other had no plates at all. And men connected to the convoy refused to answer CNN's questions on the matter.

Ukrainian officials have repeatedly claimed that Russian troops are among the armed men that have, effectively, taken over Crimea on the heels of the local government's decision to side with Moscow and against Kiev.

Russia has denied any direct involvement, saying what's happening in Crimea is an internal matter. The powerful nation hasn't been shy, however, about military activities on its side of the border with Ukraine.

Its defense ministry has said about 8,500 artillery personnel were staging snap military exercises not far from Ukraine's eastern border. U.S. Ambassador to the U.N. Samantha Power estimated "at least 10,000" Russian troops overall were involved.

"This is the second time inside of a month that Russia has chosen to mass large amounts of force on short notice without much transparency around the eastern borders of Ukraine," a senior State Department official said.

Meanwhile, six Russian jet fighters were moved to Bobruisk airfield in Belarus on Thursday, Russian state news agency RIA Novosti cited the Belarussian Defense Ministry as saying Friday.

The move is part of Belarus' offer to Russia to participate in joint military drills, the news agency reported. Belarus, a former Soviet republic, borders Russia and northern Ukraine.

Russia's defense ministry released video Friday showing paratroopers floating downward as part of those drills.

Should Moscow launch a full-fledged invasion of at least Crimea, they should prevail, said Ruslan Pukhov, the director of CAST, or the Centre for Analysis of Strategies and Technologies, in Moscow.

Russia has more than four times the amount of troops as Ukraine, not to mention exponentially more tanks, armored personnel carriers and ships.

"There is no fortification. There is no military infrastructure," Pukhov said. "That is why I think it would be quite easy and quick."

CNN's Diana Magnay reported from Crimea, and Greg Botelho reported and wrote from Atlanta. CNN's Matthew Chance and Kellie Morgan in Donetsk, Nick Paton Walsh in Simferopol and Tim Schwarz in Kiev contributed to this report. CNN's Michael Martinez. Laura Smith-Spark, Frederik Pleitgen, Elise Labott, Yon Pomrenze, George Kazarian and Marie-Louise Gumuchian also contributed.

@highlight

U.S. warns Americans in Russia about possible "violence or anti-U.S. actions"

@highlight

U.S., Russian talks go nowhere: "We don't have a common vision," Lavrov says

@highlight

John Kerry: Russia has a choice, will pay price if it annexes Crimea

@highlight

Armored trucks rumble through northern Crimea; Russia stages military drill near Ukraine border