China has told the United States to butt out of a territorial dispute with Japan in the East China Sea after Washington warned that a military claim by Beijing to airspace in the region raises the risk of "misunderstanding and miscalculations."

The creation of an "Air Defense Identification Zone" by China comes amid increasing tensions between Beijing and Tokyo over competing claims to disputed islands in the sea, which are believed to be situated near large reserves of natural resources.

China's announcement Saturday of the zone, which it described as an early-warning system for self-defense, drew a swift response from the United States, Japan's closest military ally.

Washington warned that the latest Chinese move creates the risk of potentially dangerous miscalculations in the sensitive region, where Chinese and Japanese ships and planes have already been involved in tense encounters.

"This unilateral action constitutes an attempt to change the status quo in the East China Sea. Escalatory action will only increase tensions in the region and create risks of an incident," U.S. Secretary of State John Kerry said.

"We have urged China to exercise caution and restraint, and we are consulting with Japan and other affected parties throughout the region," Kerry said. The United States has thousands of troops stationed in Japan as part of a security treaty between the two allies.

'Inappropriate remarks'

But Chinese officials dismissed the U.S. comments as unjustified interference.

American criticism of the air zone announcement is "completely unreasonable," Col. Yang Yujun, a Ministry of National Defense spokesman, said Sunday.

The United States should stop taking sides on the issue, cease making "inappropriate remarks" and not send any more "wrong signals" that could lead to a "risky move by Japan," he said.

Beijing demands that the United States respect Chinese national security, stop making "irresponsible remarks" about the air defense identification zone and make "concrete efforts" for peace and stability in the Asia-Pacific region, Yang said.

The Chinese Ministry of Foreign Affairs said it had lodged a representation with U.S. Ambassador Gary Locke asking the United States "to correct its mistakes immediately."

Dispute escalates

The dispute over the islands -- known as the Senkaku Islands by Japan and the Diaoyu Islands by China -- has strained relations between the two East Asian countries. The islands are close to strategically important shipping lanes and their surrounding waters are full of rich marine life.

The Chinese defense ministry said the new air zone was not directed toward a specific country. But it released a map and coordinates that show the zone covers most of the East China Sea, as well as the islands.

It declared that aircraft in the area must report their flight plans to China, maintain two-way radio and clearly mark their nationalities on the aircraft.

And it warned that its armed forces "will adopt defensive emergency measures to respond to aircraft that do not cooperate in the identification or refuse to follow the instructions."

China's declaration is "definitely a net escalation in the dispute" with Japan, said Stephanie Kleine-Ahlbrandt, director of Asia-Pacific programs at the U.S. Institute of Peace.

"It makes it more likely that jets will be scrambled," she said. "An aerial encounter carries a much higher risk because of the faster timings involved" than in a maritime encounter.

'Profoundly dangerous'

Japanese Prime Minister Shinzo Abe said Monday he is "extremely concerned" about the Chinese announcement.

"It unilaterally changes the status quo in the East China Sea and escalates the situation," Abe said. "It is a profoundly dangerous act that may cause unintended consequences in the area."

Tokyo "cannot accept at all" that the Chinese air zone claim includes the disputed islands, which Japan considers "an inherent part" of its territory, a Japanese foreign ministry statement said.

The Japanese government said has made "strong protests" to Beijing, summoning the Chinese ambassador to the foreign ministry.

Chinese officials appeared unimpressed by the Japanese complaints.

Tokyo's remarks are "utterly groundless and China won't accept them," Yang said, observing that Japan had set up its own air defense identification zone in the 1960s.

He reiterated Beijing's claim to the disputed islands and said its determination to ensure sovereignty over them was "unwavering."

Defense ministry officials have made "solemn representations" on the matter to the Japanese Embassy in China, he said.

The South Korean government also expressed regret Sunday over the Chinese announcement, saying the new air defense zone partially overlaps with its territory, the South Korean news agency Yonhap reported.

'Misunderstanding and miscalculations'

The Chinese defense ministry has said it began patrols of the air zone on Saturday.

Japan's defense ministry said two Chinese planes came within miles of its airspace, prompting authorities to scramble Japanese fighter jets.

It's the second time this month that Japan has launched fighter jets, alleging Chinese planes appeared to be closing in on its air space.

U.S. Secretary of Defense Chuck Hagel called the move by China an attempt to destabilize the status quo in the region, saying it "increases the risk of misunderstanding and miscalculations."

"This announcement by the People's Republic of China will not in any way change how the United States conducts military operations in the region," Hagel said.

U.S. and Japanese forces are due to hold joint naval exercises this week off Okinawa -- a few hundred kilometers from the disputed islands.

Competing claims

The long-running disagreement over who owns the islands intensified between Japan and China in the second half of 2012.

Protests erupted in China after Japan announced it had bought several of the disputed islands from private Japanese owners. The deal was struck in part to prevent the islands from being bought by the controversial Tokyo governor Shintaro Ishihara, who had called for donations for a public fund to buy them.

China was outraged, as were groups of its citizens who protested violently in several Chinese cities, calling for boycotts of Japanese products and urging the government to give the islands back.

In December 2012, the dispute escalated further when Japan scrambled fighter jets after a Chinese plane was seen near the islands. That situation has recurred repeatedly since, and China's latest announcement makes it likely it will keep happening.

At sea, Chinese ships have frequently entered contested waters despite warnings from the Japanese Coast Guard.

China says its claim extends back hundreds of years. Japan says it saw no trace of Chinese control of the islands in an 1885 survey, so formally recognized them as Japanese sovereign territory in 1895. Japan then sold the islands in 1932 to descendants of the original settlers.

The Japanese surrender at the end of World War II in 1945 only served to cloud the issue further.

The islands were administered by the U.S. occupation force after the war. But in 1972, Washington returned them to Japan as part of its withdrawal from Okinawa.

Taiwan, which Beijing regards as a breakaway province, also lays claim to the islands.

Explainer: Why China's new air zone incensed Japan, U.S.

@highlight

The Japanese Prime Minister says he is "extremely concerned" by China's move

@highlight

China released a map and coordinates that identify its "Air Defense Identification Zone"

@highlight

The zone includes islands at the center of a dispute between Beijing and Tokyo

@highlight

The U.S. has said the Chinese announcement creates "risks of an incident"