Bydgoszcz, Poland (CNN) -- I first visited Poland in 1990, just after the end of communist rule. Back then, the United States meant everything to people here: freedom, protection, opportunity, hope.

I worked for The Wall Street Journal at the time. That business card resonating with capitalism opened every door. It even persuaded a border official not to pass my camera through a Soviet-era X-ray machine.

Twenty years later, Poland has become a stable democracy. It has joined NATO and the European Union. True, wages remain low by Western standards. And to the eye, Poland still shows the scars of its communist past: Half the population still lives in communist-era high-rise slabs.

But things get better every year, visibly better even than during my last visit two years ago: new homes, new stores, improved roads, new stations opened on the Warsaw subway. Poland scored the highest growth in the whole European Union in 2009, suffering not a single quarter of negative growth during the global recession.

So that's all good news for the Poles. Now the thought-provoking news for Americans: America's place on the Polish mental map seems to shrink every year.

When Poles dream of leaving the country, they think not of Chicago but of London. A Pole can work legally in any large EU country, and an estimated 1 million do, sending home more money than Poland earns from all its U.S. trade. Meanwhile, Poles need a visa even to visit the United States.

Polish business is oriented toward Germany, by far the country's largest trading partner and investor. Poland buys and sells less with the United States than it does with the Czech Republic.

Theoretically, the United States remains very important to Poland's security. Through NATO, the U.S. has guaranteed defending Poland against Russia, with nuclear weapons if necessary. But Russia is behaving itself well toward Poland these days.

When Russia did behave badly -- for example, embargoing Polish meat exports in 2005 -- it was the threat of European economic retaliation that changed Russian minds. The U.S. has opened new military bases in southeastern Europe -- in Bulgaria and Romania, but none in Poland. There are practically no U.S. soldiers stationed here.

If anything, Poles might feel that they are doing much more for the United States than the United States does for Poland. Polish troops fought in Iraq, and fight now in Afghanistan.

Polish support for U.S. geopolicy has twice ended in humiliation for Polish governments.

In 2005, sources inside the U.S. government leaked the news that Poland was permitting the CIA to detain captured al Qaeda terrorists in secret in Polish prisons. Poland was threatened with the loss of its EU voting rights and subjected to an EU investigation.

Then in 2009, the new Obama administration abruptly canceled a proposed U.S. missile defense system based in Poland and the Czech Republic.

These experiences would cause any future Polish governments to worry that cooperation with the U.S. will horribly backfire on them.

Some waning of U.S. prestige in Poland was inevitable. With the end of the Cold War, Poles naturally worry more about earning a living than protecting their security. And of course, next-door Germany offers more economic benefits than faraway America.

Of course, too, the U.S. has banked a huge store of goodwill in Poland that will take years to deplete. It was the U.S. that championed Poland's independence from Moscow while anxious Germans urged that the U.S. stop annoying the Soviet Union with talk of freedom.

But although inevitable and gradual, the dwindling of American importance, not only in Poland but in other liberated countries in central Europe as well, is a real and large fact of life. That fact might matter less if there were other regions of the world where America's clout was increasing. But where?

The opinion expressed in this commentary are solely those of David Frum.

@highlight

David Frum visited post-communist Poland in 1990; nation was eager to connect with U.S.

@highlight

Now, 20 years later, democratic Poland part of EU, NATO;  U.S. seems less central in importance

@highlight

Poland has closer connections in EU, he says, have had awkward political moments with U.S.

@highlight

Frum: U.S. still key to security, has goodwill history with Poland, but its importance dwindling