(CNN) -- Selfies are everywhere. Even Indonesian macaques are getting into the game. In 2011, two of these Old World monkeys borrowed photographer David J. Slater's camera and reportedly snapped some pictures of themselves. One of the selfies by a female macaque has since gone viral, making its way to Wikipedia's free-to-use website.

Slater asked the site to take down the photo, but Wikipedia asserts the photo is uncopyrightable because animals can't own copyrights.

It raises two interesting questions:

First, can a monkey even acquire copyright in a selfie?

Second, can a human acquire copyright in a monkey's selfie?

It's a depressing idea, that the terabytes of gratuitous selfies snapped by vapid 20-somethings -- serving no other artistic purpose than showing off their outfit or their abs on Instagram -- would be entitled to copyright protection.

Meanwhile, a one-of-a-kind "selfie" by a downright adorable monkey, might not be entitled to protection. But the law -- international and domestic -- is full of grim irony.

In the United States, to qualify for copyright protection, a work (the photograph) must meet three criteria:

(1) It must be fixed in a tangible medium: No problem here. Photographs are a classic example of fixation in a tangible medium, just like paint on a canvas or doodles in a textbook. This is easily satisfied by our simian.

(2) It must be "original." The Supreme Court has observed that this means possessing a shred of creative spark, no matter how crude, humble or obvious it might be. There's an important distinction to be made here, however: Animals might be capable of original works, but mere works of nature cannot qualify.

A tortoiseshell or an ostrich egg is created by a living creature, and may be more symmetrical and aesthetically pleasing than many of the wacky sculptures gracing our federal buildings. But they are the result of survival or procreation, not a creative choice. Therefore, these animal creations are not original -- at least under copyright law.

On the other hand, some animals do express themselves creatively, and with that minimal degree of creativity required by the law. It's just hard to say where we draw the line on the evolutionary scale. A finger-painting gorilla is likely expressing originality, but if you dip a beetle in ink and let him walk around on paper, is the beetle showing his creative spark? Or is he simply trying to flee?

Overall, originality is a low threshold, and probably satisfied by the macaque's selfie. It's also a purely academic discussion, because while some animals' work may be original, unfortunately for aspiring macaques, no animal can ever be an "author."

Which brings us to ...

(3) The work must have an "author."  In the U.S., the term "authorship" implies that the work must owe its origin to a human being. Materials produced solely by nature, by plants, or by animals are not copyrightable. Similarly, in the UK, an author must be a "person."

The bottom line is that monkeys may create works of art, but those works cannot qualify for copyright protection. So, can humans acquire rights in works created by animals? One view would be that (a) if animals are your property, and (b) they create property, then (c) the property of your property is also your property. A dairy farmer owns the egg laid by a chicken; kittens become the property of the owner of the cat that birthed them.

Unfortunately for the photographer here, copyright ownership does not work the way ownership does on the farm. Because the monkey cannot create a copyrightable work, that work can never be copyrightable. On the other hand, if the photographer takes a work by an animal and turns it into an ink-blotted, Andy Warhol-inspired piece of pop art, then he acquires rights in the new creation. But in the case of a monkey's selfie by itself, that photograph immediately and forever falls into the public domain, and can be used by anyone, without permission.

Society's view of animals has certainly evolved over the years. In fact, it has evolved so much that it creates public confusion. The concept of "animal rights" is a compassionate one, but it also runs counter to our current legal view of animals. Animal lovers routinely ascribe human qualities to their beloved pets, and animal rights activists will burn a columnist in effigy for daring to suggest that a dog shouldn't vote or drive a bus.

For now, whether you consider monkeys to be property or peer, their pictures cannot qualify for protection in the Copyright Office. In the case of copyright, that which is created by Mother Nature, is owned by Mother Nature -- which is to say it is owned, not by one of us, but all of us.

@highlight

Danny Cevallos: Photog whose camera used in viral monkey selfie wants it off Wikipedia

@highlight

Photo is uncopyrightable, says Wikipedia because animals can't own copyright. But can they?

@highlight

U.S. copyright law holds work must be in tangible medium, be original and have author

@highlight

Cevallos: Animals aren't authors. This selfie doesn't qualify for copyright protection