Georgia Gov. Nathan Deal signed a wide-ranging gun bill into law Wednesday that has critics howling and proponents applauding.

House Bill 60, or the Safe Carry Protection Act of 2014 -- which opponents have nicknamed the "guns everywhere bill" -- specifies where Georgia residents can carry weapons. Included are provisions that allow residents who have concealed carry permits to take guns into some bars, churches, school zones, government buildings and certain parts of airports.

GeorgiaCarry, which lobbied for the bill, calls it "meaningful pro-gun legislation," despite it being watered down from the group's perspective. Still, the group has lauded the legislation, which will go into effect July 1. Americans for Responsible Solutions opposed the bill, calling it "extremism in action."

Wednesday's signing came at an open-air picnic area along a creek in Ellijay, in northern Georgia. It opened with a prayer, the singing of the national anthem and a recital of the Pledge of Allegiance.

Hundreds of people filled more than 25 picnic tables, while others stood. Many were openly carrying handguns, and some wore National Rifle Association hats and buttons proclaiming, "Stop Gun Control" and "Guns Save Lives."

The bill, which easily navigated the state Legislature -- by a 112-58 vote in the House and a 37-18 tally in the Senate -- also earned the support of Democratic state Sen. Jason Carter, the grandson of ex-President Jimmy Carter and a 2014 gubernatorial candidate.

Calling it "a great day to reaffirm our liberties," Deal said the law allows residents to protect their families and expands the list of places where they can legally carry firearms, while allowing certain property owners, namely churches and bars, to make judgments on whether they want worshippers and patrons carrying guns.

"The Second Amendment should never be an afterthought. It should be at the forefront of our minds," Deal said while touting his NRA endorsement for governor and "A" rating during his 17 years in Congress.

The governor said the law "will protect the constitutional rights of Georgians who have gone through a background check to legally obtain a Georgia Weapons Carry License.

"Roughly 500,000 Georgia citizens have a permit of this kind, which is approximately 5 percent of our population. License holders have passed background checks and are in good standing with the law. This law gives added protections to those who have played by the rules -- and who can protect themselves and others from those who don't play by the rules."

Americans for Responsible Solutions opposed the original bill that GeorgiaCarry pushed for, and while the group is pleased that the version Deal signed Wednesday doesn't allow guns on college campuses or in churches, except in certain cases, it feels the legislation "takes Georgia out of the mainstream."

"Among its many extreme provisions, it allows guns in TSA lines at the country's busiest airport, forces community school boards into bitter, divisive debates about whether they should allow guns in their children's classrooms, and broadens the conceal carry eligibility to people who have previously committed crimes with guns," said Pia Carusone, the group's senior adviser.

"So it is no surprise that while being trumpeted by the NRA as the 'most comprehensive' gun bill in state history, the legislation ... was opposed by Georgia law enforcement, county commissioners, municipal leaders, and the Transportation Security Administration for its potentially harmful impact on Georgians' safety."

While the bill says no one is allowed to carry a firearm past an airport's security screening checkpoint, it allows guns in other areas, including "an airport drive, general parking area, walkway, or shops and areas of the terminal that are outside the screening checkpoint."

TSA spokesman Ross Feinstein would not say how the law might affect its agents at Georgia airports, particularly Atlanta's, the world's busiest, but he said, "Individuals who bring firearms to security checkpoints are referred to law enforcement and are subject to criminal penalties. However, TSA has the ability to impose a civil penalty."

Another provision of the new law allows firearms into any government building that is open for business and doesn't have security personnel restricting access or screening visitors.

Some critics have said it was hypocritical to allow guns in so many places but not the state Capitol. Deal addressed that perception in a question from reporters, saying the Capitol fell under a wider statewide provision that affects many government buildings, and it's "a uniform carved-out area all across our state."

The law also allows Georgians to carry guns into bars and churches as long as the property owner hasn't banned them. Anyone bringing a gun into a church that prohibits them won't be arrested but could pay a fine up to $100, the law says.

New York church to give away AR-15 semi-automatic rifle

One church that won't be allowing parishioners to carry weapons is Atlanta's historic Ebenezer Baptist Church, which remembers well the 1974 shooting deaths of a deacon and Alberta Williams King, the Rev. Martin Luther King Jr.'s mother, in its sanctuary.

The Rev. Raphael Warnock, the church's senior pastor, said a deranged man who had access to guns but not health care was behind that shooting, a circumstance that still resonates today. The shooting would have been even more tragic "had everyone been packing that day," Warnock said.

"The message of today's bill signing is very clear: Our politicians, tragically, are owned by the gun lobby," he said. "No one asked for this bill but the gun lobby, and still, we're here. ... We will remind them in November that they work for the people."

Most churches throughout the state are focused on social issues, such as better health care and education, Warnock said.

"I don't know of a single pastor in the state of Georgia who has been lobbying to have guns brought into their churches," he said. "When we say pass the peace, we mean P-E-A-C-E, not the P-I-E-C-E."

The law will also allow the carrying of firearms by any "duly authorized official of a public or private elementary or secondary school or a public or private technical school, vocational school, college, university, or other institution of post-secondary education or a local board of education."

Deal also touted how HB60 would allow soldiers to obtain a carry license at age 18 if they've completed basic training and are either actively serving or have been honorably discharged.

"If they're old enough to hold a gun in defense of our liberties, then they're old enough to hold a gun, and they shouldn't have to wait until they're 21."

Other notable provisions of the law allow hunters to use silencers and suppressors when the owner of the property where they're hunting is aware they're using such a device; permit gun owners who have had their licenses revoked to apply for a new license after three years; restrict access for anyone whom a court has deemed mentally incompetent or insane, or anyone involuntary committed to a mental institution; and forbid police officers who see a resident carrying a gun to ask for their permit unless they're committing a crime.

Opinion: We will fight the NRA with common sense

@highlight

Pastor says he will not allow guns in Atlanta church, blasts politicians behind bill

@highlight

Hundreds attended Deal's signing ceremony, some openly carrying handguns

@highlight

Law will allow Georgians to carry guns into some bars, churches and government buildings

@highlight

Critics say law takes state "out of mainstream," while proponents call it "meaningful"