(CNN) -- In spite of ever rising tuition and ballooning student loan debts, a large majority of students still desire to attend college. Traditional notions are deeply engrained in the public's mind. College is considered the path to a better, higher paying job, the best way to make connections and propel a career, and a status symbol, especially for those who go to elite universities.

However, given the dismal reality facing college graduates, perhaps the future of higher education will have to change.

In some cases, a college diploma may no longer guarantee the high potential lifetime earnings it once did. An online salary ranking system called PayScale.com calculates a student's 30-year return on investment at the top 1,300 colleges nationwide based on average alumni salary and tuition costs. Their recently issued 2012 report suggests that out of the 4,500 colleges and universities in the nation only the top 800 to 850 give you an annual return on investment greater than 4%. In pure financial terms, students might be better off investing their tuition money in stocks rather than four years with one of our nation's many colleges.

But this does not stop an overwhelming number of students from paying an exorbitant amount of money or taking on huge amounts of debt in order to attend college. It seems like such conventional wisdom. "A diploma wasn't a piece of paper. It was an amulet," as columnist Frank Bruni wrote in the New York Times. That may no longer be the case.

A college degree does not hold the status and significance it once did. Recent data from the Census Bureau and Department of Labor found that almost 54% of recent graduates were unemployed or underemployed. As our world becomes more globally integrated and competitive, economic status now turns on many other things, like intellectual capital and skills training, things which colleges are supposed to instill, but many don't.

According to a recent world economic study, about 10 million manufacturing jobs worldwide are going begging because of a lack of skilled workers. In the United States alone, at least 600,000 manufacturing jobs cannot be filled. Meanwhile, legions of arts and humanities majors occupy the unemployment rolls. Many students are ill prepared for the labor market, whether by fault of their own or by colleges and universities that are out of sync with the needs of a skilled work force.

However, technology may just transform everything. Better, smarter, more adaptable and cheaper education will soon be available to all. Initiatives like the ED-X partnership between Harvard and MIT promise to give non-traditional students elements of a world-class education online, and for free. Coursera, recently founded by Stanford professor Andrew Ng, will offer not only free online courses, but also a great deal of individualized instruction in the form of grading, testing, student-to-student help and certificates of completion. What Salman Khan and his Khan Academy did for elementary and secondary education, offering world-class instruction online for free, will soon be replicated throughout academia. These new ventures will no doubt challenge the traditional four-year residential, physical university model.

In the future, access to college may be nearly universal, with little or no tuition costs. We may be on the cusp of a higher education revolution. College may look very different 20, 10, or even five years from now.

In the meantime, the national and kitchen table conversation over higher education should no longer be looked at in the isolation of student loans. It's time for parents and students to look at the entire enterprise of higher education and ask -- how, when, where, for whom, in what studies and at what cost is a college education appropriate?

The opinions expressed in this commentary are solely those of William J. Bennett.

@highlight

William Bennett: Despite costly tuition, most students still desire to go to college

@highlight

Bennett: In purely financial terms, they might be better off investing in stocks

@highlight

He says a college degree does not hold the status and significance it once did

@highlight

Bennett: Technology challenges traditional models of colleges, could change everything