President Franklin D. Roosevelt called her "Little Miss Miracle."

Such was the power of Shirley Temple during the Great Depression, a dark time when millions were out of work and struggling to survive. Into their midst came a little girl in curls, whose films -- such as "Little Miss Marker," "Curly Top," "Bright Eyes" and "Captain January" -- allowed them to forget, if just for a little while.

"Shirley could make people believe, if only for 90 minutes, that there were no problems in the world," said a fellow child star, Dickie Moore.

Shirley Temple Black, perhaps the biggest child star in history, died Monday. She was 85.

There had been child stars before Shirley Temple -- Jackie Cooper and Jackie Coogan, to name two -- and there is certainly no shortage of them now, with reality TV and child-targeted cable networks minting a perky new imp every six months. But with her sparkling personality, song-and-dance talent and sheer box-office power, there has likely been no equal in history.

Photos: Child star transformations

"(She) represented, for many, the epitome of childhood goodness and sentiment, a beacon of hope for the future of America and the physical embodiment of the perfect child," wrote a British sociologist, Jane Catherine O'Connor, in "The Cultural Significance of the Child Star."

Share your memories

Shirley Temple everywhere

At the peak of her fame in the mid-1930s there were Shirley Temple dolls, Shirley Temple dresses, Shirley Temple china, Shirley Temple notebooks, Shirley Temple soap and Shirley Temple sheet music. There was a nonalcoholic cocktail -- ginger ale with a touch of grenadine, topped with a maraschino cherry -- named for her.

She was awarded an honorary Oscar in 1934. She was the No. 1 box office star in the nation from 1935 to 1938. She almost single-handedly led 20th Century Fox, her studio, back to profitability.

She was so well-known, so iconic, that even the number of curls in her hair was publicized. (It's 56, incidentally.)

"I stopped believing in Santa Claus when I was 6," she once wrote. "Mother took me to see him in a department store and he asked for my autograph."

Through it all, she was barely touched by scandal. There were no stories of abusive parents or predatory agents -- though her mother, who did help push her daughter into show business, shaved a year off young Shirley's age to make her more marketable.

Indeed, the mere suggestion that she was something less than innocent was enough to prompt a furious outcry.

When British author Graham Greene, then an editor and film critic, wrote in a 1937 review that the 8-year-old Temple was an "adult impersonating a child" and that her co-stars reacted to her "well-shaped and desirable little body," 20th Century Fox sued. The legal challenge ended up putting Greene's magazine out of business.

Adulthood, however, did finally put an end to Temple's film career. In 1940, 20th Century Fox decided not to renew her contract, which was OK with Temple and her family. She went off to a Los Angeles school and, gradually, adjusted to noncelebrity life. She was just about to turn 13.

Shirley Temple Black, the ambassador

Class and diplomacy

She did a bit of acting while in school and after graduating -- one film, 1947's "That Hagen Girl" with Ronald Reagan, made it into the book "The Fifty Worst Films of All Time" -- but after marrying her second husband, Charles Black, she decided to retire in 1950.

At 22, her movie career was over. But her life was just beginning.

Shirley Temple, child star, became Shirley Temple Black, diplomat, who raised three children, served as a U.N. representative and U.S. ambassador, and generally kept a low and genteel profile. Only rarely did she venture back into acting, most notably for a late-'50s television series.

To younger generations, she soon became just a well-known name, her films seen only on late-night TV, her Depression-era celebrity all but vanished. Children of the '70s may know her best for an episode of "The Brady Bunch" in which Cindy Brady becomes obsessed with her. Children of the 21st century may not know her at all.

And these days, when being a child star almost invariably comes with a 24-hour media circus -- followed by calculated moves to showcase adult-like sex appeal -- one wonders if the fame of a Shirley Temple could last longer than the duration of a YouTube video. (Even in her time it was no easy feat, as biographies of any number of child stars indicate.) No doubt she'd be analyzed, objectified and vivisected all over the Internet, paparazzi lurking outside her door, waiting for a swear word or a blown-up skirt.

Still, child stars of any era could do worse than model themselves on Shirley Temple. When she was a movie star, there was nobody bigger. When she wasn't a movie star, there were few classier. Her philosophy was summed up in something she once said in an interview.

"Some people are stuck on this image of the little girl. She is not me," she said. "We shouldn't live in the past. My life is now."

@highlight

Shirley Temple was a leading movie star of 1930s

@highlight

She represented "the epitome of childhood goodness and sentiment," said one observer

@highlight

Fame was gigantic -- there were countless Shirley Temple products

@highlight

After movie career, she had successful adult life as diplomat