(CNN) -- I can pinpoint the exact moment that put me on a path to moderate San Diego Comic-Con's first anti-bullying panel last weekend. It happened 32 months ago, when I published a blog post about my first-grade daughter Katie, who was taunted for carrying a "Star Wars" water bottle and backpack.

It was the post that launched a thousand geeks, and then 5,000 tweets. Over the next weeks and months, I read a near-constant stream of e-mails, letters and messages from people around the world who wanted to share their own stories of bullying and peer victimization. The story touched the collective nerve of a very motivated and tech-savvy group of people, who took my daughter in as one of their own. My husband and I like to say that we were the first ones to adopt Katie, and the self-proclaimed geeks and nerds adopted her six years later.

The kindness of strangers to our family served as the catalyst for my transition to full-time work as an anti-bullying advocate. After interviewing hundreds of people, including parents, teachers, kids, bullies, victims, bystanders, researchers, psychologists, lawmakers, celebrities and social workers, I wrote a book about why bullying persists in our culture and how we can end the cycle of fear.

But even within geek culture, there is still a vast amount of peer victimization, harassment and bullying. The gaming industry has been plagued by a hotbed of vicious attacks -- male gamers versus female gamers and hardcore gamers versus casual gamers, with issues of misogyny and homophobia and discrimination coming to the forefront of our collective consciousness. Within cosplay, people attack each other over myriad issues: Is the costume authentic? Does the person have the right body shape or ethnicity for the chosen costume?

The roles of bullies and victims can sometimes be blurry, especially when someone who was bullied as a child grows up to be the aggressor. In a world that likes to simplify goodies versus baddies, bullying dynamics are not always so simple to deconstruct.

Comic-Con is widely revered as the mecca of pop culture conventions, but it had never hosted a conversation directly about bullying. Just as parents, kids and communities are talking about social cruelty in schools and online, I wanted to keep the discussion going among geeks and nerds. We need an opportunity to reach the content creators and ask: How can we respond to messages of bullying perpetuated by entertainment media while retaining dynamic narratives in music, movies, video games and comics?

Two years ago at the first GeekGirlCon, I met Chase Masterson, who played Leeta during the final five seasons of "Star Trek: Deep Space 9." Masterson has mentored kids in gangs for many years, and she views bullying prevention as a passion project. "There's strength in the knowledge that countless bullied kids, who have felt so hopeless, have overcome that pain and have rich, fulfilling lives and relationships. And people who have been bullied have a unique ability to become compassionate voices, leaders and champions over oppression; the potential for healing to conquer injustice is huge," she explained.

A bite-size tour of Comic-Con

At Comic-Con, Masterson and I debuted the newly formed Anti-Bullying Coalition to lead conversations about a wide range of bullying issues. How can we get society to stop blaming the victim? How can we create safer spaces for GLBT kids? How do we empower kids to speak up for others who are being victimized? How do we raise children who are neither bullies nor victims?

The questions flew back and forth, bandied about by Coalition members such as No H8 Campaign, the United Nations Association, Cartoon Network's Stop Bullying: Speak Up, the Anti-Defamation League and GLSEN. At one point I stood back and looked around, equal parts grateful and amazed to be part of the discussion. Surrounded by people in elaborate costumes, listening to the noise and excitement, I recalled the moment 32 months ago when I was just another worried mom, wondering how to help my kid. That moment led me here.

Comic-Con is serving as a model for other conventions by addressing the issue of bullying. There is space for fun and games as well as tackling the more serious issues that affect convention-goers. Comic conventions provide a common forum for those with passionate -- even obsessive -- interests, and the same people who were once taunted for dressing as Superman in school are now celebrated as cosplayers at a con.

Indeed, some of the strongest voices of support for Katie came from the 501st Legion, an international charitable organization dedicated to creating exact costume replications of characters from Star Wars. When Katie mentioned that she would like to be a Stormtrooper for Halloween last year, the 501st Legion put out a call to action, and members worldwide donated parts for a miniature set of armor. The Midwest Garrison assembled the costume and presented it to Katie in a ceremony that ended with her hugging Darth Vader. After Katie outgrows the armor, we'll donate it back to the 501st so it can be passed to another child, most likely through the Make-A-Wish Foundation.

Katie, who is off at sleep-away camp, was unable to attend Comic-Con. But she was with me every step of the way.

Late Sunday afternoon, in the final hour of the final day of the con, the first-ever anti-bullying panel took place. From the moment I posed the first question to writer Jane Espenson of "Once Upon a Time" and "Buffy the Vampire Slayer," to the very last comments by Masterson, the room was full. Every person stayed. Within hours of the panel ending, tweets were already coming in from people asking us to bring anti-bullying panels to other pop culture conventions. Leaders in the geek community are spreading the word.

I think back to the first moments of the panel, when I said to the room, "Raise your hand if you still remember a specific incidence of being taunted from more than a decade ago." The sheer number of hands in the air served as testimony to the power of hurt feelings to linger. From now on, Comic-Con convention-goers will come for cosplay, entertainment, freebies, autographs -- and healing.

@highlight

Author Carrie Goldman moderated the first anti-bullying panel at San Diego Comic-Con

@highlight

Goldman: "Even within geek culture, there is still a vast amount of peer victimization"

@highlight

More pop culture cons need to start conversations about bullying, Goldman says

@highlight

"There is space for fun and games as well as tackling the more serious issues," she says