Both men lit themselves on fire in protest. But only one of them is credited with starting a revolution.

The difference between the two? Mobile phones recorded Mohamed Bouazizi, a Tunisian fruit vendor, as he set himself ablaze in despair over his economic plight. Those videos kicked off the wave of 2011 Arab Spring demonstrations.

Abdesslem Trimech, the other man, fell into relative obscurity.

The example, cited in the book "The Mobile Wave," highlights just one of the many superpowers that mobile phones -- and to a lesser extent, tablets -- have bestowed upon humanity. In addition to enabling us to video events on a second's notice, potentially altering the course of global politics, these high-tech human "appendages" increasingly have become tools for fighting corruption, buying stuff, bolstering memory, promoting politics, improving education and giving people around the world more access to health care.

They've shaken up our social lives, too. Forget letters and phone calls. Texts are the currency of modern conversation -- and mobile Internet searches are the way to solve disputes of fact or trivia. Dating apps search suitors by location, and mobile maps ensure we app-enabled superhumans can't get lost, as long as there's a wireless signal.

Superman could fly. Phones, it seems, help us do everything but.

At a time when new smartphones seem to hit the market every couple of days and our faces increasingly are glued to digital screens, CNN is taking a special look at the myriad ways mobile technology is affecting our lives. The monthlong series is called "Our Mobile Society."

"This is the first time in the entire history of humanity that we've connected in this way," Amber Case, a "cyborg anthropologist," said in a 2010 lecture at TEDWomen. "And it's not that machines are taking over. It's that they're helping us to be more human. They're helping us to connect to each other. The most successful technology gets out of the way and helps us live our lives."

'Like a phantom limb'

Phones are so cherished -- or so depended upon -- that 68% of us sleep with them at our bedside, according to a 5,000-person global survey conducted by Qualcomm and Time, which shares a parent company with CNN. Three-quarters of Americans surveyed said being "constantly connected by technology" is helpful.

Some take that idea to extremes.

Michael Saylor, author of "The Mobile Wave" and CEO of MicroStrategy, said he checks his phone for updates at least once a minute -- "I must look at it 500 times a day, or 1,000 times a day," he said. Almost nothing would make him put his phone down. "If I was with the queen of England and she was addressing me directly and it was a one-on-one conversation, then I would probably discipline myself to not look at my phone, so as to not show disrespect to her."

The phone, otherwise, is just too helpful at keeping Saylor linked, constantly, to his colleagues and friends, who send him a fire hose of instant messages and updates.

For all the potential benefits, however, Case and other observers of mobile culture see negative consequences as well. Being connected digitally to everyone all the time also can lead, somewhat surprisingly, to a sense of isolation and loneliness.

"Teenagers tell me they sleep with their cell phone, and even when it isn't on their person, when it has been banished to the school locker, for instance, they know when their phone is vibrating," MIT professor Sherry Turkle writes in the book "Alone Together: Why We Expect More From Technology and Less From Each Other."

"The technology has become like a phantom limb, it is so much a part of them. These young people are among the first to grow up with an expectation of continuous connection: always on, and always on them."

Another young person, age 13, told Turkle she doesn't like to pick up the phone, only text. "Texting offers just the right amount of access, just the right amount of control," the author writes. "She is a modern Goldilocks: for her, texting puts people not too close, not too far, but at just the right distance. The world is now full of modern Goldilockses, people who take comfort in being in touch with a lot of people whom they also keep at bay."

Nearly 6 billion phones

Regardless of the effects, adoption of mobile tech seems to be going only one direction: up. There were nearly 6 billion mobile phone subscriptions worldwide in 2011, according to the International Telecommunication Union, a branch of the United Nations. There are 7 billion people in the world. Some have multiple mobile contracts, but technology is clearly widespread. And getting smarter.

Saylor, the author and CEO, estimates 5 billion people will have smartphones in the next five years, giving those people access to the mobile Internet and apps. The United States already reached a tipping point this year: The majority of American phone owners now have smartphones.

These phones, such as those running the Apple iOS and Google Android operating systems, offer "more computing power than Apollo 11 when it landed a man on the moon," Nancy Gibbs writes for Time.

"In many parts of the world, more people have access to a mobile device than to a toilet or running water," she writes. "For millions, this is the first phone they've ever had."

Gibbs and other writers cite the astounding speed with which mobile phones have come to dominate our lives in the decades since Martin Cooper, from Motorola, placed the first public cellular telephone call on a brick-size phone in 1973. (He called a competitor at Bell Labs, in case you're curious.)

It took years for mobile-networking technology to develop and for cellular towers to go up. After mobile calls became more commonplace in a few developed countries, manufacturers added keyboards and larger screens, clearing the way for the SMS and mobile e-mail revolutions.

By the 2000s, a host of sensors -- from GPS, which enables mobile mapping, to accelerometers, which helps the phone know if it's being tilted -- were being squeezed into the gadgets. The mother of all smartphones, the Apple iPhone, debuted in 2007 with all these accouterments.

By then, phones had become the warehouse for technological innovation -- the Swiss Army knives of modern living, as many authors have argued. If you include tablets and e-readers in the mix, mobile devices have come to rival desktop computers and laptops for their usefulness in life and business.

"The reason why mobile technology is uniquely interesting to the world right now is because it represents the fifth wave of computing," Saylor said, with smartphones following Internet-enabled computing, desktops, minicomputers and early computer mainframes on the timeline. "And technology really is about what happens to the entire civilization of some several billion people or more when there is useful software running on the person and in the hand of everybody, every minute of the day."

Smartphone superpowers

There are plenty of potential superpowers these always-on mobile gadgets could give us.

One of the more futuristic, as outlined by Google this year, is a sort of digital X-ray, or "Terminator" vision. Using augmented-reality technology, that company and others hope to superimpose a layer of digital information on top of the real world. A person wearing Google's prototype of high-tech glasses, for example, might see data about people they encounter or about deals offered inside restaurants they pass.

Other efforts aim to empower people literally to open doors or pay for coffee with a tap of their phone, and to identify themselves using NFC chips that are built into newer smartphones.

Meanwhile, schools in rural parts of Africa that never had textbooks are incorporating smartphones as an information source with the help of Paul Kim, chief technology officer at Stanford University. "I know they are not only using the technology," Kim said, "but they are getting smarter and smarter every day."

And researchers, including George Whitesides at Harvard University, are trying to use mobile phones to bring medical care to remote corners of the world where people otherwise would have to walk for a day or more to see a doctor or nurse. Whitesides' group has been working on a paper chip that could be touched with a drop of blood and then photographed and text messaged to a clinic that could analyze it and offer a diagnosis.

Suddenly, doctors have the superhuman ability to see patients far afield.

New implementations for smartphones don't always work, of course, Stanford's Kim said.

But over time, there's hope smartphones will be a radical, democratizing force -- particularly as they become more affordable for everyone.

"The Agricultural Revolution took thousands of years to run its course. The Industrial Revolution required a few centuries. The Information Revolution, propelled by mobile technology will likely reshape our world on the order of decades," Saylor writes. "But despite the turbulence ahead, we live at one of the greatest times in history. Software will suffuse the planet, filling in every niche, and exciting opportunities will lie everywhere."

@highlight

Mobile phones have become human "appendages" or "phantom limbs"

@highlight

They connect us to each other in ways previously unimaginable

@highlight

Survey finds 68% of people sleep with their phones at bedside

@highlight

Modern phones pack "more computing power than Apollo 11," essayist says