(CNN) -- America is haunted.

At least several paranormal investigators, all of whom promise to have witnessed the supernatural, told CNN they believe it to be true. That's why we've taken cues from experienced investigators and experts for fright-inspired destination ideas this Halloween season. Here are some of their favorites.

Hollywood Roosevelt, California

Located on Hollywood's Walk of Fame across from Grauman's Chinese Theater, the Hollywood Roosevelt has a glamorous history: Marilyn Monroe was the hotel's most famous resident. It turns out, she might still be there, according to Brad and Sherry Steiger.

Paranormal authors and investigators, the Steigers were filming at the hotel with several productions. Sherry was explaining the history of the hotel's most famous mirror, in front of which many visitors have had psychic experiences.

"And as we were standing there, a gentleman just jumped back like he'd been shoved and he said, 'Who do you think you are?' Well that stopped production and we had to find out," Brad said. "I asked the man what had happened. He said, 'Well this blonde lady came running like she owns Hollywood and pushes me aside.' "

If you go: You can simply book a room at the hotel. If you want to try to spot Marilyn, the hotel offers a "Marilyn Monroe package" ($1,800/night) which includes a stay in the Marilyn suite and tickets to the Marilyn exhibit.

Thomas House, Red Boiling Springs, Tennessee

With a history dating back to the late 1800s, the Thomas House in Red Boiling Springs began as the Cloyd Hotel. Indeed, one of the ghosts still said to roam the bed and breakfast is Sarah Cloyd. Visitors trade reports of possible deaths on the property, which may fuel activity.

The hotel was featured on "Paranormal State" in 2009, an A&E cable network program that aired until 2011.

If you go: You can go for dinner and the "Ghosts of the Inn" show and tour, and book a room at the bed and breakfast. The Thomas House also hosts several "Ghost Hunt weekends," with the next available dates in January, 2014.

The Whaley House Museum, San Diego, California

One of the Steigers' most memorable visits is "right on the tourist map, but it still packs a metaphysical punch," Brad Steiger said. "And that's the Whaley House in old San Diego."

The California house has a long history; and, like its home state, the house has been many things at different times, with origins dating back to the 1800s and including several hangings.

"It just kept growing," Brad said. "It started as, the judge, his home. Then it became a courthouse and his home. Then it became a theater and his home. Then there were hangings that took place in the backyard and eventually that hanging area, where people were hanged, became part of the house."

While investigating, Sherry said she captured psychic phenomena on film -- a picture of a noose, coming right down in the room.

"I had no inkling anything would develop and lo and behold, there were so many pictures," she said. What should have been a photo of one of the beds instead revealed a ghostly figure, just waking up.

If you go: Now a museum, tourists can take tours.

St. Augustine Lighthouse & Museum, Florida

First christened as a lighthouse in 1824 (it started out as a watchtower) the structure lost a long battle with the shoreline before collapsing during a storm in 1880. Luckily, its successor had already been completed in 1874. That lighthouse is now St. Augustine's oldest structure -- a status that has given it plenty of time to attract "visitors."

What's more, a keeper's house was added to the grounds in 1876 and people lived and worked the lighthouse for decades, until 1955.

The unexpected was at play at the lighthouse when investigator Jason Hawes and his team visited. They believed they would disprove the reports of activity, finding "just local sounds and things of that nature."

"And we actually caught some of the 'holy grail,' what appeared to be people leaning over rails, showing up on thermal, showing up on infrared when there's no one else in there," said Hawes, founder of the Atlantic Paranormal Society and one of the stars and producers of SyFy's long-running "Ghost Hunters."

If you go: While other tours are available, the "Dark of the Moon" tour is billed as "the only ghost tour that gets you in the tower."

Gettysburg, Pennsylvania

The town of Gettysburg has its share of haunted history. No wonder: Approximately 7,000 people died -- both Union and Confederate soldiers -- during the Battle of Gettysburg at the heart of the Civil War. (About another 3,500 died in the weeks and months following the battle.)

Buell, founder of the Paranormal Research Society and host of A&E's "Paranormal State," remembers getting shot there.

Except he never was.

"We were taking a ghost tour of Gettysburg (National Military Park) and suddenly I was having trouble breathing ... I was wheezing and I was having trouble breathing and the pain, it got worse," Buell said.

Buell went to the hospital, and the doctors ran some tests.

"Long story short, suddenly they come running back and they tear off my shirt and they said something like, 'Where's the exit wound?' " Buell said. But no exit wound ever appeared on his body.

If you go: There are several Gettysburg ghost tours, including Gettysburg Ghost Tours and Ghosts of Gettysburg (which is hosted by a former park ranger).

Charleston and Savannah

Older cities such as Charleston, South Carolina, and Savannah, Georgia, remind tourists that they just might be walking on bones. Savannah is "literally built on its dead," Hawes said. "When they're going to put up buildings, they have to do tests, core samples, to see if they find any bones."

Robert Edgerly, founder of one of the city's popular walking ghost tours and author of "Savannah Hauntings," said that the 17hundred90 Inn is one of his favorite local spots.

The 17hundred90 Inn, first built in the 1800s, is proud of its paranormal history, with an entire section of the website devoted to people's experiences. The inn's most famous resident is Anne Powell, who reportedly fell from a window to her death, though the event is clouded with rumor.

Charleston is no less spooky -- especially the Old City Jail, which is famous for the prisoners kept locked behind its bars, including Lavinia Fisher, often thought of as America's first female mass murderer.

If you go: Savannah visitors can book a room at the 17hundred90 Inn. Charleston features many tours, with the Ghost & Dungeon Walking Tour, Charleston's Ghost Hunt and Ghosts of the South among the options.

Gilliland's Ranch, Trout Lake, Washington

Gilliland's Ranch, in Trout Lake is fairly new as a paranormal hotspot, at least measured against the decades- or centuries-plus history of some of the other locales on our list.

Owned and operated by James Gilliland -- whose resume includes minister, counselor, author and radio host -- the ranch distinguishes itself in other ways: Buell said he was "guaranteed" to experience activity on his first visit, a rare and rarely true claim.

Gilliland "claimed he was being visited by aliens, all the time, and that there were supernatural beings on his property," Buell said. So a friend, another paranormal aficionado, took up the claim and reported back.

"He's like, 'I swear to you, all night long we had experiences in this place ... Every night, something happened,' " Buell said. A big ball of light would appear and then split up into triangles and then regroup -- circling and darting unnaturally, according to Buell's friend.

Many people claim to have experienced contact with extraterrestrial life at the ranch, with anecdotes spread across the Web.

If you go: Contact the ranch to schedule a private tour. (Reservations are required.)

Point Pleasant, West Virginia

West Virginia's Point Pleasant is synonymous with the story of the Mothman, an extraterrestrial creature sighted throughout the town in the late 1960s and made famous by the book "The Mothman Prophecies," later adapted as a film starring Richard Gere.

The town boasts several landmarks, including the Mothman Statue, which depicts the creature as a silvery humanoid, with teeth bared.

The Lowe Hotel is nearby, offering an easy second stop on any personalized ghost tour. Not only does it house the Mothman Museum, the hotel is home to a small coterie of otherworldly figures.

Many people assume the experiences in the town have stopped. Not so. While he was visiting, Buell had some "really crazy experiences," including a brush with the Mothman that involved an underground munitions bunker, a voice-activated tape recorder and a psychic.

"You want to talk about something right out of 'The X-Files' -- here's Point Pleasant," he said.

If you go: Book a room at the Lowe Hotel and take a tour of the hotel museum.

Where do you like to go to get scared during Halloween? Share your thoughts in the comments below.

@highlight

A Hollywood hotel makes no promises that you'll spot Marilyn Monroe

@highlight

There are reports of St. Augustine's lighthouse attracting "visitors" to its site

@highlight

The extraterrestrial Mothman made West Virginia's Point Pleasant famous