Washington (CNN) -- Come the first Tuesday in November, when millions are streaming into polling stations across the country, as much as 40% of Americans will have already voted.

In 2004, 22% of Americans voted early and that rate rose to 34% in 2008, according to Paul Gronke, Professor of Political Science who founded and runs the Early Voting Information Center at Reed College in Oregon.

Not only is early voting changing the way Americans cast their ballot but it's also changing the way candidates run their campaigns.

"People find it much easier if they can choose the time to vote ... rather than show up on one day of the week," said Tom Slockett, Johnson County, Iowa, commissioner of elections and the county's voting auditor.

Slockett said early voting is insurance against the expected -- finals at the University of Iowa or an out-of-town business trip -- or the unexpected, like a sick child.

Johnson County, home to 130,000 residents, is on pace with its 2008 early voting requests by mail when about 55% of the county voted early. Iowa begins early voting on September 27, almost a week before the first debate on October 3.

Idaho and South Dakota are the first states to start voting with ballots being cast on Friday.

Depending on state law, early voting can either be done in-person, through the mail or through an absentee ballot. Some states require an excuse for absentee voting while others are moving toward no-excuse absentee balloting. Military personnel are able to vote by email.

While early voting has changed the times when voters hit the polls, it has also changed the cycle by which campaigns try to influence voters.

Voting days are upon us

The October Surprise -- "the really stinky piece of information that campaigns hold on to until the end of the election," as Michael McDonald, an associate professor at George Mason University who specializes in American elections, puts it -- will have to be a September Surprise to have much effect.

By October, he said, it could be too late for that kind of information to influence the election.

And Karl Rove's successful 72-hour voter turnout program from 2002 and 2004, which used a grassroots network to push voters to the polls three days before Election Day, would come too late now.

"[Early voting has] changed our voter contact program," said Kirsten Kukowski, spokeswoman for the Republican National Committee. "We're actually moving from our identification phase into our early vote, absentee ballot program earlier. That means every -- direct mail advertising -- everything moves up depending where [the state is] on the calendar."

Some Romney backers still frustrated with state of campaign

Democrats say they are using early voting to combat the large influx of super PAC dollars in this election, of which Republicans have raised more.

"While Mitt Romney and his allies are counting on big ad buys ... we've made early investments in battleground states -- where we've been registering folks and keeping an open conversation going with undecided voters for months -- to build an historic grassroots organization that will pay off when the votes are counted," Obama campaign spokesman Adam Fetcher said.

And campaigns can better focus those efforts on who hasn't voted ahead of Election Day.

"By encouraging our supporters to vote early, we can focus our resources more efficiently on Election Day to make sure those less likely to vote get out to the polls," said Fetcher.

And once voters cast their ballots, campaigns may contact them again to volunteer, helping with the turnout effort in the last days of the election campaign.

Despite Obama cash haul, GOP sees big month over Dems

While voters are taking advantage of early voting more and more, the impact on turnout is mixed and can cost governments more.

In Multnomah County, Oregon, which begins voting on October 8, Eric Sample, spokesman for the county elections division, says that early voting and the state's 100% vote-by-mail has increased voter participation.

"It does increase voter participation, especially in special elections," Sample said.

He noted the impact, for instance, on school district elections, which aren't as high profile as presidential contests.

In Colorado, which relies heavily on ballots mailed to people on an active voter roster, their system increases voting among people already on the list.

But "it doesn't get any new faces out to vote," said Andrew Cole, spokesman for the Colorado secretary of state. Colorado will begin its early voting in October 22.

Jennie Bowser of the National Conference of State Legislatures said the impact on turnout depends on who you ask.

"The consensus seems to be ... that it's not increasing voter turnout," said Bowser. "The people that vote already are also using early voting."

Obama holds advantage in three swing states

And it's not cutting costs.

Slockett said early voting increases the cost of elections, noting that expenses are spread out over a longer time period.

Early voting requires states to staff polling locations for weeks at a time and to maintain and secure the polling machines.

"All of that costs money and is logistically not simple," said Bowser.

But oddly enough, logistics are exactly what resurrected early voting from its pre-1845 days when Congress declared, "the Tuesday next after the first Monday in November" as Election Day.

Modern early voting began in the West, which has a history of complicated ballots, Gronke said.

"[Because of the initiatives and referenda] you could have a really long ballot and it would take 10, 12, 15 minutes to type it all in and make sure it's correct," said Cole. "For a while there, it was just a matter of getting people out of the door [of the polling stations]."

The time-consuming voting overwhelmed polling centers on Election Day and left legislators looking for relief.

Sending out mail ballots early not only allowed Colorado voters to read through the sometimes lengthy ballots and send them back at their leisure, Cole said. It also took pressure off swamped polling centers.

But mail ballots can increase the chance of ballots not being counted if voters don't follow procedures carefully.

Improperly filling out a ballot is "the number one way people disenfranchise themselves," McDonald said.

In 2008, more than 400,000 absentee ballots were thrown out nationwide, according to data from the Election Administration and Voting Survey. Even though that's less than 1% of the ballots cast nationwide, McDonald said that "it could make a big difference in the election. So it's critical."

@highlight

In 2004, 22% of Americans voted early and that rate rose to 34% in 2008

@highlight

Early voting has changed the times when voters hit the polls, and changed the way campaigns run

@highlight

While voters are taking advantage of early voting, impact on turnout is mixed and can cost governments more

@highlight

400,000 voters were disenfranchised in 2008 because they improperly filled out their absentee ballots