(CNN) -- The Islamist rebels fighting to overthrow Mali's government are "determined, well-equipped and well-trained" and still hold a key town in the central part of that African country, French Defense Minister Jean-Yves Le Drian said Tuesday.

French troops and warplanes joined the battle last week on the side of Malian government forces, and Le Drian said the intervention stopped the Islamists from overrunning Bamako, the capital. The Islamists, who have seized much of northern Mali, had hoped to deliver a "definitive blow" to the government by capturing the city of Mopti, he told reporters in Paris.

"We prevented it," he said. But the push has not yet driven them from the town of Konna, the scene of a fierce battle last week that weakened the Malian army, Le Drian said.

"We are facing a versatile adversary who is determined, well-equipped and well-trained," he said.

France, the former colonial power in Mali, has committed about 1,700 troops and air crews to the fight, Le Drian said. The force includes about 800 troops on the ground in Mali, including an armor unit.

The operation is hitting "significant concentrations of fighters and vehicles" in the north, behind the front lines, and bolstering government troops' defense of Bamako, he said.

The campaign will continue "as long as it is necessary" to defend Mali's embattled government and allow the speedy deployment of an African-led peacekeeping mission and a European force that will train Malian troops, Le Drian said.

And speaking on a visit to the United Arab Emirates, French President Francois Hollande said the number of French troops deployed would increase "so that France can make way as quickly as possible" for an African force. France has no intention of staying in Mali permanently but would do what was necessary until the African force was ready to take over, he said.

Read more: What's behind the instability in Mali?

Hollande said France had three aims: stopping the "terrorist aggression" from the north; securing Bamako and safeguarding French nationals there; and enabling Mali to recover its territorial integrity. And he stressed that France was in Mali at the request of its government, with the support of its neighbors and world powers, and within the framework of international law.

"If we had not taken up our responsibility and if on Friday morning we had not acted with this intervention, where would Mali be today?" he asked.

French defense minister: Islamist rebels gaining ground in Mali

Defense chiefs from the members of the West African regional bloc ECOWAS were meeting Tuesday in Bamako to discuss military options, said a spokesman for the bloc, Sunny Ugoh.

Ministers will meet Friday to finalize plans that will then be presented to the heads of state Saturday in Ivory Coast, he said.

Leaders from a number of countries, including NATO allies the United States and Canada, have said they'll send troops or provide logistical support for the fight against Islamist militants in the West African nation.

Col. Mohammed Yerima, a spokesman for the Nigerian army, told CNN that 190 of its soldiers would arrive in Mali within 24 hours.

In total, Nigeria will deploy 900 soldiers -- slightly more than a full battalion -- within the next 10 days, as part of a U.N.-mandated African force to fight the insurgents in Mali, he said.

Read more: Is this al Qaeda's 'last chance' for a country?

Niger, Burkina Faso, Togo, Senegal and Benin are also among the countries that have pledged to send troops, French Foreign Minister Laurent Fabius told reporters Monday.

Hollande said he had spoken to the leaders of Mauritania and Algeria, both of which have agreed to close their borders with Mali to prevent fleeing militants from seeking refuge. Morocco has also authorized French planes to fly over its territory, he said.

France also has wide support for its intervention within Europe, where countries including Britain, Denmark and Belgium have offered support, Hollande said.

Two British military transport aircraft have been assigned to help with the French troop deployment, but no British forces will be in a combat role, the UK Foreign Office said.

A spokesman for Germany's Foreign Ministry said the country's leaders were considering offering medical, logistical and humanitarian aid to Mali.

The United Nations said preparations are under way for a U.N. multidisciplinary team to go to Bamako soon.

Read more: France aims to 'eradicate' terrorism in Mali

The United States has shared intelligence from satellites and intercepted signals with the French, defense officials said Monday. In addition, the Pentagon is considering sending refueling tankers so that French jets can fly longer, more sustained combat missions, according to the officials.

Drones "are under consideration," the defense officials said, though the military's stash of unmanned aerial vehicles is in heavy demand. Both stressed that these would be surveillance drones and said there are no plans yet to deploy them.

U.S. State Department spokeswoman Victoria Nuland, meanwhile, said the United States is reviewing requests from the French, but no decisions have been made. The United States is "not in the position to support the Malian military directly until we have democratic processes restored by way of an election in Mali," she said.

The U.N. Security Council authorized a one-year military peacekeeping mission in the country in December. Members of ECOWAS, the Economic Community of West African States, pledged thousands of troops, and the Security Council has urged other nations to contribute forces as well.

A French colony until 1960, Mali had military rulers for decades until its first democratic elections in 1992. It remained stable politically until March, when a group of soldiers toppled the government, saying it had not provided adequate support for them to fight ethnic Tuareg rebels in the country's largely desert north.

Tuareg rebels, who'd sought independence for decades, took advantage of the power vacuum and seized swaths of land. A power struggle then erupted in the north between the Tuaregs and local al Qaeda-linked radicals, who wound up in control of a large area as the Tuaregs retreated.

The United Nations says amputations, floggings and public executions -- like the July stoning of a couple who had reportedly had an affair -- have become common in areas controlled by radical Islamists. They applied a strict interpretation of Sharia law in banning music, smoking, drinking and watching sports on television, and damaged Timbuktu's historic tombs and shrines.

CNN's Antonia Mortensen and Saskya Vandoorne contributed to this report.

@highlight

French airstrikes hit behind Islamist rebel lines while troops bolster Bamako, minister says

@highlight

France now has about 800 troops on the ground, the French defense minister says

@highlight

Nigeria says it's sending 190 troops in the next 24 hours, with 700 more in coming days

@highlight

World and regional powers are concerned about the advance of Islamist militants