(CNN) -- In my book, Physics of the Future, I make scores of predictions for this century, based on interviews with over 300 of the world's top scientists, who are inventing the future in their labs.

Here are some top game-changing predictions that they make:

Fusion and space-based power

Because cheap oil will eventually run out and because burning fossil fuels drives global warming, new forms of energy are desperately needed.

Within a decade, solar/wind/renewable technologies will drop in price and be competitive with oil, due to the rising cost of fossil fuels.

But by 2019, fusion power becomes a major player. That is when the International Thermonuclear Experimental Reactor (ITER) becomes operational in southern France.

Costing over $10 billion dollars, it is a crash project designed from the start to generate more energy than it consumes. Rather than burning uranium (which creates vast amounts of nuclear waste and the danger of meltdowns) fusion reactors cleanly burn hydrogen, which is found in sea water. Fusion is the energy source which powers the sun, the stars, and the universe.

A decade after that, commercial fusion power plants may proliferate around the world, thereby solving the energy crisis and global warming. Clean, safe, and renewable, fusion power promises to energize our economy by mid century.

Space elevator

Hollywood dreams of colonizing the universe have been stunted by a simple four-letter word: C-O-S-T.

It costs $10,000 per pound to just put you in near Earth orbit over the planet. That is your weight in solid gold. To put you on the Moon costs roughly $100,000 per pound. And to put you on Mars costs roughly $1,000,000 per pound, or your weight in diamonds.

But late in the 21st century, a new game changer might be possible -- the space elevator, in which you simply push the "up" button and then the elevator climbs effortlessly into outer space, like Jack and the Beanstalk. Like a ball spinning on string, it does not fall to the Earth because of centrifugal force.

Here is where nanotechnology comes in. The strongest substance known to science, stronger than diamonds, is graphene, made of a single atomic layer of carbon atoms. It is strong enough to support a space elevator without breaking. (It is so strong you can balance an elephant on a pencil, which then rests on a layer of graphene, and the graphene sheet will not tear).

Read more: Car the size of a molecule

At present, we can only produce tiny, millimeter-sized portions of this pure carbon, but in the future, if we can solve the technical question of creating miles of this substance, then this technology may eventually open up outer space, so that we become a true space-faring civilization.

Stop the aging process

For millennia, kings and queens have sought the Fountain of Youth without success. We still don't have it, but biotechnology may eventually allow us to stop and maybe reverse the aging process.

After centuries of confusion, we now know what aging is: the build-up of errors, at the molecular, genetic, and cellular level. But it is possible to create error-correcting mechanisms which might reverse this process.

At present, for example, we can double the life span of most organisms, from yeast cells, to spiders and insects, rats and mice, rabbits, dogs and cats, and now primates.

Eventually, a combination of several therapies (e.g. gene therapy, caloric restriction, telomerase, sirtuins, etc.) may allow us to unlock the aging process.

Already, about 60 genes have been isolated where aging seems to be concentrated. In the future, when everyone has their personal genome on a disk, we will use computers to scan millions of genomes of young people, then the genomes of the elderly, and then simply subtract.

In this way, we will isolate the genes involved in aging. (For example, we are 98.5% genetically identical to a chimpanzee. But we live twice as long. So, among a handful of genes are the ones which have doubled our life span.)

Our grandchildren may have the option of reaching the age of 30, and then stopping at that age for many decades to come.

Intelligent machines

Artificial intelligence has proven to be more difficult than scientists originally thought back in the 1950s, when it was predicted that we would have mechanical maids, butlers, and companions by 2000.

At present, our most advanced robot has the intelligence of a cockroach, barely able to recognize and navigate among simple objects in a room.

But in the coming decades, great progress will inevitably take place. Our robots will eventually become as smart as a mouse, then a dog or a cat, and finally a monkey. The robotics industry may eventually become larger than the automobile industry today.

Read more: The future of warfare

No one knows when a robot will approach human intelligence, but I suspect it will be late in the 21st century. Will they be dangerous? Possibly. So I suggest we put a chip in their brain to shut them off if they have murderous thoughts.

But once robots surpass us in intelligence, will we wind up in the evolutionary dust bin, surpassed by our own creations? Some suspect they might put us in zoos, and throw peanuts and make us dance behind bars.

This may leave open one last option: merge with our creations. This may not sound as preposterous as it first appears. And there are perks involved with merging with our robotic creations, such as immortality and perfect, superhuman bodies.

The replicator

The Holy Grail of nanotechnology is the replicator, a device which can create anything from almost nothing.

In science fiction, it is a chamber where you put in the raw materials, and then ask for anything you want, whether it be dinner, a computer, or jewelry. The key to creating the replicator is the "nanobot," a robot the size of a molecule which can cut and rearrange molecular bonds, turning junk into valuable commodities, atom for atom.

At first, this seems impossible. But actually Mother Nature has already created a nanobot. It is called a ribosome, and can cleanly cut and paste molecules together like a master welder. This allows nature to take hamburgers and French fries and then convert them into a baby in nine months.

However, it may take a century to master the intricate art of reshaping matter from almost nothing. But when it happens, we will be able to take a rabbit out of a hat, literally, and change civilization in the process.

Hunger and poverty may be banished if everyone had a replicator. This could open up a Golden Age for humanity.

The opinions expressed in this commentary are solely those of Michio Kaku.

@highlight

Michio Kaku is professor of theoretical physics at City University of New York

@highlight

He has spoken to scientists who predicted future technologies

@highlight

Biotechnology may eventually allow us to stop the aging process, says Kaku

@highlight

Nuclear fusion power could become a major player by mid-century, he says