JENA, Louisiana (CNN) -- Thousands of protesters clogged the tiny town of Jena, Louisiana, Thursday to show their indignation over what they consider unjust, unequal punishments meted out in two racially charged incidents.

Officers lead Al Sharpton, center, through Jena, Louisiana, during Thursday's protest.

They swarmed over the grounds of Jena High School, where nooses were hung from a tree in early August 2006, about three months before six black teens known as the "Jena 6" were accused of beating a white classmate.

While the tension was palpable, news broke Thursday afternoon that the 3rd Circuit Court of Appeal ordered a hearing within 72 hours to determine if the only one of the six still behind bars can be released.

The order has "got to be good," Mychal Bell's attorney, Bob Noel, told CNN. "It means we have a day in court. Any day in court is going to be a good day."

Earlier, there was an aura of a pilgrimage at the site where the controversial tree once stood before school administrators had it removed.

Many people touched the ground and some retrieved a lump of dirt, said CNN's Eric Marrapodi. He said the part of the town he was in was ill-prepared for the crowds -- no water or toilets were available.

In the background, groups shouted "Black power" and "No justice, no peace."

The estimated 15000 to 20,000 demonstrators shut down the town of 3,000 in central Louisiana. Many residents left for the day, and government agencies, businesses and schools were closed.

Sgt. Tim Ledet of the Louisiana State Police said protesters in buses were still bringing people to town at midday because of the gridlock, but many protesters got off and walked into town on foot.

"There is just no room to maneuver in this small town," he said.

Jena resident Terry Adams disagreed with any accusations that there might be a black-white divide in the area.

"We are not a racial town. We get along with each other, we get along fine. This is something that got out of proportion. It really has."

Jena's racial tensions were aggravated in August 2006, when three white teens hung the nooses the day after a group of black students received permission from school administrators to sit under the tree -- a place where white students normally congregated.

The guilty students were briefly suspended from classes, despite the principal's recommendation they be expelled, according to Donald Washington, U.S. attorney for the Western District of Louisiana.

A member of the LaSalle Parish School Board -- which had a role in supporting suspension instead of expulsion -- insisted the board is not prejudiced.

The panel felt it took the appropriate action, Jonny Fryar said.

"I talked to one of the parents, who called me and said their son thought it was a prank and naive to the fact of what it meant and he was sorry," he said.

"I hate to see people label us as something we are not. Because we have black students and white students playing football together. They shake hands, get along. This is an unfortunate incident. We hope that the community can heal."

Although Washington acknowledged the FBI and other investigators thought the noose incident bore the markings of a hate crime, a decision was made not to press federal charges because the case didn't meet federal criteria. The students were under 18 and had no prior records, and no group such as a Ku Klux Klan was found to be behind their actions.

On December 4, about three months after the nooses were discovered, six teens, dubbed the Jena 6, were accused of beating classmate Justin Barker. The six -- Mychal Bell, Robert Bailey Jr., Carwin Jones, Bryant Purvis, Theo Shaw and Jesse Ray Beard -- were originally charged with attempted second-degree murder and conspiracy, according to LaSalle Parish District Attorney Reed Walters.

Bell, the only one of the six who remains in jail, was to be sentenced Thursday after convictions for aggravated second-degree battery and conspiracy to do the same, but both charges have been vacated, awaiting further action by the district attorney.

Charges for Bailey, Jones and Shaw also were reduced to battery and conspiracy when they were arraigned, while Purvis still awaits arraignment. The charges for Beard, who was 14 at the time of the alleged crime, are unavailable because he's a juvenile.

Tina Jones, Purvis' mother, condemned Walters.

"I hope that the D.A. will wake up and realize that he's doing the wrong thing, and to release these kids," she said. "It's not equal. The black people get the harsher extent of the law, whereas white people get a slap on the wrist per se. So it is not equal here."

Jones maintained that her son was not involved in the beating, but watched from a railing, and was not arrested that same day.

"We have a long fight ahead of us, and we'll keep fighting until justice prevails in Jena," the mother said.

Purvis, who accompanied her, was asked how he's faring.

"I'm doing pretty good. I hope there is a pretty good outcome of what's taking place today," he said.  Watch an interview with one of the Jena 6 and his mom »

President Bush, who was asked about the rally at a news conference, said, "The events in Louisiana have saddened me. I understand the emotions. The Justice Department and the FBI are monitoring the situation down there.

"All of us in America want there to be fairness when it comes to justice."

He advised whoever is elected next year to "reach out to the African-American community."

Hundreds of college students from historically black schools such as Howard University in Washington traveled to Jena, along with civil rights activists such as Al Sharpton and the Rev. Jesse Jackson, who helped organize the event. Martin Luther King III also attended, saying, "This is about justice for the six young men."

Sharpton called Jena the beginning of the 21st century civil rights movement.

"There's a Jena in every state," Jackson told the crowd in Jena on Thursday morning.

JoAnn Scales, who brought her three teenage children on a two-day bus journey from Los Angeles, California, to Jena, made the same point.

"The reason I brought my children is because it could have been one of them" involved in an incident like the one in Jena.

"If this can happen to them [the Jena 6] , it can happen to anyone," Scales said.

Ondra Hathaway was on the bus with Scales.

"If this young man [Bell] was railroaded to do time as an adult, how many more people has that happened to?" she said.

Jackson said on CNN's "American Morning" on Thursday that the charges against the black youths, their possible jail terms if convicted and their bail amounts are "excessive."

Punishing the teens with probation would have been sufficient, Jackson said.

Bails for the Jena 6 were between $70,000 and $138,000, and all but Bell have posted bond. Bell, 17, has been in prison since his arrest. The judge has refused to lower his $90,000 bail, citing Bell's record, which includes four juvenile offenses -- two simple battery charges among them.

Bell was 16 at the time of the attack; 17 is the legal adult age in Louisiana. E-mail to a friend

CNN's Susan Roesgen, Tony Harris, Kyra Philips, Eric Marrapodi and Eliott McLaughlin contributed to this report.

@highlight

Third Circuit Court of Appeal orders hearing within 72 hours on teen's fate

@highlight

NEW: Police estimate up to 20,000 protesters in Jena, population 3,000

@highlight

Crowds touch ground where oak tree from which nooses were hung once stood

@highlight

Jena 6 is a group of teens charged with beating a white classmate