(MENTAL FLOSS) -- When we think of economic crises in America, two periods come to mind -- the Great Depression and whatever it is we're in the middle of right now. But the U.S. stock market has crashed more times than we'd like to admit. Historically, our economy has been brought to its knees by everything from greedy bankers to horse illnesses.

Horses, cows, whales and a failed copper scheme caused economic panics earlier in U.S. history.

So let's take a deep breath and remember that panics are just part of the American way of life.

1. The Panic of 1873: America stops horsing around

During the late 19th century, the American economy relied on horses the way it depends on gas today. Horses unloaded cargo from ports, transported goods from city to city, worked the farms, supported the army, and served as the emergency vehicles of choice. Without them, the American workforce would have ground to a halt.

And that's exactly what happened in 1872, when an estimated 99 percent of all horses in America contracted equine influenza. The highly contagious strain started in Canada and spread through New England to the South in a matter of months, leaving horses across the country too weak to stand and coughing uncontrollably.

Street buggies stopped running, paralyzing commerce in the cities. Railroads were stymied because trains run on coal -- coal that was hauled out of mines by horses. And as the horse flu spread, U.S. military troops had to go into battle on foot (they were fighting Apache Indians at the time).

More tragically, a fire in Boston raged for three days because there were no horses to carry water. The flames destroyed more than 700 buildings, causing an estimated $73.5 million in damages and killing at least 20 people.

The "Great Epizootic," as it was called, spiraled out of control in less than a year. At the height of the panic, as many as 20,000 businesses failed, a third of all railroads went bankrupt, and unemployment spiked to almost 15 percent. The economy took nearly a decade to recover. Ironically, nearly all of the horses recuperated by the following spring.

2. The Winter of 1886: When the cows don't come home

During the second half of the 19th century, cattle ranches in the American West were thriving. From the Montana grasslands to the Texas prairie, ranches were attracting investors back East and across the pond in Europe. But by 1886, things were getting dicey. Overgrazing, coupled with a hot and dry summer, had left the plains almost bare.

Then came the snow. Known as the "Winter of Death," the following season saw one of the worst cold spells in recorded history. More than half the cattle in the West froze to death, unable to move in the thick snow.

Ghoulish firsthand accounts describe the bodies of dead cows stretching for miles across the horizon. When the spring thaw and floods came, thousands of bloated corpses floated into the streams and rivers. Some ranchers quit the business entirely and didn't even bother to round up their surviving cattle. Mental Floss: Bold business scams that failed miserably

By the end of 1887, the disaster had wiped out more than half of the United States' western cattle and debilitated the national economy. Most cattle investors went bankrupt, and thousands of cowboys were left unemployed.

But more than anything, the winter of 1886 put an end to all those turn-of-the-century, idyllic fantasies of open-range ranching in the Wild West.

3. The Panic of 1907: Captains of industry to the rescue!

The Panic of 1907 started the way many panics do, with a greedy capitalist. Multimillionaire Augustus Heinze, who had made his fortune mining in Montana, believed he had enough control over the copper industry to corner the market.

With the help of several major banks, he concocted a scheme to buy up all the shares of United Copper. But Heinze had overestimated his prowess, and the scheme failed, bringing down Heinze, United Copper, the banks, and many, many stockholders. Mental Floss: Who is Ponzi and what was his scheme?

The debacle sent ripples of anxiety throughout the market, and investors started pulling their money out of banks altogether. After one of New York City's biggest trusts went under, panic ensued, and the stock market collapsed.

At the time, there were no central banks in place, so the federal government had no means of bailing out businesses or injecting cash into the economy. It just stood by, idly waiting for a hero to save the day. Amazingly, one did.

James Pierpont Morgan, banker extraordinaire, rescued the American economy. He propped up many of the failing banks in New York by twisting the arms of other financiers, and he assuaged investors' fears by backing up the market with his own vast cash reserves. Before long, Wall Street was on the mend.

The government also learned its lesson. With the panic resolved, it created the Federal Reserve, ensuring that it could buttress the economy during hard times. Since then, the government has taken a more active role in financial matters and relied less on the kindness of robber barons.

4. Whale of a Crisis: The collapse of America's first oil industry

During the early 19th century, America was one of the top oil-producing countries in the world. But it wasn't petroleum the nation was exporting; it was whale oil. By the mid-1800s, the high-risk, high-profit business was the fifth-largest industry in the United States. Mental Floss: 6 things you probably don't know about oil

At its height, the American whaling industry produced more than 10 million gallons of oil a year and sold it for $1.77 a gallon (about $35 per gallon today). Better still, an American fleet of 1,000 ships had exclusive access to the North Atlantic territories, which ensured profits.

What could have stopped such a juggernaut of an industry? For one thing, other sources of oil. In 1846, Canadian geologist Abraham Gesner developed a technique for distilling kerosene from petroleum, and within a few decades, kerosene had replaced whale oil as the most popular fuel for lamps.

Another reason for the decline was that the whales were dying off. The enthusiastic slaughter throughout the 1800s drove some whale species to extinction and put others on the brink. With so few left to hunt, the cost of whaling became prohibitively expensive.

The final blow to whalers came during the harsh winter of 1871, when the North Atlantic ice trapped and crushed the bulk of the American fleet.

Although American consumers didn't suffer as the country switched from whale oil to petroleum, coastal towns in New England and the Mid-Atlantic languished, and shipbuilders and fishermen found themselves out of work. By the time of the Civil War, whaling ships had become so worthless that Union soldiers loaded a fleet of them with stones and sank them into Charleston harbor. The hope was to blockade the South from the port, but when the plan didn't work, the ships were no great loss. America's first oil industry had been tapped out.

For more mental_floss articles, visit mentalfloss.com

Entire contents of this article copyright, Mental Floss LLC. All rights reserved.

@highlight

Odd things caused U.S. economy to tank four other times

@highlight

Disease kills 99 percent of horses in 1872, causing business failures, bankruptcies

@highlight

Dry summer, record cold winter in 1886 wipes out half the cattle in West

@highlight

1907 copper scheme causes run on banks, banker uses own money to stop it