Washington (CNN) -- As Gov. Chris Christie continues to fend off accusations of corruption in New Jersey, another Republican with possible designs on the White House, Marco Rubio, spent last week 7,000 miles away from the controversy, burnishing his foreign policy resume with a three-country trip through Asia.

The Florida senator made a busy, weeklong visit to the Philippines, Japan and South Korea -- a trip that brought him face to face with top officials from all three countries, the boxer Manny Pacquiao and a pair of DMZ-stationed North Korean soldiers, who took pictures of the man who one day may sit in the White House.

The ranking member of the Senate Foreign Relations East Asian and Pacific Affairs Subcommittee, Rubio was making his first jaunt to Asia, a region he called the next big flash point in global affairs.

"All of the emerging major issues of the 21st century over the next 50 years are going to be in Asia, given the population growth, and given the instability that you see in North Korea, given the rise of China," Rubio told CNN in a weekend phone interview from Seoul, South Korea.

The three countries he visited "want us here," Rubio said. "And not just engaged militarily, but they want us engaged economically, culturally. They are comfortable with us. They've built these longstanding alliances that they want to build on and improve."

Rubio: Culture keeps U.S.-UK bond strong

Rubio affirmed the importance of America's economic and military interests in Asia and expressed support for the so-called "rebalance" -- the Obama administration's effort to re-engage with Asia by forging deeper alliances with friendly nations and pursuing a stable relationship with China.

"In fairness, I think they're doing a lot of the things we need to be doing," he said.

But America's relationship with its allies in the region must evolve, he said, in the face of China's ever-growing economic might and the "destabilizing" threat of a volatile North Korea.

"Our military capacity here has to be adjusted to a new threat," Rubio said of the roughly 30,000 American military personnel stationed in South Korea.

"Much of our military standing here is still and was very largely based on the ability to slow down an invasion from the North long enough until reserves and supplements could get here," he said. "And that still remains a threat to some extent. But the bigger threat now is that they've developed long-range missile capabilities, long-range artillery, anti-access, anti-ship weaponry, these are the sort of things. These are a different type of threat that now requires us to reposition a different kind of technology and capacity to the region."

Marco Rubio blasts Obama administration, pushes American leadership abroad

Rubio said simmering tensions between Japan and China, inflamed by recent Chinese efforts to expand its military influence in the East China Sea, are very real -- and shared by leaders in the Philippines.

"The takeaway, if you go to Japan or the Philippines, the takeaway is that China is trying to become dominant, that China is driving the U.S. out," Rubio said. "All of this weighs heavily on the minds of nations in this region, particularly the Philippines and Japan. There is a growing insecurity about some of the claims that China is making with regards to what is in their territory."

The South Korean outlook on China is more nuanced, he said. South Korea's economy depends heavily on exports, and China is far and away the biggest market for its goods.

The United States should have a similar approach to the Asian superpower, he said, as long as those economic interests are balanced with a robust military presence in the region to protect America's allies.

"I've never accepted the idea that we wanted to contain China," Rubio said. "We welcome a China that's richer and more prosperous, because that's a potential trading partner, customers for our products and services. What we don't want to see is a China that uses its newfound power to dominate their neighbors."

Rubio was accompanied on his Pacific tour by two close aides from Washington: his chief of staff Cesar Conda, whose family hails from the Philippines, and his foreign policy adviser Jamie Fly, a veteran of George W. Bush's administration and the former executive director of the Foreign Policy Initiative, a neoconservative think tank.

His aides tweeted out a cascade of pictures of Rubio meeting with top elected and diplomatic officials, Philippine President Benigno Aquino III, South Korean President Park Geun-hye and Japanese Prime Minister Shinzo Abe among them.

Rubio also consulted with two officials whose fame extends far beyond political circles: Manny Pacquiao, a member of the Philippine Congress when he isn't wearing boxing gloves, and Caroline Kennedy, the U.S. ambassador to Japan.

"She's very highly regarded in Japan," he said of Kennedy. "She seems to be enjoying the job tremendously. I've got nothing but positive reviews about her."

In a Friday speech to the Asan Institute for Policy Studies in Seoul, Rubio said American engagement in Asia is crucial to U.S. national security and economic vitality. He chided, ever so gently, unnamed members of Congress who are "increasingly skeptical about why America needs to remain so active in international affairs."

Asked if the comment was a reference to libertarian-leaning Republicans -- among them Sen. Rand Paul of Kentucky, a potential rival for the 2016 GOP nomination -- Rubio said it was not.

"There's a general debate in our country," he said. "It's understandable. Americans have gone through two bloody, costly, overseas engagements in wars in Iraq and Afghanistan, one of which is still going on. Americans have paid a tremendous price to fight the war on terrorism, and it's understandable that they're weary of overseas engagements."

"But so much of what is going on in our everyday lives is directly impacted by things that are happening halfway around the world," Rubio told CNN. "And that even if we chose to ignore the world, the world's problems are not going to ignore us. So I think it's critically important that we continue to invest in foreign policy and foreign diplomacy and in military capacity, because they are as relevant today as they have ever been."

@highlight

Potential 2016 presidential contender Sen. Marco Rubio tours Asian nations

@highlight

His trip to the region helps boost his foreign policy credentials

@highlight

Rubio affirmed the importance of America's economic and military interests in Asia