Christmas was the favorite holiday for Marlise Munoz's family. She, her brother and parents would open presents, go to the movies and shoot fireworks they had saved from July.

But this holiday season, says Munoz's mother, Lynne Machado, has been "a living hell."

Munoz, 33, has been brain dead since her husband, Erick Munoz, discovered her unconscious at home on November 26, Machado said. The family says she is being kept alive on a ventilator at John Peter Smith Hospital in Fort Worth, Texas, even though she would not want her life prolonged by a machine.

Texas state law says life-sustaining treatment cannot be withheld from a pregnant patient, regardless of her wishes or the age of the fetus. And Munoz was 14 weeks pregnant when she became hospitalized; now she's at 18 weeks.

Munoz's family wants to see that law rewritten or repealed.

"I can't imagine their intent would be for someone so young in pregnancy, at 14 weeks, to have them on life support until mid-May," Machado said.

Machado hopes to go before the Texas legislature to argue that when it comes to cases like this, "one size does not fit all," she said.

But the family is not yet at the point of hiring a lawyer to pursue that, she said.

"We're frankly waiting to see how long this lasts," she said. "There's so much energy just trying to cope with what we see every time we go into ICU. And knowing our daughter is not there, but her body is being kept alive, is hard to see."

Husband of pregnant woman wants her off life support

Unknowns about the fetus

Machado saw her daughter no more than five hours before she fell unconscious on the kitchen floor at her home.

Doctors won't know for sure the cause of death until Munoz has an autopsy, but they suspect she had a pulmonary embolism, Machado said. Machado fears that oxygen deprivation could have damaged the fetus.

Doctors told the family it has a heartbeat in a normal range, Erick Munoz told WFAA, and at 24 weeks they may know more about its viability.

"We still have about a month to go before we have more answers to questions about what's going to happen next," Machado said.

Although there are tests at the fetal stage that can pick up on problems, they cannot provide certainty about normal development, experts say.

"We don't have very precise measurements of fetal wellbeing," Dr. Edmund LaGamma, neonatologist at New York Medical College in Valhalla, New York, who is not involved with the case.

Based on the available facts, LaGamma said, there is a possibility of a good outcome for a fetus born to a woman in Munoz's situation.

Doctors will likely examine the appearance of the fetus, looking for indications of developmental issues, he said. For example, microcephaly, often indicated by abnormal growth of the fetus's head, can be a sign of developmental issues.

It's a lot easier to predict bad outcomes than good, LaGamma said. The tests that doctors could perform, including an MRI of the fetal brain, can't assure normal development later.

"It's like photograph of a baseball player," he said. "You can see how they stand. They look muscular. They've got great position, hold the bat well. But until you put them in action, until you test that function of the brain, you can't tell whether it's going to work well."

A law to protect unborn children

The larger situation is a complicated one, involving competing interests and personal choices of individuals, state and federal regulations, as well as the right to life of the mother and child, LaGamma said.

Munoz never filled out an advance directive stating what she would want to happen medically in a situation like this, if she could not express her own wishes. But Machado said Munoz had spoken several times to her parents and husband about it.

"We talked about it. We're both paramedics," Eric Munoz told CNN affiliate WFAA. "We've seen things out in the field. We both knew that we both didn't want to be on life support."

Even if she had signed such a document, though, Texas law would override her wishes because she is pregnant.

"The state has a compelling interest in preserving the life of its unborn citizens," criminal defense attorney Danny Cevallos told CNN's New Day. "And that interest is superior to even the interest of the remaining family that might be charged with raising an ill child."

The hospital that is treating Munoz says it is adhering to the law.

"At all times, we will follow the law as it is applicable to health care in the state of Texas. And state law here says you cannot withhold or withdraw life sustaining treatment for a pregnant patient," J.R. Labbe, vice president of communications and community affairs for JPS Health Network, said. "It's that clear."

Arthur Caplan, director of the Division of Bioethics at New York University Langone Medical Center, told CNN's New Day that he finds the law too restrictive.

"Given these variables, I think the Texas law doesn't give enough room to have this discussion we're having, which is: Are you sure that's what she would want, are you sure the fetus could live, are you sure the fetus hasn't been harmed?" he said.

A difficult Christmas

Munoz's brother unexpectedly died four years ago, at age 22. Machado and her husband suddenly find themselves without children of their own.

They have been taking care of Munoz's 14-month-old son Mateo for the last week.

While out shopping for milk for the boy on Monday, Machado broke down in tears when she came across marshmallows -- one of her daughter's beloved treats.

"I thought, normally, I'd pick up a bag for her," Machado said, crying. "It was hard to see something as simple as a bag of marshmallows."

Mateo loves marshmallows, too. His grandmother says the tradition will continue with him.

Judge: California teen is brain dead after tonsil surgery

@highlight

Marlise Munoz has been brain dead since November 26

@highlight

She is 18 weeks pregnant and on life support

@highlight

Her mother and family want to challenge the law  in Texas that's keeping her alive