The undersea mapping of the main search area for Malaysia Airlines Flight 370 has found small parts of the ocean floor that are harder than the surrounding rock, but the objects detected are unlikely to be man-made, Australian authorities said Friday.

Ships have been surveying tens of thousands of square kilometers of the bottom of the southern Indian Ocean as search officials prepare for the next phase of the hunt for the passenger jet, which disappeared nearly six months ago with 239 people on board.

The mapping is necessary because the area of ocean, far off the Western Australian coast, is so remote that its depth and seafloor terrain were largely unknown before the search for the plane drew attention to it.

The maps will help the search crews as they deploy underwater vehicles and scanning devices to look for wreckage from Flight 370. The search efforts in the 60,000-square-kilometer priority zone are expected to begin this month and last up to a year.

Australian geoscientists have been analyzing the data gathered during the mapping survey, in part to gauge the hardness of the ocean floor -- whether it's hard rock, soft rock or silt.

"We have detected a number of areas where there are small areas that are relatively harder than the surrounding rock. There's multiple detections of this sort," said Martin Dolan, chief commissioner of the Australian Transport Safety Bureau, which is overseeing the underwater search.

"It's unlikely to be a man-made object, much more likely to be a geological formation," Dolan told CNN. "Nevertheless, we will feed all this information into our overall planning of our search of the priority areas for the location of MH370."

Dolan first referred to the hard areas of the ocean floor in comments reported by The Times of London.

The areas are inside the priority search zone, he told CNN, but he wasn't able to say how big they were.

Adjustments to search area

Dolan also said Friday that search officials are likely to make adjustments to the main search zone once their team of international experts has finished refining its analysis of satellite data related to the missing plane.

"We may end up with some areas that extend beyond the priority orange zone," he said, referring to the area where officials have said MH370 is most likely to have gone down.

Australian Deputy Prime Minister Warren Truss said last week that areas in the southern part of the search zone may be of particular interest.

The revised analysis is based on an improved understanding of how a ground station in Australia was handling the satellite signal's frequency, Dolan said Friday.

"We remain fully committed to finding the missing aircraft, and although it's taken us a long time to get there, we're at a point where we've completed almost all the planning work and can move to the operation phase of the underwater search," he said.

The search is scheduled to start late this month, and all the assets involved will be operational in early October.

Flight 370 dropped off radar on March 8, en route from Kuala Lumpur, Malaysia, to Beijing. No debris of the Boeing 777 has been found, and officials don't know why it flew off course.

After it lost radar contact, the plane continued to communicate periodically with a satellite system, providing experts with data they say shows it flew south into the Indian Ocean.

@highlight

Mapping of the search zone has detected particularly hard areas of seafloor

@highlight

But these areas are "unlikely" to be man-made objects, a senior Australian official says

@highlight

They are "much more likely to be a geological formation," he says

@highlight

Officials probably will make adjustments to the priority search area