(CNN) -- In an attempt to be frugal amid the economic downturn, Karl Stetson and his family in Seattle, Washington, planned to skip their annual trip to Hawaii.

Water rushes toward the shore at Sandy Beach Park in Honolulu, Hawaii.

That is until Stetson began noticing airfare and hotel rates plunge this year.

Last week, he caved, purchasing plane tickets for less than $450 a person, a sweet deal compared with $600 last year.

He booked rooms at Hanalei Colony Resort, among the emerald mountains in Kauai, for 25 percent off, and he was delighted to receive one of the nights free.

"We might have done something on the mainland, something more low-key, but the fact that it was inexpensive was a big factor for us to go again," said Stetson, who is taking his wife and two young boys in May.

Outdoor enthusiasts, lovebirds and families prudently resisting the urge to visit Hawaii, say aloha to majorly discounted airfares and hotel rates -- many hitting rock-bottom prices -- this year.

The bittersweet theory seems to hold true: What is bad for the travel industry has been good for consumers. As Hawaii suffers from its biggest visitor decline since the Great Depression, the state is enticing travelers with discounted deals to offset the toll on its local economy. iReport.com: Toughing out the recession?

Airfare to Hawaii from cities in the continental United States has plummeted more than 30 percent in some markets, according to FareCompare.com, an airfare research Web site. Pleasant Holidays, one of the nation's largest privately owned travel companies, is offering vacation packages that include flight and three nights hotel stay in Oahu starting at $299.

Online travel giants Expedia, Travelocity and Orbitz are all offering sales on Hawaii flights, hotels and activities, and some luxury hotels have rooms for less than $150 a night.

"You won't see prices to Hawaii like this again in your lifetime," FareCompare CEO Rick Seaney said. "It might be worth it to take that once-in-a-lifetime trip."

For decades, tourists from the United States and abroad have flocked to Hawaii, many captivated by the exotic islands' natural beauty: snow-capped mountains, active volcanoes, breathtaking waterfalls and pristine beaches.

Now with the administration of President Obama, who spent part of his childhood in Hawaii, there is a renewed interest for tourists to visit, travel experts say.

But travelers have long viewed Hawaii as an expensive destination in comparison with Florida or California.

Two adults can expect to spend $673 a day in Honolulu on food and lodging, making Hawaii the most expensive destination in the country, according to the AAA's 2008 Annual Vacation Costs Survey.

It is no surprise, then, that in a brutal economy where consumer confidence is low, the islands are having a tough time reeling in visitors, despite discounted prices.

The state reported a 12.4 percent decline in visitors, or 72,255 fewer guests, in January compared with the same time last year. The drop, which started last spring, is a reversal of nearly a decade of visitor growth.

To make matters worse, visitor spending in Hawaii declined by 13.6 percent in January, and many state officials and experts are worried what that will mean for a state where tourism is the backbone industry.

Nationwide, the tourism picture looks bleak, as the number of travelers is expected to fall throughout 2009, according to the Travel Industry Association of America.

In the Aloha State, the smaller, more remote islands like Lana'i and Moloka'i are feeling the most pain. They received about a third fewer visitors in January than the year before.

"This is a downturn," said Mark B. Dunkerley, who sits on the board of the Chamber of Commerce of Hawaii and is CEO of Hawaiian Airlines. Dunkerley explained that the decline in visitors may be troubling, but the numbers are still as strong as they were a decade ago. "It's not a catastrophe. The clock has been wound back."

Signs of decline for Hawaii began last spring with the shutdown of Aloha and ATA Airlines, which held about a fifth of the market share. By the summer, fuel prices had skyrocketed to $135 a barrel, which drove fares to an unaffordable price point for many travelers.

That same year, NCL Corp.'s Norwegian Cruise Lines pulled back stops to Hawaii.

Rob Pacheco, the president of Hawaii Forest & Trail, said he noticed about 3,000 fewer customers after some of the cruise ships stopped coming. The company, which gives natural tours of the island, said things "just kind of deteriorated, and it was more difficult to fill seats."

Another challenge Hawaii faces in terms of tourism is its remote location on an archipelago in the Pacific Ocean. This makes the state's tourism industry highly dependent on airfare prices. iReport.com: Where's your favorite secret hideaway?

Traditionally, economical travelers shy away from Hawaii because of the high flight cost, travel experts said. But the airfare prices being offered until June show that prices may be more affordable than most leisure travelers think.

A flight from Boston, Massachusetts, on Delta, United or American Airlines is running about $461 round trip, down from $610 at the same time last year, according to FareCompare.com. Travelers from major West Coast cities such as Los Angeles, California, can find flights just under $340, nearly 30 percent off the ticket price from a year ago, the site reported.

Adding to the vacation savings are hotels, including lavish resorts, advertising rates about 20 percent lower in the first quarter of 2009 compared with first-quarter 2008, according to online travel companies.

Hotels scrambled to offer lower rates when they saw occupancy numbers dive for the first time in years. Hotels say that in addition to the discount on the rooms, there are perks and added value such as upgrades, free nights and dinner coupons, travel experts say.

For example, Outrigger Hotels and Resorts, owned by Outrigger Enterprises Group, is offering the third night free for travelers who book a stay in Waikiki this month for $159 a night. A year ago, the lowest the rate at the hotel was nearly $100 more.

"You can travel better than you have in the past for the same amount of money," said Ian Jeffries, an Expedia travel expert. "Or you could do the exact same thing as last year and save money."

Travelers can also snatch bargains at condos and rental properties. This is particularly true on the islands of Maui and Oahu, where there has been major development in recent years, says Pauline Frommer, creator of the Pauline Frommer Guidebooks.

"You can play 'let's make a deal' with these folks," said Frommer, who has been tracking the travel industry for almost 20 years. "They are desperate for people's business."

But don't expect the deals to paradise to last forever. Prices will climb during peak summer season and as soon as the economy recovers. Though experts are unsure when recovery will happen, Hawaii's Department of Business, Economic Development & Tourism predicts that won't be until 2011.

In the meantime, Hawaii tourism groups want to change American and international travelers' impression that a trip there is too expensive. With Japan suffering from its own economic woes, arrivals of Japanese tourists, once a steady revenue stream, have slowed, travel experts said.

"The difficulty is the fact that it's not a Hawaii-centered problem," said John Monahan, president of the Hawaii Visitors and Convention Bureau. "We have a nationwide and global crisis."

@highlight

Airfare to Hawaii has plunged more than 30 percent in some markets

@highlight

Hawaii reported a 12.4 percent decline in visitors in January

@highlight

"You can play 'let's make a deal' with these folks," said Pauline Frommer

@highlight

State officials say Hawaii's tourism economy won't improve until 2011