(CNN)"Every day, we cried" -- these were the words spoken over and over to me by a colleagues as we sat down after another long day for a rare drink in Monrovia, Liberia's bustling capital.

She was reminiscing about the period in September and October when the Ebola outbreak was at its peak. "Of all the pain that we faced, the cremation was the hardest," she explained. I knew exactly what she meant -- cremation was as far away from the norm for burials in West Africa as one can imagine.

As the Ebola outbreak wanes in Liberia, it is easy to imagine the heroes as the myriad of foreign doctors, nurses, epidemiologists and logisticians that have come to support the country in their days of need, and yes, these expatriates have definitely brought to bear much knowledge, expertise and resources on controlling the outbreak.

But there is a group of heroes who are unlikely to make any headlines or be celebrated as such. They are the thousands of Liberian citizens that have gone door-to-door asking questions, looking for the ill, offering advice, day after day, after day for months on end.

When they do find an ill person who may have Ebola, they begin the painful process of convincing them that it is safer to be an Ebola treatment unit than at home. Often the question that follows is: "What happened to all those that went in before me? What happened to them?"

Thankfully, Liberia appears to be on its way back. It currently has the lowest numbers of confirmed cases of Ebola since the onset of the second phase of the outbreak in the middle of last year. The streets are full of activity and schools have reopened. Across the country, there is an unmistakable sense that people are desperate to get on with their lives.

At the Grand Royal Hotel, on Tubman Avenue, the main road through Monrovia, the manager sits in the popular café in the front garden. Most of his guests are still members of the large contingent of development workers from all over the world, or members of the armed forces and police services that form part of the U.N. military mission in Liberia, UNMIL. He admits that while this has been good for business, he would rather have his "normal" clients back.

Monrovia is an interesting place -- it feels very West African. The food is familiar -- fish, plantain, rice... with lots of red pepper.

The power situation is still very poor and most people in Monrovia rely on generators. It has a lovely but underutilized beach front; the perfect setting for a cold bottle of "Club" lager in the evening.

There are quite a few restaurants and supermarkets -- mostly run by Lebanese entrepreneurs.

As we drive past the Presidential "mansion" -- I ask why it looks empty and I am told that there was a fire in it a few years ago and that the renovation is not yet complete. President Sirleaf uses the office of the Foreign Ministry, and otherwise lives in her private residence, I am told.

From the outside, with all the horror stories of Ebola in the popular press, it is easy to imagine Liberia as a country on the brink, especially with its history of protracted conflicts and civil war. But there is nothing further from the truth. Yes, it was ill prepared for an outbreak of this severity and magnitude, as many other countries would have been, but sometimes there is nothing as powerful as grief to unite people in seeking a better future.

Out of this crisis, must emerge a new country. While the stories of dictators, civil war and Ebola are true, they cannot be Liberia's "single" story. With a beautiful beach front right at the heart of the city, there is no reason for Monrovia not to be the favorite destination of West Africa's emerging middle class. With lots of mineral resources, Liberia has so much potential. But, its most obvious resource and probably its most underutilized are its human resources.

The University of Liberia is one of the oldest institutions of higher learning in West Africa, but has known better times. The government of Liberia needs to think strategically and creatively on how to channel the goodwill of the world and the determination of its people into programs and projects that will put Liberia on a new trajectory.

It may be impossible to imagine in 2015, but one only needs to look east to Rwanda for how a country can emerge from the most tragic of circumstances to become a proud and resilient country.

Liberia will be back, but it will take leadership and courage. Despite the long hours of work, the tedious meetings, the long nights writing reports and re-strategizing, my best memories of Monrovia will be good ones; of a beautiful county and a resilient people.

More from African Voices

Read this: The African weapons beating Ebola

Read this: From surf spots to boardrooms, Liberia's ill economy fights back

The opinions expressed in this commentary are solely those of the author.

@highlight

Liberia's last Ebola patient released on March 5 after battling through the deadly virus

@highlight

Monrovia is returning to normal after the virus claimed more than 4,000 lives