(CNN) -- And then there were two. Sunday's showpiece European Championship final in the Ukrainian capital Kiev pits holders Spain against Italy, between them the winners of the last two World Cups.

Spain are on the brink of creating soccer history; never before has a country won three major international football tournaments in a row and the Spanish, who won Euro 2008 and the 2010 World Cup, now have the chance to earn a place in the record books.

Before the Euros, former Barcelona and England striker Gary Lineker said "La Furia Roja" were just one trophy away from greatness.

"If they won three tournaments in a row, something no other team has done, you would have to put them up there among the all-time greatest teams," said Lineker, who helped England reach the World Cup semifinals in 1990.

Spain reach Euro 2012 final after shootout victory

Vicente del Bosque's side enjoyed huge good fortune in Wednesday's semifinal against Iberian neighbors Portugal, winning 4-2 in a penalty shootout after a 0-0 draw, with Cesc Fabregas scuffing the decisive spot-kick as it hit the inside of the post and rolled along the goalline before creeping into Rui Patricio's net.

Fabregas' penalty can perhaps be seen as a symbol of Spain's unconvincing performances at Euro 2012 so far, which have left a large proportion of the watching public unsatisfied as they struggled to break down packed opposition defenses.

The end of a love affair?

For all their possession (Spain have enjoyed around 67% of the ball in their five matches), there has been frustration that they have neither moved the ball around quickly enough nor created enough goalscoring chances, instead wearing the other team down by making their players chase shadows before waiting for a mistake.

Whisper it quietly, but some have even labeled Spain's previously much-feted tiki-taka style of play "boring" and claimed it is currently a more defensive tactic than offensive -- an argument perhaps backed up by the fact that Spain have now not conceded a knockout-stage goal in any tournament since the 2006 World Cup, a run of nine matches and a remarkable 900 minutes of action.

Against Italy in the group stage and France in the last eight, Del Bosque even picked a starting XI without a single striker -- a tactic designed to help Spain keep the ball better and lure the opposing defense out so they could get in behind. It hasn't worked flawlessly, but they have churned out results regardless.

Beautiful football might be what people demand, but results are what Del Bosque deals in first; since taking over from previous coach Luis Aragones following Euro 2008, the 61-year-old has led the national team to an incredible 50 wins from 59 matches.

Midfielder Andres Iniesta, who scored the winner in the 2010 World Cup final, says Spain aren't bothered by the "boring" tag. The 27-year-old instead focuses on the positives of their possession-based game.

"When a team wants to attack and comes up against an opponent that sits back and tries to close the space and not try to create its own chances, that's not always the football you want to watch," said Iniesta. "It's easy to forget that only a few years ago this style is what changed the story of Spain."

A change in mentality

It is a story that began at Euro 2008 -- and really, truly began with Spain's quarterfinal penalty shootout victory over Italy in Vienna, a match that defender Gerard Pique looks back on as the turning point.

"I think it changed the mentality of the national team," said the Barcelona star. "Before, Spain played to avoid losing -- but afterwards they played to win."

Italy were the World Cup champions at the time and favorites to go through, but it is perhaps not as well remembered that they were missing the suspended Andrea Pirlo, who has been in such glorious form at this tournament.

Pirlo, let's not forget, was also injured at the 2010 World Cup and played only 34 minutes in their final group game game as Italy crashed out at the first hurdle following draws with Paraguay and New Zealand and a 3-2 defeat at the hands of Slovakia.

But the 33-year-old midfielder is enjoying a stunning renaissance in his career. A year ago he was discarded by AC Milan after 10 years of service, but signed for Juventus and led "The Old Lady" to the Italian league title before showcasing the full range of his majestic talents for the world to see in Poland and Ukraine.

If Italy were besieged by the storm of another match-fixing scandal in their domestic game brewing prior to Euro 2012, Pirlo provided the steady hand on the tiller to sail the ship into calmer waters. With hardly a hair out of place and rarely breaking into a sweat, the masterful Pirlo has dictated the knockout matches against England and Germany with breathtaking class, providing an exhibition in how to create space and pass the ball both of the long and short variety.

The master and the maverick

When looking long, Pirlo has often sought out Mario Balotelli, the maverick Manchester City striker who is as well-known for his controversial lifestyle away from football as his performances on the pitch -- something which may change after his monumental two-goal showing against the much-fancied Germans in the semifinal.

Balotelli double sends Italy through to Euro 2012 final

Balotelli went into Euro 2012 considered a talented liability, as capable of moments of madness as those of brilliance, but he powered home a header to give Italy the lead and then crashed a stunning second into the top corner from 18 yards. Even Germany keeper Manuel Neuer had to applaud the 21-year-old's chutzpah.

"Tonight was the most beautiful of my life -- but I hope that this Sunday is even better," said Balotelli in the aftermath. "Along with Spain, we are the two best teams in the tournament. We are the only side to have scored against Spain so far. We proved that we are equal to them, if not more, and we want to win."

Whoever wins on Sunday, it will provide a fairytale finish to a competition that has surpassed all expectations.

Scare stories

The buildup to the first major football tournament behind the old Iron Curtain in eastern Europe was dominated by scare stories: the transport infrastructure wasn't ready; there weren't enough (affordable) hotels for supporters to stay in; racism was a widespread problem in both host countries; foreign fans would not be welcomed in many of the host cities, and so on.

Yet most of the fears have been unfounded. Yes, there have been issues with supporters that European football's governing body UEFA has had to deal with, and member associations have been fined for specific incidents of failing to keep their fans under control.

Some of the magnificent stadia have not been full for every game, but that is probably down to the fact that Europe is going through difficult economic times right now and Poland and Ukraine are further away than most host nations have been, resulting in increased traveling costs.

But by and large, Euro 2012 has been an unqualified success. The group stage matches were full of attacking intent and fine goals and the knockout stages have produced two penalty shootouts of unbearable tension, not to mention Italy's awesome destruction of Germany. Referees have let games flow and kept the card count down, and the players have responded by concentrating more on their football and less on feigning injury and trying to artificially gain their team an advantage.

Everywhere you looked, there was a story: Andriy Shevchenko gave the Ukraine people a memory they will never forget with two goals to see off Sweden; Greece put their country's vast financial problems aside to qualify from Group A; the much-fancied Netherlands went back home with tails between legs; and then there was Spain and Italy, quietly working their way through the tournament.

Sensational scoring

With 30 of the 31 matches played we have seen only three red cards -- two of which came in the opening game as Poland drew with Greece -- and there have been 21 goals scored from headers, which at 29% of the total 72 stands way higher than at any previous Euros.

Wonderful goals have crashed in with regularity, from the acrobatics of Zlatan Ibrahimovic and Balotelli to the gorgeous flick of Danny Welbeck, the emphatic volleys of Sami Khedira and Marco Reus to the unstoppable rocket shots of Jakub Blaszczykowski and, again, Balotelli.

And then there was Pirlo's "Panenka."

With England leading Italy 2-1 after the first two penalties in Sunday's quarterfinal shootout, Pirlo produced a moment of genius to change the momentum entirely in Italy's favor. He watched the England keeper buzz around on the line trying to put him off, before coolly chipping the ball -- a la Antonin Panenka in the 1976 European Championship final shootout -- delicately into the net after Joe Hart had dived early and erroneously to his right.

England missed their next two penalties and Italy triumphed. "Hart seemed to be very confident in himself. I needed to do something to beat him and it seemed to be a psychological blow," said the unflappable Pirlo. England boss Roy Hodgson added: "The cool, calculated way Pirlo chipped it, that is something you either have or you don't have as a player."

The watching football world swooned, and Pirlo produced his second successive man-of-the-match display to help Italy slay Germany in the semis and continue the Azzurri's amazing record of never having lost a competitive game to "Die Mannschaft."

On Sunday, Cesare Prandelli's team can keep another record intact: that of a country never winning three major international tournaments in a row. Spain are potentially 90 minutes away from sporting immortality.

A captivating conclusion to Euro 2012 lies in wait.

@highlight

Holders Spain to meet Italy in Sunday's Euro 2012 final in Kiev

@highlight

Spain aiming to become first nation to win three successive major tournaments

@highlight

Italy looking for first Euros triumph since 1968, but won World Cup in 2006

@highlight

Spain's dominance and style has been labeled "boring" by some critics