(CNN) -- A watchdog group meant to guard Americans' right to privacy against overreach by government cyberintelligence has been around for years.

If that makes you feel safer, consider this:

It had no leader until May, and lawmakers delayed for years to fully staff it.

President Barack Obama met with the group for the first time Friday over the phone and e-mail record-gathering scandal involving the National Security Agency.

The president wants to enlist the group to "structure a national conversation" on government cyberintelligence and civil rights.

Who are the watchdogs?

The group is called the Privacy and Civil Liberties Oversight Board (PCLOB), and though it was created in 2004, it does not appear to have been very active.

It initially answered directly to then-President George W. Bush in an advisory role, but later became an independent agency in 2007 following advice from the 9/11 Commission, according to the White House.

Why little will happen to change how we snoop

Five years later, the PCLOB really only existed on paper, a group of conservative libertarians complained.

In a May 2012 letter to Senators from the group -- led by former Republican Representative Bob Barr of Georgia -- blasted Washington for dallying on staffing the board, while lawmakers were already considering cybersecurity legislation.

What's next for Snowden?

"We are deeply troubled by the fact that it has been almost five years since Congress enacted legislation to create an independent PCLOB with meaningful oversight authority, and yet the Board has not yet come into existence," the letter read.

Washington lawmakers had bounced nominations to the PCLOB that Obama made in December 2010 back at him, only to have him nominate them again, according to the Senate Judiciary Committee.

Rand Paul: Clapper was lying

Their mission? "Minimizing any impact on privacy and civil liberties" while the government expands its fight against cyberthreats, the White House posted on its blog a year after floating the nominees.

It encouraged their swift confirmation.

Officials cite thwarted plots

The conservative advocates adamantly backed the liberal president. "We implore you to act without further delay to move these nominations forward," they wrote to senators.

Last month, Obama appointed financial and economic attorney David Medine to chair the board.

Obama wants to expand its duties to include "big data" -- how private companies like Google or Facebook treat information they collect from their customers, he said in an interview with journalist Charlie Rose this week.

Nine years after its inception, PCLOB may begin with its task, now that the NSA's intelligence activities have been exposed.

"We discussed with the president our recommendation that every effort be made to publicly provide the legal rationale for the programs in order to enhance the public discussion and debate about the legality and propriety of the country's counterterrorism efforts," the group said in a statement after Friday's meeting, noting it would produce a public review of the recently revealed surveillance programs.

The NSA controversy

Earlier this month, Edward Snowden, a former employee of a government contractor, leaked to the media that the NSA had secretly collected and stored millions of phone records from accounts in the United States. It also collected information from U.S. companies on the Internet activity of overseas residents, he said.

The NSA and many Washington politicians, including the president, have justified the surveillance program, called PRISM, as necessary to preventing terrorist threats.

They emphasize that agents are not randomly listening in on phone conversations and only monitoring the internet activity of "non-U.S. persons."

They mine the data to see who may have contact with known or suspected terrorists, the NSA said. And their work is subject to scrutiny of a court.

Critics complain that the court operates in secrecy, which prevents it from offering a real check to the NSA's activities. They say that the exposed top-secret program amounts to a gross encroachment by the government upon citizens' rights to privacy.

PRISM has helped thwart more than 50 terrorist acts worldwide, NSA director Gen. Keith Alexander has said.

But CNN terror analyst Peter Bergen doesn't think such broad surveillance has helped foil significant plots on U.S. soil. Normal police work has done the job in the overwhelming majority of cases.

PRISM's supporters and critics are divided between both parties, creating unlikely alliances between Democrats and Republicans to defend or condemn PRISM.

Republican House Majority Leader Eric Cantor promised "serious investigations into potential wrongdoing" over the program, while his party colleague, Rep. Peter King of New York, said journalists involved in reporting stories about the surveillance programs should be investigated for violating national security.

Snowden has fled to Hong Kong. Lawmakers in Washington are building a criminal case against him.

@highlight

NEW: Obama meets with watchdog group

@highlight

The group is meant to protect civil liberties against government cybersecurity overreach

@highlight

PCLOB was founded in 2004 but critics complain it never really existed