(CNN)Fortunately, the intensive diplomatic efforts to prevent a nuclear-armed Iran and another war didn't stop after 47 Republican senators, led by freshman Sen. Tom Cotton, appeared to try to goad Iran's leaders into forgoing a diplomatic solution to the nuclear dispute. Neither have they stopped since Israeli Prime Minister Benjamin Netanyahu delivered what was effectively a reelection campaign speech on the House floor.

Despite so many concerted efforts to sabotage our diplomats, our negotiators are still hard at work to secure an agreement with Tehran that, if successfully concluded, will go down in the annals of diplomatic history as marking a new era for U.S.-Iran relations. Indeed, progress toward a political framework would move us closer to attainable safeguards on Iran's nuclear program as well as jump-start a more productive relationship that could pay extra dividends for years to come.

Before President Obama's phone call with Iranian President Hassan Rouhani last fall -- the first direct contact between U.S. and Iranian heads of state in more than 30 years -- such an agreement seemed unthinkable. Now, with clear-eyed diplomacy, negotiators from the U.S. and five other countries, plus Iran, are in reach of delivering a peaceful resolution to the decade-long impasse over Iran's nuclear program.

Diplomats have tackled thorny, complex nonproliferation issues that have never been comprehensively addressed in a multilateral agreement before. They have labored to eliminate Iran's potential pathways to a nuclear weapon while allowing the country to maintain a limited nuclear energy program, but under what is arguably the world's most locked-down nuclear inspections regime.

U.S., German, British, French, Chinese and Russian negotiators are continuing to build on the solid success of the preliminary nuclear accord negotiated last year, the so-called Joint Plan of Action. That plan continues to grant inspectors daily access to Iran's nuclear facilities in order to verify its adherence to the agreement.  As a result, Iran's nuclear program will be frozen for the first time since its inception, as diplomats craft a comprehensive resolution to this standoff.

If and when a final agreement is reached, the President may temporarily waive some sanctions if Iran's compliance can be verified. Congress has, for its part, authorized the President to provide limited, temporary and reversible sanctions relief so long as doing so advances U.S. national security interests. As former National Security Adviser Brent Scowcroft and countless other national security experts have attested, such a diplomatic solution to this crisis is squarely in the national interests of the United States.

In exchange for Iran following through on its promises to constrain its program in accordance with the agreement, the U.S. Congress will be asked to lift sanctions permanently. If Tehran demonstrates its long-term commitment to limit its nuclear program to exclusively peaceful purposes, then when the time comes, Congress should be ready to lift the sanctions.

In the interim, it is crucial that all parties scrupulously adhere to the terms of this landmark agreement.  While Iran must not install unauthorized centrifuges, attempt a secret program or otherwise fail to adhere to the agreement, the U.S. Congress also has responsibilities under the agreement, including appropriations for its execution and refraining from imposing new sanctions in violation of either the letter or the spirit of the deal.

All this suggests that to jeopardize such progress at this critical stage would be reckless, if not foolhardy. Of course, history suggests that we should be cautious. And the stakes are indeed extremely high. But the last thing the world needs is another major war in the Middle East.

Members of Congress should therefore join the preeminent statesmen, military officers and the overwhelming majority of the American public in welcoming what is poised to be a diplomatic success -- one that could protect U.S. security and prevent further instability in the Middle East that would result from a nuclear Iran.

We should ensure that our diplomats have the support they need to reach the finish line and that our President is able to cross it.

@highlight

47 Republican senators last week sent an open letter to Iran's leadership

@highlight

Steve Cohen and Lawrence Wilkerson say Iran talks are at a critical stage