Jakarta, Indonesia (CNN) -- A massive earthquake struck off the coast of the Indonesian island of Sumatra on Wednesday afternoon, triggering a tsunami watch for the Indian Ocean, which was later canceled.

The quake struck about 434 kilometers (270 miles) southwest of Banda Aceh, the capital of Indonesia's Aceh province, and had a magnitude of 8.6, the U.S. Geological Survey said. It took place at a depth of 23 kilometers (14 miles).

A second large quake, with a magnitude of 8.2, occurred off the west coast of Sumatra about two hours later, the USGS said.

Gary Gibson from the Seismology Research Center in Melbourne, Australia, said the location of the second quake reduced the possibility of a tsunami.

There was also a series of smaller quakes off the west coast of northern Sumatra with magnitudes between 5.1 and 5.4.

There were no reports of destruction or deaths.

Indonesian President Susilo Bambang Yudhoyono said on local television that there were no reports of casualties or damage in Aceh.

Four people were slightly injured on Simeulue Island, off the coast of Aceh, the National Disaster Management Agency said Wednesday.

The Pacific Tsunami Warning Center issued a tsunami watch for the entire Indian Ocean. And a few hours later, the center announced the tsunami watch was canceled.

"A significant tsunami was generated by this earthquake. However, sea level readings now indicate that the threat has diminished or is over for most areas," the center said.

How are earthquakes measured?

The center earlier said that "when no major waves have occurred for at least two hours after the estimated arrival time or damaging waves have not occurred for at least two hours, then local authorities can assume the threat is passed." The center posted approximate arrival times for waves in different parts of the region, which were predicted at various times in different cities throughout the day.

Waves were reported at 1-meter (about 3.3-foot) amplitude -- or height above sea level -- offshore in Meulaboh, Indonesia, but in other cities, they were reported at about a foot or less, according to the warning center.

British Prime Minister David Cameron announced that Britain "stands ready to help if required."

The first quake took place at 2:38 p.m. local time (4:38 a.m. ET).

It appears to have involved a horizontal movement rather than a vertical movement, so it is less likely that it will generate a tsunami, Gibson said.

He also said that the tremor took place a long way offshore and was therefore unlikely to have caused much damage.

Still, officials called on coastal residents in some low-lying areas in the region to seek higher ground.

The power went out in Banda Aceh, and residents moved to higher elevations, said Sutopo Purwo Nugroho, a spokesman for the Indonesian National Disaster Management Agency.

The areas most at risk of a tsunami are coastal areas of Aceh, particularly the island of Simeulue, Prih Harjadi, an official for the Indonesian geophysics agency, said on Metro TV.

In some areas, residents were allowed to return after the tsunami watch was lifted.

In Thailand, the National Disaster Warning Center issued an evacuation order for residents and tourists along the Andaman coast, state-run news agency MCOT said.

"The tremor was felt as far as in Bangkok where office workers at several high-rise buildings said their workplaces were shaken" for three to five minutes, the report said. "Several southern provinces also felt the tremors."

In the Maldives, some resorts were evacuated in advance of possible waves, according to CNN's Erin Burnett, who was on vacation in the region.

"What strikes me most is essentially the lack of a warning system" in the Maldives, she said. Officials rely primarily on information from the USGS, Burnett said.

Interactive: World's deadliest earthquakes

In 2004, a 9.1-magnitude underwater earthquake off the coast of Sumatra triggered a tsunami that killed more than 200,000 people in 14 countries. The majority of the deaths were in Indonesia, with Aceh bearing the brunt.

That quake took place 250 kilometers (155 miles) south-southeast of Banda Aceh at a depth of 30 kilometers (19 miles).

The tsunami, which washed away entire communities, caused nearly $10 billion in damage and more casualties than any other tsunami in history, according to the United Nations.

Since then, officials have worked to improve warning systems and have carried out drills in the region.

Indonesia is on the so-called Ring of Fire, an arc of fault lines circling the Pacific Basin that is prone to frequent earthquakes and volcanic eruptions.

The earthquake Wednesday comes just over year after a magnitude-9 quake off the northeast coast of Japan caused a devastating tsunami. The death toll from that disaster stands at about 15,850.

iReport: Earthquake in Dhaka

CNN's Jethro Mullen, Josh Levs, Kathy Quiano, Harmeet Shah Singh, Mari Ramos and Sean Morris contributed to this report.

@highlight

NEW: Four slightly injured on Simeulue Island

@highlight

Thailand announces evacuations along the Andaman coast

@highlight

An 8.2-magnitude aftershock strikes, followed by a series of smaller quakes

@highlight

There were no immediate reports of destruction or deaths