Brussels, Belgium (CNN) -- As little Ella-Louise faded away, her tiny, frail body wracked with pain, her heartbroken mother was left to look on, feeling powerless.

Linda van Roy says she could do nothing to help her terminally ill baby in the last hours of her life.

"In that period, they tell you it's best not to give any fluids, because babies survive on little drops of liquid," she said. "So we stopped feeding her. In the end, it was bones and skin and no more baby left."

Ten-month-old Ella-Louise died two years ago with Krabbe disease, a rare and terminal genetic mutation that damages the nervous system.

In the final days of Ella-Louise's life, when she was being given palliative sedation, van Roy, of Schilde, Belgium, says she could still see the agony on her daughter's face.

"She died on Tuesday; on Monday, we saw on her face that she was still in pain. And then you start to get angry, because you know that there is no medication left to give her to take away that pain."

She wishes she could have administered a fatal dose of medication to make the end of her daughter's short life come more quickly.

Unbearable suffering

Belgium legalized euthanasia in 2002 for those in "constant and unbearable physical or mental suffering that cannot be alleviated." Minors were included in the original proposals but were left out of the final legislation for political reasons.

Now, the country's lawmakers are debating a bill which would extend the "right to die" to those under the age of 18 who are terminally ill and in intolerable physical pain. The bill cleared a senate committee vote on Wednesday; it must clear several other hurdles before becoming law.

Since Ella-Louise was only a baby, her case would never have qualified for euthanasia.

Under the current rules, the patient must be able to make a repeated request for euthanasia themselves while experiencing unbearable suffering of which there is no prospect for improvement.

But van Roy believes that children, and parents of sick babies, should have more options, including the right to choose when to die.

"We want those children to be able to talk about euthanasia, and if they really want to say: 'Stop, this is it. I don't want it anymore,' we want people to have a choice," she said.

Polls show the majority of Belgians agree with the principle of offering euthanasia to children.

The current debate is less about whether or not to extend the legislation and more about what conditions to apply to the law: from what age euthanasia should be available and whether that should be with or without parental consent.

Parental consent

This month, 16 pediatricians wrote an open letter in two national newspapers demanding an extension of the practice.

Gerlant van Berlaer from the Free University Brussels was one of them.

"Doctors do terminate the lives of children as well as adults, but today it's done in a gray zone or in the dark because it's illegal," he said. "This means that there's a lot of room to do things the wrong way."

Van Berlaer stresses that only a tiny number of children would ever choose to end their lives this way: children with cancer, for example, who are still in charge of their cognitive faculties but in terrible pain.

Kenneth Chambaere is a researcher at the Free University Brussels focusing on end-of-life care and euthanasia. He has compared end of life practice in Flanders before and after euthanasia was legalized in 2002, to gauge whether there has been a slippery slope.

He says his research shows that although the number of euthanasia requests has gone up, from 1.1% before 2002 to 1.9% by 2008, the number of instances in which doctors have hastened the end of life without patient consent has gone down considerably. And he says minors are only a very small fraction of those deaths in any case.

"People dying underage mostly die of accidents or trauma, so very sudden deaths where no end-of-life decision making is possible," he said. "And a euthanasia request is very rare in those patients."

Chambaere argues that the debate in Belgium is more one of principle than anything else; only very few children would ever choose euthanasia but that the law now discriminates against them.

Palliative care

Experiences in the Netherlands, where patients older than 12 are allowed to request euthanasia with their parents' consent, would seem to support this: Only five children have chosen to die by euthanasia since the law was introduced in 2002.

But critics say children cannot reasonably decide whether to end their own lives.

Palliative nurse Sonja Develter, who specializes in end-of-life care for children, says that among the 200 children she's nursed to their deaths, she's never met a child who asked for death to come early.

"The main concern for children is always for the family," she said. "It's difficult for a child, because he feels he's slipping away, but he cannot tell his parents as that's not what they want to hear.

"Children say to me, 'It's not difficult to die, but please look after my parents.' "

Develter worries that giving children a choice would mean they made decisions based on what they thought their families wanted to hear, and that this would be a terrible strain for children who may already feel they are a burden to their caregivers.

One of Sonja's patients is Izabela Sacewicz, who has Huntington's disease, a neurological disease that drastically reduces life expectancy in children.

Eight years ago, she was a bubbling, active child -- top of her class, according to her mother, Iwona.

Now, having just turned 18, she can't eat or walk without help. She finds it difficult to speak, but her mind is still her own.

In a painful exchange, her mother explains to her what euthanasia is, using the simplest terms she can think of.

"Euthanasia means if you are unwell, you are so unhappy that you don't want to stay here, you want to leave, to go high up to God," she said. "But if you leave, you leave forever."

Izabela listens, the strain showing on her face.

"Do you think it's good or not good?" her mother asks.

"It's not good." The words are barely audible.

Euthanasia: Be glad you have a choice
Euthanasia: We can live without it ...

CNN's Bryony Jones contributed to this report.

@highlight

Belgian MPs are debating extending the law on euthanasia to terminally ill children

@highlight

Linda van Roy, whose baby daughter died of degenerative condition, wants law changed

@highlight

Supporters say euthanasia would only be chosen by very small number of minors

@highlight

Euthanasia opponents want more of a focus on palliative care and pain relief