(CNN) -- Attorney General Eric Holder said on Friday he had assigned two U.S. attorneys to lead investigations into the possible leaking of state secrets.

"The unauthorized disclosure of classified information can compromise the security of this country and all Americans, and it will not be tolerated," he said in a statement.

Holder assigned U.S. Attorney for the District of Columbia Ronald C. Machen Jr., a Democratic appointee, and U.S. Attorney for the District of Maryland Rod J. Rosenstein, a holdover GOP appointee, to lead the investigations.

Analysts: 'The ship of state always leaks,' but damage is less certain

"These two highly respected and experienced prosecutors will be directing separate investigations currently being conducted by the FBI. I have every confidence in their abilities to doggedly follow the facts and the evidence in the pursuit of justice wherever it leads," said Holder.

Earlier Friday, President Barack Obama strongly rejected claims that his White House has deliberately leaked secrets to the media, saying the idea was "offensive" and would put Americans at risk.

Some Republicans, led by veteran Sen. John McCain of Arizona, alleged that the White House must be knowingly involved because of the nature of the leaked information.

But Obama pushed back angrily as he was questioned on the issue at a news conference, saying that he had "zero tolerance" for such leaks and that those responsible would "suffer consequences."

"The notion that the White House would purposely release classified national security information is offensive, it's wrong, and people, I think, need to have a better sense of how I approach this office and how the people around me approach this office," he said.

"We are dealing with issues that can touch on the safety and security of the American people -- our families or our military or our allies -- and so we don't play with that."

Intelligence leaks are a source of consistent frustration for his administration as they have been for others, he said, and the White House will carry out "thorough investigations."

In response, McCain said Obama was distancing himself from the controversy.

"What the president did not unequivocally say today is that none of the classified or highly sensitive information recently leaked to the media came from the White House," McCain said. "I continue to call on the president to immediately appoint a special counsel to fully investigate and, where necessary, prosecute these gravely serious breaches of our national security."

A report in The New York Times last week that provided classified details of what it described as a U.S cyberattack targeting Iran's nuclear centrifuge program sparked the bipartisan outrage.

Obama also repeated the statements made by the writers of the articles in question that the White House was not the source of their information.

Other recent possible leaks of classified information included details on the administration's efforts to expand its drone program and Obama's involvement in "kill lists" against militants in Yemen and Pakistan.

The public airing of details surrounding a recently disrupted bomb plot in Yemen by al Qaeda in the Arabian Peninsula also angered intelligence and national security officials.

Congressional leaders said earlier Friday that those responsible for endangering national security by leaking classified information to the media should be sent to jail.

Republican Rep. Mike Rogers of Michigan, the House Intelligence Committee chairman, said that it was not yet known who was behind the leaks but that someone "committed a crime that is having serious consequences to our national security."

Bipartisan efforts are needed to identify whoever is responsible for the leaks, involving a cyberwarfare program against Iran and other intelligence matters, and "make sure that leaker goes to jail," he said.

Rep. Dutch Ruppersberger of Maryland, the top Democrat on the House panel, echoed Rogers' call for the leaker to be "held accountable."

Speaking in the House on Friday, Republican Rep. Mo Brooks of Alabama asked, "where is the outrage from the White House about these leaks?"

He called for the White House "to get off the campaign trail, show leadership, do the president's job and aggressively pursue the leakers of America's state secrets."

Leaks not only compromise national security efforts, they discourage allies from trusting in the United States, Brooks said. "It's time for the president to plug the holes and protect America's national security," he said.

Rogers said Friday that the recent leaks are "a hundred times the magnitude" of those in the Valerie Plame case and that "someone needs to pay a price for this crime."

Former Vice President Dick Cheney's chief of staff, Lewis "Scooter" Libby, was convicted in 2007 in connection with the leaking of CIA officer Plame's identity -- information that was technically classified, though Cheney later implied that information had been declassified.

Ruppersberger said it was vital that bipartisan efforts were made to "follow the facts wherever they go" but reiterated that the source of the information was not known.

"These leaks have been occurring more and more," he said, adding that they were the worst he had seen in nearly 10 years on the intelligence panel.

The leaks could come from within Congress or the executive branch, he acknowledged.

The Intelligence Committee leaders met Thursday with FBI Director Robert Mueller, whose agency is investigating the leaks, according to legislators.

Specifically, the FBI has launched an investigation into apparent leaks of classified information involving the cyberwarfare program against Iran, a U.S. official said this week.

The agency is also investigating the thwarted Yemen plot, according to Mueller.

In its report, The New York Times said that since shortly after he became president, Obama has ordered cyberattacks targeting computers that run Iran's nuclear enrichment facilities. It attributed the information to participants in the program.

McCain, the ranking Republican on the Senate Armed Services Committee, alleged that the White House authorized the leaks for political gain.

"These leaks clearly were not done in the interest of national security or to reveal corrupt or illegal actions about which the public has a right to know, as in the case of legitimate whistleblowers," McCain said. "It is difficult to escape the conclusion that these recent leaks of highly classified information, all of which have the effect of making the president look strong and decisive on national security in the middle of his re-election campaign, have a deeper political motivation."

The White House pushed back, with spokesman Jay Carney saying that "this administration takes all appropriate and necessary steps to prevent leaks of classified information or sensitive information that could risk ongoing counterterrorism or intelligence operations."

CNN's Terry Frieden contriobuted to this report.

@highlight

Attorney General Holder: Prosecutors to "doggedly follow the facts"

@highlight

McCain charges Obama didn't "unequivocally" say that no leaks came from White House

@highlight

The president says he has "zero tolerance" for leaks

@highlight

Congressional leaders seek to halt increasing leaks of classified information