(CNN) -- Timekeeping in the United States, which was already a pretty precise science involving lasers and atomic particles, just got even more exact.

A new atomic clock, so accurate it will lose or gain only one second every 300 million years, was unveiled Thursday by the National Institute of Standards and Technology, a branch of the U.S. Department of Commerce.

The NIST-F2 had been in development for about a decade and is three times more accurate than the F1, which has been in use since 1999. The institute will continue operating both clocks for now at its campus in Boulder, Colorado.

The clock is used for civilian purposes in the United States and its data is shared with the International Bureau of Weights and Measures in Paris.

The clocks work by using lasers to create a fountain of cesium atoms. "Pings" from those atoms as they move are counted to measure the exact length of a second.

Tom O'Brian, chief of NIST's time and frequency division, said the F2 was made more accurate by lowering the temperature of the area surrounding it.

All that is fine. But why go to all this trouble? Most of us won't get fired for being a few trillionths of a second late for work, right?

Well, no. But many of the systems we use in our high-tech world need to be a lot more precise.

"Modern telecommunication networks require synchronization to about a millionth of a second per day," O'Brian said. "Power grids also ... (and) GPS systems require about 1 billionth of a second per day.

"All of these technologies, and many more that we use every day, rely on exquisite timing and synchronization that is only possible with atomic clocks."

The NIST-F2 is expected to lose about one trillionth of a second per day. That's way more accuracy than any of today's technology needs and, hopefully, will be plenty for the next generation of innovation as well.

"If we've learned anything in the last 60 years of building atomic clocks, we've learned that every time we build a better clock, somebody comes up with a use for it that you couldn't have foreseen," says physicist Steven Jefferts, lead designer of NIST-F2.

So, is the NIST-F2 as good as it gets? Not really. While it might be the most accurate atomic clock to use cesium, researchers say there are already clocks that use other atoms being tested and that those are even more precise.

Some of those divide time into units more than 100 times more accurate than even the brand-new F2, O'Brian said.

"I think all those clocks are going to be so good that we're really going to have to change our perspective about what we mean by 'time'," he said.

@highlight

New U.S. atomic clock is unveiled Thursday

@highlight

The NIST-F2 will lose only one second every 300 million years

@highlight

It's three times more precise than last clock used in the United States

@highlight

GPS, telecommunications, other tech require high precision