RICHMOND, Virginia (CNN) -- Maria Stephens barely flinches when her three rambunctious young sons strike up a baseball game in her living room. "I thought you boys were going to play in the front yard," she laughs while Christian, 2, swings a black plastic bat near the kitchen table.

Maria Stephens went from making $80,000 a year to being homeless with three boys to care for.

It's hard to imagine all that energy cooped up in the small room where Stephens and her children spent seven months last year -- in a homeless shelter.

Stephens, a mortgage underwriter who made $80,000 a year, faced a reversal of fortune so swift and devastating she still can't quite fathom it. The single mom went from paying $1,900 a month in rent to bunking at the shelter, an unexpected victim in the foreclosure crisis.

And she is not alone. While the foreclosure rate across the country has grown dramatically in recent months, often lost in the statistics are numbers of Americans made homeless through no fault of theirs -- renters.

About 40 percent of people facing eviction from foreclosure in the United States are renters, according to the National Low Income Housing Coalition [NLIHC]. Yet regulations on the rental industry vary by state, and often there are no protections for those living in rental properties.

For Stephens, the ordeal started with bad news from her landlord.

"My landlord came and told me that his property was being foreclosed on," Stephens said. She moved her children, one then a newborn and the other two under 7, to a cheaper rental but had to leave there, too, when she lost her job and then her new landlord decided to sell the property.  Watch more about the ordeals of some renters »

"I had to hold back my tears because I'm like, oh my goodness. I'm from a middle-class family. ... I've had the best of everything," said Stephens. "I've never been in a situation where I didn't have a place to live. I made the money."

While Stephens' situation was worsened by the loss of her income, advocates with organizations such as NLIHC say many times evictions hit renters who are working and financially up-to-date.

"People who had been paying their rent on time, had been keeping up with their lease requirements, all of a sudden are served with foreclosure notices," said NLIHC Deputy Director Linda Couch. "And in every state but New Jersey and the District of Columbia, renters are not allowed to stay through their lease term and are given no special protections."

The problem is exacerbated for low-income renters, who may struggle to find affordable housing on short notice. The director of SERVE, a homeless advocacy group in Manassas, Virginia, has seen an explosion of renters in need of shelter over the past seven months. Officials at another Virginia shelter have braced for an influx of families they believe will start seeking services soon.

Some offer emergency shelter for families who might get only a few days' notice before being forced to move out. Last year, an Illinois sheriff temporarily refused to evict renters, some of whom learned about the foreclosure when sheriff's deputies showed up at their door.

Bill Apgar, senior adviser for mortgage finance at the U.S. Department of Housing and Urban Development, said the Obama administration is working to solve the problem. The president's 2010 budget proposal includes $1 billion for a National Housing Trust Fund, which would go towards building and preserving low-income housing. There is also a boost in funding to a voucher program that keeps families in their homes.

NLIHC's Couch applauded these efforts but urged the federal government to go further. She wants to compel banks and owners who take over foreclosed property to allow renters to stay through their lease. Mortgage finance giants Fannie Mae and Freddie Mac already give renters that protection.

"We do think that solutions as simple as those requirements could have an immediate and dramatic impact on potentially millions of peoples' lives," Couch said.

For Stephens, who now has a new job and is renting again, the experience has caused her to leave as little as possible to chance -- she saves enough to give her family a cushion, just in case. And she emphasizes to her children an outlook on life now vital for renters as well as for homeowners.

"No matter where we laid our heads," Stephens said, "I told my sons as long as we're together, we'll be OK."

@highlight

About 40% of people facing eviction from foreclosure are renters, coalition finds

@highlight

Many times, evictions hit renters who are working and financially up-to-date

@highlight

Only New Jersey and D.C. offer renters any protections during a foreclosure

@highlight

Former mortgage underwriter Maria Stephens was forced to go shelter with her boys