More federal prisoners serving sentences for non-violent crimes can apply for clemency after the Justice Department announced new rules Wednesday.

Deputy Attorney General James Cole announced that the department would broaden the criteria for clemency, a move that is expected to lead to thousands of prisoners -- most serving drug sentences -- filing applications to President Barack Obama seeking to commute their sentences.

The changes are part of a broader effort by the Obama administration to modify sentencing laws, allowing for use of rehabilitation and other alternatives to deal with non-violent drug offenders and those who previously faced tough mandatory minimum sentences.

Attorney General Eric Holder previewed some of the changes Monday by announcing plans to assign more lawyers to handle an anticipated flood of clemency requests.

Crack cocaine at heart of once-common sentencing disparity

"We are launching this clemency initiative in order to quickly and effectively identify appropriate candidates, candidates who have a clean prison record, do not present a threat to public safety, and were sentenced under out-of-date laws that have since been changed, and are no longer seen as appropriate," Cole said at a news conference.

The clemency changes would be open to prisoners who have met a set of specific conditions: they must be low-level, non-violent offenders without a significant criminal history and must be serving a federal sentence that would likely be shorter if they were convicted today. They must have served at least 10 years of their sentence and have demonstrated good conduct in prison, with no history of violence before or during their prison term.

The pending changes are the latest step in an ongoing effort Holder calls "Smart on Crime," which also seeks to remedy the once-common wide disparity in sentences handed down over powder versus crack cocaine, based on guidelines first enacted by Congress more than 25 years ago.

Earlier: Eric Holder seeks to cut mandatory minimum drug sentences

Of the more than 200,000 inmates in the federal prison system, some estimates show the new clemency criteria could apply to about 2,000 prisoners. But the number is likely to fall to perhaps hundreds after government lawyers review the applications.

The Justice Department says it doesn't know how many people will end up qualifying because it depends on the applications and how they fit the new criteria. The President has final authority to decide who gets clemency.

Obama has been criticized by some civil rights groups for being stingy with his pardons and commutations. But many praised the Justice Department's decision as a good initial step, including a coalition of groups working on sentencing guidelines.

The announcement "marks the beginning of the end of the age of mass incarceration," said Jerry Cox, president of the National Association of Criminal Defense Lawyers. "We must seize this historic opportunity to start the process of remedying decades of cruel and unnecessarily harsh sentencing policies."

Cole also announced the appointment of Deborah Leff to lead the department's Office of the Pardon Attorney, which has come under fire for being slow to review a backlog of applications.

Cole said the department was setting up an online application system and working with pro-bono attorneys who will assist prisoners in their applications.

Mary Price, general counsel for the group Families Against Mandatory Minimums, which advocates for changes to drug sentencing laws, welcomed Cole's announcement. "The doors of the Office of the Pardon Attorney have been closed to petitioners for too long. This announcement signals a truly welcome change; the culture of 'no' that has dominated that office is being transformed," she said.

The push to relax sentencing laws has the support of some conservative Republican lawmakers, who believe it is a way to reduce spending on federal prisons and to use alternatives to incarceration to deal with drug problems. However, lawmakers want the changes to be made through Congress rather than through the president's executive power.

"I hope President Obama is not seeking to change sentencing policy unilaterally. Congress, not the President, has authority to make sentencing policy. He should continue to work with Congress rather than once again going it alone, and I'm willing to work with the President on these issues." Sen. Orrin Hatch, R-Utah, said this week.

Cole, in his remarks Wednesday, said the issue is one of fairness.  "Older, stringent punishments that are out of line with sentences imposed under today's laws erode people's confidence in our criminal justice system, and I am confident that this initiative will go far to promote the most fundamental of American ideals -- equal justice under law," Cole said.

Three years ago, Obama signed the Fair Sentencing Act to address the larger issue of drug sentencing disparities. Sentencing guidelines provided for a 100-to-1 ratio between the penalties for crack cocaine offenses versus those for powdered cocaine, but the fair sentencing law reduced the disparity to 18-to-1.

@highlight

Rules change is beginning of end of "mass incarceration," advocate says

@highlight

The Justice Department announced new rules for non-violent offenders

@highlight

Up to 2,000 federal prisoners could be eligible for reduced sentences

@highlight

The U.S. criminal justice system must be perceived as being fair, Cole says