(CNN) -- The Icelandic volcano producing the ash cloud snarling much of European air traffic has not stopped erupting. Is there any chance that flight schedules could return to normal any time soon, and does the weather forecast provide any relief? Here are some common questions and answers about the ash cloud crisis.

Q: For how long will the volcanic cloud remain in the atmosphere?

A: The very fine ash previously injected into higher levels of the atmosphere -- above 20,000 feet -- will remain in the air for "quite some time," because the particles can be removed only by thunderstorms, which are not expected in the next few days, the World Meteorological Organization said Tuesday. The current high pressure system, with weak winds and slowly descending air in the center, is not helping to disperse the ash cloud, the WMO said. Still, the ash particles are slowly descending to lower levels, and there is evidence that most of the ash is now between the ground and about 10,000 feet, the WMO said.

Q: What does the weather forecast say?

A: The current high-pressure system over Iceland is expected to dissipate toward the end of the week, when a stronger low-pressure system is predicted to develop, the WMO said. Not only will this system change the winds and push the ash toward the Arctic, but the rains associated with this system will help "wash out" the ash at lower levels, the WMO said.

While that directly affects only the ash in Iceland, it could be good news for the rest of Europe, because some of the ash could be "washed out" of the air before it reaches the continent, said CNN weather anchor Mari Ramos.

For Ireland and the United Kingdom, upper-level winds coming from the north are not predicted to change any time soon. Any rain that does develop closer to Europe would be unlikely to help wash much of the ash out of the atmosphere, Ramos said, because the ash cloud has generally remained above any weather system. The ash currently being spewed out by the volcano is reaching as high as 20,000 feet.

Q: If the weather isn't going to change, when might the volcano stop erupting?

A: The eruption will continue for a while, but the activity will become less and less explosive, said volcanologist Simon Day of University College London. The more important question is how long the volcano will continue to send ash high into the atmosphere.

"With the first phases, the ash was going up to 30,000 to 40,000 feet," Day said. "The current levels that the ash is being ejected to is maybe only 10,000 or 20,000 feet. It's probably also coarser-grained ash as well -- it's not quite so finely divided on the whole -- so it's going to settle out faster. So although the eruption may continue for a long time, and we may over the next few months see bursts of explosive activity, it's probably not going to be as much of a problem as it has been during this last week."

Q: Does the appearance of the volcano's plume indicate anything about the ash?

A: The whiteness of the plume suggests it contains mainly steam and little ash, the WMO said. When under-glacier eruptions occur, like this one in Iceland, the volcanoes tend to produce finer particles of ash, which stay in the air longer, Day said. That's because the melting ice shatters the magma, which contains the particles that eventually become ash.

Q: What do the ash particles look like?

A: The particles are extremely fine -- about as fine as pollen, Day said. They are made up of rocks, minerals, and volcanic glass, which together form volcanic ash, the WMO said. Such ash is hard, does not dissolve in water, and is extremely abrasive and mildly corrosive, the WMO said.

Q: Iceland has many volcanoes, so why hasn't this situation happened before?

A: The last time an Icelandic volcano produced so much ash over Europe was in 1947, when the Hekla volcano erupted -- but that was when there were fewer planes in the sky and the world wasn't as dependent on air travel as it is now, Day said. Disruption to air travel as a result of volcanoes happens frequently in the northern Pacific, along the Alaska-to-Japan route, where four to five days a year ash levels force flights to be diverted, Day said. But airlines can more easily divert their routes there than they can in Europe.

@highlight

Meteorologists: very fine ash in upper atmosphere will remain for "quite some time"

@highlight

Low-pressure system expected to push ash toward the Arctic, bring rain

@highlight

Volcanologist: Activity will become less and less explosive over time

@highlight

Ash particles are as fine as pollen, but hard, abrasive and mildly corrosive