(CNN) -- Robert Molnar has a vision: an ocean race from New York to the Canadian Pacific city of Victoria, via the Arctic.

"Because of climate change, we can do this race," Molnar told CNN.

He pictures oceangoing sailboats hugging the Atlantic coast up through Halifax to western Greenland, then heading west through the Northwest Passage to Tuktoyaktuk on Canada's Arctic coastline, before rounding Alaska to Dutch Harbor and, at last, Victoria.

In 2017, Molnar plans to make this a reality in the form of the Sailing the Arctic Race, or STAR.

"The Arctic is the big attraction. There is a romanticism about it," says the 66-year-old, who spent decades working in advertising while nursing his passion for sailing.

"Crossing the Atlantic has been done so many times, going around the world this way, that way.

"Crossing the Arctic by sail? That's only been done by a few people, and only six people have done it twice," he claims. "More people have been on the moon."

In the age of sail, the Arctic Ocean took hundreds of lives as explorers fought to navigate and conquer a vast, deadly stretch of water littered with sea ice and rocks.

Earlier this week, Canadian authorities announced the discovery of a wreck from one of the most celebrated early, doomed voyages -- Sir John Franklin's 1845 expedition, during which all 129 crew members died.

Sea ice conditions are much more favorable to shipping in the 21st century, and that makes Molnar confident his race can work.

"My job is, number one, safety," he insists. "I don't want anyone to get hurt.

"The race isn't easy because of the climate, the ice, but we can take care of that. Our route is designed with the recommendations of people who were captains there all their lives, looking over our shoulder.

"But it is dangerous. It is definitely an extreme sport."

Extreme sailing is a major industry with the Volvo Ocean Race, a round-the-world event lasting nine months, one of the sport's signature contests.

Molnar tells CNN he has Volvo Ocean Race participants prepared to take part in the inaugural race through the Northwest Passage, scheduled to begin in June 2017 and end in late September or early October.

"We already have more people willing to attend than there are spaces for boats," he adds. "I want to go with 20 to 25 boats and the good thing is we have so many people wanting to go.

"That means we can pick who is the best-financed and who is the most experienced and, by doing so, we reduce the danger of trouble."

Richard Haworth, director of High Latitudes -- a company working with yachts to guide them through remote Arctic waters -- has reservations about the concept of an Arctic sailing race.

"All the races in the Southern Ocean currently, interestingly, have waypoints which keep them away from the main danger of icebergs," notes Haworth. "This race, clearly, won't be able to do that. So that's a different safety philosophy.

"It's doable, but it will persuade people to push the limits a bit more. One of the things you don't do when you go up there is push the limits.

"You have to understand there is not so much help and assistance around. I would be surprised if that race happened without someone pushing the limits a bit too far and needing some assistance. Sooner or later, the Canadian authorities are going to get upset."

Mario Pelletier represents those authorities. As assistant commissioner of the Canadian Coast Guard, he shares Haworth's concerns.

Pelletier is currently overseeing an intense and tricky Arctic shipping season which has forced a number of vessels to abandon planned crossings of the Northwest Passage. In his opinion, even planning a race three years from now is ambitious.

"If we're talking the Northwest Passage, the ice conditions we're seeing -- with multi-year ice coming down from the high Arctic -- it would be a huge challenge for 2017," says Pelletier.

"It's certainly not something, with the conditions we see today, that is likely to happen. And that is the first I've heard of it."

Molnar dismisses the suggestion his race will not go ahead, claiming the contested ownership of high Arctic waters is providing the political clout to push the event forward.

"It will happen, 110%," he says. "There is no way around it. The support is surreal, I'm astonished. There is a lot of political will to make this happen.

"Canada wants to say, 'the Northwest Passage belongs to us.' There is a reason the Canadian prime minister, Stephen Harper, was just there. He wants to make sure this is part of Canada.

"We will do that without the military. We will do that with sport."

The project is self-financed for now, though Molnar adds "quite a bit of federal, provincial and local sponsorship" has been secured.

His ultimate ambition, he says, is for the race to educate the world about the fragility of the Arctic.

STAR's plans call for children at each stopover destination on the race route to engage in up to six months of related schoolwork prior to the race's visit, culminating in presentations to local political and industry leaders.

"This is almost the most important part of the race," says Molnar.

"The kids can tell those leaders they are messing stuff up now, big time. They are drilling, they are fracking, they are breaking stuff. Those kids don't want to clean that up.

"The kids will put propositions on the table for alternatives, under huge scrutiny, presented to the whole world.

"I don't think we will save the planet, but we can show people how beautiful this place is -- and just don't mess it up. If you go there, go there gently."

@highlight

Sailing race planned from New York to Victoria, Canada via Northwest Passage

@highlight

Inaugural race planned for summer of 2017 but coast guard has concerns

@highlight

Organizer says race will educate world and help Canada's claim to high Arctic waters