The Italian broadcaster Rai recently aired a piece of nostalgia that would have brought a tear to the eye of many Serie A fans.

It was a 1991 league game between AC Milan and Sampdoria.

Onto the pitch at Milan's imposing San Siro stadium strode a galaxy of stars, with the likes of Ruud Gullit, Roberto Mancini, Marco Van Basten, Gianluca Vialli and Attilio Lombardo strutting their stuff.

It was a glimpse back to a golden age. This was an era of almost fantasy football -- competitive, technical, flamboyant, creative -- and Italy basked in the knowledge that its top division was the envy of the world.

Ironically it was Serie A, and the Italia 90 World Cup, that played a key role in the resurgence of England's now all-conquering Premier League.

In 1991 English football was still grappling with the aftermath of the Heysel and Hillsborough disasters and many games were played in comparatively dilapidated stadiums under hooliganism's shadow.

Serie A, with its foreign stars and newly-renovated arenas, presented a seductive model to follow.

Fast forward 22 years and things appear to have changed completely. Serie A seems not only to have fallen behind the English Premier League and Spain's La Liga, but also Germany's Bundesliga and Italy's latest usurpers, France's Ligue 1.

Drained of its international talent, plagued by corruption scandals and racism controversies, and struggling to update its creaking infrastructure, the once mighty Serie A looks a pale imitation of its former self.

Historian John Foot, author of the authoritative "Calcio, A History of Italian Football", has observed the Italian game's descent from its 90s peak, and laments its self-inflicted decline.

"They had a golden goose in the 90s and they killed it, which is incredible really," Foot told CNN.

Part of Serie A's financial malaise comes from the way the league's television rights have been sold. While the English Premier League's TV deals swelled its teams' coffers, Italy instead split the rights among individual clubs.

"The way the league has previously been packaged on television has been disastrous," says Foot, "with clubs acting purely in their own interests."

Back in the early 90s, UK football fans, relatively starved of football on TV, consumed the freshly aired Italian football product with enthusiasm.

The standard bearer for Serie A on British television was broadcaster James Richardson, who can see some signs of positive change in an Italian game that has long been in the doldrums.

"You can see progress", he says, "and there's definitely a sense that Serie A is moving forward; the problem is that it's moving fairly slowly."

Richardson's enthusiasm for the Italian game remains strong, but he points to the pace of change in other leagues as a cause for concern.

"You have to view Serie A's progress in context," he continued. "The thing is that there has been an explosion of money in other leagues.

"The Premier League, the Bundesliga and now France have taken things to another level in that respect, so even though Serie A is improving too, the gap is actually widening. There are positives, but they're positives in a provincial sense."

He also points out Italy lost its fourth Champions League spot -- only three Italian clubs currently qualify for Europe's premier competition, though ironically Juventus earned the most revenue in last season's tournament, surpassing even winners Bayern Munich.

"That was a huge financial blow, and you can see its effect on the second tier of Serie A clubs," noted Richardson.

Italy's "Old Lady"

Interestingly, a beacon of hope for the league is actually the club that suffered most from the fall-out of 2006's Calciopoli scandal.

Juve was heavily censured by the authorities at the time, but has since undergone a remarkable renaissance, culminating in the construction of an impressive new stadium -- the only club-owned facility in Serie A.

That revival saw Juve reach the Champions Leauge quarterfinals and also become the first to go unbeaten in Serie A's new 38-game format.

Foot says that the club, known in Italy as "The Old Lady," has shown others the way forward.

"Juve's success, and their new stadium, has given others a model they can aspire to," he said.

"You have to give credit to the way they've turned things around -- they were in disarray (after 2006) but they've managed to build a new stadium and a very impressive new team in an incredibly short space of time."

Aside from its obvious commercial advantages, Richardson also believes the new stadium has helped Juve on the pitch.

"It has had a huge benefit in terms of revenue, but actually people overlook its impact on atmosphere," he said. "That may well have had a positive effect on their performances on the pitch. Other clubs can really see that."

In fact, several are already taking steps to follow the Juve model, with Roma, Lazio and Sampdoria all tabling proposals for new stadiums, and Inter exploring the idea of moving away from the San Siro.

Of course, this being Italy, these proposals are fraught with complexity.

"It is hard to get things done in Italy, especially in the big cities," explains Foot.

"You need the support of local government and it gets very complicated.  The problem is always local politics.  The new stadium proposals in Rome and Milan will be difficult to realize because of that.  I'm not sure I can see them happening any time soon.

"It may be easier in the smaller cities though, so perhaps in somewhere like Genoa (home of Sampdoria) there's a better chance."

Stamping out racism

The most public problem Serie A has faced in recent months has been the issue of racism, but to the credit of the league, it appears determined to stamp this out.

Most recently, Lazio has seen its famous Curva Nord (the section of the stadium occupied by its hardcore Ultras) closed by the authorities.

"Shutting the Curva is a huge step," said Foot. "These fans live for that, it's everything to them, so it's really hitting them where it hurts."

As this most beautiful and cultured of countries readies itself for a new football campaign, there are other indications that Serie A might finally be getting back on track to compete with Europe's big leagues.

"The stadiums, the fans, the racism issue -- all that needs sorting," adds Foot, "but there are signs that is starting to happen.

"The crucial thing is the way the league is marketed; marketing Serie A as a package, which focuses on the whole league, not just the big teams, has to be the way to drive success."

The latest TV deal may not be as lucrative as that of England's Premier League, but it is at least far more equitable.

"Serie A has finally got its act together on TV rights," says Foot, "and you can also see clubs like Napoli and Udinese investing their money wisely or making long-terms plans."

Indeed, Napoli have caught the eye this transfer window, and appear ready to put up a serious fight for the Scudetto, not least because of their military style new away kit.

The departure of Edinson Cavani to Paris Saint-Germain has been offset with some interesting arrivals, particularly Gonzalo Higuain from Real Madrid, for whose signature Napoli resisted competition from Arsenal, and the experienced manager Rafael Benitez.

The comparative lack of cash in the Italian game has had one positive knock-on effect, however -- the development of young players.

"There are so many technically gifted, very talented young Italian players in Serie A now," says Foot, "which is the opposite to what's going on with English players in the Premier League.

"You can see the benefit of that in the Italian national side, which is very strong and will definitely be challenging for honors at the World Cup."

Italy also continues to be a production line for managers, with many -- such as Carlo Ancelotti and Gianfranco Zola -- plying their trade successfully outside Italy, but plenty more are coming through the ranks.

"They are always hugely knowledgeable about the game and highly technical", says Foot.

Richardson also points to a new more attacking outlook that has taken hold, consigning the cliche of defensive "Catenaccio" to history.

"There are managers in Serie A with much more attacking philosophies now," enthuses Richardson.

"Rudi Garcia (who has joined Roma from Lille) is another one in that mold.  There's also a commitment to good technical football and tactical excellence that marks the league out."

While many European leagues have become rather predictable, Serie A also appears to be regaining its competitive edge.

In the 90s the Italian league boasted seven teams that would routinely challenge for the title, known as "Le Sette Sorelle," or "The Seven Sisters" -- Milan, Inter, Juve, Roma, Lazio, Parma, and Fiorentina.

Richardson can see the coming years being similarly open.

"We might not be quite back to those days yet," he says, "but you can make a case that we're getting there -- with Napoli and Udinese perhaps replacing Lazio and Parma.

"That makes the league really open, and arguably a lot more exciting than say Spain, or even Germany."

As for this year's competition, Juve -- who have added Carlos Tevez and Fernando Llorente to their attacking armory -- are firm favorites, but other teams will certainly be interesting to watch.

"Inter may have a long hard season ahead of them; the new ownership there has pulled the handbrake on transfers at a time when they really need investment," says Richardson, " but Napoli are very interesting, and there's a lot of potential at Milan.

"They have some good young players and the return of Nigel De Jong will help shore them up defensively.

"Fiorentina have a really talented and exciting midfield, and Mario Gomez is potentially a fantastic asset to add to that, not to mention the return of Giuseppe Rossi. Those two could make them pretty formidable going forward."

The days of Serie A sitting at the pinnacle of European football may be in the past, but it is clear that reports of its death have been exaggerated.

With its mix of youth, new signings, unrivaled technical ability and the inevitable soap opera off the pitch, we could instead be in for a vintage season of Italian football.

@highlight

Italy's Serie A kicks off on Saturday

@highlight

Champions Juventus away at Sampdoria on season's opening day

@highlight

Italian football has suffered number of problems in recent years

@highlight

Authorities have struggled in fight against racism