(CNN) -- Saying he hopes it sets an example for the nation, Connecticut Gov. Dannel Malloy on Thursday signed what advocacy groups call the strongest and most comprehensive gun legislation in the nation.

The new law bans some weapons as well as the sale or purchase of high-capacity magazines like those used in the Newtown shooting in December that left 20 children and six adults dead.

It also requires background checks for all gun purchases.

"This is a profoundly emotional day, I think, for everyone in this room," Malloy said at the signing ceremony. "We have come together in a way that relatively few places in our nation have demonstrated an ability to do."

However, he noted, "Today does not mark the end of our efforts" to combat gun violence.

With the governor's signature, Connecticut became the third state to pass such tough measures since the December rampage in Newtown. New York and Colorado passed gun-control legislation limiting magazine capacity, among other provisions.

Similar legislation appears stalled in Congress despite overwhelming public support for background checks and substantial -- although diminished -- support for major gun restrictions in the wake of the Newtown killings.

Connecticut's measure sends a message to the nation, Senate President Don Williams said Wednesday, before lawmakers approved the final draft.

"Democrats and Republicans were able to come to an agreement on a strong, comprehensive bill," he added. "That is a message that should resound in 49 other states, and in Washington, D.C., and the message is we can get it done here and they should get it done in their respective states and nationally in Congress."

Despite disappointment in a provision in the Connecticut bill that allows people who already own high-capacity magazines to keep them, a gun control advocacy group praised the state legislation as historic.

"It doesn't have everything we wanted, but it was everything that could be done within the political reality we were facing," Connecticut Against Gun Violence said Wednesday in a statement on its website.

Critics have argued the legislation will do nothing to stop someone like Adam Lanza, who carried out the Sandy Hook school killings December 14 with an assault-style weapon and high-capacity magazines.

"In his case, he stole the guns and went on a murderous rampage," Scott Wilson, president of the Connecticut Citizens Defense League, previously has said. "Limiting magazine capacity or mandating registration will only affect law-abiding persons, not criminals bent on murder."

Lanza used weapons that were registered to his mother, who he also killed that day.

NRA 'plucks the bird' to weaken gun proposals

What the bill does

The Connecticut measure adds more than 100 guns to the state's list of banned assault weapons, limits the capacity of ammunition magazines to 10 rounds and bans armor-piercing bullets.

While the new law allows current owners of magazines that can hold more than 10 rounds to keep them, it requires those people to register the magazines with the state, and forbids owners from loading them with more than 10 rounds outside their homes or while at a gun range.

The legislation also creates the nation's first statewide registry of people convicted of crimes involving the use or threat of dangerous weapons. The registry will be available only to law enforcement agencies.

It also requires eligibility certificates for the purchase of any rifle, shotgun or ammunition, and significantly increases penalties for illegal possession and trafficking of guns.

It also requires background checks for all firearms sales, including at gun shows, and creates safety standards for school buildings.

Debate on the legislation was emotional at times.

Sen. Beth Bye spoke for five minutes, noting it was the same amount of time that the shooting lasted at Sandy Hook Elementary School.

She recalled how parents hoping to be reunited with their children were directed to a building near the school after the shootings, but "20 of those parents came back with a state trooper and not their child."

Some people questioned whether the law deals enough with the state's mental health system, a reference to the presumed mental condition of the shooter.

The legislation allows school districts to require "mental health first aid" training for school personnel and creates a task force to examine the state's mental health system. Additionally, it alters state insurance regulations to beef up mental health care coverage.

Newtown shooting details revealed

Reassuring gun owners

Republican House Minority Leader Larry Cafero, a member of the bipartisan task force that drafted the bill, reassured gun owners they wouldn't lose their guns or ammunition magazines, "so long as they follow our rules and register," he said.

"Are there tighter restrictions on their use, etc.? Absolutely. We also were able to see as part of this legislation the repeal of early release for violent criminals."

Families of the children slain in Newtown were disappointed the larger-capacity magazines were grandfathered in. They asked had for an across-the-board ban.

Malloy had backed the broader ban, saying banning the future sale of high-capacity magazines "would not be an effective solution."

But Wilson said the magazine limits will have no impact on crime.

"It is ludicrous to expect people that have firearms capable of holding 15 rounds to only load 10 rounds inside of them," he objected. "Do criminals really care about these laws?"

Obama: 'Shame on us' if Newtown doesn't bring new gun legislation

National fight

The move in Connecticut comes as the nation is in a heated gun debate.

President Barack Obama has been waging a public pressure campaign for tougher gun laws, an effort he continued Wednesday in Colorado -- site of two of the nation's most notorious mass shootings, in 1999 at Columbine High School and last year at an Aurora movie theater.

"There doesn't have to be a conflict between protecting our citizens and protecting our Second Amendment rights," Obama said.

Obama is fighting intense opposition from the National Rifle Association, which sees restrictions as unconstitutional and ineffective.

Lawmakers in 36 states also have proposed legislation that would negate federal gun control initiatives, according to the non-profit Sunlight Foundation Reporting Group.

Despite a spike in support for the strictest gun control initiatives in the immediate aftermath of the Newtown shootings, a CNN/ORC International poll this month found support for major restrictions may be fading.

The poll, released March 18, found that while a majority of Americans favored major restrictions shortly after the shootings, that support had fallen to 43%.

A survey released Wednesday by MSNBC's "Morning Joe" and Marist College found that 60% of respondents want stricter laws governing the sale of firearms.

Support for broader background checks on prospective gun owners remains overwhelming.

The MSNBC poll showed 87% of respondents support expanded background checks, with strong backing from Democrats, independents and Republicans.

A poll out Wednesday from Quinnipiac University pegged support for universal background checks at 91%. That was despite 48% of those polled conceding that such checks could form a database for later confiscation efforts.

Opinion: Did we learn nothing from Newtown?

CNN's Tom Cohen, Paul Steinhauser and Michael Pearson contributed to this report.

@highlight

NEW: Connecticut's governor signs tough gun-control bill

@highlight

NEW: "Today does not mark the end of our efforts," Gov. Dannel Malloy says

@highlight

The new law adds more than 100 guns to the state's assault weapon ban

@highlight

Critics say it will do little to stop determined criminals, but supporters call the bill historic