Washington (CNN)Republicans are sensing that a world seemingly spinning out of control could give them an opening to reclaim their traditional strength on national security issues heading into the 2016 presidential election.

Even before terrorists killed 12 people at a Paris magazine this week, Republicans were fine-tuning an assault on President Barack Obama's foreign policy as timid and naive, and stumbling everywhere from the deserts of Syria to the Kremlin in Moscow.

But one of the brothers who carried out the Paris strike spent several months in Yemen in 2011, according to U.S. officials, receiving weapons training and working with al Qaeda in the Arabian Peninsula. That could undermine Obama's proud claim of dismantling al Qaeda's "core" and put Democrats on the defensive -- especially Hillary Clinton, who carried out the President's foreign policy as his first-term Secretary of State.

"There are big opportunities for Republicans to reclaim their traditional voter advantage on national security," said Kori Schake, a former National Security Council, and State Department official in the George W. Bush White House. "To most Americans, the world feels like a dangerous place right now. Six years into (the) Obama administration, it is difficult for President Obama to blame that on anybody but himself."

Until 2008, Republicans enjoyed a perception among voters for several decades that they -- and not Democrats -- were best suited to lead America's national security policy. But Obama reversed that conceit by arguing that former President George W. Bush squandered global goodwill after the September 11 attacks with a unilateralist foreign policy, the invasion of Iraq and "tough talk" that alienated US allies.

"We are the party of Roosevelt. We are the party of Kennedy. So don't tell me that Democrats won't defend this country. Don't tell me that Democrats won't keep us safe," Obama told Americans as he accepted his party's 2008 nomination.

Four years later, Obama turned a similar trick, brandishing his leadership in hunting down al-Qaeda leader Osama bin Laden and ending the war in Iraq.

The President painted Republican Mitt Romney as a vacillating hawk who wanted to return to endless war and taunted his opponent over his anti-Russia rhetoric by suggesting "the 1980s are now calling to ask for their foreign policy back."

Foreign policy as an issue is rarely decisive in presidential elections -- at least once a candidate has managed to convince voters he or she is up to being commander-in-chief.

But a chaotic global environment which defies U.S. efforts to exert control -- even if it is not all the fault of the sitting president -- is rarely good news for the party in control of the White House and key players in the Republican national security establishment believe that foreign policy could feature especially prominently in the coming election.

Potential candidates like Sen. Marco Rubio and Rand Paul have been quick to spot the political potential of such an environment heading into the 2016 race -- and are already waging their own internal duel over the party's national security message.

Broadly, the establishment Republican critique of Obama is that far from his promise to reestablish American leadership, he has instead presided over an era of disengagement from the world.

Republicans complain Obama is happier chatting to foreign dictators of longtime U.S. enemies such as Iran and Cuba than traditional American allies like Saudi Arabia, the Gulf states or even European powers.

And they claim that Obama's deliberate -- critics would say hesitant -- brand of global leadership on issues like Syria has deepened the global crisis and abdicated U.S. leadership.

Of all the potential Republican candidates, Rubio has developed the most sweeping case against Obama's foreign policy, as he has sought to frame himself as a statesman-in-waiting after four years in the Senate.

He warned in a Daily Caller op-ed in November that Obama "peeps timidly from behind an ever-thinning curtain of American strength, watching idly as new and resurgent forces challenge global order.

"Even as an increasingly hostile Russia threatens a new cold war, President Obama uses baby-steps and half-measures in defense of our allies, our principles, and our people, when he acts at all," Rubio said, using the 25th anniversary of the fall of the Berlin Wall to paint himself as the heir to Ronald Reagan's foreign policy legacy.

Rubio's fellow Floridian Jeb Bush has yet to lay out his foreign policy since moves to explore a possible presidential campaign, other than to slam Obama's plan to reestablish diplomatic relations with Cuba.

But he signaled in a Wall Street Journal forum late last year that he would associate himself with the traditional Republican orthodoxy on foreign policy. In general terms, that means more defense spending and robust US rhetoric backed up by action -- an approach likely shared by other possible Republican candidates including Texas Gov. Rick Perry and New Jersey Gov. Chris Christie.

Bush also believes that America's role in the world will become an increasingly potent campaign issue.

"Six months ago, I would have said it might be a continuing of the focus on domestic issues because they are big and they are challenging," he said at the forum. "But there is a growing awareness that we can't withdraw from the world. There is an unraveling taking place."

He added: "I do think that foreign policy and maybe a reevaluation of what the role is of the United States in the world will become is important."

Before they go after Obama however, Republicans have to get their own story straight on foreign policy as a debate plays out by traditional national security hawks and a more nuanced stance embodied by Paul.

The Kentucky Senator, who comes from the libertarian tradition, has been keen to dispel perceptions that he is an isolationist as he considers how to build a coalition that could lead to the Republican nomination.

But he still stands for a restrained use of US military force overseas. He explains that he backed the use of force against al Qaeda after the Sept.11, 2001, attacks, but opposes a continued long-term U.S. engagement in Afghanistan.

"Yes, we need a hammer ready, but not every civil war is a nail," he said in a major foreign policy speech in October. "We need a foreign policy that recognized our limits, preserves our might and a common sense conservative realism of strength and action."

There is an irony to the coming Republican assault on Obama's foreign policy, because it mimics the strategy the president himself used to pave the way to the White House.

But it isn't a given that Republicans hopes of exploiting a national security meltdown abroad will pan out because the opening exchanges of a presidential campaign are often a poor guide to the themes and issues that will decide it.

If, for instance, the current economic bounce back fizzles, the plight of the middle class could outweigh all other issues.

"It's a heck of a long time, there is plenty of time for domestic issues to return and be number one," said Peter Feaver, a former National Security Council official for George W. Bush and Bill Clinton, now with Duke University. "But on the other hand it does seem likely that foreign policy will seem even more salient in 2016 than it was in 2012."

And Obama can still claim to have crushed the leadership of al Qaeda in tribal regions of Pakistan and Afghanistan, and waged a largely covert drone war against extremists elsewhere. He sees his presidency as a historic mission to move America on from the post-Sept. 11 period of constant war and to chart a sustainable strategy to fight extremism.

Any GOP candidate using foreign policy as a cudgel to attack against what will likely become known as the "Obama-Clinton" foreign policy, must deal with one large elephant in the room -- George W. Bush. There is little public appetite for the era of intervention that characterized Bush's presidency and Republicans face the task of winning back public trust.

But Schake said any Republican running on a foreign policy platform would be able to acknowledge the faults of the last Republican presidency, while refocusing on the presidency of Obama.

There are "legitimate criticisms of Bush administration foreign policy, but (they) are hard to sustain after eight years of a Democratic presidency," she said.

@highlight

Republicans believe world turmoil undermines Obama

@highlight

But GOP yet to resolve its own argument on national security

@highlight

Bush, Rubio, slam Obama approach