(CNN) -- India suffered widespread power outages that plunged half the nation in darkness Tuesday, the second massive power failure in as many days. As many as 600 million people were hit by the blackout, disrupting transportation and business before power returned.

The breakdown of the nation's power grid points to another global concern: The slowdown of developing economies.

After the 2008-2009 financial crisis, growth of developing economies like India and China that pulled the world out of recession -- the first time a return to growth from a global recession wasn't led by the developed economies like the U.S., Japan and Europe. So in the face of the eurozone debt crisis and tepid growth in the U.S., the slowdown of the so-called BRIC economies -- Brazil, Russia, India and China -- is a worrisome sign, said Jim O'Neill, chairman of Goldman Sachs Asset Management.

"What's going on is these countries ... is actually more important for the world than what's going on in the eurozone," O'Neill, who coined the BRIC term, told CNN's Richard Quest earlier this week.

The reason? The developing world has been creating wealth at a faster pace that Europe and North America. Last year, the BRIC economies added $2.2 trillion in economic growth to the world economy -- the equivalent of Italy, the 8th largest economy in the world, O'Neill said.

"So it is quite disturbing that Brazil and India have slowed down so much, obviously there's this huge debate going on about China's slowdown," O'Neill said. "What happens with these guys is a lot more important for all of us -- including, by the way, companies in Europe that are exporting to the world."

The two days of disruption in the third-largest Asian economy has raised questions about its investment in infrastructure. Traffic jams snarled roads as signals were out, and at least 300 trains were delayed.

On Tuesday, as blackouts spread across the northern half of India, the Reserve Bank of India cut its forecast for India by nearly 1%, estimating 6.5% growth this year -- a far cry from 10.1% growth in 2010. Brazil only grew 2.7% in 2011, compared to 7.5% in 2010. And China targeted its 2012 growth at 7.5% -- the first time Beijing set its growth rate below 8% in eight years.

As the Indian economy has grown, so has its energy appetite -- but as the blackouts show, demand is outstripping supply.

"India's economic growth, especially the growth of the middle class and industry, is placing on the power grid has outstripped India's ability to provide the infrastructure it needs," said Arun Sundararajan, professor at the Stern School of Business at New York University. "While this is certainly a significant event it's not something that is completely unexpected at a transition time like this in the country."

To help build better energy infrastructure, the government needs to open up to more public-private partnerships in the power industry, as it did for its booming telecommunications industry, Sundararajan said.

"I think over the next decade the investments of the government and particularly the investments of the private sector will be a big part of the solution here," Sundararajan said.

O'Neill says the nation needs to open up its economy to greater foreign investment.

"In India, frankly, they need to wake up and deliver some of the talk," he said. "In India's case, conceptually, it's easy -- let foreign investors invest in important parts of their country and sectors. If they do that, then a lot of India's problems disappear in a heartbeat."

Not everyone is downbeat on India and the rest of the BRIC economies.

"In India, the average age of workers is 24 -- that's exactly where China was 20 years ago," said Chris Devonshire-Ellis, the founding partner of Dezan Shira & Associates in Beijing, which advises firms on foreign direct investments in Asian economies. "India right now has an existing wealthy middle class of about 250 million, the same as China.

"The interesting thing about India is that you would go there to manufacture cheaply but also make inroads to the Indian market," Devonsire-Ellis said.

Meanwhile, Mark Mobius, executive chairman of Templeton Emerging Markets Group, says institutional investors worldwide still have a heavy appetite to invest in fast-growing, emerging markets.

"A lot of people ask me if China is going to have a hard or soft landing," Mobius said. "And I say they are not landing. They're continuing to grow and they're growing at a pretty fast pace."

CNN's Richard Quest, Anna Coren, Harmeet Shah Singh and Patricia Wu contributed to this report

@highlight

The blackout that affected 600 million point to India's infrastructure problems

@highlight

O'Neill: Economic slowdown in India, other BRICs "more important" than EU crisis

@highlight

India's power supply has strained to keep pace with the growth of the economy

@highlight

O'Neill: "In India, frankly, they need to wake up and deliver some of the talk"