(CNN) -- The United States is sailing back into the Asia-Pacific region, but initial euphoria is being tempered by the dangerous realities of the work left to be done.

Like a new college student heading off to school, it is increasingly apparent that gaining admission was the easy part: To graduate requires a full commitment, and there are a number of hurdles along the way.

Already, tough decisions are being made with respect to the United States' global defense strategy, which now recognizes that costly wars with little economic return are no longer viable. Yet while the United States increasingly seeks to obtain a greater share of the Asia Pacific's economic growth, it similarly sees its military presence in the region as critical for maintaining security.

Barack Obama reaffirmed this strategy at the Pentagon on Thursday, stating that "budget reductions will not come at the expense of this critical region."

Importantly, the United States' strong military and diplomatic re-engagement with Asia-Pacific countries, particularly those in Southeast Asia, has not fallen on deaf ears in China.

Sharing his concerns with respect to increasing international influence on domestic affairs, Hu Jintao warned in a January 1 statement, "Hostile international powers are strengthening their efforts to Westernize and divide us."

Adding to the tension of the United States' newfound strategy are the political transitions that will, or are likely to occur, in 2012. The U.S. presidential election, presidential leadership change in China and South Korea, and now the volatile political transition in North Korea will encourage tough rhetoric from politicians with respect to international relations in order to appease constituencies. Strong words present a serious challenge to stability in the Asia-Pacific, particularly as the United States ramps up its military presence.

The starting point in the run-up to the United States' East Asian convocation was Secretary of State Hillary Clinton's October 11 article, "America's Pacific Century," published in Foreign Policy. She identified five areas for re-engaging the region, including bilateral security, deepening working relationships, multilateralism, trade and finally, human rights and democracy.

The areas Clinton outlined for re-engagement are also important to Asia-Pacific states, and particularly the relatively small Southeast Asian nations.

Yet while trade relations with the United States are vital for sustaining Southeast Asia's significant economic growth, the greatest gains from increased cooperation with America will come in the form of military protection. Across the region, governments are increasingly concerned with China's military might, as much as they are happy with China's economic investments. Teaming with the United States is a sensible insurance policy.

But the United States' increased military presence in the region, which will include marines in Australia, naval ships in Singapore and increased military cooperation with the Philippines and Vietnam, while having the potential to lend stability, also raises the stakes as to what could go wrong.

Now, more than ever, with impending political change on both sides of the Pacific, politicians are keen to assert themselves as strong on defense and as advocates of their respective national interests.

One instance in which heightened regional tensions are especially evident is with the increasingly frequent spats over energy reserves in the South China Sea, an area recognized by the Philippines as the "West Philippine Sea" and by Vietnam as the "East Sea." The lack of consensus with respect to a name for the same body of water evidences how possessive governments are of this energy-rich area.

Regarding their maritime claims, Philippines Secretary for Foreign Affairs Albert Del Rosario stated in December that the United States is increasingly willing to assist the Philippines' efforts to develop a "minimum credible defense posture" with respect to the disputed territories.

However, recent and planned U.S. military actions in the Asia-Pacific could be construed by China as exceeding a "minimum," and incidents such as one in October 2011, in which a Philippines naval vessel bumped into a Chinese fishing boat alleged to be encroaching on the former's territorial waters, now have a greater potential to escalate.

Ultimately America needs to recognize and respect the accomplishments China has achieved in its own backyard, in spite of the country's shortfalls in winning over the trust of its neighbors.

After directing its attention largely elsewhere for most of the last decade, America has pragmatically recognized that its own long-term security, whether at home or abroad, is tied closely to the Asia-Pacific region's economic progress.

East Asian countries have shown they are willing to offer the United States opportunities for investment in return for security assistance. But without effective dialogue with China in particular, the risk of military escalation is much more real. The United States just exited one costly war and is ramping down another; it therefore needs to ensure it doesn't lose sight of its economic priorities in the Asia-Pacific, and the best way to do this is through more effective dialogue with China with regard to its military intentions.

The opinions expressed in this commentary are solely those of Andrew Billo.

@highlight

America is rightly focusing on Asia but it must recognize the risks, says Andre Billo

@highlight

He says Asian nations fear China's power but appreciate its investments

@highlight

U.S. is seen by these countries as a security counterweight to China, he says

@highlight

Billo: U.S. must guard against risk of an incident being escalated into war