(CNN) -- Leslie Elder was always a fighter. But in a message to a friend in the waning days of her life, she seemed exhausted.

The note, written at a time of spiritual darkness, suggested defeat after a decades-long struggle for medical coverage.

"I honestly don't know how much more I can endure," Elder wrote earlier this year in a Facebook message to her friend Liz Jacobs. "I am fighting for (Medicaid) and disability. I can't work I sit in bed I cry a lot. I am still fighting for healthcare and still fighting foreclosure.

"I am so upset but perhaps it was not meant to be. I don't know anything anymore," said Elder, who died in July at age 63 without insurance coverage.

As she typed the note, Elder could scarcely breathe. Her lungs had filled with fluid over several months; her respiratory system was shutting down. After visits to the emergency room and several free clinics, Elder was finally diagnosed with Hodgkin's lymphoma.

But what makes her family bristle: Elder did not have to die.

If she had had health care, "Absolutely she'd still be here," said Jacquelyn Elder, Leslie's daughter, adding that Hodgkin's lymphoma has a high survival rate. "That is something really hard to deal with."

"I know she felt scared because there were no options. Why do something (about illnesses) when you know you can't get proper care to fix it?"

Except there were options.

The Affordable Care Act, which takes full effect in 2014, was supposed to save people like Elder (with pre-existing conditions and no medical coverage) in the interim by way of high-risk pools, also known as the Pre-Existing Condition Insurance Plan or PCIP.

The pools are supposed to be a safety net, but many, like Elder, are falling through the cracks.

Elder's family spent her final months fighting for Medicaid, with no clue that they qualified for Florida's high-risk pool. They are not alone: Of the estimated 200,000-375,000 people expected to enroll in PCIP in the first year, less than one-third have done it, according to the Department of Health and Human Services.

Leslie's husband, Jim Elder, admitted that he did not know many details of the program, and much of the conversation about health care has been confusing.

"I was under the impression that pre-existing (PCIP) didn't start until 2014," said Jim Elder in a recent interview with CNN.

"I'm puzzled. Since this act was passed, to us, people with pre-existing, we were hoping and searching for some sort of way to get health care. The way it has divided the country, some states suing to try and stop it, it's just confused everybody. It certainly confused us."

Jacobs, a nurse who met Leslie Elder in her role as a health care advocate and spokeswoman for the group National Nurses United, fears the Elders' story will be echoed repeatedly, even with ACA's passage.

"In a humane health care system, as much of the rest of the world has, no one would have to know the arcane minutiae of how to apply for a high risk pool," said Jacobs. "Everyone would have (coverage) that qualifies you for health care when and where you need it."

That sort of access is promised to many through the ACA, but stories like the Elders' suggest the act -- at least as it relates to high-risk pools -- still has some kinks.

In the midst of the family's confusion, Elder was unwittingly suffering from cancer again -- her fourth diagnosis. During a 2009 interview with CNN she quipped, "I don't get a cold, I get cancer, and cancer, and cancer."

That terrifying litany of cancer diagnoses began in 1988 with a bulging tumor found in her right breast. Thirteen years later, the same diagnosis, this time in her left breast.

And in 2005, it was kidney cancer. The doctor's grim pronouncement, according to Elder: " 'Your right kidney ... it's breaking apart. You have a tumor ... and you also have a tumor in your left kidney.'"

Crush of cancer, medical bills snares family

By then, the Elders had been on a roller coaster, going from what they describe as the best medical coverage to having none. In between came skyrocketing insurance premiums, high deductibles, and stacks of unpaid medical bills following each cancer diagnosis.

At a certain point, feeling like her pre-existing conditions were to blame for her soaring and unaffordable insurance rates, Elder gave up on coverage.

Her insurance company Aetna later said Elder's previous cancer diagnoses were not the culprit for the rate increases.

Although the company did not cite a specific reason for the increased rate, Cynthia Michener, an Aetna spokeswoman said: "There can be other contributing factors to rate increases for small business policies, including, for example, the aggregate cost of the entire pool of small business policies in the state."

During the interview with CNN three years ago, Elder admitted to volleying between fear of the unknown and acceptance of her fate, even though without insurance, she had no idea whether she had cancer again. But telling her story enlivened her, according to friends.

"When she was interviewed for CNN originally, it was one of the most hopeful periods of her years-long struggle," said Donna Smith, Elder's friend, an advocate and community organizer with National Nurses United. "Most recently, as her health grew even worse and she faced the loss of her home and the final parts of her savings, Leslie just yearned for dignity and some sort of peace that never seemed to come."

And nearly three years later, as her death approached, the pendulum had swung decidedly toward fear.

"And me, Ms. Healthcare CNN interview tough person now a scared little girl who after beating cancer 4x now sits in bed with oxygen and breathing treatments," Elder wrote to Jacobs.

"I was always able to stand up to whatever hit me. I'm not so sure about things anymore and maybe not so tough. I am scared."

To see if you qualify for PCIP, or to apply, visit PCIP.gov.

@highlight

Leslie Elder died at 63 without health coverage

@highlight

She didn't know she qualified for the Pre-Existing Condition Insurance Plan

@highlight

Elder's family spent her final months fighting for Medicaid

@highlight

Her daughter says "she'd still be here" if she had had health care