(CNN) -- On the evening of December 3, 2008, John Francis Cahill, a police officer for 19 years, walked up a trail in California's Santa Cruz Mountains. He stopped, took out a .40-caliber Glock semi-automatic handgun and shot himself in the temple. He was 42 years old. He was the father of two daughters. He was my firstborn son.

Most Americans are aware of the high rate of suicide among soldiers. Less attention has been paid to those who protect us on the home front.

The Badge of Life, a group of former cops dedicated to preventing police suicide, reports that about 145 police officers take their lives every year, twice the number of cops killed by felons.

The rate of police suicides is more than 1Â½ times the rate of the general population. The Badge of Life also reports that for every suicide, a thousand working cops suffer from post-traumatic stress disorder, and another thousand struggle with serious depression, marital problems or substance abuse.

My son had been through a painful divorce and was distraught about the failure of his marriage, his financial problems and the possible impact of the divorce on his youngest daughter. Only after losing my son did I learn how susceptible cops are to suicide.

Kevin Gilmartin, a former Arizona police officer turned clinical psychologist, wrote a book called "Emotional Survival for Law Enforcement," and consults with the FBI and police agencies around the country. His main message is that cops can never let their guard down, that the very things that make cops safe and effective on the job can cause great harm in their personal and family life, and in some cases, destroy them.

Gilmartin writes vividly of the dangers of the "hypervigilance biological roller-coaster," where officers on duty are "alive, alert, energetic, involved and humorous," but when off duty, are "tired, detached, isolated and apathetic." He points out that hypervigilance on the job produces a healthy amount of cynicism and mistrust, which is necessary for street survival, but off the job, can be destructive for emotional survival and relationships with family and loved ones.

Good cops create control out of chaos, and are willing to risk everything during a critical incident, which is usually short-lived. But when a cop gets depressed, these professional habits can become lethal. Cops don't do well when they can't control their situation or the source of their depression, and they begin to despair when they see that their problem -- the "critical incident" -- is never-ending.

That's what happened to John. He told me how frustrating it was not to be in control, and he often told me, "This will never end." He went from depression to despair.

I believe he was convinced that everyone would be better off if he was gone. John and I were close. I knew he was struggling, but my perception of him as secure and healthy never allowed me to imagine he could end his own life.

Ellen Kirschman, a psychologist, police trainer, and author of "I Love a Cop," writes about the paradox between an officer's work life and personal life, and how police work changes people.

She emphasizes that cops are oriented toward control and details situations that lead to suicide, including, "family conflicts, relationship losses, depression, immediate access to guns, poor coping skills, financial difficulties, shame, failure and a distorted but culturally correct sense of invincibility and independence."

Kirschman defines trauma as a normal reaction to an abnormal event, an emotional reaction that can lead to depression and suicidal thoughts. A police officer can be traumatized by many events that are abnormal or infrequent in other people's lives: shootings, a civilian getting severely injured in a police action, a child's death, a violent confrontation, a bad car crash or a gory crime scene.

John Violanti, a former New York state trooper, is a public health professor who has extensively researched police suicide. He is the co-editor of "Police Suicide: Tactics for Prevention," which advocates peer support and stress management programs and emphasizes the importance of mental health treatment and a culture in which asking for help is not seen as a poor career move or a sign of weakness.

The Badge of Life promotes "emotional self-care training," with the idea that every officer is a potential trauma victim. The members believe suicide prevention programs are crucial, but argue that departments must go beyond that to train officers to recognize trauma in themselves, to manage stress, to become resilient, and to understand the value of healthy lifestyles, including exercise.

My son was the second San Jose police officer to commit suicide in 2008. As a result, the San Jose Police Department started to require agency-wide training. The department told its officers that if they were depressed and feeling suicidal, they could come in confidentially, receive counseling and keep their jobs. In the year after John died, 12 officers came in, got help and stayed on the job.

The San Francisco Police Department lost three officers to suicide in 2010. Today, the SFPD's advanced officer training program includes a two-hour session on trauma, depression, substance abuse, suicide and the value of an annual, voluntary mental health checkup, not unlike an annual physical.

As part of that training, I speak each week to 30 officers. I tell them John's story, summarize the research on police suicide, tell them that the very things that make them effective as cops can be destructive in their personal lives, and stress that asking for help is not a sign of weakness, but a sign of strength. When I'm back in my car I usually fall apart, revisiting the horror of four years ago. But I know I'm honoring my son by doing this.

The California Highway Patrol has also aggressively addressed suicide prevention. But too many other police departments across the nation, even as they invest heavily in training in weapons use, tactics and physical safety, are not acknowledging the hidden risks of police work and protecting those who protect the rest of us.

The opinions expressed in this commentary are solely those of Brian Cahill.

@highlight

Brian Cahill became a suicide prevention trainer after his son, a police officer, killed himself

@highlight

About 145 cops commit suicide a year, he says. Thousands have PTSD and depression

@highlight

Cahill: Cops see traumatic stuff every day. What helps them on the job can harm them at home

@highlight

Cahill: Police departments need to teach officers to recognize trauma and provide help