Washington (CNN) -- President Barack Obama announced new U.S. sanctions targeting Iran's oil Tuesday as well as banks in China and Iraq, warning that Tehran faces "growing consequences" for refusing to answer international questions about its nuclear program.

Obama said China's Bank of Kunlun and the Elaf Islamic Bank in Iraq "facilitated transactions worth millions of dollars" for Iranian banks already under sanctions.

"By cutting off these financial institutions from the United States, today's action makes it clear that we will expose any financial institution, no matter where they are located, that allows the increasingly desperate Iranian regime to retain access to the international financial system," Obama said in a statement issued by the White House.

On a conference call with reporters Tuesday, Ben Rhodes, deputy national security adviser for strategic communications, said the purpose of additional sanctions was to "affect Iran's calculus" to get Tehran to negotiate seriously over its disputed nuclear program.

The United States will continue to "look for ways to increase the impact" of sanctions on Iran, Rhodes said. "It's only going to get worse for the Iranian government," he said.

Opinion: Romney on Iran is just like Obama

The sanctions announced Tuesday come on the heels of a complete European Union embargo on the purchase of Iranian petroleum that took effect at the beginning of the month, and the imposition of U.S. sanctions that cut off the U.S. financial system from any entity that facilitates the purchase of Iranian oil through the Central Bank of Iran.

The United States recently granted exceptions to those sanctions to all major importers of Iranian oil based on evidence that those countries had significantly reduced their purchase of Iranian petroleum. Countries granted exceptions must demonstrate every 180 days their continued reduction of such purchases in order to avoid U.S. sanctions.

The International Energy Association has said that exports of Iranian oil have dropped from a rate of 2.5 million barrels a day in 2011 to below 1.5 million barrels a day in June.

On the same call Tuesday, Robert Einhorn, special adviser for nonproliferation and arms control at the State Department, said the drop represented a decline of 40% to 50%, and approximately $9 billion per quarter in lost revenue for Iran.

The value of Iran's currency, the rial, has also dropped some 38% in value since international sanctions began to take effect the Obama administration said.

In Tuesday's action, Obama issued an executive order against Iranian energy and petrochemical sectors in an effort to prevent the establishment of payment mechanisms that would allow the circumvention of existing sanctions.

In addition to formal transactions of Iranian oil conducted through banks and other financial institutions, the new sanctions seek to punish purchases done through informal means or barter that have sought to go around existing sanctions targeting transactions through Iran's Central Bank.

The executive order also broadens U.S. sanctions on any person or entity engaged in the purchase or acquisition from Iran's petrochemical industry, its second largest export industry behind oil. The petrochemical industry itself generates approximately $9 billion a year in foreign revenue for the Iranian government.

The executive order also authorizes the Treasury Department to take actions that prevent Iran from getting access to U.S. dollars and precious metals, such as gold, in an effort to arrest the decline of its currency.

"These and other provisions send a clear signal to Iran that the Obama administration is determined to increase the pressure until Iranian leaders negotiate seriously" over their nuclear program with the United States and its international partners, Einhorn said on the call.

In announcing the action against the two banks, the Treasury Department said the sanctions were part of a wider effort to expose and isolate Iranian financial institutions connected to Iran's support for terrorism and proliferation of weapons of mass destruction.

"Imposing sanctions on Kunlun and Elaf underscores Treasury's commitment to use all the tools at its disposal to intensify financial pressure against Iran while protecting the U.S. financial system from illicit activity," Under Secretary for Terrorism and Financial Intelligence David S. Cohen said in a written statement.

"Any bank, anywhere, that seeks to provide a financial lifeline to Iran's designated financial institutions should know that it will be held accountable and its activity will be exposed."

On the call with reporters, Cohen said the "collateral benefit" of the sanctions is that Iran is finding it increasingly difficult to make payments in the international financial system, which in turn make it more difficult to procure materials for the nuclear program. The sanctions on Kunlun and Elaf would have a "chilling effect" on the willingness of other international financial institutions from doing business with Iranian banks Cohen said.

Peres: Iran in 'open war' with Israel

Tuesday's actions from the administration come at the same time that negotiators in the House and Senate reached an agreement on even greater sanctions on Iran's energy and financial sectors. It is possible both chambers could vote on the measures later this week before the August recess.

Rhodes told reporters the administration is reviewing the text of the legislation, but was "quite optimistic" the administration would "continue to work in lock step with Congress" on sanctions with Iran.

Moments after the adminsitration made its announcement, an influential member of Congress made clear there was still work ahead.

"This legislation and today's executive action are important steps in the right direction, but not the final word on Iran sanctions," Rep. Howard Berman, D-California, the ranking member of the House Foreign Affairs Committee said in a written statement. "Unless Iran agrees to end its weapons program, we must continue to pursue even tougher measures that would result in crippling sanctions on the Iranian regime."

In Tuesday's statement, Obama said Washington "remains committed to a diplomatic solution, but the onus is on Iran to abide by its international obligations."

"If the Iranian government continues its defiance, there should be no doubt that the United States and our partners will continue to impose increasing consequences," he said.

CNN's Matt Smith contributed to this report.

@highlight

U.S. still wants a diplomatic solution to the nuclear issue, Obama says

@highlight

New sanctions crack down on banks Washington says helped Iran evade sanctions

@highlight

Iran insists its nuclear work is strictly peaceful

@highlight

Obama says Iran faces "growing consequences" for defying world concerns