Istanbul (CNN) -- The European Union avoided a rupture of relations with Turkey by agreeing to open a new round of membership negotiations with the Turkish government.

But the date for the next round of talks on the nation joining the EU will be determined only after publication of an annual progress report on Turkey.

The decision was reached after several long rounds of talks last weekend between the foreign ministers of Germany and Turkey. Germany had threatened to block Turkish membership negotiations after more than three weeks of riots in Turkey during which riot police repeatedly attacked anti-government demonstrators with tear gas and pepper spray.

The development comes amid daily tensions. Turkish police detained at least 20 people in Ankara on Tuesday. Turkey's semiofficial Anatolian Agency reported they were accused of being members of a terrorist organization, attacking police and destroying public property.

Turkey's foreign minister welcomed Tuesday's decision by the EU.

"I hope we will not go through such a crisis again," Ahmet Davutoglu said in remarks to journalists in Ankara. "The Turkey-EU train will move to reach its target in the quickest way."

"Compromise (is a) good decision in difficult times," the German Embassy in Ankara said on Twitter, citing German Foreign Minister Guido Westerwelle.

Turkey has been pursuing membership in the European Union for more than half a century.

But while Turkey's top diplomat was embracing international rapprochement with Europe, the Turkish prime minister was delivering a speech warning of a shadowy foreign conspiracy aimed at toppling him from power.

Speaking before members of his political party in the Turkish parliament, Recep Tayyip Erdogan repeated his claims that the protests against him were being organized by the same "center" that he alleged organized recent riots in Brazil.

"There are many similarities between what is going on in Brazil and here," he said. "... The button that was pushed to activate the riots in both countries was pushed from the same center."

Erdogan vowed to prosecute hotels that sheltered protesters during clashes with police. He also criticized a female journalist from the British Broadcasting Corporation's Turkish service, who became the target of an online smear campaign by the mayor of Ankara last Sunday.

Ibrahim Melih Gokcek, an elected mayor from Erdogan's Justice and Development Party, launched a hashtag campaign on Twitter accusing the BBC's Selin Girit of being a British spy.

The BBC issued a statement on Monday expressing concern about what it described as Turkish government threats against a BBC employee.

Monday night, U.S. president Barack Obama held a telephone call with Erdogan, a close Middle Eastern ally who received a warm reception during a visit to the White House last month.

The two leaders discussed providing additional support to rebels battling the government in neighboring Syria.

According to a White House statement, Erdogan and Obama also discussed "the importance of nonviolence and of the rights to free expression and assembly and a free press."

Family of slain protester 'devastated'

Meanwhile, the family of Ethem Sarisuluk, a protester who died in a hospital after being shot by a police officer earlier this month in Ankara, said they were "devastated" after a court released the suspected shooter on Monday.

The court ruled the police officer shot Sarisuluk while firing in self-defense, Anatolian Agency reported.

"My family thought justice would be shown in this case, and now especially my mother is devastated," said Sarisuluk's brother, Mustafa, in a phone call with CNN.

"The government controls law and justice and blesses the murderous police department," he added.

Amateur video of what is believed to be the shooting incident on June 1 shows a helmeted police officer nearly surrounded by stone-throwing protesters.

In the video, which has gone viral across Turkish social networking sites, the police officer lunges forward, kicking a demonstrator while being pelted with stones. Immediately afterward, he pulls out his pistol and fire three rapid shots in the air, at which point Sarisuluk, one of the masked demonstrators involved in the clash, drops to the ground.

According to Anatolian Agency, the court ruled that "the suspect's action of firing into the air may fall within the limits of self-defense."

Sarisuluk, two other demonstrators and a police officer are among at least four people killed during the wave of anti-government protests over the past month.

Earlier this month, the European Parliament adopted a resolution criticizing the Turkish government for "the disproportionate and excessive use of force by Turkish police to break up peaceful and legitimate protests."

On Monday, several hundred demonstrators organized a protest march in Istanbul upon receiving news of the release of the suspected shooter of Sarisuluk.

Protesters also organized a Twitter campaign repeating the message, "My name is Ethem Sarisuluk. I was unarmed. Police shot me in the head and I died. They set my murderer free."

The unprecedented violence in Turkey began after riot police repeatedly attacked a group of demonstrators who were protesting against the demolition of a small park in Istanbul. Prime Minister Erdogan had announced plans to replace the park with a shopping mall.

After police launched a predawn raid on the sit-in on May 31 using tear gas and water cannons, demonstrators began fighting back. The violence rapidly escalated and spread to other Turkish cities, as protesters began building barricades, hurling stones, and eventually throwing fireworks and gas bombs at police.

The clashes blossomed into the largest civil disobedience movement Turkey has seen in a generation. Demonstrators have lashed out against what they describe as the increasingly dictatorial policies of Erdogan.

Erdogan first swept to power after his party won national elections more than a decade ago.

@highlight

The government's harsh reaction to protests has raised concerns among EU nations

@highlight

Police detain at least 20 in Ankara

@highlight

Turkey's prime minister warns of a shadowy foreign conspiracy aimed at toppling him

@highlight

Family of slain protester "devastated" over release of shooter