(CNN) -- Human progress requires good ideas.

Consider how just two fundamental ideas have ushered in the modern world. Rewind a scant 600 years, and modern science doesn't yet exist.

Men and women live and die in squalor and filth, largely ignorant of the germs that ravage their bodies and of the natural laws that govern the universe, instead imploring an alleged supernatural force to help them navigate this vale of tears.

But thanks to minds such as Galileo, Sir Isaac Newton, Louis Pasteur and Charles Darwin, this is not how we face the world today. They taught us our method of knowing: careful, mathematically precise observation, step-by-step inference and generalization, and systematic, evidence-based theory building.

They had the courage to challenge entrenched authority, toss aside superstition and defy popes. As others followed the trail the first scientists blazed, human knowledge advanced dramatically.

Thanks to a second idea, this explosion of knowledge broke the confines of the laboratory and ivory tower. Another daring group of thinkers challenged political authoritarianism.

Kings and aristocrats were swept aside to make way for the rights of man. This idea gave birth to a new nation, our beloved America, in which the individual was free to think and pursue his own happiness. A new person arose: the industrialist.

Slandered as robber barons, what these individuals actually did was earn fortunes by studying the discoveries of science and commercializing them.

A mind-boggling array of inventions and products ensued: automobiles, oil, radios, antibiotics, refrigeration, electricity, washing machines, air conditioning, indoor plumbing, airplanes and on and on, to our present world of personal computers and cell phones.

Try to imagine life without all of this. It's not easy.

But as far as we've come because of these two ideas, human progress demands implementation of a third idea to complete the scientific and political revolutions. We're still beholden to the past in ethics.

Although few of us would turn to the Old Testament or the Quran to determine the age of the Earth, too many of us still turn obediently to these books (or their secular copies) as authorities about morality. We learn therein the moral superiority of faith to reason and collective sacrifice to personal profit.

But the more seriously we take these old ethical ideas, the more suspect become the modern ideas responsible for human progress. The scientists in their laboratories did not demonstrate the superiority of faith. Thomas Jefferson in his Declaration did not proclaim the superiority of collective sacrifice. Why should we think these ideas are the path to moral enlightenment?

Perhaps, of all the damage these antiquated moral ideas do to human progress, the most significant is how they distort our conception of moral ideals.

Ask someone on the street to name a moral hero; if he isn't at a loss, he'll likely name someone like Jesus Christ or Mother Teresa. Why? Because they're regarded as people of faith who shunned personal profit for the collective good. No one would dream of naming Galileo, Darwin, Thomas Edison or John D. Rockefeller.

Yet we should. It is they, not the Mother Teresas of the world, that we should strive to be like and teach our kids the same.

If morality is judgment to discern the truth and courage to act on it and make something of and for your own life, then these individuals, in their capacity as great creators, are moral exemplars. Put another way, if morality is a guide in the quest to achieve your own happiness by creating the values of mind and body that make a successful life, then morality is about personal profit, not its renunciation.

Monetary profit is just one of the values you have to achieve in life. But it is an eloquent representative of the whole issue, because at its most demanding, as exhibited by a Bill Gates or a Steve Jobs, making money requires a profound dedication to material production.

The fact that earning money is ignored by most moralists, or condemned as the root of evil, is telling of the distance we must travel.

In effect, we need to turn the Billionaire's Pledge on its head.

The world grants, at best, no moral recognition to Gates and Buffett for the personal fortunes they've created, but it awards them a standing ovation for giving their profits away. But the standing ovation belongs to the act of creation, the profit they brought into their own lives and anyone who traded with them.

If morality is about the pursuit of your own success and happiness, then giving money away to strangers is, in comparison, not a morally significant act. (And it's outright wrong if done on the premise that renunciation is moral.)

Science, freedom and the pursuit of personal profit -- if we can learn to embrace these three ideas as ideals, an unlimited future awaits.

The opinions expressed in this commentary are solely those of Yaron Brook and Onkar Ghate.

@highlight

Yaron Brook, Onkar Ghate: Human progress has come as result of science, democracy

@highlight

They say our view of morality hasn't been updated since the Bible and Quran

@highlight

World credits Bill Gates only with his philanthropy and not his achievements, they say

@highlight

Pursuit of innovation, productivity and personal profit should be valued, they say