(CNN) -- Move, Sony's new motion controller for the PlayStation 3, has been nearly everywhere in the days and weeks leading up to its official release September 19.

Gaming fans and critics alike have seen what the new device can do, how it will behave and even how it will affect their current and future gaming. But as complex and complicated as it seems, the Move had a very basic beginning.

To paraphrase Walt Disney, it all began with a ball.

At a demo event in Washington, the man behind the Move, Richard Marks, talked about how the motion controller came to be and where he hopes it will take gaming in the future.

As the manager of research and development for Sony, Marks said that work on the Move started after they developed the EyeToy camera for the PlayStation 2 and discovered they needed a ball to help it focus.

"Early work with the EyeToy camera got it to recognize specific shapes and colors to help it with tracking," Marks said. "We figured out that lighting is key to tracking."

Marks and his team found that the EyeToy, which is now a part of the Move system, was able to find and follow items that were sphere- or ball-shaped.

It's not surprising, then, that the hand controllers for the Move, which started showing up in online stores this week, are topped with colored balls that have led some to compare them to ice cream cones.

"The sphere looks the same no matter what angle you hold it," he said. "The camera then tracks the location by the size of the sphere. Bigger sphere means closer to the screen, while smaller means further away."

The development team used foam spheres with some success until a researcher wanted to make the spheres light up. It turned out that lighting the ball helped the EyeToy track the device even better.

"[The researcher] wanted the sphere to change colors to reflect different things in potential gameplay," Marks said. "What we found was that the camera worked better because the colored light in the ball makes it stand out from any background."

The Move and EyeToy actually examine the surroundings of a player for color pixels and then assign a completely different color to light up the sphere. The result is a smoother tracking of movement in three dimensions, something that a similar controller for another console can't do.

Once they got the camera to track a lighted, colored sphere reliably, how could they turn that into a game device?

Marks said that for his very first rudimentary Move controller, he took a regular controller for the PS3 and put the ball on one end.

"I cut the ends off because I wanted to make something that would feel good in one hand and had buttons to help with gameplay," he said. "It wasn't pretty."

The research-and-development team began to tweak the look and feel of the proto-Move controller, adding a gyroscope and accelerometer to assist with game movement.

Marks insisted that the new device keep the buttons from the PS3 controller because he said they are needed to do specific, in-game movements.

"You want to know you are having an effect in the game. Buttons give you instant feedback instead of just waving a hand to get something done," Marks said. "Not only can you quickly change from item to item using buttons, the T-button [an analog button located where your fingers wrap around the device] allows you to control how much of something you want to do. It gives the players more feedback and more freedom."

Marks envisions the Move controller as a device that will allow players the opportunity to explore 3-D environments and games in ways that previously were seen in science fiction movies.

He said the Move can pinpoint the position and angle of the player's hand in a way that's perfect for point-of-view games.

Although his team had a good controller in hand, it was too expensive in the beginning. Eventually, pricing of the components, specifically the gyro and accelerometer, came down. Marks said sensor technology also got better over time.

"We could have done something early, but it wouldn't have been as good," he explained.

And if one Move is good, two are better.

"Two Move controllers allow for more detail," Marks explained. "It opens up so many more possibilities for game developers to really put players in the middle of the action. There are a lot of things you can do as long as the platform is good."

He said first-person shooter games like "SOCOM" and individual sports games such as tennis, golf and archery will be the early success stories for the Move. But he's not counting out any game genre because, he said, developers are testing out the Move to find out what it can and can't do.

"I want new ways to show up to do things we haven't even thought of," Marks said. "The Move isn't going away any time soon."

@highlight

The Move system grew out of the EyeToy camera for PlayStation 2

@highlight

Researchers found the EyeToy tracked sphere shapes the best

@highlight

Using two Move controllers instead of one allows for more detail

@highlight

Sony's Move controller will be officially released for sale on September 19