NEW ORLEANS, Louisiana (CNN) -- Waiting in line is part of life in post-storm New Orleans, especially when it comes to health care.

"There are no great options for the people that we see in this clinic,"  says Dr. Ravi Vadlamudi.

Nearly every day, people stand in front of Common Ground Health Clinic in the Algiers neighborhood. Patients come from all around the city to get free health care in this former corner grocery store with barred windows. They come early, wait eagerly in line, sometimes swapping stories of where they were during Hurricane Katrina.

Two years later, people still talk about Katrina.  It's the greeting, the icebreaker, the common bond. Where were you? Where did you work before it hit? Where did you evacuate to? Quickly, conversation turns to the painfully slow rebuilding of the city: violent crime, lack of schools; a shortage in housing, access to doctors. Sitting in the makeshift waiting room, patients chat with each other and the clinic workers, often shaking their heads in disapproval or disbelief.

"It's so tough in this city. We can't get back on our feet."

"We've thought about leaving, but we don't know where to go or how to get there."

"I'm glad we found out about this place. Maybe we can finally get some help."

Before the storm, the uninsured turned to the famed Charity Hospital. Housed in a mammoth art-deco building, it provided reliable medical care for the poorest inhabitants of the city.

The storm floods engulfed the first few floors of Charity and the doors were shut for good. Only three of the city's seven hospitals have reopened. Only one of those reopened facilities operates at full pre-storm capacity. A mere fraction of the doctors have returned to the city. Dr. Ravi Vadlamudi is one of them.

He's the medical director of Common Ground. Everyone here calls him Dr. Ravi.

"Our clinic is a tiny Band-Aid to a small piece of a huge problem," he says.

It's hard to believe that there was ever a time when Dr. Ravi felt unneeded in New Orleans.

As the storm approached two years ago, he sought refuge in his home state of Michigan, with his young daughter, Anjali, and his wife, who is also a physician.

In the immediate aftermath of Katrina, he returned to the city as quickly as he could. Within days, he cleaned up their apartment and reopened the doors of his private family medicine practice at Tulane in the East Bank area of New Orleans. His office sat virtually empty.

Back then, like many New Orleanians, he wondered, "Would anybody ever come back? Is our life over here?"

But soon he crossed over to the West Bank. He waded through the chaos by joining a team of street medics, community activists and volunteers providing care to whoever came, whenever they needed it.

At first, it was a tent, providing emergency services in a city without any emergency rooms. Today, it's a full-service health clinic serving about 200 patients a week, with four full-time staffers and a good number of volunteers. Two years later, it is a cornerstone of health care in this city.  Watch Dr. Sanjay Gupta report on New Orleans' looming mental health crisis »

"There are no great options for the people that we see in this clinic," says Dr. Ravi, who spends two days with Common Ground and maintains his private practice for the rest of the week.

"When people think about a free care clinic they think about poor lazy people and that's a complete misperception. Most of our patients have one job, if not two jobs -- they just don't have insurance."

A huge multi-layered problem is the best way to sum up health care in New Orleans.

A recent study published by the American Medical Association found a 47 percent increase in the death rate in 2006.  "Our study showed an excess mortality, meaning these are people that would not have died, had it not been for Katrina," said Dr. Kevin Stephens, who is director of the New Orleans Health Department and the study author.

Stephens was forced to use newspaper obituaries for the study because state vital statistics were unavailable to him at the time. He maintains that the death rate in New Orleans is still elevated.

But Dr. Fred Cerise, the secretary of Louisiana Health and Hospitals, disagrees on the exact rate of the increase and says there is no sustained elevation in the death rate.

But doctors on the front lines, like Vadlamudi, say an elevated mortality rate isn't surprising, "People end up in the hospital sicker and end up dying probably more often. In addition, I think that without the health-care resources, people get fed up, they don't wait in the lines."

From fewer doctors, sicker patients, scarce health services to violent crime, it's hard not to think about death in this city.

"I'd run out of fingers and toes if I tried to count how many close friends or patients have been murdered, attacked, jumped, shot at or left for dead," says Dr. Ravi.

He and his wife are expecting their second child soon. He says his biggest concerns are good schools and the threat of violent crime. Dr. Ravi says they make the choice to stay in New Orleans every single day. Some days, the choice to stay is easier as he sees progress with the clinic and his patients. Other days are more difficult -- such as the one last January when he learned of the brutal murder of his colleague's wife.

"I worry about [crime and violence] in my heart. We're staying and we're committed to this community, but it weighs on my mind every single day whether I may wait one day too long." E-mail to a friend

A. Chris Gajilan is a senior producer with CNN Medical News.

@highlight

Access to health care is still a big problem in New Orleans

@highlight

Three of the city's seven hospitals have reopened

@highlight

Only one hospital operates at full pre-storm capacity

@highlight

A fraction of the city's doctors have returned since the storm