(CNN)When the Dalai Lama attends the National Prayer Breakfast this Thursday, it will not only be an implicit endorsement of the Tibetan Buddhist leader's stand against China in the name of religious freedom, but also an acknowledgment that Buddhism is firmly established as one strand among many in the tapestry of American spiritual diversity.

Yet it might also serve as a reminder that a religion now considered universally benign once endured suspicion, vocal protest and even government surveillance -- much as Islam has in recent years.

Already, 2015 has seen threats of violence canceling a call to prayer in North Carolina, anti-Muslim demonstrations in Texas and Louisiana Gov. Bobby Jindal comparing non-assimilating Muslims to an "invasion."

All of this would have been familiar to some Buddhists not so long ago.

Today, Buddhism is the model of a minority religious tradition that exerts an influence far beyond what its numbers would suggest. While the Buddhist population of the United States is not much larger than a million -- less than 1% of the population -- the number of Americans inspired by the Buddha is estimated to be more than 10 times that size.

The cultural position of Buddhism 73 years ago could not have been more different.

When Franklin D. Roosevelt signed Executive Order 9066 in February 1942, authorizing the evacuation of all those of Japanese descent from the West Coast to war relocation centers, the Buddhist faith practiced by many Japanese Americans was itself regarded as a potential threat.

After the attack on Pearl Harbor and the formal entry of the United States into World War II, the FBI compiled a list of suspected collaborators that included not only members of groups with political ties to Japan, but the leaders of Buddhist temples.

FBI Director J. Edgar Hoover's Custodial Detention List used a classification system designating the supposed risk of individuals on an A-B-C scale, with an "A" assigned to those deserving greatest suspicion. In Hoover's system, Buddhist priests were designated "A-1": "dangerous enemy aliens" whose arrest was considered a matter of urgent concern.

Even before the war, Japanese Buddhists were thought to be less "Americanized" than their countrymen who had converted to Christianity, and in some ways this was true.

Within the Japanese immigrant community, Buddhists were more likely than Christians to maintain their native language, as well as their facility with customs and rituals performed in that language. They were also more likely than Japanese Christians to read publications concerned with political affairs in the country they left behind. Subscription rolls of such publications provided the FBI with a starting point for building its "A" list of suspects.

Because of the connections and traditional knowledge Buddhist temples helped maintain, to be a Japanese Buddhist in America was to be considered a risk to national security. Facing such scrutiny, many Buddhists enlisted for military service to prove their loyalty and patriotism.

The famous 442nd Combat Regiment was not only entirely Japanese, but it was largely Buddhist. It became the most decorated infantry regiment in Europe. In the Pacific theater, 6,000 American servicemen of Japanese descent -- again, many Buddhists among them -- worked as linguists and code breakers, hastening the end of the war.

In the wake of these accomplishments, Japanese American veterans petitioned the military throughout the late 1940s to add a Buddhist designation to dog tags and grave markers, which before had offered only markings signifying Protestant, Catholic, Hebrew and Other. Their eventual victory opened up the U.S. armed forces to recognition of all other faiths.

Coming during a time of increasing anti-Muslim rhetoric, and during the month in which the internment of Buddhists and other Japanese Americans is commemorated, the Dalai Lama's presence at the National Prayer Breakfast offers an opportunity for the politicians and faith leaders in attendance to reaffirm a basic truth too often forgotten in our history: In a nation that cherishes religious freedom and hopes to see it spread across the globe, targeting one spiritual tradition diminishes them all.

@highlight

The Dalai Lama will attend the National Prayer Breakfast on Thursday with President Obama

@highlight

Buddhists were viewed with suspicious by the U.S. government during World War II