Western Australia (CNN)Many Australians are understandably appalled by the brutal and pointless executions of Andrew Chan and Myuran Sukumaran.

The death penalty looks anachronistic and ineffective at the best of times, but to kill two people who had clearly made the most of their long periods of incarceration to transform themselves and make amends for their actions looks gratuitous and cruel.

Consequently, Indonesia's actions raise more general questions about the powers we give to states -- or, more accurately, to those who control the coercive apparatus of the state at any particular moment. As German sociologist Max Weber pointed out, one of the key features of an effective state is that it has a monopoly over the legitimate use of violence.

State officials can order people to be killed because -- especially in democracies -- we authorize them to do so.

We can give no more significant power to another human being than to decide who lives or who dies. And yet even where that authority is deemed legitimate -- as is clearly the case in Indonesia -- its significance is only seriously considered at moments like this, when the very personal circumstances of some of its victims become the stuff of popular commentary and media interest. Less prominent victims of state-sanctioned violence often go entirely unremarked.

However disappointed we may be in the actions of Indonesian President Joko Widodo -- in whom so many inside and outside Indonesia have invested such hopes as a progressive force -- he can make a couple of claims in his defense.

First, Widodo -- popularly known as Jokowi -- is Indonesia's elected leader and is fulfilling his promise to crack down on what he and many other Indonesians see as a problem. Indonesia's domestic political context and the need to be seen as not giving favorable treatment to foreigners left him very little room to maneuver. This is not a justification for his actions, but it helps to explain why he was so impervious to pleas for mercy.

Whatever we may think about the underlying principles and administration of justice in Indonesia, at least Jokowi can claim that it is essentially a domestic issue. We may not like Indonesia's laws, but they are being applied even-handedly within national borders where state officials have authority.

Significantly, it is those same national borders that demarcate the extent of Indonesia's leaders ability -- or even desire, perhaps -- to use their capacity for state-sanctioned violence. Other countries -- including Australia -- have no such inhibitions and regularly kill perfectly innocent civilians in the course of one conflict or another.

This propensity for the application of state-sanctioned violence seems especially germane when we consider another president about whom great things were expected, but who has inevitably disappointed. After the unilateralism of George W. Bush, Barack Obama was widely predicted to be a very different sort of president and one who would not make the sort of catastrophic strategic miscalculations of his predecessor.

Paradoxically enough, though, while Obama has been widely criticized for a lack of decisiveness and unwillingness to commit more American forces to the Middle East, this has done nothing to curb the use of state-sanctioned violence. On the contrary, the use of drone strikes has become a key part of America's continuing war on terror.

It is unsurprising, perhaps, that a cerebral and reflective leader as Obama is should be attracted to drones as a weapon of choice. Unlike Jokowi, Obama doesn't have to confront the personal narratives of the people who die at his command. Or he doesn't unless they're American citizens, at least. The recent death of an American hostage during a recent drone strike highlights the potential for "collateral damage".

Are these cases comparable? Yes and no. Widodo's executions were cold-blooded, unnecessary and highly political. Obama clearly was not intending to kill Americans, and this has only become an issue because one of the hostages actually was.

However, dozens of entirely innocent women and children from other countries are routinely killed in such strikes with little comment. The key point is that we are collectively responsible for such deaths at some level or another, especially if our leaders and state officials carry them out.

Do good intentions justify one death and not another? Perhaps. Would we encourage the state to kill a thousand innocents if it meant eliminating Hitler? Almost certainly. Would we authorize a drone strike to kill ISIS leader Abu Bakr al-Baghdad if we thought a couple of passers-by might die, too? Perhaps. Would we permit the state to execute people? Not any longer in Australia, at least.

But before we congratulate ourselves on how civilized and humane we've become, perhaps we should pause to consider the violence that is still being inflicted on perfectly innocent people around the world in our collective name. What was done in the name of the Indonesian state was undoubtedly awful, futile and reprehensible. Whether our moral calculus is quite so self-evidently superior is not quite so clear.

Copyright 2015 The Conversation. Some rights reserved.

@highlight

Indonesia executed eight prisoners including two Australians on Wednesday

@highlight

Two of "Bali Nine" were killed despite Australia's pleas for mercy

@highlight

All around the world, innocent people being killed by the state in our name, writes Mark Beeson