(CNN) -- As fellow American officials met with allied and Iranian counterparts in Geneva, Switzerland, U.S. Secretary of State John Kerry said Wednesday that all sides are closer than they've been in a long time on a nuclear deal. But they stressed it hasn't been reached yet.

"It's important to exhaust the remedies and possibilities of diplomacy," Kerry said from Washington. "We have the best chance we've had in a decade, we believe, to halt progress and roll back Iran's program."

The prospect of an agreement that could roll back some punitive measures against Iran in exchange for measures assuring that the Middle Eastern country isn't developing a nuclear weapon has met significant resistance. Some in Congress have voiced opposition, saying leaders in Tehran cannot be trusted. It's a sentiment echoed by Israel leaders.

Kerry insisted the continuing talks represent "the initial stage of determining whether or not there's a first step that can be taken." Whether the ultimate result is Iran having access to peaceful nuclear energy is a long ways off; for now, Kerry claimed that a prospective deal wouldn't give that country leeway to move toward developing a nuclear weapon.

Iran nuclear talks: 11 things you need to know

"We will not allow this agreement should it be reached -- and I say, should it be reached -- to buy time or to allow for the acceptance of an agreement that does not properly address our core, fundamental concerns," he said.

Kerry spoke as negotiators met in Geneva, where the major players engaged in three days of intense talks earlier this month. Those discussions concluded without the agreement some had anticipated, albeit with optimism that it could come soon.

"I think we are all on the same wavelength, and that's important," Iranian Foreign Minister Javad Zarif said then. "And that gives us the impetus to go forward."

Like those discussions, the current talks involve delegations from Iran and the five permanent members of the U.N. Security Council -- the United States, Russia, China, Great Britain and France -- plus Germany in what is known as the P5+1.

"The atmosphere is positive," one senior U.S. official said, adding that the Western powers expressed condolences for a bombing that happened near the Iranian Embassy in Beirut.

"We are not in a rush," the official said. "We want to get a good deal, the right deal."

Israeli leader: 'This must be a genuine solution'

One sticking point has been Iran's insistence on enriching its own uranium for peaceful purposes. The U.S. official said the issue "can be navigated in an agreement."

U.S. National Security Adviser Susan Rice said the plan would benefit the global community.

"The international community would have unprecedented access to Iran's nuclear facilities and full transparency into what they're doing, so they wouldn't have the ability to sneak out or break out," Rice said.

But Israel, the United States' closest ally in the region, staunchly opposes the tentative plan.

"It's a bad deal -- an exceedingly bad deal," Israeli Prime Minister Benjamin Netanyahu told CNN this week.

Netanyahu opposes lifting some sanctions now without getting further concessions to ensure Iran would be unable to continue with uranium enrichment and other steps.

"I think you should not only keep up the pressure; I think you should increase the pressure, because it's finally working," Netanyahu said, labeling Iran's economy as close to paralysis. "If you give it up now, when you have that pressure, and Iran doesn't even take apart, dismantle one centrifuge, what leverage will you have when you've eased the pressure?"

At the same time, Netanyahu repeated his insistence that Israel "always reserves the right to defend itself against any threat," which is diplomat-speak for a military strike on Iran's nuclear facilities to stop the development of a weapon.

Netanyahu elaborated Wednesday during remarks in Moscow, where he met with Russian President Vladimir Putin. He characterized Iran's development of nuclear weapons "the biggest threat against us and against global security." Carrying through on U.N. Security Council resolutions like those "to halt all enrichment, to remove all enriched material (and) to dismantle the centrifuges" are central to that goal.

"I would like remove any doubts: We want a peaceful, diplomatic solution; everyone prefers this over any other solution," Netanyahu added. "But this must be a genuine solution."

Iran: Some Israeli officials 'are like animals'

The Supreme Leader of Iran, Ayatollah Ali Khamenei, didn't mince words when he fired back at Israel, his nation's staunch adversary.

"Israeli officials cannot be even called humans. They are like animals, some of them," he said Wednesday.

The ayatollah also said Iran's "heroic flexibility" is not a violation of Iran's values. He coined that term a few months ago to explain that Iran's leadership can be flexible while remaining "heroic" in the face of Western powers it still doesn't trust.

In remarks Wednesday, Iranian President Hassan Rouhani said his country is looking for an agreement that will benefit both sides.

"The Islamic Republic of Iran is looking for stability and tranquility in the entire region, and success in our negotiations with the Group 5+1 will benefit all the regional countries and the world," he said, according to the semiofficial FARS news agency.

Tuesday's twin suicide bombing near the Iranian Embassy in Lebanon's capital will not sway the talks, Rouhani said.

"Those who think they can achieve their goals through terror, intimidation and violence have always been in mistake, and they are erring again this time," he said.

Rifts within the U.S.

Some U.S. lawmakers aren't sold on the new plan. On Tuesday, a bipartisan group of six senators urged the administration to reject the proposed deal with Iran and accept only an agreement that better dismantles Iran's ability to develop nuclear weapons.

"I think all of us are concerned," said Sen. Bob Corker, R-Tennessee. "We know who we are dealing with, and we've watched this same type of activity occur in North Korea, where you began to alleviate sanctions, and I think what the concern is that whatever you do in the interim basis becomes the new norm."

But U.S. President Barack Obama said the current sanctions put in place during his administration had forced Iran to the negotiating table because of economic contraction and frozen oil revenue.

He said the proposed deal would "open up the spigot a little bit" on some of the frozen revenue while leaving in place the bulk of the most effective sanctions involving Iranian oil exports and banking. But Obama also stressed that all options, including military strikes on Iran's nuclear facilities, remained on the table as far as the United States was concerned.

Vice President Joe Biden, joined by members of his national security team, explained the administration's position Wednesday to 12 Democratic senators. He laid out potential parameters of a six-month deal such as addressing 'Iran's enrichment capabilities, existing stockpiles of uranium, centrifuges and ability to produce plutonium using the Arak reactor" and allowing for "intrusive monitoring" by international inspectors.

"The Vice President reiterated that the President has a responsibility to seek a peaceful resolution that prevents Iran from obtaining a nuclear weapon before pursuing alternatives," the White House said in a statement. "The current P5+1 proposal has the potential to do just that."

Why Israel, Gulf states are wary of Iran nuclear talks

U.S.-Israel rift over Iran nukes now in the open

CNN's Jim Sciutto, Saad Abedine and Reza Sayah contributed to this report.

@highlight

NEW: Vice President Biden explains parameters for a possible deal to Democratic senators

@highlight

Secretary of State John Kerry says "it's important to exhaust ... diplomacy"

@highlight

Prime Minister Netanyahu says Israel wants a "genuine" diplomatic solution

@highlight

Delegations from the key players meet in Geneva, Switzerland