Washington (CNN) -- For federal workers with security clearances, losing a house to foreclosure can cost them their jobs as well, because financial distress can be a security vulnerability, a recent study says.

Attorney Sheldon Cohen says he has several clients who face losing their jobs -- or being rejected for a new job -- because they have gotten into debt and cannot pass the required background check.

"The government needs to take into account the current financial crisis in the country," he said. "Not everybody who loses their house due to a mortgage or a short sale is necessarily a security risk."

To prove his point, Cohen looked at the Defense Department, and counted the number of contractor employees who have been stripped of their security privileges because of debt.

Ten years ago, there was fewer than one case per year that reached the Defense Office of Hearings and Appeals, the study shows. Last year, there were 24, and the pace this year looks similar.

Employees with at least 10 other agencies face similar procedures of reviewing and revoking clearances, Cohen says.

"No single fact (e.g. a foreclosure) will necessarily result in a denial of clearance. Conditions beyond the individual's control can be mitigating," said Jennifer Dorsey, a spokeswoman for the government's Office of Personnel Management.

But an inability to satisfy debts can be grounds for denying an employee a security clearance, according to the Pentagon's published guidelines.

"An individual who is financially overextended is at risk of having to engage in illegal acts to generate funds," the guidelines say, "including espionage."

Financial problems were the reason double-agent Robert Hanssen, one of the most damaging spies in American history, started selling secrets to the Soviets in the 1980s, according to Eric O'Neill, the former FBI counter-espionage agent who helped catch him.

O'Neill said even if the financial difficulties are not the government employee's fault, they can make a worker vulnerable.

"Foreign agents are looking for that," he said. "It's not hard. You can pull the credit report on just about anybody, and you look at them and realize, wow, they are in enormous debt."

Then, O'Neill says, a foreign agent might approach the target -- say by following the employee after work to a bar -- and offer to pay for secrets. He says the agent might say, " 'Hey, I've got a solution to your problems. Just give me something little, and I'll give you some money, and you'll make ends meet this month.' "

The revoking of clearances, recently highlighted by ProPublica and The Washington Post, could be costing the country valuable employees.

As an example, Cohen cited a client, whom he declined to name, who may lose her security clearance because of foreclosure.

"She's a highly-trained person," he said. "And she'd be difficult to replace. So not only are people losing their jobs, the government is losing the services of good people they need."

Fran Townsend, the former Homeland Security adviser under President George W. Bush, says when officials discover vulnerable employees, "the first order of business is always to try and save that person's clearance, and therefore job. But I can see now, during this period, where this is probably a much more serious concern for investigators."

@highlight

Some are being turned down for new jobs over debt

@highlight

Others have been stripped of their security privileges

@highlight

Famed double agent started selling secrets to Soviets after money woes, expert says