Beijing (CNN) -- Who would've thought? Facebook founder Mark Zuckerberg speaks Mandarin.

When I first read a banner headline saying that the 20-something billionaire spoke fluently in Chinese, I was skeptical.

Yes, I know he's young and smart. Yes, he's married to Priscilla Chan, a publicity-shy medical doctor of Chinese parentage. But she's also American-born Chinese and, like many of them, does not necessarily speak Chinese like a native. Besides, one does not learn a foreign language simply by marrying a Chinese speaker.

But the Facebook CEO impressed his star-struck Chinese audience when he spoke in Chinese during a 30-minute Q&A recently at Beijing's Tsinghua University.

"He showed respect for China by taking the trouble to learn the language and I think the audience appreciated it," said John C. Thomson, one of the pioneers of teaching Chinese as a foreign language and a former Chinese translator for Ronald Reagan.

Zuckerberg spoke entirely in Mandarin, albeit with a heavy accent and the occasional error.

Yet some Chinese-speaking expatriates disparaged his Chinese proficiency -- deeming it "poor" and "mediocre," while others dismissed the session at Tsinghua as a PR stunt, perhaps to curry favor in China where Facebook has remained blocked since 2009.

Learning for 42 years

But I was impressed.

His tones might have been off most of the time but then so were mine when I was just beginning to get a "feel" for the language.

As a famous billionaire he could have said no to the idea, instead of risking looking like a fool in public.

"He deserves credit for undertaking sustained study of Chinese while growing a major Internet company," agreed Thomson. "He and his firm do not need more PR, but full access for Facebook in China would be great."

I'm impressed not because I'm star-struck but because I know how hard a language Chinese is.

Two months into my first Chinese course some 42 years ago, I was ready to give up, totally intimidated and overwhelmed by its grammar rules (or lack of them), five tones and pictographs.

Fortunately, I persisted. After several months of drills and practice, I got into the Chinese language "zone" and started to enjoy it.

Still, I do not think I could have learned it well if I had only attended courses overseas -- without the immersion that I got by living and studying in China. I acquired it because I was surrounded by Mandarin and because I had to.

David Moser, a veteran sinologist and a long-time Beijing resident, explained why Chinese is so daunting.

"Those who undertake to study the language for any other reason than the sheer joy of it will always be frustrated by the abysmal ratio of effort to effect, he wrote in a paper when he was at the University of Michigan Center for Chinese Studies.

"Those who are attracted to the language precisely because of its daunting complexity and difficulty will never be disappointed."

Moser ticked off several reasons why Chinese is so damn hard:

-- Because the writing system is ridiculous.

-- Because the language doesn't have the common sense to use an alphabet.

-- Because the writing system just ain't very phonetic.

-- Because tonal languages are weird;

-- Because East is East and West is West, and the twain have only recently met.

Cultural shift

Remarkably, Chinese is now enjoying a new found popularity.

Just as English became the popular choice as a second language because of the influence of the British Empire before the World War I and the U.S. after World War II, we're now witnessing "a major shift in economic and cultural influence, from the U.S. to China," said Thomson, who spent 30 years in China, most recently as director of the Inter-University Program for Chinese Language Study at Tsinghua University.

He cites China's major push to promote Chinese language overseas, combined with a growing recognition that Chinese language ability will give people a huge advantage in dealing with China and its people.

"Compared with the several American students studying Chinese in Taiwan in 1966-68 when I was there as a student, there are now about 25,000 American students in China each year, most of them studying Chinese language, and a large and a growing number of Americans are studying Chinese as part of their K-12 education in the U.S."

His tip to Chinese language students?

"First get a good foundation overseas for grammar and pronunciation, followed by an extended stay in China for study or work where most or all people speak Chinese all day."

You have to use it, lest you lose it.

"China is a great country," Zuckerberg told his Chinese audience on why learn Chinese." I think learning the language can help me know the country's culture... And I love a challenge."

Learning Mandarin, some say, is for those who don't mind making fools of themselves. Just like the Facebook billionaire.

@highlight

Mark Zuckerberg deserves credit for learning Mandarin, says Jaime FlorCruz

@highlight

Mastering Chinese is a lifelong process and its grammar, five tones, and pictographs can be overwhelming

@highlight

Chinese is now enjoying a new found popularity among language learners

@highlight

About 25,000 American students in China each year, most of them studying Chinese language