Tokyo (CNN) -- Beneath the cherry blossoms of Shiba Park, more than 2,000 people lined up for a Sunday afternoon march calling for Japan's nuclear power stations to be shut down.

A week before, a similar protest -- though in a chilly drizzle, not on a warm, sunny day -- drew about 250.

And a month of frustration, desperation and anger boiled over at Tokyo Electric Power Company's headquarters Friday as officials from towns around the Fukushima Daiichi nuclear power plant demanded to know when the crisis that has besieged their farming communities would end.

"The nuclear plant situation needs to be resolved as soon as possible. If not, we farmers will die," one of the officials, Iwao Suzuki, told the utility's executives.

But the response from Naomi Hirose, the managing director of Japan's largest utility, offered little encouragement to the delegation or the rest of the world.

"There is a need to draw an end to the current situation as soon as possible," Hirose said, adding, "We totally agree to this and are taking the utmost endeavors to contain the radiation."

Since the March 11 earthquake that ravaged northern Japan, workers at Fukushima Daiichi have been struggling to cool down three overheated reactors and keep pools of spent but still potent nuclear fuel from spreading further radioactive contamination across northern Japan.

A month into the crisis, the utility acknowledges, there is no end in sight.

The problems are so far "beyond the design capacity" of the plant that the Japanese are working in uncharted territory, said Michael Friedlander, a former senior operator at U.S. nuclear power plants.

"No nuclear power plant has ever considered the inability to get on long-term core cooling for more than a week, much less three weeks," Friedlander said.

Some Japanese experts now say the effort is in danger of failing unless Japan seeks more help from international experts to bring it to an end. Tetsunari Iida, an engineer-turned-industry critic, said the situation is "beyond the reach" of Japan's closely knit nuclear establishment.

"A real exit strategy has to start with an inspection by the world's top experts on nuclear accidents," Iida told reporters at Japan's national press club last week.

Engineers and workers so far have managed to stave off a complete meltdown in Fukushima Daiichi's reactors 1-3 and in the spent fuel pool of unit 4. But experts say the overheated fuel rods are likely to have suffered extensive damage, and there is a complication for seemingly every advance.

Much of the past week was dominated by the attempt to stop water laced with massive amounts of radioactive particles from pouring into the Pacific Ocean -- water that comes out of the reactors "screaming with radioactivity," Friedlander said. Tokyo Electric is now grappling with where to put the stuff, even dumping thousands of tons of less-radioactive water into the Pacific to make room for it in a reservoir for low-level waste.

In a normally functioning plant, coolant water is circulated out of the reactors and chilled. Then it's pumped back in to carry more heat away from the plant's fuel rods, which continue producing energy long after the chain reaction at the heart of the units has been stopped.

"You have to get the recirculation system up and functioning so they can cool that water in the normal way," said Gary Was, a nuclear engineering professor at the University of Michigan and a CNN consultant. Normal cooling systems don't require the massive amounts of water -- around 7 metric tons (1,850 gallons) per hour -- now being poured into the reactors.

"That's a big problem," Was said.

Tokyo Electric officials told CNN they can't say when they'll be able to restore those normal cooling. The first step is to get highly radioactive water out of the flooded basements of the units' turbine plants, then figure out how badly the equipment inside has been damaged.

For the first two weeks of the crisis, engineers pumped seawater into the reactors. But the resulting buildup of salt inside has made it harder for coolant to circulate, U.S. nuclear safety officials advised in March.

In addition, Was said, the fuel rods are likely in a state of "partial melt," the extent of which will be difficult to determine. After 1979's Three Mile Island accident in Pennsylvania, it took more than two years before operators were able to get a camera into the reactor to examine its condition, he said.

Satoshi Sato, a Japanese nuclear industry consultant, called the current line of attack a "waste of effort." Plant instruments are likely damaged and unreliable because of the intense heat that was generated, and pumping more water into the reactors is only making the contamination problem worse, he said.

"There is no happy end with their approach," Sato told CNN. "They must change the approach. That's something I'm sure of 100 percent."

After the 1986 Chernobyl accident, the world's worst to date, the Soviet Union encased the plant's damaged reactor in a massive concrete sarcophagus. Iida said Fukushima Daiichi's reactors remain too hot to pour concrete, but he suggested pouring a slurry of minerals and sand over them to carry away heat before encasing them.

And Was said the reactors have to be cooled in order to let the molten fuel harden again: "Only when it solidifies are you sure you can contain it." He said Tokyo Electric should be in the lead -- "It's their plant" -- but he added, "There's a lot of different areas in which they could benefit from international help."

Japan's government is consulting with experts from the U.S. Nuclear Regulatory Commission and the French nuclear fuel company Areva, said Hidehiko Nishiyama, deputy director-general of Japan's Nuclear and Industrial Safety Agency and the agency's chief spokesman. U.S. Navy barges have been carrying fresh water to Fukushima Daiichi, and Tokyo's foreign ministry has asked Russia about using a Japanese-built ship outfitted as a floating decontamination plant.

"We already have quite a bit of support from outside countries and organizations," Nishiyama said. But he added, "I think the most urgent issue now is support in whatever form possible with regard to how we can dispose of the cooling water and be able to build a sustainable cooling system."

General Electric which designed the reactors, and Hitachi, which built most of the plant, are also advising the government and Tokyo Electric. GE chief Jeffrey Immelt flew to Japan to consult with Japanese officials and executives last week, and Tokyo has asked Russian officials about using a Japanese-built ship outfitted as a floating decontamination plant.

But for now, Japan has "no choice" but to continue pouring water into the reactors, Friedlander said.

"I have no doubt that the men and women working at the power plant are indeed going to exert every human effort to make sure that they resolve this," he said. "What I don't know and what I can't tell and the big question mark for me is, will it be done sooner than later?

"And again, my hope is, is that it'll be done sooner. But in order for it to be done sooner, TEPCO's going to have to step up and ask for more help from the international community."

Ailing Chang and CNN's Brian Walker contributed to this report.

@highlight

No timetable has been crafted for restoring normal cooling, Tokyo Electric says

@highlight

Experts say Japan and Tokyo Electric need help resolving the crisis

@highlight

"There is no happy end with their approach," a Japanese analyst says

@highlight

It's too early for a Chernobyl-type solution, a CNN consultant advises