LONDON, England (CNN) -- High net-worth individuals will always find ways to enjoy, celebrate and flaunt their wealth -- the yacht at Monte Carlo, the chateau, the vineyard and the Rolls Royce Phantom. The very wealthy add to this their private jets -- Gulfstreams and Lears -- providing mobile bedrooms and boardrooms for upwards of four people.

The lavish interior of the custom Airbus A380

But now those who are not just very wealthy, but super wealthy, have a new option -- the chateau in the sky. The arrival of the -- much delayed -- Airbus A380 "super" jumbo aircraft, which is due to make its debut revenue-earning flight with Singapore Airlines later this year, heralds a whole new era of super private jet.

The A380 is a four-engined, twin-decked, wide-body jet aircraft built at Airbus's factories throughout Europe and assembled at its facility in Toulouse, France. Larger than any previous civil aircraft, the A380 is 30 per cent bigger than the current largest jetliner, Boeing's 747-400.

In standard three-class layout, the A380 can hold 555 passengers. In an all-economy configuration, the A380 could hold more than 800. This allows the private buyer an unrivalled space in which to create the ultimate statement of luxury and power.

Private jets have been on the market since the 1960s. But they tended to be far smaller than commercial passenger aircraft. Some private customers wanted the comforts afforded to those heads of state who had their own large jetliners at their disposal.

Most famous of these, of course is Air Force One, the official jet transport -- though actually there are two Air Force Ones, both modified Boeing 747-400s -- of the President of the United States of America.

The demand for larger-scale private and corporate jets has been such that the major aircraft manufacturers, Airbus and Boeing, now offer modified versions of their passenger aircraft -- the Boeing BBJ (Boeing Business Jet) and Airbus CJ (Corporate Jet). Both of these are based on short-haul, narrow-bodied types -- the Boeing 737 series and Airbus A320 series -- both of which seat fewer than 200 people in commercial passenger configuration.

But the A380's massive size -- the combined floor-space of the two decks is over 6,000 square feet -- dwarfs these otherwise capacious aircraft. In comparison, the total floor area of an Airbus CJ is 905 square feet.

As soon as Airbus announced it was to embark on a project to develop the first "super" jumbo in 2001, it received an order for a private variant of the jet (then known by its codename of A3XX) from a client in the Middle East.

The aircraft's size is one thing. But a luxury purchase of this magnitude also needs a sumptuous interior. This was to be provided by design consultancy Edése Doret from its offices in New York, London, Paris, Kuwait and Sri Lanka. Over the years the company has been called upon to design bespoke interiors for aircraft including the BBJs and CJs, and widebody aircraft including the Lockheed L1011 Tristar, Airbus A340-600 and Boeing 747-400.

"We were excited when we were awarded the contract," says the company's president Edése Doret Jr., "and at the time no one had ever conceived of designing a private interior for such an aircraft. Unfortunately for us, the client backed out of the project and opted for a smaller [A340-300] aircraft.

"We only created very preliminary layouts and basic renderings of the interior. We were then approached in early 2005 to design the interior of the A380. We felt very fortunate to get a second opportunity to design the cabin for this new customer."

Beneath the two passenger decks of this modified super jumbo is an Air Force One-style air-stair -- allowing access to the tarmac without the need for a sky-bridge or external staircase -- and a crew dining area, crew gallery, crew bathroom, sleeping quarters for eight on bunk beds, a communications room and spiral staircase leading to the main deck.

The main deck contains an entry lounge, grand lounge, dining area with seating for 14, main deck galley and staff seating. Then the upper deck houses a stateroom, master bathroom (with shower and hot tub), office, library, VIP bedroom (en-suite), guest bedroom (en-suite), upper deck galley, family dining area with seating for eight and an "Oasis lounge".

The cost of the interior adds a further $150 million to the basic $350 million cost of the aircraft.

Edése Doret won't disclose the identity of the client, leading to much internet speculation. It's most likely, however, that the client is the ruler of an oil-rich Gulf state rather than a captain of industry (Bill Gates, famously, travels economy class).

@highlight

Luxury private jet based on Airbus A380 "super" jumbo

@highlight

Designers had 6,000 square feet to work with

@highlight

Interior fittings and modifications projected to cost $150 million