Washington (CNN) -- The estate of the late actress Anna Nicole Smith has lost a Supreme Court appeal in a longstanding fight to secure a share of her deceased husband's fortune.

The 5-4 ruling Thursday was the latest chapter in a tedious legal soap opera, over the kind of evidence a separate bankruptcy court may hear when deciding various claims and counterclaims. State courts generally hear probate cases, while bankruptcy proceedings are confined to federal courts. The high court's 38-page decision will now likely put an end to this particular legal dispute.

J. Howard Marshall was married to the much younger Smith, who is named in court papers as Vickie Lynn Marshall, for 14 months before he died in 1995. His will left nearly all assets and trust to his son from a previous marriage, E. Pierce Marshall, and Smith received virtually nothing. She later sued, claiming her elderly husband promised to give her more than $300 million.

The separate estate of Smith, who died more than three years ago, has been fighting for years to secure a share of the deceased Texas oilman's fortune.

At issue now in the probate dispute was the kind of evidence a separate bankruptcy court may hear when deciding various claims and counterclaims.

In the court's very narrow ruling on a very complex issue, Chief Justice John Roberts concluded, "The [federal] bankruptcy court below lacked the constitutional authority to enter final judgment on a state law counterclaim that is not resolved in the process of ruling on a creditor's proof of claim."

Translation: Smith's estate lost.

Court records shows she had already received about $7 million in cash and gifts during their brief union.

In 2006, the high court gave Smith a temporary victory when it allowed her to continue the legal fight, after earlier judicial setbacks. Smith's appearance in the Supreme Court during the first oral arguments caused a minor media sensation, with cameras jockeying for position as she entered and left the building.

Despite the colorful details contained in the legal briefs, the issue this time for the Supreme Court remained fairly pedestrian. The justices decided whether Smith's estate received a proper hearing in federal courts, and whether state probate courts should be the proper venue for hearing such cases. The so-called "probate exception" normally keeps federal courts from hearing such disputes, but there is no law mandating the hands-off approach.

The high court tried to sort out what is a "core" -- or essential -- issue in a bankruptcy proceeding. Smith had made several personal-injury allegations against Pierce Marshall -- who died in 2006 -- during the bitter bankruptcy hearings. Smith's estate claims that it was a "core" proceeding the judge should have been allowed to sort out and decide.

Smith, a onetime Playboy and jeans model, reality TV star and diet company spokeswoman, went to both state and federal courts to press her claims.

The Supreme Court did not delve into matters raised in past legal proceedings: whether document tampering happened, whether Smith was kept from her husband's bedside as he was dying, and how the money should be divided.

In dissent, Justice Stephen Breyer said the majority opinion would only create confusion for those filing bankruptcy claims.  A total of 1.6 million such claims were filed last year, an ever-increasing trend.

"A constitutionally required game of jurisdictional ping-pong between courts would lead to inefficiency, increased cost, delay, and needless additional suffering among those faced with bankruptcy," he said. He was supported by Justices Ruth Bader Ginsburg, Sonia Sotomayor, and Elena Kagan.

The justices in their second hearing in the case in March did not mention either Smith or Pierce Marshall by name, or comment about the celebrity aspect of the dispute. The questions they posed at oral argument were on mundane issues tied to interpretation of bankruptcy law, a topic only some lawyers and judges would appreciate.

Howard Marshall, a Yale-educated businessman, was 89 in 1994 when he married the then-26-year-old Texan. They had met a few years earlier at a strip club where she worked.

Smith died of a drug overdose in 2007, leaving behind a young daughter from a later relationship. That has created the unusual scenario of executors of competing estates fighting over still-frozen assets.

State and federal courts have disagreed over the years on whether Smith should receive any part of the money. A U.S. bankruptcy judge initially awarded her $474 million, which later was reduced to about $90 million. A federal appeals court has since twice dismissed Smith's case. A state probate court also dismissed her claims, saying Pierce Marshall was the sole heir.

Leading the fight on behalf of Smith is Howard K. Stern, her attorney and onetime boyfriend. Stern was cleared of criminal charges by a judge earlier this year in Los Angeles. He had been accused conspiring to feed Smith's drug addiction and using false names to obtain the drugs. He and two doctors charged as co-conspirators had denied wrongdoing.

Pierce Marshall's wife, Elaine, is the key party on the other side.

@highlight

J. Howard Marshall left Smith virtually nothing

@highlight

She had sued saying he had promised her $300 million

@highlight

Smith died of a drug overdose in 2007