Dongshigu Village, China (CNN) -- The memories are still raw for 78-year-old Wang Jinxiang.

In her own home, guards put her through the daily humiliation of body searches.

This is where guards repeatedly beat her youngest son, prominent blind human rights advocate Chen Guangcheng, and his wife. Wang's eyes well with tears when she described how officials refused to let her say goodbye to a different dying son.

For more than 18 months, Wang was largely confined to house arrest along with her son. Unlike Chen, she was still allowed to go out to buy groceries from time-to-time, accompanied by several guards.

"The guards moved in, eating here, sleeping there -- and two usually sat right outside Guangcheng's bedroom day and night," said Wang, pointing to different areas in her courtyard. Her chronic arthritis worsened during her son's captivity.

The dozens of burly plainclothes guards who blocked all entrances to this small village, turning away -- often violently -- would-be visitors including CNN crews on three different occasions, are now gone.

They have left the farmer's house tucked away in the rural Shandong province. All that remains are the clucking chickens roaming free in Wang's courtyard.

The lone reminder of that period seems to be a surveillance camera watching over a footpath where Chen's arguably most famous supporter -- "Batman" star Christian Bale -- was roughed up and chased out last December.

Her youngest son, the blind activist, is now thousands of miles away in New York. His arrival in the United States on May 19 -- along with his wife and children -- brought an end to a diplomatic firestorm between Beijing and Washington that erupted after he fled from house arrest in late April and hid inside the U.S. embassy in China's capital for a week.

"They spent millions of dollars to keep me away from public view, but I still end up talking to you today," Chen, who turned 41 on Monday , told CNN via Skype. "They should realize the effect of suppression and persecution won't last."

In 2006, the self-taught legal activist was sentenced to four years and three months in prison for "damaging property and organizing a mob to disturb traffic." His supporters have maintained that the charges were trumped up by local officials -- the same group that Chen said was responsible for the grotesque abuses he and his family suffered after his release -- to punish his legal advocacy.

Chen has fought for victims of what he called abusive practices of the country's draconian family planning policy, including forced abortions and sterilizations. Like him, a new breed of grassroots activists for a myriad of causes -- united by their goal for a freer and more just society -- is making its mark in China, posing a rising threat to the Communist government obsessed with control and stability.

Hu Jia is an old friend of Chen and among the first people he met after fleeing to Beijing. A champion of democracy and political freedom, Hu, 39, was arrested and sentenced to three and a half years in prison on subversion charges before the Beijing Olympics in 2008.

Now technically a free man, Hu says his continued effort in exposing corruption and injustice after release from prison has led to constant harassment from the authorities, including frequent house arrest in his apartment complex in eastern Beijing -- ironically named Freetown.

"They try to destroy your dignity, your freedom, everything except your life -- and I think the root of such tyranny actually reveals their own insecurity," Hu told CNN in a recent interview, before officials forced him to leave town to ensure a trouble-free 18th Communist Party National Congress where a once-in-a-decade leadership transition will take place at its conclusion.

"I've always told the authorities, we're playing the game of cat and mouse -- but I am the cat," he added.

Inspired by the likes of Hu and Chen, analysts see a trend of more people in the younger generation -- armed with legal knowledge and Internet skills -- joining the ranks of human rights activists at a time when mass discontent over problems like a widening income gap and rampant official corruption simmer beneath the surface.

Former English teacher He Peirong -- known by her online name Pearl -- was so touched by Chen's story that she became involved in the plan to rescue him from his village to Beijing. Police in her hometown of Nanjing detained her for a week after Chen's escape in April, but she says she feels no regrets.

"As we become more educated and better off, I think our political conscience will become stronger, as more people wake up to stand up for their rights," she said, adding that police had warned her not to go to Beijing during the Party Congress.

As the West relies more on China economically during a global slump, observers say the issue of human rights has taken a backseat in its interaction with the Chinese leadership, noting that it was barely mentioned during the recent U.S. presidential election campaign.

"This is compensated greatly by the fact that Beijing is more worried than ever about the domestic human rights movement, about the fact that its citizenry is increasingly framing their demands through legal rights and human rights language," said Nicholas Bequelin, a Hong Kong-based senior Asia researcher for Human Rights Watch.

"The Party sees the stakes as getting higher and higher, and therefore we are seeing an increase in unlawful tactics and means of suppression of dissent."

Chen and his family say they have borne the brunt of such tactics, and relatives left behind continue to face official retribution after the activist's escape.

His oldest brother, Chen Guangfu, hasn't seen his son for half a year. Authorities arrested the younger Chen for attempted murder in late April and told his family that no one except police officers was allowed to see him during the investigation.

The Chens have maintained that the activist's nephew injured a few officials with a kitchen knife in self-defense when they broke into his house in the middle of the night and attacked his family after his uncle ran away.

An official with the local police department, who declined to give his name, told CNN that the younger Chen's case is now "in the judicial process" and would not comment further. Repeated phone calls to the local prosecutor's office went unanswered.

"My family is ruined, but I don't regret helping Guangcheng -- and we have done nothing illegal," Chen Guangfu said. "He helped those in need with his knowledge and skill -- and at least we can answer to our conscience."

With Vice President Xi Jinping expected to be appointed the new Communist Party chief Thursday, Pearl says she feels more optimistic about the country's future direction while Hu emphasizes he has lost all hope on the current regime. Chen, citing Chinese history, views the leadership change as almost irrelevant when it comes to the inevitable fall of tyranny and move toward a constitutional democracy.

While activists seem divided on whether a new generation of leaders will improve China's human rights record, Chen Guangcheng's elderly mother says she has a more basic worry: Will her youngest son ever be allowed back home to live freely and safely?

@highlight

Chen Guangcheng's mother lives with memories of guards in their home

@highlight

Dissident Hu Jia says Chinese authorities are playing cat-and-mouse games

@highlight

New breed of activists make mark in China, posing threat to the Communist Party