(CNN) -- On Monday, Republican presidential candidate Mitt Romney called for the appointment of a special prosecutor to investigate a series of recent leaks that critics charge are designed to bolster the national security credentials of the Obama administration.

Investigations by special prosecutors can take on a life of their own.

Recall that the investigation of the Whitewater real estate deal in Arkansas -- in which Bill and Hillary Clinton actually lost money -- morphed into the scandal of the Monica Lewinsky affair.

During the George W. Bush administration, Scooter Libby, a top aide to Vice President Dick Cheney, was convicted not of leaking the name of CIA officer Valerie Plame but of making false statements to the FBI during its investigation of the leak and also perjuring himself.

The recent leaks involve stories in The New York Times, Newsweek and the Associated Press that range from the hitherto undisclosed role of the United States in cyberattacks on Iran's nuclear facilities to details about the president's decision-making surrounding the selection of the targets of the CIA drone program in Pakistan and Yemen and the penetration by a spy of al Qaeda's Yemeni affiliate.

Earlier this month, Attorney General Eric Holder appointed two senior Department of Justice prosecutors to investigate the leaks, and the FBI is also investigating the matter.

Have those leaks, as Romney claimed on Monday, "put American interests and our people in jeopardy"?

It is not only Republicans making these charges. Well-regarded Democratic Sen. Dianne Feinstein, who heads the powerful Senate Select Committee on Intelligence, told CNN's Wolf Blitzer: "I think what we're seeing, Wolf, is an avalanche of leaks, and it is very, very disturbing. It's dismayed our allies. It puts American lives in jeopardy. It puts our nation's security in jeopardy."

The story that sparked these claims was David Sanger's piece in The New York Times earlier this month about the U.S. role in cyberattacks against Iran's key nuclear enrichment plant at Natanz, revelations that also appear in Sanger's fascinating new book, "Confront and Conceal."

Sanger goes into rich detail about how computer viruses were introduced into the Natanz plant and how they then took over the controls of the finely calibrated centrifuges that the Iranians use to enrich their uranium, causing the centrifuges to spin wildly out of control.

But did this really hurt U.S. national security? After all, the Iranians know that their problems with the centrifuges at Natanz are caused by cyberattacks and have publicly said so for the past two years. On November 29, 2010, Iranian President Mahmoud Ahmadinejad told reporters in Tehran, "They succeeded in creating problems for a limited number of our centrifuges with the software they had installed in electronic parts."

Computer experts around the world who examined the Stuxnet virus, the first computer virus that was introduced into the Iranian nuclear program, concluded two years ago that this was a virus that was so complex that it could only have been generated by a state, and the only two states with the technical know-how and motive to write the code for such a virus were Israel and the United States.

Last year, German computer security expert Ralph Langner, who had discovered the Stuxnet virus when it had first broken out of the Natanz plant, told a conference in California, "My opinion is that the Mossad is involved. ... But, the leading source is not Israel. ... There is only one leading source, and that is the United States."

Sanger's reporting about the cyberattacks on Iran revealed that the code name for the series of computer viruses unleashed on Iran's nuclear program is "Olympic Games" and also laid out some of the modus operandi of the viruses themselves, but since much of this was generally known by the Iranian regime, it is unlikely U.S. national security was really harmed by the disclosures.

In fact, open discussion of the cyberattacks against Iran is in the public interest because three questions about the attacks quickly present themselves:

-- What are the downsides of cyberattacks in a world that is so interconnected by the Internet?

-- Since it is the Pentagon's official position that a serious cyberattack against the United States is a form of warfare, is the U.S. therefore already at war with Iran?

-- When does a covert action against an American enemy rise to a form of warfare that it merits a broader public discussion?

According to Sanger, his sources about Olympic Games included "current and former American, European and Israeli officials involved in the program, as well as a range of outside experts."

So it is fair to assume that Sanger's reporting was hardly dependent on a particular Obama administration official (or officials) but rather, as all good reporters do, Sanger put together a myriad of sources to arrive at the composite picture of Olympic Games that he paints for his readers.

It is therefore quite unlikely that prosecutors will find particular officials behind the leaking but rather that Obama officials gave Sanger some small fragments of the Olympic Games story that he was then also able to piece together with the help of his Israeli and European sources, as well as experts on cybersecurity.

Another story that has critics of the Obama administration steamed is that it has allowed to become public that the president personally approves "kill lists" for CIA drone strikes in Pakistan and Yemen, a story reported both by Jo Becker and Scott Shane in The New York Times and by Daniel Klaidman in Newsweek and in his excellent new book about Obama's counterterrorism policies, "Kill or Capture."

No such criticism attended the Bush administration's decision to turn over to Bob Woodward the highly classified notes from "50 National Security Council and other meetings" that became the basis for Woodward's hagiographic book, "Bush at War," about the campaign to overthrow the Taliban during the fall of 2001.

There is nothing of substance to the criticism that discussion of the "kill lists" endangers national security.

After all, drone attacks are an entirely public form of supposedly secret warfare. A drone strike -- when a bomb or missile appears out of nowhere and incinerates some people in Pakistan's tribal areas or in Yemen -- is a public event. And it's a form of warfare that is, of course, well known to al Qaeda. The documents recovered at Osama bin Laden's Abbottabad compound in Pakistan demonstrate how worried al Qaeda's leaders were about the CIA drone strikes.

Incidentally, the president's being involved in making these life-or-death decisions about the fates of many hundreds of people in any given year is desirable. Is it a preferable alternative that he shouldn't be involved at all?

Also, discussion of the drone program is in the public interest as it's a form of warfare that is unlikely to remain an American monopoly for much longer.

After all, the U.S. has only had the ability to arm its own drones for the past decade, and many other countries now possess unarmed drones of their own. It won't be long before the Russians and the Chinese will be arming their own drones and precedents created by the Obama administration will surely be invoked by them.

The one story that may be genuinely troubling from a national security perspective is the one written by the deeply sourced Adam Goldman and Matt Apuzzo at the AP, who made public in May that a plot to destroy a U.S. bound airliner using a souped-up new version of an "underwear bomb" developed by al Qaeda's Yemeni branch had had been thwarted by the CIA.

As this story could have revealed "sources and methods" that might affect the future ability of the CIA or of "liaison services" working with the agency to penetrate al Qaeda in Yemen again, the precise source of this leak seems to be the most legitimate avenue of inquiry for the Justice Department and the FBI.

Finally, is there any merit to the notion that the Obama administration is spilling secrets to burnish its national security record? To help answer that question, let's quickly recall some of that record:

-- In the first two years of his presidency, Obama quintupled the number of CIA drone strikes in Pakistan, as a result more or less destroying al Qaeda there.

-- Obama has conducted around 40 drone strikes and airstrikes in Yemen, compared with the Bush administration's single drone strike there.

-- One of those Obama drone strikes killed the New Mexico-born cleric Anwar al-Awlaki, which appears to be the first time an American president has authorized the assassination of a U.S. citizen.

-- According to reliable news reports of drone strikes in Pakistan and Yemen, Obama has authorized strikes that led to the killing of at least 1,900 people, most of whom were militants but around 5% of whom were civilians. (The toll of 1,900 is more than double the total number of detainees who have passed through Guantanamo).

-- And, of course, Obama ordered the raid that killed bin Laden, a decision that was made against the advice of two of his most senior advisers, Secretary of Defense Robert Gates, who had served every president going back to Richard Nixon, and Vice President Joe Biden, who was elected to the Senate when Obama was 11.

This does not seem to be the record of a president who needs to bolster his national security credentials, something that seems to be well-understood by the American public.

In a variety of recent polls, Obama and Romney are now running neck and neck, but a poll released this month by Fox News shows that Obama beats Romney by 11 points on foreign policy issues and by 13 points on terrorism.

The irony of all the ruckus about the recent leaks is that the Obama administration, which came to power promising more government transparency, has been the most aggressive administration in U.S. history in its prosecution of alleged leaks to the press. It has invoked in six cases the rarely used 1917 Espionage Act to go after Americans not working for foreign intelligence services but who have leaked to the media.

By and large, the leaks are a Washington pseudoscandal that hasn't really harmed national security but have instead helped to foster a legitimate debate about the future of drone warfare and of cyberattacks that promise to transform warfare as much as fast-moving tanks changed the face of war in the mid-20th century.

@highlight

Mitt Romney, others have called for special prosecutor on national security leaks

@highlight

Peter Bergen: Most of the info about drones, Stuxnet were known by adversaries

@highlight

He says argument that the leaks put U.S. interests and people in jeopardy doesn't hold up

@highlight

Bergen: Public discussion of the implications of drones, computer wars is beneficial