(CNN) -- All eyes were on the opposition candidate as word of the election results spread.

After tireless campaigning and vows of victory, what would he say to throngs of fired-up supporters? Would he snap, after months of keeping his cool as Venezuelan President Hugo Chavez sprinkled speeches with insults aimed at him?

On the night after the election, Henrique Capriles Radonski was quick to concede after official results revealed he had lost by more than 10 percentage points.

New Venezuelan VP seen as possible successor to Chavez

"To know how to win, you also must know how to lose," Capriles said. "The word of the people is sacred."

His words, analysts say, reveal a strategy that could play a key role in how Venezuela's opposition evolves.

"It was very magnanimous and, I think, very constructive," said Michael Shifter, president of the Inter-American Dialogue. "I think that's a real model for Venezuela and for other countries."

After any vote, the way the losing candidate responds can have an impact far beyond Election Day, said Barbara Kellerman, a lecturer on leadership at Harvard University's John F. Kennedy School of Government.

"This is much more about the future than it is about the present," she said.

'The country is not waiting for my insults'

On the campaign trail before masses of supporters, and in state television interviews broadcast nationwide, Chavez described Capriles as a "dirty swine" and a "fly" who was not worth chasing. He called him a "little Yankee" and assailed him as a member of the bourgeoisie.

"He never acknowledged his name, just talked about the rich kid, and taunted him, as Chavez tends to do," Shifter said. "Capriles defended himself. But there wasn't the rhetorical back and forth, the tit for tat."

From the outset, Capriles said he wanted to take a different tone.

"They insult me, hey, I am not going to respond with an insult. The country is not waiting for my insults. The country expects my commitment," he said in a February interview with the Televen network. "The country expects me to offer them a future."

Going head to head with Chavez was a tactic opposition politicians had unsuccessfully tried in the past, Shifter said.

Chavez slams Venezuelan opposition after election victory

"He's such a master at it. If you start to criticize him, then he'll come back with more," Shifter said. "He's demonstrated over 14 years that he plays this game better than anybody ... (and) he emerges stronger than ever."

Chavez still triumphed in Sunday's vote, Shifter said, but Capriles -- with more than 45% of votes -- came closer than any past presidential election opponent has come to defeating Chavez.

"It obviously resonated with over 6 million Venezuelans," Shifter said.

The opposition candidate was quick to reassure his supporters and stressed that he did not believe there was fraud at the polls.

He compared the election to the way diehard fans feel when Venezuela's national soccer team loses. They are devastated, he said, but they don't stop going to the stadium.

"Look, I am on my feet. I got up, as I am sure the great majority of Venezuelans got up today. You have to learn from every process. You have to reflect always on every contest," he said Tuesday. "This path that we started to build together, this path continues, not against anyone but in favor of a better future."

Maintaining a unified front may prove difficult for the opposition coalition that backed Capriles, said Miguel Tinker Salas, a Latin American history professor at Pomona College in California.

"The one thing that brought them together was the figure of Chavez," he said.

Stephen Johnson, director of the Americas program at the Center for Strategic and International Studies, said Capriles' reaction after Sunday's vote may help the opposition stick together.

"Conceding quickly and doing so in an honorable way is helpful in maintaining civility on the opposition side," Johnson said, "and also in moving beyond the elections."

A different approach

You don't have to look far, Shifter said, to see an example of an opposition candidate who took a different approach.

After official results indicated he narrowly lost to Felipe Calderon in Mexico's 2006 presidential election, leftist presidential candidate Andres Manuel Lopez Obrador accused authorities of fraud and never conceded.

In the years that followed, Lopez Obrador referred to himself as "the legitimate president of Mexico" and continued campaigning around the country.

His supporters protested nationwide. In Mexico City, they staged sit-ins and blockades.

Memories of the upheaval stuck with many Mexicans. This year, when Lopez Obrador was once again a candidate, it didn't play well at the polls, Shifter said.

"It didn't really help his image very much nationally. I think he may have done a lot better this time. I don't know whether he would have won," Shifter said, "but I think people remembered the way he acted in 2006, and that was a real liability for him."

This year, election officials have repeatedly ruled that Enrique Pena Nieto won July's presidential vote. Lopez Obrador has not conceded.

Looking toward the future

That's not the norm, Kellerman said.

"The democratic tradition is to concede defeat graciously, so that whatever your future ... you are seen as a grown-up person who can accept this in the gracious spirit of an adult democracy," she said.

In the United States, for example, candidates often bounce back after an election loss, she said.

"We have a real tradition of people who've been defeated once coming back to win the next time over," she said, noting that Capriles could have a similar comeback in mind.

Kellerman, who analyzes global leadership trends on her blog, "Lame Leaders/Fed Up Followers," described Chavez as a "bully" and said a nation's people tire of such tactics over time.

"Eventually, the temper of the times is such that it's moving toward relatively greater levels of democracy and civility," Kellerman said, "and relatively lower levels of autocracy and bullying."

Shifter said Capriles' post-election comments struck a "perfect pitch." Venezuela's political landscape will inevitably change at some point, he said.

"Chavez is not going to last forever, and the concern is always that given the tremendous polarization in the country, and tremendous rancor, there's always the potential you can't rule out for some instability and some violence," he said. "The discourse that Capriles used during the campaign, but especially after he lost, is very helpful to reduce those tensions and to point to a path of reconciliation, which is what the country will need to heal."

Even with the election results in, political uncertainty remains in Venezuela, with questions about Chavez's health lingering.

Over the past year, the 58-year-old leader has been visibly weakened by cancer surgeries and treatment. He has kept secret the kind of cancer he has and his prognosis.

In May, speculation intensified over who would succeed Chavez when he named 10 people to the highest circle of his advisers. But in July, he said he was cancer free. Since Sunday's vote, he has pledged to push forward with his socialist reforms in his next six-year term and "be a better president every day."

That hasn't stopped speculation that the situation could be more dire than the president lets on.

"Who knows how long it will be before the next presidential election, given the president's current health?" Johnson said.

No matter when the next election is, Johnson said that "going forward, it remains to be seen" whether Capriles will be able to win more support and maintain the opposition's momentum.

On Thursday, CNN affiliate Globovision reported that the opposition candidate filed paperwork to run in December's election for governor in the state of Miranda -- a post he held until February, when he resigned to run for president.

He will face former Venezuelan Vice President Elias Jaua, who has been a key member of Chavez's inner circle.

CNN's Jethro Mullen and Mariano Castillo contributed to this report.

@highlight

Henrique Capriles Radonski conceded quickly after Venezuela's election

@highlight

"To know how to win, you must also know how to lose," he says

@highlight

Analyst says Capriles' comments were "perfect pitch"

@highlight

Expert: A candidate's response after an election "is much more about the future"