(CNN) -- It is a well known fact that during times of war, women are often subjected to increased sexual violence. Less well known is that the same is true for men.

Sexual violence against men is not limited to any particular part of the world. It's not confined to a state's armed forces or to rebel groups. Victims are civilians as well as detained soldiers. Perpetrators are male and female, and the sexual violence comes in different forms.

When the words "sexual violence" are mentioned, most people instinctively think of rape. While men are indeed raped, they are also subjected to a whole host of other atrocities.

In some wars, castration is prevalent; in others, male detainees are stripped of their clothes and forced to remain naked; in still others, beating of the genitals is commonplace. Male victims have also been forced to rape other victims, sometimes even members of their own family.

Take the civil war that is currently going on in Syria.

There have been numerous reports of sexual violence, including sexual violence against men. Just last month, the U.N. Commission of Inquiry reported that sexual violence was being perpetrated against men and women in detention centers. In an earlier report, the Commission noted instances of rape, electric shocks to the genitals and forced rape of family members.

And Syria is just one example. Research has shown that sexual violence has been committed against men in dozens of wars. In the last few years alone, there have been reports of wartime sexual violence against men, for example in the Democratic Republic of the Congo and the Central African Republic, as well as in situations of instability, for example in the 2007-2008 post-election violence in Kenya.

Only a few studies have been undertaken on the subject, but the results of these are astonishing.

One study, published in the Journal of the American Medical Association, found that 32.6% of the adult male combatants surveyed in the Liberian conflict had experienced sexual violence. Another study, this time relating to the eastern part of the Democratic Republic of the Congo, found that 23.6% of the men surveyed reported experiencing sexual violence, of which 64.5% were exposed to conflict-related sexual violence.

Not all conflicts will generate such high numbers, but even lower figures should be worrying. Indeed, there is likely an underreporting of male wartime sexual violence, akin to the underreporting of sexual violence generally. This is due to the shame, fear, guilt and stigma felt by victims.

Despite the prevalence of sexual violence against men for many years, the silence on the issue has been deafening.

In the last decade or so, there has been some limited progress. Today, there is often acknowledgment that men are subjected to sexual violence during wartime, and there are occasional media reports on the subject.

In official reports, however, all too often, the issue is mentioned only in passing or is relegated to a footnote -- and the principal U.N. resolution on the subject focuses on female victims of sexual violence almost to the exclusion of male victims.

Relatively few resources exist to assist male victims, with some organizations limiting their programs to female victims alone.

And there have been very few prosecutions involving sexual violence of men before international criminal tribunals.

The issue of wartime sexual violence generally has long been neglected. Things have started to change in recent years. However, attention has tended to focus on sexual violence against women and girls. That is an incredibly important issue, but it is imperative that other victims are not left behind.

The opinions expressed in this commentary are solely those of Sandesh Sivakumaran.

@highlight

Male victims of sexual violence during war are less well known than female victims

@highlight

Men are subjected to other atrocities as well as rape, says Sandesh Sivakumaran

@highlight

Syria's civil war is just one example of where such crimes have been reported

@highlight

Research shows men have been victimized in dozens of wars, says Sivakumaran