(CNN) -- Can-Do founder Eric Klein spent most of 2010 in Haiti helping people recover from the devastating earthquake.

As he returns to Haiti in 2011, his first stop will be at an orphanage that his charity helped rebuild last year. The 50 children there call him "EK."

The orphanage is completely out of food and resources.

"When you get out there, it is again the first day of the disaster -- it is like you are there for the first time," Klein said. "The need is still so great -- the disaster is not over, and in some ways it is just getting worse."

"Why do I do it? Anger and frustration. If it was your kids, and you were in the same situation, you are going to do whatever you can. You are not going to stop. And for the aid workers, the Haitian people have become family and we are emotionally invested, so we will see it through."

For all the efforts of aid workers, Haiti is still struggling with tattered tent cities, scarce basic necessities, and a cholera epidemic that has killed more than 3,000 people.

"It is hard to go back," Klein said. "People are out there, risking their lives and trying to make a difference, but they are limited, and for many the funding is gone. There is so much to do in Haiti that it is overwhelming."

And while donors, and prospective donors, are frustrated with the results of the dollars they sent in the wake of the quake, Klein is frustrated too.

"I don't want to say nothing has been done, and you don't want to take away from the groups that are out there, trying their hardest to make a difference," Klein said, "but where is the master plan? People are dying. People are running out of time."

According to Klein, nongovernment organizations working in Haiti are mostly responsible for slow progress, and he encourages donors to hold them accountable.

But the Haitian election and resulting political turmoil have delayed the launching of much-needed recovery projects, he said.

"We have supplies right now with Haiti's customs, still being processed, which was originally sent over there, and needed there, more than three weeks ago" Klein said.

"It discourages you when they are in total desperation and they look at you as the person to help them -- and your hands are tied. You can't get the stuff out and you go back to them empty-handed, and it is the worst feeling in the world."

Despite aid worker frustrations, Caryl Stern, president and CEO of the U.S. Fund for UNICEF, has seen improvement.

During the earthquake, roughly 4,000 schools in and around Port-au-Prince were destroyed. By the end of 2010, UNICEF had completed 57 semipermanent schools, with another 70 under construction. It has also re-equipped 2,000 temporary schools with learning materials such as backpacks, blackboards and furniture.

Stern's greatest encouragement is the children's crisp white uniforms.

"A month ago I was awed by 40 schoolgirls at a semipermanent school, who were wearing spotless white school uniforms," she said.

"Most of these girls are still living in tents, but every day they scrubbed their shirts, stretched them to remove wrinkles, folded them tightly to their textbook and placed them under their mattress. If this is what their future means to them, who am I to give up and say no?"

Her frustration with donor fatigue is that it has turned into an intellectual debate, weighing donations and speed of progress. Stern said this debate ignores the fact that these are people, and their lives are in the balance.

"I don't want America to stop from asking these tough questions, because they have to keep all of us on the ball. I just want them to understand that the option to stop helping Haiti, while we address those questions, is that people will die," Stern said.

This additional crisis of cholera in Haiti is being met by organizations already dealing with exhausted volunteers, donor fatigue and doubt.

"We are really stretched right now in our own capacity, and we are making a call to other organizations to step up response." said Jennifer Tierney, development director for Doctors Without Borders.

Thus far, Doctors Without Borders has treated 84,500 people suffering from cholera, and the group does not see an end to the epidemic on the immediate horizon.

Samaritan's Purse has also issued an urgent call for medical professionals to volunteer in Haiti.

In addition to volunteers, the group needs financial support to continue to provide medical supplies. It has sent 10 planeloads full of these supplies, but the supplies are barely keeping pace with the need.

"It can take 24 bags of IV solution, eight bags a day for three days, per person. If you then look at thousands of people affected, you can see the overwhelming need." said Melissa Strickland of Samaritan's Purse.

She understands the frustration donors feel, and said the slow progress weighs heavy on the aid workers as well.

"It hits your heart, to see more suffering on top of suffering. We are working such long hours, and you just try to focus on what is being done, and hold the hand of the mom who is scared her baby is going to die, and you reassure her and tackle the task at hand -- you focus on that, and that is what keeps you going," said Strickland.

@highlight

Haitian customs processes are keeping medicine from getting to earthquake survivors, said Klein

@highlight

Schoolchildren in Haiti prize their donated uniforms, which gives aid workers encouragement

@highlight

Exhausted aid workers now helping cholera victims and comforting relatives of the sick