Beijing (CNN) -- The policeman tapping on our car window makes it clear we are in a no-go area before placing his hand over the lens of our camera.

Later, filming across the road, a Chinese soldier approaches and makes it clear it is time to move on.

Things are tense around the Japanese embassy in Beijing.

Chinese military vehicles are clearly visible parked around the side of the building. Within minutes of our arrival there's a flurry of activity, as soldiers and police suddenly appear speaking into walkie-talkies and making phone calls.

Large protests during the weekend have raised the alert.

Thousands of people across China took to the streets outside Japanese consulates. Japanese-owned businesses and restaurants were vandalized and cars overturned.

It is all over a group of rocky uninhabited islands in the East China Sea that Japan says it owns -- a claim China vigorously disputes.

Maritime disputes not just about China

"The Diaoyu Islands are ours, they are a part of China. It is as if they are our home. If a thief breaks into our home, don't we have to drive the thief out?" activist Tsang Kin Shing asked.

Tsang took it upon himself to claim the islands for China. The Hong Kong-based activist, known as "Bull," joined others who swam out to the islands in a symbolic protest.

They were detained by Japanese police but later released. Bull is happy to proclaim himself a Chinese nationalist, but he's no fan of the ruling Communist party.

14 held after raising flag

"The Diaoyu island movement is not only aimed at the Japanese, it is also aimed at communist rule," he said. "We want to use it to educate our people to fight for their rights and make China truly democratic and strong."

The Diaoyu Islands -- known by Japan as Senkaku -- are indeed many things to many people. There are potential resource riches here: oil and gas and it is strategically vital.

Japanese activists too have swum ashore, raising their flag.

Asia's most dangerous waters

"I believe that our landing was success if we could show that Senkaku islands are Japan's territory and we the Japanese must protest by ourselves," said Japanese politician Yoshihiro Kojima.

It has touched off a diplomatic row.

Chinese analysts like Guo Xiangang, the Deputy Director of the China Institute of International Studies -- a think tank connected to China's Ministry of Foreign Affairs -- says it is rooted in history and age-old hatred but reasserted Beijing's sovereignty claim.

"There shouldn't be any discussion on Diaoyu Island. It has always been a part of China," he said.

When it comes to China's relations with Japan, history runs deep and often venomous. The islands are symbolic of what many in China see as unfinished business, redressing the impact of Japanese occupation in the 1930s and 1940s.

China says its claim on Diaoyu extends back hundreds of years. Japan says China ceded sovereignty when it lost the Sino-Japanese war in 1895.

Japan's surrender in World War II clouded the issue again. The islands were administered by the U.S. occupation force after the war. But in 1972 Washington returned them to Japan as part of its withdrawal from Okinawa.

That, says Guo, is where the current troubles begin. "The U.S. handed over the island to Japan for its own purpose during the Cold War. So, personally, I think the U.S. should take the blame for the dispute of Diaoyu island," he said.

The U.S. says it is not taking a position in the current dispute. But it is treaty bound to defend its ally Japan. Adding to the tension, the U.S. and Japan have started joint war games. It is a routine annual event but this year the aim is to seize an island.

For now this is just an exercise, but with tensions running high, there are fears it could become reality.

Japan deporting Chinese held over island landing

@highlight

Uninhabited island group in East China Sea claimed by China and Japan

@highlight

Japan administers islands known as Senkaku by Tokyo and Diaoyu by China

@highlight

Thousands took part in anti-Japan protests across China recently

@highlight

Followed arrest by Japan of pro-China activists who landed on the islands