The United States has evidence that the chemical weapon sarin has been used in Syria on a small scale, Defense Secretary Chuck Hagel said Thursday.

But numerous questions remain about the origins of the chemical and what effect its apparent use could have on the ongoing Syrian civil war and international involvement in it.

When asked whether the intelligence community's conclusion pushed the situation across President Barack Obama's "red line" that could trigger more U.S. involvement in the war, Hagel said it's too soon to say.

"We need all the facts. We need all the information," he said. "What I've just given you is what our intelligence community has said they know.  As I also said, they are still assessing, and they are still looking at what happened, who was responsible and the other specifics that we'll need."

In a letter sent to lawmakers before Hagel's announcement, the White House said that intelligence analysts have concluded "with varying degrees of confidence that the Syrian regime has used chemical weapons on a small scale in Syria, specifically the chemical agent sarin."

The White House cautioned that the "chain of custody" of the chemicals was not clear and that intelligence analysts could not confirm the circumstances under which the sarin was used, including the role of Syrian President Bashar al-Assad's regime.

Read the letter to Sen. Carl Levin (PDF)

But, the letter said, "we do believe that any use of chemical weapons in Syria would very likely have originated with the Assad regime."

The Syrian government has been battling a rebellion for more than two years, bringing international condemnation of the regime and pleas for greater international assistance.

The United Nations estimated in February that more than 70,000 people had died since the conflict began.

Caution urged

The Obama administration said it is working to gather more information on the reports and is calling for a full-scale United Nations investigation into what may have happened.

"Given the stakes involved, and what we have learned from our own recent experience, intelligence assessments alone are not sufficient -- only credible and corroborated facts that provide us with some degree of certainty will guide our decision-making," the letter said.

What's next in Syria

State Department spokesman Patrick Ventrell said the U.S. is working with its allies to get to the bottom of what may have happened. He said the intelligence assessments were "not the final corroborative facts we're looking for."

"We want the highest possible level of confidence because of the seriousness of the matter," he said.

Lawmakers call for action

After the announcement, lawmakers on both sides of the aisle said the United States needs to take action, but offered different proposals for what the next steps should be.

"It is clear that 'red lines' have been crossed and action must be taken to prevent larger-scale use," Sen. Dianne Feinstein, D-California, said in a statement. "Syria has the ability to kill tens of thousands with its chemical weapons. The world must come together to prevent this by unified action which results in the secure containment of Syria's significant stockpile of chemical weapons."

Rep. Eliot Engel, D-New York, said the U.S. government -- which currently supplies "nonlethal aid" to Syrian rebels -- must start "to immediately arm vetted elements of the Syrian opposition."

Sen. John McCain, R-Arizona, urged the administration to work for the establishment of a safe zone for Syrian rebels.

"Everything that the non-interventionists said would happen in Syria if we intervened has happened," he said. "The jihadists are on the ascendency, there is chemical weapons being used, the massacres continue.

"The president of the United States said that if Bashar Assad used chemical weapons that it would be a game changer, that it would cross a red line," the Arizona senator said. "I think it is pretty obvious that red line has been crossed."

Later, McCain said the reported use of chemical weapons was only a matter of time and that the United States "should have intervened a long time ago whether Bashar al-Assad was using them or not."

"No one should be surprised that he would do such a thing. We all know he will do whatever's necessary to hang on to power," McCain told CNN's Jake Tapper on Thursday. "And why should, frankly, chemical weapons be a red line when he's slaughtering and massacring, raping and torturing, his own people?"

Searching for evidence

The White House letter, signed by legislative affairs director Miguel Rodriguez, indicates that the assessment is based "in part on physiological samples."

On Wednesday, Syrian Free Army leader Gen. Salim Idriss told CNN's Christiane Amanpour that the Syrian government has used chemical weapons in several places, including Homs, Aleppo and Otaiba, near Damascus.

Idriss said rebel forces had some of the people reportedly exposed to chemical weapons examined by doctors, and they took soil and blood samples.

"And the samples were tested, it was very clear that the regime used chemical weapons," he said.

The British Foreign Office said Thursday that it had "limited but persuasive" evidence of chemical weapons use in Syria, and it urged al-Assad to allow unfettered access for international investigators.

Ventrell told reporters on Thursday that allowing a team of U.N. experts to investigate would be the "most direct way" to find out what happened.

"We have the U.N. ready to deploy inspectors on a couple of days notice. We're already pre-deploying out in the field near Syria and ready to go in," he said. "And you have the regime resisting a full and thorough and credible investigation within Syria. So we urge the regime to allow these inspectors in. That currently is the most direct route to getting to the bottom of what may have occurred."

Read the letter to McCain (PDF)

NATO leaders discuss the issue

The administration disclosure comes two days after Secretary of State John Kerry urged NATO members to prepare for the possible use of chemical weapons by the Syrian regime, while Russia's foreign minister accused the West of politicizing the search for such weapons, comparing it to the hunt for weapons of mass destruction in Iraq.

Russian Foreign Minister Sergei Lavrov warned Tuesday that reports of chemical weapons in Syria must be carefully investigated to avoid a repetition of the "Iraqi scenario" in which unconfirmed allegations that the regime of Saddam Hussein possessed weapons of mass destruction were the basis for the U.S.-led invasion.

He accused Western nations of trying to "politicize the issue" and broadening the investigation. Experts were supposed to be sent to Syria to study the possible use of chemical weapons in Aleppo. Instead, Lavrov said, investigators demanded access to all facilities in Syria and the right to interview all Syrian citizens.

"I believe that is too much," he said.

NATO remains conflicted about Syria's two-year civil war. While members are concerned about the mounting causalities, millions of refugees and the potential for a wider regional spillover, they are loath to become embroiled in another Middle Eastern conflict.

Israeli evidence

Earlier this week an Israeli intelligence official said Damascus was using weapons banned under international law against its own people in the country's civil war.

On Wednesday, Israeli President Shimon Peres said that he expected the United States to fall in line with its estimate on chemical weapons use in Syria.

"I think the United States and us and others will do whatever we can to meet this very dangerous weapon," he said. "The sooner the better."

Syria has said it is rebels who have used chemical weapons.

Explainer: Chemical weapons frightful, relatively inexpensive

Sarin gas is an odorless nerve agent that can cause convulsions, paralysis and respiratory failure. Nerve agents are the most toxic and rapidly acting of the known chemical warfare agents, according to the Centers for Disease Control and Prevention.

Sarin quickly evaporates from liquid to vapor form to disperse into the environment. It also mixes easily with water and can poison a water supply.

@highlight

Democrat and Republican lawmakers call for action, but differ on what next steps should be

@highlight

Intel assessment on sarin use is not final evidence, a State Department spokesman says

@highlight

U.S. defense secretary says Syrian regime may have used sarin

@highlight

"Limited but persuasive" evidence of chemical weapons use, British Foreign Office says