Washington (CNN) -- If California's Kevin McCarthy ascends as expected to the No. 2 Republican leadership position in the House, one thing is assured: He will be dogged by the ever-present political specter of immigration reform.

McCarthy's backers are hastily shoring up support for his candidacy as majority leader, but so are immigration reform advocates who want to make clear to him their expectations for action.

Labrador jumps into race for House majority leader

Texan Sessions drops bid to succeed Cantor in House leadership

"There is no reason for Congressman Kevin McCarthy, as leader, not to take leadership on this issue," said immigration reform activist Arturo Rodriguez, president of United Farm Workers. "Everyone will expect it and demand it. And we will step up all of our activities as a whole."

Such is the thorny predicament for the politically savvy lawmaker viewed as most likely to succeed Eric Cantor as majority leader. Cantor's primary loss in Virginia set in a motion a scramble for the position.

Then again, McCarthy, who actor Kevin Spacey reportedly shadowed in preparing for his role as majority whip Frank Underwood in the Netflix series "House of Cards," is used to such plot twists.

Is D.C. real life "House of Cards"?

McCarthy's own rapid rise is the stuff of a political soap opera.

He is the boy from Bakersfield who married his high school sweetheart and plunked down money he won in a lottery to start a deli. He used those earnings to go to college before entering politics.

His boss, former House Ways and Means Chairman Bill Thomas endorsed his young staffer to replace him in 2006.

Since then, McCarthy has easily won every subsequent re-election and has risen quickly â€” and shrewdly, friends say â€” through the House GOP's leadership ranks. He's now considered the frontrunner for the majority leader's job.

"We've been friends for many, many years now, but he looks at things differently," said fellow California Republican Rep. Jeff Denham. "He has the foresight to know when to push and when not to push and he understands when's the right time to get something done."

For example, McCarthy last year voted with many House Republicans, but not Denham, to defund the Obama administration's efforts to halt the deportation of young immigrants in the military or in school.

This year, he's supporting Denham's measure to help provide a path to citizenship for young immigrants who are also members of the military.

Doing the math

Down but not done: Cantor's loss not end for immigration reform

That's not to say there haven't been stumbles and miscalculations.

McCarthy became the party whip soon after the Republican takeover of the House.

But his ability to count and rally votes behind leadership's priorities were tested after partisan battles over raising the debt ceiling and funding food stamps.

McCarthy's affability has been key to helping soothe ruffled feathers, friends say.

Fellow California Rep. David Valadao counts McCarthy as "both a close friend and a respected colleague," and he's gotten a chance to see the would-be majority leader up close as they and others in the delegation worked together on issues of providing water to their Central Valley region as well as infrastructure needs, he told CNN in a statement.

McCarthy often orders takeout and invites House members to his office to eat and talk about issues affecting their districts, their spouses and children, Denham said.

"He invites members to his office and it's like sitting around the family dinner table," he said. "He also takes the time to go to people's districts all across the nation."

A tale of two Republicans: A story of the GOP and immigration reform

Careful calculations

Friends say McCarthy, 49, will need that personal touch for crafting relationships and a sense of timing on hot button issues, should he be elected leader next Thursday.

That's because fallout from tackling immigration reform could prove politically perilous if Cantor, who has endorsed McCarthy, is any indication.

Dave Brat used Cantor's willingness to consider a path to citizenship for the children of illegal immigrants to hammer home his point that he'd lost touch with his constituents. That, analysts say, was crucial to his victory in the reliably conservative Richmond-area district.

"I think his (McCarthy's) views on immigration are similar to Cantor's," said Steven Camarota, director of research for the non-profit Center for Immigration Studies. "But after this week's results, it seems much less likely he would push it. And even less likely still that he would move his members to push it."

Conservatives are pushing aggressively to have one of their own fill McCarthy's current job as whip and join the House GOP leadership ranks, which would create an interesting dynamic between the top two Republicans in the House and the whip.

GOP "trapped" by amnesty

McCarthy's home turf is California's 23rd congressional district, a Republican stronghold ripe with lush farmland in the shadow of mountain ranges.

It is also a place that is 35% Latino and where the local business community has made clear that it depends heavily on immigrant labor to pick such crops as grapes, oranges and tomatoes.

"We have spoken with Congressman McCarthy and his staff about immigration reform and its importance to our local and regional economy," Cynthia Pollard, president and CEO of the Greater Bakersfield Chamber of Commerce told CNN in a statement.

"I led a delegation of several other business leaders in a meeting with Congressman McCarthy last fall in Washington, D.C., to discuss the issue. He expressed at that time and has since reaffirmed his commitment to a step-by-step assessment and overhaul of the system that is clearly broken."

In the meantime, immigration advocates who have hosted protests and sit-ins at McCarthy's district offices in the past vow they are poised to do so again if they sense he's unwilling to tackle reform.

"As the person responsible for scheduling House votes, when it comes to immigration reform McCarthy will either be a hero or a zero," Frank Sherry, executive director of America's Voice, an immigration reform advocacy group, said in a statement.

"He can save the GOP from itself by quickly scheduling a vote on historic legislation that the majority of the House, the country and even his district supports; or he can squander the opportunity. ...The future of the GOP may well hinge on his choice," he said.

Complete coverage of 2014 Midterm elections

Five things to know about Kevin McCarthy

House Republicans elect McCarthy to take Cantor's job

@highlight

Rep. McCarthy may face pressure on immigration reform if elected majority leader

@highlight

His Central Valley district is home to farms and businesses that rely on immigrant labor

@highlight

Friends say his savvy, friendliness helps him in times of tough votes

@highlight

McCarthy's ambition and affability may be needed for thorny immigration debate