LONDON, England (CNN) -- On an island off the coast of the Chinese city of Shanghai, architects, engineers and contractors are preparing to build a new city later this year. In itself, this is nothing special one would think.

Dongtan, the eco-city being built off the coast of Shanghai on the Yangtze River.

With 20 percent of the world population living in China and national population figures set to hit 1.47 billion by 2020, there is always demand for new housing.

But the city that is to be built on Chongming Island at the mouth of the Yangtze River is like no other in the world: Dongtan eco-city is planned to be first truly environmentally and economically sustainable city.

Situated on a plot of land that is around two-thirds the size of Manhattan, Dongtan is surrounded by wetlands and lies beside a bird sanctuary where hundreds of rare migratory birds seek refuge.

It was these unusual natural conditions that sparked the ambitious idea of creating a new urban concept for an entirely sustainable city that would minimally impact the surrounding environment.

Planning started in 2005, after the London-based engineering and design firm Arup signed a contract with the Shanghai Industrial Investment Corporation (SIIC).

"We were asked to create an 'eco-demonstrator'," explains Roger Wood, Arup's project coordinator for the Dongtan project since 2004, "a project that incorporated a number of ideas and design concepts that would increase the Chinese understanding of sustainability.

"China has known about sustainability for 20 years, but -- like everyone else -- it has just not been able to apply it as a concept."

The project is to be implemented in several phases, starting with a one square-kilometer plot that is expected to be ready in time for Shanghai's 2010 World Expo and that will house around 5,000 people. The 6.5 square kilometer start-up area will be developed to accommodate 80,000 people by 2020 and by 2050, the city is projected to cover an area of 30 square kilometers and have a population of half a million.

Building a community spirit

Today the site is still isolated from the mainland, but the opening of a bridge and tunnel link in 2008 will reduce travel times to and from the island from over three hours to just one hour.

Dongtan is however not to be just another dormitory town from which people commute to Shanghai: the new city will provide jobs to its inhabitants.

"It is what we call integrated urbanism: we look not just at the environment, but also at social and economic aspects: employment opportunities, the way people work, the way people play, the way they move around the city," says Wood.

At the same time, the project also deals with technical aspects like how to provide a sustainable water supply, how to treat wastewater, how to recycle and process waste and how to reduce the use of cars, by concentrating activities around three "village entrees" and encouraging people to walk, use bikes or public transport.

"The important thing is that we are not restricting people; we are trying to encourage them to think about the way they live. Questions like: how much electricity do you use and what type of electricity?" says Wood, adding that cars in Dongtan will run on hydro-fuel or electricity, thus reducing noise and improving air quality.

But what will daily life in Dongtan be like? Wood describes a typical day, in which people can walk their children to school, head on to work, easily meet their partners and friends for lunch and enjoy the many green spaces.

At the same time people will also be more aware of their impact on the environment. They will get electricity from wind turbines and they will be able to monitor their energy and water use in the home.

"The project is very much about creating a community," says Wood. "Community is very important and it is something the Chinese are very good at now, but which may disappear with the current explosive growth of cities."

Visionary concept

Despite all the new technologies and sustainable concepts, Dongtan will remain a recognizably Chinese city.

After studying the site and its history and looking at the elements that make up the traditional Chinese city, designers came up with ways to give Dongtan a Chinese feel. "There are lots of water spaces and bridges with what the Chinese call 'dreamy pools'. It is a city that is close to nature and that helps people understand nature," says Wood.

Using ideas from Dongtan, Arup is today working on the development of master plans for three other eco-cities in China and also master plans for cities in Russia, Britain and Saudi Arabia.

"The key of the Dongtan concept is that all elements are considered. And in principle this can be applied anywhere else in the world. But it does take a visionary to make the project viable; a project like that is not just business as usual.

"It is more complex, because the economic viability is just as important as sustainability. A city can't be sustainable if it is not economically viable," says Wood.

Thus, starting on a modest one-square kilometer plot at the mouth of Yangtze River, a group of visionaries is perhaps revolutionizing the way we will live in and think about cities around the world.

.............................................

Are new environmentally friendly cities the answer to preventing global warming? Share your views and read others' thoughts in the Just Imagine forum. E-mail to a friend

@highlight

Chinese island is first truly environmentally sustainable city

@highlight

Dongtan is being planned with a community spirit in mind

@highlight

City will retain a traditional Chinese feel