Atlanta (CNN) -- Ranee Roberts feels lucky to have survived the impact of a tornado that hit her Alabama convenience store in April.

"Before the twister hit, I sent a last text to say 'I love you' to my best friend, and then the building began to come apart around me," said the 34-year-old from Henagar.

Roberts said she knew only about two minutes before impact that the twister was heading toward her store. The tornado was rated an EF-4, with estimated winds peaking at 175 mph.

"There was no time for preparations, only prayer," she said. "I felt utterly hopeless thinking I might be spending my last moments on Earth curled up on the stockroom floor."

Looking back, she was ill-prepared for the storm and its aftermath. She felt that she got off extremely lucky walking away with "just a few scratches" to her body.

She learned from her harrowing experience to keep a first-aid kit, flashlight, bicycle helmet, battery-powered radio, power generator and Meals Ready to Eat in her storm closet.

According to the National Oceanic and Atmospheric Administration, a record 14 weather and climate disasters in 2011 caused $1 billion or more in damage, including the Alabama tornado that Roberts survived. At least 669 people died in these storms and thousands were injured.

View a list of the storms

"In my four decades of tracking weather, I have never seen extreme weather like we had in 2011," said Jack Hayes, NOAA's assistant administrator for weather services and the National Weather Service director.

Although no two years are alike, Hayes said, it's important for Americans to be prepared for the worst.

"The U.S. population has almost doubled since 1954, and trends such as urban sprawl and conversion of rural land to suburban landscapes increase the likelihood a tornado will impact densely populated areas," he said. "We have also become more vulnerable to coastal storms and hurricanes as more people are living in coastal areas."

Hayes said the 2011 Southern drought and floods across the northern U.S. represent the extreme temperature and precipitation swings that climate scientists project will become more common amid a warming climate.

As a result of these conditions, Hayes' agency has redoubled its efforts to create a "Weather-Ready Nation."

"We want the nation's response to and the outcome from severe weather to be different in 2012 and in the future," he noted.

The devastating effects of extreme events can be reduced through improved readiness. Hayes said a "weather-ready nation" is one made up of people empowered to make life-saving decisions that also prevent devastating economic losses.

Roberts said that neither she nor her neighbors and friends in Alabama felt they were as prepared as they could have been for April's tornado. They lacked basic supplies and relied on the Federal Emergency Management Agency, other community members and a local church to help them after the storm.

"That tornado was a clear reminder of our vulnerability," she said. "Your life can change in an instant."

One of the many lessons she learned from her experience was to create an emergency preparedness plan, something Hayes wants for all Americans.

In the end, emergency managers, first responders, government officials, businesses and the public need to be equipped with better weather information and a plan to make fast, smart decisions to save lives and livelihoods, Hayes said.

As part of creating a "weather-ready nation," Hayes' agency is launching pilot projects in the Gulf Coast, South and mid-Atlantic regions to increase "on the ground" capabilities.

In the north central Gulf region, for instance, a pilot team of meteorologists and hydrologists is developing methods to improve coordination to enhance preparedness and response efforts.

Hayes also wants Americans to understand that each type of weather condition deserves a specific type of preparedness. NOAA's website links to FEMA's ready.gov site, which offers detailed information on how to create a disaster plans for various conditions.

To prepare for tornadoes, for example, it's critical that families identify a "safe room" in their house to go to when they hear a tornado siren or learn that a tornado warning is in effect, Hayes said. If you are outside or away from your home, you should immediately get into the lowest level of a sturdy building. The safest type of room would be underground, such as a basement or cellar, he said

Meteorologist Bonnie Schneider, who appears on the various media platforms of CNN and HLN, has written a new book releasing January 31, called "Extreme Weather," which provides a guide to surviving all types of natural disasters. She notes the growing importance of technology and social media in becoming a "weather-ready nation."

"During natural disasters like earthquakes or hurricanes phone lines may go down so SMS and Twitter may be the only ways to communicate," she said. "It's important to have these types of accounts set up, and know how to use them, before an extreme weather event occurs."

Schneider recommends having a plan for pets too, including emergency food supplies and an accessible place to keep a picture of your pet and proof of ownership. This may be needed at a shelter, or if the pet is lost.

"You've got to be proactive in preparing for extreme weather," she said.

"An extreme weather condition, like the tornado I experienced, doesn't care if you are rich, poor, young or old," said Roberts. "What does matter is how prepared you are and how quickly you react when time is of the essence."

@highlight

NOAA: A record 14 climate disasters in 2011 caused $1 billion or more in damage

@highlight

Official says conditions are prime for more extreme weather disasters

@highlight

Weather Service director: Doubling efforts to be a "weather-ready nation"