(CNN) -- Diplomacy is never easy. Top diplomats of Iran, the United States and other permanent members of the U.N. Security Council, plus Germany, spent three days debating a first, interim deal on Iran's nuclear program. And an agreement was found: After 34 years of estrangement, Iran and the U.S. were finally on the same page.

Still, the deal fell through. French Foreign Minister Laurent Fabius showed up in Geneva, Switzerland, a day into the talks and adopted a hawkish line that guaranteed the failure of the discussions.

And much to the dismay of the other diplomats involved, Fabius broke protocol and announced both details of the talks and the failure to reach a deal before U.S. Secretary of State John Kerry had a chance to address the media. Fabius, echoing the objections of hard-line Israeli Prime Minister Benjamin Netanyahu, argued that Iran would get too much in the proposed deal. But in reality Iran was only offered modest sanctions relief in return for some significant suspension of aspects of its nuclear program.

Here's why the deal the United States negotiated, and France scuttled, would have been good for America.

1. Iran would not get a nuclear weapon

The most important aspect of the agreement with Iran that U.S. President Barack Obama is pursuing is that Tehran would not be able to build a nuclear weapon. If Tehran tries to cheat, it would be caught very early in that process and face consequences. By limiting Iran's nuclear enrichment activities to below 5% enrichment, combined with the most intrusive inspections that exist -- the Additional Protocol to the Non-Proliferation Treaty -- the deal means Iran could not amass the material to build a nuclear bomb. In short, Obama would achieve America's main national security objective.

2. This would be a good deal for Israel

Even though Netanyahu would never say it publicly, he knows very well that this would be a good deal for Israel -- not only because it would prevent Iran from building a nuclear bomb, but because improved U.S.-Iran relations inevitably would lead to a softening of Iran's position on Israel. This has already happened since Iranian President Hassan Rouhani was elected. When Iran's strategic interest has dictated such a position on Israel, it has pursued that path in spite of its ideological inclinations to challenge Israel.

Don't take it from me, take it from the former head of Israel's intelligence services, Efraim Halevy: "If the dynamism that leads to a resolution of the nuclear issue, leads to a thaw between Iran and the U.S., it's very difficult for the Iranians to envisage an 'American spring' at the same time they pursue a confrontation with Israel."

3. It would be good for human rights and democracy in Iran

Human rights defenders and pro-democracy activists in Iran have for years testified that tensions between Iran and United States -- with the risk of war and devastating economic sanctions -- have made their work all the more difficult. The situation created an Iran with military-security forces in charge. Everything was seen through the prism of a potential war with the United States. Political freedom and human rights became lesser priorities for Iranians when the primary concerns were to survive the economic malaise and avoid war.

Democracy simply does not flourish under the threat of war or under the burden of economic collapse. With the reduction of tensions as a result of this deal, the opportunity would rise once more for the defenders of democracy and human rights to push Iran's political system toward greater freedom.

4. The destructive escalation train would be stopped

For the first time since 2005, key elements of the Iranian nuclear program would be frozen. This would be a significant achievement: Although the West has for years escalated its sanctions and put great pressure on the Iranian economy, Iran has at the same time expanded its nuclear program, inching closer toward a nuclear weapons capability -- a mutual escalation, with no solution in sight. Obama's deal with Iran would put a stop to that. Negotiations could proceed without the nuclear program progressing at the same time.

5. It would advance the fight against al Qaeda

In spite of their enmity, some issues have found Iran and the United States on the same side, perhaps nowhere more than in the struggle against al Qaeda. Iran has been targeted by al Qaeda's terrorism for decades. It is often said that the Salafi Sunni extremists in al Qaeda hate the Shiites in Iran more than the infidels in America. Yet the hostility between Iran and the United States has prevented them from collaborating against this common threat to the extent that they could and should. By opening the path to improved relations between the two states through the nuclear deal, they could claim common cause against this global threat and help stabilize the region.

6. There would be peace, not war

Last but not least, not only would Obama's deal prevent a nuclear-armed Iran, it would also prevent a devastating war with Iran. Make no mistake: Although the U.S. military can handle another war, the U.S. economy cannot absorb its cost. Without this deal, a military confrontation would become all but certain and the American people would have to kiss the economic recovery goodbye.

The American people who fought tooth and nail against a limited war with Syria would have to settle for a war with Iran that could well be far more devastating. Thanks to Obama's diplomacy, this nightmare scenario could be prevented.

Join us Facebook/CNNOpinion.

The opinions expressed in this commentary are solely those of Trita Parsi.

@highlight

Trita Parsi: France scuttled a good Iran-U.S. deal negotiated by the U.S., accepted by others

@highlight

He says deal offered Iran modest sanctions relief for big overhaul of its nuclear program

@highlight

Parsi: It was a good deal for the U.S., for Israel, for human rights in Iran, to fight al Qaeda

@highlight

Parsi: Deal would stop inevitable escalating march to a devastating war with Iran