The artificially chilled halls of the U.S. Capitol this week are a sort of an out-of-body experience.

Thoughts of the month-long August break from Washington permeate nearly every encounter and phone call.

It is as if lawmakers have been strapped to their desks for months.

But a CNN analysis shows Congress has spent less time on Capitol Hill so far this year than in any of the previous five years.

House members have been in Washington for 56% of all non-holiday weekdays -- essentially, fewer than three days a week. Senators have walked into the Capitol for 61% of weekdays.

The weeks are not just shorter, but consistently so. The Senate did not have a single five-day work week in Washington for the first seven months of the year. The House had two.

Boehner juggles assault on Obamacare, avoiding shutdown

CNN counted days that lawmakers were in Washington excluding "pro-forma" sessions, which are technically considered work days but last only a few minutes and are usually ignored by members.

The number of congressional work days now is significantly less than the high point of 2009. That's when the Senate met for 113 days before the August recess, which is 24 days more than the same period this year.

The House met for 19 more days in 2009 compared to this year.

At that time, Barack Obama was just beginning his presidency and Democrats led both chambers and pushed an aggressive agenda.

The time spent by members in Washington dropped sharply the following year and has decreased nearly every year since with each party controlling one house and partisanship defining the political climate.

CNN Money: Congress OKs cheaper student loans

So Congress is definitely in Washington less.  But there is a debate over how much that matters.

Longtime congressman Lee Hamilton takes one view. Strongly.

"They don't spend enough time in Washington," he said, frustrated, "They don't get to know each other. When they do interact, they are often in confrontational settings. ... Legislation is a very complex process. It takes a lot of time, a lot of give-and-take and you cannot force it."

Hamilton, a Democrat who served in the House from 1965 to 1999, now runs the Center on Congress at Indiana University.

He believes the shorter window in Washington squeezes out the heavy lifting of lawmaking and that a lawmaker's hours in the Capitol are filled with meet-and-greets, fundraisers and receptions instead of legislative work.

"It got to the point when I was there," Hamilton recalled, "that I had 15 appointments on Tuesdays. You can't get legislating done in that environment."

But others question whether more time in Washington would change anything.

"I can't imagine that they'd be anymore productive if they were here more," said Mike Tanner, senior fellow at the libertarian-leaning Cato Institute.  "It's not like they do a lot when they're here."

Tanner stresses that most major legislation is currently worked out behind closed doors by a few leaders and members of each chamber.

While some in Congress, like Rep. Scott Rigell, R-Virginia, want to cancel August recess and force a work session, Tanner thinks such a move would achieve nothing.

"Sitting here in August while the leadership meets behind closed doors wouldn't do much," he concluded.

Gamesmanship intensifies as Congress approaches August recess

Members of Congress themselves seem divided.

"The real problem is that when we're here, we're not doing anything," said Rep. Earl Blumenauer, D-Oregon. "You're actually better off back home because you can work with people, you can deal with the folks you represent, deal with their questions and gather more information ... for when people decide when we are going to get back to work."

But fellow Democrat Rep. Brad Schneider, D-Illinois, when asked if Congress needs to be in Washington more replied, "Yeah, I think it's important we address the challenges we face as a country.  The reason I came here was to tackle those challenges."

Conservatives like Tanner are happy for Congress to stay out of town, theorizing that a better government is one that does less.

The office of House Majority Leader Eric Cantor, R-Virginia, which schedules the calendar in that chamber, defended the time away from Washington.

"It's critical for members to have district work periods to hear from their constituents on a variety of matters," said Cantor spokeswoman Megan Whittemore, "including chronic unemployment, the next steps toward addressing immigration and our debt crisis."

Whittemore stressed that the House has been active, passing legislation on student loans, job training, the Keystone pipeline, cybersecurity and other measures.

The office of Senate Majority Leader Harry Reid did not respond to CNN's questions about that chamber's schedule.

Whatever votes either chamber has taken, neither has found time to fully deal with two looming fiscal crises. Treasury Secretary Jack Lew has indicated the nation could hit its borrowing limit as soon as Labor Day.  And funding for much of the federal government is due to run out on September 30, raising the possibility of a government shutdown without a resolution.

As Congress leaves for August recess, most funding bills remain in limbo and there is no outline or even talks over how to address the borrowing limit, or debt ceiling.

CNNMoney: Debt ceiling awaits

Some say that when members return in September, the logistics of the calendar will make things harder.

"(The schedule) is very poorly arranged to get things done," said Bill Galston, chair of the Brookings Institution's Governance Studies Program.  "It's a series of starts and stops, punctuated by flights to and from fundraisers and their districts."

Galston and a bipartisan organization he works with called "No Labels" would rather see Congress stay in town for three consecutive weeks and then recess for a full week.

That's similar to what House Republicans initially planned when they took over the chamber - two weeks in Washington and one week at home.

Instead, though, the 2013 House calendar is dotted with small clusters of time and, as CNN found, a rate of being in town of 56 percent.

That is the average, for long spans of time it can be less.  In January, for example, the House was in the capital just seven days. The Senate 10.

King hammers away at Paul in GOP infighting

@highlight

CNN analysis shows Congress has been in Washington less this year than anytime in at least five years

@highlight

The House has averaged fewer than three days a week in town

@highlight

The Senate has met 24 days less than the same period in 2009

@highlight

Experts debate whether more time in Washington would produce better decisions