(CNN) -- The U.S. Supreme Court's decision upholding a piece of Arizona's controversial immigration law portends such a "huge" increase in policing for one department that the chief wondered Tuesday if his agency will be able to handle the workload.

At a time when the Tucson Police Department is down 160 officers because of a weakened economy, the agency now must make up to 50,000 additional phone calls a year to federal officials to verify the immigration status of persons whom officers have stopped and have reason to believe are in the country illegally, Police Chief Roberto Villaseñor said Tuesday.

Other law agencies in Arizona, however, reported "business as usual" a day after the Supreme Court ruling.

Just 70 miles from the Mexican border, the Tucson department may have to spend more than $10 million a year to book and jail up to 36,000 arrestees also suspected of being illegal immigrants -- a more than 7% increase to the agency's $130 million budget, Villaseñor said.

The police chief said he wonders if his 950-officer agency has been dealt an "impossible mandate." The state law, SB 1070, allows citizens to sue his department or others if they fail to enforce federal immigration laws, the chief said.

Romney, GOP struggle with immigration issue

"Just for my agency, it will be a huge workload, just making the calls and waiting for a response on what to do," the police chief of Arizona's second-largest city said.

"I'm not sure the federal government is capable of handling all the requests that they will be receiving," Villaseñor added. "I don't know what effect it will have on my agency."

Tuesday marked the first 24 hours that state and local law agencies began enforcing the state immigration law since Monday's court ruling, and law agencies were either engaged in training or rolling out the mandatory immigration checks, said Amy Rezzonico, a spokeswoman for Arizona attorney general's office.

"I'm pretty sure it will be business as usual to some degree," Rezzonico said.

Analysis: Five things learned from high court ruling

That was the case for the more than 3,100 police officers in Phoenix, the state's largest city, located 180 miles from the border. A police department spokesman said Tuesday he had no immediate feedback from officers or U.S. Immigration and Customs Enforcement on the progress or results of the day's immigration checks.

"We're really not attempting a big shift from what we're doing now," said spokesman Sgt. Tommy Thompson. "I think there's a misconception that police officers in Arizona are going to go out and hunt down people who are illegally in the United States.

"I am mandated to make a reasonable attempt to contact ICE," Thompson said. "It's 107 in Phoenix today. How long am I going to stand on the side of the road with someone (awaiting an ICE response)? It's a matter of minutes -- 20 minutes maybe, 30 minutes maybe."

Groups say immigration fight is changing Arizona

Concerns by lawmen such as Villaseñor unfolded as President Barack Obama and Arizona Gov. Jan Brewer squared off about the impact of Monday's U.S. Supreme Court ruling that upheld the "show-me-your-papers" provision -- but struck down other portions of the state law intended to deter illegal immigration.

Already, the Obama administration has indicated it won't allow Arizona's immigration priorities to become federal priorities. The administration has ended the so-called 287(g) agreements with Arizona, under which state and local law agencies entered into a partnership with the Department of Homeland Security and were delegated authority for immigration enforcement within their jurisdictions.

Also, the administration recently halted deportations of DREAM Act-eligible immigrants -- young adult undocumented immigrants -- as it will redirect resources to deporting those who are deemed a greater threat, such as criminals.

The White House highlighted its tougher approach on criminals in announcing a record number of deportations last year.

In denouncing some of those Obama measures, Arizona's Brewer said further lawsuits lay ahead on the immigration status checks, and pledged, "This certainly is not the end of our journey."

The portion of the state law validated by the high court is potent, one expert said.

"If you read the statute carefully, it literally creates an obligation for all law enforcement agencies to determine status of individuals," said Marc Miller, a vice dean and law professor at the University of Arizona. "By making it a mandate and lining it up against the warnings of the Supreme Court, it's created an impossibly difficult question for police and sheriffs. Are we concerned about racial profiling? Absolutely."

But how police will apply the law -- requiring immigration checks while enforcing other laws if "reasonable suspicion" of illegal immigration exists -- is "confusing," CNN senior legal analyst Jeffrey Toobin said.

"What does it look like in the real world to have reasonable suspicion that someone is here illegally? What is a police officer supposed to do?" Toobin asked. "How to apply that in the real world is kind of mysterious to me."

At least two sheriffs in Arizona said that the law won't result in great change for their departments.

A changing national mood on immigration?

Pima County Sheriff Clarence Dupnik said his deputies will continue to call the Border Patrol to determine a person's immigration status if a deputy suspects that person is in the country illegally. That will result in about 100 referrals a month to the Border Patrol, he said.

"We're continuing to do business as usual," said Dupnik, who's been sheriff for 32 years.

Dupnik said he opposed SB 1070 because if the entire law had been upheld by the federal courts, it would have resulted in overcrowded jails and overburdened state courts.

"The more important thing is how the chief of a law enforcement agency chooses to enforce the law," Dupnik said. For example, other counties do immigration sweeps, but not his, he said.

"Law enforcement did not ask for this law," Dupnik said. "Law enforcement did not need this law."

Santa Cruz County Sheriff Tony Estrada said the validated portion of the law marked "very little change" for his department. His county shares a 50-mile border with Mexico and is a major corridor for smuggling of drugs and illegal migrants.

His 39 officers will continue to call any of the 1,000 U.S. Border Patrol agents in his county to conduct immigration checks, he said. "Our concern is the public perception of what we are doing," he said. He fears Latinos won't ask for help and witnesses won't come forward, he said.

"The Hispanics will look at us a little differently, and that concerns me," Estrada said.

Merchants and residents of the Latino community reported anxiety and fear among clientele and neighbors.

Phoenix taqueria owner Hector Manrique said Tuesday that business has been dropping since the law was proposed in 2010; he predicted it will get worse now that the Supreme Court has ruled.

"It's bad for the Hispanic community," said Manrique, a native of Mexico who has been in Phoenix since 1990 and has run the Taqueria Guadalajara since 2003.

"It seemed like everybody kind of forgot about it for a little bit and now, all of a sudden, I've got friends who were talking to me yesterday, and they're pretty scared because they've got kids, they've got family to support."

Kelly Ramirez, 31, of Tucson, a real estate broker and business owner, said many Latino immigrants don't know the details of the law, but they do know something has changed.

"They can't really look into it, so what they'll do is they'll hide," she said. "There's going to be less conversation, less help from individuals that maybe aren't doing anything wrong but know of somebody that is."

Russell Pearce, the former Republican state senator who authored SB 1070 and then was ousted from office in a recall election in his suburban Phoenix district last year, told CNN Tuesday that accusations of possible racial profiling were "demeaning to law enforcement."

"An officer is trained to pay attention to things that don't fit. All this bill does is allow them to ask the questions they need to ask," Pearce said.

Opinion: How Arizona law hurts Hispanic citizens

CNN's Laura Smith-Spark, Melissa Abbey and Kelly Andersen contributed to this report.

@highlight

Tucson chief worries about $10 million cost and 50,000 immigration checks

@highlight

Phoenix police begin enforcing law but have no immediate feedback from officers

@highlight

Two sheriffs report business as usual

@highlight

Experts raise questions about racial profiling under the immigration check law