Edwin Lyman of the Union of Concerned Scientists claims that I have a "zeal to promote nuclear energy," implying that I'm blindly and thoughtlessly promoting a technology I know little about.  I beg to differ.

I've spent four years on this film. I've consulted with some of the top nuclear scientists and energy experts in the country to fact check every detail that went into the film, including my senior science adviser, the Nobel Prize-winning physicist Dr. Burton Richter.

I've screened the film at the U.S. Department of Energy, to the general assembly of the International Atomic Energy Agency in Vienna, at nuclear engineering departments at the Massachusetts Institute of Technology, Stanford University and Texas A&M, to name just a few of the tech-savvy viewers who've scrutinized it. This film has received nothing but support from the technical and scientific community regarding the facts presented. So if Lyman has criticisms and sees flaws, his views are not representative of those who know the most about this technology.

Read what Edwin Lyman has to say

I am no zealot.  Nor am I an activist.  I've taken not a dime from the nuclear industry.  And I'm not a lobbyist or a propaganda tool for anyone.  I'm an independent documentary filmmaker with a long track record of producing sober and critically acclaimed films on historical, technological and environmental themes. I have no dog in this race.  I'm simply reporting what I've discovered after years of careful research.

It's shocking to many people (much of what I discovered was shocking to me as well) and it's caused the anti-nuclear movement to come after me like a ton of bricks. Lyman is but one of their many henchmen.

To me, all of these non-fossil energy technologies are simply tools to reduce our dependence on fossil fuels. They should not be regarded as ends in themselves -- including nuclear.  Each of them have their pluses and minuses, and we need to weigh the costs and benefits of each.  Solar and wind have their own problems, the biggest being scalability.  But there are many others as well that would only be magnified as they take a more dominant role -- the industrialization of the countryside being, to me, one of the most pernicious.

So I feel that Lyman's criticism is a little myopic and is driven mostly by his life-long aversion to nuclear technology in any form -- a view shared by many of his generation that grew up equating nuclear energy with nuclear weapons, as I once did.

Obviously, in a 90-minute film for a general audience, I was not able to go into every specific detail of the integral fast reactor technology.  So to find out more about the IFR technology profiled in the film, I would suggest you read the very easily digestible book on the subject called "Prescription for the Planet."

This is a book that's highly recommended by Dr. James Hansen by the way -- the world's foremost climate scientist -- among a great many others.  For those techno freaks who want to dig even deeper, I suggest reading "Plentiful Energy," a remarkable book by the scientists who developed the IFR.  Both of these books are excellent and chock full of amazing information. Lyman might want to read them too, rather than deriving his information from the Internet, which is all he seems to have done.

Climate scientists urge support of nuclear energy

Judge for yourself which side you want to stand on in this debate: anti-nuclear activists or climate scientists?  I know who I stand with.

Indeed, Hansen, in our post-screening panel discussion with CNN's Anderson Cooper, to be aired on CNN on Thursday and Sunday, November 7 and 10, told the audience that he believes the single best thing you could do if you care about the future of the planet and you care about your children and grandchildren is stop giving money to groups like Lyman's.  Sadly, the big environmental groups, in their staunch opposition to nuclear technology, have become as much of an impediment to us solving climate change as are the most vociferous climate deniers.

For the record, the IFR technology featured in the film is simply one illustrative example of the many advanced reactor technologies that are in various stages of development: thorium reactors, molten salt reactors, small modular reactors, traveling wave reactors, etc.

The list goes on and on, and all this stuff is being developed and prototyped now (mostly in China) and is mentioned near the end of the film.

Lyman and others seem to suggest that nuclear energy is hopeless and that all research and development into its advancement should be abandoned, period, and that we should throw all of our efforts into renewables and energy efficiency alone.

Given the overwhelming challenges we face in attempting to power a planet of almost 9 billion people with clean, affordable, non-CO2-emitting energy, that's about the most irresponsible course of action imaginable.

Watch "Pandora's Promise" and decide for yourself.

@highlight

Director: Some of country's "top nuclear scientists and energy experts" fact checked the film

@highlight

But scientist Edwin Lyman says the film hyped advanced nuclear technology

@highlight

Robert Stone: "The anti-nuclear movement" has "come after me like a ton of bricks"