(CNN) -- Tibetans have long occupied a special place in the heart of the West. But that has not done them very much good.

Over the past year, as the world focused on the Arab uprisings, and as China's growth shadowed over a weak global economy, the Tibetan struggle for autonomy entered a disturbing phase.

From a distance, it might have looked as if China thoroughly succeeded in crushing Tibet's hope. But at home, in a western part of China, Tibetans are giving notice that their struggle is not over. Chinese authorities would do well to reconsider their strong-arm approach, because with or without Western attention, the Tibetans will continue their fight.

It started in March of last year when a young Tibetan monk, Phuntsog, set himself on fire in a protest against China's policies. Since then, some 30 other Tibetans, mostly monks, have doused themselves with fuel and lit the spark that turned them into human torches, shouting cries for freedom and for the return of the Dalai Lama to his homeland, before collapsing and writhing in pain.

Beijing has responded with crackdowns. But despite a large presence of security forces and some 21,000 Communist party officials, the self-immolations continue. Most of the cases have occurred in a remote area that allows Chinese authorities to easily block out foreign reporters. Exile groups say Tibetan protests occur daily.

News about these occurrences has been sparse until this week, when the self-immolations crossed the Chinese borders into India. On Monday, 26-year-old Jamphel Yeshi set himself on fire before cameras in New Delhi during a demonstration to protest the visit of China's President Hu Jintao.

The gasp-inducing photographs of Yeshi in flames stunned the world.

On Wednesday, the Tibetan government in exile said that yet another monk set himself on fire. Lobsang Sherab died of his wounds. Chinese troops, according to Tibetan officials, took away his body despite his family's pleas.

Beijing blames the horrific practice on the Dalai Lama, calling the self-immolations "terrorism," even though the actions have no victims other than those who die at their own hand. In addition to trying to suppress Tibetan demands by brute force, as they have done for decades, Chinese officials have continued a propaganda campaign against the Dalai Lama, Tibet's spiritual leader, providing a version of events that leaps across the bounds of the credible.

For years, Chinese officials have called the Dalai Lama "a monster with a human face," and a "wolf in a monk's robe." Most recently, Beijing accused him of masterminding the gruesome protests. A government-run website accused the Dalai Lama of espousing "Nazi racial policies," and single-handedly crafting the self-immolations as part of a campaign of racial segregation. China regularly refers to the aging monk as a "splittist" who aims to divide China to achieve Tibetan independence.

In fact, the Dalai Lama long ago gave up his call for independence, instead pursuing a "Middle Way," which seeks genuine autonomy within China, with freedom for Tibetans to preserve their culture and ensure their survival as an ethnic group. In addition, he has remained an ardent supporter of nonviolence, rejecting the campaign of self-immolations while offering prayers for those who died in the incidents.

The Tibetan government in exile has also sharply decried the violent practice. From its base in Dharamsala, in northern India, it has stated that "as Buddhists, life is precious," urging Tibetans to "refrain from drastic actions."

But despite the Dalai Lama's position, Beijing refuses to hold talks and continues to flood Tibetan areas with Han Chinese, diluting the local population and limiting Tibetan monastic practices.

The Dalai Lama, who has achieved rock star status in much of the world, has done much to rally the West to his cause. But his effort only goes so far. Given China's increasing economic clout, even President Obama tried to avoid upsetting the Chinese government on the Tibet issue. When the Dalai Lama visited the president in 2010, he had to leave the White House through a back door -- in front of garbage bags -- to lower the profile of the visit. The president later met him more openly in the face of criticism.

China has the upper hand now, but it would do well to reassess its view of the Tibetan leader. It may hope that after his death, the Tibetan movement will lose strength. But the wave of immolations indicates that the opposite may happen. Tibetans are getting impatient with the Dalai Lama's nonviolent approach. After all, China has shown no signs of easing repression for those living under its rule.

The Chinese have said that they want stability, but its misguided policies on Tibet only create conditions for more instability. If China doesn't step up, then the West must help Tibetans make the point that an end to repression is the fastest road to stability.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Since March 2011, 30 Tibetans have set themselves on fire in protest of China

@highlight

Frida Ghitis: Beijing blames the horrific practice on the Dalai Lama, but he urges nonviolence

@highlight

Ghitis: Dalai Lama is popular in the West, but heads of state can't do much to help Tibet

@highlight

Ghitis: Unless China changes its polices toward Tibetans, it will only see more unrest