Washington (CNN) -- Following the U.S. Supreme Court decision striking down a key portion of the landmark Voting Rights Act, activists and those in states with a history of disenfranchisement at the polls are pinning their hopes on congressional action.

But those hopes may be long deferred.

A member of Congress who shed blood during the long march to civil rights told a Senate committee on Wednesday that he believes the Voting Rights Act "is needed now more than ever."

"The burden cannot be on those citizens whose rights were, or will be, violated. It is the duty of Congress to restore the life and soul to the Voting Rights Act," said veteran congressman John Lewis.

"The day of the Supreme Court decision broke my heart. It made me want to cry," the Georgia Democrat told the Senate Judiciary Committee.

He spoke of facing beatings while marching across the Edmund Pettus Bridge in Selma, Alabama, for the right to vote and his pride in receiving a pen used by President Lyndon Johnson to sign the 1965 Voting Rights Act into law.

The testimony came during a week in which both Attorney General Eric Holder and former Secretary of State Hillary Clinton told African-American audiences that the right to vote must be safeguarded and urged congressional action in timely revision of the law.

President Barack Obama has expressed that he, too, is "deeply disappointed" in the ruling and wrote in a statement he was "calling on Congress to pass legislation to ensure every American has equal access to the polls."

Skepticism Congress can address voting rights ruling

But despite the heartfelt speeches, the reality is that there is little political incentive for many in Congress to act, political and legal experts say.

"House Republicans don't really have any interest in changing what the Supreme Court decided and many of the states the House Republicans come from are taking advantage of this and moving forward with voting restrictions," said Julian Zelizer, a Princeton University historian and CNN contributor.

Last month, the high court effectively invalidated a key provision of the act that gives the federal government oversight of states and localities with a history of voter discrimination.

The ruling said Congress must re-determine how places are put on the list using updated data—something Chief Justice John Roberts suggested Congress should have addressed when it reauthorized the law in 2006.

"Congress could have updated the coverage formula at that time, but did not do so," Roberts wrote in the 5-4 majority opinion. "Its failure leaves us today with no choice but to declare Section 4 unconstitutional. The formula in that section can no longer be used as a basis for subjecting jurisdictions to preclearance."

'Outrageous' or overdue?: Court strikes down part of historic voting rights law

Shortly after the Supreme Court ruling, several states with a history of voter discrimination that had previously been required to "pre-clear" any changes to their voting laws and district lines with federal authorities, pressed forward with controversial voter identification laws.

Texas swiftly moved ahead with a hotly debated law requiring photo identification to vote and the state's attorney general also expressed confidence that new redistricting maps passed by the Republican-controlled legislature would soon be implemented.

The Justice Department had blocked the state's redistricting efforts, citing them as potentially racially discriminatory.

The ripple effects are being felt elsewhere as many of the 15 states — most of them in the South — that had required federal preclearance before changing voting practices began enacting new laws.

In Mississippi and Alabama, that has meant proceeding with plans to require voters to present a photo ID before casting a ballot during the 2014 midterm elections.

North Carolina elections officials have said they are eagerly eyeing putting in place similar laws just in time for the 2016 presidential election.

Florida can set early voting times and days as it sees fit, a practice which drew criticism from some voting rights advocacy groups during the last general election amid accusations that the Republican governor and legislature were trying to disenfranchise minority voters in the swing state.

And in Georgia, Republican-redrawn district lines that irk Democrats could be set.

Further, Lewis and Wisconsin Rep. James Sensenbrenner, his Republican ally in the fight to recraft the Voting Rights Act, will go before a House Judiciary subcommittee on Thursday chaired by Rep. Trent Franks, R-Arizona, one of the 33 Republicans who voted against the law's 2006 reauthorization.

To be sure, "there are other provisions of the law that can protect voters," said Myrna Pérez, deputy director at New York University's Brennan Center for Justice.

There are still legal avenues to address discriminatory voting practices should they arise, she said.

Advocates for a congressional solution say lawmakers could pass a new formula for determining which places need extra oversight of their voting laws.

And political experts point out that should a trend of disenfranchisement occur during the next several election cycles, it could provide congressional motivation to revisit the law in a substantive way.

Goodlatte unsure if Congress will take up Voting Rights Act

But House Judiciary Committee Chairman Bob Goodlatte, R-Virginia, recently said that he doesn't know whether Congress will work to change the law so that it's considered constitutional by the justices.

"We will look at what the Supreme Court was talking about in terms of old data," Goodlatte said on CNN's "State of the Union." "We'll look at what new data is available and we will make sure that people's freedom to vote in elections in this country is protected."

CNN's Ashley Killough and Kevin Liptak contributed to this report.

@highlight

Supreme Court struck down a key part of Voting Rights Act; left it to Congress to address gap

@highlight

There's little political incentive for a Republican-controlled House to change law

@highlight

Many Southern states moving forward with voting laws some see as onerous for minorities

@highlight

Experts say it may take a trend in discrimination in major elections to urge Congress to act