VANCOUVER, British Columbia (CNN) -- When Canadian cocaine smuggler Charles Lai was being sentenced in a Seattle federal courtroom last month, the judge sending him to prison for 13 years offered a small item of good news.

A suspected gang member in Vancouver is taken out of a bar in handcuffs.

At least behind bars, Judge James Robart said, drug smuggler Lai would not become another fatality in Vancouver's gang wars.

Authorities in Vancouver, just 30 miles from the border, are struggling to deal with the boom in the drug trade between the United States and Canada, along with the violence that has come with it.

Cocaine from Mexico -- and many of the guns that fuel the violence -- come north via the United States. Canadian smugglers then bring south high-quality marijuana known as "BC Bud" and synthetic drugs like methamphetamine. A recent U.N. drug report named Canada as the "primary" supplier of Ecstasy to the United States.

The gang killings are blamed in part over who will control which areas of this estimated $6 billion-a-year narcotics trade.

Beyond the string of slayings and shootings that have taken place over the last two years are the new modes in which the violence is carried out.

"It's the type of murders, the more brazen public shootings, the shootings in front of the grocery store with automatic weapons," said superintendent Pat Fogarty of the Royal Mounted Police, who oversees a special multi-jurisdictional unit that is taking on the gangs and larger criminal organizations behind them.

"It's common now for gangsters to carry body armor and wear it, to have bulletproof cars," Fogarty said. "What that does is when one gang is shooting up another gang, their .40-calibers aren't able to pierce the body armor of the vehicle or the body armor of the vests. So what we've seen is an elevation in firepower, which is a scary process."  Watch how authorities are fighting the gangs »

Some of the incidents have already become legend: the car radio repairman killed while fixing a gangster's stereo, thugs shooting up the parking garage of a mall with machine guns, the postal worker refusing to deliver mail to a street where a family with well-known gang ties live.

The gangs -- police estimate there at least 120 different groups operating in Vancouver and the surrounding area -- have names like the UN, the Red Scorpions, the Big Circle Boys and the Independent Soldiers.

They are mostly homegrown operations or recruits from immigrant communities. Some gang members come from middle-class families and join up expecting the Hollywood version of criminal life.

"These guys act like rock stars," said Sgt. Kieron McConnell of the British Columbia Integrated Gang Task Force. It's McConnell's job to remove what he calls "the mystique of being a gangster."

A 20-year police veteran with a looming frame and completely bald head, McConnell and the officers who patrol with him act as a buzzkill to many gang members' night on the town.

The Gang Task Force slowly winds through bars and clubs known for their gangster clientele. Until closing time, the police check for identification and run names. Through an agreement with most of the bars in the city, when police find anyone with a history of violence or drug peddling, they can bounce them from the establishment -- no questions asked.

The police's goal is not to harass the gang members, they say, but to remove a potential target from an area full of bystanders.

"We are encouraging them not to bring violence with them to where they socialize," McConnell said.

Chris Mohan's son did not need to go far, however, to become an innocent victim of the gangs. The violence literally came to his doorstep. In October 2007, Mohan, 22 years old, was walking out of the apartment where he lived with his parents when gang hit men came to murder a neighbor police believe was involved in the drug trade.

Mohan was one of six people killed in the shooting.

"They killed Chris, but I got a life sentence," Mohan's mother, Eileen Mohan, said of having to live without her son. Despite what they took from her, Eileen Mohan does not show any fear of the gangs. She has become an advocate for tougher sentencing of violent criminals, attends the hearings for the men accused of her son's killing and still lives in the apartment where he died.

Her mission now is to hurt gangsters. "They touched my life illegally, I want to touch theirs legally," she said.

Even though police say they are taking the fight to the gangs like never before, it remains to be seen if authorities can totally dismantle Vancouver's gangs and the larger criminal organization behind them.  Watch how border agents look for smuggled drugs »

Police say they need legislation passed that would enable them to monitor encrypted cell phone conversations and for the legal system to pass down stiffer sentences on gangsters.

Tougher sentences may explain why more Canadian drug traffickers like Charles Lai face a courtroom in America, not Canada.

Even though Canadian authorities say they are capable of trying their own criminals, crime experts say police are sometimes all too happy if smugglers are captured in the United States, where they face a less bureaucratic justice system and longer stretches in jail.

"In these regional operations, the tendency has been for the offenders to be arrested, charged and processed in the United States, not Canada," said Robert Gordon, director of the School of Criminology at the Simon Fraser University in British Columbia. "That's an indictment of how we are handling this."

@highlight

Thirty miles from U.S. border, authorities in Vancouver confronting gang warfare

@highlight

Violence the result of turf wars over increased narcotics trade

@highlight

Innocent bystanders have fallen victim to gangsters' heavy firepower

@highlight

Drug dealers sometimes tried in the U.S., where sentencing is stiffer