(CNN) -- She's been compared to the Dalai Lama, the Chinese Tibetan Buddhist leader, but the name Rebiya Kadeer doesn't ring a bell to many people outside of China.

Rebiya Kadeer has been dubbed "the Mother of All Uyghurs."

Nevertheless, the world-famous man and the relatively obscure woman share similarities that chime with political relevance.

A diminutive northern Virginia resident, Kadeer has emerged as the voice of the restive but relatively unknown Uyghur Muslims, a Turkic-speaking ethnic minority in China, and the group's far-flung diaspora.

And like the Dalai Lama, she's revered by supporters and reviled by the Chinese government.

"Even though one is a man, and the other is a woman, they have one thing in common, and that is they engage in activities to split the motherland and damage national unity," said Qin Gang, a spokesman for the Chinese Foreign Ministry.

Kadeer, 62, emerged in the world media spotlight after China blamed her for stoking July's unrest in China's remote Xinjiang Autonomous Region, an area four times the size of California in the northwestern part of the country.

Reports vary on the number of people killed, ranging from around 200 to many more.

The problems began in late June, after two Uyghur migrant workers at a toy factory in Guangdong province were killed after a brawl between Uyghurs and ethnic Han Chinese -- the majority group in China.

Uyghurs protested in Urumqi, the Xinjiang capital, hundreds of miles from the toy factory. Uyghurs and Han reportedly attacked each other.

Nur Bekri, the Chinese government's top official in Xinjiang, accused Kadeer and the World Uyghur Congress she leads of instigating the unrest via the Internet.

"The violence is premeditated, organized violent crime," Bekri said. "It was instigated and directed from abroad and carried out by outlaws in the country."

China's constitution guarantees ethnic minorities equal rights and limited autonomy. And the Chinese government has implemented several programs designed to help ethnic minorities, but Kadeer says China still treats Uyghurs as second-class citizens -- and she blames China for most of the recent unrest.

Since the violence erupted, Kadeer has worked the media with a mission, drumming up support for the Uyghur cause and shining a light on what she says are China's "unjust policies" toward her people.

The estimated size of Uyghur population in China ranges from 8 million to 11 million people, making them a distinct minority in a country of 1.5 billion people. Uyghurs have long complained of being treated as a lesser class, but China has dismissed that charge and touted its commitment to ethnic unity.

"Let them hear our voice and raise public awareness about our situation," Kadeer told CNN. "That's the main thing that I wish to do right now."

Dubbed "the Mother of All Uyghurs," Kadeer doesn't quite fit the profile of a political firebrand.

Born in modest circumstances, Kadeer fell into dire poverty amid the late Chinese communist leader Mao Zedong's forced relocation programs.

She worked her way up from laundry worker to become a millionaire businesswoman as China opened to free enterprise. She amassed an empire with department stores, real estate, lumber, scrap iron, factories and other enterprises.

She was also chosen as a member of a Chinese National Congress and other posts. However, the mother of 11 children -- some of whom are in jail in China -- wasn't shy about speaking out about the conditions faced by Uyghurs, such as political imprisonment.

Her activism landed her in jail in 1999, an incarceration that attracted international attention and condemnation from rights groups and Western political officials. China released her on medical grounds in 2005 amid pressure from the U.S. government.

She was granted political asylum in the United States, reunited with her husband, and embarked on activist work.

Along with her role as president of the World Uyghur Congress, Kadeer is the president of the board of the Uyghur American Association and the full-time director of the International Uyghur Human Rights and Democracy Foundation.

Those groups receive money from U.S. taxpayers through the National Endowment for Democracy, a private, nonprofit organization created "to strengthen democratic institutions" around the world.

Hugh Pope, author of the "Sons of the Conquerors: The Rise of the Turkic World," describes Kadeer as a skillful and hard-working activist who has done a lot for the Uyghurs. He said she is well-situated in the Washington area, where she has easy access to media outlets, and is a "natural focal point" for the Uyghur rights cause.

"She has a canny sense on how to get on top of the situation. As long as she can maintain the Dalai Lama-like profile, she will persist in being a spokeswoman for the Uyghurs," Pope said.

Dru Gladney, an expert on China and its ethnic groups, described Kadeer as a significant leader who is a charismatic, determined and maternal figure who can move easily among the elites and the common people.

She has a message that can unite Uyghurs, and China's criticism of her in some ways has enhanced her stature, said Gladney, president of Pacific Basin Institute at Pomona College in California.

"She seems like somebody all Uyghurs can look up to," he said. He noted that her following is "quite remarkable" since she is a woman and both Muslim and Chinese cultures are patriarchal.

She abhors violence and favors peaceful resolution of conflicts, Gladney said.

In that respect, she mirrors the non-violent sentiment espoused by the Dalai Lama, who wrote an introduction to Kadeer's autobiography "Dragon Fighter," recently published in English.

"The Uyghur and the Tibetan people have a history of relationship and in modern times have shared somewhat similar experiences. I therefore hope that this book by Mrs. Kadeer will enable the readers to comprehend the experience of the Uyghur people," the Dalai Lama wrote.

Kadeer told CNN she has had "close communication" with the Dalai Lama. She said "our philosophy in peace is the same" and said the movements of both peoples for justice are connected.

"If the Chinese have the authority to destroy one of them, they have the authority to destroy the other," she said.

China's state-run Xinhua news agency reported Tuesday that Chinese President Hu Jintao, in a visit to Yunnan province this week, urged all people to show mutual respect and concern. He also said all ethnic minorities are important members of the Chinese family, the news agency reported in a story that did not specifically mention Uyghurs.

The Communist Party of China and the government plan to emphasize more strongly developing areas inhabited by ethnic minorities and strengthen support to improve their livelihood, according to Xinhua's paraphrasing of Hu's remarks.

In a recent Wall Street Journal essay, "China's Ethnic Fault Lines," Gladney wrote that by the mid-1980s "official minorities were beginning to receive real benefits from the implementation of several affirmative action programs."

They include "permission to have more children (except in urban areas, minorities are generally not bound by the one-child policy)," paying fewer taxes,  getting "greater access to public office," and better education for children -- in Mandarin Chinese rather than native tongues.

Kadeer has spent much of the last few weeks plowing through media interviews and chatting about how she juggles being the "Mother of All Uyghurs" with being a mother to her flesh-and-blood children.

"My family is very supportive of my activity," she said through a translator. Yet she has spent time apart from her husband, also a Uyghur activist, and children because of political ferment and imprisonment.

Kadeer says this is a "very dark time for the Uyghur people."

She condemned Chinese security forces for killing and injuring Uyghur demonstrators this month in Urumqi. Unrest also took place in the cities of Kashgar and Hotan, she said.

While she focuses on what she says is the Chinese crackdown against Uyghurs in "East Turkestan" -- the name Uyghurs use for the region -- she also condemned reported violence by "a number of Uyghur demonstrators."

"Uyghur demonstrators were doubtless expressing discontent over the severe and comprehensive repression they have suffered for years in East Turkestan," she said.

She cited "arbitrary detention, torture, and execution" the repression of their religion, "forced abortion and discrimination in several spheres, including health care and employment."

In her talks, Kadeer -- who sports braids and a traditional Uyghur dopa cap -- urges China to "stop the cultural genocide" and "address the legitimate grievances of the Uyghur people."

"I do believe that even our enemy would come dine at our table," she said, "because what we have been doing is in a peaceful way. So I do believe that they would come to our table and resolve this."

CNN's Jim Clancy contributed to this report.

@highlight

Rebiya Kadeer emerges as leader of minority Uyghur Muslims in China

@highlight

Chinese government reviles Kadeer, blames her for stoking unrest

@highlight

Kadeer mirrors the non-violent sentiment espoused by the Dalai Lama

@highlight

This is a "very dark time for the Uyghur people," Kadeer says