Hong Kong (CNN) -- In the latest Bond movie "Skyfall," Daniel Craig's 007 pursues an assassin up a glass skyscraper in the dead of night and meets a glamorous casino host with a troubled past.

The action could plausibly have taken place in any of the world's major metropolises but the film makers chose Shanghai and Macau, two of China's most dynamic cities.

It reflects the growing importance of China as a market for Hollywood movies and Chinese backdrops, themes and actors are likely to become only more commonplace.

But appealing to Chinese audiences is fraught with difficulty as the makers of "Skyfall," which has fallen foul of Chinese censors, have discovered.

Censors cut a key scene and altered subtitled dialogue in the movie, which opened in China on Monday. Its release was also reportedly delayed to help boost the box office takings of rival homegrown movies.

Read more: Opinion: Censorship row reveals tolerant side of China's new leadership

According to The Hollywood Reporter, the offending scene showed the shooting of a security guard in the lobby of a Shanghai skyscraper by the French assassin being chased by Bond.

Later in the movie, at a casino in Macau, 007 asks Severine (Berenice Marlohe) about her tattoo. The Chinese subtitles hint at mob connections, removing a reference to her becoming a prostitute at a young age as per the original.

Read more: Chinese newspaper in eye of censorship storm back on sale

And references to the backstory of Javier Bardem's rogue MI6 agent were culled to avoid giving attention his role in stalling Hong Kong's handover to China, the Yangzi Evening News reported.

Such censorship is not uncommon for Hollywood films released in China, says Rance Pow, founder of Artisan Gateway, a Shanghai-based film and cinema consultancy, and every film released in China is subject to the censorship bureau's approval.

Read more: Censorship protest a test for China

Scenes deemed offensive were also removed from "Men in Black 3" and the "Pirates of the Caribbean: At World's End."

Movies featuring social unrest, religion, political matters, sex and violence are likely to face extra scrutiny, said Pow.

"Part of this is rooted in the fact that China still does not have a movie rating system and so the burden of determining what is appropriate for the general public to see falls on the (censor)," he said.

Read more: Chinese censors block news on blind activist's escape

Domestic film producers, like Li Peisen, the chairman of Orange Sky Entertainment, say pleasing censors is common sense and part of doing business in China.

"I think foreign movies have to use Chinese elements carefully. There has to be a mix of positive and negative portrayal," Li told CNN.

It's understandable (why censors want to remove certain scenes) if a movie contains only a few China scenes and the Chinese characters either get killed or appear in negative roles like prostitutes."

Other challenges Hollywood faces as it vies for its share of the Chinese box office -- now the world's second largest -- include rampant piracy and efforts by authorities to protect homegrown films.

China relaxed its quota system for U.S. films last year but still only allows 34 movies a year -- up from 20 previously.

To circumvent the quota, many U.S. studios are launching tie-ups with their Chinese counterparts to get preferential access but these co-productions, as they are known, have mixed results.

There is also widespread industry speculation that China rigs release dates to favor domestic movies.

Pow says that "Skyfall" and "The Hobbit," scheduled to be released later this year, may have fallen prey to this: "December is traditionally a month where Chinese films enjoy a period where no imported...titles are released in China."

Illegal downloading too takes its toll on the film industry. Chinese audiences can easily access a copy of the original "Skyfall" should they wish to see the uncut version, but this does not necessarily hurt box office takings, said Pow.

"The publicity surrounding heavy censorship creates greater awareness so while illegal downloading will go up, ticket sales at cinemas will also go up," he said.

"It can spin both ways."

CNN's Steven Jiang and Zhang Dayu in Beijing contributed reporting to this story

@highlight

Chinese censors cut key scene, alter dialogue in latest Bond movie

@highlight

"Skyfall" was partly set in Shanghai and Macau

@highlight

More Hollywood movies featuring Chinese storylines and backdrops

@highlight

China now has world's second largest box-office takings