(CNN) -- Three quarters of the world's poor are living without a bank account, impeded by physical distance from banks and by bureaucratic roadblocks, according to a World Bank report.

In a 2011 survey of 150,000 adults in 148 countries, it found that more than 75% of adults earning less than $2 per day are "unbanked" or do not use a formal financial institution.

Of 70,000 respondents without a bank account, 65% cited not having enough money to use one as the most important reason. Other top reasons included the cost of opening a bank account being too expensive and a lack of trust in banks.

"I hope policy makers will use this research to help make sure everyone, everywhere, has access to financial services," Her Royal Highness Princess MÃ¡xima of the Netherlands and the UN Secretary General's Special Advocate for Inclusive Finance for Development said in a news release.

Among regions surveyed, people in the Middle East and North Africa have most difficulties, with only 18% reporting an account. In high-income economies, nine out of 10 adults have an account at a formal financial institution.

Being 'unbanked' is linked to inequalities, according to The World Bank. The richest 20% of adults in developing countries are more than twice as likely to have an account as the poorest 20%.

Also, in developing economies only 37% of women have a bank account compared with 46% of men keeping their savings in financial institutions.

A bank account could enhance economic opportunities among the poor, as saving and borrowing enables them to start a business or invest in education. Instead, they often rely on money lenders charging high fees, the World Bank says.

"Providing financial services to the 2.5 billion people who are 'unbanked' could boost economic growth and opportunity for the world's poor," says World Bank Group President Robert B. Zoellick.

Mobile banking is becoming a popular alternative to money lenders among the poor, especially in Sub-Saharan Africa. These money transfers through mobile phones enable them to pay bills or make deposits through a text message without traveling or setting up a formal bank account.

Mobile banking is especially popular in Kenya, where about 7 in 10 adults have access to mobile money services, according to Safaricom, a leading mobile network provider that offers money transfers via text messaging through its M-Pesa service.

The world's poorest live in the Sub-Saharan Africa region, with almost 70% of adults living on less than $2 a day. In South Asia, almost 60%of people and just over 50% in Middle East and North Africa live on less than $2 a day, according to the World Bank Report.

@highlight

75% of the world's poor do not have a bank account, a World Bank report says.

@highlight

Among the reasons are a lack of money and required documentation to open one and travel distance.

@highlight

Financial services could boost economic growth and opportunity for the world's poor, says Zoellick.