Sanford, Florida (CNN) -- As the prosecutor in Florida sought to sort out the facts in the killing of Trayvon Martin, attention shifted Tuesday to Washington, where Martin's parents and family attorney attended a forum on racial profiling, hate crimes and "stand your ground" deadly force laws.

"My heart is broke," his mother, Sybrina Fulton, told reporters after the meeting, which was sponsored by Democratic members of the House Judiciary Committee. "But it breaks even more to know that we have not gotten justice yet."

"He's sadly missed," his father, Tracy Martin, told the forum, which was packed to capacity. "And I'll continue to fight for justice for him."

Martin, who was African-American, died February 26 when neighborhood watch volunteer George Zimmerman, who is Hispanic, shot him after calling police to report him as a suspicious person. Zimmerman has not been arrested.

"We honestly believe that Trayvon Martin is dead today because he was racially profiled, and because of that, it escalated, and it led to the fatal altercation with George Zimmerman," said Benjamin Crump, a lawyer for the family.

Zimmerman's family has said he has been wrongly portrayed as a racist.

Rep. Frederica Wilson, D-Florida, called Trayvon Martin a "victim of a botched police investigation full of incompetence or intelligent mismanagement." She added, "Trayvon was hunted, chased, tackled and shot. Ill-conceived laws and lax gun laws all contribute to this tragedy. Mr. Zimmerman should be arrested immediately for his own safety."

Photos: iReporters share self-portraits in hoodies

The shooting and the lack of an arrest have generated outrage. On Tuesday, some members of Congress took to the House floor to speak about the case ahead of the afternoon forum.

"Trayvon Martin is one of the two people who at least deserve a fair trial," said Rep. Al Green, D-Texas. "He deserves a fair hearing on what happened that day. He cannot speak for himself, but there is evidence that speaks volumes about what happened on this occasion."

House Speaker John Boehner, R-Ohio, called the case tragic but declined to elaborate. "It's being investigated by state and federal officials, which I think is appropriate, and I think I'll leave it at that," he said.

Opinion: Justice, not revenge

Investigators look for 'ear-witnesses'

Meanwhile, the special prosecutor in the case continued to try to determine what happened.

"We believe there may have been one person who saw something," Angela Corey said. "We believe there are a lot of what we call ear-witnesses. My lawyers are trying to track those people down."

She said the "political outcry" about the case makes her job harder. "Any time there is a misunderstanding of the process, based on what we are required to do under Florida law, it does make our job more difficult," she said.

Zimmerman has said he killed Martin in self-defense after the unarmed teen attacked him in the gated community. Martin was returning to his father's fiancee's house after buying Skittles candy and a can of iced tea from a nearby convenience store. Zimmerman was questioned in the shooting but has not been charged because, police said, they did not have evidence to contradict his account.

Corey said investigators would look into the allegations that Zimmerman uttered a racial slur on the phone with police just before the shooting. CNN enhanced the sound of the 911 call, and several members of CNN's editorial staff reviewed the tape but could reach no consensus on whether Zimmerman used a slur.

Report: Zimmerman told police teen punched him before shooting

Zimmerman said Martin punched him

On Monday, Sanford police confirmed an Orlando Sentinel report that cited unidentified authorities saying Zimmerman told them Martin punched him in the nose after the two exchanged words.

Police said Monday that the Sentinel account is "consistent with the information provided to the State Attorney's office by the police department." The newspaper reported that Zimmerman said Martin then repeatedly punched him and slammed his head onto the sidewalk.

Tapes of 911 calls include neighbors saying they heard screams, though it wasn't clear whether they came from Zimmerman or Martin.

Two women who live nearby have said they heard someone in distress, and then a gunshot. Mary Cutcher and her roommate, Selma Mora Lamilla, said Monday they ran to about 10 feet from where Martin's body lay.

"(Zimmerman) was standing over the body, basically straddling the body with his hand on Trayvon's back," Cutcher said, adding that they called three times to him before he finally asked them to call police. "It didn't seem to me that he was trying to help him in any way."

When police arrived, Zimmerman's "back appeared to be wet and was covered in grass (and he) was also bleeding, from the nose and back of his head," a police report says.

Police have not released Cutcher's official police statement but have said her statements were consistent with Zimmerman's account.

Neighbors describe watch leader

Police have said they did not charge Zimmerman because they did not have evidence that differed from his version of the events. Florida's "stand your ground" deadly force law prohibited them from making an arrest, police said.

Shooting renews debate over 'stand your ground' laws

The law allows the use of deadly force anywhere a person feels a reasonable fear of death or serious injury and has been cited in a number of justifiable homicide cases in Florida.

Zimmerman's legal adviser has said he believes the law applies to the case.

Friend: Martin, Zimmerman came face to face

On Tuesday, a friend of Zimmerman's, former CNN anchor Joe Oliver, said Zimmerman had given him the same account as the one that appeared in the Sentinel, as well as additional details about what happened between the time the two came face to face and the time the gun went off.

Oliver, who now works at WESH-TV in Orlando, said he could not discuss the details Tuesday but said Zimmerman was sorry for what had happened.

"The George Zimmerman I know is not here anymore, because he knows that he took someone else's life, and he's extremely remorseful," Oliver said Tuesday on CNN's "Starting Point."

Oliver said race played no role in the incident.

"I understand completely the fear and anger that's out there over this case. If I didn't know George Zimmerman, I'd be right out there, too," said Oliver, who is African-American.

"But I do know George, and I do know that portrayal that young black men have had. I've experienced that growing up. I get that," Oliver said. "I understand that, but in this one spark incident, that wasn't the case. Race had nothing to do with it."

The Martin family and their supporters, however, have blamed Zimmerman, saying he racially profiled and shot the teen, who was wearing a hoodie. They have called for changes in what gun-control advocates sometimes refer to as "shoot-first" laws.

Crump, the Martin family attorney, said 911 tapes, phone records and testimony from the teen's girlfriend -- who was on the phone with him just before the shooting -- show Zimmerman is at fault. "Those facts are uncontroverted," Crump said.

Crump also said authorities were trying to "demonize" Martin with accounts that surfaced Monday saying Martin had been suspended from school in Miami for 10 days after a search of his book bag turned up an empty plastic bag containing marijuana residue. "Whatever Trayvon Martin was suspended for had absolutely no bearing on what happened on the night of February 26," he said.

Sybrina Fulton said, "The only comment that I have right now is that they've killed my son and now they're trying to kill his reputation."

Martin's family and their attorneys have also questioned the handling of the police investigation. City Administrator Norton Bonaparte said Tuesday he is in talks with the Department of Justice to establish a procedure for Sanford residents to have complaints investigated by an independent agency.

Zimmerman has not spoken publicly about the case. "He hasn't been back to his apartment, which is in that complex, ever since that happened, and he's being treated for post-traumatic stress disorder, for depression, for insomnia," Oliver said. "He cried for days after this happened."

CNN's Eric Marrapodi, Ed Payne, Kim Segal, Greg Morrison, John Couwels and Vivian Kuo contributed to this report.

Watch Anderson Cooper 360° weeknights 10pm ET. For the latest from AC360° click here.

@highlight

"We believe there may have been one person who saw something," prosecutor says

@highlight

Some members of Congress discuss the case ahead of a forum on race and gun laws

@highlight

A friend of Zimmerman's says he's in hiding, being treated for depression