Shanghai (CNN) -- Kungfu Komedy Club looks much like any other back room in a Shanghai bar. But at show time, the Chinese mainland's first and only full-time stand-up comedy club becomes a carefully-honed weapon of mass hilarity directed at the audience of locals, expats and tourists that frequently packs the room.

The club is at the epicenter of a thriving stand-up scene that a few years ago did not exist in the city, and that ultimately could bring stand-up comedy -- an artform virtually unknown in China -- to the masses.

Kungfu Komedy started in February 2011 when a small group of enthusiastic novices put on a show in the corner of a dive bar. The group's Australian founder, Andy Curtain, is the first to admit it was "as bad as you'd expect."

They spent the next year honing their craft. Towards the end of 2012 a downtown sports bar offered them permanent use of a room. The Chinese mainland had its first full-time comedy club.

The group holds three open mics a week -- two in English, one in Chinese -- plus weekend showcases, and also brings in professionals from across the world. In its wake, other open mics have sprung up, giving comedians -- both locals and expats -- stage time in which to develop.

Deadpan delivery

Leia Luo is a local Shanghai comedian who performs in English, sharing her surreal musings with a mesmerizingly deadpan delivery.

"Doing stand-up comedy helps me, a very introverted person, express my weird thoughts," she says. "When I'm telling a joke, I'm not really trying to be funny, I'm trying to express ideas that the audience might find amusing."

The candid self-expression of stand-up is one of the aspects that appeals to the younger generation in China, according to the founders of Kungfu Komedy's Chinese-language counterpart, Xiaodao Wenhua.

Wang Yan and Li Daisong were inspired by the success Kungfu Komedy was having with English-language stand-up. But with stand-up a virtually unknown concept in China, they marketed their first few shows as networking events.

"We said let's have a party, and we can tell jokes," says Wang. "This way we didn't have to explain what stand-up was. Then, step by step, we introduced the concept, linking it to similar concepts in traditional Chinese comedy."

The approached worked. Xiaodao Wenhua now puts on monthly theater shows that attract between 800 and 1,000 people. It has around 14 regular comedians, and holds workshops to train others.

While stand-up is a tough sell to the older generation, who were brought up in a culture "based on wanting people to be the same," Li says there is a thirst for it among younger people.

"We really feel like we're helping a generation by giving them an outlet so they can do new things and be themselves. Many people are making money, but they are not happy. Everyone has this hidden side to them," he says.

Alien art form?

Los Angeles-based comic Butch Bradley was the first international headliner Kungfu Komedy brought to the city in 2012. In September 2013 he returned for a 10-month residency at the club.

Bradley was particularly impressed by the young Chinese comedians he saw performing an art form alien to their culture, and in their second language.

"The Chinese youth are the coolest," he says. "Local comedians like Storm Xu, Alana Fu and Leia Luo get up and talk about their feelings, and audiences that were 10% Chinese go up to 35% Chinese. The next great frontier for comedy is China, and the heart will be Shanghai," says Bradley.

Curtain agrees that seeing Chinese comics emerge is the most exciting thing about his role, and that Chinese rather than expats are the club's ultimate target audience. "There are more and more 'haigui' -- Chinese who were educated overseas -- returning to China. They really want to see stand-up," he says.

In the meantime, Shanghai is getting a name for itself on the international comedy circuit. Big names to have visited include Tom Rhodes, Ari Shaffir and Wil Sylvince. Curtain says they get emails every week from established comedians looking to come out, and that they turn down a lot more people than they accept.

Later this year, U.S. comic Joe Klocek will start a two-month residency, while Kungfu Komedy will move to a larger floor of its host bar, expanding its capacity to some 150 seats. There are also plans to set up comedy rooms across the country so comics can regularly tour more out-of-the-way spots.

Restrictions

For aspiring comics, it's a great time to be in Shanghai. One of the founding members of Kungfu Komedy, Audrey Murray, now splits her time between Shanghai and New York, where she hosts the Greenpoint Comedy Night at Word Bookstore. She says when she sees comedians who are just starting out in New York, she wants to tell them to move to Shanghai.

"Although there are fewer opportunities to get on stage in Shanghai, the quality of the stage time for those starting out is incomparable," she says. "It's easier to stick with it, because the good sets will far outnumber the bad. You also get to do longer sets."

But can stand-up -- the art form of agitators such as Lenny Bruce and George Carlin -- flourish in China as anything other than a neutered imitation?

Curtain says they have a good idea of what's not allowed. "It's kind of like living in China -- once you know what the rules are, you're pretty much free to do anything else," he says. "The restriction the government places on us is no greater than the restriction the audience places on us."

For Butch Bradley, the restrictions are part of what makes things interesting. "China is changing and opening up, and Shanghai is the perfect place for the experiment. They are saying 'don't think for a moment we aren't watching, but go ahead, we want to check this out.'"

@highlight

Stand-up comedy is an art form virtually unknown in China

@highlight

But Shanghai comedy club hopes to bring stand-up to the masses

@highlight

City now home to several open mic nights a week in both Chinese and English

@highlight

Stand-up is a tough sell to older generation; younger people more open