Donetsk, Ukraine (CNN) -- Pro-Russian activists and Ukrainian riot police clashed Thursday inside the compound of the prosecutor's office in the eastern city of Donetsk, as simmering tensions escalated into violence.

As a result of the clashes, 26 people sought medical help, four of them for gunshot wounds, the Donetsk regional administration's health department said. Two remain hospitalized.

At least one police officer was injured in the clashes, the Ukrainian Interior Ministry said, adding that shots were fired and small grenades and stones were used in the attack.

Police fired tear gas and stun grenades in an effort to disperse the activists, who were armed with clubs, batons and shields but did not appear to be carrying firearms.

Some of the activists smashed windows and broke down doors as they sought to enter the building.

"We're going floor to floor looking for people ... for the people who were here beforehand," one of the militants said.

One woman earlier told a CNN team on the ground that she helped a wounded man who she said was shot by someone from inside the building.

Paramedics were called to help the wounded at the site Thursday afternoon.

Protest march in Donetsk, rally in Kiev

Earlier in the day, crowds marched through Donetsk, demanding greater autonomy for the restive eastern region.

At the head of the march, which was held to mark May Day, was a speaker who accused the authorities in Kiev of pushing pro-Russian supporters to a position where they are demanding a referendum on May 11 and a federal state.

Many in the region view the interim government in Kiev as a "junta" that seized power thanks to backing from ultranationalist groups, and they are angered by its actions.

Eastern Ukraine was a heartland of support for pro-Moscow President Viktor Yanukovych, ousted in February after months of protests by people upset that he had turned away from Europe in favor of Moscow.

Pro-Russian protesters already control a number of key government buildings in Donetsk, after seizing them last month, and have declared it to be the "Donetsk People's Republic."

From the industrial city's Lenin Square, where the march started, masked men could be seen atop a building next to a flag signaling support for the pro-Russian camp. The yellow and blue Ukrainian flag, which had been flying until a short time before, was thrown off the side of the building, a symbol of the spreading unrest.

Pro-Russian protesters in the city of Luhansk, closer to the Russian border, said Wednesday that they had seized additional government buildings because they wanted to be sure of holding the planned referendum.

The crisis has sparked deep divisions in Ukraine. Many also want to see the country remain united, but unhappiness about government corruption and ineffectiveness runs deep.

In Ukraine's capital, Kiev, hundreds of people joined a rally Thursday for peace and unity, organized by student and trade union groups and left-of-center parties.

The protesters called for constitutional reform, decentralization of power and new parliamentary elections.

They also called for a national referendum to decide whether Ukraine should become a federal state; if the Russian language should become the official language in some regions; and whether Ukraine should integrate with the European Union.

$17.1 billion bailout approved

Acting Ukrainian President Oleksandr Turchynov acknowledged this week that the central government has effectively lost control of the country's Donetsk and Luhansk regions to the pro-Russian separatists.

A controversial referendum in Ukraine's southeastern Crimea region in March resulted in its annexation by Russia, a step widely condemned by the international community.

Like Crimea, although not to the same extent, many in eastern Ukraine are Russian-speaking and have close cultural ties to Russia.

The interim government, which is struggling with a dire economic situation, has promised constitutional reforms to try to ease tensions ahead of national elections scheduled for May 25.

In a key sign of international support, the International Monetary Fund approved a $17.1 billion bailout for Ukraine on Thursday.

"It's obviously not without risk. But it's a necessity to respond to a member's request. And we have tried everything we could to mitigate the implementation risks," IMF chief Christine Lagarde told CNN's Christiane Amanpour.

Lagarde also noted that "clearly there have been consequences" for the Russian economy as a result of its intervention in Ukraine.

"If you look at the monetary policy, if you look at the capital flows, if you look at their own forecasts -- there have been consequences on the Russian economy as a result of the geopolitical situation, the uncertainty and the sanctions that have been decided," she said.

The European Union and United States say Moscow has not so far acted in support of an April 17 international deal aimed at easing the crisis and this week imposed additional sanctions on Russian officials and companies judged to be close to President Vladimir Putin.

Diplomat accused of spying

Meanwhile, Ukraine has ordered the expulsion of a Russian naval diplomat after alleged spying this week, Ukraine's Foreign Ministry said on its Facebook page Thursday.

The statement said the attache was detained "while he was committing spying activities on April 30th."

The ministry said the diplomat has to leave Ukraine as soon as possible.

Ukraine and Western nations have accused Russia, which NATO says has tens of thousands of troops massed by Ukraine's border, of supporting and coordinating separatist unrest in its eastern region.

But Russia denies any direct involvement in the disorder, which has seen pro-Russian militia groups seize government and police buildings in more than a dozen towns and cities across the region.

Separately, a senior military official told CNN the United States was awaiting additional recommendations from NATO Supreme Allied Commander Gen. Philip Breedlove on potentially expanding current military exercises and adding new ones in Eastern Europe. The goal would be to bolster "alliance readiness."

NATO allies, particularly those close to Ukraine, have requested a more robust alliance presence, including larger, permanent deployments on their soil. Additional troops would come from U.S. and NATO forces already in Europe. Britain also would contribute, the official said.

Ukraine military conscription order

Turchynov signed a decree to introduce compulsory military service "to increase the defensive powers of the country," his office said in a statement Thursday. Men aged 18 to 25 will be subject to the order.

The move takes account of the further escalation of the situation in eastern and southern Ukraine, as well as "instances of overt aggression" and the actions of pro-Russian militants, the statement said.

The aim is to maintain the armed forces and help them "give an adequate response to real and potential threats to Ukraine," according to the statement.

Turchynov said Wednesday that the country's armed forces have been put on full combat readiness because of the threat from Russia.

Speaking at a meeting with the heads of regional state administrations, he said authorities' task was to prevent the spread of the "terrorist threat" from separatists and pro-Russian saboteurs to other regions of Ukraine.

A military "anti-terrorism" operation launched last month has achieved little or nothing.

The government in Kiev has said it wants to show restraint and appears reluctant to embark on military operations against militants who are embedded in residential areas.

Russia's Foreign Ministry responded to Turchynov's remarks late Wednesday by denouncing what it called "these militaristic statements of Kiev authorities."

Meanwhile, militants in the town of Slavyansk continue to hold seven military observers from the Organization for Security and Co-operation in Europe, detained last Friday despite their diplomatic status.

Denis Pushilin, self-declared chairman of the "Donetsk People's Republic," has said the observers are NATO spies and that the activists would like to exchange them for people detained by pro-Kiev authorities.

OSCE spokesman Michael Bociurkiw told CNN Thursday that its negotiators were again meeting with the separatists to discuss the release of the Western observer team. They are said to be in good health.

CNN's Arwa Damon reported from Donetsk and Laura Smith-Spark wrote and reported in London. CNN's Andrew Carey, Claudia Rebaza and journalist Victoria Butenko in Kiev and journalist Lena Kashkarova in Donetsk contributed to this report. CNN's Jim Sciutto and Mick Krever also contributed.

@highlight

NEW: Donetsk health authority says 26 people sought medical help, 4 with gunshot wounds

@highlight

IMF chief says $17.1 billion bailout for Ukraine is not without risk but is necessary

@highlight

Christine Lagarde: Russia has seen "consequences" for its actions in Ukraine

@highlight

Ukraine says it is expelling a Russian naval diplomat after alleged spying activities