Washington (CNN) -- The bar has never been lower for the nearly 100 freshmen of the 113th Congress who were sworn-in on Thursday.

After all, it won't take much to exceed the abysmal approval rating of the previous Congress.

Despite the usual burst optimism of a freshman class on Capitol Hill and the sentiment to reach across the aisle and dissolve partisan gridlock, recent history shows those pledges are destined to falter like so many New Year's resolutions.

"On the day people are sworn in they are entitled to dream," said Larry Sabato, director of the University of Virginia's Center for Politics. "The idea that they are going to bridge the unbridgeable gap between the two parties is indeed a dream."

Obama signs fiscal cliff bill into law

The new Congress faces many of the same stubborn issues that make bipartisanship in a politically divided country difficult to achieve.

Although Washington averted the worst aspects of the fiscal cliff earlier this week, the automatic spending cuts, or sequester, that were a centerpiece of that debate for months but cut out of the final deal at the last minute are coming around again in February.

At about the same time, lawmakers will have to consider raising the nation's debt ceiling, or the ability of the Treasury to borrow money to pay the nation's bills. Both sides are already digging in on spending and debt.

Are days of Congress 'going big' over?

A fresh controversy involves assistance to victims of Superstorm Sandy. An aid bill approved by the Senate was shelved on Tuesday night by House Speaker John Boehner over concerns that voting on a big spending package immediately after approving a fiscal cliff deal that excluded deficit reduction would send a bad political signal.

New York and New Jersey politicians were incensed at Boehner's inaction, prompting New Jersey Gov. Chris Christie to growl: that this is "why the American people hate Congress."

A scaled-back version of $9 billion for immediate aid for flood insurance will be considered by both houses on Friday. Lawmakers will weigh the balance of the $60 billion plan later this month.

Furor over dropped vote for Sandy aid defused

Further out on the horizon is an expected fight over gun control, a high priority for the White House in the aftermath of the Connecticut school massacre that will face push-back from congressional members with high ratings and big-dollar donations from gun rights advocates.

Immigration reform, another White House priority, will also stoke ideological differences and test the demographic shifts in Congress.

All in all, the sharp divisions on Capitol Hill are still evident and expectations for meaningful progress on substantive issues are not high.

"My sense is that things are not going to be that different because the fundamental divisions that existed in the previous Congress are still there," said Alan Abramowitz, a political science professor at Emory University.

New faces on Capitol Hill

"We still have a Democratic Senate and Republican House. We still have a divided Congress. The ideological divisions between the parties are as great as they were in the last Congress," he said.

The divide is widened by a continued attrition of moderates, who lost or retired from seats on both sides of the aisle in both chambers.

But on the other side of the question there have been subtle shifts in numbers and other changes that could make a difference in how votes on some issues play out, political experts say.

Republicans retained control of the House in November but Democrats gained seats there and expanded their control of the Senate. Republicans now fill 234 seats in the new House, down from 242. There are 201 House Democrats, up from 193.

In the Senate, voters handed two former GOP seats to Democrats for a new balance of 55-45. The 55 Democratic seats include two independents who caucus with the party.

Kirk makes emotional return after stroke

For the first time, the House Democratic caucus is dominated by women and racial minorities, while the Republican caucus in that chamber is largely composed of white men. Over in the Senate, 20 women â€” the largest number in history â€” will be sworn in.

The increased diversity "means that we reflect America more," said newly elected Illinois Democrat Rep. Tammy Duckworth. "You know the district where I come from is a very diverse district, and it is good to see Congress starting to look more like the rest of America. And you see the demographic shifts that are happening across the country."

Partisanship remains strong, however, political experts say.

"Those things are interesting and it's a good thing to have that diversity ... but just that party attached to the person's name explains the roll call. It doesn't matter the race or the gender. It's the party affiliation," Sabato said.

Boehner, whose relationship with President Barack Obama frayed further during the fiscal cliff negotiations, received the gavel again on Thursday when he was re-elected to lead the chamber.

While 220 of the 234 House Republicans voted for the Ohio lawmaker, a few members didn't answer, simply voted "present," or cast ballots for other candidates.

Following the fiscal cliff fight, Boehner is telling colleagues no more negotiating deals and that "regular order works best" from now on.

Boehner also signaled the upcoming debt showdown in remarks following his re-election, saying that taming debt was the most important thing for restoring long-term U.S. economic health.

"At $16 trillion and rising, our national debt is draining free enterprise and weakening the ship of state. The American Dream is in peril so long as its namesake is weighed down by this anchor of debt. Break its hold, and we begin to set our economy free," he said.

Boehner, under fire from some conservatives, re-elected speaker

Obama had stern words for the 113th Congress, warning lawmakers that he will not tolerate the kind of prolonged brinksmanship that defined the fiscal cliff saga.

"While I will negotiate over many things, I will not have another debate with this Congress over whether or not they should pay the bills that they've already racked up through the laws that they've passed," he said shortly after the House passed the fiscal cliff bill.

Obama calls for less 'drama,' 'brinkmanship'

Senate Minority Leader Mitch McConnell responded sharply in an opinion piece for Yahoo News, insisting that spending would be part of the debate over the debt ceiling.

The incoming freshman class took notes on failures of the previous Congress in hopes of avoiding a repeat performance.

Incoming freshmen "learned a lot from what happened over the last few weeks with the fiscal cliff debacle," freshman Texas Democrat Rep. Joaquin Castro said on CNN, adding that the takeaway for a lot of his class is to strengthen bipartisan ties.

"A lot of us come in with that mind frame," he said.

McConnell: Debt debate 'starts today'

CNN's Josh Levs, Tom Watkins, Holly Yan, Robert Yoon and Ashley Killough contributed to this report.

@highlight

NEW: John Boehner re-elected House speaker; says U.S. debt must be tamed

@highlight

The fiscal cliff was averted, but issues like the the sequester and debt ceiling await

@highlight

Congress will vote on scaled-back aid to Superstorm Sandy victims on Friday

@highlight

Democrats gain seats in both chambers, but Republicans keep control of the House