Some things you just know for a fact. First U.S. president: George Washington. First human to walk on the moon: Neil Armstrong. First to achieve powered flight: Orville and Wilbur Wright.

Wrong. At least that's what Connecticut says.

State lawmakers passed a bill this week to honor Gustave Whitehead, who they claim beat the Wrights by two years.

Gustave who? Whitehead.

According to a 1901 Connecticut newspaper account, Whitehead -- a German immigrant -- flew his aircraft 150 feet in the air for about a half mile over the city of Bridgeport. The claim has been backed up by a respected aviation reference guide.

The debate has got the Smithsonian's longtime aviation historian frustrated and worried. It also has triggered conspiratorial accusations about a "secret agreement" between the revered museum and the Wright brothers.

Let's pause to remember that, hey, these guys are worldwide heroes. The image of their two-winged plane has appeared on U.S. money. On postage stamps, too. Kitty Hawk, North Carolina, where the Wrights flew, stands as a popular national landmark. It generates untold tourism dollars for a state that has labeled its car license tags with the words, "First in Flight."

These are more than just bragging rights. A lot is at stake. This is a big deal.

"There is no legitimacy to the claim," says Tom Crouch, the Smithsonian's aviation historian. "Justice is at risk. Credit should go where credit is deserved."

Not long after Whitehead's alleged flight, Crouch says, experts tried to find witnesses quoted in the Connecticut newspaper's account. Only one of two named witnesses could be found, says Crouch, and that witness said the flight never happened.

If Whitehead really was first to fly, Crouch asks, "why didn't he repeat it later? Did he forget the secret of flight? Then he started building machines based on other people's designs. Why would he do that if his own inventions were successful?"

Ever since Whitehead's flight, Crouch says "absolutely everyone has rejected those claims. No one accepted them." Until now.

"Jane's All the World's Aircraft," a respected aviation reference guide, has endorsed the claim.

Also, Australian aviation historian John Brown says he found key photographic evidence. Last March, while rummaging through a museum attic in Germany, Brown says he found a lost photo that may depict the plane in flight.

"It was quite an emotional moment for me. I just jumped up in the air screaming," Brown says when experts confirmed that the photo was authentic.

But does the photo show the plane in flight?

"It's just a blotch," says Crouch, describing the blurry image. "It's not an airplane."

Brown agrees that the blurry image fails to offer definitive proof. But rather than trying to prove what the photograph shows or doesn't show, Brown has been focusing on establishing the credibility of journalists and witness reports from the 1901 flight. Journalists in the 1930s and afterward interviewed 17 witnesses who said they saw Whitehead flying, Brown says. The stories by 14 of those witnesses were notarized. Based on his research, Brown believes Whitehead did indeed fly before the Wrights.

Are you a window seater or aisle flier?

Then there's that so-called "secret agreement."

"In fact," Crouch says, "it was never secret."

"That's not true," Brown said later. "It wasn't subject to the official secrets act, but it was kept from the public."

To hear Crouch tell it, when the Wright family signed a contract to give the Smithsonian the brothers' plane, the museum promised never to declare another aircraft the first to achieve powered flight.

Crouch says the family "stuck one clause into that contract that said if the Smithsonian ever says anybody flew before the Wright brothers, we have the right to take the airplane back. That clause is in fact still in the contract," Crouch says. "As an honest historian, I never felt bound by that clause. If I found evidence that I think indicated somebody else had flown before the Wrights, I would say so."

"What else would you say in his shoes?" asks Brown. "And if that's the case, why doesn't he examine the Whitehead claim?"

Brown says he recently worked with the Smithsonian on a project for the Smithsonian Channel.

Aviation geeks take on terrorismPlane spotter destinations offer aviation thrills

For Connecticut state Rep. Charles Clemons Jr., one of the sponsors of the bill, acknowledging Whitehead's flight means money and prestige for his hometown.

"It will put Bridgeport on the map." Clemons says, "it will become synonymous with being first in flight, which would enable us to have a museum. With that, we would generate some tourist attractions." With the economy being what it is these days, Clemons says the tourism dollars would be important to the region.

Clemons mentions that Bridgeport is already known as the home of another flying object -- the Frisbee. But that claim also has been the subject of some debate.

Does Clemons actually believe Whitehead was first? "Yeah," he says confidently. He thinks history books should be re-written to say Whitehead beat the Wrights.

No matter, says Crouch. The truth will win out. "You can't legislate history," he says.

Brown says, "it's the Smithsonian that tried to negotiate history with this contract with the Wrights."

It's back, but will Dreamliner live up to its name?

Meanwhile, the move puts Connecticut at odds with North Carolina and Ohio -- who've been fighting amongst themselves for decades for a share of the Wright brothers' tourism dollars.

Most everybody knows about the brothers' aviation experiments on the North Carolina dunes. But Ohio reminds the world that the Wrights lived in Dayton. There, in their bicycle shop, they invented and developed much of their aviation machinery. There's a reason why the University of Dayton's teams are called The Flyers.

But what about Jane's? Their reference guide endorsement has to mean something, right? As respected as Jane's is, says Crouch, "it's not a historical publication. It's a reference book. It's damaging and that's why it kind of worries me."

The Whitehead story, which pops up in the media every few decades, is dangerous, Crouch says, because it plants the seeds of doubt in a story which should be seen as indisputable.

However, this isn't the only dispute against the Wright brothers' legacy. Crouch says millions of Brazilians believe their pioneer aviator Alberto Santos-Dumont actually invented the airplane. "Brazil claims Santos-Dumont was first because his aircraft had wheels, and the Wright's launched on rails," Crouch says.

Whatever the case, Connecticut has started a brawl that could end up rewriting world history. Or it could all fade away in a blur of unproven claims.

What do you think? Are Connecticut lawmakers acting prematurely by officially declaring Whitehead as the first to achieve powered flight? Let us know what you think in the comments section below.

@highlight

Newly found photo questions whether Wright brothers made the first powered flight in 1903

@highlight

Connecticut legislature OKs bill that says Gustave Whitehead flew first

@highlight

"You can't legislate history," says Smithsonian expert

@highlight

Aviation historian John Brown finds evidence pointing to powered flight in 1901