Santiago, Chile (CNN)On the sandstone façade of a two-storey building, a man's cheeks bulge as he bites on a fork-load of food. A companion opposite licks his lips in anticipation of the leg of lamb before him and a chef looks flummoxed with a goose that's taken refuge in a saucepan.

It could be a scene from a cartoon strip and in some ways it is -- albeit one that has been plastered across the walls of a Chilean restaurant and its car park entrance in the heart of Santiago.

Snapshots of social interactions like this are captured on some of the hundreds of murals that have been commissioned across the city over the past year, reflecting a growing trend towards the commercialization of underground culture in the country.

Graffiti used to be seen as merely an underground expression of youthful rebellion, an image reinforced during the years of the dictatorship between 1973 and 1989. Now, however, it has undergone a makeover as business owners have recognized the potential for using the enduring appeal of this often forbidden art form in advertising.

More than a hundred muralists now work in the city, according to local estimates, and the number is rising as more artists seek to cash in on the mainstream's fascination with guerrilla art.

Wearing two-day stubble and a baseball cap on backwards, Alan Zárate sprays yellow paint on the walls of a hip-hop nightclub. The 31-year-old from Puente Alto, a neighborhood on the fringes of the city, is one of the capital's most sought after muralists. His mantra in life is simple: "siempre para adelante" -- always go forward.

With a waiting list and monthly income averaging 750,000 pesos ($1,211), he now finds himself with semi-regular work in a field notorious for not knowing where the next peso will come from.

It's for this reason perhaps that he seems unfazed when a friend calls in the middle of the interview to tell him he's got yet another commission -- this one for a mechanic's store in the central Santiago neighborhood of San Joaquín. He's seen demand for his work increase lately but has not lost sight of how unpredictable its ebbs and flows can be.

"It's a risky business and there's a lot of competition," he says. "A lot of street artists do this kind of work -- several at a high level. There are other jobs that guarantee higher pay."

Fascinated with drawing from a young age, Zárate began sketching cartoons and stylized lettering before going on to create his first street mural with a school friend at the age of 15. He went on to study graphic design at university and since then has racked up a portfolio of clients ranging from owners of bars and restaurants to night clubs, a local council and even a hospital.

What's behind the surge in business? "Globalization," he says. "Advertising these days needs new ideas for how to show your brand or service. Graffiti murals have many characteristics: they're fresh, modern and huge. Public spaces make an ideal setting for them."

Nowhere is the shift in the public's perception of graffiti more visible than on the 2,600 square meter underpass bracketing one of the main arteries in the southeast of the city.

On either side of a four-lane highway, a sea of faces and local landmarks appear to jump out of what were previously two blank concrete walls. As part of a renovation program funded by the government, the local council of La Florida commissioned ten artists with the brief to create "the biggest mural in Santiago" depicting the diverse cultural heritage of the 30,000-strong neighborhood.

It might sound like an unorthodox way of spending state funds but in a middle class neighborhood through which a sixth of the city's population (800,000 people) commute daily, it is also a way of sending a social message.

When the mural was completed in February, local mayor Rodolfo Carter proclaimed it a demonstration of "the integration of different lifestyles."

It took the muralists six weeks to produce the finished image, going through 500 aerosol cans in the process.

When complete, the result was quite personal. "Each artist put something into his bit. For example there are dollar signs on the image of the hospital which clearly refer to the high cost of public health in our country," said Alan.

For the private sector, graffiti art has become an effective way of capturing the attention of potential clients and generating a buzz on social media.

Across town, in upmarket neighborhoods as well as in historic quarters, giant murals have become a permanent fixture on the walls of small and large establishments alike.

For Gonzalo Rodriguez, the owner of La Chimba, a hostel, giving his business the graffiti treatment was a no-brainer. "Lots of people flip out over good street art these days and if your business has something really cool painted on it people acknowledge you more," he said.

"I gave the artist carte blanche to do whatever he wanted. I just told him it should have a Latin American feel to it."

Has it generated more business for him? "It's tricky to attribute any increase in business to the mural," he says. "But I see our guests and tourists walking by constantly photographing the hostel and posting the photos on social media. That can only be beneficial for business in the long run."

A few blocks away, Gnomo, another hostel, sports a different kind of mural. It has an impressionist feel that makes it easier to take in from a distance than up close. It depicts tall trees in a vast forest interspersed with signposts to faraway places: Buenos Aires, Berlin, Mumbai.

Lucas Nettle, who commissioned the mural says he wanted to make his business stand out. "We felt that through a mural we could represent what we are as a youth hostel -- a relaxed, friendly place where we have a lot of fun. This is represented in the colors."

But not everyone in Santiago has embraced the surge in graffiti art. As the number of street murals increases, some are now questioning whether the commodification of what was once a not-for-profit channel of self-expression has gone a step too far.

As enterprises piggyback on the creativity of others, some people are asking whether the authenticity of graffiti art is being eroded -- whether something that once representing non-conformity has been tamed to promote the conformity involved in mass consumption.

"Many graffiti artists criticize us because we are doing this professionally," says Zárate. "They're against the system and they don't like it that we're working for government agencies and brands."

It's an ongoing debate with implications for other forms of self-expression that have recently been commercialized such as sand animation, a form of performance art that involves the manipulation of sand. But the argument often overlooks the practical need to survive in a world where survival is decided by money.

In Chile and many countries in Latin America, poverty remains a reality for significant portions of the population. With 15% of the urban population living below the poverty line as recently as 2011, 6.4% of the population currently out of work and many struggling to get by on the minimum wage of 220,000 pesos a month ($355), the opportunity to turn a hobby into an income is a compelling one.

For muralists like Zárate, though, what makes him fill his rucksack full of aerosols each morning is less a question of riches than the satisfaction of expressing himself on concrete.

"There are more profitable ways of making money but they're monotonous. This is my passion. At its best, it's like a form of therapy. It's using artistic creation to represent the imagination in a visible way. I find it a very interesting challenge."

The decaying splendor (and strange finds) of abandoned Italian nightclubs

Glitter, glam and nudity: Behind the scenes at the legendary Studio 54

Rise of the beard: A short history of the world's most powerful facial hair

@highlight

Santiago government and businesses are commissioning graffiti artists to decorate public spaces

@highlight

The previously underground art form is now embraced by the masses

@highlight

Detractors see it as a commercialization of rebellion and self-expression