Amiyrah Martin of Edison, New Jersey, an African-American mom of two, says she and her husband are still trying to figure out how to sit their 8-year-old son down and explain the Trayvon Martin case and its conclusion -- without getting emotional.

"My biggest issue is ... giving him the facts rather than getting upset and giving him how I feel, because I want him to come to his own consensus," the host of the blog Four Hats and Frugal said in an interview. "My husband is the same way. He's very emotional about it ... so he doesn't want him to think, 'Well, Dad feels this way so I should.' He wants him to create his own opinion."

When Martin, who is not related to Trayvon Martin's family, ultimately has the conversation with her little guy, who always "likes to know the why," he'll no doubt ask about race, she said.

"We're going to have to tell him that it may have been due to Trayvon's race, and this is how it happened, and this is how George Zimmerman decided to react to it," she said. "It's going to be very hard to sit him down and have the conversation, but we know we have to do it."

While not everyone agrees that Martin was racially profiled, the case and the protests that followed have led to larger conversations between parents and kids. Some are focusing on race -- Martin was black and Zimmerman identifies as Hispanic, so it's not just a black and white issue. Still, others aren't even talking about race but are focusing on behavior.

But when I set out to interview moms about the verdict, and ask what they are telling their kids, I got two very different responses. African-American moms like Amiyrah Martin were extremely willing and interested to talk about their experiences, while very few moms who were not African-American came forward.

Then I saw a post by Liz Gumbinner, a white mom of two and author of the blog Mom-101, which explained a lot -- that white moms aren't talking about the story, at least not publicly, and they should be.

"I think that non-African-Americans are talking about it privately, but they are nervous to talk about it publicly, and I think this is an ongoing issue in the U.S., that race is still a topic that people are afraid to discuss unless you're a person of color and you're living it every day," Gumbinner told me.

"It's easy for my friends of color who are mothers to say, 'That could have been my kid and it feels personal,' and it's easier for them to speak out and take action the way I think so many white people did with Sandy Hook, for example -- 'That could have been my kid,'" she added. "What's important is for us to remember is that it could have been any of our kids, skin color aside, and so there are so many layered issues that we have to have these conversations."

Gumbinner says she hasn't talked with her girls, ages 6 and 8, about the Trayvon Martin case, but if her 8-year-old hears about it, she'll discuss it with her. "I'd rather talk about the macro issue with her, about treating people with respect and not judging people based on how they look, than get into the details of a murder case. She is still very young."

One mom's message to her kids

While some parents may approach the topic from the viewpoint that Martin was more likely to be treated differently because he was African-American, other parents are using the case as a behavioral lesson and leaving race aside.

Catherine Martines Mortensen, a mom of two in Fairfax, Virginia, watched a lot of the trial with her 15-year-old daughter and 10-year-old son, and discussed the verdict when it was handed down. "I told my kids both people used really poor judgment," she said during an interview. "They had assumptions about the other, even without knowing the situation. Neither one of them should have engaged. They should have left."

"I told my kids, if they are ever in a situation where they don't know if someone's following them or what's going on, they just need to get home. Don't linger around," she said.

As they watched the trial, she said her kids were constantly trying to figure out who was right and who was wrong. "My kids would go back and forth. One would say, 'Well, Trayvon, it was his fault because he started the fight.' The other one would have said, 'Well, Zimmerman, he should have never gotten out of the car.' I think it was never clear-cut."

"A lot of times children's brains will try to process information in a very black and white way, but in this case, they couldn't do that," she said.

Comforting a brother who doesn't understand

Cindy Rodriguez, editor for Latino audiences at CNN.com, went to pick up her 14-year-old brother for a movie outing Sunday, a day after the verdict was announced. Her brother carried a hoodie over his arm. His father told him not to put it on until they got inside the movie theater. Her brother didn't understand, and told Rodriguez their dad said it's because of "that kid that died."

"He didn't have a gun on him, right? So why would that other guy shoot him?" her little brother asked. When she told him about the "stand your ground" law in Florida, her brother responded that Trayvon Martin was "so small."

"Every question that seems so obvious to everyone that's so shocked by the verdict, I see it in my little brother's eyes," she told me. "He said, 'I just don't get it. ... Why would they have that law?' "

Rodriguez said she has steered away from talking about race with her brother, saying she was always raised to believe she is the same as everyone else. But after the Trayvon Martin case, she felt she needed to talk with her brother about it. "We kind of live in a world where the minority teenager with the hoodie on means trouble, and unfortunately that's kind of the way things are going now," she told her brother.

She told him he might not encounter racism now because he lives in a predominantly Hispanic community, but that when he leaves his neighborhood in North Bergen, New Jersey, that could change. "People are going to approach you differently," she told him, giving a big-sister message she really wishes she'd never had to give.

Conflicted about whether to have the conversation

Marie Stroughter, an African-American mother with three children, including a 15-year-old son, said she and her husband are having "deep" conversations about whether they should talk with their kids about the case and the reactions to the verdict.

"I think our fear is we've raised them as much as possible in this society to be pretty much colorblind," the co-creator of the blog African-American Conservatives told me during an interview. "I mean, they are aware of their own heritage, but our fear is injecting thoughts into them that they don't necessarily need to have. Do we want them to view people with suspicion that don't need to be viewed with suspicion?"

Stroughter worries that by telling her children to watch out for discrimination from certain people, they'll end up doing the very thing she wants them to avoid -- racially profiling others.

While she tries to figure out what to do, she says she and her husband will continue to rely on their strong Christian faith. "The only thing we can think of is to teach them Christian values that are colorblind," she added.

Mom guilt

Amiyrah Martin showcased a picture of her son on a post titled "This is My Boy," in which she confessed to feeling something else after the Travyon Martin verdict -- mom guilt.

"I do feel a little bit of guilt because I did bring him into this world, him and his sister, and they're going to have a lot of adversity still to come -- so should I have thought about that before I brought them into this world? Is it fair that I did that to them? And that's been in the back of my mind quite a bit since it happened," she told me.

When Martin ultimately has the talk with her son, I don't know if she'll share that she's feeling some mom guilt. Maybe if we'd all start talking about race in all of our households -- not just the ones headed by African-Americans -- moms like Martin wouldn't have anything to feel guilty about.

Follow Kelly Wallace on Twitter and on Google+ and like CNN Living on Facebook.

@highlight

George Zimmerman's trial has ignited discussions of race, guns and safety

@highlight

Parents have sat their children down to talk about how others perceive them

@highlight

African-American parents have explained that their children might face more scrutiny

@highlight

Non-African-American parents must discuss race with their kids too, a blogger argues