(CNN) -- Freed hostages Jessica Buchanan and Poul Thisted arrived at a U.S. base in Sicily Thursday, a day after being rescued in a U.S. military raid in Somalia, a spokesman for the base said.

The pair are now at Naval Air Station Sigonella, said the base's public affairs officer, Lt. Tim Page.

U.S. special operations forces parachuted into Somalia from airplanes in the early hours of Wednesday morning, then advanced on foot to a compound where the two kidnapped international aid workers were being held and freed them, U.S. officials said.

The nine gunmen holding the hostages were killed, the officials said.

Kidnappers seized Buchanan, 32, and Thisted, 60, on October 25 in the central Somali town of Galkayo after they visited humanitarian projects there, said the Danish Refugee Council, the agency for which they work. Neither was harmed, the aid group said.

Buchanan was going through what the U.S. military called "Phase II" reintegration of former hostages, according to a senior defense official. In most cases, the former hostage will undergo "more complete medical exams and formal, structured debriefings," the official said.

"An inherent and critical part of the reintegration process is the decompression period that has been established to maximize returnee health and welfare," the official said. "This process normally requires a minimum of 72 hours to be effective."

CNN has learned Buchanan's father, John, will go to Sicily to see her. She is not in custody and can leave when she wants but, if she stays, when ready she will be returned to the United States, probably in a U.S. military aircraft.

President Barack Obama phoned John Buchanan to tell him Jessica had been freed, Buchanan said, adding that the call had left him "flabbergasted."

"He said, 'John, this is Barack Obama. I'm calling because I have great news for you. Your daughter has been rescued by our military,'" Buchanan said.

Buchanan said the operation left him with an overwhelming sense of patriotism.

"I'm extremely proud and glad to be an American," he said. "I didn't know this was going to transpire. I'm glad it did."

He said Jessica was "doing well, under the circumstances."

Somalia's transitional government welcomed the U.S. military operation Thursday.

The rescue of the aid workers "is a great joy to the Somali government and to all Somalis as well as to all right thinking people everywhere," the government said in a statement.

"Hitting them hard is the only language kidnappers of innocent people, pirates and terrorists understand, and every opportunity should be taken to wipe out this scourge from our country," the government said.

The new United Nations envoy to Somalia -- the first permanent U.N. representative there in 17 years -- also expressed understanding about the military operation.

"If negotiations fail, all means must be applied, including rescue operations," Augustine Mahiga said Thursday, even as he urged that lives be protected "on both sides."

Thisted's sister and brother-in-law wept for joy when they heard he had been rescued, the brother-in-law, Svend Rask, told Denmark's TV2.

"She was overjoyed when she told us what happened," Rask said, speaking of the daughter who gave them the news.

Students at the school in Kenya where Buchanan used to teach also cried at the news, the dean of students there said.

"Yesterday was an exciting day for us. There were tears of joy on campus," said Rob Beyer of Rosslyn Academy, a Christian international school in Nairobi.

Beyer remembered Buchanan, who taught at the school from 2007 to 2009, as "adventurous and a bit of a risk taker" as well as "an incredible teacher, well loved."

The Navy SEAL unit that killed al Qaeda leader Osama bin Laden last year in Pakistan participated in the rescue mission, a U.S. official said, without specifying whether any of the same individuals were on both assaults.

The SEALs are part of the Naval Special Warfare Development Group, formerly known as SEAL Team Six.

The special operations forces took fire as they fought their way into the compound where the hostages were held, the official said, adding the troops believed the kidnappers were shooting. The official is not authorized to speak to the media and asked not to be named.

Pentagon spokesman George Little said the rescue team included special operations troops from different branches of the military, but would not specify the branches.

There were no known survivors among the kidnappers, he added.

The American assault team did not suffer any casualties, the Pentagon said.

The United States was in close contact with Denmark before, during and after the raid, State Department spokeswoman Victoria Nuland said.

White House spokesman Jay Carney said, "The decision to go ahead with this rescue mission was made because there was information concerning the deteriorating health of Ms. Buchanan, as well as a window of opportunity to execute this mission."

Obama, who had given the go-ahead at 9 p.m. Monday, was updated on its progress throughout Tuesday, Carney said.

At the State of the Union address, before news broke of the rescue, Obama told Defense Secretary Leon Panetta, "Leon, good job tonight. Good job tonight."

The hostages were safe at that point, but the mission was not yet complete, as the American assault team had not departed Somalia, Little said.

In a written statement, Obama thanked the special operations forces for their "extraordinary courage and capabilities."

"The United States will not tolerate the abduction of our people, and will spare no effort to secure the safety of our citizens and to bring their captors to justice," Obama said. "This is yet another message to the world that the United States of America will stand strongly against any threats to our people."

Capt. John Kirby, another Pentagon spokesman, said the abductors were ordinary criminals.

"They were kidnappers. We don't have any indication that they were connected to any terrorist group or ideological group at that point," he said.

"They were not Al-Shabaab," Little said, referring to the al Qaeda-linked Islamist militia that holds sway over parts of Somalia.

The area where the hostages were seized is known as a hub for pirates, rather than an area of Islamic militant activity.

A number of high-profile abductions of foreigners have occurred in Somalia and in Kenya, close to the largely lawless Somali border.

Some of the kidnappings have been blamed on Al-Shabaab, while criminals seeking ransoms seem to have carried out others.

The U.S. raid comes nearly three years after Navy snipers killed three pirates who had taken hostage the captain of the Maersk Alabama off Somalia.

But the forceful U.S. responses may not do much to deter hostage-takers in largely lawless Somalia, one expert said, pointing out that piracy in particular is extremely lucrative.

"The returns are so worth it that piracy will continue to be attractive to a lot of people," said Adjoa Anyimadu, a researcher for the Africa program at the London-based think tank Chatham House.

"I don't think pirates necessarily have the knowledge to target U.S citizens in particular, but obviously U.S. and European citizens can command higher ransoms," she said.

Somalia Report, a website that tracks piracy statistics, said over $150 million was paid out in ransoms in 2011.

Successful pirate attacks on merchant vessels began to drop off in 2011 in face of improved shipping security -- including on board armed security detachments - and stronger action from the foreign navies patrolling the Gulf of Aden and Indian Ocean.

The International Maritime Bureau, which tracks piracy, said the number of attacks had risen but the success rate had plummeted to 12% in the first nine months of 2011.

The aid workers were part of the Danish Refugee Council's de-mining unit, which aims to make civilians safe from landmines and unexploded ordnance.

Buchanan has been employed as a regional education adviser with the mine clearance unit of DRC since May; Thisted, a community safety manager with the de-mining unit, has been working in Somaliland and Somalia since June 2009.

CNN's Hada Messia, Kindah Shair, Zain Verjee, Elizabeth Mayo, Brian Walker, Becky Anderson and Tim Lister, and journalists Susanne Gargiulo, Lillian Leposo, Michael Logan and Mohamed Amiin Adow contributed to this report.

@highlight

Jessica Buchanan and Poul Thisted arrive at a Naval air station in Sicily

@highlight

They were rescued Wednesday by U.S. military forces in Somalia

@highlight

The Navy SEAL unit that killed Osama bin Laden participated in the mission

@highlight

Kidnappers seized the aid workers in October