(CNN) -- This year around 300,000 visitors are expected to attend the Milan's Salone del Mobile, the world's largest and most important furniture fair.

At the moment it seems like half of them are trying to get into the lavish exhibition space set up by Fendi.

The men guarding the entrance resemble bouncers, albeit with smaller necks, better fitting suits, and a habit of calling strangers sir or madam.

After I flash my press credentials they let me beyond the velvet rope. Apparently CNN is on the list.

Every year the good and the great of the furniture world descend on Milan for its Salone, an extravaganza of design and a focal point of the design calendar.

Retailers come to decide which pieces they will stock for the following year, and journalists arrive en masse to get ideas for features and editorial spreads. Designers and their teams come for a bit of inspiration—and to eye up the competition.

This year 1,400 exhibitors—including furniture heavyweights like Fendi, Moroso, and Minotti, and kitchen experts like Bosch, Gaggenau, and Miele—are displaying their latest designs and innovations.

Their various booths, which sometimes resemble free-standing stores, stretch out over 152,300 square meters of exhibition space. That's equivalent to 27 football fields filled with sofas, armchairs, carpets and ovens.

This year's exhibition, which concludes on April 13, is the most extravagant yet.

"Over the past few years the mood at the fair has been quite subdued and there haven't been that many notable launches," says Talib Choudhry, editor-at-large for Elle Décor UK. "But there seems to be renewed confidence in the global economy. This year the pace is more upbeat, frenetic and it's all about the sell."

Inside Casa de Fendi

Fendi's booth resembles a Fendi store with its dark wood floors and black-and-gold wall hangings.

"The shops stay in place for four or five years, but the booth is here for just five days," says Raffaella Vignatelli, the vice-president of the Luxury Living Group, the Italian lifestyle brand that produces furniture for Fendi Casa, Bentley Home, Trussardi Casa and Heritage Collection.

"Inside this box we're not only showing furniture. We're showing a lifestyle."

And what a glamorous lifestyle it is.

An attractive public relations manager guides me through the showroom to a high-back cocoon sofa, created by guest designer Toan Nguyen, which retails from $25,000.

Then there's a 13-ft. mirror, which includes a built-in 30-inch or 42-inch television set. It starts from $20,000 and can climb to $35,000.

Eventually we reach the "cat pouf" ottoman. It's covered in leather with a stained wengé base. Her eyes light up when she tells me it was inspired by a Fendi handbag,

Party, party everywhere

Later that evening I follow the masses to Milan's Palazzo Morando, a 16th century palace that has been converted into an exhibition and party space by designjunction, a group that showcases the latest furniture, lighting and product design from around the world.

If the walls could talk they would likely whisper about the eccentric personalities downing champagne and ogling over Afghan carpets and pot scrubbers made from watermelon rinds.

In the courtyard I interrupt a conversation between a Macedonian furniture enthusiast and an Indonesian interior designer.

"I don't keep a schedule—I just run from one place to another and then when someone calls me I run to another show or party," says Hendra Gustari, the chief executive and creative director of Designclopedia, a leading home interiors and furniture retailer in Jakarta.

He describes his annual journey to Milan as a "design pilgrimage" and says the fair presents an unparalleled opportunity to connect with his far-flung business contacts.

It's also a chance to spot the pieces that will appeal to his well-heeled customers in Indonesia.

"When it comes to fashion you can choose between London fashion, Paris fashion, New York fashion, Tokyo fashion," Gustari says. "When it comes to furniture you've got Italian, Italian, Italian and maybe the fourth is from somewhere else."

Welcome to the club

For up and coming designers, the Salone is an essential way to get your name out there.

"Personal relationships are everything in this business," says Choudhry of Elle Décor. "It may look like a series of parties but it's actually big business. Designers will often secure a huge commission or brand partnership over a drink at Bar Basso. It's the place where everyone goes."

Designer Brodie Neill set up his label Made in Ratio last year. He debuted five new pieces in Milan this week.

But rather than setting up inside designjunction or another collective space, he chose to rent out a trendy café and bar in Milan's Brera Design District and stocked it with his own furniture.

"We want it to be a social space where people can feel comfortable, have a coffee and interact with the pieces," he says. "The pieces are very tactile."

So visitors eat spaghetti at his supernova trestle table, cast entirely from recycled aluminum. They also sit on his Pik stackable stools, which are made from recycled drinking bottles.

He's less concerned with securing orders than he is with making new contacts.

"We've already had architects, retailers, and distributors come through the space," Neill says. "This is where those important connections are made. We'll start imagining what we'll do next year before we even leave Milan."

@highlight

Around 300,000 furniture enthusiasts gather in Milan for Salone del Mobile

@highlight

Over 1300 exhibitors showing off grand designs at Milan's furniture fair

@highlight

Event is filled with champagne galas, over-the-top parties, and plenty of grand unveilings