ISTANBUL, Turkey -- Nearly two months ago, President Obama embarked on a two-day, two-city charm offensive in Turkey, a predominantly Muslim country and NATO military ally whose people give the United States abysmal approval ratings.

President Obama listens at a town hall-style meeting in Istanbul, Turkey, in April.

The American president toured a mosque, laid a wreath at the grave of the founder of the Turkish republic, and announced before the Turkish parliament that "the United States is not and will never be at war with Islam."

Did Obama's new brand of diplomacy work?

Could 48 hours of handshakes, speeches and smiles turn around Turkish public opinion? After all, in 2007, only 9 percent of Turks polled by the Pew Research Center held favorable views of America, the lowest level among 47 countries surveyed.

If 24-year old Ece Basaran is any indicator, Obama succeeded beyond expectations.

After attending a town hall-style meeting with the American president during his visit to Istanbul last April, Basaran and a group of her friends started up a Turkish-American friendship club at her university.

"I get positive feedback because everybody around me likes Obama," Basaran said, while taking a break from preparing for final exams at Istanbul's Bahcesehir University this week. Basaran said that as recently as last year, the United States was unpopular among fellow students and friends, but added that "after Obama, it seems popular. At least the negative image began to fade away."

Officials and commentators in both Turkey and the United States are also calling Obama's first presidential visit to a Muslim country a positive step.

"At the moment, he's doing the right thing," said Suat Kiniklioglu, a member of the Turkish parliament. "His first task was to remedy the situation of America wielding a big stick for the last eight years."

"President Obama's visit and recent policy initiatives have managed to dispel some of the pervasive suspicion in U.S.-Turkish relations -- no small achievement," said Ian Lesser of the German Marshall Fund, testifying before the House Foreign Affairs Committee last month. But, he added, "much remains to be done."

There are strong indications that words alone will not be enough to transform years of deep suspicion many Turks feel towards the United States, particularly after the long, widely unpopular war in neighboring Iraq.

According to a recent poll published by academics at Bahcesehir University, 43 percent of Turks said they would not like to live next door to American neighbors.

In a phone interview this week, Osman Solmaz, another of the Turkish students chosen to attend the town hall meeting with Obama, said that in his hometown, the southeastern Turkish city of Diyarbakir, "the majority of the people have prejudice against the United States."

"Nobody agrees with America's foreign policy," said Sertac Yakin, a university student from Ankara who also attended the Istanbul meeting in April.

"To change public opinion in Turkey is a long-term affair," argued Kemal Koprulu, the founder of Ari Movement, an Istanbul-based nongovernmental organization that focuses on promoting youth participation in civil society. "There is no way that the election of a president and several nice statements from a State Department spokesman will change dramatically the public opinion in Turkey."

Koprulu argued that his organization has documented alarmingly high levels of anti-Americanism and anti-Westernism among young Turks. He pointed out that at a recent academic conference at one of Turkey's most progressive universities in Istanbul, he witnessed audience members give a five-minute standing ovation to a Turkish speaker who "slammed America" in front of a panel of visiting U.S. officials.

The White House does appear to have made some progress in patching up damaged relations with the powerful Turkish military.

Top Turkish army generals did not attend an important bilateral conference in the United States last year, following American criticism of Turkey's cross-border military offensive against Kurdish PKK rebels in Northern Iraq. This year, the Turkish military chief of staff was among the key speakers attending the conference. But Gen. Ilker Basbug reportedly told the audience of dignitaries in Washington this week that the ongoing presence of PKK rebels in Northern Iraq continues to have a negative impact on Turkish-U.S. relations.

Many Turks say they are still waiting to see to whether the Obama White House's change in tone will translate to a change in the U.S. government's deeply unpopular foreign policy in the Middle East. They highlighted America's strong support for Israel over the Palestinians, and the ongoing conflicts in Iraq and Afghanistan.

"I believe [Obama] understands the importance of the Islamic world," said Abdurrahman Dilipak, a columnist at Vakit, Turkey's most conservative newspaper. "We will monitor his stance. He makes promises yet we have to see how he will act. Muslims are still treated as terrorists when they arrive in the U.S."

That wait-and-see attitude was even reflected by Basaran, the enthusiastically pro-American student who helped found a Turkish-American friendship club at her university.

"Because Obama has the [Muslim] name Hussein, people really love it," Basaran said. "I think he's the most favorite U.S. president among Muslim people. But we'll see."

Yesim Borg in Istanbul contributed to this report.

@highlight

Poll says only 9 percent of Turks had positive view of U.S. in 2007

@highlight

Iraq war, foreign policy of Bush administration among the reasons, Ivan Watson says

@highlight

President Obama tried to change those sentiments during April trip to Turkey

@highlight

Some Turks say Obama's won them over; others wait and see, Watson reports