(CNN) -- The U.S. Senate, the "world's greatest deliberative body," with a reputation for gridlock that surpasses even that of my native Los Angeles, on Thursday passed an immigration reform bill by a bipartisan majority. Please thank the Senate. As the fight moves to the House of Representatives, it's a good time to reflect on just what this bill will mean for America and to redouble our efforts to pass it.

The last major immigration reform bill was in 1986 under President Reagan. I was 3, my parents had just bought their first computer and the World Wide Web was a dream. Many of today's great tech companies were not yet on the radar screen.

Our country has changed a lot during those 27 years, but not -- so far -- our immigration policy. Suffice it to say, if we can pass our generation's immigration reform, it will be a really big deal.

America's greatest asset has always been its people, drawn here from all over the world. In the 21st century, our economic future depends on immigrants more than ever. The fastest-growing sector of our economy is the knowledge economy, where the main competitive difference is people.

How immigration reform would affect 3 families

In a globalized world where people and businesses have their choice of countries to locate in, continuing to have the best trained, hardest-working and most productive people in the world will keep the United States at the forefront of global competitiveness. We have some huge advantages: the top universities in the world, the top scientific researchers, and -- right alongside these -- our identity as a nation of immigrants and descendants of immigrants.

At FWD.us, a nonprofit advocacy group, we are entrepreneurs, and we believe that one of the main reasons America is the leading entrepreneurial nation is that we are a nation of immigrants. Leaving behind your home country and everything you know to create a better life for your family is the essence of the risk-taking that characterizes the entrepreneurial ethos.

I think back to my ancestors in the shtetls of Eastern Europe in the 19th century. They had probably never been more than two miles from their village, and got on a steamship to go to a country they had never even seen in a picture, knowing they would never return home.

That is truly putting it all on the line to make a better life. It is not random, who chooses to emigrate, and the work ethic and entrepreneurial spirit of these immigrants have shaped the character of our country. Entrepreneurs in Silicon Valley do not just identify with the experience of computer programmers coming to America to work at tech companies, but with everyone who comes here to make a better life. It's why we are working for comprehensive immigration reform.

There are talented young people in America who were brought here by their parents who now cannot go to college or work because they are undocumented. These DREAMers are just waiting to contribute, and their parents, with the right accountability measures, should be able to join them by coming out of the shadows and contributing fully to their communities.

Opinion: On immigration, GOP offers fear, not ideas

In addition, we know that the best and the brightest come here to study, start companies and create jobs that grow our economy; millions more are caught in limbo navigating a complex and broken system that is totally outdated for a modern economy and modern American families. We need to pass comprehensive immigration reform to unlock those contributions and by doing so change millions of lives.

FWD.us has been visiting college graduations, talking with some of the smart young international graduates who have the potential to expand American businesses and create new innovations here. Many are returning home despite job offers in the United States, for one reason -- they can't get visas. A loss for them and a loss for us -- collateral damage of an outdated immigration policy.

Over our history, the United States has often been good at welcoming immigrants. In fact, it's part of what defines America. Reagan said it well, recounting the sentiments in a letter he received from a man before he left office: "You can go live in France, but you cannot become a Frenchman. You can go to live in Germany or Italy, but you can't become a German, an Italian. He went through Turkey, Greece, Japan and other countries. But he said anyone, from any corner of the world, can come to live in the United States and become an American."

Comprehensive immigration reform is a big deal, but it is not a done deal. The House comes next. We are at a hinge moment for America. Don't hold back -- the time is here to be heard as the fight continues to pass meaningful comprehensive immigration reform.

The opinions expressed in this commentary are solely those of Joe Green.

@highlight

Joe Green: Immigration reform heads for tough fight in House after passing in Senate

@highlight

The last major immigration overhaul in the U.S. was in 1986, he says

@highlight

Green says immigrants are group of risk-takers who define America's entrepreneurial ethos

@highlight

Green: Immigrants needed to feed nation's fast-growing knowledge economy