EL COCA, Ecuador (Reuters)  -- Under pressure to preserve the environment while at the same time ease the poverty of his people, Ecuadorean President Rafael Correa has come up with an unusual solution.

President Rafael Correa has startled Wall Street with talk of not paying Ecuador's $10.3 billion foreign debt.

Correa wants wealthy nations to pay Ecuador $350 million a year in exchange for leaving an estimated 1 billion barrels of oil under the ground in the pristine Yasuni rain forest.

"I think oil has brought us more bad than good," said Correa during a recent visit to the bustling Amazonian oil town of El Coca. "We need to do something about it."

Environmentalists around the world have celebrated the idea, apparently the first of its kind, as a way to preserve a delicate environment without creating an economic burden for the cash-strapped nation where six in 10 people are poor.

The move come amid growing popularity of "carbon offsetting," in which first-world residents concerned about climate change make donations to compensate for the environmental damage their consumer habits cause.

But critics wonder if the politically unstable Ecuador, which relies on oil for nearly half of its export revenues, can keep this promise to the international community or whether authorities are trying to have their cake and eat it, too.

The plan involves creating a trust fund for donations or accepting debt pardons from other countries or multilateral lenders such as the International Monetary Fund.

The $350 million would constitute about half the annual revenues Ecuador thinks it could make from extracting oil from the field, partly located inside the 2.4 million-acre (982,000-hectare) Yasuni National Park.

Former energy minister Alberto Acosta has pointed out that all the oil in the Ishpingo-Tambococha-Tiputini field would only be enough for 12 days of global crude consumption.

Government officials say Norway, a group of Italian lawmakers and even one undisclosed oil company have inquired about the plan.

"It sounds ridiculous, but when you compare that money with Ecuador's foreign debt it's actually a small quantity," said Matt Finer a scientist with U.S.-based environmental coalition Save America's Forests. "Rich nations have to chip in."

The Yasuni is home to species ranging from endangered white-bellied spider monkeys to rare jaguars that live alongside indigenous groups that live isolated from the outside world and still hunt with spears and blowguns.

Correa, a close ally of Venezuelan leftist President Hugo Chavez, has startled Wall Street by threatening not to pay Ecuador's $10.3 billion foreign debt. He is embroiled in a power struggle with Congress and opposition lawmakers who say he is scaring off oil investment.

He also openly backs a $6 billion lawsuit filed by indigenous groups who accuse U.S.-based Chevron of polluting a large swath of the Ecuadorean Amazon.

The proposal's detractors say Ecuador cannot ensure the park's sanctity given political turmoil that has at times halted oil operations and has made Correa the eighth president in 10 years.

"Correa is asking the international community to dive in to see if there is water in the pool," said Daniel Erikson, an analyst with the Inter-American Dialogue, a Washington-based think tank.

Correa has said Ecuador will begin oil development next year if the government cannot secure the funds by then.

Even if Ecuador can promise to halt the contamination of multinational oil behemoths, it may struggle to control an equally serious contamination threat to Yasuni -- migrants already setting up farms and shantytown dwellings there.

But supporters of Correa's idea say the best way to limit the migration to the park is to ensure there are no oil-field jobs to draw them there.

"Oh God, what I wouldn't do to halt oil development," said Alonso Jaramillo, chief of eight rangers that watch over the park, roughly the size of Vermont. "I shake every time I hear about new oil development in my park." E-mail to a friend

@highlight

Ecuador leader touts plan to leave estimated 1 billion barrels of oil under ground

@highlight

In exchange, wealthy nations would pay $350 million a year to Ecuador

@highlight

President Rafael Correa says: "Oil has brought us more bad than good"

@highlight

Proposal comes amid growing popularity of "carbon offsetting"