(CNN) -- A New York Times article has reported that the United Arab Emirates and Egypt have launched airstrikes in Libya against militias, without coordinating with their ally, the United States of America.

Both Egypt and the United Arab Emirates continue to deny that they were responsible for the strikes, while American officials insist otherwise.

Yet, political cover could have been fairly easily provided if Egypt and the UAE had wanted to strike with less fallout. Allegations they carried out the strikes come against backdrop of international concern over radical Islamism in Iraq and Syria, which have led to U.S. airstrikes already, in co-ordination with the Iraqi government.

Some of the Libyan Islamist militias openly express sympathy for ISIS counterparts in Iraq and Syria, and a newly elected Libyan government already calling for at least some kind of international intervention to restore order, although they've stopped short of openly calling for military strikes.

Any airstrikes, however, taking place without the consent of the national government of a country, could only be described as violating state sovereignty. Of course, the Libyan state has been characterized as close to, if not already in the throes of, complete failure for the last three years.

The Gadhafi regime over three decades ensured there was no state to speak of, but only institutions closely associated with him and his coterie. When he fell, the revolutionary forces had the awesome challenge of building a state where there had been none -- and in the past three years, they have been unable to succeed in accomplishing that fundamental goal.

In the midst of that void, different groups have tried to acquire as much power on Libyan territory as possible. It is difficult to describe the differences in simple terms -- there are regional and tribal divides, as well as support for Islamist militants and conservative, non-secularist but also non-Islamist, opposition to them. Secularist groups, unlike in Tunisia, for example, do not particularly exist in Libya -- Libyan society at large is tremendously religiously conservative.

Some of that conservatism expresses itself in support for Islamist groups that range from the Libyan chapter of the Muslim Brotherhood, and more extreme groupings like Ansar al-Sharia who have articulated sympathy for ISIS.

Representatives of non-Islamist groups swept recent parliamentary elections, which indicate they have substantially more popularity than the pro-Islamist camp at present. Unfortunately, both Islamists and non-Islamists alike have given rise to militias, which only deepens the difficulty for taking Libya through its transition to democracy.

The void of a popularly supported state has also made it easier for outside powers to engage in Libyan affairs. From early on in the Libyan uprising, Qatar and Turkey have built alliances and provided support for particular groupings within the country -- and the Emiratis and others did the same.

Three years on, the country remains tremendously unstable -- but it now exists in a region where a truly radical Islamist movement has shown itself capable, if only temporarily, taking control of swathes of Iraq and Syria.

The fears of a similar movement taking over Libya are genuinely felt in Cairo, Abu Dhabi and elsewhere in the region -- and after the U.S. engaged so openly in striking against a radical Islamist movement in Iraq, it would perhaps be unsurprising if others in the region had felt they were within their rights to do the same in Libya.

There is another aspect, however, to American involvement in the region. On the one hand, American airstrikes in Iraq may have emboldened advocates of a more interventionist approach in Libya.

On the other hand, American non-involvement in Syria, which arguably contributed to the rise of ISIS, may have done the same -- providing support for the narrative that if you leave radical Islamists alone, they're likely to develop into far more powerful actors as ISIS has become.

U.S. influence

The rising of the stakes of the conflict in Libya may not necessarily signal a waning of American influence -- if Washington wanted to engage more forcefully in the region, either unilaterally and multilaterally, it possesses enough political capital in the region to do so.

In the absence of political will to proceed in that fashion, others will step into the vacuum -- and others have. Since at least 2012, Qatar and Turkey have consistently supported Islamist groups such as the Muslim Brotherhood and their allies in countries like Egypt, Libya, Syria and elsewhere.

The UAE and Saudi led the charge in supporting non-Islamist groups, although at times there was common cause, such as against Bashar al-Assad's regime in Syria. They were joined by Egypt after the military removal of Mohamed Morsy in 2013, and most other Arab governments after that point seem to have either tacitly or openly joined the non-Islamist axis.

Much of this has less to do with ideology than it appears, and more to do with the fear of any type of change from the status quo that could devolve into mass instability. At present, that fear is most associated with Islamist movements.

Mideast polarization

What needs to happen in Libya is perhaps what needs to happen, in another fashion, across the Middle East. The polarization of the region into these two camps has taken place at the worst of times -- when the region is facing some of its greatest challenges in decades.

The polarization between these two sides has repercussions and consequences, which are likely to take a very deep toll in countries like Libya, but also elsewhere, in terms of blood and chaos.

It has never been more important than for these two camps to work together, as much as possible, to support Libya's newly elected government, and to use their combined influence and capital to reinforce a political process in Libya that does not rely on the use of arms.

Unfortunately, that does not seem to be likely in the interim -- and it will be the Libyan people, who have already suffered so much in the past three years, who will pay the price. The effects of Gadhafi's rule still haunt them.

@highlight

The New York Times reports the UAE and Egypt launched air strikes in Libya

@highlight

Egypt, the UAE deny the reports, but the U.S. says it understands they did strike

@highlight

Amid the threat of ISIS, some regional powers fear extremists in Libya, says H.A. Hellyer

@highlight

Libyans are caught between supporters of Islamist groups, those who fear them, he says