(CNN) -- America is heading toward an energy cliff in the next 20 years, and the impacts could be much worse than those of the recent recession.

Simply put, we cannot keep out of economic downturn without a readily available supply of clean and abundant energy -- from sources that are affordable, scalable to meet long-term demand and that do not compound the problem of global climate change. CNN Films' documentary "Pandora's Promise" correctly suggests that nuclear power is the safest, most stable and most secure option for achieving that goal.

The U.S. nuclear fleet is robust, but even with license extensions, plants soon will reach the end of their design life. And an aging fleet of coal-fired power plants has numerous challenges with environmental compliance. Combined, these two sources represent approximately 60% of this nation's electricity supply.

The U.S. Department of Energy forecasts that somewhere between 35 to 60 gigawatts of coal-fired power plants, or one-fifth of the U.S. energy supply, will be shut down by 2018 because of today's lower gas prices and rigorous enforcement of clean air standards. Electricity use at the same time is expected to grow by nearly 30% through the year 2040.

Energy-efficient products have helped to reduce consumption, but they have been outpaced by new demand from other energy-consuming lifestyle choices. As "Pandora's" director Robert Stone rightly points out about the weakness of renewables, carbon sources of generation are needed to supply the intermittent electricity capacity when the sun isn't shining or when the wind isn't blowing.

Nuclear power has been proven to be the safest form of energy since the first reactor went online in the U.S. more than 50 years ago. What's more, the new plants being built today by Westinghouse feature advanced technology and design that take safety to new levels and are being built around the world.

For more than 35 years, the nuclear industry has provided over 20% of the electricity that powers the U.S. economy, creating jobs and fueling economic growth.

Many thought the 1979 accident at Three Mile Island would mean the end of the nuclear industry. In fact, the industry, with the oversight of government regulators, learned a great deal from that event and over the next decade reinvented itself. In the years that followed, the U.S. nuclear fleet and its suppliers developed, embraced and set the highest standards of nuclear plant safety in the world. Improvements in technology, design, plant maintenance, and operations enabled the nuclear industry to do more than survive -- it actually grew.

Existing nuclear plants improved safety and were uprated, adding the equivalent of many new reactors without actually building a new one. Today the U.S. nuclear industry consists of about 200,000 highly trained employees and is the world's leading exporter of advanced nuclear technology.

While the building of new nuclear power reactors in the U.S. was slowed, the world increased its nuclear fleet to more than 430 reactors. Even today more than 70 new reactors are in some phase of project development and construction globally. In 2010, two forward-thinking utilities in the southeastern U.S. made an investment in the future to protect stable pricing and hedge against pending environmental regulations that penalize carbon emissions. They committed to building four new Westinghouse advanced-generation nuclear power plants -- the first in the U.S. in 30 years. The utilities understood that a balanced fuel portfolio creates stability, predictable costs, and hedges price and supply volatility in the natural gas market.

For most of the last three decades, nuclear generating costs have been lower than those for natural gas or coal. Today we are realizing the benefits of low-priced natural gas, but history tells us that over time and increased use, price volatility will return.

It is important to remember that large-scale energy infrastructure investments typically have a life span of 60 years or more. Investors trade off between higher construction costs and the long-term price and supply security of nuclear versus a lower construction cost and high exposure to long-term supply and price volatility. In my lifetime, I have been assured at least twice of a new 100-year supply of natural gas, only to have those hopes dashed as increasing demand repeatedly burst the natural gas bubble.

In the U.S., concern over high natural gas prices, global natural gas shortages and potential carbon taxes gave rise to the so-called "nuclear renaissance" of just a few short years ago. But the financial crisis and economic downturn that followed reduced the number of planned new nuclear plants from 25 to just five that actually started construction.

Related story: "Nuclear renaissance"

Others have extended planned starts due to economic conditions. In addition to the eight new units Westinghouse currently has under construction around the world, we have another 30 units that will begin construction within the next 10 years. Our new advanced nuclear power capacity will help fuel global industrialization without long-term environmental impacts. And these new plants are designed with features that can withstand the kind of natural disaster that happened in Japan.

One thing is certain -- we need the power that these new nuclear plants can provide in order to meet the expected shortfall that will occur in the years ahead. The industry and government policymakers alike recognize that nuclear energy must be part of any national energy policy and is the most certain environmental solution to keep us from going off the energy cliff without taking away our clean air.

The opinions expressed in this commentary are solely those of Danny Roderick.

@highlight

Coming "energy cliff" could be worse than recession, says Westinghouse's Danny Roderick

@highlight

U.S. estimates coal plants that produce 20% of the nation's energy supply will close by 2018

@highlight

Meanwhile electricity use will grow by nearly 30% by 2040, author says

@highlight

Nuclear power is the best solution, without taking away our clean air, says Roderick