Sydney (CNN) -- Backpacking across India in 1981 as a young man fresh out of Sydney University, Tony Abbott found what he called "a country of contrasts, where bullock carts would take supplies into nuclear power stations."

Now the man who opinion polls predict will be Australia's next prime minister after the September 7 national election is prepared to see those power stations run on Australian uranium -- a position that goes down well in New Delhi.

Abbott, a religious man whose time in India included six weeks at the Australian Jesuit mission in Bihar, leads the conservative Liberal-National opposition that is locked in a struggle for power with Labor, led by Abbott's political rival and incumbent Australian prime minister, Kevin Rudd.

Australian PM announces new elections for September 7

Uranium is the key energy commodity that differentiates how Rudd and Abbott approach relations with India.

On paper, a bipartisan position

Australia, which has about a third of the world's recoverable low-cost uranium resources, sells the nuclear fuel to China, Japan, South Korea, Taiwan, the United States, Canada and the European Union, but not so far to India.

How Australian political rivals view China

Both the Labor and Liberal parties have a policy that they will sell Australian uranium to energy-starved India. So on paper, it looks like a bipartisan position.

But Rudd is a reluctant helmsman for his party's policy, believing India must accept stringent conditions before it gets Australian uranium for its power plants. In his first stint as prime minister in 2007-2010, he was adamant that because India was not a signatory to the nuclear non-proliferation treaty, uranium sales to it were precluded.

He said this was not a policy directed against India, but one that applied globally.

When Julia Gillard, the deputy prime minister who overthrew Rudd for the leadership in June 2010 (before herself being ousted in June this year by Rudd), decided to push through a Labor Party policy change on the uranium issue in late 2011, Rudd was not consulted.

Rudd has said that India does not need to source uranium from Australia. It gets most of its supply now from Russia, France and Kazakhstan.

Abbott's Indian ambitions

In contrast, Abbott is happy to see Australian uranium shipped to Indian nuclear power plants. At the India Australia Friendship Fair in Sydney last year, he said: "Yes, we will sell uranium to India because we know that India is one of the world's great democracies."

In reality, any uranium sales are years away, so the Australia-India nuclear trade is more symbolic than substantial. New Delhi views it as a touchstone for the state of the bilateral relationship. In March this year, the first official-level talks were held on a civil nuclear cooperation agreement that is the first step towards uranium sales. A prerequisite is an undertaking by India that it will not use Australian uranium in any weapons-related capacity.

When Rudd addressed the Indian Council of World Affairs in Delhi in November 2009, he harked back to his days at Canberra's Australian National University, where he studied Indian civilization and its impact on China.

But Rudd's primary focus has always been China. He is a Chinese speaker, a former diplomat in Beijing and a lifelong student of all things Chinese. For his part, Abbott, a Rhodes Scholar at Oxford University, maintains that if he becomes prime minister he will take India seriously, "as I have always done."

China 'not the only superpower'

In an address to the Australia India Business Council in Sydney last December, Abbott said that as prime minister he would treat India as one of the key countries helping to shape the future of Australia and the wider world.

"It's important to note that China is not the only emerging superpower of Asia," Abbott said, pointing to the quadrupling of India's gross domestic product (GDP) in two decades and high economic growth rates. "What's more, India is the emerging democratic superpower of Asia, and also the emerging English-speaking super power. As far as I am concerned, this means it should never be the emerging superpower that's taken for granted or neglected."

Abbott said India fell into all three categories of countries that were particularly important to Australia: "Our neighbors, our major trading partners and our key strategic allies."

He said that by 2050, India was forecast to be the world's most populous nation. "Unlike China, which is tipped to grow old before its citizens grow rich, India is tipped to grow rich before it goes gray."

Australia-India relations

In general, relations between Australia and India are good, up from a low point in 2009-10 when the uranium issue and a series of attacks on South Asian students in Melbourne sparked heated discussion. India in some years is the largest source of new immigrants to Australia, and Indian student numbers continue to be strong.

Trade and investment flows are increasing -- India is now Australia's fourth biggest export market, taking mainly coal, gold and copper, and it has made substantial investments in Australia's mining sector. A "strategic partnership" launched in November 2009 by Rudd during his meeting with the Indian Prime Minister Manmohan Singh was given a further push by Gillard during her visit to India in October 2012. Negotiations for a free trade agreement began in 2011 and reached a fifth round of talks in Canberra in May.

No Indian prime minister has visited Australia since Rajiv Gandhi in 1986. Since then, six Australian prime ministerial visits to India have taken place. Singh was invited to the Commonwealth Heads of Government Meeting (CHOGM) held in Perth in October 2011, but sent vice president Hamid Ansari instead. In the view of some political observers, Singh's no-show reflected annoyance over the uranium issue.

There is also a sense that Australia strategically is not really all that important to India, which must contend with a neighborhood made up of China, Pakistan, Bangladesh, Burma and Sri Lanka.

In contrast, India ranks as a top-five priority for Australia in Asia, along with China, Indonesia, Japan and South Korea.

If Abbott wins office on September 7, expect Australia to give even more priority to India. If Rudd retains office, it will be a case of "steady as she goes."

Ahead of his last visit to India in 2009, Rudd noted that like most of Australia's relationships, the one with India "has some bumps in the road" occasionally. "But we can work our way through them," he said. Uranium likely will continue to be one of those bumps.

@highlight

Hiscock: If elected, Abbott and Rudd will likely adopt different positions towards India

@highlight

Sales of uranium, which India seeks, is a touchstone issue in the Australia-India relationship

@highlight

Abbott has stated that India is the emerging superpower Australia will never take "for granted"

@highlight

Rudd, a former diplomat to Beijing, is seen as more reluctant to sell uranium to India