WASHINGTON (CNN)  -- President Obama told Republican House leaders Tuesday he plans to stand firm on the part of his $825 billion economic recovery plan that calls for tax rebates for nearly all working Americans -- including those who make too little to owe income taxes.

President Obama has pledged to work with Republicans on his economic stimulus package.

According to two Republican aides familiar with Obama's Capitol Hill meeting, Rep. Dave Camp, R-Michigan, the ranking member on the Ways and Means committee, asked Obama if there was room for negotiation on the structure of the biggest tax cut in the bill.

"Feel free to whack me over the head because I probably will not compromise on that part," the president replied, according to one of the aides, who requested anonymity because the member of Congress relaying information to the aide from inside the meeting wished to remain anonymous.

Obama supports the tax rebates for those who don't pay income taxes because they do pay payroll taxes for Social Security and Medicare.

"The president said again that people that pay payroll tax are taxpayers," White House spokesman Robert Gibbs said later. " ... And he just mentioned that the notion that refundability of tax credits for those that don't make a lot of money was a principle that not only he holds, but one that Ronald Reagan held with the Earned Income Tax Credit in the '80s."

Obama came to the Capitol for meetings with GOP senators and representatives hoping to bridge Washington's gaping partisan divide and find common ground in the face of a slumping economy.

While the unusual personal interaction between a president of one party and rank-and-file members of the other was warmly received on both sides of the aisle, the meetings ended with little promise of serious compromise or change on the core issue of how best to spark new economic growth.

The president first met with House Republicans and then with the Senate GOP caucus.

"We had a wonderful exchange of ideas, and I continue to be optimistic about our ability to get this recovery package done to put people back to work," Obama said after leaving the meeting with GOP House members.

"There are some legitimate philosophical differences" between Democrats and Republicans on how to stimulate the economy, Obama noted, "and I respect that."

"I don't expect 100 percent agreement," he said. "But I hope we can put politics aside."

House Minority Leader John Boehner, R-Ohio, said he believes some members enjoyed the conversation.

"Clearly, there are some differences, [but] I look forward to [working with Obama] to improve this package in the coming days so that it is a package that will work for American families, small businesses and our overall economy."

Obama's plan -- the American Recovery and Reinvestment Act -- has been placed on the congressional fast-track. Democratic leaders have said they aim to get the package to Obama's desk for enactment by Presidents Day, which falls on February 16.

Gibbs said the meetings Tuesday did not "start at zero."

"I don't think today was the beginning or the end, but just part of that process," he said. "I do think there is a genuine sense of -- of cooperation that was involved in the meetings. I think we will have Republican support for this bill. I think you'll have some when the House passes this bill, hopefully on Wednesday."

The Republican aides, however, said the vast majority of House Republicans are expected to oppose the package Wednesday but are optimistic they will secure some of the changes they want after the vote -- either through changes the Senate makes or in conference committee after the Senate votes on the stimulus.

The talks are being held against the backdrop of what appears to be a steadily deteriorating economic situation, highlighted by thousands of new private sector job cuts and record low consumer confidence.

The Conference Board, a New York-based business research group, reported Tuesday that its Consumer Confidence Index fell to 37.7 in January, an all-time low going back to the index's inception in 1967.

How much influence the minority GOP will have on the final drafting of the stimulus plan is an open question.

"What we're watching now as the stimulus package takes shape is the legislative equivalent of the first date: Republicans meeting with the new president, sizing him up; Obama deciding whether the GOP is serious about working with him," said Gloria Borger, CNN senior political analyst. Read what Borger says of the 'first date'

"He [Obama] came to a conclusion early on in his political career that partisan polarization is a large part of the problem," said a senior Obama adviser. "Both in reality and in the minds of the American people."

One key Republican criticism of the stimulus plan is that many of its provisions would not jolt the economy back to life quickly enough.

The Congressional Budget Office late Monday evening released its first analysis of the total stimulus package as proposed by House Democrats. The CBO estimates that roughly 64 percent of the $825 billion package would be put to use in 2009 and 2010, assuming a stimulus bill is signed into law in mid-February.

By contrast, Peter Orszag, Obama's budget director, vowed to congressional leaders last week that 75 percent of the money would be spent within 18 months. The question of just how fast states and other agencies can spend money to do things like fix roads and retrofit buildings to make them more energy efficient will remain central to the congressional debate in coming days.

Appearing before reporters Tuesday morning, Boehner applauded Obama's planned meeting with congressional Republicans, but reiterated his belief that the bill, as currently drafted, would significantly add to the debt while failing to spark sufficient job creation.

The current version of the bill "won't stimulate anything except more government and more debt," said Indiana Rep. Mike Pence, another member of the House GOP leadership.

Obama was accompanied on the Hill on Tuesday by Transportation Secretary Ray LaHood, a former moderate GOP House member from the president's home state of Illinois.

The administration is hoping that LaHood, who once was the host of bipartisan congressional dinners with White House Chief of Staff Rahm Emanuel, will be able to help Obama win at least some Republicans in Congress. Emanuel also planned to meet with several House Republicans Tuesday night, senior administration officials said.

Obama also extended an olive branch to Republicans by reportedly helping to remove from the stimulus plan a widely criticized $200 million provision to provide contraceptives to low-income families.

The provision, which Republican leaders said would do little to help boost the economy, had been strongly defended by House Speaker Nancy Pelosi.

CNN's Brianna Keillar, Ed Henry, Dana Bash, Deirdre Walsh and CNNMoney's Catherine Clifford contributed to this report.

@highlight

NEW: President tells leaders he will not compromise on tax rebate part of stimulus

@highlight

NEW: Obama: "Feel free to whack me over the head" because I won't compromise

@highlight

House expected to vote on economic package as early as Wednesday

@highlight

Analysis of bill estimates that about 64 percent would be put to use within two years