ENSENADA, Mexico (CNN) -- It's what every sailor remembers: The fear of the first overnight race. The moment takes on bigger meaning when the seaman is a mere 9 years old.

"It's really cool having a shift overnight," said Jake Mayol, a third-grader from Aliso Viejo, California.

Frightening too.

"It was pretty scary because when the adults went up on the bow, you were worried that they were going to fall in," said Jake, whose long blonde hair casts him as a year-round boy of summer.

He and three other youngsters -- including two girls, both 13 -- joined their fathers on a 46-ft bluewater cruiser in a 125-mile sailrace along the Pacific coast that describes itself as the "world's largest international yacht race."

The Newport to Ensenada International Yacht Race makes that claim because it begins in California and ends in Mexico. The regatta offers vistas of mountains meeting the sea and ends in Mexico's wine country, where Ensenada produces 90% of the nation's wine.

The race fielded 204 boats this April -- an increase over recent years but still well below the almost 700 boats that competed in the 1980s.

Past participants included celebrities and great sailors alike, such as actors Humphrey Bogart and Buddy Ebsen, the late Steve Fossett, America's Cup winner Dennis Conner, and Walt Disney Co. scion Roy Disney.

Nautical memories

For 9-year-old Jake, his achievement marked the third generation of Mayols completing the race, said his father, Erik, 48, a tile and stone contractor. Jake's grandfather completed the race 20 times, said Erik Mayol.

"It was really special for me to be able to share it with him," recalls father Erik Mayol, who added he's raced the event 35 times.

"There were a few moment when they were not completely comfortable, which is completely normal, and it's our job to make them feel safe."

Those moments arose when overnight winds hit 17 knots, and the boat turns knocked the sleeping youths to the cabin sole.

"It's really hard to go down and sleep for a couple of hours and then get back up for your next shift," said Cole Pomeroy, 12, a 6th grader from Newport Beach.

His father, Karl, 48, an executive with an air conditioning manufacturer, described the experience as a lifetime memory -- "a great thing to share with your son."

Or daughter.

One girl, Lolo Foster, 13, a 7th grader from Corona Del Mar, California, said the parents entertained the youngsters with ghost stories, creating a playful banter on the Stella Maris.

"I saw this boat at night in silhouette, and it looked like a pirate ship," Lolo recalled.

Another girl, Sammy Pickell, 13, also a 7th grader from Corona Del Mar, marveled at the marine life.

"We saw a lot of dolphins and they were doing tricks for us close to the boat," Sammy said. "They were jumping up and going in front of us and crossing in front of the bow."

Safety at sea

The fathers of the four children said their parental anxieties were allayed by how skipper Tom Madden outfitted his sailboat with redundancies for safety.

Those concerns are understandable as of late. The perils of sail racing have been on the mind of many Pacific sailors as the past year has been particularly tragic on the California coast.

In last year's Newport-to-Ensenada regatta, four sailors were killed when their 37-foot boat, named Aegean, struck the north end of the unlighted North Coronado Island off the Mexican coast at night, according to authorities and race organizers.

And just last month British sailracer Andrew "Bart" Simpson, 36, was killed training for the America's Cup aboard the 72-foot Artemis Racing, which capsized in San Francisco Bay.

The risks of coastal sailing carry the reward of thrills, adventure, and a coastal horizon that can mesmerize the sailor for the entire journey.

"This is one of the more prominent races in the world," said Chuck Iverson, commodore of the Newport Ocean Sailing Association, which has hosted the sailrace since its inception in 1947. "We have had world-class sailors in this race."

Race organizers work with the governor and tourism official in Baja California, Mexico, "to make sure everybody has a good time," said vice commodore Dave Shockley.

The post-race party recently went upscale, moving to the elegant Hotel Coral and Marina from a downtown Ensenada motel in need of a coat of paint. The old motel was a longtime sentimental favorite, where race organizers maintained a tradition of using a bucket to pass results and notes up and down the outdoor floors.

Economics of sailing

In the 1980s, the competition lured about 680 boats, its peak. The more than 200 boats in this year's race marked an increase from recent years, especially since the recession hit in 2008. In 2011, the race experienced its lowest turnover ever, 175 sailboats, Iverson said.

"When the downturn came in 2008, it really affected us, and the number of boats declined," Iverson said.

Some sailors and their families had also dropped from participation because of the intense U.S.-Mexico security and lengthy border checks, prompted by cartel violence and smuggling.

"No one wants to drive down here anymore," said sailracer Peter Bretschger, past commodore of the Balboa Yacht Club, a regatta co-sponsor. However, he and several hundred partiers weren't daunted, evidenced in the after race celebration in the hotel courtyard.

This year's contest, with its finish line now located off the hotel marina, enjoyed extraordinary winds: a 60-ft trimaran, the Loe Real from San Diego, didn't even have to sail overnight and finished just before sunset, setting a race record for second fastest time ever for a multi-hull, at 7:03:51.

The multi-hull record still belong to adventurer Fossett, whose 60-ft Stars and Stripes catamaran completed the course in 6:46:40 in 1998.

It wasn't just children showing a trailblazing spirit in the race.

Rhonda Toller was among the small but growing number of women racers.

"I grew up power boating my entire life and I always dreamed of sailing," she said. She's now been sailing for six years and owns a 57-ft sailboat. "It's just really fun to come to Mexico," she added.

Under a full moon, CNN Newsdesk Editor Michael Martinez cruised the Newport-to-Ensenada course in the 50-ft bluewater sailboat Permanent Waves, courtesy of skipper J. Scott Huston and his crew.

@highlight

Newport to Ensenada International Yacht Race dubbed the world's largest international yacht race

@highlight

More than 200 boats set sail this year as it celebrates its 66th anniversary

@highlight

The race has changed some safety rules since 2012's fatal accident

@highlight

Children as young as age 9 sale overnight from Newport to Ensenada