(CNN) -- A huge winter storm was affecting the West Coast on Sunday, poised to dump up to 10 feet of snow in some higher elevations, and causing flooding and potential mudslides in lower spots while impacting driving conditions and air travel, forecasters said.

A winter storm warning remained in effect through Monday afternoon for California's Sierra Nevada mountains, from Yosemite to Kings Canyon, according to the National Weather Service. "Storm totals of 5 to 10 feet above 7,000 feet are likely," the weather service said, and periods of heavy snow will continue through Monday. High winds are also forecast for the region.

"Travel into the high country of the southern Sierra Nevada may be difficult, if not impossible," according to forecasters.

That  possibility exists for the northern Sierras as well. At 3:56 p.m. PST, the National Weather Service was predicting blizzard conditions with winds of up to 70 mph along the higher mountain passes. That could shut down traffic along Interstate 80, state Highway 50 and state Highway 88.

The Weather Service was urging residents in the higher mountain areas to check their generators and buy extra food and supplies.

"It's going to be an all-day onslaught," said CNN Meteorologist Reynolds Wolf. Areas from Denver westward will see rain, he said.

At lower elevations, heavy rain was causing flash flooding in a number of locations. Flood advisories and watches were posted almost the entire length of California, from Redding to San Diego. Los Angeles had received 2 to 3 inches of rain as of about 2:30 a.m. Sunday (5:30 a.m. ET), and "more significant rain" was on the way, forecasters said.

Flooding in the San Joaquin valley, which includes Fresno and Sacramento, is a "firm possibility," said Wolf. Footage from Sacramento showed drivers creeping through water on roadways.

As of Sunday afternoon, the California Emergency Management Agency was reporting localized flooding across the state, prompting road closings in San Luis Obispo, Fresno, Tulare, Amador, Venture County, Kern County and Humboldt County.

And with the heavy rain comes the threat of mudslides, especially in areas near Los Angeles affected by this year's wildfires, where there is no vegetation to hold the soil in place, Wolf said. The soil becomes saturated and gravity pulls it downward.

"Some minor debris and rock slides have already been reported early this morning," said a southern California flood advisory issued by the National Weather Service, "and this threat will likely continue through this morning." The threat could also be delayed, meaning it will not abate when the rains stop and could occur later, Wolf said.

In Placer County a minor mudslide forced the closing of one of two lanes on Interstate 80 on Sunday.

The storm -- actually a series of storms -- were triggered by "deep persistent moisture" originating from the subtropical Pacific and surging northeastward, said CNN Meteorologist Sean Morris. The phenomenon is often called the "Pineapple Express," he said, because the moisture originates near the Hawaiian islands.

The series will affect the region through Wednesday, with the strongest portions yet to come, Morris said Saturday. Rainfall amounts could reach 10 to 12 inches in some spots, and up to 18 inches in some isolated areas, he said.

The storms could be the strongest to hit southern California since January 2005, he said, when up to 32 inches of rain came in a five-day period.

On Saturday, there were more than 260 freeway crashes in Los Angeles County and unincorporated areas because of the rain, said California Highway Patrol Officer Ed Jacobs. That is compared to 48 last Saturday, when it was not raining, he said.

Most of the crashes were "minor fender benders," he said, but two people died in a crash in Santa Clarita. "We think the driver was just going too fast in that case," he said.

About 5,000 customers lost power in southern California, said Steve Conroy of Southern California Edison, but noted that is a small percentage of the company's 5.4 million customers.

The biggest problem the company faced on Saturday was drivers traveling too fast and sliding into poles, causing some service interruptions, Conroy said. The company serves some of the mountain areas, and have crews in place there, he said. "Overall, we're in good shape."

About 2,100 customers lost power early Sunday in the Highland Park area of Los Angeles, but power had been restored as of about 6:30 Sunday morning, said Maychelle Yee, spokeswoman for the Los Angeles Department of Water and Power. The outages were likely weather related, she said.

Further north, high winds affected Seattle, downing trees and power lines, and knocking out power to about 100,000 people. Most of those had been restored as of Sunday. Footage from Spokane, Washington, showed drivers crashing as they slid down a snowy hill.

Besides the potential for road closures, air travel could be affected in cities including San Francisco; Los Angeles; Seattle; Portland, Oregon; and Salt Lake City, Wolf said. Those delays could have a ripple effect elsewhere as a busy holiday travel week approaches.

CNN's Nick Valencia contributed to this report.

@highlight

NEW Weather Service warns of 70 mph blizzard in northern Sierra Nevadas

@highlight

NEW Minor mudslide shuts down portion of I-80 in Placer County, California

@highlight

Up to 10 feet of snow is possible in the Sierra Nevadas

@highlight

Lower elevations will see up to 18 inches of rain