(CNN)The difference between the scale of the European terrorist threat and the threat in the United States was underlined by Wednesday's arrest of Christopher Lee Cornell, a 20-year-old Ohio resident, who had been monitored by an FBI informant and was allegedly plotting an attack, inspired by ISIS, against the U.S. Capitol.

One day after Cornell's arrest Belgian authorities took down a group they believed was plotting imminent attacks, resulting in a battle with the suspects who opened fire with military weaponry and handguns. Two of the suspects were killed. Some members of the group had reportedly returned from fighting in Syria with ISIS.

The two cases could hardly be more different. In Ohio, we saw the arrest of a classic lone wolf allegedly inspired by ISIS with aspirations to carry out an attack but scant capabilities, while in Belgium we saw the takedown of what appears to have been an ISIS cell with serious capacities for attack.

This contrast can also be seen if we carefully analyze the tactics and characteristics of last week's Paris attacks and compare them with the Boston Marathon bombing in 2013.

In Paris jihadist terrorists killed 17 people in a series of attacks, beginning with the assault on the offices of Charlie Hebdo, followed by the killing of a policewoman and a hostage-taking in a kosher grocery. The attacks received sustained global media coverage throughout the three days that they unfolded.

In addition to the three shooters, at least a dozen others are suspected of some kind of involvement in the Paris attacks.

The attackers had a substantial weapons cache, including assault rifles, Molotov cocktails, a grenade and even a rocket-propelled grenade. They also had bulletproof vests.

Two of the attackers had traveled to Yemen, where they received training from Al Qaeda in the Arabian Peninsula.

The attacks in Paris were the most deadly by jihadists in Europe in a decade. The terrorists adopted so-called Fedayeen -- "those who sacrifice themselves" -- tactics in which armed men assault targets with the intention of fighting to the death to prolong the battle as long as possible, thereby maximizing media coverage and the number of casualties.

The most deadly example of such an attack were the assaults in Mumbai, India, in 2008 by 10 Pakistani Lashkar-e-Taiba operatives, which killed 166 people.

Similar to those in Paris, the Mumbai attacks involved multiple targets, the operatives were armed with assault rifles, and the men had received training from a terrorist organization. The Mumbai attacks lasted four days, and they were intensively covered by media from around the world.

On the other end of the spectrum, the Boston Marathon bombing provides an example of a less sophisticated attempt at a Fedayeen-style attack. On April 15, 2013, Tamerlan and Dzhokhar Tsarnaev allegedly detonated two bombs along the route of the Boston Marathon, killing three people. Three days later the Tsarnaevs allegedly shot and killed a police officer at the campus of the Massachusetts Institute of Technology, and in the early morning of April 19 the Tsarnaevs had an intense firefight with police in which Tamerlan was killed and Dzhokhar was wounded and later taken into custody.

As was the case in Paris, the Boston bombers had multiple targets, and the attackers appear to have intended to conduct attacks until they died. However, the bombers were not trained abroad by a terrorist group; they were not part of a larger group of conspirators, and they were not as well-armed as the Paris conspirators.

The Paris terrorists were more sophisticated in their tactics and training than the Boston bombers, but the Paris attacks were far less sophisticated than the attacks in Mumbai.

The terrorists in Mumbai received direction on their cell phones throughout their assault from their commanders who were manning a control room in Pakistan. The Mumbai attacks also involved a larger number of people  -- the 10 gunmen who infiltrated India as well as many others who provided training and support from Pakistan during the attack.

The Paris attacks were, in short, a hybrid of the terrorist tactics that we saw in Boston with the tactics we saw in Mumbai.

U.S. security officials warn that the United States is at risk of similar attacks to those that occurred in Paris. Attorney General Eric Holder told CNN's State of the Union, "What we saw in France over the course of this last week is unfortunately what we're going to have to confront in the future."

The United States is certainly at risk of some version of a Paris-like attack using Fedayeen-style tactics. After all, a much-less sophisticated version -- the Boston attacks in 2013 -- has already happened.

However, the history of jihadist plots inside the United States since 9/11 suggests that the combination of terrorist characteristics and tactics that we saw in the Paris attacks would be unusual in the United States.

In none of the deadly attacks conducted in the United States since 9/11 have the participants received training from terrorist organizations abroad.

Carlos Bledsoe, who killed a U.S. soldier in Little Rock, Arkansas, in 2009; Maj. Nidal Hasan, who killed 13 at Fort Hood, Texas, the same year; and the Boston bombers were all so-called lone wolves, none of whom had training or direction from a terrorist organization.

These are in marked contrast with France. As The New York Times notes thousands of French citizens have traveled to fight in Syria or Iraq and 200 have returned, a far less manageable challenge than the 150 or so Americans who have reportedly gone or attempted to go to fight in the Syrian conflict. Of those Americans, only about a dozen have joined jihadist groups, according to FBI Director James Comey.

This is not to say that Holder's warnings should be dismissed. Firearms are, of course, widely available in the United States, and one can certainly imagine a jihadist group forming to conduct an armed assault.

A few such plots involving more than one or two lone wolves have been foiled in the United States -- although none in the past few years. In 2009, for instance, the FBI arrested a group of seven men in North Carolina led by Daniel Boyd, who had amassed firearms and plotted attacks in the United States. The plot was foiled because informants had long monitored it after Boyd's activities came to the FBI's attention in 2005.

Perhaps the closest the United States came to seeing an armed assault similar to the one in Paris was in 2005 when Kevin James, Levar Washington, Hammad Riaz Samana and Gregory Patterson plotted attacks on a number of locations in California, including synagogues.

The group was arrested after law enforcement linked the members to a robbery. The militants had no links to foreign terrorist organizations.

Nor is the United States immune to plotting by individuals with training by terrorist groups abroad. In 2009, three men -- Najibullah Zazi, Zarein Ahmedzay and Adis Medunjanin -- all of whom received weapons training in Pakistan's tribal areas, plotted to bomb the New York subway but were arrested before they could do so. Similarly, in 2010, Faisal Shahzad, who was trained in Pakistan, tried to blow up an SUV in Times Square. The bomb failed to detonate properly.

Given this history, it would be unwise to ignore Holder's warnings of the potential of Paris-like attacks inside the United States. However, there are real differences between the scale of the threat from terrorists in the United States compared with the scale of the threat in France, and American policymakers and commentators should be careful to make those differences clear when speaking to the public.

@highlight

Attorney General Eric Holder has warned of Paris-like attacks in the United States

@highlight

Peter Bergen says so far attacks have been less sophisticated domestically than in Europe