NEW YORK (CNN) -- One morning a couple of months ago at Westchester Medical Center, Dawn Verdick gave Daniel Flood one of her kidneys.

Daniel Flood received a kidney from Dawn Verdick. They were brought together through Craigslist.

Verdick and Flood were not friends or family. In fact, they were total strangers from the East and West coasts. But that's not the most unusual aspect of this case.

The patient and donor were brought together after Flood's three daughters placed an ad on Craigslist, the online classifieds site that offers everything from autos to real estate and guitar lessons to massage.

"Please help us, my dad needs a kidney!" began their posting in the site's volunteer section.  Watch more on the Craigslist-kidney connection »

"It was a shot in the dark, but it had worked for everything else," Jennifer Flood said.

After years of untreated high blood pressure, Flood's levels of creatinine had risen, indicating damage to the kidney. The bean-shaped, fist-sized organs process blood to sift out waste products and extra water. More than 15 million Americans have some degree of kidney disease, according to estimates.

Flood's doctor told him he needed a transplant or dialysis. Both options have pros and cons. Dialysis can be hard on the heart and takes up time several days a week.

Making Flood's situation more difficult was the fact that the retired 68-year-old life insurance salesman was born with only one kidney. In addition, Flood's rare O-negative blood type made the odds even tougher. None of Flood's daughters, or his immediate family, was a match.

Jennifer and sisters Cynthia and Heather, all in their early 30s, vowed to find their father a living donor.

"We knew that the waiting list was two to six years. And we knew how dialysis takes a toll on your body, and we knew we had to save Dad.''

About three-quarters of kidney transplants are between family members, and the rest are among friends and acquaintances, according to the United Network for Organ Sharing, a not-for-profit organization that manages the nation's transplant system.

Nearly 75,000 Americans were waiting for a kidney by the end of 2007, according to the organization. Just over 16,000 on the wait list received one, about 6,000 of them from living donors.

Although the number of kidney donors has grown since 1998, the wait list has doubled as the incidence of diabetes, a leading cause of kidney disease, rises to crisis levels.

A kidney from a deceased donor is far more likely to be rejected than one from a living donor and may not hold up for the recipient's lifetime.

"Kidneys from living donors last, on average, 25 years while kidneys from cadavers last an average of 10 years, because kidneys from living donors are usually in better shape,'' said Dr. Jonathan Lazare, a urologist with the Mount Sinai Medical Center in New York. Visit CNNhealth.com, your connection for better living

The Floods received more than 100 responses to the Craigslist ad. Many sounded genuinely interested in helping, but others sought to sell a kidney, which is illegal in the United States.

One encounter with a young man from the Washington area was especially disheartening. The man traveled to the Floods' home in Pleasantville, New York, just outside New York City, and even stayed with them a few days. Soon after, he e-mailed Jennifer Flood to say he had only wanted to see the city.

Internet appeals for organ donations raise a number of questions of fairness, one medical ethicist said.

"Ideally, organs should be fairly allocated on basis of medical need and time on the waiting list," said Dr. Kenneth Prager, director of clinical ethics and chairman of the Medical Ethics Committee at New York Presbyterian Hospital.

"Solicitations undermine the concept of a level playing field."

But, he added, "we are a country with free speech. There is nothing illegal in advertising or in using the Web for personal or health reasons. Altruistic organ donors have the legal right to designate recipients."

And he sees a potential benefit from the Internet.

"An important argument supporting the solicitation of donors through advertising is that many such altruistic unrelated donors would never have given their organs without being moved by the personal stories of the patients on the Web," Prager said. "As such, patients who solicit such donors do not do so at the expense of others on the list. By expanding the population of organ donors, Web sites such as matchingdonors.com or Craigslist can benefit the population of those in need of organs as a whole."

For the Flood family, the breakthrough came when Verdick, who lives in Monterey, California, went on Craigslist for the first time to look for a volunteer project when a close friend died.

"I didn't set out to donate a kidney,'' said Verdick, 48, the founder of a not-for-profit educational organization.

The ad initially caught her attention because it mentioned her blood type.

"I turned it over to the universe early on. And I just said, 'If it's meant to be, then I will qualify, and if it's not, I won't.' ''

Verdick was such a strong match that doctors said it was as if she and Flood were close relatives.

As part of the screening process, Verdick underwent two psychological evaluations. One question asked how she would react if she were to donate and later have kidney failure.

'"What if I'm hit by a bus tomorrow?" she responded. "There's a lot of 'what ifs.' I don't live in 'what if.' I live in the 'what is.' "

The experience has brought profound renewal to Daniel Flood.

After feeling tired and having a symptomatic gray skin tone for so many years, he says, his complexion has turned ruddy again, and he feels more energetic.

He takes 14 medications every day, including three anti-rejection drugs. For a while he won't be allowed to shake hands or hug anyone because of the risk of infection, or to lift more than 10 pounds.

But for now, the numbers are on his side. The five-year survival rate for kidney recipients from a living donor is about 90 percent, versus an 80 percent chance for people who receive from a cadaver, according to the organ-sharing organization.

"Every day is a fresh start for me. It's a whole new awakening, a whole new beginning,'' said Flood, who looks forward to playing golf again and spending more time with his wife, children and 3-year-old granddaughter.

Flood's daughters are now making it their mission to give back.

They launched the Flood Sisters Kidney Foundation of America at www.floodsisters.org, which has about 20 members, to bring potential living kidney donors together with people who need them.

And come December, Verdick and the Flood family are marking their calendars for dinner, to celebrate their special "anniversary.''

@highlight

Kidneys process blood to sift out waste products and extra water

@highlight

More than 15 million Americans have some degree of kidney disease

@highlight

About three-quarters of kidney transplants are between family members