(CNN) -- When TWA Flight 800 exploded off Long Island in 1996, it took more than a year to recover the bodies of all 230 passengers and crew.

After suicide hijackers destroyed the World Trade Center in 2001, it took a decade or more for investigators to identify the fragmentary remains of some of those killed. Some have never been identified.

And when the drill rig Deepwater Horizon burned and sank off Louisiana in 2010, the bodies of 11 men were never found. At a memorial service two months later, each family was presented with a bronze hardhat to represent their loss.

Now, it's the loved ones of the 239 people aboard Malaysia Airlines Flight 370 who face what one expert called the "unspeakable challenge" of grieving for someone whose final resting place may never be found. They "will have to reconcile what is for most of us unimaginable," said Ken Druck, a psychologist who specializes in aiding disaster survivors.

"They will have to somehow find a way to put their minds at peace, to let go of the idea that the body of their loved one is going to be recovered," he said. "Or there may be bits and pieces of things that are recovered, but there is a chance that they may not. And it may not ever be enough or satisfying, and they're going to have to find peace in some other way."

Heidi Snow, whose fiance was killed on the TWA jet, said one of the hardest moments for her was when authorities closed the center that assisted families before the body of her fiance, Michel Breistroff, had been found.

China treads carefully amid anger and grief of relatives

"I had to go home and go back to life as normal, but it was not normal," Snow told CNN's "New Day."

"You kind of have to start all over again, and also start again with the grieving process without really having hope to hold on to, but also not really having concrete evidence either that they're gone," she said. "So there's still that moment of fluctuating back and forth, and still holding out some hope."

Snow is now the head of AirCraft Casualty Emotional Support Services, or ACCESS, which offers counseling and help to the surviving relatives of crash victims.

Authorities are now combing thousands of square miles of the Indian Ocean in search of the wreckage of Flight 370. The Boeing 777 has been missing since the early-morning hours of March 8, and Malaysian authorities declared Monday that it had most likely been lost with all aboard in the remote sea far off Australia.

Best lead yet? Satellite spots possible debris

Most of the passengers on the Kuala Lumpur-to-Beijing flight were Chinese, some sole sons or daughters under China's longstanding one-child policy. Others were mothers and fathers themselves.

Cheng Li Ping, whose husband interrupted a vacation in Malaysia to return to Beijing for business, said she hasn't been able to bring herself to tell her two young sons that daddy may not come home.

Mystery surfaces pain of 1977 tragedy

"I have no courage," she said. "Every day, I am scared to call my sons because once I call them, they will cry out "Daddy, Mummy," and my heart can't handle it. I don't want to hurt my children."

Judy Ho, a clinical psychiatrist, said the families had been asked to keep their hopes up before Monday -- "and even as the confirmation came, there is no definitive evidence."

"That's even harder for the families to put an end point to this journey for themselves," Ho said.

Text fail when delivering tragic news

Druck said families of Flight 370 are stuck in a state he called a "living loss," trying to make sense of the few bits of information that are now known.

"It is grieving, except it's even more torturous in some ways, because we don't know whether they've died," he said. "Our minds are like computers going wild in search mode, and yet we don't know what happened. But at the same time, they're coming to some degree of resignation that they will most likely have to go on and spend the rest of their lives without someone they love."

Druck founded a grief-counseling group, the Jenna Druck Foundation, after his daughter was killed in a 1996 bus crash in India. He worked with the families of the TWA crash and the September 11, 2001, al Qaeda attack that brought down the World Trade Center, killing more than 2,700.

Between 5% and 10% of the families the foundation has helped have had loved ones disappear, he said. And until the sea gives up its secrets, the families of Flight 370 will be facing the same woes.

"They will have to find a way to hold their loved ones in their hearts, good thoughts and prayers and allow that to be enough," Druck said. "That's no easy task. But that is a challenge -- the unspeakable challenge -- that people who've had to endure this kind of loss must face, and it is attainable."

Your questions answered

CNN Correspondent Sara Sidner contributed to this report.

@highlight

"It is grieving, except it's even more torturous in some ways," psychologist says

@highlight

"I have no courage," wife of missing passenger says

@highlight

"There's still that moment of fluctuating back and forth," TWA victim's fiancee tells CNN