(CNET)  -- To help answer some questions about this week's Copyright Office announcement regarding the legality of so-called cell phone jailbreaking, or the modification of the software that comes with iPhones and other handsets that is designed not to be changed, we've compiled the following list of Frequently Asked Questions:

What does the Copyright Office's ruling mean?

The short answer is that jailbreaking your iPhone or other mobile device will no longer violate a controversial federal copyright law called the Digital Millennium Copyright Act, or DMCA. Bypassing a manufacturer's protection mechanisms to allow "handsets to execute software applications" is now permitted.

But in practice, the actual impact of that portion of the decision may be limited.

How does it affect iPhones specifically?

Apple exercises greater control of its hardware and software than most of its competitors. Anyone remember last fall's court-ordered permanent injunction that Apple won against Psystar, which sold PCs with OS X pre-installed?

On the iPhone, Apple restricts the software that can be loaded onto the device. Applications can be downloaded through the App Store, and to be included in the App Store, the program has to be vetted and approved by Apple.

Apple says this maintains a high-quality user experience and weeds out malware. (An executive summed it up: "You and your family and friends can download applications from the store, and for the most part they do what you'd expect, and they get onto your phone, and you get billed appropriately, and it all just works.")

But if users want software that's not permitted in the App Store -- Google Voice is a big one, and tethering is another -- they need to jailbreak their phone. That unlocks the file system, allowing apps to be added without Apple's permission.

Groups of software developers and individuals work to devise jailbreaking software for every new version of the iPhone's operating system that is released. The best known is probably the iPhone Dev Team, which makes its software available at no cost.

Why do you say the practical impact of the Copyright Office's decision is limited?

Until this week, Apple has possessed the legal equivalent of a double-barreled shotgun, which would have permitted the company to file lawsuits accusing users (or jailbreak software creators) of violating both the DMCA and breaching the contract in the form of the Apple iPhone Software License Agreement.

Now, thanks to the Copyright Office, Apple's legal arsenal has been reduced to a single-barreled shotgun, the license agreement.

But these amount to legal claims that the company could in theory pursue. In reality, Apple has never sued a single person for jailbreaking or distributing jailbreaking software. It's never even threatened to do so, even after years have elapsed.

Translated: If Apple isn't going to sue the hundreds of thousands of customers merrily jailbreaking their iPhones, or the active developer community abetting their theoretically illicit activities, it doesn't matter what the caliber of their legal weaponry is.

So why should we care?

We asked Jennifer Granick, an attorney with the Electronic Frontier Foundation, the San Francisco-based civil liberties group that successfully petitioned the Copyright Office for the exception.

Here's what she told us: "Apple's never sued jailbreakers, but they claim it violates the DMCA, and thus there's a legal cloud. If they were right, they could stop people from jailbreaking the phones, i.e. get an injunction. Now, they can't. Even if it violates contract law, they'd have to sue, and all they could get would be a tiny bit of money. It greatly decreases any incentive they might have or develop to sue. And it takes injunction off the table. Which means that the law will not, in the next three years, prevent people from jailbreaking their phones."

In addition, the possibility of punitive damages has been eliminated.

What does Apple say?

Our old friend Leander Kahney extracted a statement from Apple on Monday, which says simply: "Apple's goal has always been to insure that our customers have a great experience with their iPhone and we know that jailbreaking can severely degrade the experience. As we've said before, the vast majority of customers do not jailbreak their iPhones as this can violate the warranty and can cause the iPhone to become unstable and not work reliably."

Earlier, Apple had told the Copyright Office it opposed EFF's request in part because the App Store process protected consumers, because iPhone customers only license the software and do not own it, and that fair use should not allow circumvention.

What was the Copyright Office's reasoning?

On all the important counts, it agreed with the EFF. It said, for instance, that "the amount of copyrighted work modified in a typical jailbreaking scenario is fewer than 50 bytes of code out of more than 8 million bytes, or approximately 1/160,000 of the copyrighted work as a whole."

The Obama administration had sided with Apple. The Department of Commerce said that granting the exemption "might just as likely deter innovation by not allowing the developer to recoup its development costs and to be rewarded for its innovation."

A side note: the Copyright Office also granted another exemption, which allows used handsets to be reprogrammed to enable use of the mobile phone on another network.

Why would I want to risk jailbreaking my iPhone?

You might want to jailbreak your phone if there's a piece of software you simply must have. But jailbreaking should probably be left to people who are technologically savvy -- after all, if something goes wrong, you're on your own.

The two big dangers to jailbreaking your phone are voiding your warranty, and not correctly following the instructions of whatever software program you're using to do the jailbreak, which can lead to a unusable or "bricked" phone. Taking a phone that's been jailbroken into an Apple store, or sending it to Apple's service center means they likely won't fix it because you've violated your user agreement.

This includes repairing something that is not software-related, like a cracked screen. You may be able to find an authorized repair center that would do it, but it's still a risk.

According to Apple, the company's support department already receives "literally millions of reported instances of problems flowing from jailbroken phones."

In a letter to the U.S. Copyright Office (PDF) opposing the new exemption, Apple warned that legitimizing the practice of jailbreaking would be a security risk for the devices and result in more malware being installed because the App Store's protections would be bypassed.

So does Apple have to support jailbreaking?

Nope. Section 2(c) of the Apple iPhone Software License Agreement (PDF) bans any attempt to "modify" the iPhone software or to reverse-engineer it.

What that means is that Apple can still legally -- if it chooses -- protect its phones from jailbreaking. The contract formed between the user and Apple (and the user and the wireless carrier) when the iPhone owner agrees to the user licensing agreement is binding, says Tom Sydnor, a senior fellow with the Progress and Freedom Foundation who takes an expansive view of copyright law.

Just because the DMCA allows individuals an exemption to jailbreak their own phones, "it doesn't mean Apple or a carrier can't protect contractual restrictions to deal with it," Sydnor said. "Essentially the exemption says this is the sort of thing that falls in bounds of contracts."

Apple could pursue breach of contract if someone jailbreaks their phone, or they could sue a person or company that creates jailbreak software for inducing someone to breach their contract with Apple. In other words, Sydnor said, "even if there was no DMCA, you could still be bound not to circumvent that technological protection."

What does the DMCA do, exactly?

Check out section 1201 of the text of the 1998 law. Part 1 says that, in general, "no person shall circumvent a technological measure that effectively controls access" to a copyrighted work, including a computer program.

Part 2 says that "no person shall manufacture, import, offer to the public, provide, or otherwise traffic" in any software that allows such circumvention. (Note this restriction has little impact on overseas software developers.)

But there's an important caveat to the first part. The Library of Congress' Copyright Office is charged with evaluating the DMCA's impact every three years and adding exemptions on behalf of Americans who want to make "noninfringing uses" of copyrighted works.

The last round of exemptions, for instance, said it's officially legal to "unlock" your cell phone's firmware if you're hoping to switch carriers while continuing to use the same device.

So how does this week's DMCA announcement benefit consumers?

While it doesn't completely remove all legal repercussions from users who want to jailbreak their own phone, losing the protection of the DMCA was a blow to Apple and other phone makers with proprietary software, according to Jason Schultz, co-director of Samuelson Law, Technology & Public Policy Clinic at UC Berkeley School of Law.

"It is an uphill battle now for Apple. What this does is kind of shifts things in favor of users," said Schultz. "If Apple goes to court they have to explain to a judge why the copyright office is wrong (in this case) or why other laws should trump copyright laws."

"Another way to say it is the DMCA was Apple's strongest weapon in controlling the iPhone platform. (Losing that exemption) is like losing your best player on the team," he said.

CNET's Josh Lowensohn contributed to this report.

© 2010 CBS Interactive Inc. All rights reserved. CNET, CNET.com and the CNET logo are registered trademarks of CBS Interactive Inc. Used by permission.

@highlight

Copyright Office says jailbreaking your iPhone no longer violates copyright law

@highlight

If if users want software not in the App Store, they need to jailbreak their phone

@highlight

But Apple could pursue breach of contract if someone jailbreaks their phone