Aarti Aziz and her husband Moosa are locked inside a pitch-black concrete dugout in Mexico, sweating in unbearable heat.

With them is a shaman who has been chanting ceaselessly for the past two hours as strange vapors swirl around them.

It may sound like a harrowing ordeal, but it's one the couple volunteered for.

This is the world of Temazcal, a practice dating back centuries to when Mexico's Mayan Riviera was wilderness and the Mayan civilization was at the height of its power.

Temazcal entails entering a stone igloo with little or no clothing on and sweating it out to the sound of chanting and the fragrance of herbs.

Typically carried out for small groups by a shaman who's usually a member of one of the Mayan communities in the surrounding area, the process lasts two hours.

It can be a tough experience.

Anyone with diabetes or heart disease should forget it, while those susceptible to claustrophobia or skepticism, might think twice.

Even skeptics, however, can rest assured that they'll come out from their two-hour session feeling refreshed, invigorated and a probably a few pounds lighter.

During the session, rosemary, basil and peppermint and other scents waft over a vapor created by the shaman as he or she gently throws water over a pile of hot rocks in a pit in the middle of the floor.

Visitors are kept hydrated with herbal tea and are permitted to lie down, walk around, or sit still -- whatever it takes to cleanse body and mind.

But once they check in, they can't check out.

"I did freak out a bit when the shaman covered the dugout's door with a thick blanket," says Aziz, who experienced a Temazcal in Tulum, on southeastern Mexico's Yucatan Peninsular.

Inner child

Her eyes soon adjusted to the darkness and she enjoyed a comfortable two hours.

"The only light we ever saw were the brief sparks from the rocks when the water was poured on them," she adds.

Her husband says he found the shaman's constant chanting -- urging him to direct his woes and pains toward the smoldering rocks to rid his body of hatred and lighten his mental load  -- a tad hokey, but the ambiance eventually caught up with him.

When the shaman told him to "let his inner child out," he laughed loudly as directed, carried away by the mood.

The couple emerged from their session feeling refreshed and lighter -- physically and mentally.

"My skin felt amazingly soft," adds Aarti.

"The ancient Maya respected the steam bath's efficacy and power for treating both physical and spiritual diseases," says Rosita Arvigo, author of "Spiritual Bathing: Healing Rituals and Traditions from Around the World."

A doctor of naprapathy -- a science similar to chiropractic manipulation -- who's trained in Central American traditional medicine, Arvigo says steam bath buildings made out of stone were a part of every major Maya ceremonial center.

Some are still intact in various parts of Mexico.

Hallucinogenic drugs

While technically the word Temazcal is not Mayan, but Aztec, ancient Mayans -- athletes, priests, kings -- regularly engaged in these sweaty detox sessions and  took hallucinogenic drugs such as peyote to further enhance the experience.

Visitors are unlikely to be offered any peyote today, but just about every hotel in the touristy cities of Cancun, Playa del Carmen and Tulum offers a version of a Temazcal.

Many actually have a stone dugout, or sweat lodge, on their premises.

They're the main attraction for most travelers, says Barbara Varicchio, head of sales and promotion for Dos Palmas Eco Tours, an organization that arranges Temazcals and works closely with Mayan communities in the region around Playa del Carmen.

Varicchio attests that the physical benefits are many.

She says the vapor created by the mix of essential herbs clears the digestive tract, improves blood circulation, energizes tired muscles and clears the skin.

And finally, partaking in the experience helps develop tourism, in the best way.

"By keeping the ancient steam bath practice alive, we are encouraging sustainable tourism and enabling traditional communities to earn their livelihood by doing what their ancestors did," she says.

Where to go for a Temazcal:

Cenote Encantado, Cenote Encantado, 1320 Tulum, Quintana Roo, Mexico; +52 55 1991 4266; 4,200 pesos ($320) total, the company prefers a minimum of 10 persons per Temazcal (cost can be split)

Dos Palmas EcoTours, Playa del Carmen, Mexico; +52 984 1116 3403; $65 per person, which includes the Temazcal as well as a visit to and a meal with a Mayan community

Temazcal Cancun, Carretera Cancun-Merida, Km. 302, Calle Flamboyan 8, El Ramonal, Quintana Roo, Mexico, +52 998 168 8252 or +52 998 147 5723; call for pricing information

@highlight

The two-hour ancient Temazcal experience involves sweating it out in a stone igloo

@highlight

A shaman chants and uses hot rocks to release pungent vapors to rid the body of hatred

@highlight

Aside from the spiritual aspect, the experience is said to have physical benefits