Hong Kong (CNN) -- Hong Kong's billionaire properties are the most expensive in the world, according to global real estate firm, Savills.

"Ultra-prime" properties in Hong Kong cost £7,200 per square foot ($10,880) on average, Savills said in its latest World Cities Review report, which compares property prices for top luxury homes. Other Asia Pacific cities dominated the ranking, with Tokyo, Shanghai, Singapore, Mumbai and Sydney all among the top 10 most expensive cities to buy luxury property in 2012.

Real estate values worldwide doubled in the last seven years, with large increases seen in China and Asia, thanks to the emergence of new wealthy classes and rising commodity prices, the report said. Singapore and Mumbai experienced the highest growth in property prices since 2005, with a growth of 232% and 176%, respectively. Tokyo had the slowest growth at 8%.

"The activity of billionaires in international real estate markets reflects the creation of global wealth and the economic success of particular regions and cities," the report said. "This means that the cities in newly emerged economies have significantly outperformed those in the 'old world' economies of the U.S., Japan, Australia and Europe."

READ MORE: Report: U.S., China dominate global billionaires

New York stands out among world cities as "particularly good value" for residential properties, "especially from an income return point of view," according to the report. New York has dropped to seventh on the list of most expensive residential real estate cities -- down from fourth in 2005.

"Only London's ultra-prime market stands out among the 'old world' cities as having shown significant growth since 2005, totaling 107%," the report said.

Real estate costs for businesses are cheapest in Mumbai, with Sydney offering the best value for money. "We may well see Sydney becoming an increasingly global city as it proves attractive to new and expanding business on the Pacific Rim," the report said. But restrictions on foreign buyers to purchase homes remain an obstacle, according to Savills.

READ MORE: Report reveals where world's richest live

New tax measures to curb real estate spending have caused slowdowns in markets from Asia to Europe. In 2012, Singapore's growth slowed to 5%, Hong Kong's growth stalled in the second half of the year, and London slowed noticeably in the second half, Savills noted.

Paris saw a drop in billionaire property values, but remains the fourth most expensive city overall for top-end homes, at an average price of £2,900 per square foot ($4,383).

READ MORE: Best place to buy property in Asia

The report also looked at leisure resort areas -- like Cap Ferrat in France, Alibag in India and Phuket, Thailand -- which lag in values compared to urban properties but have the most potential for growth, according to Savills.

"Billionaire activity has been concentrated on high-end urban centers rather than leisure properties in the surrounding countryside or regional sunbelts," said Yolande Barnes, head of world research at Savills. "This reflects a global preference for urban locations as these billionaires need to be located in cities where they can do business."

The highest price for an individual property in the last seven years was recorded in London's Kensington Palace Gardens, where a home sold for £8,500 ($12,850) per square foot in 2008.

READ MORE: What city has world's best quality of life?

@highlight

Savills: Real estate values worldwide have doubled in the past seven years

@highlight

Rise due to the emergence of new wealthy classes and rising commodity prices

@highlight

Most growth in ultra-luxury properties happening in Asia Pacific

@highlight

London is one of the few 'old world' real estate markets that is bucking this trend