(CNN) -- While the Bible Belt is known for its devotion to traditional values, Southerners don't do so well on one key family value: They are more likely to get divorced than people living in the Northeast.

Southern men and women had higher rates of divorce in 2009 than their counterparts in other parts of the country: 10.2 per 1,000 for men and 11.1 per 1,000 for women, according to a new report from the U.S. Census Bureau released Thursday.

By comparison, men and women in the Northeast had the lowest rates of divorce, 7.2 and 7.5 per 1,000, which is also lower than the national divorce rate of 9.2 for men and 9.7 for women.

"In the South, there are higher rates of marriage and higher rates of divorce for men and women," said Diana Elliott, a family demographer with the U.S. Census Bureau and co-author of the new report. "In the Northeast, you have people who are delaying first marriages, and consequently there are lower rates of marriage and lower rates of divorce."

Of the 14 states reporting divorce rates for men that were much higher than the U.S. average -- ranging from 10.0 to 13.5 per 1,000 -- most were in the South. They included Alabama, Arkansas, Georgia, Kentucky, Louisiana, Mississippi, Oklahoma, Tennessee and Texas.

In contrast, men in the Northeast divorced less than the national average. Five of the nine states that had divorce rates for men significantly below the U.S. average -- ranging from 6.1 to 8.5 -- were the Northeastern states of Connecticut, Massachusetts, New Jersey , New York and Pennsylvania.

The same was true for Southern women. Nine of the 14 states with divorce rates for women above the U.S. average, ranging from 10.7 to 16.2, were in the South. They included Alabama, Arkansas, Georgia, Kentucky, Mississippi, Oklahoma, Tennessee, Texas and West Virginia.

By comparison, four of the 10 states with below-average divorce rates for women, ranging from 6.0 to 8.9, were in the Northeast: Massachusetts, New Jersey, New York and Pennsylvania.

A divorced mother of two who grew up in Virginia and is now living in the Atlanta area, Lynn (not her real name) said she knows why her eight-year marriage failed. She and her ex-husband got married after a whirlwind three-month courtship, and she now knows, "You really don't know somebody after three months."

She didn't have a college degree when she got married, although she did eventually graduate from college and is now a teacher.

Lynn said she can see some reasons that Southerners divorce at higher rates than the nation as a whole.

"Where I grew up in Virginia, I saw some of my peers not finishing high school, some not going to college and some not finishing college," she said. "I saw a lot of people just staying in my hometown, staying in dead-end jobs, just settling, taking very little risk-taking for their careers."

Youth and lack of education can lead to higher divorce rates, said D'Vera Cohn, a senior writer with the Pew Research Center, who wrote a report on "The States of Marriage and Divorce." There's also an interactive map on the website.

"There tend to be higher divorce rates in states where women marry young," Cohn said. "Education also may play a role. In general, less educated women marry at younger ages than college-educated women, and less educated couples have higher divorce rates."

Values about premarital sex associated with the Bible Belt and rural America may be encouraging people to marry early, at ages when they are likely to have less education and less income to support a long-lasting marriage, according to Naomi Cahn, law professor at The George Washington University Law School and co-author of "Red Families v. Blue Families: Legal Polarization and the Creation of Culture."

"There's a moral crisis in red states that's produced by higher divorce rates and the disparity between parental values and behavior of young adults," said Cahn. "There is enormous tension between moral values and actual practices."

Lawrenceville, New Jersey, resident Jennifer DeBord, a married mother of two girls, made many decisions that could keep her 13-year marriage strong. She finished college, explored different careers, dated a few different men and lived with one boyfriend before figuring out what she wanted in a mate. DeBord and her husband, Jason, who works as a Broadway conductor and musician, both moved to New York City to pursue their careers in the arts.

"Waiting allowed me to find the person who was right for me, not the person who was available," said DeBord, 42. "In my mother's time, you married the first person you spent time with. I would have divorced that guy. I had a much better idea of who I was (when I married) at 29 versus who I was at 19."

It's ironic that pressure on people to get married early also puts them at higher risk of divorce, said Stephanie Coontz, history and family studies professor at The Evergreen State College in Olympia, Washington, director of research and public education for the Council on Contemporary Families, and author of "Marriage, A History: How Love Conquered Marriage" and other books.

"The very fact that people feel less pressure to get married (in the Northeast) means they can be more selective about who they marry and take their time, " Coontz said. "They don't have to rush into it to please parents or avoid stigma of premarital sex."

Whatever the reasons for the South's higher divorce rate, Christian author Jonathan Merritt said that church leaders are focusing more on divorce recovery when they should be focusing on preventing divorce.

"The faith community has a twofold responsibility regarding divorce: We need to respond to the divorce epidemic among our own ranks and we need to address the trend among the broader culture," said Merritt, author of "Green Like God: Unlocking the Divine Plan for Our Planet," who also ministers at Cross Pointe Church in Duluth, Georgia.

"Marriages and families within faith communities are no healthier than in the rest of society. Faith communities must provide support systems to salvage damaged marriages and resurrect dead marriages."

Meanwhile, divorce still pushes more women into poverty than men and affects their children, since children are still more likely to live with their mothers (75%) than their fathers (25%), according to the same U.S. Census report.

Some other findings:

• Women divorcing in the past year were more likely than men to be in poverty (22% versus 11%).

• Women divorcing in the past year had less household income than their male counterparts. Of those women, 27% had annual household incomes below $25,000, compared with 17% of divorced men.

• Women who divorced in the past year were more likely to receive public assistance than men (23% versus 15%).

• Children living with a parent divorcing in 2009 were more likely to live in poverty (28%) compared with other children (19%) and more likely to live in a rented home (53%) than other children (36%).

@highlight

New Census Bureau report finds divorce higher in South than Northeast

@highlight

Expert: Youth and lower education can lead to higher divorce rates

@highlight

Christian author: Churches need more focus on divorce prevention