(CNN) -- I remember my father bringing home computers in the 1970s and watching him having to spend hours poring over their seemingly incomprehensible technical manuals just to get the new devices up and running.

All that changed in 1984, when he brought home a MacIntosh. Instead of complex circuit diagrams and dense programming advice, he encountered a friendly, intuitive user experience. Operating his new computer seemed effortless.

More than 25 years later, I watch my 7-year-old twins relive my father's experience as they intuitively learn to do anything and everything with their iPhones and iPads.

Steve Jobs saw around corners, over the horizon and into the future, changing forever our daily lives through technology. He taught us to download music. He made computers approachable through his simple and elegant designs. He used everyday words instead of engineering jargon. He made computing comprehensible by employing "desktop metaphors": We opened folders, read documents and threw away our trash. It is nearly impossible to imagine (or remember) the world without the tools and experiences that Jobs created and popularized.

Quite rightly, Jobs' array of gadgets and how they made us think differently about technology have been the focus of the avalanche of tributes to him. But as important as those legacies are, an even more important one may be that Jobs made the boom in social media possible.

Social media have created a participation culture. We no longer merely watch and consume culture. We create, share and interact with it. Jobs laid the groundwork by first making it easy to use computers in our homes. He then challenged us to use them socially. But it was the iPhone that truly ushered in the age of social media and allowed us to engage with the Internet and visually interact with each other when not sitting in front of our computers at home.

Would Facebook be the mobile phenomenon that it has become without the iPhone making it possible to for us to view content, upload photos and interact from any location at any time? Without the iPhone, would Twitter have become so dominant a communications tool? Lady Gaga tweets messages and pictures to her 14 million Twitter fans, CNN tweets breaking stories to 5.2 million followers, and the Dalai Lama tweets to his 2.5 million supporters. The iPhone was the first mobile device that taught us -- and encouraged us -- to share our words and our images of what we are doing and seeing.

Jobs enabled the social media revolution in another way: He made it cool to carry electronic devices around with us.

In most people's minds, technology was the realm of "nerds" and "geeks." After Bill Gates founded Microsoft, some people said that technology was "sexy," and it was "cool" to be a nerd. In fact, technology continued to be the nerdiest of interests -- until Jobs made technology actually cool and hip forever.

First came the discreet and trendy-looking iPod, which allowed us to download our favorite music and share it with others. The sleek iPhone followed, which enabled us to share our lives. "Cool kids" are now the first to buy and show off their new Apple gadgets. Indeed, iPhones and now iPads have become fashion accessories, used by people to accessorize their personal images and demonstrate that they are in vogue, popular and connected.

Not that many years ago, people only thought iteratively, in small steps. Even entrepreneurs and innovators focused on the "next step" in developing their ideas. This kind of thinking is embodied in the seemingly endless versions of, say, Microsoft's Windows.

Jobs challenged himself, and those around him, to pursue ideas first and "ask" how later. An innovator shouldn't think incrementally. His or her ideas should be the product of a "leap," as in: What about making a phone that acts like a TV? Or a device to download and share music that is small enough to keep in your pocket?

Jobs has laid the foundation for social media to continue to thrive and expand, and surely there will be future innovations and refinements. But it's hard to imagine anyone but Jobs connecting cutting-edge technology so effectively to what people want to do in their daily lives.

Jobs made a career in taking those leaps -- and famously wowed us. In so doing, he transformed our world into one in which we can realize our dreams and desires to be a sharing society.

The opinions expressed in this commentary are solely those of Karen North.

@highlight

Karen North: Early personal computers were difficult to operate

@highlight

Steve Jobs dramatically improved the computer experience, she says

@highlight

North says many of Jobs' innovations helped enable the social media boom

@highlight

Jobs believed in taking leaps rather than incremental steps, she says