(CNN) -- When the chips are down, the world may one day owe a debt of gratitude to a group of potato farmers high up in the mountains of Peru.

Not small potatoes: Preserving potato varieties in Peru is vital to global food security.

Thanks to a new $116 million global fund established this summer, the Quechua Indians are being paid to maintain their diverse collection of rare potatoes and ensure that they will be available to help the world adapt to future climate change.

The Quechua are one of 11 communities around the world, chosen for the important collection of crops they farm, which together are part of a major new initiative to ensure that the world has the options it might need to cope with future food crises.

Other countries involved include Cuba, where they will be focusing on maize and beans, as well as oranges in Egypt and wheat in Tanzania.

The fund, a cornerstone of the International Treaty on Plant Genetic Resources for Food and Agriculture (ITPGRFA), aims to maintain a reservoir of essential species for all our major food crops.

"Agricultural biodiversity is essential," Dr Shakeel Bhatti, Secretary of the Treaty, told CNN. "It is really the global insurance that in the future we will be able to adapt to problems like climate change and population growth."

Just as biodiversity is now seen as the cornerstone of the resilience of natural world, so having a broad variety of agricultural crops is essential to the resilience of agriculture. Different species of plants are often able to cope with widely differing environmental conditions and many obscure varieties could hide vital disease resistance.

But the world's valuable diversity is disappearing incredibly fast.

"The figures are quite disturbing," said Dr Bhatti.

Over the millennia, humans have relied on more than 10,000 different plant species for food. Today, we have barely 150 species under cultivation -- and of those only 12 species provide 80 percent of all of our food needs. Four of those -- rice, wheat, maize and potatoes -- provide more than half of our energy requirements.

As global markets have grown and seed production and agriculture become more commercialized, the old system of farmers saving their own seeds - and by doing so a myriad of different crops, often closely adapted to local conditions - has almost disappeared.

As a result variety is dwindling towards a vanishing point. China has lost 90 percent of the wheat varieties it had just 60 years ago. In the United States more than 90 percent of fruit tree and vegetable varieties found in farmers' fields at the beginning of the twentieth century are no longer there. Mexico has lost 80 percent of its corn varieties. India has lost 90 percent of its rice varieties

"They're gone; they've disappeared forever," said Dr Bhatti. "From a food security point of view this makes the world's farmers much more vulnerable to pests... and increases the vulnerability of some poor countries to price shocks in global commodity markets."

The ITPGRFA has two major aims: to prevent the loss of underused crops and ensure the full diversity of common crop species is maintained. It has already enabled the establishment of a seed bank containing 1.1 million varieties that opened in Svalbard, Norway, in 2008. But now the focus is on crop varieties than cannot be stored in this way -- such as potatoes.

Historically, both the 19th century Irish Potato Famine and the Bengal Famine, in India, are hard lessons in what happens when we rely too much on a small range of species that are hit by disease.

But, according to Dr Bhatti, there are problems around the world now that offer a glimpse at what could happen in the future if we don't maintain our vigilance.

Wheat Stem Rust is a devastating wind-born disease affecting cereals that has spread across Africa and is now in the Middle East, and migrating further eastwards.

"If it reaches South Asia and China then millions could face a major threat to food security," says Dr Bhatti.

In southwest Australia years of drought, believed to be linked to climate change, have had a huge impact on rice production.

"It has almost wiped out the sector," said Dr Bhatti.

Although the ITPGRFA was agreed in 2001, and came into affect in 2004, but for the last five years signatories have been locked in negotiations over how the scheme would be financed. It wasn't until a conference in Tunis in June 2009 that the deadlock was broken with the new $116 million benefit sharing fund, which will fund the 11 projects.

There are also contracts to ensure those countries that are centers of diversity -- often poorer nations -- benefit when species are used commercially by richer nations.

"That was a major step forward," said Dr Bhatti. "We now have tremendous confidence in the system; the treaty is on track."

Rich signatories, such as Norway, Spain and Italy, have agreed to provide the rest of the funds within five years, and according to Dr Bhatti the U.S. has expressed a desire to sign up after disinterest during the Bush administration.

So successful is the model established by the ITPGRFA that the World Health Organization is looking at it as a way of sharing information on viruses, including influenza; there are also plans for a bank of animal genetic material.

"I must say I have been so delighted by the Tunis conference this year," said Dr Bhatti. "To a certain extent we were at a crossroads, but we completely came through. It was a quantum leap; a major thing. We are moving forward."

@highlight

New multi-million global fund to preserve agricultural biodiversity

@highlight

Importance highlighted by previous food crises and famines

@highlight

U.S. has lost 90 percent of fruit and vegetable varieties in last 100 years