Passing laws is one thing; enforcing them is another.

Enter New York City's idling rule, meant to improve the city's air quality by prohibiting drivers from running their engines when they're not moving.

Toxic tailpipe fumes have been shown to increase rates of asthma and put children at risk of developmental delays, environmental studies show.

When cars and buses line up outside of schools, all those idling engines can worsen the quality of air both inside and outside the school, as children and parents come and go.

By putting air-quality monitors in backpacks on pregnant mothers in New York, researchers at the Columbia Center for Children's Environmental Health have shown that fetuses exposed to greater pollution in the womb are more likely to experience developmental delays as children.

For years, New York drivers have had three minutes to turn off idling engines, and in 2009 the city passed more stringent laws: Drivers now have one minute to turn off their engines if they're adjacent to a school.

But environmental advocates complain the laws do little to improve air quality because the legislation in place is only minimally enforced.

The city issues about 10 million parking tickets each year but only a few thousand idling tickets.

If the traffic enforcement agents were properly citing drivers who violated the rule, the number of idling tickets would be significantly higher, say advocates, because violation of the rule is so widespread.

A 2008 New York City Council oversight committee report said as much, too, stating: "Although idling restrictions have been in place in New York City since 1971, many drivers persist in idling their engines, leading to questions about the effectiveness of our idling law."

On display a year later, at a press conference announcing the tougher idling rules around schools, were environmental and health advocates on the one hand celebrating a legislative win, but on the other hand still concerned about a lack of enforcement follow-through.

"We are therefore urging you, Mayor Bloomberg, to direct NYPD's traffic enforcement agents to finally enforce the anti-idling laws," said Isabelle Silverman, an attorney for the Environmental Defense Fund, at the 2009 press conference with Mayor Michael Bloomberg.

"Consistent enforcement is the only way that New Yorkers will finally get the message that unnecessary curbside idling is no longer tolerated in our city."

The mayor, while reiterating environmental values, pointed to the difficulties of marshaling systemic enforcement during a recession.

"The real challenge here is that in the good times everybody is in favor of environmental stuff, and when the times get tougher, it's probably the first thing to be jettisoned," Bloomberg said.

"It's just incumbent on those of us that want to leave a good life for our children, and want to have clean air for us to breathe, and clean water to drink, and this is not just for the future, it's for the present as well, it's incumbent on us to really carry the fight."

CNN's full coverage: Toxic America

But little has changed in three years, advocates say.

The issue of enforcement arose again at a December press conference with Bloomberg.

"Well, I will take a look at it and see. We'd like to enforce it more," Bloomberg said.

"Keep in mind, enforcement costs money; the people that enforce have plenty of other things to do. (The) police department's first job is going to be worrying about more serious things."

But it would be easy to enforce the law properly, advocates said, because agents enforcing parking rules could also crack down on idling.

"The traffic enforcement agents are ideally suited to give the idling tickets because they are already walking up and down the street looking for parking violations. In addition, the TEAs' health is negatively impacted by illegal idling," said the Environmental Defense Fund's Silverman.

"The TEAs have had authority to give idling tickets since September 2009, and yet they have only given, on average, one ticket per agent per year. Consistent and rigorous idling enforcement is the only way to let drivers know that illegal idling is no longer tolerated for health reasons in NYC."

The mayor's office issued no comment to CNN regarding enforcement but confirmed that 2,989 tickets were issued for idling in fiscal year 2011.

After passing tougher idling rules, the city initiated a public awareness campaign through GreeNYC to inform drivers and parents of the health dangers, and economic waste, of engine idling.

"Children's asthma symptoms increase as a result of vehicle exhaust," says one New York City Department of Environmental Protection flier.

"Idling for longer than 10 seconds wastes more fuel than restarting your engine."

See a list of idling rules nationwide

@highlight

Toxic tailpipe fumes increase rates of asthma and put children at risk, studies show

@highlight

New York drivers now have one minute to turn off engines if they're adjacent to a school

@highlight

City issues about 10 million parking tickets each year but a few thousand idling tickets