(CNN) -- Part of being a child is developing your identity. School can teach you knowledge. Society can teach you what it expects of you. But, once you develop a sense of yourself, no one and nothing can tell you who you are. You come to know that -- to your core.

When a child's sense of self develops in ways that are traditional and unremarkable, nobody takes much notice. But when it happens in ways that challenge traditional norms or expectations, people often try to "correct" it.

Such is the heart of a controversy brewing in Colorado involving a first-grader and, of all things, a bathroom.

The unlikely center of this uproar is a little 6-year-old girl, Coy Mathis. Coy knows she's a girl. She dresses as a girl. Her legal documents recognize her as a girl. Her parents accept her as a girl. On the playground, you would have difficulty identifying her as different from any of the other girls, because in all ways that matter socially and legally, this child is a girl.

The problem is that Coy was born in the body of a boy, so the school district wants her to use the boys' bathroom, or some bathroom other than the one the other girls use. The Transgender Legal Defense and Education Fund has filed a complaint with the Colorado Civil Rights Division on behalf of Coy and her family.

Discrimination complaint filed for transgender girl

Although generations of people facing a similar mind/body dissonance have been forced to hide, to pretend, to live unhappy and empty lives simply for being different, the world is changing. Kids such as Coy finally have a chance to avoid a similar fate with their dignity and their self-image intact, given the right support and opportunity.

Vice President Joe Biden has long been a supporter of gay, lesbian and transgender rights, referring to them as civil rights issues. It seems odd to think of this first-grader who simply wants to use the bathroom as a civil rights pioneer. But crossing seemingly simple barriers for rights is nothing new -- whether to ride a bus, to attend a school or to use a bathroom just like everyone else. It is unfortunate that we keep having to relearn these lessons.

I doubt many people stop to consider that the single most significant moment in their lives happens within minutes of their births. That's when, upon simple inspection, a doctor or a nurse pronounces a baby a boy or a girl. That seemingly simple and obvious proclamation has reverberations for the rest of our lives.

I can empathize with Coy because I faced those same overwhelming questions myself, almost 50 years ago.

I came to know a similar mistake had been made, except that at that time, I didn't have words to explain it. I learned to live a lie. Pretending to be what you're not, hoping things will magically fix themselves, seems easier at times. But lies have consequences.

News: Frat pays for brother's sex change

It is unfortunate that Coy's school has not learned the lesson that so many other aspects of our culture have already acknowledged, that a person's gender is more complicated than a body part or a chromosome.

Workplaces across this country are recognizing the challenges that their transgender workers face and are removing deeply embedded barriers to health care and wellness benefits. Organizations ranging from the National Collegiate Athletic Association to the Girl Scouts are accepting transyouth, sometimes under fire, treating children based on identify, not body parts.

Transwomen have openly competed in mainstream beauty pageants and have been featured in magazines such as Vogue. Transgender athletes, artists and writers, people in all fields, have shown there is a pathway to a happy, well-adjusted and fulfilling life -- not as an "other," but as the men and women we know ourselves to be.

Apparently none of this matters to the school that denies Coy the use of the girls' bathroom or to the parents who demonize her and her family. Arguments to treat Coy with dignity often fall on deaf ears. Why? Because discussion of the topic quickly becomes emotional rather than rational.

When I came out to my own mother, at 40 years old, I was a parent, I had been married to a woman I loved for 20 years, I had a successful career, we owned two homes, and there wasn't a single person who would have guessed my secret or my struggle.

But in the end, a quote from AndrÃ© Gide: "It is better to be hated for what you are than loved for what you are not," resonated to the point that I finally became who I should have been.

Today, my family and I have never been closer. I have never been more in tune with myself and the world around me. My relationships have never been more fulfilling. Those who would cling to outdated stereotypes of transpeople as sad, lonely, misguided, freakish and broken see more and more examples of people who bloom when they find the strength, and the opportunity, to become authentic.

My own advice for Coy and her family: Keep the spirit of the Serenity Prayer close to your heart. Love one another. Know that this journey is far more about happiness and fulfillment than about body parts or bathrooms. To Coy's parents, Kathryn and Jeremy: Doing what's right for your daughter will make a bigger difference for her, and for others, than you know. And last, don't forget to hug one another every day.

The opinions in this commentary are solely those of Donna Rose.

@highlight

Donna Rose: When a child's sense of self is nontraditional, people want to "correct" it

@highlight

Rose: Transgender Coy, 6, is in every respect a girl, but she can't use girls' bathroom

@highlight

Rose: School should know gender is not body parts, it is who you are to the core

@highlight

Rose realized that to live an authentic life she needed to become a woman