Happy National DNA Day! April 25 marks the 60th anniversary of scientists' discovery of the double helix. It's also the 10th anniversary of the completion of the Human Genome Project, which set out to sequence the more than 3 billion letters in our genetic code.

Biologist James Watson and physicist Francis Crick realized our DNA molecules form a three-dimensional double helix in 1953. But DNA research dates back to the late 1860s, according to Nature Education.

Friedrich Miescher was the first to identify "nucleic acid" in our white blood cells; his 1869 finding was later named deoxyribonucleic acid, or DNA. Others later defined the components that make up DNA molecules, identified RNA (ribonucleic acid, the other type of nucleic acid found in all cells along with DNA) and determined that although DNA differs in each species, it always maintains certain properties.

Those findings led to Watson and Crick's conclusion, which paved the way for decades of DNA discoveries.

Today we use DNA tests to tell us about all kinds of things -- from Justin Bieber's baby daddy status to the innocence of a man sitting on death row. But genetic scientists are doing more than trying to prove Bigfoot's existence.

Here are five cool things DNA testing can do:

Map your family tree

A $99 DNA test could give you thousands of new relatives (although if they're anything like ours, we're not sure why you'd want them). Sites such as Ancestry.com offer to compare your DNA to those they already have on record in hopes of connecting you to unknown branches of your family tree. Ancestry.com's test can also tell you your genetic ethnicity.

"The new test looks at a massive amount of your DNA ... and compares it to other DNA samples from around the world. By detecting similarities, we can trace back generations to connect you to the lands your ancestors once called home," the site states.

Solve ancient mysteries

No one knew where Richard III, one of the most famous kings of England, was buried until his remains were discovered in a parking lot in Leicester.

The remains showed evidence of battle wounds and scoliosis, but scientists weren't sure the skeleton was Richard III's until DNA extracted from the bones was matched to Michael Ibsen, a direct descendant of the king's sister.

It wasn't the first time ancient remains had been identified using DNA. If it's stored in a cold, dry, dark place, DNA can last for thousands of years. In 2009, a DNA analysis of some bone fragments showed two of Czar Nicholas II's children were killed along with the rest of the family during the Russian Revolution, despite speculation they could have escaped.

Scientists have even extracted DNA from Neanderthals, who went extinct about 30,000 years ago, in hopes of gaining insight into the evolution of humans.

Shakespeare, thou art stored in DNA

Distinguish your mutt

"Where does Buddy get his curly tail from? Why does he love digging holes in the backyard? Could I be doing more to make him happier and healthier? Your dog may not be able to tell you the answers -- but his DNA can," claims one dog DNA site, WisdomPanel.com.

You'll probably never figure out why Buddy loves to eat your favorite Italian pumps (other than the fact he's a dog) but you can figure out where he comes from. WisdomPanel.com will test your mutt's DNA against that of more than 190 breeds to determine his genetic background.

"But why?" cat lovers may be asking. "When you understand your dog's natural tendencies, you can tailor a training, exercise and nutrition program to his needs," the site explains.

Predict the future

Using blood from the mother and saliva from the father, scientists can now determine whether a fetus has any chromosomal abnormalities that could cause a genetic disorder. For example, DNA testing can reveal if an unborn baby will have trisomy 21, or Down syndrome.

Researchers are beginning to expand the field of prenatal genetic testing even further, using it to identify potential developmental delays and intellectual disabilities such as autism.

Genetic testing can also reveal risk factors you may have inherited from your parents, such as a high risk for breast or colon cancer. While this genetic risk factor does not guarantee you will get the disease, it does increase your chances; knowing about the risk may help you take preventive steps.

Help you lose weight

A growing body of research suggests that our ability to lose weight -- or gain 10 pounds by simply looking at a piece of chocolate -- is shaped in large part by our genes.

Scientists have identified several gene variants that may predispose us, and our children, to obesity. Rodent studies have also shown that up to 80% of body fat is regulated by our genes, according to TIME.

That said, we wouldn't search for a customized DNA Diet just yet. While there is a genetic component to obesity, our understanding of it is limited, says CNN diet and fitness expert Dr. Melina Jampolis. Researchers are still trying to figure out how genetics, nutrition and exercise are related so we can help people lose weight and keep it off.

@highlight

James Watson and Francis Crick discovered the double helix in 1953

@highlight

In 2003, scientists completed the Human Genome Project

@highlight

DNA today can tell us everything from paternity to risk factors for chronic disease