Even as authorities sort out the events that ended with a Virginia state senator stabbed and his son dead from a self-inflicted gunshot wound, mental health advocates warned Wednesday that a national shortage of beds for psychiatric patients could portend similar incidents.

State Sen. Creigh Deeds was stabbed more than 10 times Tuesday after an altercation with his 24-year-old son, Austin "Gus" Deeds, state police said. The younger man then shot himself, authorities said.

"This is such a crystal-clear example of the problem," said Doris Fuller, executive director of the Virginia-based Treatment Advocacy Center.

"If Sen. Deeds weren't a public figure, we wouldn't be talking about this. The fact of the matter is that individuals and families and communities suffer every single day everywhere in this country because there are not sufficient acute facilities for people."

Deeds remained hospitalized Wednesday, but his condition was upgraded to good, authorities said.

Deputies called to Deeds' home day before fatal fight

The stabbing came one day after the son was taken to a local hospital under an emergency custody order. Police confirmed that Gus Deeds was brought in by the local sheriff for evaluation by mental health professionals.

The Richmond Times-Dispatch reported Tuesday that Gus Deeds received that evaluation, but he was released because no psychiatric bed could be found in the area.

CNN has learned that at least three Virginia hospitals had psychiatric beds available the day before the stabbing and suicide.

Officials at Western State, Rockingham Memorial and UVA Charlottesville hospitals told CNN on Wednesday beds were available, but they had not been contacted by medical personnel who evaluated the younger Deeds. The hospitals are within an hour or two from Bath County, where the incident occurred, but it was unclear whether those who had the initial contact with Gus Deeds reached out only to hospitals closer to Bath.

In the wake of the stabbing, Virginia Gov. Bob McDonnell ordered a review of state and area mental health services, according to his spokesman.

"The governor has directed the (state) secretary of Health and Human Resources to conduct a full internal review of the events leading up to Tuesday's tragic situation," said McDonnell spokesman Taylor Keeney. "The secretary has already begun his assessment, working in cooperation with all relevant state and local authorities. We will have further comment on this review at the appropriate time."

Where are we putting our mentally ill?

The incident renewed public attention on a chronic shortage of beds for the mentally ill -- an alarming national trend that mental-health advocates say is responsible for a long list of violent acts.

Research from the nonprofit Treatment Advocacy Center found that the number of state psychiatric beds decreased nationwide by 14% from 2005 to 2010. In 2005, there were 50,509 state psychiatric beds, compared with 43,318 in 2010. In 1960, by comparison there were 535,000 public psychiatric beds nationwide.

Fuller said a person with severe mental illness now is more likely to end up in jail or a state prison than a psychiatric hospital.

"This is a population with no voice," Fuller of the advocacy center told CNN. "The people who are sick enough to be committed to a hospital for care are not people who are voting, and they are not people who are a political constituency. They're not a political priority."

A 90-day audit by the Virginia's inspector general in 2012 termed the practice of releasing the mentally ill because of bed shortages "streeting." The audit found that "72 individuals determined to meet the statutory criteria for temporary detention were denied access to inpatient psychiatric treatment" -- placing "the person and his/her community at risk."

In Gus Deeds' case, the young man was released after the mental evaluation Monday because no psychiatric bed could be located across a wide area of western Virginia, Dennis Cropper, executive director of the Rockbridge Area Community Services Board, told the Richmond Times-Dispatch on Tuesday. Cropper declined to comment on the specifics of the case but said not finding a bed was unusual for his agency.

The recommendation is 50 beds per 100,000 people to provide the minimally adequate intensive care for people in crisis, Fuller on the Treatment Advocacy Center said.

The state of Virginia averages 17.6 state psychiatric beds per 100,000 people, and "that's actually above average," Fuller said.

Arizona, for instance, has 4.1 state psychiatric beds per 100,000 people. England has 62 beds per 100,000 people.

Mental health warning signs parents can't ignore

A rapidly ticking clock on finding beds

Cropper told CNN that under Virginia's emergency custody order process, medical staff members have four hours to decide whether someone should be committed after the family petitions a court to order an evaluation. The clock starts when authorities deliver the patient for clinical evaluation. Physicians make a recommendation to the court after the evaluation. If a magistrate approves, medical staff search for an available hospital bed.

"In certain conditions, a two-hour extension is granted by a magistrate, but under no circumstances can a person be held beyond six hours involuntarily," Cropper said in a statement.

After 32 people were killed in the 2007 Virginia Tech shooting, Virginia lawmakers sought to overhaul the emergency-evaluation processes and increase funding for community mental-health services. But according to the Virginia-based National Alliance on Mental Illness, the state's overall state mental-health budget decreased $37.7 million dollars from $424.3 million to $386.6 million from fiscal 2009 to fiscal 2012.

"What you don't have is sustainable funding," said Mike Fitzpatrick, executive director of the alliance. "A tragedy happens, the legislature reacts. You see this in other states then, over time, that's chopped away and these services aren't available."

Fuller said the shortage of psychiatric beds dates back half a century to President John Kennedy's signing of the Community Mental Health Act in 1963. The goal was to shut down public psychiatric hospitals, replacing them with small community-based centers.

"It was a perfectly reasonable idea, except the community facilities were never built," she said. "The hospitals were closed, and the people who once got hospital treatment for the most part no longer do, and the beds aren't there, period."

Institutionalized -- in prisons

"We have an estimated 450,000 people with mental illness in jails and prisons today," Fuller said. "You sort of add up that we have 43,000 in beds and 450,000 in jails and prisons, and you're almost back to the hospital bed number we had in 1960 -- except we've just reinstitutionalized them. And, of course, if Gus Deeds had not killed himself, he would be today in jail. There wasn't a hospital bed for him, but we would have found a cell for him."

At a forum on mental illness in Boston last month, Health and Human Services Secretary Kathleen Sebelius recounted the recent experiences of two people close to her dealing with mental health issues. The forum marked the 50th anniversary of Kennedy signing the community mental health act.

"It gave me a real snapshot into some of the challenges in both our mental health and substance abuse systems," she said. "I'm the secretary of Health and Human Services. I know who to call. I know where the resources are. So if our friends and family had difficulty, I had a real snapshot into what people in communities deal with every day."

Gus Deeds withdrew from The College of William & Mary last month after being enrolled off-and-on since 2007, according to a statement from the school.

Cory Jessee, a high school and college classmate of Gus Deeds, said his friend was brainy and a talented bluegrass musician. He said those close to Deeds knew the family had sought professional help for him.

"I can't imagine him being conscious of what he was doing," Jessee said of the assault. "I knew his family was trying to get him help. Everyone did.

"I knew they had the means and the ability to search for stuff like that and put time into it. I wasn't aware of how much time."

Feds boosting mental health access, treatment

@highlight

Advocates warn that a national shortage of psychiatric beds could portend more violence

@highlight

Number of state psychiatric beds decreased by 14% between 2005 and 2010

@highlight

Virginia averages 17.6 state beds per 100,000 people, which is higher than average

@highlight

At least three Virginia hospitals had psychiatric beds one day before state senator stabbed