(CNN) -- Tensions magnified among the world's top three economies over China's controversial new air defense zone.

The issues range from disagreements on air space as well as disputed islands between China and Japan.

On Saturday, China declared the creation of an air defense identification zone in the East China Sea, eliciting strong criticisms from the United States and its close ally, Japan.

Both countries refuse to recognize China's newly created zone.

What is China's "Air Defense Identification Zone"?

China released a map and coordinates that identify its air defense zone on November 23.

It declared that aircraft in the area must report their flight plans to China, maintain two-way radio and clearly mark their nationalities on the aircraft. The new rules went into effect 10 a.m. that day, Xinhua reported.

This space included a swath of the East China Sea, including a disputed island chain known as Daioyu in China and Senkaku in Japan.

China vowed to "adopt defensive emergency measures to respond to aircraft that do not cooperate in the identification or refuse to follow the instructions."

What is an "Air Defense Identification Zone" or ADIZ?

The ADIZ is not a new concept. It's essentially a buffer zone outside a country's sovereign airspace.

Several countries including the United States and Japan have established ADIZ in international airspace next to their nations. A foreign aircraft traveling in an ADIZ can be required to identify itself for entry into that country's airspace.

It is unilaterally imposed, so it doesn't really have a legal basis and isn't based on negotiation with neighbors, said James Hardy, the Asia-Pacific Editor of IHS Jane's Defence Weekly. "It's purpose is to give the country an early warning zone in which it can intercept potentially unfriendly aircraft."

What islands does China's ADIZ affect?

The Chinese defense ministry said the new air defense zone was not directed toward a specific country. The map and coordinates released by China show the zone covers parts of the East China Sea, as well as the Daioyu/Senkaku islands.

Japan and China both lay claims on Daioyu/Senkaku islands. And China's new zone overlaps with Japan's, which was formed on August 29, 1968. China contests the Japanese air defense zone as illegal, Zhang Junshe, who is with the Chinese Navy, told Xinhua.

China also has stirred its South Korean neighbors. A reef called Ieodo in the Yellow Sea sits about 149 kilometers southwest of Korean and 287 kilometers east from China, and is partially covered by the Chinese ADIZ. The Koreans have established an Ocean Research Station on Ieodo.

How have China's neighbors reacted?

Japan on Sunday slammed the Chinese announcement, saying it had "no validity whatsoever." The nation's Minister for Foreign Affairs called China's measure "profoundly dangerous acts that unilaterally change the status quo in the East China Sea, escalating the situation, and that may cause unintended consequences."

Opinion: Did China make strategic error with air zone?

In South Korea, the nation's defense ministry spokesman, Kim Min-seok said the country's jurisdiction over Ieodo remains unchanged.

"China has unilaterally set up its ADIZ," Kim said. He said it overlaps with Korea's jurisdiction.

The Korean government would fly over such areas without informing the Chinese side, he added.

Sounds like an Asia conflict, so why is the U.S. involved?

The United States interprets the ADIZ differently than China.

As stated in Xinhua, China's new aircraft identification rules don't distinguish between aircraft flying through the zone with no intention of flying into China's airspace and those that do, the Center for Strategic and International Studies points out.

This is not how the United States interprets the ADIZ, as stated by U.S. Secretary of State John Kerry's on November 23: "The United States does not apply its ADIZ procedures to foreign aircraft not intending to enter U.S. national airspace. We urge China not to implement its threat to take action against aircraft that do not identify themselves or obey orders from Beijing."

The United States has said it won't recognize the zone -- nor China's call that aircraft entering it identify themselves and file flight plans.

"Freedom of overflight and other internationally lawful uses of sea and airspace are essential to prosperity, stability, and security in the Pacific. We don't support efforts by any State to apply its ADIZ procedures to foreign aircraft not intending to enter its national airspace."

To the United States, the newly formed air zone becomes more than an island dispute between China and its longtime ally, Japan, but a controversy over international airspace.

"The U.S. is very concerned with freedom of navigation, whether that be sea or sky," said Greg Waldron, Asia managing editor of Flightglobal, an aviation and aerospace industries news site.

What are countries doing in response to the new zone?

After the United States thoroughly expressed its displeasure with China's ADIZ, two U.S. military aircraft flew into the newly claimed air defense zone without notifying China. The flight came just two days after China's announcement of its new zone.

Meanwhile, a flurry of strong words have been exchanged amongst various countries. The United States' warning that the zone heightens the risk of "misunderstanding and miscalculation" drew a sharp Chinese rebuke, calling the U.S. remarks "irresponsible."

U.S.: China claim of air rights over disputed islands 'creates risk of incident'

In an editorial in state-run media Xinhua, one commentary writer denounced the U.S. and Japanese objections as a case of "they can do it while China cannot," referring to the countries' existing ADIZ.

China slams 'inappropriate' U.S. remarks on territorial dispute with Japan

South Korea and China defense officials are expected to hold talks this week regarding the overlapping ADIZ that includes Ieodo.

Are commercial flights affected in China's new air defense zone?

As defined by China's announcement, the air defense zone's requirements appear to apply to all aircraft. But details are murky.

Such planes are probably not required from a legal perspective to notify China, but it might be a good idea from a safety perspective, said Waldron.

In the meantime, Japanese airliners, All Nippon Airways (ANA) and Japan Airlines (JAL) announced Wednesday they would not submit flight plans for their flights through the affected areas.

Back to the islands -- why have Diaoyu/Senkaku islands been so contentious?

China says its claim on the islands extend back to 1400s, which was used as a staging point for Chinese fisherman.

Japan says it saw no trace of Chinese control of the islands in an 1885 survey, so formally recognized them as Japanese sovereign territory in 1895. Japan then sold the islands in 1932 to descendants of the original settlers. The Japanese surrender at the end of World War II in 1945 only served to cloud the issue further.

The islands were administered by the U.S. occupation force after the war. But in 1972, Washington returned them to Japan as part of its withdrawal from Okinawa.

According to Xinhua, China and Japan "agreed in 1978 to put the issue aside and solve it in the future."

The dispute intensified last year as protests erupted in China after Japan announced it had bought several of the disputed islands from private Japanese owners. Anti-Japanese demonstrations turned violent as protesters hurled bottles at the Japanese embassy in Beijing, overturned Japanese cars, ransacked Japanese stores and restaurants.

What's so appealing about the Diaoyu/Senkaku islands?

It's uninhabited and may look like a bunch of rocks. But ownership of the islands would allow for exclusive oil, mineral, and fishing rights in surrounding waters.

CNN's Barbara Starr in Washington, Jethro Mullen in Hong Kong, Junko Ogura in Tokyo and KJ Kwon in Seoul contributed to this report.

@highlight

NEW: U.S. flies 2 B-52s over China's new air defense zone

@highlight

China's declaration of air defense zone prompts outcry

@highlight

Japan and China's compete with claim for Diaoyu/Senkaku Island