The clear waters around Bermuda are as picturesque as you can imagine, and the brilliantly colored fish swimming around are like something from a crayon box. But a serious problem lurks behind the beautiful facade: the lionfish.

Lionfish are not native to the Atlantic Ocean. The venomous, fast reproducing fish are aggressive eaters and will consume anything and everything, gorging so much they are actually getting liver disease. With no known predators -- except human beings -- they can wipe out 90% of a reef.

"The lionfish invasion is probably the worst environmental disaster the Atlantic will ever face," said Graham Maddocks, president and founder of Ocean Support Foundation, which works with the government and research agencies to help reduce the lionfish population in Bermuda.

While the problem is only beginning to escalate, many in the marine preservation field are already concerned for the marine life that surrounds the lionfish.

Ecologist James Morris with the National Centers for Coastal Ocean Science said that while this may not be the worst epidemic the Atlantic Ocean has faced, it does have the makings of a disaster.  He said the lionfish has brought a "big change in biodiversity," and it is what he called "the most abundant top-level predator on some coral reefs (in the Atlantic)."

Lionfish were first recorded decades ago and their population has grown quickly. They produce 30,000 to 40,000 eggs every few days and are sexually mature by 1 year old. Today, you can find them throughout the Amazon, the Bahamas, the Caribbean and in the waters along North Carolina.

Invasive species: Eat them before they eat everything

As a non-indigenous species, lionfish are especially dangerous to the ecosystem because fish in the Atlantic lack a native instinct to stay away from them.

How did they get there? Ask Florida.

Florida pet owners are blamed for their release into unfamiliar waters. Believe it or not, DNA evidence traces all lionfish in the Atlantic back to only six to eight female lionfish.

Scientists will tell you it's up to humans, the fish's only known predator, to save the ecosystem. I recently joined Maddocks and his team to get a front-row view into a lionfish hunt.

An underwater scheme of this nature requires all the right technology, both to capture the scene visually and for the body to survive extreme depths. To get 200 feet beneath the surface, Maddocks and team had to use rebreathers, which are far more advanced and require more training than your typical tank.

We had three GoPro Hero 3 cameras (the waterproof housing works up to 197 feet), with two on head mounts and one on a pole. There were also two Sartec cameras that can go up to 250 feet, and several Liquid Image Egos, which go up to 130 feet. To approach the proper depths at a fast speed, the team clips in to Magnus scooters, which can move divers 250 feet per minute, allowing them to cover more ground.

'Aporkalypse' now?

It's a lot of work to capture all this on video, but the documentation is in high demand. The footage is critical because it allows researchers deep insights into the behavior of the lionfish and contributes to the database of information they're building. The team also collects GPS coordinates and fish counts, notes the number of species observed, surveys the stomach contents of each fish captured and more. They can determine if culling an area or hot spot makes a difference 30 days later.

"Scientists are scrambling for the data," said Maddocks.

These dives are made more complicated by something called "bottom time." At deeper dives of 200 feet, these highly trained divers can only stay down for about 25 minutes before they run out of air and decompress their bodies. It's never enough time. At this depth, lionfish in Bermuda are everywhere, and the team caught 16 before they hit the time limit.

Then it was my turn. I joined the guys on a 100-foot dive, spears in hand, to get the real experience (spear guns are illegal in Bermuda waters so we had to use a hand-operated elastic type of spear). Despite our weapons, I was shocked to see the lionfish just sit there. It seemed to be baiting us,"Come on hit me." With 18 venomous spines and no predators, it does have a reason to be fearless.

Across Bermuda, residents are also doing their part to try to take control of the lionfish population. There are lionfish tournaments and fish fries, and you can see "Eat 'em to Beat 'em" T-shirts throughout the island. To experts like Maddocks, these movements may not be enough.

"It's an infestation," Morris said over the phone. "The Atlantic Ocean is a big place, but the areas being affected are extremely important."

Maddocks agrees.

"I don't know if we can stop the lionfish invasion. This isn't a battle we can win, we can only maintain," he said. "Human beings started this problem. It is our fault they are here. We have to take responsibility and try to fix or hope we can control it."

2012: Taming the lionfish - Florida fights back against invasive species

@highlight

Lionfish are invading the Atlantic ocean, reproducing quickly and consuming local fish

@highlight

Scientists predict this could turn into an environmental disaster

@highlight

To curb the booming population, people are hunting and eating the prickly venomous fish