(CNN)Days after gunmen reigned terror in France, more answers are emerging in the case -- while many remain uncertain.

Millions rallied in Paris against terrorism and extremism over the weekend. Thousands of police officers and at least 10,000 soldiers are being deployed across France. And the remaining suspect in last week's terror attacks remains on the loose.

And the shooting of a random jogger Wednesday has reportedly been linked to the spate of violence that included the attack at French satirical magazine Charlie Hebdo, the deadly siege at a kosher store and the killing of a policewoman.

Here's the latest on the investigation, the response and the lingering threat:

Astonishing sight: More than 3.7 million people marched throughout France in colossal anti-terrorism rallies Sunday. French officials say the outpouring was the largest gathering in the country's history.

Notable absence: Forty world leaders marched in solidarity at the Paris event, but neither President Barack Obama nor any other high-ranking U.S. official was there. U.S. Secretary of State John Kerry was in India, attending an entrepreneurship summit. Kerry said Monday he'll be headed to France on Thursday and called the criticism against the administration "sort of quibbling." "The U.S. has been deeply engaged with the people of France since this incident occurred," Kerry said.

White House spokesman Josh Earnest said Monday, "I think it's fair to say that we should have sent someone with a higher profile to be there."

Surprising gesture: Among those condemning the attack included the Palestinian militant group Hamas, which the United States and others consider a terrorist organization. "The difference of opinions and thoughts cannot justify murder," the group said over the weekend. But Hamas didn't specifically condemn the attack on the Jewish supermarket that left four people dead.

Fighting back: Just as they promised to do, hackers claiming to be with the group Anonymous say they have blocked a jihadist website in retaliation for the attack. The website ansar-alhaqq.net, a French jihadist site, was redirected to the search engine Duck Duck Go. Hackers using the Twitter handle @OpCharlieHebdo claimed responsibility.

Going home: The bodies of the four Jewish victims in the deadly standoff at the kosher market in eastern Paris will be taken to Israel for burial. The funerals will take place Tuesday. Israeli Prime Minister Benjamin Netanyahu also said any Jews who want to immigrate to Israel will be welcome.

Ever vigilant: At least 10,000 soldiers and 8,000 police officers will be deployed across France as it elevates its national security alert system to the highest level. Prime Minister Manuel Valls said an estimated 4,700 officers will be tasked with securing 717 Jewish schools. "We must remain vigilant because the threat is still very much present," Valls told CNN affiliate BFMTV.

Sleeper cells: French police were told Saturday that sleeper cells had been activated over the past 24 hours inside France, terror expert Samuel Laurent said he was told by a police source. He said officers were told to erase all visible online presence on social media and keep their weapons on themselves at all times.

Newspaper firebombed: Hamburger Morgenpost, a German newspaper that reprinted the Charlie Hebdo cartoons, was firebombed early Sunday. The incendiary device was thrown into the archive section of the building. No one was inside at the time. Another newspaper -- Le Soir in Belgium -- was evacuated after someone called in a bomb threat.

Ripple effect: The head of the British MI5 intelligence service issued a warning that al Qaeda is plotting to massacre a huge number of civilians in Britain and other Western countries. And the New York Police Department told officers to remain alert after someone re-released a September ISIS message that tells followers to "rise up and kill intelligence officers, police officers, soldiers, and civilians."  The threat specifically named the United States, France, Australia and Canada as targets.

In all, 17 people were massacred by at least three terror suspects over three days.

• The first terror attack Wednesday killed 12 people at the Charlie Hebdo office in Paris.

• The next day, a French policewoman was gunned down.

• On the third and final day, four hostages were killed when a terrorist seized a Jewish grocery.

A fourth attack? Did Amedy Coulibaly, who took customers and workers hostage at a kosher market in eastern Paris on Friday, also shoot a jogger earlier in the week? Paris prosecutor Francois Molins said the attacks on the jogger Wednesday and the supermarket were linked after a ballistic analysis of the bullet casings, French media reported. But investigators can't confirm with certainty that it was Coulibaly who shot the jogger. The jogger is reportedly still in a hospital with life-threatening injuries.

In all, four people are suspected in the Paris attacks:

• Brothers Cherif Kouachi, 32, and Said Kouachi, 34, who rampaged through the offices of Charlie Hebdo. Security forces killed them Friday, ending a widespread manhunt.

• Amedy Coulibaly, 32, who took hostages at the kosher supermarket and is suspected of killing the policewoman. Authorities also killed him.

• Hayat Boumeddiene, 26, is Coulibaly's partner and suspected co-conspirator. She remains at large.

Linked together: Three of the four suspects were thought to be part of the same jihadist group, said Pascal Disant of the Alliance Police Union. Also, at least one suspect in the supermarket standoff demanded the freedom of the suspects in the Charlie Hebdo attack.

Boumeddiene was not in France at the time of the attacks, according to Turkey's Anadolu news agency.  She arrived in Turkey from Madrid on January 2, then traveled to Syria. The last place authorities spotted Boumeddiene was somewhere near Turkey's border with Syria.

Valls told CNN that authorities are looking into whether Boumeddiene helped prepare the attacks before leaving France.

Is AQAP involved? Al Qaeda in the Arabian Peninsula has claimed responsibility for the attack at Charlie Hebdo, the founder of the magazine The Intercept told CNN. But CNN has not independently confirmed this assertion.

Possible al-Awlaki tie: But U.S. authorities believe Charlie Hebdo attacker Said Kouachi may have met with the late American terrorist cleric Anwar al-Awlaki at some point in Yemen and received orders from al Qaeda in the Arabian Peninsula to carry out an attack, a U.S. official told CNN's Barbara's Starr.

ISIS paraphernalia found:  Investigators discovered ISIS flags, automatic weapons and detonators in an apartment near Paris rented by Coulibaly, France's RTL Radio reported Sunday, citing authorities. While Boumeddiene remains at large, her partner's hideaway may provide more clues about her.

CNN's Tim Lister, Jethro Mullen, Catherine E. Shoichet, Faith Karimi, Alex Felton and Christine Theodorou contributed to this report.

@highlight

A historic, massive rally took place Sunday in France

@highlight

Authorities are investigating an attack on a jogger