(CNN) -- Americans have followed with alarm the unfolding calamity of Central American children seeking refuge at our border. But many of us may not realize there's a crisis-within-a-crisis: An overwhelming number of these young, unaccompanied immigrants are facing deportation hearings without access to legal help. The lack of legal assistance threatens not only the children themselves, but also our nation's commitment to basic fairness.

Since October, more than 63,000 children have crossed the border into the United States, most from El Salvador, Honduras and Guatemala. Reports say many are fleeing violence, human trafficking and poverty, and detail harrowing tales of children terrified to return to their home countries fearing gang violence and retribution.

While these children look for solace and safety in the United States, the troubling reality is that more than 40% of them will be processed and face deportation without legal counsel.

It's mind-boggling that children are coming before judges alone while the federal government is represented by trained attorneys, as the Northwest Immigrant Rights Project legal director Matt Adams recently pointed out. These children, many of whom don't speak English, simply can't get a fair hearing without legal representation.

Fortunately, civil legal aid programs are working closely with private pro bono lawyers to ensure that more children will have legal representation and understand their rights. But more resources are needed to ensure that thousands of children do not face these complicated, high-stakes legal proceedings alone.

But the civil legal aid community has come forward to help the unaccompanied children who lack legal counsel and adequate resources. In Texas, State Supreme Court Chief Justice Nathan Hecht issued an urgent call for private attorneys to mobilize a civil legal aid response to the crisis, and lawyers across the state are stepping up and volunteering alongside nonprofit organizations to ensure justice for these children in state court hearings.

In San Antonio, the Refugee and Immigrant Center for Education and Legal Services has assisted thousands of young kids by representing them during immigration proceedings, providing "know your rights" presentations, and holding screenings to identify those who may be eligible for permanent status. After screening more than 3,000 children from Central America, the center found that as many as half had viable claims for visas. But most children don't understand their rights to file visa applications.

As the Texas executive director of Refugee and Immigrant Center, Jonathan Ryan, told USA Today: "What really determines the outcome of these cases is whether these children have access to competent, affordable civil legal aid, not their actual eligibility."

This work isn't happening only at the Southwest border. Northwest Immigrant Rights Project and Public Counsel in Los Angeles has joined pro bono attorneys at K&L Gates to file a federal lawsuit that seeks to guarantee the right to counsel for unaccompanied minors' civil legal aid programs.

Now, as the Obama administration accelerates deportation hearings, many unaccompanied children may be processed and deported in a matter of monthsâ€”giving civil legal aid groups less time to help them find counsel, understand their options, and identify grounds for asylum. In response to these accelerated procedures, the Legal Aid Justice Center in Virginia is leading efforts to ensure that expedited proceedings don't hamper children's access to counsel.

Many people might think these problems are new, but civil legal aid lawyers have been helping unaccompanied minors caught up in the immigration system for a long time. At Greater Boston Legal Services, attorneys have been working with pro bono lawyers and social service agencies as the number of children facing removal proceedings on their own increases steadily over the years.

While we await the bipartisan agreement and action we need for comprehensive immigration reform, civil legal aid lawyers and volunteers will continue to protect the fundamental due process rights of many young children.

But without additional resources, too many children will not get the help they so desperately need. It's simply not right that tens of thousands of unaccompanied children are facing deportation hearings all alone. In America's legal system, everyone deserves legal assistance to ensure fairness. Our nation's commitment, after all, is to justice for all, not just for those who can afford it.

@highlight

Martha Bergmark: 40% of unaccompanied kids don't have lawyers for deportation hearings

@highlight

Bergmark: Kids are before judges alone while government is represented by attorneys

@highlight

She says: Most are fleeing terrible violence yet don't speak English and don't know rights

@highlight

Bergmark: Legal aid lawyers, volunteers helping but more is needed to ensure fairness