Bangkok, Thailand (CNN) -- Thailand's army chief said the military -- one of Thailand's most powerful institutions -- would not step into the current political crisis, saying that the country's laws were enough to confront deadly protests that have punctuated a three-month power struggle.

In a televised address, Gen. Prayuth Chanocha said the military did not want to exacerbate an already volatile situation.

"If we use full military force, there is no guarantee that the situation would return to normalcy," he said, in an address widely seen as a signal to the Thai public.

"The current conflict has spread wider than in 2010," he said, adding that the political impasse had more complicated conditions and involved more disparate groups.

"The military does not want to use weapons and forces against our own Thai (people)," he added. "Under the current situation, constitution laws are perfectly effective. If there is a continuation of a loss of life, the country will fall."

War of words

Meanwhile, Thailand's rival factions continued their war of words.

Protest leader and former deputy prime minister, Suthep Thaugsuban, warned that his rivals in the red-shirted United Front (UDD) were planning a coup.

"At the UDD rally they also discussed the possibility of a separatist movement, dividing Thailand into two," Suthep said. "But we have never entertained this notion. We are fighting to keep Thailand united as one. They can rally around the 'red flag' but we will continue to salute our tricolor flag."

At the "war drum" rally on Sunday, Jarupong Ruengsuwan, the Pue Thai Party Leader, said that violence threatened to escalate.

"Let me leave a warning to all people and to those who want to harm the country and the People of Thailand that Thais own 10 million guns in this country," he said. "Whoever wants to insult the power of people, they will see."

On Tuesday, violence simmered in the capital Bangkok where police said a series of blasts and gunfire took place in the early hours of the morning near Lumpini Park. Two people received minor injuries in the incident, police said.

Attacks condemned

Prime Minister Yingluck Shinawatra on Sunday condemned weekend attacks that killed four people -- three of them children -- and pledged to bring the perpetrators to justice.

A six-year-old-girl, a four-year-old boy and a woman of about 40 died when a bomb exploded at an anti-government rally outside a shopping mall in the Ratchaprasong area of Bangkok, the Erawan Emergency Center reported. The children were siblings.

The 22 wounded included a pre-teen boy who was in critical condition, said Lt. Gen. Paradon Patthanathabut, Thailand's national security chief.

On Saturday night, a 5-year-old girl was killed by a stray bullet when attackers opened fire on an anti-government demonstration in eastern Trat province, police Col. Jirawut Tantasri said. Another 34 were wounded, he said.

Patthanathabut said police think the two incidents are connected.

"We believed that there is an element which is armed and prone to use violence mean to achieve their goal."

What's behind the Thai unrest?

The deaths were the latest to punctuate three months of protests against the Shinawatra government. In a statement issued Sunday night, Yingluck said her government "will not tolerate terrorism" and would prosecute the killers "without exception."

"I would like to ask all sides of the political divide that we may see things differently and there are many ways to express those differences," Yingluck said. "But the use of violence that lead to deaths are not the civilized way of the living."

Protests to continue

Both the Ratchaprasong and Trat demonstrations were organized by the opposition People's Democratic Reform Committee, which vowed to continue protests despite the attacks. On its Facebook page, the movement called for supporters to donate blood at hospitals that were treating the wounded from the Ratchaprasong bombing.

"Although we have lost several friends in these attacks, I would like to insist that we follow our course of peaceful, unarmed, and nonviolent demonstrations," party leader Suthep said in a statement on the Facebook page. "We are on the right course. We are fighting the good fight. Please carry on as we have."

In Trat, about 300 kilometers (186 miles) east of Bangkok, Jirawut said the girl who died was eating noodles with her grandmother when two cars passed the demonstration of about 1,000 people. The attackers threw grenades from the first car while the occupants of the second began shooting into the crowd, he said.

United Nations Secretary-General Ban Ki-moon issued a statement Sunday condemning the violence and calling for it to end. He "urges the parties to respect human rights and the rule of law, prevent any new attacks and engage in meaningful dialogue toward ending the crisis and advancing reform," the statement read.

He added that he is ready to "assist in any way possible."

Calls for change

The People's Democratic Reform Committee has called for the democratically elected Yingluck to be replaced with an unelected "people council," which would see through electoral and political changes.

Yingluck is the brother of former Prime Minister Thaksin Shinawatra, who was ousted in a military coup in 2006 and now lives in exile. Yingluck's critics accuse her of being a proxy for her brother, who was convicted of corruption charges in 2008 and sentenced to prison in absentia.

Yingluck's government was largely stable until her party attempted to pass a controversial amnesty bill in November, sparking the current wave of protests. The bill would have nullified Thaksin's corruption conviction and allowed him to return to the country.

Also Sunday, a group of protesters called the Red Shirts joined in the protesting.

Between March and May 2010, thousands of opposition protesters known for the color of their shirts occupied parts of the shopping district in central Bangkok. For the most part, the Red Shirts were supporters of Thaksin. They wanted the resignation of Prime Minister Abhisit Vejjajiva and a new general election.

In 2011, up to 30,000 Red Shirts descended on the same area, this time demanding a thorough investigation of a deadly government crackdown that May, along with the release of protest leaders, some of whom had been held in jail on terrorism charges for months.

On Sunday, the Red Shirts gathered in Nakhonratchasrima, about 100 miles from Bangkok. There were about 3,000 protesters in the mostly peaceful protest, according to Paradon.

The Red Shirts encouraged the government to prepare in case it needed to set up an exile office in the northern or northeastern parts of Thailand. The leaders of the protest asked members in each province to set up and train their own people in security techniques and be prepared for prolonged protests.

CNN's Kocha Olarn reported from Bangkok; Ashley Fantz and Matt Smith reported and wrote from Atlanta.

@highlight

NEW: Thailand's army chief says military will not step into current political crisis

@highlight

The death toll from Sunday's bombing rises after a 6-year-old girl dies

@highlight

Dozens are wounded in attacks on anti-government protesters over the weekend

@highlight

U.N. secretary-general offers to help "in any way possible"