This week, the U.S. Preventive Service Task Force issued its long-awaited guideline on lung cancer screening.

They recommend annual screening for lung cancer with low-dose computed tomography (CT) in adults ages 55 to 80 who are at high risk for lung cancer because they have smoked a pack or more per day of cigarettes for at least 30 years and currently smoke or have quit within the past 15 years. Low-dose CT is an imaging technology involving low doses of radiation.

This is important news, as 160,000 Americans die of lung cancer every year. It is estimated that this test could eventually prevent between 8,000 and 22,000 lung cancer deaths per year. About 85% of lung cancers are due to cigarette smoking; 37% of Americans are current or former smokers and 20% still smoke.

The task force, an independent group of experts, makes evidence-based recommendation on preventive services like screenings, preventive medications and counseling services. They are highly respected among screening and preventive medicine experts. Their process for developing guidelines involves an extensive review of scientific studies, issuing of a draft guideline for public input and publishing a final recommendation.

The task force advises the U.S. Department of Health and Human Services. The Affordable Care Act mandates that health insurance cover screenings the task force deems useful.

This latest recommendation is largely based on the National Cancer Institute's National Lung Screening Trial. This study, which began in 2001, is one of the best-designed screening studies conducted on any cancer.

Stigma lingers for deadliest cancer

The task force recommendation is similar to the lung screening guidelines issued by other organizations because of the quality of this trial. These organizations include the American College of Chest Physicians, the American Society of Clinical Oncology, the American Thoracic Society, the American Association for Thoracic Surgery, the National Comprehensive Cancer Network and the American Cancer Society (for which I work). Disagreements exist in prostate and breast cancer screening recommendations because of flaws in all major prostate and breast screening trials.

The National Lung Screening Trial (NLST) assessed more than 54,000 smokers and showed screening caused a 20% decline in lung cancer deaths eight to 10 years later. This means 80% of lung cancer deaths still occurred.

Also, smoking-induced cardiovascular disease kills far more people than lung cancer. Smoking also causes a number of other serious diseases, including bronchitis, emphysema and at least 11 other cancers.

All current lung cancer screening recommendations note that the patient needs to understand the risks and benefits of screening and decide if it is right for them. There are definite harms associated with lung cancer screening.

More than one in four people screened will have a finding that leads to further testing. Ultimately, 24 out of 25 who get further testing will not have lung cancer.

Additional testing can include more X-ray testing as well as invasive tests such as biopsies and surgeries.

A small proportion of patients getting additional testing will have permanent disabilities or even die as a result. In the NLST, roughly one person died after an invasive procedure triggered by screening for every five to six lives saved because of screening.

Studies also show that some people will have an "overdiagnosis cancer" -- that is, a cancer that would never progress and kill.

It is still difficult for many of us in medicine to accept that there are cancers that do not need treatment. This is a relatively new phenomenon due to improvements in imaging and diagnostics.

Nicotine in e-cigs, tobacco linked to heart disease

There is currently no good test to determine who has a cancer that needs treatment and who has a cancer that does not need treatment, therefore some screen-detected patients will receive treatment that is not needed to save their life.

The NLST was conducted in 33 of the finest hospitals in the United States. These hospitals were chosen for their specific expertise in radiology, pulmonary medicine, thoracic surgery, and medical and radiation oncology.

Many health care centers will have to work to ensure they have the appropriate equipment and skills to provide screening. Just as with the introduction of mammography for breast cancer screening, it may take years for these skills to be available throughout the country.

This is a test for relatively heavy smokers. We need a screening test for nonsmokers and light smokers. About one in six people who develop lung cancer are nonsmokers. Unfortunately, studies suggest that there is not great benefit to low-dose spiral CT screening in these populations, but many of the potential harms remain.

Patients who smoke or who have smoked cigarettes should talk to their doctor about whether low-dose spiral CT is a good test for them. Most importantly, do not use lung cancer screening as a reason to continue smoking, as all science to date tells us there is greater benefit in quitting.

@highlight

160,000 Americans die of lung cancer every year

@highlight

A new recommendation encourages screening of heavy current or former smokers

@highlight

The screening is not without hazards, however