(CNN) -- From the start of the tragedy, aid agencies warned that not enough help was flowing into flood-devastated Pakistan.

Now, seven long weeks into the steamrolling crisis, the United Nations and private charitable organizations are sounding the alarm again as large chunks of the country remain submerged and about 20 million people are in need of assistance.

Secretary-General Ban Ki-moon announced Friday that the United Nations is seeking another $1.594 billion for flood victims, bringing the total to more than $2 billion. The world body has already received about 70 percent of $460 million it initially requested.

"In the floods' wake, we are seeing hunger, misery and desperation," Ban said. "Children becoming malnourished. Skin diseases on the rise because of the lack of soap and clean water. Nowhere for families to shelter from the sweltering sun.

"Diarrhea could spread quickly in these conditions. Clean water and sanitation equipment must reach even more people. Millions of children and pregnant women are especially at risk. They need access to critical health care. Pakistan is not facing just one humanitarian crisis -- but many at once. Different responses are required."

He called the Pakistan floods "the worst natural disaster the United Nations has responded to in its 65-year history."

The global spotlight may have shifted away, but floodwaters are still raging through the heart of Pakistan, creating new crises every day, said Valerie Amos, U.N. under-secretary-general for humanitarian affairs.

"An immense tragedy continues to unfold," Amos said. "The human implications of what will happen if not enough is done are terrible. Many millions have already lost everything and have nothing to go back to. ... What I will be doing is asking our supporters to dig deeper and to do more."

But even the new appeal may not be enough as the U.N. food agency said Friday that it needs $600 million for emergency food supplies until next July. So far, it has only received $103 million.

The World Food Programme is aiming to feed 6 million people every month while transitioning to recovery activities such as food-for-work programs that will help rehabilitate damaged agricultural lands and infrastructure and restore livelihoods, the agency said.

It estimates that at least 17 million acres of farmland from north to south are under water and hundreds of bridges and roadways have been destroyed. On top of that, markets have been disrupted and food prices have skyrocketed, leaving many Pakistanis unable to feed themselves or their families, the WFP said.

"No one could have predicted the scale and enormity of this catastrophe where women and children are facing a dangerous downwards spiral of hunger and malnutrition," WFP Executive Director Josette Sheeran said in a written statement. "We need to scale-up now and we need to scale-up quickly."

The scale of the devastation was visible from a helicopter this week. From the sky, the landscape below was brown with wide rivers of murky water while specks of bright blue tarpaulins and tents dotted dry land.

"The road to recovery will be long and arduous and Pakistan will need all the help it can get to build back from this disaster," Sheeran said.

Hunger is just one of Pakistan's myriad problems. Public health experts remain concerned about disease outbreaks.

As of a week ago, the United Nations reported more than 700,000 cases of acute diarrhea, at least 800,000 acute respiratory infections, nearly a million cases of skin disease and almost 183,000 suspected malaria cases.

"All of the elements conducive for this to happen are present -- poor sanitation and water supplies, and people are living in cramped conditions in open camp settings," said Sylvain Groulx, a project coordinator with Medecins Sans Frontieres, sometimes referred to as Doctors Without Borders, in northern Sindh province.

"Health authorities here have confirmed that there is usually an increase in the number of people who seek medical assistance following Eid, and we are expecting that the health system will be overburdened in the coming days," Groulx said in a news release. Eid al-Fitr, which marks the end of Ramadan, was celebrated last weekend.

@highlight

NEW: The United Nations seeks $1.6 billion more for flood victims

@highlight

Pakistan's crisis continues to unfold

@highlight

About 20 million people were affected by the massive flooding