(CNN) -- It could be argued when Tony Blair left the office of Prime Minister in June, his parting from the public stage was mourned by few but chief among those mourners were Britain's satirists. The characteristics of the Blair government with its emphasis on spin and sound bites created a wealth of material for top British satirist Craig Brown.

Dubbed "the wittiest writer in Britain today," by comedian Stephen Fry, Brown's new book The Tony Years celebrates a decade of satire that Brown thought would never end. He writes: "For years, he seemed so permanent; it was hard to imagine that Tony Blair would one day become a forgotten figure, like Harold Wilson or Sir Anthony Eden.

He seemed more ubiquitous than Mrs. Thatcher in her prime. Perhaps this was because she was so unique (or so peculiar, according to one's taste) while Tony was an archetype, a familiar figure from all our pasts: the eager boy with his hand in the air throughout double maths; the well-spoken estate agent; the energetic youth leader, full of exciting new ways to cross a river."

Brown has been satirizing British politicians and celebrities for almost 30 years in a variety of publications from The Spectator to the Guardian.

He writes regular satirical columns in both the Daily Telegraph and Private Eye where targets are as disparate as feminist Germaine Greer, 'glamour model' and author Jordon and playwright Harold Pinter.

While Brown's writing is consistently witty, clever and often laugh out loud funny, Brown himself is softly spoken and self deprecating. "I'm not actually funny in real life," he says. "Usually people can do one of the two (write with humor or speak with humor) there are hardly any people who can do both like Stephen Fry."

Occasionally Brown will perform his work before an audience, which he enjoys ("I rather like reading my parodies out. There nothing like having an audience laughing") but the life of a satirical writer is often one that's quite isolated from his audience. Instead he is quite happy working from his home in the country and keeping a low profile. He admits to only visiting the offices of employer, The Daily Telegraph twice ("I never know quite what to do with myself in an office") and spending a large part of the day in his pajamas.

He even shy's away from calling himself a satirist -- a term he thinks has become loaded: "I used to think of myself as a satirist but satirists are people who really want to be politicians. Satire is an unfunny form of humor and it has an agenda that works against the comedy. Satirists think they can change the world, and that's an illusion."

Part of success as a satirists (or humorists as some like to be called) is to capture the not just the personality they are satirizing but the zeitgeist of the times.

For Brown part of the zeitgeist of the Blair years are CCTV, ASBOs, binge drinking, the acceleration of the cult of celebrity but most of all spin: "Publicity was all: privacy dwindled."

The thirst for spin extended to unlikely quarters observes Brown: "I couldn't believe it when the Freemasons appointed a PR -- even a secret society wants to raise the profile. Peculiar but also funny."

"As for Blair -- there were things about him that were very funny. There was the spin which John Major hadn't developed and that's always funny -- its also funny parodying conference speeches. They are always parodied baby-talk, lower than banal -- those were funny with Blair." Brown parodies New Labour's conference speak in The Tony Years as sounding like this: "I believe in Britain. Great! A country with a great history. Great!... I want a Britain that we can all feel part of. I want a Britain in which what I want for my own children I want for yours- but only after I have got it for mine."

Brown's inclination towards satire started young. A pupil at Eton, he coped with being away from home at a young age by mimicking teachers. "I was at a boarding school since I was 7 and I had a tape recorder: all the people you are terrified of you can reduce. We did their voices and dramatizations. English prep schools when you're very young and you are threatened by these very gothic figures; it's (mimicking) a way of reducing people."

Over the years his parodies have hit the mark, sometimes a bit too closely. One target, Germaine Greer "was very touchy when I first met her (but) angry people are always funny to parody." He says the journalists he has parodied "are more touchy than politicians. Politicians are aware they are being hated from the moment they are elected."

But Brown doesn't feel guilty about upsetting his targets. News reporting has the capacity to inflict greater wounds, says Brown. "Other forms of journalism are more hurtful. The raw materials of journalism can hurt people a lot more. The act of printing is the original hurt and the gags come later. I used to worry if the targets liked or disliked them -- now it doesn't matter. Now it doesn't matter if they like it or not."

Brown admires satirists that reduce things "to the essence of itself." He's keeping an eye on new Prime Minister Gordon Brown, who will present different challenges from Blair: "I think Gordon Brown has an anger in him. Everyone says how awkward and controlling he is -- it will surface soon." And the satire won't be too far behind.

The Tony Years by Craig Brown (Random House) RRP £7.99 E-mail to a friend

@highlight

Craig Brown is releasing a book of his satire during the Blair years

@highlight

Brown writes columns for the Daily Telegraph and Private Eye

@highlight

He works from his home in the country and feels uncomfortable in offices

@highlight

New book covers CCTV, ABSOs, binge drinking, celebrities, and dwindling privacy