No nation is immune to the impact of climate change but it is the world's poorest that will be hit the hardest. A fair and inclusive global agreement to combat climate change is a moral imperative. Time is of the essence for Africa.

World leaders are gathering today in New York for the Climate Summit in an attempt to breathe new life into climate talks, which are now approaching their 21st round. With the Kyoto Protocol deadline fast approaching, it remains to be seen how much international support Africa can leverage to advance its agenda.

We all know that enlightened leadership is essential. Politicians must think beyond their tenure. Countries must look beyond their borders. We need a radical rethink of how the world makes and uses energy. But with China and India -- which together account for almost a third of global emissions -- deciding not to attend, it will be a challenge for the Summit to fulfill its potential.

In China and India's absence, small, developing nations must unite. It is they that bear the greatest burden of climate change. We can no longer wait for the world's dominant powers to act benevolently for the benefit of all humanity.

All countries, regardless of their level of development, must look to reduce their own CO2 emissions. We must prevent further warming and reverse the trend. We must act to mitigate the effects of climate change that are already being felt throughout the world.

There is no doubt that climate change threatens to derail Africa's impressive recent growth and compromise the socio-economic gains made over the last decade. Africa's development relies heavily on climate-sensitive sectors including agriculture, fishing and tourism. Agriculture alone accounts for 30% of Africa's GDP and 50% of the continent's total exports.

Even if the present pledges to limit emissions by 2020 are fulfilled, global temperature is still predicted to increase by 3.5 to 4 degrees Celsius by 2100. This would lead to a 30% reduction in rainfall in sub-Saharan Africa, which would be disastrous on a continent in which 96% of agriculture is rain fed.

Persistent drought and flooding are already exacerbating food and water insecurity, threatening livelihoods and health. Severe droughts in the Horn of Africa and the Sahel between 2011 and 2012 saw crops fail and livestock die, leaving 13 million people in need of humanitarian assistance.

The effectiveness with which Africa addresses the link between food production, water and energy will determine how many millions are pulled out of poverty in the coming decades.

No less than a climate-smart agricultural revolution is needed to guarantee food security. Water management strategies must be developed to protect and rehabilitate groundwater sources and river basins. The energy sector should be geared towards the promotion and adoption of clean and renewable sources of power. And African governments and business leaders must make significant investments in science and technology to support mitigation and adaptation efforts. While international assistance is vital, effective and sustainable solutions must be developed locally.

Developing nations have the opportunity to 'do it right.' Partnerships must be created to share technology and best practice. We must end the specter of national self-interest in a world where climate change knows no boundaries.

If emerging economies focus on growth at all costs we risk handing future generations a terrible legacy. There is a wealth of evidence to show that the impact of climate change will be more expensive than the changes needed to halt it.

But what is clear is that for the first time Africa is not on the back foot. The continent is beginning to adopt a proactive approach to tackling climate change, empowering its people and strengthening its institutions.

The continent's impressive economic growth, buoyed by an export boom, improved governance and increased foreign investment has fueled the 'Africa Rising' narrative. By 2050, a quarter of the global population will be African, and 60% of Africans will live in cities. The continent is on the cusp of a transformation.

Policy makers are developing ambitious plans to create clean and green economies across Africa. Partnerships are being forged between government, the private sector and civil society for the swift implementation of national climate action plans.

In the absence of global leadership from those countries which contribute most to climate change, small, developing nations must do what they can to ensure that their interests are represented before it's too late.

Ahead of next year's crucial U.N. Climate Change Conference in Paris, which will set a new agenda to replace the Kyoto Protocol, it is essential that African countries not only make their voices heard, but they make them count.

More from Marketplace Africa

@highlight

Carlos Lopes: World's poorest will be hit the hardest by climate change

@highlight

He argues climate change threatens Africa's recent socio-economic gains

@highlight

Lopes says continent needs to take a more proactive climate approach

@highlight

Big carbon emitters like China and India seem to have lost interest in Kyoto process