Brunei has become the first East Asian country to adopt sharia law, despite widespread condemnation from international human rights groups.

The Islamic criminal law is set to include punishments such as flogging, dismemberment and death by stoning for crimes such as rape, adultery and sodomy. The religious laws will operate alongside the existing civil penal code.

During a ceremony Wednesday morning, the Sultan of Brunei, Hassanal Bolkiah, announced the commencement of the first phase of the sharia-based penal code, according to the government's official website.

The oil-rich kingdom, located on the island of Borneo, has a population of just 412,000 people. The country already follows a more conservative Islamic rule than neighboring Muslim-dominated countries like Indonesia and Malaysia, and has implemented strict religiously-motivated laws, such as the banning of the sale of alcohol.

Stringent laws

In response to the new set of laws, human rights group Amnesty International said that it will "take the country back to the dark ages."

"It (the law) makes a mockery of the country's international human rights commitments and must be revoked immediately," Amnesty's regional deputy director Rupert Abbott said in a statement released after the announcement.

Most parts of the new Islamic code will apply to both Muslims and non-Muslims, affecting people from the Christian and Buddhist communities. Around 70 percent of people in Brunei are Malay Muslims, while the remainder of the population are of Chinese or other ethnic descent.

The Sultan, who is also the Prime Minister, first announced the law in October 2013. As per its provisions, sexual offenses such as rape, adultery and sodomy will be considered punishable acts for Muslims. Consensual sex between homosexuals will also be criminalized, with death by stoning the prescribed punishment.

In announcing the implementation of sharia law, the government website quoted the Sultan as saying that his government "does not expect other people to accept and agree with it, but that it would suffice if they just respect the nation in the same way that it also respects them."

Widespread condemnation

LGBT advocacy groups in Asia have voiced their opposition to Brunei's implementation of sharia law.

"It may open the floodgates for further human rights violations against women, children, and other people on the basis of sexual orientation and gender identity," officials from the Asia Pacific Coalition on Male Sexual Health (APCOM) and Islands of South East Asian Network on Male and Transgender Sexual Health (ISEAN), said in a joint statement released last week.

The United Nations has also publicly condemned the move.

"Under international law, stoning people to death constitutes torture or other cruel, inhuman or degrading treatment or punishment and is thus clearly prohibited," Rupert Colville, spokesperson for the U.N. High Commissioner for Human Rights said in a press briefing in Geneva last month.

Anti-women provisions

He further expressed concerns about the implementation of sharia law's impact on women.

"A number of UN studies have revealed that women are more likely to be sentenced to death by stoning, due to deeply entrenched discrimination and stereotyping against them."

More than 40,000 people have attended briefing sessions organized by the government in the last four months to understand the provisions under the new Islamic criminal law, the country's religious affairs minister said during a ceremony to mark the laws' implementation.

@highlight

Brunei has become the first East Asian country to adopt sharia law

@highlight

The sharia-based penal code will eventually include death by stoning

@highlight

International human rights groups have publicly condemned the move