(CNN) -- The 2010 Nobel Peace Prize was awarded Friday to Liu Xiaobo, a leading Chinese dissident who is serving an 11-year prison term after repeatedly calling for human rights and democratization, the Norwegian Nobel Committee announced.

Liu was sentenced in 2009 for inciting subversion of state power. He is the co-author of Charter 08, a call for political reform and human rights, and was an adviser to the student protesters at Tiananmen Square in 1989.

Liu's wife, Liu Xia, told CNN she could not wait to visit him in prison in northern China and tell him the news. She said she was packing under the surveillance of police officers who promised to take her to visit her husband the next day.

"I am totally shocked and feel so happy," she said. "I've never dreamed about this. Friends have asked me to prepare for a speech, but I've only prepared one for Xiaobo not winning the prize."

Liu Xia said she regretted her husband couldn't share the moment with her. She said he would be "surprised and humbled" to find out, but would also feel "a greater sense of responsibilities" because of the great honor.

"It's an affirmation of what he has fought for," she said.

Liu Xiaobo's longtime friend Pu Zhiqiang said he wasn't sure whether to be happy or cry when he heard the news.

"I doubt the Nobel will help Xiaobo right this moment, but in the long run it will leave a legacy that is sure to help bring democratic reform and freedom to China, that will far outlast Liu's life," Pu told CNN outside the gates of Liu's apartment complex.

Liu's lawyer, Shang Baojun, said the win may mean Liu will have to be in prison longer.

"I hope that he'd be released earlier because of the prize, but in reality, that will not happen," Shang told CNN.

A Chinese foreign ministry spokesman said the awarding of the prize to Liu was "blasphemy against the peace prize" that could harm relations between China and Norway.

"Liu Xiaobo is a convicted criminal sentenced to jail by Chinese justice. His acts are in complete contradiction to the purpose of the Nobel Peace Prize," spokesman Ma Zhaoxu said.

The human rights group Amnesty International called on the Chinese government to release all "prisoners of conscience" following the win.

"Liu Xiaobo is a worthy winner of the Nobel Peace Prize. We hope it will keep the spotlight on the struggle for fundamental freedoms and concrete protection of human rights that Liu Xiaobo and many other activists in China are dedicated to," said Catherine Baber, the deputy Asia-Pacific director at Amnesty International.

U.S. President Barack Obama, who won the award last year, said Liu had sacrificed his freedom for his beliefs.

Liu, he said, is an "eloquent and courageous spokesman for the advance of universal values through peaceful and non-violent means, including his support for democracy, human rights, and the rule of law."

Obama also urged China to release Liu as soon as possible.

It was unclear whether Liu had learned of his prize from prison, but he was the favorite of many around the world to win.

The president of the Norwegian Nobel Committee, Thorbjoern Jagland, said Liu won for his "long and nonviolent struggle for fundamental human rights in China."

In announcing the prize, he said, "The Norwegian Nobel Committee has long believed that there is a close connection between human rights and peace. Such rights are a prerequisite for the fraternity between nations of which [prize founder] Alfred Nobel wrote in his will."

Liu's struggle has made him the "foremost symbol" of the struggle for human rights in his country, Jagland said.

Despite the criticism from China, the committee stood by its choice and said it had expected China to react strongly.

"We have a very strong tradition of awarding the prize to human rights activists of many different kinds," Geir Lundestad, director of the Nobel Institute, told CNN.

The institute assists the committee in selecting the prize each year.

Lundestad cited German pacifist and journalist Carl von Ossietsky in 1935, Holocaust survivor Elie Wiesel in 1986, Myanmar pro-democracy leader Aung San Suu Kyi in 1991, and Iranian campaigner Shirin Ebadi in 2003 as examples of human rights activists who have won the prize.

"This is a tradition we are very proud of, and this is a tradition for which the Norwegian Nobel Committee has received much applause," Lundestad said. "We felt that if we were serious about this tradition, we did have to come to terms with the question of China in this perspective, and this is what we then did this year."

The winner of the Nobel Peace Prize receives 10 million Swedish kronor ($1.5 million), to be picked up at the award ceremony in December.

Liu spoke of his work in 2007, while he was between a series of house arrests.

"From my personal angle, I feel in a dictatory society if you want to be a person with dignity, if you want to be an honest person, fight for human-rights improvement, fight for free speech, being ... [in prison] is part of what you are undertaking, and there is nothing to complain," he told CNN.

"Since you chose to do this, you must have a preparation for being in prison," he said. "Entering the prison you must face these things peacefully, not complain [about] others. I even don't complain [about those] ... who arrested me, because this is their inevitable action. I can also not let them arrest me if I chose other way."

Twitter users in China were unable to discuss Liu or the Nobel Prize on the micro-blogging site, but some still reacted to the award.

"I am so excited when I heard this news! Finally good people is recognized by the world!" wrote one Twitter user.

"They censored what I've just posted on micro blog! Can you really stop people in this Internet age!" wrote another.

At least two international television networks -- CNN and BBC -- were blacked out as the Nobel Committee announced the winner, and CNN remained blacked out for most of the day.

Pu, Liu's friend, was refused entry to the apartment complex by security guards when he went there Friday night. A human rights lawyer and partner in the Huayi Law Firm in Beijing -- where he focuses on defamation, press freedom and other public interest law -- Pu said the prize is a step forward for Chinese development.

"Liu's Nobel Prize shows that he will have an impact beyond how far the eye can see. This will change the future long into the future," he told CNN, adding that Liu is "like an older brother to me."

Liu's sentencing prompted a groundswell of support from former Peace Prize laureates and perennial contenders.

Vaclav Havel, the hero of Czechoslovakia's 1989 Velvet Revolution (who never won the Nobel Prize), retired South African Archbishop Desmond Tutu (who did, in 1984), and the Dalai Lama (1989) were among a group of intellectuals who publicly urged the Nobel Committee to give the prize to Liu shortly after he was sentenced.

American writer Kwame Anthony Appiah, the head of the American PEN center, a literary and human rights organization, nominated Liu in January, he said.

"Liu Xiaobo is a hero among heroes," said Rep. Chris Smith, R-New Jersey, who also nominated him. "This award will be a shot of adrenaline for all Chinese human rights advocates and prisoners of conscience."

The Wall Street Journal reported in February that Foreign Ministry spokesman Ma said that it would be "totally wrong" for "such a person" to win the Nobel Peace Prize, and that the comment was later scrubbed from the official transcript of the briefing.

CNN's Jo Ling Kent and Steven Jiang, and journalist Tomas Etzler, contributed to this report.

@highlight

Wife: "I've never dreamed about this"

@highlight

His lawyer worries the win may mean a longer prison term

@highlight

CNN is blacked out in China as the winner is announced

@highlight

Liu Xiaobo is serving an 11-year prison term