The Rev. Renita Lamkin says she has experienced some of the worst kind of racism in her life, which might come as a surprise to folks when they meet her. Lamkin is white.

On August 9, as temperatures soared outside, she heard about something heating up tensions a short drive away from the city where she preaches.

The next day, something inside her told her to go there. So she headed to Ferguson, not sure what she would encounter and with no real plan.

"I just got this feeling that there was a need for intercession, for prayer, and I needed to be there," Lamkin says.

When she got there, she found out just what was sending emotions sky-high -- something the world would come to know about in the hours, days and weeks ahead.

An African-American teenager named Michael Brown had been shot and killed in the street by a white police officer. No one in the neighborhood where Brown was killed knew the officer's name at the time. What they did know was that Brown's body had been lying in the street for about four hours. Some witnesses to the shooting said Brown's hands were up in surrender before he was killed.

By the time Lamkin arrived on August 10, Brown's body was gone, but residents' anger remained high as she attended a prayer vigil on the street where the teen died. The protesting was peaceful at first.

"At some point I was told I should leave, and so I left, and by the time I got home I heard about the riots that had broken out," she says.

A tale of two streets in Ferguson

A QuikTrip convenience store had been burned, some businesses had been looted, and what looked like an army of police had descended on West Florissant Avenue.

A few days later, Lamkin went out to the street, too. On the night of August 13. she found herself in the middle of police and protesters when tear gas and rubber bullets began to fly.

That is when she says she knew exactly why she was there and what she was called to do.

"In all fairness they (the police) did tell us to disperse many, many times, and they did say that failure to disperse would result in us being subject to arrest and or other actions. I had no idea what those other actions were, but I wasn't going to high-tail it out of there with our young people still hanging out," she says.

She told the protesters to get behind her. She stood there with her hands outstretched between police in riot gear and protesters screaming at officers from a distance. In all that noise, Lamkin did the only thing she knew to do -- pray.

"It seems as if one minute there were police in shirts behind us, and when I turned around again there were tanks -- like I didn't even hear them approach," she says.

What looked like tanks to some folks turned out to be armored vehicles.

"I just was praying, you know, just interceding, asking God to draw a line that couldn't be crossed either way. I didn't want to see our young people charge the police, and I didn't want to see the police charge at our young folks, and there's really no more to it than that," she says.

But Lamkin soon was injured. She says she was shot by a police projectile. She disputes it was a rubber bullet, but police say that is what they were using that night.

West Florissant looked like a battlefield, and Lamkin began to be incensed by what was happening in the usually quiet town eight miles from St Louis. It was then, Lamkin says, she became a praying protester, not just a praying pastor.

Missouri governor declares state of emergency

100 days of protests

For the most part, for more than 100 days now protesters have taken to the streets, chanting and leveling harsh words at police.

Since Brown's killing, police have been face to face with protesters screaming, cursing and sometimes throwing water bottles or even rocks at them. Some demonstrators talk to police sometimes as if they are less than human.

Lamkin says she understands the anger spewed at police.

"They're yelling at the system, and they are saying all the things that they were never able to say when they were in situations by themselves and they were in fear or when their family members were mistreated and ... they were powerless to speak up. "

Lamkin has a problem with the way she says the justice system treats people of color, especially black men.

"I believe that there is a nation of exhausted people. And we are exhausted with the policing system having carte blanche opportunity to gun our children down without accountability," she says.

Plenty of folks argue a grand jury is there for the sole purpose of accountability. Its job is to see if criminal action has taken place.

Lamkin and other protesters say they don't necessarily trust the grand jury system, which they see as a rubber stamp for the prosecuting attorney's office. The St. Louis prosecuting attorney has defended himself time and again, saying the jurors are getting all the information, witnesses and evidence the office has gathered to investigate and make up their minds.

Ferguson awaits grand jury ruling

Prejudice hits home

As the mother of two mixed-race children, Lamkin says she doesn't have to travel far to find a black person who has dealt with racial profiling by police.

"My son was like 11 when he was brought home by the police for riding his bike, 'fitting the description' (of a criminal), like what the hell?" she barks.

" 'You know he's in his own neighborhood?' " Lamkin says she told the officer.

His reply, she says, "Well we didn't know any black families lived here."

Lamkin says she has experienced the deep prejudice that police and fellow white citizens have revealed to her often unconsciously.

"I have felt the disgrace when white people think that I adopted my children, then they say it's the great white person you know that has rescued these little black kids. Actually one time someone said, 'Where did you get them from?' " Lamkin says, letting out an exasperated laugh.

When she explains they are her biological children, the demeanor of the people asking those kinds of questions changes, she says.

"There's a shift; you know people shift when they realize that they're my children and that somehow I am no longer as quality of a being to them," Lamkin says.

Police, protests and ominous predictions

At first, Lamkin was not welcomed by some of the protesters.

"Initially some would say like, 'What are you doing here? Whose side are you on? This isn't your fight. It's not a white person's fight,' " she says.

That all ended on the night she was injured, but that same evening, she confronted another protester.

"I saw her give Molotov cocktails to three of our boys, so I charged at her. Fortunately, she took the cocktail back and took off running before I was able to get to her," she says.

Lamkin says worries that the announcement of the grand jury's decision will bring more folks intending to use the cover of peaceful protesters for their violent deeds.

"I've been pulled into secret meetings, I've received anonymous messages. If all of that prediction holds true, it's gonna to be very scary," she says.

Violence has no place, even when you are fighting for what you believe in, she says.

She has been accused of inciting violence for the way she yells at police, and has once worn a scarf around her face covering everything but her eyes.

"It's funny though -- all I'm doing is praying," Lamkin says.

When a CNN crew saw her the first time, Lamkin was yelling at officers, waving her hands between them and protesters and telling police, "Don't hurt them. They are all somebody's baby. Don't you hurt them!"

Lamkin says she doesn't condemn every police officer for the actions of some, nor does she praise every protester for his or her behavior.

Ultimately she sees what's happening in Ferguson as a moment that turned into a movement. She is convinced it's not only a worldly battle between people and the system but something much bigger than that.

"I'm very aware of the presence of evil. I'm seeing this as a spiritual warfare," she says.

Her take: The evil is an unfair system; the war is an effort to change that so that all people finally have the chance to be treated equally.

@highlight

The Rev. Renita Lamkin has taken part in the protests in Ferguson, Missouri

@highlight

The mother of mixed-race children says she has experienced racism

@highlight

She has been accused of inciting violence, but she says she is simply praying