(CNN) -- Alligators can dance.

They and their relatives -- crocodiles, caimans and gharials -- can also sing, much like birds do, although most of them sound more like diesel engines or chainsaws being started. Some crocodilians, the order that includes all of these animals, can even put small sticks on their snouts to lure egrets looking for nest building material.

In the eight years I've been studying crocodilians, my research has taken me to 26 countries on five continents. I enjoy both the animals and the travel, studying the difficult-to-observe aspects of the life of well-known creatures and exploring the remotest corners of the world in search of more enigmatic species.

Crocs hunt with sticks, Dinets and other researchers say

Here are a few of the best spots to see rare animals in the wild. Some are very easy to visit, while others would require a certain adjustment if you have Western standards of safety, personal comfort and hygiene.

Everglades National Park, Florida

Have you ever seen an alligator dance? Millions of people visit this national park to see alligators and crocodiles, but some secrets of these animals weren't known until just recently. In my first week of research for my PhD in 2005, I discovered "alligator dances," nighttime courtship gatherings of up to a hundred gators. I call them "dances" because they remind me of village dance parties, where people come alone or with their partners to communicate, flirt, shake their booties, show off, pair up and sometimes fight.

Where to go: These dances can be often seen late at night in late April. Just walk to the end of the park's Anhinga Trail boardwalk with a flashlight.

10 places that can change your child's life

Monterey Bay Peninsula, California

The Monterey Bay area, which includes the city of Monterey and other small towns on California's Central Coast, is the best place to see marine mammals outside the Antarctic. You can see elephant seals, harbor seals, sea lions, whales, dolphins, porpoises, sea otters and more -- over 20 species of marine mammals if you are lucky. The ocean is calm in August and September, and huge herds of whales move in to feast on krill.

Where to go: In the city of Monterey, you can walk to the ocean to look at sea otters, harbor seals and sea lions. You can also take a whale watching tour to look at gray whales (in winter and spring), blue whales and humpbacks (in summer and fall), and with some luck, killer whales, dolphins, porpoises and whatever else comes by. Go to AÃ±o Nuevo State Park to see elephant seals and Point Lobos State Park for more seals and sea otters.

Eastern Quebec, Canada

This is a stunning part of the continent, where I've dived with giant Greenland sharks, petted a seal pup, paddled around a colossal meteor crater and watched a huge gannet colony at arm's length. July and August are good for diving and birding, November is good for aurora spotting, and seal pups appear in March.

Where to go: The best places to visit are Ile Bonaventure, with the largest gannet colony in North America and good summer seal- and whale-watching; Iles de la Madeleine, where you can take a helicopter tour to see harp and hooded seal pups in March; Baie Comeau for diving, and the road to Goose Bay for Arctic scenery, wildlife and the Manicouagan Crater.

Ranch Karanambu, Guyana

This is my favorite corner of the Amazon, where I studied caimans in 2007, and it's beautifully preserved. It has miles upon miles of Victoria regia water lily-covered lakes, pristine forests, tranquil rivers and lush savannahs.

Where to go: Karanambu Lodge is a private reserve with almost no hunting, so monkeys, birds, giant otters, anteaters and other wildlife are tame and easy to watch.

10 ultimate adventures around the United States

Etosha National Park, Namibia

Etosha is my favorite place in Africa to see wildlife. It's especially good if you have kids because it's easily accessible; the camps are very comfortable and safe; there's a big store with all kinds of supplies and the animals are always present in huge numbers.

Where to go: In August and September you can sit on a bench facing a watering hole, and watch countless herds of antelopes, zebras, elephants, giraffes and other animals walk in from the desert. It's a better wildlife spectacle than the more popular Serengeti migration.

Masoala Peninsula, Madagascar

Madagascar has so much biodiversity that biologists think of it as a small continent rather than a big island. Masoala has the largest remaining lowland rainforest there, still relatively pristine and containing a lot of yet undescribed plants and animals, as well as the most beautiful lemurs, the weirdest geckos and chameleons the size of a match.

Where to go: Visit Masoala National Park, where you can arrange a variety of hikes, walking tours or overnight camping trips.

Chukchi Peninsula, Russia

Chukotka is one of my favorite places to watch animals in Russia. The remotest and most fascinating part of Siberia, I explored it as a student during summer breaks, then led bird-watching tours there.

Where to go: The gateway to the peninsula is the city of Anadyr, where you can snorkel with beluga whales and see lots of rare birds just outside the airport. There is almost no infrastructure, but if you manage to get away from populated areas, it's wonderful.

6 places where cats outshine tourist attractions

Karakoram Highway, China/Pakistan

The world's most scenic road, Karakoram Highway crosses an area of stunning cultural diversity. It is not always safe to visit, but whenever it's safe, it's a great adventure. I explored the Chinese side in 1993 during a four-month hitchhiking trip around China and visited the Pakistani part in 2004 to look for the woolly flying squirrel, the largest and rarest squirrel in the world. I eventually found it one magical winter night in the snow-covered forests of Nanga Parbat, the westernmost Himalayan peak.

Where to go (if you dare): This isn't always a safe trip. From the Pakistani part of the road, I like to travel to Nanga Parbat Base Camp; to ancient castles of Hunza Valley; or up one of the numerous glaciers that terminate near the highway. In China, the area between Muztagata and Kungur Peaks has several lakes with splendid views of both peaks, and a camp where you can stay in a Kyrgyz yurt. The border crossing area is a nature reserve with lots of ibex, giant Marco Polo sheep and snow leopards. The Chinese side of the nature reserve is Taxkorgan Nature Reserve. The Pakistani side is Khunjerab National Park.

Afar Desert, Ethiopia

Perhaps the world's hottest desert, Afar is also difficult and dangerous for travelers. Afar is also known as the place where the Earth's crust is breaking as Africa is slowly drifting away from Asia. I made a side trip there while crisscrossing Ethiopia in search of crocodile study sites.

Where to go (if you dare): It has a boiling lava lake in the crater of Erta Ale Volcano, the world's weirdest hot springs at Dallol Volcano and beautiful waterfalls hidden in remote canyons. Looking for these watering holes in a roadless desert is a fun game of treasure hunt, but you can die if you fail. Plan accordingly.

Democratic Republic of Congo

Africa's most biologically diverse country, it's full of mysterious wildlife such as bonobos, okapis, African peacocks and hero shrews. Large animals keep being discovered there, but some, such as the aquatic genet, have never been observed in the wild. I've been at the edges of this fascinating realm, and hope to explore it thoroughly someday.

Where to go (if you dare):  Virunga National Park has a boiling lava lake and both lowland and mountain gorillas. Ituri Forest has okapis and other rarities and Itombwe Mountains has lots of unique plants and animals. But keep in mind the violent political conflict in the Congo makes it a difficult place to visit for tourists.

10 things to know before visiting Democratic Republic of Congo

@highlight

Alligator dances consist of nighttime courtship gatherings of up to a hundred gators

@highlight

Eastern Quebec is the place to dive with Greenland sharks

@highlight

Search hard to find the largest and rarest squirrel in the world in Pakistan