It's an odd experience flying in to Hatay, southern Turkey, on the border with Syria and its nasty and seemingly infinite war these days: there is a truly international flavor to the passenger manifests.

As we flew in, there were two men from Mauritania, one with a limp, accompanied by a woman from Tunisia. On another flight which we saw land, two young men with large backpacks, coming from Benghazi. On another, four Libyans, also from Benghazi.

Then a young, bearded man with a noticeably thick northern British accent, there to collect a friend from Leicester -- the pair absolutely don't want to talk, especially when I offer them a CNN business card. Then come the Egyptians, and a Gulf Arab -- he sounded Saudi -- who frantically kissed and embraced the bemused driver there to pick him up.

All these were men travelling in small groups or alone. Most refused to talk at all about why they were there, although the man from Leicester said he was doing humanitarian work, and the Benghazi pair were open about the fact that they were going to Syria.

It's not a crime to travel to southern Turkey, and there are many foreign aid groups here, so surely many people are traveling innocently. But it is extraordinary to watch this volume of international traffic from countries where al Qaeda has a confirmed and consistent presence into a NATO member state. You find yourself asking: why are these men here, and why don't they want to talk about it?

One man -- we'll call him Ibrahim -- has a clearer idea why so many foreigners come here: he's a smuggler, working to facilitate recruits joining the Syrian al Qaeda-linked radical group, the Islamic State of Iraq and Syria (ISIS).

Read more: Syria meets chemical weapons deadline

Ibrahim collects many jihadis from the airport -- in fact, he left our interview to collect a Saudi man arriving a few hours later.

He walks us through some olive groves as he explains how a route that was once little used has now become a busy - if unofficial - border crossing. It leads from the airport to a local safe house and then, at night, to the often porous fence between Syria and Turkey.

In the past few months, Ibrahim tells me, he's moved about 400 people across the border, and that the rate of people making the crossing has almost tripled since the chemical attacks on the Damascus suburbs in August.  And that's just him; there are many other smugglers operating in the area.

Turkish officials have said they are intensely involved in the fight against terrorism, as Turkey is itself a victim of extremists, one official saying that any smuggling route that exists must be stopped.

The international community didn't act, Ibrahim explains, so the global jihadi response has become overwhelming. And for many, the crossing itself is a religious experience.

Ibrahim said: "When they get to the fence, they kneel and cry, they weep, like they've just met something more precious to them than their own family. They believe this land, Syria, is where God's judgment will come to pass."

Read more: Syrian rebels using satire as a weapon

Repeatedly, we heard the claim that this jihad -- the radical Islamists' fight against the Assad regime and, increasingly, in favour of the creation of an Islamic caliphate in Northern Syria, held formerly by chaotic but moderate rebels -- is a final calling.

Many of these devout Muslims believe they are joining the final battle prophesied as happening in Syria -- known as al-Sham -- which will herald the end of the world. The recruits are ecstatic; they never thought this final fight would come in their lifetime.

One such believer we meet -- we'll call him Hamza -- is visibly shaking with excitement about crossing over into Syria the next morning.

Hamza is from the restive Sunni stronghold of Anbar in Iraq, and explains that before the U.S.-led invasion he was not a radical, or even particularly religious; now he epitomizes the hard-core beliefs that are fuelling the Islamist parts of the Syrian rebel movement. Chillingly, he smiles and almost giggles as he talks of how happy he is to be going to Syria, to become a martyr, to die in the jihad.

Hamza's presence here is a sign of something that Washington is increasingly aware of: the borderless nature of the Islamic State of Iraq and Syria. He explains the group's goal to establish a caliphate all the way from Anbar in Iraq, to Idlib, in the northeast of Syria. The result: An Islamic state where hardline Islamist rules are followed, limiting the role of women and imposing often crude Islamist justice on those who violate their codes.

Hamza's journey too is remarkably telling. He says he chose to fly into Turkey and come across the border as it was so much simpler than travelling along the hot dusty roads from Anbar, which neighbors Syria, through rebel-held regions. Travelling through Turkey has become so straightforward and comfortable that it is the route of choice for this jihadist.

Read more: Syrian snipers 'target pregnant women'

"There are people coming from Holland, Germany, even Peru," he said, claiming that the number of European recruits to the jihad is exceeding the Arab complement.

The reason for this is clear: anger at the failure by the United States and European nations to take military action against the Assad regime after the August chemical attacks. It's a failure that has, Hamza says, also made those nations the enemy.

"Our fight is with the West now too, as their silence means they are complicit," he says, listing the "international community" alongside Iran, Russia and the Assad regime as an enemy.

And this is where the story of Syria's endless bloodshed gets absurdly confused; the Assad regime has constantly claimed it is fighting terrorism, even when -- a year ago -- it was shelling civilians loyal to the moderate rebels. Slowly, as the outside world [you mean Western nations] failed to come to the rebels' aid, the Islamists gained sway.

One key group, Jabhat al-Nusra, was declared a terrorist organization by the U.S. in 2012, and now, as if to validate the Assad regime's earlier fiction, ISIS has become perhaps the pre-eminent group inside northern rebel-held Syria. ISIS is linked to al Qaeda; it seeks an Islamic caliphate, it blames the West for what is happening, and it is sitting on NATO's border.

Read more: Syrian war's brutality isn't going away

Turkey already realizes how serious this is. They repeatedly insist they are fighting extremists in the region. Their president, Abdullah Gul, warned this weekend in an interview with the Guardian, that Europe cannot entertain the idea of "something like Afghanistan on the shores of the Mediterranean."

A Turkish official who did not want to be named discussing a sensitive issue, told CNN that "as a country that has suffered from terrorism, it is irrational [for anyone] to think that Turkey would support these terrorist groups. If these crossings are happening, then we need to review the entire process... the entire chain of recruitment and travel needs to be addressed."

He added that extremist groups were getting stronger inside Syria because the international community had failed to tackle the Syrian crisis. "As long as that continues these groups get stronger each month", he said.

But the reality is that it is nearly here already. We stood at the Turkish border and filmed a chilling sight: the flag of ISIS, flying calmly over a minaret a few hundred meters away in the Syrian town of Jarablus - a sign that they control the town.

Turkey now has to reconcile the seemingly relaxed traffic of jihadis into their south to travel into Syria -- many of whose aim is to help establish an al Qaeda-friendly caliphate -- with the fact they can now see al Qaeda from their border. It couldn't get any closer.

Read more: Syrian rebels embrace Sharia law

@highlight

Smugglers are helping would-be jihadis travel across border from southern Turkey to Syria

@highlight

One tells CNN the rate of those making crossing has tripled since chemical attacks

@highlight

'Hamza' tells CNN he is happy to be going to Syria to become a martyr

@highlight

Turkish officials say they are intensely involved in the fight against terrorism