An hour or so drive from the chaotic and congested streets of downtown Cairo is a very different world.

Thousands of pristine new buildings -- many only half-built -- often within gated compounds are surrounded by miles of barren desert.

New Cairo is one of a handful of "satellite cities" that are being developed in the desert about 40 kilometers from the city center.

The landscape is far from conventionally beautiful, but attracted the attention of a British photographer Jason Larkin who spent two years chronicling the developments.

Cairo's satellite cities have been developed on-and-off for 30 years, but a recent building boom has slowed since the fall of president Hosni Mubarak in February.

Larkin became interested after the American University of Cairo moved to a new campus in New Cairo in 2008.

"I started to hear from students who were alarmed to find themselves in the middle of the desert," he said. "I wanted to look for myself and was struck by the environment.

"They were pristine buildings but with completely barren surroundings. You can't get there by public transport. I realized it had so little of what a city needs."

Larkin spent two years photographing Cairo's satellite cities and their construction sites.

He said: "There were many projects I never saw any work on: Half-finished construction sites where people with big ideas had run out of money.

"Others have been halted because of disputes and allegations of corruption over the sale of the land."

Larkin added: "Of all the areas I photographed, I would say 80% were not occupied."

For centuries, the population of Cairo -- now 10.9 million, according to the CIA World Factbook  -- was confined to a narrow strip of fertile land along the River Nile. In 1969 a development plan was launched to expand Greater Cairo into the surrounding deserts, according to a 2009 report by U.N. Habitat, the United Nations agency for human settlements

Mohamed Elshahed, a doctoral student who started a blog, Cairobserver, on the city's architecture and urban planning, has also taken an interest in satellite cities.

He said the gated compounds of villas for the wealthy currently being built were opposite to the initial intention of satellite cities.

Elshahed said: "The development of satellite cities has gone through several false starts. The initial idea in the 1970s was to respond to the housing crisis and create budget or social housing projects. The problem was that the poorest can't afford to live so far away without transport to bring them to work.

"This initial phase was a complete failure and mostly remained vacant. There were further attempts in the 1990s. Now we are seeing a reverse of the initial idea and they are exclusively high-end developments."

Ehshahed said the gated compounds were being developed at the expense of preserving the historic city center.

"There's no recognition of Cairo's architectural heritage and history," he said. "It's as if we're living in Dubai, but this isn't Dubai, it's a city that's been around for 1,000 years."

Elshahed added: "The center of the city is deteriorating and the rich don't want to be there anymore. They can afford to live outside the city and cut themselves off."

However, Elshahed said that despite having a combined population estimated at 1.5 million, the satellite cities had failed to ease the overcrowding of Cairo.

He said: "The satellite cities are not working for many reasons. The main reason is that a housing bubble was created in the last five-to-eight years without the demand to fill them, leaving a lot of empty homes in the desert.

"Plus a lot of people who can afford these types of houses, already have second or third homes, so they are empty most of the time and it does nothing to help the housing crisis.

"There has been a government policy that this type of development is a positive sign of progress and is to be encouraged, but that is very superficial because they are not really helping anyone."

Elshahed said the main cities with names such as 6 October and 15 May, as well as New Cairo, were each made up of many individual developments, some a further 15 or 20 minutes drive into the desert.

Working with the Cairo-based journalist Jack Shenker, Larkin produced a 6,000-word photo essay on satellite cities, called Cairo Divided, in English and Arabic, available for only the cost of postage and packing.

"We had 5,000 copies printed and have had phenomenal interest from people interested in urban development, Cairo itself, or global cities generally."

@highlight

Cairo's satellite cities were first conceived more than 30 years ago to ease overcrowding

@highlight

Recently they have become home to exclusive gated compounds, often standing empty

@highlight

Photographer Jason Larkin spent two years documenting the developments in a project called Cairo Divided