(CNN) -- The United Nations is holding a summit this week in Rio de Janeiro on global sustainable development, but, incredibly, family planning is not on the agenda. How can the summit ignore this elephant in the room?

When the world's population hit 7 billion in October, experts warned that if nothing is done, the global population could grow by another 3.5 billion by 2050. Still, many of the world's women are without the resources to plan their families' growth effectively -- a major factor in stemming the tide of global population expansion.

Clearly, the world's growing population and the significant challenges it poses must be central to any discussion of sustainable development at the U.N. Earth Summit, also called Rio+20, taking place Wednesday, Thursday and Friday.

Negotiators hammering out the terms for discussion in Rio failed to link the summit's sustainable development goals to the concerns, needs and desires of women worldwide -- particularly to the role that family planning could play in easing the burdens posed by population growth.

We know that when women have access to voluntary family planning services, supplies and information, society sees enormous gains in each of the three pillars of sustainable development -- human development, economic growth and environmental sustainability. Without it, families, communities and natural resources are extraordinarily burdened.

Experts estimate that more than 215 million women around the world want to delay or space childbirth but are not using modern contraception. In fact, meeting this need would cost $3.6 billion per year, a small amount when you consider the enormous benefits.

Providing modern contraception also has the potential to stem population growth and relieve human pressure on the environment and natural resources. We urge governments and global agencies at Rio to make this a priority.

We are at a moment in history where we still have time to make a difference. It is essential that the global discussion in Rio not be blind to the potential solutions that access to voluntary family planning could offer to many of the world's problems.

Our goal is not to control the population: It is to empower women and families, giving them a say over when they will bring another child into this world. We know that when a woman can plan the size of her family, she is healthier, more likely to finish her education, join the labor force, become more economically productive and engage in politics, thus more effectively shaping the future of her family and her country.

We also know that when governments invest simultaneously in voluntary family planning, public health and education, countries can benefit from the "demographic dividend" seen in the Asian Tiger countries.

Frustratingly, instead of recognizing these links, Rio negotiators so far have sidelined them.

Every second, every day, every year we fail to address demand for reproductive health and family planning services. Lives are lost and girls' opportunities to thrive and contribute to their country's development shrink. These are real people. We know that universal access to voluntary family planning services would prevent 150,000 maternal deaths and 25 million abortions every year. This is an issue all governments and negotiators should agree upon if we are serious about sustainable development.

Today, opposition to voluntary family planning can only be attributed at best to outdated thinking, and at worst to a desire to undermine women's rights.

If the motto of the Rio conference is to be realized, that is, to build "the future we want," leaders must step up and call for universal access to reproductive health and voluntary family planning for women everywhere who are denied this right.

Consider the wider benefits to our planet. Providing women with the desired cost-effective, low-tech family planning services would not only dramatically reduce pressure on natural resources, increase supplies of food and water, decrease the risk of conflict over other scarce resources and improve ecological health, but scientists estimate such services would cut carbon emissions by up to one-quarter of what's needed to slow climate change -- an outcome equal to ending deforestation around the world, or increasing 40-fold our reliance on wind power.

My 15 colleagues and I on the Global Leaders Council for Reproductive Health, most of us former national leaders, call on our fellow leaders and negotiators not to ignore the elephant in the room. They must find the political will to make reproductive health fundamental to implementing sustainable development as a major outcome at Rio.

At stake are the very goals the conference is meant to embrace.

The opinions expressed in this commentary are solely those of Jenny Shipley.

@highlight

Jenny Shipley: Rio summit on sustainable development must address population growth

@highlight

Shipley: Family planning is essential to summit's goal, yet it's not on agenda

@highlight

Shipley says 215 million women who want to plan families have no access to birth control

@highlight

Shipley: Family planning enormously benefits women's lives, the planet, economies