(CNN) -- A powerful family accused in what is considered the worst politically motivated killings in recent Philippine history has committed many other atrocities with impunity over two decades, a human rights group says.

The Ampatuan family and its forces are "one of the most powerful and abusive state-backed militias in the Philippines," says a new 96-page report released by Human Rights Watch, called "They Own the People."

The family's "many abuses" include "more than 50 incidences of killings, torture, sexual assault, and abductions and disappearances," according to the report.

The executive secretary in the administration of former President Gloria Macapagal Arroyo categorically denied the allegations leveled in the report, saying that the administration's "earnestness to promote, protect and fulfill human rights has always been clear, and not even the unceasing efforts of critics, including ill-prepared reports, will diminish or discredit it."

Andal Ampatuan Jr. -- former mayor of Maguindanao province and the son of a former provincial governor -- is now on trial, accused of being the ringleader in the political massacre in Maguindanao.

Ampatuan and his family have denied wrongdoing.

Dozens of people in a convoy were ambushed on November 23, 2009, and their bodies were buried in a mass grave. The wife and sister of a political rival of Ampatuan's and 30 journalists were among the victims.

There are 196 accused, about 500 witnesses and more than 11,000 murder charges involved in the massacre case, which is expected to take years.

"In addition to the 58 killed in the Maguindanao massacre, the family is implicated over the years in the killing of at least 56 people, including relatives of opposition politicians, landowners who resisted forced acquisition of their property, eyewitnesses to Ampatuan crimes, including their own militia members, and even children," the rights group's report says.

Human Rights Watch said it interviewed approximately 50 victims of abuses, their family members and friends, and witnesses, in producing the report.

"Despite an initial flurry of activity after the November 23 killings, including some arrests, 126 suspects remain at large and the government's prosecution remains woefully slow and limited," the report says. "Senior police and military officers who failed to act upon knowledge of Ampatuan crimes have not been investigated; investigations into the source of the family's weapons have lacked transparency and independence; and the national institutions responsible for accountability -- the Justice Department, the Ombudsman's Office, and the Commission on Human Rights -- have done nothing significant to address the situation."

"One year after the Maguindanao massacre, the Ampatuans remain a powerful and dangerous force with which to be reckoned. For more than two decades, the Ampatuans operated unchecked by the national police, the military, and the Department of Justice, which have not only failed to seriously investigate crimes allegedly committed by the family's militia, but have even armed and worked alongside its members."

In the Human Rights Watch report, authorities appeared stymied.

"What can we do? This is an influential family," a police officer told the rights group.

The Philippine government did not immediately respond to CNN's phone and e-mail requests for comment, but a spokesman for the administration of President Benigno Aquino sent a text message to The New York Times.

"We're working on it. The Ampatuan case is being tried, the prosecution is serious. We're quietly laying the groundwork for dismantling private armies, but some cases are harder to fix than others," wrote spokesman Ricky Carandang, according to the Times.

Also, General Eduardo Ermita, the former executive secretary of the Arroyo administration, disputed the report's contention that his government was slow to prosecute the perpetrators.

"Within days, more than a hundred people were apprehended and charged, including members of the Ampatuan family, not even sparing the patriarch Andal Sr. and his sons Andal Jr. and Zaldy who has since been relieved as ARMM governor. And the trial goes on to this day."

He also challenged Human Rights Watch to present evidence to back the allegation that the military armed the Ampatuans.

"For all intents and purposes, this allegation must be addressed if only to spare the armed forces from being unnecessarily suspected of wrong-doing, better yet to come their self-defense," he said.

The 2009 political massacre shocked people even in a country that is familiar with election violence.

The trial of Ampatuan Jr. and his alleged accomplices has been delayed repeatedly, most recently because of a defense request for more preparation time. The delays have prompted outcries against the political influence of the Ampatuan family. They have ruled Maguindanao for two decades.

Maguindanao is part of an autonomous region in predominantly Muslim Mindanao, which was set up in the 1990s to quell armed uprisings by people seeking an independent Muslim homeland in the predominantly Christian Asian nation.

@highlight

The Ampatuan family is implicated in a 2009 political massacre

@highlight

The crimes are considered the worst politically motivated killings in recent Philippine history

@highlight

Dozens of people were ambushed, their bodies buried in a mass grave