San Diego, California (CNN) -- Twenty-four weeks pregnant, Veronica Pacheco went to the emergency room last October with a hacking cough that made it hard to breathe. Tests found she had H1N1 flu, and doctors put her in a coma so her body could continue the gestational process without expending additional energy.

"My life changed forever after that," Pacheco said.

Six weeks later -- 10 weeks before full term -- her unborn baby's vital signs dropped and doctors performed an emergency C-section.

"When I woke up, my husband said, 'We had to take out the baby' and I immediately clutched my stomach, fearing the worst," she said. "But he settled me down and [said], 'He's OK, he's down in the NICU."

Born 2½ months early, Noah Pacheco weighed less than 3 pounds and was immediately put in the neonatal intensive care unit (NICU) -- a vital step for premature babies but often financially and emotionally stressful for families.

The Pachecos found some relief with the help of Dr. Sean Daneshmand and his nonprofit Miracle Babies. The group provides financial assistance for items such as housing and medical expenses, baby supplies and transportation costs.

"To see people hearing there's something wrong with their baby, and then to worry about everything around them -- I mean, life doesn't stop. You still have to make your mortgage payments," said Daneshmand, 41.

An obstetrician specializing in high-risk pregnancies since 2002, Daneshmand had watched families struggle to cope with the financial pressures of having a child in the NICU. But in 2004, his wife had complications with her pregnancy that threatened both her and her unborn child.

Though Daneshmand had the medical knowledge, support and financial stability to delay a very premature birth -- his daughter was ultimately born six weeks early -- the experience shook him and gave him a new perspective of what his patients go through.

"What we went through was so traumatic, but it's nothing compared to many of my patients," he said. "I wanted to take some of the suffering that these women go through away from them so they can really focus on their baby."

For years, Daneshmand gave patients money out of his own pocket before he started Miracle Babies in November 2009. Now most of the group's funding comes from individual donors and small corporate sponsors. So far, it has helped 80 families in California and across the country, including the Pachecos.

"They helped us with our mortgage, with gas," said Veronica Pacheco's husband, Mike. "It was huge for us."

Families apply for assistance from Miracle Babies through hospital social workers. The application requires proof of financial need, and the baby must be in the NICU for at least two weeks. The group hasn't rejected anyone yet.

"These are families that...[are] in a time of crisis [and] now need extra help. And that's what we're about," Daneshmand said.

While families supported by the group are primarily located in southern California, they do not have to live in the area to receive aid. Families in the Midwest, Louisiana and on the East Coast have been helped by the program. The average amount a family receives is $1,200; it can be more depending on circumstances. So far, Miracle Babies has provided a total of $70,000 in assistance.

If the group's monetary support left an impression on families, so has Daneshmand's compassion.

"Dr. Daneshmand made me feel very at ease," said first-time parent Sofia Diouri, who at just 24 weeks pregnant had to have an emergency C-section earlier this month due to excessive bleeding. "He made me feel like everything was going to be OK, even though it could have gone tragic in a matter of seconds."

With her less-than-2-pound daughter Mya hooked up to a breathing apparatus and several IVs, Diouri said, "It's hard seeing her struggle. ... You don't think all these problems are going to happen. But it's all real life now and it is really hard."

Miracle Babies helped ease some of that suffering for Diouri and her partner, Roy Coronado. The organization paid for housing near the hospital so they wouldn't have to travel hours each day to be with their daughter -- something they couldn't have afforded on their own.

For Daneshmand, the main goal is to help these families be happy, healthy and together.

"I want to see others be happy. ... That's what drives me, that's what makes me get up in the mornings ... that's what makes me want to do more," he said. "I can't think of really any other time in one's life where you need someone to be there for you."

Want to get involved? Check out the Miracle Babies website and see how to help.

@highlight

Miracle Babies helps families cope with financial stress of premature childbirth

@highlight

Dr. Sean Daneshmand started nonprofit after giving families money out of his own pocket

@highlight

The group has helped 80 families across the country since November 2009

@highlight

Individual donors and small corporate sponsors fund the program