Among Republican insiders, Bob McDonnell, governor of Virginia, isn't considered a leading presidential contender. Marco Rubio, Chris Christie, Bobby Jindal, Jeb Bush, Paul Ryan and Rand Paul have all garnered more attention. The more interesting question has been -- until this week, at least -- why that is the case.

McDonnell has the virtue of not only having won a gubernatorial race in one of America's most important swing states but of having remained relatively popular. A new Quinnipiac University survey found that McDonnell had an approval rating of 53% and a disapproval rating of 28%. And though Virginia bars its governors from seeking a consecutive second term, there is a better than even chance that McDonnell would defeat Terry McAuliffe, the presumptive Democratic gubernatorial nominee, if he were allowed to run in 2013. The same can't be said of tea party stalwart Ken Cuccinelli, the Republican attorney general who is running to succeed McDonnell.

Moreover, McDonnell's 2009 campaign was in many respects an excellent template for a national GOP campaign, as it focused on job creation and energy development while largely avoiding ideological bromides.

Part of the reason McDonnell was able to run as jobs-centric pragmatist is that his socially conservative convictions were not in serious dispute. Indeed, Democrats in 2009 sought to highlight McDonnell's anti-abortion views, but to no avail. Just one year after Barack Obama had rallied moderate voters in Virginia's affluent northern counties, McDonnell managed to win many of them back. He aggressively courted Asian-American and Latino voters, an effort that helped blunt the growing Democratic advantage in these constituencies. One would think Republicans would be beating down McDonnell's door.

But recently, many conservative activists have soured on McDonnell. For much of 2012, the Virginia governor has struggled to make progress on his policy agenda. Progress in some areas, like K-12 education, has been overshadowed by inaction in others, like the privatization of Virginia's state-owned liquor stores or the all-important issue of alleviating traffic congestion.

Last week, however, McDonnell finally brokered a deal with the Virginia General Assembly to finance a sharp increase in new transportation spending with new taxes. This is despite the fact that McDonnell had pledged to resist any and all tax increases in his 2009 campaign.

McDonnell has touted the potential benefits of the deal, emphasizing the economic costs of traffic congestion and the enormous gains that would flow from reducing it. But the tax increases have met with strong opposition from Cuccinelli, whom McDonnell has endorsed, and Grover Norquist, head of Americans for Tax Reform and guardian of its Taxpayer Protection Pledge.

This reaction is hardly surprising. Virginia's new transportation plan scraps the commonwealth's $0.175-per-gallon tax on gasoline, the value of which has eroded with inflation since it was first set at that rate in 1987, and replaces it with a 3.5% whole tax on motor fuel that will grow with the economy and the price level. It also raises Virginia's retail sales tax on most items from 5% to 5.3%, with a further increase to 6% in the most traffic-congested regions to pay for local transportation projects. All told, these new revenue measures will raise as much as $880 million per year, with an additional $200 million to be shifted to transportation from other spending priorities.

Not everyone is furious about McDonnell's measure that would increase taxes. Some prominent voices, including Washington Post conservative commentator Jennifer Rubin and Washington Post columnist Robert McCartney, have praised the governor for addressing Virginia's transportation woes. One wonders whether McDonnell might somehow be able to turn a liability -- having reneged on his tax pledge -- into a strength by presenting himself as a pragmatic, bipartisan problem-solver.

It's a long shot, given that primaries tend to be dominated by highly ideological voters. But it might be worth a shot all the same, particularly if the Republican presidential field proves thinner than expected in 2016.

@highlight

Reihan Salam: Gov. Bob McDonnell isn't a leading GOP presidential contender

@highlight

Salam: McDonnell's 2009 campaign is a great template for a national GOP campaign

@highlight

He says the governor, popular and pragmatic, pushed for an important transportation bill

@highlight

Salam: It may be a long shot, but McDonnell should be included in GOP presidential field