(CNN)Endless dunes, scrubby vegetation, camels.

Dubai seems to have contemplated the kinds of things you'd expect to find in a desert and responded: irrigate!

And so it has, planting not only botanical gardens but record-breaking botanical gardens, ski slopes complete with penguins (no, not a mirage) and dozens of greens, fairways and golfing water hazards.

The secret?

Well, desalinated water provides some of the countless gallons of water needed to realize these dreams but another source is somewhat dirtier.

45 million flowers

It takes a lot of water to maintain any kind of garden in the desert -- but imagine trying to keep 45 million flowers in bloom.

That's the task for the team behind Dubai Miracle Garden, a seven-hectare attraction that opened in February in the sands just outside the city limits.

Visitors are confronted with a riot of colorful -- some would say gaudy -- patterned flower beds, creative vertical displays and manicured lawns.

With precipitation such a rarity in Dubai -- it falls on fewer than 25 days a year, on average -- the plants are kept hydrated using waste water and a drip irrigation system.

A butterfly garden is next on the cards here and, this being Dubai, there are already world records to boast of -- the longest (800 meters) wall of flowers, the world's biggest flower clock and the tallest flower pyramid.

An effort not to be sneezed at.

Dubai Miracle Garden: Al Barsha South 3, Barsha/Dubailand; +971 4 422 8902; general admission: $5.40 per adult.

More: Best Dubai brunches: The good, the very good and the 'drunch'

Fairways and greens

Golf shouldn't be a desert sport.

While all that sand might be good for bunker practice, lush fairways sound rather fanciful.

However, this is the UAE, which seems to have staked its reputation on creating real-life mirages.

The emirate has more than 20 golf courses -- but how do they keep the greens green?

The answer's dirtier than you might hope.

"We use treated sewage effluent for irrigation," among other sources, says Mark Tupling, agronomy manager at Jumeirah Golf Estates.

A hi-tech system "deliver[s] the precise amount of water depending on topography, wind directions and soil conditions."

Jumeirah Golf Estates: Al Fay Road, Dubai; +971 4 375 9999; 18 holes from around $100 at the cheapest visitor twilight rate.

A wetland wilderness

You'll find birdies of a different kind, and a taste of wetland wilderness in an unexpected locale, at the Ras al Khor Wildlife Sanctuary on the northern edge of Dubai.

Some 20,000 birds of 67 species make their home in these saline lagoons, which are fed by the Dubai Creek inlet and protected from the city's ever-expanding urban development.

Waders such as egrets, spoonbills and flamingos, as well as raptors including ospreys and greater spotted eagles, give a real feeling of wildness next to the ultra-urban environment of Dubai.

Ras al Khor Wildlife Sanctuary: Al Khail Road, Ras al Khor, Dubai; +971 4 606 6822; entrance is free but visitors must register at the Dubai Municipality website.

More: Best falafel in Dubai -- and the woman behind it

Penguins and snow

Rather surreal, a small colony of 20 king and gentoo penguins recently took up residence in the emirate's Ski Dubai attraction and can be observed marching across the artificial snow-covered slopes.

Even without the penguins, a winter sports arena in the desert is more than a little incongruous.

Occupying 25,000 sq meters of the huge Mall of the Emirates, the self-styled indoor ski resort opened in 2006 and boasts five separate runs, complete with chairlift and tow.

Basically one giant refrigerator, temperatures are kept at -1C during the day, then dip to -6C at night when cooled water is blasted out of an overhead snow gun and turned into new snow.

Ski Dubai: Mall of the Emirates, off Sheikh Zayed Road, Dubai; +971 4 409 4000.

Two-hour ski passes cost $55 per adult. Full-day passes are $83 per adult.

Penguin encounters from $40.

Fun runners

Given that most advice for getting about in the desert around Dubai is to travel inside an air-conditioned 4x4 and not over-exert yourself for fear of heat stroke, the sight of a gaggle of runners pounding the outback highways is a strange one.

Temperatures often exceeding 40C do not, however, deter participants in the Dubai Desert Road Run, a 10-kilometer race following empty asphalt roads through the dunes.

Races are held around six times a year, including in August, when the race kicks off at 6 a.m. to avoid the worst of the summer heat.

Dubai Desert Road Run, +971 4 420 6001. Races start from The Sevens Stadium, Al Ain Road, Dubai.

Entry fee for the 10-kilometer race: $22; three-kilometer fun run and junior race options also available.

More: CNNGo in Dubai: The extravagant edition

Water slides

In times gone by, when Bedouin trekked across the Arabian desert in search of water sources, the thought of people floating down a nearby river on rubber rings, or riding an artificial wave on a boogie board, would have been considered the stuff of mirages.

But now there are not one but four big water parks in the UAE -- Wild Wadi (+971 4 348 4444) and Aquaventure (+971 4 426 0000) in Dubai, Dreamland in Umm Al Quwain (+971 6 768 1888), and Yas Waterworld in Abu Dhabi (+971 2 414 2000).

Each pumps millions of liters of desalinated seawater through dozens of rides each day for the entertainment of aqua-loving thrillseekers.

At Wild Wadi, 600 gallons of water a minute surge through the white-knuckle Jumeirah Sceirah to propel riders down its steep slide at more than 80kph.

Nicol Nicolson helped with research for this article.

@highlight

Dubai Miracle Garden boasts around 45 million flowers in bloom

@highlight

"Dirty" methods used to keep emirate golf greens immaculate

@highlight

A ski resort -- in Dubai? With penguins?

@highlight

And can a desert run be called fun?