So, Mark Zuckerberg apparently speaks Mandarin.

The Facebook founder posted a video this week of himself participating in a 30-minute question-and-answer session, mostly in Chinese, at Beijing's Tsinghua University. And online writers -- especially the tech bloggers -- just freaking love this story.

General reaction: Like OMG! Zuck speaks another language?!

"The crowd gasped and applauded as soon as he started speaking, and the good vibes appeared to last throughout the chat," wrote Marcus Wohlsen at Wired.

"Out of nowhere, Mark Zuckerberg now speaks Mandarin," declared BuzzFeed.

"Mark Zuckerberg just did a Q&A. In Chinese. In China. And slayed the crowd," wrote Greg Baumann, editor in chief of the Silicon Valley Business Journal.

The underlying assumption in all of this coverage is that it is insanely surprising that the kid genius CEO of a $204 billion company can maneuver in a non-English language. Particularly a difficult one like Mandarin, which he speaks, according to Foreign Policy's Isaac Stone Fish, "like an articulate 7-year-old with a mouth full of marbles."

This shouldn't be surprising. Zuckerberg is a smart guy. He's known to take on yearly self-improvement challenges (2010, Mandarin; 2011, eat only animals he personally killed; 2013, meet someone new each day, according to Bloomberg Businessweek). His wife, Priscilla Chan, is Chinese-American, and he said he's been learning Mandarin partly to be able to better communicate with some of his in-laws.

Plus, China. It's home to the world's largest population of Internet users (632 million). And it blocks Facebook.

A little "charm offensive" couldn't hurt.

Then just think about the situation in reverse: Would anyone be shocked if the head of a foreign tech company -- try LG, Samsung, Sony or, in China, Lenovo -- showed up for a public speaking engagement in America and (gasp!!) spoke English? Of course not. We'd eye-roll if they didn't.

That's because we Americans expect everyone to speak our language -- and rarely make the attempt to communicate in foreign tongues. Only a quarter of Americans can hold a conversation in a second language, according to a 2001 Gallup poll. Compare that with about half of Europeans. And in Africa, while it's tough to find comparative figures, it's common to meet people who speak, two or three or five languages, since there are as many as 2,000 languages spoken on the continent.

So perhaps Zuck's somewhat passable second-language skills shouldn't be surprising, but they are. And I think a closer examination of why that's the case reveals quite a bit about language and how it plays a role (and doesn't) in modern America.

There are easy explanations for America's relative monolingualism. Unlike Europe, where a long road trip can land you in another country with another official language, the United States has historically been relatively isolated from other tongues. When immigrants bring foreign languages to our towns and cities, we generally haven't met them in the middle. We've demanded they learn English. And pronto.

Plus, when English speakers travel abroad, we tend to expect the world to cater to us. A couple years ago, I stayed at a Western chain hotel in Seoul, South Korea. The concierge gave me a business card that said something like, "I'm lost, take me back to the hotel at this address" on it in Korean. The idea was that I'd hand the card to a taxi driver and he or she would zip me back to the safety of a hotel with English-speaking staff. Like I was a lost puppy with a business-card collar. No need to learn a thing.

These expectations help explain why Zuckerberg's Chinese is both so surprising and so easy to poke fun at. His Mandarin presentation plays both into and against the stereotypes of the Idiot American Abroad. We don't expect anyone who grew up in the United States -- especially those whose parents grew up in America, too -- to be able to speak a foreign language, or we don't expect them to do it well.

That makes it fun for writers such as Gwynn Guilford and Nikhil Sonnad, at Quartz, to say that the Facebook CEO "showed a plucky disregard for the tones that Mandarin has -- one tonal slip-up had him saying that Facebook boasts eleven mobile users instead of 1 billion -- and his enunciation was roughly on par with the clarity possible when someone's stepping on your face."

But it also makes it easy to be impressed by Zuck.

Put me in the latter camp. Zuckerberg, who comes across, at times, in his verbal English communications as a semi-sophisticated robot, at best, is doing something language coaches will tell you is a must: He's trying. He put himself out there in a big way -- he took a risk -- and that's the only way he'll be able to improve. I applaud that effort.

And I think it's representative of where we as Americans, in general, stand as language learners. We're kinda awkward. But we should keep at it.

We'll have to in order to stay relevant -- both in global business and at home. There were 37 million Spanish speakers in the United States in 2013 -- up from only 10 million in 1980, according to Pew. Some are bilingual, but some likely speak comfortably only in Spanish.

I think there's a fear in English-only America that everyone will have to learn Spanish to function in certain parts of the country. We should expect that English will continue to be the linguistic glue of America -- that it will bind us together. But needing to learn Spanish, and other languages, to better and more fully explore the country and globe should seem exciting, not threatening.

Learning a second language opens up new worlds, new neural pathways -- even new personalities. It's something we all should embrace, a la Zuckerberg.

We may sound goofy. But it's far better than giving up.

@highlight

Mark Zuckerberg, Facebook's CEO, shows off his Mandarin skills

@highlight

CNN's John Sutter questions whether we should be so surprised

@highlight

Zuckerberg is the CEO of an enormous Internet company

@highlight

China has the world's largest population of Internet users