(CNN) -- The story of Ahmad al-Shayea is the story of all that has been wrong -- and continues to be wrong -- with the United States and our allies' campaign against Islamist extremism.

During 2004, Ahmad had fought for Al Qaeda in Iraq against the United States. Indeed, he became famous as the first suicide bomber in Iraq to survive his attack. Known as the "living suicide," Ahmad was rehabilitated, both physically and mentally, at a U.S. Army hospital before being repatriated to his home country of Saudi Arabia.

I met Ahmad at the Saudi government center also designed to rehabilitate jihadi militants. Ahmad and I became friends. We spent several days together and continued a correspondence for years after I left Saudi Arabia, until Ahmad went back to Syria and Iraq to join the Islamic State (ISIS).

Ahmad had been the poster child of the "reformed" jihadi. He told me of his fondness for the American doctors and medics who nursed him back to health after suffering extensive burns from his bomb attack. Given ample funds and help finding a job by the Saudi government, everything was seemingly taken care of; Ahmad was a terrorist no more.

But what both the Saudis and Americans who tried to "rehabilitate" Ahmad never addressed was the only thing that mattered to him. And that was his deep and abiding religious belief.

Above all else, Ahmad wanted to be a good Muslim, devout and steadfast to the principles of Islam. Many Muslims consider being a martyr in holy war --going to heaven to fight for the faithful -- the purest path to the truest faith. When the war in Syria and now Iraq began again, it was Ahmad's faith that drove him.

He is not alone. Among young Muslims in the Middle East, South Asia and even the West, their faith has become a race to the fundamentalist finish line. Whoever offers the purest Islam -- the real and most devout faith these young men seek -- will win the race. No amount of jobs, money or friendship with Americans matters. And no amount of American military force will ultimately matter either.

Take the story of Ahmad again. The United States defeated him and his group Al Qaeda in Iraq some seven years ago. Ahmad was even the paragon of a successfully rehabilitated terrorist. And here we are fighting the same group again, for ISIS is largely Al Qaeda in Iraq reconstituted and re-energized, with Ahmad and many men like him their holy warriors once more.

What can the United States do?

We must first recognize that this is not primarily a war between the United States and radical Islam. It is a war within Islam itself for the soul of the faith. Until Muslims and Islamic religious authorities in Saudi Arabia and elsewhere can offer a true and convincing vision of Islam to young men such as Ahmad, we will lose the battle for their souls.

This is not an American government battle. By making it so, the U.S. government will continue this fight for years, if not decades, as President Obama concedes. An effective response against extremism can only come from Muslims themselves.

What can the U.S. do?

We are not powerless.

Whenever American national security is directly threatened, a limited use of American military power can be warranted, but only if is secondary and in support of effective local Muslim governments and local forces in the region. We cannot lead, as the President is undertaking now.

We can, however, help to expose the feckless nature of the radicals.

In 2011, U.S. authorities killed the radical Islamist cleric Anwar al-Awlaki with a drone strike in Yemen. Al-Awlaki allegedly inspired the Boston Marathon bombers. If the United States had disseminated the facts about Awlaki instead -- the cleric had been arrested for soliciting prostitutes in San Diego, a violation of Islamic precepts -- that may have accomplished more to discredit his religious standing among young men looking for an example of Islam than turning him into a martyr.

Similarly, of the more than 100 Islamist radicals I've interviewed, the most prevalent reason they expressed for leaving the radical cause was its "un-Islamic ways." Corruption being the key. Exposing the illicit oil trade of the Taliban, as well as its smuggling and narcotics trafficking could do more to defeat the group than all the drones in the world.

But while the United States can help expose their corruption, it must be up to Muslims themselves to expose how and why their ideas are not the true and purest Islam.

Thirteen years after 9/11, it's time America wakes up. This is not our war. Let's stop fighting it. Ahmad al-Shayea tells us no less.

@highlight

Ken Ballen: Ahmad al-Shayea's story shows what's wrong with campaign against extremists

@highlight

He says Shayea rejected Al Qaeda, was rehabbed by West, but returned to fight with ISIS

@highlight

West fails to realize: Key to Islamist fighters is Muslim faith. Military force won't win, he says

@highlight

Ballen: Muslims must fight their radicals; U.S. can help expose leaders' un-Islamic hypocrisy