Boston, Massachusetts (CNN)  -- At one time in the Stem Cell Program at Children's Hospital in Boston, we had two liquid nitrogen containers, one labeled P, the other NP. These containers were used to store batches of stem cells.

The P, or presidential container, held some of the 21 embryonic stem cell lines that researchers could study using federal funds under the terms of President George W. Bush's August 2001 executive order. The NP, or nonpresidential, container held those embryonic stem cells derived from later lines, which researchers could not study using federal funding. We were required to purchase and store separately the pipettes and culture dishes, duplicating effort and costs.

The separation included detailed record keeping, and I hired a grant manager to deal with these issues.  From a logistical standpoint this was a nightmare. We offered courses on how to proceed in the lab while monitoring the funding source. This separation greatly inhibited progress in the study of many diseases, from blood diseases such as sickle cell anemia to Parkinson's to juvenile diabetes, and the development of potential therapies.

Fast forward to March 2009, when President Obama lifted the ban on using federal funds to study stem cell lines developed after the Bush order went into effect.  Scientists were freed to work collaboratively within labs, across labs and across continents. Single studies could now evaluate more embryonic stem cells and use different types of stem cells -- not only embryonic, but the newer induced pluripotent stem, or iPS, cells.

But now stem cell research -- a promising avenue in biomedical research for curing a host of deadly and debilitating diseases -- has been dealt an enormous setback by a U.S. District Court's injunction against the Obama executive order. In ruling that federal monies can not be used for any research involving embryonic stem cells, Judge Royce Lamberth's decision creates significant uncertainty in the field. A stay was ordered this week, rescuing the funding of the research for a short time until the case is heard. The fact that research can be shut down and then started again in a matter of weeks has created confusion for proceeding with the work.

With Judge Lamberth's decision, American scientists have been put at a disadvantage against their counterparts all over the world. The U.S. is in danger of being surpassed as the leader in biomedical research by several countries, including South Korea, Singapore, and Great Britain. The loss of research competitiveness undermines our biotech and pharmaceutical companies' ability to bring new therapies to patients.

Judge Lamberth's decision places American researchers in a difficult position. Promising avenues of research will need to be halted. NIH grant decisions on major diseases were halted this month, even for studies including a small number of experiments on embryonic stem cells, and millions of dollars that have been committed to stem cell researchers is at risk.

The economic impact of this injunction on the United States could surely be huge. Scientists run increased risks of running afoul of the law and will be increasingly isolated from their colleagues overseas. While many will seek private and foundational funding for their research, this also comes with a price. Before the Obama order, many elite researchers were spending up to 20 percent of their time on fundraising. We risk that the U.S. will fall increasingly behind.

This decision is driven both by ideology as well as continuing confusion over the science of stem cells. Eighty percent of Americans are in favor of stem cell research, and Congress has twice passed a bill in favor of stem cell research. More education is necessary so that everyone understands these cells. At Children's Hospital, we have created a website that provides basic information about stem cells, their biology and potential for therapies.

Despite the plaintiff's allegations and the judge's apparent concurrence, it makes no sense from either a research or therapeutic standpoint to pit adult stem cell against embryonic stem cell research. Think about the chaos that would be created if a heart researcher could file an injunction saying they were harmed and poorly funded because they are in competition with diabetes research. Giving artificial and unmerited research preference to one type of organs or cells over another would completely undermine the federal peer review process and funding strategy, and more important, would absolutely constrain ongoing searches for treatments and therapies.

As a hematologist, I have used adult blood stem cells from bone marrow to treat patients with leukemia. I cannot think that any scientist or patient would view blood stem cell research as "in competition" with embryonic stem cell research. Embryonic stem cells were the essential key to discovering how to reprogram adult skin cells, and the ultimate therapeutic success of these new reprogrammed cells absolutely will require additional embryonic stem cell research.

Unlocking the potential of stem cells to cure disease requires comparisons of both adult and embryonic tissues. These are not two warring sciences; they are both integral parts of the single field of stem cell research. As the founding president of the International Society for Stem Cell Research, I know that the most respected scientists and researchers who work on adult and embryonic tissues are working together.

The position of embryonic stem cell and reprogrammed stem cell research now is similar to where we were in the mid-1970s with bone marrow transplantation. In 1975, the science was still relatively young and no transplants had yet taken place. But over the next decade, bone marrow transplants moved from unknown and experimental to widely accepted and standard therapy.

In issuing an injunction against President Obama's order, Judge Lamberth cited the potential harm to federal funding of adult stem cell research from the federal support of embryonic stem cell research. The irony is that this decision is a blow to all research, and with it to America's economic competitiveness and to the hopes of countless families for a cure.

The opinions expressed in this commentary are solely those of Leonard I. Zon.

@highlight

Federal judge halted federal funding for research using embryonic stem cells

@highlight

Leonard I. Zon: Adult stem cells not perfected, work in combo with embryonic cells

@highlight

Zon warns U.S. risks being overtaken by many countries in biomedical research

@highlight

Ideology, confusion behind ruling, he writes, 80 percent of Americans support research