With six years and dozens of Cabinet nominations under his belt, President Barack Obama has learned that first picks don't always work out.

That lesson, introduced before he even took office, is only made clearer by the process of replacing outgoing Defense Secretary Chuck Hagel. The top names on the White House "shortlist" -- which included former high-ranking Pentagon official Michele Flournoy, Homeland Security Secretary Jeh Johnson and Rhode Island Democratic Sen. Jack Reed -- all withdrew themselves from consideration.

Obama's expected pick, former Pentagon number two Ashton Carter, was on the shortlist too. But reports he'd been selected for the job only emerged after the others dropped out.

The letdown of going with second (or third) choices for Cabinet positions isn't new for Obama. Here are other first picks who didn't make it:

Susan Rice -- Secretary of State

When Secretary of State Hillary Clinton left her post following Obama's re-election in 2012, Susan Rice quickly emerged as the frontrunner to replace her. Then the U.S. ambassador to the United Nations, Rice was seen as a close Obama confidante who had earned the his trust beginning with her work as a policy adviser during the 2008 campaign.

But her prospects of becoming the nation's top diplomat faded amid uproar over her statements about the September 2012 attacks on the U.S. mission in Benghazi, Libya, which Republicans claimed were misleading.

Obama consistently defended Rice from the attacks, even saying that if Republicans wanted to go after someone in the administration on Benghazi, "they should go after me."

But anticipating a drawn-out and rancorous confirmation process on Capitol Hill, Rice withdrew her name from consideration.

In a letter to Obama, she wrote "the confirmation process would be lengthy, disruptive, and costly -- to you and to our most pressing national and international priorities. That trade-off is simply not worth it to our country."

Obama eventually picked then-Sen. John Kerry for the post, and Rice moved into the White House as the president's National Security Adviser.

Tom Daschle -- Health and Human Services secretary

Before he was even sworn into office, Obama had felt the sting of a first-choice nominee being stymied by controversy.

Tom Daschle, the former Senate Majority Leader from South Dakota, had been a staunch and important supporter of Obama's, endorsing him almost a year before early primaries and caucuses in 2008. His name (along with many others) was even floated as a potential vice presidential pick.

When it came time to name a nominee for Health and Human Services secretary, Daschle was a natural choice. Obama announced his pick in December 2008, after he had won the election but before he took office.

Two months later, the nomination was in shambles: Daschle admitted failing to report $15,000 in charitable donations and conceded he hadn't reported using a car service. That was after he was forced to pay $140,000 in back taxes.

Recognizing the political firestorm ahead, Daschle withdrew his nomination. Later, Obama admitted he made a mistake in how he handled the process.

"I think I screwed up," he told CNN's Anderson Cooper. "And I take responsibility for it and we're going to make sure we fix it so it doesn't happen again."

Later that month, Obama nominated Kathleen Sebelius, then the governor of Kansas, to run his health agency.

Bill Richardson and Judd Gregg -- Commerce Secretary

Commerce Secretary isn't typically the highest profile post in a president's administration. But in the early days of Obama's tenure the task of filling the job turned into multiple disappointments, as one candidate became embroiled in disclosure problems and another withdrew for ideological reasons.

Bill Richardson, the former Clinton administration official who in 2008 was serving as governor of New Mexico, was Obama's first pick for Commerce. Former rivals during the Democratic primaries, Richardson endorsed Obama during the extended battle with Clinton.

But the nomination process soured as federal investigators looked into Richardson's ties to a company that did business with his state. Richardson denied any wrongdoing, but said the extended probe would force an "untenable delay" in his confirmation process.

Sen. Judd Gregg, a Republican from New Hampshire, was Obama's next pick. He was one of three Republicans Obama had asked to join his Cabinet in an attempt to convene a "team of rivals" in Washington.

And while Obama likely anticipated some disagreements, Gregg eventually realized their differences would be impossible to overcome. He withdrew his nomination citing "irresolvable conflicts" with Obama's economic plans, and said it had "obviously" been a mistake to accept the nomination in the first place.

Gary Locke, who had served as governor of Washington State, was the third -- and final -- pick for the job.

Sanjay Gupta -- Surgeon General

Shortly after taking office, Obama considered tapping neurosurgeon and CNN chief medical correspondent Sanjay Gupta as his surgeon general. Aides said Gupta was Obama's top choice for the post, which is the nation's highest-ranking official for public health issues but isn't a Cabinet-level position.

But after speaking with senior members of Obama's administration, Gupta withdrew his name, saying he would have been forced to give up practicing medicine to take the job.

He told Larry King he felt flattered to have been considered for the job, but that the timing was inconvenient.

It wasn't for another four months that Obama named his eventual pick, Alabama physician Regina Benjamin.

@highlight

Obama is expected to nominate Ashton Carter as defense secretary

@highlight

Carter emerged as the frontrunner after other candidates withdrew

@highlight

Obama has had to make second choices for several Cabinet positions