(CNN)Is there pixie dust mixed into the food and drink of the happiest places on Earth? Or is it something in the crisp clear air of many of the world's happiest nations?

When the United Nations declared March 20 the International Day of Happiness, it recognized the relevance of "happiness and well-being as universal goals and aspirations in the lives of human beings around the world." This officially-designated happy date is marking its third year.

The happiest of countries -- many of which are in Scandinavia according to the most recent World Happiness Report -- have a robust combination of higher life expectancy, gross domestic product per capita, social support, generosity, freedom to make life choices and lower perceptions of corruption. By analyzing happiness data, officials hope to improve the world's social, economic and environmental well-being.

The report is sponsored by the Sustainable Development Solutions Network for the United Nations. The network published the last World Happiness Report in 2013 and expects to release its next report in April.

World Happiness Report 2013 (PDF)

What about those of us who don't live in the top 10 happiest countries in the world? We can't wave a magic wand and improve our home country's economy or reduce corruption.

And the world's greatest beach is ...

Maybe if you travel to happy countries with an open mind and a loving heart, you can pick up on that Danish spirit of "hygge," which is sometimes translated too simply as the Danish need for "coziness."  It's really a more complex sense of intimacy, community and contentment that generally happens with friends and family. Lest you doubt the Danes and their hygge, remember they live in the happiest country in the world.

1. Denmark

Denmark came in first place as the happiest country in the world in the 2013 happiness report and one of the happiest places in Denmark must surely be Tivoli Gardens. One of the world's oldest amusement parks, Tivoli Gardens will reopen on April 10 for the season to throngs of native and foreign visitors.

If a calmer Copenhagen is more your preference, visit the King's Garden at Rosenborg Castle, a popular spot for locals to picnic during the summertime.

10 record-setting U.S. natural wonders

2. Norway

Dining in the Norwegian capital city of Oslo will make any gourmand smile with joy. The esteemed Michelin food guide 2014 awarded five stars among four restaurants: Ylajali, Statholdergaarden and Fauna each received one star each, while Maeemo held onto two stars.

For a more natural experience in Norway, head to Dovrefjell National Park in the Dovrefjell mountain area to spot musk oxen, those shaggy arctic creatures, on a guided tour. You might also spot reindeer at the mountain area, which is the barrier between southern and central Norway.

3. Switzerland

The Swiss town of Zermatt and the 200 miles of ski slopes in the region will delight any avid skier. And serious hikers will enjoy the famous Matterhorn. Even in summer the slopes welcome some of the world's national ski teams to train -- and you, on your relaxing vacation.

For a quieter Switzerland experience, head to the car-free village of Appenzell (population 7,000) and its extensive network of hiking trails. Take a warm whey bath and nibble a piece of Alpine cheese.

4. Netherlands

The tulip -- the happiest and most iconic of Dutch flowers -- has already started to bloom at the Keukenhof gardens, which opens March 20 for Holland's spring season. Visitors come from all over Europe to see the different varieties of tulips and other flowers. (Make sure to visit before the gardens close on May 18.)

For a more active view of the tulips, take a bike tour through Holland's flower growing region. Fit travelers can bike the Ijsselmeer tour, which winds through the country for about 400 kilometers (about 250 miles) over eight days. If you don't want to stay on your bike for a week, there are shorter trips or you can plan your own.

5. Sweden

Stockholm's Gamla Stan is one of the largest and best preserved medieval city centers in Europe, and one of the top attractions in the city.  After exploring Stockholm's medieval past, stroll through the city's Royal National City Park, the world's first urban national park.

For a more peaceful attempt at happiness in Sweden, why not book a paddling trip through Western Sweden? Kosterhavet Marine National Park on the Bohuslän coast is an ideal spot for exploration, and the park can be reached from several towns along the coast.

No matter where you are, make sure to take a fika, a coffee break, with your new Swedish friends (it's not something Swedes do alone). If you don't drink coffee, any drink will do. It's about relaxing together as a community.

6. Canada

Protecting the land of Banff National Park is one of Canada's happiest and smartest decisions and it is certainly worth your time to explore on skis. Check out Skoki Lodge to see the first commercial ski lodge built in Canada.

If you want to go off the beaten path in Canada, consider exploring the Haida Gwaii (Islands of the People), formerly known as the Queen Charlotte Islands and the home of the Haida Nation. Just a two-hour flight from Vancouver, there's plenty of outdoor activities and exploration of the culture and history of one of Canada's First Nations.

7. Finland

Of course you should see the Northern Lights and even Santa Claus Village (open year round for your convenience). Want to make your trip to Finland a little more special? How about sleeping in a glass igloo at Kakslauttanen? Enjoy an amazing view of the Northern Lights and a starry sky above in your room temperature two-person igloo. (Toilet included. Showers are in a separate building.)

If you prefer a small seaside town, head to Hanko where cycling, surfing and diving are all possible during the warmer months. There's a saying in the Finnish language (or so we are told) that when you're really happy, you smile like a cookie from Hanko. (Explanation for that in this pdf.) You can't not be happy in Hanko.

8. Austria

The music at Vienna's Musikverein's famous Golden Hall, is happiness for the ears and having the famed chocolate Sacher torte at the Café Sacher in Vienna is music for the mouth.

If you prefer to get away from the hustle and bustle of Vienna, have a meal at the Pogusch Country Inn, the sister restaurant of the famous Steirereck in Vienna. To extend your pleasure, book a room at the inn and enjoy a weekend in the country.

9. Iceland

No one should visit Iceland without taking a dip at the country's famous Blue Lagoon. The airport bus sometimes even offers paying passengers a stop there on the way to and from the airport, and the waters (and food) are divine. Or make sure you take a soak at any of the county's other naturally heated swimming pools.

If you're up for an adventure, head to Snæfellsjökull National Park to see a glacier on top of a still active volcano (although the last time it erupted was 1,900 years ago). You will spot Snæfellsjökull (Snæfell Glacier), Saxhóll volcano crater, Lóndrangar massive lava formations and Rauðfeldargjá the hidden waterfall. Snæfellsjökull was made famous by Jules Verne's "A Journey to the Center of the Earth."

10. Australia

One of the seven natural wonders of the world and a site on the UNESCO World Heritage List, the Great Barrier Reef is a must-see site for any first-time visitor to Australia. The Great Barrier Reef covers 344,400 kilometers in area and includes the largest coral reef ecosystem in the world. Some 600 continental islands, 3,000 coral reefs and about 150 inshore mangrove islands are included in the area.

Yet it could be argued that the residents of Wollongong are among the nation's happiest. Bypass the area's hang gliding and golf (unless they make you happy) and head straight to the Nan Tien ("Paradise of the South" in Chinese) Temple, the biggest Buddhist temple in the Southern Hemisphere. Try one-day or weekend retreats for a better chance at going home more enlightened -- maybe even happier.

@highlight

March 20 is the United Nations-designated International Day of Happiness

@highlight

Try visiting some of the happiest countries to catch a bit of their spirit

@highlight

The Danish spirit of 'hygge" may take over your visit