(CNN) -- After Michael Brown was killed, the chorus was loud among those who felt video evidence would illuminate what happened between the unarmed teen and Officer Darren Wilson on August 9. They asked: Why didn't Wilson have a body camera?

Following the grand jury's Wednesday decision not to indict Officer Daniel Pantaleo, who, on camera, used a chokehold on Eric Garner that's banned by the New York Police Department, a different question emerged: What's the point?

President Barack Obama has called for 50,000 body cameras for police officers. New York Mayor Bill de Blasio has called for officers to wear them as well, but skeptics were out in force on Twitter after the grand jury's decision in Garner's death.

"Body cameras on cops aren't going to change anything." one person wrote. "There was clear footage of this cop killing Eric Garner, cop still wasn't indicted."

"Introducing police body cameras will do nothing,,, this WAS on camera!" read another tweet.

Asked about Obama's plan, Garner's dad, Ben Carr, also expressed doubt, telling CNN, "Throwing money away. Video didn't matter here."

Camera phone footage shows Garner, whom police accused of illegally selling single cigarettes, arguing with two officers. The 350-pound man tells the police he's minding his business. He's clearly upset, gesticulating as he accuses officers of previous harassment.

"I'm tired of it. This stops today," he tells them. "I did not sell nothing."

As the two officers reach for his arms to make an arrest, he pulls away, telling them, "Don't touch me." Pantaleo administers the chokehold after two more officers appear, and within nine seconds, they take Garner to the ground.

A fifth officer joins the fray as Pantaleo forces Garner's head into the sidewalk, eliciting repeated, muffled cries from the 43-year-old, "I can't breathe. I can't breathe."

Garner later died.

When it was announced Pantaleo wouldn't be indicted, people took to Twitter to question the usefulness of body cameras if a grand jury won't indict an officer who was caught on video using a maneuver banned by his own police department.

This is an even more pointed question when you consider a statistic from the department's own Civilian Complaint Review Board: Despite the NYPD banning chokeholds in the 1990s, New York officer was accused of putting someone in a chokehold, on average, every other day from 2009 through the first half of 2014 (you can see the numbers for yourself on page 55 of the board's report).

Of those 1,048 complaints, the review board substantiated only 10, and at the time of the board's report, only one officer had been charged and only one had been disciplined, with a "loss of up to 10 days of vacation" (three of the 10 were still "pending disposition" at the time of the report).

Following Brown's shooting, body cameras became cause du jour.

Sen. Claire McCaskill, D-Missouri, said in August that if local police agencies want to qualify for federal funding, their officers should be required to wear body cameras, and Obama said he would ask for $263 million that would, in part, provide police departments with the recording devices.

CNN and CNNMoney ran numerous stories under headlines such as:

-- "Can cell phones stop police brutality?"

-- "No dashcams in Ferguson: One less tool in Michael Brown shooting investigation"

-- "Post-Ferguson, more police uniforms include cameras"

-- "Can technology prevent another Ferguson?"

Yet all this clamoring to put cameras on officers' lapels ignores that police use of force has remained relatively static despite the increasing popularity of camera phones over the years.

Cell phone companies began equipping their devices with cameras in the United States in 2002. They've proliferated since, but according to Bureau of Justice Statistics, reports of police using force or threatening to use force barely budged, from 1.5% of those who had contact with police in 2002, to 1.6% in 2005, to 1.4% in 2008.

It important to note that juries are asked to hold police officers to a different standard than civilians. In 1989, the Supreme Court decided in Graham v. Connor that a police officer's use of force should be "analyzed under the Fourth Amendment's 'objective reasonableness' standard, rather than under a substantive due process standard," under which the average American's actions would be gauged.

The ruling requires juries to determine whether an officer's actions were "'objectively reasonable' in light of the facts and circumstances confronting them, without regard to their underlying intent or motivation." It also demands juries consider that a "reasonable officer" is "forced to make split-second decisions about the amount of force necessary in a particular situation."

Twenty-two months later, the country watched home video of four Los Angeles police officers using a stun gun on Rodney King and hitting him more than 50 times with batons. In April 1992, an all-white jury acquitted three of the officers, while it was hung on the fate of the fourth officer, resulting in a mistrial.

Fast-foward to 2014, and in addition to Garner's death you have more instances in which seemingly excessive force caught on tape didn't result in a conviction for the accused officer.

A grand jury declined to indict an Ohio police officer who killed 22-year-old John Crawford III in August as he walked through a Beavercreek Wal-Mart carrying an air rifle.

The Albuquerque, New Mexico, Police Department stood by officers who in March shot a mentally disturbed, homeless 38-year-old, James Boyd, in the back after hours of negotiation in which Boyd wielded two small camping knives. Police then released a dog and fired bean bags at him as he gasped for breath. A county and federal investigation are ongoing.

Police in Hammond, Indiana, also stood by officers who smashed the passenger window of a car and used a stun gun on Jamal Jones in September after pulling over his partner, Lisa Mahone, for a seat belt violation. Police say Jones refused to identify himself and exit the car, leading them to believe he was armed.

At the same time, there are instances in which police departments did not stand by their officers when cameras captured what appears to be excessive force.

"Why did you shoot me?" begged Levar Jones, 35, in September after a South Carolina state trooper asked him for his driver's license and opened fire when he reached into his car for it. Sean Groubert was fired and charged with aggravated assault and battery, the South Carolina Law Enforcement Division said.

A witness said Saratoga County, New York, Deputy Shawn Glans hit a man in the head last month after the man told him he didn't want his car searched. Glans was caught on tape cursing at the man and telling the witness, who recorded parts of the incident, "I'll rip your f***ing head off." Glans, who has resigned, was charged with official misconduct and second-degree harassment.

The facts, along with these incidents -- and the disparity in how the cases were handled -- don't appear to provide a solid answer on whether body cameras are the answer to curbing excessive uses of force by police in America. In fact, they seem to demonstrate that these are complicated issues that won't likely be resolved by a simple camera on a cop's lapel.

CNN's Ray Sanchez contributed to this report.

@highlight

Missouri senator, President Barack Obama lead calls for police body cameras

@highlight

Death of Eric Garner, caught on video, raised question: What's the point?

@highlight

Grand jury declined to indict Officer Daniel Pantaleo in Garner's death

@highlight

Other incidents of alleged excessive force caught on tape produced mixed results