(CNN) -- Known for lederhosen, weisswurst and its beer festival, Munich is a city that counters these brassy cliches with a mix of art, history and style.

From onion domes to beer halls, the city of Munich also has more than its fair share to entrance culture vultures.

Don't be fooled by the chocolate box architecture in parts of the Altstadt (old town): Munich is the biggest city in the state of Bavaria with an ego to match -- no other state in Germany boasts its own "national museum." Yet the city manages to mix regional traditions with a slice of urban savvy and sophistication.

Visitors can take their pick from the cultural attractions and blend a little low and high culture together for a flying visit.

The Altstadt is walkable and the place to begin a day with its mix of baroque and gothic architecture. The green onion domes of the Frauenkirche remain visible over the low-rise city center.

Mostly destroyed during the Second World War, the Frauenkirche was rebuilt from its rubble and is worth a quick look inside for the peculiar windowless nave -- so designed after the architect made a pact with the devil, apparently. Nearby is Marienplatz and the fine gothic architecture of the new town hall with its ever-so-twee glockenspiel and animated chiming clock.

From the Karlsplatz U-Bahn station to Marienplatz you'll find some "any-town, anywhere" shopping options, but push on towards Maximilianstrasse and you'll discover where the Munich money goes to splash the cash, although gaudy ostentation isn't a very Muenchner trait.

For more down-to-earth shopping a few steps from Marienplatz is the Viktualienmarkt and Schrannenhalle, the former offering food and drink from across Europe and the re-built Schrannenhalle housing a buzzy mix of shops and places to grab a bite to eat. Alternatively the city is dotted with snack bars where you can grab a würst and hope for the best.

From the boutiques and brands to the beer cellers. The city becomes a beer-lover magnet every autumn, when international boozers stagger into the city for the annual Oktoberfest beer festival. Things can get messy, but you can get a taste of the beer hall experience any time of year.

There are a number of beer halls around the city, one on Marienplatz itself, although the most famous is the Hofbrauhaus a few minutes to the north. But if a darkened, boozy room with an oompah band and the sight of some ill-fitting lederhosen isn't your preferred choice for lunch, there are many cafes and restaurants around the Altstadt to cater for all tastes.

Away from the traditional aspects of the city, Munich is a hub for high tech, high art and high rollers. BMW has its HQ here -- auto fans should motor over to its museum. The city also has more than its fair share of world-class cultural attractions. The Residence Museum, National Theater and Museum of Egyptian Art are just a few to be found between Marienplatz and the Hofgarten.

Just to the north is one of Europe's largest city parks, the Englischer Garten, scene of the German tradition of the post-prandial walk. The park stretches about 5 km away from the city center.  View photos of the Englischer Garten and more of Munich »

As you're walking through you can duck off to the west and you'll be close to Munich's cultural big hitters, the Pinakothek museums. The Pinakothek triumvirate have enough art and history to span hundreds of years, and take almost as long to see in their entirety. If you've only got a few hours it's a better idea to pick one.

The latest edition is the Pinakothek der Moderne, which opened in 2002 and houses an impressive collection of 20th century and contemporary art in an almost equally impressive interior.

If you've had your fill of art, take a short walk north and you'll hit the formerly bohemian residential area of Schwabing. Now more well-to-do, the area retains a bit of cultural mix, with the nearby university providing some youthful energy. Independent shops, cafes and bars are dotted around the streets, some catering for student budgets, others for those who paid off their student loans long ago.

It's a fine area to stop for some afternoon coffee and cake -- The News Bar has a mix of the local demographic and Cafe Zeitgeist on Turkenstrasse is another choice spot.

Further afield, there's the vast, but staid, Deutsches Museum on its own island in the middle of the River Iser, while to the west of the city is Olympic park. It's home to the Tollwood summer and winter festivals, but year round you can get a great view from the tower of the Olympic Stadium of the city and the former home to the city's two football clubs. The Allianz Arena, a huge swirl of a stadium that opened in 2005, is now the home of Bayern and lowly 1860 Munich. Football fans can visit the stadium with daily tours.

From the masses to regal splendor, the Nymphenburg Palace was the summer residence of the Wittelbach dynasty that ruled Bavaria for over 700 years until 1919. The grand rooms should sate anyone's need for gold gilt and eighteenth-century grandeur.

When evening comes, the city can accommodate those with a hunger for cosmopolitan dining as well as more traditional cuisine. For entertainment, theaters and the city's opera house provide more refined fare, while those in search of some more late-night, grungy fun can head to the complex of bars and clubs of the Kultfabrik -- a former industrial site now offering late-night kicks on an industrial scale.

Better than Berlin? What do you think of Munich? Send in your travel tips for the Bavarian city using the Sound Off box below.

@highlight

The biggest city in Bavaria mixes local tradition and cultured sophistication

@highlight

From beer halls to 17th-century palaces, visits can be tailored to suit all tastes

@highlight

Oktoberfest is an annual exception; city is home to a number of world-class galleries