(CNN) -- The weeks have passed and, in most cases, their nerves have calmed. What began as shock, that they were almost victims of an in-flight terrorist attack, has morphed for many into contemplation. There are those who are still talking about what happened to them on Christmas Day, and there are others who are determined to put the incident behind them.

The passengers of Northwest Flight 253 may have been one faulty explosive away from disaster.

The suspect in that incident, Nigerian-born Umar Farouk AbdulMutallab, 23, pleaded not guilty in January to six federal terrorism charges. And he has been talking to authorities, thanks to help from his own family members.

But what if the passengers could be part of that conversation? What would they want to know or say to AbdulMutallab, the government, the world? CNN reached out by phone and e-mail to find out.

More than anything, if they could sit down with AbdulMutallab they would simply ask: Why? How did a young man who grew up with privilege, education and exposure to the greater world end up accused of attempting a terrorist attack?

"For me, these are the burning questions," said Roey Rosenblith, 27, who co-founded Village Energy, a company in Uganda that hopes to help bring solar electricity to the 80 percent of Africans who have no electrical power. "I've never had someone try to murder me, much less someone I didn't even know. So I'm very interested in finding out more about [his] motives so that we might possibly figure out how to avert others from traveling down the same path."

Could the fact that AbdulMutallab is talking to officials signal he has regret, Rosenblith wonders. If not, if he is a "lost cause," Rosenblith said he wouldn't care to waste breath speaking to him.

"I don't spend a lot of time seeking out conversations with Holocaust deniers, Islamic fundamentalists or religious fanatics of any stripe," he said. "I guess I've decided that people that are beyond the pale of reason are simply that and nothing I say will convince them otherwise."

Melinda Dennis, 31, was sitting about an arm's length from AbdulMutallab when he was taken up to first class after the incident. She stared at him, and his blank expression. Now she says she'd rather speak to others considering the path he is accused of taking.

"No matter what nationality we are or religion we choose, we are still people. I am a human being, a person that faces each day trying to make myself better and enrich the lives of people who know me," said Dennis, who's lived the past year-and-a-half in Rotterdam, Netherlands, where she works as a manufacturing project manager. "Whether I live or die should not be decided on the whim of a person that wishes to brand all Americans as evil people. I am not defined by my nationality, but I believe in the goodness that resides in the people of every country."

Not everyone would let AbdulMutallab get away without hearing from them. If she could speak to him, Lori Haskell, a 32-year-old attorney in Michigan, would give him an earful.

"You attempted to kill my husband and I, as well as 300 other individuals, and you don't care at all," are some of the words she said she'd share. "You have taken away my carefree attitude about flying and have made me terrified to fly anyplace ever again. I don't say this word much, because I don't like it, but I completely and totally hate you and what you did to my family. I never believed in the death penalty until I saw you try to blow me up."

Her anger is directed, too, at government authorities who she and others feel let them down.

In the weeks that have followed the Christmas Day incident, further information has come to light about what officials knew or should have known before AbdulMutallab set foot on the airplane. AbdulMutallab's father had met with U.S. Embassy officials and with the CIA to discuss concerns about his son. U.S. intelligence reportedly knew about "The Nigerian" who had ties to Yemen, and they even had a partial name of "Umar Farouk."

Customs and Border Protection officers say he was on a list of people who should be questioned when entering the U.S. They planned to talk to him once the aircraft landed in Detroit.

But before they could do that, authorities say AbdulMutallab attempted to ignite an explosive device hidden in his underwear.

"I would ask [officials] to not get complacent ... just because we didn't die," Dennis said. "We were lucky, pure and simple."

Added Mirco Lammerts, of the Netherlands, a 46-year-old father who was traveling with his wife and two teens: "Why were we forced to stay on the plane while they knew there might be a risk of another bomb on board? Why were we being held like cattle for almost seven hours without any information at all?"

His concern may be fueled by the helplessness he felt after his 13-year-old daughter, seated directly behind AbdulMutallab, leapt into his lap and grew hysterical.

No one knew, when the flight landed, that there were no other explosives on board, and for this reason, Patricia "Scotti" Keepman echoed similar concerns: "Why did you allow the passengers to remain on the plane until you removed AbdulMutallab? Why were we not your first priority?"

Keepman, 51, her husband and grown daughter were making their way home to Oconomowoc, Wisconsin, with two new family additions in tow -- a boy and girl they'd just adopted from Ethiopia. After the incident on the plane, as it descended into Detroit, the family found comfort in their religious beliefs, joining hands and singing "Jesus Loves Me." In the aftermath, they still draw on their faith.

"Do not let people in this world filled with hatred stop you from experiencing everything this world has to offer. God is in control in the end, so you need not fear what 'might' happen, but rest in knowing that you are in his hands," she said, as a warning to others whose lives may be touched by terrorists.

Some people like Beau Taylor, who at 35 has dedicated his professional life to economic and rural development in places that have included Iraq, don't even want to think about this incident anymore.

"I have put the experience behind me," said Taylor, who has witnessed up close the destruction of bombs, "and do not wish to revisit it at this point."

But at least one passenger, who said he remains "tormented" by the experience and "disappointed" in the government, wants not only to keep revisiting it but to get the passengers recognition for surviving it.

Alain Ghonda, a 38-year-old real estate developer who lives in Silver Spring, Maryland, would like passengers to sign a petition so that they may all be honored by President Obama, the state of Michigan, Northwest Airlines and its parent company Delta Air Lines. He is convinced that it is because of the passengers -- "We were all heroes," he said recently -- that Flight 253 didn't become the next 9/11.

"Would we have been dead," he said, "our spouses and children would have been guests at the White House and Congress, receiving medals and American flags."

This kind of thinking bothers Lammerts, who fired off a response to Ghonda's request, saying, "It does not matter who did or did not do anything. Fact of the matter is that we would not have been able to do anything at all if the igniter would have functioned properly. ... We are victims of a failed terrorist attack."

Lammerts said he and his family "are getting on with our lives and are just extra grateful for being alive," and he told Ghonda, "I recommend you try and do the same. Live your life to the fullest."

That's a message that Rosenblith, who is back in Kampala, Uganda, carries with him, too.

"Though this might sound strange, for me personally almost getting killed 30,000 feet above the earth by an al Qaeda terrorist has been one of the best things that's ever happened to me," he said. "Now being alive, seeing the blue sky, hearing the rain fall, eating a delicious meal, drinking a beer with a friend -- everyday stuff just feels like an amazing gift. ... I feel as though I've somehow cheated death and against all odds been given this gift of continuing my life."

And he recognizes this gift every single day.

"I actually have my boarding pass framed now, and it's sitting on my desk, right next to a little prayer book I keep with its page turned to Psalm 23," he said. "I keep it there simply to remind myself that whatever happens to me, things could always be far worse."

@highlight

Umar Farouk AbdulMutallab allegedly tried to detonate bomb on Northwest Flight 253

@highlight

As accused would-be bomber speaks to authorities, passengers share their thoughts

@highlight

Frustration with government and fear remains for some, while others move on

@highlight

Having "cheated death," one passenger is grateful for "this gift of continuing my life"