New York (CNN)Wall Street is more than ready for Hillary Clinton.

The former secretary of state confirmed on Sunday what the political world has expected for months -- eight years after her first failed White House bid, Clinton will once again seek the Democratic Party's nomination for president.

"I'm hitting the road to earn your vote, because it's your time," Clinton said in a video released Sunday afternoon officially kicking off her campaign. "And I hope you'll join me on this journey."

As Clinton sets off onto the campaign trail to reintroduce herself to voters and court donors across the country, Wall Street elites are ready to roll out the red carpet. But while the enthusiastic support from the industry will be a financial boon for Clinton's newly launched campaign, it will also pose a delicate balancing act when it comes to appeasing a vocal wing of her party that is antagonistic toward the banking sector.

Clinton, 67, has long enjoyed a close relationship with the financial industry.

As a New York senator for almost a decade, she represented Wall Street and courted the industry aggressively during her last presidential campaign. And there is a certain degree of nostalgia within the industry for her husband's two-term presidency, marked by the 1990s bull market and broad financial deregulation, including the repeal of the Glass-Steagall Act, which separated commercial banking from riskier investing activities.

Now Clinton's allies in the finance world are eager to galvanize a broad network of potential donors in New York and beyond. Many on Wall Street and in the broader business community view her as a dependable, business-friendly force within a Democratic Party that has grown increasingly populist during President Barack Obama's time in office.

Robert Wolf, the former CEO of UBS Americas and a close Obama associate who will back Clinton in 2016, said there's an "incredible amount of enthusiasm" for her campaign to get off the ground.

"We know the secretary from the years of being first lady to the senator to the secretary, so we have decades of working relationship with her," Wolf, who now runs a boutique consulting firm headquartered in Manhattan, told CNN. "I don't think it's surprising that the former senator of New York is close to the finance community."

Longtime Clinton friend and prominent Democratic fundraiser Alan Patricof, who founded the venture capital firm Greycroft Partners, said Clinton has "an enormous following" both inside and outside of the finance world.

"There are a lot of people who perhaps didn't know her as well before who are all set to jump on the bandwagon," Patricof said. As compared with 2008, he added: "There is no diminishment, just the opposite -- an acceleration of interest in her running for the presidency."

But the fanfare won't sit well with everyone.

The former first lady's perceived coziness with Wall Street is a source of irritation for liberal activists, who hope to push the eventual Democratic nominee to embrace progressive ideals during the 2016 primaries.

Clinton, who lost her first presidential campaign to a challenger from the left, seems to recognize that the liberal wing of the party has grown even more vocal and influential since then, especially on economic matters.

Her video message on Sunday centered on the theme of upward mobility and an economic recovery that has left some behind.

"Americans have fought their way back from tough economic times, but the deck is still stacked in favor of those at the top," Clinton said, vowing to be a "champion" of "everyday Americans."

That statement tracks closely with her tone in recent public appearances, where the former secretary has been hitting on populist economic themes. She has taken on a range of issues that most appeal to liberals, such as the wealth gap, minimum wage and equal pay, in the months leading up to her announcement.

In January, she took to social media to defend the 2010 Dodd-Frank Wall Street reform law, which contains provisions that the industry has tried to roll back. "Attacking financial reform is risky and wrong," she wrote on Twitter.

Bill Daley, a longtime Clinton ally and former Obama chief of staff, said Clinton has to reintroduce herself to the party. If she defends policies viewed as having contributed to the financial crisis, Daley said, "that's a problem."

He continued: "My guess is she'll have enough policy positions that says she's not in the tank with them."

Clinton's early gestures have not satisfied some activists, who point to Massachusetts Democratic Sen. Elizabeth Warren as their candidate of choice. Several liberal groups have even launched a formal draft campaign to elevate the senator and highlight her progressive views.

Former Republican New Hampshire Sen. Judd Gregg, who served as head of the Securities Industry and Financial Markets Association, said part of Clinton's challenge stems from the fact that "the center of the Democratic Party has moved very much to the left."

"Hillary has always been much more rational on these issues and much more mainstream," Gregg said. "I presume she's going to get the nomination, but she may be contested from the left."

While Warren has shown no interest in running for president this cycle, other Democrats have been taking aim at big banks as they tour the early presidential states.

Former Maryland Gov. Martin O'Malley, former Virginia Sen. Jim Webb and Vermont Sen. Bernie Sanders, an independent who caucuses with Democrats, are all testing the waters. They have made economic populism central to their potential campaigns, proposing to crack down on the banking sector, reform the culture on Wall Street and toughen financial regulations.

None of these potential candidates will be able to compete with Clinton's extensive fundraising apparatus. But their presence in the race could exert pressure on Clinton to embrace progressive policies.

After Clinton's announcement Sunday, a collection of liberal activists declared that the former secretary of state must prove her progressive bona fides.

"We look forward to Hillary Clinton and other candidates laying out their platforms and hearing whether they embrace the fights that Sen. Warren has spent her life leading," said Ready for Warren campaign manager Erica Sagrans. "In the coming days, Ready for Warren will be stepping up our efforts to convince Warren to run for president."

Now that she is a formally declared candidate, political strategists expect Clinton to be more outspoken, laying out her economic priorities quickly and in her own terms.

Democratic strategist Chris Lehane downplayed the notion of Clinton-Warren tension in the Democratic Party, predicting that with Clinton as an announced candidate, "she'll offer a pretty compelling rationale" for her campaign.

Lehane, who worked in Bill Clinton's administration, said he envisioned an economic message for Clinton anchored in her biography: "I grew up in the Midwest in a middle class family, I understand the challenges that they face, we need to make sure that America gives people a fair shot."

Despite Clinton's embrace of more populist rhetoric, finance and business leaders aren't too concerned that she will back policies that are anathema to them. They expect that she will be able to articulate a broad economic goals aimed at the middle class rather than one that rails against bailouts and financial excess, particularly as the country gets more distance from the last financial crisis.

Kathy Wylde, president of the Partnership for New York City, a prominent business coalition, predicted that Clinton would be able to maintain her relationship with Wall Street without alienating the liberal base.

The fact that Clinton "is knowledgeable and maintains good, open relationships with the business and financial world does not suggest that she's in anybody's pocket," Wylde said. "She's demonstrated that she's an independent force."

@highlight

Hillary Clinton developed a close relationship with the financial world as a New York senator

@highlight

Clinton's allies there are eager to galvanize a broad network of potential donors

@highlight

Her coziness with Wall Street irritates liberal activists, who are a growing influence in the Democratic Party