It's an alleged true-life story that trumps Hollywood's latest castaway tale.

Thirteen months adrift at sea (maybe more). Thousands of miles traveled. Survival with only what nature and the elements provided.

Jose Salvador Alvarenga washed up on a remote coral atoll in the Marshall Islands last week in a heavily damaged boat. He said he had been living off fish and turtles he had caught and relying on rainwater, and sometimes his own urine, to drink.

He said he had been lost at sea for 13 months, after setting off from southern Mexico -- thousands of miles to the east. Many questions remain about how he could have lived on his small boat for so long as it drifted across the ocean.

Scientifically, his ordeal is plausible. But is it probable?

Alvarenga told CNN in an exclusive interview that he left from a port called Paredon Viejo in Mexico's Chiapas state in December 2012.

A Mexican newspaper visited the nearby hamlet where Alvarenga lived near Mexico's Pacific Coast. Local fishermen there say they remember Alvarenga and the day he went to sea and didn't come back.

They recall the date of departure being in November, a month earlier than the castaway remembers.

Boats went looking for him and his boat companion. The state sent an airplane to search for him.

"All of my fellow fishermen were elated because this is nothing short of a miracle. I have no words to describe the joy I felt when I learned he was alive. He's a wonderful human being and I'm glad he made it,"  Bellarmino Rodriguez Beyz, owner of Alvarenga's boat, told CNN.

He said the boat was equipped with a GPS system and radio communication, but both systems got wet and stopped working when a storm hit.

"When they told me that a boat had appeared with somebody on board I had no doubts," Rodriguez said. "I recognized Alvarenga immediately when I saw his picture. It couldn't be anyone else. The boat and the registration number check."

Who is this man?

Authorities are trying to determine the veracity of Alvarenga's story. The Mexican government has confirmed his identity and says he is a Salvadoran national who was living in the city of Tonala. The local fishermen told El Universal newspaper he actually lived nearby at a place called Pijijiapan.

Julio Camarena Villasenor, the Mexican ambassador to the Philippines, said Tuesday that Alvarenga is still recovering in a hospital in the Marshall Islands after being found in a "weak state of mind and health."

He'll be repatriated to El Salvador as soon as possible, once he is medically cleared to travel and has the correct documentation, the ambassador said. No time frame for the repatriation has been established yet.

Castaway's tale

How did a man survive such an ordeal -- as Alvarenga describes -- in a boat about the length of three people and the width of one person?

He pointed upward and said, "God. ... My faith in God."

"I thought, 'I am going to get out,' " he said. "Get out, get out, get out."

But he also admitted to dark moments, saying he considered killing himself.

"Twice I wanted to," he said, as he gestured at slitting his throat. "I wanted to with a knife. When I didn't have water, food; I gave up and I grabbed a knife."

But he says he was too "scared" to go through with it.

Losing his companion

Alvarenga says he left for what was supposed to be a one-day trip to catch sharks on December 21, 2012.

By his account, he and his teenage companion had already killed some sharks and had 400 kilograms (about 880 pounds) of the animals on the boat.

But they would not have the shark meat to survive.

"We threw it into the water. It was too much weight, and there was too much wind," he said. "Three days later, we wish we had what we had thrown away. We wanted to eat it, but the sea had already taken it away."

Alvarenga said that he and his companion were blown off course by northerly winds and then caught in a storm, eventually losing use of their engines.

They had no radio signal to report their plight, he said.

According to Anjenette Kattil of the Marshall Islands Ministry of Foreign Affairs, Alvarenga said that four weeks into their drift, he lost the young man because he refused to eat raw birds. There are no details yet on what Alvarenga did with the young man's body.

Rodriguez, the boat owner, identified Alvarenga's companion as 23-year-old Ezequiel Córdova. He said he was single with no children, but his parents, siblings and extended family live nearby.

In his interview with CNN, the castaway mentioned his companion only in passing, saying he believed that the boy's parents knew he was missing.

Lost at sea

During his long period at sea, Alvarenga said he lost track of the date and the day of the week.

He would follow the sun's path across the sky, he said, indicating the movement with his hands as he spoke.

"I didn't know the date or the day -- only the hours. Only that there was a sunset and a sunrise, nothing else," he said.

When there was no rain, he would resort to consuming his own urine, he said.

"Then it rained, oh, what happiness!" Alvarenga said.

The boat itself was a container to collect the precious rainwater.

He also ate sea turtles. "They would bang the boat -- boom, boom, boom -- and I would get up" and grab them from the water, he said.

Finding land

After 13 or 14 months at sea, Alvarenga says, the boat finally reached shore.

He swam to land and spent a night in the woods. He said he didn't have the energy to climb up the coconut trees he saw but was excited to eat a coconut he found on the ground.

The next morning, according to Alvarenga, he walked and found a small house and started shouting. A man and woman came to him, he said.

"I took them to see the boat, because they didn't understand me," Alvarenga said.

He gave them the boat as a gift, he said.

'Much better shape' than expected

Alvarenga was found on sparsely populated Ebon Atoll, a 22-hour boat ride from the Marshall Islands capital of Majuro, on Thursday.

The southernmost of the Marshall Islands' atolls, Ebon has only 2.2 square miles of land, one phone line and no Internet service. The government airplane that services the atoll was not working, so Alvarenga did not make it to Majuro until Monday morning.

People on the island where he was found Thursday say the 26-foot fiberglass boat was in very bad condition, covered in barnacles and with the carcasses of several turtles littering the deck.

Video from Majuro shows Alvarenga walking a gangplank from a government boat to a waiting ambulance. Waving to those gathered around the dock, he is supported by a medical assistant as he walks. From inside the ambulance, he gives a thumbs up before it drives away.

"He's in much better shape than one would expect after such an ordeal," said Tom Armbruster, U.S. ambassador to the Marshall Islands.

Officials don't doubt story

If Alvarenga's story proves true, the trip across the Pacific would have taken him across roughly 6,600 miles (10,800 kilometers) of open ocean before ending in the Marshall Islands, about halfway between Hawaii and Australia, in the northern Pacific.

Officials in the islands say they have no reason to doubt what he has told them so far, the Mexican ambassador said.

Such an amazing journey isn't unheard of in the small Pacific nation, as three Mexican fishermen made a similar drift voyage in 2006 that lasted nine months. Those men lived off fish they caught and rainwater, and they read the Bible for comfort.

Conditions in the Pacific make the timeline of Alvarenga's journey plausible, said Judson Jones, a producer for CNN Weather.

Jones said that given the average currents between Mexico and the Marshall Islands, it would have taken less than a year to travel from the origin to the end in the strongest average currents. If the trip did indeed take 13-1/2 months, it means his boat would have averaged about 18.6 miles (30 kilometers) a day. But Jones said a meandering journey in and out of the currents was most likely.

'We will have him back soon'

Alvarenga is from Garita Palmera in El Salvador, where CNN caught up with members of his family.

They said they hadn't heard from him in about eight years and thought he might be dead. He has a 12-year-old daughter there who doesn't remember her father.

"My heart would tell me that my son was not dead, but I wondered about it so often that I had started to lose faith," said Julia Alvarenga, his mother.

"God willing, my son is not dead. God willing, my son is alive. And we're going to see him again one day. I'm very happy after learning that he's alive and that we will have him back home soon," said his father, Ricardo.

But seeing what their son has been through also brings them feelings of sadness, he added.

"The last time we saw him, we didn't want him to go," his father said.

In the Marshall Islands, Alvarenga had this message for his family: "That I'm alive, that I'll see you soon."

Skepticism will undoubtedly follow his story as additional facts arise.

There's more to tell, he told CNN, but "I don't want to talk anymore. My head hurts. Another day, when I feel better."

Panama teen was adrift at sea for 26 days; mother calls return 'a miracle'

@highlight

The castaway's companion is identified as Ezequiel Córdova, 23

@highlight

"I thought, 'I am going to get out,'" Jose Salvador Alvarenga says in an interview with CNN

@highlight

He says he considered killing himself when he ran out of food and water

@highlight

Alvarenga says he lived off fish, birds, turtles, rainwater and urine while adrift