U.S. President Barack Obama pledged $7 billion Sunday to help combat frequent power blackouts in sub-Saharan Africa.

Funds from the initiative, dubbed Power Africa, will be distributed over the next five years. Obama made the announcement during his trip to South Africa, the continent's biggest economy.

"Access to electricity is fundamental to opportunity in this age. It's the light that children study by, the energy that allows an idea to be transformed into a real business. It's the lifeline for families to meet their most basic needs, and it's the connection that's needed to plug Africa into the grid of the global economy," he said.

Two-thirds of the population of sub-Saharan Africa lacks access to electricity, including more than 85% of those living in rural areas, the White House said.

"A light where currently there is darkness -- the energy to lift people out of poverty --  that's what opportunity looks like," Obama told students at Cape Town University. "So this is America's vision: a partnership with Africa for growth, and the potential for every citizen, not just a few at the top."

The program includes $1.5 billion from the U.S. Overseas Private Investment Corporation and $5 billion from the Export-Import Bank, the White House said. Sub-Saharan Africa will need more than $300 billion to achieve universal electricity access by 2030, it said.

The preliminary setup will include Ethiopia, Kenya, Liberia, Nigeria, Tanzania, Uganda and Mozambique.

"These countries have set ambitious goals in electric power generation, and are making the utility and energy sector reforms to pave the way for investment and growth," a White House statement said.

Obama's three-nation African trip started in Senegal and will end in Tanzania this week. The visit aims to bolster U.S. investment opportunities, address development issues such as food security and health, and promote democracy.

It comes as China aggressively engages the continent, pouring billions of dollars into it and replacing the United States as Africa's largest trading partner.

Obama applauded China's investment in Africa, saying he is "not threatened by it."

Africa's greater integration into the global economy will benefit everyone with the potential creation of new jobs and opportunities, he said.

"I'm here because I think the United States needs to engage with a continent full of promise and possibility," Obama said. "It's good for the United States. I welcome the attention that Africa is receiving from China, Brazil, India and Turkey."

However, he urged African officials to ensure that those who invest in the continent and its natural resources benefit Africans in terms of jobs and other assets.

Obama also visited Robben Island, where anti-apartheid icon Nelson Mandela spent a majority of his 27-year imprisonment, on Sunday. And he spoke at Cape Town University, the site of a famous speech by Robert F. Kennedy at the height of apartheid in 1966.

Obama heads next to Tanzania, where he is scheduled to attend events until Tuesday.

5 things Obama wants young South Africans to know

@highlight

Project will provide "the energy to lift people out of poverty," Obama says

@highlight

Fund will be distributed over next five years, White House says

@highlight

The preliminary setup will include Ethiopia, Kenya, Liberia, Nigeria and Tanzania

@highlight

It comes as China aggressively engages the continent