(CNN) -- If you've ever considered running away to join the circus, first you will need to impress someone like Krista Monson.

The Canadian choreographer and former dance instructor is ultimately responsible for casting Cirque du Soleil's 1,300-odd performers.

She directs a team of 60, including 21 talent scouts, who work in several countries and across social media platforms to find the world's best gymnasts, trapeze artists, contortionists, jugglers, ballet dancers, parkour practitioners, clowns, mime artists, musicians, synchronized swimmers and cliff divers.

Originally a small theater troupe formed by a stilt-walking, fire-breathing accordion player named Guy Laliberte, Cirque du Soleil began to tour in 1984, as part of Quebec's 450th anniversary celebration.

Today, it's one of the world's biggest and best-known circus shows, the subject of a new 3D film by "Shrek" director Andrew Adamson, and with licensing deals for shows featuring the music of Elvis Presley and Michael Jackson.

This year, the company estimates nearly 15 million people will see one of its 21 shows, and it will take in more than $1 billion.

More from Leading Women: The chess prodigy who beat men at their own game

To audiences, a Cirque du Soleil show looks entirely fanciful, but there are serious logistics behind all that fantasy.

Before joining the company in 2004 as artistic director -- which she says was like jumping on a fast moving train -- Monson choreographed the opening and closing ceremonies for the 2001 IAAF Athletics World Championships.

It involved directing more than 1,000 people on a field for a year, working with a multitude of people from different cultural backgrounds and artistic disciplines within set corporate protocols. She says it was good preparation for her current role.

"You're constantly balancing logistics with creative inspiration," she said. "What do you want this piece to say? What is the message? But at the same time you cannot forget the logistical nightmare that you have to deal with. No amount of inspiration or creative genius will make that presentable."

Besides fulfilling some 500 artistic and acrobatic roles for existing Cirque du Soleil shows, Monson is also constantly on the prowl for new acts.

"Just when you think you've discovered every discipline in the world, someone refers someone new and you can't categorize them ..." said Monson. "We actually like those moments because we know we're hopefully discovering something new.

Cirque journeys through 'World of Cinema'

"We (were) just referred a mermaid the other day," she adds. "A professional mermaid -- she's absolutely stunning ... "

Once new talent has been identified, signing them up can be a delicate matter. Dancers and actors often have agency representation while some sportspeople can't be approached until they have been released from competitive careers by their government.

She also observes a particular protocol when approaching performers from longstanding circus families.

"There's a certain ethic and a respect on our part -- maybe we will not approach the artist, maybe we will approach the grandfather or the father or the mother and tell them -- ask them -- 'Where is this artist in his or her career?'

"Because some of these circus families, they depend on each other. (A) flyer needs a catcher; catcher needs a flyer."

Even after an elite performer has joined the company, there are still more challenges to overcome, in order to integrate them into Cirque du Soleil's idiosyncratic, colorful mode of expression.

"They're seasoned pros in what they do, and we want that high level," Monson said. "But we also want them to do dances in the background dressed in weird costumes.

"Even if you're talking about an Olympic diver, artistic excellence is usually not something in their vocabulary."

Part of Monson's job, she says, is coaxing elite athletes to take artistic risks, "while assuring them that being foolish sometimes, or outside of your comfort zone, is noble."

See also: Gold medal sprinter teaches girls winning habits

Monson's own path to Cirque du Soleil came about while she was spending a year in Quebec studying French. A friend introduced her to one of the company's first touring shows, "Saltimbanco," in 1992.

"He said, 'You have to see what's going on in the Montreal pier,' and I saw the show and was inspired. You weren't told where to look and who to look at -- the lights didn't always direct you -- and so the freedom, as a spectator, was huge. You could really sit back and allow yourself to interpret."

Twelve years later, when Monson was working in Los Angeles, she was invited to interview for the role of artistic director: "It was a very non-traditional job interview," she said. "The woman was asking me about what makes me passionate, and what makes my heart turn blue, and what makes my blood turn yellow.

"I thought it was a bit of a waste of time, frankly, but it's not just about being on stage; it's about being in the Cirque du Soleil family."

Monson's husband is Cirque du Soleil band leader Paul Shihadeh -- they met in a green room -- and she says their two sons have a "crazy life" due to the scheduling challenges of their work.

But that's better than a banal life -- the thing, she says, she fears above all.

"My biggest fear is ... I don't want to be normal. I'm scared of prescribing to what I'm supposed to be or supposed to be doing. I think that's a big challenge for me, as a woman: I'm a mother, we have children, they have friends, we have a community and we want to be part of it.

"But what makes my adrenaline go is to really embrace the world around us that isn't necessarily normal."

'Cirque' is no ordinary circus

@highlight

Cirque du Soleil casting director Krista Monson is responsible for finding new acts

@highlight

She works with a team of 60 to identify and sign talent for the company's 21 shows

@highlight

Monson attributes her success to having the humility to listen

@highlight

But a bit of friction can result in the best decisions, she says