(CNN) -- In trying to understand the mind of a man like Ariel Castro, accused of kidnapping, beating, and raping three young women held in captivity for almost 10 years, two things are important to keep in mind: (1) in human psychology, nothing occurs in a vacuum; and (2) the psychological profile that is emerging of this man is not rare.

In fact, although Castro may be a more extreme example, there are aspects of his alleged pathology that are all too common.

What I mean by the first item is that the clues to understanding Castro is to look at the totality of his adult functioning, and to look at his developmental years growing up.

Read more: 'He is dead to me,' daughter of Ohio suspect says

The point is that the alleged monstrosity of his behaviors does not come out of thin air. We have only fragmentary evidence at this point, but many details will emerge in the coming days and weeks.

And while it's impossible to psychoanalyze someone from a distance, there are plenty of clues in this case.

We have reports that Castro was violent towards his common-in-law wife, Grimilda Figueroa, with whom he had three children.

She reported to police that Castro "broken petitioner's nose (twice), ribs, lacerations, knocked out tooth, blood clot on brain, (inoperable tumor), dislocated shoulder, (twice, once on each side) threatened to kill petitioner and daughters 3 to 4 times just this year."

Timeline: Three Cleveland girls go missing

The domestic violence protection order, filed on August 29, 2005, alleged that though Figueroa had full custody of their children, Castro, "frequently abducts daughters and keeps them from mother/petitioner/ legal custodian."

Of note, at the time Castro has this Order of Protection filed against him is after he is alleged to have kidnapped his three victims and while he has them imprisoned.

Men (who constitute 90% the cases) who are bent on the total control of a woman, using psychological and physical abuse, are termed batterers.

Read more: Inside Cleveland's haunted house

The dimensions along which male batterers have been studied include the presence or absence of alcohol or drug abuse, whether or not the violence is intrafamilial or extends outside the family, the presence or absence of criminality, and the presence or absence of psychopathology, especially personality disorders.

In Castro's case it may be as he got older, he progressed from predominantly intrafamilial violence to kidnapping adolescent girls whom he controlled through systematic physical and sexual violence.

We don't know yet if drug or alcohol abuse played a role in promoting violent behaviors. But sociopathy appears to explain some of Castro's psychology. He seemed to have the sociopathic "charm" to drive up to adolescent females on the street and convince them to get into his car.

Read more: Neighbor feels 'fooled' by Cleveland abduction suspect

He had the sociopathic instincts of how to psychologically terrorize, demoralize, and "break down" his victims with beatings chainings, rapes, and basement imprisonment.

He seemed adept at the psychological torture of allowing his prisoners to watch city vigils highlighting their disappearances. He participated in these gatherings and vigils and even interacted with one of the victim's family members.

His seeming ability to maintain a detached demeanor while present in the community suggests antisocial personality.

So besides the concepts of batterers and sociopathy, what is striking in Castro's case is the degree of sexual sadism.

Unfortunately, the systematic physical and sexual violence extending for years towards one's children, step-children, or spouse is something I hear every day in the histories of my patients admitted for treatment of severe alcohol or drug addiction.

Case law records prosecutions of men charged with kidnapping women for hours or days at a time to sexually abuse them. But what is mindboggling in Castro's case is the breadth and depth of sexual violence he is accused of perpetrating against these three women.

If he is charged for every assault and rape his victims report, he could receive thousands of charges.

Where do people like Castro come from? Male batterers often grow up in families fraught with strife, conflict, neglect and violence.

The basic theory is that deleterious early life experiences of the perpetrator cause developmental arrest of their psychological maturation and personality formation.

This theory would predict that in the coming weeks and months details will emerge of the events in his early years that derailed Castro being able to develop a normal, healthy, mature adult ego. What happens is that the individual is left with deep emotional needs for which they feel totally inadequate to get met.

Their self-concept is so impaired and their self-esteem is chronically so low that they feel totally unable to compete in the normal adult game of attracting and keeping a mate.

When their attempts are met by failure, their impaired moral development and lack of empathy coupled with unbridled anger and rage lead them down the road of violent possession of their "partners."

But even battering, sociopathy, and sexual sadism do not seem enough to explain the enormity of Castro's alleged crimes towards these three women. In fact, they suggest a more pervasive pathology such as a sadistic personality disorder -- currently a research category.

His alleged violence towards vulnerable women was so extensive, repeated over so many years, extended beyond sexual violence and perversions, to alleged forced miscarriages, starvation, and other forms of behavioral control.

We will need to brace ourselves as the investigations unfold and the true extent of the horrors that were committed at 2207 Seymour Avenue is revealed.

The opinions expressed in this commentary are solely those of Paul W. Ragan.

@highlight

A psychiatrist says the psychological profile emerging of Ariel Castro is not rare

@highlight

Ragan: Battering, sociopathy, and sexual sadism do not seem enough to explain the crimes

@highlight

Castro had the 'sociopathic instincts of how to terrorize and demoralize his victims'