(CNN) -- Back in February the worldwide union for professional footballers FIFPro, conducted a survey of thousands of players in Eastern and Southern Europe, detailing the true extent of match-fixing, racism and violence in European football.

Just over nine percent of respondents in FIFPro's Black Book survey reported examples of racism or other forms of discrimination, mainly caused by supporters (65.3%).

The survey included the testimony of Dragisa Pejovic of FC Novi Pazar, who detailed what it was like to play football in Serbia.

"I have played for FC Borac Cacak for six years," said Pejovic. "In that time, there were always problems of violence and racism.

"I remember a game where fans of my team insulted my colleague from Zimbabwe, Mike Tamvanjera, because he is a black man. This was the first case of racism in Serbia and the racism is still present."

But it wasn't just racism that Pejovic encountered.

"I do not know any professional player in Serbia who has been able to provide the most basic requirements for life," added Pejovic.

"Football in Serbia is full of crime and criminals and I could not cope, nor fight, with them alone.

"The criminals in Serbian football always look after their own interests first and use all means to achieve their goals, while the players have to keep silent and suffer."

Fast forward to October and Serbia is facing more scrutiny after England's Football Association reported "a number of incidents of racism" to European governing body UEFA following the second-leg of an Under-21 Euro 2013 playoff match on Tuesday.

Danny Rose, a midfielder on loan at English Premier League side Sunderland from Tottenham Hotspur, claims he was subjected to monkey chants before, during and after the match, while also alleging he had stones thrown at him by the crowd during the game.

Rose was given a red card for kicking a ball into the stands after England scored a winning goal with the last kick of the match, sparking a mass brawl between both sets of players and staff.

Genocidal war

The Serbian Football Association painted a very different picture of events on Tuesday, saying it "absolutely refuses and denies that there were any occurrences of racism before and during the match at the stadium in Krusevac".

However, that view was directly contradicted by the Serbian technical director Savo Milosevic who went into England's dressing room after the game to apologize.

"I have a lot of friends in England, I played there," referring to his spell playing for Aston Villa between 1995 and 1998. "I feel terrible about what happened because the people in England received us really well and I wanted to give them the same thing in Serbia."

UEFA has subsequently charged both the English and Serbia FAs following events in Krusevac.

The Serbian FA has been charged with alleged racist chanting by fans, while both associations face charges overr the behavior of their players

As the Serbian and English FAs jostled for the moral high ground, British Prime Minister David Cameron waded into the debate

He called on UEFA to impose "tough sanctions" on racism while sports minister Hugh Robertson has written to European governing body's president Michel Platini following "extreme provocation and racism" during Tuesday game.

Over the last year English football has had to grapple with the fall out of racism cases involving Liverpool striker Luis Suarez and Chelsea defender John Terry, with English FA punishing both players.

The difficulty for Serbia, as shown by Pejovic's testimony, is that it has a history of racism not just at club level but also at international level, which Milosevic acknowledged, though he insisted that the problem "is no more than in other European countries".

Five years ago, during another U-21 match between England and Serbia, the Balkan country was fined Â£16,000 ($26,000) by UEFA for racial abuse directed at England defender Nedum Onouha.

In February 2011, Platini warned Serbia and its clubs that a ban on competing could be imposed if fans continued to cause trouble.

"It's important to remember that Serbia has only just come out of a genocidal war and that as events on Tuesday unfolded in Belgrade, former Bosnian Serb leader Radovan Karadzic is on trial in The Hague," said professor Clifford Stott, who has advised governments and police forces internationally on crowd management policy and practice, referring to Balkan wars between 1991 and 1999.

"So we shouldn't be surprised these societal problems manifest themselves in football," added Stott, who runs his own consultancy and training company Crowd and Conflict Management Ltd.

"What we are seeing is a failure of various authorities to regulate behavior inside Serbian stadiums.

"Over the last two years UEFA has been trying to address the problem in Serbia. It is fully aware of the problems that exist there -- and working with the European Union Think Tank -- has been undertaking visits to Serbia to initiate reforms, but clearly these interventions haven't yet worked.

"What happened reflects a lack of proper regulation within the stadiums, and the effective management of crowds through legislation, policing, stewarding and also stadium licensing."

Heysel

During the 1980s, UEFA banned English clubs from competing in its club competitions for a number of years after the Heysel Stadium disaster in 1985.

The English Professional Footballers' Association chairman Clarke Carlisle believes UEFA must impose a similar sanction on Serbia -- if the racism allegations are proven.

"UEFA should ban Serbia from international tournaments," said Carlisle. "I believe that this is what happened to England when violence and hooliganism came to the fore and that was what caused us to address the problem.

"It's only a ban of this nature, which has these ramifications, that will cause Serbia as a football nation to address it."

Professor Stott also backed Carlisle's call for UEFA to act decisively.

"I would argue that UEFA now need to impose an effective sanction," said Stott, who is a visiting professor at Denmark's Aarhus University.

"I would support calls to ban Serbia from international football and their clubs from European football if such racist activity occurs.

"Out of all the agencies that have influence -- the EU, the European Council, the Serbian government and FA, UEFA is the most powerful in these circumstances.

"Don't forget this is ultimately about money and a ban in UEFA competitions will hit the Serbian Football Association and the clubs in the pocket. These international and European fixtures are key sources of revenue."

Ahead of the recent Euro 2012 tournament, Stott collaborated in the running of a Pan-European police training program to share best practice among the continent's police forces.

"Lots of European countries were involved, but countries like Serbia, Croatia and Greece were not," added Stott.

Government intervention

The academic urged the Serbian government and its football association to lead by example.

"The Serbian government has to make it an offence to actually monkey chant in a stadium. It is in the UK, but I'm not convinced it will be in Serbia. If it's not an offence the police can do nothing about it nor the FA even if they wanted to.

"At the same time the FA and the clubs need to create an environment of authority and governance to regulate behavior and expel those involved in it inside the stadiums.

"In the UK we have CCTV, seated stadia, ticket numbers to identify which seat someone is sitting, shared information agreements between police and clubs, effective stewarding, police steward frameworks of co-operation.

"That all comes back of the Taylor report," added Stott, referring to Lord Taylor's recommendation to improve stadium safety following the Hillsborough disaster in 1989.

"All of this stuff has to be in place to move the situation forward in Serbia. As you have seen the Serbian FA have simply denied it took place, and the idea of getting anti-racist legislation enacted in Serbia is almost surreal."

Milosevic accepted that action was needed from the Serbian government.

"The only difference I see is the actions of the governments in the respective countries. Some countries are more decisive and more powerful and they deal with it," said the former Aston Villa striker.

"Unfortunately we have a lot of problems inside our country and our government right now. In the last 10-15 years we've had other problems besides football supporters."

Additional reporting by CNN's Tom McGowan

@highlight

English FA launches racism complaint against Serbia following under-21 match

@highlight

England's Danny Rose claims he was racially abused throughout Tuesday's tie

@highlight

Serbian FA denies that there were any occurrences of racism

@highlight

English PFA chairman Clarke Carlisle calls for Serbia to be banned from international football