(CNN) -- Majora Carter, the founder and executive director of Sustainable South Bronx, is a passionate advocate of environmental justice. Her organization promotes green-collar jobs and sustainable development as a route out of poverty and to create stronger, healthier and greener communities.

Majora Carter wants Manhattan to start handling its own waste rather than dumping it on the local communities

CNN spoke to her about her inspiration, her work and her hopes for the future.

CNN: Tell us about your background.

I grew up here, back in the days when the South Bronx was considered the poster child for urban blight. A lot has been happening that's good since then, but growing up here was very difficult. It was the worst place in the country to live.

CNN: How and why did you come back?

I was a cinema studies and creative major at university and I came home because I needed a cheap place to continue my graduate degree. When I got here, I realized just how much poor communities and poor communities of color were really being discriminated against by placing lots of noxious waste facilities and other kinds of polluting infrastructure here, and I just wanted to get more involved.

CNN: What drove you to stay?

When I came back, I realized that I could be a part of the solution and not pretend that it didn't exist and go to live my life somewhere else. I realized that I owed it to myself and also to my community to be a part of its future in a way that is more helpful.

CNN: What is Sustainable South Bronx's mission?

Sustainable South Bronx advocates for environmental justice through sustainable environmental and economic development projects.

CNN: How has Sustainable South Bronx evolved over the last seven years?

Sustainable South Bronx has gone from being an army of one, me, to about 12 staff all working on policy and projects that are going to improve the quality of life, economically and environmentally, for folks in the community.

CNN: What are the biggest challenges you face?

The biggest challenge is helping Manhattan understand that they are technically an island, but they are not an island. Right now, Manhattan doesn't handle any of its own waste or its power generation or anything of that nature. It exists in all its glory because of communities such as the South Bronx, so (we need to help) them to understand that when we hurt, they are going to hurt too.

We are trying to alleviate poverty by creating green collar jobs and industries to promote them. We want to create opportunities that employ people so they can become an active part of the fabric of the city's life. We are trying to put all those things together so that this great shining jewel to our south, Manhattan, understands that we are actually part of the equation of making a more sustainable city.

CNN: Could you tell me some of the problems that South Bronx faces in terms of dealing with industrial waste?

The South Bronx handles about 40 percent of the city's commercial waste. We have a sewage treatment plant, a sewage sludge palletizing plant, four power plants and the diesel emissions from about 60,000 diesel truck trips each and every week. Those are not nice places to be around.

They have a pretty severe private health crisis associated with them. On average, 25 percent of our kids have asthma. Our child asthma hospitalization rate is between four and seven times the national average. We've got a child obesity rate that is six times higher than the rest of the city, and of course obesity and diabetes go hand in hand.

CNN: Where do you see Sustainable South Bronx in ten years?

In ten years I hope that Sustainable South Bronx has worked itself out of a job because our work to help create the South Bronx as a hope for green businesses, for clean businesses, has taken off so much; that our 25 percent unemployment rate is in the past; that our asthma rates have plummeted because there is so much green space along the new Greenway that has been built here; that there are so many people bike riding and the diabetes rate is gone; and that Nobel Prize Laureates are being born.

CNN: Is that realistic?

Absolutely. In 10 years, if we play our cards right and make the right partnerships, whether that's with the city or with businesses, absolutely. I don't think it would take much for that to happen. When my parents moved here 60 years ago, this place was a working class community and it was thriving. We can be thriving again.

There was a different kind of manufacturing then, but it was manufacturing and the jobs were right here in this country. People were able to make livings out of it and the gap between rich and poor was smaller.

I think we need to decide as a society, as a country, that it's not ok that people are as poor as they are right now. We've got to decide that we want to live in a world that is sane and happy and healthy, and that everyone deserves that.

CNN: What is the future of urban communities?

So much of the world is going to be living in cities in the next 10 to 15 years. We have got to understand the designing of them, where people are in close proximity to each other but in a way that provides health and well-being to everybody. The density allows for safety, allows for people to get to know each other, the density allows people to walk and bike and get healthier as a result. That could be the kind of city that people will want to live in. Those are the kind of cities we need to re-imagine so that we are building them for people and not just for cars.

What is your personal vision of how you can help to achieve that?

My real dream is that everybody will see their self-interest tied up with someone else, whether or not they see them, and see that as an opportunity for growing closer together as a culture and as a world.

Just because you have a piece of trash and you throw it away and it gets hauled away, it doesn't mean that it's not affecting someone else. If we had bothered to recognize how close our worlds are, it would be harder for people to dismiss places like the South Bronx.

@highlight

Carter is founder of Sustainable South Bronx, advocating environmental justice

@highlight

The South Bronx handles about 40 percent of the Manhattan's commercial waste

@highlight

Carter wants the South Bronx to one day be a thriving community again