(CNN) -- Q: I've heard so much about the dangers of drinking soda. Is it really all that bad for you? Or is it just empty calories?

You may have heard about a new study published in the May issue of the American Journal of Nutrition that found an increased risk of stroke in people who consumed more than one soda per day.

These findings are not surprising in light of the growing body of evidence linking intake of sugar sweetened beverages -- of which soda makes up the largest percentage -- and diseases such as diabetes, heart disease, obesity and high cholesterol.

Sugar sweetened beverage consumption has increased significantly over the past several decades. Recent National Health and Nutrition Examination Survey data found that half of the U.S. population consumes at least one sugar sweetened beverage on any given day. Men consume on average 178 calories per day from sugar sweetened beverages and women consume 103 calories per day.

Of particular concern in light of the current childhood obesity epidemic is the increased use in children, especially teens and young adults. Soda often displaces more healthful items in the diet and is a warning sign of a poor quality diet.

The dangers of soda extend beyond the increase in calories, although this is likely an important contributor to weight gain and obesity. Calories consumed in liquid form do not satisfy hunger as effectively as calories consumed in solid food form, so people often consume more total calories, which can lead to weight gain.

In addition, consuming large amounts of rapidly digested sugar and high fructose corn syrup causes a spike in blood sugar and insulin, which can lead to inflammation and insulin resistance, both of which may increase your risk of stroke, heart disease, diabetes, obesity and cancer.

The large doses of fructose from both sucrose (table sugar) and high fructose corn syrup may be particularly detrimental to your health as they can cause the accumulation of metabolically toxic belly fat, cholesterol abnormalities -- including high triglycerides and reduced levels of HDL (good cholesterol) -- and nonalcoholic associated fatty liver disease.

Soda is also associated with symptoms of gastro-esophageal reflux disease, when the contents of the stomach leak back up and cause a burning sensation in the esophagus. While drinking soda is not known to cause ulcers, it can cause symptoms to flare up.

The American Heart Association recommends consuming no more than 450 calories from sugar sweetened beverages per week (the amount in three cans of cola).

If you are overweight or obese, or at risk for heart disease or diabetes, you should limit your intake of sugar sweetened beverages as much as possible, including soda, energy drinks, sports drinks, juice drinks and sweetened water and/or tea.

@highlight

Sugar sweetened beverage consumption has increased significantly

@highlight

Men consume on average 178 calories per day from sugar sweetened beverages

@highlight

Soda often displaces more healthful items in the diet