(CNN) -- "Heal those people with your music, your movements within your souls." It's a powerful piece of advice that Todd Twala, co-founder of "Africa Umoja: Spirit of Togetherness," gives to her cast backstage before their opening show in Atlanta, the second city on their first tour in the United States.

Africa Umoja is a celebration of the evolution of South African culture through its history of music and dance. Sharing the joy that comes with overcoming obstacles of poverty in their own lives, the cast, which includes former street children, moves its audiences with explosive energy, earth-shaking beats and endless fun.

The show celebrates lives of freedom, and encourages people to move past their differences with love. Joe Theron, one of its producers, describes the show as one that "intertwines all of the hardships South Africa faced, like apartheid, in a manner where you will never feel oppressed. It's uplifting. Even in hard times there is always laughter."

Africa Umoja was originally conceived in 1983 as an outreach program that took displaced and impoverished South African children off the streets. Twala and co-founder Thembi Nyandeni retired from dancing professionally in order to create the project. It began as a course teaching children (who later became the show's original cast) how to sing and dance in traditional ways.

Through her training, Twala reminds them to persevere through hardship and "never, ever give up on life."

Read also: Band keeps youngsters from gang life

Thabo Legae, the show's lead drummer, is just one example of Twala's encouragement. He says that his career with Umoja "saved" him from the potential danger that comes with street life, making him a role model for children to make something of themselves, and be grateful for their rich African history.

"Music is life to us," says Legae. He says playing the drums is a skill he inherited. "I feel like my ancestors are talking to me when I play them."

With the beat of his drum, he and the cast take audiences through the evolution of their culture, highlighting multiple milestones in South African history. The show begins with the early days of the drum, with tribal dancers wearing traditional skins, leathers and furs.

It continues through the oppressive chaos of apartheid in Johannesburg, as adults retreat to dancing in crowded speakeasies, filled with jazz. As times change, the cast reveals the evolution through the post-apartheid era with remnants of the rhythmic tribal sounds in the beats of contemporary urban "Kwaito" music.

Twala says music kept people in South Africa motivated during difficult times. "It was through music that we kept sane during the apartheid so that we could express ourselves through our bodies and our voices."

She says the beat of the drum is vital part of their culture's unity: "The drum is our heartbeat in Africa. I can't imagine African people without a drum, its beat reminds us that our hearts beat as one."

Read this: Fight club - boxing gives teenagers hope

Having toured close to 50 countries since 2001, Africa Umoja has jumped into new territory after being sponsored by the International Arts Foundation to embark on its tour of the United States.

The crowd-pleasing authenticity of each song at the Atlanta show was indicative of how almost anyone can relate to the emotions that come with their sounds. Every song was representative of the diverse ethnicities in South Africa, and featured about nine different languages.

Ancestral legacy is a prominent theme in the show. Theron reflects on how the history of many cultures is often neglected and should not be forgotten. "As the saying goes: 'If you don't know where you come from, how do you know where you're going?'" he says.

By paying homage to those who have struggled before them, Twala has shaped the theme of the show around keeping their stories alive, helping younger generations to learn about their roots and how their lives have been shaped today.

She reminds her cast that their success could not be achieved without struggle. "They should never forget that somebody sacrificed so that you can get where you are today ... Mandela went through hell and back for us. I wouldn't have this show if Mandela didn't sacrifice himself for our freedom."

There is a scene dedicated to Nelson Mandela and his work during the apartheid era. "Long Road to Freedom" is a song written specifically for the show, in his honor.

Umoja opened its show in Atlanta on July 18 -- Nelson Mandela's 95th birthday. Even though the cast have performed for the former South African president in the past, they agree it was a "special day" they will never forget.

Read also: Mandela's life in poster art

The standing ovations were evidence that any experience with Umoja will be unforgettable as they continue to lift spirits and share their joy with one city at a time.

@highlight

Africa Umoja is an explosive musical stage show, featuring traditional song and dance

@highlight

It started out as a project to help South African street children

@highlight

The show tells South African history, in multiple musical styles

@highlight

It is currently touring United States