Editor's note: Erica Williams is deputy director of Campus Progress, a project of the Center for American Progress, a Washington-based organization that describes itself as dedicated to progressive causes. She works to engage the millennial generation and communities such as people of color, women and people of faith in the political process. She can be found at ericawilliamsonline.com and on Twitter at @ericawilliamsdc.

Erica Williams says the idea that young people don't care about the health care issue is wrong.

(CNN) -- As Congress returns to Capitol Hill, back from a recess of contentious town halls on health care reform, one new voice has the potential to break through the seemingly endless deadlock: the voice of young Americans.

Just Thursday, there were more than 880,000 Facebook status updates posted with the meme of a demand for health care reform, generated organically and spread virally from young people and other Facebook users across the country.

Some are regarding this as the first symbolic demonstration of young people's engagement in the debate despite the common, and categorically false, notion that young people "don't care about health care reform."

Young adults between the ages of 19 and 29 represent nearly a third of the entire uninsured population, and two-thirds of those uninsured young people reported going without necessary medical care because of costs in 2007, according to research for the Commonwealth Fund.

More than half of all young adults have low incomes (below 200 percent of the federal poverty level, $21,660 for a single person in 2009), and low-income young adults are more than 2.5 times as likely to be uninsured as higher-income young adults, according to the Urban Institute.

And contrary to popular belief that young people see themselves as invincible college students who choose to remain uninsured, 56 percent of uninsured young adults between the ages of 19 and 29 are full-time workers who are half as likely to be covered by their employer as older workers.

Millennials regarded health care reform as one of their top concerns during the 2008 election campaign, according to the Rock the Vote Poll of 18- to 29-year-olds, conducted in February 2008 by Lake Research Partners.

Whether it is the 25-year-old freelancer with a pre-existing condition who can't purchase insurance in the individual market, the 20-year-old line cook who doesn't receive insurance through her job or the 28-year-old bank employee who is insured but is worried about the rising costs of premiums, young Americans experience the deficiencies of our health care system on a daily basis.

Nevertheless, despite a recent CNN/Opinion Research Corp. survey showing that 60 percent of Americans aged 18 to 34 support Obama's reform plan, the voice of young Americans has been strikingly absent from the public, televised national debate. And that silence is a dangerous state of affairs for the larger dialogue around reform.

Young Americans have the most at stake and the longest to live with the result, and they are often the primary voice of a moral imperative (the idea that health care reform is not only economically necessary but the just and fair thing to do). Without their voices, the health care reform debate will continue to be stalled and hemmed in by older Americans who are in a better economic position than young people and who are afraid to change the status quo, despite all signs that it is rapidly failing.

Young people were such a vital force during the election, not simply because of their own voting turnout but because of their ability to reach out to their elders and persuade them. And what could be more needed now?

But if health care reform matters so much to young people and their voice is so crucial in the debate, why the silence? Why does it appear as if young people aren't interested in the debate that will inform so much of their future?

Well, if we are gauging America's overall interest in the debate by the aforementioned displays of partisan yelling, screaming and death panel-ing at some town halls, no wonder we think young people don't care. Those sideshows were a clear turnoff to a population that voted overwhelming for less partisanship and "drama" in its politics.

Or perhaps it is because this administration did little in the early stages of the debate to engage and activate a "fired-up and ready to go" base of young people that saw health care reform as a top concern at the polls. Obama rarely highlights the fact that reform would provide protections against price differentials that often result in discrimination based on age and gender.

Or what about the fact that the president's reform proposal would mean that a young person can be covered up until the age of 26 by a parent's plan, rather than the current limit of 19 for those who don't attend college? This is what young people should have been told.

But it isn't too late.

As 2008 showed, young people, like all other constituencies, speak when spoken to. As the debate slogs into what is sure to be the most consequential stage of the battle, President Obama has a prime opportunity to speak directly to those who should have been the base of this issue all along.

It is beyond time for the White House, and other organizers working to support reform, to hit college campuses and other community centers where young people can be found, both on- and offline, and empower them to make their voices heard.

In the meantime, young people are doing it themselves. Students across the country are beginning to plan their own town hall events and forums, designing health care T-shirts and sending in photo petitions to their elected officials. They are demanding real reform and trying to get the health care debate back on track. In order to succeed, the fight for bold health care reform needs the enthusiasm, support and perspective of young people. And time is running out.

The opinions expressed in this commentary are solely those of Erica Williams.

@highlight

Erica Williams: There's a myth that young people don't care about health care

@highlight

She says young people showed concern about the issue in 2008

@highlight

She says they overwhelmingly support Obama's health care plans

@highlight

Williams: Reform fight needs enthusiasm and perspective of young people