Port-Au-Prince, Haiti (CNN) -- Snubbing the United States, former Haitian President Jean-Bertrand Aristide returned home from exile Friday, just ahead of a critical runoff election.

Aristide spoke briefly after landing at Toussaint L'Overture Airport in Port-au-Prince but made no direct reference to Sunday's vote. He alluded, however, to the exclusion of his own party, Fanmi Lavalas, banned from participating in the election.

"Today the Haitian people mark the end of exile and coup d'etats while  peacefully we must move from social exclusion to social inclusion," Aristide said in the airport's diplomatic lounge.

Speaking in Creole, French and several other languages, Aristide, 57, said he condemned the violence that has wracked his nation since the disputed late November presidential election.

Aristide, a polarizing figure in Haiti, became the second former president to return to Port-au-Prince this year. Dictator Jean-Claude "Baby Doc" Duvalier flew back from France unexpectedly in January.

Aristide made his way from the airport to his former home in the neighborhood of Tabarre, which was recently fixed up and painted in anticipation of his return.

Haitians waved flags, danced and chanted his name along the road leading to his house. They carried signs that said "Titid," Aristide's nickname, and sported T-shirts with his picture and slogans supporting his  return.

"He  could be the king of Haiti. He is a president we love so much," said Willy Joseph, a 48-year-old mason who waited outside Aristide's house to catch a glimpse of the former president.

Raoul Jean Cetoute, a 66-year-old carpenter, said he would refrain from the visiting the polls Sunday.

"I'm not going to vote in  this masquerade election. We'll listen and analyze what (Aristide) says to know what to  do," he said.

The former Roman Catholic priest and Haiti's first democratically elected president chose to go back at a tense time.

Haitians, still reeling from last year's devastating earthquake and a cholera epidemic, are set to choose a new leader Sunday. Many, including the Obama administration, have questioned Aristide's timing and said his presence would disrupt the vote.

Aristide's chartered jet took off Thursday night from Johannesburg, South Africa, where he had been living for the past seven years, and landed shortly after 10 a.m. in the Haitian capital.

He was accompanied by his wife, Mildred; U.S. actor and longtime supporter Danny Glover; and U.S. attorney Ira Kurzban.

Also traveling with Aristide was Amy Goodman, host of the news program "Democracy Now!" At a refueling stop in Dakar, Senegal, Aristide told Goodman that he believes the Haitian people were happy to see him return.

"I think that the Haitian people are very happy, happy to know that we are on our way heading to Haiti, happy to know that finally their dream will be fulfilled by things on the ground because they fought hard for democracy," Aristide said.

"I share their happiness, I share their hope, and I renew my commitment to serve them in the field of education, once we move together" toward such a goal, he said.

The White House, however, was less than thrilled by Aristide's return, warning this week that it would prove destabilizing.

State Department spokesman Mark Toner said Monday that Aristide seeks to influence the election.

"Mr. Aristide has chosen to remain outside of Haiti for seven years," Toner said. "To return this week can only be seen as a conscious choice to impact Haiti's elections."

Kurzban said Aristide plans to get involved with educational projects and teach. He wanted to return before Sunday's election, Kurzban said, because he had "genuine concerns that the next president may take a different view" and not allow Aristide to return.

"It is not to be involved in the elections, as the United States suggests," Kurzban said.

A group of prominent U.S. lawyers sent a letter Thursday to Cheryl Mills, chief of staff at the State Department, objecting to what they said was American interference with Aristide's "constitutional and human right to return."

"The United States trying to control when any Haitian citizen -- especially a former president -- can enter Haiti is outrageous," said Bill Quigley, a New Orleans law professor and legal director of the Center for Constitutional Rights.

"It violates a stack of binding international human rights treaties," he said. "I felt compelled to speak out to defend both President Aristide's human rights and the American tradition of rule of law that I teach in my classroom."

Aristide was shuttled out of Haiti in 2004 on a U.S. plane after bloodshed on the streets and charges of authoritarianism and corruption. His supporters, including Glover, say the White House wants to keep Aristide out of Haiti in favor of a leader more in line with its own views.

"I am going to South Africa to show our solidarity with the people of Haiti by standing at the side of the leader they elected twice with overwhelming support: President Jean-Bertrand Aristide," Glover said in a statement.

"People of good conscience cannot be idle while a former dictator is able to return unhindered while a democratic leader who peacefully handed over power to another elected president is restricted from returning to his country by external forces," Glover said, referring to Duvalier, who fled into exile in France in 1986 after 15 years of iron-fisted rule.

Duvalier stunned the world by returning to Haiti in January. Shortly afterward, Aristide again aired his desire to go back home. The Haitian government issued him a new passport last month.

Aristide retains a following in Haiti, especially among the poorest of the poor, who catapulted him to power in 1990 with more than 67 percent of the vote. But Aristide's relationship with his homeland, as well as the international community, has been a complicated one.

He gained popularity in Haiti by giving the poor and disenfranchised a voice, but his critics accused him of corruption, greed and human rights abuses -- problems that have plagued the impoverished Caribbean nation under other leaders as well.

Last year, a massive earthquake devastated Haiti. Recovery efforts have been slow and have added to electoral turmoil.

The United Nations voiced concerns this week over violence marring the campaign and called on "all candidates, especially those in the presidential runoff, to avoid threats, intimidation and harassment."

"Consolidation of democracy in Haiti depends largely on the will of politicians to adopt the principles of a peaceful transfer of power and to accept election results in accordance with mechanisms provided by the electoral law," said a statement from the U.N. Stabilization Mission in Haiti, which has been in Haiti since Aristide's departure.

The presidential vote pits former first lady Mirlande Manigat against popular musician Michel Martelly in a runoff that was delayed by two months because of unrest and charges of fraud.

Both candidates had said earlier they support a Haitian citizen's right to return home.

Martelly, considered the frontrunner in the race, had no comment on Aristide's return, spokesman Damian Merlo said.

CNN's Moni Basu in Atlanta and journalist Allyn Gaestel in Port-au-Prince contributed to this report.

@highlight

Aristide's chartered jet lands in Port-au-Prince shortly after 10 a.m.

@highlight

His supporters line the road to his former home

@highlight

U.S. officials have said former president could disrupt Sunday's election

@highlight

Aristide says the Haitian people will be happy to see him