(CNN) -- Every few years, the National Science Foundation releases its new Science and Engineering Indicators, which feature a barrage of seemingly embarrassing statistics that detail just how much Americans don't know about science. The latest such report, out Friday, has caused a stir by revealing that just 74% of Americans know the Earth revolves around the sun.

On the surface this figure may seem troubling, but we can take (some) heart: Aside from serving as instant fodder for the news media, quizzing the public tells us little about the state of science literacy in the United States. Science literacy isn't remembering a bunch of facts. It's an appreciation and understanding of the scientific process and the ability to think critically.

A lot of smart people get scientific facts wrong, and it doesn't mean they are uneducated. In the 1987 documentary "A Private Universe," Harvard students, faculty and alumni were asked what causes the four seasons. Nearly everyone interviewed incorrectly explained that seasons change when the Earth gets closer or farther from the sun in orbit rather than because of the tilt of its axis.

It's also important to remember that in polling, the way a question is phrased can influence the outcome. For example, the National Science Foundation's Indicators report found that fewer than half of Americans agree with the statement, "Human beings, as we know them today, developed from earlier species of animals." However, a 2009 Pew poll reported that six in 10 Americans agree that "humans and other living things have evolved over time due to natural processes." The same year, a Harris Poll reported that while just 29% of Americans agree that "human beings evolved from earlier species," 53% of the same pool of respondents "believe Charles Darwin's theory which states that plants, animals and human beings have evolved over time." In other words, language matters.

Still, one can't simply dismiss the Indicators data, in light of the very real problem the country faces: The state of science literacy has been in steep decline for a half-century. After World War II, the United States celebrated scientists for developing crucial wartime technologies from radar to the hydrogen bomb. By 1957, the Soviet launch of Sputnik sparked tremendous growth in scientific funding for research and development. Back then, scientists were heroes and worked closely with Presidents Eisenhower and Kennedy.

Then things changed. The space race faded to memory, and nonmilitary science funding dipped. Science lost its prominence in policy, and today it's treated as a special-interest group rather than central to the policymaking process.

The emergence of the religious right beginning in the late 1970s created unnecessary battles pitting religion again "reason," as if we must choose a side. More recently, budgetary constraints and the transforming media environment led to major cuts in science reporting. These days, most "science stories" that make the news are focused on diet and fitness instead of the latest research that will affect our lives and communities.

Meanwhile, the Internet allows us to shop for whatever scientific opinion we want as easily as we shop for holiday gifts. The result is a tsunami of dangerous misinformation and pseudoscience online fueling the rise of such things as the anti-vaccination movement and climate change denial. We need to shift course.

It doesn't matter whether every American can correctly answer a pop quiz about science topics he or she had to memorize in grade school. Isn't that what turns a lot of us off to science to begin with? What's important is that we work to foster a more engaged American public that will not only support but also prioritize the research and development necessary to meet the 21st century's greatest challenges, from drought to disease pandemics.

One way? Enlist today's young scientists entering the workforce as science emissaries -- training them with interdisciplinary skills that can be applied beyond academia. The number of traditional tenure-track jobs for science Ph.D.s is shrinking, even as we have a critical need for scientific expertise beyond the ivory towers.

"Renaissance scientists" who pursue policymaking jobs, work as writers or even just speak another language will be best equipped to bridge the gap between science and society, serving as translators and communicators.

We need this new generation of scientific heroes to restore science to its rightful place in America. Only then will we cultivate a culture of science literacy.

The opinions expressed in this commentary are solely those of Sheril Kirshenbaum.

@highlight

Sheril Kirshenbaum: Survey shows many in U.S. lack basic science knowledge

@highlight

She says smart people can get science questions wrong and other polls show better results

@highlight

But she says science illiteracy is a problem, and funding cuts, junk science have played role

@highlight

Writer: Science graduates must bring science back into society in interdisciplinary ways