(CNN) -- The United States and its allies are angrier at Russia now over Ukraine, but will they do anything more about it -- especially Europe?

In solemn procession, wooden caskets carrying the remains of those killed in the downing of Malaysia Airlines Flight 17 over eastern Ukraine -- the majority of the dead were Dutch citizens -- have been arriving in the Netherlands.

In all, the nearly 300 victims hailed from more than 10 countries, leaving nations mourning and politicians debating how to deal with Moscow, whose ties with the Ukrainian rebels suspected of downing the jet on July 17 are being cast in the most negative light.

The tragedy has stirred European officials to look at new action against a country that is crucial to their economies.

What's the layout on sanctions?

On July 16, the U.S. imposed its harshest sanctions yet on Russia over its annexation of Crimea, and what the Obama administration said was Russia's failure to end the Ukraine conflict.

President Barack Obama expanded steps in targeting two banks, Gazprom Bank and VEB; and two energy companies, Novotek and Rosneft. They won't be able to get important financing in the United States.

In addition, the administration froze any U.S. assets and prohibited American business contacts for eight Russian arms companies that make weapons, including small arms, mortars and surface-to-air missiles. One is the Kalashnikov Concern, maker of the AK-47 and other arms.

Earlier this year, the United States and Europe imposed a more limited range of sanctions in response to Russia's annexation of Crimea and the massing of troops along its eastern border with Ukraine. Those included asset freezes and travel bans.

What's changed since then?

MH17 was blown out of the sky.

U.S. officials believe Russia armed the pro-Russian rebels in eastern Ukraine with the rocket system suspected of shooting down the jetliner on July 17. Though, they now say it's likely the rebels didn't know it was a commercial plane at more than 30,000 feet.

Russian leaders deny any responsibility -- even indirectly -- and are pointing fingers at Ukraine and NATO for stirring up trouble in the region.

It's only upped the ante regarding Russia and its relationship with the United States and its European allies.

Aside from the general allied approach to Ukraine, there is more pressure than ever now on Europe to take tougher action because so many of the MH17 passengers were from there, and emotions are fever pitch.

Why hasn't Europe acted that forcefully?

Earlier this year, Europe joined the United States in imposing limited sanctions in response to Russia' actions in Crimea and eastern Ukraine. Those sanctions included asset freezes and travel bans.

The U.S. response is tougher but it doesn't do a ton of business with Russia. Europe on the other hand does.

Experts said Europe imports nearly 30% of its energy from Russia, raising the specter of rolling blackouts and unheated homes in the region next winter should Russia decide to retaliate for tougher sanctions.

London's place as a regional financial hub is highly dependent on Russian capital. France has already signed off on a deal to deliver two warships to Russia, according to experts.

Oil giant Shell, which has its headquarters in The Hague, is the largest corporation in the Netherlands and has huge investments in Russia. Remember the MH17 victims and the Netherlands. But ...

"So the Europeans have over the last decade, as Russia has grown as an oil country, gotten themselves so intermeshed that it's very tough for them to do it," said CNN's Fareed Zakaria, referring to tougher sanctions.

But isn't the pressure really on now?

Yes.

The European Union's 28 member states displayed a little more resolve on Thursday.

EU ambassadors said they were considering targeting banks vital to Russia's economy, including access to capital markets, defense and technologies such as the energy sector.

Robert Kahn, a senior fellow for international economics with the Council on Foreign Relations, said sanctions are only effective if widely backed by Western nations.

U.S. sanctions alone have teeth but similar action by European allies would apply real pain.

"We're really at an early inning of the sanctions," Kahn said.

OK, so what's next?

It's really not clear if widespread anger at Moscow will ultimately force new action to isolate Russia further.

The EU ambassadors continue to meet on the subject and there is no indication they will abandon caution at the very least.

"There are a lot of economic interests that would be affected by a comprehensive breakdown in relations," Kahn said.

Map: Europe's thirst for Russian gas

But the end, some experts believe Europe is unlikely to take a tougher line.

"I honestly think the Europeans have no spine," said Boston University professor Alya Guseva, an economic sociologist. "It's amazing to me on a moral level. How bad should it get? As a human being, I don't quite grasp that. This seems to be as bad as it can get."

But if they acted, what would be the toughest step?

Let's start with the current sanctions overall. Kahn predicted that by fall, those will begin targeting specific sectors of Russia's economy -- the eighth-largest in the world, with GDP of more than $2 trillion.

"It's going to take some time for the accumulated effects of all of this to really be felt by the Russian people," he said.

Real pain for Russia would come from any sanctions aimed at cutting off an entire part of its economy, such as defense, energy or finance, according to experts.

Kahn said the United States took a first step in this direction last week by adding important Russian banks and energy companies to its list.

"I think the most realistic goal is what Obama was articulating early on: to change the calculus," Guseva said. "It doesn't even have to be the damage that is done. It has to be a credible threat that damage can be done. The Russian economy is not that strong ... It may not take much to sort of spin out of control."

Who are Ukraine's pro-Russia rebels?

Sanctions: Top 10 Russian targets

Opinion: Europe must increase sanctions on Russia

@highlight

European leaders discuss further sanctions against Russia after downing of MH-17

@highlight

The day before the crash, the U.S. escalated its sanctions on Russia's financial sector

@highlight

This week, the EU said it was adding more people and entities to its sanctions list