Walking around the main cemetery in Culiacan, Mexico, is like being in Disneyland for the dead.

Known as Jardines del Humaya, the cemetery holds huge mausoleums made of 30-foot-high marble columns. Many of the grave sites are enclosed by ornate buildings the size of small houses. These mausoleums have sitting rooms where family members come to remember their loved ones in true fiesta fashion. Fresh flowers surround altars of expensive bottles of scotch and tequila. Many tombs are air-conditioned, and some even have surround-sound piping in the favorite ballads of the deceased.

But the most surreal part of the cemetery is not what's above ground -- it's the age of the victims buried below. Many of the "residents" of these extravagant tombs are teenagers, and many seem to be just shy of their 25th birthday.

Culiacan is the birthplace (and for many, the resting place) and base of the Sinaloa cartel, one of Mexico's most powerful drug trafficking organizations. Bloody battles between cartels and rivals have filled Jardines del Humaya with some of Mexico's most infamous narco-traffickers. The opulence of their graves is a tribute to the lifestyle of El Narco and the billions of dollars coming into Sinaloa state from the lucrative trade. Like modern-day pharaohs, these drug lords continue to bathe in excess even in the afterlife.

In stark contrast to the McMausoleums of Jardines del Humaya, an unimpressive headstone sits in a small cemetery a few miles away.

It is the grave of Oscar Rivera, a government spokesman, who had worked as a journalist for many years in Culiacan and covered some of the violence and corruption that engulfed the city. Rivera's reporting, which touched on how the influence of narco-trafficking permeated every aspect of Culiacan life, contained none of the glamour or rewards of the narco trade itself. Rivera drove a dilapidated car, in contrast to the legions of new Hummers that were cruising downtown Culiacan. He didn't have the fancy clothes or jewelry, and the tools of his trade were plastic pens, while the narcos carried bedazzled gold-plated AK-47s.

Both in lifestyle and death-style, Rivera lacks any of the glitter of his narco subjects, but there is one great commonality between them: the peril of their professions.

Since President Felipe Calderon took office in 2006 and declared an open war on the drug cartels, nearly 50,000 people have been killed in suspected drug-related violence in Mexico, according to Mexico's government. Many of the dead are narco-traffickers and low-level dealers. Increasingly, civilians have been caught in the crossfire as cartels fight for the lucrative drug trading zones so critical to smuggling narcotics north. The violence in towns along the U.S.-Mexico border has been well documented.

What is lesser known is the violence against journalists. Targeted kidnappings, assassinations and threats have become the new normal for reporters who dare to cover drug trafficking and government corruption.

Since 2000, more than 60 journalists have been killed in Mexico. Not included in that figure are dozens more who have been kidnapped or have simply disappeared. This has made Mexico one of the most dangerous places in the world for journalists, and the trend is increasing. The impunity rate -- the rate at which those crimes go unsolved -- is 98%, according to Mexico's National Human Rights Commission.  In Mexico, when it comes to a reporter's death, it seems that many are literally getting away with murder.

Javier Valdez Cardenas is a journalist in Culiacan who knew Rivera before Rivera was killed by more than 30 high-caliber bullets in 2007. Cardenas said that when a journalist like Rivera is killed, "nothing happens. That's the saddest part, nothing happens. Living in Sinaloa is a threat, being a journalist is an additional threat."

Michael O'Connor, Mexico representative of the Committee to Protect Journalists, says that almost none of the murder cases of journalists are prosecuted.

"It's effective impunity, right. You just kill them and get away with it, and you solve your problems very easily," he said. "And what does it cost to kill a journalist? Is it 500 bucks or is it 300 bucks, or is it two beers and the promise of promotion within the criminal organization? It's nothing. So if a journalist is causing you the slightest bit of problem, just get rid of them."

The threat to individual journalists has had larger consequences for the free media in Mexico. Many organizations have simply abdicated reporting on the drug wars altogether. Entire shootouts in broad daylight and murders go unreported.

The frustration that newspapers experience has prompted an outcry. In 2010, El Diario, the most popular newspaper in Ciudad Juarez, published an unprecedented full-page editorial. "You are, at present, the de facto authorities in this city," the newspaper's letter to the cartels said, "because the legal institutions have not been able to keep our colleagues from dying. We do not want more deaths. We do not want more injuries or even more intimidation. It is impossible to exercise our role in these conditions. Tell us, then, what do you expect of us as a medium?"

The response by many newspapers and TV stations has been to simply stop reporting on narco violence and corruption altogether.

The vulnerability of traditional media has left a void that some social media have stepped up to fill.  In Monterrey, Mexico, a Twitter feed warns people of attacks in real time. In Ciudad Juarez, El Blog De Narco has picked up covering the violence that the mainstream media has left off.

But even these alternative outlets have been targeted by the cartels. Last year, a prominent blogger named Maria Elizabeth Macias, who published under the pseudonym "La Nena de Nuevo Laredo," was found decapitated, with her head placed next to a keyboard. A note near the body, allegedly from members of the notorious Los Zetas cartel, read, "OK Nuevo Laredo live on the social networks, I am La Nena de Laredo and I am here because of my reports and yours." Two other bodies were found hanging from a bridge, disemboweled, with an ominous letter addressed to El Blog de Narco.

The violence against journalists in Mexico has severely compromised the quality of information available to the public, both in Mexico and the rest of the world. Much of the international media reporting on the drug violence relies on local reporters. The media as a check on corruption, as a documentarian of daily life and as a purveyor of truth has been cowered.

Despite the incredible dangers of reporting, a few courageous people have continued to cover the violence and corruption. In 2011, the Committee to Protect Journalists awarded Javier Valdez Cardenas the International Press Freedom Award for his reporting in Culiacan.

When asked why he continues to write despite a grenade attack on his office, colleagues he has had to bury and repeated threats, he responded, "In my opinion, silence is a form of death, of complicity. I am not dead, I'm alive, I'm writing these stories. I don't want the day to come where my children will be able to say, 'You were a journalist and this was happening in Culiacan and you stayed quiet.' No one will be able to tell me, 'You stayed quiet.' "

@highlight

Increasingly, civilians have been caught in the crossfire of Mexico's cartel violence

@highlight

Mexico is also one of the most dangerous places in the world for journalists

@highlight

In Mexico, many organizations have simply quit reporting on the drug wars altogether