Kabul, Afghanistan (CNN) -- Afghan forces came under fire Tuesday during a funeral for victims of a weekend rampage blamed on a U.S. soldier, while protesters angered by the killings blocked a major highway in the country's southeast.

The U.S. military says the Army sergeant blamed for the killings acted alone. Two senior military officials told CNN that images from security cameras around his outpost showed the suspect leaving the base alone and returning alone.

In Washington, U.S. President Barack Obama said American officials were "heartbroken" by the deaths but have no plans to change course in the decade-old war in Afghanistan.

Sunday's predawn rampage, which left nine children, three women and four men dead in two villages in rural Kandahar province, has added to the strain between Washington and Kabul. Afghan President Hamid Karzai said Tuesday that the killings "caused great pain for the people of Afghanistan," Taliban insurgents have vowed to avenge the killings, and gunshots and grenades echoed in the distance as the victims were buried Tuesday.

"While we were in the village of Alokozai for a funeral, praying for a martyr killed in the massacre, we heard close-range, small-arms fire, followed by two rocket-propelled grenades," said Haji Agha Lali, a member of the Kandahar provincial council. "According to my information, two to three Afghan security forces have been injured."

Lali said high-level Afghan officials, including Karzai's brother, a minister and a deputy minister, were attending the funeral when the attacks took place. The targets appeared to be Afghan investigators collecting evidence in the neighboring village of Najibian, where the remaining victims died.

The Taliban have battled U.S. and NATO troops, as well as Afghan government forces, since the 2001 invasion after the September 11 attacks on New York and Washington. After Sunday's killings, they described U.S. troops as "sick-minded American savages." In a new statement Tuesday, they said they would take revenge "by killing and beheading Americans anywhere in the country."

A protest in Jalalabad, near the border with Pakistan, drew hundreds of people Tuesday, with demonstrators blocking the highway to Kabul, provincial government spokesman Ahmad Zaii Abdulzai said. The highway was reopened later Tuesday.

The still-unidentified soldier blamed for the attack has yet to be charged. He turned himself in to his fellow Americans after the killings and could face the death penalty, Defense Secretary Leon Panetta said. Afghanistan's parliament has demanded a public trial for the suspect, but U.S. officials said they will handle the investigation and prosecution themselves.

Gen. John Allen, the commander of NATO's International Security Assistance Force, said Monday that the suspect is believed to have acted "as an individual." He has invoked his right to remain silent and was not cooperating with investigators, U.S. and ISAF officials have told CNN on condition of anonymity.

The officials have described the suspect as a staff sergeant from an infantry unit assigned to support Special Forces troops in Kandahar province, the Taliban heartland and a leading focus of the U.S.-led counterinsurgency strategy in Afghanistan.

Military authorities have presented a determination of probable cause to allow them to keep the sergeant in detention, an ISAF offficial told CNN.

Tuesday, two senior military officials told CNN that security cameras monitoring the perimeter of the outpost showed the sergeant leaving the outpost alone and returning alone. Investigators are looking into whether alcohol may have been a factor in the attack, though toxicology tests on the suspect were not complete, the officials said.

Alcohol was found on the outpost in the area where the suspect was housed, but it was not clear whether it belonged to the sergeant, one of the officials said.

Speaking at the White House, Obama said he has told Karzai that the United States "takes this as seriously as if it was our own citizens and our own children who were murdered."

"The killing of innocent civilians is outrageous and it's unacceptable. It's not who we are as a country and it does not represent our military," he said. A U.S. military investigation "will follow the facts wherever they lead us, and we will make sure that anybody who was involved is held fully accountable with the full force of the law," he added.

Allied combat troops are scheduled to leave Afghanistan by 2014, and Obama said the number will be reduced by more than 30,000 by summer's end, matching the number of Americans he sent in after taking office.

"There's no question that we face a difficult challenge in Afghanistan, but I'm confident that we can continue the work of meeting our objectives, protecting our country and responsibly bringing this war to a close," he said.

Mark Jacobson, a former official with the NATO command in Kabul, said the reaction to Sunday's massacre may not force a shift in allied strategy, but could cause "an increase to the pace of transition." But the demonstrations have been muted compared with the deadly riots that followed the disclosure that American troops had burned copies of the Quran -- mistakenly, their commanders said.

"Not to be callous in any way, but the Afghans are in some ways used to the civilian casualty incidents and tend to respond to it in a more reserved manner than something that seems to be a direct and personal affront to their religion and culture," Jacobson said.

In other incidents adding to the strain on U.S.-Afghan relations, U.S. commanders condemned a video of a squad of Marines urinating on bodies in January, and several soldiers -- from Joint Base Lewis-McChord in Washington state, like the suspect in Sunday's shooting -- were charged with taking part in a rogue "kill squad."

As he set out Monday for a trip to the region, Panetta said the United States and its NATO allies "seem to get tested almost every other day." But, he added, "It is important that, all of us, United States, Afghanistan, the (NATO-led) forces all stick to the strategy that we've laid out."

"War is hell," he said. "These kind of events and incidents are going to take place. They've taken place in any war. They're terrible events. This is not the first of those events, and they probably won't be the last."

The suspect in the attack served three tours of duty in Iraq before being deployed to Afghanistan, Allen said.

During the suspect's last deployment, in 2010, he was riding in a vehicle that rolled over in a wreck, according to a senior Defense Department official, who also spoke on condition of anonymity. After the wreck, the sergeant was diagnosed with traumatic brain injury but was treated and then found fit for duty, the official said.

CNN's Chris Lawrence, Barbara Starr, Jethro Mullen and journalist Ruhullah Khapalwak contributed to this report.

@highlight

Security cameras show the suspect leaving and returning alone, officials say

@highlight

"The killing of innocent civilians is outrageous," Obama says

@highlight

An Afghan official at a funeral for a shooting victim hears gunfire

@highlight

The Taliban say the deaths will be avenged by "beheading" Americans