(CNN) -- Think back to the age before GoldieBlox, before gender-neutral Easy-Bake ovens, before "My Princess Boy" or "It Gets Better" or "Lean In." Way before apps for infants or TV networks for toddlers, in the days when "Schoolhouse Rock" was in its infancy.

That'd bring you to the early 1970s, when an album in a bright pink sleeve was passed among teachers, parents, librarians and kids. It was called "Free to Be... You and Me," and record players around the country spun songs such as "William's Doll," "Parents are People" and "It's All Right to Cry."

When it debuted in 1972, there was nothing else like it -- at least, nothing so popular. It was feminist and multicultural; an early childhood education in empathy; multimedia before anybody used the word. There was the gold record album, a best-selling book and in 1974, an Emmy- and Peabody-winning TV special that starred its creator, Marlo Thomas, "and friends" -- literally, her formidable list of famous pals, including Harry Belafonte, Alan Alda, Diana Ross, Roberta Flack, Carl Reiner, Rosey Grier and a young Michael Jackson.

More than 40 years later, there's nostalgia in its opening chords and a legacy that still courses through classrooms.

"Children memorized every lyric and asked their parents and teacher to play the record over and over again," Letty Cottin Pogrebin, a Ms. magazine co-founder, wrote in the 2012 book "When We Were Free to Be: Looking Back at a Children's Classic and the Difference It Made."

"It challenged teachers to face up to their entrenched, often unacknowledged, gender biases and to cast a more critical eye on the books they were assigning, whom they called on most often in class, whom they allowed to dominate the block corner or the dress-up box."

The idea began with Thomas, star of the sitcom "That Girl," and, in 1971, a new auntie. Her young niece's storybooks were the same ones Thomas had read as a kid, and recent entries to the bedtime canon reinforced that boys were pilots and doctors while girls were stewardesses and nurses. With the help of her friends and contacts, including poet Shel Silverstein and co-producer Carole Hart, the album and book were born.

"Honestly I was just trying to do something for one little girl," Thomas wrote in "When We Were Free to Be." "That it would grow to become a cultural phenomenon was never a part of the plan."

"Free to Be" was revolutionary for its kid-savvy and reach, but it wasn't universally beloved. For every "Free to Be" class play, another school wouldn't acknowledge it. TV producers initially balked at a song that seemed to show Thomas and Belafonte as an interracial couple. At least one TV critic warned parents to keep kids away from the television when "Free to Be" was on. Focus on the Family founder James Dobson criticized it and advocated for traditional gender roles in child-rearing. Even its supporters argued that some of the skits were classist, and noted its bent toward traditional families with mommies, daddies and children.

But its overall message lined up with shifting attitudes of the time, said Lori Rotskoff, a cultural historian and co-editor of "When We Were Free to Be." In the same year the "Free to Be" album debuted, President Richard Nixon signed Title IX, Ms. magazine began regular publication and TV's "Maude" had an abortion, just months before Roe v. Wade was decided.

"There's something distinct about the cultural moment it was produced," Rotskoff said. "(Free to Be) retained so much of that progressive, oppositional challenging the norm, and it did so in a way that made it palatable."

It fit into changing classrooms, too.

Educator Barbara Sprung spent part of the 1970s creating a nonsexist, multicultural curriculum for preschoolers, she wrote in "When We Were Free to Be." It meant posters and toys that showed women as construction workers and African-Americans as doctors -- materials she sometimes had to create on her own. She instructed educators to run with girls on the playground, to play dolls with boys and to be mindful of messages in books and music.

"As happens in every movement, backsliding occurred," Sprung wrote, noting that plenty of toys were still sexualized, violent and color-coded by gender. "Fortunately, classroom materials and children's trade books continued to depict an increasingly nonsexist, multiracial and inclusive view of the world."

As a kid on Long Island in the 1970s, Miriam Peskowitz was a frustrated "Free to Be" fan. She wrote in "When We Were Free to Be" about her feminist mom's righteous letters and calls demanding her daughter be able take wood and mechanical shop, or that girls need not wait for boys to ask them to square dance. (Square dancing, of course, being one way that schools satisfied Title IX requirements.)

To Peskowitz's dismay, she had the same arguments at her child's school decades later. Peskowitz watched in the mornings as her daughter settled down to draw bubble letters with her gal pals while boys raced each other to the chessboards. The teacher said it wasn't a problem; it's just what the kids chose.

"After I nudged again and again, the teacher eventually taught all the children in the classroom how to play chess. Some girls started to choose that as their morning activity," wrote Peskowitz, the author of "The Daring Book for Girls."

"Very often," Peskowitz wrote, "all it takes to outsmart gender stereotypes is a little creative thinking and a little gumption.

"When we speak about feminism to adults, we tend to talk about negatives and things gone wrong. ... 'Free to Be's' cheeriness still has the power to make our hearts sing. It's a kind of feminism and a gender vision that is generous and likable and fun, all the things that feminism is usually accused of lacking."

But it hasn't necessarily gotten easier to talk about gender roles in school, said Laura Lovett, an associate professor of history at the University of Massachusetts and co-editor of "When We Were Free to Be."

"I talk to a lot of teachers now who say they couldn't show some of these things today," Lovett said. "There's an anxiety about discussing something that might be seen as homosexual; there's anxiety about the school mentioning something that would be seen as negative or positive."

Most educators-in-training are too young to remember the heyday of "Free to Be," Lovett said, and they wouldn't recognize a world where girls don't have access to sports and bullying is encouraged. Ideas that seemed so new in "Free to Be... You and Me" now turn up every day in "Dora the Explorer," "Brave" and long shelves of picture books.

When Lovett plays the music for college students now, she'll sometimes see nods and smiles from those who could sing along, and raised eyebrows from first-timers.

"It was so surprising and so contemporary," Lovett said. "They thought it was so new, and so exciting."

In fact, Lovett said, she's lost several copies to students who borrowed the CD and never brought it back. Instead, they pass it around to others, just the way people heard it all those years ago.

What are your "Free to Be ... You and Me" memories? Share in the comments, on Twitter @CNNLiving or on CNN Living's Facebook page!

@highlight

'Free to Be... You and Me' was first broadcast on ABC on March 11, 1974

@highlight

The TV special came after a "Free to Be..." book and album for children

@highlight

Actress and activist Marlo Thomas was inspired by her niece to create "Free to Be..."