(Health.com) -- A class of injectable drugs used to treat autoimmune disorders such as rheumatoid arthritis doesn't raise the risk of serious infection when compared with more conventional treatments, according to a new analysis in the Journal of the American Medical Association.

The research, which was funded by the Food and Drug Administration and other federal health agencies, contradicts numerous earlier studies that did find an increased risk of infection associated with the drugs, known as tumor necrosis factor (TNF) inhibitors.

The possibility that TNF inhibitors -- which include popular drugs such as Humira and Enbrel -- pose no additional infection risk is a "very new and heretical idea," says David T. Felson, M.D., a professor of medicine and epidemiology at the Boston University School of Medicine, who cowrote an editorial accompanying the study. "Up until now there has been considerable evidence that anti-TNFs heightened the risk of serious infection compared to other treatments."

Health.com: Signs and symptoms of rheumatoid arthritis

The lead author of the study, Carlos G. Grijalva, M.D., a professor of preventive medicine at Vanderbilt University, in Nashville, Tennessee, says the findings "should be reassuring for patients and providers."

Felson, however, says the new findings aren't sufficient to quell the concerns raised by previous studies. "We still need to be concerned about serious infection risk among patients starting these medicines," he says.

Autoimmune conditions, including rheumatoid arthritis, psoriasis, and inflammatory bowel disease, arise when the body's immune system goes awry and begins attacking healthy cells and tissue. TNF inhibitors -- known as biologic drugs, because they're derived from substances that occur naturally in humans and animals -- work by blocking the action of TNF, an important immune-system molecule.

Health.com: 10 risk factors for inflammatory bowel disease

This class of drugs drastically improved the treatment of these conditions when first introduced in the late 1990s, but because they suppress the immune system they are believed to open the door to opportunistic infections. Some patients taking the drugs have died from these infections, and the FDA has been closely watching the drugs' safety profile as more and more people use them.

Previous studies have found that TNF inhibitors as much as double the risk of serious infection compared with other treatment options. Those trials tended to be relatively small, however. The new study, which was presented this weekend at an annual meeting of the American College of Rheumatology, sought to address that weakness.

Grijalva and his colleagues combined data on more than 32,000 mostly low-income people from four large health-care databases, including those for Medicaid and Medicare. About half of the people took TNF-inhibitors for their conditions, and the other half took older, non-biologic drugs -- such as leflunomide, hydroxychloroquine, and sulfasalazine.

Health.com: Got psoriasis? 7 signs you may have arthritis too

The authors identified 1,172 infections requiring hospitalization during the study period. (The most common infections were pneumonia and skin and soft-tissue infections.) After one year of treatment, people taking TNF inhibitors had no higher risk of serious infections than those taking other types of drugs.

The researchers did find, however, that among patients with rheumatoid arthritis, the TNF inhibitor Remicade carried an approximately 25% higher risk of infection than Enbrel or Humira.

How well are you managing your rheumatoid arthritis? Take a health test

It's not clear why Remicade might be riskier than other TNF inhibitors, but it's possible that the higher initial doses the drug requires might be partly responsible, Grijalva says. The mechanism of action may also be slightly different than that of other TNF inhibitors, he adds.

The study does have an important limitation that detracts from the findings, Felson says. As he notes in his editorial, some 40% of participants taking TNF inhibitors dropped out within the first month, compared with only 15% in the comparison group.

In previous trials and in clinical practice, people who stop taking TNF blockers "tend to be older and at a higher risk of serious infections," Felson says. That pattern, he adds, may have skewed the study results and made TNF inhibitors look safer than they perhaps really are.

Copyright Health Magazine 2011

@highlight

The research contradicts numerous earlier studies that did find an increased risk

@highlight

Felson, however, says the new findings aren't sufficient to quell the concerns

@highlight

Previous studies have found that TNF inhibitors as much as double the risk