Beijing (CNN) -- Chinese authorities announced murder charges Thursday against the wife of disgraced Communist Party figure Bo Xilai, a new step in a scandal China's ruling hierarchy is scrambling to put behind them.

Bo's wife, Gu Kailai, is accused of killing British businessman Neil Heywood in November, the state news agency Xinhua reported. Gu and a family aide have been accused of poisoning Heywood, who died in November.

Heywood died in the southwestern Chinese metropolis of Chongqing, where Bo was the Communist Party chief and a rising star in the party -- the son of one of the "eight immortals" of the revolution that created modern China. The case has forced the Communist leadership to confront allegations of wrongdoing by a high-ranking member in an unusually public way, said Douglas Paal, a top China analyst at the Carnegie Endowment for International Peace in Washington.

"The disruption of his departure from office and his wife's crimes have made it difficult to present a facade of unity to their people," Paal said.

China's internet 'battlefield' over Bo

That united front has been key to ruling China for 2,000 years, he said. The current generation of leaders has been particularly sensitive to maintaining it since 1989, when the party hierarchy split over how to deal with the pro-democracy demonstrations in Beijing's Tiananmen Square.

Instead, the scandal surrounding Bo and his family "showed what people suspected was high-level corruption at high levels of government," Paal said.

Now, the leadership is trying to resolve the affair before its once-in-a-decade leadership transition at the Communist Party Congress meeting later this year, said Joseph Fewsmith, an international relations professor at Boston University and a longtime China watcher.

"There was a desire on the part of the Chinese Communist Party to get this case settled. It's not yet, but it is out of the party and into the hands of criminal courts -- well before the 18th Party Congress," Fewsmith said.

With the issue now before the courts, the case could be resolved "within the next couple weeks," he said.

"With these cases being dealt with at this time, I expect there to be smooth sailing to the 18th Party Congress," he said. "There may be some bargaining to go, but most of it has been done."

Heywood, 41, was found dead in his hotel room in Chongqing, a city of more than 30 million. Officials quickly blamed his death on "excessive consumption of alcohol," according to media reports, and his body was cremated without an autopsy.

But the matter blew open in February, when Bo's longtime lieutenant, Wang Lijun, sought refuge at the U.S. Consulate in nearby Chengdu.

Wang, the former police chief who managed Bo's anti-crime push, wanted political asylum, apparently fearing for his life and allegedly holding incriminating information against his boss. Media reports and online posts claimed Wang clashed with Bo after suggesting Heywood had been poisoned amid a business dispute with Bo's wife -- an allegation that appears in the charges announced Thursday.

Daring to speak out about Bo Xilai thriller

Gu and family aide Zhang Xiaojun were arrested in early April. The same day, Xinhua announced that Bo had been stripped of his seats on the Communist Party's Central Committee and Politburo, the nation's ruling organs, for an unspecified "serious breach of regulations."

Who is Gu Kailai?

But Paal said Wang, not Bo, "is probably the most hated" figure in the affair for going to the Americans.

Wang was taken into custody once he left the consulate for entering the diplomatic post without authorization. Paal said his gambit forced China to deal with the scandal with an unprecedented level of transparency, prodded along by social media.

"That's keeping them honest in a lot of places where they could be dishonest in the past," he said.

Meanwhile, the party has painted Bo as an outlier who violated party discipline and has been "very careful" not to use his case to purge the party of most of his supporters.

Gu and Zhang are awaiting trial in Hefei, in eastern China. A Bo family friend told CNN that Gu's lawyers were chosen by the government, not the family.

The friend, who asked not to be identified because of the sensitivity of the matter, also said the Bo family was not notified of Gu's whereabouts until last week.

Read more: Investing in China just grew murkier

Authorities say Gu and her son came into conflict with Heywood over "economic interests," and she regarded Heywood as a threat to her son's safety. Fewsmith said that allegation is the "one real surprise" in the charges.

"This had not previously been reported," he said.

Britain, which had asked China to investigate the matter further after being informed of growing concern about Heywood's case, said it welcomed the charges.

"The details of the ongoing investigation are a matter for the Chinese authorities," a Foreign Office spokesman said in a statement Thursday. "However, we are glad to see that the Chinese authorities are continuing with the investigation into the death of Neil Heywood. We are dedicated to seeking justice for him and his family and we will be following developments closely."

Read more: Inside China's murder mystery hotel

Speculation has been rife about the nature of Heywood's work in China and his ties to Bo's family.

Heywood had lived in China for more than a decade and was married to a Chinese woman. Among the companies Heywood advised was Hakluyt and Co., a consulting firm founded by former officers of the British spy agency MI6.

That link fueled rumors that Heywood might have had connections to British intelligence services. But in a rare public statement on such matters in April, British Foreign Secretary William Hague denied that possibility.

"Mr. Heywood was not an employee of the British government in any capacity," he said in a letter. He said the British government would usually neither confirm nor deny those accounts, but that he was making an exception "given the intense interest in this case."

CNN's Matt Smith contributed to this report.

@highlight

NEW: China has had to deal publicly with a major scandal, a U.S. analyst says

@highlight

Bo Xilai had been one of China's most prominent politicians

@highlight

His wife and a family aide are charged with killing a British businessman

@highlight

Communist leaders want the scandal over before their next party congress, an expert says