Washington (CNN) -- It's coming next week. Or next month. It'll protect 5 million undocumented immigrants from deportation. Or 3 million. Or less.

There's still a lot of uncertainty about President Obama's upcoming immigration executive order, since Obama himself has yet to make a final decision on an action to fix the broken system.

But while details aren't yet locked down, there are a few things we know for certain: the move is coming before year's end, the fate of millions of immigrants are at stake, and Republicans are fuming.

Here's what else you should know about the upcoming immigration order:

What is Obama going to do?

The biggest question -- one the White House isn't ready to answer quite yet -- is what changes Obama will bring to the immigration system to make it fairer. He vowed to take action on his own earlier this year, saying Congress had failed to pass any meaningful reforms themselves.

Administration officials, however, have laid out the contours of a plan: many parents of American citizens, who are undocumented immigrants themselves, will be allowed to stay and work in the United States legally. An estimate from the Migration Policy Institute puts the number of undocumented parents who might be eligible -- since they've been in the United States for 5 years -- at 3.3 million.

Related: The immigration waiting game will end soon

Other potential areas of reform include extending the deportation deferment for immigrants who were brought to the United States as children. Obama enacted a rule in 2012 permitting some of those children to avoid deportation, but there were age restrictions. Changing them could bring hundreds of thousands more into the fold.

Officials also said the plan could include a stronger focus on deporting criminals who are undocumented immigrants and an expansion of worker visas in areas like technology.

Lastly, the plan could include new resources to bolster security on the border.

What will that actually do for immigrants?

Immigration activists have long called for a fix to the system that would end deportations splitting up families. Thanks to the 14th Amendment to the U.S. Constitution, anyone born in the U.S. is automatically a citizen - that includes children whose parents are undocumented immigrants. But this also means many immigrant families find themselves in positions where one or both parents face deportation, while their children are allowed to stay.

Permitting those parents in the United States to work legally and avoid deportation would allow families to remain together. President Obama has said keeping families together would be part of the reason he'll acting alone to provide relief from the threat of deportation.

How many people would be affected by the move remains to be determined, since the details aren't yet finalized. If Obama announces he'll allow all undocumented parents of U.S. citizens, legal permanent residents, or deferred-deportation-eligible kids, 3.7 million people could be affected, according to the Migration Policy Institute's report.

But a stricter policy could bring those numbers down. Mandating parents live in the U.S. for at least 5 years before becoming eligible would bring the number affected to 3.4 million; a 10-year minimum would bring it down further to an estimated 2.6 million people.

Will it be enough?

Even under the broadest interpretation, Obama is expected to provide relief to 5 million undocumented immigrants. That's fewer than half the 11.7 million currently thought to be in the United States. His action would be far less sweeping than a comprehensive bill passed through Congress.

It would also be temporary. The next president could simply undo the orders and re-start deportations.

But with Congress unlikely to pass a comprehensive bill, Obama's action may be the best activists can hope for.

Immigration rights groups have been waiting a long time for Obama to pull the trigger on his immigration action. First announced this spring, the White House initially said the actions would be in place by the end of the summer.

Politics got in the way when Obama pushed the announcement until after this month's midterm elections. Now activists say anticipation is high with the waiting game nearing an end.

But their expectations for Obama's final plan aren't exactly sky high.

"Our expectations aren't tempered. But we fear that Obama's may be," said Clarissa Martinez, deputy vice president of the National Council of La Raza.

Lorella Praeli, the advocacy director at immigrants' rights group United We Dream, said she expected the eventual announcement to fall somewhere short of the maximum Obama could do with his executive power.

"I think they will try to couch that as 'these are our political constraints,'" she said.

What will Republicans do if Obama offers relief to many undocumented immigrants? Impeachment?

As soon as Obama announced he was taking unilateral action on immigration, Republicans denounced him as overstepping his constitutional bounds. Those cries of overreach don't show signs of quieting as the announcement nears.

On the extreme end are calls for impeachment, which were fueled this week when Rep. Joe Barton, a Republican from Texas, said Obama's moves could spark proceedings in the House. Charles Krauthammer, a conservative columnist, said Thursday night the potential actions are "an impeachable offense."

Related: Immigration action would spur calls for impeachment

It's hard to say exactly how Republicans will react since the action hasn't been announced in any detail. But no matter what Obama does it's certain to spark GOP outrage. House Speaker John Boehner said Obama was playing with matches and "would get burned" if he went ahead with executive action. Soon-to-be Senate Majority Leader Mitch McConnell said the president would "poison the well" in terms of working with Republicans for the final two years of his presidency.

The lawsuit against Obama that House Republicans have threatened could be expanded to include the immigration order. And any funding required for the plan could be held up in Congress.

All that only seems to empower Democrats, who say the threats demonstrate how resistant the GOP is to changing the broken immigration system.

Will it all cause a government shutdown?

It all comes down to timing. As Obama prepares to unveil the long-awaited immigration action, lawmakers in the Congressional lame duck are wading through some important business, chiefly passing a measure that would fund the federal government.

If the immigration announcement comes before the spending bill is passed, Republicans could hold it up. With funds running out in mid-December, that could trigger another government shutdown.

To avoid that, Republicans could pass a short-term spending measure the keeps the government running while they determine their next steps. But even some Democrats don't want to take chances -- Sen. Harry Reid, the outgoing Senate Majority Leader, said he wanted Obama to wait until after the spending bill passes to make the immigration announcement.

The White House, meanwhile, hasn't given any hints on when the announcement will come, saying the decision won't be made until Obama returns from his trip to Asia this weekend.

Related: Could immigration cause another government shutdown?

@highlight

President Obama has said he'll act on his own to help undocumented immigrants by the end of the year

@highlight

Republicans have said it will "poison the well" if he goes around Congress