(CNN)A huge hole has opened up in the earth. Thousands of people will soon be packing their belongings and moving on. In some cases, whole buildings will be dismantled brick by brick and carted off to a safer location.

This dramatic scene may sound like one of the more brutal passages of the Old Testament, but the Book of Exodus this is not.

Instead, it's the strange reality unfolding in the Arctic town of Kiruna, northern Sweden.

A nearby iron ore mine -- Kiruna's main source of income and employment for more than a century -- has begun to encroach on the city in recent years.

Small cracks have also begun to show on the streets in business and residential areas.

A detailed analysis by LKAB (the state-owned company that operates the mine) has predicted that the these fractures will only get worse as it attempts to access the most difficult to reach minerals.

According to Erika Lindblad of LKAB, the remaining iron ore bodies are located directly under the city. This creates a problem as the law, and the company's own policy, prohibits mining under populated areas.

"When the mines initially opened, it made sense to build housing near the workplaces, Lindblad said.

"However, no one could have imagined that over 120 years later we would be mining ore a kilometre below ground and that this would have a significant impact on the communities in which we operate."

The people of Kiruna have been aware of these developments since 2004 when LKAB sent local residents a letter detailing the severity of the situation.

In the period since, they have been forced to wrestle with an unenviable dilemma.

Either the mine, which employs around 4,000 local people, closes down and the city loses its primary source of income, or it continues to operate and a large part of Kiruna is sectioned off and its inhabitants are forced to move a new location.

The problem is succinctly surmised by Goran Cars, head of development at the Kiruna municipality. "The city is the mine and the mine is the city," Cars said. "We have lived together for 100 years and we have a huge dependence on each other. Without the mine the town would die."

After much debate and an international competition to flesh out what the new Kiruna would look like, the option to move won the day.

Over the course of the next 20 years, a new town center, municipal buildings and 3,000 homes will be constructed two miles away. When the project is finished, roughly 6,000 of Kiruna's 23,000 residents will have been relocated, according to data provided by LKAB.

People forced to depart over this period will have their property purchased from them by the mining firm. They will then choose between investing in one of the newly built homes or, if they prefer, upping sticks for pastures new.

On top of this, around 20 structures of cultural and architectural significance will be taken down brick by brick and rebuilt in a new, more stable location.

Understandably, such an ambitious task has drawn attention from around the globe.

"The idea of having a city and then moving it has never happened before," Cars said. "We are unique."

Among the buildings being moved is the local church, which was voted the most beautiful building in Sweden 2001.

The bell tower from the existing town hall will also be removed and placed in the new town square.

The incremental nature of the move has led to Kiruna being dubbed the "millipede town."

Building work began last March and has been progressing at a gentle pace ever since. As things stand, the foundations have been laid for the new City Hall while one business (a shop) has been shuttered in the old town, according to Lindblad.

Other buildings slated for construction include a new train station, town square, hotels, offices and schools.

"I think that we can make a lot of improvements ... (with) more modern houses and buildings," Lindblad said.

For architecture firm White Arkitekter AB, however, the opportunity to reimagine a 100-year-old town goes way beyond the possibility of erecting some eye-catching new buildings.

Co-lead architect, Krister Lindstedt, envisions a sleek, modern development that embodies the most cutting-edge concepts of design and urban-planning. He describes a town that embellishes the spectacular nature of the surrounding region and a new people-friendly town-center built entirely from scratch.

There will be more social meeting places, more cafes and more scope for cultural activities than are currently available in the existing Kiruna, Lindstedt adds.

For the residents of Kiruna, such changes are generally perceived positively, Cars explained.

The current city has no town center and very few areas for gathering or for putting on events. It also has a long-held demographic problem of retaining female residents, many of whom prefer to move elsewhere for work.

These are all problems the new design for the new Kiruna seeks to solve.

Yet there remain concerns about the psychological and emotional impacts moving a city will have on its residents.

Some older people even worry whether they will be able to afford home in the new Kiruna, although the local authorities are adamant that a solution will be found if anyone finds themselves in such a situation.

The unique community feeling is something the architects hope to maintain. According to Lindstet, this project is as much "a question of identity and what will make people feel like they are at home."

Social anthropologist, Viktoria Walldin, has been drafted in by White Arkitekter AB to help deal with these issues. She describes the importance of not completely banishing existing landmarks no matter how insignificant they are.

People can hold strong sentimental memories over items as seemingly meaningless as a street name or a park bench, believes Walldin.

A smartly named "Kiruna Portal" has been set up that will allow people to identify items that they would like to see moved to the new town. This could be something as small as a particular brick that holds a special memory or as big as the existing bell tower.

The Kiruna Biennale, meanwhile, an event scheduled to begin in the city in years to come, will be a nostalgic celebration about what the city was but also what it will become.

While far from perfect, Walldin believes these projects will help ease people's feelings about the transition.

It will also serve to emphasize how unique the residents of Kiruna and their city really are.

"There's this mutual relationship (between the people and the mine) which is quite interesting that I don't see in other projects when you move cities," Walldin said.

"When slums are cleared its obvious who has the power. I mean, the decision is made and people are moved.

"But in Kiruna, there is this mutual (requirement) between the town and the mine. So, it has to be done in this respectful way."

@highlight

Cracks have appeared in the streets of the Arctic city of Kiruna due to mining activity nearby

@highlight

A large part of the town will be moved to allow economically important mining to continue

@highlight

Some buildings will be taken down brick-by-brick and rebuilt at a new location