MIAMI, Florida (CNN) -- From the custom-made, hand-beaded white dress to silver-studded high-heeled shoes, diamond jewelry and tiara, Jenny Ferro is preparing for a day she's dreamed about since she was 3 years old.

Marlene Ferro, left,  who emigrated from Cuba, says Jenny's quinceanera was a gift to both of them.

"I'm really excited," says Jenny, eagerly nodding her head. "Really, really, a lot!"

She isn't getting married. The 15-year-old is preparing for her quinceañera, a coming-of-age ritual in Latin culture, marking a young girl's entrance into womanhood. The centuries-old tradition began as a ceremony to introduce girls to society on their 15th birthday and signified that they were ready for marriage. Today, many quinceañeras have become much more elaborate.

Jenny and her mother, Marlene Ferro, have worked out every detail of the party well in advance, from the rehearsal to the reception to the flower girl and the music. The theme of the party is bedazzled.

First, there is the dress, which Marlene had designed specially for her daughter. It cost about $800. Then there are the shoes, high-heeled and silver to match the dress. During the party, the high heels will be ceremoniously slipped onto her feet to replace her flat shoes -- a symbolic transition of her journey from childhood to womanhood.  Soledad O'Brien takes a look at Jenny's dress, shoes and photos »

"It makes her look like a princess," gushes Marlene Ferro.

Quinceañeras are becoming increasingly popular in the United States. One reason for their popularity is a greater acceptance of Latin culture in America, according to Michele Salcedo, author of "Quinceañera!" a comprehensive guide to the celebration.

"The 15th birthday, culturally, is a milestone. It doesn't have to be celebrated with a party at all, but it is generally marked by something quite special," Salcedo says.

Experts believe the quinceañera is rooted in Mayan, Aztec and European traditions. Today, many coming-of-age ceremonies resemble lavish "Sweet 16" celebrations. Beyond the elaborate apparel, food and festivities, modern quinceañeras often feature a court of 15 people, typically consisting of family and friends. As the event continues to grow in popularity, the makeup of the court has also changed.

"It has gone beyond Latinos, so that a lot of Latino girls will have not only family members in court but they will reach out to non-Latino friends," says Salcedo. "So it's a way of reaching out and extending social ties and bringing people in who might not otherwise have an opportunity to know a Latino family and to know the culture."

Family plays the largest role in the quinceañera, leading up to and during the party. Mothers, fathers, grandparents and godparents can spend years preparing a night to remember for the young girl. The tradition is just as important to the family as it is to the young woman. The large, extravagant celebrations often symbolize a family's hard work and success. How has America changed Latinos?

Marlene Ferro, who emigrated from Cuba as a child with her parents, says Jenny's quinceañera was a gift to both of them. The 43-year-old, single mother of three, saved for years and estimates that she spent at least $20,000 on her daughter's quinceañera.

"I was able to accomplish something that I had been looking forward to for 15 years," says Marlene Ferro.

The parties can be as big and expensive as a family can imagine and costs can escalate into the hundreds of thousands of dollars, according to Salcedo. She recommends that families manage expectations before the party planning even begins. iReporter Alexis Fernandez's quinceañera was a big event in Alaska

"Sometimes people go way overboard and [spend] much more on the celebration than they can afford and that's the downside of the quinceañera," says Salcedo. "Because when it's done right it can be a beautiful family celebration and a celebration of a milestone that a young girl goes through."

Quinceañeras have changed over the years. Even though her tiara was taller than her daughter's, Marlene says her quinceañera was simple. It was a small gathering at her sister's apartment with family and friends. She wore borrowed jewelry from a family member, had a homemade cake and danced with her father. Marlene Ferro's 15th birthday present was a telephone in her bedroom.

"I didn't have a big quince party. I chose to have a small party with my friends," she remembers. "My dress was really easy ... I didn't have an option. It was this one or that one. Now, we give our kids the option." iReporter Diamond Ramirez's mother, grandmother never had quinceañeras

There's a spiritual element to these celebrations as well, says Salcedo. The church plays a role in helping to prepare teenage girls for this transition to womanhood. Ceremonies and classes before the coming-of-age celebration teach the young women that with adulthood come certain responsibilities, both physical and spiritual.

"When it's done in the spirit that it probably should be, the girl has certain responsibilities and by the end of the process, she's met them and she has showed her mother that she can, in fact, be responsible and she does acquire ... a bit more maturity then she [had] before," says Salcedo.

As the celebrations become more popular in the United States, they also offer an opportunity for more Americans to participate.

"It's a way to push back a lot of the negativity that a lot of Latinos feel is directed at Latinos," says Salcedo. "It is a way for people who have recently arrived, or maybe not so recently arrived, to say 'I have done well here' ... I'm throwing this party for my daughter and I'm inviting all of you to partake of my generosity so that you can see exactly how well we've done."

@highlight

Quinceañeras, or 15th birthday celebrations, mark a girl's transition to womanhood

@highlight

Jenny Ferro, 15, has been preparing for her celebration since she was 3 years old

@highlight

Marlene Ferro estimates she spent $20,000 on her daughter's quinceañera

@highlight

Expert: The elaborate parties are a way for Latinos to say 'I have done well here'