(CNN) -- Residents of coastal areas in Bangladesh and Myanmar are preparing for the arrival of a large storm that is rumbling toward them across the Bay of Bengal, with a U.N. agency warning that more than 8 million people could be in danger.

The storm, Tropical Cyclone Mahasen, is forecast to make landfall late Thursday or early Friday in southeastern Bangladesh, near the city of Chittagong. It is likely to bring strong wind and heavy rain to the surrounding region.

On Myanmar's western coast, there are concerns about the safety of tens of thousands of Muslims who are living in makeshift camps in low-lying areas after their homes were destroyed in sectarian violence last year.

"Mahasen could be life threatening for millions of people in Bangladesh, Myanmar and India," Valerie Amos, the U.N.'s top official for humanitarian affairs, said in a statement Tuesday.

The number of people the storm will affect depends on the exact path it plows across the region and its strength when it reaches land.

Aid agencies and local authorities are scrambling to make sure residents are as prepared as possible, taking measures that include moving people at risk to higher ground and putting emergency supplies in position.

"There is a flurry of activity going on both in Bangladesh and in Myanmar ahead of the storm," Andreas Von Weissenberg of the International Federation of the Red Cross and Red Crescent said Wednesday. "It's really a race against time in many ways."

The latest prediction suggests Mahasen will bring wind gusts of 85 to 90 kilometers per hour (53 to 56 mph) to the Bangladeshi coast, CNN International meteorologist Ivan Cabrera said.

That puts it at the level of a tropical storm, he said, weaker than the 120-kilometer-per-hour gusts of a hurricane.

"This will be a rain event for most in the area," Cabrera said. "If you are in a concrete building, you will be fine outside of localized very heavy flooding."

The floods could cause problems in low-lying areas, particularly the flimsy camps in Myanmar's Rakhine state.

As the storm approaches, Myanmar authorities and relief agencies have begun working to relocate tens of thousands of the camps' inhabitants.

Most of them are Rohingya, a stateless Muslim minority who suffered during decades of military rule in Myanmar.

Sectarian violence erupted in Rakhine last year between Buddhists and Muslims, resulting in the deaths of scores of people, the majority of them Rohingya. Since then, more than 100,000 Muslims have been forced to live in camps.

In a report last month, the advocacy group Human Rights Watch accused Myanmar authorities of involvement in a Buddhist campaign of "ethnic cleansing" against the Rohingya in Rakhine. The Myanmar government dismissed the report as "one-sided."

The efforts to relocate some of the displaced Rohingya living in the camps appear to have been hindered by distrust of the security forces involved.

Some of those in the camps "are reluctant to relocate, and some communities have refused to use military vehicles or to shelter in military barracks," the United Nations Office for the Coordination of Humanitarian Affairs (OCHA) said in an update on the situation Tuesday. Alternative relocation sites are being sought, it said.

On Monday night, a boat ferrying people from one camp in Rakhine to safer areas hit rocks and capsized, the OCHA said, citing the government. Fifty-eight people are believed to still be missing from the accident. Some survived, and an unspecified number died, the agency said.

Bangladesh authorities appear to be well organized for the storm's possible threat to the low-lying and densely populated nation.

As many as 50,000 volunteers are giving out early warnings, providing advice, helping people relocate and preparing to give first aid and distribute relief items, Von Weissenberg said.

Bangladesh has learned to take a cautious approach to storms after the catastrophic impact of Cyclone Bhola in 1970 that is estimated to have killed 400,000 people, according to the OCHA.

CNN's Brian Walker contributed to this report from Hong Kong and Saeed Ahmed from Dhaka, Bangladesh.

@highlight

Tropical Cyclone Mahasen is moving toward the Bangladesh coast

@highlight

A U.N. agency warns that millions of people could be in danger

@highlight

The storm is expected to be weaker than hurricane strength when it reaches land

@highlight

There are concerns about the safety of Muslims living in low-lying camps in Myanmar