(CNN) -- Before my parents left Taiwan in 1967, they were given a gift box full of America: A collection of the greatest Broadway cast recordings of all time, lovingly pressed into 50 sleek disks of vinyl. For over a decade, the contents of the box were the only music played in our home.

My sister and I came of age listening to Rodgers and Hammerstein, Lerner and Loewe, Sondheim and Styne and Strauss. And when we were finally ushered into the dark of an actual Broadway playhouse to experience firsthand the unique alchemy that occurs when music and theater meet, we were hooked for life.

All of this is just to explain why I'm conflicted by the controversy that's erupted over the recent revival of W.S. Gilbert and Arthur Sullivan's comic operetta "The Mikado," which is being presented in celebration of the 60th anniversary of Seattle's Gilbert & Sullivan Society, one of the oldest light opera companies in the nation.

It's hardly surprising that the Society would choose "The Mikado" for its diamond jubilee year. It is the most frequently staged of Gilbert and Sullivan's operettas and a perennial favorite of the Society. Every time, they have done it the same way: As a photocopy of the Victorian original, with Caucasian actors wearing garish facepaint and outfits that cartoonishly approximate traditional Japanese garb.

There's a term for this kind of racial costuming: Yellowface. It's a phenomenon that seems to be resurgent.

We saw it in Katy Perry's geisha-inspired performance at the American Music Awards in November, in a January episode of the hit sitcom "How I Met Your Mother" and a month later, in the opening sketch of the venerable comedy program "Saturday Night Live."

Each time, the use of yellowface has been defended as loving homage or harmless parody. Each time, when Asian-Americans have pointed out that we don't find the wearing of cosmetics and wardrobe to simulate Asian appearance to be "loving" or "harmless," our concerns have been dismissed.

Which is why, despite my deep personal love of musical theater, I think these "traditional" productions -- yellowface productions -- of "The Mikado" have to end.

They are the deep-drilled root of the yellowface weed: the place from which the scourge keeps springing back, even when its surface expressions are plucked. There are older examples of yellowface in entertainment than "The Mikado," but none so popular, and certainly none that have been as popular among mass audiences for as long -- 129 years and counting.

I want to be clear that I'm not saying that "The Mikado" shouldn't be performed at all.

Its biting satire and splendidly silly stage play make it quite possibly Gilbert and Sullivan's greatest work. But when it is performed by an all-white troupe of actors dressed and made up as Asians, it shifts from a brilliant comedy of manners to, as Asian-American actress and blogger Erin Quill says, a "racist piece of crap."

Quill, a musical theater veteran and original cast member of the bawdy Off-Broadway hit "Avenue Q," is actually quoting herself. That's the first line spoken by Cheryl, the character she plays in the indie film "The Mikado Project," a mockumentary that follows an Asian-American theater troupe forced to put on a production of "The Mikado" in order to stave off bankruptcy.

"In the movie, the artistic director makes a desperate attempt to convince us that it won't look like yellowface, because underneath the costumes and makeup, it's Asians playing Asians -- or at least the Asians white people think we are," says Quill, who also co-wrote the screenplay. "Obviously, the company is not down for it."

By demonstrating that Asians can't present a "traditional" version of the show without looking and feeling ridiculous, the film aptly exposes the uncomfortable racial reality behind operetta's fanciful farce. But it then goes on to show how little it takes to make a version of "The Mikado" that isn't offensive: A commitment to multiethnic casting and an end to the use of makeup to ape "exotic" Asian features.

And while we're at it, maybe change the cast names to something that don't sound like schoolyard slurs? There's no reason why Nanki-Poo, Ko-Ko and Yum-Yum couldn't be Namihiko, Kaku and Yume, all names that Japanese humans might actually be called.

Change is painful. Hardcore fans find the suggestion of any kind of alteration of G&S's works to be anathema. But live theater is unsettled and organic by nature. No two performances are the same, and shows are revived time and again, with each new production adding contexts that enhance rather than erase the original.

Indeed, "The Mikado" has seen the wildest set of adaptations of all of Gilbert and Sullivan's works.

1939 saw the first staging of "The Hot Mikado," a jazzed-up edition of the opera featuring an all-black cast, which has since itself been revived dozens of times. In 1987, Monty Python member Eric Idle headlined a much-celebrated version of "The Mikado" for British television, which was traditional in all respects, except for resetting the antics at an English seaside resort.

Even "traditional" productions embrace mutability and modernity.

The song "I Have a Little List," sung by Ko-Ko the Lord High Executioner, details a lengthy set of individuals who "never would be missed" if they were to encounter the business end of a chopper. Every "Mikado" production customizes the lyrics of the song, rewriting them to lampoon present-day celebrities and situations. If Ko-Ko can sing about Kardashians and customer service operators, there isn't any reason why the rest of the play can't be updated as well.

A hundred and thirty years ago, Asia was exotic and alien and strange; today, sushi is sold in 7-Elevens (now a Japanese-owned chain!) and there are 18 million Americans who trace our ancestry to that continent, but keep our homes and hearts right here.

Isn't it time to lower the curtain on yellowface for good?

@highlight

To celebrate 60th anniversary of Seattle's Gilbert & Sullivan Society, "The Mikado" is shown

@highlight

Jeff Yang: Yellowface productions of "The Mikado" have to end

@highlight

He says an all-white cast of Asian characters in cartoonish costumes is offensive

@highlight

Yang: Racial costuming seems to be resurgent; we don't need it in this day and age