Rome (CNN) -- Scandal is threatening to eclipse the poignancy and pageantry of Benedict XVI's historic final days as pope.

Vatican officials were already trying Monday to swat down unsavory claims by Italian publications of a brewing episode involving gay priests, male prostitutes and blackmail when news broke that Benedict had moved up the resignation of a Scottish archbishop linked over the weekend by a British newspaper to inappropriate relationships with priests.

Benedict announced two weeks ago that he will step down as pope Thursday, becoming the first pontiff to leave the job alive in 598 years.

Interactive: Where does the pope live?

At 85, he said he was too old, frail and tired to continue on as spiritual leader of the Roman Catholic Church and its 1.2 billion followers worldwide.

It was a stunningly unexpected announcement that left church scholars poring over Catholic law to answer such basic questions as when the pope's successor would be chosen and even what he would be called in retirement.

But the scandals -- along with lingering questions about how the church has handled claims of abuse by Catholic priests around the world -- have dimmed the spotlight on Benedict's final days as pope.

"Clearly, prior to these scandals erupting, the cardinals had a long checklist of things they were looking for in terms of the new pope," CNN senior Vatican analyst John Allen said Monday, including finding someone to help spread the message of the church and inspire faith amid flagging practice of the Catholic faith in many parts of the world.

"But in the wake of everything that's happened in the last 72 hours or so, quite clearly a new item is on that list, which is they also want to make sure they pick somebody who's got clean hands," Allen said.

Vatican reveals Pope Benedict's new title

Archbishop's resignation

The Vatican confirmed Monday that Benedict had accelerated the resignation of Cardinal Keith O'Brien, the archbishop of Scotland.

O'Brien told the pope in November that he would resign effective with his 75th birthday, on March 17. But Benedict decided to make the resignation effective immediately in light of the pope's imminent resignation, the Scottish Catholic Media Office said.

The announcement comes a day after a Sunday report by the British newspaper The Observer that three priests and one former priest leveled allegations against O'Brien that date back 30 years.

The Observer did not recount details of the claims or identify any of O'Brien's accusers, but said one of the priests alleged "that the cardinal developed an inappropriate relationship with him."

O'Brien did not attend Mass at St. Mary's Cathedral in Edinburgh on Sunday, but the Scottish Catholic Media Office told CNN that the cardinal "contests these claims and is taking legal advice."

His accusers took their complaints to the Vatican representative in Britain and demanded O'Brien's resignation, The Observer reported. At the Vatican, the Rev. Federico Lombardi, a spokesman for the church, told reporters that Benedict has been informed of the allegations.

As late as last week, O'Brien appeared to be making plans to take part in the conclave, when the College of Cardinals gathers in Rome to pick a successor to Benedict.

But in a statement in which he thanked God for the good he was able to do and apologized to "all whom I have offended," O'Brien said Monday that he would not be part of that gathering.

"I do not wish media attention in Rome to be focused on me -- but rather on Pope Benedict XVI and on his successor," O'Brien said.

Opinion: 'Gay lobby' behind pope's resignation? Not likely

Cardinal controversy

While O'Brien will no longer be involved in electing the new pope, another controversial cardinal's plan to attend is further taking focus from Benedict's final days in office.

Cardinal Roger Mahony of Los Angeles is facing fresh attention for his role in the cover-up of sexual abuse by priests.

Documents recently released as part of the 2007 settlement in a previous abuse case detail what Terry McKiernan, founder of the watchdog group BishopAccountability.org says is "stark" evidence of efforts by Mahoney and others to sidestep authorities investigating sexual abuse.

He recently gave a deposition in a 2010 civil lawsuit filed in the United States by a Mexican citizen suing the Los Angeles archdiocese. The man alleges Mahony and a Mexican cardinal conspired to allow a priest accused of abuse to flee to Mexico, putting an untold number of children at risk. Mahony has denied the allegations.

Two groups seeking to stop Mahony's participation in the election said Saturday they have collected nearly 10,000 signatures on a petition against his involvement.

"His participation in the conclave would only bring clouds of shame at a time that should bring springs of hope," said Chris Pumpelly, the communications director for one of the groups, Catholics United. Survivors Network of those Abused by Priests also worked on the campaign.

Church law requires that Mahony attend, the Archdiocese of Los Angeles said.

Father Albert Cutie, an Espiscopal priest who studies the Vatican, said it would be impossible to exclude every cardinal with a hand in the church's vast sex-abuse problem.

"Unfortunately, if you were going to tell me no one can go to the conclave who has part in any type of cover up, you would probably exclude every cardinal in the church, because unfortunately that's the way the church is operated," he said.

Blackmail allegations

As if the controversies over O'Brien and Mahony were not enough, two Italian publications reported over the weekend that Benedict had decided to resign not because of age, but because of a brewing scandal over the blackmail of gay priests by male prostitutes in Rome.

Benedict received a 300-page report in December detailing the possible blackmail, la Repubblica newspaper and the Panorama news weekly reported, citing an unidentified senior Vatican official and dozens of unnamed sources.

The Vatican emphatically denied the allegations this weekend, with Secretary of State Tarcisio Bertone criticizing a rash of "often unverified, unverifiable or completely false news stories" as the cardinals prepare for their conclave.

Cardinal Velasio de Paulis, one of the men who will help elect Benedict's successor, called the claims "guesswork and imagination."

"There is no proof and these allegations only serve to create a climate of division that helps no one," he said.

While no one outside the Vatican has seen the document that purportedly details the claims and Vatican officials have not confirmed it exists, Allen said such a claim is not improbable.

"To me that passes the smell test," he said.

Retirement preparations

Amid the scandal, the Vatican still has a transfer of power to manage.

On Monday, Lombardi said it remains unclear when the gathering of church leaders who will elect the next pope will begin.

While Benedict issued an order Monday to allow the election to begin sooner than the 15 days after the seat becomes vacant mandated by church rules, the date for the election will be set by the cardinals when they first gather, Monsignor Pier Luigi Celata said Monday at a Vatican press briefing.

It still must happen within 20 days of his resignation, the pope said.

After his retirement, Benedict is expected to head to the pope's summer residence in Rome before eventually settling in a monastery in Vatican City. Church officials have said he will seek no influence over the election of his successor, or over management of the church.

Among other issues, Vatican officials are still trying to work out what Benedict will be called in retirement. One suggestion is "pontifex maximus," Celata said. The term can be translated as "supreme bishop."

Vatican officials hope to have an answer next week, Lombardi said.

Ben Wedeman reported from Rome; Michael Pearson reported and wrote from Atlanta. CNN's Wayne Drash, Hada Messia and Chelsea J. Carter contributed to this report

@highlight

NEW: Vatican awash in scandal amid preparations for Pope Benedict XVI's retirement

@highlight

On Sunday, a British newspaper reported four men accused O'Brien of abuse

@highlight

Italian publications report allegations of priest blackmail by male prostitutes

@highlight

Benedict retires Thursday, the first pope to resign in nearly 600 years