On the same day that thousands of women stood up to participate in One Billion Rising, billed as the largest mass action to stop violence against women and girls, the sad news came from South Africa that yet another woman was killed.

The reason we took notice of 30-year-old Reeva Steenkamp's death among so many others killed every day is the shocking news that the man charged with killing her, her boyfriend, is none other than Oscar Pistorius, the athlete known as "Blade Runner," a double amputee whose Olympic feats on prosthetic carbon fiber legs made him an international superstar.

We don't know what the investigation will uncover, but Steenkamp's life is now lost. Coincidentally, the Pistorius case happens around Valentine's Day, the date that Rising activists marked to bring focus on the crisis of violence against women.

Nike's bullet ad with Pistorius backfires

Brutal attacks against girls and women have stirred the world's conscience with increasing frequency in recent months.

There is no question that many societies are finally becoming fed up with the much-too-common practice of attacking, raping and killing women that goes on in all corners of the world.

The perpetrators of these crimes are invariably cowards, using superior physical force to intimidate or exert power. We have come to know some of their victims.

Remember Malala Yousafzai, the Pakistani girl targeted by the Taliban because she proclaimed that every girl has a right to an education. She has survived and vowed to continue her struggle despite the Taliban's promise they will try to kill her. The contrast in courage could not be starker.

Then there is Nirbhaya, the New Delhi university student who was gang raped in a bus. She died of her horrific injuries, but her assault moved India and the entire world so deeply that her legacy has fueled the battle to stop this violence.

Earlier this month, in a case gruesomely reminiscent of Nirbhaya, 17-year-old Anene Booysen was raped, mutilated and left for dead, in the South African city of Capetown.

Just as Malala has inspired girls to demand an education, Nirbhaya has awakened India to the need for better laws and law enforcement to protect women. And, until the authorities get their act together, fierce Indian girls are learning self-defense. No wonder the Billion Rising celebrations have been such a hit all over India.

Organizers say "Risings" are taking place in 203 countries. If true, that means women in a majority of countries on Earth could heed the call to stand, and to dance. Yes, to dance as a sign of "solidarity, purpose and energy" to "shake the world."

A global push to end violence with song and dance

Amid the celebration, however, it's important to keep in mind what the occasion marks. According to U.N. statistics, one in three women will experience violence in her lifetime, including beating, rape or assault, making such violence a more prevalent problem than AIDS, malaria or any other disease. It means 1 billion women alive at this moment will become part of that statistic, hence the One Billion Rising.

Women used to keep their assaults quiet, out of shame or fear of being ostracized. But less so today. There's Lara Logan, the CBS correspondent attacked by thugs in Cairo's Tahrir Square while covering the Egyptian revolution, one of countless women assaulted in Egypt by gangs of men. Some female democracy protesters, fighting for their rights, were later subjected to "virginity tests" by the Egyptian military.

The problem has deep roots and far-reaching ramifications. Women have endured the use of rape as a weapon of war, and domestic violence as a tool of control at home.

Domestic violence is one of those old traditions that should have died long ago. A 2012 study by UNICEF found most youngsters in India believe wife-beating is justified. But other surveys found the problem knows no national boundaries. The U.N. says about 14,000 Russian women die every year from domestic violence.

In some countries, women are subjected to violence as retaliation for other family members' or their own perceived offenses in so-called "honor killings."

In war zones, fighters rape women to humiliate their enemies, to perpetrate "ethnic cleansing" and to force people to leave. An incredible 92% of Liberian women in one study said they had been raped in that country's war. As you read this, women are being raped in Syria, in the Congo and in other countries where wars rage. After the violation, many of them will be rejected by their families.

Violence against women tends to go hand in hand with lack of equality. It also is a sign of a malfunctioning society.  It is a stubborn problem, but one that responds to measures, such as those just approved after a perplexing political battle in the United States.

As the world changes, as countries emerge from poverty and people fight for their rights, we can look to the level of violence against women as one of the gauges of their success. The Arab Human Development Reports of 2002 and 2005 said the low status of women is one of the reasons Arab countries had stagnated, calling the rise of women "a prerequisite for an Arab renaissance."

Pistorius' South Africa, a country with a storied history in the fight for racial equality, has a disturbing record of violence against women.

Around the world, the awareness and determination of women to stand up to violence are a major step forward. But tragedies such as the killing of Steenkamp in South Africa, one of countless occurring just today, are a reminder of the urgency of the cause.

Any country, any society that wants to move forward and earn a place of honor among the nations must make it a priority to teach men from the earliest age that violence against women in any form is unacceptable, and those who hurt or intimidate women should be punished.

@highlight

One Billion Rising mass action is raising awareness of violence against women

@highlight

Frida Ghitis: Oscar Pistorius faces murder charges in death of his girlfriend

@highlight

Ghitis says people are taking notice, with the assault on Malala, the death of Nirbhaya

@highlight

Ghitis: The death of Steenkamp is a reminder of the urgency of the cause in helping women