(CNN) -- "The food is excellent. The beer is cold. The sun nearly always shines. There is coffee on every corner. Life doesn't get much better than this."

That's Bill Bryson's take on Australia, and pretty much everyone else's.

But beyond the beautiful beaches and cuddly marsupials, there are quirky, lesser-known facts to file away before preparing for a trip to Australia.

Bust them out in an Aussie pub and you'll make instant friends.

Not that they weren't going to be friendly anyway.

1. The Opera House was a major headache to build

Sydney's Opera House turns 40 this month. Celebrations in honor or the big birthday included an outdoor concert and a Danish design exhibition.

But the performing arts center, which became a World Heritage Site in 2007, wasn't always so beloved.

In 1956, Danish architect JÃ¸rn Utzon won the competition to design it, but construction proved tricky, resulting in years of delays and spiraling costs.

Things came to a head in 1966 when the government refused to pay Utzon, resulting in his resignation. Peter Hall finished the job.

Uzton didn't attend the official opening on October 20, 1973.

Although amends were made in 1999, the architect never returned to Australia.

2.There are more camels than koalas

While the koala is a cuddly symbol of Australia, there are actually 10 times as many wild camels.

Introduced in the 1800s to provide transportation through the country's desert heart, one million camels now roam the vast outback.

The feral animals cause all sorts of problems, from drinking waterholes dry to destroying sacred Aboriginal sites.

The population could double in a decade if left unchecked. This has prompted the government to adopt a controversial culling program.

One place camels are welcome is the Northern Territory town of Alice Springs. Every July, the unpredictable beasts take center stage at the self-dubbed "temperamental, terribly unpredictable, very entertaining" Lasseters Camel Cup.

3. Aussies love to gamble

Australians are one of the world's biggest gamblers per capita, spending $1,314 each in 2012, according to H2 Gambling Capital.

Slot machines -- "pokies" in the local vernacular -- are the nation's favorite bet, especially in New South Wales.

The state has 100,000 slots in pubs and clubs, while Sydney is set to become the gambling capital when a second casino opens in 2019.

But it's Victoria that pulls in the punters. Each November, the Melbourne Cup horse race stops the nation. It's so big it's a public holiday in the southern state.

More: QT Sydney: The hottest, hippest historic hotel in town

4. They invented Wi-Fi

Australia's national science agency, CSIRO, claims to have invented the wireless LAN technology that's the basis of Wi-Fi.

Not everyone agrees, but it's got a patent to prove it.

The agency has sued companies using the technology without a license -- its 20-year patent expires next month.

It's not the first time the CSIRO has claimed a place in history.

In July 1969, its 64-meter (209-foot) radio telescope in Parkes received television signals that allowed 600 million people to watch Neil Armstrong's moonwalk live.

The observatory, affectionately known as "The Dish," is open to visitors in the NSW country town that's also home to an annual Elvis festival.

5. The big island is surrounded by more than 8,000 smaller islands

Some people say Australia is the largest island on earth, while others call it a continent because it has its own tectonic plate.

Whichever way you look at it, the island continent is fringed by thousands of smaller islands -- 8,222 to be precise.

It's got an island state (Tasmania), the world's largest sand island (Fraser) and an Antarctic island (Macquarie).

Many islands are named after animals, including Kangaroo Island off the South Australian coast, Lizard Island in the Great Barrier Reef and Cockatoo Island in Sydney Harbor.

More: World's 100 best beaches

6. It has a "Greek city"

Melbourne has the largest Greek-speaking population in the world, after Athens and Thessaloniki.

In fact, more than 200 languages and dialects are spoken in Australia.

That's because more than 25% of Australians were born in another country, making Australia a melting pot of multiculturalism.

Melbourne's vibrant Greek quarter around Lonsdale Street is home to Stalactites restaurant, a city institution open 24/7, and the annual Antipodes Festival, which features Zorba dancing and lots of souvlaki.

7. The country's one and only military coup was over rum

Aussies have a desperate love affair with beer, but in the late 18th century, rum was a popular form of payment in the fledgling colony of Sydney.

That is until 1808, when Governor William Bligh decided to stop the practice.

The edict didn't go down well with ringleaders of the rum trade, the New South Wales Corps. The regiment deposed Bligh in a military coup later known as the Rum Rebellion.

The city's boozy past can be soaked up via a four-hour walking tour of the historic Rocks area with Sydney Urban Adventures ($137 per person).

More: How to see the best of Sydney in a week

8. Only 20 of its snakes will kill you

Most Aussies are proud of their killer wildlife.

The country has 140 snake species and more of the venomous variety than any other continent.

In fact, 20 of the world's 25 deadliest snakes are found slithering here, including the entire top 10.

They're not all nasty. Snakes are naturally shy and would rather not come across humans.

Just north of Sydney, the Australian Reptile Park has a milking program for its 200 venomous snakes.

It also hosts hands-on wildlife shows.

9. Coast-to-coast takes four days by rail

Everyone knows Australia is a big place, but its size truly hits home on a trip from one side to the other.

In 1912, work began on the Trans-Australian Railway to link Perth on the west coast with the eastern states.

The first section built across the treeless Nullarbor Plain includes the longest stretch (478 kilometers/297 miles) of straight track in the world.

Today, two iconic passenger trains use the line: the Indian Pacific trundles the 4,352 kilometers from Sydney and Perth in four days, while the Ghan takes three days to travel 2,979 kilometers from Darwin in the north to Adelaide in the south.

10. Burgers come with beets

In Australia, beets on a burger are a given.

There are fancy burgers with goat cheese or chorizo, but a proper Aussie "burger with the lot" includes a slice of tinned beets.

It also often comes with pineapple, fried egg, bacon, cheese and onions, but most Aussies will tell you the red veggies are what makes it taste so great.

More: 40 best Australian foods

@highlight

Australia has 10 times more camels than koalas

@highlight

The island continent is fringed by 8,222 smaller islands

@highlight

World's 10 deadliest snakes are all found down under

@highlight

Nice on postcards, the Opera House was a major pain to build