Washington (CNN) -- Both sides agree that forced spending cuts set to take effect next week will harm the economy and national security. Both sides have plans for averting the worst impacts.

So why are there no formal negotiations taking place with Congress on break this week as leaders from both parties accuse each other of intransigence?

Once again, the answer is the Washington blame game.

The same pattern of politically inspired brinksmanship that dominated President Barack Obama's first term is continuing in the early days of his second.

Now, the collective weight of Obama's re-election in November and the subsequent fiscal cliff deal in which Republicans conceded on tax increases makes compromise seem distant, if not impossible, in the short term.

The central issue is the same one that framed last year's presidential campaign.

Republicans want to shrink the size of government and the spending needed to run it, while Democrats want to strengthen the safety net of federal programs that help the poor, the elderly, the disabled and other vulnerable communities.

Obama and leaders of both parties warn the pending $85 billion in spending cuts set to kick in on March 1 bode ill for the nation, but the rhetoric so far has focused on blaming the other side.

In an interview on Thursday with the radio program "Keepin It Real with Al Sharpton," Obama said GOP opposition to any further tax hikes or ending loopholes to raise more tax revenue was "the thing that binds their party together at this point."

"Unfortunately, I think Republicans have been so dug-in on this notion of never raising taxes that it becomes difficult for them to see an obvious answer right in front of them," the president said.

"We continue to reach out to the Republicans and say, 'this is not gonna be good for the economy, it's not gonna be good for ordinary people' but I don't know if they are going to move and that's what we are going to have to try to keep pushing over the next seven, eight days," Obama said.

In an opinion piece published Wednesday in the Wall Street Journal, House Speaker John Boehner labeled the spending cuts "ugly and dangerous," saying they would diminish resources for the military, law enforcement, border security, aviation safety and other programs.

However, the de facto GOP leader on the issue argued that his party's agreement to raise tax rates on top income earners in January ended the discussion on further tax or revenue increases now.

Instead, Boehner said he wanted other cuts to replace the across-the-board approach of sequestration, accusing Obama and Democrats of ignoring what he called the nation's spending problem.

"The president got his higher taxes" with no spending cuts in the January deal, he wrote in the op-ed, adding that "no one should be talking about raising taxes" with examples of rampant government spending such as "paying people to play video games, giving folks free cell phones and buying $47,000 cigarette smoking machines."

Voters in November returned Obama to office and gave Democrats a stronger Senate majority while reducing the Republican majority in the House, leading to the January agreement on the fiscal cliff by the outgoing Congress in its final hours.

That deal raised tax rates on families earning more than $450,000 and individuals earning above $400,000 while maintaining lower rates for everyone else. It also put off until March 1 the mandated spending cuts from a 2011 agreement that increased how much money the Treasury could borrow to meet financial obligations.

Known in Washington jargon as sequestration, the forced spending cuts to the military and other government agencies -- but not entitlement programs that drive chronic federal deficits -- were intended to motivate Congress to come up with a comprehensive deficit-reduction plan sought by both sides.

Obama more emotional on spending cuts

However, such an agreement proved impossible in the hyper-political climate of an election year, and the government-wide cuts opposed by both sides now are set to take effect. That would mean $85 billion in cuts for the rest of fiscal year 2013, which ends September 30, as part of a 10-year total of about $1 trillion.

Obama and Democrats are offering the same approach to the issue as a central theme of the election, calling for the wealthy to pay more as part of a package of spending cuts and increased revenue to replace the forced cuts of sequestration.

Ratcheting up pressure on Republicans with Congress in recess for Presidents Day week, White House spokesman Jay Carney announced Thursday that Obama had phoned Boehner and Senate Minority Leader Mitch McConnell. He provided no details beyond describing the calls as "good conversations."

Both Boehner and McConnell have complained that Obama refuses to address needed spending cuts and entitlement reforms to bring about substantive deficit reduction, and the timing of the phone calls appeared in response to questions about a lack of formal talks involving the president.

A $110 billion proposal by Senate Democrats, which is similar to a plan by House Democrats, would replace the forced spending cuts for a year by getting more tax revenue from millionaires, stopping some agriculture subsidies and cutting military spending after the end of combat operations in Afghanistan in 2014.

"You may not like what we've proposed but at least let us have a vote in the House of Representatives," Rep. Chris Van Hollen, D-Maryland, said Thursday in criticizing congressional Republicans. "Come back here, call the Congress into session in the next eight days and let's have a vote. If you want to vote no and say you prefer the consequences of the sequester to the alternative ... that's your right."

On Tuesday, Obama held a campaign-style event at the White House to call for balancing the impact of deficit reduction so that the middle class and vulnerable citizens such as the elderly don't get hit too hard.

Speaking in near apocalyptic terms, the president warned of criminals going free, longer security lines at airports, reduced military readiness, fewer border guards, pre-schoolers losing access to Head Start programs and other problems if the full brunt of the spending cuts occur.

Where you'll feel forced spending cuts

GOP leaders, meanwhile, seek to blame Obama for the forced spending cuts so that any hardships that result, such as predicted job losses and reductions in economic growth, get attributed to the president.

"The president's sequester is the wrong way to reduce the deficit, but it is here to stay until Washington Democrats get serious about cutting spending," wrote Boehner, R-Ohio, in the op-ed. "The government simply cannot keep delaying the inevitable and spending money it doesn't have. So, as the president's outrage about the sequester grows in coming days, Republicans have a simple response: Mr. President, we agree that your sequester is bad policy. What spending are you willing to cut to replace it?"

Congress passive as spending cuts near

By using language such as "the president's sequester," Boehner and Republicans want to implant a public perception that the plan was Obama's all along.

The White House concedes that it raised the idea of forced budget cuts during the negotiations in 2011 on the debt ceiling deal, but argues Republicans, including Boehner and other House leaders, agreed to making it part of the deal and then voted for it.

Now, Carney says, Republicans acted like they never supported the idea.

He insisted Thursday that Obama has offered the only legitimate compromise proposal for significant deficit reduction, noting the Congressional Budget Office determined the president's plan would bring deficits below 3% of gross domestic product by 2015, which he called an accepted target by economists.

Carney labeled any comparisons between what Obama proposes and the Republican stance as a "false equivalence," arguing the president's approach of spending cuts, entitlement reforms and new tax revenue is a compromise from a hard-line Democratic position that rejects any benefit reductions in Social Security, Medicare and Medicaid.

"You come half way and your negotiating partner stays where he or she is, that makes it very difficult to reach a compromise," Carney told reporters. "You need compromise from the other side."

In negotiations last December on the fiscal cliff agreement, Obama was willing to include a less generous inflation index for benefits such as Social Security, despite vehement protests from his liberal base, Carney noted.

"There's some responsibility here on the Republican side to do what the president has done, which is to hear what the American people are saying, which is please compromise, please be reasonable, please do not adopt positions that represent a 'my way or the highway' approach," Carney said.

Obama, Republicans clash on forced spending cuts

On Wednesday, Carney defended Obama's campaign-style approach to generating public support for his stance on the issue, saying such pressure worked in the spending and deficit agreements of the past two years.

"You know why they happened? Because the American people supported those positions that the president took," Carney said. "And, in the end, Congress responded to the will of the American people. And we hope that's what's going to happen again this time."

A new poll on Thursday showed a strong majority of Americans want the kind of comprehensive deficit reduction called for by Obama, but support for a stop-gap measure on the forced spending cuts was less certain.

Seven of 10 respondents in the Pew Research and USA Today survey called major legislation to reduce the deficit the most important priority for Congress, and 76% backed the combination of spending cuts and revenue increases favored by the president and Democrats.

At the same time, 73% want more spending cuts than tax increases while only about 20% say the solution should be spending cuts alone.

If the forced spending cuts go into effect, 49% of respondents would blame Republicans in Congress while 31% would blame Obama, the poll showed. However, 49% said the cuts should be delayed while 40% said they should go into effect.

CNN's Gregory Wallace contributed to this report.

@highlight

NEW: Obama says opposing higher taxes on the wealthy is what "binds" the GOP

@highlight

Forced spending cuts will harm the economy and national security, both sides agree

@highlight

President Obama says Republicans refuse to compromise

@highlight

House Speaker Boehner rejects Democratic demands for more revenue as a solution