Only about one in 10 workers who lose their job opt to keep their employer-sponsored health insurance through the safety-net program COBRA, most likely because the premiums are too expensive, according to an analysis released Friday by the Commonwealth Fund, a private foundation that supports independent research on health care issues.

Only about one in 10 workers who lose their job opt to keep their insurance through the COBRA program.

Experts worry that the highest unemployment rate in 16 years, combined with a health care system dependent on employer-sponsored health insurance, is a recipe for disaster, and will swell the ranks of the uninsured particularly if people aren't using COBRA. About 46 million people in the United States (18 percent of those under 65) lacked health insurance in 2007. Health.com: Laid off? The healthiest ways to spend your time

The new report is based on a 2007 survey of 3,501 people. The researchers found that two-thirds of workers, if they were laid off, would be eligible for COBRA. Data from 2006 data suggest that only 9 percent would opt into the program. Health care insurance premiums have risen since then, so it's likely that the problem is getting worse not better, they say.

"The affordability issue gets worse every year, that's the big concern," says Meredith Rosenthal, PhD., an associate professor of health economics and policy at the Harvard School of Public Health, who was not involved in the study. "Of course [some people can] still get an offer of coverage through a spouse, but we're still talking about very, very serious increases in the number of uninsured." Health.com: Natural cold and flu remedies

COBRA (Consolidated Omnibus Budget Reconciliation Act) was passed in 1985 to allow laid-off workers to continue their health insurance if they lose their job. (COBRA only covers workers in companies that offer health insurance, have 20 or more employees, and are still in business.)

But there's a catch. Most employers pick up 75 percent to 85 percent of the tab for their workers' health insurance, and once a person has been laid off, the entire bill falls on the ex-employee's shoulders. That means that health insurance costs dramatically escalate at a time when people have little or no money to burn.

The Commonwealth Fund estimates that the cost of COBRA is four to six times higher than what people pay when they are employed; $4,704 per year for an individual and $12,680 for a family. Health.com: Live healthy for way less

Erin McCullar, 26, of Birmingham, Alabama, has type 1 diabetes and was laid off from her job as an interior designer in October. At the time, she didn't sign up for COBRA, a decision she now seriously regrets. Overwhelmed, she didn't realize she had a 60 days to sign up for the program and missed the deadline by a couple of days.

"On the day I got laid off I got a packet slapped in front of my face and that was it," she says. "I was just totally in the dark."

She quickly found out that she couldn't get health insurance that would cover her type 1 diabetes, at least without a six-month or year-long waiting period, because it is considered a preexisting condition.

She stockpiled a six-month supply of lifesaving insulin in the two-week period before she lost her job, but since then has scrimped on the drug to make it last longer. At one point, she even disconnected her pump, which delivers a continuous dose of insulin, for about three weeks. She used only a couple of insulin injections in that time to control high blood sugar, a potentially serious threat to her health.

Even if she did sign up, she's not sure she could afford the premiums, which would have cost about $8,000 a year. Health.com: Healthy meals for under $10

"Ultimately, yes, I need it, but cost did factor into it," she says. "I don't know that I would have been able to keep up my payments because I was barely able to keep up on my rent."

Cost is clearly a major issue for most laid-off workers, says Karen Davis, president of the Commonwealth Fund. Only 3 percent of workers near the poverty level who are eligible for COBRA opt to keep their insurance, compared to 14 percent of workers who made more money before they lost their job.

It's a problem that "is not going away," says Davis, "The Congressional Budget Office estimates that we're going to go to 8.3 percent unemployed in 2009 and 9 percent in 2010," says Davis. (The unemployment rate was 7.2 percent in December.)

She notes that each percentage point increase in the unemployment rate leads to a 1.1 million increase in the number of uninsured.

"So it's pretty urgent that the economic stimulus bill not only address the job situation, but address health insurance coverage too," she says.

While some laid-off workers may get health insurance coverage though a spouse or partner, their research suggests that only about 14 percent of people who are not eligible for COBRA could get coverage through a partner or some other source after losing their job, she says.

Rosenthal and other experts hope that if there is a silver lining, it's that there may be more political will to change the current health care coverage system.

"One of the biggest challenges to health care coverage reform has been that the status quo is okay for many people, particularly for many people who vote," she says. "If that is no longer true, and if the people who have coverage now are insecure enough, they may be willing to give up something to get coverage security."

McCullar just hopes she can get health insurance soon.

"It sounds just colossally stupid to not have heath insurance, but I luckily had enough vials and insulin so I'm not near running out now, but I have to get health insurance in the near future," she says. "God forbid I had to go to the hospital during this; that would be a nightmare."

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

About 46 million people in the United States lacked health insurance in 2007

@highlight

The new report is based on a 2007 survey of 3,501 people

@highlight

COBRA was passed in 1985 to allow laid-off workers to keep health insurance