A new possibility for a diplomatic solution in the standoff between Syria and the United States surfaced unexpectedly Monday as the war-torn country said it supported a proposal to hand over control of its chemical weapons.

But a key question loomed: Is that a viable option or simply a stall tactic as President Bashar al-Assad's government tries to stave off U.S. military action?

"It's certainly a positive development when the Russians and Syrians both make gestures towards dealing with these chemical weapons," President Barack Obama told CNN's Wolf Blitzer Monday.

Asked whether the proposed idea was enough to avert a military strike on Syria, Obama said, "It's possible if it's real."

The U.S. president spoke hours after Syrian Foreign Minister Walid Moallem told reporters in Moscow that his nation "welcomes" a proposal that Russian Foreign Minister Sergey Lavrov made during talks on Monday. The idea: put Syria's chemical weapons under international control to avert a U.S. military response over an alleged poison gas attack last month.

"I declare that the Syrian Arab Republic welcomes Russia's initiative, on the basis that the Syrian leadership cares about the lives of our citizens and the security in our country," Moallem said. "We are also confident in the wisdom of the Russian government, which is trying to prevent an American aggression against our people."

Secretary of State John Kerry discussed a similar scenario earlier Monday, though the State Department later said that al-Assad could not be trusted to relinquish his country's chemical stockpiles.

White House spokesman Jay Carney said Washington remained "highly skeptical" of the Syrian regime.

"The only reason why we are seeing this proposal is because of the threat of U.S. military action," he said.

Taking a 'hard look'

Obama said the United States will work with Russia and the international community "to see if we can arrive at something that is enforceable and serious."

The United States will take a "hard look" at the plan, deputy State Department spokeswoman Marie Harf said. But "we can't have this be another stalling tactic," she said, adding that the Syrian president's track record doesn't bode well.

"Everything that Assad has done over the past two years and before has been to refuse to put his chemical weapons under international control," she said. "He hasn't declared them. We've repeatedly called on him to do so. And he's ignored prohibitions against them."

Latest developments

The new possibility of a diplomatic deal appeared to have started with comments from Kerry earlier Monday.

Asked whether there was anything al-Assad's government could do or offer that would stop an attack, Kerry said that al-Assad "could turn over every single bit of his chemical weapons to the international community in the next week."

Speaking at a news conference with British Foreign Secretary William Hague, the U.S. secretary of state described that as an impossible scenario.

"He isn't about to do it," Kerry said. "And it can't be done, obviously."

U.S. official: Kerry "clearly went off script"

But as Russia and Syria later suggested that it could be done, one U.S. official called Kerry's remarks a "major goof," adding that America's top diplomat "clearly went off script."

"There is no one in the administration who is taking this Syria proposal seriously," the official said.

Several State Department representatives tried to clarify Kerry's remarks later in the day, calling them a "rhetorical argument."

"His point was that this brutal dictator (al-Assad) with a history of playing fast and loose with the facts cannot be trusted to turn over chemical weapons, otherwise he would have done so long ago," State Department spokeswoman Jen Psaki said. "That's why the world faces this moment."

Kerry's comments caught Russia's attention

It wasn't long before the remarks came up in a conversation between Lavrov and Kerry, who talked on the phone as the U.S. secretary of state flew back from London.

"I saw your comments this morning," Lavrov said to Kerry, according to a senior State Department official.

During a 14-minute conversation that had been previously scheduled, the Russian foreign minister said he would speak out about the issue but played down the idea that a proposal was on the table, the official said.

Kerry told Lavrov that the United States "is not going to 'play games,'" the official said. "If there is a serious proposal, we will take a look."

Hillary Clinton weighs in

Could 'goof' be solution?

The comments from Kerry and counterparts in Russia and Syria are the latest twist in an international crisis that has also become a fierce political battle in the United States.

The Obama administration says the al-Assad government was behind an August 21 chemical weapons attack outside Damascus. And the U.S. president is seeking congressional approval for a military strike in response.

So far he's met resistance from lawmakers and the public who are concerned about the United States again intervening militarily in a foreign crisis.

On Monday, Harf said looking at the Russian proposal doesn't mean the White House is backing down from its push to get authorization to strike Syria.

"In fact, the opposite. .... We think this is why it's even more important that Congress votes to authorize the president to use military action against Syrian regime targets, because we can be clear that if we don't give authorization to do so and we don't respond, then Assad will see that as a green light to continue using these chemical weapons."

But could Kerry's possible gaffe be the key to a diplomatic solution?

Commentator Andrew Sullivan says he hopes so.

"We have the possibility of two things: that Russia might actually act decisively to rein Assad in, and also support the only viable policy to accomplish what Obama wants -- protecting the world from these vile weapons," Sullivan wrote Monday. "I have no idea whether this is a serious move by Lavrov -- but it sure seems so, and it presents a fascinating non-binary option. ... Sometimes, it seems, Kerry's incompetence strikes gold. Here's hoping."

Whatever happens, the prospect of a diplomatic deal is likely going to make the Obama administration's attempts to make a case before Congress even more difficult, said Michael O'Hanlon, a senior fellow at the Brookings Institution. Lawmakers who are already debating whether or not to pass resolutions authorizing military action now may want to rewrite them, he said.

"It's going to obviously throw a monkey wrench in the gears on a number of things," he said.

There's already been at least one delay.

Senate Majority Leader Harry Reid is holding off on taking steps toward a first vote. An aide said that the Russia proposal is serious and fluid enough that members do not want to lock themselves into a position on Syria just yet.

An initial Senate vote on whether to authorize a military strike against Syria had been expected on Wednesday.

Reaction in the United States, beyond

French Foreign Minister Laurent Fabius said the Russian proposal "deserves a thorough examination."

It would be acceptable under several conditions, Fabius said. Al-Assad should immediately hand over control of the weapons and allow their destruction, he said, calling for the U.N. Security Council to pass a binding resolution with "firm consequences."

"Since the beginning, France has set two goals: punishment and deterrence," he said. "That is why we are now asking specific, rapid and verifiable commitments by the Syrian regime."

Sen. Dianne Feinstein, chairwoman of the Senate Intelligence Committee, said she would "welcome" Lavrov's call for Syria to transfer control of its chemical weapons "to prevent an international strike."

"I believe that Russia can be most effective in encouraging the Syrian president to stop any use of chemical weapons and place all his chemical munitions, as well as storage facilities, under United Nations control until they can be destroyed," the California Democrat said.

Former U.S. Secretary of State Hillary Clinton said getting Syria to surrender the stockpiles "would be an important step."

"But this cannot be another excuse for delay or obstruction," Clinton said during an event at the White House Monday. "And Russia has to support the international community's efforts sincerely or be held to account."

U.N. chief: Chemical weapons in Syria would be 'abominable'

@highlight

A Senate vote on Syria is delayed in light of Russia's proposal

@highlight

Russia made proposal as U.S. considers military strike for alleged chemical weapons use

@highlight

Kerry said Syria's president could prevent a strike by taking that step

@highlight

U.S. official: Kerry's comments on Syria were a "major goof"