(CNN) -- Venezuelan President Hugo Chavez will appeal to voters Sunday with his track record on education, housing, health and living standards the past 13 years -- with an admission he needs to do more on bureaucracy and crime.

His opponent, Henrique Capriles Radonski, also is advancing social programs, but as the candidate of an opposition coalition, he is urging a new path that he says would promote government efficiency and fix problems in the country's infrastructure.

The two men are offering competing visions for the oil-rich country in this weekend's presidential election. Venezuela is the fourth-largest exporter of oil to the United States, though the two countries have often been at odds under Chavez' presidency.

Chavez is a charismatic standard-bearer of the Latin American left, but the ebullient leader is 58 years old and has been visibly weakened by two surgeries for cancer. He has kept secret his kind of cancer and prognosis.

Capriles is a fast-rising conservative who was a mayor, a parliament member and governor of Miranda, which adjoins the nation's capital. The 40-year-old attorney-turned-politician is so active on the campaign trial that he's nicknamed the "roadrunner." His skinny stature is yet another contrast to Chavez, who's of beefy build.

Capriles is posturing as a moderate who favors some of Chavez's programs, such as his social "missions" -- which could prove problematic with the coalition of conservative parties backing his candidacy, analysts say.

"This is the most united that the opposition has been" against Chavez, said Miguel Tinker Salas, a Latin American history professor at Pomona College in California and author of "The Enduring Legacy: Oil, Culture and Citizenship in Venezuela."

Capriles' Justice First party has adhered to a conservative, neo-liberal economic policy, but his "First 100 Days of Progress" plan emphasizes "political reconciliation" in which he would help workers in state enterprises and missions and maintain unions as "a force."

Capriles is facing "a Venezuela that has now been transformed in the last 14 years, and he faces a significant challenge to reinvent himself and not sound like a chameleon," Tinker Salas said.

"He hopes that the people of Venezuela have a certain degree of amnesia" about his conservatism, Tinker Salas added.

Capriles said he would root out corruption in the Chavez administration, and he says that that Venezuela's crime rate has made people fearful of leaving their homes.

His plan for progress would improve public safety, maternal care, housing, education, and health programs. Like Chavez, he is appealing to struggling families. Almost one in fourth births in Venezuela is by mothers who are under age 19, Capriles says.

At the same time, Capriles would decentralize and reform government and make public service delivery more efficient.

"He's not saying that Chavez is bad, but because of his very authoritarian style of government, programs have not been creating results, and that's why people are frustrated and he's tapping into that," said Michael Shifter, president of Inter-American Dialogue.

Capriles would continue Chavez's social agenda -- but with more results, Shifter said. Government hiring would be based on expertise, not political loyalties, for example.

"To his credit, he's showing a sense of realism in the campaign, and he's not promising dramatic changes from one day to the next, and he know it's going to take time," Shifter said.

For his part, Chavez has pledged he would keep the economy growing, said Mark Weisbrot, co-director of the Center for Economic and Policy Research.

Despite a recession a few years ago, the Venezuelan economy has expanded the past two and a half years, Weisbrot said. Unemployment has been halved since Chavez took office 1999, down to the 7% range, he added.

Chavez would continue to reduce extreme poverty -- which now stands at 7% -- through payments to households with children and boosting living standards.

His administration has recently built 250,000 homes for families -- which, based on national population, would be equivalent to 2.5 million new homes in the United States, Weisbrot said.

"Since the Chavez government got control over the national oil industry, poverty has been cut by half and extreme poverty by 70 percent. College enrollment has more than doubled, millions of people have access to health care for the first time, and the number of people eligible for public pensions has quadrupled," Weisbrot wrote in a recent analysis.

Added Shifter about Chavez: "He's running on what he has accomplished, much like Barack Obama."

"But there is still a gap between the rich and the poor, and those are contradictions that Chavez has to address," Shifter said.

There's other room for improvement, Chavez has indicated.

"His big promises are where he recognizes that the government has failed, and it needs more efficiency in public works, infrastructure and governing," Weisbrot said.

One apparent sign of infrastructure woes occurred in August when an oil refinery explosion killed 42 people. That plant suffered mismanagement, delays in major maintenance and underinvestment, according to analysts and an engineering firm's recent report.

The state-run oil company that operates the refinery was found to have been hampered by how Chavez uses the refineries as "a cash cow" to fund social programs such as building homes for low-income voters, the report said.

The fires at the Amuay refinery also were described as "the most lethal industry accident in Venezuela to date" by analysts.

The government's refinery manager also said the explosion wasn't due to a lack of maintenance, according to government television. Chavez said that such accusations were "irresponsible" because investigators were still trying to determine the cause of the accident.

What gives Venezuela global importance is its 500 billion barrels in oil reserves. That compares to its total production and exports of 1 billion barrels a year, Weisbrot said.

That means Venezuela is going to be around for a long time -- with Chavez possibly at the helm, experts say.

"The United States is just going to have to get used to it," Weisbrot said. "They've been wrong about this guy just like they've been wrong about Cuba for the past 50 years.

"Look at all of the leftist governments that have been elected: Brazil, Argentina, Uruguay, Paraguay, Ecuador, Bolivia and all of them have been re-elected and some of them twice.

"That's what happens when you deliver on your promises," Weisbrot said.

@highlight

Hugo Chavez is running on his 13-year record as Venezuela's president

@highlight

But Chavez is acknowledging that there's room for improvement, analysts say

@highlight

Henrique Capriles is the opposition candidate who also favors a social agenda

@highlight

Capriles is also seeking government efficiencies and infrastructure improvements