(CNN) -- I have a good friend in New York who turned the upstairs of her house into a bed and breakfast to help make ends meet -- a great idea on paper. My girlfriend was not a morning person. But she is now -- up and making breakfast with a smile -- because she likes the lights staying on more than she dislikes alarm clocks. She also has a consulting company and gives speeches.

In other words, she's a hustler in the new economy.

That word used to seem a little unsavory. "Hustler." Like the seedy magazine. It was as if there was something a little suspicious about someone who didn't have one source of income from a "legitimate" job. Of course, poor folks always hustled -- a 9 to 5 complemented with fixing cars on the weekend or doing hair in the kitchen. But a lot of Americans have to hustle now -- as much as 20% of us are deemed underemployed, or juggling multiple gigs to pay the bills since the recession started in 2007.

Last summer, The New York Times ran a story about the growing trend of people holding down several different jobs and led the piece with a then-26-year-old graduate of the University of Chicago, who had four jobs.

"I do everything," he said. And he wasn't kidding: drawing income from e-commerce work, translating textbooks and developing -- get this -- reality TV.

When students from a prestigious school like the University of Chicago are running from job to job, you know there's no shame in the hustle.

Not even for those of us in the so-called "elite media."

In 2009, advertising revenue declined for every form of media with the exception of the Internet. A Council of Economic Advisors study just reported the newspaper industry is shrinking faster than any other industry in the United States.

Thousands of journalism jobs are gone. Not just lost, but gone -- deemed no longer necessary. That is why journalism landed on the Bureau of Labor Statistics' top 30 list of projected declining employment, along with farmers and file clerks. This is another wrinkle of our new jobs market reality, one that is the unfortunate byproduct of technology: displaced workers, evaporated professions. The more our production becomes more efficient thanks to technology, the more we'll see the fat being cut. And by fat, I mean jobs.

Like bookstore owners, CD-store clerks and postal workers.

Oh, there will always be careers. There will always be work. But maybe not in the way we talk about it today. The jobs with benefits and pensions and retirement plans. The ones that come with a guaranteed 40 hours and the promise of covering all of our expenses from that one source.

A recent Rutgers University study found the median salary for recent college graduates is $27,000, down $3,000 from 2007. And that's before taxes and student loan payments. They're not technically underemployed, but you've got to wonder how someone living in a major urban city survives making $27,000. You know, besides moving back in with their parents or having 25 roommates?

They get a side gig going.

The job numbers are encouraging. But there is a fascinating dynamic reshaping our thinking about what we do for a living. Some of us will always go into professions, but others are learning to become professionals: nimble, multiskilled job creators for ourselves. We have to. We're a country trying to pull itself out of a job crisis while the most viable, the most exciting industry, technology, is indirectly eliminating jobs.

I often look out of my airplane window when landing at an airport and see the people manually directing traffic. I wonder how much longer those kind of jobs are going to be around. Video stores are giving way to downloads, toll booth clerks replaced by automated machines. The self-checkout option at the grocery store is faster, but it also means fewer cashiers, fewer jobs. It's almost like some weird form of economic cannibalism.

Many of the journalists who were laid off found other means of making money, like freelancing, grant writing, public relations. Maybe all three.

There is something to be said about the kind of jobs we are gaining. People once were afraid to start their own businesses because they didn't want to lose the security of a paycheck or the health insurance that typically came with a good job. Now layoffs and buyouts are forcing many of us to be reluctant entrepreneurs.

Such is the new reality. And it's doubtful the recovery and more jobs will change that because technology will continue to eat away at jobs and starting incomes won't cover all of our living expenses. One of the reasons why so many companies are registering record profits, but temp jobs have grown for the eighth straight month, is that it's cheaper to hire three people at 20 hours a week than one at 60, plus overtime and benefits. It's just capitalism doing what it's designed to do: be as profitable as possible. We simply must adjust.

And that, my friends, is the hustle.

The opinions expressed in this commentary are solely those of LZ Granderson.

@highlight

LZ Granderson: Hustling no longer a dirty word: It means holding down a couple jobs

@highlight

LZ: 20% of us are underemployed, so holding down part-time, temp jobs a way of life

@highlight

Job numbers up, but technology is going to continue to make jobs obsolete, he writes

@highlight

LZ : The bright side is that layoffs and buyouts mean many are becoming entrepreneurs