(CNN) -- Thailand is facing its worst flooding since 1942, with 373 people dead, more than nine million affected and 28 -- or more than a third -- of the nation's provinces at least partially flooded after a series of strong seasonal storms that brought exceptional rainfall.

More than a billion cubic meters of runoff are expected to pass through some of the northern parts of Bangkok on its way toward the Gulf of Thailand, some 30 kilometers (20 miles) away, as high tides are set to peak on Saturday.

CNN takes a look at what the low-lying Thai capital, which straddles the Chao Phraya River, is experiencing, with insights from Craig Steffensen, Asian Development Bank's country director for Thailand.

Q. What do high tides mean for the city?

"Picture the equivalent of 480,000 Olympic-sized pools of water trying to make their way through Bangkok at the moment," Steffensen said Friday. "Combined with the floodwaters trying to get out and the tides coming in...we could see a perfect storm in Bangkok. "

The capital lies barely above sea level and is already sinking within the Chao Phraya delta, as sea levels in the Gulf of Thailand rise.

The city is protected by dikes, but they may not be high enough to cope with the current flooding. "Barriers on the north side of Bangkok are 3 to 3.5 meters (10 to 11.5 feet) high, and water is penetrating these barriers," Steffensen pointed out.

Especially hard-hit are the industrial areas to the north, Ayutthaya and Pathum Thani.

Authorities have been diverting waters to the east and west of Bangkok to get them out to the Gulf. But dam levels are already at 100 percent capacity, if not more, said Steffensen.

"It's anybody's guess what Bangkok will look like in next 24-48 hours," he added.

Q. How protected is the historic heart of the city?

Floodwaters have already reached roads around Bangkok's historic Grand Palace and Emerald Buddha Temple. According to MCOT, the Thai media company, the level of the Chao Phraya River had reached 2.46 meters (8 feet), or sea level, and was expected to rise further by evening.

Flooding had already affected more than 200 of 500 temples in Ayutthaya province, home to the World Heritage Site, its governor has said.

Further assessment cannot be made until the water recedes, however.

Q. Has the transportation network been able to weather the floods, given the elevated roads and rail network?

Bangkok's main international and domestic Suvarnabhumi airport is operating normally and is protected with a 22.5 km (14-mile), 3-meter (10-foot ) dike system. Also running are the elevated Skytrain and the underground metro system.

Nearly 80 highways in 15 provinces are impassable, and northbound rail services have been suspended, according to the government. However, trade and commerce have picked up, as people find ways to bypass the floods by going east or west in order to reach the north, Steffensen noted.

Don Muang Airport, which primarily services domestic flights, has been closed since Tuesday night after floodwaters inundated runways and affected the lighting. Nok Air and Orient Thai, which both usually operate from there, have since moved operations to Suvarnabhumi.

The flood relief operation will nonetheless continue to operate from Don Muang, which had housed flood victims but was forced to evacuate them to other locations.

Q. How is Bangkok holding up, as far as water supplies, sanitation and power supplies?

Floods in areas to the northeast of Bangkok have forced people to upper floors of dwellings and led to the loss of electricity, water supply and sanitation. Access to drinking water in remote areas is a concern.

Steffensen said that despite being in a location that isn't near floods, "the tap water in our residences has taken a funny smell." People are choosing bottled water over boiled water, but finding bottled water in stores is difficult because the shelves are empty.

Power supply, internet and telephone service are functioning normally in the center of Bangkok, he said.

Q. What is the economic toll?

The World Bank has estimated a 2 percent decline in GDP because of the floods.

"The urban poor is mostly likely to be the hardest hit," said Steffensen. Most of the flooding has occurred in flood-prone areas with condensed housing

Floods have caused $5 billion in damage to industries and half a dozen industrial estates, said Steffensen, with Japanese industries alone facing losses of at least half that amount, he said.

Read more about Thai floods stalling automakers

Although he expressed reluctance to talk about the overall economic impact at this point, Steffensen said certain things were clear: "Rice production will decrease in Thailand, Cambodia and Vietnam, and rice prices will be affected. That billions of dollars of investment in the industrial sector are underwater are bound to affect Thailand's exports, employment situation, economic growth and development."

Industrial estates could take weeks if not months to drain and get production lines back running again, creating bumps in supply chains and possibly affecting manufacturers' abilities to get good on shelves by Christmas, he added.

Rice exports were expected to drop 50 percent in October from the monthly average of 1 million tonnes, according to the Thai Rice Exporters Association.

Q. What are the positives for Bangkok right now?

The floods have proven to be a political test for the new prime minister, Yingluck Shinawatra, who was elected in July. "The government has gone all out, everything they could possibly do to mitigate the impact of these floods," said Steffensen. But more striking is the resilience of the Thai people, he said.

"In relief centers and more generally across the country, no one's talking about red shirts or yellow shirts. All people are talking about the floods, helping one another. These floods have healed the country in a way that many people don't appreciate today because the floods are about to come through Bangkok."

Q. What vulnerabilities will Bangkok need to address?

Authorities will need to raise dikes and invest in pump station capacity, coastal zone protection and land use planning, Steffensen said. The increasing number of floods in Thailand and the region are consistent with what's expected as a result of climate change.

Bangkok and other Asian coastal megacities -- like Ho Chi Minh City and Manila -- will flood more often and on a larger scale, if current climate change trends continue, he added, citing a joint report by the ADB, World Bank and Japan International Cooperation Agency last year.

@highlight

Steffensen: Bangkok facing 480,000 Olympic-sized pools of water

@highlight

Main Suvarnabhumi airport operating normally, is protected by dike system

@highlight

World Bank estimates 2 percent decline in GDP because of floods

@highlight

Bangkok needs to raise dikes, invest in pump stations; faces more floods