Northwestern University will ask the National Labor Relations Board to review its decision allowing football players to unionize, arguing that student-athletes are not university employees but "students, first and foremost."

In a statement Friday, the Illinois university said it will follow labor board procedures but requested a review of the decision, saying it "overlooked or completely ignored" critical university testimony and "applied incorrect legal standards."

On Wednesday, the board ruled that football players at Northwestern University are employees and can unionize.

"Northwestern considers its students who participate in NCAA Division I sports, including those who receive athletic scholarships, to be students, first and foremost," Alan Cubbage, vice president for university relations, said in the statement. "We believe that participation in athletic events is part of the overall educational experience for those students, not a separate activity."

Cubbage added, "Unionization and collective bargaining are not the appropriate methods to address the concerns these students are raising. The life of a student-athlete is extremely demanding, but the academic side and the athletic side are inextricably linked."

Read the board's ruling (PDF)

The university will ask for review with the full board to appeal the regional director's decision, Cubbage said. The university's request is due on April 9; the union's brief is due seven days later. If the board grants the review, it will set a briefing schedule for both parties, the statement said.

The players' petition was a way to get a seat at the bargaining table in college sports and could change the landscape of the NCAA model.

But the board's decision indicates that there was enough evidence presented that the athletes are employees of the university -- getting paid in the form of scholarships, working between 20 and 50 hours per week and generating millions of dollars for their institutions.

The athletes have said they're seeking better medical coverage, concussion testing, four-year scholarships and the possibility of being paid.

But while former Northwestern quarterback CJ Bacher said he agrees with the reform issues set forth by the College Athletes Players Association and other groups, he doesn't think unionizing is the way to achieve those goals.

"While we agree with CAPA's stated objectives, the decision made by the NLRB ... is disconcerting to those of us that care deeply about the future success and stability of Northwestern athletics," Bacher said.

Richard Epstein, labor law professor at New York University, said the ruling has "vast implications for the structure of the sport, if upheld."

But he noted an appeal would likely take years to resolve.

The NCAA promptly said that while it wasn't party to the proceeding, it was "disappointed" with the board's ruling and disagreed "with the notion that student-athletes are employees."

"We frequently hear from student-athletes, across all sports, that they participate to enhance their overall college experience and for the love of their sport, not to be paid," said the statement from NCAA chief legal officer Donald Remy. "While improvements need to be made, we do not need to completely throw away a system that has helped literally millions of students over the past decade alone attend college.

"We want student-athletes -- 99 percent of whom will never make it to the professional leagues -- focused on what matters most -- finding success in the classroom, on the field and in life."

Last week, Northwestern University's president emeritus said that if the football players were successful forming a union, he could see the prestigious private institution giving up Division I football.

"If we got into collective-bargaining situations, I would not take for granted that the Northwesterns of the world would continue to play Division I sports," Henry Bienen said at the annual conference for the Knight Commission on Intercollegiate Athletics.

He further said that if the players won their fight, private institutions with high academic standards -- he specifically cited Duke and Stanford universities -- could abandon the current mode to preserve academic integrity.

He compared it with the pullback of the Ivy League schools decades ago when their conference decided to opt out of postseason play and to end athletic scholarships, preserving the emphasis on academics for the players.

"In the 1950s, the 'Ivies' had some of the highest-ranked football teams in the country. The Princeton teams were ranked in the top five or 10 at that time. They continue periodically to have ranked basketball teams, but they've given up a certain kind of model of sports," he said, adding that "under certain conditions" the same could happen at other private elite universities that "continue to play big-time sports."

Northwestern's appeal could go as far as the U.S. Supreme Court, and it could take years before there is a definitive decision.

During his daylong testimony last week, former Northwestern quarterback Kain Colter talked about year-round time requirements, at times 50 hours a week devoted to football.

Colter said he had to give up his major related to pre-med studies because he couldn't fit the classes into his schedule. Colter's sentiment was echoed by the NCAA in a 2012 survey that asked athletes what they would change about their college experience.

About 15% of men's football, baseball and basketball players said they would have had different majors had they not been athletes. Twelve percent of Division I football players said athletics prevented them from majoring in what they wanted. The average time spent on athletics in season hovered around 40 hours per week for all three sports, according to the survey.

That finding flies in the face of the NCAA 20-hour rule, which states that, no matter the sport, coaches can't take up more than 20 hours of their players' time.

@highlight

Northwestern University to appeal decision allowing football players to unionize

@highlight

National Labor Relations Board rules in favor of Northwestern football players unionizing

@highlight

University says student-athletes are not university employees but "students, first and foremost"

@highlight

If upheld, ruling could change the landscape of the NCAA model