(CNN) -- There he goes again -- Russian President Vladimir Putin, portraying himself as the world's champion of peace and democracy. And, of course, doing it at America's expense.

This time, Putin's PR machine managed to get him an op-ed in The New York Times, just in time for the start of talks in Geneva, Switzerland, over a plan to dismantle Syria's chemical weapons arsenal. The column is so filled with hypocrisy, inaccuracies and even veiled threats that it's hard to know where to begin.

Putin chastises the United States, which has stumbled badly in Syria, for considering an attack because a strike "will result in more innocent victims and escalation." It could, he warns, "unleash a new wave of terrorism." He forgets to mention that tens of thousands of innocent victims in Syria have already died at the hands of President Bashar al-Assad's forces, which are armed, supported and supplied by Moscow.

Here's just one recent arms order from a Syrian army general, listing 20,000 Kalashnikov rifles, 20 million rounds of ammunition, sniper rifles, machine guns, grenade launchers and more.

When it comes to massacres of civilians, it is the Russian (and Iranian)-armed Syrian government and its allies who have done most of the killing. Some of the rebels also have blood on their hands, clearly a reason for concern. But Putin's one-sided portrayal is false. A report by a U.N. commission released Wednesday showed eight massacres committed by al-Assad supporters and one by rebels over the last year and a half.

Putin has provided al-Assad with weapons, planeloads of cash and diplomatic cover to carry out his assaults against an uprising that started peacefully and was forced into violence by al-Assad's uncompromising response. And yet in his op-ed Putin cynically describes the Syrian war as conflict "fueled by foreign weapons supplied to the opposition."

The Russian president tries to come across as the great defender of international institutions, peace through compromise and global consensus. "No one wants the United Nations to suffer the fate of the League of Nations," he warns, which would happen if the United States chooses to bypass the U.N. Security Council.

The truth, whatever Putin claims, is that the United States and other countries have tried desperately to go through the Security Council to stop the carnage in Syria. No country has obstructed those efforts more persistently than Russia. Early last year, when al-Assad's forces carried out what was until then the worst massacre of the war, in the city of Homs, the United States, France, Britain -- in fact, 13 out of the Security Council's 15 members -- voted in favor of a resolution backing an Arab peace plan for Syria. Russia and China vetoed it.

Experts then said the outcome would be a "license (for al-Assad) to do more of the same and worse," predicting the Syrian leader would become even more brutal in his tactics, exactly as he has.

Russia has obstructed even the most watered-down efforts to send a message from the international community, vetoing three separate resolutions. It's no wonder Samantha Power, America's ambassador to the United Nations, said Russia has held the Security Council "hostage."

In his column, Putin disingenuously claims "there is every reason to believe" the rebels launched the August 21 chemical attack that killed hundreds of Syrian civilians. Precisely the opposite is true.

Analyses from the United States, France, the United Kingdom, Human Rights Watch and others have concluded that it was the regime that perpetrated that gross violation of international norms -- the norms that Putin now claims to embrace with such fervor.

A U.N. inspection team investigated the massacre in Syria but was not tasked with assigning blame. Still, leaked information says its report next week will show "a wealth of evidence" pointing strongly to the Syrian regime as perpetrator of the attack, even if that doesn't fit neatly with Putin's reality distortion objectives.

Nothing could be more deliciously absurd than Putin accusing America of not being a "model of democracy," except perhaps for his closing line in which he chastises President Barack Obama for speaking of American exceptionalism. Obama shouldn't have said that, Putin humbly explains, because "We are all different, but when we ask for the Lord's blessings, we must not forget that God created us equal."

Right. All equal. That coming from the man who has presided over the introduction of law after law turning gays and lesbians into second-class citizens in Russia, with the latest allowing police to arrest anyone suspected of being "pro-gay."

Putin would do well to avoid the topic of democracy and human rights altogether. Just ask the nonpartisan Freedom House what has happened to the country since Putin came to dominate the political scene more than a decade ago.

Incidentally, Putin rose to power by cracking down violently against Chechnya. Here's an op-ed he published in The New York Times in 1999 explaining why force was needed against brutality.

In this latest newspaper column, Putin extends to the United States his image-building campaign from Russia, where he has appeared hunting tigers in Siberia. In Russia he is the hyper-macho president. In America and in the rest of the world, he wants the public to see him as the indispensable foil to an out-of-control America.

Putin wants to raise not only his own but also Russia's profile and prestige. It's not so much that he dislikes American exceptionalism. He wants Russia to share in the limelight and in the power. The former KGB man is trying to maximize the influence of a country that once shared the title of superpower only with the United States.

To do that, he wants to save al-Assad, the man who holds the key to Russia's foothold in the Arab Middle East.

No, Putin's actions are not driven by a passion for peace and democracy. They are an example of cold calculation -- a quest for power and a bold display of hypocrisy.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: In op-ed, Putin poses as champion of peace and chastises U.S. on Syria

@highlight

On contrary, Russia sold arms to al-Assad regime, which has killed tens of thousands, she says

@highlight

She says he touts diplomacy, yet Russia, China subverted peace efforts on U.N. Security Council

@highlight

Ghitis: Putin wants to raise stock (not peace) in world and keep Russian foothold in Mideast