LONDON, England (CNN) -- Opponents of controversial plans to use hybrid human-animal embryos for research spoke out Tuesday, calling the practice unnecessary, unnatural, and reprehensible a day after British lawmakers voted to allow it.

Advocates of hybrid cells say animal eggs from which a nucleus has been removed are simply "empty shells."

The British parliament debated the issue Monday as part of its discussion of the Human Fertilization and Embryology Bill, which will update legislation on reproduction and embryos.

"Crossing the species barrier in this way is deeply, deeply reprehensible, undesirable," said Josephine Quintavalle, a bioethicist who founded Comment on Reproductive Ethics (CORE).

The research involves emptying an animal egg and filling it with human cells. The resulting embryo is allowed to develop for 14 days -- during which time scientists harvest the stem cells -- before being destroyed.

Scientists hope working with those stem cells will lead to treatments for serious conditions like motor neuron disease, Parkinson's, and Alzheimer's, and they say using hybrids overcomes the shortage of human embryos.

"The use of animal eggs will provide a valuable resource to embryo research scientists," argued Public Health Minister Dawn Primarolo.

Lawmakers were allowed to vote according to conscience and the legislation passed comfortably, though not without opposition.

"If an embryo could talk, perhaps it would echo what Mary Shelley did say in 'Frankenstein': 'I, the miserable and the abandoned, an abortion to be spurned out and kicked and trampled on,'" Conservative Party lawmaker Edward Leigh told parliament.

Supporters of the research dispute the numerous "Frankenstein" references and say it does not create monsters.

Stephen Minger, director of the stem cell biology lab at King's College in London, said the practice begins with the removal of an animal egg's nucleus, which contains all of the chromosomes, thereby stripping the egg of its "species identity."

"It's an empty shell," Minger said. "By putting a human cell -- not just a nucleus, but in our case an intact human cell -- into the egg, you confer a human genetic identity onto that."

The approved bill creates a legal framework for the scientific research on hybrid embryos.

British Prime Minister Gordon Brown feels so strongly about the benefits of the research that he wrote a column Sunday in The Observer newspaper calling it an "inherently moral endeavor," but ethics groups and others disagree.

"I think we all know that we don't reproduce with animals," Quintavalle said. "Humans do not reproduce with animals. Whether it's done in the laboratory or not doesn't make it right."

Quintavalle urged the government and the scientific community to wait until a new method of research emerges which does not mix animal and human genetic material.

Human Genetics Alert, a secular independent watchdog, said it found defects among existing hybrid embryos which raise doubts about whether mixed embryos can produce useful stem cells.

"I'm very, very unimpressed with the scientific case for doing that," said David King, a former molecular biologist who now heads the HGA. "The science is so weak and the ethical concerns are so significant, I think you have to weigh that."

The scientific arguments in favor of the research have been "overhyped," King said, and offer no hope of a cure for those suffering with genetic disorders.

"Very little, I think, will come out of it and I think hopes are being raised that will be cruelly disappointed," King said.

The Human Fertilization and Embryology Bill was drawn up in 1990, when science and government were unaware that current hybrid-embryo developments were possible, a spokeswoman for the Department of Health told CNN.

The original bill did allow the mixing of human and animal eggs, but only for the purpose of testing the fertility of human sperm, said the spokeswoman, who declined to be named in line with policy. The practice was known as the "hamster test" because hamster eggs were used.

The revised bill now allows hybrid embryos for further research but specifies they may not be placed in a woman or an animal, the spokeswoman said. Also, those using the embryos must prove that the use is for research, and that use of an embryo is necessary, she said.

Creating hybrid embryos is not the only way to develop useful stem cells, said Minger. A new method called pluripotency, developed in December, allows scientists to turn adult cells into something resembling an embryonic stem cell, he said.

Pluripotency, however, requires extensive genetic manipulation of the cells and yields few that are of use to research, Minger said.

"We will pursue that (research) but it's just too early to know which is the best approach," Minger said. "Most rational scientists would say we need to proceed down as many tracks as possible because we just have no idea what's going to lead to the best benefit."

CNN's Phil Black contributed to this report.

@highlight

UK lawmakers approve bill allowing use of hybrid embryos in stem cell research

@highlight

Opponents describe controversial technique as "deeply, deeply reprehensible"

@highlight

Advocates say use of animal embryos helps overcome shortage of human embryos

@highlight

Scientists say stem cells have potential to cure conditions such as Parkinson's