(CNN) -- In the end it was the clown who had the last laugh.

In 1973, England prepared for a crucial World Cup qualifier against Poland, a team hidden behind the Iron Curtain of communism which had provided little footballing resistance in the recent past.

The East Europeans hadn't qualified for an international tournament since before the World War Two. Their players were unknowns, presumed inferior.

England, on the other hand, had won the World Cup on the very same Wembley pitch they were about to play on just seven years earlier. It was a team of stars coached by Sir Alf Ramsay. It was to be a cake walk.

Such was the mismatch that the iconic English coach Brian Clough dismissed Poland's goalkeeper Jan Tomaszewski as "a clown."

"Would you want him in your team every week?" asked the man who led Nottingham Forest to successive European Cup titles.

It was a phrase that followed Clough for the rest of his career. In front of 100,000 England fans, Poland held on to a 1-1 draw. "The Clown" had the game of his life and England failed to make it to West Germany 1974.

In fact, they wouldn't reach another World Cup for close to a decade.

Euro 2012: By the numbers

But for the Poles, the draw was the beginning of a story that saw the national team strut on the international stage for another 13 years, taking them to two third-place World Cup finishes with a group of one of the most talented, and unheralded, groups of players Europe has ever produced.

"I remember everything of this match that opened for Poland the door to the world's football," recalls Zbigniew Boniek, the legendary Poland and Juventus forward who watched the match as a 17-year-old aspiring footballer back home.

"I remember every action of the goalkeeper, the anger of the England team that wasn't able to win and the spectacular counterattacks."

Poland's qualification for the 1974 World Cup seemed to come from nowhere.

"Poland hadn't qualified for a World Cup since 1938; they had no recent history," explains Jonathan Wilson, author of "Behind the Curtain," a book about football in Eastern Europe.

"They were just another bunch of Eastern Europeans to be beaten. England did have 30 chances, but the draw gave them (Poland) a boost of confidence. That momentum carried them on."

When Poland arrived at the 1974 World Cup, it was loaded with symbolism. It was hosted in West Germany just decades after Poland had been decimated by its Western neighbor during World War Two.

While many consider the 1974 World Cup as the great coronation which announced the arrival of the Dutch and Rinus Michel's "Total Football," Poland excelled with equal creativity.

Racism overshadows Euro 2012

While Tomaszewski went from clown to being considered one of the best goalkeepers in Europe, up front the Poles had the legendary Gzegorz Lato. He would go on to score eight goals, winning the Golden Boot along the way.

They went all the way to the semifinals against West Germany. Poland lost that game 1-0 in treacherous conditions before winning the third-place playoff against the holders Brazil.

"I can remember one game where I've always maintained we beat a team which was fundamentally better than us. In fact, it was definitely the best team in the competition and still didn't win the World Cup. I mean Poland in 1974," the legendary Real Madrid and Germany defender Paul Breitner told FIFA's website.

"They had a better team at that World Cup than Germany, Holland, Brazil, or anyone else for that matter. The Poles had the best team in 1974."

"It's a way of kicking the Dutch!" laughs Wilson when asked about Breitner's comments, referencing the fierce footballing rivalry between the Germans and the Dutch.

"The Germans were still worthy winners. But could Poland have won the World Cup? Definitely. The game against West Germany could have gone either way."

Pulling the strings was legendary coach Kazimirez Gorski.

Heavily influenced by the tactical revolution taking place in the Netherlands and the Soviet Union, he took Poland to the 1972 Olympics and won gold there, nurturing a fast, counterattacking team and bringing through players like Lato, Kazimierz Deyna and Wlodzimierz Lubanski.

"He seems to have been a very avuncular figure, a real father figure," explains Wilson. "He actually involved them in the decision-making process.

"Communism needed a vigorous hierarchy, you couldn't questions things or speak spontaneously. But Gorski encouraged that, the balance of authority and respecting views."

One player who was brought into the Poland team by Gorski was Boniek. It was one of his final acts as coach.

"He is the symbol of Poland," Boniek told CNN. "He was the first coach that made us believe (we coul)] rise to world levels. He was a hero and now that he's gone he has become a legend."

The 1978 World Cup in Argentina will always be tainted with the accusations of corruption leveled at the ruling Junta. Boniek too felt that Poland's cause wasn't helped by having to play the hosts.

"The Poland team of 1978 was the greatest Polish team of all time," he believes. "(But) we ended up politically in a very difficult ground. Argentina played at home and for that reason it was very protected."

After a strong start, topping a group ahead of West Germany, Poland headed into the second pool phase where Argentina thrashed Peru 6-0.

At the 1978 World Cup, the two top teams in each group contested the final and that controversial result, coupled with losses against the hosts and later Brazil, made it impossible for Poland to qualify.

Yet the team bounced back for the 1982 World Cup in Spain where Boniek made his name, scoring a hat-trick against Belgium. Poland again finished third at what is today regarded as one of the greatest World Cups of all time.

"Let's say that the match against Belgium is my business card," says Boniek. "We were compact, a great group. There weren't those champions of '74 and '78 but we played great football."

It was more than just football that was changing in Poland.

The late 1970s and early 1980s saw the emergence of Lech Walesa, a Polish dock worker whose Solidarity trade union movement would rise from the Gdansk shipyards on the Baltic Sea and strike the first nail into communism's coffin.

"Communism had a great impact on the football," explains Michal Zachodny, a Polish football journalist and prominent blogger.

"Look at each (local) club and every single one of them was supported by a factory, local branch (of the Communist Party), police, army. It was very influential. It (football) was almost a fight between the authorities."

"The communist regime always wanted to put its face on every sporting success," recalls Boniek. "But we wanted to play football and so we weren't interested in this."

As communism's grip loosened in Poland, the national football team began to fade. Boniek's Poland did qualify fora fourth consecutive World Cup at Mexico in 1986 but lost heavily to England before being beaten convincingly by Brazil 4-1.

They would not make another World Cup for 16 years.

But their grace on the international stage during two golden generations of players will never be forgotten in Poland. In fact, for some like Zachodny it is not forgotten too often.

"The heroes of past years are remembered well," he says.

"Still the Polish media are matching the current squad, club teams and individuals to the ones that have graced the pitch 30, 40 years ago ... there is a spirit of the '70s and '80s that allows us to recall the glory and link to it at every occasion. Poles do that very often, believe me!"

But now Poland is preparing to host its first major international tournament since the fall of communism.

For the Poles, Euro 2012 is something of a coming of age party, a chance to show the world it has moved on from its communist past.

"Poland is not becoming a leading European nation," says Boniek. "Poland already is a (leading) European nation, 100%. For some aspects it could be a model for other nations."

All that has been missing has been a football team to match Poland's incredible political and economic growth of the past two decades. And maybe even the perpetually skeptical Poles have reason to hope.

Whereas some of the last crop of top players decided to play for Germany rather than Poland -- such as Miroslav Klose and Lukas Podolski -- in Borussia Dortmund's striker Robert Lewandowski and captain Jakub "Kuba" Blaszczykowski the country has two players that would grace any team at the Euros.

"In the past Poland's football team was stronger, maybe because life for children is different. And also because they don't have the same tenacity that we had in the past," says Boniek.

"But in the end (to) win against Poland at home will be always very difficult."

When the Poland national team walk out on to the pitch at their stunning new national stadium in Warsaw on Friday, they will walk with the ghosts of the past in more ways than one.

@highlight

Poland are co-hosting Euro 2012 and are keen to show they are a leading European democracy

@highlight

Their current football team is at a low ebb but they enjoyed a golden spell during the 1970s and 80s

@highlight

In 1974 their derided team gained a draw with England that sent them to the World Cup

@highlight

Players like striker Zbigniew Boniek and goalkeeper Jan Tomaszewski were instrumental