Washington (CNN)He ousted Egypt's first democratically elected president in a coup, crushed political dissent, let foreign journalists languish in jail and just jabbed the U.S. by greeting Vladimir Putin as a hero.

Yet Egypt's President Abdel Fattah al-Sisi is fast becoming the favorite Middle East strongman of American conservatives and Republican presidential hopefuls.

Jeb Bush says he can't understand why the White House has told Sisi "you're not on our team" as jihadism spreads like wildfire through the Middle East. Ted Cruz, another GOP 2016 pretender has also praised him, and key conservative media figures are lionizing Sisi.

The rush of affection for the former Army Chief contrasts with the strained relationship between Sisi and the White House, reflected in the Obama administration's decision not to publicly back air strikes by Egypt on a common enemy -- ISIS -- in Libya this week.

It's also the latest manifestation of the decades-long tussle between the U.S. and Egypt, which pits a push for human rights and democracy against the yearning for a stable pro-U.S. partner in a chaotic region, whatever the character of its regime.

The spur for the conservative infatuation for Sisi was a speech in January in which the Egyptian leader warned Islam was being "torn" and "destroyed" by extremism.

"It's inconceivable that the thinking that we hold most sacred should cause the entire Islamic world to be a source of anxiety, danger, killing and destruction for the rest of the world," said Sisi.

Sisi spoke in a highly symbolic venue, the Al Azhar Mosque in Cairo, one of the most vaulted seats of learning in the Muslim world.

"It's antagonizing the entire world! Does this mean that 1.6 billion people (Muslims) should want to kill the rest of the world's inhabitants -- that is 7 billion -- so that they themselves may live? Impossible!​"

On the face of it, Sisi's speech was a call to cleanse Islam of extremist thought and elements which groups like ISIS and al-Qaeda have used to justify jihad. It continues to impress conservatives in the United States amid a fierce political debate about how to contain ISIS's march across the region.

"He gave this incredible speech about Muslim extremism, and saying it's the responsibility of the Arab world to step up to fight this; that the first risks are for countries like Egypt," Bush said in Chicago on Wednesday.

It's no coincidence that Republicans are praising the speech's blunt message at the same time as they are accusing President Barack Obama of falling prey to political correctness in his unwillingness to state the U.S. is at war with radical Islam.

That comparison is also frequently being made on conservative talk radio. Cruz also praised Sisi on Fox News on Wednesday.

"What would be far better to see was the kind of courage that was demonstrated just a few weeks ago by President al-Sisi in Cairo," Cruz said.

"Why don't we see the president of the United States demonstrating that same courage, just to speak the truth, about the face of evil we are facing right now?" Cruz asked.

Mike Huckabee, another potential Republican presidential contender, said "thank God for President al-Sisi in Egypt" in an interview with NewsMax TV.

Southern Baptist leader Richard Land wrote in The Christian Post that the Sisi speech could be as historically resonant as Martin Luther King's "I have a Dream" speech or president John Kennedy's declaration : "Ich bin ein Berliner." Conservative commentator George Will said on Fox News Sunday last month that Sisi may deserve the Nobel Peace Prize.

But are U.S. political figures ripping a speech redolent with Egyptian political overtones out of context to back up their own positions?

Professor Nathan Brown of George Washington University said that Sisi's remarks were not that unusual and that a number of Arab leaders have previously given similar speeches to limited effect.

"It is standard stuff," he said.

And Sisi's record toward political opponents and extremists, especially the Muslim Brotherhood, which formed Egypt's first democratic government until it was ousted by his army amid mass protests in 2013, paints a different picture of the Egyptian leader.

"The way that Sisi represents dealing with them is not through abstract theological arguments but through a severe security and political response," said Brown, who is also with the Carnegie Endowment for International Peace.

"That is what he represents. That part of the message gets lost."

The State Department and rights groups fault Egypt for the removal of a civilian government, using lethal force to disburse MB protests, and for killing hundreds of protestors nationwide and say discrimination against Christians and Jews in Egypt remains widespread.

Some analysts interpreted Sisi's speech as a way to justify the exclusion from politics of Islamist elements from political life in Egypt following his landslide win in an election last year in which the Brotherhood was banned.

Since the election, the Obama administration has tried to carefully restore ties with Egypt on the grounds that it remains a vital strategic partner. Secretary of State John Kerry visited Cairo in September and Obama met Sisi on the sidelines of the UN General Assembly in New York last year. Close intelligence cooperation continues behind the scenes.

But relations have remained strained. After the coup the U.S. temporarily held up a tranch of $500 million in military aid to Egypt and an order of attack helicopters. Reconciliation has been made more difficult by the detention in Egypt of foreign journalists.

The spectacle of Putin getting a warm welcome from Sisi in a visit last week did not go unnoticed in Washington, and was an apparent sign from the Cairo government that if the U.S. does not take better care of its friends, Egypt  will look elsewhere.

The Pentagon, meanwhile, said it was not even told in advance about Egyptian air strikes this week on ISIS targets in Libya in revenge for the beheadings of 21 Egyptian Coptic Christian workers by an ISIS-affiliated group.

"It's a complex relationship that we have with Egypt," said Pentagon spokesman John Kirby.

ISIS's swift spread in the Arab world has some realists in Washington considering whether it's time to re-emphasise the stability dimension of the U.S. relationship with Cairo.

Bush suggested as much on Wednesday, in remarks that were especially noteworthy because the second term administration of his brother, George W. Bush, angered the government of then Egyptian president Hosni Mubarak by issuing a call for democracy in the Arab world as part of its Freedom Agenda.

Jeb Bush asked Wednesday: "Is (Sisi) a little "L" liberal democrat that believes in freedom like we do?"

"No, he isn't. But I think we have to be practical," Bush said in the first foreign policy speech of his putative presidential campaign which could augur another turn in the roller coaster US-Egypt relationship.

"We have to balance our belief in liberty with a belief that security and engagement will create the possibilities for the Egyptians to garner more freedom. "

@highlight

Republicans praise tough Egyptian line on radical Islam

@highlight

Potential 2016 GOP candidates use Sisi comments as cudgel against Obama

@highlight

Comments mark latest twist in diplomatic dance between Washington and Cairo