(CNN) -- It has been said that a democratic republic such as ours is a do-it-yourself enterprise. People change the course of this country through conversation, debate and, eventually, consensus. As the 2012 elections near, these debates, particularly the upcoming presidential and vice presidential debates, take center stage.

In light of what has been a long and tumultuous political season, here are my strongest arguments for Mitt Romney, Rep. Paul Ryan, and fellow conservatives to explain to their fellow Americans why President Barack Obama does not deserve a second term.

Obama's handling of the economy: The U.S. is mired in the midst of the worst recovery since the Great Depression: 43 straight months of unemployment over 8%. The unemployment rate when Barack Obama took office was 7.8% and today it is 8.1%. Worse, the labor force is shrinking to record lows. People are giving up looking for work.

In August the labor force participation rate fell to 63.5%, its lowest level since September 1981. For men, the August participation rate in the labor force was 69.8%. That's the lowest ever on record. Furthermore, half of all recent college graduates are underemployed or unemployed.

Since Obama took office, median household income has declined more than $4,000. More people are on food stamps than ever before -- 46.7 million. The poverty rate is around 15%, the highest since 1993. The average retail price of gasoline has more than doubled under Obama, rising from $1.84 per gallon to more than $3.80 per gallon. In spite of this, he stopped the approval of the Keystone pipeline for further review.

Opinion: Obama on world stage -- more hope than change?

Obama inherited a bad economy, but his policies have made it even worse. The $800 billion stimulus package failed, according to the standards promised by an Obama administration economist. With Democrats in control of Congress, Obama then spent the next two years of his political capital on health care reform. Subsequently, the nation, mired in a debt crisis, underwent its first-ever credit downgrade. With our national debt exceeding $16 trillion, he has offered no credible plan for the nation's long term fiscal health. Our country is hurtling toward a fiscal cliff in January 2013.

Foreign policy: Obama ascended to the presidency promising a new era of American foreign policy. Apart from the killing of Osama bin Laden, the death of Moammar Gaddafi and and the successful expansion of drone strikes, the foreign policy record of this administration has largely been one of capitulation, indecision and weakness.

In the first true foreign policy test of his presidency, Obama failed to back the pro-democracy Green Revolution in Iran, saying he didn't want to "be seen as meddling." The uprising was crushed.

Tell us: Do you know who's getting your vote?

When the Arab Spring erupted, the president then decided to meddle in Egypt, calling for Hosni Mubarak to step down. Today, a country that was once a valuable Middle East ally is under the majority control of the Muslim Brotherhood. But when the Arab Spring spread to Syria, a longtime proxy of Iran, he didn't intervene, even when Bashar al-Assad began massacring his own people.

The president has given some of our enemies a pass and some of our allies the back of the hand. He was caught on open mic badmouthing Benjamin Netanyahu and hasn't visited Israel once in his presidency. He left our ally Poland out to dry by canceling the missile defense system in Europe, but was heard on an open mic assuring Russian President Dmitry Medvedev that he will have "more flexibility" after the election to deal with missile defense.

America's two most important investments in the Middle East -- Iraq and Afghanistan -- are hanging by a thread. Ignoring the recommendations of his generals, Obama pulled troops out of Iraq and Afghanistan prematurely.

Most recently, an American ambassador and three other Americans were killed in Libya. Yet, for nearly two weeks the administration blamed their deaths on a movie before finally admitting it was a terrorist attack, and took too long to make a forceful defense of the First Amendment.

Obamacare: President Obama's crowning legislative achievement, whether he likes to admit it or not, is Obamacare. Mitt Romney has promised to repeal the Affordable Care Act and he should make his argument with these reasons: First, Obamacare is not Romneycare. Romneycare was a state mandate; Obamacare was a federal mandate.

Second, Obamacare is terrible federal policy. It is a massive tax increase over the next 10 years that will fall largely on middle-class families; it steals more than $700 billion from Medicare to pay for the expanded coverage under ObamaCare; the unelected Independent Payment Advisory Board will ration and control Medicare costs and services without the say of doctors and patients; the Department of Health and Human Services is granted virtually unfettered powers, like the contraception mandate. Obamacare is bad policy. It was over 2,700 pages of complex rules and regulations passed behind closed doors with backroom deals -- exactly the opposite of what Obama promised when he campaigned in 2008.

Opinion: Can Romney get back on track?

The imperial presidency: Throughout his first term in office, the president has repeatedly ignored or gone around Congress and arrogated his own agenda through executive fiat.

He instituted his own version of the Dream Act; his administration granted waivers to welfare reform without the approval of Congress; he refused to help Arizona enforce its immigration laws; he ordered his Justice Department to stop defending the Defense of Marriage Act in court; he gave states waivers to avoid No Child Left Behind requirements; he claimed executive privilege on Operation Fast and Furious to protect the faults of his Justice Department and the Bureau of Alcohol, Tobbaco, Firearms and Explosives (ATF); and when the Senate refused to confirm his nominations to the National Labor Relations Board, he proclaimed the Senate was in recess and appointed them on his own. His own runaway EPA has waged regulatory war on coal plants resulting in the closure of six plants and possible closures of many more.

Broken promises: If you think I'm being too hard on the president, let's hold him to his own words and promises.

He promised to cut the deficit in half in his first term. He sought in Cairo in 2009 a "new beginning between the United States and Muslims around the world." He promised to change the "tone" of Washington. His economic team promised that his $800 billion stimulus package would keep the unemployment rate under 8 percent. In 2008, he promised to tackle entitlement reform in his first term. Before Obamacare was passed Obama promised to "cut the cost of a typical family's premium by up to $2,500 a year" and that "If you like your health care plan, you will be able to keep your health care plan."

Americans realize the president has over-promised and under-delivered. The objective record, the multiple failures, and the unkept promises make a profound and fair case against the reelection of Barack Obama.

The opinions in this commentary are solely those of William J. Bennett.

@highlight

William Bennett outlines five reasons Obama should not serve a second term

@highlight

First, he says, Obama has not gotten the U.S. out of its dire economic straits

@highlight

Bennett: Obamacare is a costly federal mandate that amounts to huge tax increase

@highlight

Bennett: He has broken promises, bypassed Congress, mishandled foreign policy