(CNN) -- Having lived and breathed Plastiki for the last two and a half years, I finally stepped aboard her for the final leg to Australia.

My first day was thankfully uneventful; some steering, a game of Bananagrams, plenty of dozing and just a little hide and seek with some nausea.

But at sea it is the night that ushers in the sublime; a sky ablaze with burning bright stars, twenty or more tumbling gracefully into oblivion. A small slither of a smiley moon, barely concealing the bright promise that lies beneath. A huge billowing turret of a cloud, host to a lightning show so brilliant that it casts momentary shadows across deck.

What is ridiculous is that any of this ever happened at all. This boat; conceived, designed and built out of plastic bottles, which has sailed over 4000 miles to be here today beneath this unbelievable sky.

"It's a boat, made from plastic bottles," David de Rothschild said to me in December 2007.

"We've got this amazing sustainability architect, Michael Pawlyn, on board. He's done some dope drawings and we're interviewing for a naval engineer. The plan is to sail through this thing called the Great Eastern Garbage patch, doing science along the way and inspiring people to look at Waste as a Resource. We'll build it in San Fran, set sail in December (2008) and arrive into Sydney March 09."

I'm paraphrasing massively, but you get the gist.

"Cool," was what I remember thinking.

I was working for a firm building emergency bridges in Africa and was ready for something different. This seemed different and I was in.

The early days of the project revolved around meetings, phone calls and a staggering inbox of emails. We were rich in big ideas and exceptional consultants but poor in concrete ideas and real boating knowledge.

The brief was very strict and has always remained so; the bottles must be the primary element of the boat ideally performing both structure and flotation. We were to use no glues, minimal fixings, minimal new components or materials. In addition it was to sustainably support a crew of six using innovative "off grid" life support systems.

It was a hugely creative period with amazing sausage-type bottle structures and invertebrate raft ideas all on the table. The wackier most bottle-centric minimal structure designs were favored.

We had a major coup early on which was the "gassing" of the bottles. Of great concern was stabilizing the bottles into mini structures themselves. The obvious solution seemed to be pressurizing them, but how?

We variously talked about fitting bicycle valves to the caps and pumping them up, building a hyperbaric chamber to fill the bottles under pressure and finally liquid nitrogen. Knowing very little about liquid nitrogen I set off happily to BOC Gases intent on gettin' me some.

The guy looked at me like I was crazy, which was something I was to get used to over the next few years.

"Er, I don't think so," he said. Not such a good idea. "Dry ice on the other hand," he said grinning sheepishly, "would be an excellent alternative."

And before I knew it he was shoveling crystalline, smoky powder into an Evian bottle.

"Watch this," he said, screwing on the cap and ejecting it into the empty parking lot. It was a Saturday morning deep in the bowels of Covent Garden Market in London, but the bang when the bottle spectacularly exploded I thought was sure to bring SWAT troops parachuting down on us.

Not wishing to stick around to find out I bought all the dry ice he had and made my exit. I could hear a faint call after me: "Make sure you keep a window open in the car..."

"Kaboom," I thought as I careered out of there, windows down in the freezing February air. I was in search of somewhere quiet and secluded to do some experimenting of my own.

So despite this early success with the bottles we were still a very "un-boaty" collection of boat designers. We were in for a rude awakening....

Andy Dovell, of Dovell Naval Architects based in Sydney came highly recommended and joined us in London in early March 2008. He came complete with a first draft design -- of a boat.

"It's a bit boat-like," we conferred out of earshot. "Too much structure," was another comment. "But a good starting point nevertheless," someone else chimed in.

What Andy knew and we didn't was that boats typically look like boats and require structure.

So began the taming of the shrew.

@highlight

Plastiki expedition co-ordinator Matthew Grey recalls early days of the project

@highlight

Joined the Plastiki as a crew member in Samoa on June 14 heading for Australia

@highlight

Finding ways to make a boat from plastic bottles took years of trial and error