(CNN) -- Imagine the entire population of Kentucky forced out of their homes in the past 25 years, with many of the residents moving to a neighboring country.

Displaced children at a camp in El Barrancon, Colombia, earlier this year.

That's what has happened in Colombia, a country of 45 million where up to 4 million people -- roughly the population of Kentucky -- have been forced to flee fighting between government forces and an entrenched Marxist rebel group. So many Colombians have taken flight to escape violence that the nation has the second largest number of internally displaced people in the world -- surpassed only by Sudan in Africa.

Oftentimes, the violence is not incidental.

"Violence against civilians is a strategy of war for all the parties involved in the warfare," said Ellen Beattie, who worked for relief agencies in Colombia for 15 years. "That's the problem. They do it on purpose. They use it as a strategy. Vicious."

Exact figures are hard to come by.

Reliefweb, a United Nations Web site that provides information to humanitarian relief organizations, says nearly 400,000 Colombians were displaced last year. The Colombian government puts the number of displaced at 255,000 for 2008.

Likewise, the Colombian government says nearly 3 million citizens have been displaced inside the country in the past few decades. But the non-governmental Consultancy for Human Rights and Displacements, known in Colombia as CODHES, estimates more than 4 million people have had to leave their homes since the 1980s.

Mauricio de Vengoechea, a political analyst with the Newlink Group consulting firm, says about 200,000 Colombians have ended up in Ecuador, which has granted 5,500 residency permits in the past eight weeks.

At the heart of the violence lies a guerrilla war with the Colombian government and paramilitary groups on one side and the FARC, which is the Spanish acronym for Revolutionary Armed Forces of Colombia, on the other. The FARC has been waging war against the government since the 1960s and has major strongholds in the jungles of southwest Colombia, near the 366-mile (590-kilometer) border with Ecuador.

Narcotraffickers also have strongholds in the area and are often allied with the FARC, who provide security and intelligence. Many times the rebels and the narcotraffickers are one and the same. The guerrillas use drug money to buy weapons.

"There are large parts of Colombia where the state has no presence, no police, no army, nothing," said Myles Frechette, the U.S. ambassador to Colombia from 1994 to 1997. "That's where the narcotraffickers hang out."

That makes it valuable territory for the guerrillas and narcos, said Beattie, executive director of the International Rescue Committee office in Atlanta, Georgia.

"They're more willing to fight over land that is strategic," she said. "You've poured gasoline on the fire with that."

As the army, paramilitaries and the guerrillas fight for territory -- often retaking land one side or the other had held before -- the civilian population gets caught in the middle. When one side comes in, Beattie said, everyone living in the area is suspected of having collaborated with the enemy. That sometimes leads to massacres, or at least kidnappings and death threats.

"The majority of displacements in Colombia are not because of combat, but because people are directly threatened," said Gustavo Valdivieso, spokesman in Colombia for the United Nations High Commissioner for Refugees. "They are told, 'Leave or be killed.'"

Many times, indigenous populations in far-flung places suffer the most.

That's what happened earlier this year to the Awa tribe in southwest Colombia. The FARC admitted in an Internet statement that guerrillas "executed" eight people February 6 in the town of Rio Bravo because the rebels believed the Indians were gathering information to give to the Colombian military.

The Human Rights Watch organization said the guerrillas tortured some of the Awa before killing them with knives.

Luis Evelis Andrade of the National Indigenous Organization of Colombia said the FARC had targeted the Awa because the Indians don't want to get involved in the armed struggle and refuse to reveal information on government troop actions. He said the FARC had abducted 120 Awa in February and killed 44.

"We are very worried about the Awa community," said Monsignor Gustavo Giron Higuita, the bishop of the city of Tumaco. "It is a community that is pretty unprotected and that in the past five years has received a type of persecution by armed groups."

The Colombian government has issued a "risk report" warning that civilians in the region are in danger, and the U.N. High Commissioner for Refugees proclaimed an alert this week about threats against human rights workers.

A U.N. report notes that displacement disproportionately affects Colombia's poorest citizens, and their lives get worse after they are forced to flee. One of every two displaced Colombians is unemployed and a similar number live in makeshift homes made of cloth, cardboard or wood, says the Office of the U.N. High Commissioner for Refugees. More than three-fourths of children who leave school after being displaced never return.

Then there's the issue of forced conscription. According to Reliefweb, between 12,000 and 14,000 minors have been forced to join armed groups.

Valdivieso, the U.N. spokesman in Colombia, notes that displaced residents have lost about 15 million acres (6 million hectares). That's an area about the size of West Virginia.

"You have displaced people living in hunger in the cities of Colombia while they still have property," Valdivieso said.

Displacement occurs when people move within a country. When they leave the country, they become refugees.

The problem occurs among all segments of Colombian society. The political class is often hit hard.

Ramiro Echeverri was among 12 regional lawmakers the FARC kidnapped on April 11, 2002, in Cali, Colombia's third-largest city. The rebels killed him and 10 others on June 18, 2007, when a Colombian army patrol came upon the camp in which the hostages were being held. When the bodies were recovered three months later, autopsies showed most had been shot several times in the back.

Echeverri's son, also named Ramiro, was a doctor in Cali at the time.

"We buried him and the next day we left the country," he said.

He, his wife and younger sister first went to Ecuador, where they lived for two months before securing passage to Atlanta, where he works as a neurological researcher for the Emory University School of Medicine. His mother stayed behind but visits often, especially after the birth of her granddaughter, Rafaela, four months ago.

Echeverri, 28, has been in the United States for 16 months but still harbors hopes to return.

"Of course," he said. "It is a very good country. I believe there will be a solution. Once there is, I will go back."

Atlanta resident Ibonne Pinilla Martinez, 25, tells a similar story. Her father was a politician in Palmira, in southwest Colombia about 17 miles east of Cali. He started receiving threats and some colleagues were kidnapped.

They first moved around inside Colombia, living in three cities over a two-year period. She, her parents and a younger sister then lived in Costa Rica for five years before moving to Atlanta two years ago, the soft-spoken Pinilla said.

"There is always fear when someone makes threats," she said.

She, too, holds expectations of returning some day.

"We will wait for the right time and for all that to end," Pinilla said.

Many refugees end up in Ecuador because it's the nearest country to the killing fields of southwestern Colombia. Some are forced there by the fighting.

"Over the course of the past five years, the FARC has been pushed back into Colombia's less densely populated jungle regions and across the Ecuadorian border," said Patrick Esteruelas, an analyst with the Eurasia Group consulting firm. "More and more citizens in southern Colombia have been forced out and had nowhere else to go but Ecuador."

Beattie, the aid agency official, has noticed the same phenomena.

"The Colombians go across where the violence pushes them that way," she said. "Often, that's the only direction they can go."

Ecuador has started incorporating the displaced Colombians, giving residency status to 5,500 in the past few weeks. That may seem surprising, given the poor standing between the countries.

Ecuador broke diplomatic relations with Colombia in March 2008 and amassed troops along the border after a Colombian military attack against a FARC camp inside Ecuador. The attack killed 25 people, including rebel leader Raul Reyes, four Mexicans and an Ecuadorian.

No country in the area is afraid of Ecuador, says Frechette, the former U.S. ambassador. Neither is the FARC.

"Ecuador is a very weak state. It's lost 60 percent of its territory since its independence (in 1822)," he said. "Ecuador is a little guy who gets pushed around by everybody."

Ecuadorian President Rafael Correa used the tension to forge national unity when he successfully ran for re-election in April 2009, said Vengoechea.

"It was more convenient for President Correa to be an enemy of Colombia than a friend of Colombia," Vengoechea said.

"Now both sides have been trying to find common points to restore diplomatic relationships," Esteruelas said. The issue of residency visas, he said, "is one such point."

Ecuador also may have felt the need to do something about the FARC.

"Ecuadorians are also under a lot of pressure since allegations that the FARC was coming across the border and Ecuador has been looking the other way," said Esteruelas. "Ecuador is under pressure to register all Colombian immigrants coming in to prevent Colombian rebels from coming into Ecuador unregistered and unnoticed."

@highlight

Colombian civilians caught in cross fire between rebels, government forces

@highlight

"Violence against civilians is a strategy of war," relief worker says

@highlight

Many civilians flee homes as a result of direct threats

@highlight

Ecuador is country closest to Colombia's killing fields, many flee there