(CNN) -- A federal appeals court ruled Tuesday that a cross displayed on public property for nearly a century is unconstitutional.

Three versions of the Christian symbol have been erected atop 822-foot Mount Soledad in the posh La Jolla neighborhood of San Diego, California, since 1913.

The current 43-foot cross was erected in 1954 in honor of Korean War veterans and has been the subject of near constant judicial back and forth since 1989, when two Vietnam War veterans filed suit against the city, saying it violated the California Constitution's "No Preference" clause.

The 9th Circuit Court of Appeals rejected the notion that the cross -- since the late 1990s surrounded by plaques and paving stones honoring veterans and war dead -- was solely a memorial.

"The use of such a distinctively Christian symbol to honor all veterans sends a strong message of endorsement and exclusion," the court said in its ruling. "It suggests that the government is so connected to a particular religion that it treats that religion's symbolism as its own, as universal. To many non-Christian veterans, this claim of universality is alienating."

The court also noted that the site had, for most of history, been used for Easter services -- marked on maps until the late 1980s as the "Mount Soledad Easter Cross" -- and was designated a war memorial with a plaque "only after the legal controversy began in the late 1980s."

"It was not until the late 1990s that veterans' organizations began holding regular memorial services at the site," the court said.

And the court rejected arguments that the cross at a war memorial was no different than any other memorial that includes a cross.

"This war memorial -- with its imposing Cross -- stands as an outlier among war memorials, even those incorporating crosses," the ruling says. "Contrary to any popular notion, war memorials in the United States have not traditionally included or centered on the cross and, according to the parties' evidence, there is no comparable memorial on public land in which the cross holds such a pivotal and imposing stature, dwarfing by every measure the secular plaques and other symbols commemorating veterans."

The ruling will almost certainly be appealed to the U.S. Supreme Court.

Since the first lawsuit in 1989, the city of San Diego twice tried selling the property beneath the cross to the Mount Soledad Memorial Association, only to be stopped by the courts: once for failing to solicit bids and once for violating California's "No Preference" clause for giving "substantial financial advantage to bidders" who intended to leave the cross in place.

By the late 1990s, with the association maintaining the property, the cross became a more extensive war memorial, with stone plaques and paving stones honoring veterans and other accoutrements of a memorial.

In 2004, the city, the plaintiffs and the association reached an agreement that would move the cross to a nearby church, but two Republican congressmen intervened and inserted a rider into the 2005 omnibus budget bill that designated the property as a national veterans memorial and authorized the federal government to accept the donation of the property.

But the San Diego City Council refused to donate the property after the city attorney wrote that the transfer likely would violate both the federal and state constitutions. Facing pressure from a new association formed to "save the Mount Soledad cross," the city reversed its decision and instead put the matter to a vote, which passed handily.

More court filings followed, and in June 2006, three Republican congressmen pushed through a bill calling for the government to seize the property by eminent domain -- calling it "a historically significant war memorial." The federal government took possession in August.

Two lawsuits were filed challenging the transfer almost immediately: one by Steve Trunk and Philip Paulson and the other by Jewish War Veterans of the United States. The district court consolidated the cases and eventually ruled in favor of the government. Trunk, Paulson and the Jewish War Veterans appealed, leading to Friday's ruling.

@highlight

A cross has been atop San Diego's Mount Soledad since 1913

@highlight

Supporters of the cross say it is the centerpiece of a war memorial

@highlight

The appeals court saw no evidence of a war memorial until after lawsuits were filed