Port-Au-Prince, Haiti (CNN) -- They filled the grounds in front of the collapsed cathedral in Haiti's capital. To remember. To cope. To pray.

Wednesday marked the first anniversary of the earthquake that changed the face of a nation.

More than 200,000 people perished last January 12 when the earth shook violently for a few seconds. Houses toppled, swallowing residents alive. Government offices and landmark buildings, including the Notre Dame cathedral, came tumbling down.

Five days ago, three more bodies were pulled from the rubble in central Port-au-Prince.

Haitians still come to pray at the cathedral every Sunday. On this day, the crowds overwhelmed the small park in front. People embraced one another and cried openly. There was no reason to hide the sorrow that pervades their lives every day.

In one neighborhood, a man woke up residents as he walked through the streets at dawn. He carried a Bible and recited prayers.

Faith is all that many Haitians have left.

For the rest of the world, January 12 is a day to mark the horror that unfolded in Haiti. But Haitians must cope with their memories every day.

Jane-Eileen Fourcand says she is avoiding watching television on Wednesday. She does not need reminders.

Instead, she will quietly remember the death of her mother, killed instantly in the quake, and her father, who was rescued after being buried for 16 hours but died a month later.

Fourcand planned to visit her parents' tomb with flowers in hand and prayers in her heart.

And then, she planned to tell a few jokes.

"Why? Because my mother always said, 'When I die, I want you to be happy about it. Don't cry all over,'" she said. "I know we have to cry to get rid of the pain. But we're going to make it a little better with these jokes we used to do."

At 4:53 p.m., the time the earthquake hit, Haiti fell silent to pay homage to the dead -- and to the millions of lives that were forever changed in just a few seconds.

In some Port-au-Prince neighborhoods, mountains of rubble still stand as they did 12 months ago. The hundreds of tent cities that shelter the displaced were supposed to be temporary. Their continuing existence makes it hard to imagine a year has passed.

Many tent city residents have sadly resigned themselves to permanence in those places of squalor.

Several hundred members of organizing committees for 17 makeshift camps marched Wednesday on the streets, determined to cast a spotlight on their plight. They carried a sign saying in Creole: "If I don't stand up, I'm condemned to live in a tent for the rest of my life."

The anniversary of the catastrophe, as the Haitians call it, comes as the Caribbean nation grapples with new crises: a cholera epidemic that has killed more than 3,700 Haitians and a political impasse sparked by allegations of fraud in a presidential election.

International monitors from the Organization of American States decided to wait until the anniversary passed to hand President Rene Preval the results of its election review, which suggests that Preval's handpicked successor be eliminated from contention.

Preval has grown increasingly unpopular as many Haitians perceive the government response to Haiti's troubles has been inadequate. There is a growing tide, too, of criticism of the thousands of aid agencies that operate in the country.

At the United Nations in New York, Secretary-General Ban Ki-moon noted that 102 U.N. personnel died in the earthquake. He acknowledged that progress has been slow. "Haiti's streets are still full of rubble," he said. "International aid and investment has not come as quickly as needed or as promised."

But, he added, "We are making progress."

He said the number of people living in camps is half of what it was at the peak of the emergency, and clean water is being provided to 1 million people, and food to 2 million people.

"We will help a new government get on its feet and fulfill its responsibilities to its people and, despite the slow start, recovery and reconstruction is finally beginning in earnest."

But earthquake survivors like Michel Clervil wonder why, a year on, nothing has changed in Haiti, why he hasn't seen any of the money the world sent.

He lost his house and was forced to find shelter in a camp, where his wife, Eliane, died of disease.

Many people are still suffering, he says. "And we don't know why."

@highlight

A year ago, a massive earthquake struck Haiti

@highlight

Thousands gather to remember and pray at the cathedral in Port-au-Prince

@highlight

The nation marked a moment of silence