(CNN) -- The 21st century is a terrible time to be a control freak. When I speak with leaders around the world and ask them what one thing has most changed for them over the last 15 years, they almost always cite the perceived loss of control. The thing they cite as the major reason? "Connection technologies" -- technologies like the internet and mobile phone networks that connect people to information and each other.

Media and information environments, political agendas, social movements, governmental decision-making processes and control over corporate brands have all been disrupted by citizens using what are now billions of devices and billions of internet connections. Information no longer flows exclusively from mainstream media and government out to society. It flows in a vast network of citizens and consumers interacting with once-dominant information sources. This network of people is constantly reading, writing, and evaluating everything, shaping the ideas that guide society and politics. In a ground-breaking speech on internet freedom given by Secretary of State Hillary Clinton in January 2010, she described this by saying that the "spread of information networks is forming a new nervous system for our planet." A little bit of hindsight shows that this disruption has come to the foreign policy domain.

Should we fear mind-reading future tech?

We can draw at least three early conclusions about the impact of these connection technologies on the development of political movements:

Conclusion #1: These technologies accelerate the growth of social and political movements.

Distance and time no longer limit access to real-time information. Movements that would have once taken years to develop and relied on strong ties between people well-known to each other now can be built in days or weeks, leveraging the relatively open platforms that social media provide. This phenomenon is plain to see in world events as diverse as the Arab Spring, political protests in Russia, disaster response in Japan, and the populist online movements supporting open internet policies in Europe and the United States.

Conclusion #2: Connection technologies have enriched the information environment, changing our ability to share and receive information.

Many people know the story of Mohamed Bouazizi, a fruit vendor from the small town of Sidi Bouzid in Tunisia whose self-immolation on December 17, 2010, catalyzed what became the Arab Spring. On December 18, his mother and other family members began a protest that spread to the rest of Tunisia. What most people don't know, though, is that just two years earlier there were protests in Tunisia that started off far larger but failed to spread beyond the confines of the Gafsa mining basin where they began.

What changed in those two years? During the initial protests in Sidi Bouzid, acts of protest were documented on video-enabled mobile phones and posted to social media sites. Activists in the Tunisian Diaspora curated and distributed this content, leading to its pick-up by pan-Arab satellite television networks including Al-Jazeera. This allowed students with a few dozen friends and followers on social media to become eyewitness sources for satellite TV networks that broadcast their stories to hundreds of millions of viewers. The Tunisian government of president Zine el-Abidine Ben Ali was unable to contain this flow of media and information. This combination of new and traditional media can amplify the voices of citizen-centred movements into potent political forces and demonstrate how governments lose control over their information environments.

Opinion: Humans, lose your cyberphobia

Conclusion #3: New information networks have disrupted leadership structures.

Internet-enabled movements tend to lack the traditional single charismatic leader, inspiring and organizing the masses from on high. Rather, movements that rely heavily on the internet tend to have leadership structures that look like the internet itself -- a distributed web of nodes and connections, rather than a pyramidal, top-down structure. This enables a decentralized form of organization bringing together unlikely combinations of people into rapidly formed movements. While this has the virtue of making movements more citizen-centered and less bound to the cults of personality one often finds in and around protest movements, it also makes these movements more ephemeral and less sustainable. A lack of real structure and widely-accepted leaders has limited the sustainability of many movements, both political and issue-oriented.

More than anything else, we can draw the early conclusion that connection technologies redistribute power from hierarchies to citizens and networks of citizens. These technologies are changing the entire political ecosystem. They are changing the nature of who is participating, who has power and how that power is exercised.

Most of the time, this is a good thing. It allows for more open, transparent and participatory government. It allows citizens to make their voices heard and participate in the political process.

A look back at all the action LeWeb'12 London: Day one

However, the same power given to people seeking to connect the governing to the governed also gives the world's criminals and terrorists powerful tools to build sophisticated networks through which to perpetuate fraud, graft, and violence. In this respect, Secretary Clinton has likened our information networks to nuclear power, which can either fuel a city or destroy it, and to steel, which can be used to build a hospital or a machine gun.

It is difficult to imagine how connection technologies will shape political movements and systems over the next decade, but we can anticipate more empowerment of the citizen and more disruption, for both good and ill. How political leaders respond to this connectivity and its power will be a test of values, open versus closed. Closure strictly constrains the benefits technology can bring and separates the aspirations of the governed from the governing. Openness brings transparency, democratizes information, and empowers people to achieve things together that none could attain by themselves.

The opinions expressed in this commentary are solely those of Alec Ross.

@highlight

Media and government have been disrupted by citizens with internet connections, say Ross

@highlight

"Connection technologies" are technologies that connect people to information and each other

@highlight

Ross runs through the impacts of connection technologies on political movements