United Nations (CNN) -- The United Nations Security Council voted unanimously Thursday to end military operations in Libya.

The council adopted a resolution that rescinded its March mandate for military intervention in Libya, effectively ending the NATO mission there as of Monday.

Meanwhile, U.S. officials said that 24 seriously wounded Libyan fighters will be taken Saturday to Spaulding Hospital in Boston, and six critically wounded fighters will be taken to Germany for U.S. medical care there. Their wounds can't be treated in Libya, officials said.

The U.S. medical treatment was requested by Libya's National Transitional Council and is being offered as a humanitarian gesture and support for Libya's democratic aspirations, U.S. officials said.

Libya's interim leaders declared their nation liberated last Sunday after the capture and killing of deposed dictator Moammar Gadhafi.

Susan Rice, the U.S. ambassador to the United Nations, commended the NATO mission as putting Libya on a path to freedom but tempered her remarks with a word of caution.

"We're very concerned that, as we move forward, that the authorities make maximum effort to swiftly form an inclusive government that incorporates all aspects of Libyan society, and in which the rights of all Libyan people are fully and thoroughly respected, regardless of their gender, their religion, their region of origin," Rice said.

"But for the United States, and, I think, for the United Nations Security Council, this closes what I think history will judge to be a proud chapter in the Security Council's history."

British Foreign Secretary William Hague described the Security Council passage of Resolution 2016 as "another significant milestone towards a peaceful, democratic future for Libya. Ending the no-fly zone and the civilian protection provisions demonstrates that Libya has entered a new era."

The French ambassador called it a completion of a mission to prevent Gadhafi from slaughtering his own people.

"During the seven months that have followed, we have seen dramatic events where the Libyan people have succeeded to free themselves with the support of NATO," said Gerard Araud.

Meanwhile, Gadhafi's family will file a war crimes complaint with the International Criminal Court against NATO, a lawyer representing the family said Thursday.

Members of the family believe NATO's actions led to Gadhafi's death last week, said Marcel Ceccaldi.

"All of the events that have taken place since February 2011 and the murder of Gadhafi, all of this means we are totally in our right to call upon the International Criminal Court," Ceccaldi said.

The ICC had previously issued a warrant for Gadhafi's arrest, accusing him of crimes against humanity. It still has warrants out for the arrest of Gadhafi's son, Saif al-Islam Gadhafi, and his brother-in-law and intelligence chief, Abdullah al-Sanussi.

Questions have been raised about how Gadhafi was killed.

Amateur videos showed him alive when captured by the opposition. He died from a shot in the head, officials said, but the circumstances surrounding the shot remain unclear.

Ceccaldi said the Gadhafi family's complaint will be filed in the coming days.

"Now we will wait and see if the ICC is a judicial system which is independent and impartial," he added.

NATO's Libya campaign began in March, after the Security Council adopted Resolution 1973, which imposed a no-fly zone in the country's airspace and authorized member states "to take all necessary measures to protect civilians under threat of attack in the country ... while excluding a foreign occupation force of any form on any part of Libyan territory."

There were no opposing votes on the 15-member council, but China, Russia, Germany, India and Brazil abstained. Germany said it was concerned about a protracted military conflict.

The resolution became the basis for NATO's airstrikes in the North African nation.

In ending the mandate Thursday, the Security Council expressed concern at the proliferation of arms in Libya and said it intends to address that issue further. The resolution also expressed "grave concern about continuing reports of reprisals, arbitrary detentions, wrongful imprisonment and extrajudicial executions."

Last week, U.S. Admiral James Stavridis, commander of NATO's military forces, recommended that NATO wrap up its mission in Libya by October 31. NATO ministers gave preliminary approval to that plan.

But U.S. Defense Secretary Leon Panetta said this week that Libya's National Transitional Council wanted NATO to stick around until it could establish governance.

However, Libyan Deputy Ambassador Ibrahim Dabbashi told the 15-member council Wednesday that the Libyan people were looking forward to ending the NATO mission.

While Libyans were grateful for the international community's support, he said, such measures felt like an infringement on Libya's sovereignty.

@highlight

24 injured Libyan fighters will be treated in Boston; 6 more, in Germany

@highlight

Moammar Gadhafi's family will file a complaint against NATO

@highlight

Thursday's U.N. resolution ends the NATO mission as of Monday

@highlight

A March resolution authorized "all necessary measures" to protect civilians