In China it's known as gaokao -- the college entrance exams -- and for most young people it dictates the course of a life.

A good score in the gaokao will open the doors to the country's most prestigious universities, granting access not only to the best education and the chance to work overseas but  also to an elite Rolodex of upper-echelon contacts.

Chinese society, more than any other, is predicated on its networks, or guanxi, and grooming them is a lifetime's work.

For those that miss out on their gaokao, the years of tutoring and months of cramming could mean relegation to a provincial university and the oblivion of a major city "ant colony" -- the shared dormitory accommodation that awaits graduates trying to find work in China's urban centers.

For others hoping to escape the ineluctable cycle of the gaokao, overseas study is only possible through a limited number of scholarships or rich parents.

Increasingly, however, Chinese private schools -- with British A-level exams and the International Baccalaureate -- are geared towards giving the children of the middle  class the edge when it comes to gaining a place at a foreign university.

"What we are talking about here really are the upper middle class and above -- people who are aware of what education systems are like in other parts of the world," said  Michel Hockx, Professor of Chinese at the School of Oriental and African Studies at the University of London.

Heading abroad

It'd be hard to find another country over the past 10 years that has spent as much, and as furiously, as China on giving its next generation the kind of head start that an expensive international education provides. The number of Chinese studying in the United States has increased more than fourfold from about 60,000 in 2004 to more than 274,000 in 2014, according to figures from the Institution for International Education.

China now accounts for almost a third of international students in the U.S., marking an historic high.

While the Chinese government assists students that want to study abroad, the majority of students are privately funded and education, in particular recently online education, is now part of a billion dollar industry.

Many education companies are publicly-listed companies and a new boom in online education is expected over the next three years, according to a report by Deloitte.

For the move towards private education in China not only reflects the aspirations of China's growing middle class but also a growing dissatisfaction with China's often tradition-bound curriculum.

"People who are aware of what education systems are like in other parts of the world are becoming increasingly impatient with the Chinese education system," Hockx said.

"It has an enormous emphasis on rote learning, classes can spend ludicrous amounts of time repeating the same things again and again, it often doesn't value creativity.

"The elite are looking at other options and that includes sending their children to private schools in China and also sending them to English-speaking schools, in particular boarding schools in Britain which have a very good reputation in China."

He said Chinese teenagers who must sit the gaokao are required to put in very long hours of study.

"I personally know 13 and 14-year-olds in China who do not get more than four or five hours of sleep a day because of all the work that they need to do. I think many parents are worried because they're not seeing it as a way of moving up in the world," Hockx said.

English skills

While the Chinese system, with its emphasis on rote-learning, is good for certain subjects such as maths and the sciences, Hockx said that the weighting on English in the gaokao -- and a shot at working and studying internationally -- still remained strong.

Last year, an attempt by the government to level the playing field by reducing the English-language section of the gaokao (seen as a way of favoring students in provincial areas with fewer opportunities of gaining exposure to English) has done little to dent China's RMB30 billion ($5 billion) English language industry.

English language sections of the gaokao were reduced from 150 to 100 points while Chinese sections were increased from 150 points to 180.

Even with some leading teaching companies charging as much as RMB16,000 a year for extra-curricular tuition, in a country where the average wage can be as low RMB13,000 a year,  the English-teaching industry has only grown stronger, especially since the Beijing Olympics in 2008.

New Oriental, China's largest English-language tuition company, is listed on the New York Stock Exchange and has a market capitalization of $4.4 billion.

Chinese traditionally have a deep respect for education but increasingly the option of dropping out of the Chinese education system altogether is becoming attractive to some.

Han Han, the rebel voice of China's post-1980s generation, is China's most famous high school drop out and has gone on to parlay fame as a blogger and social commentator.

"He became famous because when he was 18 he won a writing competition and won a free place at one of the best universities and he said no I'm not interested, I don't like this system and I just want to become an independent writer," Hockx said."He became a celebrity overnight almost."

Read this: Asia's love affair with cosmetics

More from Virtual Think Tank

@highlight

In China the gaokao -- the highly competitive college entrance exams -- dictates the course of a lifetime

@highlight

A good score in the gaokao will open the doors to the country's most prestigious universities

@highlight

The number of Chinese studying in the US is up from about 60,000 in 2004 to more than 274,000 in 2014

@highlight

The majority of students are privately funded and education is now part of a billion dollar industry