Washington (CNN)Supreme Court justices appeared divided Tuesday during historic arguments over the constitutionality of gay marriage, with Justice Anthony Kennedy returning to a familiar role as the court's pivotal vote.

Chief Justice John Roberts -- who shocked conservatives with his swing vote to uphold Obamacare -- this time seemed to lean more closely to conservative justices.

The arguments unfurled inside a packed courtroom on Tuesday while supporters and opponents of same-sex marriage rallied outside -- with one protester even interrupting the arguments from within.

RELATED: How a Cincinnati judge could shape the gay marriage case

Many questions on Tuesday centered around the definition of marriage and whether the decision to authorize or ban gay marriage should be left to voters in individual states or decided by the judicial system.

All eyes were on Justice Anthony Kennedy, considered a key vote for challengers to the state bans, who has penned three decisions in favor of gay rights over the years.

At the start of arguments he joined other conservatives concerned with the fact that  marriage has been defined between a man and a woman for a long time. "This definition has been with us for millennia," he said. "And it's very difficult for the court to say: 'Oh, well, we know better.' "

But later Kennedy pressed John Bursch, a lawyer defending the bans: "Same sex couples say: 'Of course, we understand the nobility and the sacredness of the marriage. We know we can't procreate, but we want the other attributes of it in order to show that we, too, have a dignity that can be fulfilled.' "

Kennedy also said that Bursch's assertion "that only opposite-sex couples can have a bonding with the child" was "just a wrong premise." When Bursch said the rate of out-of-wedlock birth has gone up in the country, Kennedy noted that if Bursch were to prevail, it might be difficult for same-sex couples to "adopt some of these children."

"I think," Kennedy said, "the argument cuts quite against you."

He also brought up the fact that marriage "bestows dignity." "These parties say they want to have that same ennoblement," he said.

Chief Justice John Roberts was also concerned with the traditional definition of marriage. He said this to Mary L. Bonauto, an attorney representing the challengers: "You're not seeking to join the institution, you're seeking to change what the institution is."

He expressed concern about closing off the debate currently going on in the states. "I mean, closing of debate can close minds, and it will have a consequence on how this new institution is accepted."

"People feel very differently about something if they have a chance to vote on it, than if it's imposed on them by the courts," he said.

Conservative Justice Antonin Scalia and Justice Samuel Alito were sharply critical in their questioning of Bonauto.

Scalia said that the issue is not whether there should be same-sex marriage, "but who should decide the point."

Alito brought up how long marriage has been considered between a man and a woman and cast doubt that such a definition was meant to demean same-sex couples.

Justice Sonia Sotomayor and other liberals seemed supportive of the challengers. When Bursch said that the issue should not be decided by the courts,  Sotomayor pushed back. "I suspect even with us giving gays rights to marry that there's some gay people who will choose not to. ... Just as there are some heterosexual couples who choose not to marry. So we're not taking anybody's liberty away."

Steve Vladeck, a constitutional law professor at American University and CNN analyst, said Tuesday's session revealed few surprises to close observers of the court who expected Kennedy and Roberts would be the swing votes on this case.

RELATED: John Roberts' big moment: Will he anger conservatives again?

"We heard both of them in the arguments today showing support for both sides of the argument, showing skepticism for both sides of the argument," Vladeck said. "I think the headline here is it's about what we expected. It's going to be close, it's going to be divisive and it's going to come down to Kennedy and Roberts."

Vladeck also cautioned against reading too much into the justices' questioning and comments during the oral arguments, which account for just a few hours in the multi-month process of deciding such an consequential case.

The emotion of the case also flooded into the courtroom, as one protester seated inside began shouted and screaming in the middle of the arguments.

"If you support gay marriage you will burn in hell," the protester shouted before police quickly detained the man and dragged him out of the courtroom while he continued to scream.

RELATED: Meet the lawyers who will argue the gay marriage case

"Rather refreshing actually," conservative Justice Antonin Scalia quipped as the man was dragged out to laughter in the courtroom.

Lawyers with the pro-gay marriage organization Lambda Legal, which represented two of the cases wrapped into the Supreme Court case "an awe-inspiring and singular moment in the march towards justice."

"It was incredibly moving to gather in the Supreme Court chamber with their parents and all 30 plaintiffs in these historic cases.   Mary and Doug were fantastic, making a compelling and to my mind irrefutable case on their behalf," Lambda Legal's Alphonse Gerhardstein said of the lawyers who argued in favor of same-sex marriage before the court on Tuesday.

U.S. Solicitor General Donald Verrilli, who represented the Obama administration's views, also presented arguments in favor of same-sex marriage, focusing on equal protection under the 14th amendment and likening bans on same-sex marriage to handing second-class status to gay Americans.

"I don't know why we would repeat history," he said.

@highlight

Questions Tuesday centered on whether defining marriage should be left to voters in individual states or decided by  judicial system

@highlight

Chief Justice John Roberts, who shocked conservatives with his swing vote to uphold Obamacare, seemed to lean conservative

@highlight

Eyes on Justice Anthony Kennedy, a key vote for challengers to the state bans, who has penned decisions in favor of gay rights