Washington (CNN) -- An immigration proposal crafted for months in secret by a high-profile, bipartisan cadre of senators is both a rare moment of simpatico in politics and a matter of political practicality.

President Barack Obama, who won re-election with strong support from Latinos, the fastest-growing demographic, has called an overhaul of immigration a second-term priority. Meanwhile, Republicans who lost the Latino vote by large numbers, have signaled that mainstream members might be willing to compromise on thorny immigration issues.

"There aren't a whole lot of other issues where Republicans think they need to compromise or Democrats think they need to compromise," said Clyde Wilcox, a government professor at Georgetown University.

"There's two different ways this could be viewed this. It's either a Kumbaya moment ... or both sides see that on this particular issue there's a necessity for compromise."

But the deal is far from done. The plan could face stiff opposition in the House of Representatives, where conservatives and tea party leaders have resisted any compromise that even hints at relief or amnesty for those already in the country illegally. House Republicans are also working on a plan of their own, seeking bipartisan support. And Obama is said to have drafted his own detailed plan, which could differ from the Senate proposal in key areas, including border security and a path to legality.

Obama to pitch immigration reform today in Vegas

The senators announced their plan a day before Obama speaks in Las Vegas on immigration, signaling a major push by both sides to focus on the contentious issue in the new Congress.

Aides said the president's remarks on Tuesday will touch on the blueprint he's detailed in the past: improving border security, cracking down on employers who hire undocumented workers and creating a pathway to "earned" citizenship for undocumented immigrants.

Those provisions align closely with what the eight senators laid out in a framework of their legislation, which CNN obtained Sunday.

Possible compromise on immigration takes shape

Obama previously came under criticism from Latino activists for failing to deliver on a 2008 campaign promise to make immigration reform a priority of his first term. Last year, as the campaign heated up, the Obama administration announced a halt to deportations of some young undocumented immigrants in a move that delighted the Latino community.

Exit polls in November indicated Latino voters gave overwhelming support to Obama over GOP challenger Mitt Romney, who had advocated a policy that amounted to forcing undocumented immigrants to deport themselves.

Since the election, mainstream Republican leaders and some conservatives such as Sen. Marco Rubio, a child of Cuban immigrants and a rising star in the party, have called for addressing the immigration issue instead of ceding the Latino vote to Democrats.

"There is a new, I think, appreciation on both sides of the aisle -- including maybe more importantly on the Republican side of the aisle -- that we have to enact a comprehensive immigration reform bill," Sen. John McCain, R-Arizona, said Sunday.

"We are losing dramatically the Hispanic vote, which we think should be ours, for a variety of reasons, and we've got to understand that," McCain told ABC's "This Week."

McCain is one of the eight senators proposing the compromise. Four are influential Democrats, while Republicans joining McCain in the effort include tea party-backed newcomers Rubio of Florida and Jeff Flake of Arizona -- two states where immigration is a major issue.

Democrats pointed to the proposal Monday as an example of bipartisan cooperation.

"I'm glad to see that there is bipartisan agreement among my colleagues regarding the principles of immigration reform," Sen. Mazie Hirono of Hawaii said in a statement. "Hawaii residents are particularly interested in getting this done. Our state is an example of how our immigration system can work. We are a people of many stories and cultures, and our state is stronger because of the thousands of immigrants like me who have made Hawaii their home."

The Congressional Hispanic Caucus also hailed the effort.

"For many years, the Congressional Hispanic Caucus has pushed for a permanent, legislative solution to our ineffective and unjust immigration system, and we believe 2013 will be the year this goal becomes reality," Rep. Ruben Hinojosa, D-Texas, the caucus chairman, said in a statement.

"The Senate's blueprint is a positive step toward this important goal, and we look forward to reviewing the details with the Senate. Their 'tough, but fair' approach provides a good foundation for the legislation that is needed.

According to a CNN/ORC International poll conducted this month, 53% of those polled said allowing illegal immigrants to become legal residents should be the main focus of U.S. policy, compared with 43% who said the focus should be on deportation and curbing illegal immigration. Those figures have flipped from 2011, when 55% of those polled favored deportation and nixing illegal immigration as a domestic policy focus and 42% said they favored a pathway to citizenship.

Still, the immigration overhaul proposal faces partisan obstacles.

Opinion: America needs 21st century immigration plan

Shortly after the immigration compromise was announced, conservative groups and lawmakers made it clear that they would oppose such a measure.

NumbersUSA, a group seeking to reduce U.S. immigration, called the Senate plan an attempt to "out-amnesty Obama" and said it was activating its 1.3 million members to push for congressional opposition.

"No one should be surprised that individuals who have supported amnesty in the past still support amnesty," said Rep. Lamar Smith, R-Texas, a former chairman of the House Judiciary Committee who serves on that chamber's immigration subcommittee, in a statement.

"When you legalize those who are in the country illegally, it costs taxpayers millions of dollars, costs American workers thousands of jobs and encourages more illegal immigration. By granting amnesty, the Senate proposal actually compounds the problem by encouraging more illegal immigration."

The bipartisan compromise is encouraging, but several questions remain, said Norm Ornstein, a longtime political analyst and co-author of "It's Even Worse Than It Looks: How the American Constitutional System Collided with the New Politics of Extremism.

Opinion: Stars align at last for immigration plan

"One, will this compromise make it through the Senate, once the details are hammered out (always more difficult than frameworks) and with a lot more than 60 votes? Two, will House Republicans, who have very different impulses and constituencies, be supportive? Three, if not, will (House Speaker John) Boehner bring an immigration bill to the floor that will get many more Democratic votes than Republican?" Ornstein said.

Other Senate-led bipartisan efforts have faced similar chances of success.

Proposals to resolve the debt crisis -- including the so-called super committee -- failed. The nation was able to avert the fiscal cliff narrowly thanks, in part, to the bipartisan efforts of Senate Minority Leader Mitch McConnell and Vice President Joe Biden.

But political experts said that on immigration, there might be more room to meet in the middle.

Still, for his part, Boehner was noncommittal.

"The speaker welcomes the work of leaders like Sen. Rubio on this issue, and is looking forward to learning more about the proposal in the coming days," Boehner spokesman Michael Steel said.

CNN's Dana Bash and Tom Cohen contributed to this report.

@highlight

Immigration plan a product of compromise from senators on both sides

@highlight

Experts say Democrats want a deal and Republicans need a deal

@highlight

But plan may face resistance in House, where conservatives lament path to citizenship

@highlight

There, leaders will need to lure most Democrats and many Republicans to vote for it