(CNN Student News) -- Students will explore contemporary applications of the U.S. Constitution.

Procedure

As a class, read out loud the Preamble to the Constitution. Have students dissect the Preamble into its words and phrases, and hold a class discussion on the original intent of the U.S. Constitution.

Remind students that in 1787, the framers of the U.S. Constitution established a federal system of government that divided power between the national and state governments. It also established the three branches of government: the legislative, the executive and the judicial. Federal powers listed in the Constitution include the rights to collect taxes, declare war and regulate trade. The national government also has implied powers that allow it to respond to the changing needs of the nation. Reserved powers belong to the people or the states. State powers include the right to legislate on marriage and divorce, public schools and the state's militia. The right to freedom of speech, the right to own property and the right to be tried by a jury are examples of the powers reserved for the people of the United States. The Supreme Court has the final authority to interpret the Constitution. It can overturn any law that conflicts with any part of the Constitution. Ask students: Why do you think that the framers of the Constitution organized the U.S. system of government this way?

Next, organize students into five groups representing the following: the legislative branch, the executive branch, the judicial branch, the states and the people. Have each group investigate and list its powers as outlined in the U.S. Constitution:

Then, have the students consider their groups' constitutional powers in a modern-day context. Ask: How might the system of government outlined in the U.S. Constitution be used to address current events? Brainstorm with students a list of topics in the news, such as the War on Terror, gun control or immigration. For each issue, have students generate critical questions that address what role, if any, government should play. (Note: The questions will vary depending on the grade level and interest of the students.)

Reorganize students into groups of five, with each group having one representative from the executive, legislative and judicial branches, the states and the people. Then, assign one of the critical questions posed above to each group. Have groups prepare diagrams to illustrate what powers, if any, the federal or state governments or the people have in responding to these critical questions. Students should include the relevant text from the U.S. Constitution in their diagrams.

After each group has presented its diagram, hold a class discussion on the following:

Curriculum Connections

National Standards for Civics and Government

I. What Are Civic Life, Politics, and Government?

II. What are the Foundations of the American Political System?

III. How Does the Government Established by the Constitution Embody the Purposes, Values, and Principles of American Democracy?

The National Standards for Civics and Government (http://www.civiced.org/912erica.htm) are published by the Center for Civic Education (http://www.civiced.org/index.php).

Keywords

Constitution, executive branch, legislative branch, judicial branch, amendments, Supreme Court, Bill of Rights, current events, news stories

@highlight

Students will identify contemporary applications of the U.S. Constitution