(CNN) -- Home to Africa's highest mountain and one of its most famous wildlife parks, Serengeti, Tanzania is one of the continent's most popular tourist destinations.

It was recently listed by the New York Times as its number one place to go in Africa, with 783,000 visitors in 2010, according to a World Bank report published in 2012.

It is the largest country in East Africa, has abundant wildlife, 500 miles of coastline and 15 National Parks.

The United Republic of Tanzania was formed in April 1964 by the union of mainland Tanganyika and the Zanzibar archipelago. The archipelago consists of two large islands -- Zanzibar and Pemba -- and numerous smaller ones.

Mount Kilimanjaro, the highest peak in Africa at 5,895m, is one of seven Tanzanian sites on the UNESCO World Heritage List.

Another is Serengeti National Park, known for its annual migration of two million wildebeests and hundreds of thousands of gazelles and zebras - followed by their predators. The migration is described by UNESCO as "one of the most impressive nature spectacles in the world."

Read related: Safari in Tanzania

The spectacular Ngorongoro Crater, the world's largest caldera, is part of the Ngorongoro Conservation Area, a UNESCO heritage site listed for its natural and cultural significance.

Other UNESCO sites are Selous Game Reserve, listed for its natural beauty; Kondoa Rock-Art Sites, the Ruins of Kilwa Kisiwani and Ruins of Songo Mnara and Stone Town of Zanzibar, all listed for their cultural significance.

Of these, the Ruins of Kilwa Kisiwani and Ruins of Songo Mnara, the remains of two great ports booming between the 13th and 16th centuries, located on islands off the coast of Tanzania, is listed as a site in danger.

Alongside the natural attractions, Tanzania has a rich culture, both traditional and modern.

Watch Zanzibar music legend Bi Kidude still singing into her 90s

Zanzibar International Film Festival, also known as the Festival of the Dhow Countries, is East Africa's largest arts, design, music and film festival, with most events in Zanzibar's historic Stone Town.

Last year the festival attracted 150,000 visitors, including 7,000 from abroad, and included a race of traditional dhow sailing boats.

For a more traditional cultural celebration, MaKuYa Festival in the Mtwara region has been held every year since 2008, bringing together hundreds of traditional dancers and cultural events.

One of the country's longest-running festivals is the Bagamoyo Festival, held each year since 1982 by TaSUBa, formerly the Bagamoyo College of Arts. The TaSUBa Theatre, where it is held, is the largest performing arts venue in East Africa, and attracts musicians performing African music from reggae to roots to jazz.

An annual charity Goat Race held each year in Dar Es Salaam is based on a concept from Uganda and has raised more than 500 million Tanzanian shillings ($320,000) for charity over the past 11 years.

Read related: Why Tanzanians believe in witchcraft

Tanganyika and Zanzibar had gained independence from Britain in 1961 and 1963 respectively.

Julius Nyerere, a key figure in the fight for independence, became the first president of Tanganyika in 1962 and remained head of Tanzania until 1985.

His successor, Ali Hassan Mwinyi, started a gradual process of economic liberalization and democratic reform and in 1992 the constitution was changed to allow for multiparty competition, according to the British Foreign and Commonwealth Office.

The current president President Jakaya Mrisho Kikwete has been in power since 2005 and was elected for a second term in 2010.

Today, although Zanzibar is part of Tanzania, it has its own parliament and president and a growing movement for full independence.

Ismail Jussa, a local politician, said: "Right now there's a grand movement, not just both political parties of Zanzibar, religious groups, civil society organizations, members of academia, student organizations, all of us have come together to say it's high time Zanzibar sovereignty is restored and Zanzibar should be able once again to be in charge of its own destiny and plan its own future."

The Tanzanian people are split roughly equally in their beliefs, between 30% Christians, 35% Muslim and 35% with traditional beliefs, according to the CIA World Factbook. In Zanzibar, the population is more than 99% Muslim.

Most of the country's population is Bantu, consisting of more than 120 tribes, including Sukuma, Nyamwezi, Chagga, Masai, Haya and Gogo.

The commercial center is Dar Es Salaam, with a population of 3.6 million in 2011, according to the United Nations Population Division.

The agency said that currently 12 million of Tanzania's 45 million population live in cities, and 33 million in rural areas.

However, it predicted that both the rural and urban populations will have grown to 69 million by 2050.

Despite its growing tourist industry, Tanzania is one of the world's poorest countries, with an economy that relies heavily on agriculture and employs 80% of the population, according to the British Foreign and Commonwealth Office.

The average life expectancy is just over 53 years, with the world's fourth highest death rate from HIV/AIDS, the CIA World Factbook said.

@highlight

Tanzania has Africa's highest mountain, 500 miles of coastline and 15 National Parks

@highlight

The country was formed by the union of Tanganyia and the islands of Zanzibar

@highlight

Serengeti National Park is famous for its annual migration of two million wilderbeest, gazelles, zebras