Princeton, New Jersey (CNN) -- As Democrats struggle to retain control of the Senate and retake control of the House, they are searching for issues to frame their campaigns. This is not easy, since the Democrats are in a difficult position.

With President Obama's low approval ratings, Democratic candidates won't want to focus on his record. With the economy likely to still be in laggard condition, Democrats won't be able to boast that it's morning in America. With economic concerns front and center for most Americans, Democrats won't be able to make much headway with talk about the foreign policy successes of this administration. A number of retirements, including that of Massachusetts Rep. Barney Frank, have made the campaign even more challenging for the party.

This doesn't leave candidates with many options. Although some could focus on local issues, they will be under pressure to develop a national theme since Republican candidates will be talking critically about Obama.

So what might Democrats talk about? The most potent theme that the party has to offer is the issue of fairness. Democrats can claim that as Americans struggle to survive in this economy, the party has championed policies that aim to soften the blows voters are suffering and to provide support for the middle class in hard times.

This is a familiar strategy for the Democratic Party. During the 1930s, according to the historian Lizabeth Cohen, the Democratic Party fought for a vision of moral capitalism whereby government and other institutions, such as unions, would lessen some of the suffering that could be inflicted in the free-market economy.

During his acceptance speech at the 1936 Democratic convention, President Franklin D. Roosevelt said, "Today we stand committed to the proposition that freedom is no half-and-half affair. If the average citizen is guaranteed equal opportunity in the polling place, he must have equal opportunity in the market place. These economic royalists (his opponents on Wall Street and in the business community) complain that we seek to overthrow the institutions of America. What they really complain of is that we seek to take away their power."

Fast forward to the 1982 midterm elections, when Democrats expanded the size of their majority in the House by 26 seats. The economy was suffering from a horrible recession. Republicans, who controlled the White House and Senate, took the blame. Democrats spent their campaigns talking about fairness and the unwillingness of President Ronald Reagan to support policies that did not privilege upper-income taxpayers and corporations.

While Reagan spoke about the virtues of supply-side economics, House Speaker Tip O'Neill held hearings to bring attention to this issue. Rep. Peter Rodino said, "Every American who cares about other Americans, who cares about civil rights and equal opportunity, who cares about clean air and clean water, who cares about poor people and old people and helpless people, ought to care about the 1982 House elections." He warned that "These wolves in wolves' clothing -- ultra-conservative ideologues, religious fanatics, corporate fat cats, reborn Reaganites, the single-issue zealots -- are shoving traditional Republicans out the back door of their own party."

The 2012 election is obviously much different from any in the 1930s or 1982. Nonetheless there are three issues through which Democrats have an opportunity to build on this theme.

The first is taxes. Republicans have pushed for Congress to extend President George W. Bush's tax cuts for the wealthiest Americans.

Even though taking this step would only aggravate the deficit problem, the GOP has stood firm. At the same time, congressional Republicans have made it difficult to extend the payroll tax holiday that has benefited lower and middle income workers. Many Senate Republicans rebuffed their own leadership by voting against extending the cut.

Other Republicans are bending, but slowly and after a lot of complaint. The optics could work against them. These tax positions create room for Democrats to challenge Republicans as being more supportive of helping the wealthy than average Americans. The accusations have already started. "Scott Brown is ready to raise taxes on middle-class families already struggling to get back on their feet in order to protect millionaires and billionaires," said John Walsh, the Massachusetts Democratic Party chairman, in a comment about the senator, who is facing a challenge from Harvard professor Elizabeth Warren.

The second issue has been unemployment insurance. Throughout the past four years, Republicans have presented roadblocks to the extension of these benefits even as Americans have struggled with extraordinarily difficult economic challenges. Republicans have grudgingly accepted these extensions in exchange for other sorts of measures.

While many Americans don't like government, many understand and support the need for temporary assistance as people try to make ends meet. This is an area where Democrats can talk about a specific policy and win support for spending from an electorate that might be philosophically opposed to big government.

Finally there is health care, an issue that is likely to be part of the campaign if the Supreme Court issues a ruling on the constitutionality of the law before the election. The debate over health care has ranged around a number of issues including the mandate and health care exchanges. But one of the biggest contributions of the program is to extend health insurance to over 30 million Americans who don't have it.

Fairness is the theme that offers a struggling Democratic Party the best opportunity to improve its standing in Congress. Some Democrats have already begun to outline the message. According to The Hill, New York Sen. Chuck Schumer explained that "Simply attacking the wealthy is a bad idea. Saying the wealthy have to do their fair share is the right idea."

Unless economic conditions change dramatically, Democratic congressional candidates will be in a precarious position, even with the unhappiness about the GOP. Republicans at least have Obama as a straw man around which to build their campaigns. Democrats need their own theme. Focusing on Republican obstruction is one alternative, but more appealing might be a message and vision for dealing with the sluggish economic recovery in the coming years.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer says Democrats need a national theme for their 2012 campaigns

@highlight

He says they should stress fairness and push measures to help poor, middle class

@highlight

He says GOP, by its stance on taxes and unemployment insurance, may alienate voters