For one, it was a health scare.  For another, the words of a friend hit him in an instant. And for another, it was the loss of a dear relative.

Many ex-smokers can remember their last cigarette, and the moment when they decided to quit the habit for good.

On the occasion of Thursday's Great American Smokeout, an annual event sponsored by the American Cancer Society, here's a look at nine former smokers and the moment they decided it was time to say goodbye.

'Smoked out of good health'

Kara Wethington's 66-year-old grandmother had just died. Wethington took one final drag on a cigarette.

It was 2000, and she decided this would be her last smoke.

"I was shocked because this woman was an ox who smoked four packs of Pall Mall cigarettes a day and worked full time as a nurse," said the Los Angeles resident, who was 23 at the time.

"I always felt safe that this blood line relative could smoke like a chimney and still be OK all these years later. She looked 100 but acted 60."

But, "the reality of it is that she fell ill with pneumonia and her lungs couldn't support her any longer."

As she finished her last cigarette, Wethington reflected on how she got there.

"I loved smoking. The social aspect of it, the taste of it, the way it made me feel -- everything about it was romantic to me."

But the death of her grandmother was the "straw that broke the camel's back" soon after Wethington herself was diagnosed with an aggressive form of strep throat, and she hasn't looked back for 13 years.

"I've had smoking dreams that felt so intimately real that the line of reality and fantasy blurred out my memory. I know I didn't smoke but sometimes those dreams feel really good and sometimes with real regret."

When 'trying to fit in' led to a health scare

Lisa Gonsalves' last cigarette is a blur compared to the "health perfect storm" she was hit with in 2005.

At first, it seemed like a winter flu, but as the new year came, she found she couldn't breathe unless she sat in a chair.

She was almost too late to be treated.

"I ended up in the hospital for 12 days with two chest tubes and the potential of having my chest cracked open just to get the 'gunk' out of my chest. I was lucky to get back to health and avoid surgery. My recovery was long and tedious."

Her husband had never seen her so sick. "The look of panic and helplessness convinced me that I had to stop."

Like many former smokers, it was the last of many potential turning points for the Los Angeles health care consultant, who started smoking as a teenager to fit in.

The first was having a baby, the second and third moments were her mother's stroke (at age 50) and grandmother's heart attack.

"It took me a while to realize I was a stress and social smoker," she said.

"Pressure from work and going out to happy hours fueled my habit, but smoking made me feel better for just a moment. What is worse is that I knew better. I worked in health care and saw the effects of long-term smoking."

"I can't say that I don't crave it - especially when I am stressed out.  I do have to constantly remind myself of the pain and the feeling of drowning because I couldn't breathe to keep me from running out and getting a pack.  It is a very mental game I play every day but I get stronger and stronger every day without a cigarette."

Words that changed his life

When Bob Miller smoked his last cigarette, he knew right away that this was it. The words from one of his friends "hit me like a ton of bricks."

After a gradual process of trying to quit in 2006, she said, "You know, Bob, there never is a good day to quit smoking, is there?"

The Easley, South Carolina, assembly instructor admits, "There are still times when I think that I would like a smoke but there is no way that I will do it. ... I do feel better and definitely smell better."

Quitting 'at any age'

Ash Li (the iReporter did not want her last name revealed) of Springfield, Tennessee, smoked her final cigarette as soon as she learned that airlines were banning it. A frequent flier, she couldn't bear to remain addicted while flying, and knew she was unable to do anything about it.

So on July 9, 1992, after seven years of smoking two packs a day, she quit for good.

"I have not had a cigarette since that day, but when someone lights up near me I take a deep breath," she said.

"That first puff of smoke off a cigarette still gets me, but then everything afterwards repels me. I am the worst ex-smoker, I can't stand to be around anyone who smokes or has smoked nor get into an enclosed space with a smoker."

She was very concerned when her daughter took up smoking, afraid she would fall into the same habits.

But as we reported this story, she had good news to share.

"I am elated to report that my daughter has quit smoking and using the new electronic vapor cigarettes that are out there. She is not coughing as much as she used to and her voice is clearer. I really hope that these vapor cigarette products do not create any health hazards that have not been discovered yet. In the meantime I encourage her to stick with the vapor and stay away from the cancer sticks."

A Valentine's present to himself

Pizza restaurant owner Paul Tamasi makes themed pies to show how he feels about a certain topic. He recently made one with a "no smoking" symbol to remind himself of February 14, 1985.

On that Valentine's Day, Tamasi tossed his final cigarette into a barrel. He was quitting a habit of smoking two packs a day for 20 years, going back to age 13.

"I was positive and determined that this would be my last cigarette," he said.

"I would buy two packs a day and sometimes run out.  Then I would bum some from my co-worker.  One day, I asked to bum a cigarette from her and she said to me, 'Why don't you just buy more cigarettes?'  That's when I really realized that I had a serious problem.  I said to myself, that's it, I have to do something about this."

So why Valentine's Day?

"I picked this day because I knew if I succeeded I would always be able to remember the day I stopped smoking," the Belvidere, Vermont, resident explained.

He felt a weight lifted off his shoulders and still feels that way 28 years later.

"When I was smoking and played sports my chest felt like it was going to cave in and it was hard to breathe. Now I don't get that bad feeling because I don't smoke anymore. Needless to say, I have a lot more money in my pocket than I would if I had to pay the high price of what cigarettes cost."

Cinnamon and cigarettes

Her final cigarette was one she saw coming, and Linda Parker was ready to take the dive.

After a three week course sponsored by the American Lung Association, she had to give up her cigarettes and her lighter.

She took that final smoke, then moved on to cinnamon hearts, jawbreakers and the like to fulfill the need for the hot cigarette sensation.

She was determined to do it, though, after her mother received her sixth pacemaker and her father was diagnosed with prostate cancer. Her son had been diagnosed with Legg-Calvé-Perthes Disease, which affects the hips. Doctors told her it may have come from her smoking.

"My first two weeks (not smoking) were easy but then on the third week, I felt like I was going to die. I hadn't slept much, wasn't dreaming, was super irritable and ate like a pig."

That was 20 years ago. Yet she continued to struggle for many of those years.

"It took me years to stop dreaming about having a cigarette and sometimes I would wake up and not be sure if I had smoked," she said.

"Luckily, I have never had another cigarette, not even a puff."

The retired Flossmoor, Illinois, resident told herself she could return to smoking at age 65. Yet Parker just turned 65 this month.

"It was too difficult to quit and the damage smoking does isn't worth the pleasure it provides."

@highlight

On the annual 'Great American Smokeout,' ex-smokers share the story of their last cigarette

@highlight

Health scares, pregnancies and words of advice were among the reasons for the final smoke

@highlight

Paul Tamasi chose Valentine's Day to quit because he knew he would always remember it