WASHINGTON (CNN) -- Today's technology could extract enough untapped natural gas, frozen in Alaska's North Slope, to heat millions of homes for years, federal officials announced Wednesday.

A U.S. Geological Survey study says there is much natural gas to be tapped from frozen areas in Alaska.

An estimated 85.4 trillion cubic feet of "undiscovered, technically recoverable gas" is frozen in the state's North Slope region, according to a U.S. Geological Survey study released by the Interior Department. The deposits could heat more than 100 million homes for a decade, the study says.

"The assessment points to a truly significant potential for natural gas hydrates to contribute to the energy mix of the United States and the world," said Interior Secretary Dirk Kempthorne. "This study also brings us closer to realizing the potential of this clean-burning natural gas resource."

However, the study warned that further research is needed to determine the long-term impacts of the natural gas hydrates -- essentially methane gas trapped in ice.

While natural gas is a fossil fuel that emits carbon dioxide, tapping into the gas hydrates assessed in the study is not expected to affect global warming, said Brenda Pierce, coordinator for the USGS Energy Resources Program.

"There is some near-surface gas hydrate," she said Wednesday. But, "these are fairly deeper and fairly well-buffered by the sediment and strata above."

The natural gas released from the depositing would go straight into a pipeline, not the atmosphere, she said.

While the existence of frozen natural gas deposits -- especially in the Arctic region -- has been known for years, the USGS study is the first estimate of recoverable natural gas hydrates with current technology.

The North Slope natural gas hydrates make up 11.5 percent of the volume of gas within all other undiscovered, technically recoverable gas resources in the United States -- frozen or not, the USGS estimated.

Separately, in August, Alaska Gov. Sarah Palin, the former GOP vice presidential candidate, signed a bill allowing TransCanada Alaska to build a 1,715-mile natural gas pipeline from the North Slope's Prudhoe Bay to Alberta, Canada. During the McCain-Palin campaign, Palin's success in finalizing plans for a gas line was a benchmark that her supporters said represented her ability to work across party lines.

In the study released Wednesday, researchers suggest extracting the natural gas hydrates with "depressurization" -- a method that involves changing the ice into gas and water at the surface.

The study area extends from the National Petroleum Reserve in Alaska on the west and through the Arctic National Wildlife Refuge on the east. The latter is a 19 million-acre strip in northeastern Alaska, where oil exploration has long been prohibited by Congress.

USGS Director Mark Myers said the gas hydrates research has been going on for more than 25 years.

"This is especially important now that a growing body of evidence indicates that concentrated gas hydrate accumulations ... such as those in Northern Alaska, can be produced with existing technology," he said.

CNN's Samira Simone contributed to this report.

@highlight

U.S. Geological Survey study looks at recovering natural gas deposits

@highlight

Study: 85.4 trillion cubic feet of gas frozen in Alaska's North Slope

@highlight

That's enough to heat millions of homes for years, officials say