(CNN) -- Barack Obama came to Washington to end wars. Not to start them.

That much was crystal clear only three months ago when Obama gave a keynote speech on May 23 at the National Defense University in Washington in which he called for an end to the "boundless war on terror" and "perpetual wartime footing" that has existed in the U.S. since 9/11.

Obama focused part of this speech on the Authorization for the Use of Military Force that Congress passed days after 9/11 and that gave President George W. Bush the authority to go to war in Afghanistan.

Obama looks to Congress to bolster legal case for Syria strike

No one in Congress who voted for this resolution at the time realized that he or she was in effect authorizing in Afghanistan what would become America's longest war.

Nor did they realize that they were giving a virtual blank check to the president to wage covert U.S. wars in countries such as Pakistan and Yemen where, according to data compiled by the New America Foundation, thousands have been killed in CIA drone strikes with almost no input from Congress.

During his defense speech, Obama vowed to help end the Authorization for the Use of Military Force that set in motion the seemingly endless war the U.S. has been fighting since 2001.

This is some of the context of Obama's decision to go to Congress to seek authorization for a military strike on Syria. Obama has wanted to leave office in 2016 as the president who had made it harder, not easier, for future presidents to go to war unilaterally without the input of Congress.

In going to Congress for authorization of any military operation in Syria, we see Obama the former constitutional law professor at work, but we also see Obama the pragmatist.

Opinion: Obama's Syria dilemma

The Obama administration could have always made the argument in the past few days that it could justify attacking the regime of Bashar al-Assad on humanitarian grounds to prevent further massacres of the Syrian people with chemical weapons despite the fact that there was no international authorization for attacking Syria and no congressional resolution sanctioning such an attack.

But that argument would be a novel one as a matter of international law, and it would not be particularly compelling as a matter of domestic politics when the American public seems, at best, split on whether the U.S. should deploy force in Syria.

Unilateral U.S. military actions are, of course, generally uncontroversial after an attack on American targets by a foreign power or group.

President Bill Clinton didn't seek congressional approval for the cruise missiles he launched at al Qaeda training camps in Afghanistan in 1998 after the terrorist group's attacks on two U.S. embassies in Africa.

Nor did President George H.W. Bush go to Congress to sign off on his invasion of Panama in 1989, which he authorized because a U.S, Marine had recently been killed there and tens of thousands of other Americans living in the country were purportedly at risk.

Opinion: U.S. needs U.N. approval on Syria

Syria hasn't attacked any U.S. targets or citizens, so the argument that an attack on the Assad regime is designed to protect American interests or lives is moot.

That leaves the Obama administration with the option of extracting some kind of authorization for an attack from international bodies such as the United Nations, NATO or the Arab League.

As is now well-known, there isn't a snowball's chance in hell of getting a U.N. authorization since Russia and China have continuously made clear they would veto such a resolution.

There also seems little possibility, for the moment, that NATO will authorize a "humanitarian" mission as it did in Kosovo in 1999 to roll back Serbian aggression there. And even if there was such an authorization, right now a major NATO member, the United Kingdom, couldn't participate because the British Parliament voted against such a mission on Thursday.

Indeed, NATO said Monday it wants a "firm international response" in response to the use of chemical weapons in Syria, but that it won't take any military action itself.

The Arab League, which signed off on the operation to topple Moammar Gadhafi in 2011, has so far not signaled a readiness to authorize war against Syria. The League said the world community should take action against those responsible for the use of chemical weapons but did not specify if it would endorse military action by the U.S. or other parties. That said, the usually hypercautious Saudis publicly urged war on Sunday.

In going to Congress for the Syria authorization, we see not only the former constitutional law professor and pragmatist in Obama, but also the calculated risk taker.

On matters of considerable importance where the potential payoff is large, Obama has shown he is willing to take risks. Think no further than his decision two years ago to authorize a Navy SEAL raid to capture or kill Osama bin Laden in Pakistan, a raid he undertook against the advice of Vice President Joe Biden and then-Secretary of Defense Robert Gates. If that operation had gone poorly, as a number of Obama's top national security officials believed it could, Obama might now be splitting his time between Chicago and Hawaii.

For Obama, a congressional authorization on the use of force in Syria would help him if he needs to authorize additional military actions down the road in Syria. It would also help him if he feels compelled to go to war with Iran. Of course, if he doesn't get such an authorization, he will endure the same kind of humiliation that British Prime Minster David Cameron has just gone through in Parliament.

Is it 'High Noon' for Obama on Syria?

Obama has, however, no doubt tried to game out how this vote might play out.

He probably calculates that for Republican skeptics in Congress, they will have to explain to the American public why it is that they will not sanction military action on Syria after its large-scale use of chemical weapons while they continue to describe Syria's closest ally, Iran, and its nuclear weapons program -- which still has yet to produce any nuclear weapons-- as a grave threat to the world.

We can be sure that in the next days, the administration will make the argument that if you let Syria take a pass on its large-scale and repeated use of chemical weapons, you can forget any chance of slowing or ending Iran's nuclear program, something that is a matter of great importance for much of the Republican Party.

For those on the left of the Democratic Party in Congress who are generally skeptical of U.S. military actions, Obama can essentially ask, "If not now, when?" At what point will self-described liberals intervene to stop the use of weapons so vile that they have been banned by the civilized world for almost a century?

@highlight

Peter Bergen: Obama's hope had been to end wars in Middle East

@highlight

By sending issue to Congress, Obama seeks to make war harder to launch, Bergen says

@highlight

Bergen: Obama lacked international support and legal standing to strike Syria

@highlight

Obama's move is a risk, as was decision to launch Osama bin Laden raid, Bergen says