BALTIMORE, Maryland (CNN) -- Dr. Carnell Cooper, a Baltimore surgeon, is saving lives inside and outside the operating room.

Dr. Carnell Cooper's Violence Intervention Program provides training and support to trauma victims.

Since becoming a trauma surgeon 16 years ago, he has dedicated himself to treating the many young African-American men who've been shot, stabbed or beaten, only to see them return to the ER with another severe injury just months later.

But when one of his patients was readmitted with a fatal gunshot wound to the head in 1996, it changed Cooper's life.

"The night that we pronounced that young man dead and my colleagues said there's really nothing we can do in these situations. ... I just didn't believe that," said Cooper, 54. "From that day forward, I said, 'Let's see what we can do.' "

Cooper created the Violence Intervention Program (VIP) at the Shock Trauma Unit of the University of Maryland Medical Center, the state's busiest hospital for violent injuries. It became one of the country's first hospital-based anti-violence programs.

"We approached this problem like any public health crisis, like heart disease or smoking," he said. "We tried to work on the root causes."

Since 1998, VIP has provided substance abuse counseling, job skills training and other support services to nearly 500 trauma victims.

"Using that scalpel blade to save their life is the first step," Cooper said. "The next step is to try to keep them from coming back."

A 2006 study by Cooper and his colleagues, published in the Journal of Trauma, showed that people in the program were six times less likely to be readmitted with a violent injury and three times less likely to be arrested for a violent crime.

The issue hits close to home for Cooper. Born to unwed teenagers in Dillon, South Carolina, he grew up in a neighborhood where violent crime was commonplace; he had friends and relatives who ended up dead or in jail.

But his grandparents made sure he stayed on the right path. As a straight-A student, he attended a prestigious high school in Massachusetts, then Yale University and Duke University School of Medicine.

But while Cooper rose above his circumstances, he felt sympathy for the young men who rotated in and out of his operating room.

"They could be my friends, my family," he said.

Cooper's program attempts to help patients from the moment they arrive because victims of violence face a greater risk of receiving another violent injury. Everyone treated for violent wounds at the hospital is seen by a VIP case worker, often at bedside. For Cooper, approaching patients at this early stage is crucial.

"We may get them in a moment when they are thinking, 'I just almost died,' " he said. "We say, 'We're going help you find a way to get out of the game.' "  Watch Cooper talk to a victim of violence at his bedside »

VIP helps connect its members with additional support services, such as GED classes, conflict resolution, mentoring and parenting skills. A peer support group also meets at the hospital once a week.

The success of Cooper's program has made it a model for others around the country and inspired the doctor to develop a larger initiative, the Violence Prevention Program, which includes other hospital-based efforts targeting young people in at-risk communities.

Howard McCray, 29, turned his life around with help from VIP.

He joined the program in 2001 after he was hospitalized with a gunshot wound to the arm. Nicknamed "Pooh" for his resemblance to Winnie the Pooh, McCray's demeanor and lifestyle were once vastly different from the storybook bear's.

"Before, I was into shooting people, robbing [them]," he recalled. "I've been in many gunbattles and been through the ER many times."

Through VIP, McCray earned his GED and received job training and a driver's license. The program also helped him learn about budgeting money and paying child support.

Today, McCray is an outreach worker for VIP, visiting patients at their bedsides and encouraging them to join the program.

"I'm a changed man," McCray said proudly. "Dr. Cooper ... he saved me."  Watch McCray describe how Cooper's program changed his life »

Helping people like McCray inspires Cooper to continue his work.

"There are some individuals who we are not going to save, who are just immersed in the culture, but that's not the majority of folks," he said. "The majority of folks deserve a chance."

Cooper believes it is all part of his responsibility as a doctor.

"Every physician's goal is to save lives," he said. "This is another step in that process. In my mind, it's just what I should be doing."

Want to get involved? Check out the Violence Intervention Program and see how to help.

@highlight

Dr. Carnell Cooper's Violence Intervention Program helps trauma victims

@highlight

The program aims to break the cycle of violence by targeting its root causes

@highlight

Study: Participants are three times less likely to be arrested for a violent crime

@highlight

Do you know a hero? Nominations are open at CNN.com/Heroes