A global travel alert issued Friday by the State Department warned al Qaeda may launch attacks in the Middle East, North Africa and beyond in coming weeks, a threat that prompted Sunday's closure of 21 embassies and consulates.

The U.S. government's actions are in response to growing intelligence that shows a potential for attacks in Yemen and elsewhere in the Middle East as well as North Africa, said U.S. officials who spoke to CNN on condition of not being identified.

"The threat appears to be much worse than it has (been) in a long time," said a senior national security official in Yemen, where the government is "on high alert against possible attacks in the days to come."

Various Western targets -- not just those tied to the United States -- are under threat, according to two U.S. officials.

According to three sources, the United States has information that al Qaeda in the Arabian Peninsula members are in the final stages of planning for an unspecified attack.

One of the sources said that such preparations appeared to have increased in recent days with the approaching end of the Muslim holy month of Ramadan. In particular, Sunday is Laylet al-Qadr, or the Night of Power, which is one of the holiest moments on the Muslim calendar.

Said one U.S. official: "It all leads us to believe something could happen in the near future."

Based on intelligence, U.S. officials said, there was particular concern about the U.S. Embassy in Yemen between Saturday and Tuesday.  President Barack Obama -- who, amid regular updates on the situation, has directed officials to take all appropriate steps to protect Americans -- praised Yemeni President Abdo Rabu Mansour Hadi for his country's efforts following a meeting Thursday at the White House.

Photos: Attacks on U.S. diplomatic sites

Still, it's unclear whether the apparent plot targets that Arabian nation or one elsewhere -- which is why the travel alert applies so broadly, and why embassies from Bangladesh to Libya are being closed. The expected time of an attack also isn't known, with the U.S. travel alert noting the threat extends through the end of August.

"Terrorists may elect to use a variety of means and weapons and target both official and private interests," the alert states. "U.S. citizens are reminded of the potential for terrorists to attack public transportation systems and other tourist infrastructure."

New York Rep. Peter King, a member of the House Intelligence Committee, called the information "the most specific I've seen."

While the principal attention is on the Arabian Peninsula, he stressed  to CNN's Wolf Blitzer that"we can't rule anything out."

"We are focused on the Middle East, but it's a potential series of attacks that really could be almost anyplace," said King.

21 embassies, consulates ordered closed

The State Department made public Friday a list of 21 embassies and consulates that will close Sunday, which is normally the start of the work week in the countries affected.

The 17 affected U.S. embassies are in  Afghanistan, Algeria, Bahrain, Bangladesh, Djibouti, Egypt,  Iraq, Jordan, Kuwait, Libya, Mauritania, Oman, Qatar, Saudi Arabia, the United Arab Emirates, Sudan and Yemen. The U.S. embassy in Israel will be closed as normal Sunday.

See the whole list

Consulates in Iraq, Saudi Arabia and the United Arab Emirates are also being shut down for the day. Embassies and consulates in the region typically close their doors or operate with minimal staff on Fridays and Saturdays.

The shutdowns could extend beyond Sunday, a senior State Department official said.

Retired Gen. James Mattis -- who until earlier this year was head of U.S. Central Command, responsible for a 20-country area that includes the Middle East -- said the decision to close the embassies shows the reality of the threat and the wisdom of U.S. policymakers.

U.S. embassies have been targeted before in places such as Yemen, Turkey and Tanzania, he pointed out. Moreover, al Qaeda in the Arabian Peninsula is one of the terrorist network's most active and most destructive branches.

"We have to remember that we're up against an enemy who kills indiscriminately -- whether it be women, children, diplomats -- and our embassies ... have been one of the targets," Mattis told CNN on Friday. "They are showing some proactive discretion here, making certain that we don't give the enemy an opportunity that we can deny them."

Questions, concerns after Benghazi

House leaders have been briefed on the situation, Democratic leader Nancy Pelosi told reporters, adding that the travel alert and embassy closings provided "some understanding of the seriousness of the threat."

King, who has also heard such briefings, applauded the government's decision to close its diplomatic missions.

"I give them credit," the Republican said of the Obama administration. "I think the government is doing exactly the right thing here."

Such bipartisan agreement in Washington come at a time politicians are still pushing to seek answers regarding the September 11, 2012, attack on the U.S. consular compound in Benghazi, Libya, which killed four Americans, including Ambassador Christopher Stevens.

Since then, Republicans have been pressing President Barack Obama's administration for answers, with some accusing officials of covering up what happened in Benghazi and not doing enough to track down the attackers.

Eight GOP lawmakers are asking that incoming FBI Director James Comey brief Congress within 30 days about the investigation. They say the administration's inquiry thus far has been "simply unacceptable," according to a draft letter obtained by CNN.

Earlier this week, Vice President Joe Biden and senior State Department officials went to Congress to discuss embassy security.

Biden also briefed congressional leadership, key committee chairmen and ranking members about the latest threat concerns, a source who attended the meeting said.

Another official said the recent intelligence might not have warranted such a response before the Benghazi attack, given the political firestorm it created for the Obama administration.

On Thursday, State Department spokeswoman Marie Harf said the agency was taking the steps at diplomatic sites out of an abundance of caution.

CNN found embassy attack suspect before FBI

@highlight

The State Department issues a global travel alert on possible al Qaeda attacks

@highlight

Sources say al Qaeda is in final planning stages of unspecified plot

@highlight

Rep. King: Information is "specific," attacks "really could be almost anyplace"

@highlight

Western targets, not just American ones, are under threat, officials say