When the United States unleashed 47 U.S. Navy Tomahawk missiles on September 22 on suspected Khorasan Group sites to the west of Aleppo, Syria, one of their top targets was an unlikely figure: David Drugeon, a 24-year-old French convert from Brittany who had become a key bomb-maker for the group.

Intelligence suggested that Khorasan, a group of veteran core al Qaeda operatives who have found sanctuary in Idlib province and surrounding areas, was in the final stages of planning terrorist attacks in the West, including against American aviation.

Among the devices Khorasan's bomb-makers were developing to try to beat airport security: bombs made out of clothing dipped in explosive solution and explosives concealed in personal electronics.

U.S. officials told CNN's Barbara Starr and Pamela Brown on Wednesday that Drugeon may have been actively involved in these efforts, which also involved technology transfers from al Qaeda's master bomb-maker in Yemen, Ibrahim al Asiri.

In July, the Transportation Security Administration banned cell phones without electronic charge from airplane cabins in response to the intelligence, much of it fragmentary, coming in on the plans.

But the cruise missiles in September appear to have missed their mark. U.S. officials told CNN that Drugeon -- and Khorasan leader Muhsin al-Fadhli, a veteran Kuwaiti operative once close to Osama bin Laden -- almost certainly survived the strikes. It is unclear whether they were even at any of the locations that were targeted.

That has left Drugeon free to continue plotting terrorist attacks against the West. His knowledge of explosives, European background and access to Western fighters in Syria makes him arguably one of the most dangerous operatives in the entire global al Qaeda network.

Swift rise from unlikely beginnings

Drugeon was born in 1989 in a blue-collar and immigrant neighborhood dotted with social housing on the outskirts of Vannes on the Atlantic coast of Brittany, according to Eric Pelletier a reporter with L'Express who has extensively reported on Drugeon and shared his findings with CNN.

By all accounts, Drugeon had a very normal childhood. His father was a bus driver and his mother a secretary and committed Catholic.

He had an elder brother who shared his passion for the French soccer team Olympic Marseilles and he got good grades at school. But like a significant number of others who later took the path to radicalization, his parents' divorce when he was 13 was traumatic.

Drugeon began acting out, and his grades at school nosedived. He began hanging out with a group of young Muslims in the neighborhood who espoused a fundamentalist interpretation of Islam. Before he turned 14 he converted, changing his name to Daoud.

"Drugeon was radicalized over a period of several years. A local imam played a key role. He was part of group of about a half dozen Salafi Muslims in the town," Pelletier told CNN.

By 2010, Drugeon was on the radar screen of French security services and had made several trips to Egypt to learn Arabic and more about Islam. He funded the trips by taking driving jobs. In April that year, he slipped away from France for good, traveling via Cairo for the tribal areas of Pakistan, to join the jihad against U.S. forces in Afghanistan.

According to Pelletier, French intelligence established that Drugeon joined a small al Qaeda subgroup known as Jund-al-Khilafah based in the Miran Shah area.

CNN understands their knowledge of his involvement in the group came partly from the interrogation of one of the group's fighters held in Kazakhstan. Security sources in Kazakhstan confirmed the incarceration to CNN.

The group was led by Moez Garsallaoui, a Francophone Tunisian operative married to Malika el Aroud, a Belgian-Moroccan "al Qaeda living legend" imprisoned for terrorism offences in Belgium whose deceased previous husband had assassinated Ahmed Shah Massoud, the head of the anti-Taliban Northern Alliance, on bin Laden's orders two days before 9/11. I interviewed el Aroud and Garsallaoui for CNN in 2006.

Taking tea with a terrorist

From Pakistan to Syria?

Drugeon first learned how to make bombs in the tribal areas of Pakistan, and over time became skilled in making explosives. He took on a new fighting name "Souleiman" and made several forays into Afghanistan, according to Pelletier.

In September 2011, Drugeon likely came into contact with a new recruit into the group, a French-Algerian from Toulouse named Mohammed Merah, who in March 2012 would kill seven, including three Jewish schoolchildren, in a spree of shootings in southern France.

Investigations shed new light on Toulouse terrorist shootings

During the short time Merah spent with the group, he was offered explosives instruction, but instead opted for shooting practice.

It is possible Drugeon helped inspire the terrorist shootings in southern France. Besieged in his apartment in Toulouse in a final stand before his death, Merah told French negotiators over a walkie-talkie that "an al Qaeda brother" in Pakistan who had spent time in France helped persuade him to return to France to launch attacks.

Before returning to France, Merah agreed with Garsallaoui that the latter could claim credit for any attack he launched back in his home country, which the Tunisian operative duly did before being killed in a U.S. drone strike later that year.

Drugeon is believed to have left Pakistan some time in 2013 or very early 2014, and to have traveled to Syria to join up with the Khorasan group. A significant number of al Qaeda operatives were making the same journey, convinced that Syria now offered a better sanctuary away from the sight lines of U.S. drones.

U.S. officials told CNN they believe Drugeon has been heavily involved in facilitating the movement of fighters back and forth from Europe, and in planning attacks in Europe.

The potential threat from Drugeon is "preoccupying the entire French intelligence establishment," Pelletier told CNN.

The skilled French bomb-maker has an unprecedented large potential pool of Western extremists he can recruit for attacks. According to European counterterrorism officials, more than 3,000 Europeans have traveled to fight in Syria.

The mix there of sophisticated explosive technology and Western passport holders is a perfect storm that is keeping Western officials up at night.

@highlight

Al Qaeda bomb-maker is a French convert

@highlight

David Drugeon apparently escaped from U.S. missiles

@highlight

Reporter: Drugeon radicalized over several years