Vieques, Puerto Rico (CNN)  -- Each day after work, Nanette Rosa takes her two daughters to feed their horses. It's their favorite part of the day -- a time they don't think about pain.

"It's really difficult for my mom to have two daughters with cancer," said 16-year-old Coral, the older daughter. "Because sometimes she's got two of us in the hospital at the same time, and we both get sick at the same time. And sometimes she doesn't have anyone to help her, and it really affects her."

The Rosas live on Vieques, an American island off Puerto Rico. For nearly 60 years, the U.S. military used much of the island as a bombing range, dropping vast quantities of live bombs and missiles in weapons tests. Now, about three-quarters of the island's residents -- including Coral and her 14-year-old sister Inna -- are part of a lawsuit that claims the bombing range made them sick.

"There's a lot of people here dying of cancer," Coral said. "I have my little cousin dying of cancer. I have my sister that has cancer. My boyfriend's mom died of cancer. His dad has cancer of the skin. A lot of people are suffering here of cancer, 'cause what they did here in Vieques."

As a toddler, Coral was diagnosed with neuroblastoma, a cancer that afflicts younger children. Her mother says much of Coral's stomach and intestines had to be replaced as a result of the cancer.

"Almost everything is plastic," Nanette Rosa said. "So when she eats certain foods, it produces diarrhea, which has caused dehydration. She gets sick a lot, and certain foods she cannot eat like regular people."

The operations have left Coral with a six-inch gash across her stomach, along with emotional scars.

"Sometimes I feel sad, 'cause everybody calls me 'plastic intestines,' " she said. "They say, 'Oh, you have a plastic belly.' And I tell them, 'You know what? If you were in this condition, how would you feel?' "

And doctors found a large tumor in Inna's mouth when she was 7.

"It was very swollen, and it looked like there was a big ball of gum in my mouth or a big lollipop," she said. "I started having pain, and the only thing that would come out was blood."

Inna was diagnosed with Ewing's sarcoma, a bone cancer. John Eaves Jr., who represents Coral, Inna and other islanders in the lawsuit against the federal government, told CNN, "There is suffering throughout this island."

"You cannot walk down the street on this island without counting every house and knowing two or three people on the street that have cancer, or have had cancer, or have died from cancer," Eaves said. "But for me, the most disturbing thing is the number of children on this island that have terminal cancer."

Eaves, of Mississippi, has taken more than 1,300 hair samples from Vieques residents and had them tested for heavy metals. About 80 percent of the hair samples tested positive for heavy metals. Many of the results show levels of toxic elements in people that are literally off the charts -- the lines representing substances like lead, mercury, arsenic, aluminum and cadmium extend beyond the "dangerous" area and out of the grid entirely.

"These hair samples, I believe, are the strongest proof that the contaminants -- the things that were in the bombs, like the lead, mercury, cadmium, arsenic, aluminum -- are now in the people," Eaves said.

Behind one of those charts is 7-year-old Taishmalee Ramos-Cruz, whose hair was tested when she was 2. Taishmalee's parents say she had been very sick, and they fear she may get sick again."

"She looked like she had chemotherapy. She lost all her hair, and she had these spots on her legs," her father told CNN. "She also had bad trouble using her fingers properly for a long time."

Eaves said he was not surprised to learn of the problems Taishmalee has experienced.

"Unfortunately, we have seen many children on Vieques with similar problems," he said. "And she may still get sick again. We don't know if she will get cancer later."

Dr. Carmen Ortiz Roque, a Harvard-trained epidemiologist, has studied the Vieques population for years. She and other scientists have been deposed in the lawsuit.

"The human population of Vieques is by far the sickest human population that I've ever worked with," said Ortiz, who practices in San Juan. "These people are very sick very early, and dying earlier. So something is happening there."

Ortiz has compiled statistics for the Vieques population that she and other scientists find alarming.

"It's astonishing," she said. "They die 30 percent higher of cancer, 45 percent higher of diabetes, 95 percent higher of liver disease, and 381 percent higher of hypertension than the rest of Puerto Ricans."

Ortiz' findings are supported by and are now used by the Puerto Rico Department of Health as an indicator of health problems for the people of Vieques. She also found disturbing statistics on mercury levels in the Vieques population -- levels that are much higher than the rest of Puerto Rico.

"Twenty-seven percent of the women in Vieques have enough mercury to damage their baby's brain. That is very significant." she said. "This is very serious, given that mercury causes permanent damage and mental retardation in children and that the hair samples are a standard way of measuring this exposure in women in the reproductive age."

She said her sampling of children 5 and under in Vieques had "at least six times higher levels of mercury exposure than children sampled in the United States."

Read comments on the high rate of illness on Vieques

Dr. John Wargo, a Yale University expert on the effects of toxic exposure on human health, said he believes contamination from the bombing range has caused illnesses among Vieques residents.

"The chemicals released on the island have the capacity to induce cancer, to damage the nervous system, to cause reproductive damage, mutations, genetic damage, and also to harm the immune system," said Wargo, who is slated to testify as an expert witness in the islanders' lawsuit.

In 2003, scientists from the Centers for Disease Control and Prevention concluded there was no link between the U.S. military activity on Vieques and the health problems suffered by the island's population. The scientists were from the CDC's Agency for Toxic Substances Disease Registry (ATSDR) division, which studies the nation's toxic superfund sites.

Numerous scientists and federal lawmakers have since publicly criticized the 2003 report on Vieques.

Howard Frumkin, director of the ATSDR, was grilled at a House science and technology subcommittee hearing last year over the effectiveness of the agency and its handling of the Vieques and other questionable sites. In a report released just two days before the March 12 hearing, the subcommittee found that "time and time again ATSDR appears to avoid clearly and directly confronting the most obvious toxic culprits that harm the health of local communities throughout the nation.

"Instead, they deny, delay, minimize, trivialize or ignore legitimate concerns and health considerations of local communities and well-respected scientists and medical professionals."

And in November, a group of at least seven scientists, including Ortiz and Wargo, called on ATSDR to conduct more research on the Vieques. ATSDR later that month announced it would take a "fresh look" at Vieques and conduct new studies to determine whether the Navy's contamination at Vieques made people sick.

In January, ATSDR's Frumkin was reassigned.

In response to the islander's lawsuit, the U.S. government is invoking sovereign immunity, claiming the islanders do not have the right to sue the government and that there's no proof that the Navy's activities caused the widespread illnesses.

For the sick residents of Vieques there is no time to lose.

"What I want is people to get medicine and help here," said Inna. "I know how people are suffering in this island. I see people in the streets and poor people living like wild things. And there's kids dying on the street. It's not good."

@highlight

Vieques resident Nanette Rosa's two teenage daughters both suffer from cancer

@highlight

A lawsuit blames fallout from U.S. weapons tests on the island for the high rate of illness

@highlight

U.S. government says there's no proof that Navy activity caused widespread illness

@highlight

Watch the full investigation tonight on "Campbell Brown" at 8 ET