Anyone who rents a car in Iceland is immediately handed a map of the country on which most of the landscape is marked out of bounds.

Any attempt to leave the main highway results in splutters of indignation from in-car GPS units. This area, the computer complains, isn't suitable for such a tiny rental vehicle.

Turn back now.

It's a tough call, because the places they don't want us to go in our little cars are some of the most alluring on Earth.

These are the mighty, brooding volcanoes that dominate Iceland's skyline.

Some slumbering, some angrily spewing out rivers of lava and cloudy torrents of ash.

They're not impossible to reach though. Not if you call in the experts.

For me, this means meeting Kiddi, an Icelandic guide who possesses an engaging grasp of deadpan humor, and an understated passion for his country's geological wonders.

Crucially, he also owns several enormous 4x4 trucks with tires big enough to crush my whining GPS and the car it came in.

Our goal for the day is Eyjafjallajokull, the volcano with the unpronounceable name that in 2010 sent plumes of dangerous silica dust into the atmosphere, disrupting European air travel and stranding millions of passengers.

The main show is a couple of hours out of Reykjavik, but there are plenty of warmup acts along the way.

We check out Heidmork, a petrified red lava field beyond the city limits where early Icelandic highway builders harvested construction materials in the days when less care was taken over preserving the country's topography.

Icy stalagmites

We ascend through clouds of stinking sulfur near a geothermal power plant at Hellisheidarvirkjun, past acres of volcanically heated greenhouses at Hveragerdi and pause briefly for a photo op at Urridafoss, a semi-frozen waterfall surrounded by icy stalagmites.

"Can you see how some of the sheep take bigger risks grazing right on the edge?" asks Kiddi, pointing to some woolly creatures munching on the precipice leading to the waterfall.

I'm expecting some insight into Icelandic fauna at this point, but that's not really how Kiddi rolls.

"Stupid animals," he adds. "The grass tastes the same wherever they eat."

In the shadow of Eyjafjallajokull we pause by Seljalandsfoss, a 60-meter spout of meltwater from the volcano's snow-capped summit.

A treacherously icy trail leads behind the roaring curtain of water.

Kiddi also takes me to the Gljufrabui, another giant water plume hidden nearby in cavernous mossy grotto.

Then we're off the main road and ascending the side of the volcano, powering up above the snowline along a cinder track.

Suddenly we veer off into a brilliant wasteland of drifting white powder.

Here the enormous studded tires that have been thudding the 4x4 along the road from Reykjavik come into their own, sloshing through iced-over streams and clawing their way up steep banks of snow.

When the wheels begin to spin, we stop to let air out of the tires for better traction.

"In the summer, you wouldn't believe how many tourists we find stuck out here," says Kiddi, shaking his head. "They think they can drive here in their little cars."

Geothermal bathing

Prejudices against small vehicles aside, Kiddi's hit on an issue facing Iceland as it encourages more visitors to revive an economy battered by a 2008 banking collapse.

The country is gambling on being able to attract millions of visitors in coming years, but there are questions over whether the infrastructure of its wild and sometimes dangerous attractions is capable of handling them.

And while roaring up the side of a snow-covered volcano in a bright orange 4x4 might not seem the most ecological of options, in the hands of skilled guide it's a environmentally friendlier option than unsupervised mass roaming.

It's crazy fun too, especially when Kiddi lets me have a go at the wheel.

There can't be many things more thrilling than driving a monster truck across the side of a snow-covered volcano -- gunning the engine to crest icy ridges and swerving around huge boulders scattered by old eruptions -- and if there are, they've probably been illegal since the late '70s.

We reach the limit for the 4x4, with the volcano's conical summit rising in front of us.

The rest of the journey, up and over the rim into the now-dormant caldera, requires the use of Kiddi's snowmobiles.

Although Eyjafjallajokull is our destination today, itineraries can include other volcanoes reached by thrilling rides across seemingly impassible landscapes.

There's Hekla, to the north, overlooking a sea of beautiful black sand and a geothermal bathing pool.

"Hekla has a woman's name," says Kiddi. "And she looks beautiful, but she has a temper, erupting every 10 or 15 years."

Others include Katla, named after a witch and reputedly haunted, and Grimsvotn, Iceland's most active volcano, where a geothermally heated glacial lake sits in a 35-kilometer wide crater.

Then there's Bardarbunga.

Since August, Bardarbunga has been throwing up a spectacular display of boiling magma, giving the aviation industry palpitations but at the same time making it Iceland's hottest attraction.

Jay Z's birthday treat

Due to the risk from toxic gases (and hostile GPS computers), ground access to Bardarbunga is limited.

The eruption at the volcano's Holuhraun lava field can be seen from chartered planes or helicopters -- Jay Z and Beyonce reportedly made a flyby ealier this month to celebrate the rapper's 45th birthday.

It's such a dramatic sight that an Icelandair pilot earlier this year diverted a flight to give passengers a better look.

Turning back to begin our descent of Eyjafjallajokull, Kiddi and I take in the incredible crystal-clear view of Vestmannaeyjar, an archipelago of islands formed off Iceland's southern coast by a series of volcanic eruptions.

The youngest island, Surtsey, is only 50 years old and is classed as one of Iceland's several dozen volcanoes.

Even on huge tires, it's a bone-jolting ride down to sea level -- but that's OK since I'll be spending the night at Reykjavik's boutique 101 Hotel (Hverfisgata 10, Reykjavík; +354 580 0101), which has considerably more relaxing geothermal attractions (steam room and whirlpool) in the basement.

Before we head back to the capital, we call in at a farm nestled against the base of Eyjafjallajokull.

Here I meet Gudny Valberg, a retired teacher whose family has built a roadside visitor center to cope with the influx of tourists eager to see the volcano that in 2010 temporarily engulfed their farm in blizzards of ash and brought a large of the planet to a standstill.

She tells me why she thinks Eyjafjallajokull exerts such a pull.

"There were 10 million affected when it erupted," she says. "Because of this volcano, many people's lives changed -- they had an extra week of vacation, or they had to rent a car and drive for miles, or they didn't get to a loved one's funeral.

"Now they want to see the thing that made that happen."

The popularity nearly became a problem, she says, hence the need to convert a disused machine shop into a visitor center to keep tourists from driving through her farm and into the valley beyond.

"My husband was always busy, pulling people out when they got stuck in their small cars!"

Back in our gigantic 4x4, Kiddi fires up the engine and we hit the road.

Iceland Safari (+354 544 5454) organizes super-jeep tours to volcanoes and other geological attractions across the country.

Plane and helicopter flights over Bardarbunga can be arranged from Reykjavik domestic airport via Extreme Iceland (Vatnagardar 12, Reykjavik; +354 588 1300).

@highlight

Volcano safari tours in Iceland involve driving up Eyjafjallajokull in a giant-wheeled 4x4 super jeep

@highlight

In 2010 eruptions from Eyjafjallajokull grounded thousands of transatlantic flights and stranded millions

@highlight

Other volcanic attractions include Bardarbunga, which has been erupting since August 2014