(CNN) -- In a matter of days, they transformed from caretakers into patients.

The two women live thousands of miles apart, but the first known Ebola cases contracted outside Africa during this outbreak have one striking similarity: Both were health care workers, caring for someone infected with the deadly virus.

As a nurse in Dallas and a nurse's assistant in Madrid fight for their lives, a key question looms: Are people who are putting themselves in harm's way to care for Ebola victims receiving the training and equipment they need?

No, says Zenei Cortez, vice president of National Nurses United.

"It's really a disaster waiting to happen," she told CNN's "The Lead with Jake Tapper" on Thursday.

The union is pushing for more equipment, training and education for nurses, Cortez said. A survey of 1,900 nurses by the union found that 76% said their hospital had not communicated any policy for the potential admission of patients infected by Ebola.

It's a "startling statistic," CNN Chief Medical Correspondent Dr. Sanjay Gupta said, particularly since the Centers for Disease Control and Prevention said in May that it was distributing guidelines to hospitals around the country.

"Infectious disease protocols, universal precautions should be the same, really, in hospitals all over the country. They should apply here with regard to Ebola as well," Gupta said. "But obviously, that's not happening. These nurses who are a part of that survey just don't feel comfortable as things stand now."

CDC chief blames protocol breach

The CDC is "doubling down" on outreach and training to increase awareness of Ebola and make sure U.S. hospitals "think Ebola," CDC Director Dr. Tom Frieden said Monday.

Hospitals should be skilled at taking travel histories of people who show Ebola symptoms and should isolate those who have been to Liberia, Sierra Leone or Guinea, Frieden said. And the CDC is also planning more hands-on training at hospitals and outreach to health departments.

As authorities confirmed that the Dallas nurse had contracted Ebola, Frieden was quick to point to a breach in protocol.

Frieden said he wasn't pointing fingers, but trying to pinpoint what happened.

"Stopping Ebola is hard," he said, adding that the CDC will do anything possible to protect health care workers.

The nurse, Nina Pham, had cared for Thomas Eric Duncan, who contracted Ebola in Liberia and died of the illness at the hospital.

Frieden said he would not be surprised if there were additional cases among those who cared for Duncan, but so far, no one is showing symptoms.

On Monday morning, an official with direct knowledge of the Texas nurse's case told CNN that CDC disease detectives interviewed the nurse several times and thought there were "inconsistencies" in the type of personal protective gear she wore and with the process used to put the gear on and remove it.

Health care workers on the front lines often get sick in the early stages of an outbreak, while dealing with patients who are highly infectious, Gupta said. That's why there are guidelines for what protective gear they should wear when dealing with Ebola patients. But the Dallas case is concerning, he said.

"The patient was the most infectious," he said, "but she should have been protected."

CDC Director Tom Frieden faces rising tide of criticism

Husband of infected nurse's assistant writes scathing letter

The nurse's assistant in Spain with Ebola remains in critical condition and is having trouble breathing, authorities said. The European Centre for Disease Control and Prevention said the hospital where Teresa Romero Ramos is being treated doesn't meet all the standards set for centers capable of Ebola care.

In a scathing letter, Javier Limon, her husband, said she received only 30 minutes of training in putting on protective gear and called for the resignation of Madrid's regional health minister over how the case has been handled.

"Please explain to me how one puts on a protective suit, since unfortunately my wife doesn't have a master's degree in that," Limon wrote in a letter distributed by a family spokeswoman. "Teresa had 30 minutes or a little more to learn how to do so through a colleague."

He fired back at criticism that the family had gone on vacation.

"No one told us that we couldn't do what we did, because the protocol did not tell us that we could not do that," Limon wrote. "Now I know that in other countries they quarantine health care workers after treating an Ebola patient. Even though I am only a welder, I understand that if we had done this my wife would possibly not be battling between life and death."

Experts note ways CDC is getting it wrong

Are hospitals ready?

President Barack Obama wants federal authorities to immediately take further measures to ensure that health care workers are able to follow protocols for treating Ebola patients. He met with senior administration members at the White House on Monday afternoon for an update on its response to the Dallas case and the broader effort to make sure the country is prepared to handle an outbreak.

Of the thousands of hospitals in the United States, only four have been training for years to deal with highly infectious diseases such as Ebola: Emory University Hospital in Atlanta, the Nebraska Medical Center in Omaha, the National Institutes of Health in Maryland and Rocky Mountain Laboratories in Montana.

"They have the management, the processes, the implementation in place that if an Ebola patient comes in, just right away they know what to do," said Gavin Macgregor-Skinner, who teaches public health preparedness at Penn State University.

But if someone with symptoms of Ebola shows up at any other hospital, as Duncan did, the hospital might not be ready.

"It may not be that every single hospital is in fact prepared for this," said David Sanders, associate professor of biology at Purdue University.

"We may have to think about regional centers that are best prepared to deal with Ebola patients."

At the University of Kansas Medical Center, where a man with possible Ebola symptoms was admitted Monday, Chief Medical Officer Dr. Lee Norman said they were keeping an extra eye on protective equipment after speaking with officials at Emory and in Dallas.

While workers are putting on or taking off their gear, someone is watching to make sure they're doing it correctly, he said.

"We have trained spotters to make sure that everything is put on and taken off in the proper fashion," he told reporters, "to keep everybody safe."

CNN's Ashley Fantz and Elwyn Lopez contributed to this report.

@highlight

Gupta: It's a "startling statistic" that 76% of nurses surveyed don't know Ebola policies

@highlight

Nurse's union leader: "It's really a disaster waiting to happen"

@highlight

The CDC says it will increase training and make hospitals "think Ebola"

@highlight

Husband of Spanish patient says she received little training on protective gear