(CNN) -- In a cold, wet field two hours' drive west of London, there's no mistaking the huddle of ancient shapes that emerge suddenly on the horizon, back-dropped by a distant cluster of leafless trees.

Until recently, any first encounter with Stonehenge, that legendary keeper of Neolithic secrets, could prove deeply underwhelming.

Two traffic-snarled highways have encroached on the brooding rocks, robbing them of their scale.

Now that's changing.

The site's custodians have unveiled a $44 million visitor center and a radical remodeling of the landscape that will reconnect the circle with the atmospheric terrain it has occupied for more than 4,000 years.

CNN was among the first visitors through its doors -- and to experience a redesigned approach to the UNESCO World Heritage Site that its guardians hope will restore some of its once-formidable presence.

Visitors are no longer directed to a cramped parking lot slapped hastily on top of historically significant earthworks.

The parking lot and a roadway, which for decades has severed the stone circle from an ancient avenue, are being torn up and grassed over.

Instead they arrive at the new center, an elegant modern pavilion of glass and weathered sweet chestnut wood that now forms the gateway to the enigmatic millennium-old monument -- helping to create a sense of anticipation and drama.

Contrast vital

"One key thing has been to make it as different from the stones as possible," Stephen Quinlan, one of the center's architects, told CNN.

The building's undulating roof and matchstick steel pillars blend in with the area's rolling hills and sparse woodland, he said.

The center officially opens on December 18, three days before the winter solstice, when druids, pagans and revelers gather to watch the sun rise in perfect alignment with the stones -- a celestial event that both explains their purpose and deepens their mystery.

These time-honored traditions show how cherished Stonehenge is, not only to the people who assign it spiritual importance, but also to the archaeologists who study its origins.

Not to mention the 1 million tourists who traipse here each year.

It's no wonder the government bodies guarding the site have been cautious about remodeling -- enduring 30 years of wrangling over budgets, designs and locations before creating the new center.

Worthwhile wait

For some, however, the wait has been worth it.

"I think it's fabulous," Mark Horton, a professor of history at Bristol University, told CNN at the center's opening.

"It's one of the most important archaeological monuments in western Europe and has been for so long woefully neglected."

In one way the delays had been an advantage, he said.

"If it was here 10 years ago, it would look out of date because we now have completely new interpretations of how and why and when Stonehenge was built."

Stonehenge isn't visible from the center, lying over the crest of a hill -- so visitors spend time exploring its new exhibition space before walking or catching a road train to cover the mile and a half to the stone circle.

The exhibition's centerpiece is a 360-degree virtual display that tries to simulate the experience of standing within the stone circle -- something most visitors have been banned from doing since the late 1970s in order to protect the rocks.

It uses laser-scanned images to zap the viewer back through history amid dramatic solstice sunrises and sunsets.

For anyone who has waited in vain for a dawn obscured by the miserable British weather, this could actually be an improvement.

Neolithic head reconstructed

Among 250 other antiquities, the exhibition also includes the reconstructed head of a 5,500-year-old Neolithic man found nearby.

Archaeologists have used advanced 3D scanning technology on his skull to reveal his face.

While this undoubtedly offers a valuable glimpse into the human story behind Stonehenge, there's no escaping the fact that the result of all that hi-tech labor bears an uncanny resemblance to Jeff Bridges in "The Big Lebowski."

The Neolithic man's skeleton is also on display, a fact that has stirred some controversy.

The leader of Britain's self-proclaimed largest order of druids says the use of the bones is disrespectful to their long-dead owner.

"Those who've been laid to rest should stay at rest -- it's not a pagan issue, it's one of common decency," King Arthur Pendragon, who describes himself as the Battle Chieftain of the Council of British Druid Orders, told CNN.

While it brings visitors face to face with the monument's history, what the new center cannot do is shed definitive light on how and why Stonehenge was constructed using stones quarried 150 miles away in the Preseli mountains of Wales.

There have been numerous theories about their construction and purpose, ranging from outlandish claims about UFOs or mythical stories of giants and wizards to explanations concerning druidic rituals or astronomical observatories.

Solstice ceremonies

The 2009 announcement that another stone circle -- Bluestonehenge -- had been discovered adjacent by the nearby River Avon has lent support to another theory: that Stonehenge was a temple forming part of a larger funeral and burial complex that only later became a place for solstice ceremonies.

Back in the 21st century, with much of the remodeling yet to be completed, it's still a work in progress.

Although the road train's slower approach to the stones does help build the atmosphere, the old parking lot and the remaining busy highway still blot the landscape.

There are times, however, walking the circuit around Stonehenge, when the traffic, the noise and the fellow visitors taking iPhone selfies suddenly melt away.

In these fleeting moments there's a sense of the power these simple rocks have conveyed to so many.

But while the site's guardians hope their innovations will help visitors to connect better to the surrounding ancient landscape, for some there will always be one crucial element missing.

"The only thing that struck me is you can't go up and touch it," said fourth-time visitor Keith Foskett, of West Sussex, England.

"I think that's a real shame. English Heritage might own it, but it really belongs to the people. You should be allowed to go up and hug the stones."

Stonehenge, near Salisbury, England. +44 87 0333 1181. Visits over the festive period won't require booking but must be reserved from February 1, 2014, when entrance will be managed through timed tickets; adults $24, child $14.50, family $65.

@highlight

Overhaul of 4,000-year-old monument cost $44 million and was delayed for decades

@highlight

Visitor center opens days before druids and pagans descend for winter solstice

@highlight

Reconstructed Neolithic head looks, to at least one observer, weirdly like "Big Lebowski" film star

@highlight

Was it UFOs? Origins of Stonehenge remain a mystery