More than 50 million people worldwide currently are refugees, asylum seekers or internally displaced within their own countries, the U.N. refugee agency said Friday, in a new report released to mark World Refugee Day.

That figure is more than the entire population of Spain, South Africa or South Korea, or more than double the population of Australia.

The 51.2 million registered for 2013 is also 6 million more than the 45.2 million reported in 2012, according to the UNHCR's annual Global Trends report -- a big jump in the wrong direction.

The huge increase was driven mainly by the war in Syria, which at the end of last year had created 2.5 million refugees and displaced another 6.5 million people within Syria, the report said.

Major internal displacement was also seen last year in Africa, in the Central African Republic and South Sudan, where conflicts have taken on an increasingly ethnic nature.

"We are seeing here the immense costs of not ending wars, of failing to resolve or prevent conflict," said U.N. High Commissioner for Refugees Antonio Guterres.

While humanitarian organizations can provide some relief, he said, "political solutions are vitally needed. Without this, the alarming levels of conflict and the mass suffering that is reflected in these figures will continue."

The latest conflict in Iraq, where Sunni extremist fighters are advancing southward toward Baghdad, doesn't figure in the report since it covers 2013.

But more than 1 million people have been displaced by fighting in Iraq so far this year -- half of them in the past couple of weeks. That's about one in 30 people nationwide who have fled their homes.

The soaring number of refugees means more demand on the world's wealthier donor countries to provide aid and on those nations on the front lines to shelter and absorb the refugees.

Jordan, Lebanon, Turkey and Iraq have all taken in large numbers of refugees from Syria since its 3-year-old civil war began.

Speaking in Geneva, Switzerland, on Friday, Guterres warned that if the current conflict in Iraq worsens, prompting citizens to flee the country, the region will come under even greater strain.

"Looking at the region, one asks ourselves, how can refugees from Iraq be received in the context of all the other situations that exist around Iraq?" he said. "So, I hope that this outflow will never come because the capacity of the region to deal with it is practically nonexistent."

According to the report, the total number of refugees registered with the UNHCR and its sister organization, the United Nations Relief and Works Agency for Palestine, in 2013 totaled 16.7 million.

The largest populations were from Afghanistan, Syria and Somalia -- together accounting for more than half of the global refugee total, the UNHCR said.

By region, Asia and the Pacific had the largest refugee population overall at 3.5 million people, the report said.  Sub-Saharan Africa had 2.9 million, while the Middle East and North Africa had 2.6 million.

Another 1.1 million people submitted applications for asylum last year, according to the report, the majority of them in developed countries, with Germany a favorite. Asylum seekers from Syria lodged the most applications, some 64,000, followed by the Democratic Republic of Congo and Myanmar.

More than 25,000 asylum applications were filed by children who were on their own or separated from their parents, in what the UNHCR said was a record number.

There were relatively few refugee returns in 2013, the report said, totaling fewer than 415,000.

Opinion: Deterring and denying asylum seekers in Australia

Iraqis choking roads to Kurdistan fear airstrikes, wanton violence

@highlight

U.N. registered 51.2 million as refugees, asylum seekers or internally displaced last year

@highlight

Afghans, Syrians and Somalis make up more than half the total 16.7 million refugees

@highlight

"We are seeing here the immense costs of not ending wars," says UNHCR chief

@highlight

More than a million people have been displaced in Iraq just this year by violence