(CNN) -- Edward Snowden, whose disclosures have triggered broad debate over the balance between privacy and national security, has left Hong Kong and is in Moscow, apparently headed to Ecuador.

Hong Kong and the Department of Justice have issued different stories about whether Hong Kong authorities had enough information to prevent Snowden's departure. Moscow says since Snowden remained in transit through the Moscow airport, he could not have been detained by them.

China and Russia seem delighted to facilitate Snowden's passage. Snowden's supporters assert a moral equivalence between surveillance by the United States and surveillance by China, Russia and other authoritarian regimes. This equivalence posits that surveillance by any nation, for whatever reason, whether of its citizens or of other nations, is morally equivalent.

To pure privacy advocates, the use of surveillance makes no difference. The mere fact that Big Brother is watching is the central commonality.

This is a mistaken view of surveillance.

In the United States, the Foreign Intelligence Surveillance Act distinguishes between U.S. persons and non-U.S. persons. It allows only metadata collection on the former: the origins, destinations and length of calls but not their contents. The volume of data is so enormous that no government official's prying eyes have access to what you or I say.

Opinion: Why Ecuador might shelter Snowden

Computer algorithms sort the data, and additional safeguards exist when that data needs to be accessed by analysts, agents or officers to comply with Fourth Amendment requirements. The entire process operates under an umbrella of approval and oversight by an elected Congress, is vetted by privacy attorneys in the Department of Justice and is overseen by life-tenured federal judges. The watchers are the agents of the people.

If President Barack Obama himself asked for data concerning an individual citizen, resident alien or casual visitor to the United States, the request would be vetted and denied if it did not meet probable cause requirements of the Fourth Amendment.

The FISA statute explicitly protects First Amendment rights to free speech, which include criticisms of government policy and peaceful protests against government actions. It also requires minimal privacy intrusions -- however inadvertently -- of U.S. persons. The national surveillance state, to borrow a term from legal scholar Jack Balkin, is closely tethered to the rule of law and accountability to the people.

Contrast surveillance in authoritarian regimes.

China closely monitors its citizens' access to political information, and dissidents of all varieties are targeted at the whim of the unelected Communist Party leadership. The constitution is not judicially enforceable, so no independent authority can say no to a request of the party leadership. No opposing party can make political hay over surveillance of its advocates and adherents.

Or consider Russia, where President Vladimir Putin's minions, again without judicial oversight or significant independent political opposition, can monitor and imprison those who oppose his regime's policies. Freedom of speech, and especially political speech, is closely cabined by the regime. The contents of communications found through electronic surveillance or otherwise can rapidly lead to imprisonment or house arrest. And defection, a cousin of espionage, can lead to polonium poisoning.

In short, there is a world of difference between the United States and China or Russia when it comes to surveillance.

The United States analyzes data to prevent terrorist violence to its people, while authoritarian regimes use surveillance to cabin political dissent by their people.

But what about U.S. electronic espionage directed at Chinese e-mail contents, communications of Russia's president and NSA interception of communications of individuals thought to be Islamist terrorists, also revealed by Snowden's disclosures?

Opinion: Why U.S. is being humiliated by the hunt for Snowden

These electronic intercepts concern the contents of communications, not just the fact of communications. And these intercepts do not respect the privacy or political free speech of the communicators.

The difference is that snooping on foreign nations and alleged terrorists furthers national security, the most basic reason for the existence of the United States. National security pervades the Constitution, from the preamble's purpose to "provide for the common Defense" to designation of the president as commander in chief.

It is nothing new for the executive branch, again under rules established by Congress and often subject to independent judicial oversight, to direct espionage against those who may seek to harm this country. Aliens outside the United States and the leadership of foreign countries are "fair game" for surveillance, and they have no Fourth Amendment or First Amendment rights.

Moreover, foreign countries know as much or more, often from the public record, of United States defensive capabilities. As Justice Robert H. Jackson dissented more than 60 years ago, the Constitution is not "a suicide pact."

Some may think Snowden's destination immaterial. But if he lands in a regime that represses its own people and seeks to further harm the United States, might the U.S. consider ratcheting up the diplomatic pressure beyond genteel mechanisms of criminal extradition to fulfill its mandate to "provide for the common Defense?"

Instead of the Department of Justice writing a criminal complaint to begin a federal criminal process where Snowden could avail himself of all his constitutional rights, could the United States consider other options to protect its national security?

The opinions expressed in this commentary are solely those of Charles A. Shanor.

@highlight

Charles Shanor: Some think that surveillance by any nation is morally equivalent

@highlight

Shanor: Surveillance by the U.S. is vastly different from that of authoritarian regimes

@highlight

He says Russia or China uses surveillance to cabin political dissent by their people

@highlight

Shanor: If Edward Snowden ends up in a nation that seeks to harm the U.S., it spells trouble