(CNN) -- At first glance the Eurovision Song Contest may seem like any old talent show. Singers perform live on TV, the public and special juries vote, and at the end of the night a star is born.

But don't call this "X Factor" or "American Idol". This is reality TV on steroids.

Every year around 40 nations from Spain to Azerbaijan field a musical act, each singing an original song in front of a huge television audience.

As part of the European festival of kitsch, some contestants sashay across the stage in barely-there dresses, and shriek into wind machines with the force of hurricanes. Pyrotechnics, fire, and massive LED screens are de rigeur.

It's a big draw. In 2013 more than 180 million viewers in 45 countries tuned in to the action. This year's final takes place on May 10 in Copenhagen, Denmark.

Although officials describe Eurovision as a non-political event meant to unite Europe through song, politics inevitably colors the voting and the performances.

William Lee Adams, a Eurovision expert and the editor-in-chief of Wiwibloggs.com, the popular Eurovision website, has been in Denmark for the buildup since late April.

"Eurovision is about music, but it's also about identity and nation branding," he says. "The artists and their songs become symbols of the countries they represent."

This year is no different. Tensions over Crimea are already coloring the perception of acts from Russia and Ukraine.

During the semi-finals on May 6, some of the audience inside Copenhagen's B&W Hallerne booed the Russian act, a pair of 17-year-old twins called The Tolmachevy Sisters.

"Months of frustration over Russia's illegal annexation of Crimea and Putin's anti-LGBT laws have left Europeans angry," Adams says. "The booing was a release, a statement of solidarity with Ukraine and Russia's sexual minorities."

It doesn't help that Russia's love song features lyrics that some see as hinting at a border incursion: "...living on the edge, closer to the crime, cross the line, one step at a time...maybe there's a day you'll be mine."

In the past, Russia has relied on support from voters in the former Soviet bloc. Those votes seem less certain this year.

Russia's loss could be Ukraine's gain.

Mariya Yaremchuk, this year's Ukrainian act, will sing a song about love called "Tick-Tock." Her act features a man running inside a giant hamster wheel.

The act is not explicitly political, but in press conferences Yaremchuk has stressed that her goal is to show that art is stronger than politics, and that music lasts longer than warring politicians.

It's not all about Russia and Ukraine. During the semi-finals, the act from Poland featured women in traditional dress churning butter and washing clothes as a woman rapped about Slavic women: "Cream and butter taste so good /We will prepare for you delicious food/ Our beauty is famous all over the world/ You gotta see it for yourself and then you will know."

"Poland, one of Eastern Europe's economic success stories, is celebrating its 10th anniversary in the European Union," Adams says. "Their song is a brilliant parody of Polish stereotypes, and a rebuke to all those who view Poland as backwards and behind-the-times."

In the past officials have disqualified songs with explicit political messages.

In 2009, the Republic of Georgia was forced to pull its entry "We Don't Wanna Put In." It was a clear poke at Russia's President Vladimir Putin in the wake of the 2008 South Ossetia War.

Creative license allows other songs with political messages to slip through. In 2011 the Portuguese entry, which translated as "The Struggle is the Joy," was a call for Portuguese to fight against the government's planned austerity measures. It became an anthem of protest during the financial crisis.

Political leaders, particularly those in the East, see the Eurovision results as a matter of international standing. Last year, when Azerbaijan failed to give any points to its political ally Russia, the Azeri president ordered a vote recount and the foreign ministers of two countries convened a meeting in Moscow.

Riding a wave of sympathy, Ukraine has emerged as one of the bookies favorites to win this year.

That won't sit well with authorities in Moscow. Nor will the reality that televoters in Crimea may still be counted as Ukrainian by their mobile phone companies.

"When the points are counted and the hair extensions come off, one government is going to be very disappointed," Adams says. "This isn't just a song contest. It's a battle in the war."

Opinion: The soft politics of Eurovision

@highlight

The Eurovision Song Contest is one of the most watched non-sporting events in the world

@highlight

Every year around 40 nations from Spain to Azerbaijan participate in the competition

@highlight

This year tensions over Crimea could spillover into the contest

@highlight

In the past officials have disqualified songs with explicit political messages