(CNN) -- He was the football star who came to symbolize one of the reasons why many argued Qatar shouldn't be allowed the right to stage the 2022 World Cup.

On Friday, a year to the day since he returned to Paris following his painstaking exit from Qatar, Zahir Belounis will take a moment to remember the scarring experience of being trapped inside his Doha apartment for months on end.

"I cannot forget what happened...my head is still in that place," former French-Algerian football player Belounis told CNN.

"I never did anything wrong but my life was ruined and for what?

"Perhaps I don't understand the seriousness of what I achieved in getting out and being able to tell my story.

"It's not just about me -- it's about all the people like me who have also suffered."

Last year, on November 28, Belounis was reunited with his mother and family after returning to France along with his wife Johanna and two small daughters.

Belounis had become the face of the struggle against "kafala" -- the system which ties employees to a specific employer within Qatar.

Fiercely criticized by pressure groups such as Human Rights Watch and Amnesty International, "kafala" has been labeled as facilitating modern day slavery, though recently Qatar said it had been making progress in reforming the system.

Stranded in Qatar following a 18-month pay dispute with football club El Jaish, Belounis was finally allowed to leave the Gulf State after a lengthy campaign by human rights groups and those on social media.

Belounis, who had plied his trade in the lower divisions of French and Swiss football, moved to Qatar in 2007 and initially enjoyed success.

In 2010, he was offered a new five-year contract and signed the deal with the ambition of taking El Jaish into the nation's top division, which he achieved the following year.

But once El Jaish was promoted, Belounis was sidelined and told he would not play again.

There started the problem with his contract -- the club paying him only a small amount of what he was owed until the money stopped completely.

For 18 months he struggled to feed his family, desperately contacting the French government and President Francois Hollande for help while he also sent an open letter to Pep Guardiola and Zinedine Zidane, two of the most famous men in football.

The Qatari Football Association denied Belounis' allegations, stating that it had helped him recover unpaid wages from a previous club in the country and said the player had not lodged a complaint against El Jaish.

In telephone conversations with CNN before he left Qatar, the footballer confessed he had been driven to drink and suicidal thoughts.

Even now, some 12 months later, it remains a difficult subject, both for him and his family.

"As a mother, there is nothing worse on earth than seeing your son screaming for help, crying on the phone, hearing him on TV, on radio," Zahir's mother Fouzia told CNN.

"Of course I was aware that he wasn't held by some sort of terrorist group, but I felt like that every day.

"The worst was the article saying he was suicidal, but I want to forget that day, it is haunting me until today."

A photograph of Belounis emerging from the arrivals zone at Charles de Gaulle airport and moving almost immediately into the arms of his mother went viral online as the two embraced while cameras flashed and popped.

"I remember that night," said Belounis. "I was alone in the bathroom and just remember thinking, 'I've had to come back to my mum's house like a kid.'

"I had my wife and children and here I was, back at home. It wasn't right.

"I was a grown man forced to crawl back to my mum -- it was embarrassing."

Belounis suffered from anxiety as he struggled to adjust to his new found freedom.

"When he arrived in Paris, he was like a traumatized animal, scared of everything," his brother Mahdi told CNN. "It was almost impossible to make him smile or laugh."

Unable to settle in Paris, Belounis moved to Malaga in southern Spain where he found work at his friend's restaurant -- as a waiter.

"In life you have to work," he said. "My friend wanted to help me and I am so grateful towards him.

"At first it was difficult because I was used to the good life, being a professional football player.

"But now I have learned the trade and I respect the job of a waiter. I've learned about the restaurant and I am grateful, although I never expected to finish my career like this."

Last week, Qatar was back in the headlines after winning the right to host the 2019 World Athletics Championship.

The decision was met with criticism by human rights groups who are unhappy at the Gulf State's treatment of migrant workers.

In a statement, the Ministry of Labor and Social Affairs insisted the country is making progress and expects labor reforms to be implemented over the coming months.

"A new sponsorship law, currently under review, that will replace the outdated "kafala" system will be announced by next year," said the statement.

"We are also working on laws to cover domestic workers.

"As in every country in the world, change does not happen overnight. Significant changes such as these take more time to implement that some may wish, but we intend to effect meaningful and lasting change for the benefit of all those who live and work in Qatar.

"Our plans are going through a legislative process and we expect to make announcements about new legislation by early next year."

While Belounis says he is encouraged by these developments, he is anxious to witness greater progress.

According to a report by DLA Piper and confirmed by the government, 964 workers from Bangladesh, India and Nepal died while living and working in the country in 2012 and 2013.

The International Trade Union Confederation has estimated that 4,000 workers could die while working on projects by the time the 2022 World Cup begins.

According to the Qatari government, there are over 1.4 million foreign workers currently plying their trade in the country.

"Qatar's system is not a human system," Belounis said.

"I think they have no choice but to make changes now.

"The last time I heard the Emir speak, he said lots of good things but we want to see some action. We have to do something other than talk.

"I am a victim of the 'kafala' system and the rules need to be changed so it will never happen again."

Belounis is still awaiting news from the French justice ministry in his claim for unpaid wages against Qatari club El Jaish, though he insists his is a struggle that isn't just about money.

"This is about human rights. I hope one day I will see justice and that the Qataris will come out in public and admit they made a mistake.

"I want an apology. It's the only thing which will finish this episode."

Both his mother and brother are desperate for Belounis to put his time in Qatar behind him.

"Zahir is ready to fight even if we have to go to the European Court," said Mahdi. "This isn't just about Zahir, it is about hundreds and thousands of people who are in the exact same position that he was once in.

"He is the symbol of this human disaster."

Meanwhile, Zahir's mother is very much aware of the emotional torment her son has experienced.

"I can see it in his eyes, because I know my son. And I felt he was internally destroyed and fragile.

"I lost the kid full of joy I knew from before. It will take time, but I will get him back, I am sure.

As for Zahir he still has flashbacks -- the nights of sleeping on the floor in his Qatari home, crying while he held his daughters, remain fresh in the mind.

Even now, the picture of his two young girls asking, "What's wrong daddy?" haunts him.

The depression which led him to ponder suicide might have lifted but the memories haven't.

"I know that it will be a year since I came back but I just want to be alone," he said.

"I remember telling my little girls that 'Daddy doesn't have any strength to fight anymore' but here I am.

"I am proud of what has happened to me and to be the first to highlight this problem.

"Perhaps I haven't fully realized what I've done...but I will sit tomorrow night and I will remember."

@highlight

Zahir Belounis was a French-Algerian footballer

@highlight

Belounis was stranded in Qatar following pay dispute

@highlight

Arrived back in France on November 28 2013

@highlight

Belounis still awaiting payment from Qatari football club