Raising a young family while juggling a career is a tough act to master at the best of times.

Doing so aboard a 15-meter yacht, hemmed in by the thick ocean ice of one of the harshest environments on earth must surely complicate matters a whole lot more.

But Eric Brossier wouldn't have it any other way.

The French oceanographer and his wife, France, have spent the past eight winters happily recording scientific data across the northern polar-regions while living aboard a specially equipped yacht fittingly called Le Vagabond.

Since 2007, the couple have been accompanied by their eldest daughter, Leonie (now six) and, since 2009, her younger sister Aurora (now three).

"It's not an ordinary life," he explained from the lower deck of the vessel-come-family home. "Outside is minus 27 degrees and we won't see the sun for at least a few more weeks.

"[But we] love the wildlife, the mountains, sailing in between the ice, the mix of pack ice drifting with icebergs next to glaciers," he added.

See also: Fine sailing art graces London in the snow

Brossier has carried out a raft of seasonal studies near the remote island of Spitsbergen, Norway, and around coastal Greenland in recent years.

Polar bears, walruses and an array of spectacular arctic creatures have proved more regular company than people during these trips, which can last between six months and a year at a time.

This year, however, the family headed further west and dropped anchor outside the remote Inuit town of Grise Fiord in the Canadian Arctic.

The trip marks the first time they have set up camp close to a human settlement.

"The main reasons we decided to come here this winter was so that our eldest daughter could go to school and our youngest daughter could socialize with other kids her own age," Brossier said.

"Without kids we'd probably live a couple of kilometers further out just to feel nature a little bit more.

"Still, the town only has a population of around 120 people and we can head out if we wish on snow mobile or with dogs," he added.

See also: Superyacht doubles as a science lab

Although Grise Fiord represents the most northerly civilian settlement in North America, Brossier explains that the town is still privy to the comforts of contemporary western life.

Homes have central heating, running water and access to the internet, with Facebook being one of the most popular modes of communication -- a far cry from the spartan existence of Inuit communities in Greenland and northern Russia.

Yet these modern trappings provide the Brossiers with a happy medium between the Arctic wilderness the family so adores, suitable schooling facilities and viable long-term research work.

Brossier says his current assignment is based around the earth's changing climate. He is paid to measure the thickness of the winter ice, ocean currents and weather patterns in and around Grise Fiord for research institutions in Toronto and Vancouver.

In previous years however, he has acted as a guide for television and documentary crews.

"We decide where to go according to the job offered to us or the measurements we have to take," he said.

"If we can find such projects in the future that meet our work needs and the needs of our children then we may be able to carry on for five or ten years," he added.

But while enthusiastic about adventures the future may hold, Brossier is aware that others -- especially those with young children -- may find his nomadic lifestyle in the Arctic chill less than appealing.

He admits there are things he misses from time to time but would advise any avid scientist, sailor or adventurer keen to experience the far north to set sail and experience it for themselves.

See also: Computer hackers conquer high seas

"We miss our friends and families and when we go back to France for a few weeks every year that is what we like to see first," he said. "So is sitting in the sun and eating some French cheese and fresh fruit.

"But we don't miss it all that much. If we really missed something too much we wouldn't have been able to carry this life for such a long time."

@highlight

Eric Brossier is a French oceanographer living aboard a yacht in the Canadian Arctic with his young family

@highlight

The Brossiers have spent the past eight winters aboard their boat in the northern polar regions

@highlight

This winter marks the first time the family has set up camp close to an Inuit community