(CNN)It now appears likely that Darren Wilson, the police officer in Ferguson, Missouri, who shot and killed Michael Brown, will never face criminal charges for his actions. The state grand jury declined to vote an indictment in November, and news reports indicate that there will be no federal charges against him either. Whether these decisions are correct or not, they underline the difficulty of using criminal prosecutions as vehicles for large-scale reform.

Criminal investigations are based on close analysis of what happened at a particular time and place. Brown's death at Wilson's hands is a classic example.

At one level, the events of August 9 in Ferguson are undisputed. Brown robbed a convenience store. Moments later, he and Wilson had a confrontation at the window of Wilson's patrol car -- during which Wilson's gun fired. Brown, who was unarmed, walked away. Wilson pursued him and shot him dead.

Outside of those facts, however, the details remain murky to this day. Who was the aggressor? What happened in the confrontation at the patrol car? Did Brown do anything to justify Wilson's decision to fire the fatal shots? Appropriately, these questions have been at the heart of the state and federal investigations.

But these detailed questions about what happened between Brown and Wilson tell us little about the larger issues raised by the confrontation in Ferguson. What's it like for African-Americans who interact with the police? How do white police officers behave in largely minority communities? How can African-Americans receive dignified, equal treatment from the police -- and how can the police do their jobs in ways that keep themselves and their communities safe? How can better training of officers, more diversity in police forces and community policing make our communities safer?

It's understandable to try to use cases such as those of Michael Brown and Eric Garner as metaphors for the larger issues we face as a society. We understand the world in stories, in narratives, and we use those stories to justify how we see the broader world.

It's easier to try to figure out the nature of a confrontation between one civilian and one police officer than to parse the statistics that describe larger patterns of behavior. But these are two fundamentally different undertakings. Determining the distance between Wilson and Brown when the fatal shots were fired is a critical step in determining whether Wilson is guilty of a crime. But determining that distance will tell us very little about race relations in the United States.

Symbols are important, but it's dangerous to think that symbolic criminal prosecutions are ever appropriate. The criminal law functions best when it is closely tethered to the facts of an individual case. Like defendants should always be treated in the same way; once a society starts singling out certain individuals as "symbols" of larger problems, that automatically distorts the system. Wilson deserves no worse (and no better) than to be treated like everyone else despite the symbolic importance his case has taken on. The same, of course, is true for the New York City police officers who caused the death of Garner, in Staten Island, on July 17.

The failure to file criminal charges against Wilson, of course, should not be seen as a vindication of Wilson, the Ferguson police force or police officers generally. We live in a society where there are supposed to be substantial barriers to successful criminal prosecutions, like the highest standard of proof -- beyond a reasonable doubt.

As a society, we care deeply, as we should, that innocent people are never convicted. But one individual's liberation should not be taken to mean that the whole society is free from scrutiny, or censure. There is much more work to do, regardless of what happens to Darren Wilson, or any other individual.

@highlight

Jeffrey Toobin: Darren Wilson should be treated like everyone else despite case's symbolism

@highlight

But failure to file charges shouldn't be seen as vindication of Wilson or police, he says

@highlight

One individual's liberation shouldn't be taken to mean society is free from scrutiny, he says