(CNN) -- The tiny corpses, faces pale and grimy, lay side by side, wrapped in a red blanket.

They are the latest child casualties in the bloody Syrian civil war. They are also grisly evidence of the carnage in the besieged Syrian city of Daraya over the weekend.

Published Monday by the opposition outlet Shaam News Network, the image underscores the horrors in Daraya. At least 245 people were found dead in the Damascus suburb over the weekend, opposition activists say.

Mass killings have been reported regularly across Syria during the nearly 18-month-long crisis. Like the others, this incident sparked international outrage.

The killings in Daraya need to be investigated "immediately and impartially," said U.N. spokesman Martin Nesirky, passing along remarks from U.N. Secretary-General Ban Ki-moon.

"Whoever is responsible needs to be held accountable," Nesirky said.

"Daraya is being targeted because it is the closest to the capital, and it is one of the first cities that revolted against the Assad regime and was the spearhead of the peaceful demonstrations in the beginning of the revolution," said Rafif Jouejati, a spokeswoman for the opposition Local Coordination Committees of Syria.

Opponents of the Syrian regime posted video of mass burials Sunday, a day after the remains were found in Daraya.

In one of the videos, one woman shouted " 'God is greater' as soldiers raided her house," an opposition member who goes by the name Abu Kanan said from the city. "The soldiers arrested her with five men from her family and executed them."

The remains of the dead were gathered in a mosque to be identified, and rebel fighters posted video of dozens of bloodied corpses online.

The "army started picking up young men from the streets, from their homes, and conducted summary executions" before government troops pulled back to the city's outskirts Sunday night, he said.

State-run and pro-government TV networks aired glowing descriptions of Daraya's recapture by forces loyal to Syrian President Bashar al-Assad after a weeklong siege. It blamed the deaths on "terrorists" driven out by the army.

Opposition activists said the dead were victims of a rampage by government troops after the rebel Free Syrian Army withdrew from the city late Friday.

The LCC said the 39 corpses of people kidnapped and slaughtered were handed over to to families Monday.

Syrian television aired a different account, showing residents who thanked government troops for coming to their rescue amid bodies still sprawled in the streets.

"Thanks to the military who is protecting us," one man told the pro-government network Al-Dounia. "Thank you for coming."

"Every time we get into a region where the terrorists were present, we discover what these terrorists know best -- killings, massacres and all in the name of freedom," the report said.

The development has prompted international revulsion. The French Foreign Ministry said Monday it is "deeply shocked by the discovery of mass graves" in "what appears to be a massacre of civilians."

Daraya was the scene of some of the first peaceful protests that were attacked by security forces in al-Assad's clampdown on opposition that began in March 2011 and became a civil war.

CNN cannot independently verify reports of death tolls, as the Syrian regime has severely limited access by international journalists.

In other developments:

Chemical weapons use would justify intervention, France says

France warned the Syrian regime that using chemical weapons could be grounds for intervention.

"We remain vigilant with our allies to prevent the use of chemical weapons by the regime which for the international community would be a legitimate reason for direct intervention," President Francois Hollande said Monday in a speech to French ambassadors.

Britain and the United States have said they would "revisit" their approach to Syria if the Syrian government uses chemical weapons, the British prime minister's office said last week.

Prime Minister David Cameron and U.S. President Barack Obama spoke by phone late Wednesday and agreed that the use of chemical weapons would be "completely unacceptable," the office said.

Obama said this week that the Syrian government would risk crossing a "red line" and invite U.S. military intervention if it uses chemical weapons.

Hollande also urged the Syrian opposition to form a provisional government that would be "a legitimate representative of the new Syria. We ask our Arab partners to accelerate this step, and France will recognize the provisional Syria government once it has been formed."

Government helicopter crashes near Damascus as deaths mount

An attack helicopter burst into flames and crashed in the Damascus suburb of Jobar on Monday, apparently after rebels fired on it, the opposition Syrian Observatory for Human Rights said.

CNN cannot independently confirm the authenticity of videos posted on the reported crash.

Meanwhile, at least 231 people were killed Monday, the opposition Local Coordination Committees of Syria said.

At least 148 of the deaths were in Damascus and its suburbs, including 42 in Zamalka. Other deaths were reported in the provinces of Homs, Deir Ezzor, Hama, Daraa and Idlib. The LCC reported a siege on the town of Madeeq Citadel in Hama and shelling across the country.

"Regime forces are intensely shelling the old quarters of Homs, a district under siege for 81 consecutive days," the LCC said.

The United Nations has estimated the death toll at more than 18,000, while opposition forces say more than 21,000 have died.

Refugee crisis worsens in Jordan and Turkey

UNICEF is appealing for more money to help the throng of Syrian refugees escaping to Jordan.

About 17,000 people -- half of them children -- are sheltered at Za'atari refugee camp in northern Jordan, but numbers are increasing daily with hundreds of new arrivals from Syria, the agency said.

Syrians fleeing violence have been racing to Jordan, Lebanon, Turkey, and Iraq and to safe locations inside the country.

"We expect to have 70,000 people at Za'atari camp by the end of this year," said Dominique Hyde, a UNICEF Jordan representative. "We must act now because it is children who continue to suffer most."

So far, some 80,000 refugees have fled to Turkey and that number is expected to rise above 100,000 in the coming days and weeks, said U.S. State Department spokeswoman Victoria Nuland.

"The outflows out of Syria are growing both into Turkey and to Jordan and to all the neighboring states," she said, adding that Turkey is increasingly open to receiving international aid.

Government reports gains in Aleppo

Soldiers in Aleppo on Monday "cleared al-Izaa neighborhood" of "terrorists," the state-run Syrian Arab News Agency said.

"The security forces stormed a den for the armed terrorist groups in al-Inzarat Neighborhood in Aleppo and seized a huge amount of ammunition and weapons. SANA's reporter in Aleppo said that the seized weapons include PKC machine guns, Russian rifles, pump-action shotguns, ammunition and a large quantity of bombs."

Government forces and their allies have been fighting rebels for control of Syria's largest city. The LCC reported "fierce artillery shelling by regime forces" in Aleppo's Bab district.

Coming Tuesday: Report about life after al-Assad

A report with recommendations on a post-Assad Syria will be released Tuesday.

The U.S. Institute for Peace and the Germany Institute for International Security Affairs have produced "The Day After Project: Supporting a Democratic Transition in Syria."

The effort includes Syrians across the spectrum of the opposition, including senior members of the Syrian National Council and the Local Coordination Committees of Syria; former generals, economists and lawyers; and representatives from the Syrian diaspora.

The project was a year in the making, the LCC's Jouejati said on Twitter. It will contain recommendations that Syrians can "accept, reject or restate," she said.

Among the recommendations: Writing a new constitution, establishing stability and putting together a special tribunal to try regime members, Jouejati said. They also include mention of South Africa's transition from apartheid, she confirmed.

The peace institute facilitated the Iraq Study Group report, which made recommendations in 2006 on ending the war there.

Will Syria's first lady take a stand or stand by her man?

Syria's neighbors: What's at stake?

Syria explained: What you need to know

CNN's Salma Abdelaziz, Joe Sterling, Holly Yan, Yousuf Basil and Saad Abedine contributed to this report.

@highlight

At least 231 people are reported killed across Syria on Monday

@highlight

France warns against use of chemical weapons

@highlight

The United Nations, France condemn Daraya killings

@highlight

A transition report is to be released Tuesday