Atlanta (CNN) -- Georgia's parole board heard a last-minute appeal Monday by Troy Davis, who is set to die by lethal injection for the murder 22 years ago of a Savannah police officer.

Members of victim Mark MacPhail's family also appeared at the parole board hearing to describe their loss, saying afterward they felt the panel listened to what they had to say.

A jury convicted Davis of murder in 1991, paving the way for his execution, which has been delayed three times and is now scheduled for 7 p.m. Wednesday at a state prison in Jackson, Georgia.

In a statement, the Georgia Board of Pardons and Paroles said it would not reach a decision in the case until Tuesday at the earliest.

Options for the board include commuting a death sentence to either life without parole or life with the possibility of parole, or denying clemency -- which, in this case, would clear the way for Davis' execution.

The panel also can delay the execution to continue its consideration of the case.

MacPhail, a police officer, died in 1989 after being shot three times.

Since Davis' 1991 conviction, seven of the nine witnesses against him have recanted or contradicted their testimony. There also have been questions about the physical evidence -- and, according to some, the lack thereof -- linking Davis to the killing.

"We believe that we've established substantial doubt in this case," said Stephen Marsh, the defense attorney for Davis. " And given the level of doubt that exists in this case, we believe that an execution is simply not appropriate."

A small group of Davis' supporters protested outside the building where Monday's meeting took place. A banner saying "Free Troy Davis Now" was hung nearby, and several protesters carried signs.

On Sunday, Amnesty International, the NAACP and Georgians for Alternatives to the Death Penalty asked people to join them Monday for prayers, musical performances and speeches outside the building.

According to these groups, there have been about 300 rallies, vigils and events worldwide in the past week or so. In addition, they say that more than 1 million people have signed a petition in support of Davis' bid to be exonerated.

But Joan MacPhail, the victim's widow, said after the hearing that those protesting against the execution don't understand the facts of the case.

"We have lived this for 22 years. We know what the truth is," she told reporters. "And for someone to ludicrously say that he is a victim -- We are victims. Look at us. We have put up with this stuff for 22 years. It's time for justice. We need our justice."

In a 2008 statement, then-Chatham County District Attorney Spencer Lawton described how Davis was at a pool party in Savannah when he shot another man, Michael Cooper, wounding him in the face. Davis was then driven to a nearby convenience store, where he pistol-whipped a homeless man, Larry Young, who'd just bought a beer.

Soon thereafter, prosecutors said, MacPhail -- who was working in uniform, off-duty, at a nearby bus station and restaurant -- arrived. It was then, the jury determined, that Davis shot the officer three times, including once in the face as he stood over him.

Davis' lawyers, in a federal court filing, insisted that there is "no physical evidence linking" Davis to MacPhail's murder. They point, too, to "the unremarkable conclusion" of a ballistics expert who testified that he could not find definitively that the bullets that wounded Cooper and killed MacPhail were the same.

Georgia's attorney general, in an online statement, claimed that the expert said the bullets came from the same gun type and noted that casings at the pool party shooting matched -- thus came from the same firearm as -- those found at MacPhail's murder scene.

Two decades ago, a jury convicted Davis on two counts of aggravated assault and one each of possessing a firearm during a crime, obstructing a law enforcement officer and murder. The latter charge led, soon thereafter, to his death sentence.

While reviewing Davis' claims of innocence last year, the U.S. District Court for the Southern District of Georgia found that Davis "vastly overstates the value of his evidence of innocence."

"Some of the evidence is not credible and would be disregarded by a reasonable juror," Judge William T. Moore wrote in a 172-page opinion. "Other evidence that Mr. Davis brought forward is too general to provide anything more than smoke and mirrors."

The odds do not appear to be in Davis' favor. The parole board denied him clemency once before. And the board has never changed its mind on any case in the past 33 years.

After Monday's hearing, the victim's mother, Anneliese MacPhail, praised the parole board members for listening to what her family had to say.

"They talked to us. They gave us time that we did not get all of the time," she said in reference to previous hearings. "Sometimes we were rushed out of there in 30 minutes and we felt really rejected, you know, hurtful. This time, I think, was really, really good. And I feel confident. That sounds awful, but that's the way I feel."

Choking back tears, MacPhail's daughter, Madison, said she told the panel that "the future that we would have had together was taken from us. The future he could have had with this family was taken."

Meanwhile, the Rev. Raphael Gamaliel Warnock, who also testified Monday, said before the hearing that he believes "there is too much doubt in this case for an execution."

"I have met with (Davis) on death row," Warnock said. "I believe he is innocent."

-- CNN's John Murgatroyd contributed to this report.

@highlight

NEW: Victim's family tells parole board about their loss

@highlight

Troy Davis is set to die by lethal injection on Wednesday

@highlight

The parole board hears he's not guilty of Mark MacPhail's murder

@highlight

The Savannah police officer died after being shot three times in 1989