(CNN) -- Step aside, Willy Wonka. According to its creator, Vosges chocolate is not just chocolate, it's "an experiential chocolate story-telling vehicle that's meant to be indulgent and sensual and opening to the mind."

More than that, 38-year-old company founder Katrina Markoff intends to "break down stereotypes through chocolate."

Having traveled around the world, Markoff's goal is to get people to try the exotic flavors she discovered, something that's more achievable if those flavors are enrobed in chocolate.

Among her best-selling items is a truffle collection that includes sweet Hungarian paprika and Chinese star anise, fennel and pastis confections.

While chocolate with once-unusual ingredients like chilli or sea salt is now increasingly commonplace, when Markoff first tried selling her product to department store Nieman Marcus in Chicago in 1998, she recalls "the guy looking at me like I'm crazy when I'm telling him what's in it."

But today, Markoff's product sells through 2,000 outlets worldwide, and in eight dedicated boutiques. Last year, her business made $30 million, up 50% on the previous year.

This year, she has brought the Vosges experience to a mass market, launching a new, less expensive brand that will sell in places like Walmart and Target. Where a box of 16 Vosges truffles costs $40, a 2oz bar of Wild Ophelia, which features flavors such as beef jerky and BBQ potato chips, is $3.99.

More from Leading Women: The woman hunting the Higgs boson

A Vanderbilt University chemistry and psychology major, Markoff moved to Paris upon graduating, to study cuisine and patisserie. On the advice of renowned chef Ferran Adrià, who ran what was regularly described as the world's greatest restaurant, El Bulli, in Spain, Markoff toured Southeast Asia and Australia.

In keeping with her international perspective, Markoff plans to devote her next few years to cultivating cacao in Haiti, and opening a lodge in Belize where tourists can learn about chocolate making.

Here, she tells CNN about how she came up with her winning concept.

On her first chocolate epiphany ...

I had my first chocolate experience in the Place des Vosges (in Paris). I went to this restaurant called L'Ambroisie and they had taken chocolate ganache (which is like the center of the truffle), they froze it and dipped it in a beignet batter and fried it.

That experience of eating this donut-crusty exterior and, when you bit down, this molten explosion of chocolate ... that started piquing my curiosity about chocolate.

On her second chocolate epiphany...

It wasn't until I got back from my trip and moved to Dallas to get a job with my uncle that I realized there was no innovation going on in chocolate.

He wanted me to find chocolate for his catalog business, and (everything) was just loaded with sugars and artificial flavorings and extracts and wax, and there was no story.

I had all these spices from my travels, and this necklace from the Naga tribes in India. (They told me it was made out of shells, turns out it was all tigers' teeth). There was a lot of struggle over territory and missionaries tried to get them into new religions, and I was just like "we shouldn't kill culture like that."

I went into my kitchen that night and made a curry and coconut truffle. I decided to pay homage to the Naga people and call it Naga.

Everything made sense in that moment: there was this illuminated path that said "just use chocolate as a medium to tell stories."

I ended up working on 20 different flavor profiles that night -- saffron with white chocolate and sugar crystals to represent Gaudi's mosaic work, a Hungarian paprika and chocolate ginger -- all based on my travel experiences.

The next day I went into work and brought this collection of chocolates. Dallas in 1997 was still very much a BBQ town, and these people were like "I am not trying that curry thing."

I got one woman to try it. She took a bite and her face went from disgust and worry to awe and surprise to "Oh my God, this is actually good." She was like "let me try wasabi." She was totally open to try whatever, and it was really, really cool to see that.

On how to succeed ...

I think it's really important for women to have confidence in her individuality and not try to conform to being someone she thinks she needs to be, to compete in the legal world or in the corporate world.

It's so important to find your own voice. People respect it so much. People are very attracted to people who are passionate in their own way, that are respectful, but that are smart and speak their mind.

You have this guiding light within yourself. Always go to that as your sounding board and your voice of truth. Follow that instinctual space in your solar plexus -- you know, that place that says what you need to do is right or wrong. Following that gut instinct is so critical. You have to have your little niche and carve it out and then follow it with all your heart and success will come to you.

On her management style ...

I've been told I can be a little "big picture" for some people, because I think things can get done very quickly and I want them done very quickly.

I don't rely on other people's opinions or consumer research to make new products, which is somewhat unusual ... I don't always follow processes. I skip steps, and I always make last-minute changes -- and usually that's the right thing to do.

@highlight

Katrina Markoff hopes to promote cross-cultural understanding using chocolate.

@highlight

Her Vosges chocolate includes exotic flavors like wasabi, curry and Hungarian paprika.

@highlight

Launched in 1998, the brand is now sold in 2,000 outlets around the world