(CNN)With the passing of Leonard Nimoy, fans worldwide mourned the loss of the legendary performer who gave life to the Vulcan first officer on Star Trek. As Spock, Nimoy touched audiences with his commitment to the principles of science and logic, and his embrace of "infinite diversity in infinite combinations." Nimoy's portrayal has inspired generations to pursue careers in space, science and technology, to embrace the uniqueness of others, and to appreciate the same in themselves.

It is difficult to measure the impact of Nimoy's iconic role, particularly on the science and technology communities. For decades, many of the best and brightest inventors, explorers and engineers have credited Star Trek with sparking their imaginations. For many, Spock holds a sacred spot as not only one of the most beloved characters in all of science fiction, but the earliest example of Star Trek's enduring legacy of inspiring innovation in the real world.

Spock first appeared on our television screens in 1966 with the premiere of the original Star Trek series. Since then, the show has earned a reputation for predicting future technologies with remarkable accuracy. At a time when the computer age was only just beginning and the idea of handheld communication devices or tablet computers were fantasies of a far-off future, Spock could be seen working with many of these technologies aboard the U.S.S. Enterprise. As we soon discovered, his incredible tools and gadgets weren't so distant after all.

Soon, we moved closer to realizing these devices in our own world with the development of the integrated circuit. Portable and handheld computers were suddenly possible, and some scientists turned to Star Trek for inspiration as they sought to design the next wave of modern marvels. One such scientist was Martin Cooper, inventor of the first mobile phone, who has credited the handheld communicators used by Captain Kirk and Spock as the source of his inspiration. Even though Cooper's original cellular telephone wasn't as compact as Spock's, and most consumers couldn't afford one for some time, it wasn't long before they would become ubiquitous in our world.

The same is true for the handheld computers Spock used to record scientific data. About the size of a notepad, and sometimes equipped with a stylus, these handy gadgets would go on to appear in every incarnation of the Star Trek franchise. They are known as PADDs — Personal Access Display Devices — and it's hard to ignore their influence on the the real thing. From their design and function to the name of today's most popular tablet computer, Spock may well have been the first iPad user.

Another technological wonder that first appeared in Spock's hands was known as the tricorder. This mobile scanning device could be used to take readings while on an away mission to an alien planet. This data might include atmospheric conditions, radiation levels, or even the chemical composition of an object. The version Nimoy used on set was bulky and had to be worn with a shoulder strap. However, tricorders would soon become one of the most versatile and sought-after pieces of Treknology. Today, our smartphones can deliver many features of the Tricorder, while more specialized scientific and medical instruments are able to duplicate some of the more advanced scanning capabilities.

It wasn't just computers and productivity gadgets that Spock brought to life on screen. He was often a proponent of passive resistance and non-violent solutions. Along with his fellow crew mates, he presented us with new ideas like weapons "set to stun" that formed the core of the Star Trek ethos. As we still wrestle with violence in our world, today's scientists and law enforcement are working toward breakthroughs in non-lethal weapons in an effort to prevent unnecessary loss of life.

The original Star Trek series predicted or even inspired these and many other technologies in only three seasons on television. Of course, the franchise would continue this tradition with four more television series and twelve movies. Over the course of nearly 50 years, Star Trek has given us many more ideas that we've realized, like touch-screen and voice-control computer interfaces, and others we haven't quite mastered yet. Tech concepts like the universal translator, the holodeck, the replicator and, of course, the transporter hold the potential to radically change our world — and they might not be as far off as we think.

Our iPhones and tablets have made touch screens commonplace, and we can communicate with Siri or Google through voice commands just like the computer on the Enterprise (though maybe not as effectively). We can instantly connect with others across great distances and even across language barriers thanks to recent advancements like Microsoft's Skype Translator technology. Meanwhile, 3D Printers allow for on-demand fabrication of many objects, and immersive virtual reality devices may soon make holographic adventures as common as video games. Scientists have even been able to transport particles of matter across distances, perhaps taking the first steps toward transporting people through space one day.

As we say goodbye to Leonard Nimoy, let us remember him not only for his work as an actor on Star Trek, but for his remarkable role in the world of science and technology. Through Spock, Nimoy challenged us to understand our human nature, including our scientific curiosity, and in the process helped inspire countless men and women to reach for the stars. This is one more way that Nimoy will be remembered, in the hearts and minds of so many scientists, helping us all to "live long and prosper."

@highlight

Star Trek actor Leonard Nimoy died Friday, age 83

@highlight

Anthony Rotolo: It's difficult to measure the impact of Nimoy's role