Leogane, Haiti (CNN) -- In a dirt field 20 minutes outside of Leogane's city center, desperation surfaces in the form of fear, anger, thanks. All at once.

Relief trucks from CARE International have arrived, and the waiting wall of people pounces on the aid workers. The residents clutch paper tickets given out earlier to collect the goods: one mattress and blanket per family.

CARE begins to distribute 250 of each, but the makeshift settlement here holds as many as 10,000 earthquake victims. Guards wearing gray polo shirts with the word "securite" painted on their backs roam the grounds with metal baseball bats in hand. They anticipate chaos.

"We are happy for the mattresses. We are thankful," says Willio Sainvil, a spokesman for a community organization helping organize the flow of aid.

"But what we need is water. We need food. We have people who are sick. They need medicine," he says. "We need tents, especially if it rains."

Above the sun is hiding, for the moment, under dark clouds.

iReport:  Looking for loved ones in Haiti

"You can see the people are not satisfied," Sainvil says. "But they are thankful."

CARE spokesman Rick Perera says the humanitarian agency delivered a water buffalo to this settlement, about 20 miles west of Port-au-Prince, but nothing else arrived until the mattresses on Sunday.

The agency plans to supply more relief items, but distribution has been a huge problem, Perera said. It has been difficult finding enough trucks to carry the goods.

In outlying areas like this, the biggest fear is people will be forgotten. Sainvil says aid agencies have visited the city center, but few have received help in the townships and villages of Leogane province, lined with sugarcane groves, banana trees and now, mangled chunks of concrete that used to be homes, offices, schools and clinics.

Twelve days after a magnitude-7.0 earthquake, the focus in Haiti has shifted from extracting survivors from heaps of rubble to helping those who survived. By some estimates, 1.5 million Haitians were rendered homeless. In Leogane, at the epicenter of the massive quake, about 85 percent of the town may have been destroyed.

Kenneth Merten, U.S. ambassador to Haiti, told CNN'S Christiane Amanpour on Sunday that the relief was slow in the first few days.

"It was very slow, a lot came in, it was hard to get it out to the people who needed it most," he said. "If I were a Haitian here, I would be, frankly, angry at the whole situation I found myself in. But I must say that I think the Haitians are resilient, and they're to be applauded for approaching this in a stoic and dignified fashion."

Full coverage

The International Organization for Migration said Sunday that the biggest need was tents for as many as 500,000 displaced people.

The agency identified two new sites in Port-au-Prince and Leogane where temporary shelters will be developed for those "living in deplorable conditions in makeshift settlements without basic services."

"The temporary tent settlements will provide a clean and safe environment for the displaced," said Vincent Houver, the agency's chief of operations in Haiti, "but they are a short-term solution. Tent settlements are not sustainable."

More than 500 aid agencies are operating in Haiti. Fifteen of them met with Leogane officials Saturday to address needs. The United Nations plans to set up a separate water and sanitation system for Leogane, but the world organization is "quite stretched," said Paul Shanahan, senior emergency specialist with CARE.

"It's hard to imagine how it could be worse," he said about Leogane's sanitation problems. "Human waste is being generated and disposed of informally."

He meant left in open areas or dumped onto trash heaps.

"You see every mode of catastrophic failure possible," Shanahan said of Leogane. "And the people fear they are not going to be attended to."

Interactive map of where to find aid, hospitals in Haiti

That includes the 10,000 people who are making do at this makeshift camp with whatever they could rescue from their shattered homes. Bed sheets, cooking utensils, a lawn chair -- and memories of lost lives.

Fenilmarie Carmel has managed to build a shelter for the five people left in her family. She points to the packed dirt under her feet to show where she has been resting her head every night.

"We have nothing. When will they come to help us?" she asks.

She clutches her printed floral mattress made in Haiti -- CARE says it tries its best to promote local manufacturers rather than ship in goods from other nations -- and a blanket sent by the Latter Day Saints.

One, maybe two, of her children might sleep a little better tonight.

@highlight

In Leogane, Haiti, earthquake victims still need water, food and shelter

@highlight

People in outlying areas of Haiti worry they've been forgotten in relief plans

@highlight

More than 500 aid agencies operating; 15 met with Leogane officials Saturday