Washington (CNN) -- On one side were pegboard panels mounted with various assault rifles and semi-automatic weapons -- including a Bushmaster similar to the one used in last month's Newtown school massacre.

Behind the stage stood police officers supporting a renewed ban on such firepower. One by one, victims of gun violence told their brief stories and expressed support for a new federal ban being proposed by Sen. Dianne Feinstein on some assault rifles and semi-automatic weapons.

Almost six weeks after the Connecticut shooting rampage that killed 20 first graders, Feinstein said she planned to introduce her measure later Thursday, with Reps. Carolyn McCarthy of New York and Ed Perlmutter of Colorado doing the same in the House.

What's in Feinstein's gun bill?

Feinstein's proposal would upgrade an assault weapons ban that expired in 2004 and also outlaw ammunition magazines that hold more than 10 rounds.

She said the goal is to "dry up the supply of these weapons over time."

"These massacres don't seem to stop," the California Democrat lamented, listing notorious rampages of past years known by the lone name of their locations -- Columbine, Virginia Tech, Aurora, Tucson and Oak Creek.

"We should be outraged at how easy it is" for attackers to get hold of the semi-automatic weapons or large-capacity magazines used in those slaughters, Feinstein told the event at the U.S. Capitol that she organized.

Sandy Hook probe to extend until summer

Her legislation is opposed by the nation's powerful gun lobby, led by the National Rifle Association. That means that despite a push by the White House and Democrats for tougher gun control steps, Feinstein's full measure is given little chance of winning congressional approval.

In a statement on Thursday, the NRA said that Feinstein "has been trying to ban guns from law-abiding citizens for decades."

"The American people know gun bans do not work and we are confident Congress will reject Senator Feinstein's wrong-headed approach," the organization added.

In a sign of the gun lobby's influence, a nine-day sports and outdoor show scheduled to take place in Pennsylvania next month was postponed Thursday because the NRA withdrew its support over the decision by organizers to ban the display of "modern sporting rifles" -- the kind of semi-automatic weapons targeted by Feinstein's proposal.

At her Washington event, Feinstein acknowledged that enacting a ban was "really an uphill road," adding: "If anyone asks if we can win this, the answer is we don't know, because it's really uphill."

She then made a plea for people to call their senators and House members to declare "enough is enough," adding that a mobilized public is "stronger than the gun lobby."

Later Thursday, Vice President Joe Biden made a similar appeal in an online discussion on Google, saying: "Make your voices heard."

He insisted that a reasonable ban on semi-automatic weapons and high-capacity magazines, as well as strengthening background checks, presented no threat to the constitutional right to bear arms.

"It's not about keeping bad guns out of the hands of good people," Biden said. "It's about keeping all guns out of the hands of bad people."

President Barack Obama called for renewing the assault weapons ban as part of his package of gun control proposals announced earlier this month in response to the December 14 Newtown school massacre and overall gun violence in America.

Marine to senator: 'No ma'am,' I won't register my guns

Feinstein's measure would stop the sale, transfer, importation and manufacture of more than 100 specialty firearms and certain semi-automatic rifles, as well as limiting magazines to 10 rounds or less, she said. Not all of the weapons in the bill meet the technical definition of assault weapons.

The restrictions would not apply to guns owned before enactment of any law. Feinstein noted her proposal exempts from the ban more than 2,000 models used for hunting or sporting purposes.

"They are by make and model exempted from the legislation," she said, adding that the old ban had 375 such exemptions.

Those exemptions were an apparent effort to garner support for the measure from conservative Democrats and others expected to face fierce lobbying by the NRA and constituents.

Supporters of more gun control acknowledge the constitutional right to bear arms, but argue that rifles capable of firing multiple rounds automatically or semi-automatically exceed the reasonable needs of hunters and other gun enthusiasts.

They also contend that high-capacity ammunition magazines provide the capability for mass shootings such as the Newtown massacre.

Opponents contend the Second Amendment forbids the government from this type of limit on weapon ownership by citizens.

They worry that such a weakening of gun rights would signal a shift that would leave citizens defenseless against criminals and, some also argue, against potential future government tyranny or abuse. Instead, the NRA has called for increasing armed guards at schools to protect students.

Speakers at the event organized by Feinstein rejected arguments that anyone beyond the military or law enforcement officers needed such firepower.

"How are you going to hunting with something like that?" asked Philadelphia Police Commissioner Charles Ramsey, pointing to the assault weapons displayed to his left. "You kill something, there's nothing left to eat."

With new Congress comes a new push for gun laws

Continuing bloodshed on the nation's streets -- with dozens dying every day from gun violence -- should be enough evidence to overcome the past inability to get gun control legislation enacted, he argued.

"If the slaughter of 20 babies does not capture and hold your attention, then I give up because I don't know what else will," Ramsey continued, thrusting a pointed finger for emphasis.

At Feinstein's request, people who were injured or lost loved ones to gun violence, including several from the Virginia Tech massacre, then offered their support for her efforts.

Some told of losing a parent or child. Others described how attackers inflicted carnage so quickly.

Pam Simon, a staff member to Rep. Gabrielle Giffords of Arizona, said she was a few feet away from the congresswoman on the day both were shot outside a Tucson grocery store.

"On that day, 30 bullets were delivered in less than 30 seconds," Simon said.

NRA chief: Obama makes 'mockery' of American freedoms

Some of the weapons on display Thursday are currently against the law in the District of Columbia, and Democratic sources told CNN that Feinstein coordinated with police on being able to have the guns there.

NBC's David Gregory was recently investigated for holding a banned ammunition magazine on the network's "Meet the Press" program broadcast from Washington. No charges were brought in that case.

Obama's proposals include expanding and strengthening background checks on gun buyers to ensure all sales include screening to prevent weapons from going to criminals and the mentally ill.

While the gun lobby has indicated support for some improvements in background checks, it remains opposed to other steps, saying they won't prevent criminals from getting weapons.

Instead, gun advocates urge tougher enforcement of existing laws and making criminals serve their full sentences.

Biden led a panel assembled by Obama in December to examine gun control steps after the Newtown shootings, which sparked a fierce public debate over how to prevent such mass killings. Biden's recommendations formed the basis of the package of proposals Obama announced this month.

A recent CNN/Time Magazine/ORC International poll indicated that Americans generally favor stricter gun control, but they don't believe that stricter gun laws alone would reduce gun violence.

In announcing his gun control package, Obama also signed executive actions that call for tougher enforcement of existing laws and require federal agencies to provide data for background checks.

New York state recently enacted a series of new gun regulations, the nation's first since the Newtown shootings. Ten other states are reviewing some form of related action.

The issue is among the most politically divisive in the country, as demonstrated by the decision by Reed Exhibitions to postpone the nine-day Eastern Sport and Outdoor Show scheduled to start February 2 in Harrisburg.

On Tuesday, the NRA withdrew its support for the show due to the decision by organizers to ban modern sporting rifles from exhibition.

"We had called on Reed Exhibitions to reconsider their decision; unfortunately they have steadfastly refused to do so," an NRA statement said. "As a result, the NRA will not be participating in the upcoming show in Harrisburg or in any other shows hosted by Reed Exhibitions that maintain this policy."

In announcing Thursday that the show was off, a Reed Exhibitions official said the intent of excluding "certain products" was to focus on hunting and fishing traditions of the event.

"It has become very clear to us after speaking with our customers that the event could not be held because the atmosphere of this year's show would not be conducive to an event that is designed to provide family enjoyment," said Chet Burchett, the company's president for the Americas.

"It is unfortunate that in the current emotionally charged atmosphere this celebratory event has become overshadowed by a decision that directly affected a small percentage of more than 1,000 exhibits showcasing products and services for those interested in hunting and fishing," he added.

CNN's Halimah Abdullah, Kevin Bohn and Todd Sperry contributed to this report.

@highlight

NEW: Vice President Biden takes part in an online discussion on gun violence

@highlight

Sen. Feinstein warns of an "uphill road" to get her proposal passed

@highlight

The NRA says it is "confident" Congress won't pass Feinstein's measure

@highlight

The proposals come almost six weeks after the Newtown school massacre