Washington (CNN) -- Vice President Joe Biden faces a very delicate task this week as he makes a diplomatic visit to East Asia in hopes of turning down the volume on an increasingly noisy territorial tug of war.

The spotlight also provides Biden with an opportunity to remind people why Barack Obama chose him as his running mate and to tout his strong suit as he's mentioned as a possible presidential candidate in 2016.

Biden promises to press China on airspace dispute

Biden has decades of experience in international relations. He served as chairman or the ranking Democrat of the Senate Foreign Relations Committee from 1997 until he left Congress in 2008 following Obama's victory.

"This trip, if nothing else, reinforces the notion of why Joe Biden was put on the ticket in the first place and has emerged as one of the best vice presidents in history," Larry Rasky, a longtime senior political adviser to the Democrat, told CNN. "He was equipped for this job before he got there. He's not going to China for that reason, of course, but it certainly doesn't hurt."

"It's definitely his wheelhouse. He has the relationships, the global credibility. There's no on-the-job training necessary."

Biden flies in to diplomatic turbulence in Asia

The long-planned trip, which was originally to focus on economic issues, comes as tensions in East Asia are on the rise.

"The Vice President's trip comes at an important time for the country and therefore it makes him that more relevant and reminds Americans of his longtime role in the Senate and his experience with foreign policy," Stuart Rothenberg, editor and publisher of the non-partisan Rothenberg Political Report, told CNN.

China's air defense zone: What you need to know

Biden's first stop was Tokyo, where longtime ally Japan and the United States are pushing back against China's recent declaration of a restricted flight zone over parts of the East China Sea that include some islands claimed by both China and Japan.

In a meeting on Tuesday with Japanese Prime Minister Shinzo Abe, Biden said the United States was "deeply concerned by the attempt to unilaterally change the status quo in the East China Sea."

Biden reaffirmed that "the United States looks to our alliance with Japan as the cornerstone of stability and security in East Asia, and we are fully committed to our announced strategy of rebalancing as well in the Pacific," according to a White House transcript of the meeting.

And in an interview with the Ashai daily newspaper, Biden rejected concerns that the United States may not have staying power in the region, saying "economically, diplomatically, militarily, we have been, we are, and we will remain a resident Pacific power."

The White House highlighted Biden's experience in global diplomacy on Monday.

"He has an excellent relationship with the leaders of all three countries and he will underscore how important it is to avoid actions that raise tensions and to prevent miscalculations that could undermine peace, security and prosperity in the region," White House Press Secretary Jay Carney told reporters.

In Japan, Biden promises to press China on airspace dispute

"This is an opportunity for Vice President Biden to raise our concerns directly with policy makes in Beijing and to seek clarity in regarding the Chinese intentions in making this move at this time. It's also an opportunity for us to confer with our allies, Japan and the Republic of Korea, both of whom are directly affected by China's actions," Carney added.

Rasky said the most important thing for Biden right now, as it relates to any possible White House run in 2016, is to continue to serve as a strong No. 2.

"The main thing that the Vice President has to do is do his job, and do it well," Rasky added.

Biden has not said whether he'll make a third run for the Democratic presidential nomination following unsuccessful bids in 1988 and 2008.

"I can die a happy man never having been president of the United States of America. But it doesn't mean I won't run," Biden said in a July interview with GQ magazine.

His trip in September to Iowa, the state that traditionally kicks off the presidential primary and caucus calendar, sparked more speculation about his ambitions.

Biden, who went to the Hawkeye State to headline Democratic Sen. Tom Harkin's annual steak fry, a must stop for Democratic White House hopefuls, joked, "It's amazing when you come to speak at the steak fry, a whole lot of people seem to take notice. I don't know why the hell that is."

Most of the speculation about possible 2016 Democratic candidates is focused on whether former Secretary of State Hillary Clinton will run again.

All polling suggests Clinton would be the immediate and overwhelming frontrunner for the nomination if she does.

The most recent national survey on a potential Democratic field came from CNN/ORC International two weeks ago and indicated that 63% of Democrats and Independents who lean towards the Democratic Party said Clinton was their early choice for the nomination, with Biden second at 12%.

CNN 2016 poll: Clinton favored for Democrats

But how would the race for the Democratic nomination shape up if Clinton forgoes another run for the White House?

Hillary Clinton and the sisterhood

If that's the case, the poll suggested that 43% of Democrats would support the Vice President, with freshman Sen. Elizabeth Warren of Massachusetts at 17%, and New York Gov. Andrew Cuomo at 15%.

Of course, polls conducted this early in an election cycle, far before any possible contenders have declared their candidacy, are partially a reflection of name recognition. And Biden of course, has a lot of name recognition.

Crossfire: Support for Biden, Christie in 2016

While the headlines this week from Biden's trip will add to that name recognition and further beef up his foreign policy and commander-in-chief credentials, Biden has a problem if Clinton runs again.

"Clearly, Joe Biden is not an amateur when it comes to U.S. foreign policy, but unfortunately for him former Secretary of State Hillary's Clinton's experience in that realm trumps his," Rothenberg added.

@highlight

Asia trip gives Biden opportunity to remind people why Obama chose him as running mate

@highlight

Biden was to discuss economic issues on trip but focus shifted to rising tensions with China

@highlight

VP has decades of experience from his time on Senate Foreign Relations Committee

@highlight

Biden tells Asian allies -- and China -- that "we will remain a resident Pacific power"