(CNNGo) -- This summer, London, understandably, is mostly concerned with heart and nerve and sinew.

The fittest, leanest, most Lycra-becoming humans alive today are to compete in the London 2012 Olympics and millions of mortals will watch with awe, excitement and possibly a little envy. And Usain Bolt will earn more fame, fortune and adulation in 10 seconds than most of us earn in a lifetime.

But there is culture of a different kind to be found too -- in the form of London's World Heritage Sites.

These UNESCO-endorsed sites have been around for decades, even centuries, and this July and August could just be the perfect time to see them.

Tea time in London: 3 modern teahouses

1. Tower of London

Ever wondered what it would have been like to be strapped to the rack? See the dreaded machine in the Bloody Tower at the Tower of London and learn about various forms of torture used during the reigns of Henry VIII, Elizabeth I and Mary I.

From St. Thomas' Tower, where the monarch's barge was moored, walk along the south wall for a view across the river to Tower Bridge.

Down in the courtyard the resident ravens are kept in their enclosure. Legend has it that the Tower will fall if the six ravens ever leave, so seven are kept, providing one spare.

Some exhibits are interactive -- visiting school children enjoy putting on the helmets in the White Tower's armory. But these are attached to chains, so there's no taking them home.

This is where it all began, with William the Conqueror constructing a fortress here in the 11th century. The massive White Tower provided a haven in case the newly conquered English rebelled.

Fortifications were added by successive English monarchs, who also used the Tower as a prison.

The Crown Jewels are on display in the Jewel House, from diamonds to maces and crowns, the heaviest of which is the 2.23-kilo, solid gold St. Edward's crown made in 1661.

To brush up for that trivia quiz, the biggest, brightest and best are listed online.

www.hrp.org.uk

CNNGo.com: Ultimate guide to the Olympics

2. Westminster Abbey

We've seen it on television for Princess Diana's funeral and the wedding of William and Kate, but no visitor to London should miss stepping inside Westminster Abbey.

History tours are led by a verger, one of the laymen assisting in the church.

King Edward, later St. Edward the Confessor, built a stone church here. Consecrated in 1065, it saw William the Conqueror crowned there a year later, as England's monarchs have been ever since.

In the 13th century Henry III rebuilt the church in the Gothic style we see today. His burial here in 1272 established a royal tradition that lasted 500 years.

Many famous people have been laid to rest in the Abbey, from Charles Darwin and Sir Isaac Newton to those in Poets' Corner like Geoffrey Chaucer, Alfred Lord Tennyson, Charles Dickens and Robert Burns.

In the Nave we pay our respects at the grave of the Unknown Warrior.

Other highlights include the 709-year-old wooden Coronation Chair and the marble pavement in front of the High Altar, decorated in 1268 by the Cosmati method of inlaying small pieces of colored marble into a plain background.

At the shrine of St. Edward the Confessor, steps at the base have been worn away by the knees of visitors.

Visitors can inspect the adjacent medieval St. Margaret's Church at their leisure.

www.westminster-abbey.org

CNNGo.com: Asia's unseen UNESCO World Heritage sites

3. Royal Botanic Gardens at Kew

While most people know Sir Joseph Banks as the botanist who accompanied Captain James Cook on his voyage to the South Seas, which also took in the continent of Australia, many might not be aware of Banks' accomplishments on returning to England.

After he took over as head of the botanic garden at Kew in 1773 its international reputation grew, with researchers bringing botanic specimens from as far afield as India, Africa, China and Australia.

That tradition continues today with a scientific program aimed at saving threatened species. Plants from all over the world are preserved in climate-controlled atmospheres and this history of botanical achievement is a prime reason for the World Heritage listing.

The other reason is that its landscaped gardens and associated architecture represent developments that were to have an influence throughout the world.

Two massive iron-framed glasshouses, the Palm House and Temperate House, dating from the 19th century, became impressive models for conservatories around the world.

Also included among 44 listed buildings is Kew Palace, formerly home to King George III.

For something modern there's the Rhizotron and Xstrata Treetop Walkway, opened in 2008. Designed by Marks Barfield Architects, renowned for the London Eye, this 18-meter-high, 200-meter-long walkway takes visitors around the crowns of lime, sweet chestnut and oak trees.

www.kew.org

4. Palace of Westminster

After passing through airport-style security, the tour of the Palace of Westminster, which houses the British Parliament, begins in the 11th-century Westminster Hall. This hall has the largest clear-span medieval roof in England.

There's the Queen's Robing Room, where the monarch dons her official robes and crown for the annual Opening of Parliament. Paintings of King Arthur and his knights adorn the walls.

Bill Gates, Michael Jackson and Michelle Obama have stood in the Royal Gallery, where in 1984 French president FranÃ§ois Mitterrand delivered a speech between frescoes of British victories at Trafalgar and Waterloo.

In the House of Lords Chamber there's a spot where civil servants sit, writing answers for questions put to Ministers.

Standing at the dispatch box in the House of Commons chamber visitors get to play the role of prime minister. On view in St. Stephen's Hall is the statue to which Emily Pankhurst chained herself during the suffragettes' protest movement.

Back in Westminster Hall, the guide indicates the dreaded King's Chair, where Charles I, William Wallace (Braveheart) and Guy Fawkes were tried and condemned.

Leaving the palace, statues of republican warrior Oliver Cromwell and crusader-king Richard the Lionhearted bring to mind the tortuous history Britain has endured to gain a democratic parliament that sits in a once-royal palace.

www.parliament.uk

CNNGo.com: 10 free activities in and around London

5. Maritime Greenwich

Greenwich Mean Time is set at the Royal Observatory in this London borough, mandating time on clocks around the globe. Also at the Royal Observatory is the Prime Meridian, establishing the world's settings for longitude.

Located by the Thames in southeast London, Maritime Greenwich boasts more than the observatory, however.

"The ensemble of buildings at Greenwich ... symbolize English artistic and scientific endeavour in the 17th and 18th centuries," the UNESCO listing reads.

Architectural highlights include the Queen's House, the first true Renaissance building in Britain, and Sir Christopher Wren's beautiful baroque buildings, especially the twin domes of the Painted Hall and Chapel of Saints Peter and Paul, part of the Old Royal Naval College.

The National Maritime Museum features a wave tank for experiments, toy boats illustrating maritime history and until September 30, a small exhibition focusing on personal stories of survivors of the Titanic.

Something special is the Cutty Sark. Built in 1869 and "re-launched" last April following extensive repairs in the wake of a fire in 2007, she is said to be the "last surviving tea clipper and the fastest and greatest of her time."

Note: During the 2012 Olympic Games Greenwich Park will host modern pentathlon and equestrian events.

Information: Visit Greenwich

© 2011 Cable News Network Turner Broadcasting System, Inc.  All Rights Reserved

@highlight

If you tire of athletics, take a stroll through London's World Heritage sites

@highlight

Sites are perfect for tourists interested in royal history, nature, art, and science

@highlight

Buy tickets ahead of time for those with paid admission and plan for long lines