(CNN) -- More state restrictions on fishing in the Gulf of Mexico were lifted Monday as the fall shrimping season began, but efforts to permanently plug the ruptured BP oil well were delayed again.

The worst oil spill in U.S. history has hobbled fishermen across the Gulf as federal and state authorities put much of its waters off-limits due to safety concerns. With the well capped on a temporary basis for a month, the National Oceanographic and Atmospheric Administration and the Gulf states have begun lifting those restrictions -- but Louisiana shrimpers like Anthony Bourgeoif say more needs to be done, and soon.

"It's open down over here with small shrimp, where it should be open over there where the big shrimp are," Bourgeoif told CNN. "Can't make no money with no little shrimp, man."

Bourgeoif said he planned to go out, because "I ain't made nothing since the BP spill." But he was concerned that inspectors might find signs of oil in his catch and make him dump it.

"So why go out there and catch it if they're just going to be dumped, and I ain't going to make no money off it?" he asked. "I've got to make money. I've got four grandkids I'm raising, man."

Deborah Long, a spokeswoman for the Southern Shrimp Alliance, said it will likely take days to assess what impact the spill has had on the Gulf catch. And while some shrimpers are eager to get back out, many are still working for the well's owner, BP, which has hired many boats to skim oil off the surface and lay protective booms along the shorelines.

And concerns about the long-term impact of the spill persisted with a new report from researchers at the University of South Florida, who reported that oil from the Deepwater Horizon spill may have settled to the bottom of the Gulf of Mexico further east than previously suspected -- and at levels toxic to marine life.

Initial findings from a new survey of the Gulf conclude that dispersants may have sent droplets of crude to the ocean floor, where it has turned up at the bottom of an undersea canyon within 40 miles of the Florida Panhandle. The results are scheduled to be released Tuesday, but CNN obtained a summary of the initial conclusions Monday night.

Plankton and other organisms at the base of the food chain showed a "strong toxic response" to the crude, and the oil could well up onto the continental shelf and resurface later, according to researchers.

"The dispersant is moving the oil down out of the surface and into the deeper waters, where it can affect phytoplankton and other marine life," said John Paul, a marine microbiologist at USF.

The spill erupted April 20 with an explosion that sank the offshore drilling platform Deepwater Horizon. The blast killed 11 men and uncapped an undersea gusher that spewed an estimated 205 million gallons of oil into the Gulf before it was temporarily shut in July 15.

Thad Allen, the federal government's point man in the Gulf, said Monday that attempts to permanently seal the well won't start until the latest potential problem is evaluated. Allen said engineers are now concerned about how to manage the risk of pressure in the annulus, a ring that surrounds the casing pipe at the center of the well shaft.

The "timelines won't be known until we get a recommendation on the course of action," Allen said.

Scientists began new pressure tests last week to gauge the effects of the mud and cement poured into the well from above during the "static kill" procedure that started August 3. From those pressure readings, they believe that either some of the cement breached the casing pipe and leaked into the annulus, or cement came up into the annulus from the bottom.

The scientists believe that process may have trapped some oil between the cement and the top of the well, inside the annulus. Now, given that new variable, they're trying to figure out how to safely maintain the pressure within the well before launching the "bottom kill," a procedure aimed at sealing the well from below.

Allen told reporters that when it comes to giving a green light to the "bottom kill" of the well through the nearby relief well, "nobody wants to make that declaration any more than I do." But the process "will not start until we figure out how to manage the risk of pressure in the annulus."

"We're using an overabundance of caution," he said.

Allen said crews could remove the capping stack that sealed the oil in the well on July 15, then replace the well's blowout preventer with a new one stored on the nearby Development Driller II in the Gulf. Allen said a new blowout preventer would be "rated at much higher pressure levels than the annulus."

The other option would require BP to devise a pressure-relief device for the current capping stack.

Once crews get their marching orders, it will take them about 96 hours to prepare, drill the final 50 feet of a relief well and intercept the main well. Then, the bottom kill process of plugging the well from below would begin.

BP acknowledged Monday that the disruption the oil spill has caused to lives across the Gulf coast has built up tension among residents.  In response, the company announced Monday it is providing a total of $52 million to five behavioral health support and outreach programs.

BP released a statement saying it would give the federal Substance Abuse and Mental Health Services Administration $10 million; the Florida Department of Children and Families, $3 million; the Louisiana Department of Health and Hospitals, $15 million; and the departments of mental health in Mississippi and Alabama, $12 million each.

"We appreciate that there is a great deal of stress and anxiety across the region, and as part of our determination to make things right for the people of the region, we are providing this assistance now to help make sure individuals who need help know where to turn," said Lamar McKay, president of BP America and incoming leader of BP's Gulf Coast Restoration Organization.

CNN's Vivian Kuo, Reynolds Wolf, Ed Lavandera, Rich Phillips, Matt Smith and Chris Turner contributed to this report.

@highlight

NEW: "Can't make no money with no little shrimp"

@highlight

NEW: Oil traces said to spread east on sea floor

@highlight

No timeline set for bottom kill as scientists study well pressure

@highlight

BP pledges $52 million to behavioral health support