(CNN)Every week in the heart of Nima, a slum in the Ghanaian capital of Accra, families congregate at a local mosque. When the time comes, young girls say goodbye to their loved ones and part ways, filing up concrete steps leading up to the floor above.

There, inside a large room dotted with brown tables, rows of flashing computer screens await for them.

"When the parents are praying [downstairs], we are teaching the girls upstairs," explains tech entrepreneur Regina Agyare, who comes here every week to teach local teens how to code.

Agyare's first visit to see the girls -- students at education project Achievers Ghana -- was in January 2014. This was supposed to be a one-off seminar as part of her mentorship initiative "Tech Needs Girls" -- however, the students proved quite a draw.

"I fell in love with them, so I decided to set up a coding club and started having regular sessions," says Agyare, founder of software development company Soronko Solutions.

More importantly, continues Agyare, it offered the opportunity to show "the community the value of educating girls."

A predominantly Muslim area in a largely Christian nation, Nima has one of the densest populations in Accra. Agyare says life is often challenging for many  local girls, with some growing up without ever leaving the community.

"Girls were being forced to marry early; [denied] their right to go to school. Most of their dreams and aspirations were limited to just what was around them.

"I was shocked... I thought we had progressed as a nation. I thought we had gone past that."

This, in part, was why Agyare lent her support to Achievers Ghana.

Set up by local Amadu Mohammad, the non-profit organization supports 250 girls between the age of six and 18, priming them for formal education through extracurricular classes in reading, math, poetry and information technology. Its goal is to break through social barriers and provide Nima with a generation of female role models, and so the group provides school funding to help the girls shape their own future.

The project was bequeathed its classroom above the mosque it shares a building with, and Agyare says the two work closely together. Achievers Ghana met initial resistance from local conservatives, but when the mosque's chief imam Sheik Hussein Abdul Rahman championed Mohammad's vision, few maintained their reservations.

Now, with parents paying a nominal fee towards the running of the organization, it is in everyone's interest that the girls succeed.

Fourteen months after her first visit, Agyare's coding class is well established. She has set up a mentor scheme as part of "Tech Needs Girls," recruiting and training women at university to act as role models for her younger students in Nima.

In each class, around 50 girls are taught HTML and run a blog called "Slum Voices".

"I definitely feel [technology] has given them more of a voice," Agyare says. "I feel like it's allowed them to express themselves and interact with others... for them, it's important to be heard."

Some girls had never used a computer before the classes began, but Agyare's even-handed approach has brought all her students up to the same standard. Agyare insists that "we don't leave anyone behind."

To that end, a few young male faces have found their way into her classroom.

This was an accidental revelation, according to Agyare. She details the story of one affronted boy.

"He wrote that he didn't like it when he saw girls learning about computers... it was difficult [for him] to see girls being empowered; he wasn't used to that."

Agyare realized that by integrating genders in her classroom she could begin to confront gender expectations.

For many boys the role of a girl is "to be their wife," Agyare explains, "and she needs to be taken care of." However, by running mixed classes boys from an early age "can learn to see a woman as a contributing person [within society]."

Now the hope is that many of the young students will be able to go to university -- and Achievers Ghana is working on a scholarship program to make the prospect attainable.

Agyare says the goal is not to turn every girl into software developers but to enable them to "use technology in whatever field they find themselves."

She adds: "It would be great if we had some girls that decided to go on and study computer science, but really it's about helping them reach their full potential ... and bring change to the community."

Read this: 5 reasons why tech needs geek girls

More from African Start-Up

@highlight

Many girls in Nima,one of Accra's poorest slums, receive little or no education

@highlight

Achievers Ghana is a school funded by the community to give the next generation a better chance of success

@highlight

Girls are being taught to code by tech entrepreneur Regina Agyare, who believes her students will go far