(CNN) -- So it comes down to this: On Tuesday, the president who can't possibly win re-election confronts the challenger who can't possibly beat him.

Licensed, as I am, to pump gas and commit punditry in all 50 states and the District of Columbia, I am obligated to make a prediction.

Or, in other words: It's time to guess.

Three weeks ago, on NBC's "Meet the Press," I ventured that something happened at that Denver debate beyond President Barack Obama not showing up for work.

The president, I noted, had never run a campaign to get re-elected, just a campaign to stop the other guy, Mitt Romney, from getting elected. When the Romney who arrived to debate was not the sulfur-breathing demon the president had led us to expect, Obama was left with no campaign at all.  "This is a man with two empty holsters," I noted. "His campaign could collapse."

I think it did.

Romney: My vision for America

Then an unexpected voter named Sandy resuscitated Obama's campaign.

What factors must we understand in these final hours to identify the winner of this election?

First, we'd have to understand who is going to win independents.

Four years ago, Obama won independents by 8 points over John McCain. After the Denver debate, that advantage reversed itself. In recent Washington Post/ABC News tracking polls, Obama has trailed Romney among independent voters by 16 to 20 percentage points.  Recent CBS polls also reported that Romney has led Obama among independents by 5% in Ohio, 6% in Florida and a massive 21% in Virginia. 

If this lead among independents held through Election Day, Romney would win these states. Post-Sandy survey data, however, indicates the storm may have blown away Romney's advantage with independents, at least temporarily.

The Politico/GW Battleground Poll has the president pulling within 1 point among independent voters, 43% to 44%. Our own PurplePoll of swing states has the president taking a one point lead among purple state independents, 45% to 44%. However, the final NBC/WSJ national poll reports that Romney is winning independents by 7 points. And the new CNN/ORC poll gives Romney a 22% lead with independents.

Who wins independents might depend upon whether Obama's "Sandy bounce" was a real change or a temporary bump in the president's fortunes. If voters believe the president's energetic response indicates he has learned a lesson and will be more responsive to them in a second term, this election could break Obama's way.

Obama: My vision for America

Second, to identify the winner, we'd have to see whether Romney has closed the gender gap. 

The latest Associated Press poll has Romney erasing a 16-point gender gap in the past month. Pew Research tells us Romney's and Obama's favorability ratings among women voters are now nearly equal.  Pew analyst Michael Dimock expects the gender gap "to look very similar to the last few election cycles, with women somewhere between 6 and 8 points to favor Obama, and fairly consistent with where we've been since 1980." Our own post-Sandy PurplePoll has Romney closing the gender gap to 7 points, enough for him to win.

Third, to call the election for Obama, I'd have to believe he doesn't hit his head on the ceiling every time he stands, but he does.  The president's percentage number is stuck some 2% or 3% short of the 50% mark.

The Real Clear Politics national average has Obama stuck at 47.8% with Romney tight on his heels at 47.3%. Our last two PurplePolls of likely voters in swing states have Obama at 47% to 48%.

Surveys that show a higher percentage for the president, cracking the 50% line, such as the overcooked Marist poll in Ohio, are preposterously overweighted with Democrats. 

Marist unexplainably paints Ohio 9% more Democrat than Republican, with the Republican share of the electorate lower today than in 2008, when Republicans were swallowing razor blades and Obama mania was cresting.  Other surveys, which perhaps have spent less time in the crock pot, show a different Ohio:  A CBS/NYT poll reports Republican enthusiasm outstripping Democrat enthusiasm in Ohio by 14 points.

Politics: If Obama wins...

My experience is that polarizing incumbents running against acceptable challengers can count on getting just about exactly what they are getting in the last poll, heading into the election -- and no more. The electoral ceiling over Obama's head is hard. In my view, it is a couple of points too low for him to win re-election.

What else would we have to understand to identify the likely winner?

Fourth, we'd have to see who has captured the powerful remnants of the 2010 surge that renewed the "silent majority's" voice and secured GOP control of the House of Representatives.

Anecdotal evidence and survey data tell us that Romney has momentum with white, working-class men in swing states and nationally. 

A new poll from the conservative American Future Fund has Romney within a point in blue-collar Minnesota. Obama's campaign is suddenly running ads in a working-class state such as Pennsylvania that he had previously put in his pocket.  New data has Romney tied with Obama in Pennsylvania, 47% to 47%, within 2 points in Ohio, and tied with the president in New Hampshire.

Meanwhile, Romney is drawing the largest crowds of his campaign, packed with those Reagan-Democratic men, in, of all places, Ohio.  Early on Election Night, if Romney starts winning blue-collar, working class counties in western Pennsylvania, he will win them everywhere, including Ohio, Iowa, New Hampshire and Minnesota.  At this point, it is almost impossible for Romney to win the presidency small. He either loses or puts around 300 electoral votes in the bank.

Fifth, to identify our next president, we would have to understand who has the edge, compared with '08, in early and absentee voting.

GOP sources tell me that in Ohio, for example, Republicans have increased their early turnout by more than 100,000 from 2008 while Democrat turnout is down 150,000. That is a 250,000-vote swing in a state Obama only won by 260,000 votes at the apogee of his popularity. This pattern, I'm informed, holds in other swing states.

Sixth, we have to examine whether the Obama campaign can compensate for dimming passion among its supporters with a more energetic turn-out-the-vote machine on Election Day.

It's fair to admit that Team Obama has had a four-year head start, nearly endless resources and a brilliant team of social media wizards to build an unmatched get-out-the-vote operation. But Obama has disappointed even his own supporters. The thrill of his historic political accomplishment is gone. Without passion to fuel the machine, a turnout engine is just a collection of bolts.

Politics: If Romney wins...

My experience is that the Beatles were right:  Money can't buy you love, or turnout. 

Seventh, to identify our next president, we have to understand how publicly embarrassing it is to be a Republican these days.  

Hollywood, the music industry, the news media, the fashion industry, the intellectual elite and the news media all fawn over Obama. To identify yourself as a Republican Romney voter, however, is to admit that you are culturally backward. In effect, survey questioners are asking Obama voters if they self-identify as cool.  They are asking Romney voters if they would publicly admit to wearing socks with sandals.

Too often, Republicans dare not speak their name, because they know the cool kids won't invite them to play.

This phenomenon, the reticent Republican factor, like the shy Tory factor found in British polls in the '90s, could easily account for a 4% to 5% unexpected pro-Romney bump on Election Day.

Late polls in 1980 gave Ronald Reagan only a 2% to 3% lead over Jimmy Carter.  Reagan ended up winning by nearly 10%.  For the same reason, I would expect this campaign's final public opinion polls and exit polls this Tuesday to underreport the Republican vote by a handful of points.

Add it all up, and this is a close call. Perhaps it is best made both with my heart and my head.

Four years ago, Obama's campaign claimed a unique energy.  Electing the first black president of the United States was a singular moment of national pride. Now the Obama campaign pretends the opposite: They tell us that history-making event was ordinary.  Team Obama and many others model their turnout predictions and surveys upon 2008, overloading them with Democrats. They would have us think that the electoral cosmos has been realigned in a stable and permanent way.

In the end, I cannot embrace as common the rarest of political astronomies. I do not believe Obama's comet comes around every day.

That leaves Mitt Romney as the next president of the United States.

Opinion: What's really at stake in election 2012

The opinions expressed in this commentary are solely those of Alex Castellanos.

@highlight

Alex Castellanos says it takes some guesswork to predict outcome of such a close election

@highlight

He says several factors make Mitt Romney more likely to win

@highlight

Romney has made progress in reducing gender gap and may have an edge with independents

@highlight

Castellanos: Obama hasn't cracked 50% barrier, and his 2008 win looks unlikely to repeat