(CNN) -- Pull over for a second, America. We know it's hot out there. But Congress is about to decide whether your life on the road will get easier or be more difficult.

In just over two weeks, the multibillion-dollar Federal Highway Trust Fund will hit a financial wall. Yes, another fiscal crisis. This time with the account that funds road and bridge projects.

But unless Congress extends more funding by August 1, the Department of Transportation says the account balance will dip too low and the agency will start pulling back on money paid to states for transportation infrastructure.

The House on Tuesday approved a nearly $11 billion proposal to keep the money flowing for about a year, and the Senate appears ready to follow up.

Take in five ways this highway crisis could affect you:

1. Your car repair bill: Seriously. According to AAA, the average American spends $324 a year on additional repairs and maintenance caused by poor road conditions. And that's just average. People in Los Angeles pay an estimated $832 a year because of bad roads, according to the nonpartisan TRIP organization which is funded by a variety of transit industry groups. It's $673 in New York City, $784 in Tulsa.

It's a lot of money. And now, because of the uncertainty with the Highway Trust Fund, many states have delayed repair projects slated for coming months.

Take New Hampshire, unhappy owner of massive cracks and potholes from the overly long winter. Thanks to congressional indecision, the state put off seven major paving projects and 11 other projects (including bridge repairs). That bump you feel from the road could be a crack in the Highway Trust Fund.

2. Prices at the pump: Brace yourself. The price of gasoline could go up. Not because of the federal gas tax, which is the main source of money for the highway trust fund.

Congress hasn't raised the 18.4-cent fee in 20 years. (That's one reason the account itself is continually running out of fuel).

But while "tax" has become a four-letter word for some in Washington, states are starting to see it as a solution. Eight states raised their gas taxes last July.

Just last month, tax-averse New Hampshire enacted its first gas tax increase in 23 years. Even conservative Texas lawmakers are seriously considering it.

3. Traffic problems: Here's where things get really interesting. For some, the highway funding tangle could briefly improve their traffic situation. For others, it means a longer wait for help.

Where will traffic improve? In a few places where road construction crews have derailed the usual traffic patterns. In those places, in the very short term, a freeze in funding could also freeze the hassle and bottlenecks caused by construction.

Where will traffic take a hit? Places that need road or bridge expansions. Like southeast Iowa. A new $1 billion fertilizer plant is under construction near Ft. Madison and the state was planning to expand the nearby highway -- US 61 - from two-lanes to four.

Instead, Iowa DOT spokesman Stuart Anderson said the start of that work is delayed at least until October. So, the heavy trucks going back and forth to the fertilizer work site share the road, a smaller road, with everyone else.

Or Oklahoma, which is holding its breath, waiting as long as it can before delaying any work. Spokesman Terri Angier of the Oklahoma Department of Transportation said the state is planning to take bids for new road projects next week, but won't act on the bids until Congress agrees to a trust fund deal.

Furthermore, if there's no deal by August, Angier said the Sooner State may suspend some major traffic projects already underway, including the widening of a major interstate, I-40, to a rapidly growing Oklahoma City suburb.

And in Massachusetts, a state whose roads are known for their heavy traffic, "the vast majority of MassDOT's road and bridge projects" could grind to a halt, according to spokesman Michael Verseckes. He sent an e-mail, saying "virtually everything would be forced to stop" if the Highway Trust Fund started to run dry.

4. You've heard about the economy, right?: You may not be a construction worker. Or maybe you are. But you probably are someone who realizes the U.S. economy is still fragile.

How much could a highway trust fund freeze hurt the economy? You may see some figures on the Web, but the truth is there is no reliable estimate for how many jobs could be affected, in part because not every state has decided exactly which projects to suspend. The White House Monday said it would mean "many thousands" of jobs.

We do know this. The American Road & Transportation Builders Association estimates 1.7 million Americans are directly employed in road, bridge and transit construction. And another 1.7 million have jobs that supported by the road construction business or infrastructure they put in place.

Just the loss of thousands of construction jobs alone -- at the height of construction season -- is something that could ripple out to everyone else in the economy.

5. Congress keeps acting badly, operating in crisis mode: Perhaps worst of all, lawmakers could walk away from this crisis, like they have from others, without any significant change in the impending fiscal problem. That's true whether they meet the August 1 deadline or not.

But there appears to be movement toward a rare bipartisan solution.

Senate Democratic leaders have agreed to pass a nearly $11 billion House measure that would extend the life of the Highway Trust Fund through next spring, CNN has learned.

Two top Senate Democratic leadership sources said the plan is for the Senate to vote on the issue early next week. Multiple Democratic and Republican sources also said the House bill is expected to get strong bipartisan support in the Senate.

Regardless of what happens with this deadline, the next Congress is likely to face another Highway Trust Fund crisis next May. Just in time for your Memorial Day.

With deadline looming, Obama to push infrastructure

@highlight

Federal trust fund that pays for road repairs is running out of money - fast

@highlight

Congress facing August 1 deadline to act to avoid spending reductions

@highlight

No action could worsen road conditions, traffic congestion

@highlight

Construction jobs and other economic benefits could be casualties of inaction