Atlanta, Georgia (CNN) -- The cholera epidemic already blamed for more than 1,100 deaths in Haiti could worsen because of poor sanitation in the earthquake-ravaged country, U.S. medical researchers reported Thursday.

A lack of treated drinking water, coupled with poor hand hygiene and food-preparation practices, make the 1.3 million people still living in camps particularly vulnerable, according to a new study published by the U.S. Centers for Disease Control and Prevention.

"The course of the cholera outbreak in Haiti is difficult to predict," the report states. "The Haitian population has no pre-existing immunity to cholera, and environmental conditions in Haiti are favorable for its continued spread."

Jordan Tappero, a CDC epidemiologist in Haiti, said Haitian authorities and aid agencies are working to limit the epidemic by emphasizing clean water and sanitation. But he added, "We expect we will be working very hard for many months to come."

Haiti has not reported a cholera outbreak in more than a century. The current epidemic was first reported in October and has now spread to eight of the Caribbean nation's 10 provinces, the CDC found.

Reports linking the outbreak to Nepalese troops from the U.N. peacekeeping mission MINUSTAH sparked riots in the northern port city of Cap-Haitien on Tuesday. A new round of violent protests erupted Thursday in the capital Port-au-Prince, eyewitnesses told CNN.

U.N. officials have denied the Nepalese were to blame for the outbreak. The CDC has said the strain of the cholera bacteria responsible is "indistinguishable" from one found in other parts of the world, including south Asia, but researchers are unlikely to be able to pinpoint how it arrived in Haiti.

"The reality is that we have a serious problem here," CDC spokeswoman Lola Russell said. The emphasis is on controlling the outbreak, "so that more people do not become ill and potentially die from cholera."

The epidemic comes as Haiti -- already the poorest country in the Western Hemisphere -- struggles to recover from the January earthquake that killed more than 200,000 people. Even before the quake, only 12 percent of the Haitian population of 9.8 million received treated tap water and only 17 percent had access to adequate sanitation, the CDC noted.

"The water safety and sanitation systems in Haiti were weak be before the earthquake and made weaker by the earthquake, so conditions are ripe for the further spread of cholera," Tappero told CNN.

Some symptoms of cholera, an acute, bacterial illness caused by drinking tainted water, can be mild or even nonexistent. But the disease can cause profuse watery diarrhea and vomiting, leading to death by rapid dehydration.

The heart of the outbreak is the Haitian province of Artibonite, north of Port-au-Prince. Interviews with victims hospitalized in the first days of the outbreak found that two-thirds of them had been drinking untreated water from rivers or canals, the same percentage did not routinely use chlorine to sanitize drinking water and nearly four out of five defecated in the open.

And as the current outbreak spreads, infected people could spread the disease further by preparing food without proper hygiene, the CDC reported.

"The way to prevent acquiring cholera when sanitation is poor is to take your water from a clean water source or treat water yourself in the home, and use good sanitary practices with clean water when preparing and cooking food," Tappero said.

CNN's Miriam Falco and Matt Smith contributed to this report.

@highlight

U.S. report says the cholera outbreak's course is "difficult to predict"

@highlight

Haiti hasn't seen a cholera outbreak in more than a century

@highlight

The epidemic has killed more than 1,100 in the earthquake-ravaged nation