Washington (CNN) -- Senate Democrats proposed a $110 billion measure Thursday to put off mandatory across-the-board spending cuts set to take effect March 1.

The package made public by Senate Democratic leaders calls for replacing the so-called sequester cuts with a combination of increased tax revenue from millionaires, ending agriculture subsidies and reducing defense spending after the war in Afghanistan ends.

Republican leaders in Congress have demanded that Democrats come up with a plan for avoiding the imminent cuts, technically known as sequestration.

However, the GOP opposes any increase in tax rates or other steps to bring in more tax revenue, saying the nation needs to reduce the cost of government.

Kerry: Cuts would hit foreign aid, diplomatic security

"I would respectfully disagree that the American people are going to suddenly demand more tax hikes," an aide to Senate Republican leader Mitch McConnell said.

A White House statement said that opposing what it called the balanced plan by Senate Democrats would amount to prioritizing "tax loopholes that benefit the very few at the expense of middle- and working-class Americans."

The issue extends a long-running political dispute over government spending and federal deficits that dominated President Barack Obama's first term, as well as his successful re-election campaign last year.

Republicans were forced to concede on their steadfast opposition to increased taxes by agreeing in January to higher rates on top income earners as part of a deal to avoid some of the harshest impacts of what was known as the fiscal cliff, which included the sequester cuts and automatic tax hikes.

Napolitano: Spending cuts will hurt homeland security

That agreement put off action on the sequester cuts, which were mandated by a 2011 agreement to raise the federal debt ceiling.

The purpose of the deep cuts to all discretionary programs and the military was to motivate Congress to reach a comprehensive deficit reduction agreement that would replace it.

However, such a deal has proved impossible, leading to the imminent application of $85 billion in spending cuts for 2013 and almost $1 trillion over 10 years.

Defense Secretary Leon Panetta and other officials warn that the cuts will have a dire impact on government operations and military readiness. The Pentagon would absorb about half of the reductions.

While the White House and congressional leaders from both parties oppose sequestration, the approach for averting it has become the latest congressional showdown involving ideological differences over the size and role of government.

House Speaker John Boehner noted on Thursday that the House passed bills last year to prevent the cuts from affecting the military, but Senate Democrats never acted.

"Those days are over," Boehner declared, but he also signaled a willingness to negotiate with the Senate over any legislation it sends over. "It's time for the Senate to do their work. We can ... if they're willing to pass a bill, we'll find some way to work with them to address this problem."

Panetta: World is watching U.S. on budget

The plan unveiled Thursday by Senate Democrats would just replace the cuts through the end of this year, leaving time for possible negotiations on a broader deficit-reduction package that would eliminate sequestration entirely.

The Democrats proposed $54 billion in revenue by implementing the "Buffett rule," a principle by billionaire financier Warren Buffett that he shouldn't pay a lower tax rate than his secretary.

Under it, anyone with adjusted income of more than $1 million after charitable deductions would pay a minimum 30% tax rate.

Other revenue measures in the package include ending tax breaks for companies that ship jobs overseas and closing tax loopholes for the oil industry.

In addition, the package would cut military funding starting in 2015, following the planned end of U.S. combat operations next year in Afghanistan. It would also end agriculture subsidies for a total saving of $55 billion.

"Billions in direct payment subsidies are paid out even in good times and for crops farmers aren't even growing," explained Sen. Debbie Stabenow, D-Michigan, who chairs the Senate Committee on Agriculture, Nutrition and Forestry.

Panetta said Wednesday that Congress needs to put aside party and ideological divisions that he called "the greatest concern I have for our national security."

He expressed concern over how the world will view the United States if it fails to avert sequestration.

"What (other countries) worry about is what I worry about, which is whether or not we can govern and whether or not we can face the tough decisions that have to be made and resolve those," Panetta said.

CNN's Deirdre Walsh contributed to this report.

@highlight

NEW: The White House urges Republicans to favor the middle class over tax loopholes

@highlight

The plan raises taxes on millionaires, ends farm subsidies and cuts defense spending

@highlight

An aide to Sen. Mitch McConnell says Americans oppose higher taxes

@highlight

Spending cuts to take effect March 1 absent congressional action to avert them