(CNN)  -- When France won the 1998 World Cup on home soil their triumph was hailed as a unifying force for a country with a difficult colonial past and where racial tensions were never far from the surface.

The team was labeled the Black, Blanc, Beur (Black, White, Arab) because of the seamless mix of French-born and dual-nationality players who conquered the football world with a shock 3-0 win in the final against the favored Brazilians.

But fast forward 13 years and leading French politicians, current star players  players and influential media commentators are among many to voice fears that the legacy of social integration engendered by that glorious night in the Stade de France has been severely tarnished, if it every existed.

French talent drain no excuse for quota

Deputy Christiane Taubira, a prominent member of the French National Assembly, who was a candidate in the 2002 presidential elections, was always skeptical that it marked a sea change in French attitudes to race.

"1998 was an illusion and a short one," she told CNN, pointing out that less than three months later a French government minister called black youths "young savages."

Taubira, who is in the socialist group in the National Assembly, believes that until "all citizens are treated equally" French society will continue to have problems of racial integration.

With presidential elections looming in France next year, she believes the problem stems from the very top and is calling on Nicolas Sarkozy to promote diversity and give more opportunities to France's immigrant population.

Taubira is a persistent critic of Sarkozy, particularly for his spells as French Interior Minister from 2002-07 where his hardline approach to disorder in neighborhoods with a largely North African population came under the spotlight.

"I told him back in 2002 that he was organizing a civil war in this country," she added.

Taubira's comments come in the wake of the decision by the French Sports Minister Chantal Jouanno to clear national football coach Laurent Blanc in the "race quotas row" which has provoked an angry reaction from critics.

Blanc, who succeeded Raymond Domenech last summer, was captured by a secret recording allegedly discussing the introduction of quotas for young players, aged 12 and 13, based on their racial background.

The implication was that a smaller percentage of youngsters of dual nationality would be admitted to the famed French football academies, which act as the breeding ground for talent such as Thierry Henry.

National technical director Francois Blaquart, who allegedly promoted the idea to Blanc, remains suspended by the French National Federation (FFF).

Joachim Barbier, who wrote the acclaimed book "Football made in Afrique," was scathing in his criticisms of the reported conversations between Blanc and Blaquart.

"You expect these people to be clever and set up a scheme for the future," he told CNN. "Instead they talked like a couple of stupid drunks."

Barbier does not believe Blanc was intentionally racist, but points to the "wide gap between the people playing football and those running it, who are mostly white and over fifty years of age."

He goes on: "Back in 1998 the only person saying there was too much diversity was (Front National leader) Jean Marie Le Pen, now it seems everything that is not Christian and white is considered a threat."

Juliens Laurens, UK correspondent for Le Parisien, told CNN that the Blanc affair was another example of the institutional racism which he believes permeates French society.

He also does not believe Blanc is a racist but highlights the appointment of his predecessor Domenech as an example of the problem.

Domenech got the job in 2004 ahead of Mali-born former star player Jean Tigana. "I'm sure it was down to Tigana's color rather than ability," he claimed.

The race issue flared again as Domenech's tenure as national coach ended with their humiliating exit from 2010 World Cup in South Africa.

Chelsea's Nicolas Anelka was sent home after a heated exchange with Domenech, prompting a brief strike by his fellow squad members.

"People said there was a clan of black players in the French squad at the World Cup, and we then saw the true face of France," Anelka told British reporters last December ahead of Chelsea's Champions League tie against Marseille.

"When the France team fails to win people start talking straight away about the players' skin colors and religious beliefs.

"When times get tough we find out what people really think. They said Franck Ribery had hit Yoann Gourcuff -- Ribery the Muslim, and Gourcuff the good French boy."

Anelka's views are echoed by Tottenham Hotspur central defender Sebastien Bassong, who played for France at under-21 level, but with dual nationality opted to play for Cameroon in full internationals.

Bassong would represent an example of the issue identified by Blanc and Blaquart whereby a player is trained in the French system then opts to play for a country of his or his parents' birth.

In a candid interview with Britain's Guardian newspaper in the wake of the race quotas affair, Bassong criticized French society for its lack of diversity.

"I am not going to lie and say it is not more difficult in France than it is in England to find work if you have a big beard, for example. That is just a fact.

"In England, it is more open and that is why people come here because they know that they will get a chance, no matter how they dress or where they are from.

"French society still has to work with its approach to foreign people," he was quoted.

Patrick Lozes, president of the Representative Council of Black Associations in France, has no doubt that prejudice is rife in his country and his organization is calling for a full judicial inquiry into the Blanc affair.

"We are talking here about children of 12 years of age, who have not chosen to be bi-national," he told CNN.

"These kids are being denied access to training and I call this discrimination. The lack of diversity in the French Football Federation structures paves the way for institutional racism," he added.

A spokesman for the FFF strongly denied these claims but refused to comment on specific issues.

"The file is not closed, we're actually working on the disciplinary procedures and, following internal regulations and working laws in France, we are avoiding all comments on this topic," said Francois Manardo, the chief press officer for the federation.

The historical facts would indeed appear to counter accusations that players from ethnic minorities and other backgrounds are discriminated by the selectors of the French national team.

The first black player to represent France was Raoul Diagne in 1931 and he played in the 1938 World Cup team that featured three players from North African descent for the first time.

Sons of European immigrants to France such as Raymond Kopa, Just Fontaine and Maryan Wisnieski were key members of the 1958 team which reached the semifinals.

In the 1990s, the squad boasted representatives of most of the French dependencies, not to mention many African countries such as Senegal which previously came under French rule.

The star player of the 1998 team, Zinedine Zidane, was born in Marseille to Algerian parents.

Far-right leader Le Pen may have been a lone voice when he said that team was not sufficiently "French," but in 2002 he reached the second round of the presidential elections and Ghanaian-born Marcel Desailly and other national teammates went public and urged voters to reject him.

They duly did, although support for Le Pen and his daughter Marine Le Pen's Front National party remains strong in several regions of France.

Barbier believes that until "immigration is seen as a benefit not a threat" his country will continue to have problems. "It's a question of leadership," he said.

@highlight

Calls for judicial inquiry after national coach Laurent Blanc cleared in race quotas row

@highlight

Blanc part of the 'Black, Blanc, Beur' French squad which won the 1998 World Cup

@highlight

French lawmaker Christiane Taubira believes the racial unity claimed in 1998 was "an illusion"

@highlight

French football federation dismiss claims of institutional racism in their organization