Gaza City (CNN) -- The latest attempt at a cease-fire in Gaza disintegrated Friday before it ever really took hold amid accusations that Palestinian militants killed two Israeli soldiers and captured one.

Blaming Hamas and its militant allies for the attack on the soldiers, Israel resumed shelling of what have been described as militant strongholds in Gaza.

The announced 72-hour humanitarian cease-fire between Israel and Hamas didn't even last two hours, by some accounts.

The pause appears to have eroded after about 90 minutes in Rafah, a city in southern Gaza, with the attack on Israeli soldiers. The soldiers were working to destroy a tunnel built by militants to breach Israel's border when a militant emerged from it and detonated a suicide bomb, Israeli military Lt. Col. Peter Lerner told CNN's Wolf Blitzer.

Around that time, Palestinian sources told CNN they could hear shelling in the area. The Gaza Health Ministry said an Israeli attack on Rafah killed at least 62 people and wounded 350.

Hamas spokesman Osama Hamdan denied the group had captured a soldier.

"It's clear that the capture of the soldier is an Israeli story; there's nothing from the resistance saying there was a capture," he told CNN.

The Israel Defense Forces told a different version, saying its troops in Rafah were attacked in a "brutal incident" that required them to defend themselves. At the same time, rockets were fired from Gaza into southern Israel, Mark Regev, spokesman for Israel's Prime Minister, told CNN.

The IDF identified the soldier as 2nd Lt. Hadar Goldin.

By late Friday, there was no claim of responsibility for the capture of the soldier.

But there was speculation about his fate took a turn after the militant group, the al Qassam Brigades, announced it lost contact with a group of its fighters in the Rafah area -- the same area where Goldin was reportedly taken.

In a statement posted on the brigade's website, the group says it assumes that all of the fighters were killed in an Israeli airstrike, including possibly a soldier that Israel claims was captured. The statement stopped short of definitively saying the soldier was captured, using the phrasing "assuming he was captured by the fighters."

Future cease-fire?

U.S. Secretary of State John Kerry called the attack on the Israeli soldiers "an outrageous violation of the cease-fire."

It was a sentiment echoed by U.S. President Barack Obama, who told reporters that he was holding Hamas responsible.

"I want to make sure they are listening. If they are serious about a cease-fire, that soldier needs to be unconditionally released," Obama told reporters in Washington.

He went on to say that when Hamas signs on to a cease-fire, the group is saying it's in control of the Palestinian factions.

"I think it's going to be very hard to put a cease-fire back together again, if Israelis and the international community can't be confident that Hamas" will honor it, Obama said.

At the same time, the President called the issue of the mounting civilian casualties in Gaza "heartbreaking."

While Obama said Israel has the right to protect itself, he said the United States has been "clear that innocent civilians in Gaza caught in the crossfire have to weigh on our conscience, and we have to do more to protect them."

With the conflict in its fourth week, more than 1,600 Palestinians have been killed, according to the Palestinian Health Ministry in Gaza. Of the casualties, the United Nations has estimated between 70% and 80% are civilians.

Since Israel began Operation Protective Edge against Hamas on July 8, three civilians have been killed in Israel. Sixty-one Israeli soldiers have been killed during the hostilities, the IDF has said.

In an overwhelming bipartisan vote, 395-8, the House on Friday gave final congressional approval for another $225 million to support Israel's Iron Dome missile defense system. The Senate passed the measure earlier Friday.

Who's behind the attack?

If the attack on the soldiers in Rafah is corroborated, it would be a violation by Gaza militants of the cease-fire that had been in place, said Robert Serry, U.N. special coordinator for the Middle East peace process. The violation would be "condemned in the strongest terms," he said.

However, the office of U.N. Secretary-General Ban Ki-moon clarified that the "U.N. has no independent means to verify exactly what happened."

The narrative emerging from Washington was that Hamas used the cease-fire as cover to attack the soldiers in the tunnel. White House Press Secretary Josh Earnest and U.S. Deputy National Security Adviser Tony Blinken used this same language in remarks Friday. Earnest called the turn of events "rather barbaric."

But the military wing of Hamas disputes that. According to the al Qassam Brigades, they carried out an attack on Israeli troops before the cease-fire took effect. In a statement, the group mentions that Israeli soldiers were killed as a result of the battle, but does not mention the capture of a soldier.

A second Hamas spokesman said Israel broke the Friday cease-fire before and after the hiatus by advancing its forces near civilian areas in Rafah and by occupying civilian homes to use as sniper positions.

1 killed in West Bank protest

Before the cease-fire plan was announced, Israeli Prime Minister Benjamin Netanyahu had said Israeli troops would continue destroying Hamas' network of tunnels that run under the border into Israel with or without a truce.

Hamdan, the Hamas spokesman, said that this part of the truce was not communicated to his group. He said Hamas' understanding was that there would be no military activity at all.

A U.N. spokesman said it was very clear the Israeli's would continue destroying the tunnels.

"Perhaps some will deny that now," said Jeffery Feltman, undersecretary-general for public affairs. "But, yes, it was very clear in the diplomacy being done yesterday. ... The Israelis never ceased saying that."

Inside a Hamas tunnel

What is Hamas' endgame in Gaza?

What is Israel's endgame in Gaza?

The conflict has caused outrage around the world, including in the Palestinian West Bank, where thousands protested on Friday. One Palestinian was killed in Tulkarem during clashes with the Israeli military, Palestinian paramedics told CNN.

The Arab world has been accused of being silent on the Gaza conflict, but Saudi Arabia's King Abdullah on Friday released a statement condemning the violence.

Palestinians "are being subjected to mass massacres and crimes against humanity without any humane or moral grounds to the point that terrorism has taken different forms," King Abdullah said. "Especially the state sponsored terrorism which is the most dangerous form."

Hamas has said it wants an end to Israel's blockade on Gaza, which restricts the movement of goods and people. It also wants the release of prisoners detained by the Israelis.

Israel, meanwhile, says it is aiming for the demilitarization of Hamas-controlled Gaza, removing the threat that militant weapons pose to Israeli civilians.

Opinion: Gaza peace struggle drains me of hope

What You Need to Know About the Israel-Hamas Blame Game

CNN's Mariano Castillo and Chelsea J. Carter reported and wrote the story in Atlanta. CNN's Karl Penhaul, John Vause and Salma Abdelaziz contributed from Gaza City. CNN's Wolf Blitzer, Phil O'Sullivan and Tal Heinrich contributed from Jerusalem. CNN's Don Lemon and Ali Younes contributed to this report.

@highlight

NEW: Militant group says fighters were killed in an airstrike, including possibly a soldier

@highlight

At least 1,600 Palestinians, most of them civilians, have been killed, ministry says

@highlight

President Barack Obama says efforts to restore a cease-fire will be "challenging"

@highlight

Israel identifies missing soldier as 2nd Lt. Hadar Goldin