(CNN) -- Ten years from now, you could be sitting at home, feeling a little burned out.

But then an app installed in your watch (or on your contact lenses), having monitored your vital signs, analyzed your mood and scanned through your social networks, will decide it's time you took a vacation and will present you with a selection of itineraries tailored to your budget and tastes.

This is the picture painted by The Future of Travel, a report compiled at the behest of travel-booking site Skyscanner using a team of 56 editors, researchers and futurists.

Though it reads a bit like a Douglas Adams' novel, the report's predictions are based on technologies that either already exist, or are in development.

"The technologies in the above scenario are either real, being tested, or undergoing prototype development," says Martin Raymond, co-founder of The Future Laboratory, who collaborated with Skyscanner on the report.

Get (virtually) real

According to Gareth Williams, Skyscanner's CEO, in the future vacation photo albums will be replaced with immersive experience recordings. Oculus Rift, for instance, could allow users to record an African safari from their viewpoint, then share the virtual reality experience with friends back home.

"Wherever we have photos that are designed to inform you, we will ultimately also have 3-D immersive experiences," says Williams.

Other companies are getting in on the act. This year, media company 3RD Planet developed a CGI tool that through virtual reality, puts users onto the street of various cities. Williams notes that as virtual reality becomes more commonplace, travel companies will give clients virtual tours of hotels, cities and experiences.

"They'll become conventional tools for destination marketing organizations and tourist boards," he says.

Recordings will also have a tactile element. Users plugged into a virtual reality film will not only be able to see it in 3-D, they'll be able to feel the environment around them, be it the fur of a zoo animal or a sandy beach.

Disney has already created REVEL, an interface that gives tactile feedback through minute vibrations from virtual 3-D objects, while Japanese company Tachi Lab is working on technology that can convert sounds into textures.

Getting to know you

According to the report, by 2024 travel agents, tour guides and concierges could all be replaced by a virtual entity with a finely-tuned sense of your likes, which it will gather from your search history, online reviews, social media presence and various other digital interactions. This guide could live inside a piece of your clothing and come out as a hologram, and (perhaps mimicking your favorite actor) it will be able to have a conversation with you.

"It will essentially be an Artificial Intelligence device, constantly connected to the web, which has learned to intimately understand our individual preferences," says Daniel Burrus, a contributing futurist and author of Technotrends: How to Use Technology to Go Beyond Your Competition.

These digital travel buddies will not only be able to tailor suggestions to you personally, they'll be able to monitor your expressions to see if you're actually enjoying yourself and tweak their recommendations accordingly (Tech firm Affectiva is already working on an algorithm that reads human facial expressions).

"As we get smarter in the tools we build, they'll become much more focused on what your motivation is, and what the appropriate search results are," says Williams.

Wear it loud

Several experts envision Google Glass, the Sony Smartwatch and Samsung Galaxy Gear as the beginning of what will become a mass market in wearable technology (IMS Research predicts Google will ship 6.6 million units of Google Glass annually).

Furthermore, microchips are predicted to get even smaller -- the width of 15 to 20 atoms by 2017, according to Renee James, president of Intel.

This means it will be possible to implant technology in places previously deemed impossible (In the report, futurist Dr. Ian Yeoman predicts that Google Glass will move to contact lenses in five years).

The implications of this technology are perhaps the most far-reaching of all. In ten years, your clothing (and eyewear) could simultaneously translate foreign languages, both spoken and written. Furthermore, Google Glass and its various successors could likely change the future of photography.

"At the moment, souvenir photographs are exclusively taken through planning," notes Williams. By 2024, rather than setting out to take a picture, Google Glass users could record their entire vacation, then instruct their device to pull out the best images.

"Technology will probably get good at suggesting moments that you most likely want to save," he adds.

@highlight

Skyscanner teamed with 56 editors, researchers and futurists to create The Future of Travel report

@highlight

Travel agents and tour guides could be replaced with a hologram projected from a watch

@highlight

Travelers will be able to capture entire 3-D, tactile experiences, and share them with others

@highlight

Technology will get so small, Google Glass capabilities could be installed in contact lenses