London (CNN) -- Seated side by side, News Corp. magnate Rupert Murdoch and his son, James, told British lawmakers Tuesday they were not to blame in a burgeoning scandal that has raised questions of how much top executives knew about illegal phone hacking and when.

Testy exchanges peppered the nearly three hours of questioning by members of a parliamentary committee who pressed the father and son for answers on who may have authorized or known of reporters' hacking of voice mails.

Asked by one lawmaker, "Do you accept that ultimately you are responsible for this whole fiasco?" Rupert Murdoch simply responded: "No."

After declaring it was "the most humble day of my life," the elder Murdoch let James Murdoch do most of the talking. When called upon, Rupert Murdoch indicated he knew little of the day-to-day details of his holdings and that he might hear more from a News of the World editor about extra soccer coverage than a payout to a phone hacking victim.

Asked whether he had considered resigning, Rupert Murdoch replied: "No, because I feel that the people I trusted, I don't know at what level, let me down and I think they behaved disgracefully, betrayed the company and me, and it's for them to pay."

"I think that frankly I'm the best person to clear this up," he added.

The Culture, Media and Sport Select Committee also heard from former top executive Rebekah Brooks, who testified she never paid a policeman or sanctioned a payment to police. Journalists at the now-defunct News of the World are accused of bribing police to get private details about people, including members of the royal family.

Lawmakers seated at a horseshoe-shaped table quizzed the Murdochs about out-of-court settlements and employee actions.

But it was an unexpected moment, well into the testimony, that was destined for video highlights.

A protester tossed a plate of light-blue shaving cream at Rupert Murdoch, 80, prompting a brief recess.

"You greedy billionaire," the man said, as he hit Murdoch with the foam.

Murdoch's wife, Wendi Deng, who was seated behind him, leapt to her feet and smashed the attacker's hand with her own.

Britain is in an uproar over the scandal, which could have global implications. It began with the phone-hacking claims involving reporters from News of the World -- which led its parent company, News Corp., to shut down the paper -- and quickly broadened into allegations that journalists had paid police for confidential information.

Tuesday's hearing was widely anticipated and the Murdochs, wearing conservative suits and ties, expressed contrition early on.

Rupert Murdoch hesitated often when answering questions, and James often tried to intercede, saying he could delve into details of internal News Corp. investigations. The pair said the company has willingly forwarded information to criminal investigators once it became aware of it.

While Rupert Murdoch said he could not know in any detail the actions of his 53,000 employees, committee member Tom Watson reminded the elder Murdoch several times he is in charge of corporate governance -- the culture and policies of a business entity.

When James Murdoch tried to intervene on a point, Watson stopped him, saying, "Your father is responsible, and serious wrongdoing has been brought about in the company and it's revealing in itself what he doesn't know and what executives chose not to tell him."

Rupert Murdoch said no one brought to his attention the fact that Neville Thurlbeck, a senior News of the World reporter, had been found guilty of trying to blackmail women.

Rupert Murdoch said he and his son were not guilty of willful blindness to the company's problems. Therese Coffey, a member of the parliamentary committee, told CNN after the hearing that she and others were surprised by how little Rupert Murdoch knew of some details.

Rupert Murdoch told the Parliament committee he has seen "no evidence" that victims of the September 11, 2001, terrorist attacks in the United States were victims of phone hacking by his employees, and he does not believe it happened.

The FBI is investigating News Corp. over the claim, made by a British newspaper.

In his testimony, James Murdoch said he had "no knowledge" that Brooks and Les Hinton, another former News Corp. senior official -- both of whom have resigned in the past week -- knew of the extent of phone hacking at the News of the World.

He told lawmakers he had "no evidence" they did anything wrong.

Explaining why he had previously given inaccurate statements to the committee, James Murdoch said senior News Corp. officials had learned about the extent of phone hacking by their employees as a result of civil lawsuits against News of the World in late 2010.

He said those in charge were determined "both to put things right, make sure these things don't happen again, and to be the company that I know that we have always aspired to be."

Reading a statement at the conclusion of the hearing, Rupert Murdoch said: "James and I would like to say how sorry we are for what has happened -- especially with regard to listening to the voice mail of victims of crime."

He said that in his 57 years at the head of his company, "at no time do I remember being as sickened as when I heard what the Dowler family had to endure -- nor do I recall being as angry as when I was told that the News of the World could have compounded their distress.

Milly Dowler was a missing girl whose phone was allegedly hacked. She was later found dead. Revelations that journalists working for News of the World had eavesdropped on her phone and deleted some of her messages to make room for more brought the scandal, which had been simmering for years, to a boil.

Asked how much he knew about day-to-day operations, Rupert Murdoch said the disgraced Sunday tabloid News of the World accounted for less than 1% of his News Corp.

He had "perhaps lost sight" of what was happening at the newspaper, he acknowledged.

Brooks, the former editor of News of the World who went on to become chief executive of its parent company, News International, also appeared before the committee Tuesday to answer questions.

She said News International acted "quickly and decisively" to investigate internally when the extent of the phone hacking became clear and the company had passed the new information to the police.

Brooks said she was aware that News of the World used private detectives, and believed every national newspaper in the U.K. did the same. But she said she has never met Glenn Mulcaire, the private investigator accused of carrying out mass phone hacking for her paper, and did not hear his name until 2006.

Brooks was editor of the best-selling Sunday tabloid at the time of some of the most serious allegations against it.

She resigned July 15 over the scandal and was arrested and questioned by police two days later. Her lawyer, Steven Parkinson, said Monday his client is not guilty of any crime.

Conservative politician Louise Mensch, who was among the lawmakers to quiz both the Murdochs and Brooks, told CNN she believed the trio had given "full and frank answers" while presenting their version of events.

The thrust of the committee's questioning was that they should have known what was happening at the News of the World, rather than relying on other people, Mensch said.

The ripples of the affair have reached as far as British Prime Minister David Cameron, who is cutting short a trip to Africa to return to London and deal with the crisis.

Cameron has faced strong criticism in recent days over his decision to hire Andy Coulson, a former News of the World editor who resigned as Cameron's spokesman after his newspaper staff were jailed for hacking voice mails. Coulson, who resigned his government post in January, has since been arrested.

Cameron on Tuesday vowed to "stop the obscenity of hacking and get to the bottom of what happened," then put in place measures to prevent such problems from recurring.

"The police have serious questions to answer about potential corruption and a failed investigation. Politicians have been too close to media owners," Cameron told reporterse in Nigeria, part of a two-day Africa trip.

The prime minister is expected to answer questions Wednesday during a debate on the scandal in the House of Commons.

Both Brooks and Coulson, who are free on bail, deny knowledge of wrongdoing.

Earlier, the head of London's Metropolitan Police and his deputy -- both of whom have resigned -- appeared before a different committee of Parliament.

Commissioner Paul Stephenson and Assistant Commissioner John Yates defended their actions in failing to authorize a more thorough investigation into the use of phone hacking, following a July 2009 article in the Guardian newspaper revealing that tactic had been far more broadly used than previously reported.

Stephenson said he did not pressure the Guardian to drop its investigation, while Yates said he had no reason at the time to believe the situation was serious enough to warrant a full-scale investigation.

They also defended their hiring of a former News of the World editor, Neil Wallis, for a public relations job at the department. Wallis was arrested last week in connection with the investigation. Yates also said he had nothing to do with helping secure a job for Wallis' daughter.

Murdoch's News Corp. encompasses Fox News, The Wall Street Journal, the New York Post, and Harper Collins publishers in the United States. News International -- a British subsidiary of News Corp. -- owns the Sun, The Times and The Sunday Times in Britain.

CNN's Richard Allen Greene, Jonathan Wald, Laura Perez Maestro, Andreena Narayan, Atika Shubert, Anna Stewart, Bharati Naik and Tom Watkins contributed to this report.

@highlight

Rupert Murdoch tells Parliament he's not responsible for phone-hacking scandal

@highlight

He and son James say they regret the hacking, especially of families of crime victims

@highlight

Former News Corp. executive Rebekah Brooks says she never authorized bribes to police

@highlight

The hearing is briefly suspended after a man attacks Murdoch with shaving cream