(CNN) -- For three decades or so, Syrian artist Safwan Dahoul has been painting pensive, haunting images -- all of which are titled "Dream".

The somber paintings typically depict a downcast, lone woman, painted in shades of gray or muted colors.

A celebrated painter, Dahoul had seen his works acquired by the Syrian Ministry of Culture and the national museum in Damascus.

But he now lives in Dubai, joining over two million fellow citizens who fled overseas to escape the brutal civil war.

When Dahoul moved to the UAE in 2012, he left behind most of his belongings, including many of his "Dream" paintings, at his Damascus home.

"I left with only one small bag, thinking I'd return to Syria after a short time," says the 53-year-old artist.

Art collector Hisham Samawi and his cousin Khaled Samawi, who run Ayyam Gallery in Dubai, helped Dahoul -- and later his paintings -- leave Syria.

The cousins first opened the gallery in Damascus in 2006, but the conflict had forced them to move the headquarters to Dubai around three years ago.

Between 2011 and 2013, the Samawis and their team helped more than a dozen Syrian artists relocate overseas, providing them with visas and airfare, and moved about 3,000 artworks to Dubai.

"The moment when trouble started happening in Syria, we decided that we needed to plan because if this thing turned ugly, we're not going to have time to do this later," says Hisham Samawi.

They also helped 33-year-old artist Tammam Azzam escape to Dubai in September 2011. His work "Freedom Graffiti" -- a digitally manipulated image of Gustav Klimt's painting "The Kiss" superimposed on a photograph of a bomb-ravaged wall in Syria -- went viral last year after the Saatchi Gallery in London shared it on Facebook.

Moving artists and their artworks to safe havens such as Beirut, Dubai and Cairo is a costly operation, but Samawi says it is worth it.

"We feel like we're a family in Ayyam," he says. "So it was never an option that we're going to cut our ties and move on."

But it's not just about rescuing Syrian artistic and cultural treasures, it's also about money. Middle Eastern art is big business, and Dubai is a hub, hosting the region's largest modern art fair.

On the first day of Art Dubai last month, Ayyam Gallery sold a "Dream" painting by Dahoul for $150,000.

"More and more, we're seeing people engage with artists who are producing work in conflict areas," says Bashar Al Shroogi, art collector and director of Dubai-based Cuadro Fine Art Gallery.

"It's because they have a message, it's because they're reflecting back what's happening in the regions. Essentially, they're holding a mirror back to society and saying, 'This is what's going on around me. Do you see what I see?"

Dahoul and Azzam are now living in the safe haven of Dubai, but they are still troubled by the bloodshed and destruction in Syria.

Dahoul's more-recent "Dream" paintings hint at the atrocities back home: a woman staring at rows of bodies, a body squeezed into a small box.

Azzam, whose artworks focus on the devastation back home, says: "I am a completely different person now in my life and my art -- everything has changed."

Yenni Kwok contributed to this report.

@highlight

Ayyam Gallery, based in Dubai, helped more than a dozen Syrian artists flee the civil war

@highlight

It also moved over 3,000 artworks out of Syria

@highlight

Turmoil and lack of accessibility have driven demand for artworks from Arab Spring countries, including Syria