(CNN)Tunisia's tourism industry has been thrown into disarray by a terror attack on Wednesday that left at least 17 foreign visitors dead and prompted urgent warnings over security.

Only just recovering from the impact of the Arab Spring uprisings four years ago, Tunisia has once again emerged as a winter sun draw for tens of thousands of travelers.

But following Wednesday's attack and siege at the prestigious Bardo Museum in central Tunis, the country's tourism industry is once again facing jeopardy even as authorities and operators scramble to ensure the safety of visitors currently in the country.

A significant number of foreign tourists were inside the museum at the time of the attack, which government officials said was the work of "Islamists."

Prime Minister Habib Essid said Polish, Italian, German and Spanish tourists are among those killed, with another 20 tourists plus two Tunisians wounded in the attack.

MSC Cruises said its ship, MSC Splendida, is currently docked in the Tunis port of La Goulette and some of its passengers had been on tours of the city, including the Bardo at the time of the attack.

"All the tourist coaches on tour were immediately recalled to the port and all other tours on the ground were immediately suspended," MSC said in a statement.

Another ship, the Costa Fascinosa, docked in Tunis at that time, has a manifest of more than 3,000 passengers, its parent company Costa Cruise said.

As details of the incident emerged, several foreign governments put out warnings urging their citizens to stay away from the scene of the attacks, around an area that includes the national parliament building.

The U.S. Embassy in Tunis issued an alert that also reiterated standing advice about the potential for violence in Tunisia and the risk of kidnappings. Its warning cautions against trips to Tunisia's central, southern and border regions.

Britain's Foreign and Commonwealth Office (FCO) also urged UK citizens to stay away from the affected areas of Tunis and to "follow the instructions of Tunisian security authorities."

Its warning also carried longstanding advice: "There is a high threat from terrorism, including kidnapping. Attacks could be indiscriminate, including places visited by foreigners."

With tens of thousands of foreign visitors likely to be in Tunisia right now and many more contemplating travel there, travel operators have been rushing to formulate a response to the attack.

It's not immediately known if flights will be added to accommodate any sudden surge in departures or whether tour operators will pull out of the country -- responses that followed a terror attack in Kenya last year.

Thomson and First Choice, a UK-based travel operator that carries thousands of vacationers on package trips to Tunisia, said it had canceled organized excursions to Tunis as a precaution.

A statement said it would follow FCO advice, which overall remained unchanged for Tunisia.

"Thomson and First Choice customers stay in beach destinations, not Tunis, and we can confirm that none of our customers or staff were affected by the incident that took place there today," it said.

"As a precaution however we have canceled excursions to Tunis for the coming days.

"Customer safety is of paramount importance to us and we continue to work closely with the FCO and the British Consulate to monitor the situation. Tunisia remains a popular destination for us and customers are enjoying their holidays as normal."

In its advisory, the UK Foreign Office points out "424,707 British nationals visited Tunisia in 2014. Most British tourists stay in the coastal resorts and most visits are trouble free."

Indeed, Tunisia's largely unsullied reputation as a safe north African destination for Europeans seeking low coast beach breaks has clawed back some of the popularity it enjoyed before 2011.

In 2010, the country welcomed 6.9 million tourists to its beach resorts and numerous historic sites.

In 2011, the year in which an uprising ousted longtime President Zine al-Abidine Ben Ali -- an event credited with triggering the Arab Spring -- that number fell below 4.8 million.

With calm restored in recent years -- despite security concerns from neighboring Libya and ongoing political tensions -- those numbers have been on the rise, helped by costly advertising campaigns.

Recently reported statistics put visitor numbers still 10% lower than their pre-2011 levels, but numbers had been expected to rise again -- particularly with a new "Star Wars" film renewing interest in the country's role as a key location in the original movies.

In a 2013 interview, Tunisian tourism minister Jamel Gamra said up to 20% of Tunisia's population -- equivalent to 2 million people -- relied on the tourism industry.

He told the Inter Press Service he was optimistic that visitor numbers would continue to grow.

"The sector has big potential and we aim to reach 10 million tourists by 2016, a growth of one million tourists per year," he said. "Tunisia also has more freedom and democracy now, which is very important for economic growth and prosperity and has a positive effect on the tourism industry."

@highlight

Gunmen killed 17 tourists and two others on Wednesday at a museum in Tunisia's capital

@highlight

U.S., UK and other foreign governments have issued travel warnings

@highlight

Tourism numbers had been increasing in Tunisia in recent years, following downturn after 2011 Arab Spring unrest