(CNN) -- For almost 90 years, the casket lay beneath the earth, Thomas Curry's family believing the teen who died too young rested in peace there, in an unmarked plot with his great-grandparents.

Curry was a charge of Marianna, Florida's Arthur G. Dozier School for Boys, a now infamous juvenile detention facility that closed in 2011 for budgetary reasons, capping a chilling, 111-year legacy of brutality.

From 1900 to 1952, according to a court document, 100 boys died there, but only about half were buried on the reform institution's grounds. Others were shipped home to their families.

Curry, 17, became part of that tally in 1925 when he died "under suspicious circumstances while escaping Dozier twenty-nine days after arriving," says the court order permitting his exhumation this week.

The coroner at the time ruled Curry's manner of death was unknown. The ledger entry at the Dozier school said he was "killed on RR Bridge Chattahoochee, Fla." Another document at Old Cathedral Cemetery in Philadelphia says he was "killed by train." No one from Dozier ever reported his death to the state.

He was returned in a casket to his family, who, in turn, buried him in Philadelphia. Or so the family thought.

It wasn't until a state investigation beginning in 2008 that Curry's death certificate was found at Dozier. It said he died of a crushed skull from an "unknown cause."

And it wasn't until Tuesday, when University of South Florida anthropologists who have been working to unearth and identify remains on the former campus visited Philadelphia with Pennsylvania authorities, that the family learned Curry wasn't in the casket -- no bones, no clothing, no sign of him at all.

"Wood. Layers of pieces of wood," said anthropologist Erin Kimmerle, explaining what she and her team found in the casket. "It was completely filled with wooden planks."

At first, the team thought they had the wrong grave, but then they found Curry's great-grandparents beneath the wood-filled casket.

'Decades of efforts to deceive'

Kimmerle was still incredulous Wednesday, as was Cpl. Tom McAndrew of the Pennsylvania State Police, who along with Philadelphia Assistant District Attorney Brendan O'Malley, was instrumental in clearing the path for Kimmerle's team to exhume Curry's remains, she said,

"It was a little bit of a shock. It was certainly anticlimactic," McAndrew said. "Something was shipped up from Florida, and it was buried, and someone believed it was Thomas Curry."

Does he think, as a law enforcement officer, that the finding is indicative of school officials' intent to deceive Curry's family nine decades ago?

"Absolutely," he said, but it's not surprising when you consider that the investigation into the Dozier school has uncovered "decades and decades of efforts to deceive, coverups, and not just by one but by many people."

McAndrew has been in contact with two of Curry's distant cousins, and while they weren't familiar with Curry or his death before Kimmerle's team began investigating, they've done what they could to advance the investigation, the police corporal said.

They've provided names from their family tree and handwritten notes from their mother. One of the cousins, Eileen Witmier, who is 61 and is the granddaughter of Curry's mom's sister, provided DNA to identify Curry -- had he been found.

"Their interest lies in justice being served," McAndrew said of the cousins.

Asked where his own interest lies, McAndrew gave a similar answer, but also noted that Kimmerle has been an invaluable ally to law enforcement.

Quid pro quo among professionals

The ex-chief anthropologist for the U.N. International Criminal Tribunal for the Former Yugoslavia, Kimmerle has conducted "isotope testing" in her lab to help McAndrew with homicide cases in Pennsylvania.

For one particularly high-profile case -- a pregnant teen found dismembered in suitcases in 1976 -- Kimmerle's team analyzed the woman's hair and teeth. Via isotope testing, Kimmerle was able to determine where the woman lived based on the water she consumed while alive.

Though police have yet to solve the case, they now know she was born in Europe and immigrated to the Southeastern United States at age 12, McAndrew said.

"When she turned to me for assistance, obviously I would've done anything for her," McAndrew said of Kimmerle.

Kimmerle had hoped, of course, that Curry's remains would unravel some of the mystery surrounding his death.

"We went into it trying to answer questions," she said. "What we have is more questions than answers."

But the investigation continues. Now armed with Witmier's DNA, Kimmerle's team can return to Marianna, about 65 miles west of Tallahassee, and attempt to match the sample to one of the dozens of bodies that have already been dug up on the 1,400-acre former campus.

Though many of the boys died so long ago, it's important to find their family members, Kimmerle believes, if only because of the uncertainties surrounding their deaths and the controversy enveloping the supposed school where they died.

A dubious legacy

That bodies lay there was never a secret -- 31 rusty, white crosses marked the resting places of victims who died from a dormitory fire, influenza, pneumonia and other causes -- but Kimmerle's team has found a total of 55 bodies there so far.

Her team also has found records indicating that 22 boys who died at the school are unaccounted for. Already, Kimmerle and her colleagues have identified three sets of remains. One of those bodies was George Owen Smith, whose sister Ovell Krell, 85, told CNN in August she was elated that the seven-decade mystery surrounding her brother's death was finally solved.

Though ex-students provided detailed accounts of vicious beatings, sexual abuse and disappearances, guards and administrators who are still alive have denied the beatings occurred.

The state investigation in 2008 and 2009 said there was insufficient evidence of abuse at Dozier, but dozens of men, many of them now senior citizens, have come forward with stories. A support group for ex-students, dubbed The White House Boys, takes its moniker from the structure where boys say they were beaten with a leather strap attached to a wooden handle.

They were whipped until their underwear was embedded in their buttocks, The White House Boys say. Some were beaten unconscious. Crying or screaming out would earn you extra lashes, they say.

So while this week's exhumation didn't answer any of the myriad questions surrounding Dozier and its missing and dead boys, it was still an important part of the ongoing investigation, researchers and police said.

"It definitely had to be done," McAndrew said. "We had to at least open the grave if this investigation down in Florida is going to be resolved."

Remains of 2 more boys identified at shuttered Florida reformatory

CNN's Ed Lavandera contributed to this report.

@highlight

Anthropologists, authorities exhumed casket of Thomas Curry in Philadelphia this week

@highlight

Exhumation part of probe into deaths, disappearances at Florida's infamous Dozier School

@highlight

Curry's casket had no human remains; authorities now searching for body at Dozier

@highlight

Ex-students allege beatings, sexual abuse, disappearances; ex-guards deny abuse occurred