(CNN) -- Where would you find the most Christmas spirit in the world? It's hard to say for certain, but if a global competition were to be held, the Philippines would have an excellent shot at winning.

The southeast Asian island nation has the world's longest festive season -- and pulls no punches in its celebratory zeal for the period, with lavish light displays, masses, and festivals held throughout the country from September until January.

One of the most populous nations in Asia, the Philippines is an overwhelmingly Christian nation. Approximately 90% of Filipinos are Christian and 80% of those are Catholic, an influence gleaned from the country's period as a Spanish colony from the sixteenth century until the end of the nineteenth.

As a result, while many countries concentrate on the commercial side of Christmas, Filipinos attend several masses throughout the Christmas season and faith forms an intrinsic part of celebrations.

A traditionally Filipino event is Simbang Gabi, a series of masses held over nine nights culminating in Christmas Eve. It is believed that if you make a wish after completing the nine masses, it will come true.

As early as September, when the dark nights come, it is not unusual to see a series of spectacular Christmas displays popping up in malls, parks and open spaces across the country.

Student Christian Ian V. Bordo from Laguna province in the Philippines loves the beautiful 'parols', lights created by artisan Francisco Estanislao in 1928 and originally made of bamboo and paper that are hung up throughout towns and villages.

"[The parols are] as important to Filipinos as the Christmas tree to Western culture -- without parols Christmas wouldn't be complete," he declared.

"The lanterns were used by people to light their paths during the ritual Yuletide dawn masses called 'Misa de Gallo' [midnight mass], because electricity was unavailable at the time in many rural areas."

Such lanterns are now more likely to glow with electronic lights, but the ethos remains the same -- a guiding light in the darkness for worshippers wanting to congregate and pray.

To Stephanie Masalta, the striking lanterns are a comforting indication that Christmas is on its way and a fond reminder of how her community comes together every year to string up the beautiful lights.

"Even I cannot help myself from smiling whenever I pass by that street and think of how devoted Filipinos are in celebrating Christmas," said Masalta, who lives in San Pedro, Laguna.

"This happens only once a year, so residents combine their efforts to put them up."

Student Martin Jarmin from Los Baños, Laguna, says the light displays in his town's local gardens regularly dazzle residents.

"The lighting of the park during the Christmas season is done yearly and now became a huge attraction to people not only from [my] area, but from the outside, too," he said.

Decorations can also inspire a competitive spirit. Student Miaflor Tatlonghari said that in some local villages, they organize contests for the most beautiful Christmas decorations. The tree set up by her home in Santa Rosa City was at least 30 ft tall - and larger ones are not uncommon.

Photos: Santa sightings around the world

Martin Jarmin also mentioned another Christmas tradition of which Philippines residents are fond -- gathering together to make and enjoy food specifically made for the Christmas season.

For example, Christmas Eve, or Noche Buena, is traditionally when families come together to host a large festive meal. The celebration is well known in Spain and Latin America and stems from the nation's colonial past.

In addition to the aforementioned Christmas Eve dinner, scores of delicious, and often highly unusual, dishes are prepared for Filipinos to gorge themselves on. These include puto bumbong, glutinous purple rice stuffed into bamboo tubes with butter, sugar and coconut, and keso de bola, balls of cheese with red waxy coverings.

iReporter Mae Anne Alejandrino from Cabuyao in Laguna province loves the mouth-watering Christmas delicacies from food stall sellers who set up beside an enormous display of Christmas lights, showcasing the dizzying breadth and variety of Filipino cuisine.

"At Christmas, we cook our own barbeque and hotdogs and buy several kinds of rice cake called 'bibingka'," she said.

"We Filipinos would always decorate our center table with colorful fruits and rice cakes. We would also prepare fruit or 'buko' [a type of young coconut] salads for dessert.

But amidst the festivities, some iReporters felt it important to send in reminders of those who face a more austere Christmas.

iReporter Janoah Ami Soriano's poignant images showed the plight of children forced to leave their homes after a series of deadly typhoons caused severe flooding in August in some parts of the country.

Having lost most of their belongings, many relied on Catholic charities to provide them with some Christmas spirit.

"I saw that the parents were more excited to receive presents than the kids and the moment was heart-melting," he said. "Helping others is a tradition in the Philippines at Christmas, especially those who are really in need."

His touching iReport is a reminder for those celebrating Christmas -- in the Philippines and beyond -- that many of us have much to be thankful for this holiday season.

Show us what the Christmas festivities look like in your part of the world

@highlight

The Philippines has the longest Christmas season in the world -- from September to January

@highlight

The festive season is marked by traditional masses, spectacular light displays and family gatherings

@highlight

Traditional paper and bamboo lanterns known as 'parols' light up many Filipino villages and towns

@highlight

Some villages organise contents for the best Christmas decorations