Preliminary results in Sunday's referendum on whether Ukraine's Crimea region should join Russia or become an independent state show overwhelming support for Russia.

With 75% percent of the ballots counted, close to 96% of voters want to become part of that country, according to the Crimean Electoral Commission. An official had announced earlier that more than 80% of voters had cast ballots by the time polls closed at 8 p.m. local time (2 p.m. ET) Sunday.

Final results are expected later.

"We are going home. Crimea is in Russia," Crimea's Prime Minister Sergey Aksyonov told crowds celebrating in Simferopol's Lenin Square. Music blared as they cheered and waved Russian flags.

The United States has already said it expects the Black Sea peninsula's majority ethnic Russian population to vote in favor of joining Russia. Moscow has strongly backed the referendum.

U.S. President Barack Obama and Russian President Vladimir Putin spoke Sunday, according to a readout from the White House.

"President Obama emphasized that the Crimean 'referendum,' which violates the Ukrainian constitution and occurred under duress of Russian military intervention, would never be recognized by the United States and the international community," it said. "He emphasized that Russia's actions were in violation of Ukraine's sovereignty and territorial integrity and that, in coordination with our European partners, we are prepared to impose additional costs on Russia for its actions."

Earlier, the White House released a statement that said the vote was "administered under threats of violence and intimidation from a Russian military intervention that violates international law."

The voting has put the United States and Russia on the kind of collision course not seen since the end of the Cold War.  U.S. Secretary of State John Kerry reaffirmed in a call with Russian Foreign Minister Sergey Lavrov that the United States considered the referendum illegal under Ukrainian law and that the United States would not recognize the outcome. 

The European Union on Sunday repeated its "strong condemnation" of the referendum and called on Russia to withdraw its troops from the region. It, too, has called the referendum illegal and said it is looking at sanctions.

Lavrov said in a statement Saturday that Crimea's referendum conforms to international law.

European nations and the United States have announced some targeted punishments against Russia and have threatened tougher sanctions if the secession vote goes through, as now appears likely.

Is the referendum legal?

'Russia is an opportunity'

At a polling station in Perevalnoye, near a military base, a steady stream of voters arrived to cast their ballots despite the wintry weather.

Blaring dance tunes and Russian folk music welcomed them to the polling station, in an echo of Soviet times. What appeared to be a group of Russian soldiers -- without identifying insignia but with Russian license plates on their vehicles -- stood nearby.

One voter, Grigory Illarionovich, told CNN, "I'm for restoring Crimea to Russia. Returning what Khrushchev took away."

The Black Sea peninsula was part of Russia until Soviet leader Nikita Khrushchev gave it to Ukraine in 1954. Ukraine was then part of the Soviet Union.

Another voter in Perevalnoye, Viktor Savchenko, said he would never vote for the government in Kiev. "I want us to join Russia, and live like Russians, with all their rights," he said.

Victoria Khudyakova said she also had voted to join Russia, which she sees as being "spiritually close" to Crimea. "For me, Russia is an opportunity for our Crimea to develop, to bloom. And I believe that it will be so," she said.

But Ukraine's Prime Minister Arseniy Yatsenyuk, speaking in Kiev, dismissed the referendum as illegitimate under Ukrainian and international law and improperly run.

He said Ukrainian authorities had information from Crimea about voting irregularities, including people who are not Crimean citizens casting ballots, the absence of proper monitoring and the presence of armed men.

Mikhail Malyshev, the head of the Crimean Election Commission, said there was no information that people with foreign passports were voting in the referendum. He also said no "provocations" had been reported at polling stations.

CNN analyst and Russian journalist Vladimir Pozner similarly stressed that Sunday's vote was in no way staged.

"When you look at the celebrations, you can't doubt that these people really are very happy," he said.

Double voting?

In Simferopol, voters filed into a polling place, picked up white and yellow ballots and headed to private booths to fill them out before dropping them through the slits of clear ballot boxes.

In another polling station, the vast majority of ballots dropped in the boxes appeared to be marked in favor of joining Russia.

Some 80% of voters turning out at a polling station in Bakhchysaray were not on the electoral roll, the registrar told CNN. Those not on the roll have their passports and papers checked to establish identity. On the spot, election staff decide, with a show of hands, whether to allow those voters to participate.

A CNN team photographed one voter dropping two pieces of paper into the ballot box, raising questions over how effectively the vote is being monitored.

Turnout was high, but many Crimean Tatars, an ethnic Turkic group with deep roots on the peninsula, were boycotting the vote, as were many ethnic Ukrainians.

Tatars, who make up about 12% of the Crimean population, have faced severe persecution in the past, when Crimea belonged to Russia. On Saturday, representatives issued a statement recognizing Ukraine with its present borders, which would include Crimea.

They asked the Ukrainian parliament in Kiev for more legal protection for their ethnic group.

Much pro-Russian propaganda has been in evidence in the run-up to the referendum, both on the airwaves and in the form of campaign posters showing the Crimean Peninsula painted with either a Nazi swastika or the Russian flag.

Moscow has insisted it has the right to protect ethnic Russians in Ukraine, who it claims are threatened by radical nationalists and "fascists."

Could Donetsk go in the same way as Crimea?

Russian squeeze

Pro-Russian troops remain firmly in control of the Black Sea peninsula. Ukraine and the West insist the soldiers belong to Moscow, but the Kremlin vehemently denies it, saying they are Crimean "self-defense" forces.

Ukraine's acting Defense Minister Ihor Tenyukh said Sunday that Ukraine had reached an agreement "with the Russian side" that Russian forces will allow the delivery of food and basic supplies to Ukrainian military bases in Crimea until Friday. The bases have been blockaded for days.

Tenyukh told a Cabinet meeting that there are now 21,500 Russian troops on Crimean soil. Russia is entitled to station 25,000 troops at its leased Sevastopol naval base -- but the question is where those troops are.

Tenyukh also said Ukrainian troops and equipment are being moved into Ukraine's east and south, in line with where Russian military forces are located.

Moscow has been carrying out mass military exercises not far from Ukraine's eastern border.

Russia tightened its military grip on Saturday within Ukraine. About 60 Russian troops in six helicopters and three armored vehicles reportedly crossed into Ukraine's Kherson region and were in the town of Strilkove, on a strip of land just northeast of Crimea.

The region is key to neighboring Crimea, because it gets electricity, fresh water and natural gas from there. The Russians said they were in Kherson to prevent a possible terrorist attack on oil assets, according to Ukrainian border guards.

German Chancellor Angela Merkel criticized Russian activities in Kherson in a phone call with Putin on Sunday, according to a statement from her office.

She urged an increase in the presence of observers from the Organization for Security and Co-operation in Europe, so they can quickly be sent to contested areas, especially in eastern Ukraine, and called on Putin to talk to the government in Kiev.

The Kremlin's readout of the phone call said the pair had "constructive" discussions on sending an OSCE observer mission to Ukraine.

Putin also voiced concern that "radical groups" in league with Kiev were stirring up tensions in eastern and southeastern Ukraine and argued that the Crimean referendum is legal, it said.

Ukraine's Cabinet said Sunday it had asked for a new OSCE diplomatic monitoring mission to be sent to Ukraine. A military observer mission is currently in the country but has been prevented from entering Crimea.

CNN team in Crimea: This is a McMoment to remember

What happens next in Crimea?

If the vote goes in favor of joining Russia, as it looks like it will, Crimea's government will declare its independence and ask Moscow to let it join the Russian Federation. Russian lawmakers have said they'll vote on the question on Friday.

Christopher Hill, a former U.S. ambassador to South Korea, Iraq and Poland, described Sunday as a bad day for East-West relations.

"Putin has left our president with no choice. He needs to impose sanctions. I know Putin will come back and impose his own," he said. "I think the end of this is going to be to cast Russia out into the cold. And the problem is, I don't think Putin really cares. I think this is where he wants to take Russia."

In Simferopol and other places with Russian majorities, blue, white and red Russian flags have dominated the streets.

In the coastal Crimean town of Sevastopol, concerts on the main square have been celebrating the return to the "motherland" this past week.

"Everybody believes the results are already rigged," said CNN iReporter Maia Mikhaluk from Kiev.

"People are concerned what is going to happen after the referendum," she said. "People are concerned that the Russian army will use force, guns to push (the) Ukrainian army from Crimea."

In the city of Donetsk, near the Russian border in eastern Ukraine, pro-Russian demonstrators stormed the prosecutor's office, forcing their way through a door of the building.

The activists are demanding the release of pro-Moscow movement leader Pavel Gubarev, who was arrested on March 6 for leading an occupation of the regional administration office.

Earlier, thousands of pro-Russian demonstrators gathered for a second day in a central Donetsk square before marching through the city. Riot police stood on guard outside the offices of Ukraine's security service and the regional administration.

Addressing the Cabinet meeting, acting Interior Minister Arsen Avakov said small rallies in Donetsk and another nearby city, Lugansk, had ended. About 4,000 pro-Russian protesters have gathered for a third rally, in Kharkiv, he said.

Deja vu about Georgia in Ukraine? Not exactly

Opinion: Can West make Putin blink?

Opinion: Europe must check the Putin doctrine

Map: Why the EU and U.S. are out of step on Russia sanctions

Crimea: Echoes of history on road to Yalta

@highlight

With 75% of votes counted, results show 96% of voters want to join Russia

@highlight

"You can't doubt that these people really are very happy," one analyst says

@highlight

United States says it's ready to impose "additional costs" on Russia

@highlight

Crowds wave Russian flags, celebrate in Simferopol's Lenin Square