(CNN) -- I love helping others plan a trip to South Africa. Not only does it give me a sense of home-turf pride, it's a beautiful country to visit that's great at looking after tourists.

First, let's get a common misconception out of the way: Yes, there is a significant crime rate in some parts of the country, and you will need to be vigilant. But, the same can be said for almost any country worldwide.

On to the good stuff. South Africa is a beautifully diverse country, racially and geographically. That being said, it's important to have a travel plan before you go. My ideal South African vacation would include a lengthy stop in Cape Town (my home town), a drive up the Garden Route and a safari. That way you get a bit of all the country has to offer.

The mother city

The Cape Peninsula is characterized by a steep mountain range running down into the cool blue Atlantic. The most famous mountain in this range is called Table Mountain because it's flat like a table. To its left is Lion's Head and to its right is Devil's Peak. The view from the summit of Table Mountain is top of my list when visiting the Cape Town.

You can get up and down by hiking or taking the cable car. Lines are long, so if you're going during the day, get there early. I highly recommend taking a picnic up to the top an hour or so before sunset and taking the last car down. Cape Town is known for its red and orange skies at sundown, and Table Mountain provides the perfect panoramic view.

My best advice for people visiting Cape Town would be to group outings together by location. Cape Point is a bit of a drive away, but I find it well worth it to see where the cold Atlantic Ocean meets the warm Indian Ocean. Just be mindful of the baboons -- they're cheeky! It's easy to stop in Simonstown, Kalk Bay or even Fish Hoek for lunch or a snack on the way back. The Brass Bell and the Black Marlin are two local eateries that have stunning views.

A visit to Robben Island is also likely to take a whole day. Book a ferry ticket in advance and be sure to check the weather report. Visiting this island, which was used as a prison for centuries, is very humbling and shouldn't be missed. Nelson Mandela was imprisoned on Robben Island for 18 years.

Another interesting day trip is an outing to the wine farms. See whether your hotel can organize a driver for you. I love Fairview, which has a great restaurant and affordable wines. They also have a goat pen to entertain children, and of course, delicious goat cheese available for tasting with your wine. Some other well-known vineyards include Spier, Thelema, Delaire Graff, Delheim, Asara and Zevenwacht.

I also like visiting the small university town of Stellenbosch. Its quaint, tree-lined streets provide some shelter from the heat, and it's a great place to stop for coffee or a meal on your way back to the city. Can you tell South Africans like to eat?

Back in the city, it's really worth it to check out some local flavors. Greenmarket Square is in the middle of the central business district and is a great place to find some authentic carvings and crafts. There are plenty of great places to eat there, too. Try Mama Africa or Africa CafÃ© if you're looking for strictly African food.

Long Street usually starts buzzing as the sun goes down. Running the length of downtown Cape Town, Long Street is home to backpacker lodges, hip clothing boutiques, funky restaurants and amazing night life.

Exploring outside the city

Once you've had your fill of the Cape Town area, take a drive up the Garden Route. This stretch of highway runs up South Africa's eastern coast and is well-known for its breathtaking views and whale-watching vantages.

Completing the trek in three or four days gives you ample time to stop as you want along the way. For overnight destinations, I recommend Cape Agulhas (to say you've been to the southernmost tip of Africa), Knysna (great for whale watching if you're there in the spring) and Plettenberg Bay.

There are beautiful beaches along this stretch of coastline, as well as lush rainforests and winding mountain passes. For the more adventurous, bungee jumping off the Bloukrans Bridge is a must -- it's the tallest bridge jump in the world!

As for the safari portion, Addo Elephant National Park boasts all the big five (elephant, rhino, lion, leopard, buffalo) and is conveniently at the end of the Garden Route. Alternatively, you could visit Kruger National Park. Arguably the country's most well-known game reserve, Kruger offers multiple accommodation options (ranging from camping to a fabulous lodge) and is well-prepared for tourists.

If you'd prefer to do something a little more intimate, Phinda, Hluhluwe-Umfolozi and Sabi Sands are beautiful. The best way to see game is on drives. Most parks offer drives early morning or at sunset. Dress warmly if you're going in the morning and take bug spray if you're going at night. Another way to observe the wildlife is at a watering hole. Most parks have huts or viewing areas around big holes where you can watch animals undisturbed.

South Africans are a very friendly and helpful bunch. We love helping people, especially tourists, and if you enjoy something along the way, we'll likely ask you to tell your friends back home. Take your time while traveling. we tend to move pretty slowly, but it means we enjoy every moment and I hope you'll do the same.

@highlight

South Africa is a beautifully diverse country

@highlight

Take a lengthy stop in Cape Town, a drive up the Garden Route and a safari

@highlight

Explore South Africa's diverse cuisine to round out the experience