The man before me is not yet 30. He stands, perhaps a little unsure of himself, a nervous tic in his shoulders seeming to betray his unease.

Before him is one of the largest armies on the planet. It is a war machine, still fighting a battle from more than half a century ago.

They move in lockstep, legs kicking and arms swinging as one, discipline and focus measured in millimeters.

A vast arsenal of weapons, missiles and tanks, pass by. The cost of this show of military might has been paid in the suffering of the people it is primed to defend. Aid groups say thousands have starved here; meanwhile, the army has grown fat.

The young man eyeing all of this is master of all he surveys. This is North Korea, and the man is Kim Jong Un.

Kim Jong Un named marshal of North Korean army

This was a rare glimpse indeed of a man who now rules the notorious hermit kingdom. In April this year, North Korea opened its doors to the world's media. CNN was there to cover the celebration of the 100th anniversary of the birth of the country's founding father, Kim Il Sung.

The eternal president and "Great Leader" had passed power to his "Dear Leader" son, the erratic, eccentric Kim Jong Il. Now a third generation Kim, the so-called "Supreme Leader," stood on the shoulders of his forebears.

He gained power by birthright, but the world is watching as he attempts to rule in his own right.

"He is the youngest head of state in the world," said analyst Patrick Chovanec. "There's still a lot of debate about how much power he has, whether other family members are in control or the military."

Reading North Korean tea leaves

His soldiers certainly pay lip service to their loyalty.

These men are combat ready, never forgetting they have a sworn enemy in the United States.

"With the strategy of the great leader Kim Il Sung, the dear Kim Jong Il and Kim Jong Un with our bombs and weapons we will destroy them," they tell me.

But beyond the war rhetoric are the realities of leading an impoverished, isolated and paranoid country.

As I stood below him at this military parade, my mind wandered to the young Kim's thoughts. What would have been going through his mind? We're told he was educated partly in Switzerland, loves music and western movies and is a huge basketball fan.

But the country he rules is largely sealed off from the outside world. People here mostly don't have telephones; they never get exposure to foreign television, newspapers or films. The world is defined by endless statues, portraits and tributes to the cult of the Kims.

What Kim's 'mystery woman' says about North Korea

When CNN visited Pyongyang, North Korea was putting on its most intimidating face.

But amid this display of what the regime called power and prosperity was the lone voice of the young leader.

For the first time North Koreans heard him speak.

This is why he appeared nervous.

Kim Jong Un mouthed the usual threats and warnings, but there was something different: an acknowledgment that North Korea must find a better future.

"Our fellow citizens, who are the best citizens in the world, who have overcome countless struggles and hardships, it is our party's firmest resolve not to let our citizens go hungry again," he said.

It was an important, if veiled, concession. Yes, North Korean people had suffered. Yes, the regime was responsible -- not just for the past but a better future.

"This was really his introduction. A few years ago no one even knew he existed but they're being told to worship him," Chovanec said.

Our government-assigned minders escorted us around the city. They were there to make sure that what we saw and heard was strictly according to the party line.

In North Korea it is impossible to separate what is genuine and what is just for show.

In the streets of the capital, Pyongyang, we were given a glimpse of the great future Kim Jong Un was promising.

We were taken to bustling neighborhoods, saw families shopping, cars on the street.

But all of this only served to hide another harsher reality. Outside this showcase city, life was so very different.

In the bleak countryside, aid groups say people continue to starve. Defectors tell of surviving on little more than corn. Children are reportedly malnourished and have stunted growth.

All the while billions of dollars are still spent on high-tech missiles and nuclear weapons.

This is the essence of this secretive country.

Kim Jong Un may struggle to emerge from the shadows of his father and grandfather, but the gun here looms even larger. As young and green as he is, he knows this much: Without it, his rule and the regime itself will not survive.

@highlight

North Korea's Kim Jong Un is the third generation of a powerful dynasty

@highlight

Beyond war rhetoric are realities of an impoverished, paranoid country

@highlight

Country is largely sealed off from the outside world

@highlight

Aid groups describe starvation, as billions of dollars are spent on weapons