(CNN) -- The intentional breach of a levee on the Mississippi River is sending 396,000 cubic feet per second of water onto 200 square miles of fertile Missouri farmland. The U.S. Army Corps of Engineers said the operation is helping to ease unprecedented flood pressure on other areas.

While the plan appeared to be working -- the level of the Ohio River fell where it joins the Mississippi -- record crests and relentless pressure from millions of gallons of water still threatened communities throughout the Mississippi and Ohio river valleys.

Vicksburg, Mississippi, could see water levels rise 4 feet by Sunday. Residents in Caruthersville, Missouri, were told sandbags may not be enough to control the water.

Corina Jolley, of Sikeston, Missouri, told CNN she grew up in Dorena, Missouri, which she said was being inundated by the breach on the Mississippi River.

A tombstone rests above the remains of her father and uncle, but "I'm sure we'll never see it again," said Jolley, who claims residents of the rich farmland will be out of luck, as opposed to those in Cairo, Illinois, for whom the risk has been lessened by the breaches.

"Whoever thought it would be this bad?" she said.

The Corps reported river levels had fallen more than a foot since engineers detonated explosives late Monday night at Birds Point, Missouri, briefly illuminating the night sky like lightning and sending water coursing across a floodway that Missouri Gov. Jay Nixon described as "literally the most productive part of our continent."

The Ohio River level had dropped about 1.7 feet at Cairo since Monday afternoon, before the blast, but that is expected to level off Wednesday and hover close to 60 feet the rest of the week. Other sections showed modest decreases or no changes Tuesday. Paducah, Kentucky, on the Ohio River, is expected to see levels go from 54.7 feet Tuesday night to 55.3 on Sunday.

A second levee blast was conducted Tuesday afternoon at New Madrid, Missouri, and a third is planned Wednesday near Hickman, Kentucky. The second and third blasts, downstream of Birds Point, will allow floodwater to return to the Mississippi River.

After the first blast late Monday, the National Weather Service lowered its crest projection for the Ohio River at Smithland, Kentucky -- upriver from the levee breach -- to 55 feet from the previous 58-foot prediction. But even that forecast is more than 3 1/2 feet higher than the record set at that location in 1997, according to weather service records. Flood stage there is 40 feet.

The town of Cairo remained under a mandatory evacuation despite the intentional breach, while six other communities were under voluntary evacuation notices, said Patti Thompson, spokeswoman for the Illinois Emergency Management Agency.

"We're definitely not out of the woods yet," she said. "The levees are all very saturated right now and they're going to continue to have a lot of pressure on them for several days."

Commercial shipping was affected by the levee blasting and subsequent debris removal.

The segment at the confluence of the Mississippi and Ohio rivers, near Cairo, opened late Tuesday afternoon, said U.S. Coast Guard Cmdr. Claudia Gelzer. Two other Mississippi River sections along the Missouri-Kentucky border will reopen Wednesday or later, she said.

Gelzer did not know how many vessels were affected, but said companies had prepared for the closings.

The National Weather Service continues to predict record or near-record flooding in parts of southern Illinois, southwest Indiana, western Kentucky and Tennessee, southeastern Missouri, northeastern Arkansas and, later, parts of Mississippi and Louisiana.

Maj. Gen. Michael Walsh, commander of the Corps' Mississippi River Valley Division, made the decision to order the breach. He warned that without punching a hole in the levee, massive flooding would threaten to inundate communities throughout the Mississippi and Ohio river valleys.

"There's a tremendous amount of pressure on the system," he told reporters Tuesday evening. "The project operated as designed."

It was a controversial decision. Missouri officials took the Corps to court over the plan, questioning the agency's authority to intentionally breach the levee. The state argued the floodwater would deposit silt on the 130,000-some acres, and years, along with millions of dollars, would be required to fix the damage.

The U.S. Supreme Court declined to intervene in the case on Sunday, clearing the way for Walsh's decision Monday to blow the levee.

Some Missouri residents were angered, arguing the decision would destroy their communities and provide questionable benefit. But others felt the decision was for the best.

"Yeah, we lost 135,000 acres of farm land here in Missouri," said Sikeston, Missouri, resident Patricia Mobely, who recently fled the drought and firestorms of Texas for what she thought would be a more peaceful life in the Midwest. "But how much more would we have lost if we hadn't done it?"

The river diversion and other flooding has had an impact on pets and livestock.

Thirty-one animals rescued from flood waters in southeastern Missouri are heading to St. Louis, including 24 domestic rabbits found abandoned inside a cotton gin trailer, according to CNN affiliate KSDK.

Walsh said the fate of Cairo was just one of many factors in his decision, saying he hoped the move would alleviate problems throughout the Mississippi River system. Water levels and flooding have hit record highs in many spots, putting severe strains on systems meant to prevent uncontrolled floods and the resulting loss of life and property.

He called the decision to inundate the farmland and about 100 homes "heart-wrenching."

"I've been involved with flooding for 10 years and it takes a long time to recover from something like this," he said.

The governors of Illinois and Missouri said authorities in both states were prepared for the blasts and subsequent flooding, according to prepared statements.

"I urge Missourians to continue to cooperate fully with state, county and local law enforcement, as they have at every stage of this process," Nixon said. "Together, we will ensure that Missouri families stay safe in the coming days. And together, we will recover and rebuild."

A statement released by Illinois Gov. Pat Quinn's office called the decision to breach the levee "an important step to ensure public safety as we respond to this crisis."

Even as the river was falling, Walsh did not rule out similar moves elsewhere along the Mississippi and its tributaries, saying the levee system is under unprecedented pressure and warning water levels could rise again.

"This doesn't end this historic flood," he said.

Evacuation notices have been posted in Indiana, Kentucky and Tennessee, where rising tributaries have threatened dozens of communities.

Kentucky Gov. Steve Beshear visited three counties to assess response efforts. Nearly 4,000 residents in the cities of Smithland, Hickman and Ledbetter have been evacuated, according to a statement from his office.

Counties in central and northeast Arkansas were affected, including areas along the Black and White rivers, said spokesman Tommy Jackson of the Arkansas Department of Emergency Management.

The mayor of Dyersburg, Tennessee, urged residents of parts of his community to evacuate ahead of significant flooding there forecast for Wednesday night, and residents and officials in Paducah, Kentucky, were closely watching a levee holding back the Ohio River that has showed signs of failing.

"We are in uncharted water," Paducah Mayor Bill Paxton said.

CNN's Phil Gast contributed to this report.

@highlight

NEW: Animals rescued in southeast Missouri

@highlight

Operations seems to be working thus far, Corps says

@highlight

Levees are breached at Birds Point and New Madrid, Missouri

@highlight

Record or near-record flooding is still forecast in at least eight states