(CNN) -- They say that all fiction can be reduced to two basic plots: "a stranger comes to town" and "a man goes on a journey."

Which suggests travel and literature make for cozy bedfellows.

Here are some of the coolest hotels inspired by writers and their work.

1. The Algonquin Hotel, New York

Following the end of World War 1, a group of young writers decided to gather daily for lunch in a hotel restaurant.

The writers worked for Vanity Fair at the time, and as their careers flourished, they became the literary lions of the day.

They were Dorothy Parker, Robert Benchley and Alexander Woollcott, among others, and the hotel was the Algonquin Hotel.

The New Yorker was founded inside its doors in 1925.

The Algonquin Hotel, 59 West 44th Street, New York, New York; +121 2840 6800; $259-959 per night

2. The Commons Hotel, Minneapolis

Located close to downtown Minneapolis, the Commons Hotel is a "geek chic" boutique hotel on the University of Minnesota campus.

The hotel's quirkiest feature?

Resident "book butlers" who provide guests with complimentary deliveries of a book of their choice during their stay.

Guests can choose from an in-room book menu that ranges from bestsellers to classics.

To keep with the theme, the hotel's nightly turndown service leaves a wise "quote of the day" on guests' pillows each evening.

The Commons Hotel, 615 Washington Avenue SE, Minneapolis, Minnesota; +161 2379 8888; $120-399 per night

3. The Hobbit Motel, Waitomo, New Zealand

This Lord-of-the-Rings-themed hotel, located in Otorohanga, New Zealand, came about entirely by accident.

The owner was looking at building a property underground because the area is known for glowworm caves, and his engineer wife, who was a fan of the books, suggested that he build it "like a hobbit house."

The rooms at the Hobbit Motel include kitchens and can accommodate up to six people.

The Hobbit Motel, Woodlyn Park, 1177 Waitomo Valley Road, Waitomo, New Zealand; +640 7878 6666; from NZ$285 per night

More: Best affordable island hotels

4. Les Plumes Hotel Paris

The literary theme of Les Plumes was inspired by its location -- a district dotted with the former homes of renowned writers.

The hotel's cushions bear the names of the famous lovers Juliette Drouet and Victor Hugo, Paul Verlaine and Arthur Rimbaud, and George Sand and Alfred de Musset, while the décor incorporates printed portraits and quotes.

Les Plumes Hotel, 10, rue Lamartine 75009 Paris; +331 5507 8800; €50-300 per night

5. The Nines, Portland, United States

Portland is home to Wordstock, a huge literary festival, as well as Powell's Books, the largest independent bookstore in the world.

The Nines was built to reflect this interest in Portland's literary culture by creating a place where guests could browse books, socialize with other literature lovers and get a sense of the city.

The hotel works with Powell's and has created a lending library of more than 3,000 books for guests.

The Nines, A Starwood Luxury Collection. 525 SW Morrison, Portland, Oregon; + 187 7229 9995 ; from $249 per night

6. Library Hotel, New York

The Library Hotel's concept was inspired by its proximity to the New York Public Library, just one block away.

Located on Library Way, the hotel's collection of over 6,000 books is organized by the Dewey Decimal System and each of the 10 guestroom floors honors one of the 10 categories of the system.

There are six rooms on each floor and each room is uniquely decorated with a collection of 25-100 books, as well as art that explores a distinctive topic within the classification of knowledge that the floor is dedicated to.

The Library Hotel, 299 Madison Avenue (at 41st Street), New York, New York; +1 21 2983 4500; from $249-749 per night

More: 7 hotel restaurants you'll be talking about for years

7. Radisson Sonya Hotel, St. Petersburg, Russia

The Radisson Hotel Sonya was inspired by Fyodor Dostoyevsky's legendary novel "Crime and Punishment."

The two suites in the hotel are named Rebirth and Ego and the pattern of the carpets contains the initial passages of the novel in both English and Russian.

The corridor signage is designed to look like the spines of old books.

Every guest room has its own unique door sign with quotes from the Russian classic.

Radisson Sonya Hotel, Saint Petersburg, Russia, Liteyny; +781 2406 0000; from RUB 4,080 ($125) per night

8. Hotel Le Marcel, Paris

"Traveling in space, but also in time."

An ode to Proust, the Le Marcel counts travel and literature as its main inspirations.

Touches of indigo, which the owners say is a major element of romantic literature, are sprinkled throughout the hotel.

Le Marcel, 11, rue du 8 Mai 1945 75010; +331 7303 2222; from €104 ($139) per night

9. The Plaza, New York

The Plaza's history is intrinsically tied to F. Scott Fitzgerald and his wife Zelda, who were both regular patrons.

The Fitzgerald Suite, unveiled in May this year, is a dramatic space that makes guests feel like they're in one of Fitzgerald's novels.

Designed by Catherine Martin, the co-producer of Baz Luhrmann's adaptation of "The Great Gatsby," this 700-square-foot space channels the dynamics of the Jazz Age using period-inspired pieces.

Another delightful venue at the hotel is Eloise at The Plaza, a one-of-a-kind shop, reading room and event venue which celebrates Kay Thompson's iconic children's book heroine, Eloise, who in the books lives at The Plaza.

The Plaza, Fifth Avenue at Central Park South, New York, New York; +188 8850 0909; The Fitzgerald Suite starts at $2,795 per night

More: 10 hotels featured in James Bond movies

10. The Heathman Hotel, Portland

Built in 1927, the Heathman Hotel touts one of the few cataloged lending hotel libraries in the United States.

The hotel's 3,000 volumes are displayed in custom-made cases in the Mezzanine Library, and many books were signed by their authors while they were guests at the hotel.

The collection includes signed editions from seven Nobel Prize winners, 14 Pulitzer winners, five U.S. Poet Laureates and two former U.S. Presidents.

Every Monday-Thursday, from 5:30 p.m.-7:30 p.m., the hotel's librarian pours complimentary wine and opens the library cabinets for guests to enjoy.

The Heathman Hotel, 1001 SW Broadway, Portland, Oregon; +180 0551 0011; from $229-1,750 per night

11. Apostrophe Hotel, Paris

Located in a district rife with literary history and home to many bookstores and publishers, the Apostrophe Hotel was conceived as a poem.

Each room is dedicated to a verse. The story starts with the room on the ground floor "Sheherazade" (Once upon a time...) and continues on upwards through the hotel.

Apostrophe Hotel, 3 rue de Chevreuse, 75006 Paris; +33 1 5654 3131; from €149-353 ($199-472) per night

12. The NoMad Hotel, New York

Rather random, yes, but still charming.

When designing The NoMad Hotel, the owners were inspired by the idea of a great house.

During the design process, owner Andrew Zobler imagined the hotel to be a place where a young woman of aristocratic French birth had gone off on her own to experience New York.

The books in the hotel's beautiful library are organized by the 15 subjects that they imagined this young woman would be reading, such as "The History of New York" and "Music."

The NoMad Hotel, 1170 Broadway & 28th Street, New York, NY; +1 21 2796 1500; from $395 per night

More: Palaces, castles, chateaus: 12 regal stays

13. The Betsy -- South Beach, Miami

The Betsy is Miami's only literary arts hotel.

It has a Writer's Room, which is outfitted with the latest technology, sound-proof, stocked with its own library and laid out like a New York apartment.

The current writer-in-residence is exiled Zimbabwean writer Chenjerai Hove.

To keep true to its literary theme, the Betsy places a bookmark with a poem, rather than chocolate, on guests' pillows every evening.

The Betsy-South Beach, 1440 Ocean Drive, Miami Beach, Florida; +130 5531 6100; from $279 per night

14. L'Hotel, Paris

The L'Hotel in Paris was made famous by Oscar Wilde, whose last words as he lay dying in the hotel were reportedly, "Either that wallpaper goes, or I do."

The bar is decorated as a library, with literary classics and photos of Oscar Wilde lining the back wall.

Room 16, the Oscar Wilde Room, has walls that are lined with letters to and from Wilde and the hotel manager, disputing the writer's outstanding hotel bills.

L'Hotel, 13 Rue des Beaux-Arts, 75006 Paris, France; +33 1 44 41 99 00; from €295 per night

More: 25 great skyscrapers: icons of construction

@highlight

The New Yorker was founded in The Algonquin Hotel

@highlight

Radisson Sonya Hotel in Saint Petersburg was inspired by "Crime and Punishment"

@highlight

L'Hotel in Paris was made famous by Oscar Wilde, who lived and died at the hotel