LONDON, England (CNN) -- The death of actress Natasha Richardson, who sustained a fatal head injury while skiing, has reignited the perennial debate around the safety of the sport.

Head injuries are the most common cause of death among skiers

The 45 year-old died Wednesday, two days after falling on a beginners slope while having a private lesson at Canada's Mont Tremblant resort.

While full details of the circumstances surrounding Richardson's death are not yet known, head injuries are the most common cause of fatalities among skiers worldwide.

"A typical death is a high speed collision with a static object after losing control -- a tree or a person," Dr Mike Langran a GP who works in Aviemore, Scotland and runs Ski-injury.com told CNN.

"Most ski deaths involve multi-trauma, but a head injury is by far the most common reason.

"There might be injuries to the abdomen or the chest or the neck but there nearly always is a head trauma as well."

However, Langran, along with many other industry experts, maintains that skiing is a relatively safe sport.

"I don't regard skiing and snowboarding as a dangerous sport," he said. "It's like many activities in life -- there are people who do silly things but in general these sports are safe."

There are an estimated 200 million skiers in the world, and in the U.S. (one of the few countries to keep reliable data on skiers and ski injuries) an estimated 55 million people ski.

Each year there are 39 deaths, which equates to about 2 deaths per million skiers.

While children and beginners are most at risk of being injured while skiing, it's those more experienced on the slopes who are most likely to be involved in a fatal accident.

"When you look at fatalities it does tend to be younger males and often of better skiing ability who are maybe pushing limits a little bit harder, traveling a little bit faster," Langran said.

In Austria, earlier this year a huge debate over the safety of skiing was sparked by a high-profile incident on the slopes, which involved a German politician.

Deiter Althaus, minister-president of Thuringia state was charged with manslaughter after colliding with another skier, Beata Christandl, a 41 year-old Slovakian mother of four, who later died from multiple head injuries.

He was accused by Austrian prosecutors of entering onto a slope against the direction of traffic while skiing at high speed.

Althaus was left with a fractured skull and has no recollection of the accident.

Althaus' accident may be typical of the kind that cause deaths in skiers but, The Austria Ski Federation says Althaus' case is very unusual.

Each year, an estimated 10 million people ski in Austria's resorts and there are between 10 and 50 deaths during this time, according to Thomas Woldrich, Head of Leisure Skiing at the federation.

"There's a minimal risk to get hurt when skiing," Woldrich told CNN. "When you're skiing approximately 14 days a year, the risk of having an injury is one in 55 years."

Even so, a law was recently passed in Austria making it compulsory for children to wear helmets on Austrian ski slopes.

"We do have an extraordinary trend towards wearing helmets," said Woldrich. "We have, especially among children, almost 100 percent of skiers wearing helmets on Austrian ski slopes."

Whether or not skiers should be forced by law to wear helmets is a debate that continues energetically in many countries.

The big question is do they make skiers safer.

Langran says that while there is evidence to suggest that helmets will provide a moderate degree of protection for low speed impacts, there is no evidence for high speed collisions.

"As far as I'm aware there is no evidence that for high speed impacts -- you're talking about 30 mph plus impacts, which sounds a lot but that's the average speed of a good intermediate skier on the slopes -- there's no evidence that if you hit a tree at that kind of speed a helmet will protect you against a fatality."

Indeed, there is evidence that wearing a helmet can give some skiers a feeling of invincibility, which can make them ski faster and more recklessly.

So, what can skiers do to make themselves safer?

It's all about knowing the risks and making informed choices, according to Sean Langmuir, a trained ski instructor who has coached both the Canadian National Ski Team and the British National Ski Team.

"People need to be better informed but they need to seek out that information for themselves," said Langmuir who is also Training Manager for British Association of Snowsport Instructors (BASI).

"A lot of people go on ski holidays and they can't ski very well and they won't go for a lesson immediately. It can help so much to get all that basic information."

It is also important to have properly fitting equipment, according to Langmuir.

"It's not just a helmet, it can be the skis or the snowboard that you use can make a big difference to how you manage to control yourself. It's quite important to gain information from professionals before you go out about what equipment you will need."

Skiers can also refer to the the International Ski Federation (FIS) Rules of Conduct as a guide for safety on the slopes.

"The single most important piece of advice is to ski or snowboard within limits of your ability," Langran told CNN. "Don't go faster than you are able to and don't try slopes you shouldn't."

FIS Rules of Conduct

1. Respect for others  A skier or snowboarder must behave in such a way that does not endanger or prejudice others.

2. Control of speed and skiing or snowboarding  A skier or snowboarder must move in control -- adapt speed and manner of skiing or snowboarding to personal ability and to the prevailing conditions of terrain, snow and weather as well as to the density of traffic.

3. Choice of route  A skier or snowboarder coming from behind must choose a route in such a way to not endanger skiers or snowboarders ahead.

4. Overtaking  A skier or snowboarder may overtake another skier or snowboarder above or below and to the right or to the left provided enough space is available for the overtaken skier or snowboarder to make any voluntary or involuntary movement.

5. Entering, starting and moving upwards  A skier or snowboarder entering a marked run, starting again after stopping or moving upwards on the slopes must look up and down the slopes to ensure no one is put at risk.

6. Stopping on the piste  Unless absolutely necessary, a skier or snowboarder must avoid stopping on the piste in narrow places or where visibility is restricted. After a fall in such a place, a skier or snowboarder must move clear of the piste as soon as possible.

7. Climbing and descending on foot  A skier or snowboarder either climbing or descending on foot must keep to the side of the piste.

8. Respect for signs and markings  A skier or snowboarder must respect all signs and markings.

9. Assistance  At accidents, every skier or snowboarder is duty bound to assist.

10. Identification  Every skier or snowboarder and witness, whether a responsible party or not, must exchange names and addresses following an accident.

Additional reporting by Hilary Whiteman

@highlight

The death of Natasha Richardson on the slopes has reignited skiing safety debate

@highlight

Head injuries are the most common cause of deaths among skiers

@highlight

Industry experts maintain that skiing is a relatively safe sport

@highlight

Awareness, good training and well-fitted equipment can help keep skiers safer