(CNN) -- The longest debate since humans have been having debates is whether we are good or evil. It underlies the stories of Adam and Eve, Cain and Abel, Jesus and Judas.

What is our human nature? Of course, the answer is we can be both good and evil. But what determines which part of our character emerges?

About a decade ago, my lab made an unexpected breakthrough in the understanding of good and evil. We discovered that the neurochemical oxytocin makes people trustworthy. We then found oxytocin was responsible for many other moral behaviors, from being generous to sacrificing to help a stranger.

Wait -- morality is chemical? In my TED talk, I describe how I made the unlikely discovery of the moral molecule, how I was roundly discouraged from even looking for such a chemical, and what drove me to persist in my search.

In these experiments, we tempt people with virtue and vice using money (share with others: virtue; selfishly keep everything for yourself: vice). Using money to understand how and why humans make decisions is a field now called neuroeconomics.

Money gives us a convenient way to measure how much someone cares about another person. For example, in one experiment we randomly matched strangers in the lab by computer and put $10 in an account for each of them. In each pair there was a decision-maker 1 (DM1) and a decision-maker 2 (DM2).

All participants got these instructions: DM1 can give up some or all of his or her $10 and transfer it to DM2 by computer but cannot talk to, or meet, the other person. Whatever is transferred is removed from DM1's account but is tripled in DM2's account.

Then, DM2 gets a computer message identifying how much has been received from DM1 and a reminder of the total in his or her account. Next, the software asks DM2 if she or he wants to send some of this larger pot of money back to DM1.

The amount sent back comes out of DM2's account one for one and is not tripled -- it's a pure loss to DM2. For example, if DM1 transfers $8, he or she would keep $2 and DM2 would receive $24 (=3 x $8). The total in DM2's account would be $34 ($24 + $10).

If you were DM2, what would you do -- keep it all or share some back with DM1? We found that 90% of DM1s send money and of the DM2s who receive money, 95% return at least some of it. Usually both DMs in a pair leave the lab with more than $10, sometimes much more.

The DM1 to DM2 transfer is understood to be a measure of trust, while the DM2 to DM1 transfer measures trustworthiness. By taking blood from participants, we found that the more money denoting trust DM2 received, the more oxytocin his or her brain made. And, the more oxytocin on board, the more money was returned to DM1. All this happened without any face-to-face interactions, revealing how easily the oxytocin system activates.

TED.com: How we read each other's minds

Morality has traditionally been the domain of theologians and philosophers, often providing prescriptions of what we must do. But in the past decade, neuroscientists have started analyzing brain activity while people think about, and engage in, moral or immoral acts. These findings have changed the inquiry into morals from prescriptive to descriptive. As I discuss in my talk, I have even done studies that have manipulated brain chemistry in human beings to show that oxytocin directly causes people to be moral.

I also talk about what having a chemical that affects morality means for individuals, organizations and entire societies. For example, does "my chemicals made me do it" absolve people from legal or moral responsibility? If we have a moral molecule, where does evil come from?

By the way, oxytocin doesn't only cause morality in a laboratory setting -- I've done studies in churches, on sports fields and among indigenous people to show that the biology of morality is a human universal.

TED.com: The battle between your present and your future self

While neuroscience has provided new insights into our human nature, the philosophy of morality has not gone away. My talk identifies the philosophers whose insights and arguments are consistent with the way oxytocin works in the human brain. Two hit the mark: Aristotle and Adam Smith. Aristotle claimed that the reason to be a virtuous person is because it makes us happy. I found the same thing: Those who release the most oxytocin in the lab are more satisfied with their lives (watch the talk to find out why).

And then there is Adam Smith. Yes, the same Adam Smith who is considered the "father" of economics was a moral philosopher. In 1759, Smith published a book called "The Theory of Moral Sentiments" that nearly perfectly anticipated my findings. Smith's book caused a sensation when it came out because of his radical claim that morality comes from humans' social nature, not from God.

Sociality, said Smith, means we inevitably share the emotions of others. This is just what I found: When the brain is flooded with oxytocin, people feel empathy for others. It is this emotional connection that causes most of us, most of the time, to behave well toward each other.

I've also found that societies that are more moral (for example, more trustworthy and more tolerant) also have higher standards of living. Smith understood why: Morality undergirds economic exchange, opening up more opportunities for the creation of wealth that individuals in a transaction can share. And, prosperity (perhaps surprisingly) can make societies more moral. All this occurs as part of our human nature, our brains adapting to evolving social environments.

So, this ancient and tiny molecule, oxytocin, has taken us from being social creatures to, increasingly, being tolerant, empathic and prosperous ones. Quite a nice trick for a tiny molecule that traces its lineage back at least 400 million years.

The opinions expressed in this commentary are solely those of Paul Zak.

@highlight

Paul Zak: Experiments show the presence of a chemical promotes moral behavior

@highlight

He says oxytocin makes people more willing to help a stranger

@highlight

Those who release the most oxytocin are the most satisfied with their lives, he says

@highlight

Zak: Aristotle was right in saying that the reason to be virtuous is that it makes us happy