The apocryphal and numerically fluctuating line about the Velvet Underground, often attributed to Brian Eno, is that just 3,000 people bought "The Velvet Underground and Nico," but every one of them formed a band.

It wasn't true -- the 1967 album sold more than 50,000 copies in its first two years of release -- but the influence of the album is inescapable.

The Velvets were precursors to punk rock, art rock, avant-garde rock, almost any kind of rock that veered from the status quo. And, not to discount the contributions of John Cale, Sterling Morrison, Maureen Tucker and the soon-to-depart Nico, but the voice of the band was Lou Reed.

The singer, guitarist and songwriter died Sunday, according to his publicist. He had undergone a liver transplant in May.

The Velvet Underground brought a thrilling dose of downtown noise and crudeness to a rock scene that was beginning to take its love-and-peace feelings all too seriously. Reed's songs, such as "Waiting for the Man" (whose narrator traveled to Harlem to meet his dealer), "Venus in Furs" (about a sadomasochistic relationship) and "Heroin" (self-explanatory), were journeys into humanity's dark side.

Reed wrote or co-wrote every song on that first album and expanded his songwriting expertise on the VU's later works: the even rawer "White Light/White Heat" (1968); the quiet, sometimes brooding, occasionally ecstatic "The Velvet Underground" (1969); the pop-directed "Loaded" (1970); and the wide-ranging "lost album" "VU," which was released in 1985. That was 15 years after the band broke up.

The Velvets would later reunite for a 1993 tour and, after guitarist Sterling Morrison's passing, their 1996 introduction into the Rock and Roll Hall of Fame. Reed's songs were generally minimalist, sometimes self-consciously poetic, and usually delivered with a deadpan vocal that was all the more haunting, given the songs' subject matter.

"Heroin will be the death of me," he sang on "Heroin," and then added, "It's my wife / and it's my life," followed by a chuckle so chilling it sounded like giving up. Combined with the squeal of Cale's viola and the undertow of Tucker's percussion, it was like peering down a dark alley.

But Reed was nothing if not a student of pop as well. He'd spent a couple pre-Velvet years slaving away at low-budget Pickwick Records learning the trade, and in his two-, three- and four-chord songs were undergirded with craftsmanship. Four chords may have been a bit much, anyway: "One chord is fine. Two chords is pushing it. Three chords, and you're into jazz," he once said.

"Sunday Morning," from the "Velvet Underground and Nico" album, contrasted a gorgeous melody with warnings about the past. "Jesus," from "The Velvet Underground," had the purity of a prayer.

And then there were "Loaded's" "Sweet Jane" and "Rock and Roll," which -- in a more just universe -- would have been smash hits: the former a celebration of music, the latter a tribute to rock 'n' radio.

His post-Velvets solo career was no less unpredictable.

Befriended by David Bowie -- who acknowledged the VU's influence on his soundalike 1971 song "Queen Bitch" -- Reed created "Transformer," a 1972 LP that featured his only Top 40 hit, "Walk on the Wild Side." One of the more unlikely hit singles of the pre-MTV era, the song featured unmistakable references to drag queens and oral sex, not to mention a jazzy saxophone solo from Bowie himself (who also produced the record).

But Reed would never be pigeonholed. Three years later, he put out "Metal Machine Music," described by "The Rolling Stone Encyclopedia of Rock and Roll" as "four sides of grating instrumental noise" and by rock critic (and frequent Reed sparring partner) Lester Bangs as "the greatest album ever made."

Bangs was being sarcastic -- mostly -- but even his criticisms highlight the punk pleasure of ticking off authority figures: "All landlords ... deserve whatever they get, and 'MMM' is the all-time guaranteed lease breaker. Every tenant in America should own a copy of this album," he wrote.

Outsiders often become insiders, and that was no less true for Reed. By the '80s, indie bands were singling him out as a hero. His poker-faced demeanor became a TV mainstay on Honda scooter commercials. He demanded his MTV. He even got airplay for his new music, such as "I Love You, Suzanne," from his 1984 album "New Sensations."

He also showed a more open sense of humor, something that often ran underneath his compositions, even at their bleakest. The humor was most obvious in his occasional acting roles.

He played a slick record producer in Paul Simon's 1980 film "One Trick Pony," and a Bob Dylan parody named Auden in the underrated 1983 comedy "Get Crazy," turning idle dialogue ("It's a deathbed request") into instant songs.

In recent decades, he had settled down with composer Laurie Anderson and become more reflective. With Cale, he paid tribute to Velvet Underground patron Andy Warhol with "Songs for Drella" (1990). His 1992 album "Magic and Loss" looked at life and aging.

It was all part of existence, just like heroin and pale blue eyes and new ages and street hassles.

"I'm a realist. That's why I listen to Lou Reed," Bangs wrote in 1980.

But for all the darkness and light of his lyrics, the music was often the ticket to raw excitement.

That's why, even if all those people didn't form bands like the legend insists, the songs of Lou Reed will always matter.

He summed it up in four deceptively simple words from the exuberant "Rock and Roll."

"It was all right," he sang. "It was all right."

Yes, it is.

@highlight

Rock icon, artist and pop pioneer Lou Reed died Sunday

@highlight

Reed challenged the status quo with the Velvet Underground and in his solo career

@highlight

Even at his art's bleakest, Reed's work had an undercurrent of humor