(CNN) -- For decades, Mike Wallace defined the image of the hard-charging investigative reporter. News of his death at 93 came Sunday and with it a multitude of remembrances and assessments of a complex man.

Wallace's longevity and his medium -- the TV network -- put a face on investigative reporting for the public. His career reflected how investigative journalism evolved from the 1950s into the 21st century -- and showed why we still need it.

We watched his work on "60 Minutes" go from undercover tactics and ambush interviews in the 1970s to pieces that relied more on documents and analysis -- and in which targets were not entirely surprised by what was coming.

We also watched as Wallace showed how complex and confrontational investigative reporting can be. He spoke openly of subjects dodging interviews and of management and corporate interference in investigative stories. He acknowledged many of his own flaws and revealed his clinical depression resulting from the stresses of the work.

We watched too as he underwent two major controversies that would have demolished other careers. One was a $120 million libel suit by Gen. William C. Westmoreland over a story that said the military had deceived the American public about the size of opposition forces during the Vietnam War. The suit was eventually withdrawn but not before it had damaged reputations and sent Wallace into depression.

The second was over an investigation into the tobacco industry that led to a fierce internal dispute at CBS on airing the story. Eventually, all the information came out and Wallace criticized his own bosses at CBS. But the controversy still resulted in a film highly critical of the network and Wallace's handling of the story.

In addition to those controversies, his methods periodically came under attack from inside journalism, and friendships were lost and colleagues estranged or disillusioned.

However, the public stuck with him -- perhaps because he continued to give hope that liars could be exposed, that dangerous practices could be stopped and wrongheaded policies overturned.

Backed by a series of talented reporters and producers over the years, he was the front man -- the "closer" so to speak -- for teams of investigative journalists and for the public. In the theater of the interview, he conveyed the outrage and skepticism of journalists who spent months digging for the truth.

One of his former producers, Charles Lewis, wrote Sunday, "Mike Wallace will go down in history as the finest investigative interviewer on the most popular and most honored network television news program in U.S. history."

Lewis, a founder of two nonprofit investigative journalism centers, added, "At 60 Minutes, he literally set the gold standard for fearless, 'tough but fair,' go-for-the-jugular questioning and showed the world and the profession how investigative television news could look, should look."

Wallace also exemplified a very American attitude that no matter how powerful someone is, he or she is expected to answer to the public for actions taken and mistakes made.

When he confronted someone, many viewers felt Wallace represented their frustrations and spoke for them. When Wallace said the subject of an interview had to be kidding, he really meant the subject had to be kidding everyone watching. Before the camera, he embodied the democratic attitude that everyone is equal and everyone is accountable.

In the end, one might wonder how he could continue to get those interviews after all those years of blistering confrontations, but I got a clue in 2000.

At the time, I was executive director of the professional organization Investigative Reporters and Editors and Wallace had been invited to be on a showcase panel at the annual conference in New York City. He came half an hour early and cheerily talked with the conference staff.

But while waiting backstage he suddenly said he needed one of his well-known catnaps. We offered to get a cot, but he said no thanks, folded his suit jacket inside out into a pillow, lay down on the floor and promptly fell asleep.

For 10 minutes the staff delicately stepped over and around him. Then he got up, completely alert, thanked everyone for inviting him, and smiling went on stage to chat with a thousand journalists.

I suspect it was that kind of regular guy attitude that got so many to talk to him, to believe in him, and even some of his targets to forgive him.

The opinions expressed in this commentary are solely those of Brant Houston.

@highlight

Brant Houston: Mike Wallace, who died Sunday at 93, defined image of hard-charging reporter

@highlight

He says Wallace reflected evolution of investigative reporting over decades

@highlight

Wallace exemplified the attitude that people in power should be held accountable, he says

@highlight

Houston: Wallace spoke openly of corporate interference in stories, and of his depression