A 29-year-old computer technician for a U.S. defense contractor leaked details of a top-secret American program that collects vast streams of phone and Internet data, American and British newspapers revealed Sunday.

"My sole motive is to inform the public as to that which is done in their name and that which is done against them," the source, Edward Snowden, told Britain's the Guardian, one of the papers that broke stories on the program last week.

The Washington Post also disclosed Sunday that Snowden was the source on its stories.

Snowden is a former technical assistant for the CIA and has been working at the National Security Agency, the U.S. electronic intelligence service, for the past four years, the newspaper reported. He said he walked away from a six-figure job in Hawaii for the computer consulting firm Booz Allen Hamilton and has holed up in a hotel in Hong Kong in preparation for the expected fallout from his disclosures.

"I'm willing to sacrifice all of that because I can't in good conscience allow the U.S. government to destroy privacy, Internet freedom and basic liberties for people around the world with this massive surveillance machine they're secretly building," he said.

Video: What did NSA want with Verizon data?

The Guardian reported Wednesday that Verizon Business Network Services had been ordered to hand over telephone records detailing the time, location and telephone numbers involved in domestic calls from April 25 to July 19. An order from a U.S. court that oversees U.S. surveillance efforts backed up the demand, the newspaper reported.

Thursday, the Guardian and the Post disclosed the existence of PRISM, a program they said allows NSA analysts to extract the details of customer activities -- including "audio and video chats, photographs, e-mails, documents" and other materials -- from computers at Microsoft, Google, Apple and other Internet firms.

Snowden said the NSA's reach poses "an existential threat to democracy." He said he had hoped the Obama administration would end the programs once it took office in 2009, but instead, he said, President Barack Obama "advanced the very policies that I thought would be reined in."

"I don't see myself as a hero, because what I'm doing is self-interested," he said. "I don't want to live in a world where there's no privacy, and therefore no room for intellectual exploration and creativity."

Will he be extradited?

The first call for Snowden's prosecution came shortly after his identity was made public, from Rep. Peter King, the chairman of a House Homeland Security subcommittee and a member of the Intelligence Committee.

"If Edward Snowden did in fact leak the NSA data as he claims, the United States government must prosecute him to the fullest extent of the law and begin extradition proceedings at the earliest date," King, R-New York, said in a written statement. "The United States must make it clear that no country should be granting this individual asylum. This is a matter of extraordinary consequence to American intelligence."

Though Hong Kong is part of communist-ruled China, the former British colony has a free press and tolerates political dissent under a semi-autonomous government.

Hong Kong's extradition treaty with the United States has exceptions for "political" crimes and cases when handing over a criminal suspect would harm the "defense, foreign affairs or essential public interest or policy" of either party.

James Clapper, director of the Office of National Intelligence, had no direct comment on Snowden's admission, but noted, "Any person who has a security clearance knows that he or she has an obligation to protect classified information and abide by the law."

A law enforcement official told CNN the United States must charge Snowden before a process to seek his extradition can begin, adding that any talk of such action is "jumping ahead" of where things stand in the case.

The Justice Department declined to comment, citing an ongoing investigation into the leak.

Leaders of the intelligence committees in Congress defended the program Sunday.

Dianne Feinstein, the chairwoman of the Senate Intelligence Committee, said it helped lead to convictions in two cases:

-- Najibullah Zazi, an Afghan-born Colorado man who pleaded guilty to conspiring to bomb targets in New York.

-- David Headley, who pleaded guilty to conducting advance surveillance for the Pakistani jihadists who attacked hotels and other targets in Mumbai, India, in 2008, killing 164 people.

"These programs are within the law," Feinstein, D-California, told ABC's "This Week." And Rep. Mike Rogers, the chairman of the House Intelligence Committee, told ABC, "The inflammatory nature of the comments does not fit with what Dianne and I know this program really does."

"The instances where this has produced good -- has disrupted plots, prevented terrorist attacks -- is all classified," said Rogers, R-Michigan. "That's what's so hard about this."

Obama defends NSA program

Clapper: Programs were authorized by Congress

Clapper's office declassified some details of the programs, which it said were "conducted under authorities widely known and discussed, and fully debated and authorized by Congress."

U.S. officials said earlier that phone-call data isn't looked at unless investigators sense a tie to terrorism, and only then on the authority of a judge. Officials say analysts are forbidden from collecting the Internet activity of American citizens or residents, even when they travel overseas. And Obama tried to reassure Americans about the programs Friday, saying, "Nobody is listening to your telephone calls."

Clapper's office said PRISM was created in 2008, targets "foreign targets located outside the United States" and gets reviewed by the administration, Congress and judges. And Rogers told reporters Sunday that "there is not a target on Americans."

Some shrug at NSA snooping: Privacy's already dead

But Glenn Greenwald, the lead author of the Guardian pieces, told ABC's "This Week" that the articles show the NSA hasn't leveled with members of Congress who have expressed concerns about the scope of electronic surveillance. He said Americans need an "open, honest debate about whether that's the kind of country that we want to live in."

"These are things that the American people have a right to know," said Greenwald, a lawyer and civil-liberties advocate. "The only thing being damaged is the credibility of political officials and the way they exercise power in the dark."

Colorado Democratic Sen. Mark Udall, who has long called for greater transparency in how the government collects data on Americans, said the legal authority should be reopened for debate after last week's disclosures.

"Maybe Americans think this is OK, but I think the line has been drawn too far towards 'we're going to invade your privacy,' versus 'we're going to respect your privacy,' " Udall told CNN's State of the Union.

Udall is a member of the Senate Intelligence Committee. He and Sen. Ron Wyden, D-Oregon, have criticized the scope of the classified programs that allow the collection of Americans' phone records but have been limited in what they could say publicly.

Udall told CNN that claims that the monitoring has thwarted terrorist attacks are overblown.

"It's unclear to me we've developed any intelligence through the metadata program that's led to the disruption of plots that could have been attained through other means," Udall said, pushing back on assertions by both administration officials and Rogers that a specific plot was stopped using the massive collection of phone records.

'I do not expect to see home again'

The Guardian reported that Snowden grew up in North Carolina and Maryland. He joined the Army in 2003 but was discharged after breaking both his legs in a training accident. He never completed a high-school diploma but learned computer skills at a community college in Maryland.

He started his career as a security guard for an NSA facility at the University of Maryland, then went to work for the CIA in Internet security. In 2009, he got the first of several jobs with private contractors that worked with the NSA.

In a statement issued Sunday afternoon, Booz Allen said Snowden had worked for the company for less than three months. Reports that he had leaked American secrets were "shocking" and if true, "represents a grave violation of the code of conduct and core values of our firm," the company said.

Snowden told the Guardian that he left for Hong Kong on May 20 without telling his family or his girlfriend what he planned.

"I do not expect to see home again," he told the paper, acknowledging the risk of imprisonment over his actions.

"You can't come up against the world's most powerful intelligence agencies and not accept the risk," he said. "If they want to get you, over time they will."

@highlight

Sen. Dianne Feinstein says program info aided two declassified cases

@highlight

"If they want to get you, over time they will," Snowden says

@highlight

U.S. officials say the program is overseen by courts and Congress

@highlight

Senators have expressed concerns about the scope of the program before