(CNN) -- The lessons of the first round of the French presidential elections are multiple and somewhat contradictory.

There is, on the one hand, the first-round victory of a self-described "normal man" who is still -- in spite of very tight results -- likely to become the next president of France: François Hollande. His lack of charisma has not been a handicap, so great was the rejection of incumbent President Nicolas Sarkozy.

François Hollande's good-naturedness and his smiling personality evoke a mixture of Jacques Chirac and even Georges Pompidou. One should not be deluded: Any successful politician has a killer instinct. But his friendliness is reassuring after the hyper-energetic and aggressive personality of Sarkozy, whose style was making people unnecessarily anxious.

Hollande has managed to turn the first round into a referendum against the personality and style of the incumbent. One might say Sarkozy's behavior greatly encouraged him in this choice of strategy. The incumbent candidate would have done better campaigning on his success in dealing with an unprecedented economic crisis with determination and firmness.

In 2007, Sarkozy campaigned on hope and modernity. In 2012, he was the candidate of fear, appealing to the right-wing opponents of immigration.

It wasn't expected at all, but French participation was at a level that Americans dream about: more than 80%. But this apparent triumph of democracy was somewhat tainted.

Nearly 20% of the electorate voted for the National Front, the party of the extreme right. To add insult to injury, many young voters supported the party's candidate, Marine Le Pen. Youth is supposed to be synonymous with hope. With the rise of unemployment and the decline of belief in the value of the European Union, it seems young people, especially poorly educated ones, are motivated by fear much more than by hope.

This rise of right-wing populism affecting mostly the young, which one witnesses from Hungary to France, is of course the direct consequence of the economic, social -- if not ethical -- crisis that besets Europe once again. It would be excessive to speak of the return of the 1930s. Those tragic years were the product of the encounter between the Great War of 1914-18 and the Great Depression of the late 1920s and early 1930s. We are not there and, we hope, will never again be there.

Nevertheless, in France, Sarkozy has been playing with fire in his attempt to seduce extreme-right voices. As Churchill would have said: "He will have dishonour first and then defeat."

At this point, only a miracle could save Sarkozy. In 2007, modernity meant the call for structural reforms. In 2012, modernity may be on Hollande's side when he campaigns on fairness and the fight against social injustice. In this juncture in our global world, there is a need to restore a broken social contract resulting from too much inequality. It is a most modern issue that concerns the entire world, with the possible exception of Nordic Europe. It affects the United States as well as China, India or Brazil. Sacrifices can only be acceptable if they seem to be equally shared by all segments of society.

What would a Hollande victory mean for France and for Europe?

The year 2012 is not 1981, when the Left came to power behind François Mitterrand for the first time in the history of the Fifth Republic. The Cold War is over; the Reds are more "pale pink" than ever; the rules of monetary union are much stricter than they ever were. The margin for maneuver in a sovereign state in Europe is extremely limited by law as much as by economic circumstances. Hollande is a Social Democrat; he does not have the means to be a revolutionary. As for Europe, Hollande in power in France would merely be an accelerating factor in the slow evolution of the EU away from a strict austerity policy, which the Germans themselves have started to question.

Can a "normal man" be the right choice for exceptional times? Harry Truman in the United States rose to the challenge. Why not Hollande in France?

The opinions expressed in this commentary are solely those of Dominique Moisi.

@highlight

Dominique Moisi: The French dislike Sarkozy, and Hollande is sure to win the presidency

@highlight

Hollande is a Social Democrat, but 20% of the nation voted for the extreme right

@highlight

Hollande's success shows a need to address the economic inequality in France, he writes

@highlight

Moisi: Hollande's success also signals disaffection with European austerity policies