It's been eight years since a black exotic dancer in Durham, North Carolina, accused three white Duke University lacrosse players of rape, sexual assault and kidnapping at a party. Whether you believe justice was adequately served --  without a trial, the North Carolina attorney general unilaterally declared the indicted players innocent -- one fact remains indisputable: A whole lot of underage drinking of beer and Jack Daniels was going on throughout much of that March day, badly impairing the judgment of the more than 40 man-boys in attendance.

According to a June 2006 study by Aaron White, then an assistant professor at the Duke University Medical Center, about 40% of college freshmen admitted they engaged in binge drinking: five or more drinks on one occasion. Some 20% of college freshmen admitted they drank even more: between 10 and 15 drinks per drinking session.

"College students drink at levels far higher than we expected," White wrote in the report. "We found that roughly 20% of all freshmen males had 10 or more drinks at least once during the two-week period (of the study.) This is twice the binge threshold." He found that "highly excessive drinking" is more common on American college campuses than in other countries, although in Denmark, Great Britain, Australia, New Zealand, South Africa and Russia there are also high rates of drinking on college campuses.

College and university presidents generally agree that binge and underage drinking are the single greatest problems facing their schools, in large part because of all the bad behavior -- including rape -- that results from excessive and acute drinking on campus.

Not surprisingly, Duke students are hardly immune to the epidemic of excessive drinking. In its own 2000 study about alcohol abuse among its students, Duke found that 41% said they engaged in binge drinking. In the first two months of the 2000 school year -- Duke's 75th anniversary -- 18 students were admitted to the emergency room with alcohol-related problems, 13 of whom were freshmen.

Despite the drinking age of 21, about 74% of drinking violations at Duke in 1999 were committed by freshmen. James Clack, a student affairs administrator, wrote a message to incoming freshmen in August 2000 telling them not to be pressured "to become a dangerous drinker. ... If you want to major in alcohol, please go elsewhere."

Clack's admonition fell, and continues to fall, on deaf ears. Not only did excessive drinking lead to the lacrosse players' decision to hire, at a cost of $400 each, the two strippers in the first place -- apparently not uncommon at Duke fraternity and sorority parties -- but it also led to the boys' taunting of the women with a broomstick, to their unsavory public humiliation of the two dancers as the sexual fervor in the living room ratcheted up and to their hurling of ugly racial epithets at them after they abruptly left the off-campus house.

Whether it also led the three indicted players to rape Crystal Mangum, as she said happened in one of the bathrooms, will never be known. But while the debate about that continues, the open question remains of how much longer we as a nation are going to continue to tolerate underage drinking on college campuses.

The drinking age of 21 is a national joke. Every college campus in the country is filled with students who violate the drinking law every week, if not every day, while university administrators turn a mostly blind eye.

Some matriculating freshmen know intuitively that soon after the acceptance letter arrives, the next task is to obtain -- usually for around $100 or so -- a spiffy fake identification card that will convince inquiring minds that its holder can drink legally. And the IDs are pretty darn convincing.

But it's all a farce, and does nobody any favors. For any semblance of hope that binge drinking, and its attendant bad behavior, can be curtailed on college campuses, Congress must act sooner rather than later to lower the drinking age to 19 years old.

That seems to me, as the father of two underage college students, the right age for drinking to be legal. By then, when most students are sophomores, one year of college will be in the bag, with the awkward but necessary social adjustments mostly accomplished. Instead of students continuously lusting after the forbidden fruit of alcohol and sneaking around furtively with bottles of vodka and rum and then quickly guzzling them in an effort to get limbered up to be able to "hook up" with one's peers, perhaps a more, shall we say, refined and responsible approach to alcohol can prevail on campus.

A drinking age of 19 would also mean that easily three-quarters of the students on a college campus would no longer be violating the law by either drinking on campus or in unsupervised homes off-campus.

The crimes allegedly committed by the three Duke lacrosse players happened in a house off Duke's East Campus. Needless to say, these off-campus binge parlors are not popular in the neighborhood.

Of course, along with a lowering of the drinking age to 19, a zero tolerance policy must be put in place for anything approaching driving while intoxicated. In Brazil, for instance, it is illegal to drive with even a trace amount of alcohol in the bloodstream; in the United States, the 0.08% threshold should be abandoned in favor of zero tolerance. Anyone caught driving with any amount of alcohol in their bloodstream should have his or her driving privileges suspended for at least three years.

In October 2005, Duke President Richard Brodhead gave an interview to the National Public Radio station in Chapel Hill. The night of the March 13, 2006, party was still six months in the future. But the residents of the Durham neighborhood where student partying had ratcheted up exponentially over the previous years were already in open revolt. They were sick of underage drinking, the late-night noise, the public urination and the intimidating presence in their midst of large groups of thoroughly inebriated college students. They had asked the Duke administration and the Durham police to begin cracking down on the drunken and lewd behavior.

This came up during Brodhead's interview. One of the original signatories of the Amethyst Initiative -- a group that advocates lowering the drinking age to 18 and encouraging a debate among students, faculty and administrators about the responsible role of alcohol on campus -- Brodhead has long been working to confront head-on the drinking problem on campuses.

From his answers on public radio, it was obvious Brodhead knew he was sitting on a powder keg. "The problem of drinking in college, the problem of rowdiness in college—this is by no means a Duke problem," he said. "It's a problem that all of us face."

One caller to the show — Betty, a resident of the Durham neighborhood where the lacrosse team would soon have its fateful party — asked Brodhead to comment on her perception that the students seemed to be regularly drinking to excess and then causing trouble. Brodhead said "It's a challenge for everybody, and we can't make the problem go away by wishing it didn't exist."

Continuing to pretend that underage binge drinking on college campuses and the horrific behavior that derives from it doesn't exist is not a responsible and mature response to an obvious systemic problem.

We can't continue to anesthetize ourselves. One possible solution is to lower the drinking age to 19 and to enact a zero tolerance policy for drinking and driving. There are undoubtedly others. Let's solve this.

@highlight

William Cohan: Duke lacrosse players were drinking a lot when allegations of rape came up

@highlight

Cohan: More than half of college freshmen binge drink, and can become crude and aggressive

@highlight

Cohan: The drinking age of 21 is a national joke, students on campus violate law every day

@highlight

Cohan: We need drinking age of 19, no tolerance for drunken driving or binge drinking