Los Angeles (CNN) -- As a medical student six years ago, Benjamin LaBrot would travel to remote areas of Africa and treat patients with supplies he could carry in his backpack.

But one time, while treating Maasai villagers in Tanzania, LaBrot's supplies ran out.

He was devastated.

"I got back into the car ... having felt like I had just done so little ... and I cried for 20 minutes," LaBrot said. The farming village was extremely poor, and many people were in desperate need of medical attention. "I essentially decided right then and there that I was going to come back, either to that village or to another one of the hundreds of thousands of villages just like it all over the world ... and I would bring more help. I would bring a bigger backpack."

Today, LaBrot's "backpack" can carry 20,000 pounds of medical supplies.

The American started Floating Doctors, a seafaring medical group that provides free health care for people in remote coastal regions.

In the last two years, LaBrot and his team of volunteers have traveled on "The Southern Wind," a 76-foot-long refurbished ship, to treat nearly 13,000 patients in Haiti, Honduras and Panama.

"Most of the communities that we serve are communities that have fallen through the cracks because they're too small, they're too far away (or) they're too hard to get to," said LaBrot, 36.

Typically, LaBrot and his team will anchor at the coast and then use a smaller craft or vehicle to reach remote areas. In some cases, they'll walk miles to reach small villages in need.

"The end result is that you end up in a community which may never have been visited by modern health care providers," he said. "I'll find patients who have never seen a doctor before in their lives."

Approximately one-half of the world's population lives in rural areas, according to the World Health Organization, and most of them usually lack trained health care workers. Oftentimes, these communities don't have electricity or running water, either.

LaBrot first steered "The Southern Wind" to Haiti after the earthquake in 2010, delivering 20,000 pounds of medical supplies, 80 sheets of plywood and 2,500 pounds of tin roofing. He and his team then stayed in the country for three months treating patients.

They had no money for personal transportation, so they walked to and from the clinic where they worked. It endeared them, LaBrot said, to the Haitian people.

"You gain extraordinary acceptance by your patients when you walk through the same mud that they do," he said.

During the three months the group spent living and working in Haiti, it operated 25 mobile clinics, treated 2,500 patients, and rebuilt schools with the tin roofing they brought.

LaBrot said the entire undertaking cost only $5,000, including the fuel to get to Haiti from Miami. It helps that the medical supplies are donated by groups like Direct Relief International, but using a ship is also a very cost-effective way of working.

"You can house people onboard," LaBrot said. "On a ship, you can generate your own water, you can generate your own power. And those power sources can be from renewable energy sources."

Do you know a hero? Nominations are open for 2012 CNN Heroes

LaBrot originally envisioned Floating Doctors to be a provider of "brigade medicine." He imagined himself and other volunteers dropping into hard-to-reach areas for short durations. But Haiti changed that. There, LaBrot saw the need to stay put for a while and make a real impact.

"The benefits that you can create if you're there longer are extraordinary," he said. "In Haiti, we learned after two weeks you just start to know your way around. After a month, you have some sense of the health care ecology of the area. After two months, you can really start calling on the community to assist you in your work."

In addition to providing medical care, Floating Doctors enlists locals to help with smaller-scale projects that address specific community needs. The group has installed water filtration systems, built ramps for the disabled, improved care for the elderly and raised awareness about local health issues.

LaBrot works side by side with his younger sister, Sky, to run the all-volunteer organization. Since the project began, 180 volunteers from nine countries have joined the effort, including medical residents, nursing students and retired physicians. LaBrot is the only full-time doctor on board.

Following their initial trip to Haiti, LaBrot and his team traveled to Honduras for a seven-month stay. They later returned to Haiti to offer aid during a cholera outbreak, and then in May, the group left Haiti for Bocos del Toro, Panama, where they have been working for the last nine months. LaBrot said he knew of the need in Honduras and Panama, and connections he had made in those countries enabled him to reach remote communities there.

In the future, LaBrot hopes to set up permanent clinics that would be run by local health care workers in the three countries they've visited.

"I do not want to have to treat a couple hundred people and then have to go," LaBrot said. "I want to treat thousands and thousands of people. And better than that, I want to be able to provide the people we treat with the capabilities to carry on what they've learned so they can continue to help others after we leave."

Floating Doctors is run entirely on donations. While LaBrot wears many hats to keep his project afloat -- he often serves as captain, cook and lab technician -- he says he wouldn't have it any other way.

"I had to postpone many aspects of my own personal life. I don't have a home somewhere. I had to give up a lot," he said. "But I gained everything."

Want to get involved? Check out the Floating Doctors website at http://floatingdoctors.com and see how to help.

@highlight

Dr. Benjamin LaBrot started Floating Doctors to reach remote coastal communities

@highlight

He and his team of volunteers treat villagers and help them improve their quality of life

@highlight

Many of the people they treat have never even seen a doctor before

@highlight

Do you know a hero? Nominations are open for 2012 CNN Heroes