Beijing (CNN) -- The public outcry continued in China's cyberspace days after Haobo, a two-month-old boy, was killed by a man who stole his parents' car with the child inside.

The incident attracted attention at the highest levels of government, and raised much online finger-pointing to the suspect, police, the parents, Chinese media and society. It also shed light on censorship in China, after a decree from propaganda chiefs on how local media should cover the case was leaked online.

The tragedy started Monday morning when Haobo's father, who lives in the northeastern Chinese city of Changchun, left him in his car with the engine running while he went into the store he owns to turn on indoor heating.

When he came out, the car was gone with Haobo inside.

The parents turned to the police and the public for help. Over 8,000 police officers took part in a manhunt, searching neighborhoods and parks.

READ: Body of baby killed in China carjacking found

The news of Haobo's disappearance spread quickly, his picture forwarded across Chinese websites and on mobile phones. Millions of netizens were on tenterhooks, waiting for updates.

Over 30 hours after the car theft, a 48-year-old man named Zhou Xijun turned himself up to the police. He admitted to strangling the toddler and burying him in the snow. The baby's body has been found later.

China soul-search

This sad story reminded me of what happened last year to Wang Yueyue, the 2-year-old girl in southern China who was run over by a truck twice and was left dying unassisted as 18 people passed her by. Her plight, and the lack of human compassion, also triggered nationwide soul-searching.

Many Chinese complain about the decline in public ethics. To some, this week's death generated debate about the nation's apparent moral decay in the midst of an economic boom.

"How can one even imagine strangling a baby just to steal a car?" Ping Gu, a white-collar worker in Beijing tells me. "What about basic humanity, conscience, values?"

At the ongoing annual meeting of China's legislature, Premier Wen Jiabao obliquely acknowledged the problem, too.

"We should greatly increase education in public morality, professional ethics, family virtues and personal integrity," the outgoing premier said in his state-of-the-nation speech last Monday. Wen proposed to "foster healthy social conduct."

Censors jump on coverage

Meanwhile, China's propaganda czars have imposed a gag rule to stop the negative reporting on the case. In an internal decree issued Tuesday soon after the killer surrendered, they instructed the local media in Changchun to mute their reporting.

A screen grab of the decree was captured before it was deleted. Translation:

1. No front page coverage, the story shouldn't be bigger than half a page on newspapers. TV channels shall not run long feature reports.

2. Reports should criticize the killer and highlight the positive efforts made by the police.

3. No questioning or finger-pointing of the police. Don't criticize the city's (Skynet) surveillance network. Stop interviewing victim's family and relatives.

4. Without further orders, newspapers should stop covering the incident starting tomorrow. TV and radio should stop covering after tomorrow's morning news.

Perusal of the local Changchun newspapers the past few days show that the local media have acceded to the decree. Recent reports on the incident were short, tucked inside and uplifting.

On March 7, four days after the incident, the Changchun Daily published on page 4 a short report saying that the Changchun city officials had visited Haobo's relatives, who "expressed thanks to people from various sectors for their concern and hard work."

A local Changchun journalist, who requested anonymity, complained of being "caught in between a furious public who wants follow up stories on the incident and the propaganda officials who imposed the gag order."

Online firestorm

Despite the media clampdown, Haobo's grisly death has sparked public uproar, especially on Weibo, China's micro-blogging site with more than 250 million users.

Many condemned the killer.

"Hurry with the verdict!" said @LuoMoShideShang. "He deserves death penalty, no better way to calm people's outrage."

Others blamed the parents.

"What kind of parents will leave their babies alone in cars?" asked @Qiyanhenziaozhang.

Still others blamed the media.

"Everywhere is posting information about the baby, and they irritated the killer and provoked his desperate act. The media has done a really bad work," said Shenshang.

Several netizens juxtaposed Haobo's death with a similar incident in the United States.

A month ago, an SUV was stolen in the Bronx in New York City, with an 8-month-old girl still inside. "The silver Jeep was found abandoned just over an hour later with the child unharmedâ€”after the perp phoned in the car's location to police," the New York Post reported.

@ZuoJingXiaoWu: "Ironically it's the same story but with very different outcomes! I believe that race has nothing to do with it but the problem is that Chinese people's moral education is disgusting. Also, brain-dead parents have no qualifications for parenthood."

@LanXiaoHaiMayday: "It's either a matter of better law or purer hearts."

As the finger-pointing continues, other netizens have turned their ire on the police.

One noted how the government in Changchun, the city where the crime took place, had since 2007 invested 140 million yuan ($22.5 million) to install a "Skynet project" an intra-city video surveillance network, equipped with some 60,000 closed-circuit cameras.

A micro-blogger named @LaoXuCommentary wryly noted: "Citizens found the stolen car, the suspect turned himself in, thousands of police searched downtown while the man had escaped to the countryside already. A camera surveillance system worth 140 million yuan went blind in this case."

While some angry postings have been deleted on China's social media sites, no new key words related to the case have been blocked on Chinese search engines -- a common censorship tactic -- just yet. Meantime, citizens are still expressing their grief and outrage on Haobo's grisly death online.

@highlight

Huge outcry in China's cyberspace after a two-month-old boy was killed by a carjacker

@highlight

Incident has raised finger-pointing to police, the parents and Chinese society

@highlight

A leaked memo shows how Chinese censors sought to clamp down on media coverage

@highlight

Despite the media clampdown, the grisly death has sparked public uproar online