Looking pale, thin and emotional, Gilad Shalit was reunited with his family Tuesday after more than five years in captivity. Now he faces what is likely to be a bewildering few days, weeks and months as he readjusts to a life of liberty.

While no one yet knows exactly what he went through, other captives' experiences give an insight into his likely state of mind -- and suggest that although he has his freedom, other challenges lie ahead.

Only 19 at the time of his capture in June 2006, Shalit was known to few outside his circle of family, friends and fellow soldiers.

But after years spent in virtual isolation, he has been thrust into the limelight and faces a barrage of media attention.

Speaking to Egyptian television shortly after his release, Shalit said he had missed his family and friends. "I missed interacting with normal people," he told the interviewer.

A few details emerged later as his father, Noam Shalit, addressed the throng of reporters gathered outside the family's home in northern Israel.

His son felt good, he said, but was suffering the effects of small shrapnel wounds received long ago but never properly treated, as well as a lack of sunlight.

While Gilad was very happy to be home, it was difficult for him to be exposed to so many people after so long in isolation, unable to speak to anyone in his own language, Noam Shalit said.

"He basically came out of a dark hole, a dark basement, and came out of that to this great crowd," he said, adding that it must have been amazing for his son to see such a show of support from their village and the country.

The family had greeted Gilad with big hugs, he said, but so far they had had little chance to do more than eat together in what had been an exhausting day.

"He said in the beginning the conditions were difficult and he wasn't particularly well treated, but more recently things improved," he said of his son, adding that he was sure the family would learn more over time.

David Senesh, an Israeli clinical psychologist and former prisoner of war based near Tel Aviv, told CNN that Shalit may continue to feel isolated despite being back among loved ones.

"I think the most difficult thing he will have to cope with is that he has been going through an experience that is very difficult to communicate, to explain to the ordinary person," he said.

But Senesh said it was a good sign that Shalit had expressed a wish to talk about his ordeal. "That will help his readjustment as long as it comes from him and is not solicited by the media or other people," he said.

Senesh, who was held for 40 days in an Egyptian jail following the Yom Kippur War in 1973, said his own experience was made easier by being held with fellow prisoners and, on his release, returning to the familiarity of his army unit.

But Shalit has been kept in virtual isolation. And his long captivity has not only affected him but also the family members who have "gone through hell" by extension, as they feared for his safety and fought for his freedom, Senesh said.

"It will be difficult to adjust to normal life. He will have to find out what it is because it's not what he left five years ago. It's a completely different life, different family," Senesh said. "Everybody is involved with the trauma."

He suggests that what Shalit will most need is time and a period of peace and privacy to come to terms with what he has experienced.

But unlike some prisoners of war in previous decades, Shalit will not have to deal with the trauma alone.

Israel has many professionals who can provide support and advice based on the experiences of others who have been held captive, Senesh said, and there is an enormous desire in Israel to see him recover fully.

While little is known about Shalit's day-to-day conditions, the fact he appears healthy -- if thin and wan -- is promising, said Walter Busuttil, a physician and retired Royal Air Force wing commander who was part of a clinical team that rehabilitated British hostages released from Lebanon in 1991, among them Terry Waite, a former envoy to the archbishop of Canterbury.

But medical professionals will need to monitor Shalit's sleep and weight patterns for signs he is suffering post-traumatic stress disorder, said Busuttil, now medical director for the British veterans' charity Combat Stress.

If he was blindfolded or had disrupted sleep or irregular meals during his captivity, Shalit will need to adjust, Busuttil said. Weight loss can also be an indicator of other ill treatment, he added.

The soldier's youth may have been a disadvantage, he said, as evidence shows the young and old are more vulnerable to developing PTSD. But if those around him are vigilant, any lasting effects can be mitigated.

"The other thing that is important is to make him feel in control," he said. "What we did with the Beirut hostages was give them a watch. It was probably the first thing taken away from him -- and it would be one of the first things I'd give back, to give him a time reference for day or night."

It would be better if Shalit were kept away from the media for a few days, Busuttil said, in order for him to adjust before speaking publicly.

Shalit may also feel a sense of dissociation after being kept in virtual isolation, he warned.

While in captivity, Shalit had access some of the time to newspapers and to a radio, according to Brig. Gen. Yoav Mordechai, a spokesman for the Israel Defense Forces, but he was a young, apparently shy man cut off from all who knew him.

Nothing is yet known of the personal resources Shalit found to keep hope alive during the years he was held by Hamas.

But he may have found some comfort in the assurances given by Israel's military that it will always do its utmost to secure the return of its soldiers.

"The principle of returning POWs, MIAs, kidnapped and fallen IDF personnel has been sacrosanct since the IDF's inception in 1948," the Israel Ministry of Foreign Affairs website says. "The IDF does all in its power to locate its captured personnel and free them."

Israeli Prime Minister Benjamin Netanyahu reiterated that commitment in his remarks after Shalit's release.

Referring to his own military service, Netanyahu said: "I always knew that if I or one of my comrades fell captive, the government of Israel would do its utmost to return us home, and as prime minister, I have now carried this out.  As a leader who daily sends out soldiers to defend Israeli citizens, I believe that mutual responsibility is no mere slogan -- it is a cornerstone of our existence here."

James Welsh, a researcher on health and detention for Amnesty International, told CNN there was good reason to be hopeful for Shalit's future well-being now he was back home.

"We shouldn't underestimate people's resilience," he said. "There's a tendency to look on the gloomy side when we hear about people being released, but people do have amazing resources, so they can survive things quite well."

Of course, Shalit is not alone in celebrating his freedom Tuesday.

The 477 Palestinian prisoners released by Israel in exchange for Shalit were also reunited with family and friends  -- many of them after long periods in detention. Hundreds more will be released in a second stage later this year.

While the circumstances are not the same, those prisoners -- including hundreds serving life sentences for attacks on Israelis -- will also face a significant period of adjustment after their rapturous reception by tens of thousands of supporters in Gaza and elsewhere.

Hamas official Hassan Youssef welcomed their release, but said it was not enough. "We are all shedding two tears: One tear for the release of all of our fighters, and a tear of pain for all of our brothers still in prison," he said.

Shalit's father, Noam, also reflected on the pain felt by Israelis who have watched those convicted of attacks on their loved ones leave jail early.

Roxana Saberi, an Iranian-American journalist who was released four months into an eight-year jail term after being convicted of spying in Iran, offered some advice to freed American hikers Shane Bauer and Josh Fattal last month that may also be of use to Shalit as he seeks to make sense of his new reality.

She urged them not to rush things, telling CNN: "I hope that they are able to adapt well in this new part of their life and perhaps learned lessons in prison that can help them when they're free.

"I would tell them to take their time and not feel pressured to make decisions. This is their time. It's theirs again."

@highlight

Shalit's father says his son suffers the effects of old injuries but is happy to be home

@highlight

Hamas abducted Israeli soldier Gilad Shalit in June 2006

@highlight

Experts say he will need to be monitored for signs of post-traumatic stress disorder

@highlight

Israel released 477 Palestinian prisoners, with more to be freed in a second stage