(CNN) -- Last February, tens of thousands of moviegoers stormed cinemas around the United States to watch "Chronicle," turning the superhero thriller into a surprise hit that topped the U.S. box office on Super Bowl weekend.

The film, which follows the adventures of three American teenage boys who acquire superpowers, made $22 million that weekend alone -- traditionally considered one of the slowest weekends for the U.S. movie industry.

Although set in Seattle, "Chronicle's" producers decided to shoot in South Africa, lured by the country's low production costs and growing reputation as an attractive destination for international filmmaking.

The move paid off as the film, with production costs of just $12 million, turned out to be a big winner for 20th Century Fox. "Chronicle" exceeded industry expectations by piling up an impressive $126 million in global cinema ticket sales, according to Box Office Mojo.

"Fox was totally stunned by it," says Nico Dekker, chief executive of Cape Town Film Studios, the South African facility where "Chronicle" was primarily shot. "The $12 million film is looking like a $30 million or a $40 million film on the screen," he adds.

Watch video: Cape Town takes on Hollywood

Over the years, South Africa's varied landscapes have been a favorite set location for Hollywood productions. Worldwide hits shot at least partly in the country include "Blood Diamond," starring Leonardo DiCaprio, "Lord of War," featuring Nicolas Cage, and "Invictus," Clint Eastwood's take on South Africa's victory at the 1995 Rugby World Cup.

Read: 3D animation puts South Africa film in the picture

But while the country's stunning beaches, jagged mountains and lush vineyards have long served as a backdrop for films, as well as TV adverts, Cape Town Film Studios is now aiming to make South Africa a major destination for both location filming and top-quality studio productions.

The multi-million dollar complex, the first of its kind in South Africa, boasts four soundstages, several offices, a cinema, as well as pre- and post-production services.

Less than two years after it first began operations, the vast studios have already attracted an impressive roster of blockbuster films. Apart from "Chronicle" they were used for action movie "Safe House," starring Denzel Washington and Ryan Reynolds, the 3D comic-book adventure "Dredd," and TV drama "Mary and Martha," starring Hilary Swank.

Dekker says the studios are a huge step for South Africa's movie industry and will help the country to build its reputation as an emerging force in global filmmaking.

"It creates a home, a base, where national and international filmmakers can meet," says Dekker, "Where you can bring the latest technology together; where you can bring films like 'Dredd,' which was our first film of 3D transfer movies -- so you can now suddenly shoot stuff that we can only dream from."

Read: Gangster movie Kenya's first Oscar contender

In a country like South Africa, hit by massive unemployment and sluggish economic growth, a thriving film industry could hold a tremendous economic opportunity. Earlier this year, the South African government recognized this potential by announcing a series of incentives aimed at attracting large-budget productions to help create jobs, generate revenues and encourage tourism.

The measures included an uncapped 20% rebate for foreign productions shot on location in South Africa, as well as a 22.5% break if they are also post-produced in the country.

Michael Auret, managing director of South African production firm Spier Films, says the incentives have already made a big difference.

"We already have three productions for January -- up from maybe one or two productions a year the previous years -- and we've got more lined up," he says. "All the production companies in South Africa have experienced an increase in films that they are doing and television programs but also increased inquiries from people who want to come and shoot here."

Auret cites the weakness of the rand against the dollar, the low cost of crews compared to other popular shooting destinations such as Australia, and the diversity of locations as South Africa's competitive advantages.

"We have both summer and winter rain in two different parts of the country," he explains. "You can shoot the Mediterranean climate around Cape Town and you can shoot the tropical climate in Johannesburg -- it's desert, as well as jungles, as well as beaches, it's urban centers where they shot 'Dredd.'

"So there's very few films that can't be made here -- other than possibly a film shot completely in snow, in the Arctic or something."

Read: The film school in Kenya's biggest slum

Cape Town Film Studios, which is backed by national and local government as well as private shareholders, has also been chosen for the movie "Long Walk to Freedom," the long-awaited biopic of former South African leader Nelson Mandela.

The film, which is expected to be released next year starring Idris Elba, is South Africa's biggest-budgeted film, says Dekker. This is, he says, a testament that the studios can help boost local productions and enable Africans to start telling their stories to the world.

"We, ourselves, Africans, we need to almost free ourselves," says Dekker. "We need to grow and to understand that the world out there is waiting for us. We've got everything now -- we've got great crews, good stories, we've got a great studio.

"We just need now to start making commercial film ... the 'Chronicles' of the world, ourselves -- that is maybe the next frontier for us."

@highlight

Cape Town Film Studios has lured some of Hollywood's biggest names to South Africa

@highlight

Movies shot there include "Chronicle," "Dredd" and "Safe House"

@highlight

Government offers incentives to foreign movie makers