San Diego, California (CNN) -- Marco Rubio is writing his life story. Now the only question is: Which life?

The 40-year-old Florida senator, and Republican Party rock star, is shopping his memoir to New York publishing houses. There is sure to be a market; Republicans want to embrace a Latino conservative to shield them from accusations that their immigration rhetoric is anti-Latino, and so, for them, Rubio is the most beloved Latino since Desi Arnaz.

A memoir is a good idea. Rubio may need a whole book to explain the contradictions surrounding his biography.

Rubio has repeatedly said that his parents left Cuba after Fidel Castro took power in January 1959. But documents brought to light by the Washington Post and St. Petersburg Times reveal that Mario and Oriales Rubio arrived in the United States, legally on an immigration visa, much earlier -- in May 1956.

So what? That's the scandal?

Rubio is clearly not the only American with a bad memory. Many European-Americans are so far removed from their families' immigrant past that, not only can they not tell you when their ancestors migrated to the United States, sometimes they can barely tell you what country their family came from.

"Let's see, I'm part German, and I think I have a little Irish and some Italian. No, some French."

Apparently, if you're Cuban-American, it matters a lot. There is a pecking order in South Florida. Being a descendant of those who came as political exiles after Castro came to power supposedly carries more cachet than if your family simply came as economic immigrants before Castro took power.

I don't get it. But then, I'm not Cuban-American. So I defer to two friends (and media colleagues) who are.

Alfredo Estrada, publisher of Latino Magazine, is skeptical about Rubio getting the dates wrong.

"When your parents left Cuba is seared into the memory of every Cuban-American," he told me.

Rick Sanchez, whose family left Cuba in the winter of 1962, was much harder on Rubio. In an op-ed for The Huffington Post, the former CNN host blasted the inconsistency and tied it back to the senator's immigration views.

"[Rubio] convinced Americans that he was the son of political refugees," Sanchez wrote, "implying that it somehow made him different from the other Hispanics who he attacks regularly -- the ones in Arizona, Georgia and Alabama that he and others want to detain, arrest and kick out. How dare they come here looking for work and to better their lot in life? Marco Rubio made us believe he is different from them when he's not."

I understand what my friends are saying. And I understand that, as a Mexican-American and not a Cuban-American, there are some things I will never understand.

Nevertheless, I thought that Rubio did a fine job of acquitting himself in an op-ed for Politico.

"The Washington Post accused me of seeking political advantage by embellishing the story of how my parents arrived in the United States," he wrote. "That is an outrageous allegation that is not only incorrect, but an insult to the sacrifices my parents made to provide a better life for their children...I am the son of immigrants and exiles, raised by people who know all too well that you can lose your country. By people who know firsthand that America is a very special place...Ultimately what The Post writes is not that important to me. I am the son of exiles. I inherited two generations of unfulfilled dreams. This is a story that needs no embellishing."

That's poetry, and yet that op-ed may have backfired.

National Public Radio says that it has found discrepancies between what Rubio wrote for Politico and the account that Rubio offered on one of its shows two years ago.

For Politico, Rubio wrote, "In February 1961, my mother took my older siblings to Cuba with the intention of moving back... But after just a few weeks, it became clear that the change happening in Cuba was not for the better...So in late March 1961...my mother and siblings left Cuba and my family settled permanently in the United States."

But, in 2009, Rubio told NPR's "All Things Considered" that his mother returned to Cuba in 1960 with his older siblings to care for her ailing father and that she wound up staying nine months because the Cuban government wouldn't let her and her eldest son, Mario, return to the United States. Eventually, she and her children were allowed to leave.

Which is it? Did Rubio's mother return to Cuba in 1960 or 1961? Was she preparing to move back, or caring for a sick parent? And did she stay "just a few weeks" or nine months?

Documents confirm that Oriales Rubio was in Cuba for just over one month. So the story that Rubio wrote in Politico was closer to the truth than the one he shared with NPR.

Frankly, I don't know what to make of this story. My reporter's nose tells me there are more "gotcha" revelations to come. My head tells me that this whole story doesn't matter to most Americans. And my heart tells me that Rubio would not even be in hot water -- especially with fellow Latinos -- if he was not a Republican.

Rubio is someone with a shot at becoming the first Latino in the White House, he terrifies the Democratic establishment. And so they want to take him out.

Yet, I am quite impressed that the story of one family's exodus from Cuba more than 60 years ago has captured the attention of so many of my media colleagues. Now if I could just get them to focus on a much more important story to which many of them are turning a blind eye: the exodus of more than one million illegal immigrants from the United States, and the breaking up of hundreds of thousands of families, at the hands of the Obama administration. All of it for the sake of politics.

Now that's what I call a scandal.

The opinions expressed in this commentary are solely those of Ruben Navarrette.

@highlight

Ruben Navarrette: GOP "rock star" Marco Rubio has warring details in his life story

@highlight

He says there are conflicts in when Rubio says parents left Cuba and when they actually did

@highlight

He says Latino friends doubt Rubio's explanation: Cuban emigres know when they left

@highlight

Navarrette: Only reason it's an issue is because Rubio is real threat to Democats