(CNN) -- The more familiar something looks, the less threatening it seems. This is why images of funny-looking college students marching up Broadway or shirtless boys banging on drums comprise the bulk of the imagery we see of the Occupy Wall Street movement. Stockbrokers look on, police man the barricades and what appears to be a traditional protest movement carries on another day, week or month.

But Occupy is anything but a protest movement. That's why it has been so hard for news agencies to express or even discern the "demands" of the growing legions of Occupy participants around the nation, and even the world. Just like pretty much everyone else on the planet, occupiers may want many things to happen and other things to stop, but the occupation is not about making demands. They don't want anything from you, and there is nothing you can do to make them stop. That's what makes Occupy so very scary and so very promising. It is not a protest, but a prototype for a new way of living.

Now don't get me wrong. The occupiers are not proposing a world in which we all live outside on pavement and sleep under tarps. Most of us do not have the courage, stamina or fortitude to work as hard as these people are working, anyway. (Yes, they work hard.) The urban survival camps they are setting up around the world are a bit more like showpieces, congresses and "beta" tests of ideas and behaviors the rest of us may soon be implementing in our communities, and in our own ways.

The occupiers are actually forging a robust micro-society of working groups, each one developing new approaches -- or reviving old approaches -- to long-running problems. In just one example, Occupy's General Assembly is a new, highly flexible approach to group discussion and consensus building. Unlike parliamentary rules that promote debate, difference and decision, the General Assembly forges consensus by "stacking" ideas and objections much in the fashion that computer programmers "stack" features. The whole thing is orchestrated through simple hand gestures (think commodities exchange). Elements in the stack are prioritized, and everyone gets a chance to speak. Even after votes, exceptions and objections are incorporated as amendments.

This is just one reason why occupiers seem incompatible with current ideas about policy demands or right vs. left. They are not interested in debate (or what Enlightenment philosophers called "dialectic") but consensus. They are working to upgrade that binary, winner-takes-all, 13th century political operating system. And like any software developer, they are learning to "release early and release often."

Likewise, occupiers have embraced the Internet access solutions of the Free Network Foundation, who have erected "Freedom Towers" at the Occupy sites in New York, Austin and elsewhere through which people can access free, uncensored, authenticated Wi-Fi. As this technology scales to our own communities, what happens to corporate Internet service providers is anyone's guess.

The occupiers have formed working groups to take on myriad social and economic issues, and their many occupation sites serve to test the approaches they come up with. One group is developing a complementary currency for use, initially, within the network of Occupy communities. Its efficacy will be tested and strengthened by occupiers providing one another with goods and services before it is rolled out to the world at large. Another working group is pushing to have people withdraw their money from large corporate banks on November 5 and move it instead to local banks or cooperatively owned credit unions.

Whether or not we agree that anything at all in modern society needs to be changed, we must at least come to understand that the occupiers are not just another political movement, nor are they simply lazy kids looking for an excuse not to work. Rather, they see the futility of attempting to use the tools of a competitive, winner-takes-all society for purposes that might better be served through the tools of mutual aid. This is not a game that someone wins, but rather a form of play that is successful the more people get to play, and the longer the game is kept going.

They will succeed to the extent that the various models they are prototyping out on the pavement trickle up to those of us working on solutions from the comfort of our heated homes and offices. For as we come to embrace or even consider options such as local production and commerce, credit unions, unfettered access to communications technology and consensus-based democracy, we become occupiers ourselves.

The opinions expressed in this commentary are solely those of Douglas Rushkoff.

@highlight

Douglas Rushkoff : Occupy Wall Street not protest as much as protoype for new way of living

@highlight

He says Occupy's camps are hardworking congresses with consensus-building approach

@highlight

He says they can beta test ideas on issues such as a complementary currency

@highlight

Rushkoff: When we begin to considers Occupy's ideas, we become "occupiers" ourselves