Senate supporters of a bipartisan budget compromise that aims to prevent another shutdown moved close Monday to securing the votes they need to clear a crucial upcoming test vote after several conservative Republicans announced their support.

While all the votes are not locked in, Senators and aides in both parties said they expected to break a filibuster Tuesday and that the budget would pass later this week.

Orrin Hatch of Utah, Ron Johnson of Wisconsin and Johnny Isakson of Georgia joined four other Senate Republicans who had already said they will either support the bill or, at a minimum, vote in favor of critical procedural motions that require a supermajority of 60 votes to prevail. That should happen if most of the 55 members of the Democratic caucus also vote yes, which is likely.

Sen. Saxby Chambliss of Georgia, a retiring Republican who spent months attempting to negotiate a deficit deal with Democrats, said he would vote in favor of the procedural motions but hadn't decided what to do on final passage.

Democratic leadership aides said they expect to hold all their members on the budget, which was approved by the House last week overwhelmingly and is supported by the White House.

But they acknowledged a few liberals might drop off because the deal doesn't include an extension of unemployment benefits or a few moderate Democrats might vote no because the deal doesn't do enough to lower the deficit.

Right now no Democrat has announced opposition.

Massachusetts Democratic Sen. Elizabeth Warren, a liberal, refused to say how she would vote.  She kept her eyes fixed on the ground as reporters asked her several times about her position until the door to the Capitol elevator she was in closed.

Sen. Kay Hagen, a centrist Democrat of North Carolina, who is facing a difficult re-election fight, said she would vote for the procedural motions but remains undecided on the bill.  Another moderate, Sen. Mark Pryor, D-Arkansas, who is also facing a tough re-election, said he would vote in favor of both.

Johnson, who was lobbied to support the bill by fellow Wisconsin Republican Rep. Paul Ryan, one the authors of the deal, said, "I just want to make sure we avoid any additional government shutdowns.The federal government does enough harm to our economy. We don't' need to add additional harm by this crisis management.  In the end this is not the kind of deal I would want to see.  I'm sure it's not the kind of deal Paul Ryan would want to produce."

Hatch said in a statement that "sometimes the answer has to be yes."

"Ultimately, his agreement upholds the principles conservatives stand for and, with Democrats controlling the White House and the Senate, it is the best we can hope for," he said.

If the budget clears the test vote, final passage is expected no later than Thursday.

CNN vote count: Budget deal nearing Senate approval, but not there yet

Final congressional approval of the elusive budget agreement would mark a rare win for bipartisanship and a step up for a Congress infected with political dysfunction and held in low public esteem with midterm elections less than a year off.

It would also avert another government shutdown like the one in October that Americans largely blamed on Congress.

"I think it would be outrageous to shut down the government and I'm not going to do that to my constituents who I represent," said Sen. John McCain, R-Arizona, who has said he plans to vote for the bill. "I hope it will pass the Senate," he said Sunday on CNN's "State of the Union."

Other key GOP members

Most GOP senators, raising a variety of concerns, are expected to vote against the bill.

"I'm concerned we have once again kicked the can down now a long road," said Sen. Dan Coats, R-Indiana, who said he is undecided.

"I'm leaning strongly against it," said Sen. Chuck Grassley, R-Iowa, a veteran lawmaker who opposes some of the fees the bill raises.

Democrats wary, too

While Democrats are more likely to vote in favor of the bill, many have concerns.

More liberal senators -- like Tom Harkin of Iowa -- complained that an unemployment benefit extension was not included in the deal.

"There's over a million people now who cannot find a job, out of work, and right at this time of year their unemployment insurance is being cut off," Harkin told Radio Iowa last week. "It's really unconscionable."

Budget deal struck

The budget agreement, which was months in the making, eases spending caps for the next two fiscal years while softening the impact of across-the-board spending cuts, known as the sequester, on defense and nondefense programs.

Don't expect Boehner to totally change his tune

Current federal spending expires in mid-January, raising the possibility of another shutdown at that time if there's not a new agreement in place to keep federal coffers filled.

The strong vote in the House on the budget plan on Thursday -- 332-94 -- brought a collective sigh of relief among supporters, who initially thought it would sail through the Senate, where bipartisanship has been more the norm than in the sharply divided House.

But after reading details of the agreement, many Senate Republicans -- including several in leadership positions -- came out against the bill.

"I'd really like to stay within the (spending) caps," complained Sen. John Boozman, R-Arkansas.  "This busts the caps and as a result I'll vote against it."

"I believe it will do disproportionate harm to our military retirees," said Sen. Lindsay Graham, R-South Carolina, in announcing his opposition.

"We need to find a better way to save $6 billion than take it out of the hides of our retired veterans," said Sen. Roger Wicker, R-Mississippi, who said he would vote against the bill.

Graham, Wicker, and Sen. Kelly Ayotte, R-New Hampshire, sent a letter to their Senate colleagues urging them to oppose the bill over the reduction in military benefits.

It was unclear if the emergence of the politically sensitive issue would increase opposition.

One Senator said outside interest groups for service members and veterans were caught off guard by the provision in the agreement and were just now beginning to mobilize against it.

Sen. Mike Johanns, R-Nebraska, said he finds the military pension issue "bothersome" but remains undecided on how to vote.

"I wouldn't say leaning yes or leaning no.  I'm very concerned about the package but I can also see the merits of a two-year deal. So I want the weekend to think about it," he said.

Why the deal could happen

The retiring first-term lawmaker predicted the bill will pass the Senate regardless of how he votes.

Midterm primaries, and 2016

The top Senate Republican, Mitch McConnell, R-Kentucky, has hinted strongly he will vote against it. He cites the weakening of the budget sequester as a key complaint. The same is true for his top two lieutenants -- Sen. John Cornyn of Texas and Sen. John Thune of South Dakota -- both of whom have declared they will oppose the compromise.

McConnell and Cornyn are up for re-election and both face primary challenges from the right. That might explain some of their sensitivity to giving up on the budget cuts, which are very popular with conservative voters.

Three leading tea party-backed senators with 2016 presidential aspirations -- Rand Paul of Kentucky, Ted Cruz of Texas, and Marco Rubio of Florida -- also have come out against it for similar reasons.

@highlight

The House passed a compromise budget bill easily, sending it to the Senate

@highlight

Bill aims to avert another government shutdown as early as mid-January

@highlight

It would also ease unpopular spending cuts to the military and other programs

@highlight

Some conservatives come out for the budget bill ahead of Tuesday test vote