George W. Bush went home to Texas nearly six years ago, but the nation is still working through the contentious national security legacy he left behind.

A hotly disputed Senate report on the CIA's brutal interrogation tactics is tearing open barely healed political wounds first opened after the September 11, 2001, attacks. The report found CIA tactics were more brutal than previously known and accused the agency of keeping the Bush White House and Congress in the dark about them.

The questions raised by the Intelligence Committee's document -- about how to wage a relentless war on terrorism within constitutional and moral constraints -- seem as intense as ever.

And the debate is not nearing resolution.

President Barack Obama came to power vowing to turn the page from Bush-era terror policies, which he said flouted core American values. But three-quarters of the way through his own two-term presidency, he is still wrestling with the long shadow cast by the war on terror and the methods Bush chose to fight it. And in some cases, Obama is facing his own criticism for his approach to terrorism, including his decision to vastly expand a drone program bequeathed him by Bush.

The reaction of a deeply polarized Congress to the long delayed Senate Intelligence Committee report, not to mention fierce CIA push back, shows how hard it will be to build any national consensus on the proper approach to a threat like terrorism.

"One of the strengths that makes America exceptional is our willingness to openly confront our past, face our imperfections, make changes and do better," Obama said in a statement. "Rather than another reason to refight old arguments, I hope that today's report can help us leave these techniques where they belong—in the past."

Obama banned "enhanced interrogation techniques" like water boarding and sleep deprivation, that were the subject of the report released Tuesday, soon after taking office in 2009.

'Old arguments'

But resolving those "old arguments" is proving more difficult. The United States, for instance, has transferred prisoners to foreign governments that still employ harsh techniques. And Obama faces questions about his own conduct in the campaign against terrorism, notably the drone expansion. That program, which utilizes drones armed with missiles to pursue terror suspects outside any sort of judicial process in foreign countries, has raised moral questions rivaling those about the torture program.

Sen. John McCain made the most passionate case against CIA tactics many see as torture on Tuesday. His remarks were particularly notable because Obama defeated McCain in 2008 in an election that served as a rejection of Bush's national security leadership.

"What were the policies? What was their purpose? Did they achieve it?" McCain, who suffered torture himself as a prisoner during the Vietnam War, asked. "Did they make us safer? Less safe? Or did they make no difference? What did they gain us? What did they cost us?"

He added: "The American people need the answers to these questions."

But as Tuesday's release of the majority report by Democrats on the committee showed, those questions remain deeply divisive.

"It's a pure political piece of crap," said the normally courtly Utah GOP Sen. Orrin Hatch.

Florida Republican Sen. Marco Rubio accused the committee led by outgoing Democratic chairwoman Dianne Feinstein of trying to embarrass the Bush administration by publishing the report.

Republican Sen. Lindsey Graham of South Carolina said he had always believed that the CIA tactics were counterproductive. But he said the Obama administration, which has sought to try terror suspects in civilian courts, had gone far too far in repudiating Bush-era methods.

"The policies the Obama Administration has employed, treat terrorists as common criminals, not enemy combatants," Graham said in a statement. "I'm convinced their criminalization of the war is causing our nation to lose valued intelligence which can help protect our nation."

Acknowledgment of crimes

Some critics of the Bush administration anti-terrorism strategy say the arguments will never be resolved without some public acknowledgment that crimes were committed.

The Justice Department has twice investigated the issue of enhanced interrogations and decided against bringing charges against CIA operatives who were under intense pressure to avoid additional attacks after September 11.

Obama has also made a political decision that despite his belief enhanced interrogation compromised bedrock American values, he will not seek to dredge up the past by backing prosecution for CIA officers opposed by crimes.

But Baher Azmy, legal director of the Center For Constitutional Rights, which represents some detainees at Guantanamo Bay, said the CIA had used false claims to cover up "monstrous crimes."

"We renew our demand for accountability for those individuals responsible for the CIA torture program," Azmy said in a statement.

Anthony Romero, executive director of the American Civil Liberties Union, called for a special prosecutor to hold the "architects and perpetrators of the torture program" accountable.

"This should be the beginning of a process, not the end. The report should shock President Obama and Congress into action, to make sure that torture and cruelty are never used again."

But independent Sen. Angus King, who sits on the Senate Intelligence Committee, told CNN that prosecutions are "not really the point."

"I am less concerned about prosecutions than I am about — let' s not let this happen again."

Senior officials have privately said that Obama sees putting the war on terror onto a more sustainable footing as one of the key tasks of his presidency.

"We must define the nature and scope of this struggle, or else it will define us," Obama said in a signature speech at the National Defense University last year.

Obama's unresolved questions

But the president looks certain to hand many unresolved questions on how to combat terrorism to his successor, as Bush passed them to him.

Obama has yet to honor a promise to close Guantanamo Bay, due to Republican opposition and logistical issues about what to do with prisoners like confessed September 11 mastermind Khalid Shaikh Mohammed.

Spurred by revelations from fugitive intelligence analyst Edward Snowden, Obama has also put new constraints on the National Security Agency's phone record and data trawling programs but declined to end them.

And after pulling troops out of Iraq and ending combat in Afghanistan, the president will spend his last two years in office wrestling with a new front in the war on terror — ISIS in Syria and Iraq.

There was no word on Tuesday from the man back at the center of the debate: Bush.

But the former president told CNN's Candy Crowley last week that the United States was "fortunate to have men and women who work hard at the CIA serving on our behalf."

Former Vice President Dick Cheney — the architect of many Bush war on terror policies -- told the New York Times that claims that the CIA acted unlawfully were "a bunch of hooey."

@highlight

Bush anti-terror legacy still contested six years after he left office

@highlight

Obama warns against refighting old arguments

@highlight

McCain: the American people 'need answers'

@highlight

Obama's own 'war on terror' tactics in question