The first case of Middle East Respiratory Syndrome believed to be transmitted within the United States has been identified in an Illinois man who was infected and is no longer sick, a doctor with the Centers for Disease Control and Prevention said Saturday.

The unidentified Illinois man had "extended face-to-face contact" during a 40-minute business meeting with an Indiana man who was diagnosed with MERS after traveling from Saudi Arabia, Dr. David Swerdlow told reporters during a telephone briefing.

A blood test confirmed the Illinois man had been previously infected, and he reported suffering only mild cold-like symptoms and did not seek or require medical care, Swerdlow said.

"We think that this patient was likely infected with MERS. But technically he doesn't count as an official case of MERS," he said.

The case does not meet the World Health Organization definition of an active case, which requires evidence of a live virus, according to Swordlow.

Even so, U.S. health officials appear to be treating it as one.

MERS: 5 things to know

U.S. investigation

The case was discovered as part of an investigation by U.S. health officials to track people who came in close contact with the Indiana man, who became the first person diagnosed with MERS in the United States. He was diagnosed with the virus on May 2.

MERS, first found in the Arabian Peninsula in 2012, is a coronavirus -- the same group of viruses as the common cold. It attacks the respiratory system.

Symptoms, which include fever and a cough, are severe and can lead to pneumonia and kidney failure. Gastrointestinal symptoms such as diarrhea have also been seen, according to the WHO. There is no vaccine or special treatment, and it can be fatal in up to one-third of cases, Dr. Anne Schuchat, assistant surgeon general for the U.S. Public Health Service told CNN recently.

To date, there have been more than 570 confirmed cases of MERS, including 171 deaths, according to the World Health Organization. The number of countries with confirmed cases expanded to 18, with a case in the Netherlands, according to the WHO.

Many of the cases are in Saudi Arabia and the United Arab Emirates.

No one knows exactly how the virus originated, but evidence implicating camels is emerging. In a recently published study in mBio, researchers said they isolated live MERS virus from two single-humped camels, known as dromedaries. They found multiple substrains in the camel viruses, including one that perfectly matches a substrain isolated from a human patient.

2 health care workers exposed to MERS patient

Indiana case

The Illinois case was discovered as part of an investigation by U.S. health officials who tracked the movements and contacts of the Indiana man, who was an American health care provider who had been working in Saudi Arabia and was on a planned visit to Indiana to see his family.

He traveled April 24 from Riyadh to London, then to Chicago, and took a bus to Indiana, officials said.

The Indiana man "had extended face-to-face contact with a business associate (Illinois man) on April 25, and then another brief contact on April 26," Swerdlow said.

The Indiana began experiencing shortness of breath, coughing, and fever on April 27, the Indiana State Department of Health has said.

He was admitted to Community Hospital in Munster, Indiana, on April 28, the same day he visited the emergency department there, the health department said. The man was released from the hospital last week.

Health officials tested 53 health care workers, six family member and an additional business associate.

The MERS virus appears to have presented differently in the Illinois man, who reported only mild-like cold symptoms.

"There is a broader spectrum of MERS than first thought... you can have no symptoms," Swerdlow said.

There are no travel restrictions to the Arabian Peninsula; however, the CDC suggests that people who visit there monitor their health and watch for any flu-like symptoms. If you do feel unwell after such a trip, be sure to tell your doctor about your travel.

Second MERS case confirmed in Netherlands

Outbreak becomes more urgent, WHO says

@highlight

An Illinois man has tested positive for a past MERS infection, a doctor says

@highlight

It is not being counted by the World Health Organization as an official MERS case

@highlight

WHO requires a live active infection be present to be counted