(CNN) -- What do Steve Jobs, Hollywood film studios and Silicon Valley venture capitalists have in common?

All have, at one stage or another, sought out Ren Ng -- the Malaysian-born inventor of Lytro, a hand-held digital camera that aims to revolutionize photography and simplify the art of taking pictures.

Lytro works by employing a micro-lens array to capture the entire light field -- every ray of light traveling in all directions through a scene, which regular cameras cannot do -- before focusing the information captured onto a sensor.

Collecting all light data enables users to alter a picture's focus and perspective long after the image has been taken.

The technology caught the eye of the late Steve Jobs, who invited Ng to his Palo Alto home to demo the device, and attracted a cool $50 million start-up cash from eager venture capitalists.

See also: A light bulb moment for the wireless web

The camera launched in the U.S. last February before Lytro announced it was expanding into Asia and Australia in October.

Ng took time out to speak to CNN about his invention and how he transformed Lytro from a Stanford University PhD project into a potentially lucrative commercial reality.

CNN: What makes Lytro such a revolutionary invention?

Ren Ng: It lets you focus pictures after you take the shot and this really enriches your creativity as it makes a totally new kind of interactive picture.

It also lets you share that creativity online with your friends and family ... (and) can be embedded fully into social networks such as Facebook, Twitter and Google+.

CNN: What was the inspiration for the Lytro camera?

RN: I am a very keen photographer. I have enjoyed taking pictures since I was a kid with my family, but I became more serious about it at university.

From the academic side, I was studying pictures from a computer graphic stance and the theory of the light field. On the personal side, I was rock climbing and taking pictures with my friends. We took all sorts of portrait and action pictures and I was thinking at the time that these are inherently difficult to focus correctly.

That made me ask questions about the computer graphics of the light field that I was studying academically, and if those could be applied in commercial photography.

CNN: How long has the process of invention to market taken you?

RN: I started the company in 2006 and I had been working on research for about three years before that.

Personally, I've been working on it for about nine years. We've gone through about three rounds of venture capital with some of the best venture capitalists in Silicon Valley. In total we've raised approximately $50 million in investment.

See also: How the Rubik's Cube took over the world

CNN: You made a prototype when researching your dissertation, did you realize you were sitting on a multi-million dollar invention?

RN: The idea to try and commercialize came very late and it is something that is not very natural to me being an academic.

There were two eureka moments during the PhD, if you will. The first was taking these equations (about the optical architecture of the light field) and starting to simulate them on a computer.

The second was very similar except it was more physical. We built a prototype camera where you could take a picture using the software developed during the simulation stage.

CNN: Does Lytro make skilled photography redundant?

RN: I think it's a very compelling idea that you'll never take a bad picture anymore, but that's not what this camera is about.

It's not a magical device ... but it does let you take pictures very rapidly and without having to worry about things like focus, like you do with a regular camera.

Basically, with a regular camera you have to take time or allow the camera to focus before you take the shot.

Because we can allow you to focus after you've taken the picture by capturing the full light field, we can trigger the shutter instantly without delay. And people find that very helpful.

CNN: What was it like being invited to meet Steve Jobs?

RN: It really was an incredible experience. Not too many people have the chance to do that. Like many people out there I'm inspired by the level of attention to detail, design and execution of Apple products.

Getting to meet him was exciting as he's a very inspiring person. We discussed a range of topics and it was terrific to [meet] like that in a one-on-one setting.

See also: Teach young people to be innovative

CNN: Has it been easy combining the business and science side of things?

RN: It was the hardest thing I've ever done, for sure. Entrepreneurship is a very full body immersion into a very diverse skill set. Being able to execute technically through to a vision of a product that can be compelled to people and then being able to communicate that.

I had to develop a lot of these very different aspects, but more importantly I have also met a lot of people who have joined Lytro, invested in Lytro or become partners with Lytro that have helped us to grow this vision of bringing computational photography to consumer cameras.

CNN: From your experiences with Lytro, is commercial savvy something that modern inventors require just as much as a scientific or creative mind?

RN: I think so, absolutely. More importantly, the company that intends to commercialize an idea will need to have all of those skill sets (technical, business and commercial) represented.

I still definitely haven't mastered all of those skills. We have over 100 people working on this to bring it up to market and bring it forward now.

But I do think that technical inventors will have to prove their vision of how those technologies will move into products that make sense for markets and for customers.

CNN: And finally, what would your advice be to would-be inventors wrestling with tomorrow's big ideas?

RN: Think big and have perseverance.

@highlight

Ren Ng is the Malaysian-born inventor of the Lytro camera

@highlight

Ng hopes the hand-held digital device will come to revolutionize how people take pictures

@highlight

Camera enables users to alter a picture's focus and perspective after image has been captured