(CNN) -- Jesse Altman makes himself at home when he travels for work.

Travel experts say you should negotiate a cheap room rate long before you get to your hotel.

As he goes around the country selling his small company's coffee-energy drink hybrid, Whynatte Latte, he has found that staying in friends' homes saves him a substantial amount of money he might otherwise spend on lodging.

"For three nights, that's almost a thousand bucks right there," the Atlanta, Georgia, businessman said. "A bottle of wine on the kitchen counter when you leave goes a long way -- or making sure the fridge is stocked. If we go out to dinner, we definitely cover the tab."

Many businesses are cutting back on travel budgets, and many small companies have to be inventive to trim costs. Staying with friends is an extreme exercise in frugality, but when it comes to lodging, several experts and frequent travelers stress the importance of considering every way to save money during these difficult financial times.

"The first thing that someone looking to save money should do, they need to think about what they actually want from a hotel," said business travel expert Joe Brancatelli. "If you just need a bed and a shower, you don't need to stay at the Westin, go to Four Points."

Brancatelli, editor of joesentme.com, a Web site for business travelers, also suggested visiting a hotel's main company Web site to find the cheapest rates for price comparisons.

You could also use a blind bidding site, such as Priceline, but it's a gamble because you don't know which hotel you'll get. For Brancatelli, it's worth it to choose a hotel and pay a bit extra.

Other frequent travelers told CNN the ways they're thinking outside the box to stay within their tight travel budgets.

Sharing a room or home

Shel Horowitz, owner of FrugalMarketing.com, says home stays offer big savings and a better way to enjoy the city. Home stays are rooms in residences that cost little, if anything at all.

"They are amazing -- not only do they save you money, but they give you a much more interesting trip," he said, pointing out that the owner of the home can steer you toward local attractions and eateries. Horowitz not only uses home stays when he is on the road, he also offers a room at his home for people visiting New York.

He uses Servas, a nonprofit organization that promotes cross-cultural understanding by connecting travelers with hosts. Servas interviews and approves travelers and charges an annual fee for travelers.

Other Web sites allow people to rent out their entire homes or rooms within their homes. Altman said he likes AirBed & Breakfast, on which people post pictures of the rooms for let and prices.

Horowitz also said that conference attendees can often split a room with someone from another company. The meeting planner of a conference he recently attended set up a Facebook page for participants seeking roommates. In most cases, if you check with the conference planner, he or she can try to help you find a room to share.

Call the hotel

If you decide it would be easiest to stay at a hotel, you need to pick up the phone, some of the frequent travelers said.

Horowitz and Richard Laermer, CEO of RLM PR, urge business travelers to call their destination hotel and book through its reservation staff. Make sure you ask for the best rate and negotiate.

Then go one step further and pit a few hotels against each other, Laermer said. You can get rooms for half price that way, he said.

"I think the phone is the killer app that everyone keeps forgetting about," he said. "Pick up the phone, call the hotel and tell them you can get a better deal and ask them what they can do for you."

If you don't get the deal you want, consider another hotel that is substantially cheaper and close by. But don't go for the lowest price.

"I have found there isn't a whole lot of difference between the $60-a-night and the $200-a-night hotel," Horowitz said. "But there is quite a bit of difference from the $29-a-night hotel and the $60-a-night hotel."

Brancatelli said to consider your time as a valuable commodity, so weigh the cost of negotiating against the time it would take to get a much lower rate.

Rack up the points

Altman doesn't always stay with friends, so he tries to stay at a hotel chain where he can get points toward future stays or airline tickets. All major chains offer programs with free enrollment.

Eileen Hanson, a vice president with Hilton Hotels, said members of a loyalty program also get extra perks, such as larger rooms or free Wi-Fi. But the best advantage is earning points, something even a person who only travels occasionally can do, she said.

"You can easily rack up enough points in just a few stays to earn enough points for a free night," she said. About 90 percent of reward redemptions at Hilton are for hotel stays.

With the summer traveling season ahead, many chains are starting promotional periods this month to increase the number of loyalty points you can earn for each night's stay or items you can win. Crowne Plaza is offering loyalty club members the chance to earn a free set of high-end golf clubs, for instance. Hilton is adding bonus points.

Points also can be earned across the brand. So if you choose an extended-stay hotel, you get rewards for giveaways, too. And increasingly, extended-stay hotels are becoming more attractive for business travelers, who can save money by using them as an apartment away from home. A growing number of travelers are buying groceries and cooking in their rooms, experts said.

Still, the most important factor in hotel choice is the price of the room, said Gina LaBarre of Crowne Plaza, and hotels are taking a serious look at how much they charge so they can stay competitive.

All the experts said planning ahead is the key to saving money. Figure out your lodging well in advance. Research and weigh your options. Save money where you can, but remember that comfort and convenience also have a value, especially when an important business meeting is involved.

But watch the little costs, Brancatelli cautioned. For one, don't get room service; take a trip to a local restaurant instead.

"There's no need to buy a $30 club sandwich," he said.

@highlight

Atlanta man stays with friends while on business, leaves presents as thanks

@highlight

Home stay organizations connect travelers, people willing to share spare room

@highlight

Experts recommend calling specific hotel you want to stay at and negotiating rate

@highlight

Take advantage of points programs to earn free nights or merchandise