Washington (CNN) -- Letting openly gay or lesbian troops serve in the military would have little lasting impact on the U.S. armed forces, a major Pentagon review has found, several sources familiar with the results told CNN Tuesday.

Putting an end to "don't ask, don't tell" would have "some limited and isolated disruption to unit cohesion and retention," the year-long study found, but the effects would not be long-lasting or widespread.

There will be some strong minority opposition, particularly in the Marines and some combat arms specialist units, said the chairs of the study, Defense Department General Counsel Jeh C. Johnson and Army Gen. Carter F. Ham.

As many as 40 to 60 percent of troops in those units were against changing the 17-year-old policy that lets gay and lesbian troops serve as long as their sexual orientation is secret.

Overall opposition throughout the military was about 30 percent -- roughly the same as it is in America as a whole, according to recent findings from CNN/Opinion Research Corp. and the Pew Forum.

Top administration and military officials are briefing the Senate on Tuesday on the results of the Pentagon review.

Johnson told members of Congress on Tuesday that he thought "don't ask, don't tell" could be repealed even while the United States is at war, sources said.

The Pentagon believes that the study is "the largest, most comprehensive review of a personnel policy matter which the Department of Defense has ever undertaken," a defense official close to the process said.

More than nine out of 10 troops said their unit's ability to work with someone they thought was gay or lesbian was very good, good, or neither good nor bad.

The authors of the report say gay and lesbian troops would continue to be discreet about their personal lives, even with a repeal, based on observations of workplaces in civilian society.

The authors said they did hear a large number of religious and morally based objections to homosexuality.

Troops would not be asked to change their beliefs, and their the views should not be downplayed, the authors said in their remarks to Congress, even as they pointed out that troops already work and fight alongside people with other faiths and beliefs.

The authors outlined a number of recommendations for effectively handling the repeal, including leaders making clear what is expected of troops in the field. Although the report will say it is not necessary to change standards of conduct extensively, some new guidance on conduct will be necessary.

The authors will also recommend that those previously removed from the military under "don't ask, don't tell" be allowed to reapply under the same criteria as anyone else seeking to rejoin the military.

Even with a repeal, not all benefits will be available to gay service members and their partners because of the Defense of Marriage Act.

The recommendations are based on surveys, focus groups and face-to-face meetings at bases around the world and even a carefully controlled effort to communicate anonymously with homosexuals serving in the military.

The Pentagon sent surveys to 400,000 troops and got about 115,000 responses. It sent separate questionnaires to 150,000 military spouses and got 44,000 back.

The Defense Department also set up a website for service members who wanted to comment. That effort elicited 72,000 responses.

And the Pentagon held meetings at 51 U.S. military bases around the world where 24,000 more troops discussed the issue.

Officials preparing the report also went to the service academies to hear from staff, faculty and students.

Key senators fired the warning shots for what could be a bitter debate in the chamber as the week began.

"The system is working," Sen. John McCain, R-Arizona, said on CNN's "State of the Union" on Sunday. "The military is at its highest point in recruitment, in retention, in professionalism, in capability. So to somehow allege that this policy has been damaging the military is simply false."

Sen. Claire McCaskill, D-Missouri, shot back on "Fox News Sunday," saying that "gay members of the military have served for decades, and there hasn't been a problem with our military being the finest in the world. ... We should move forward to make sure that any person who stands up and says, 'I'm willing to die for our country' can do so with honor."

On Thursday, the committee will hear from Defense Secretary Robert Gates and Adm. Mike Mullen, chairman of the Joint Chiefs of Staff. On Friday, it will hear from the top brass of the Army, Navy, Air Force and Marines.

McCain, the ranking Republican on the committee, will undoubtedly ask why a survey of active duty military and families -- a central part of the report -- did not directly ask whether they supported changing the present policy but focused instead on how it should be changed.

The former presidential contender wrote a letter to Gates about this in September. In a response in October, Gates told McCain that it was not part of the charter of the Pentagon's so-called working group to poll the troops on whether the "don't ask, don't tell" policy should be repealed.

"I do not believe that military policy decisions should -- on this or any other subject -- be subject to referendum of service members," Gates wrote.

His letter to McCain has not been released, but a Pentagon source confirmed the accuracy of the quote.

Gates said the survey will allow him, Mullen and the chiefs of the individual services to understand how a policy change may affect "unit cohesion, military readiness and effectiveness, recruiting and retention and family readiness."

Outside the military, Americans are overwhelmingly in favor of repealing the Clinton-era law.

A Pew survey released Monday indicated that a majority of Americans say they favor allowing gays and lesbians to serve openly in the armed forces.

According to the poll, 58 percent of the public approves of allowing homosexuals to serve openly, with 27 percent saying they are opposed.

A CNN/Opinion Research Corp. poll conducted earlier in November indicated that more than seven in 10 Americans said that people who are openly gay or lesbian should be allowed to serve in the military, with 23 percent opposed.

Despite public opinion on the side of repeal supporters, the heads of the four military branches have either directly opposed or been unenthusiastic about the policy change, at least until the Pentagon report was finished and released.

Marine Commandant James Amos has said that he opposes the change while the U.S. is fighting in Afghanistan because of its potential negative effect on unit cohesion. He will be joined on the second day of hearings by another Marine, the vice chairman of the Joint Chiefs, Marine Corps Gen. James Cartwright.

Gen. George Casey, the Army chief of staff, has said he is on board with Gates in considering the effect of the repeal. But committee members may remind him of something he told them earlier.

"I do have serious concerns about the impact of the repeal of the law on a force that's fully engaged in two wars and has been at war for eight and a half years," Casey said this year.

Once the hearings are over, the spotlight will turn to Senate Majority Leader Harry Reid. He will decide how the issue will move forward, whether to keep it part of the Defense Authorization Bill or whether to strip it off for a separate vote.

But the calendar could be the biggest factor weighing on whether the law is repealed or upheld. With just weeks left for this Congress with its significant Democratic majority, the leadership will need to decide whether it has the time, amid other priorities it wants considered, to mire the Senate in debate about "don't ask, don't tell."

CNN's Larry Shaughnessy, Ed Hornick, Gabriella Schwarz and Paul Steinhauser contributed to this report.

@highlight

NEW: Defense Department says review is the most comprehensive policy study ever

@highlight

Military brass appear before the Senate Armed Services Committee

@highlight

They are answering questions on a new Pentagon report on the "don't ask, don't tell" law

@highlight

A year-long review says the impact of repeal would be limited and not long-lasting