(CNN) -- Sexual harassment is part of everyday life in middle and high schools across the country, a new study released on Monday by a nonprofit research organization said, with the vast majority of students who have been harassed, reporting negative effects from it.

"Crossing the Line: Sexual Harassment at School," surveyed 1,965 students in grades 7-12 in May and June of 2011. The study, by the American Association of University Women, found that 48% of the students questioned experienced some form of sexual harassment in the current school year.

"Many of us think of sexual harassment as an adult issue," said Catherine Hill, the director of research at AAUW and one of the authors of the report. The study proves that many young people are also victims of these experiences, Hill said.

Verbal harassment, which includes unwelcome sexual comments, jokes or gestures, made up the bulk of the incidents, but physical harassment was prevalent as well, and 30% of students experienced sexual harassment by text, e-mail, social networking sites like Facebook or other electronic means. According to the study, many of the students who were harassed through cyberspace were also harassed in person, a combination that caused the most serious effects.

Students said they were "sick to their stomach, had trouble sleeping, and even skipped school," when they were exposed to both forms of harassment, said Hill.

The findings also showed that girls were more likely than boys to be sexually harassed, both in person and by electronic means. The results also confirm previous research which shows the experiences of girls tended to be more physical and intrusive than for boys.

Thirty-three percent of girls and 24% of boys said they witnessed sexual harassment during the 2010-2011 school year, and 56 % said they saw more than one incident.

"It's an issue that affects people differently," said Hill. "People need to take it seriously."

In recent years, sexual harassment among students hasn't gotten as much attention as bullying, but Hill said the two are interrelated. In an article on the AAUW website titled "Sexual Harassment Versus Bullying," the similarities and differences are spelled out.

Sexual harassment is defined as unwanted behavior that is sexual in nature, while bullying involves a power dynamic. The motivations behind them may be different, but the negative affects for students are often the same, according to the article.

"I think it's wonderful that bullying is getting attention," Hill said." But I would like sexual harassment in that conversation," said Hill.

Other differences between the two include the law. According to Hill, sexual harassment falls under federal guidelines, while bullying is regulated by individual states.

Forty-four percent who admitted to sexually harassing others didn't think of it as a big deal, another 39% said they were trying to be funny.

For Hill, the study offers fresh insight and new information on sexual harassment. "I hope the information will be used to start a conversation about this difficult topic," said Hill.

Students involved in the study offered ideas for reducing sexual harassment. Their suggestions include anonymous reporting, designating a person they can talk to, in-class discussions, and having more online resources available to them.

@highlight

Study said nearly half of students surveyed experienced sexual harassment at school

@highlight

Author Catherine Hill hopes study will "start a conversation" about a difficult topic

@highlight

Study conducted by American Association of University Women