Bamako, Mali (CNN) -- After intense diplomacy, the government of Mali and the Economic Community of West African States (ECOWAS) have agreed that troops from the West African regional block can be based in the capital of Bamako, as a step toward ending conflict in the northern part of the country.

According to the agreement between the Malian government and ECOWAS, authorities have given the green light for a logistics base on the outskirts of the city.

"There will be no foreign troops fighting in the capital. In return, ECOWAS requires operational headquarters and a base in Bamako together with a police force," said Nouhou Togo, communications Officer at Mali's Ministry of Defence.

United Nations backing for the force will be sought this week by the Malian government and ECOWAS, and is likely to be followed by further negotiations.

"A crisis like this is not solved over night. It takes time and preparation. Though, when that day comes, the Malian army is ready to go in the north," said Togo.

Following a military coup in the capital in March, Islamists seized control of two-thirds of the Texas-sized nation. Mali -- seen as a stable democracy and an example for other less stable countries in the region -- was thrown into chaos.

Islamist groups -- some of them with links to al Qaeda in the Islamic Maghreb, or AQIM -- swiftly seized key towns in the vast and scarcely populated north.

Soon after taking the towns of Kidal, Gao and Timbuktu, they implemented a hardline form of sharia law including capital and corporal punishments for relatively minor offenses. Thieves had their hands and feet amputated while a couple accused of adultery were stoned to death.

Plans for a large presence of ECOWAS troops has been fueling political tensions in Bamako for weeks.

Over the last month, the West African regional block has had 3,300 regional troops on standby waiting for a go-ahead from Bamako.

Meanwhile Interim President Dioncounda Traore has opposed a regional force based in Bamako. Capt. Amadou Haya Sanogo, who led a military junta that toppled the government in March, has made it clear that he does not want ECOWAS troops in the south of the country, which he argues is already secured by the Malian military.

Resistance to an actual force in the Malian capital has also come from several groups, outspoken politicians and the Malian people worried about foreign troops flooding into the capital.

The request for 3,000 troops to help defeat the Islamists and regain control of the north will be considered during a meeting chaired by U.N. Secretary General Ban Ki-moon on the sidelines of the United Nations General Assembly on Wednesday.

Before the deployment can go ahead, it will need a mandate from the Security Council, which earlier rejected an intervention plan because of a lack of detail.

Following the agreement announced Sunday regarding ECOWAS troops, there are still uncertainties about the details of troop deployment.

"The question is if the Malian military is ready to go fight in the north. So far I have not seen any proof of this," says Gilles Yabi, a researcher with the International Crisis Group, a Brussel-based nongovernment organiztion seeking to end conflicts.

"The government is still very disorganized and has not been able to agree with the Malian military regarding troops deployment," said Yabi, from Dakar in neighboring Senegal.

Given that most of the Islamist northern strongholds are in urbanized areas, a military intervention risks harming civilians and even more displacement. According to U.N. figures, over 450,000 Malians have already been displaced from their homes -- an ECOWAS intervention could well raise that number.

"In any scenario a military intervention will have serious humanitarian implications. To date, there has been very little fighting since government forces fled the north -- for the most part armed groups simply carved up the territory. But once the government in Bamako begins to act, conflict in the north will escalate," said Bertrand Soret at the European Union liazon office in Bamako.

At some point, argues Yabi, the use of force will probably be necessary to neutralize transnational armed groups that indulge in terrorism, jihadism and drug and arms trafficking, and to restore Mali's territorial integrity.

"To stabilize Mali, the government will have to agree with the Algerian politicians to tackle the influx of arms and combatants between a Libya still struggling after the fall of (Moammar) Gaddafi and northern Mali through southern Algeria," said Yabi.

"Minimal and sustainable security in northern Mali cannot be re-established without the clear involvement of the Algerian political and military authorities. This is not something the Malian army and ECOWAS forces will be able to tackle themselves."

@highlight

After a military coup in March, Islamists seized two-thirds of Mali

@highlight

The West African regional block has had 3,300 regional troops on standby

@highlight

Mali and the West African group have reached an agreement

@highlight

Troops can be based in the capital of Bamako, as a step toward ending conflict