(CNN) -- Two farms have been quarantined by the U.S. Department of Agriculture as the agency continues to investigate last month's discovery of mad cow disease at a California dairy farm.

Authorities also have launched an investigation at a calf ranch where the initial infected cow was raised 10 years ago, according to a statement released late Wednesday by the USDA.

Last week, the USDA documented the fourth confirmed U.S. case of Bovine Spongiform Encephalopathy (BSE) -- a brain wasting disease affecting cattle -- known commonly as mad cow disease, at a rendering facility in central California. USDA officials said the cow was never presented for human consumption and was not a threat.

The farm where the cow was initially discovered has been under quarantine since the discovery, agriculture officials said. Wednesday's announcement of a second quarantine involves a farm closely associated with the dairy where the sick cow was discovered last month, the USDA said. The agency is still trying to determine if any at-risk cattle are present at either of the two farms.

Eating contaminated meat or some other animal products from cattle that have BSE is thought to be the cause of Creutzfeldt-Jakob disease. The fatal brain disease was blamed for the deaths of 150 people in Britain, where there was an outbreak in the 1980s and 1990s.

Learn more about Creutzfeldt-Jakob disease

In people, symptoms of the disease include psychiatric and behavioral changes, movement deficits, memory disturbances and cognitive impairments.

BSE can cause infected animals to display nervousness or aggression, difficulty in coordination and standing up, decreased milk production or weight loss.

It is usually transmitted between cows through the practice of recycling bovine carcasses for meat and bone meal protein, which is fed to other cattle.

In this case, the Agricultural Department reported that the cow had a rare form of BSE not likely carried by contaminated feed.

Since 2004, the USDA has removed the brain and the spinal column, the parts suspected of causing mad cow disease in humans, from the food system.

The USDA says that since the discovery of the infected cow, they have identified 10 different feed suppliers that delivered animal feed to the farm. Determining if the cow became sick from feed is an area where investigators are focusing close attention.

Authorities have determined the infected cow gave birth twice. One calf was stillborn and the other was located on a farm outside of California. That cow was subsequently euthanized and tested negative for mad cow disease.

Unlike most other meat-borne illnesses, such as those caused by E.-coli bacteria, cooking does not kill the infectious agent that causes mad cow disease.

Consumers who wish to exercise extra caution can follow the advice presented by the Web-based consumer advocacy group Consumeraffairs.com, which advises the avoidance of brains, neck bones and beef cheeks, bone marrow and cuts of beef that are sold on the bone. The group also says to choose boneless cuts of meat and ground beef only if it has been ground in the store.

"Evidence shows that our systems and safeguards to prevent BSE are working, as are similar actions taken by countries around the world," said John Clifford, the Agriculture Department's chief veterinarian.

Last year, 29 cases of BSE were reported worldwide, down 99% from the peak of 37,311 cases in 1992.

"This is directly attributable to the impact and effectiveness of feed bans as a primary control measure for the disease," he said last month.

The Agriculture Department confirmed the first case of mad cow disease in America on December 23, 2003, in a cow born in Alberta, Canada, in April 1997, only four months before the United States and Canada began banning the use of brain and spinal cord tissue in cattle feed.

A second U.S. case was confirmed June 24, 2005, and a third on March 13, 2006.

@highlight

The quarantined farms are in California

@highlight

Two calves were born to the cow that tested positive

@highlight

In people, symptoms of mad cow disease include psychiatric and behavioral changes

@highlight

There are four confirmed cases of mad cow disease in the U.S. since 2003