Seoul, South Korea (CNN) -- The sense of security that South Koreans had enjoyed for almost 60 years was shattered one year ago, when the North launched an attack on the civilian island of Yeonpyeong, killing two marines and two civilians.

Grainy images from surveillance cameras that captured the moment when some 170 rounds of artillery pounded the island, causing villagers to run for their lives, were a stark reminder for many that the two Koreas still remain at war.

With a sense of normalcy returning to the island as villagers return home, most South Koreans have bounced back from the incident -- which escalated tensions to their highest since the Korean War was halted in 1953 after an armistice treaty was signed.

But have South Koreans forgotten about the threat?

Many remember the day of the attack. Park Yunee, 30, was a student at the time and received a text message from her friend that read: "Get your things together. It looks like war is going to break out."

"I think for most people it was the moment when that sense of fear suddenly kicked in. Not thinking about living in a divided country and all of sudden, you're thinking, war could actually happen," says Park.

What stunned many South Koreans was not only the fact that Pyongyang could direct its aggression upon civilians, but that they were unprepared.

"There was a lot of talk at the time about the power shift in North Korea and how Kim Jong-il had designated an heir. But in reality what really mattered was the fact that we weren't prepared at all for something that happened in that one moment," says Park.

The attack was a wake-up call for the South Korean government. It launched the largest civil defense drill in history shortly after the attack and urged people to be more proactive and aware of potential threats from Pyongyang.

The island shelling had also come half a year after North Korea torpedoed a naval ship, the Cheonan, killing 46 sailors. Consequently, the past 12 months have seen relations between the two foes deteriorate.

North Korean expert Yang Moo-jin calls the past year "a power struggle" between the two Koreas.

"What South Koreans want is to not cave in and forgive North Korea for what it did last year, but they also understand in order to prevent such provocations from happening again, there needs to be a sense of dialog and negotiation," Yang, a professor at the University of North Korean studies, says.

Both North and South Korea have shown signs of concession -- Pyongyang has expressed willingness to engage with countries involved in multilateral talks aimed at North Korea's denuclearization, while Seoul recently sent humanitarian aid through U.N. agencies to help the malnourished population in the North.

However, if relations don't improve on the peninsula soon, Seoul could potentially be looking at a prickly neighbor willing to use its long-range missiles next year, according to Yang.

"If the trust level between North and South Korea continue to be as low as it is, there is the possibility that Pyongyang will go for more sensitive and strategically important targets," adds the professor.

The threat of another attack like Yeonpyeong may unnerve many South Koreans, but some have already recovered the positive sentiment they had before the island attack occurred.

"I think most people believe something like that could never happen in Seoul. There seems to be this vague belief that questions the plausibility of such an act," Seoul businessman Michael Cho says.

"No, I don't think that could happen, is what the majority of people think, including myself," he adds.

"It's probably because we've always co-existed with North Korea's provocations that we don't really perceive the threats from it," says 40-year-old office worker Lee Chul-hee. "It just doesn't seem relevant to my life."

@highlight

The Yeonpyeong attack escalated Korean tensions to their highest since 1953

@highlight

The island shelling came half a year after North Korea torpedoed a naval ship

@highlight

Many South Koreans were stunned that Pyongyang directed its aggression upon civilians