(CNN) -- A U.S. presidential commission has uncovered more details regarding human experiments conducted by American researchers in Guatemala in the 1940s in which the subjects were exposed to sexually transmitted diseases.

The research reaffirms much of what is already publicly known: that between 1946 and 1948, U.S. researchers intentionally infected non-consenting subjects in Guatemala with STDs, in what the commission called a "clearly unethical historical injustice."

The United States has apologized for the incident, and the government has been sued by some of the victims and their heirs. President Barack Obama asked the Presidential Commission for the Study of Bioethical Issues to uncover details of the research and to assure him that current rules protect people from unethical treatment.

The commission on Monday said it had completed the first of those tasks, and will present its findings to Obama in September.

"It is important that we accurately document this clearly unethical historical injustice. We do this to honor the victims," said commission chair Amy Gutmann. "In addition, we must look to and learn from the past so that we can assure the public that scientific and medical research today is conducted in an ethical manner. Research with human subjects is a sacred trust. Without public confidence, participation will decline and critical research will be stopped. It is imperative that we get this right."

The scientific investigation, called the U.S. Public Health Service Sexually Transmitted Disease Inoculation Study of 1946-1948, was conducted to determine the effectiveness of penicillin in treating or preventing syphilis after subjects were exposed to the disease. Gonorrhea and chancres were also studied. Penicillin was a relatively new drug at the time.

The tests were carried out on female commercial sex workers, prisoners in the national penitentiary, patients in the national mental hospital and soldiers. According to the study, more than 1,600 people were infected: 696 with syphilis, 772 with gonorrhea and 142 with chancres.

The presidential commission reviewed more than 125,000 original documents collected from public and private archives around the country and completed a fact-finding trip to Guatemala.

The commission compared its findings in the Guatemala research with similar research that involved intentionally exposing inmates in Terre Haute, Indiana, to gonorrhea in 1943.

Among the commission's findings was that many of the same researchers in Terre Haute were also involved in the Guatemala research.

"The key difference between the two research projects was that in Terre Haute the prisoners were fully briefed, volunteered and gave informed consent," the commission said in a statement. "A few years later, the subjects of the same researchers in Guatemala gave no consent."

The Guatemala research has also been compared to the Tuskegee syphilis experiment in Alabama. During the 40-year study that began in 1932, doctors observed how the disease progressed in about 400 poor African-Americans who already had the disease. The men were never told they had syphilis and were never treated for it. The test subjects received free medical testing, meals and burial insurance.

After the Tuskegee study came to light, the U.S. government reached a $10 million out-of-court settlement with surviving study subjects and the families of those who had died in the course of the experiment.

@highlight

A presidential commission reaffirms previous reports on experiments in Guatemala

@highlight

Without their knowledge, subjects were exposed to STDs

@highlight

The commission will give its report to President Obama in September