(CNN) -- "Beware the fury of the patient man." -- John Dryden

In January, 1956, Egyptian President Gamal Abdel Nasser was pledging to take over Palestine. In the United States, a "sensational new RCA Victor Star," just days away from cracking the music charts with his first hit, "Heartbreak Hotel," was touring with Hank Snow and the stars of Grand Old Opry. Norma Jeane Mortenson was preparing to change her name.

Also that month, a fresh-faced U.S. senator gave Richard Nixon an autographed copy of his second book, "Profiles in Courage".

In that best-seller, John F. Kennedy applauded leaders with the courage to represent "the actual sentiments of the silent majority of their constituents in opposition to the screams of a vocal minority." That "silent majority" was a constituency neither Nixon nor the country would forget: Fifty-six years later, Mitt Romney is counting on it to win the presidency.

Nixon could have thanked Kennedy's hardcover for one of his many resurrections. His appeal to the "silent majority" turned around his political fortunes, driving his approval ratings from the mid-50s to more than 80%.

Opinion: Both parties have a huge race problem

His pivotal speech contrasted a "vocal minority" of idealistic but impractical, young, anti-Vietnam protestors, cultural elites and intellectuals with their stodgy parents, older, blue-collar, working-class Americans. Until Nixon drew the silent majority from the shadows, their simmering outrage at the left's lack of respect for time-tested American values was undetected.

Political historian Teddy White characterized the split between "what the silent people think" and what the country's "more important thinkers think." He wrote, "Never have America's leading cultural media, its university thinkers, its influence makers been more intrigued by experiment and change; but in no election have the mute masses more completely separated themselves from such leadership and thinking."

At least, until today.

By some measures, little has changed since the seminal year of 1969. Marilyn Monroe remains a powerful symbol of fragile, sexual romanticism. The Arab world still lusts for the Palestinian territory. Elvis is making more money than ever. And we are still fighting the Vietnam War.

The division between Nixon's silent majority, on one hand, and, on the other, Democrat-leaning young voters, Hollywood stars, academia, the music industry, fashionistas, and news media elites has never repaired itself.

In the "The Conquest of Cool," Thomas Frank chronicled how the social ferment of the 60's not only failed to overthrow establishment culture, but was absorbed by it. The counter-culture of the 60s revolution turned into the "Me Generation" of the 80s. They settled into entitled consumerism, grew fat and became today's establishment.

Now the counterculture defines itself by the brands it wears, not the institutions it protests. Being different today requires the latest IPhone and a vanilla, extra-shot latte. The counter culture wears a Nike swoosh, not a tie-died shirt.

The Axis of Cool, born in protest against the war that has defined all future wars, has become a culture of locust-like consumption. It devours public and private resources. It remains allied against the previous generation's antiquated ethos of self-discipline, personal responsibility and moderation.

Over five decades, the counterculture became our culture. It expanded its home within the Democratic Party, finding its identity challenging the quaint social norms of tragically uncool Republicans.

We are an easy cultural target. We are suspicious of all cutting-edge music, abstract art, avant-garde style and trendy thought. We advocate unimaginative self-restraint and standards we often fail to meet -- and we get no credit for trying. Our imperfections are labeled hypocritical, not human. Hip America is more fun. And in 2008, it found its leader, the coolest president ever.

President Obama hangs out with movie stars, makes no decisions without consulting the academic elite and sings like Al Green. Obama is the president of cool America.

To oppose him, where did Republicans turn?

We chose the strait-laced personification of everything Obama is not. We made ourselves even more dated.

Mitt Romney is the chaperone to be eluded at every prom. He's common-sense parental advice, not counter-intuitive academic insight. He has stepped down, fresh and perfect, from a Norman Rockwell painting.

As Ashley Parker notes in the New York Times, an emotional outburst from the proper Romney is limited to saying "the heck with it." Even my own daughter writes that Romney's "tendency to say 'shoot' and 'darn it' tells us he's from another generation."

Being terminally uncool, however, may be the secret of Romney's success.

Nixon's majority was silent a long time, until aroused by Obama, whose self-admitted superiority led him to denigrate their bitter attachment to their values.

They slept, this quiet group of Americans who worked hard, paid their taxes and played by the rules, until awakened by a president who violated their core ethic of responsibility, telling them the cure for too much debt is even more debt.

They are mature. They are responsible. And now they are frightened. They worry that everything they've worked for is being consumed, leaving only a bare orchard of fruitless trees and leafless branches.

They have heard an alarm. And now they stand to defend what is plain and boring and true. They rise to tell us their values, like the lines on the side of the road, are there for a purpose. They are there to keep us straight.

Now it is the silent majority who takes to the streets in protest of their government's fiscal fantasies. They are adults, rising to say that their country's time-honored values are not luxuries we can discard, but obligations that must be met.

Their children, who think themselves the first generation with the mental capacity to understand the world's problems, stare at them. They confuse their parent's civility with softness. They are baffled to hear that success requires self-discipline -- not just self-indulgence, good intentions and intellect.

Polls say this race is tied. The president of cool is suddenly in a tight race against America's most uncool parent. Are the "mute masses" Nixon aroused still a majority? Early turnout and absentee voting data from the Republican National Committee indicates that GOP vote totals are up over 2% from 2008 while Democrat totals are down 6%. GOP pollsters report Republicans are heading into 2012 with a significant advantage in voter interest and intensity.

No-drama Obama has got the cool. All Romney has is the fury of the patient man.

If he wins, Romney could make being uncool, cool again.

The opinions expressed in this commentary are solely those of Alex Castellanos.

@highlight

Alex Castellanos says election may echo old split between cultural elite, silent majority

@highlight

He says Obama is widely viewed as the "cool president," Romney is the opposite of cool

@highlight

Castellanos: Could Romney's persona be a plus in this year's election?