As the situation in Iraq escalates, the U.S. finds itself awkwardly aligned with a country once vilified as part of the "Axis of Evil."  While Iraq loses control of its western border to ISIS rebels, the U.S. decides to pragmatically turn to its geopolitical interests to calm this disaster.

The unlikely result is Iran sending military weaponry and planes -- including Russian combat jets -- across the Iranian border to aid the Iraqi national army. This shift in alliance seemed implausible a few years ago, but since President Hassan Rouhani took office last year tensions between the U.S. and Iran have slowly and cautiously thawed. While Iraq plummets into further chaos and fragmentation -- the Kurds are expected to vote for full autonomy in an impending referendum -- improvement in U.S-Iran relations may be the only silver-lining in this otherwise catastrophic affair.

Yet supporters of U.S.-Iran relations should not forget the importance of promoting relations through long-term economic ties, rather than one based on purely geopolitical military needs. In the past decade, war has raged on two of Iran's borders, and seemingly both Iran and the U.S. shared common enemies in the Taliban and Saddam Hussein.

However, foreign policy alignments in the region did not result in sustained diplomatic ties.  By easing sanctions and fostering economic growth in Iran, the U.S. can ultimately promote a sustainable relationship based on mutual needs and benefits. Now more than ever, the opportunity for just such a partnership exists in Iran's budding technology market.

Currently, Iran has the highest total number of Internet users in the Middle East; almost half of Iranian households have some access to the internet. There are more Internet users in Iran than in Saudi Arabia, UAE, Jordan, Israel, Kuwait, Lebanon and Qatar, combined. Interest among young Iranians in technology and entrepreneurship is rapidly increasing.  Iran's Center for E-commerce Development recently announced that nearly 70% of applicants for electronic retail licenses are younger than 30.

Rather than focusing on industries such as oil and gas, which ultimately trickles down profits to a few large companies closely aligned with the regime, promoting commercial development in the arena of tech entrepreneurship creates a high-skilled middle class. A thriving Iranian middle class will have an invested interest in maintaining close relations with the U.S.

The long-term benefits of commercial development in Iran's tech sector are endless. Transparency and increased openness in civil society through advances in social media, internet infrastructure and access to information are just some of the added benefits of a robust tech industry.

Promoting tech over other industries in Iran also allows the U.S. to play an active role in a market that empowers women in business. Unlike many Western countries where women only account for 10% of the tech industry, women in the Middle East account for 35% of tech entrepreneurs.

This number is astonishing considering Western notions of the marginalization of women in the region. Women in the Middle East are increasingly finding it both convenient and conducive to start small businesses from the comfort of their homes, and, thanks to increased internet access, they are now able to tap into global markets.

The benefits of promoting the burgeoning tech industry in Iran have not gone unnoticed. Silicon Valley entrepreneurs plan to gather this September to discuss entrepreneurship in Iran, and, in the event that sanctions are lifted, the possibility of building bridges between entrepreneurs in Silicon Valley and their Iranian counterparts. Iran's very own TedX Tehran, scheduled to take place in Tehran later this year, is a result of enthusiasm surrounding technology and entrepreneurship.

Much of the eagerness surrounding Iran's tech scene is based on the possibility of the U.S. changing its sanctions policy regarding Iran. Unlike his predecessor, Rouhani made headway on nuclear program negotiations with world powers earlier this year. Even making use of social media, Rouhani tweets a softer image of the Iranian presidency by posting pictures of himself in sweatpants watching World Cup games.

Most importantly, Rouhani debuted his presidency with a message of economic openness and a desire to reintegrate Iran back into the international community. Iran's dismal human rights record still remains on the table, but the country's open approach on economic issues may be human rights activists' best chance to address political freedoms down the road.

Iran's support of Prime Minister Nuri al Maliki's government and majority-ruling Shiites in Iraq puts Iran in a position that is aligned with U.S.'s geopolitical interests. What remains unclear is whether the current situation will give way to a stable partnership if the Iraq crisis is contained. The Iran-Contra affair in 1986 demonstrated that the U.S. could covertly set aside ideological differences for military advantage. However, as history has demonstrated, unlikely wartime bedfellows rarely equate to stable diplomatic policy. Indeed, if history has taught the U.S. anything, it's that Iran is a resilient country with vast potential -- potential that expands far beyond merely oil, gas and guns.

READ: No, talking to Iran about Iraq isn't desperation

READ: U.S. and Iran: From sworn enemies to partners on Iraq?

@highlight

U.S. is aligning "awkwardly" with Iran as Iraq crisis escalates, says Arezo Yazd

@highlight

Improvement in U.S-Iran relations may be only silver-lining to crisis, she adds

@highlight

Yazd: Opportunity for partnership exists in Iran's budding technology market

@highlight

Possibility of U.S. changing sanctions policy regarding Iran arouses excitement, she says