Tokyo (CNN) -- It's been a bad month for Japanese conservative politicians who can't seem to resist the temptation to rewrite history and make provocative gestures while shifting and minimizing war responsibility.

Yoshihide Suga, Prime Minister Shinzo Abe's overworked spokesman, has been in damage control mode, issuing numerous denials while restating and reinterpreting controversial statements.

Abe is feeling confident as polls show strong public support, mostly because he has ignited the stock market with massive quantitative easing. Now he is showing his true ideological colors and galvanizing his base by recanting on apologies and war guilt. But can his slick PR machine repair the damage inflicted on Japan's reputation and credibility?

History matters because Japan has made it into an issue that further antagonizes China and South Korea at a time when Japan would like their cooperation in dealing with the North Korean threat. Trampling on the neighbors' sensitivities about their shared past also limits room for managing territorial disputes involving both countries or making headway on a range of other pressing issues.

War responsibility also matters because conservative loudmouths tarnish the national reputation by backtracking on previous apologies and muddying the waters on what exactly Japan acknowledges about its wartime excesses.

The U.S. Congressional Research Service recently criticized Abe-history for roiling regional relations in ways detrimental to American interests. Ironically, Abe promised to improve relations with Washington during last year's lower house election campaign, but just as in 2007 when he quibbled about the extent of coercion used in recruiting so-called "comfort women," he is undermining bilateral ties. Given heightened regional tensions, it seems absurd that Abe and other conservatives are seeking dignity in denial and implying that Japanese aggression was justifiable and not a colossal catastrophe.

The "Dr. Feelgoods" of Japanese history who embrace an exonerating and validating narrative of Japan's Asian rampage 1931-45 do a great disservice to their country. They are embedded in the political mainstream and dominate the Abe cabinet, but their retrograde views on history are not supported by public opinion. Abe has long championed a beautifying of Japan's history inconsistent with established facts and seeks to promote patriotic education.

There is much that Japan can be proud of since 1945 -- rapid recovery from war devastation, adopting a pacifist Constitution, the economic miracle, achieving the best living standards in the region, creating a robust democracy in a relatively egalitarian society, and promoting regional economic development through massive aid and technical cooperation. But conservatives seek to vindicate Japan's imperial aggression and pretend that it was really about liberating Asians from the yoke of Western colonialism. Japanese historians have exposed this as a sham, pointing out that Prime Minister Hideki Tojo's (1941-44) wartime diary emphasized the need for ousting the colonial powers, not to liberate them but in order to seize Asian resources to win the ongoing war aimed at subjugating China.

Towards the end of April, three cabinet ministers, including Deputy Prime Minister Taro Aso, visited the Yasukuni Shrine, the talismanic ground zero for a valorizing view of Japanese aggression that is fully displayed at the adjacent Yushukan Museum. Soon after, a phalanx of 168 LDP lawmakers also genuflected at this sacred space of unrepentant imperialism. Subsequently Abe quibbled in the Japanese parliament remarks about how to define "aggression," and in doing so subverted the 1995 Murayama Statement that expresses regret for Japan's colonial rule and aggression.

On May 10, spokesman Suga sought to douse the brushfires by insisting that Abe has never denied Japan's history of aggression and unequivocally supports the Murayama Statement. This wink-and-nod approach to history may be politically expedient, but is unconvincing and inevitably puts Japan back on the defensive because the government looks like it is shirking.

And history is the gift that keeps on giving as the LDP policy chief Sanae Takaichi, appearing on television on May 12, told viewers that in fact Abe doesn't accept the verdict of the Tokyo War Crimes Tribunal, again denied by Suga, while she also slammed the Murayama Statement.

Then it was the turn of Osaka's outspoken mayor. Toru Hashimoto courted controversy when he suggested that the "comfort women," tens of thousands of teenage girls mostly from the Korean peninsula forced into providing sexual services for Japanese soldiers between 1931-45, offered a "necessary service" by helping battle-stressed soldiers relax and thereby maintain discipline in the ranks.

He also revealed that he advised top brass in the U.S. military that American soldiers stationed in Okinawa should visit local sex shops more often as a way to reduce sex crimes. In his view, the ban on U.S. personnel visiting adult entertainment facilities discriminates against women legally working in the business.

Hashimoto's remarks portray the comfort women system as a necessary evil, flouting the contrition expressed in the 1993 Kono Declaration. Perhaps he hopes to revive the flagging fortunes of his Japan Restoration Party? Co-leader Shintaro Ishihara, the main instigator in provoking Beijing over the Senkaku/Diaoyu dispute, defended Hashimoto's controversial comments. When they launched their party in 2012 it generated a big buzz, winning 57 seats in the Diet, but recent polls suggest tepid voter interest. It's not immediately clear which constituency Hashimoto is targeting with his recent outbursts since the LDP has a lock on jingoists. His remarks will also not appeal to women voters who have largely shunned the party.

Nearly 68 years after surrender, some Japanese conservatives are engaged in counterproductive battles over history that make Japan appear weak and undignified, unable to take the measure of its history. This is not about convincing the world about Japan's innocence. This is a longstanding internecine battle that has animated post-WWII Japanese politics, one that has already been lost in the court of domestic public opinion and in the research conducted by Japan's professional historians. Japan's recalcitrant conservatives are playing with fire and surely Abe recalls that when he was hounded from office in 2007 the denouement began when he tried to revise history.

Perhaps stoking tensions abroad is his agenda as he rallies domestic support for remaking Japan by revising its pacifist Constitution.

The opinions expressed in this commentary are solely those of Jeff Kingston.

@highlight

Recent comments from a nationalist politician suggested WWII sex slaves were necessary

@highlight

PM's spokesman forced to issue numerous denials, clarifications of controversial statements

@highlight

Kingston: Conservative loudmouths tarnish Japan's reputation by backtracking on apologies

@highlight

Such behavior risks antagonizing already strained relations with Japan's neighbors