The Supreme Court on Monday dismissed a long-standing appeal from scientists who tried to block funding of stem cell research on human embryos.

The brief order from the justices is a victory for supporters of federally funded testing to combat a range of diseases and illnesses. Federal courts had previously lifted an injunction on continued funding, and this latest high court action probably means the lawsuits will be ultimately dismissed.

The field of embryonic stem cell research has been highly controversial, because in most cases, the research process involves destroying the embryo, typically four or five days old, after removing stem cells.

These cells are blank and can become any cell in the body. Because of the destruction of embryos, most opponents believe this is a moral issue. Supporters of the research point to the potential for saving lives.

Legislation passed in 1996 prohibits the use of taxpayer dollars in the creation or destruction of human embryos "for research purposes." Private money had been used to gather batches of the developing cells at U.S.-run labs. That congressional ban had been renewed annually.

Stem cells vs. heart attacks

The current administration had broken with the Bush White House and issued rules in 2009 permitting those cells to be reproduced in controlled conditions and for work on them to move forward.

Obama administration officials have been at odds with many members of Congress over whether the National Institutes of Health research causes an embryo's destruction, as prohibited by the Dickey-Wicker Act.

In opposing the lawsuit, the government had argued that an extensive list of research projects outlined by the government health research agency would have to be shelved if the courts blocked further funding.

Some scientists say that embryonic stem cells could help treat many diseases and disabilities because of their potential to develop into many different cell types in the body.

In 2011, the U.S. Court of Appeals for the District of Columbia lifted an injunction originally issued by a federal judge, who said, at the time, that all embryonic stem cell research at the research agency amounted to the destruction of embryos, in violation of congressional spending laws.

The appeals panel later reversed, concluding the plaintiffs bringing suit "are unlikely to prevail because Dickey-Wicker is ambiguous and the NIH seems reasonably to have concluded" that the law does not ban research using embryonic stem cells.

Stem cells help deaf gerbils hear

The White House at the time applauded that ruling.

"While we don't know exactly what stem cell research will yield, scientists believe this research could treat or cure diseases that affect millions of Americans every year," said Stephanie Cutter, a deputy senior advisor to the president. "That's why President Obama has long fought to support responsible stem cell research."

The case began with a lawsuit against the National Institutes of Health by James Sherley and Theresa Deisher, scientists opposed to the use of embryonic stem cells, who worked with a group that seeks adoptive parents for human embryos created through in vitro fertilization, including the nonprofit Christian Medical Association.

Embryonic stem cell research differs from other kinds of stem cell research, which do not require embryos. The current case does not deal with separate research on adult stem cells, which is permissible under federal law.

In 2001, when President George Bush first approved federal funding of human embryonic stem cell research, 64 existing stem cell lines that were created before August 9, 2001, qualified for federal funding. But of those, only 21 were usable by scientists. Bush later rescinded the funding.

Under the Obama administration's rules, at least 75 stem cell lines qualify for federal funding, according to the National Institutes of Health.

The NIH has invested more than $500 million in human embryonic stem cell research.

Scientists conducting such research say continued federal funding is necessary, because they would have greater flexibility to work collaboratively within labs, across labs and around the world on the latest treatments and breakthroughs.

Supporters of embryonic stem cell research say their studies have shown promise in treating a range of debilitating conditions, including diabetes, Parkinson's disease, cancer and spinal cord injuries.

The case is Sherley v. Sebelius (12-454).

@highlight

Court dismisses appeal that tried to block funding of stem cell research on human embryos

@highlight

Scientists had sued the National Institutes of Health over the use of embryonic stem cells

@highlight

Opponents of human embryonic stem cell research cite moral issues

@highlight

Supporters say federal funding will help research ways to fight a range of illnesses