(CNN) -- I was born in Mumbai, India -- a beautiful country rich in culture and landscape. But for all its wonder and charm, India is also a country where from 150,000 to 200,000 people were afflicted by polio in the mid-1980s and, even as recently as 2009, was home to nearly half the world's new polio cases.

Polio is a debilitating disease. It attacks the nervous system and can lead to partial or full paralysis for life, and in some cases, even death.

But, the great news is that today, India and Southeast Asia were officially certified by the World Health Organization as being polio-free -- a momentous achievement for global public health and the worldwide effort to eradicate polio.

India beats the odds and beats polio

But this extraordinary feat wasn't easy.

Most experts believed that India, with its high population density, poor health care services and regional accessibility problems, would remain the most polio-endemic region in the world. But India hasn't reported a new case since early 2011, which led WHO Director-General Margaret Chan to say: "India has shown the world that there is no such thing as impossible. This is likely the greatest lesson and the greatest inspiration for the rest of the world."

I, too, believe this is the greatest inspiration for the world.

This victory -- like the eradication of smallpox -- is one of the most amazing achievements in global health. And I'm humbled to support and commend my country -- and the communities, families and workers on the ground -- for without them, this would not be possible. Their bravery, grace and conviction to end polio once and for all is something of great strength and admiration.

Great achievements don't just happen; they require the great efforts of many.

The polio eradication movement, started in 1988, was a joint effort between the Indian government; WHO; Rotary International; the Bill and Melinda Gates Foundation; UNICEF and various other NGOs; the United States, Canada, the United Kingdom and about 2 million workers who vaccinated nearly 170 million throughout the country to finally wipe out the disease. Truly, this worldwide effort should serve as a reminder that when the global community bands together to solve an issue, great things can be achieved. And today should serve as a call to not simply continue the efforts but to exponentially increase them.

The tireless work and the steadfast determination of so many around the world has brought us to this monumental milestone today, because with committed people, volunteers, communities and cooperation comes real change.

Just last year, I joined the Global Poverty Project at the annual Global Citizen Festival on the Great Lawn at Central Park in New York to advocate for an end to extreme poverty by 2030. Chief among the priorities was a focus on health, vaccines and immunizations. And on that day, looking out at the sea of 60,000 Global Citizens advocating for change and an end to polio by 2018, I knew the end was possible.

So, smile as we celebrate a polio-free India -- a significant public health achievement that will leave a lasting impact on children's health in India and around the world. This can inspire the global community to take on other diseases as well.

A polio-free India is not a polio-free world, and we must remain vigilant to ensure every child around the globe receives the vaccine until we achieve a world free of polio. The global health community is still more than $1 billion short on funding for vaccinations -- and while the United States, Canada and others have led the way -- other countries such as Australia need to reaffirm their support.

Only three nations have yet to eradicate the crippling disease: Nigeria, Pakistan and Afghanistan. As we declare India polio-free, we can call on countries and governments around the globe to follow this tremendous example and make the world free of polio by 2018.

The opinions expressed in this commentary are solely those of Freida Pinto.

@highlight

Freida Pinto: World Health Organization on Thursday is proclaiming India to be polio free

@highlight

India had half the world's new cases in 2009, and 200,000 in the 1980s

@highlight

Pinto: Experts doubted success because of population, poor health care and access

@highlight

Pinto: Committed people, volunteers, communities and cooperation bring real change