WASHINGTON (CNN) -- Van Jones defies environmentalist stereotypes. He's not the earthy-crunchy, Birkenstock-wearing type. Nor is he a contemporary and corporate version -- a hedge fund-fueled entrepreneur looking to make millions by building wind farms and solar-powered corporate headquarters.

"We want to bring green jobs to people who don't have hope," says Van Jones, the president's "green jobs" chief.

The new special adviser for "green jobs" -- those jobs that help reduce energy consumption and lessen environmental impact -- at the White House Council on Environmental Quality is in some ways like President Obama himself: an African-American community activist and organizer who has rocketed to the highest levels of government.

Jones says it was death, of all things, that set him on his current career path as a green-jobs guru. In describing his turn from social activist to environmentalist, Jones recounted his experiences with young people in Oakland, California.

"I got involved in this work because I got tired of going to funerals. I got tired of seeing young people without any hope," Jones told CNN. "I wanted them to have a better future. I said, 'Why don't we get these young people trained in green jobs so they can be a part of all these companies that are getting started?' "

So Jones, a Yale Law School graduate and longtime community activist, started an organization called "Green For All" in Oakland. The mission was to figure out how to train underprivileged young people in green-jobs skills, such as installing solar panels and retrofitting houses to make them more energy efficient.  Watch more on Van Jones' career »

"People talk about global warming. ... I want to cool the Earth down. I also want to calm the block down," said Jones.

Jones' efforts earned him national recognition and grabbed the attention of Obama's advisers.

Now, he is the president's pitchman for green jobs, helping to coordinate government agencies focused on delivering millions of green jobs to the ailing U.S. economy.

"I see myself as the green-jobs handyman. My job is to make sure that the president's desire that we have literally millions of green jobs in our country actually turns into reality," said Jones.

Yet even in places like Michigan, where unemployment is a whopping 15 percent -- well above the national average of 9.5 percent -- Jones understands there's skepticism about his message.

CNN followed Jones on a recent visit to Lansing, Michigan, where he told attendees at a green-jobs conference that saving the planet and saving jobs can go hand in hand.

"You say, 'Oh no, oh no -- you're gonna talk about the caulking gun. Oh no!' " Jones joked with the crowd.

Critics, though, have serious concerns about the "green collar" agenda. They argue that those green jobs -- retrofitting homes to make them more energy-efficient, for instance -- will be mostly low-level and low-paying.

Jones dismisses that.

"You take somebody and maybe this summer they're putting up solar panels," Jones said. "Well guess what, this is a growing part of our economy -- the next summer they can be a manager, the next summer, maybe they can be an owner, an investor, an inventor."

While Jones tries to spread his green message, he's also trying to practice what he preaches. That means taking public transportation, including a bus and train ride, to get to his office just across the street from the White House. He says those rides give him valuable opportunities to hear unvarnished views.

Describing his work as a member of the executive branch, Jones said, "Everybody that comes talk to us, they've already got an agenda, they've got their game face on. [On] public transportation, people are themselves."

As for who Jones is, he gave CNN a brief look at his new office at the White House Council on Environmental Quality. On the walls hang pictures of his heroes, each Jones described with a different strength. Basketball legend Michael Jordan: dedication and commitment. Boxing legend Muhammad Ali: fighting spirit.

Finally, pointing to a picture above his desk, Jones' tone grew softer.

"This is Bobby Kennedy the day before he was killed. In Watts, talking to some of the poorest people in California. And look at him. I mean, he's just present," Jones said, his eyes focused on Kennedy's image.

"We want to bring green jobs to these kind of folks. We want to bring green jobs to people who don't have hope."

@highlight

Van Jones says death set him on career path: "I got tired of going to funerals"

@highlight

He worked as a social activist before becoming "green-jobs" guru

@highlight

He advises president on jobs that help cut energy use, don't harm environment

@highlight

Jones: "I see myself as the green-jobs handyman"