(CNN) -- About a year after the 2005 London bombings, right-wing British journalist Melanie Phillips published a book that she called "Londonistan." It was an extended lament about what she called the decline of British values and the destructive consequences of multiculturalism. U.S. security agencies and others began to call the British capital Londonistan -- and only partly in jest.

London, one of the great cities of the world that transcend nationality, had attracted dissidents from many countries, but particularly from Arab states that might have treated them harshly had they dared to voice their opposition to the ruling cliques at home. The Londonistan label was meant to draw a parallel between what was happening in London and what had happened in Afghanistan, where many opponents of the regimes of Muslim majority countries had congregated, first to join a war against the Soviet occupation, and then to fight a broader enemy.

Now, Douglas Murray has written a similar article in the most recent edition of The Spectator, a well-respected British periodical, following the gruesome killing in Syria of the American journalist James Foley, apparently by a British member of ISIS.

Murray argues that the nationality of the executioner should come as no surprise, given the misguided tolerance of extremism in Britain. It is true that British citizens have taken part in terrorist attacks, or attempted to, since the rise of global terrorism in the 1990s. But to suggest that Foley's beheading was somehow related to the laxness or timidity of the British security authorities, or a decline of the British state more generally, is going too far. It is also the wrong way to look at the problem.

Britain, like the United States, has a well-deserved reputation for acting in accordance with the rule of law. And by and large, British justice is fair and impartial. That is surely one of the reasons why so many people have tried to enter the country. Those who have faced persecution at home have found the freedoms of expression and assembly denied them elsewhere available in every corner of London and other British cities. And British life has been enriched by their presence.

Certainly it's led to social tensions. New communities establish traditions that the original population finds strange and even threatening. Immigrants seem to keep themselves apart and are prepared to work longer for less. Originally the government aimed to assimilate these newcomers, but realized that defining "Britishness" was hard enough for the British, let alone a concept that a new arrival could understand. Integration became the new objective, but this too is difficult in a society that's under strain and believes the best policy is a clear set of rules that still allow people to find their own way within them.

Committing terrorist acts is not within the rules. And recent British legislation has tried to set firmer and clearer rules that make plotting terrorist acts a crime -- however hard it may be to identify a crime before it has been committed. This may help to deter and prevent terrorism, or it may not. It is always hard to measure what did not happen as a result of government action.

The best way to deter terrorism is not to introduce ever-more draconian laws -- which inevitably miss their targets but affect everyone else -- but to continue to hold true to the values that terrorists seek to challenge. In the dark world of the self-described Islamic State, the law and its implementation are arbitrarily applied by those who hold the guns. There is no appeal against them. It is a world of intimidation and dictatorship, similar to but worse than the totalitarian states established by Saddam Hussein and Hafez Assad.

Some British people may feel alienated from society in the United Kingdom; they may believe that they lack opportunity. But they are lucky to have the opportunity to say so, and to advocate for change. They would not have that in the "Islamic State." They would be dead.

British people may have gone to join the "Islamic State'" hoping to find a new sense of purpose and self-expression, and perhaps the British fighters associated with Foley's death believe they have succeeded. But they are not the product of the United Kingdom. They are the product of something far deeper, rooted in the evolution of their own societies and the transitional period between immigrant parents and integrated children. If society is not fluid, and does not accept the rough ride that fluidity can bring, it will not move forward. Terrorism, as expressed by Foley's executioner, is reactionary and backward looking. It offers nothing to anyone.

The "Islamic State" will never attract support from more than the handful of people who run it, and of the few hundred British people who may think it offers Nirvana and have gone to join in, I predict that the great majority will sooner or later look back at what they left and wish they were still there, however imperfect the conditions. Freedom comes at a price, but it is what we are fighting for as we combat the "Islamic State."

@highlight

UK's tolerance of extremism leads to acts like James Foley's beheading, article suggests

@highlight

Richard Barrett says that view goes too far and more draconian laws aren't the answer

@highlight

Barrett: Extremism is linked to immigrants' societies and their transition to integration

@highlight

He says UK rule of law and freedom of expression will win over allure of ISIS