Jamison Green is an educator, adviser and advocate on transgender issues, and the author of "Becoming a Visible Man" (Vanderbilt University Press, 2004).

Jamison Green transitioned from female to male just before his 40th birthday.

Welcome, Chaz!

Before the word "transsexual" had been coined in English, an intrepid young person whose family belonged to the British nobility set out to transform herself from female to male. He received a medical school education, obtained hormones -- relatively new substances that were poorly understood at the time, and independently began living as a man in the early 1940s.

Eventually, he found a plastic surgeon to help him, and his physical changes were complete by 1949, but his family rejected him. The British tabloids hounded him. To escape publicity, he was forced to carve out a life for himself virtually alone. He became a Buddhist monk, and died in Tibet in 1962 at the age of 47.

His name was Michael Dillon, and he one of the Western world's first transsexual people, that is, someone who changes sex and/or gender by medical means. His extensive writings were suppressed and destroyed by his family -- only fragments survive.

By 1988, when I began my transition (just before my 40th birthday), there was scarcely more information about female-to-male transsexualism available than there was in 1949. Even in the early 1990s, doctors told transsexual people that we should not socialize together, because people might notice there were things about us that were different from "normal" people.

Many transsexual women were tall and some had broad shoulders, large hands and feet. Most transsexual men were on the short side, and had small hands and feet. It's one thing if you mix in with other people where there is a lot of physical diversity, but if you congregate with others like you, you may risk discovery.

To be discovered as a transsexual person was a horrible fate. And fitting in, being "normal," was the goal of treatment, after all. I was convinced that having a "sex change" was going to be a very straightforward process. I would take the hormones, have some surgery, and then go home and mow my lawn. I expected life to just be ordinary, just the way it was supposed to be.

There were a few surprises in store for me, though, not the least of which was that I learned that the fear and shame of being known or discovered to be a transsexual person was probably responsible for a tremendous amount of suffering.

I learned that people like me hid themselves from the world, often were under-employed or unemployed, avoided seeing physicians when they were ill, and often expected that they would never have intimate partners.

After I began transition, I met more and more transsexual men like myself, and I saw firsthand the fear and shame that limited their lives. These were kind, gentle, thoughtful, serious men, and they did not deserve to live in a state of fear and shame.

I knew then that education about who we were, and what our lives were like, would be absolutely necessary to do two things: first to let people like me know we were not alone and we didn't have to be afraid; and second to let other people know we existed, to make the world safe for us, for our difference and our uniqueness.

Like a handful of other trans men in North America, Europe, England, and Japan, I began to do public education, to write about our experience, and to educate legislators and policy makers, helping them change the laws, hoping to ease the suffering of others like ourselves who would follow in our footsteps.

And now Chaz Bono announces his transition through his publicist. O, brave new world! The words are here, some protective laws have been passed, America has learned that it can no longer simply destroy what it doesn't understand. Not that some people won't try, though.

Chaz, here's hoping your transition from female to male will be effortless, but experience tells me you're liable to have (at least) a few surprises and inconveniences along the way. Here's hoping you can maintain the privacy you want, and that you have the ability to experience your transition fully, that you aren't robbed of the experience by the demands of a public life.

Your visibility can bring new understanding. Where others of us have run from the spotlight, and still others have been denied a voice by a disinterested public, you have the ear of the media, and you will not be ignored. But don't be tempted to expose yourself when you're not ready. Your life must be your own.

For me, the goal of transition was not to become "normal" -- whatever that is -- but to become balanced as myself. It's a life goal that non-trans people strive for, too, and we all have different paths to get there. My path worked for me; I hope yours works for you. Good luck, brother!

The opinions expressed in this commentary are solely those of Jamison Green.

@highlight

Jamison Green began his transition from female to male in 1988

@highlight

Chastity Bono is transitioning from female to male and will be known as Chaz

@highlight

Green hopes Chastity Bono's transition will be filled with less heartache than others'

@highlight

Green says key to easing sex change process is education