Near the Israel-Gaza border (CNN) -- Hours after a cease-fire was declared Wednesday in Israel's conflict with Gaza, it appeared to be holding, an Israeli official said.

"We assumed it would take a while for the cease-fire to take hold," Israel's ambassador to the United States, Michael Oren, told CNN. "I understand now that it has taken hold. There hasn't been fire for a while and, of course, we are not firing, so there is a cease-fire."

His remarks came after an Israeli military spokeswoman, Lt. Col. Avital Leibovich, told CNN that five rockets had been fired from Gaza in violation of the cease-fire. Deputy Foreign Minister Danny Ayalon, in an interview with CNN, put the number of rockets at 12.

Wednesday's cease-fire followed eight days of violence along Israel's border with Gaza and nearly 150 deaths -- the vast majority of them Palestinian.

Egypt's Morsy praised for his key role in talks

The cease-fire, announced in a joint news conference in Cairo with U.S. Secretary of State Hillary Clinton and Egyptian Foreign Minister Mohamed Kamel Amr, took effect at 9 p.m. (2 p.m. ET).

Gazans took to the streets, firing guns into the air in celebration of what they considered to be a victory over Israel's military.

The agreement calls for Israel to halt all acts of aggression on Gaza, including incursions and the targeting of people, according to Egypt's state news agency EGYNews. It also calls for the Palestinian factions to cease all hostilities from Gaza against Israel, including the firing of rockets and attacks on the border. Border crossings were to be opened Thursday night, and the movement of people and goods across them was to be eased, it said.

On the ground: Follow updates from CNN's reporters

The agreement came after a day of negotiations that included Clinton, Egyptian President Mohamed Morsy and Palestinian officials.

Israeli government spokesman Mark Regev said the agreement calls for "complete and total cessation of all hostile activity initiated in the Gaza Strip."

"For us, that's victory. That's what we wanted," he said.

Prime Minister Benjamin Netanyahu warned of possible additional military action if the cease-fire fails to lead to long-term security. "But at this time, the right thing for the state of Israel is to exhaust this opportunity to obtain a long-term cease fire," he said.

Netanyahu thanked U.S. President Barack Obama for his "unreserved support" of Israel's actions.

It was the November 14 assassination by Israeli forces of Ahmed al-Ja'abari, the head of Hamas' military wing, that ignited the fighting.

Opinion: Will real change come from this cease-fire?

Israel launched its offensive with a stated goal of ending the rocket attacks on southern Israel from inside Gaza by degrading the ability of Palestinians to launch such attacks.

"Their attempts backfired against them," said Khaled Meshaal, a Hamas political leader. "They wanted to destroy the infrastructure of the resistance of Hamas. They claim they have done so, and they have not. They are bankrupt."

He cited Israel's destruction of buildings and killings that included civilians. "This is their accomplishment," he said. "They have nothing else to show. And our rockets continued to strike them until the last minute."

Israel will hold Hamas responsible for any attacks from Gaza, whether conducted by that organization or any others, Regev said. He said the agreement reflects that understanding.

iReport: Share your stories from the region

As he was preparing to return to New York from Tel Aviv, U.N. Secretary-General Ban Ki-moon said late Wednesday his biggest concern was for the safety of civilians, "no matter where they are. Innocent people, including children, have been killed or injured on both sides. Families on both sides were forced to cower in fear as the violence raged around them."

He said that more than 139 Palestinians had been killed, more than 70 of them civilians, and more than 900 were injured. In addition, some 10,000 Palestinians had lost their homes, he said, adding there was a critical need for humanitarian aid in the territory.

IDF's Leibovich dismissed such concerns. "There is no crisis in Gaza," she told CNN, adding that she had seen pictures Wednesday morning of markets filled with fresh produce. "I understand that some things are not convenient," she said.

During the conflict, rocket fire killed four Israeli civilians and wounded 219 other people, most of them civilians, three of them seriously, Ban said. In addition, an Israeli soldier was killed and 16 were wounded, one critically, he said.

Smuggling weapons to Gaza -- the long way

In all, 1,456 rockets were estimated to have been fired from Gaza into Israel, with three long-range missiles hitting the outskirts of Jerusalem, a move he called "unprecedented."

Israeli forces reported strikes on more than 1,450 targets in Gaza, Ban said. They targeted, but were not limited to, attacks on rocket-launching sites, military bases, police stations and tunnels along the border with Egypt, he said.

Hundreds of other buildings were hit, Ban said, adding that he condemned "indiscriminate rocket fire from Gaza into Israel," but also believed that the "excessive and disproportionate use of force that endangers civilian lives is intolerable."

Long-term solutions for Gaza and the Palestinians in general must be found, he said.

"Once calm is fully restored and the violence ends, a broader cease-fire will have to address all the underlying causes of conflict, including the full opening of crossings, Palestinian reconciliation and an end to weapons smuggling."

How Middle East has changed since last Gaza conflict

Regev said the deal calls for talks to begin Thursday on easing economic restrictions on Gaza.

"If the border is quiet, that enables us to be more forthcoming," he said.

Clinton, who shuttled among Israel, the West Bank and Egypt to help negotiate the deal, said the United States will continue to work with regional partners to implement and expand the agreement.

Obama spoke Wednesday morning with Morsy, thanking the Egyptian leader for his leadership in negotiating the proposal.

As recently as Wednesday afternoon, Hamas officials had been calling for more strikes against Israel, while that country's military continued to press its campaign against what it said were suspected rocket-launching sites and "terrorist hideouts."

Arab-Americans watch conflict with mix of worry, relief

The cease-fire talks, held in the West Bank, Israel and Cairo, continued despite a lunchtime bus attack near the Defense Ministry headquarters in Tel Aviv. At least two bombs were planted on the bus, Israeli police spokesman Micky Rosenfeld said. One of the bombs exploded, blowing out the windows of the bus, he said.

Rosenfeld said 24 people were wounded, three of them seriously. Aviva Shemer with Ichilov Hospital said pedestrians were among the injured.

Belief blog: How U.S. Jews view the situation

Police said they were seeking at least one and possibly two suspects.

Hamas put its own spin on the attack in a banner on al-Aqsa, calling it "a natural response to the massacre of the al-Dalou family and targeting of innocent Palestinian civilians."

Nine members of the al-Dalou family died Sunday in an Israeli airstrike, provoking outrage among Palestinians.

"We told you #IDF that our blessed hands will reach your leaders and soldiers wherever they are," the al Qassam Brigades, the military wing of Hamas, said on Twitter. "You opened the Gates of Hell on Yourselves."

Diplomats said they were hoping to avoid a repeat of 2008 and 2009, when at least 1,400 people died as Israeli troops invaded Gaza after similar rocket attacks.

Analysis: Conflict shifts balance of power in the Middle East

CNN's Tom Watkins, Ben Brumfield, Dana Ford, Arwa Damon, Ben Wedeman, Christiane Amanpour, Mohamed Fadel Fahmy, Saad Abedine, Sara Sidner, Frederik Pleitgen, Kareem Khadder, Saad Abedine, Ingrid Formanek, Nicki Goulding, Neda Farshbaf, Marilia Brocchetto and Reza Sayah contributed to this report.

@highlight

"I understand that it has taken hold," Israel's U.S. ambassador says of cease-fire

@highlight

Israel alleges violations of the hours-old cease-fire; one official says five, another 12

@highlight

U.N.'s Ban Ki-moon says "disproportionate" use of force is "intolerable

@highlight

Agreement calls for "total cessation of all hostile activity" from Gaza