(CNN) -- After a setback from the natural and nuclear disasters of 2011, tourism has rebounded in Tokyo.

The Japan National Tourism Office reports a 21% increase in visitor arrival numbers between January and August 2013 compared with the same period last year.

The renewed surge of visitors is being partly attributed to Tokyo's successful bid for the 2020 Olympics and Prime Minister Shinzo Abe's efforts to bulk up the economy.

Fall is the classic time to visit the city.

The oppressive humidity of summer has cleared, autumn colors bring life to Tokyo's many parks, hearty, seasonal foods are the order of the day and the fresh fashion the country is known for is celebrated on the streets.

More: Guide to Tokyo's best parks

From sedate, centuries-old gardens to boisterous robot cabarets, here's the vital knowledge you'll need before hitting Japan's sprawling capital.

1. Tip No. 1: Don't tip

Attentive service is the norm in Japan, part of a cultural dedication to hospitality called omotenashi.

Tipping isn't expected in taxis, at hair salons, for doormen or bartenders.

Not only are gratuities not expected, they won't be accepted. Some restaurant checks will include a service charge.

If you leave money behind, no matter how much or little, don't be surprised if your server chases you down the street to return it.

More: 50 reasons Tokyo is the world's greatest city

2. Walk right -- on the left

With 35 million people, greater Tokyo is one of the most densely populated urban centers in the world.

Yet crowds are orderly.

Everyone waits until the light changes to cross the street.

Pedestrians on wide sidewalks follow the unspoken rule of staying to the left almost as strictly as cars (also on the left) do.

Exception: On Tokyo escalators, stand on the left and walk on the right. (Around Osaka, escalator etiquette is reversed.)

3. Drink outside, smoke inside

The more enclosed a space is, the more likely you'll be allowed to smoke there.

The smaller and homier a bar or restaurant, the more likely it is to be smoker-friendly.

Many bullet trains still have smoking cars.

On the other hand, smoking is prohibited on many sidewalks (look for signs stenciled on the sidewalk), except around public ashtrays.

Street patrols stop people who engage in aruki-tabako, or "walking-smoking."

Cracking open a beer or can of fruity, boozy chu-hai on the walk or train home, however, is a cherished tradition.

More: 5 Tokyo bars for train nerds (yes, they exist)

4. One card is good for all trains and buses

The Tokyo train system is actually a network of three train companies.

Originally, each system required its own tickets.

Now rechargeable Suica and Pasmo cards let riders seamlessly touch their way in and out of all lines.

As of March 2013, paying fares got even easier -- a single card became usable for trains and buses throughout the country. You can get one as soon as you arrive in Tokyo from almost any ticket machine.

The ¥500 deposit (a little over $5) for the card is refundable.

The time you save not calculating ticket costs makes it worthwhile even if you keep the card as a souvenir.

5. There are pockets of quiet everywhere

From temples hidden between office buildings (Hanazono Shrine in Shinjuku is a favorite of these) to the tree-lined canal that runs the length of Nakameguro, you're never far from an oasis of calm in the frantic city.

Winding residential streets lined with walled gardens are often just a block away from busy main roads.

If you take a detour down a little unmarked road (most Japanese streets are unnamed) chances are you'll discover a tiny cafe, quirky neighborhood art project or a jumble of ultramodern condos and rickety ancient architecture.

More: Insider Guide: What to do in Tokyo

6. Japanese bathhouses

Public bathhouses, or sento, are a soothing holdover from a time when most homes didn't have bathtubs.

Whether it's a bright, modern place in Omotesando with fizzy water and fancy soap or a creaky neighborhood bath with a coin-operated hairdryer that's been bolted to the floor since the 1960s, all public baths cost ¥450.

The Tokyo Sento Association is redoubling efforts to make them foreigner friendly ahead of the Olympics by posting etiquette and instruction cards in four languages.

7. That word you keep hearing is 'welcome'

After a few days in Tokyo, you might find yourself asking, "What's that thing they always say when I walk in?"

Whether it's sweaty, aproned guys shouting in unison as you walk into an izakaya (lively restaurants that serve alcohol with lots of small dishes) or one perfectly coiffed woman murmuring as you enter the hush of a small boutique, they're saying the same thing: "Irasshaimase."

It's a polite way of saying "welcome."

Although your instinct may be to reply -- "Thank you?" "Hello?" -- locals insist no response is required. A friendly little bow in response doesn't hurt, though.

8. The sushi really is that good

The famous tuna auction at Tsukiji market starts just after 5 a.m., but the day's 120 free tickets are often all snapped up as early as 4.

Whether you get to the auction or not, the market and surrounding shops will be springing to life around that time -- it's the best place to enjoy an early morning plate of the freshest sushi you've ever tasted.

You need not be there that early, but many of the hundreds of shops start to close by 1 p.m.

Visit and you, too, will be one of those insufferable diners who can't eat sushi back home without saying, "It's good, but it's nothing like the maguro I had in Japan."

But hurry -- the legendary market is set to close at the end of 2013. A new facility will open a few kilometers away in 2014.

More: Iconic fish market to close

9. Free WiFi is rare

While the number of places that have free and simple WiFi in Japan is increasing, access isn't something you can count on.

Signs everywhere announce free WiFi -- if you already have a contract with the provider.

Even places like Starbucks that have relatively accessible free WiFi require you to create an account in advance.

Instead of renting a SIM card, many travelers find that renting a pocket WiFi at the airport to use with their own smartphones is the best way to get online.

10. Bacon turns up everywhere

Japan has a long tradition of Buddhist vegetarian cuisine called shojin ryori. It is painstakingly prepared and served on fine lacquerware and ceramics.

It's worth experiencing (Michelin-starred Itosho is outstanding) and guaranteed to be vegetarian, but it's expensive and a time-consuming affair.

For a quick veggie meal, you usually have to be vigilant. A "vegetable sandwich" may have a sneaky slice of ham in it, and pasta with "no meat" could be studded with chunks of bacon. "Meat" tends to mean "beef."

Running down a list of every animal product that you'd like to avoid is the only way to be sure. And your potato salad might still come with bacon.

11. Clear umbrellas are the best umbrellas

Into every vacation a little rain must fall.

If you're in Japan when it does, lucky you -- it's a perfect opportunity to pick up a clear umbrella.

It's such a simple innovation, you wonder why they haven't caught on elsewhere.

Once the first drops of rain hit the street, you'll find them everywhere.

Convenience stores will put their stock by the door. One costs between ¥300 and ¥500.

The clerk will offer to unwrap it for you if you're using it right away. Hold on tightly, but let go lightly; umbrellas are the one item that's frequently stolen in Tokyo.

If yours disappears, consider it a rite of passage.

CNN's On the Road series often carries sponsorship originating from the countries we profile. However CNN retains full editorial control over all of its reports. Read the policy

@highlight

Tokyo tourist arrivals are expected to rise with successful 2020 Olympic bid

@highlight

Travelers can buy a single card to ride all trains and buses

@highlight

Free WiFi is rare

@highlight

Whether bright and modern or creaky and old, all public baths cost ¥450