(CNN) -- The government's open. Washington is back at work. House Republicans, licking their wounds, are asking themselves what's next. And President Barack Obama has thrown down the gauntlet: The top item on his agenda is immigration reform.

What are the chances that the House will now move ahead on immigration? The answer will have less to do with immigration than with how the budget battle has changed the larger political dynamic in Washington.

House Republicans' views on immigration are untested, and many advocates for reform believe they are implacably hostile. But the truth is Republican opinion has been evolving since the 2012 election. More and more House Republicans, perhaps the majority, know that reform is overdue and that the GOP must be part of the solution -- to remain competitive with Latino voters and because it's the right thing to do.

Individual lawmakers and essential staff continued to work on the issue even through the dark days of the shutdown. And members are coalescing around answers to the hardest of the hard questions: what to do about immigrants living in the United States illegally? House Majority Leader Eric Cantor is working on a bill that would create a path to citizenship for "Dreamers" brought to the U.S. illegally as children.

And one recent informal count found 84 House Republicans -- more than one third of the total -- in favor of legal status for the Dreamers' parents.

Bottom line: If it weren't for the rancor of the budget brawl, the House might be in a good place on immigration, with Republicans ready to move forward and pass a package of measures they could send to a conference with the Senate bill.

Opinion: Key to immigration reform -- worker visas

So what exactly is the fallout from the budget battle?

Surprisingly, it appears to cut both ways -- both for and against the prospect of an immigration overhaul.

Even before the government reopened, two different factions were making their voices heard. Some, such as Rep. Raul Labrador of Idaho -- an opponent of the budget deal but a strong proponent of immigration reform -- argued that the budget battle had made it hard, if not impossible, for House Republicans to reach a deal with Obama.

Others, such as Rep. Aaron Schock of Illinois, who voted for the budget package, said it's time to get back to the give and take of governing -- time to sit down with Democrats and compromise, including on immigration.

Opinion: It's not Syria holding up immigration reform

Which of these two sentiments will prove stronger in the House? GOP lawmakers are reeling from their recent drubbing. Skepticism and negativity are at an all-time high. And it will take both kinds of champions -- tough-minded and accommodating -- to negotiate a deal. But if enough other Republicans agree with Schock and make their views known, that could empower leadership to open the way to consideration of some immigration bills.

A handful of hard-line conservatives -- the group that opposed the budget deal -- still hold enormous sway in the House. And just because Speaker John Boehner waived the so-called Hastert rule once -- bringing the legislation that ended the shutdown up for a vote when he knew it lacked support from the majority of the Republican majority -- doesn't mean he'll do that again anytime soon. The House Republican conference is only as strong as it is cohesive, and the majority-of-the-majority rule has proved a good way to maintain that power and cohesion.

Still, the complex dynamic that drives Republicans in the House may have shifted somewhat in the shutdown. Certainly you hear a lot more grumbling, in private and in public, about the power of the hard-line naysayers. Other members are tired of being held hostage. Many want to get on with governing, making deals on a wide range of issues. And a few, such as Schock, are starting to say so, even on TV.

Opinion: How Obama can clinch immigration deal

That's a ray of hope. But there's still another danger looming.

The one thing House Republicans are not going to do in the wake of the budget battle -- not on any issue, in any circumstances -- is a favor for Obama. And to the degree that immigration reform is seen as Obama's issue, it will be dead on arrival in the House.

The question for House Republicans, leadership and rank and file: Do they want to cede the issue to Obama? Can they afford to let him own it? More and more of the GOP grasps that that's a mistake. It's a disaster politically for the party and a mistake for the nation, which needs reform, urgently, for the sake of the economy and the rule of law.

What's needed in the House now is not a favor for Obama, but a strong conservative answer on one of the most vexing issues facing the nation.

Will House Republicans see it that way? Can they take ownership and move forward?

The opinions expressed in this commentary are solely those of Tamar Jacoby.

@highlight

Tamar Jacoby: After budget battle, GOP may be in no mood for immigration overhaul

@highlight

But many in GOP favor legal status and have been working on reforms, she says

@highlight

She says others refuse to do President Barack Obama any favor by addressing issue

@highlight

Jacoby: GOP must take ownership, provide a strong conservative approach to reform