Two prominent newspapers this week used their editorial pages to call for mercy for intelligence leaker Edward Snowden, with one arguing "he deserves better than a life of permanent exile, fear and flight."

The New York Times and The Guardian make the case for some sort of plea deal or clemency that would allow Snowden to return to the United States from Russia, where he was granted asylum.

Mercy or dropped charges have occurred in past cases of other high-profile whistle-blowers, such as Daniel Ellsberg, the military analyst behind the leak of the Pentagon Papers. But in recent years, the United States has aggressively pursued those who leak government secrets.

Here's a look at how the cases of five prominent leakers -- including Snowden -- have played out:

Daniel Ellsberg

Ellsberg was the military analyst who leaked the 7,000-page Pentagon Papers in 1971.

The top-secret documents revealed that senior U.S. leaders, including three Presidents, knew the Vietnam War was an unwinnable, tragic quagmire. Further, they showed the government had lied to Congress and the public about the progress of the war.

Ellsberg surrendered to authorities and was charged as a spy.

During his trial, the court learned that President Richard Nixon's administration had embarked on a campaign to discredit Ellsberg, illegally wiretapping him and breaking into his psychiatrist's office. All charges against him were dropped. Since then, he has lived a relatively quiet life as a respected author and lecturer.

Chelsea Manning

U.S. Army Pvt. Chelsea Manning, who formerly went by the name Bradley, was convicted of stealing and disseminating 750,000 pages of classified documents and videos to WikiLeaks, the online anti-secrecy group.

A military judge sentenced Manning to 35 years -- far less than the effective life sentence that was permitted under law -- minus credit for about 3 1/2 years time served.

The judge also reduced Manning's rank, ordered that pay and benefits be forfeited, and imposed a dishonorable discharge.

Manning has applied for a pardon from President Barack Obama.

The Obama administration has said it will handle that request no differently than others. Manning's defenders, including Ellsberg, said he was a hero.

Julian Assange

Assange is the founder of WikiLeaks, which published hundreds of thousands of secret State Department cables and other information taken by Manning that gave the group global recognition.

Assange's case remains unresolved.

For more than a year, Assange has been holed up inside the Ecuadorian Embassy in London to avoid extradition to Sweden, where he is wanted for questioning over allegations that he raped one woman and sexually molested another.

Assange has repeatedly said the allegations in Sweden are politically motivated and tied to the work of his website. Ecuador's government granted him asylum, but British authorities have said they will arrest him if he leaves the premises.

Mark Felt

In 2005, retired deputy FBI director Felt revealed himself to be the whistle-blower "Deep Throat" in the Watergate scandal.

He anonymously assisted Washington Post reporters Carl Bernstein and Bob Woodward with many of their stories about the Nixon administration's cover-up after the June 1972 break-in at the Democratic National Committee headquarters.

The stories sparked a congressional investigation that eventually led to Nixon's resignation in 1974. The Post won a Pulitzer Prize for its coverage.

Felt was convicted on unrelated conspiracy charges in 1980 and fined. He was pardoned by President Ronald Reagan before slipping into obscurity for the next quarter century. He died in 2008 at age 95.

Edward Snowden

It's too early to tell Snowden's ultimate fate. A contentious debate surrounds his case.

On one side, many see Snowden as a traitor and criminal for unlawfully taking and disseminating National Security Agency files relating to its mass collection of electronic information, including e-mail and phone data.

Others see bravery in Snowden's actions for bringing a secretive program to light and initiating a national debate about security and privacy.

"Considering the enormous value of the information he has revealed, and the abuses he has exposed, Mr. Snowden deserves better than a life of permanent exile, fear and flight," the Times editorial said. "He may have committed a crime to do so, but he has done his country a great service."

Still, U.S. officials have thus far shown no indication they're considering clemency.

Last month, Attorney General Eric Holder said the conversation about balance between security and privacy is important, "but I would not say what he did is worthy of clemency."

"It's not something that I would support," Holder said. "I think that he has clearly broken the law and harmed the nation that he claims to love."

What do you think should happen to Edward Snowden? Leave a comment below.

@highlight

Two newspapers call for clemency for NSA leaker Edward Snowden

@highlight

The Obama administration is against clemency

@highlight

Leakers in the past have received some mercy

@highlight

More recent cases show tougher consequences for their actions