Editor's note: This is an excerpt from Jane Velez-Mitchell's new book "iWant" published by HCI Books. Velez-Mitchell anchors "Issues with Jane Velez-Mitchell" on HLN nightly at 7 p.m. ET.

Jane Velez-Mitchell writes about her journey from addiction and overconsumption to a simpler, honest life.

This is the story of my ch . . . ch . . . changes, which took me from insanity to clarity, from egocentricity to altruism, from alcoholism to activism. These changes have marked an evolution in what I want from this life.

I am what I want. What I seek to consume, possess, and achieve is a mirror that reflects my lusts and cravings, values and priorities, and moral boundaries or lack thereof.

I am happy to say that what I want today is much less toxic and self-centered than what I used to want. It's taken decades of self-examination to peel back the layers and figure out what really makes me happy. And while I'm still searching for my ultimate bliss, I know for sure it's not what I once thought it was. It's not alcohol, cigarettes, money, food, sugar, or status symbols: I've consumed all of those in massive quantities, and they've just made me miserable.

Now, I want what can't be tasted, smoked, worn, seen, or counted. It's the opposite of material. As sappy as it might sound, what I want is spiritual.  Watch Jane talk about her new book »

The shift from material to spiritual is a particular challenge in our culture. We have allowed ourselves to be defined by our consumption, instead of by our ability to move beyond it.

To keep consumers consuming, the corporate culture has brainwashed us into thinking we can change ourselves by changing what we buy, which pills we pop, what type of booze we swill, what gated community we join, what kind of golf clubs we swing, and what kind of cancer sticks we dangle between our lips.

We've been told that certain consumer choices say a lot about us, that they reveal our character. If we've stepped up to a more prestigious brand, we've changed for the better. Nonsense! We cannot consume our way into personal growth. Yet, millions of us have bought into this cynical concept of faux identity.

If you keep buying the "latest and the greatest" but feel like you're stuck in the same place, you're just changing labels, and that's not changing. That's rearranging. Real change occurs on the emotional, psychological, and spiritual levels, not in a shopping mall, a car dealership, online, at the drugstore, at the liquor store, or at the fast-food joint.

For too long, we have allowed ourselves to be manipulated by forces whose sole purpose is PROFIT and POWER. We have given advertisers leave to claim that inanimate objects have spiritual qualities.

One ad, in perhaps the world's most prestigious newspaper, urges us to buy an expensive diamond by insisting that such a purchase will feed the soul, lift the spirit, and increase our resolve to achieve whatever we wish. Really? How exactly does a diamond feed the soul? It's absurd! This is false advertising. Today, as a culture, we are awash in false advertising.

As a society, we've lent legitimacy to these patent lies by literally buying into them. As a result of this unnecessary, self-indulgent consumption, we've gone a long way toward destroying our natural environment with our waste. Perhaps most important, by obsessing about material things, we've cheated ourselves out of the most fundamental aspect of the human experience: real experiences that result in real growth.

Unlike diamonds, meaningful experiences can actually feed the soul, resulting in self-development and self-knowledge. Authentic change has allowed me to gradually learn why I'm here experiencing this existence as well as what I am destined to contribute during my lifetime.

For me, meaningful change has been about getting sober, becoming honest, and adopting a new attitude. Sobriety has allowed me to shift the criteria I use for all the decisions I make from an ego-based formula of what's in it for me to a more evolved formula based on compassion for other people, other living creatures, and our environment. It's an ongoing struggle, and there are many times when I fail. But I keep trying.

This book is my story of how I've progressed from self-obsession to a life that I hope will count. In the tradition of the Twelve Steps created by Alcoholics Anonymous, I'm going to lay out what it was like, what happened to change me, and what it's like now.

For thirty years as a television news reporter, I've been recounting other people's mostly sordid stories. Frankly, the prospect of airing my own dirty laundry scares the wits out of me. The very thought of this sparks a flood of memories, primarily featuring the many stupid and embarrassing things I've done over the years, especially before I got sober. My face burns at the prospect of sharing some of these memories with you.

I know we're all only as sick as our secrets. By pouring out the intimate details of my personal history, I am trying to get healthier through honesty. Still, I can't help but wonder if you really have to know every single one of my secrets. Is that what is meant by ­rigorous honesty? These thoughts swirl through my mind as I ­huddle under my covers unable to sleep...

...There's so much to tell. But would you want to know everything about my personal struggles? You may simply be reading this book because you're interested in my life, and for that I thank you. But if you identify with my story, then we will both learn from my experience. That is the essence of all recovery programs.

Many of the battles I'm fighting, the compulsions I'm struggling to conquer, are the same as those experienced by many of my friends, relatives, co­workers, and neighbors.

Some struggle with overeating, with alcohol or drugs, with workaholism, with codependency, with compulsive spending, with gambling, with sex addiction, or with facing the truth about themselves -- whatever that truth may be. And virtually everyone I know, including myself, suffers from generic overconsumption -- a chronic craving for more of everything that is poisoning our lives, not to mention our oceans, skies, and forests.

My friend once called himself a tornado of consumption. That description fits most Americans. Sadly, we're a nation of addicts. For a multitude of reasons -- our health, our finances, and our environment, among them -- we need to take immediate action to reduce our collective consumption levels.

Unfortunately, addicts don't respond to reason or rationality. Just as you can't reason with a drunk who is on a binge, we are not going to lecture our way out of America's consumption mess.

Fortunately, there are proven recovery methods out there that can help us get a handle on our addictive consumption. I've used them to deal with my plethora of addictions, and I will share these techniques with you while I tell you my story.

From IWANT by Jane Velez-Mitchell. Available wherever books are sold. Copyright © 2009 Jane Velez-Mitchell. All Rights Reserved.

@highlight

Jane Velez-Mitchell writes of her journey from addiction to a simpler, honest life

@highlight

She says it's taken decades of self-examination to find out what makes her happy

@highlight

Velez-Mitchell: "Change occurs on the emotional, psychological, and spiritual levels"