Des Moines, Iowa (CNN) -- The polls are tight, the ads are flooding the airwaves, the harsh rhetoric is rising, and the surrogates are stumping hard all over the state.

There is one "X-factor" that will put one of the Iowa Senate candidates over the top: Good, old-fashioned door-knocking -- except, it's not old-fashion anymore.

Political door knocking is now a data-driven operation, making it as critical a piece of high tech campaign strategies as the endless fundraising solicitations delivered daily to supporters' inboxes.

Canvassers only go to targeted households identified by algorithms using early voting/absentee voting data, party registration, voting history, and other micro-targeting information that create a stronger profile of a person or household's likelihood to vote for their own candidates.

The practice could be the major deciding factor here in one of the country's closest Senate races and whether it goes to Democratic Congressman Bruce Braley or Republican State Sen. Joni Ernst, and whether Democrats can maintain control the Senate itself.

But these volunteers aren't just trying to get voters for Election Day. They want to build their lead with early voting before polls open on Tuesday.

"The big advantage for the party, from the party's perspective, is we don't have to employ resources on the day of -- on Election Day -- to get out the vote because we know you've already voted. And you won't get any calls either," Democrat Scott Marron explained to a voter who called himself "a Braley guy" while canvassing a quiet Des Moines neighborhood.

Iowa Democrats traditionally dominate this area, giving them a significant lead. Republicans say this year they have the competitive edge.

In 2012,65,000 more registered Democrats voted absentee than registered Republicans. On Election Day, Republicans out-voted Democrats by over 20,000, but it wasn't enough to stop the Hawkeye state from giving President Barack Obama an important win during his reelection bid.

Recognizing how detrimental this and other statewide losses were, local campaigns, the state party, and national Republicans combined efforts, including employing a smartphone app called "Advantage" to increase accuracy and productivity of door knocking this year.

"It's a much more efficient, much more personal way for people to connect with their neighbors and get the vote out," Iowa communications director Michael Brickman told CNN. "In years past the early voting especially was a huge Democratic advantage; we realized we needed to do something to help catch up."

Republican volunteers walk in groups of two or three, with one person solely dedicated to updating the app and directing the others towards houses with information on who lives there, biographical data and voting status.

If the person is home and a conversation is had (so far, no technology to improve that), they immediately update the app based on the talk that's transmitted to the party in real time, who can change their models and update their current map of houses before they even knock on the next door.

Democrats use similar data to target voters but still use clipboards, known as "turf packs" to write down responses and input them later into a computer.

Both campaigns say their strategies are fueling their eventual win.

Democrats insist that instead of focusing on getting out their base who votes consistently, they are trying to turnout "sporadic" voters, or people who don't normally vote in a midterm election.

"Our strategy this year is to expand the electorate. For us that means turning out non-traditional voters," said Christina Freundlich, communications director of the Iowa Democratic Party. "We right now are leading with these nontraditional voters by 14,000 votes. These 14,000 extra votes... represent over 1% of the expected final electorate."

Republicans disagree, saying their share of absentee voters have grown, while the Democrats' share is shrinking. They maintain Democrats have more unreturned ballots than Republicans.

"We're seeing success like never before. Democrats are usually up by tens of thousands of votes," Brickman said. He pointed to the over 15,000 absentee vote advantage they had in 2010, "which we all know was a good year for Republicans ... Democrats simply aren't getting those numbers this time around."

Every day, the Iowa Secretary of State publicly releases data with absentee voting numbers. The campaigns, and other entities that have requested them, receive more detailed reports with names, voter ID numbers, and voting status (those who have requested ballots and returned them, as well as those who have voted early).

The campaigns then crunch this data and update their models to target potential voters. This filters through to turf reports and app, arming canvassers with the best intelligence available.

These tactics are working. Over 345,000 absentee votes have been cast so far in this election, according to the Iowa Secretary of State's office. That's about 50,000 more than this point of the 2010 midterm elections.

The candidates are doing their part in a more traditional way, encouraging their supporters at every stop to take part.

"I need you. I need you to go out and vote, I need you to call a friend, I need you to talk to a neighbor and tell them why you're supporting me in this election and make sure they get out and vote," Ernst told supporters in Tuskaloosa, echoing the same message from her previous stops. "I can't do it alone."

Both clearly understand the data and how to apply it effectively.

"We need you to keep knocking on doors, get those absentee ballots returned," Braley implored volunteers in Dubuque. "I'm counting on you to get across the finish line."

@highlight

Door-knocking is still playing a role in the campaign for Iowa's open Senate seat

@highlight

Canvassers are using algorithms to target voters likely to vote for their candidates

@highlight

To track voter data, Democratic canvassers use clipboards while Republicans have turned to a phone app

@highlight

50,000 more absentee ballots have been cast so far this year than at this point in 2010