(CNN) -- Just 20 years ago, when the world was entering a new era of high technology and test-driving the information super highway that is now the World Wide Web, South Africans still battled the racist apartheid of the National Party and suffered in the poverty of an almost bankrupt state.

Today, almost 20 years since Nelson Mandela established the country as a democracy, South Africa is the economic powerhouse of sub-Saharan Africa and the largest economy in the second largest continent in the world.

"I almost joke and say we directly moved from drums to cell phones, without the entire generation of landline technology," said Ebrahim Rasool, South African Ambassador to the United States.

As the country launched a satellite last week, Rasool suggests the next generation is already being developed and technology is one of the brightest areas for future economic growth.

According to a recent report released by investment banking giant Goldman Sachs, South Africa's Gross Domestic Product has since almost tripled to $400 billion; foreign exchange reserves have increased from $3 billion to nearly $50 billion; and a growing and sizable African middle class was created, within two decades of freedom.

"Perhaps the most striking successes since 1994 are the creation of a growing and sizable African middle class, increased real wages for the employed, and the extension of social welfare and services to underprivileged communities," said Colin Coleman, managing director at Goldman Sachs International.

Coleman, who's the head of investment banking for sub-Saharan Africa, says in the first 14 years of democracy the country's ethnically African middle class more than doubled in size and in the past two decades real GDP per capita increased by 40%, while 10 million South Africans, one out of five, graduated from the lower to the middle and higher income bands.

However, many, including Coleman himself, realize how poverty, inequality, and unemployment continue to haunt this nation of 52 million.

"Structural unemployment and racial economic inequality continues to plague South Africa. Five million jobs have been added in the past 20 years, but insufficient to lower the overall rate of unemployment. Now 14 million people are working and 7 million are not," said Coleman, who adds that unlocking job opportunities for more South Africans would unleash tremendous growth.

In loosening these restraints, Rasool says education is the most important challenge to address, where there are marked inconsistencies between the working class's education and skills verses the growing markets and jobs.

According to Rasool 40% of South Africa's population is under the age of 35 and that's where, among black people, unemployment is the highest.

He also says the majority of these youths who grew up under apartheid "are not unemployed, but rather unemployable" due to illiteracy and lack of skills.

Rasool argues many traditional areas of employment, such as agriculture, mining and textiles, are either mechanized or replaced by cheap labor -- suggesting that "in order to move this generation to the next we need to find a way to put the skills and the jobs together."

This is a hurdle that Ann Bernstein, head of CDE, a South African think tank in social and economic development, traces to a lack of education -- even among the teachers who school the young generation that is getting ready to enter the workforce.

According to Bernstein around 80% of public schools are dysfunctional and the quality of schooling for the majority of poor people is abysmal. She suggests the key reform is to introduce performance management of principals and teachers.

"We cannot allow a situation to continue where many teachers do not come to school on Mondays and Fridays, when they are in class they do not teach much, and where they often are unable to pass tests in the very subject they are supposed to be teaching," said Bernstein.

Reports indicate that internal corruption remains a problem in South Africa, but the government says it has been clamping down on corrupt officials, with 2,638 officials found guilty of misconduct related to corrupt activities between 1 September 2004 and 31 August 2013.

But still government management faces other challenges; "The government needs to be clearer on its priorities, and its approach to regulation and the role of markets, for the country to achieve a coherent approach to the most important issues of job creation, FDI and growth," said Coleman, who believes in the need for collaboration to encourage and facilitate private companies to invest in the country.

But despite the challenges the country faces, Rasool praises what South Africans have accomplished in their short experience with democracy and freedom.

"Twenty years ago, many of these people had no electricity, water and had their lands taken away from them," said Rasool, who praises programs such as accessible healthcare, social security networks and programs that look after young children, elderly, and the disabled.

According to Rasool, 20 years from now, half of South Africa's population will be under the age of 35; and based on the Goldman Sachs report, in the longer term, if the country could raise economic growth from an average 3.3% over the last 20 years to 5% per annum over the next 20 years, it would half formal unemployment over that period.

In a country where millions are still taunted by the miserable memories of apartheid, others who have no memories of the past are impatient to move forward in haste.

"The young black people with the memory of apartheid are patient because they know what they have now is infinitely better than the past; but those with no memory from the past have aspirations beyond what's immediately available at hand," said Rasool. He adds that in order to create another 20 years of robust growth for South Africans the two have to meet hand in hand.

@highlight

New report praises South Africa's transformation since apartheid

@highlight

Huge growth in country's GDP and in middle class

@highlight

But poverty, inequality, and unemployment remain a problem