(CNN) -- BP began deploying pressure sensors on its ruptured undersea well in the Gulf of Mexico on Sunday in an effort to fine-tune estimates of the worst oil spill in U.S. history, government and company officials said.

BP used remote-controlled submarines to begin positioning the sensors inside the well, located 5,000 feet below the surface of the Gulf, company spokesman Mark Proegler said. The sensors were requested by federal experts who have been trying to gauge how much oil has been pouring from the well, which experts say could have been spewing as much as 1.7 million gallons of oil a day into the Gulf.

But Proegler said the devices may not yield accurate information for several days.

"It's not as if they'll plug these sensors in and get readings right away," he said.

Researchers recently doubled estimates of how much oil has been flowing from the ruptured well, saying last week that up to 40,000 barrels -- or 1.7 million gallons -- a day may have leaked for weeks. Coast Guard Adm. Thad Allen, the Obama administration's point man on the disaster, said the sensors will help give those researchers a better picture of the flow rate.

"We think we need some independent pressure readings to validate the estimates that have been made by the scientists looking at the video and some other acoustic data," Allen said Sunday on CBS's "Face the Nation."

Allen's deputy, Rear Adm. James Watson, has given BP until Sunday to provide alternative plans that adequately address substantially higher rates of oil flow. The company said Saturday that it was reviewing a letter from Watson, but no response had been disclosed late Sunday.

The oil is believed to have been pouring into the Gulf since the April 20 explosion that sank the offshore drill rig Deepwater Horizon, killing 11 workers. The spill now dwarfs the 11 million gallons that were dumped into Alaska's Prince William Sound when the tanker Exxon Valdez ran aground in 1989, and oil in varying amounts and consistencies has hit the shores of Louisiana, Mississippi, Alabama and Florida.

Allen said the battle against the oil "continues to widen," with efforts now being focused on the stretch of open water between the wellhead and about 15 miles off the coast.

"Rather than trying to capture all around the well head, we've got to get our skimmers further offshore and protect it so we minimize the amount of oil that comes ashore," he said.

Allen's comments came on the eve of President Barack Obama's fourth scheduled visit to the stricken Gulf region, a two-day trip that will be followed by a Tuesday night address to the nation. Obama is scheduled to visit Mississippi, Alabama and Florida on Monday and Tuesday, then meet with BP executives on Wednesday.

BP has captured some of the gushing oil through a containment cap that has been pumping the crude up to a drilling ship for about a week. BP said it collected more than 15,000 barrels of oil on Saturday and more than 7,700 by noon Sunday.

But despite this advancement, pressure has not been removed from BP. White House adviser David Axelrod said Sunday the Obama administration wants BP to set up a massive, independently administered fund for cleaning up the oil-stricken Gulf states.

"The president will use every legal device at his disposal to make sure that this money is escrowed and that there is an independent administrator so that claims are not slow-walked, people can get the relief they need in a timely fashion and that we don't create more victims from this terrible disaster," Axelrod told reporters. He said administration lawyers have advised "that we have the authority to compel such an escrow fund, if it comes to that."

Estimates of the cleanup costs and the damages BP will owe to businesses and residents on the Gulf Coast range from $3 billion to $40 billion. BP said it already has spent more than $1 billion trying to cap the spill and clean up the areas affected by the oil.

Axelrod did not discuss how much money might be set up in the fund. But Allen told CBS that BP was "a company that's got a lot of wealth inside it."

And a group of 54 Senate Democrats -- nearly all the Democratic caucus -- has called on BP to put $20 billion in trust for the spill. In a letter to the oil company's CEO, Tony Hayward, they note that the 1989 Exxon Valdez spill in Alaska's Prince William Sound cost $7 billion, but Exxon paid far less for damages while continuing to make major profits.

Alabama Gov. Bob Riley told CNN's "State of the Union" on Sunday that he didn't care how the money was paid out. But he said BP owed "every one" of his state's Gulf Coast businesses.

"I don't think there is a dividing line," said Riley, a Republican. "I don't think you can say that one group is going to get it and another one doesn't. If a restaurant in Gulf Shores, Alabama, is off 50 percent because the tourists didn't come, I think he is owed 50 percent of his revenues from last year.

"The same thing with anyone in these areas, because the whole economy is based on the tourist market," he said. "And when it goes away, someone's got to compensate them, because most of these people are not going to be here next year if we don't."

Riley also criticized the Obama administration's handling of the disaster, saying the "unified command" set up with the federal government and BP is mounting a disjointed response.

"You can't have a committee making the decisions that are going to impact this entire coastal area. You can't have someone come in and say, 'Well, if it gets onto the beach, we'll clean it up and we'll clean it up rapidly,' and then OSHA come in and say, 'Well, the people can't work but 20 minutes out of an hour or two hours a day,' and get it cleaned up. Someone is

going to have to be in charge of each one of these operations," he said.

Riley, Mississippi Gov. Haley Barbour and Florida Gov. Charlie Crist are scheduled to meet with the president during his two-day visit. Barbour told CBS he was pleased to hear Allen talk of trying to fight the oil offshore rather than on the beaches, but said he would push Obama to end the six-month moratorium he slapped on offshore oil exploration since the disaster began.

Obama has said no drilling should go forward until investigators determine the cause of the explosion aboard the Deepwater Horizon. But Barbour said Obama "is going to hurt the national economy" if the temporary ban isn't lifted.

"There have been more than 30,000 oil wells drilled in the Gulf of Mexico in the last 50 years. This is the first time something like this has ever happened. And we need to get to the bottom of it, find out what happened, make sure it doesn't happen again. But I think it is very reasonable to continue to drill," Barbour said.

@highlight

NEW: Deadline for new plan nears

@highlight

BP says new sensors deployed Sunday

@highlight

Alabama governor says BP owes all on coast

@highlight

Obama visits Gulf states Monday-Tuesday