(CNN)  -- In the beginning was a word, sketched on a legal pad. And the word was Status.

That was the working title used by programmer Jack Dorsey in 2000, when he designed the service that was to become Twitter six years later.

An urban-design geek, Dorsey envisaged a city full of people buzzing short messages at each other the way taxi dispatchers and bike messengers do. Where are you? What's up? What's your status?

Today, five years after its inception, Twitter's status seems in flux. On the one hand, it is a vibrant virtual metropolis beyond Dorsey's wildest imaginings. It has garnered 200 million citizens from every corner of the world, yet manages to be more orderly and simple than that noisy Facebook megalopolis down the road.

There are no annoying Mafia Wars notifications here, no targeted ads, no anxiety-producing friend requests -- nothing but real-time messages from whomever you're interested in, be they Lady Gaga or the girl next door.

On the other hand, all is not well in Status City. This week's cover story in Fortune warns that Twitter usage appears to be flatlining.

One hundred million of those citizens are absent altogether, and Twitter.com has fewer visitors per month -- about 20 million -- than MySpace, according to comScore.

The company has a steady hand on the tiller in new CEO Dick Costolo but lacks a visionary product leader (Dorsey is equally focused on his next company, Square). It still suffers from irritating outages and isn't turning a profit.

And as CNN reported on Wednesday, UberMedia, the company behind mobile Twitter apps like Echofon, is planning to build a rival microblogging network, one that may shun the famous 140-character limit.

So are the buzzards circling over Status City? Should tweeters head for the hills or prepare to move to a competing town with fewer regulations?

In a word: no. The city that Jack built is a lot more robust -- and unrepeatable -- than it may seem.

First of all, let's look at those numbers. They vary wildly according to which service you use and how you slice them.

Quantcast says there has been a 50% jump in Twitter usage in the past five months. Most of that is overseas: Google Analytics says international traffic has risen 83% in the past year.

And because so many people are tweeting on their mobile device or third party app, the Twitter.com numbers are incomplete and misleading.

But even if we take the extremely conservative estimate of 20 million hardcore Twitter users, that ain't chopped liver. It's a phenomenal achievement for a 5-year-old company. These devotees could fill New York and Los Angeles combined. They ensure a neverending stream of news of every kind, perfectly customizable to your needs.

You may be overwhelmed in Status City, but you will never be bored.

No other service, not even Facebook, gives the impression of immersing you in a global conversation, a fact that becomes abundantly clear any time there is a natural disaster, revolution or major sporting event. As Costolo frequently says, the service has barely reached 1% of its potential.

A hardcore elite of 20 million-plus also represents an unassailable lead over would-be competitors like UberMedia. Many have tried, such as Jaiku (bought and then abandoned by Google) and the now-defunct Pownce.

But this isn't a medium like TV, where many channels can succeed. This is more like a network where Twitter itself contains all the channels. Barring Twitter doing something phenomenally stupid, like charging users for the service, why would you change the dial?

Indeed, the only successful fellow microblogging services thus far are the ones that build layers on top of Twitter, such as Stocktwits, or open-source additions like Identi.ca. Be they gated communities or anarchic communes at the edge of Status City, they all need the vibrant metropolis itself in order to thrive.

And what of that 140-character limit? Far from being a problem, it remains Twitter's greatest asset, as much as a tiny minority of users may chafe against it. In urban terms, it is the stop-light system that keeps traffic flowing -- and allows everyone to get a word in edgewise.

Art thrives on constriction. Screenwriters and poets have long known that if something is worth saying, it's worth saying as briefly as possible. With Twitter, the rest of the world is finding that out.

Call it the democratization of writing. Anyone can enter the elite of Status City and gain thousands of followers, if they have the wit for it.

In short, the ability to churn out interesting tweets has become a much-admired skill -- the ultimate 21st-century status symbol.

@highlight

Five years after its inception, Twitter's status seems in flux -- but it's actually doing just fine

@highlight

Quantcast: There has been a 50% jump in Twitter usage in the past five months

@highlight

No other service gives the impression of immersing you in a global conversation