Yellowstone National Park, Wyoming (CNN) -- It's hard not to stand in complete awe of everything the Earth has to offer when you're in the middle of Yellowstone National Park.

Its most famous geyser, Old Faithful, shoots up into the sky as crowds tilt their heads just to see how high it really can go. The saturated blues and greens of geothermal pools appear to be otherworldly.

Towering mountains wrap themselves around the park, providing shelter for wild animals to roam. But below the beauty of Yellowstone, is a volcano powerful enough devastate most of the United States and change the entire world.

"Yellowstone and other volcanoes around the world are called supervolcanoes and the reason is they're like a super sized drink. It means it's just big," says Hank Hessler, a geologist at Yellowstone in the U.S. state of Wyoming.

Supervolcano describes a geological phenomenon never witnessed by man. Supervolcanoes are off the charts big when comparing them to a normal volcanic eruption.

On May 18, 1980, Mount St. Helens in the northwest corner of the United States erupted. It killed 57 people and expelled one cubic kilometer of ash.

The first Yellowstone supervolcanic eruption 2.1 million years ago was at least 25,000 times larger than the Mount St. Helens eruption. Two other Yellowstone super eruptions 1.3 million and 640,000 years ago, though smaller than the first one, would still dwarf any normal volcanic eruption.

You can monitor Yellowstone activity

Few would expect the tranquil national park would actually be sitting on the mouth of a sleeping giant.

The physical characteristic of a supervolcano isn't a typical cone-shaped mountainous peak.

Instead, supervolcanoes have what are called calderas. These are vast sunken areas that are formed after previous super eruptions as the ground was blown out and fell back to rest.

Geophysicist Bob Smith first called Yellowstone a "living breathing caldera" in 1979. He now heads the Yellowstone Volcano Observatory at the University of Utah.

"Yellowstone has been very important. It's my laboratory," says Smith.

He sees Yellowstone as more than a supervolcano, in fact he doesn't even like that term. "I prefer to use the term hotspot because it reflects a zone of concentrated and active volcanism."

Hawaii and Iceland are other examples of hot spots, but Yellowstone is the only hot spot located underneath land rather than sea which has made it easier for Smith to study.

His team has setup a series of different sensors around the park so that they can keep a close eye on its vital signs. They measure ground movement and record the frequent earthquakes that occur in the area.

The sensors have also helped Smith's team figure out what they were dealing with. As little as eight kilometers below the surface is a shallow reservoir of solid rock and magma. And below the reservoir is an enormous 57,000-cubic-kilometer plume of very hot rock, the fuel behind every bubbling pool and geyser in Yellowstone.

With all of this heat just sitting, waiting beneath Yellowstone, what exactly would it look like if it were all to blow? Smith and other scientists all have scenarios and every one is bleak.

In Smith's book, "Windows into the Earth," he says, "Devastation would be complete and incomprehensible." Before the super eruption, large earthquakes would likely swarm the surrounding areas until the huge blast that would erase Yellowstone completely off the map.

After the initial eruption, clouds of gas and rock would burn everything in its path with temperatures reaching to hundreds of degrees Celsius. Ashfall would cover the western United States and also enter the jet stream with the potential to cripple air transportation and threaten the world's food supply.

There are some estimates that 87,000 people would die immediately.

You can imagine that with this kind of catastrophe on the line, the question Smith gets asked the most is, "When is going to blow next?"

The three Yellowstone super eruptions have occurred about 800,000 years apart, so people have started to speculate that another one is due.

Also, in 2004 Smith noticed that the ground had started to rise then lowered again in 2010. It was like the supervolcano was breathing.

However, Smith says there is absolutely no need to panic. "We create scenarios. We know roughly what to expect of the patterns of time and space of the earthquakes ground information. Again, acquired from other experiences around the world. We use that to interpret our own data in terms of what the potential threat or risk might be," says Smith.

For him, the more immediate threat is earthquakes and smaller eruptions since the probability of one of those instances occurring is much higher.

Whether that may be comforting or not, millions of visitors will still make their way each year to the geological wonderland that is Yellowstone National Park.

Physicist Michio Kaku on supervolcano: 'All you can do is run'

@highlight

Underneath the natural beauty of Yellowstone National Park is a geological time bomb

@highlight

A supervolcano whose previous eruptions were larger than anything seen by man

@highlight

If it erupts some estimates put the immediate death toll at about 87,000 people

@highlight

Three eruptions occurred about 800,000 years apart; people are speculating another one is due