(CNN) -- For a century, the bedrock principle of our tax code has been progressivity: The rich pay a larger share of income than the middle class and poor. Yet Mitt Romney's revelation that he paid 14% in federal income taxes on more than $40 million in income in 2010 and 2011 reveals an increasingly open secret: Progressivity is dead for the superrich.

It also suggests that the main argument made by Romney and others for this highly unequal state of affairs -- that it's essential to spur job creation and economic growth -- is false.

Romney is fabulously wealthy because he is a hard worker and a smart businessman, to be sure. (Being the child of a smart businessman certainly doesn't hurt either.) Yet there's also no question that Romney has benefited enormously from the growing tilt of the tax code toward the nation's highest earners.

The code used to impose higher and higher rates all the way up the income ladder. Today, the very richest generally pay no more than the modestly well-to-do. And indeed, many of the superrich are paying lower rates. Warren Buffet has said he pays less in taxes as a share of income than the people who work for him.

The issue isn't just declining rates at the top. Just as crucial, politicians have also shifted the code away from taxing income from assets. Payroll taxes are up; capital gains taxes, estate taxes, gift taxes, dividend taxes -- all way down.

Since the superrich get much of their income this way, federal taxes on the superrich are way down too. From the mid-1990s to the eve of the recession, according to the IRS, the effective federal income tax rate on the richest 400 taxpayers declined from roughly 30% to around 16%, a change worth an average of more than $45 million a year for every taxpayer in the top 400. This is not manna from heaven; it means higher taxes for everyone else, cuts in valued things that government does, or deficits. And while every income group has seen its effective federal taxes go down, the drop has been far steeper at the top, even as the top has pulled dramatically away from the rest of Americans.

Romney, like much of America's financial elite, argues that this is just good economics. Tax capital less, the argument goes, and you encourage innovation and investment. The argument sounds reasonable, but the evidence for it is scarce. The nonpartisan Congressional Research Service has found no significant economic benefits from the favorable tax treatment of capital gains.

On the other hand, targeted tax-cutting for the rich has certainly spurred one form of innovation and investment: ever more creative strategies by lawyers and lobbyists to rewire the tax code and reshuffle rich people's incomes so that their earnings show up as lightly taxed capital gains, not the wages and salaries on which the rest of American workers rely.

When Romney was at Bain Capital, for example, he and his associates would aggressively load companies up with debt and then reap big short-term gains that depended on tax provisions allowing investors to write off interest on company debt.

Even more telling, Romney is taxed so lightly in part because of a longstanding bug in the tax code that deep-pocketed lobbyists have managed to preserve. Unlike most finance professionals, he and other hedge fund and private equity managers get to treat a big part of the fees they earn from managing other people's money as "carried interest," subject to the capital gains rate, not the much higher income rate.

This egregious loophole didn't matter when private equity was rare and capital gains were taxed more or less like other income. Now, as Romney can attest, it matters a lot. With carried interest accounting for a quarter of his income over the last two years, Romney saved about $2.5 million from this tax break alone.

In short, the tax cuts of the last few decades look less like general economic boosters and more like economic smart bombs delivering payloads of cash to their carefully selected recipients. The big winners have not been the highly educated and skilled in general, but financial and nonfinancial executives who make up six in 10 of the top one-tenth of 1% of earners.

Meanwhile, most small businesses, entrepreneurs and self-employed businesspeople have, like Warren Buffet's employees, been left out of the tax-cutting spree. Listening to the apocalyptic rhetoric about small businesses that would be crushed by ending the Bush tax cuts for top earners, for example, one would never know that only about 3% of taxpayers claiming small-business income would be affected by raising the top rate. And many of those that would are hedge funds, law firms and rich individuals filing as corporations -- not your typical image of a small business.

Actually, Romney's own business career makes the point better. No one seems to have noticed it, but Romney worked those long hours and made those risky bets mostly during a decade-long period when capital gains were taxed at the same rate as labor income. For a brief shining moment, the 1986 Tax Reform Act that Romney's icon Ronald Reagan supported interrupted the steady decline of capital gains taxes and restored the simple idea that all income should be taxed equally. That is to say, Romney's own success suggests that low capital gains rates aren't necessary to encourage the kind of entrepreneurship that Romney now celebrates.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of the authors.

@highlight

Jacob Hacker, Paul Pierson: Romney's returns are a case study of tax policy for superrich

@highlight

They say the effective tax rate for the wealthiest Americans has declined sharply

@highlight

Authors: Lower capital gains taxes have no real economic benefit

@highlight

It's time for a return to a more progressive system of taxation, they say