(CNN)You can dramatically reduce your chances of having heart disease or dying from heart disease if you do six simple things.

That's what a new study in the recent edition of the Journal of the American College of Cardiology found.

And it's good news since studies from the Centers for Disease Control and Prevention found that heart disease is the leading cause of death for American women and men.

February is American Heart Month.

This latest study used data came from 88,940 women between age 27 and 44 enrolled in the Nurses' Health Study II  from 1991 to 2011. The study looked at how many women smoked (or quit), what their body mass index was, what their physical activity level was, how much they watched TV and what their diet was like.

In 20 years of follow-up, there were 456 cases of coronary heart disease.

Researchers noticed that of the women who didn't have coronary heart disease and stayed healthy, the greater majority had six lifestyle habits in common.

So, here is what you need to do. And while women were studied in this case, these habits would be good for men's hearts, too.

Smoking doesn't hurt just your lungs and age your skin prematurely, it also hurts your heart. In fact, nearly as many smokers die of heart disease as they do from lung cancer. Smoking is the leading cause of preventable death in the United States.

The chemicals in cigarettes cause physical damage to your heart, and they mess with your blood cells. There's a reason the World Health Organization calls smoking the "gradual killer."

Smoking can cause plaque to build up in your heart. That plaque narrows your arteries, making it hard for the blood to circulate. Have too much plaque, and you've got coronary heart disease.

If you don't smoke, don't start. If you do smoke, ask for help. Only about 4% of people are able to quit without counseling or medicine, according to the American Cancer Society.

Body mass index looks at your height and weight to measure how much body fat you have. Researchers determined that optimal BMI was 18.5 to 24.9, which scientists typically characterize as "normal weight."

A "normal weight" is probably a stretch for most Americans.

The average BMI is 26.5 for women, according to the CDC.

The next category could help.

These women weren't at an hourlong exercise class class every day.

They exercised at least 2.5 hours a week.

That's less time than most people spend in the shower each week. It's not a high bar, but the study found even a small amount of physical activity made a real difference.

What counts as moderate-to-vigorous-intensity exercise?

It means walking at a moderate or brisk pace, backpacking, hiking, bicycling, doing yoga, boxing, tennis or most any team sport.

So get out there and get physical.

A "healthy" diet was based on the Alternative Healthy Eating Index.

That's a fancy term the U.S. Department of Agriculture's Center for Nutrition Policy and Promotion came up with to determine how well American diets "conform to recommended healthy eating patterns."

What does that mean for you?

If you are active, you can eat about 2,200 calories a day and maintain your weight and still be considered healthy.  If you exercise sometimes, try 2,000. If you have chosen to sit in front of the TV most nights, keep your diet to 1,800 calories.

It's not just about counting calories, though. You should be eating a balance of food from all the major food groups.

If it's been a while since you stared at one of those food posters in health class, that means:

• Eat 2½ cups a day of vegetables, cooked or raw, or salads.

• Eat two cups of fruit, raw or cooked. Or it can come in the form of a cup of juice if it is 100% fruit juice, rather than some sugary substitute your kids love.

• Eat 6 ounces of grains. That could mean half a cup of rice or pasta or a slice of bread.

• Eat three cups of dairy. It could be yogurt, 2 ounces of cheese, or drink a cup of milk or soy milk.

• Eat 5½ ounces of protein. That means seafood or nuts or beans or peas. Lean meat or eggs or poultry work, too.

Repeat all that daily.

It may sound like a lot, but the good news is that your menu would have variety and give you a lot of options for meals. You're not stuck eating only grapefruit or doing some crazy diet.

That guideline is painful for someone who works for a TV company, but the good news is you don't have to give up "Scandal" and "Downton Abbey" completely.

"Limited" television is estimated at about seven hours a week or less. That means there's room for "Anderson Cooper 360°," too.

Earlier studies have found people who watch more than seven hours of TV tend to sleep less and weigh more.

Sitting for long periods disrupts your metabolism.

Too much sitting may kill you, new studies show. So, if you are going to watch television, at least do it standing or exercise a bit while watching.

Yes, you read that correctly. The women who avoided heart disease drank alcohol.

The key, of course, is to be moderate about it.  That was defined as about one drink a day for nonpregnant women.

Earlier studies have shown that women who do drink in moderation have a better chance than nondrinkers of staying healthy as they age.

Moderate drinking can reduce inflammation, promote healthy cholesterol levels, improve insulin resistance and help blood vessels function properly.

The CDC suggests that you shouldn't start drinking for the health impact if you don't drink already. There are a lot of extra calories in alcohol.

Andrea Kaye Chomistek, the study's lead author, said an important takeaway from the report is that women who followed just one of these six habits improved their chances of avoiding heart disease.

"It is not do all or nothing to succeed," said Chomistek, an assistant professor of epidemiology and biostatistics at Indiana University, Bloomington. "Even if you targeted one, two of these behaviors, your chances improve significantly."

The other takeaway, she said, is that you should start doing one (or all) these things while you are still young, long before you may show any signs that you could be heart sick.

"People in their 30s and 40s often feel invincible and don't feel they need to worry about heart disease, but that's not the case," she said. "We saw plenty of cases of heart disease in that category, not a huge number, but women did develop risks.

"These are simple things women can do to avoid going in that direction."

@highlight

Heart disease is the leading cause of death for American women and men, CDC says

@highlight

Study: Majority of women who didn't have heart disease had six lifestyle habits in common

@highlight

"These are simple things women can do to avoid going in that direction," author says