(CNN) -- For millennia, cultures throughout the world have observed the winter solstice, the shortest day of the year, as a sacred event. In the Northern Hemisphere, the winter solstice occurs on December 21 or 22, when the sun appears at its southernmost point in the sky.

Ancient peoples whose survival depended on a precise knowledge of seasonal cycles marked this first day of winter with elaborate ceremonies and celebrations. Spiritually, these celebrations symbolize the opportunity for renewal, a casting off of old habits and negative feelings and an embracing of hope amid darkness as the days once again begin to grow longer.

Many of the ancient symbols and ceremonies of the solstice live on today. Here are five extraordinary places to experience something magical during winter's relentlessly long night:

Travel Snapshots: See the year's best

England: Cornwall and Stonehenge

Better known for pirates than the solstice, the town of Penzance on the southwest coast of England is reviving a delightful array of Cornish solstice events over a six-day celebration leading up to December 21. The Montol Festival is a fun mix of pagan customs and more recent Christmas traditions that were once common throughout Cornwall.

Early in the week, join in caroling, take a mask-making workshop and attend a mummers play (traditional English folk drama) and storytelling night. On the solstice, referred to here as Montol Eve, get your dancing card ready for the Guise, a community dance in which people dress in masks and other "topsy-turvy" disguises based on a 19th-century tradition of the rich dressing in rags while poorer citizens effected a "mock posh" look, all of which might involve a bit of gender-bending.

9 sparkling North American Christmas markets

You can also don your finery for torch-lit processions. The merrymaking only continues when the revelers disperse to pubs around town. Another focal point of the celebration is the burning of the "Mock," a piece of wood representing a yule log. Here, the tradition takes on a Cornish twist: drawing a stick figure on the log for good luck before tossing it into the fire.

With some planning, it's also possible to incorporate a trip to Stonehenge, the UK's most famous site for solstice celebrations. On the solstice, visitors have the rare opportunity to enter the towering, mysterious stone circle for a sunrise ceremony run by local pagan and druid groups.

Organizers expect a record number of visitors this year: English Heritage, which manages Stonehenge, just unveiled a brand new visitor center that features hundreds of archaeological artifacts from the site, many on public display for the first time.

The trip from Penzance to Stonehenge takes less than four hours by car, making it entirely feasible to spend the night of December 20 in Salisbury, the nearest town to Stonehenge, and rise before dawn for the ceremony among the stones. (Bundle up -- it's been known to snow.) Hang around to tour the new visitor center before returning to Penzance for Montol Eve.

Sweden: Santa Lucia, yule and aurora borealis

Sweden is rich with solstice traditions, and Swedes start the party a bit early: December 13 is Santa Lucia Day, also known as the festival of lights. It commemorates an early Christian martyr, Lucia, who is celebrated in Scandinavia as a bringer of light in this dark northern land. Traditionally, the young girl chosen to be Lucia leads a procession of singers wearing a long white gown and a wreath of candles on her head.

Elements of the yule, Northern Europe's ancient winter solstice celebration, are also incorporated into modern festivities, including gathering around bonfires, feasting, drinking and telling stories.

A great place to experience all of these traditions is at Skansen, an open-air, living history museum that represents life in Sweden before the Industrial Revolution and features characters dressed in period costumes.

On December 21, an all-day event at Skansen called Fire and Ice features a concert with original solstice compositions, ice carving and fire performers. Not to be missed throughout the season is the Christmas Market, where you can buy local crafts, admire lavish holiday decorations in Skansen's historical buildings and sample traditional Swedish cuisine.

Continue to marvel at this seasonal interplay of light and darkness by heading for the Arctic Circle to see aurora borealis, the northern lights, in the Swedish Lapland. The Aurora Sky Station in Abisko National Park is an ideal place to catch the show.

Another is the tiny village of JukkasjÃ¤rvi, where you can stay at an ice hotel that provides local guides to help you spot the lights. Bundle up and take a dog sled or snow mobile tour, then hibernate in front of a roaring fire with a steaming cup of glÃ¶gg.

Maya country: The apocalypse is so 2012

According to some popular myths about Maya prophesy, the end of the Maya calendar last year, on December 21, was supposed to signal the end of the world. Tourists flocked to sacred sites, prompting indigenous groups to protest the exploitation and misinterpretation of traditional Maya beliefs. With that frenzy safely behind us, now is a great time to experience a solstice celebration that teaches visitors about today's Maya and their ancestors.

In Belize, a dance group that started last year as part of local celebrations of the conclusion of the last Maya calendar's cycle will perform again this year on December 21 and 22 at the Maya Center Village. It's about a 2.5-hour drive from Belize City, and the setting is spectacular. Maya Center is in the lush Maya Mountains at the entrance of the Cockscomb Basin Wildlife Sanctuary, home to the world's first jaguar preserve.

The Oxlajuj Baktun dance group is not a show for tourists, but respectful visitors are welcome to attend. Its purpose is prayer, purification and guidance for younger generations of Maya to connect with ancestors to ensure the continuation of their traditions. To inquire about attending, write to mayamuseum@yahoo.com. Visit the National Institute of Culture and History for further background and the Maya Center Mayan Museum Facebook page for updates.

In Mexico, consider visiting Chichen Itza, the spectacular ancient city of temples, columns and pyramids that was once a great center of science and astronomy. The Temple of Kukulkan, with its 365 steps (one for every day of the year), is just one stunning example of the impressive engineering and astronomical feats of the Maya. No wonder this is a UNESCO World Heritage site.

Chichen Itza is a 2.5-hour drive from Cancun. If you're planning to take a guided tour, choose tour operators who work with local Maya communities and use expert guides.

Private tours are another option: Although pricier, they can offer a more comprehensive experience and are often led by experts. Sacred Earth Journeys is one company that offers private tours to the site led by a former director of Chichen Itza.

India: Makar Sankranti and kite festivals

Unlike people in other places in the Northern Hemisphere that mark the solstice in December, Hindus in India celebrate Makar Sankranti, one of the most important festivals of the year, on January 14.

Fundamentally, it is a celebration of the sun's journey toward the Northern Hemisphere, bringing longer days and the end of winter, which will make possible a good harvest. But Makar Sankranti is associated with many other themes, including strong family relationships and a renewed opportunity to rid oneself of negativity and embrace a better way of living.

Different regions have different names for the festival and celebrate in a diversity of ways, usually involving bonfire pyres, feasting, singing and prayer. It's a day when pilgrims make their way to the holy river Ganges for a spiritual cleansing. The island of Gangasagar is one particularly special place for the faithful, who arrive from all over India to bathe in the Ganges where it meets the Bay of Bengal.

Another popular event associated with Makar Sankranti are kite festivals, now held in cities across India. Jaipur, Mumbai and Ahmedabad host some of the most well-known kite festivals. Kite makers sell their wares in public markets in the days leading up to the festival, and soon the sky is filled with colorful, elaborate kites flown from balconies, stadiums, parks and beaches.

Vancouver, British Columbia: Lantern festival

Vancouver's Winter Solstice Lantern Festival is a sparkling celebration of solstice traditions from around the world. The Secret Lantern Society assembles a wide array of music, dance, food and spectacular lantern-lit processions through many of the Canadian city's best-known neighborhoods.

Staging areas for the main events include Granville Island and the Dr. Sun Yat-Sen Classical Chinese Garden. The Roundhouse Community Arts and Recreation Centre will feature African, gypsy and First Nations dance performances, and music that ranges from traditional solstice songs to jazz.

Here's one of the best parts: Before the solstice, neighborhoods throughout Vancouver host lantern-making workshops. For $10 to $25, you can construct and decorate your own lantern to participate in one of several processions through the city on December 21 that lead to the indoor venues for music, dance and art-making.

Don't miss the Labyrinths of Light with more than 700 lanterns laid out in circular patterns. Visitors can participate in a "self-guided ceremony" emphasizing the release of old attachments and opening oneself to new opportunities. After your spiritual cleansing, top it all off by participating in an all-night, all-ages dance party.

@highlight

Cultures around the world celebrate the winter solstice

@highlight

Fire, dance and prayer usher in beginning of longer days

@highlight

Check out Vancouver's lantern festival or celebrate Maya culture in Mexico