The WITCH is back.

Of course, if you're a computer historian, you already know that WITCH refers to the Wolverhampton Instrument for Teaching Computation from Harwell.

If not, here's the story: The 2.5-ton machine, first constructed in the 1950s as part of an atomic research program, became the "world's oldest original working digital computer" after a museum in the UK restored and then rebooted it on Tuesday. Unlike today's nearly mute devices, the massive computer clicks, clacks and flashes like something out of an old sci-fi movie.

"In 1951 the Harwell Dekatron (the other, less-amazing name for the WITCH) was one of perhaps a dozen computers in the world, and since then it has led a charmed life surviving intact while its contemporaries were recycled or destroyed," Kevin Murrell, a trustee at the UK's National Museum of Computing, said in a news release.

The computer outlived its usefulness in atomic research by 1957 and was used as a teaching device until 1973. It went on display briefly before being dismantled, the museum says, and then was "rediscovered" by volunteers at the museum in 2008 or 2009.

The computer's "flashing lights and clattering printers and readers provides an awe-inspiring display for visiting school groups and the general public keen to learn about our rich computer heritage," the museum says.

It's also a healthy reminder that not all gadgets have to die after a single product cycle. At a time when iPhones are swapped out every 12 months, the TI-83 calculator and this computer are among the only pieces of technological machinery that have survived for decades.

The WITCH, however, doesn't serve much of a practical purpose at this point.

"All together, the machine can store 90 numbers. The closest analogy is a man with a pocket calculator," Delwyn Holroyd, who led the restoration effort, tells the BBC in a video about the restoration (you should watch the video, by the way, if for no other reason that to see this thing in action; it sounds like a broken typewriter as it works). "However, unlike the man with a pocket calculator, this machine can carry on day and night, and it doesn't make mistakes."

Modern computers store information in binary code, or a system of 1s and 0s. The WITCH, by contrast, features walls of dekatron valves, which are little light-bulb-looking things. It counts on a 10-digit decimal system.

"All told, the WITCH had 40 banks of 8 dekatrons, meaning it could store up to 40 8-digit numbers," Sebastian Anthony writes for the website ExtremeTech. "The computational processes themselves, carried out by relays, was very slow -- somewhere on the order of 5 or 10 seconds to multiply two numbers."

Another drawback: The WITCH reads computer programs from paper tape with holes punched in it. The computer "doesn't have a keyboard or a monitor like a modern machine," Holroyd explains in an ITV video.

Perhaps the machine is so mesmerizing because, in a way, you can see how it works. Modern computers -- much less the Internet or smartphones -- are largely silent, glowing devices. They seem powered by wizardry. The WITCH, by contrast, is a clacking, blinking, ticking mess of mechanical parts.

"To see it in action is to watch the inner workings of a computer -- something that is impossible on the machines of today," Murrell, from the museum, says in the news release. "The restoration has been in full public view and even before it was working again the interest from the public was enormous."

If you want to see the machine for yourself, it's on display at the National Museum of Computing in Buckinghamshire, north of London. It's located on the Bletchley Park estate, which was home to England's codebreakers during World War II.

@highlight

The "world's oldest original working digital computer" gets a reboot

@highlight

The WITCH is now operational at a museum in the UK

@highlight

The computer, created for atomic research, was restored over three years

@highlight

It has the computing power of "a man with a pocket calculator"