(CNN) -- United States President Barack Obama has now paved the way for imposing economic sanctions against Russia. However, these would be an ineffective and naive response by the U.S. to the crisis in Ukraine.

Economic sanctions have little independent usefulness for the pursuit of non-economic goals.

This is not to say that sanctions never work, but rather that 95% of cases are unsuccessful. In many cases, sanctions will make the political situation worse.

Nationalism often makes states and societies willing to endure considerable punishment rather than abandon their national interests.

Modern states, simply put, are not that fragile -- sanctions can hurt a regime, but they cannot break it. In this way, imposing economic sanctions on a state is similar to backing an angry dog into a corner -- in most cases, the dog will become more vicious, and more defensive.

History might seem to indicate otherwise. Economic sanctions often go hand-in-hand with military intervention, which can sprout misleading conclusions.

This is true of the sanctions we imposed on Iraq in 1990, when Saddam Hussein invaded Kuwait: U.S. military intervention in 1991 was still necessary to force his retreat. Few would say that economic sanctions were successful in kicking him out. Indeed, sanctions continued after the Gulf War with little to no effect, until we finally removed the regime by force in 2003.

Further, sanctions typically take the form of a great power or coalition seeking to leverage a relatively weak state.

The suggestion that they might be effective against a major global power like Russia is seriously flawed. Even those who do believe sanctions might work on Iran would likely find the idea of imposing sanctions on Russia to be preposterous.

There are two reasons why. First, even if economic sanctions were an effective form of leverage, Russia can squeeze us almost effectively as we can squeeze them. Sergei Glazyev, a Kremlin economist, simply threatened to not repay debt to U.S. bankers in response to American-imposed sanctions. Between great powers, leverage is a two-way street.

Second, Putin is clearly prepared to incur economic costs to accomplish his objectives in Ukraine. Even without sanctions, the deployment of troops to Crimea has already affected the Russian economy. On March 3 the Moscow stock market fell more than 10% which, as a Reuters article pointed out, wiped nearly $60 billion off the value of Russian companies -- more than the $51 billion spent on the Winter Olympics in Sochi. Meanwhile, Putin's approval ratings remained high.

By threatening sanctions, Obama is not giving Russia President Vladimir Putin enough credit. Of course the Russian leader has considered this scenario, and it did not deter him from occupying Crimea.

Furthermore, if we impose sanctions and Russia breaks commitments with U.S. bankers in response, what would be the effect? From a strategic standpoint, none. We certainly wouldn't let Russia use economic threats to dictate our foreign policy, no matter what the economic cost; why should we expect the Russian leadership to budge?

But if sanctions are a bad idea, what is the alternative?

The key to keeping Ukraine unified is to take away support for Russian annexation. This means solidifying support for the new government in Kiev among the Russian population in the East, especially in Crimea.

Obama must encourage the new government in Ukraine to strengthen economic and political ties with the pro-Russian population. This means bringing in election monitors to encourage faith and participation in the new regime, and creating new economic programs to bolster well-being in the eastern part of the country. The U.S. should offer support to fund those efforts.

The West must remember that in 2011, 70% of Crimeans considered Ukraine their "motherland," despite most of them being Russian-speaking. In other words, until the proposed EU deal went sour, there was little sentiment in Crimea for secession or annexation. A return to these conditions in Ukraine, and not economic sanctions against Russia, is the key to stopping Putin.

The opinions expressed in this commentary are solely those of Robert Pape.

@highlight

Robert Pape argues economic sanctions against Russia would not work

@highlight

He argues that while sanctions can hurt a regime, they cannot break it

@highlight

In many cases, sanctions will make the political situation worse, he says