Giglio, Italy (CNN) -- The nautical blue paint spelling out "Costa Concordia" has almost all bubbled and chipped off the bow of the once luxurious cruise liner after 20 months under salt water off the Italian island of Giglio.

One can get glimpse of just what it's like in and under the Concordia by the vast array of mesmerizing underwater videos released by Italy's coast guard and the Titan Micoperi salvage team tasked with removing the rusting hulk.

The seabed is still littered with sun deck chairs that floated from the ship's balconies and upper deck when it finally came to a rest in January 2012. Fish swim around the sunbed legs and seaweed has grown through some of the mesh seating. The beds are spread out in a surreal scene that looks like a set from an underwater science fiction film. Shoes, mattresses, dinner plates and thousands of pieces of cutlery shimmer in the divers' lights on a bed of sea grass.

INTERACTIVE: How the 952-foot wreck will be raised

Divers have not been deep inside the massive ship for nearly a year. The salvage divers only work on the outside of the ship and do not have authority to enter the vessel, with the exception of a work area they have created with a false floor on the upper port side deck, unless accompanied by Coast Guard divers.

Not only is the Concordia still chock full of passengers' possessions the Costa Cruises company hopes to return, but the ship is still considered a crime scene. Thirty-two people died in the accident and the ship's erstwhile captain, Francesco Schettino, is facing charges of multiple manslaughter and causing the shipwreck after piloting the 290-meter ship into the rocks on Giglio last year.

The last divers to comb through the Concordia's sunken bowels were there to search in vain for the last two victims, still believed to be trapped somewhere under the ship or buried in a watery grave at the bottom of the hollow hull. The salvage crew believe they know about where the bodies might be found, but there is no guarantee until the ship is lifted whether they will be found at all.

In the weeks after the accident, the divers called the inside of the ship a "toxic stew" of spilled oil, rotting food and floating tableware. There were five massive restaurants on the ship -- each one in operation when the ship crashed at 9:42 p.m. on January 13, 2013, spilling tables of buffet food into the water. More than a dozen kitchens and freezers had enough food to feed the 4,200 passengers and crew for a week, plus extra supplies that all cruise ships carry in case of emergencies and delays. Many of the freezers burst and their contents were gobbled up by sea life and the colony of sea gulls that has multiplied on the island since the disaster.

Fishermen off Giglio say that the fish have changed, too. They are much larger and harder to catch after gorging on the ship's offerings. The freezers that have not burst under the water pressure are still locked with their rotting thawed contents sealed inside. Fridges too, filled with milk, cheese, eggs and vegetables, have been closed tight since the disaster. One has to only imagine leaving a home freezer -- a fraction of the size of the industrial freezers used by cruise ships -- unplugged for 20 months to get an idea of the type of rancid mess trapped inside.

Rodolfo Raiteri, head of the Coast Guard dive team, told CNN that his divers had to confront an array of deep-sea threats, from floating knives to lethal bed sheets and flowing curtains that could have easily become entangled in the divers' safety cords. There were also floating chairs and large chunks of marble and crystal chandeliers that constantly detached and fell from the sideways ship's ceilings every time the ship creaked and shifted as it settled onto two underwater rocky mountain peaks. All that debris, along with thousands of dinner plates, can be seen stacked against the underwater windows in some of the salvage video.

The ship has compressed three full meters in the 20 months since it crashed, and each time it groans and twists, windows break as their frames adjust and once-attached items are lodged free. On cruise ships, dining room tables are all affixed to the floors to keep passengers from chasing sliding tables in rough seas. Raiteri described the bizarre scene his divers faced swimming among the sideways tables, sometimes encountering plates of food and floating champagne bottles in their search for victims.

Senior cabin service director Manrico Giampedroni, one of the last survivors to be pulled out of the wreckage alive, became trapped half submerged in the ship's dining room when his leg got caught among fallen furniture. He survived for 36 hours on floating food and stayed awake by drinking caffeinated beverages until rescuers found him. If he had fallen asleep, he would have drowned. Incidentally, Giampedroni was later convicted of involuntary manslaughter in a plea bargain for his role in the deaths for not being at his duty station to help evacuate the ship.

In addition to the general rule of thumb that you don't blow up ships where there are still unrecovered victims, one of the main reasons the Concordia is being refloated rather than blown up or dismantled on site is because of the toxins and personal effects still trapped in the ship's 1,500 staterooms. The ship's engines are still thick with lubricants and the kitchens are still filled with cooking oils and non-soluble materials that would pollute the sea.

Giglio, which lies within the Pelagos Sanctuary, the largest protected marine wildlife park in the Mediterranean, is flush with exotic sea life and coral reefs. The putrid stew inside the ship's 17 deck-structure will eventually have to be purified or pumped out before the ship is refloated sometime next year, and the personal effects are another matter.

All that was in the Concordia the moment it wrecked is presumably still there, save the ship's bell, which mysteriously disappeared two months after the wreck based on surveillance video taken by authorized divers. An investigation into who could have stolen the bell has caused some concern that other items, especially high price items from the ship's gift shops, could have also been pilfered. Everything inside the ship is expected to be recovered and returned to its original owners, no matter how water-logged it may be, but that could be months from now when the ship is eventually towed and dry docked for dismantling.

Each of the cabins has a locked safe, presumably still filled with passengers' valuables including cash and jewelry. There are also countless cameras, laptops, iPads and cellphones that passengers left behind, not to mention luggage. The ship had only been at sail for three hours, so many passengers likely didn't take time to unpack, but instead headed to the nearest dining room or bar to relax as the ship set sail. One suitcase floated to the nearby island of Elba and its soggy contents were delivered to the owner nine months after the disaster. Many more suitcases have been spotted by divers at the bottom of the sea.

Nick Sloane, the head of the salvage operation for Titan Micoperi, the joint American-Italian venture to rescue the Concordia,, says that if explosives were used, the ship's smaller contents would become dangerous projectiles. "Mattresses and passports would scatter the sea," he says. But the real danger would be flying cutlery, cooking knives, bottles and broken glass.

If the "parbuckling" goes well and the giant 114,000-ton vessel is tipped upright sometime in the next week, much more than the 65 percent of the ship that is under water now will be submerged. The platforms that will provide a base on which the Concordia will rest are some 30 meters below the sea level, meaning many of the staterooms that were dry until now will sink underwater. Some of the toxic water will be displaced and pushed out of the upper cabins. Some freezers that are still sealed could burst under new water pressure. And almost every window on the ship's outer cabins is expected to break as the ship's frame twists.

Sloane says the noise will be deafening as metal twists and windows pop. The ship has been rigged with cameras and microphones to help the salvage crew monitor the ship's structure as it is lifted. As Sloane says, ships this size were never meant to lie on their sides, and they are not built to be lifted. The salvage team says they will be able to contain any spillage of toxins with oil booms now in place around the work site. The broken glass and new debris will join what is already at the bottom of the sea.

There will never be the scale of environmental disaster that was already averted by removing the ship's 2,400 tons of fuel shortly after the ship crashed, but there are still major risks involved with salvaging the Concordia. If the parbuckling fails and the ship breaks apart as it is rotated, the rotten contents -- moldy mattresses, passports, toxic stew and all -- will spill into the once-pristine sea. And even if it succeeds, this part of the Mediterranean will never be quite the same again.

@highlight

Costa Concordia ran aground off Giglio in January 2012, killing 32 people

@highlight

Bodies of two victims may still be inside the rotting 952-foot wreck

@highlight

Divers call inside of ship a "toxic stew" of spilled oil, rotting food and floating tableware