(CNN) -- This is what party modernization looks like.

Last Friday, Sen. Rob Portman of Ohio announced he is now a supporter of the freedom to marry. What changed his thinking after voting against gay rights in the past? Finding out that his son -- a Yale sophomore -- was gay, and realizing that sexual orientation is not a choice but an innate quality.

"I have come to believe that if two people are prepared to make a lifetime commitment to love and care for each other in good times and in bad, the government shouldn't deny them the opportunity to get married," he said.

Portman's change of heart is significant because he is the highest-ranking elected Republican in America, who is currently in office, to endorse same-sex marriage. But he joins a growing number of Republicans who have already done just that.

Indeed, Portman is just the latest addition to an increasingly common occurrence in Republican politics at the county, city and state level.

To date 208 elected Republican state legislators have voted to legalize same-sex marriage in 13 states: Connecticut, Illinois, Maine, Massachusetts, Minnesota, Maryland, New Hampshire, New York, New Jersey, Rhode Island, Vermont, Washington and Wyoming. Only nine states and the District of Columbia allow same-sex marriage, but GOP elected officials have voted for marriage when it came up for vote in their legislative chambers in Illinois, Wyoming and Rhode Island, though the law hasn't yet passed in those states.

Sutter: Gay people live in 50 Americas

The conservative argument for marriage includes a recognition of the traditional value of marriage as a stabilizing force in society. Another, economic argument holds that married individuals tend to accumulate more wealth than single individuals (putting them at lesser risk of state dependency), not to mention that marriage produces more government revenue through taxation. California's ban on same-sex marriage cost San Francisco $37.2 million per year in receipts, according to Ted Egan, chief economist in the San Francisco Controller's Office.

The elected officials who support same-sex marriage are surfing a rapidly rising tide among Republican rank-and-file. A new ABC/Washington Post Poll shows that 52% of Republicans younger than 50 support same-sex marriage.

There are good reasons for this. Conservative faith traditions argue rightly for strict religious protections in the law so that churches, synagogues and mosques aren't forced to perform ceremonies inconsistent with their religious teachings. But Americans' diverse religious backgrounds have the Golden Rule in common, and conservatives in favor of civil marriage argue that it is consistent with faith traditions for Republican policies to treat others, including gays and lesbians, with the same level of respect and fairness under the law that we wish for ourselves.

Constitutional conservatives point to the role of the courts in protecting fundamental rights. They argue that marriage is such a right, enshrined in the constitution, and one that cannot be subject to the whims or tyranny of a majority of voters, even if they were to wish to limit the freedoms of gay and lesbians. More and more Republicans are recognizing and respecting the essential dignity of individuals who are gay and deserve the full rights of citizenship, just like their straight brothers and sisters.

Opinion: Gay marriage, then group marriage?

These are the messages that last November brought Republicans and independents to the voting booth in Maryland, Maine and Washington, where same-sex marriage was approved for the first time by voters, not courts or legislatures. Minnesotans, who rejected a constitutional ban on same-sex marriage in November, are now poised to legalize marriage this legislative season, with the historic distinction of bipartisan support: Republican State Sen. Branden Petersen is a co-sponsor of the bill.

The timing of Portman's announcement is no accident. In less than a week, Theodore Olson, George W. Bush's solicitor general and a charter member of the conservative Federalist Society, will argue before the United States Supreme Court that same-sex couples have a constitutional right to marry. Accompanying him is an amicus brief, signed by 135 prominent Republicans, (I was also a co-signer) making the conservative case for same-sex marriage, an effort organized by former Republican National Committee Chair Ken Mehlman.

It's hard to imagine that the justices aren't taking notes on our country's rapid transformation on this issue.

The final safe haven within the conservative movement for anti-gay bigotry -- the American Conservative Union's CPAC convention, held last week in Maryland -- received more than a few hearty smackdowns. The editors of National Review, the conservative movement's founding publication, chided CPAC's exclusion of gay conservatives, which was followed by a convention panel hosted by the Competitive Enterprise Institute entitled, "A Rainbow on the Right: Growing the Coalition, Bringing Tolerance Out of the Closet" (full disclosure: I spoke on that panel).

Listen: Voices from the Southern closet

Finally, the conservative intellectual pillar Charles Murray took the CPAC stage to argue that the conservative movement must accept same-sex marriage if it wishes to win elections in the future.

The data are inescapable: 62% of all Republicans believe in either same-sex marriage or another form of legal recognition of same-sex relationships and 73% of Republicans support employment nondiscrimination protections for gays and lesbians. At this point, the support for same-sex marriage from former Vice President Cheney, former first lady Laura Bush and former Secretary of State Colin Powell is icing on the cake. In the words of Portman, this is less a partisan issue than a generational issue.

Portman embodies the formula for GOP modernization: a conservatism that unapologetically applies the principle of individual freedom consistently to both fiscal and social policy. The senator has breathed new life into a national party grasping for traction with young Americans.

To regain relevance, the beltway's Republican establishment organizations owe a debt of gratitude to leaders like Portman, Peterson and New York Rep. Richard Hanna for representing their family's and friends' right to equal freedom and opportunity. They, and others like them, are making the case for a relevant modern conservative movement.

Pro-marriage-freedom Republicans are on the right side of history and in time their courage and contributions will help erase the stain of bigotry that holds the conservative movement back and stops us from connecting to a rising generation of Americans.

The opinions expressed in this commentary are solely those of Margaret Hoover

@highlight

Margaret Hoover: Sen. Rob Portman most recent GOP'er to support same-sex marriage

@highlight

She says conservative values, golden rule allow more in GOP to accept change

@highlight

She says more in GOP see marriage as stabilizing force, good for economy

@highlight

Hoover: To regain relevance with voters, the GOP must reject bigotry that holds it back