WEST PARK, Florida (CNN) -- "We are an army," says Andrea Ivory of the group gathered with her early on a Saturday morning.

Breast cancer survivor Andrea Ivory is on a mission to educate Florida communities about the disease, one door at a time.

Armed with clipboards, leaflets and high spirits, the energetic Ivory leads them into the neighborhood, where they start knocking on doors. The mood is lighthearted, but their mission is serious: to save lives, one house at a time.

They're volunteers from the Florida Breast Health Initiative, or FBHI, and they are waging war against breast cancer. It's an effort started by Ivory, 50, herself a survivor of the disease.

Every weekend in the spring and fall, she and her volunteers -- who include college students, senior citizens and suburban moms, all wearing matching T-shirts -- fan out across low-income communities in southern Florida, educating women about breast health.

They especially seek out uninsured women age 35 and older, who statistics show are twice as likely to be diagnosed with late-stage breast cancer, and thus more likely to die from the disease.

For Ivory, comparing this work to a battle isn't overblown.

"The only thing that we have to fight this disease and lower the mortality rate is early detection," she says. "We are the troops on the front lines."

Since 2006, Ivory has helped provide more than 500 mammograms to eligible women.

Ivory herself had always been diligent about getting annual mammograms, but when the breast cancer diagnosis came in 2004, she took it in stride.

"I just knew that it was for a higher purpose," she recalls.

Ivory says that purpose became clear during her cancer treatment. Reflecting on how lucky she was to have health insurance and to have gotten annual mammograms, she realized that thousands of women without health care were likely falling through the cracks and putting themselves at risk.

"Those women don't even have a fighting chance," she says. "The mission became reach[ing] those women."

Ivory started FBHI to do just that. Her mantra: "Early detection is the best protection." Do you know someone who should be a CNN Hero? Nominations are open at CNN.com/Heroes

The operation runs like clockwork. The first three Saturdays of each month are devoted to outreach -- distributing educational materials and signing up women for free mammograms. She and her volunteers have visited nearly 18,000 homes.

"I love knocking on doors," Ivory says with a smile. "I like to think of us as little pixies spreading breast cancer awareness."

On the last Saturday of each month, a large mobile mammography van from a partner hospital rolls into the neighborhood, bringing screening technology directly to women who need it.

As they line up around the van, the excitement is palpable. Since many have never had a mammogram, Ivory and her team try to make the experience fun -- providing refreshments, smiles and support.

One mammogram recipient said the "convenience factor" of the free screenings made the offer too hard to refuse.

"Ultimately this is the reason we do the work that we do," says Ivory, "because we want to screen women who would not ordinarily have [the] opportunity."  Watch Ivory and her army in action »

Telmilda Ariza, 62, always had health insurance, but after losing her job, her annual mammogram became a financial burden. She smiles when recalling the volunteers' first visit to her home.

"They knocked on my door and, wow! It was [a] miracle, coming from the sky," she says. "It's something I really needed."

Ariza was so grateful that she started volunteering and knocking on doors herself.  Watch Ariza describe how she went from recipient to volunteer »

Charlene Thomas, another of Ivory's regular volunteers, considers herself living proof of the program's impact. Uninsured, she'd paid for her mammogram out of her own pocket, but when she needed a follow-up, she kept putting it off because it was so expensive.

"I had other priorities. It seems stupid now," she admits. "But I didn't think anything was wrong with me."

She finally asked Ivory for help and FBHI paid for the screening. It led Thomas to a cancer diagnosis and ultimately a mastectomy.

"The fact that I was diagnosed and am cancer free -- there's no way I would've done it without the Florida Breast Health Initiative," says Thomas, who was back knocking on doors three weeks after surgery. "Now I feel more of a sense of urgency. I'm knocking on doors trying to find myself."

Stories like this only deepen Ivory's commitment to her cause. For her, every day is a chance to educate women about fighting the disease and Ivory says she's determined to expand her efforts around Florida and far beyond the boundaries of her state.  Watch Ivory's group bring mobile mammography to the neighborhoods »

"In the future, we want a fleet of mammogram vans. We'd love to do outreaches all over the country," she says. "No woman needs to die from breast cancer. I can't be a doctor, but I know I can save a life. Every time I knock on the door, it's a chance to do that."

Want to get involved? Check out The Florida Breast Health Initiative and see how to help.

@highlight

Breast cancer survivor founds group to educate women about the disease

@highlight

Andrea Ivory, 50, and her volunteers have visited nearly 18,000 homes

@highlight

Since '06, Ivory has helped provide more than 500 mammograms

@highlight

Do you know a hero? Nominations are open at CNN.com/Heroes