Fukushima, Japan (CNN) -- This is my first time visiting one of the most dangerous places on earth.

The devastated Fukushima Daiichi nuclear plant is isolated from the rest of Japan by police checkpoints, security fences, and barricades.

We ride on a bus with a handful of journalists into the highly contaminated "red zone" -- the area closest to the plant.

It remains a desolate wasteland three years after the meltdown, when Fukushima residents had just hours to grab their belongings and leave.

They still haven't come back and likely won't be able to for a very, very long time.

The only people regularly allowed into the red zone these days are workers with face masks and protective gear.

We pass them as they labor in heavy clothing, braving the heat along the roadside, filling black bags with contaminated soil.

Dead fields, once full of crops, are now filled with endless rows of those black bags.

What makes this part of Fukushima such a frightening place is that you can't actually see the danger lurking everywhere.

Radioactive water is leaking, soil is contaminated, and workers must brave dangerous conditions as they try to slowly and painstakingly take the power plant apart -- a process expected to take decades.

Impact underestimated?

The true scope of the contamination is a subject of debate, with a research team from Fukushima University recently releasing a study that claims the plant operator Tokyo Electric Power Company (TEPCO) grossly underestimated the amount of radioactive poison cesium-137 released into the environment. Exposure can heighten the risk of cancer.

The team's report says cesium spewed into the air then fell into the water.

TEPCO acknowledges it's impossible to know for sure how much cesium was released, but the company based its estimate on their best information.

Contaminated fish is a huge concern, considering seafood is a staple of the Japanese diet.

Researchers told me they don't believe the risk extends far beyond Japan and the North Pacific Ocean, even though small traces of radioactive ocean water have been detected as far away as Canada. The amounts detected so far are not high enough to cause any harm to humans.

Conditions inside the Fukushima plant, though, are extremely dangerous. I had to wear layers of protective gear and a Geiger counter, to detect radiation.

My shoes were wrapped in plastic to prevent spreading any radiation from contaminated floors.

The plant has thousands of times more radiation than was in the bomb dropped on Hiroshima.

Outside, I saw the mangled metal piled up near buildings along the coast that bore the brunt of the 2011 tsunami. It sent a 50-foot wall of water crashing into the power plant.

Inside, I watched workers remove a fuel rod in reactor 4. It is slow, grueling work in a reactor that is fully intact. Reactors 1, 2, and 3 melted down and the extensive damage there makes the process even more difficult.

It will take decades and billions of dollars to make this place safe again.

I saw the control room where workers scribbled notes on the walls after the power went out.

The protective gear I was wearing got increasingly hot and uncomfortable as sweat poured down my back and condensation clouded the view through my visor.

I can only imagine what it's like for the workers who wear this gear everyday while they work tirelessly to contain this slow-burning disaster.

After leaving Fukushima Daiichi, I felt great relief as I was scanned for radiation exposure and none was detected.

But as I rode on the bus out of the red zone, I also felt great sadness for the tens of thousands of people who once lived there.

I imagined how powerless I would feel if it was my house or business sitting empty and falling into disrepair, not knowing if it would ever be safe to go home again.

INTERACTIVE: How Fukushima changed world's attitudes to nuclear power

@highlight

CNN's Will Ripley visited the devastated Fukushima Daiichi nuclear plant

@highlight

The only people regularly allowed in the red zone are workers in protective gear

@highlight

Conditions inside the Fukushima plant are extremely dangerous

@highlight

It will take decades to make the place safe again