(CNN) -- They share a deep sorrow: an idealistic American who tried to protect the Kurds of Iraq, a Canadian general who refused to follow orders in Rwanda, a French priest who fought for the soul of Cambodia.

CNN's Christiane Amanpour traveled to the killing fields of Europe, Africa and Asia for "Scream Bloody Murder."

Each one tried to focus the world's attention on the world's most heinous crime: genocide. Each time, they were shunned, ignored or told it was someone else's problem.

To understand why, CNN's Christiane Amanpour traveled to the killing fields of Europe, Africa and Asia for a two-hour documentary, "Scream Bloody Murder."

Having reported on mass atrocities around the world, this time Amanpour traced the personal accounts of those who tried to stop the slaughter.

The yearlong CNN investigation found that instead of using a U.N. treaty outlawing genocide as a springboard to action, political leaders have invoked reason after reason to make intervention seem unnecessary, pointless and even counter-productive.  Map: See the locations featured in the documentary »

December marks the 60th anniversary of the U.N.'s Genocide Convention, when -- in the aftermath of the Holocaust -- the nations of the world pledged to prevent and punish future attempts to eliminate ethnic, religious and national groups. Read the 1948 Genocide Convention (pdf)

"The Genocide Convention should have stopped genocide, but it didn't," said Holocaust survivor and Nobel laureate Elie Wiesel. Intervention is a daunting challenge, he believes, because of a tendency to minimize accounts from refugees and victims. "It's better not to believe, because if you believe, you don't sleep nights. And how can you eat? How can you drink a glass of wine when you know?"  See images from locations in the documentary »

1970s: Cambodia

Father François Ponchaud was a Catholic missionary in Cambodia when the Khmer Rouge guerillas -- communist revolutionaries -- seized power in 1975. They expelled all foreigners from the country.

But working from France, Ponchaud gathered refugee accounts and monitored radio broadcasts to document the slave labor, torture and executions the Khmer Rouge were using to kill one-fourth of Cambodia's population.

He published his findings in a major French newspaper and wrote a book, "Year Zero." But even so, Ponchaud tells Amanpour, "No one believed us."  Watch a behind-the-scenes look at the making of 'Scream Bloody Murder' »

1980s: Iraq

CNN found that intervention is often weighed against political and economic costs.

Declassified U.S. government documents show that while Saddam Hussein was gassing Iraqi Kurds, the U.S. opposed punishing Iraq with a trade embargo because it was cultivating Iraq as an ally against Iran and as a market for U.S. farm exports.

According to Peter Galbraith, then an idealistic Senate staffer determined to stop Hussein from committing genocide, the Reagan administration "got carried away with their own propaganda. They began to believe that Saddam Hussein could be a reliable partner." Read once-secret U.S. documents

1990s: Bosnia

Even extensive news coverage may not lead to intervention.

During the violent breakup of Yugoslavia in the 1990s, the media reported on the Bosnian Serbs' ethnic cleansing of Muslims: the siege of Sarajevo, the concentration camps, the use of rape as a weapon of war.

It was like watching "a color remake of the black-and-white scenes we'd seen in World War II," said U.S. diplomat Richard Holbrooke, whose Jewish grandfather fled Germany when Adolf Hitler came to power.

Holbrooke was an early advocate for a U.S.-led military operation against the Bosnian Serbs.

"I took a stand that I believed was correct," he told Amanpour. "I didn't think it was so controversial."

But it would take three years -- and the massacre of 8,000 Muslim men and boys in the town of Srebrenica -- for Holbrooke to make his case within the Clinton administration.

1994: Rwanda

In Rwanda, where Hutu soldiers and militias massacred their Tutsi countrymen, the Clinton administration tried to avoid characterizing the ethnic slaughter as genocide.

According to an internal memo, the State Department worried that under the 1948 Genocide Convention, using the term "genocide" could force the U.S. "to actually 'do something.'"

The head of the U.N. peacekeeping force in Rwanda, Canadian Lt. Gen. Romeo Dallaire, begged for additional troops. Instead of reinforcements, Dallaire got an order to withdraw completely. He would not leave Rwanda.

"I refused a legal order," he told Amanpour, "but it was immoral." His tiny U.N. force was not enough to stop the slaughter of more than 800,000 people.

2003: Darfur

Some human rights advocates consider Darfur, the western region of Sudan, to be the scene of the first genocide of the 21st century.

The atrocities in Darfur grow out of a civil war between rebels from Sudan's African tribes and the country's Arab-led government.

In 2003, when the rebels attacked government outposts in Darfur, a U.N. human rights monitor warned that in the "escalating conflict," Sudan's government may be "engaged in ... ethnic cleansing aimed at eliminating African tribes from Darfur."

At the time, world attention was on Iraq, where the United States was fighting to overthrow Saddam Hussein. The early warning on Darfur "disappeared into a big hole," according to Mukesh Kapila, then the U.N.'s top official in Sudan.

Even when the U.N. Security Council put Darfur on its agenda, it took more than three years to authorize a robust peacekeeping force.

"There was no lack of information," says activist Eric Reeves. "There was a lack of will to stop genocide."

In July, the prosecutor at the International Criminal Court accused Sudan's president of genocide, war crimes and crimes against humanity, charges Sudan denies. Read the ICC prosecutor's charges (pdf)

How will history judge the world's response to Darfur?

"It will applaud the young people ... who believe in solidarity," says Wiesel. "It will certainly criticize the leaders of the world."

And the next time somebody screams bloody murder to stop a genocide, will anyone listen?

CNN's Christiane Amanpour, Andy Segal, Jennifer Hyde and Ken Shiffman contributed to this report.

@highlight

December marks the 60th anniversary of the U.N.'s Genocide Convention

@highlight

A few strong voices have since tried to focus the world's attention on genocide

@highlight

Each time they were shunned, ignored or told it was someone else's problem

@highlight

CNN's Christiane Amanpour traveled to the world's killing fields to understand why