(CNN) -- The deaths of several people Monday during a raid by Israeli soldiers on a flotilla bringing aid to Palestinians in Gaza has once again brought worldwide attention on Israel's blockade of the area.

Who organized the flotilla?

The Free Gaza Movement, a Cyprus-based human rights group, brought together a number of organizations to form the Freedom Flotilla. The coalition includes the European Campaign to End the Siege on Gaza. Another pro-Palestinian group, Insani Yardim Vakfi (IHH), a Turkish organization, also sent a ship. The flotilla left Cyprus on Sunday and had been due to arrive in Gaza on Monday.

Why a flotilla?

The Free Gaza Movement says it wants to raise awareness of what it describes as the "illegal siege on Gaza" by Israel. It says the blockade of Gaza by Israel is unjustified and that it denies Palestinians vital goods and services. "We want to raise international awareness about the prison-like closure of Gaza and pressure the international community to review its sanctions policy and end its support for continued Israeli occupation," the group says on its website.

What did the convoy consist of?

Six ships -- three passenger and three cargo vessels -- were carrying over 10,000 tons of aid and 600 passengers from more than 20 countries, says the Free Gaza Movement. Most of the passengers were Turkish. The cargo consisted of food, medical aid and other supplies including cement, prefabricated housing and educational equipment, the group said. The Turkish prime minister said Monday that the vessels were inspected before they left port in Turkey to make sure the cargo did not include weapons.

What does Israel say about the blockade?

The blockade was imposed by Israel in 2007 after the militant group Hamas seized control of Gaza. It is designed to stop the smuggling of arms into the territory, the Israeli government says. Israel says the Gaza shoreline is closed to maritime traffic. Israeli government spokesman Mark Regev said Israeli civilians were plagued a year ago by rockets and missiles fired from Gaza that originated in places like Iran and Syria.

What happens next?

The U.N. Security Council on Tuesday called for a "prompt, impartial, credible and transparent" investigation into the raid. Across the world, protest rallies against the raid are being staged and criticism of the action continues to pour in. In Washington, U.S. Secretary of State Hillary Clinton has a pre-scheduled meeting with Turkish Foreign Minister Ahmet Davutoglu on Tuesday.

Where are the activists?

Israel said that 600 flotilla activists were transported to Beer Sheva prison in southern Israel. Forty-five of them have been released and were either deported or taken to Ben Gurion International Airport. Those who remain detained are ones who have refused to identify themselves to Israeli immigration authorities, an Israeli Prison Authority spokesman told CNN. None have been placed under arrest, he said. Among the ones who have refused to give their names are many foreigners, a police spokesman said. The process involved in deporting these latter protesters is more complicated, as it requires the involvement of foreign diplomats, police said.

Have ships been sent to Gaza during the blockade before?

Yes, the Free Gaza Movement says on its website it has organized eight voyages to Gaza, "successfully arriving in Gaza five times." The group said its "boats are the first international ships to sail to the Gaza Strip since 1967."

What does the U.N. say about the blockade?

The United Nations has described the blockade of Gaza by Israel as the "collective punishment" of the Palestinian people living there. The U.N. has repeatedly criticized the blockade and what it says is an insufficient flow of materials into the area for basic needs and reconstruction. Secretary-General Ban Ki-moon has warned the closure "creates unacceptable suffering, hurts forces of moderation and empowers extremists."

What goods does Israel allow into Gaza?

About 15,000 tons of humanitarian aid flows into Gaza each week, Regev has said. Israel says it allows enough humanitarian aid -- including food and medicines -- into Gaza for the people who live there and that the blockade is designed to stop Hamas from building or acquiring arms. Israel has never published a list of banned items, but it has refused to allow into Gaza books, paper, blankets and reconstruction materials. The U.N. says 80 percent of Gazans rely on some form of humanitarian aid.

Why did Israel object to the flotilla?

The Israeli government described the flotilla as a "provocation" and said it was a political stunt. Danny Ayalon, the Israeli deputy foreign minister, said: "The organizers' intent was violent, their method was violent and the results were unfortunately violent." The Free Gaza Movement said the flotilla's aim was to "challenge Israel's blockade of 1.5 million Palestinians trapped in an open-air prison."

Was there another route for this aid?

The Israeli government said it would allow humanitarian aid on the flotilla into Gaza through its normal channels. An IDF spokesman said the vessels "refused to comply with an invitation to come to Ashdod port where they could transfer aid into the Gaza strip." Audrey Bomse, legal adviser to the Free Gaza Movement, told CNN the group did not believe the Israelis would let the cargo into Gaza, and that the cargo also included reconstruction aid which Israel does not allow into Gaza.

How did things turn violent?

The Israel government says its soldiers faced violent resistance as they boarded the largest ship, the Marmara. The Free Gaza Movement denies there was violent resistance to Israeli soldiers, saying the soldiers immediately opened fire on unarmed civilians. Video released by the Israeli Defense Forces showed intense fighting on the decks of the ship.

How many people were killed?

The number remains in dispute. Israel says nine flotilla participants were killed. The Free Gaza movement said the death toll was higher, but did not offer an exact number.

@highlight

Flotilla left Cyprus Sunday, was due to arrive in Gaza on Monday

@highlight

Six ships -- three passenger and three cargo vessels -- were carrying over 10,000 tons of aid

@highlight

Israel government described the flotilla as a "provocation" and said it was a political stunt

@highlight

Accounts differ as to what happened after Israel forces boarded the ship