(CNN) -- Many angry Americans are urging a punishment on Florida in the killing of Trayvon Martin: a boycott.

Musician Stevie Wonder won't perform there. Martin Luther King III is considering deploying the tactic -- often used by his famous father in the civil rights era -- against Florida products like orange juice. Social media activists advance boycott plans even on the state's official tourism page on Facebook.

Their actions seek the repeal of Florida's "stand your ground" self-defense law, which was at the center of a national debate in the wake of Martin's shooting death. George Zimmerman's lawyers didn't invoke Florida's "stand your ground" law in court, but it was included in the instructions to the jury that acquitted him.

But will a boycott work? And when are they effective?

'Stand your ground' laws up to states, not Obama or Congress

The win column is spotty for boycotts against controversial state laws, experts say. The matter becomes further complicated by the fact that more than 20 states -- not just Florida -- have such a law.

"For boycott organizers, it's more difficult with a state," said Daniel Diermeier, a professor at Northwestern University's Kellogg School of Management.

"Let's say your goal is to change a particular law," he continued. "If you think about a political process, you could have multiple chambers and a governor. The political process is much slower and messier than a corporate decision process."

One example of success -- at least economically, one group says -- is the recent boycott of Arizona for its immigration laws.

Akin to the Florida "stand your ground" law, the Arizona immigration law "triggered a fierce, national public-opinion backlash against the state and led many national organizations and opinion leaders to call for economic boycotts," said a 2010 report by the left-leaning Center for American Progress.

Arizona lost at least $141 million after groups canceled their conventions there, according to estimates in the 2010 study.

"This report provides a clear window into the potentially catastrophic impacts of pursuing harsh, state-based immigration policies," the center said.

But other analysts point out how Arizona didn't change its immigration laws, despite the boycott.

It took the U.S. Supreme Court to do that, in a decision last year striking down key parts of the state law that sought to deter illegal immigration.

"It didn't impact the state in such a manner that people considered changing the rules and regulations, so all of this was done with very little positive results," said Abraham Pizam, a tourism professor and dean of the hospitality management college at the University of Central Florida in Orlando, which is also home to Disney World.

Protesters stand up to 'stand your ground,' but laws likely here to stay

But the center said the boycott did send a warning: "Other states considering immigration legislation should pause before rushing to adopt measures like (the Arizona law) S.B. 1070 and understand the potentially disastrous economic and fiscal consequences of such a decision."

In general, boycotts have three functions: to cause economic damage, to keep a spotlight on public issues and to achieve a stated objective, Diermeier says.

While boycotts can be effective in the first two aims, the third goal can be murky.

"Do they accomplish the objective? There, the record is spotty," Diermeier said. "They are driven by outrage and anger, but they (sometimes) don't have a clearly specified objective."

The Occupy movement in 2011 had such results: "They never accomplished a specific objective. It was more of a channel for outrage," he said.

Among the better-known cases of boycotts producing major political change is in the apartheid era of South Africa, when many nations imposed an economic and cultural boycott so intense that the country became an international pariah.

The boycott lasted several years. Finally, under the international pressure, South Africa ended apartheid, the system of legalized racial segregation. That was more than 20 years ago.

"Many said that (boycott) had an effect, but it lasted a long time, and it was supported by a large number of countries, and it was supported by the vast population," Pizam said.

"That's a different situation than we have now" with "stand your ground" laws, Pizam added. "There are people in Florida -- I know some of my colleagues -- who feel the 'stand your ground' law is the right thing to do in Florida, so you don't have 100% support" for a boycott, he said.

In addition to needing widespread support, a boycott would have to offer consumers easy alternatives.

For example, can Americans easily cancel their family vacation to Orlando's Disney World? Can they easily find a substitute for their favorite Florida orange juice brand, especially when growers say they had nothing to do with the jury's acquittal of Zimmerman?

"For a boycott to be successful, we have to ask people to do things against their economic interests," said Maurice Schweitzer, a professor at the Wharton School of Business. "People are going to visit Disney or not. They are going to visit Grandma or not."

Boycotts require a commitment, such as when the Rev. Martin Luther King Jr. led a successful boycott against buses and other public transportation in Montgomery, Alabama, in the 1950s as part of the civil rights movement, experts said.

A clear and simple goal must be present, with "a protracted feeling of outrage," Pizam said.

The sliding scales of self-defense

Remember how Americans boycotted French wine after France declined to join a U.S.-led coalition to invade Iraq in 2003?

"The feelings that we have today are not the feelings that we're going to have in six months," Pizam said. "Just as we were upset at France and might have chosen an Italian wine over a French wine a dozen years ago, I think you would be hard-pressed to find an American avoiding French wine."

Boycotts can backfire, such as when the president of Chick-fil-A provoked a consumer boycott by denouncing same-sex marriage and saying his fast-food chain backs the traditional family unit.

Traditional family supporters, however, organized a counterboycott -- a "buycott" -- and even a "Chick-fil-A Appreciation Day."

"There were some groups that went and actually started frequenting Chick-fil-A more," Schweitzer noted.

Corporate boycotts can yield more immediate results because CEOs can act faster than elected lawmakers, but the activism requires key ingredients: Consumers must care, customers must be able to easily shop elsewhere, issues must be understandable, and the boycott needs mass attention, often enhanced by speedy social media, Diermeier wrote in the Harvard Business Review last year.

One successful effort was Greenpeace's 1995 boycott of Shell -- a specific target -- which reduced sales in Germany by 40%. The "McCruelty: I'm Hatin' It" campaign by the People for the Ethical Treatment of Animals, however, has had "limited impact" on McDonald's because the issues are "complex and not intuitive," especially in comparison with the more easily grasped notion of a fur boycott, Diermeier wrote.

The analysts were pessimistic about a successful Florida boycott, even if Wonder is calling upon fans to avoid doing business in Florida and any other state with a "stand your ground" self-defense law.

King, the civil rights scion, is also weighing a multistate boycott, such as against Georgia peaches because that state also has a "stand your ground" law.

"These are things that my father considered in his era," King said.

But a Florida boycott faces overwhelming odds because it lacks an easy target and uses economic pressure to seek political change, experts say.

Moreover, the gambit may even hurt African-Americans and other minorities because they often work in the Sunshine State's vast tourism industry.

"Business will suffer the least, and employees will suffer the most," said Pizam, the Florida tourism professor. "It's good-intentioned people who don't realize the unintended negative consequences that will hurt the ones they want to help."

Added Schweitzer about a Florida boycott: "It's ridiculous. It's an expression of frustration, and I think that frustration is valid.

"But I don't think there's sufficient groundswell to motivate a campaign that a boycott would require," he continued. "For boycotts to be successful, people have to have easy alternatives. Either you're going to visit Grandma, or you're not. And there aren't easy alternatives."

Juror pushes for new laws following trial

@highlight

Boycotting state laws has a spotty record, analyst says

@highlight

Some boycotting Americans want Florida to repeal its 'stand your ground' law

@highlight

Arizona boycott led to $141 million in losses, but experts dispute its effect on laws

@highlight

Consumer boycott can succeed if public can easily shop elsewhere, analysts say