Images from the conflict between Israel and Hamas depict apparent civilians, innocent people caught in the middle. Often, the dead are children.

The Palestinian death toll in Gaza stands at more than 1,800, with nearly 10,000 wounded, Gaza's Health Ministry said Sunday. More than 300 children have died, the ministry has reported, as the United Nations repeatedly raises concerns about the high number of deaths in Gaza.

On the Israeli side, 64 Israeli soldiers and three civilians have died since fighting began more than three weeks ago.

Why are the death tolls lopsided? Why so many deaths in Gaza?

Here are five reasons that dictate the brutal logic of the latest Mideast crisis.

Uneven resources

While Hamas has shown itself to be a formidable guerrilla army, Israel's military dwarfs the resources available to the militant Islamic organization, which controls Gaza.

Hamas does not have the sophisticated weaponry and technology that Israel possesses. Consider Israel's Iron Dome system, which intercepts and blocks incoming rockets. The Israeli military has said that it has depleted most of Gaza's rocket supply and Israel Defense Forces says more than 3,000 rockets have been fired from Gaza at Israel.

Unlike Gaza, Israel has bomb shelters and an advanced warning system to let its population know when and where rockets are coming in. Hundreds of thousands of people have reportedly downloaded Red Alert, a smartphone app that uses real-time information from the IDF and the country's version of Homeland Security to trigger a phone's alarm when rockets are detected.

Illustrating just how powerful Israel is in this battle, Israel has been texting Palestinians' cell phones with messages warning where the Israeli military will strike. Palestinians have told CNN they are receiving these messages. Israel has also been doing what it calls "roof knocking" -- or dropping empty shells on rooftops -- warning those inside buildings to get out fast because a strike with explosive shells is imminent.

"Civilian casualties in Gaza have been too high," Pentagon spokesman Col. Steve Warren said in Washington on Thursday. "It is clear the Israelis need to do more. We want them to do more."

The nature of the battlefield

More than 1.8 million people live in Gaza, which is 139 square miles in total land area. That makes for very cramped living. When airstrikes happen, when shells land, having more people in a small area often means higher death tolls.

And even if Palestinians receive and heed warnings to change locations before an airstrike hits, it's likely they'll have nowhere safe to run. There are no bomb shelters or warning sirens in Gaza. And it's practically impossible to leave. There's a barrier fence around the perimeter of Gaza. Israel controls all air access to Gaza and land access along their border. Egypt controls access on the southern border and that crossing is also closed.

United Nations schools in Gaza -- with clear U.N. markings -- have been turned into shelters during the conflict, and for a while they were considered safe. But strikes have recently hit several of those locations, killing and injuring many, including women and children.

Each side blames the other. In some cases, Israel has said Hamas rockets were launched and fell short, landing on the schools, and stressed that it uses "precision" airstrikes. Regarding shells that fell in the vicinity of a school on Sunday, killing at least nine people, the IDF said it targeted three Palestinian Islamic Jihad members riding a motorcycle in the vicinity of the school. It said it's reviewing the incident.

Hamas says Israel targeted the schools.

A goal that could take time

One of Israel's top goals is to destroy Hamas rockets and tunnels. It says it has uncovered 36 tunnels running from Gaza into Israel that have been used to smuggle weapons and launch attacks. Hamas has released videos of militants using the tunnels for attacks.

The main way to obliterate the tunnels is by airstrikes and artillery bombardment, and those tactics often result in collateral damage.

The tunnels have, for some time, also been used as vital supply lines to Gaza, through which food and other necessities have been transported.

The tunnels were dug to get around the blockade of Gaza, said Maen Rashid Areikat, the head of the Palestine Liberation Organization delegation to the United States. But Areikat told CNN's Wolf Blitzer, who toured a tunnel, that the tunnels have also been used by a faction of Palestinians to launch attacks in Israel.

Palestinian parliament member Mustafa Barghouti described the tunnels as a defensive tool against repeated Israeli invasions in recent years.

Watch: CNN's Blitzer goes into a tunnel in Gaza

Effort to protect civilians?

Is Hamas willing to put civilians in harm's way? That's a controversial topic.

Last month, rockets were discovered in a vacant U.N. school between two other U.N. schools being used as shelters.

It was the second such discovery at a vacant U.N. school in Gaza in a week.

That is the evidence Israel cites to accuse Hamas of using civilians and their institutions as shields -- a violation of international law.

Israeli Prime Minister Benjamin Netanyahu said on CNN that it was difficult to measure the bloodshed of the conflict because "Hamas is using them, Palestinians, as human shields."

"We develop anti-missile systems to protect, we use anti-missile systems to protect our civilians," he said. "They use their civilians to protect their missiles. That's the difference."

The IDF said Monday it found a "Hamas combat manual" that IDF says proves the group uses its people as human shields. A CNN translation of the two pages posted by the IDF did not find specific statements that Hamas uses its own civilian population as human shields, but one section discusses the benefits for Hamas when civilian homes are destroyed. CNN could not confirm the authenticity of the manual, and neither the IDF nor Hamas could be reached for comment.

Experts say the situation is complex.

Hamas is also a political organization embedded in civilian life in the Palestinian territory, Palestinian leaders say.

"Hamas is a political party after all, not just a military wing. And it has institutions, organizations, homes" in Gaza, said Hanan Ashrawi, executive committee member of the PLO in the West Bank.

She pointed out that large buildings are being hit, and many are dying inside.

"It would be impossible at this point to say how much truth there is to the human shield argument," said Michele Dunne of the Carnegie Endowment for International Peace. "That's not going to be possible to do in the heat of the conflict."

The timetable is uncertain

Last week, the Israeli military said it was calling up 16,000 reservists, an indication that there is likely more fighting ahead.

United States diplomacy has tried to turn the situation toward a lasting cease-fire.

Several Middle Eastern nations attempted to get Hamas to agree to an Egyptian-led cease-fire while U.S. Secretary of State John Kerry met with Palestinian and Israeli leaders last week. But by Thursday evening, rockets were still flying and sirens were going off. Several cease-fires have fallen apart since.

U.N. Commissioner for Human Rights Navi Pillay said in a speech recently that she felt there is a "strong possibility that international humanitarian law has been violated, in a manner that could amount to war crimes."

"I unequivocally reiterate to all actors in this conflict that civilians must not be targeted," she said, adding, "Respect for the right to life of civilians, including children, should be a foremost consideration."

@highlight

Officials: More than 1,800 people have died; 64 Israeli soldiers have died

@highlight

Israel has more resources, more sophisticated weapons and warning systems

@highlight

In most cases, those who live in Gaza cannot simply leave