An impressive collection of hotels built more than a century ago in Southeast Asia -- catering to a sudden wave of well-heeled globetrotters that cruised in when the Suez Canal opened in 1869 -- still stands proudly today.

Incredibly popular among modern travelers in search of a side of history to go with their luxury digs, we've featured some of the top historic hotels here.

But in recent years, savvy hotel developers have been capitalizing on tourists' craving for the classics by converting century-old buildings once used for other purposes into luxury accommodations, as well.

Staying in luxury hotels that have seen two world wars certainly adds to the fascination of a trip through the region, especially when you uncover some of the stories absorbed by their enduring walls.

Capella Singapore

Built: 1880s (colonial manors)

Formerly: British Royal Artillery

Capella Singapore has four heritage-listed buildings set alongside its newer construction.

Two colonial manors, dating to the 1880s, were once used to house officers in the British Royal Artillery based on Sentosa Island.

One of the Lord Norman Foster-restored buildings is allocated as part of the 111-room hotel; another forms part of the long-stay The Club at Capella.

The other two conservation buildings give the hotel its colonial white facade.

Built in the late 1930s as the Royal Artillery Officers' Mess, they remain perched on the grassy knolls.

The library lounge above the lobby displays nostalgic photos of Christmas dances and New Year's balls with revelers in all their 1950s glam.

Legend has it that before the British surrendered to the Japanese in 1942 during the Battle of Singapore, officers buried regimental silver in the grounds, where to this day it may still remain.

Capella Singapore, 1 The Knolls, Sentosa, Singapore; +65 (0)6377 8888; from S$780 ($623)

The Siam, Bangkok, Thailand

Built: Before 1862 (Connie's Cottage, Chon restaurant)

Formerly: Thai house of socialite Connie Mingskau

Four teak structures on the premises of Bangkok's incredible The Siam hotel date back at least 150 years.

Three of them make up the hotel's Thai restaurant Chon; the other is the signature suite, Connie's Cottage.

All four houses once belonged to Connie Mingskau, Thai silk legend Jim Thompson's confidante and one of the last people to see him alive at the Cameron Highlands before his disappearance in 1967.

Each house, at least a century old when bought, had to be dismantled, transported down the Chaopraya River and reassembled in its original location on Sukhumvit Road, where the likes of Jacqueline Kennedy and William Holden attended the socialite's fabled soirees.

"Jim wrote a number and a letter in chalk on each piece of wall," recalls Mary Anne Stanislaw, Connie's granddaughter.

"I remember that my cousins, brothers and I erased a part of a giant 'A' and we were severely reprimanded by Jim."

The Siam Hotel, 3/2 Thanon Khao, Bangkok, Thailand; +66 (0)2 206 6999; from 14,500 baht ($453)

Amantaka, Luang Prabang, Laos

Built: First decade of the 20th century

Formerly: Luang Prabang provincial hospital

The 32 original buildings that now house this all-suite hotel once formed Luang Prabang's old provincial hospital, whose first phase is estimated to have been constructed between 1901 and 1910.

The hospital moved to new facilities in 2005, after which Aman Resorts took over.

With 10 of the buildings protected under UNESCO World Heritage regulations, under strict stipulations they were meticulously restored and turned into 24 luxury suites.

The hotel's high ceilings, shady verandas and louvered doors reflect the town's French colonial influences.

In addition to the luxuries expected of an Aman property -- spa, fitness facilities, fine dining -- there's an onsite gallery showcasing the history of Luang Prabang.

Amantaka, 55/3 Kingkitsarath Road, Ban Thongchaleun, Luang Prabang, Laos; +856 (0)71 860 333; from $800

Belmond Governor's Residence, Yangon, Myanmar

Built: 1920s

Formerly: Home to the ruler of Myanmar's southern states

The "newest" property on this list, the Governor's Residence has another few years before it hits its official 100-year-old mark, but it's still worthy of inclusion.

A colonial-style teak mansion built in the 1920s, it was once home to the British governors who ruled Myanmar's southern states.

Located in Yangon's Embassy Quarter and set in a gorgeous lotus pool-filled garden, the hotel has rooms of varying sizes, the largest being a two-bedroom suite.

For those with Orwellian "Burmese Days" visions, the fan-cooled verandas and teak armchairs of this heritage property don't disappoint.

Unlike the fabled Strand, this Yangon luxury hotel has a swimming pool -- a huge relief after a day of sightseeing in the dusty former Myanmar capital.

Governor's Residence, 35 Taw Win St., Dagon township, Yangon; rooms from $260

Carcosa Seri Negara, Kuala Lumpur, Malaysia

Built: Late 1800s

Formerly: Official residence of British High Commissioners

Set deep in the city's historic Lake Gardens, this heritage hotel -- formerly an Aman Resorts property -- was the official residence of all of the highest British representatives to the Malay States from 1904 to 1941.

That all ended with the 1941 Japanese invasion, when Carcosa became the Japanese Senior Officers' Army Mess.

Eventually it was returned to the Malaysian government.

Rooms in this UNESCO World Heritage site are large.

The suites come with butler service.

Decor is in line with the hotel's architecture, which combines neo-Gothic and Tudor revival influences.

With the exception of the LCD TV, you may feel like you're on the set of a Merchant-Ivory film.

One of Carcosa Seri Negara's highlights is English afternoon tea, served in the drawing room or on the wraparound verandah overlooking impressive gardens.

Carcosa Seri Negara, Taman Tasik Perdana, Persiaran Mahameru; +603 2295 0888; from RM990 ($311)

@highlight

Southeast Asia is full of hotels featuring beautifully restored heritage buildings

@highlight

Capella Singapore has four heritage-listed buildings, including a former Royal Artillery Officers' Mess

@highlight

Luang Prabang's old provincial hospital is now a luxury Aman property