(CNN) -- In an upstate New York town ravaged by the wrathful remnants of Hurricane Irene in late August, 12 displaced families will break bread together at Thanksgiving dinner.

"We are trying to rebuild," said Ken Aurigema, who with the help of his family will be cooking for at least 30 people Thursday at the Catskill Christian Assembly, one of the few structures in the small town of Prattsville to survive the devastation of the storm and its enduring aftermath.

Upstate New York faced some of the worst and most extensive amount of flooding in Irene's fury, along with New Jersey and Vermont, said Chris Vaccaro spokesman for the National Weather Service.

Over 7 million homes and businesses from North Carolina northward up the Eastern Seaboard lost power in the record-setting 10th billion-dollar disaster for the United States this year, Vaccaro said. Irene broke the previous record of nine billion-dollar disasters set in 2008.

The estimated damage is more than $7.3 billion dollars total.

"Wind is not the only threat -- inland flooding can be one of the deadliest hazards within a tropical storm," Vaccaro said.

Most of the families dining together Thursday previously lived in one of the 15 now-unoccupied houses along Main Street, where creek swelling and flood damage turned those structures into wrecked skeletons of homes that need rebuilding, or that have been condemned.

The dinner invitation extends across Greene County to neighboring towns including Lexington and Windham, where countless homes and businesses also were destroyed.

This was the first time a hurricane made landfall in the New York area since Hurricane Gloria struck Long Island in 1985. Hurricane Bob in 1991 came just shy of touching down east of the Long Island's twin forks.

What began as a Category 1 hurricane in North Carolina had weakened into a tropical storm when it made a second landfall in New York's Coney Island, and continued northward through Connecticut, Massachusetts and then Vermont.

"The Northeast is prone to witnessing a tropical storm system, it's not just Florida the Gulf or (the) Carolinas. If you live along (the) coastline east or south, you are susceptible," Vaccaro told CNN.

"Irene was a reminder of that," he said.

Thanksgiving dinner host Aurigema, an electrical contractor who lost his truck, tools, and customers to Irene, had been living in Greene County with his wife and son for 16 years before the storm slashed through his tiny town.

Irene demolished the first floor of his Prattsville home, drowned his foundation in creek backwash and waterlogged his floor with three feet of flooding that soon after became caked mud.

Having also directed the Catskill Christian Academy for 16 years, Aurigema is grateful the ministry has let him and his family take solace on their grounds for the past two months. He hopes to be out during December, by the 15th or by Christmas.

When he drives down Main Street, Aurigema said, "It's hard to comprehend how you are going to rebuild the town."

"When I leave at night, it's sad to see none of the stores being open. I think for the most part we are on the mend; I am worried about how many people are going to move back here."

Some 20 mom-and-pop businesses, even the grocery store, were out of commission for weeks after Irene shredded the edges of nearby Schoharie Creek, Prattsville town spokesman Al Creazzo told CNN.

Shaun Groden, Greene County administrator said, "There was complete devastation, the entire village, there was not a single building in the entire town that went unscathed. Most were half knocked off (their) foundation, or worse, collapsed."

"There are still houses boarded up, probably just awaiting the wrecking ball," said Groden.

Groden explained that the Federal Emergency Management Agency has categorized most of the damaged structures as being in what are now deemed flood zones, and that banks are reluctant to finance rebuilding in these zones, for fear of future flooding.

"The question is, can you literally pick up a home and move a quarter mile back to get it off the bank?" Groden asked. From a municipal planning standpoint, he said, the reconstruction could take months.

According to spokeswoman Rachel Racusen, FEMA has approved a total of more than $93 million in assistance to individuals affected by Hurricane Irene, to date.

Creazzo said FEMA would be "rolling in houses" in about two weeks, with between 20 and 22 temporary homes arriving for Prattsville residents. He explained that in the meantime, displaced families have been staying with relatives and friends.

"In these towns, the families go back generations on generations. There is always someone living close by."

Slowly but surely, Creazzo said, businesses are beginning to show signs of life.

"First the supermarket, then Beth's CafÃ©, and Kenny opened up the Tavern last week," he said, with the ring of small-town familiarity in his words.

As it does every year, the town is working hard to finish projects before the winter. The asphalt contractors are closing up shop in time for Thanksgiving, and all roads left unpaved will be gravel through the winter months.

They have already replaced six of the eight bridges lost in the flood with temporary structures that Groden anticipated will hold through spring.

Aurigema told CNN he is impressed by how the people of the Prattsville community have come together. "That's why we decided to stay up here," he said.

Since day one, facing the aftermath of the devastating storm, family, friends and neighbors lent their hands and their shovels to clear the mud out of his family's home.

"We are coming back to life, little by little," Aurigema said.

On the more immediate topic of side dishes, table fixings and how to prepare a meal for 30 or more hungry mouths, Aurigema said, "Well, we don't know!"

"We are a big family and we are used to cooking for large groups. We are just grateful to give back to the community we love."

On the menu for Thanksgiving in Prattsville are turkey, corn, beans, potatoes, stuffing, yams, pies and cookies and -- Aurigema's brother's favorite -- macaroni and cheese.

@highlight

The small town of Prattsville in upstate New York was ravaged by Irene

@highlight

On Thursday, residents -- many still displaced -- will gather for Thanksgiving

@highlight

"We are coming back to life, little by little," says Prattsville resident Ken Aurigema