(CNN) -- In what's become an annual rite, thousands of diehard fans of Apple's iconic smartphone endured long overnight lines outside Apple retail stores around the world to be among the first Friday to buy the new iPhone 5.

Kelson Horton, 39, had been in line at Lenox Square mall in Atlanta since 5 p.m. Thursday.

The truck driver from Jonesboro, Georgia, said he's done so for every iteration of the smartphone that Apple CEO Steve Jobs introduced to the world in 2007.

"I've been doing it since Day One," Horton said. "It's the experience more than anything. It just happens to be the hottest phone on the market."

Near the front of a line of about 200 people Friday morning, Horton said he got about an hour's worth of sleep while meeting new friends from what he called "the iPhone family."

At 8 a.m. local time across the U.S., thousands who spent hours waiting in line were greeted with cheers as Apple stores and other retailers began selling the new phone. More than 800 people were already in line outside the flagship glass-cube Apple store on Fifth Avenue in New York City by the time the store opened Friday morning. Dozens of people there had been in line since Monday.

Initial demand for the phone, at least in the U.S., appears to be stronger than for previous models. One analyst estimated that based on counts at Apple Stores in New York, Boston and Minneapolis, the lines Friday were, on average, 83% longer than those for the iPhone 4S last October.

Those iPhone shoppers (or "fanboys" and "fangirls" as they're called by less-supportive tech enthusiasts) in the U.S. weren't the first, though.

Throngs of shoppers lined up outside Apple stores in Sydney, Australia; Tokyo; London; Paris; and Munich, Germany, among other cities where the phone went on sale.

Hundreds of cold and tired but excited customers were lined up outside the Apple store on London's Regent Street Friday morning. Many had been waiting outside the store all night without food or anything to sit on, but the general consensus seemed to be that the hassle had been worth it.

"I've been waiting since midnight, so 12 hours now," said Fahir Wardak, a 21-year-old student. "I haven't really eaten but it wasn't that cold and I've got some tea now so it's alright."

And why was his 12-hour wait necessary? "I've already got the iPhone 4S and a MacBook Pro so it's like having a collection really," he added. "You just want to keep going along with it."

"I'm actually from Canada and just missed my flight home to be here," said another London customer, Mohammed Farooqi, a 19-year-old student. "I'm not sure how much it's going to cost me to get a new flight but seeing as the previous iPhone was so great I definitely think it's going to be worth it."

Others were less excited about the overnight wait for the sixth version of Apple's iconic smartphone.

"I've been here for around 11 hours but the queue kept moving so I couldn't go to sleep," said student Luna Zhang, 20. "I had to take time off work to come here and really wish now that I'd just ordered it online."

Despite morning rainfall in Tokyo, hundreds of eager customers lined up outside an Apple store in the city's Ginza shopping district. Store employees handed out umbrellas to waiting customers, some of whom came sporting face paint to celebrate the occasion.

"It's almost like a festival, people just camping in the center of Ginza, just drinking and playing and talking to each other," said Taiyo Nakashima, a 34-year-old Web designer. "It's not really just buying the phone; it's just enjoying the party, really."

In Sydney, customers camped out in tents and folding chairs. Cheers erupted when the store's doors opened.

Todd Foot told CNN affiliate Network Ten that he waited for more than 70 hours to get Australia's first iPhone and review it online.

Announced September 12, the iPhone 5 features a bigger screen, lighter and slimmer frame, faster processor and, for the first time, 4G LTE wireless connections.

If a handful of tech writers were unimpressed with the specs, that didn't translate into lack of consumer interest.

Apple took 2 million pre-orders for the phone in the first 24 hours they were available last week, and some analysts said they think it could sell more than 10 million by Monday.

That first-day total was double the number of iPhone 4S pre-orders the company took last year, and an initial Friday shipping date was quickly pushed back. People who pre-order the phone now, or did so in the past few days, could be waiting more than three weeks for their phones to ship.

The phone will roll out to 22 more countries on September 28.

Gallery: The world's hottest smartphones

The most popular single smartphone since the existence of such a device, the iPhone has sold more than 244 million units around the world since its unveiling five years ago.

According to research firm IDC, the iPhone and its iOS operating system make up 16.9% of the worldwide smartphone market, coming in behind the cluster of phones running the Android operating system, which account for 68.1% of the world's smartphones.

The iPhone 5 is 18% thinner and 20% lighter than the current version, the iPhone 4S. It has a 4-inch screen, measured diagonally, compared with a 3.5-inch screen on previous versions of the phone. It is the same width as the iPhone 4S but taller, and the iPhone 5 is made entirely of glass and aluminum.

The new phone has had a few problems, as tech innovations sometimes tend to do.

Users: Apple iOS 6 maps are a mess

Most notably, an update to Apple's mobile operating system has replaced Google Maps with an Apple-designed map service that many users say is less accurate or even omits locations altogether.

Not surprisingly, those waiting in line Friday weren't deterred.

"I think a lot of people are wanting the world from a product they've just released," said Justin Henderson, 32, a composer from Atlanta who had been in line since 3 a.m. "You've got to be patient with Apple, and they'll get it right.

CNN's John Sutter in Atlanta, Yoko Wakatsuki and Alex Zolbert in Tokyo, Diego Lage in Hong Kong and Laura Mackenzie in London contributed to this report.

@highlight

"It's almost like a festival," one customer in Tokyo says

@highlight

Customers who camped out overnight in Sydney cheer as doors open

@highlight

iPhone 5 went on sale at 8 a.m. Friday in nine countries

@highlight

It's the newest version of iPhone line that has sold 244 million units since 2007