Sanford, Florida (CNN) -- Trayvon Martin's familiarity with guns, his marijuana use, and fights he may have been in cannot be brought up in George Zimmerman's murder trial, the judge overseeing the case ruled Tuesday.

At the hearing two weeks before the scheduled start of the trial, Judge Debra Nelson handed a series of victories to the prosecution when she barred the defense from introducing some information about Martin.

Defense attorneys argued that some of the evidence could prove crucial in backing up Zimmerman's claim of self-defense, depending on what the prosecution argues.

Certain evidence could ultimately be raised during the trial, however, if it is proven relevant and admissible based on what the prosecution presents, the judge decided.

Follow a live blog of Tuesday's hearing at HLNTV.com

Nelson left the door open on one issue involving marijuana. Defense attorneys say toxicology tests show Martin had enough THC -- the key active ingredient in marijuana -- in his system to indicate he may have smoked the drug a couple of hours before the shooting. Nelson barred any mention of this from opening statements but said she will rule later on whether it will be admissible after she hears defense experts' testimony about the marijuana use.

Marijuana use in general can come up during jury selection, the judge said.

The attorneys also cannot bring up Martin's text messages. The defense argued that texts from the day of the shooting show the teen was "hostile." The judge also agreed to block previous text messages from Martin about drugs and a gun.

Zimmerman, who is out on bail, did not appear at the hearing.

He's charged with second-degree murder in the February 26, 2012, shooting. He was a neighborhood watch volunteer when he called 911 reporting "a suspicious person" in the neighborhood, who turned out to be 17-year-old Martin.

The shooting put a national spotlight on Zimmerman's hometown of Sanford, Florida, and sparked fresh debates about race relations and gun laws. The decision not to bring charges against Zimmerman led to the dismissal of the town's police chief and the appointment of a special prosecutor, who accused the homeowner of unjustly profiling and killing Martin.

Defense: State didn't turn over some evidence

Nelson did agree to one key request from the defense: to hold a hearing on whether the state failed to turn over some evidence.

The defense called Wesley White, a former employee of the state attorney's office, who said the prosecution did not turn over certain photos -- including one of a firearm in someone's hand -- as well as some deleted text messages.

Nelson agreed to subpoena the state IT investigator who allegedly issued a report about the photos and text messages. But she denied a defense request for a delay in the start of the trial, setting the start of jury selection for June 10.

Nelson also granted the prosecution's motion to bar evidence about why it took so long to arrest Zimmerman.

She denied a defense motion asking that the jury be taken to the crime scene and called it "disingenuous" in light of another defense motion requesting anonymity for the jury.

The jurors will remain anonymous and will be referred to by their numbers only, she said.

Nelson set a hearing for Friday on whether the media will be allowed to show their faces.

Gun, drug texts feature in new evidence

Judge to rule on screaming heard in 911 calls

Defense attorneys also raised questions Tuesday about an analysis that suggests Martin might be heard screaming in the background of a 911 call just before the shooting.

Voice identification experts hired by the prosecution say that they don't know for certain whose voice it is and that there isn't enough sound to make a conclusive determination.

One analyst, Alan Reich, said he believes Martin can be heard saying the word "stop."

Reich told the Washington Post that he believes the voice is Martin, but another analyst told the Post that no determination can be made.

Defense attorneys said Tuesday that in a deposition on Friday, Reich said he had not completed his report and would need another two weeks.

The defense does not want Reich's analysis admitted.

Judge Nelson ruled that in a hearing at the end of next week, the science being used for voice identification will be discussed, and she will determine whether it is admissible at trial.

If she approves the science as admissible, there's still another barrier for either side to present witnesses using that science. Once the trial begins, when either side wants to call a witness who conducted such an analysis, the judge will consider whether the scientist's qualifications give him or her adequate expertise to weigh in.

Zimmerman will not seek 'stand your ground' hearing

No gold teeth

While defense attorneys had argued in court papers that they may want other details about Martin admitted -- including an assertion that he had removable gold tooth caps -- they agreed Tuesday that they don't expect it to become relevant at trial.

Nelson ruled there will be no such mention in the trial.

Benjamin Crump, an attorney for Martin's family, previously lashed out against the defense for trying to get such details admitted.

"Is the defense trying to prove Trayvon deserved to be killed by George Zimmerman because (of) the way he looked?" Crump asked in a statement. "If so, this stereotypical and closed-minded thinking is the same mindset that caused George Zimmerman to get out of his car and pursue Trayvon, an unarmed kid who he didn't know."

Zimmerman's brother: Drop murder charge

After the hearing, Robert Zimmerman, brother of George, called on the state to drop the second-degree murder charge.

"George lived in a community plagued by crime and was the first to come forward to help his neighbors," he said. "George is a good, decent and honest man. It is now my honor to advocate for him. George is in the fight of his life quite literally. As the oldest son, the only right thing for me to do is deliver him back to our parents. The only right way to do it is by relying on truth. We are not a wealthy family but we are rich in honor."

Authorities initially "did their job when they refused to charge someone with a crime who had committed no crime," Robert Zimmerman said. "In this country, you don't charge someone with any crime solely to assuage the concerns of misinformed masses."

Daryl Parks, another attorney for the Martin family, praised Tuesday's hearing.

"Without question, today was a very important day in this case," he said.

"What was rather clear: All of the bad information put out by the defense team will not be evidence in this case," Parks added.

None of the information that was barred, he argued, "had anything to do" with the confrontation that led to Martin being killed.

CNN's Victor Blackwell reported from Sanford, Florida; CNN's Josh Levs and Graham Winch reported from Atlanta. CNN's Jessica Thill and Rich Phillips contributed to this report.

@highlight

NEW: Zimmerman's brother calls on the prosecution to drop the murder charge

@highlight

NEW: A Martin family attorney calls this "a very important day in this case"

@highlight

Some of the banned information may come up at trial if it's proven relevant

@highlight

No delay; the trial will begin June 10, the judge rules