(CNN) -- The first CIA agents landed in Afghanistan on September 26, 2001, beginning direct American efforts to overthrow the Taliban. Ten years later, the United States is still fighting the Taliban, and the recent assassination of Burhanuddin Rabbani, leader of Afghanistan's High Peace Council, shows that we are far from total victory.

The terrorist training camps are gone and al Qaeda's top leaders are dead or on the run. Nonetheless, Afghanistan remains riddled with violence, corruption and hatred. The citizens of Afghanistan continue to suffer from crushing poverty, immobility and intimidation.

President Obama in June made it clear that the United States would not continue to fight indefinitely in Afghanistan. The president announced that he would withdraw about one-third of the roughly 100,000 American soldiers in Afghanistan by summer 2012. He also pledged a fuller disengagement by 2014, when "the Afghan people will be responsible for their own security." Subsequent discussions revealed that the White House expected to keep no more than 25,000 soldiers in Afghanistan, about half the U.S. deployment in Germany.

After 10 long years, American withdrawal from Afghanistan is wise and necessary. An open-ended commitment is unsustainable in the face of global recession, excessive U.S. government debt and pressing political challenges in Libya, Egypt, Syria and Iran -- just to name a few crucial countries. The United States must disengage from Afghanistan and focus its resources elsewhere.

The real question is how the United States should withdraw and what it should leave behind. How can we make sure the sacrifices of the last 10 years are not betrayed after we leave? How can we help ensure against a reversion to the conditions in Afghanistan that allowed the 9/11 terrorists to train and take refuge?

The United States has extensive experience with these questions, from our difficult interventions over the last century. In the Philippines, Germany, Japan, and to a certain extent, Iraq, American investments in nationwide elections, in a multiparty legislature and in a respected judiciary have brought some legitimacy to the government. This is a very mixed history with few "victories," but some insights that might help with our withdrawal from Afghanistan.

Hedge your bets. American leaders have a tendency to invest heavily in friendly strongmen, like Ngo Dinh Diem in South Vietnam, Shah Reza Pahlavi in Iran and Hamid Karzai in Afghanistan. These figures initially look reliable and morally attractive as courageous leaders of anti-communist and anti-Taliban efforts. Extensive American support, however, becomes corrupting, increasing the isolation and dictatorial qualities of Washington's chosen allies. In the end, dependence on strongmen discredits American power.

As American soldiers leave Afghanistan, they must not "hand over" power to Karzai or any similar figure. Instead, the United States must work hard in the next year to build deeper ties with diverse local leaders, many of whom oppose both the Taliban and Karzai at the same time. The United States should encourage power-sharing between groups, and it should avoid dependence on Karzai for security after 2012. Afghanistan needs more federalism across regions and less centralization in Kabul.

Build institutions. America's long history of foreign interventions proves that local insurgents can outlast our soldiers. As in Afghanistan, the United States will eventually bring its troops home, but the insurgents have nowhere to go. They can stay under cover, re-group and re-emerge after the Americans leave. That is precisely the dynamic with the resurgence of the Taliban in Afghanistan.

If American soldiers cannot outlast the insurgents, American-supported institutions can. In the Philippines, Germany, Japan, and to a certain extent, Iraq, where American investments in nationwide elections, in a multiparty legislature and in a respected judiciary have brought some legitimacy to the Iraqi government. It is the joint businesses, the public works and especially the schools that changed society in the most enduring and beneficial ways. These institutions are also the most likely to draw local participation and popular endorsement. Money devoted to infrastructure and schools is well spent, especially as foreign military forces are reduced.

Nurture regional stability. American efforts in Afghanistan are threatened most by the extremism and violence in Pakistan. Although an official ally of the United States, Pakistan has provided sanctuary for terrorists, including Osama bin Laden, and the leaders of the Taliban. Pakistan has contributed to the corruption and intimidation in Afghanistan that oppress citizens seeking a better way of life.

The United States must put more pressure on Pakistan to play a productive role in the region. We must insist that the billions of dollars we send to Islamabad are not diverted to meddling in Afghanistan. Instead, the Pakistani military and intelligence agencies must work to apprehend terrorists, especially on their own soil, and they must enforce a cessation of violence on the key trade and communications routes into and out of Afghanistan. We cannot ask the Pakistanis to abandon their sympathies for some extreme Islamic parties, including elements of the Taliban, but we can insist that they help to maintain order, stability, and openness in the region.

Although Americans must withdraw from Afghanistan, they must do so in a way that supports positive changes. We must give Afghans the chance to run a functioning nation-state of their own. For all the difficulties of the last 10 years, there are real achievements -- including the establishment of political stability in the Northern provinces and the reduction in country-wide poverty -- to build on. Progress in withdrawal is possible and it will not cost very much. It will certainly come at less expense than a reversion of Afghanistan to the terrorist haven it was in September 2001.

The opinions in this commentary are solely those of Jeremi Suri.

@highlight

Jeremi Suri: When we leave Afghanistan, 10 years of progress could be lost

@highlight

Suri: We must not hand over power to a strongman, like Karzai, which discredits U.S.

@highlight

We must insist Pakistan fights extremism within its borders and without, Suri writes

@highlight

We must invest in institutions, public works, he says, and especially schools