Exploring China can rattle even veteran travelers.

And understandably so.

It's a huge country with enough languages and dialects to leave even many native Chinese flummoxed at the thought of communicating away from home.

But traveling away from the big cities isn't scary, and it's not unmanageable.

Traveling for the past few years from my home base in Shanghai, I've picked up a lot of tips -- both from my own experiences and from others -- that make life on the road in China a little bit easier and a lot more rewarding.

Here are 20 of them to get you started.

1. Score extra beds the easy way

Chinese hotels aren't too fussy when it comes to matching the number of beds to the number of people, particularly when the extra bodies are children.

For families, this can save a lot of cash. Rather than needing two rooms, a family of four can get cozy in a twin room, where both beds are the same size as a regular double bed.

2. Follow proper currency protocol

Don't insult a Shanghai taxi driver by burdening him with small bills, such as 1 yuan or 5 jiao notes. He likes the jingle of coins.

Conversely, in northern and western China, expect market vendors to reject coins outright.

They only like paper money no matter how small the denomination.

3. Use the best language app for travelers

Pleco is the best Chinese language app for travelers.

The basic dictionary app is free. It costs US$14.95 to buy the optical character recognition function (compatible with the iPhone 4 or 5 camera). Point the iPhone at a Chinese menu and get an instant translation.

4. Customize your gifts

Have fine items made by hand and to order -- a neon sign of your name, pair of riding boots, set of sheets, oak cabinet, silk quilt or cashmere coat.

China is the land of possibilities. If you can dream it, someone can make it.

The Shandong Juancheng Neon-Plasma Tech company make customized neon signs in one week and will ship anywhere.

www.chinaneonsign.en.alibaba.com

5. Use the best guides to offbeat China

China Little T(r)ips is a series of guides for those who want to get off the well-worn tourist path in China, but don't have the inside knowledge or the language skills to do so.

These guides to Inner Mongolia, Gansu and soon Sichuan and Qinghai contain detailed itineraries, maps and language cards specific for each stage of the trip.

Inner Mongolia Guide RMB 78 (US$12.50), ebook RMB 45 (US$7), www.chinalittletrips.com

6. Order rice the right way

Rice is rarely served during a meal in Chinese restaurants, being seen as a cheap way to fill up at the end if needed.

Anyone wanting rice with his or her meal should make it clear to the waiter by saying: mifan (rice) mashang (straight away).

7. Toilet paper reminder

Toilet tissue is rarely found in public restrooms in China. Carry your own supplies.

8. Sidestep difficult breakfasts

Outside of large cities and internationally branded hotels, Chinese hotel breakfasts cater exclusively to the local market.

This is no issue for anyone fond of congee and pickles, but can be an unimaginable hurdle for children or picky eaters. Bring a box of their favorite cereal and a few small cartons of milk and everyone starts the day happy.

Most hotels don't mind.

9. Don't worry -- it's safe

China is nowhere near as terrifying as many guidebooks would have you believe.

Yes, the traffic is chaotic and the air could be better -- much better -- but China is one of the safest countries in the world for female travelers, solo travelers and families.

10. Give -- and get -- instant gratification

Those traveling in rural China often wish to give a small gift to locals they meet, but are unsure of what might be considered appropriate.

A portrait delivered instantly on a Polaroid camera is a much-appreciated, on-the-spot gift.

Fujifilm Instax Mini 7 Polaroid camera retails for around RMB 400 (US$62) from large electronics retailers.

11. Trespass with confidence

Accustomed to the idea of private property, international travelers are often reluctant to stray from worn footpaths into lanes and hutongs for fear of intruding.

But that's not how the Chinese see things.

All of these outdoor areas are public spaces, and lanes and alleys hold some of the most captivating scenes in China's big cities.

12. Don't be fooled by loud voices

Chinese people like to converse very loudly and passionately at times, and it can be easy to mistake this for an argument.

Listening in to a heated discussion in Shanghai between a taxi driver and a Chinese friend I thought they were about to come to blows.

"No," they told me. "We were just talking together about how devastating the Sichuan earthquake was."

13. Need help? Find a high school student

The array of Mandarin dialects and variations across China can make communication difficult even for native Mandarin speakers.

But help is always at hand: those under 25 years old are most likely to speak both standard Mandarin and English.

Students who have studied English in books for years, but have had little contact with native English speakers, may more readily understand written questions.

14. Make a hometown connection

Learn the name of your country's most famous landmark for beaming instant recognition from taxi drivers, waiters and the man on the street.

Tip: Eiffel Tower is "ai fei'er tie ta," Statue of Liberty is "zi you nu shen xiang" and Great Barrier Reef is "da bao jiao."

15. Get a backstreet breakfast

In order to get some local color on business trips that will otherwise be spent inside taxis and boardrooms, "take to the backstreets behind your hotel for an early breakfast of dumplings or noodles and watch the area wake up while you eat," suggests Australian business traveler Matthew Tobin.

16. Enhance wellness

Want to unblock your qi? Hit up a Traditional Chinese Medicine (TCM) clinic. Illness isn't an essential requirement -- TCM doctors believe preventing disease is just as important as treating it.

"TCM is ingrained in Chinese culture," says Canadian Leslie Bottrell, who is trained in both Western and Traditional Chinese Medicine.

"It permeates everyday life and so empowers individuals to be responsible for their wellness by promoting disease prevention."

Consultations are available at Longhua Hospital in Shanghai, one of the country's top TCM Hospitals.

LongHua Hospital, affiliated with Shanghai University of Traditional Chinese Medicine, 725 Wanping Nan Lu, Xuhui District, Shanghai; +86 21 6438 5700; open daily 8-11:30 a.m., 1-5 p.m.

17. Find art in unusual places

Some boutique hotels provide interesting art experiences, like the Opposite House Hotel in the Sanlitun area of Beijing.

"Their permanent art collection is second to none," says Hong Kong-based art consultant Alison Pickett.

"And they have a fantastic rotating exhibition venue in the lobby which showcases really challenging and interesting installations, many of which you wouldn't get to see in any of the galleries."

The Red Gate Gallery in Beijing holds open studio exhibitions. Visitors can see how resident international artists work, live and create in Beijing.

The Opposite House, The Village Building 1, 11 Sanlitun Lu, near Dongzhimenwai Da Jie, Village 1; nightly rate from about RMB 2,500 (US$400); +86 10 6417 6688; www.theoppositehouse.com

Red Gate Gallery, 1/F and 4/F, Dongbianmen Watchtower, Dongcheng District, Beijing 4; +86 10 6525 1005; open daily 9 a.m.-5 p.m.

18. Take the kids along ... without regret

Taking small but manageable risks when traveling in China with children can reap big rewards.

Three Mountain (San Shan) Island northwest of Shanghai is an ideal spot to venture away from the big city for the weekend with the family.

"Our family took a weekend trip by train and boat to San Shan Dao, where we had an extraordinary China experience staying in small local guest houses and exploring the island," says Lynette MacDonald, editor in chief of Shanghai Family magazine and frequent traveler with children.

San Shan Dao, near Suzhou, Jiangsu Province

19. Get a tea education

Shanghai's Laoximen Tea Plaza houses a variety of specialty tea shops.

"On the second floor, at Qing Quan Tea (shop 218), I can sit for hours testing white or red teas and listening to owner David Li talking about health benefits, differences in soil or climate conditions or quality differences," says China-based food writer and tea lover Anna-Lena Bjarneberg.

Laoximen Tea Plaza, 1121 Fuxing Dong Lu, Huangpu District, Shanghai;+86 21 5386 5555; open daily 9 a.m.-9 p.m.

20. Take better pictures

The best gear investments to make before coming to China are an excellent camera bag and polarizing filter, according to professional photographer and frequent China traveler Roger D'Souza.

"China is very dusty and hard on photo gear, so a good bag that's well sealed but also accessible is essential."

The Australian photographer also suggests using a polarizing filter to cut through China's frequent smog. "If there is any blue in the sky this will make it appear more vibrant," he says.

Got your own China travel tips? Share them in the comments box below.

@highlight

China is an unquestionably fabulous tourist destination, but can rattle even veteran travelers

@highlight

The language barrier is a big problem unless you have a good language app

@highlight

China is a safe place but you should be aware of its notorious air pollution

@highlight

If you want to take great pictures in China, an excellent camera bag and polarizing filter are necessary