(CNN) -- Computers, cell phones and Aeron chairs will only get you so far in life.

Great outdoors satisfaction still reigns supreme, especially at this collection of wild spaces.

1. Tarkine Rainforest, Tasmania

A rarely visited, ancient and pristine forest wilderness, the Tarkine calls to mind myth and legend.

It's in the northwest corner of Tasmania and is often referred to as the "forgotten wilderness."

It's not entirely that. It's a wonderland of wild rivers, secret waterfalls, giant tree ferns, rare birds and the near-extinct Tasmanian devil (the world's largest carnivorous marsupial). Hikers who make it here leave enchanted.

How to do it: Tasmanian Expeditions offers a five-night walk on the Tarkine Rainforest Track, the only multiday rainforest trek of its kind.

You'll be led by professional guides and spend nights camping in haunting and beautiful surroundings.

U.S. $1,916 per person, excluding flights; +61 (0)3 6331 9000; www.tasmanianexpeditions.com.au

2. Knoydart Peninsula, Scotland

Rugged, isolated and beautiful Knoydart Peninsula is often described as Scotland's last wilderness. Tucked in the Highlands, it's accessible only by boat or on foot.

The journey is worth the effort: There are exhilarating mountain passes to cross and sandy inlets to explore.

Whether they have soaked in epic sunsets or caught glimpses of the whales, dolphins and porpoises that live in its waters, visitors usually leave feeling spiritually restored.

How to do it: Wilderness Scotland offers extended guided trips.

U.S. $1,712 per person, including seven nights full board in a wilderness lodge, guided daily walks, boat trips to access remote walks and transfers; +44 (0)1479 420 020; www.wildernessscotland.com

3. Salar de Uyuni, Bolivia

The stunning, lunar-like salt flats in the southwest of Bolivia are the largest in the world, covering 3,860 square miles.

June and July are arguably the best months, when the whole area appears blindingly white. After the rains, the salt "desert" resembles a giant mirror. It is beautifully barren and straight out of sci-fi central casting. You would be hard-pressed to find a more meditative escape.

At more than 11,400 feet above sea level, you'll need to be able to handle high altitudes.

How to do it: A 10-night Bolivia itinerary taking in the Salar de Uyuni operated by UK-based Sunvil.

U.S. $2,985 per person, including all transport and transfers, mixed-board accommodation in comfortable hotels and all excursions and permits.; +44 (0)20 8758 4774; www.sunvil.co.uk

4. Sossusvlei, Namibia

Few sights are as nourishing as the apricot-colored dunes at Sossusvlei, in the southern part of the Namib desert.

So much of Namibia is a natural paradise seemingly drawn by eco-genies. Highlights include the white salt pans of Etosha National Park, the stark beaches of Skeleton Coast, the remote, little-visited wilderness of Kaokoland in the northwest and the lush Kunene River.

How to do it: Wilderness Safaris' Great Namibian Journey is an 11-night adventure that captures the best of this astonishing land.

From U.S. $6,629 per person, including accommodation, all meals, activities and park fees; +27 11 807 1800; www.wilderness-safaris.com

5. Great Bear Rainforest, British Columbia, Canada

Never heard of it? All the more reason to visit.

The Great Bear might fly under the radar, but this is one of the largest remaining tracks of temperate rainforest left in the world.

Stretching along British Columbia's island-dotted coastline, its marvels include ancient red cedar cathedrals (some of the trees are more than a thousand years old) and other towering trees, glacier-fed fjords and wooded islands.

Estuaries and rocky beaches are "guarded" by brown and black bears, gray wolves and cougars.

Eagles soar overhead and humpback whales put in an appearance in summer, joining orcas, dolphins and seabirds.

How to do it: Great Bear is remote, so the best way to access it is from the water. Nature Trek offers a seven-night, full-board "Cruising the Great Bear Rainforest" trip, which includes daily shore excursions to explore the forests, estuaries and coastlines on foot.

U.S. $5,752 includes one-night B&B stay in Vancouver and all guiding, excursions and permits, but excludes international flights; +44 (0)1962 733051; www.naturetrek.co.uk

6. Kakadu National Park, Northern Territories, Australia

The untamed Outback, wild and beautiful, is arguably nowhere more picturesque than in Kakadu, the largest national park in Australia.

The park's aboriginal owners have spent centuries amid its rock art, wetlands, gorges and stunning escarpment scenery.

How to do it: Audley Travel offers a seven-night "Top End Explorer" package from U.S. $2,990 per person, excluding flights.

The trip starts in the Northern Territories' capital of Darwin, where guests are picked up in a hired car and taken to the Outback.

Small group walks and boat trips are among the highlights at various stopping points; +44 (0) 1993 838 800; www.audleytravel.com

7. The BohuslÃ¤n coast, West Sweden

If you've ever fantasized about gliding silently through the water on a kayak, camping on deserted beaches, enjoying the midnight sun, spotting seals and soaking up the spirit of the sea, you'll find no shortage of experiences here.

This sublime stretch of coastline extends to the border with Norway and is dotted with an archipelago of some 8,000 islands and islets.

How to do it: Nature Travels offers self-guided kayaking adventures around the scenic islands of Orust and Tjorn, a sheltered area on the rocky coast. Maps, drop-offs and pick-ups and induction lesson included.

From U.S. $427 per person for a three-day trip, exclusive of flights; +44 01929 503 080; www.naturetravels.co.uk

8. Dana Biosphere Reserve, Jordan

The largest nature reserve in Jordan is a protected region about 120 miles to the south of Amman. It's an Aladdin's trove of hills, canyons, gorges and deserts, wildlife (including the rarely spotted Nubian Ibex) and plant species.

It's perfect for hikers, nature lovers and those seeking a slice of serenity.

How to do it: Base yourself at the award-winning Feynan Ecolodge on the western border of the Dana Biosphere Reserve. This is no ordinary guest house: set up by Jordan's Royal Society for the Conservation of Nature, it's entirely solar powered and has won awards for its ethical practices.

You can hike, ride mountain bikes, stargaze, visit Bedouin homes, sip mint tea or unwind in serene courtyards.

Travel the Unknown offers week-long tours, including a four-night stay at the lodge, hikes and bikes.

From U.S. $1,347 per person; +1 347 329 5524; www.traveltheunknown.com

9. The Isles of Scilly, United Kingdom

For wannabe castaways, little compares with what's probably the most beautiful spot in the UK, a tranquil sun and windswept archipelago 28 miles off the Cornish coast.

Bryher Island, with a population of around 80 (all trusting locals who leave their doors unlocked) offers coastal walks, sandy coves, wildflower-strewn bays and rocky outcrops for a wind lashing by Atlantic breakers.

Further away from it all still is the uninhabited Samson Island, an easy boat ride away.

How to do it: Isles of Scilly Holidays offers a package that includes half-board at the magical Hell Bay Hotel and accommodation on neighboring island Tresco, as well as helicopter flights from Penzance to Tresco and boat transfers.

U.S. $1,838 per person, based on double occupancy; +44 (0)1720 423 239; www.islesofscillyholidays.co.uk

10. Uttarakhand, Himalayas, India

Uttarakhand state forms a part of the Himalayas, but one that's often overlooked by tourists.

Yet two of India's greatest rivers, the Ganges and the Yamuna originate in the glaciers here.

Glittering peaks and vivid landscapes create an environment that can calm the most unsettled of hearts.

The region is home to some of the holiest of Hindu shrines, rare species of plants and animals and the quixotically named Valley of Flowers National Park.

How to do it: Full local immersion is available at the gentle Dunagiri retreat, an accommodation constructed by villagers with entirely local materials.

From here you can embark on wilderness hikes and treks, village walks, practice yoga, learn to paint a mural with a local artist, take a cookery lesson, meditate, deepen your spiritual practice (or acquire one) and learn about local medicinal herbs.

From U.S. $117 per night based on double occupancy and full-board, including transfers and tours; +44 1924 280808; www.hotelsunder100.co.uk

@highlight

Knoydart Peninsula often described as Scotland's last wilderness

@highlight

Great Bear Rainforest, British Columbia, contains ancient red cedars

@highlight

Kakadu National Park, Australia has rock art, wetlands, gorges and escarpment scenery

@highlight

Uttarakhand, Himalayas, India is home to Hindu Shrines, rare species of plants and animals