(CNN) -- When Debbie Wasserman Schultz visited her friend Gabrielle Giffords in the hospital last week, she talked to her about the demonstrations in Egypt and the Republicans' proposed budget cuts -- not exactly topics you might expect during a hospital visit.

But Wasserman Schultz says she remembers what she wanted to talk about when she was hospitalized with breast cancer a few years ago.

"As much as (Giffords' husband, Mark Kelly) cares about her, he doesn't know all the fun stories about what's going on in Washington," she said. "There's only 435 of us in the House of Representatives, and I knew she'd want to be caught up on what's going on, so I told her stories about different colleagues and who said what."

In the nearly six weeks since the Arizona Democrat was shot, Wasserman Schultz, a Florida Democrat, has made three trips to visit her friend: two to Tucson and one to Houston, where Giffords is in a rehabilitation hospital. She's planning another trip there in a few weeks.

She fits the travel into her busy schedule because she remembers how important such visits were to her when she was recovering from her seven breast cancer surgeries, including a double mastectomy, breast reconstruction and removal of her ovaries.

"Being hospitalized and sidelined in such a significant way can be so isolating, and Gabby is even more isolated from the world than I was. She's isolated in her own body while she's recovering," she said.

Wasserman Schultz says that even though Giffords couldn't speak to her during a visit two weeks ago, she felt that Giffords understood what she told her and appreciated the visit.

"She reacts with facial expressions as she would ordinarily, just without words," she said. "She smiles; she frowns; she laughs."

When Wasserman Schultz tried to think about what gift her friend would most want, the answer was easy: Giffords would want someone to help take care of the people in her district in Arizona.

"Her constituents are so important to her, and my staff jumped right in to help with constituent services," she said.

Wasserman Schultz's own constituents say they feel like well-cared-for friends, even when they don't live near the congresswoman.

Eleven years ago, doctors told Rixys Alfonso her 2-year-old son, Devin Alvarez, was going to die. Her doctor in Florida said there were no more treatments left to treat his congenital disease, called Sprengle's deformity, and Florida Medicaid was unwilling to pay for her son to go a surgeon in Texas who could help him.

Alfonso says that not only did Wasserman Schultz, then a member of the Florida Legislature, persuade Medicaid to pay for Devin to get treatment in Texas, but she's called and visited him regularly even after moving to Washington in 2005 to become a member of Congress.

"If it weren't for Debbie, he'd be dead, and she didn't have to do any of it," Alfonso says. "She's a mom to the community."

Sometimes, when a friend who lives far away has a medical crisis, it's tough to know how often to visit, what to say or what you can do to help without violating your friend's and their family's privacy. But Wasserman Schultz says that stepping forward can make a huge difference.

In her case, her friends were "critical" because she received all her care in Washington, while her husband, Steve Schultz, stayed home in Florida with their three young children, who were unaware of her breast cancer diagnosis.

"My mother was with me, but she works full-time and had to get back to work, so my girlfriends came up to be with me and rotated every few days so I'd always have one of them with me," she said.

Here are tips from Wasserman Schultz and others about how to give your friend the best care you can even when you live far away.

1. Know your friend

If you're not sure whether your friend wants to you to travel for a visit, ask.

"Everyone deals with illness differently," Wasserman Schultz said. "Some like to have a lot of interaction, and others are private. It really is very unique.

"In Gabby's case, she can't express her opinion, so Mark's got to do it for her," she said. "But in most cases, people can say what they want."

2. Make specific offers

When television reporter Diem Brown got ovarian cancer five years ago at age 23, many friends said something to the effect of "let me know what I can do."

To her, that felt like an empty promise.

"I got very, very bitter. Everyone said, 'I want to help you,' but I felt like it wasn't real," she remembered.

What did help were friends who helped her figure out specifically what she needed. In her case, it was a wig -- a good one that cost $2,000 that she could wear on TV -- and her friends helped her pay for it.

Brown, an entertainment reporter for Sky TV, has since started medgift.com, where patients can register for the gifts they want, just as couples make a wedding registry.

3. Give the right gift

If you can't send yourself to your friend, send the right gift. Carepages.com has some ideas, including a subscription to an online video rental service or an appointment for pampering at a spa for after the person has been discharged.

"You should try to put yourself in the person's shoes when getting a gift," Brown advised. "For example, maybe they have a dog, and what they need is a service to walk the dog."

4. Call at night

"Know that nighttime is often the hardest time for people in crisis," psychologist Gail Brenner writes on her blog. "Call in the evening to check in."

5. Call weeks later

Support often flows in when someone first becomes ill and then wanes when the illness goes on and on. Brenner suggests checking in with your friend weeks or months after the initial health crisis, when others may have stopped calling.

@highlight

Rep. Debbie Wasserman Schultz has visited Gabrielle Giffords three times in six weeks

@highlight

"Being hospitalized ... can be so isolating," she said

@highlight

Wasserman Schultz and others give tips about how to care for your friend