(CNN) -- Watching 3-D movies generally means suffering through two things: crappy plotlines that favor spectacle over substance and the need to wear some annoying, dorky glasses. Scientists may have solved one of these frustrations. (You might be able to guess which.)

Researchers in South Korea have created a new method that would allow moviegoers to simply sit down and start watching a 3-D movie with no extra gear necessary. The research was published Monday in Optics Express.

"This is essentially the next step that was required for 3-D display technology without glasses," said physicist John Koshel, who studies optical science at the University of Arizona and was not associated with the new work.

We see the world in three dimensions because our eyes are spaced slightly apart, each looking out at a different angle. Your brain combines the information from both eyes, determining where each object in your field of view is to generate depth perception.

To achieve 3-D movies or television, the trick is to send a slightly different, offset picture to each eye. Special glasses handle this task for most modern 3-D blockbuster movies, with each lens only letting in one polarization of light. Polarization describes the direction in which the electromagnetic waves in light oscillate, either up-down, left-right, or something in between.

When you sit down to watch something like "Avatar," two projectors are displaying two images on the same screen, with the light from one polarized left-right and the other up-down. This is why the screen looks kind of blurry when you take the glasses off -- there are two movies playing on it at the same time. The 3-D glasses correct the situation by separating these images, allowing the left-projector movie to go to your left eye and the right-projector movie into your right.

But needing two projectors perfectly synced in a theater is awkward and expensive. There are some glasses-free methods around, where a special filter covering the screen sends some of the light to your right eye and some to your left, creating a 3-D image. This is the technology in Nintendo's 3DS gaming system and several smart phone displays, such as the HTC Evo 3D. In a movie theater, this glasses-free 3-D technique would require the projector to sit behind the screen, but most theaters are not designed for this.

The new method would allow movie theaters to keep their projectors where they've always been, behind the audience, and uses fairly simple optical technology. A special array sits in front of the projector and polarizes its light. A filter covering the screen then obscures different vertical regions of the screen, like the slats of venetian blinds. Each of your eyes, sitting at a slightly different angle, has some of the screen blocked and some of the screen visible. The movie has the right-eye and left-eye images interleaved in vertical columns with one another. The trick then is to have the light visible to your left eye contain the left-eye pixels and vice versa for the right eye.

The new method is less cumbersome than both the current two-projector and the behind-the-screen-projector methods. But because it blocks some of the light to your different eyes, the current image resolution is fairly low. Koshel expects that 3-D movie companies will be interested in upgrading the method's abilities and resolution to bring glasses-free 3-D to the masses.

"This technology is still in its infancy, but it's a new step that was hidden for a long time," Koshel said.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

South Korean researchers create way to watch 3D movies with no glasses

@highlight

Method blocks some light to viewers eyes, creating 3D effect

@highlight

Current method, using two projectors, is awkward and expensive