Jinan, China (CNN) -- Bo Xilai, the former high-flying Chinese politician whose dramatic fall from grace shook the ruling Communist Party, made a defiant court appearance Thursday, disputing several of the accusations against him at his trial in eastern China.

Once considered a contender for the top rungs of China's political hierarchy, Bo is now on trial on charges of bribery, embezzlement and abuse of power.

A charismatic and divisive figure when he was in power, Bo has spent more than a year in detention. During that time, his name has regularly been featured in headlines, but he has been kept out of public view.

On Thursday, he returned to the spotlight, albeit one controlled by Chinese authorities.

Timeline: Bo's fall from grace

Many observers had expected the high-profile court hearing in the eastern city of Jinan to stick to a script of accusation, admission and conviction. But Bo, 64, appeared to be unwilling Thursday to let all the prosecution's allegations against him go unchallenged.

The Thursday session has been adjourned and proceedings will resume at 8:30 a.m. local time Friday, the Jinan Intermediate People's Court said.

Testimony disputed

In posts about the proceedings on its official microblog account, the Jinan court said that Bo contested the claim that he had taken bribes from Tang Xiaolin, a businessman in the northeastern industrial city of Dalian, where Bo used to be mayor.

Bo said that he had previously accepted the charge "unwillingly" when he was being investigated by a party disciplinary commission. "But at that time, I didn't know the details mentioned above," he said, according to the court.

After watching a video in which Tang detailed how he sent Bo money, Bo remarked, "I saw an ugly performance by a person who sold his soul," the court said.

The prosecutor showed the court written testimony from Bo's wife, Gu Kailai, who was convicted last year of murdering a British businessman.

Gu's statement mentioned a safe the couple shared from which she took tens of thousands of dollars to cover expenses for her and their son, who was studying in Britain at the time.

Bo reportedly described Gu's testimony as "ridiculous" and questioned its reliability, as it came after she received a suspended death sentence for her murder conviction.

He then said that an accusation that another Dalian business executive, Xu Ming, gave him and his family a multimillion-dollar villa in the south of France is "totally false."

Although Chinese authorities had talked of a public trial for Bo, the former party boss of the sprawling southwestern metropolis of Chongqing, journalists from the international news media weren't allowed in the courtroom.

Reporters had to rely on the frequent updates from the court's microblog account and official state-run news outlets, as well as a separate briefing by officials.

As it dished out details through the day, the court's account on the Twitter-like Weibo service quickly gained tens of thousands of followers.

China leaves nothing to chance for Bo Xilai 'trial of the century'

High conviction rate

It wasn't immediately clear whether Bo's denial of part of the allegations was an unexpected development. The court's publication of his comments suggested that authorities were comfortable with the situation.

And his rejection of bribery allegations doesn't mean the court will acquit him.

The conviction rate for criminal trials and their appeals in China -- where the party controls police, prosecution and courts -- stood at 99.9% in 2010, a U.S. State Department report cited the Supreme People's Court as saying.

Analysts have suggested that the court proceedings are more about settling Communist Party business than delivering justice.

"It's a political exercise," Joseph Cheng, a political science professor at the City University of Hong Kong, said before the trial started. "It is not a trial, per se, but a political settlement."

Bo's punishment will in part be retaliation for his audacity in challenging Hu Jintao, Xi Jinping and other top party leaders by pushing his own "Chongqing model" and engaging in public grandstanding, Cheng said.

First photos in more than a year

Authorities published photos Thursday of Bo, who hadn't been seen in public since he was stripped of his high-ranking party posts in April 2012. One image showed him standing at the dock in a white, long-sleeved shirt, flanked by two tall uniformed police officers.

His hands, clasped in front of him, were not in handcuffs, and he appeared little changed compared with pictures taken before he disappeared from public view.

The court published what it said was a dialogue between Bo and the chief judge in which the defendant was cited as saying he hoped the court "can hear my case reasonably and fairly, as well as following our country's legal procedure."

The chief judge replied that the court "understands your concerns, and will use our legal authority fairly and in accordance to the law."

Bo's spectacular downfall -- complete with tales of murder, corruption and betrayal -- set off the Communist Party's biggest political crisis in decades.

His wife is in prison. Their son, living in the United States, says he hasn't spoken to his parents in a year and half.

Five members of Bo's family were in the public gallery at the trial Thursday, state media reported without providing their names. They were joined by 105 other people, including 19 journalists.

Bo Xilai trial: Son Bo Guagua hopes father can 'answer his critics'

A career unravels

Bo is a princeling, a term that refers to the children of revolutionary veterans who boast of political connections and influence. His late father, Bo Yibo, was a revolutionary contemporary of Mao and former leader Deng Xiaoping.

Over the past three decades, Bo rose to power as a city mayor, provincial governor, minister of commerce and member of the Politburo, the powerful policymaking body of the Communist Party.

A charismatic and urbane politician, Bo was credited with a spectacular, albeit brutal, crackdown on organized crime during his time in Chongqing.

But when his deputy, Wang Lijun, walked into the U.S. Consulate in the city of Chengdu in February of last year and told American diplomats that Bo's wife, Gu, was an accomplice in a murder case, a glittering political career began to unravel.

Wang's move precipitated Bo's political demise. Soon after news of the events began to emerge, Bo was removed from his party posts.

A court found Gu guilty last year of murdering British businessman Neil Heywood in a Chongqing hotel room in 2011. A family employee, Zhang Xiaojun, was also convicted in the killing and sentenced to nine years in prison.

The following month, Wang was convicted of bending the law for selfish ends, defection, abuse of power and bribe-taking. He received a 15-year prison sentence.

The last chapter?

Bo's trial is seen as a potentially concluding chapter in the scandal.

Authorities haven't said how long it will last. But with only part of the charges reportedly addressed in the first day, it appears it could go on for longer than the two days some observers had predicted.

Under the bribery indictment, prosecutors accuse Bo of using his political posts to secure influence for others. They say that between 2000 and 2012, Bo, Gu and their son, Bo Guagua, received about 22 million renminbi ($3.6 million) in bribes from Tang and Xu, the Dalian businessmen.

The embezzlement charge alleges that Bo and Gu transferred 5 million renminbi of public money from a construction project in Dalian to a private account through a law firm in Beijing.

And the abuse of power indictment relates to Bo's actions after he was informed about his wife's involvement in the killing of Heywood and Wang's attempted defection to the United States.

CNN's David McKenzie and Steven Jiang reported from Jinan. Jethro Mullen wrote from Hong Kong. K.J. Kwon and Jaime A. FlorCruz in Beijing contributed to this report.

@highlight

NEW: Court adjourned Thursday and will resume Friday morning

@highlight

Bo denies taking bribes from businessmen in Dalian

@highlight

The former top official calls written testimony from his jailed wife ridiculous

@highlight

Bo describes a former associate's testimony as "an ugly performance"