(CNN) -- As relatives began to say their final goodbyes to their slain children, investigators in Connecticut worked Monday to better understand what happened to them, including digging deeper into the gun and computer use of the 20-year-old man who ended their lives.

In recent days, authorities have established that Adam Lanza shot open an entrance into Newtown's Sandy Hook Elementary School. He fired multiple magazines -- each one with 30 bullets -- from a Bushmaster AR-15 rifle to kill six adults and 20 children from two classrooms. Each victim was shot multiple times before Lanza used a handgun to kill himself.

Why? Authorities haven't given a motive. But they are looking into shards of the remnants of the shooter's smashed home computer -- -- including e-mails he may have sent and websites he may have visited -- hoping it will shed light on his thinking, a law enforcement official said Monday.

Authorities are also probing Lanza's history with firearms. The three weapons found near his dead body were the semiautomatic .223-caliber rifle made by Bushmaster and two handguns made by Glock and Sig Sauer. A shotgun was found in his car nearby, according to Connecticut State Police Lt. J. Paul Vance.

The weapons belonged to his mother, Nancy Lanza, who was found shot dead in her Newtown home Friday. She collected firearms, shot them and went to gun ranges, Bureau of Alcohol, Tobacco, Firearms and Explosives spokeswoman Debora Seifert said Monday.

The mother and the son who killed her even went to a range together. From what the ATF has been able to determine thus far, "their most recent visit was more than six months ago," Seifert said.

Beyond such developments, officials overall were tight-lipped Monday about their investigation. Hundreds of state troopers, detectives and other law enforcement personnel are analyzing every round of ammunition fired, examining the gunman's medical history and talking to witnesses, said Vance, the state police spokesman.

Investigators plan to interview a pair of adults wounded "in their lower extremities." The hope is the two -- whom authorities have not identified, though a parent last week said one was a vice principal at the school -- could, "when it's medically appropriate," play a key role in helping to reconstruct what happened, said Vance.

"I'm not at liberty to discuss any of the information so far uncovered, but suffice it to say ... we will cover every single facet," the police spokesman said of the investigation.

First funerals and addressing 'the unthinkable'

The anguish caused by the shooting was visible Monday outside a Newtown funeral home, as young and old streamed in to pay their respects to 6-year-old Jack Pinto.

One of the sports fanatic's idols, New York Giants receiver Victor Cruz, paid tribute during his game Sunday by writing "Jack Pinto My Hero" on his cleats. Afterward, the NFL player said he is "amazed" Jack's family chose to bury the boy wearing a child-size Cruz jersey.

"I don't even know how to put it into words," Cruz said.

The 6-year-old himself was a budding athlete. Shortly before his death, he wrestled in his first match and earned a medal, said New Milford Youth Wrestling Association President Ken Linder.

Many of his teammates wore medals into Jack's funeral Monday. Others, many of them about his age, came in Newtown youth sports shirts. The funeral home couldn't contain the mourners, with the line extending to the street.

Jack wasn't the only one remembered Monday. So, too, was Noah Pozner, another 6-year-old whose family said he could get what he wanted just by batting his long eyelashes.

Noah loved playing with his siblings, especially his twin sister. They still don't know how their brother died, Noah's aunt said.

"How do you tell them that's how their brother died?" Victoria Haller said Sunday. "It's the unthinkable, really."

More funerals are coming. For instance, there's Jessica Rekos on Tuesday. Benjamin Wheeler on Thursday. Madeleine Hsu on Friday. All of them are 6 years old.

And once everyone is buried, residents say it's unlikely their tight-knit community will ever be the same.

"It's incomprehensible, the pain here," Darla Henggeler said. "You can't imagine. We're still in shock. I can't let my heart go there because it's so overwhelming.

"Once it settles in, I think my heart will break."

Ex-school official: Lanza would 'withdraw into his own little world'

When he was the Newtown public schools' director of security, Richard Novia knew Adam Lanza. In high school, the then-teen had psychological issues and would sometimes "withdraw into his own little world," Novia said.

But he never saw Friday's carnage coming.

"I interacted with that boy daily for several years," Novia told Nancy Grace from HLN, CNN's sister network. "And I can tell you that there was no indication he would carry out a heinous act."

Lanza worked with Novia in Newtown High's Tech Club, with his mother -- who the former security director described as "doting" and very involved in her children's lives -- often taking part in its activities. She'd also be called to the school when Adam Lanza "would have little episodes ... where he could not ... talk or communicate, even what he was feeling."

Citing local school authorities, Vance said Monday there was "no connection" between the shooter and with the elementary school he targeted. Cynthia Jaroszewksi, though, told CNN that Lanza once attended that school and was even in the same first- and third-grade classes as her daughter, Rebecca.

No class for Sandy Hook students 'until further notice'

As to Sandy Hook's current students and faculty, they will be out of school "until further notice," Newtown Police Lt. George Sinko said.

When classes do resume, it will be in a different place.

Authorities have said Sandy Hook students and staff will be at Chalk Hill Elementary in neighboring Monroe, Connecticut, with Gov. Dannel Malloy saying he's signed an order to expedite such a move. In fact, moving trucks were parked outside the Newtown school Monday, to transport supplies and equipment to their home.

School will be in session for other students in town Tuesday, albeit after a 2-hour delay.

"Be assured that the safety of your children and our staff are our first priority," Superintendent Janet Robinson told parents in an e-mail. "(Police) Chief (Michael) Kehoe along with his colleagues from the State Police and surrounding communities are implementing a security plan which will provide increased presence at all of our schools."

Read more: Timeline: School violence in the U.S.

Read more: Support crucial for kids after trauma

Massacre stirs debate about gun control

Preventing future Newtowns isn't just on Connecticut residents' minds. The massacre has spurred talk nationwide about gun violence and how to prevent it.

President Barack Obama's call for change was the centerpiece of his address Sunday night at Newtown High School. Referencing other mass shootings over the last two years, he said Americans can't "honestly say we're doing enough to keep our children -- all of them -- safe from harm."

To that end, Obama promised, "In the coming weeks, I will use whatever power this office holds to engage my fellow citizens -- from law enforcement to mental health professionals, to parents and educators -- in an effort aimed at preventing more tragedies like this."

Read more: "We can't tolerate this anymore," Obama says

While gun rights groups like the National Rifle Association have been largely silent since Friday's shooting, others have spoken up.

Malloy, Connecticut's governor, said Monday, "I'd love to hear the people argue that we need 30-round magazines and that's somehow tied to the right to bear arms. We're not talking about basic weapons that are used in hunting."

Sen. Joe Manchin, a conservative Democrat from West Virginia and "proud gun owner," said he's now committed to "dialogue that would bring a total change" given what happened in Newtown.

Interactive: Remembering the school shooting victims

"Who would have ever thought, in America or anywhere in the world, that children would be slaughtered?" he told CNN. "It's changed me."

The debate is playing out not just in Washington, but across America.

John Licata told CNN's iReport there needs to be better vetting before people buy guns, and assault weapons should be banned -- something Sen. Dianne Feinstein, D-California, says she'll propose once the new Congress convenes in January.

CNN iReporter Jameson Riley said the shooting shows the need for more armed guards in schools. Riley, a gun owner, said recent mass shootings have made him consider getting a concealed weapon permit.

"I have a 2-year-old daughter, and she is the light of my life," he said. "And I would like to protect her."

Others said Americans shouldn't change how they live, contending that doing so is a victory for perpetrators of violence.

"Yes, I hugged my son so tight when he got home from school that day that he asked what was wrong," one CNN.com commenter wrote. "But I refuse to let evil monsters intimidate me into living my life -- or raising my son -- in fear."

Read more: Hugs, tears can comfort survivors

Read the full text of the president's speech

Analysis: Why gun controls are off the agenda in America

CNN's Susan Candiotti reported on this story from Newtown, and Greg Botelho wrote it from Atlanta. CNN's Holly Yan, Catherine E. Shoichet, Kyung Lah, David Ariosto, Wayne Drash, Eric Marrapodi, Carol Cratty and David Williams contributed to this report.

@highlight

NEW: An ex-school official says Lanza sometimes withdrew "into his own little world"

@highlight

Authorities look at smashed computer parts from the gunman's home, an official says

@highlight

Lanza visited at least one gun range with his mother, an ATF spokeswoman says

@highlight

Funerals are held for two of the 26 school shooting victims, both of them 6-year-olds