(TIME.com) -- Buildings can earn LEEDS certification for being energy efficient, so why shouldn't they qualify for being good for our health?

Sustainable homes and "green" living have been popular trends in real estate for years now, but the latest buzzwords for buildings focus on their occupants.

While hotels and spas have increasingly marketed wellness environments to attract health-minded consumers, real estate company Delos, which focuses on so-called wellness properties, is pushing the idea into residences. The company recently partnered with Columbia University Medical Center to conduct a four-year review of 4,000 scientific studies relating to health and the environment, including building technologies.

Their findings are now part of a database that helps builders create spaces that are more health- and wellness-friendly.

TIME.com: From 'World of Warcraft' to weight loss

Here's how it works. The data that the team of medical experts, policymakers and designers developed comprise a new certification standard that Delos calls WELL. To meet the WELL Building Standard, spaces must contribute to a person's well being by providing, among other amenities, filtered or purified air and water, as well as adequate opportunities for fitness, and even psychological comfort and nourishment in the form of proper lighting to balance mood and reduce stress.

Some properties even contain behind-the-walls features such as UV sanitizers and air filters that get rid of bacteria and toxins.

"Why stop at building homes or offices or hotels that are good for just the environment? Why not also build these structures so that they are good for the people who live in them and work in them and stay in them? [We're] pushing that sustainability intention beyond just environmental and into human or biological considerations," says Delos founder Paul Scialla.

For now, spaces designed by other developers require a partnership with Delos in order to earn the WELL designation. During this pilot phase, the standards are not public as they are with LEED certification, and the specific criteria — levels of acceptable allergens or other air particles, for example — are only available to developers who agree to meet the specifications in building their space.

TIME.com: The hazards lurking at home

The inspiration is in line with hotels that are turning more to wellness principles when designing its rooms and public spaces — a smart decision since health and wellness-related services contribute to an estimated $2 trillion industry annually. Corporate offices are slower to the trend, but are also starting to incorporate more health-focused design and environments, from filtered air to fitness facilities.

Hilton and Hyatt hotels, for example, go to great lengths to accommodate guests with allergies. Both use the PURE certification, which provides allergy-free hotel rooms that boast surfaces — both hard and soft — that are treated to minimize bacterial growth, and in-room filtration systems that remove potential allergens or pollutants. The hypoallergenic rooms claim to be 99% allergen free and are re-certified every six months.

On the fitness side, in 2011, Westin rolled out WestinWORKOUT rooms, which transformed hotel rooms into mini-gyms complete with a treadmill or stationary bike, dumbbells, fitness DVDs, resistance bands and stability balls. Similarly, the TRYP by Wyndham New York City keeps its fitness rooms stocked with an exercise bike and complementary exercise clothes.

"We know that 53% of travelers say that they always or often try to exercise when they're on the road," says Brian Povinelli, Westin's Global Brand Leader. "Our brand mission is to enable our guests to pursue their well-being when on the road. With the brand's dedicated WestinWORKOUT Rooms, hotel guests are able to fit their regular cardio, strength training, or exercise routines into their hectic travel schedules with the added luxury of a private workout at any time."

While some of these programs are undoubtedly marketing efforts to compete for consumers, there is a body of research suggesting that design can make a difference in health. For instance, the University of Tulsa's Indoor Air Program studies ways to improve indoor air quality in homes, schools and workplace environments. Currently, its scientists looking at the differences in various types of flooring to see how each impacts dust collection, cleaning methods and recirculation of settled particles. This particular project is focused on finding healthier breathing environments for students in schools.

As for the allergy-free claims made by hotels? The researchers warn guests to be skeptical and keep in mind that while the room may be relatively sanitized, people may bring with them allergens that can't always be whisked away.

"It really depends on what is being used; some air sanitizers can actually trigger allergy symptoms," says Dr. Richard Shaughnessy, director of research and manager of the university's Indoor Air Program. "Can you make a better hotel room? Sure, but I don't know how they get to the 99% allergen-free. I don't know what they're basing it on. There are things you can do to make an environment more allergy-friendly, but you have to know the details."

TIME.com: Is the 'Food of the Future' really a nutrition solution?

Fitness claims are a bit easier to swallow. For its fitness-inspired designs, Delos studied ways to take advantage of living spaces to encourage beneficial physical activities. Some bathrooms in Delos properites, for example, include heated floor stones instead of tile to mimic the therapeutic effects of hot stone reflexology.

"[We thought about how design could] encourage people to walk on surfaces that are more conducive to joint health, [so we considered] things like posture and supportive flooring," says Scialla.

Indoor lighting is another important element of the WELL Building certification. Scialla says the challenges real estate has with lighting are pretty extreme. Now that we spend that majority of our time indoors, we lose our natural connections to light, and circadian rhythms are thrown off.

"We took a lot of time studying the effects of indoor light on a person's natural circadian rhythms, on their activity level during the day, and on their sleeping patterns at night. We are very pleased with the program we have come up with that make use of different types of light and intelligent placement of these different types of light to make sure the body's circadian rhythm is not disrupted," says Scialla.

The company has developed several Stay Well Rooms at the MGM Grand Hotel & Casino in Las Vegas, which have built-in amenities that range from dawn simulator alarm clocks to naturally awaken the body to an air purification system. Delos is finishing up its first residential homes in New York's Greenwich Village neighborhood that will bring these same concepts to people's every day dwellings. And by early 2014, the company plans to start construction of the Bloc, the first WELL Certified block of residences and commercial spots in downtown Los Angeles.

So far, hotels and residential living developers have expressed an interest in the WELL certification, and the company says corporations are also eager to learn about how to both design and certify wellness-friendly work environments. By this fall, more Delos-designed spots will be open for consumers and home-owners to figure out for themselves whether their homes can really make them healthier.

This story was originally published on TIME.com

&copy 2012 TIME, Inc. TIME is a registered trademark of Time Inc.  Used with permission.

@highlight

Real estate company is creating a database to help builders create healthy spaces

@highlight

Properties with WELL Building Standard will have adequate fitness opportunities

@highlight

These buildings will also have filtered air and water, and proper lighting to reduce stress