New York (CNN) -- Within hours of finding Philip Seymour Hoffman on the floor of his bathroom with a needle in his arm, New York Police Department investigators were combing his apartment and the surrounding neighborhood for clues.

Investigators looked through video from ATM cameras and interviewed people who saw the actor, piecing together his final hours as they searched for anyone who might be linked to the drugs believed to have killed him over the weekend.

Three days later, authorities arrested four people in connection with the drugs found in Hoffman's apartment.

It was a lightning-paced investigation, raising the question that out of the thousands of heroin-related deaths in the United States each year, how many yield similar results?

"There are laws in most states now that say if you give drugs to somebody who kill themselves, you are responsible for their death," CNN legal analyst Mark O'Mara said.

But are all such investigations created equal? The answer depends on whom you ask, and where you ask.

'A victim is a victim'

The large law-enforcement response to Hoffman's death wasn't surprising to Mordecai Dzikansky, a retired NYPD homicide detective and intelligence officer with more than 25 years on the job.

"...That's part of the beast," he said. "Something happens in Midtown versus something happens in a corner of Staten Island, I don't think the detectives on the case feel any differently. A victim is a victim."

But add the actor's stature and the media attention, and it requires a few more "hands on deck," he said.

Everyone in law enforcement agrees there has been a spike in heroin use in the United States, spurred by a crackdown on abuse of prescription pills and an increase in heroin production in Mexico.

As a result, heroin-related deaths are on the rise. And so, too, are the investigations into the drug that serves as a cheap substitute for prescription drug abuse.

Quantifying the number of heroin-related investigations is difficult at best, given the sheer number of jurisdictions across the nation.

But Joseph Giacalone, a retired NYPD detective with more than 20 years of experience as an investigator, believes the police response in the Hoffman case was undoubtedly influenced by media attention surrounding an apparent overdose death of a celebrity.

The Manhattan district attorney's office declined to comment on the Hoffman case or discuss the number of heroin-related prosecutions it has carried out. The New York Police Department did not respond to repeated CNN requests to discuss the scope and pace of the Hoffman investigation compared to others in the city.

Spate of deaths

Giacalone said a spate of heroin-related deaths in the region also played a role in the police response.

In Allegheny County, a predominantly working class area of western Pennsylvania, the chief medical examiner says he typically sees three to four deaths a week from drug overdoses.

Rarely are they heroin deaths.

But in one week in late January, Dr. Karl Williams says he saw 15 -- all heroin users, all from an overdose of heroin laced with the powerful cancer painkiller fentanyl.

The drug did not discriminate. Among the dead: Men and women, young and old. None was a famous actor, though.

County and state law enforcement officials sounded the warning about the deadly drug, and Pittsburgh's mayor pleaded for people to come forward with information.

Within days, a 39-year-old Pittsburgh man was in custody charged with selling the heroin. Authorities seized more than 2,000 bags of the suspected heroin from the man's home, state Attorney General Kathleen G. Kane said at the time.

"It is my highest priority to find and hold accountable those involved in the distribution of this deadly drug mixture," she said.

Authorities in Maryland sounded a similar warning after 37 people died between September and January after using heroin laced with fentanyl.

And in New York City, authorities have reported a dramatic jump in heroin-related deaths. From 2010 to 2012, heroin-related deaths jumped 84%, from 3.1 to 5.7 per 100,000 people, according to a New York City Health Department report released in 2013. That amounts to 382 deaths in 2012, more than one per day.

"The more attention that these things get in the media, the more likelihood there's going to be a strong police response," said Giacalone, who teaches criminal investigation at John Jay College of Criminal Justice in Manhattan.

Celebrities vs. ordinary people

But the media doesn't pay close attention to an overdose death of an ordinary New Yorker, said Dzikansky, who spent years investigating drug overdoses.

"Most of the overdoses that I dealt with, I can't say all, but there was a significant amount where the person, in order to feed the habit, would burglarize apartments," he said.

"Here's an example of a person with a family who brought joy to many, many people and, unfortunately, his addiction killed him. Now there's more attention ... We have to get it [heroin] off the streets. Once it's off the streets, everybody benefits, even the burglar who does it to feed a habit benefits."

Hundreds of miles from New York City, Beth Vernau heard the news of Hoffman's death and the police investigation.

There has been no such law enforcement response looking into her son Andrew's heroin overdose last October, she says.

"What makes his death more important than that of my 19-year-old son?" Vernau, who lives outside Pittsburgh, asked of Hoffman's apparent drug overdose.

"(The police) get on it because it makes the news. But you have a 19-year-old who overdosed, and there could be an example made out there: We're going to go after these people. But no, because he's not a celebrity, that's the end of it."

'Families of ordinary kids struggle'

Andrew was hospitalized two days before dying from an addiction that started when he was 13, Vernau said. He started abusing alcohol and pot, then prescription drugs and, finally, heroin.

She said her son overdosed and the two people he was with put him in her car and drove him around for an hour and 45 minutes before taking him to a hospital. There was no prosecution, she said, no search for the dealer who sold him the heroin.

"Don't get me wrong, I feel bad for anybody who dies of an overdose. But the families of ordinary kids struggle just as much," she said.

Giacalone said some will unfairly criticize the rapid police response to the death of the celebrity.

"Family members of people who aren't famous will say, look at the police response because this guy was an actor, but that's not the case," he said. "The answer is that people were willing to cooperate and give out information to get this stuff. Usually family members are the last ones to know. And friends abandon them, too, because they're using heroin, too."

"It really comes down to the fact that in the very beginning of the investigation, they had people who were willing to help out the police. That rarely happens."

The day after Hoffman died the headlines in New York screamed: "Last Act" and "Death By The Needle."

There were no such headlines for Jose Juarez and Yvonne Valdez, both 18, who died last November of heroin overdoses blocks apart on the same day in Irving, Texas.

Authorities were looking into whether overdoses were related, according to CNN affiliate KNBC in Dallas.

How did it happen?

Celebrity deaths attract attention and, ultimately, questions: How did this happen? Why did it happen?

Those are the questions authorities are trying to answer about Hoffman.

Giacalone is hopeful some good might come out of the investigation.

"Maybe this death of this actor won't be in vain. Maybe they'll be a huge response with arrests of people putting heroin on the streets," he said.

And just maybe all this attention on Hoffman's death will save a few lives, Aaron Sorkin, the creator of HBO's "The Newsroom," wrote in Time magazine.

The two men first met on the set of the 2007 film "Charlie Wilson's War," and during a break in filming the two men shared their stories of heroin addiction with one another.

"If one of us dies of an overdose, probably 10 people who were about to won't," Hoffman told him, Sorkin wrote in Time magazine.

"He meant that our deaths would make news and maybe scare someone clean."

CNN's Ray Sanchez reported this story from New York; Chelsea J. Carter reported and wrote from Atlanta.

@highlight

The investigation into the death of Philip Seymour Hoffman is raising questions

@highlight

Out of thousands of heroin death investigations each year, how many yield results

@highlight

"What makes his death more important than that of my 19-year-old son?" one mother asks

@highlight

One expert says the difference is people appear to be willing to cooperate in Hoffman's death