(CNN) -- Saudi Arabia is often touted as among the most conservative places in the world, with women forbidden even to drive.

But in terms of attitude toward women's freedom of choice in clothing, it's significantly more freethinking than some of its neighbors, a survey of seven Muslim-majority countries suggests.

Nearly two out of three people in Saudi Arabia believe women should keep everything but their eyes covered when they are in a public place -- but at the same time, nearly half say it is up to a woman to dress however she wants.

That puts it on a level with socially liberal Lebanon, and ranks it as far less conservative than Iraq, Pakistan or Egypt.

"Saudi Arabia is not as conservative as it appears. Definitely on some level there is a considerable liberal leaning," said Mansoor Moaddel, the lead author of the study.

That could be partly a reaction to the conservative leadership, he said.

"Saudi has had a religious government for a long time. People tend to develop an oppositional attitude," he argued.

The findings come from a report published by the Middle Eastern Values Study of the University of Michigan's Population Studies Center.

It suggests Egypt is, in terms of gender relations, the most conservative country in the study by some distance.

Only 14% of Egyptians believe women should be allowed to choose how they dress, the lowest level in the survey. Egyptians are also the most likely to say that a woman should be required to obey her husband -- only one Egyptian in 20 disagreed.

Moaddel does not link Egyptian conservatism to religion.

"Egyptians have become more sexist in the past decade. They have become less religious, less supportive of Sharia (Islamic law), but on the issue of gender, more conservative," he said.

"The problem with Egypt is not just religion, it is an intellectual trend. It is hard to say what caused the Egyptians to become less supportive of gender equality," he said, but suggested it could be due to general social turmoil.

"When there is a high level of social insecurity, people tend to fall back on traditional values," he said.

His study is primarily an investigation of social attitudes in Tunisia, which the report labels the birthplace of the Arab Spring, toward a wide variety of subjects including political engagement, national identity, secularism and violence against Americans.

But it delves into comparisons between Tunisia and six other countries: Saudia Arabia, Egypt, Turkey, Lebanon, Iraq and Pakistan.

In one of the survey's most striking questions, researchers showed people pictures of women with six different types of head covering, ranging from the full-body burqa to no covering at all.

They asked people to say which was the most appropriate way for women to dress in public.

Across the seven countries, the most popular answer was a tight-fitting white scarf that completely covered the hair and ears but showed the entire face -- a type of hijab.

Just over half of Egyptians chose that option, as did well over half -- 57% -- in Tunisia, and just under half in Iraq and Turkey.

But there were significant differences from country to country.

Lebanon was the most liberal, with nearly half (49%) of respondents saying women should not wear any head covering at all, and another 12% opting for a loosely-fitting headscarf that showed some hair. At the same time, only 49% said it should be up to a woman to choose how she dresses.

Turkey, which for decades banned women from wearing headscarves in public and is now in the middle of a controversy over the subject, was arguably the next most liberal country after Lebanon.

One in three (32%) said a woman should not wear any head covering, while another 17% chose the loose headscarf. Just over half (52%) of Turks said a woman should be allowed to choose how she dresses.

Saudi Arabia was the most conservative in terms of personal opinion, with about two out of three people (63%) saying a woman should wear a niqab, covering the entire head and face, showing only the eyes. Another 11% picked the full burqa, showing nothing at all of a woman's head and including a mesh over the face.

And yet Saudi Arabia fell in the middle of the pack in terms of whether women should be allowed to choose what they wear, with 47% supporting it.

Only Saudi Arabia had more than token support for the burqa, with just 4% supporting it in Iraq, 3% backing it in Pakistan, and numbers even lower in the other countries.

Surveys were carried out between January 2011 and June 2013 for the study, "The Birthplace of the Arab Spring: Values and Perceptions of the Tunisian Public in a Comparative Perspective."

The study was based on interviews with 2,005 people in Saudi Arabia and at least 3,000 in each of the other countries. The report, published in December, did not say what the margins of error were.

The seven countries include several but not all of the most populous countries in the broader Middle East, from North Africa to South Asia.

.

@highlight

A tight-fitting scarf is the most appropriate thing for a woman to wear, Middle Easterners say

@highlight

Nearly half of Saudis say a woman should be allowed to choose what she wears

@highlight

Egypt is the most conservative country in the region by some measures

@highlight

The findings come from a survey of seven countries across the Middle East