London (CNN) -- It's September 11, 2012. The National Day of Catalonia. And an estimated 1.5 million people are on the streets of Barcelona waving banners "Catalonia -- The next state in Europe" and "Independencia."

Separatist Catalans are calling for sovereignty from Madrid and the rule of the conservative Popular Party, led by Prime Minister Mariano Rajoy.

Losing 20% of the economy is the last thing the Spanish government needs right now. But if those calling for independence get their way, that could be exactly what happens when Catalans go to the polls this weekend.

Catalonia -- a region in the northeast of Spain and home to global brands and tourist attractions including Barcelona Football Club and the Gaudi House Museum -- represents one fifth of the Spanish economy.

The Catalonia issue comes at an inconvenient time for Rajoy's government, which opposes any talk of independence. Spain, part of the eurozone mainstay, is grappling with unsustainable borrowing costs and a soaring public deficit while trying to placate public anger over a lack of jobs and stringent austerity.

Out of the hardship, regional disputes in northern Spain have started to resurface, particularly in Catalonia. Economists at Deutsche Bank say the political turmoil in such a prosperous region could be the catalyst that forces the Spanish central government into seeking aid from Europe's permanent bailout fund, the European Stability Mechanism.

As the industrial heartbeat of the eurozone's fourth largest economy, Catalonia is the most important economic region in Spain. Situated on the Mediterranean and bordering France, the area is home to seven million people and made up of four provinces: Barcelona, Lleida, Tarragona and Girona.

Calls for independence

The debate over Catalan independence is not new. Strained tensions between Madrid and Catalonia have been around for centuries.

But Salvador Giner, sociologist and president of the Intitut d'Estudis Catalans, told CNN the vehemence of the debate fluctuates depending on the political and economic zeitgeist.

Artur Mas, head of the Catalan government, has announced a snap regional election on November 25. If his nationalist CiU party win, a referendum on Catalan independence is expected to follow shortly after, according to Gilles Moec, co-head of European economic research at Deutsche Bank.

Giner told CNN that a victory for Mas and CiU should be considered a certainty. He said: "The socialist party in Catalonia is in disarray. He [Mas] knows that he'll win hands down."

However, Xavier Sala-i-Martin, a professor in economics at Columbia University, says that Mas is simply "following the crowd" on calls for sovereignty.

He said: "Up until September 11 his strategy was to go to Madrid and ask for a better financial deal or "fiscal pact" as he called it. I guess that the massive demonstrations convinced him that his people no longer want a better financial deal from Spain. They want independence. And he joined the bandwagon... Mas doesn't lead. He follows."

Catalonia's nearby regions, the Basque country, and Galicia in the Northwest of Spain also have self-governance mandates under the Spanish Constitution of 1978. And while not wholly independent from Spanish state law, they are still considered autonomous.

On October 21, both the Basque country and Galicia held regional elections. Rajoy received a boost in his home region of Galicia where his centre-right party won a majority of the parliamentary seats against two nationalist groups and a socialist party. The win represented support for Rajoy's government as it tries to reduce Spain's deficit through a rigorous austerity program.

The Basque elections presented a very different outcome. The nationalist party -- known as PNV [Partido Nacionalista Vasco] won 27 seats while the pro-independence party, Bildu, secured 21 and Rajoy's Popular Party won just 10 seats of the 75.

For over 50 years, the Basque region was home to a paramilitary group known by the acronym "ETA" and in English "Basque Homeland and Freedom."

The terrorist group -- formed in 1958 -- carried out a number of attacks on Spanish citizens in the name of sovereignty and but declared a permanent cease-fire last year. Giner says their activities failed to help the Basque country's cause and he would like to see Catalan independence achieved peacefully.

He told CNN: "I believe full sovereignty for Catalonia is absolutely possible and we can achieve this in a civilized manner, without the use of terrorist groups."

Spain's austerity drive

Today, Spain is suffering. The Madrid-based Popular Party is introducing deeply unpopular policies. These include a fiscal cocktail of severe budget cuts and rising taxes on a population already afflicted by the highest rate of unemployment in Europe at 25.1%, according to Eurostat figures.

The CiU is raising the debate on sovereignty at a time of public frustration over taxes in Catalonia. Moec said in a note that the CiU blames the central government for disproportionate taxes levied at Catalans -- with the wealth then re-distributed to Spain's poorer regions.

Salvador Giner says he understands the need for Spanish solidarity and to help struggling regions, but says a large proportion of the revenue generated from taxes is not being reinvested in Catalonia.

He added: "Catalans are fed up with the current situation on taxes. Catalonia gets back only about 19% to 21% of our contribution to the central government."

According to Sala-i-Martin, taxes and regional distribution of wealth are a large part of the problem for Catalans -- but the biggest tensions are steeped in the country's modern history.

Catalonia's past

After the country's military dictator, Franco, died in 1975, Catalans thought that they could be part of a country that recognized its different cultures, languages and nations, Sala-i-Martin said. Initially, that looked possible.

But then: "In 1981, after the military coup attempt, the monster woke up," the Columbia professor added. "All the Spanish institutions reinterpreted the constitution in ways that did not allow Catalunya to feel comfortable within that country."

In 2010, the Spanish constitutional courts ruled that although the term "nation" could be applied to Catalonia, the description had no legal validity.

The recession and financial crisis of 2008 then exacerbated the tensions between Catalonia and Madrid, Sala-i-Martin said.

This forced the Catalan administration to make a plea to the central government in Madrid for a regional bailout of five billion euros from an 18 billion euro credit line set up for debt-ridden Spanish regions.

Employment in Catalonia is also causing a political headache for the CiU and the national governing Popular Party. According to a report by the Organization of Cooperation and Development [OECD], unemployment in Catalonia has jumped by 8.6% to 16.3%, since the collapse of the housing market and the global financial crisis began in 2008.

Salvador Giner says the unemployment rate is in part due to immigrants -- largely from Southern Spain and North Africa -- settling in the region. The situation has been aggravated by an extended period of low economic growth.

The Catalan people are becoming steadily disillusioned with the economic management from Madrid, says Sala-i-Martin. He said: "If Spain came back today with an offer to solve the financial problems, most Catalans would still like to be given the right to vote for independence."

@highlight

Catalans go to the polls on Sunday November 25 in a vote that trigger a referendum for independence

@highlight

Catalonia is home to tourist attractions -- Barcelona Football Club and the Gaudi House Museum

@highlight

The CiU is raising the debate on sovereignty at a time of public frustration over taxes in Catalonia