(CNN) -- Opposition fighters who attacked Alawite villages near the Syrian city of Latakia, killing at least 190 civilians, committed "serious abuses" that may amount to crimes against humanity, rights group Human Rights Watch said Friday.

The abuses occurred after an opposition offensive on August 4 in which the fighters overran government army positions and occupied more than 10 Alawite villages, the rights group said.

Bergen: Syria rebel group's dangerous tie to al Qaeda

Witnesses and survivors described how opposition fighters "executed residents and opened fire on civilians, sometimes killing or attempting to kill entire families who were either in their homes unarmed or fleeing from the attack, and at other times killing adult male family members, and holding the female relatives and children hostage," the Human Rights Watch report said.

More than 200 civilians -- the vast majority of them women and children -- are still being held hostage by two opposition groups that led the offensive, the rights group said, citing opposition sources. It named the groups as the Islamic State of Iraq and Sham (ISIS), which is affiliated with al Qaeda in Iraq, and Jaish al-Muhajireen wal-Ansar.

Read more: Pentagon proposes training moderate Syrian rebels

Government forces launched a counteroffensive on August 5 and regained full control of the area on August 18, the report said.

Syrian President Bashar al-Assad's family belongs to the minority Alawite sect, which is associated with Shia Islam.

His government has consistently blamed the country's conflict on "terrorists" backed by foreign powers, while his own forces are accused of abuses, including the use of chemical weapons against civilians.

The Syrian Coalition, the main opposition alliance, said that it was "deeply concerned" about the Human Rights Watch report and that it "once again disavowed" the two groups holding the hostages.

"We unequivocally condemn all human rights violations committed by armed groups, including extra-judicial killings and kidnappings," it said.

The offensive documented in the Human Rights Watch report "does not represent an effort by the true Syrian opposition, but rather a shameful one-time attack by outlier extremist groups that thrive under the hand of the Assad regime," it said.

Many ISIS fighters are believed to be foreign jihadists rather than Syrians.

'War crimes' evidence

The evidence collected by Human Rights Watch "strongly suggests that the serious abuses carried out by the opposition groups on August 4 were not the actions of a group of rogue fighters," but were coordinated actions showing premeditation and organization.

Human Rights Watch says it believes at least 20 distinct armed opposition groups were involved in the offensive, but it is not clear whether they were all present in the villages on August 4, when most of the abuses are thought to have occurred.

Syria's rebels: 20 things you need to know

However, its report says five groups were "the key fundraisers, organizers, planners, and executors of the attacks" and "were clearly present from the outset of the operation." It says it has evidence "linking all five to specific incidents that amount to war crimes."

Besides ISIS and Jaish al-Muhajireen wal-Ansar, they are listed by Human Rights Watch as Jabhat al-Nusra, Ahrar al-Sham and Suquor al-Izz.

"The evidence gathered by Human Rights Watch strongly suggests that the killings, hostage taking, and other abuses committed by the opposition forces on August 4 rise to the level of crimes against humanity," the report said.

"The scale and organization of these crimes indicate that they were systematic as well as being planned as part of an attack on a civilian population."

Bodies buried in mass graves

To compile the report, titled "You Can Still See Their Blood," Human Rights Watch researchers visited five of the villages involved after August 18, where they spoke to residents and relatives of those killed or missing in the fighting, as well as Syrian army and militia members, emergency responders and opposition members.

Its researchers also studied photographs and video footage of the events to corroborate witness accounts, the group said.

The team collected the names of 190 civilians who were killed, including 57 women and at least 18 children and 14 elderly men, the report states.

"Given that many residents remain missing, and opposition fighters buried many bodies in mass graves, the total number of dead is likely higher," it said.

Official says CIA-funded weapons have begun to reach Syrian rebels

"Human Rights Watch has documented that opposition forces executed or unlawfully killed at least 67 of these 190 civilians even though they were unarmed and trying to flee."

Further investigation is needed to establish exactly how the other residents died, but the indications are that "most of these individuals were either intentionally or indiscriminately killed by opposition forces," it said.

The rights group calls on states with influence over the parties involved in the conflict to press them to bring a halt to attacks on civilians.

It also urges them to stop selling or supplying arms and ammunition to these groups, "given compelling evidence that they have committed crimes against humanity, until they stop committing these crimes and perpetrators are fully and appropriately held to account."

Complicated picture

Reports of abuses such as those alleged in the Human Rights Watch report have complicated international efforts to support the opposition to al-Assad's government.

In more than two years of conflict, the opposition has fragmented across a wide ideological and geographic spectrum, according to Barak Barfi, a research fellow at the New America Foundation. While some are nationalists are bent on liberating their country from a ruthless regime, others view the conflict as a springboard to a global jihad.

The main support for Syrian rebels has so far come from the Persian Gulf monarchies of Saudi Arabia and Qatar.

U.S. aid has been limited largely to nonlethal assistance such as communications gear and medical equipment.

In July, the Obama administration began supplying small arms and ammunition to the rebels.

But American officials have struggled with how to back opposition groups without providing weapons to those linked to Islamic militants, such as the al-Nusra Front, a group considered the most effective anti-Assad force on the battlefield, but one the United States says has ties to al Qaeda.

Meanwhile, fighters from the Lebanon-based Shiite militant group Hezbollah are helping Syrian government forces.

A video posted to YouTube this week that purports to show Hezbollah fighters killing injured Syrians has angered many in the region. Hezbollah has not responded to the furor. It is not clear who the alleged victims are.

@highlight

Opposition fighters committed serious abuses in Alawite villages, rights group says

@highlight

Human Rights Watch says it has evidence that attacks killed at least 190 civilians

@highlight

Syrian Coalition condemns alleged abuses, says they're not the "true Syrian opposition"

@highlight

Syria's civil war has drawn in groups linked to al Qaeda as well as more moderate groups