New York (CNN) -- A gun law passed by the New Jersey legislature more than a decade ago may be set into motion as tech savvy gun makers get closer to being able to sell so-called smart guns in the United States.

The idea behind this firearms technology is to create "personalized" guns that only fire in the right hands -- whether by recognizing a certain signal from a watch, a ring or even just the right grip.

The New Jersey law is the only one of its kind in the United States. It requires that within three years of the technology being available, only smart guns be sold in the state.

The new technology has become one more point of contention in the gun debate, with gun-control supporters expecting it to lead to fewer injuries and deaths and the pro-gun side arguing that it will take away options from gun owners.

"The problem is you have an industry that is totally reluctant to embrace any changes to make their products safer," said Ladd Everitt, communications director of the Washington D.C.-based Coalition to Stop Gun Violence.

"The benefits of this technology should be obvious to anyone," he said. "The key is implementation. It is going to take some political will. Will you have a state government in New Jersey with the political will to see this through?"

The country's largest gun advocacy organization, the National Rifle Association, did not respond to requests for comment.

"New Jersey's smart-gun law is as dumb as it gets," said Scott Bach, executive director of the Association of New Jersey Rifle & Pistol Clubs, a group affiliated with the NRA.

"It forces you to use an unproven technology to defend your life, and then exempts the state from liability when the gun goes 'click' instead of 'bang,'" he said. "If it's such a great idea, then law enforcement shouldn't be exempt, and the free market should be allowed to determine its viability."

One Germany-based company, Armatix, which already sells personalized guns in Europe, expects to have its Armatix iP1 digital pistol available on the nation's shelves "within weeks," according to Belinda Padilla, president and CEO.

Armatix uses radio frequency technology in its .22-caliber digital pistol, which unlocks with a digital watch and a PIN. If someone who isn't wearing the watch grabs the gun, it immediately deactivates.

"Our digital pistol is the first of its kind and has gone through rigorous testing in Germany -- some of the highest standards -- and in the U.S," Padilla told CNN. "Anybody who picks up the handgun, whether it's a child or it's actively stolen, they can't activate the watch."

Another firm, Kodiak Industries of Utah, markets an "Intelligun," which uses a fingerprint-based locking system.

Bill Gentry, president of Kodiak, said the company began taking preorders in January. The personalized weapon will be in full production by the end of December.

Armatix, Kodiak and other smart-gun makers are poised to force acting New Jersey Attorney General John Jay Hoffman, a Republican, to decide how to implement the law.

ATF tests show 3-D guns lethal as metal detection law expires

For more than a decade, researchers at the New Jersey Institute of Technology have been working on a grip-recognizing gun that measures the pressure applied and the size and shape of the hand holding the gun. Triggersmart, which was founded by Irish entrepreneur Robert McNamara, also uses radio frequency technology to enable -- and disable -- guns. The chip that activates the gun can be placed in a ring, bracelet or potentially even embedded in the owner's hand.

So what does this mean for the law?

The state Attorney General's office declined to comment.

Under the law, Hoffman must determine whether the smart guns meet industry standards and are available for retail sale. The law says "personalized handguns shall be deemed to be available for retail sales purposes if at least one manufacturer has delivered at least one model of a personalized handgun to a registered or licensed wholesale or retail dealer in New Jersey or any other state."

UK police raise spector of 3-D printer-made guns

The New Jersey State Police then will issue a list of firearms that meet the technological standard. Within three years of the guns hitting the market, they will be the only kinds of firearms sold in New Jersey.

In New Jersey, 2013 firearms background checks -- needed to obtain permits required to purchase handguns -- increased by more than 50% through October, compared with the same period in 2012, according to the FBI. In the first 10 months of 2013, 100,922 background checks were conducted, compared to 66,912 during the same period the year before.

According to the latest data available from the Centers for Disease Control's National Center for Health Statistics, there were 456 firearm related deaths in New Jersey in 2010.

In August, New Jersey Gov. Chris Christie vetoed a bill that would ban certain long-range rifles and sent several gun-related bills back to the state legislature for changes, according to his office.

@highlight

New Jersey law could take hold with new smart gun technology

@highlight

"Personalized" guns only fire with signal from watch, ring or the right grip

@highlight

The law, the only one of its kind, has become part of national gun debate