(CNN) -- Somber and brow beaten, Kolubah piles potato greens on top of his head and walks to the nearest market at 5am. Barefoot. He has to sell all of his greens to make money so his family can eat. His parents and siblings are unable to provide for themselves, so everyday Kolubah is forced to skip school and earn a living. His only solace: football.

Later that same day Coach Tio kneels down to tie Kolubah's shoelaces. Kolubah is 10-years-old and the breadwinner for his family. But so rarely does he wear shoes, he doesn't even know how to tie his own laces.

Tough childhoods

Tough childhoods are not uncommon in Liberia, West Africa. In January, I was there with a documentary team shooting an episode of "The World Cup Project" -- a documentary TV show featuring 11 countries and 11 organizations around the world that are using football for social change and development in the build up to this year's tournament. We found a country still recovering from a civil war that ended a decade ago, and resulted in around 250,000 people dying and thousands more being displaced.

During the conflict, children as young as eight were handed machetes and machine guns and told to massacre their families. Child soldiers were the weapon of choice in this brutal war and the scars are still very raw.

But there is a glowing red sunset at the end of this story as an heroic organization of local football coaches is changing the face of Liberia. One football game at a time.

The woman behind this organization -- LACES, Life and Change Experienced Thru Sport -- is Seren Fryatt, 34, from Muncie, Indiana.

After she spent several months volunteering on board a floating hospital ship in Liberia, and playing for Liberia's Professional Women's Soccer Division, LACES was born. Fryatt dreamed of promoting social change and development through her favorite sport -- football -- and her dream became a reality in 2007 when LACES set up its first program in Liberia.

LACES' mission is simple: "To develop positive role models in communities in a manner that is fun and challenging." LACES currently has three programs in Liberia in Kona, Cotton Tree and Duport Road and has worked with 80 coaches and 700 kids.

It is a faith-based organization and recruits its coaches from local churches, they then attend a workshop on coaching and mentor training and are given equipment to register children ages 10-14. According to Fryatt, "this age group was chosen because it is within this range that children are in the formative stages of learning and comprehension of personal decision making.

As well as mentoring the children and training the coaches, LACES also has a feeding program. Weekly, after each game, the kids are provided with a free meal to enjoy with their coach. Sometimes this is the only meal the children get on this day.

Before the end of the year LACES plans to roll out a new "Kick Out Corruption" campaign to tackle the problem of corruption in Liberia. "It's vital the children of the future know their rights, and know what is right and wrong when it comes to corruption," Fryatt claims. "Unfortunately corruption is a very real everyday problem here and we want to try and address that."

Many of the Laces coaches themselves grew up during the civil war. They are now teaching children social skills through football, ensuring the children of this generation do not become new victims of the conflict they lived through.

And through their work the coaches are coming to terms with their own pasts, their own losses and sometimes their own brutal actions.

Horrific memories

LACES' national director, James Moore, was brutally attacked and stabbed in his own home in Monrovia recently as his children slept in the next room. He reveals: "It brought back horrific memories of the war. The war may be over but the scars still remain."

Some of his memories are truly terrifying. James says that at just 13 years old he walked for four days with his 80-year-old grandmother, through the jungle, to a neighboring village for safety. He went to fetch food for his family and heard a ruckus. As any curious teenager would, James went towards the noise. But he wishes to this day that he had not. He watched as a man executed another man, ripped his heart out of his chest and ate it. "It is the worst thing I have ever seen and causes me nightmares to this day," James admits.

Pastor Louis Roberts, Mentoring Manager of LACES, has his own harrowing tales to tell. He lost his entire family under Charles Taylor's regime. His mother, his father, his brothers and sisters all died, leaving him to fend for himself. But instead of picking up a gun, Pastor Roberts found the church and LACES and is determined to educate the children so Liberia never sees another Civil War.

"The children are the future of this country," he says. "It is my job to make sure they learn basic social skills like respect for their families, their team mates and their coaches. These skills are what LACES is all about. We teach the kids how to have fun, but also how to be better people. On and off the pitch."

The "The World Cup Project" TV series will debut in June through Snag Films. Follow  on Twitter and Facebook. Find out more about LACES at www.lacesport.org.

Read more: Holy water washes away sins at Ethiopia's Timket festival

Read more: Why did the elephant cross the road? To avoid the drunks

@highlight

LACES helps poor children in Liberia to change their lives through football

@highlight

The organization promotes positive role models and aims to fight corruption

@highlight

Its feeding program assures a free meal for every child after a game

@highlight

The scheme helps children and their coaches to overcome the trauma of civil war