While architect Philip Freelon imagined designs for Atlanta's new National Center for Civil and Human Rights, he did the usual research into the past, scanning images of the civil rights marches and protests it would surely address.

Around the same time, he couldn't help but notice the front pages of modern newspapers that showed protesters around the world resolutely fighting their own battles. They were in different times, different worlds, but always, he saw the same image: People united, their arms interlocked or fingers woven together.

The gestures became the foundation for the design his team created, one that's visible today as the new museum opens in downtown Atlanta. Even after the recession and planning decisions edited the grand space to less than half the size originally proposed, the symbol endured. The building evokes two linked hands; its exterior walls feature a mix of earthy shades that suggest different races coming together. Inside, exhibits in the nearly 43,000-square-foot museum link the historic stories of the American civil rights movement and modern human rights struggles around the world.

The Atlanta center is one of several museums tied to civil rights recently opened or in the works. Around the country, they serve as memorials, meeting spaces, tourist attractions and time capsules, all trying to reveal their stake in history while drawing a young, tech-savvy audience.

"The vision and mission of the institutions are different. What's similar are those words, civil rights -- segregation, violence, reconciliation, resilience, jubilation," said Freelon, who created designs for civil rights-related museums in Washington, Mississippi, North Carolina and elsewhere.

They aren't just places to preserve history or tell the story of a single race, said Ford Bell, president of the American Alliance of Museums. Museums and libraries have long been places where communities explore curiosities and conversations of the moment, he said; it's why the United States saw a wave of natural history museums in the early 20th century, then science and technology centers and more recently, children's museums.

The rise of high-profile civil rights museums comes as communities recognize old wounds that need to heal and fresh cuts that require care, he said.

Why I'm tired of hearing about 'that' civil rights movement

"Museums are the way that we often address important issues in our society, where we talk about them together," Bell said. "We as a society are still wrestling with issues related to human rights and civil rights, and a painful history."

'Stories are the most powerful tools'

Work on a civil rights museum in Atlanta began more than 10 years ago, when former United Nations Ambassador Andrew Young and civil rights activist Evelyn Lowery approached then-Mayor Shirley Franklin with the idea. The city was already home to memorials and historic sites honoring Atlanta native Martin Luther King, Jr., but they intended this space to go beyond the King legacy, or even civil rights history.

"It became really clear that they believed ... it was important to connect it to the current issues of the world and the United States," said Franklin, the board chairwoman of the National Center for Civil and Human Rights.

"Atlanta has claimed a position for itself, historically, as a place where people grapple with human issues, fairness issues, justice issues. Atlanta has claimed its history for itself."

The links weren't so clear to everyone. It took time to convince people -- including other civil rights activists and potential donors -- that the voting rights marches and church bombings of the 1960s were tied to modern, global issues like slavery and immigrant rights.

The $103 million museum contains large galleries devoted to both, and space to grow as the stories evolve, center CEO Doug Shipman said. Through original artworks and interactive displays laden with video and audio, museum leaders hope visitors will consider where they fit into civil rights history and how they can impact human rights issues today.

This could be a first taste of civil and human rights understanding for many visitors to the tourist-heavy area where the museum stands, Shipman said. It's located beside the Georgia Aquarium and World of Coca-Cola, in eyeshot of a large Ferris wheel and fountains often packed with gleeful children. Turner and CNN are among the museum's corporate sponsors.

Shipman said they wanted the center to appeal not just to those who remembered the history it captures, but also to the 22-year-olds who can't imagine it. He wants to hear grandparents sharing their protest memories and teens explaining their school campaigns against bullying. Visitors can tour museum exhibitions designed by Tony Award winner George C. Wolfe and human rights activist Jill Savitt in as little as 75 minutes. Another gallery displays a rotating collection of Martin Luther King, Jr.'s personal papers, which are housed at nearby Morehouse College.

The exhibits could be the gateway that leads visitors a few miles away to the historic Sweet Auburn district, King's birth home or the Jimmy Carter Presidential Library and Museum, Shipman said.

"This was trying to bring the stories to people who might not find them otherwise. Stories are the most powerful tools," Shipman said. "If someone goes to one (attraction) and they're inspired, it makes them more likely to go to another.

"Civil rights and human rights should be Atlanta's signature, destination topic, like New Orleans and jazz."

'It's not over'

Around the country, other cities are sharing their stake in the same story. Many realized they were losing the opportunity to capture the memories of those who witnessed the civil rights movement and were coming up on milestone anniversaries that would spur conversations around "freedom summer," school desegregation, civil rights policy and touchstone events of the civil rights movement.

The Smithsonian National Museum of African American History and Culture is scheduled to open in 2016 on a five-acre tract on the National Mall in Washington.

In Memphis, the National Civil Rights Museum -- the former Lorraine Motel, where Martin Luther King, Jr. was killed -- reopened in April after a $28 million renovation, including new, interactive exhibitions.

The International Civil Rights Center and Museum opened in Greensboro, North Carolina, in 2010 to showcase the site where four black students sat-in at a whites-only Woolworth's counter in 1960. Jackson, Mississippi, broke ground last year on a civil rights museum to sit beside a forthcoming state history museum. Charleston, South Carolina, is planning an International African American Museum.

These join myriad other museums and historic sites that consider the legacies of women, Native Americans, lesbian, gay, bisexual and transgender people, or subjects like the African diaspora and the Holocaust.

"If you name a societal problem, I will find you a museum that's working on it," said Bell, the American Alliance of Museums leader. "The challenge will be to engage people, to help them learn important history ... and how do they keep them looking forward?"

Explorations of civil and human rights can be good business for museums, industry leaders said, presenting history in new ways to young, diverse audiences while building lifelong educations for baby boomers who now make up the core of museum members. By being "neutral, optimistic" spaces to consider civil and human rights, they're also expecting to draw in corporations and community groups that need to talk through the issues.

They're reminders, too, that the work of the U.S. civil rights movement isn't done, said Ellen Zisholtz, director of the I.B. Stanback Museum and Planetarium at historically black South Carolina State University. Museums can continue to tell stories of persecution and protest due to religion, gender, education, citizenship and class, as well as race.

"It's important because it's stuff that gets lost," said Zisholtz, a member of the board of directors of the Association of African American Museums. "It's not over. We're going backward, not forward, at a time when we're 50 or 60 years later (than the civil rights movement).

"The whole future of this country is for different communities who care about social justice to get together, and work together. If enough people committed themselves to it, what a difference it could make."

@highlight

The National Center for Civil and Human Rights opens in Atlanta on Monday

@highlight

It's one of several civil rights-related museums recently opened or in the works

@highlight

Museum director: Civil and human rights "should be Atlanta's signature"