New Orleans, Louisiana (CNN) -- The edges of the massive Gulf Coast oil slick grazed the barrier islands off Louisiana's Chandeleur and Breton sounds Tuesday as the company responsible for cleaning up the spill faced tough questions from members of Congress.

With a damaged undersea well still spewing crude oil into the Gulf of Mexico, Louisiana's coastal parishes made new plans to keep the oil from moving into Lake Borgne and Lake Pontchartrain, which flank New Orleans. Winds that complicated efforts to fight the spill died down Tuesday, making cleanup work easier, Coast Guard Rear Adm. Mary Landry said.

"It's a gift of a little bit of time," she told reporters. "But I'm not resting."

The spill threatens wildlife, beaches and livelihoods along the Gulf Coast. Already federal officials have banned fishing in the affected area until at least May 12, curtailing a commercial seafood industry that brings in about $2.4 billion to the region every year. The leading edge of the slick was reported to be lapping at the edge of Louisiana's Chandeleur Islands early Tuesday, Louisiana Gov. Bobby Jindal said.

"Let's make no mistake about what's at stake here. This is our very way of life," Jindal told reporters. "This is our fishing communities, these are some of our coastal communities. We're talking about keeping this oil out of our fragile wetlands."

But as of mid-afternoon, no oil had been found washed up on the islands, said Doug Suttles, chief operating officer for BP, which owns the damaged well.

"To give you a sense of our ability to respond, we launched 22 vessels," Suttles told reporters at a news conference in Mobile, Alabama. Twelve of those vessels were shrimp boats whose skippers have volunteered to assist in the cleanup, he said.

"They've been in the area ever since trying to locate that oil and make sure it actually doesn't reach shore," Suttles said.

The edge of the slick was reported to be about 20 miles off the Mississippi Coast, and Landry said it was about 30 miles off the shores of Alabama. Suttles said BP workers expected to close off one of the three leaking points Tuesday, but added, "I don't believe that will change the total amount of oil that will be leaked."

Stephen Herbert, chef and owner of Abita Springs Cafe on the north shore of Lake Pontchartrain, said the potential impact was "tremendous." But Herbert, who holds a degree in fish biology and lived in the marshes for 10 years before entering the restaurant business, expressed surprise that the story has become a national one.

"I'm really astounded that the rest of the people in the United States really give a flip about this," he said. Louisiana's coastal marshlands have been shrinking at the rate of two football fields a day for a quarter-century, he said, "and nobody gave a flip about that."

Herbert's 16-table restaurant, located 25 miles from New Orleans, specializes in Cajun food, and at least half of his orders are for meals that contain fish. In anticipation of rising prices, he ordered an extra gallon of shucked oysters and another case of shrimp, but that was all his refrigerators could store, the 56-year-old restaurateur said.

The estimated 210,000-gallon-per-day flow of oil from the damaged well continued unabated Tuesday, 12 days after the drilling rig Deepwater Horizon sank off Louisiana. The break in the winds kept the slick from advancing much toward the coast, but Jindal said the weather is expected to turn unfavorably Thursday.

The first oil was not expected to reach the shores of the U.S. mainland for another three days, Suttles said.

As owner of the well, BP is responsible for the cleanup and its costs. It blames Transocean, which it hired to drill the well, for the failure of a critical piece of equipment that was designed to shut off the well in case of emergency.

Across the Gulf Coast, emergency workers and volunteers helped string floating booms across inlets and beaches in an attempt to fend off any advancing oil. Chocolate-colored streaks of oily water could be seen off Dauphin Island, on the Alabama coast. And crew boats that normally supply oil wells were laying booms around Ship Island, off the shores of Mississippi and about 10 miles north of the spill's leading edge.

But Capt. Louis Skrmetta, who runs excursions out to the Mississippi Sound barrier islands, said efforts to protect the islands and waterways were inadequate. He said Mississippi Gov. Haley Barbour -- who called the spill "a manageable problem" Monday -- was doing less to combat the oncoming slick than his counterparts in Alabama and Louisiana.

KNOE: Community rallies around rig families

"The governor's leaving it up to BP. They're just not doing enough," Skrmetta said.

BP hopes to place a four-story-high metal container over part of the leaking drill pipe, a step it says could corral about 80 percent of the leaking oil. The oil would then be pumped to a drill ship on the surface.

Suttles said the 70-ton box could be ferried out to the site of the leak by midnight Wednesday, but it will take another two days to place the device on the seabed. Then it must be connected to the drill ship.

"Hopefully, we'll be operational within about about six days," he said.

Hundreds of thousands of feet of booms have been strung around the estuaries of southeastern Louisiana, Mississippi, Alabama and far western Florida in recent days. But an aerial tour conducted by the Coast Guard on Tuesday showed some have already given way, and high winds in recent days have driven oil past others.

The Deepwater Horizon caught fire April 20 and burned for two days before sinking, with 11 workers presumed dead. Executives from BP and Transocean Ltd., looked "like deer in the headlights" when they briefed members of the House Energy and Environment committee about the accident and response on Tuesday, said Rep. Joe Barton, R-Texas.

KATC: Gulf shrimp season to temporarily close

Barton is a strong supporter of offshore drilling, and told reporters he didn't want the accident to reverse support for more exploration off the U.S. coasts. But he said he had hoped for "more concrete" answers from the oilmen.

"I have concerns in this particular case about the attention to safety, the attention to maintenance, the attention to using best available control technology and best monitoring practices," Barton said.

Rep. Edward Markey, D-Massachusetts, said the situation could get dramatically worse. "One of the questions which I asked was what would happen if a worst-case scenario did unfold?" he told reporters after the hearing. "I was told that the amount of oil per day could actually rise from 5,000 to 60,000 barrels of oil a day, although in a worst-case scenario, the most likely number was in the 40,000 barrel range, which only reinforces the necessity of us acting as quickly as possible, for BP and all responsible, for shutting off this catastrophic leak of oil."

But Dave Nagel, the executive vice president of BP America, said the company is "doing everything we can to respond to this incident."

"That's our complete focus right now -- to stop the leak at the scene, to disperse the oil the best we can and protect the beaches and mitigate the impact," he said. "That's what we're doing."

That may not be enough to satisfy lawmakers, said Sen. Bill Nelson, D-Florida. "Privately, I've gone up to some senators who have been for drilling and I have sarcastically said to them, in a whisper, 'Drill, baby, drill,' and they roll their eyes as if in mock horror at the possibilities of what could happen as a result of this disaster."

CNN's Mark Biello, Dave Rust and Tom Watkins contributed to this report.

@highlight

Oil laps islands that hold national wildlife refuge, says Louisiana governor

@highlight

"Our very way of life" is at stake, Louisiana Gov. Bobby Jindal says

@highlight

The Deepwater Horizon drilling rig caught fire April 20; burned for two days before sinking

@highlight

11 workers presumed dead in incident