(CNN) -- For much of the last century, people in the small town of Libby, Montana, were surrounded by toxic asbestos. It covered patches of grass, dusted the tops of cars and drifted through the air in a hazy smoke that became a part of their daily lives.

The W.R. Grace plant in Libby, Montana, in an undated photograph. It closed in 1990.

Now, after decades of suffering and watching loved ones die, area residents are getting their day in court.

Federal prosecutors have begun a trial of the mining company they blame for the pollution, which doctors say left more than 1,000 people ill and more than 200 dead.

"There's never been a case where so many people were sickened or killed by environmental crime," says David Uhlmann, who helped spearhead the case when he was the Justice Department's top prosecutor of environmental crimes before stepping down in 2007.

"It's the most significant environmental criminal prosecution that's ever been brought."

Donald Munsel, a 71-year-old Libby resident, told CNN on Monday that the legal efforts "should have been over a long time ago." Munsel says he has suffered from lung cancer linked to asbestos exposure.

Those who lost loved ones were among the first witnesses at the trial. Arguments began last week at the federal courthouse in Missoula, Montana.

They said the town was kept in the dark about the dangers. One woman said that as kids, she and friends would light up the toxic dust and even "put it in our mouths," CNN affiliate KPAX-TV of Missoula reported.

Until 1990, W.R. Grace & Company operated a mine in Libby that produced vermiculite, a substance used in all sorts of products, from insulation to fertilizers.

The vermiculite was contaminated with tremolite asbestos -- a particularly toxic form linked to numerous illnesses including mesothelioma, a cancer that can attack the lining of the lungs, abdomen, or heart.

The government's indictment alleges that W.R. Grace conspired to "knowingly release" the asbestos. It says the company tried to hide the dangers from employees and residents, leaving them "in imminent danger of death or serious bodily injury."

"It was a purpose of the conspiracy to conceal and misrepresent the hazardous nature of the tremolite asbestos contaminated vermiculite, thereby enriching defendants and others," the indictment reads.

And the indictment says W.R. Grace tried to "defraud the United States and others by impairing, impeding, and frustrating" the Environmental Protection Agency and other government agencies once they launched an investigation in 1999.

The 10-count indictment also includes charges of wire fraud and obstruction of justice.

If convicted, the company could face criminal fines of up to $280 million -- twice the value of its profits from the mine.

Five executives who are named as defendants could face prison time. Prosecutors plan to try a sixth executive separately.

Company denies conspiracy

The company does not deny that asbestos emanated from its plant. Nor does it question whether some people were sickened and killed, though a definitive number of deaths linked to the vermiculite plant probably will never be known.

But W.R. Grace denies any kind of conspiracy. In fact, the company says, it acted responsibly and took appropriate steps.

Main Street in Libby, Montana. Some residents say the town was kept in the dark about asbestos dangers.

In a statement when the indictment was issued in 2005, W.R. Grace said it "categorically denies any criminal wrongdoing." That statement came before the company launched a series of legal challenges that went as far as the U.S. Supreme Court.

In response to questions from CNN, W.R. Grace said at the time that it was acting as a good corporate citizen and had voluntarily paid millions of dollars in medical bills for 900 Libby residents.

Both sides are now respecting the request of U.S. District Judge Donald Molloy that they not speak to the media.

In the courtroom, defense attorneys have noted that the asbestos problem dates back to about 1920 -- long before W.R. Grace took over the mine in 1963. Attorneys say that as information about the asbestos came to light, the company took numerous steps to mitigate the dangers and were open about it.

W.R. Grace followed a "plan" that was in no way "hush hush," and was subject to government inspection, defense attorney David Bernick told the jury, according to KPAX.

The defense also says the government had "vast information" about asbestos in Libby before the EPA came along in 1999 to launch an investigation.

Deputy U.S. Attorney Kris McLean told the jury that the the trial is about "holding this company and these officials accountable for a very serious wrong," KPAX reported. The government says internal memos from the company will help make the prosecution's case.

In testimony that began last week, residents described the clouds of smoke that would emanate from the mine and drop dust across the town.

"Vermiculite was all over the ground" at the mine's export plant, said Cameron Foote, a minister from the nearby town of Troy.

He said he "didn't see any hazard" and would walk through the piles "without his shoes" on, KPAX reported. He also said the vermiculite was mixed with wood chips and covered the ground under the bleachers and dugouts at baseball fields.

Residents cope with illness

CNN visited Libby in 2000 and met Dan and Della Schnetter, who described their devastation when Dan became seriously ill at age 38, after he had stopped working at the mine. Both his lungs filled with fluid, and he was diagnosed with asbestosis, a lung disease caused by asbestos particles

Had he known of the dangers, "I wouldn't have raised my children here. I would not have. I wouldn't have took them up on the hill to breathe the same stuff I was breathing," he said.

Health problems can occur years after exposure to asbestos.

The Schnetters filed a suit against the company. It was among dozens that were settled.

"My dad, he is still alive," the Schnetters' daughter, Jessica Holcomb, told CNN on Monday. "His lungs have gotten worse, but he's not on oxygen yet. We just pray to the Lord and take one day at a time."

Art and Helen Bundrock and four of their five children were diagnosed with asbestosis. "We just grew up with it. It was always there," Helen Bundrock said. "The kids always liked to go with Dad in his rigs because you could play tic-tac-toe."

She added, "they called it a nuisance dust, the company did."

But Alan Stringer, who was a project manager at the mine, told CNN in 2000, "From the time Grace understood that there was a problem, there was a continuous movement of minimizing the risk to the employees."

Stringer was named as a defendant in the case, but he died in 2007.

Speaking to CNN on Monday, Helen Bundrock said that she is now on oxygen. Her oldest child, Bill, is in his mid-50s and goes "off and on oxygen," she said. Bill had also worked at the mine. The other children are doing well overall, though she said that their fifth child, a daughter, also was diagnosed with asbestosis.

She blames the company. "I feel kind of sorry for those people. They have to live with themselves. I know there's a much higher judge, and they will be facing him sometime," she said.

Squaring off in court

Reporters in the courtroom have noted a striking frequency of objections by the defense. Many involve the critical issue of timing. Judge Molloy has ruled in the defense's favor that the government must prove a conspiracy took place after the Clean Air Act took effect in 1990.

And due to the statute of limitations, the government needs to demonstrate that criminal conduct occurred in 1999 or later, former prosecutor Uhlmann told CNN. He called timing "one of the big challenges the government has in the case."

The trial has seen some courtroom drama.

In one tense exchange, the EPA's cleanup coordinator for Libby, Paul Peronard, accused defense attorney Bernick of spouting "nonsense."

Peronard also testified that his dog ate a piece of evidence -- a notebook that might have contained relevant information, KPAX reported.

The trial is expected to last for months.

Yet residents of Libby have gotten used to waiting.

Generations after the town began suffering, 10 years after the EPA launched its investigation, and four years after the indictment was issued, stricken families are watching to see who may ultimately be held accountable.

@highlight

Federal prosecutors blame mining company for asbestos pollution

@highlight

Doctors say pollution killed at least 200 and sickened at least 1,000

@highlight

Government says company knowingly covered up dangers

@highlight

W.R. Grace has said it "categorically denies any criminal wrongdoing"