Options for meat substitutes have come a long way since Seth Tibbott's first few Thanksgivings as vegetarian in the 1970s.

Vegetable side dishes and salads were nice but they didn't seem as festive as a turkey, the traditional Thanksgiving centerpiece. The Oregon man tried all kinds of experiments, from a stuffed pumpkin to a gluten roast that took all day to make but was "unsliceable and indigestible."

After becoming a professional "soycrafter" in 1980, Tibbott noticed that sales seemed to slow around Thanksgiving and Christmas "as people lost their vegetarian ways and guiltily ate traditional fare like turkey," he said. Aside from tofu, which was primarily only sold in Asian markets, the only commercially available meat alternatives were made by Seventh Day Adventist companies, and many of these products were canned.

"I subsisted on a diet of homemade items like pressure-cooked soybeans and tortillas, soy grit burgers, bread and granola," he told CNN.

Over the years, fake meat -- or what some call plant-based meat -- grew to include burgers, hot dogs and ground beef. But poultry was still a relatively untapped niche, especially when it came to holiday centerpieces. With the help of Portland sandwich maker Hans Wrobel, Tibbott came up with the first Tofurky Roasts in 1995 and sold them in the Pacific Northwest.

Since then, Tofurky has become a punchline on shows like Jay Leno and "The X-Files." In homes across the country, families have begrudgingly ceded space on the table to vegetarian relatives. Seattle's mayor pardoned a Tofurkey named Braeburn this year to kick off a food drive.

Tibbott is laughing all the way to the bank as his fake turkey product enters its 20th season this Thanksgiving. The company says that more than 3.4 million Tofurky Roasts have been sold since 1995, and several competitors have emerged, creating more tasty bird-free roast options than ever for the holidays.

Don't fear the vegan at your Thanksgiving table

With its torpedo shape and spongy, loaf-like consistency, the Tofurky and its competitors are a far gobble from a real bird. But add some stuffing and gravy and many agree you have an equally worthy Thanksgiving centerpiece.

"It's that traditional centerpiece, that protein source, that acts as the main dish," said Bianca Phillips, food blogger at Vegan Crunk and author of "Cookin' Crunk: Eatin' Vegan in the Dirty South."

"A roast brings that taste and texture of turkey that we associate with Thanksgiving."

Flavor without the 'questions'

To eat meat substitutions or not is a perennial topic of debate among vegetarians and vegans, especially as mainstream demand for meatless options grows. Some meat substitutes contain processed ingredients, additives and preservatives, adding up to a fake hot dog that's not much healthier than a real hot dog.

Then there's the question of whether they defeat the point of avoiding meat. Does it send mixed messages about what vegetarians and vegans want? Aren't there enough delicious whole vegetarian foods without having to resort to meat substitutions?

On some level, plant-based meat defends the point of a meatless lifestyle, says vegan blogger and cookbook author Kathy Patalsky. Thanks to culinary progress, some meatless options are much more than soy protein, water and flavoring. Gardein, another popular maker of meat alternatives, uses wheat and pea proteins as well as ancient grains that include quinoa and kamut, Patalsky said in a 2010 blog post.

And, while some plant-based meats resemble and taste like the products they impersonate, they do it without the saturated fat, hormones, preservatives, antibiotics or the cruelty, she said.

"I didn't stop eating meat because of the taste. I stopped because of the questions."

Fake meat can be especially helpful for people in the early stages of transitioning away from meat -- especially during the holidays.

Seeking the 'taste and texture of turkey'

Phillips also stopped eating meat because of ethical questions. She went vegetarian the day after Thanksgiving in 1994, and then ten years later, in 2004, she went vegan, the day after Thanksgiving. Coming from the South, it was not easy, she said.

"I loved the taste and texture of meat, but as soon as I understood where meat came from, I could no longer stomach it. Yet I still longed for the taste and texture. And I found the answer in plant meats," she said. "Thankfully, they've improved a great deal since I first switched to plant meats 20 years ago. So many vegan companies now make plant meats with very high-quality ingredients, resulting in a minimally processed product that's actually nutritious."

She points to ingredients in the Gardein turkey substitute she's eating this season: "Water, soy protein isolate, vital wheat gluten, expeller pressed canola oil, organic ancient grain flour (kamut, amaranth, millet, quinoa), natural flavors (from plant sources), modified vegetable gum, yeast extract, potato starch, sea salt, organic cane sugar, onion powder, garlic powder, pea protein, carrot fiber, beetroot fiber, extractives of paprika and turmeric."

She knows plenty of vegans who'd prefer a stuffed butternut squash centerpiece. To her, it sounds like a delicious side dish.

It may not be as healthy as a whole foods-based centerpiece, but come on -- it's Thanksgiving!

"We're supposed to gorge and let go of any food rules," she said. "It's a holiday, and we're celebrating!"

@highlight

Tofurky celebrates 20 years on vegetarians' tables this year

@highlight

Vegetarians say fake meat options have increased in quality over the years

@highlight

Roast brings "taste and texture of turkey that we associate with Thanksgiving," blogger says