The American Red Cross says power outages created by recent storms in the East and Midwest cut blood donations, which were already low this summer.  In June there was a nationwide shortfall, with donations down more than 10% across the country.

"We are asking people to please call 1-800-RED-CROSS or visit us at redcrossblood.org to find a way to donate if they can," said Stephanie Millian, Red Cross director of biomedical communications.  "We need people's help."

One group that would like to help, but legally can't, may be moving one step closer to eligibility.  Since the 1980s, when the AIDS epidemic decimated their community, gay men -- or MSMs (men who have sex with men) as they are called by federal agencies -- have not been allowed to donate blood. In June, a group of 64 U.S. legislators led by Rep. Mike Quigley, D-Illinois, and Sen. John Kerry, D-Massachusetts, sent a letter to the Department of Health and Human Services encouraging it to move forward with a study that may lead to the end of the decades-old ban.

"We remain concerned that a blanket deferral of MSM for any length of time both perpetuates the unwarranted discrimination against the bisexual and gay community and prevents healthy men from donating blood without a definitive finding of added benefit to the safety of the blood supply," the letter said.

China lifts ban on lesbians giving blood

"This is a matter of life and death and we are turning away over 50,000 healthy men who want to donate blood," Quigley told CNN. "A straight person who has unsafe sex with multiple partners can give blood, and that creates a greater risk than a gay person in a monogamous relationship."

The policy started at a time when people didn't know how the deadly virus that causes AIDS spread. At the time, there wasn't a good test to detect whether HIV was present in donated blood, and HIV was getting into the nation's blood supply.  They knew this because hemophiliacs who were getting blood transfusions started showing symptoms of AIDS.  What scientists also knew was that a disproportionate number of gay men were affected by the virus.

To eliminate risk, the Food and Drug Administration added a screening question to the federal guidelines. Blood banks were instructed to ask male donors if they had had sex with a man, even once, since 1977. The FDA regards 1977 as the beginning of the AIDS epidemic in the United States. If the potential donor responded "yes," he would automatically be removed from the donor pool for life.

No similar questions were asked to screen out donors who engaged in other potentially risky sexual behavior. Donors weren't asked about the number of partners they had, nor were they asked if their sexual partners had engaged in unprotected sex with other HIV positive partners.

"While the Red Cross is obligated by law to follow the FDA guidelines, we continue to work with the AABB (formerly known as the American Association of Blood Banks)  to push through policies that would be much more fair and consistent among donors who engage in similar risk activities," Millian said.

Scientists can now screen for most instances of HIV within days of infection, and the nation's blood banks have called a lifetime ban "medically and scientifically unwarranted."

Men who have sex with men still are disproportionately affected by the virus and account for nearly half the approximately 1.2 million people living with HIV in the United States, according to the Centers for Disease Control and Prevention.  But it is a person's behavior, not their sexual orientation, that puts them at risk say health experts.

While he is a gay man, Adam Denney thinks he would be the perfect candidate to donate blood.  He doesn't use IV drugs. He practices safer sex. He even educates people on how to prevent new HIV infections as a regular volunteer educator with AIDS Volunteers Inc. in Lexington, Kentucky.  He thinks his exclusion is unfair.

"Yes, gay men are still a high-risk community, but so are minority women, and there are no standards prohibiting them from donating. There would be rightful outrage against that kind of blanket population ban," Denney said. "I am banned based on one reason only, my sexual orientation. It's totally discriminatory."

When Denney went to donate at a blood drive on the Eastern Kentucky University Campus a few years ago, he said he knew what likely would happen when the nurses asked the sexual history question.  "I did know what I was getting into, but I was shocked by how it felt to be rejected," he said. "It was almost like they thought I wasn't important enough to give blood, like because I was gay I didn't count. It was a horrible feeling."

Parts of UK lift lifetime ban on gay men donating blood

Nathan Schaefer with GMHC, an AIDS service organization, said Denney normally would be the type of donor blood banks are hungry for.  Studies show those who give blood when they are young become regular lifetime donors, something most blood banks are struggling to find these days.  GMHC has been fighting to change the ban for years.

In 2010 GMHC joined a coalition of other nonprofits to encourage Congress to send a letter to HHS to end the ban, which some members of congress did. In June of that year, HHS brought together an independent panel of experts. The Advisory Committee on Blood Safety and Availability reviewed the policy and decided to keep it and concluded the ban was "suboptimal," because it allows high-risk individuals to donate while keeping low-risk donors out. However, the expert committee also concluded "available scientific data are inadequate to support change to a specific alternate policy."  The panel suggested the policy not be changed and recommended further evaluation.

HHS then promised to conduct feasibility studies to determine if there was a subset of the gay male population that would pose little or no threat to the blood supply.  "We finally got them to stop defending the policy at the very least, which was pretty significant," Schaefer said.

The HHS is still determining the criteria for which part of the population to study.

GMHC suggested the population to consider should include gay men who have had only one sex partner in the past six months. Spain and Italy, two countries with more progressive donor policies, hold everyone to that standard regardless of sexual orientation.

Schaefer takes the point one step further. "A straight person could donate today after having unprotected sex with hundreds of partners, and in the United States they won't ask about that behavior," he said.  He added that four out of five gay men are HIV negative, which he estimated means 2 million additional people could be blood donors.

A 2010 study by the Williams Institute at the University of California-Los Angeles estimated that if gay men who had not had sexual contact for the past 12 months were allowed to donate blood, more than 53,000 additional men would likely make more than 89,000 blood donations.  That number may seem small, but blood banks say it could help enormously, especially now, when blood supply shortages are common.

After Denney was denied the chance to donate, he asked some of his friends to help him demonstrate outside the blood drive.  They produced signs to raise awareness about the ban and distributed educational material.  They also escorted people to the drive, because they wanted people to continue to donate.  "A lot of people in the Bible Belt assume you have AIDS if you are a gay man," he said. "We wanted them to understand that is not the case. We are banned based on an outdated policy.  When people questioned us, I told them about how I always heard that people who donate blood are heroes. Gay men want to be heroes, too."

Should people be allowed to sell their organs?

@highlight

Gay men prohibited from donating blood

@highlight

In June, blood donations were down more than 10%

@highlight

Studies show 1 in 5 people donate blood, 95% of population will need donated blood

@highlight

64 members of Congress are urging the United States to end the ban