(CNN) -- What does it mean to be Nigerian? That's the question on the lips of many in Africa's most populous country as new national identity cards are being rolled out. But this is an I.D. with a difference.

The card, which fits into a wallet and comes with a credit-card style chip, can also be used to make electronic payments. Nigerians can use it to deposit funds, receive social benefits, pay for goods and withdraw cash at ATMs across the country, according to MasterCard, which provides the card's prepaid payment technology. The company also claims that by providing proof of identity, the card solves one of the biggest problems people face when trying to open a bank account.

"To all Nigerians, I say, remember the National Identification Number, is your identity," Nigerian president Goodluck Jonathan said at the launch of the National Identity Smart Card, or NeID, at the end of August. "The card is not only a means of certifying your identity, but also a personal database repository and payment card, all in your pocket."

The card could also be used for voting in the future, while Chris Onyemenam, director general and CEO of the Nigerian Identity Management Commission (NIMC), said that citizens will have "the potential to use it as an international travel document."

Earlier this week, finance minister Ngozi Okonjo-Iweala said 3,000 people had received cards. In order to get the document, Nigerians have to register at one of the NIMC enrollment centers around the country and provide 10 fingerprints, a picture of their face and iris, as well as information about their age and place of birth. Once registered, the NIMC official issues an I.D. number and then the card.

Growth opportunity

Nigeria produces more oil than any other African nation, but the World Bank says only about 30% of the population have a bank account.  Given 170 million people live in the country, Mastercard claims to have spotted an opportunity for growth.

Research conducted by MasterCard's consultancy arm says that cash dependency in a country like Nigeria can cost up to 1.5% of Gross Domestic Product. Given Nigeria has recently recently re-calculated it's 2013 GDP to a figure of $488 billion, making it Africa's biggest economy, that's certainly an amount the government is keen to keep a hold of.

Card controversy

But not everyone is happy with this pocket-sized one-stop-shop. Human Rights Activist Shehu Sani attacked the scheme on Facebook:

While Eze Onyekpere, lead director at the non-governmental organisation Centre for Social Justice, said the collaboration was not appropriate. "There should be difference between everyday credit or payment cards and an identity card issued by a sovereign authority," he says. "Even if Mastercard was needed to ensure a good payment system, there is nothing that says it must be heavily embossed on the card. It could guarantee the card without necessarily getting this free advert from 170 million Nigerians."

Onyekpere has also criticised the way the Nigerian government partnered with the international payments provider. "The choice of Mastercard did not undergo a competitive selection process," he claims. "It was clearly an abuse of Nigeria's public procurement process and the selection should have been open to all companies that can provide the service.

A MasterCard spokesperson denied the payments company was turning the I.D. card project into a branding exercise. In an emailed statement the company said "the brand mark is not MasterCard's corporate logo, nor is it an advertisement for the company. The MasterCard brand displayed on the card is what makes the electronic payment component of the eID card accepted as a means of payment."

NIMC spokesperson Umar Abdulhamid rejected any allegation of foul play in partnering with MasterCard. "It's a level playing field," he said In a phone interview. "Other payment providers have been invited to get involved, but were apprehensive."

And Daniel Monehin, president of MasterCard's Sub Saharan Africa division, joined Abdulhamid in dismissing this claim. In a phone interview he said that "the collaboration went through all the highest levels of government."

Previous attempts

This is not the first time Nigerian authorities have tried to implement such a card.

The idea of a national identity card scheme for Nigeria was first initiated in 1978, according to the U.N. Office for the Coordination of Humanitarian Affairs. But successive governments and coups meant the idea did not become a reality.

More recently, progress on the provision of identity cards for Nigerians took shape in early 2003, when some 60,000 centers were set up to register citizens. While the approach to take photographs and fingerprints sought to avoid fraud, an article on the U.N. refugee agency's website reports that irregularities in the roll-out of the I.D. cards meant that by 2008 the government was planning a new card.

A month into this latest identity project there remains no fixed timetable for when the roll out of the initial 13 million cards will be completed.

Read more: Africa's oil and gas: Boom or hype?

Read more: In the driving seat of S. Africa's economy

More from Marketplace Africa

@highlight

Nigerian authorities teamed up with MasterCard to launch a new National Identity card

@highlight

The card will also be used for electronic payments

@highlight

Only about 30% of Nigeria's population currently has a bank account

@highlight

Some Nigerians are angry their national identification document carries the MasterCard logo