Beijing (CNN) -- In a rare, joint news conference with the global news media inside the heart of Beijing, U.S. President Barack Obama and Chinese President Xi Jinping pledged cooperation on a range of common interests as they concluded an unusually colorful economic summit.

Asked about anti-American rhetoric in Chinese state-run media which accused the United States of backing recent democracy protests in Hong Kong, Obama brushed off the criticism as "part of being a public official."

"The United States had no involvement in fostering the protests that took place there," Obama insisted.

Xi appeared to grimace when asked by New York Times reporter Mark Landler about international press access in China and whether he viewed Obama's "pivot" to Asia as an authentic component of U.S. foreign policy.

In a sign of clear annoyance with the setting, Xi initially did not answer the question and moved to hear instead from a Chinese reporter. In response, Xi appeared at times to read a prepared statement.

US, China reach historic climate change deal

"We don't see eye to eye on every issue. Both sides should respect each other's core interests," Xi said, adding the two nations should manage their differences respectfully.

Xi, however, went on to take note of international criticism of China's human rights record.

"China has made enormous progress in its human rights. That is a fact," Xi said, conceding that his nation's work in that area is not "mission accomplished."

Before finishing his remarks, Xi responded to Landler's question, accusing The New York Times of causing its own access problems in China.

Obama added he had an opportunity to stress to Xi that the Asia "pivot" is not an attempt to challenge China's leadership in the region.

Xi and Obama fielded only two questions, one from Landler, the other from a reporter representing China's state-controlled news media.

Still, the news conference was the culmination of weeks of intense negotiations between high-level White House and Chinese officials who initially balked at the idea.

U.S. officials were confident the press event marked one of the only known occasions in which a Chinese leader had taken an unscripted question from an American journalist in China.

US-China relations: Can teens succeed where presidents have failed?

Following five hours of discussions that included a close circle of Chinese and U.S. officials Tuesday night, the two leaders also announced a new climate agreement that would cut U.S. greenhouse gas emissions by nearly one-third from 2005 levels by 2025. China would peak its carbon emissions no later than 2030 and increase the use of nonfossil fuels to 20% also by 2030.

"This is an ambitious goal, but it is an achievable goal," Obama said about the climate deal.

"China is ready to work with the U.S. to make progress in a number of priority areas," Xi added.

The Obama administration is confident it can avoid any potential stumbling blocks for the climate agreement next year when Republicans take control of the Senate.

"Congress may try to stop us, but we believe that with control of Congress changing hands we can proceed with the authority we already have," a senior administration official said on a conference call with reporters.

Obama arrived in Beijing for the Asia-Pacific Economic Cooperation summit still wounded politically by his party's stinging defeat in last week's congressional midterm elections.

But the U.S. President managed to string together a slew of modest trade and diplomatic agreements with Beijing that will loosen visa restrictions for Chinese travelers and cut tariffs on high-tech American products.

China maximized its position as APEC summit host, staging an Olympics-caliber dinner spectacular complete with fireworks.

Obama drew howls in the Chinese media when he was seen chewing gum as he entered Monday night's festivities.

Russian President Vladimir Putin earned a few cringes of his own when he placed a shawl around the shoulders of China's first lady in an apparent act of chivalry. She promptly removed the garment, creating such a stir the incident was removed from China's state-run news outlets.

Chinese censors attempted to further block coverage of the story by blacking out a portion of a CNN segment on the incident on the network's "Anderson Cooper 360" program.

Obama is scheduled to attend a state banquet with his Chinese counterpart before departing for Myanmar for a gathering of leaders at this week's Association of Southeast Asian Nations summit. The president's visit is also designed to check on Myanmar's efforts to expand democratic reforms in the Southeast Asian nation.

24 hours with President Obama in China

@highlight

U.S., Chinese presidents conclude summit with joint news conference

@highlight

Event only happened after intense negotiations between White House, Chinese officials

@highlight

Presidents only fielded two questions, from New York Times and Chinese state media

@highlight

President Obama heads next to Myanmar for ASEAN summit