LONDON, England (CNN) -- The future of design could see the divide between able-bodied and disabled people vanish.

A toilet for all: the "Universal Toilet" caters for able-bodied and people in wheelchairs.

Don Norman , design Professor at Northwestern University in Illinois, and the author of ''The Design of Future Things,'' is issuing a challenge to designers and engineers across the world: Create things that work for everyone.

"It is about time we designed things that can be used by ALL people -- which is the notion behind accessible design. Designing for people with disabilities almost always leads to products that work better for everyone."

Once the champion of human-centered design -- where wants and needs of individuals are the primary consideration in the design process, Norman now believes accessible activity-centered design is a better approach.

This approach creates designs by looking at the job a person needs to achieve in using a particular technology.

Norman told CNN that including disabled people in this thought process would create better technologies for all people, regardless of their level of ability.

"Make cans and bottles that a one-handed person can open and guess what, many people will find it makes their lives easier when they only have one free hand.

"Showers and baths can be made better and safer for all. Make things better for the hard of hearing or seeing and guess what, similar benefits for all," he said.

And technology like this is already being developed.

Korean designers Changduk Kim and Youngki Hong have come up with the "Universal Toilet," an invention that could end the need for separate able-bodied and disabled toilets.

Tell us your ideas for machines or objects that could be adapted to suit disabled and able-bodied people.

Despite such innovation, Norman said there would still need to be a shift in the mindset of many major companies.

"The most important first step is to increase the awareness of designers and companies of the need to accommodate everyone. The disabled are not just some small, disenfranchised group: they represent all of us. So the first step is education, awareness, and empathy."

A change in the thought process of designers would also require support and active participation of people with the disabilities being designed for, he said.

Norman also hoped for some more care to be taken with these designs.

"Finally, why are so many aids so ugly? Why can't we rally the design community to make beautiful, elegant canes, walkers, wheelchairs, and other items?"

Such an approach would aid the work of organizations like the Disabled Living Foundation, and Alison Wright's British company EasyLivingHome, which specializes in inclusive interior design to meet the functional and aspirational needs of older consumers.

Norman felt some of the best designs in existence were simple and very old. He believed computers are actually restrictive when it comes to being creative.

"Pencils and small pieces of paper are two of the best objects designed. When you take our computer tools they don't allow us such flexibility. The good technologies are bringing that flexibility back."

He said producing good designs was about making the object understandable, and not trying to base the design on a certain way in which people should use the technology.

"What we should do is understand the job the person is trying to do. Don't try to predict what a human will do. You will get it wrong," he said.

Some of Norman's favorite technologies of the contemporary era include the Nintendo Wii, navigation systems in cars, and Google Maps with the option of being able to select driving or walking.

He is not a big fan of the iPod's design, and believes it has been successful primarily because of excellent marketing, the iTunes store, and other extras which can be bought to accompany the iPod.

Norman was also supportive of users of technology could have input into how it functioned. He said 'mass customization' where designers offer the purchaser the opportunity to add a personal touch to goods was increasingly common.

"I think it's quite rewarding letting people design their own things."

So, what does he see occurring in the future?

Norman said he was excited about 3D printing and the possibilities that could one day open up.

"I can imagine in the future if I was after something like a new dish-mat, I will be able to buy it online and by printing it it gets manufactured in my own home."

He envisaged being able to purchase the raw materials for such items and then input them into the machine.

@highlight

Professor of design Don Norman wants designers to be more inclusive

@highlight

Two Korean designers invented a toilet for able-bodied and disabled people

@highlight

Norman believes activity-centered design is the best approach