(CNN) -- President Barack Obama faces a terrible choice in the coming days. It is whether to kill a number of Syrians who had nothing to do with a poison-gas massacre to show President Bashar al-Assad, who presumably did have something to do with it, that using chemicals weapons violates an international norm.

Few would doubt the importance of international agreements to regulate war, particularly those that safeguard the rights of citizens, such as bans on chemical weapons and torture. If al-Assad is responsible for the use of chemical weapons, he had full knowledge of the norms he was violating.

By way of comparison, President George W. Bush chose a policy that allowed torture in interrogations with full knowledge that it was outlawed by agreements to which the United States was a signatory. He made a strategic choice in the face of a threat to national security. Both are abhorrent actions on the part of national leaders, both taken for fundamentally the same reasons.

An attack on the Syrian military by the United States would send a message to al-Assad, but it is not clear if Obama has any strategic objective beyond that. Whether he has such a plan or not, any U.S. attack will have implications for the civil war, no matter how much Obama says otherwise.

If the United States launches missiles into Syria, those cheering the loudest will be the Syrian rebels. The United States will be intervening in the Syrian civil war on behalf of the rebels. A significant amount of research, including my own, demonstrates that military interventions from outside states lengthen and make bloodier civil wars. Much of this evidence is the result of statistical modeling of all civil wars and any associated interventions. The data include roughly 1,000 interventions into 100 civil wars over the last 60 years, with research carried out by multiple research teams.

The results point to patterns in what happens when states intervene to try to help their preferred actor, and the results are strong and consistent that interventions rarely work to promote peace or reduce violence. For example, my own research has shown that the likelihood of a civil war lasting for four years without an intervention is 37%, but if there is an intervention the likelihood that it lasts for four years is 60%. The intervention accounts for the 50% increase in the length of the war.

Longer wars are generally bloodier. Examples might include the Nicaraguan war in the 1980s, and the Syrian war up to this point. The meager support for the rebels has allowed them to push harder against the government, and whether or not we support the government, the killing and the war's duration has only increased.

It's hard to predict exactly what will happen, of course, but once the United States bombs Syrian forces, it is possible that the rebels will take that moment to launch their own offensive, forcing the Syrian government to respond even more resolutely, greatly worsening the bloodshed.

Even if a U.S. missile strike reflects inadvertent help for the rebels, history does not point to a good outcome for U.S. policy.

The only pathway by which external interventions consistently make for shorter or less bloody wars is through diplomatic efforts to broker a peace agreement. The same modeling evidence suggests that the war in Angola, 1975-1991, could have been shortened by nearly 10 years with well-timed diplomatic interventions.

From this perspective, a missile strike will only move the situation further from peace. Sometimes the difficulty for warring parties to come to a negotiating table is tied up in information that is held private, the very thing that mediators can manage. So why not engage in serious diplomacy?

The United States has two stated policies, at least beyond the immediate question of punitive bombing in response to the chemical attacks. The first is to aid the Syrian opposition in its fight against the Assad regime; the second is to help broker a negotiated settlement.

The second goal makes sense; the first is fraught with difficulties. Two aspects of the negotiated route pose a problem for the United States. First, the official U.S. policy is that al-Assad must go. Both former Secretary of State Hillary Clinton and Secretary of State John Kerry have made these claims. Second, the rebels have steadfastly refused to negotiate. The only policy on the table is to kill more Syrians to show the Syrian leaders that killing Syrians is wrong. In this regard, U.S. policies are inconsistent with past behavior, empirical evidence and logic.

The opinions expressed in this commentary are solely those of Patrick M. Regan.

@highlight

Patrick M. Regan: Obama facing decision on striking Syria over use of chemical weapons

@highlight

Whatever strategic reasons, he says, Obama's act would have implications for Syria's civil war

@highlight

He says much research shows outside intervention in civil wars makes them longer and worse

@highlight

Regan: Statistical evidence suggests well-timed negotiations can shorten war