When Zhou Yuxia, 24, returned to Beijing after studying in the United States, she had real trouble securing a job. She had the right qualifications for the positions she was looking for -- she just wasn't a man.

"I was on a job hunting site and saw this ideal position as a marketing manager. One of the requirements was that I had to be male," she told CNN.

"If I am desperate I will apply anyway because I think I am qualified. But I'll send them an extra video outlining why I can do the job despite being female."

This happened a fortnight ago, just weeks after a similar gender discrimination case made headlines in China. Recent graduate Cao Ju took Beijing-based private tutor company Juren Academy to court after they refused to employ her on the basis of being female. The company later settled for 30,000 RMB (US$4,925), in what has been described as the first gender discrimination lawsuit of its kind in the China.

'Important breakthrough'

Geoff Crothall from China Labour Bulletin, an NGO that promotes the rights of workers in China, described the Beijing case as "an important breakthrough." He says he expects more women to actively challenge discrimination moving forward but cautioned against being too optimistic.

"It is very difficult to get courts in China to accept discrimination cases, as Cao Ju herself experienced," Crothall told CNN.

"Very often employers blatantly discriminate because demand for a particular job is very high and they can get away with setting strict and discriminatory stipulations."

Wang Xiao, 28, knows a thing or two about this. Upon graduating from a top Beijing university, she spent a year working as a headhunter. There she was approached by clients who specified only male candidates. Factory-based jobs and those within engineering were two professions commonly demanding male applicants, as were roles that involved travel or working overseas.

"There's a perception that (travel) to certain countries is not safe for women, and also that if a woman is older her priorities will be more home-based, whereas the man's will still be work first," she said.

Wang experienced discrimination herself upon changing jobs. She was working as a teacher's assistant at a well-established tutorial company in Beijing and when her boss left, he referred Wang to the director as the best person to fill his role. The director, though, wanted a man. Wang lost out to someone more junior than her.

"At my company the high-level positions were usually filled by men," she noted.

These anecdotes are commonplace. Data in the Third Chinese Women's Social Status Investigation, jointly carried out in 2010 by the All-China Women's Federation (ACWF) and the National Bureau of Statistics of China, revealed that more than 72% of women had a clear perception of "not being hired or promoted because of gender" discrimination.

Over 75% believed they were dismissed due to marriage and childbirth, with fears that this could worsen as China relaxes its one-child policy. Meanwhile, the federation calculated that urban Chinese women in 2010 earned 0.67 RMB for every 1 RMB men earned, down from 0.78 RMB in 1990.

From overt to recessive

Women must also compete amongst themselves. In China, where applicants often attach a photograph to their CVs, there are jobs requiring women to measure up to a certain level of attractiveness. In her book, Buying Beauty: Cosmetic Surgery in China, anthropologist Wen Hua noted the prevalence of job ads with detailed appearance and height requirements for women. The Chinese government itself is guilty of this, she says.

"They are trying to attract the tallest or the prettiest people, because it makes (the government departments) look good," Wen wrote. "The belief that better looks secure better jobs has pushed more and more Chinese college students to spend lavish amounts of money on cosmetic surgery."

She told CNN the situation has changed since her research back in 2006-7, saying there are fewer of these ads around nowadays -- but she is also wary.

"Gender discrimination in employment still widely exists in China's workplace in different ways that are hidden. The discrimination has changed from overt to recessive, whilst the situation might be even worse because hidden prejudice and discrimination against women is harder to avoid and punish."

Leveling the playing field

Some women adapt to the situation. As a teenager, Lin Wanru wanted to be a doctor. Her mother had other plans, telling her that, "Medicine is not a good profession for a woman to be in -- it will not attract a man." Instead Lin became a journalist and satisfies herself with writing medical stories.

Lin's story touches on a greater phenomenon, namely women are still being engineered to see marriage as their first priority and career as second. Those who fail to conform to this stereotype risk being labeled a "leftover."

READ MORE: China's 'leftover women' choose to stay single

Zhang Chao is a member of Lean In Beijing, a women's professional development group inspired by Facebook Chief Operating Officer Sheryl Sandberg's bestselling book Lean In. For her, this attitude is troubling. A 25-year-old HR coordinator in the telecommunications industry, she says that plenty of her female counterparts were ambitious at school and college, but their ambition later disappeared.

"When we step out of school and enter the society, all of the goals turn to the pressure of marrying a good husband. It becomes the major standard of how we evaluate our life," she told CNN.

This is a far cry from when the Communist Party came to power in 1949, when elevating the status of women was central to their manifesto. Chairman Mao famously declared that women hold up half the sky and, superficially at least, went about promoting women into jobs previously designated to men.

But it's not all bad in today's China. According to the 2014 Hurun Global Rich List, 17 of the 358 US-dollar billionaires living in Greater China are women (up from 14 a year ago), and 19% of Chinese women in management positions are CEOs.

The perception women are on the rise has even led to the coining of a phrase -- yin sheng, yang shuai -- which means the female (yin) is on the up, while the male (yang) is moving down.

Celebrating women the wrong way

The Chinese treatment of International Women's Day, which still features in the Chinese annual calendar on March 8, shows the disparity between rhetoric and reality. Once seen as an occasion to highlight the plight of women, it has now become another commercial opportunity, like Valentine's Day or Mother's Day. Some companies give women time off; others provide presents for their female staff -- often presents that feed into gender stereotypes.

In 2013, a total of 1.72 million men bought gifts for women in the 10 days leading up to International Women's Day, according to a report issued by Taobao, China's largest online shopping website. Beauty vouchers and kitchen supplies were a dominant theme. Retailers commonly offer sales on women's products as well.

With International Women's Day approaching, the offers are already on display --  bouquets of flowers, and nice accessories to give to your wife, mother or employee. Chinese women are once again being reminded that when it comes to work, there's a gulf between themselves and their male cohorts.

@highlight

Discrimination against women in rife in China

@highlight

Successfully-fought gender discrimination cases are almost nonexistent

@highlight

Discrimination changing from "overt" to "recessive"

@highlight

International Women's Day celebrations in China can be misguided