(CNN) -- "Look around. We are living in a heavy metal world." -- Faisal, lead vocals, Acrassicauda

Four young men start a band in a basement. Their music is loud, their t-shirts lurid, their language littered with expletives.

Big noise? Big deal.

But Firas, Tony, Marwan and Faisal aren't your average young metalheads. They claim to be Iraq's only heavy metal band, and the documentary film "Heavy Metal in Baghdad," which premiered at this year's Berlin Film Festival, gives a harrowing glimpse of their everyday life in a city torn apart by war.

Directed by Eddy Moretti and Suroosh Alvi, with Spike Jonze sporting an executive producer credit, this feature follows the four young musicians' desperate struggle to make the music they love, from the toppling of Saddam Hussein in 2003 to the present day.

The directors track down Acrassicauda (the band is named after a particularly venomous black desert scorpion) on the streets of Baghdad. We follow them to their bombed-out basement rehearsal space (obliterated by a Scud missile) and watch their fans embrace them at a rare gig at the Al Fanar Hotel.  Watch clips from one of the band's gigs in a Baghdad hotel »

But as co-director Alvi explained to CNN, what started as a short rockumentary evolved into a full-length feature that highlights the plight of so many civilians trying to live a normal life in Iraq's capital.

"We went over to find the band," he said. "They were speaking for so many faceless Iraqis who were affected by the war, displaced from their homes by the war."

And that's where "Heavy Metal in Baghdad" gets its power.

As the band struggles to overcome roadblocks, curfews and power cuts just to get to rehearsal, this portrayal of four regular guys surrounded by violence and chaos is a striking picture of a city's populace caught, quite literally, in the crossfire.

"Nobody could live under the same circumstances that an Iraqi could live in," says bassist Firas. "You have to deal with death and fear every day," adds singer Faisal.

That fear is reflected in their music. There's little room for allegory in their songs, "Massacre," "Between the Ashes" and "Orphan Child": These titles reflect the band's everyday existence.

In Baghdad, as fundamentalism begins to flourish post-Saddam, Acrassicauda and their fans are viewed with suspicion for both their music and their appearance. Three years into the documentary, a clerical council issues a bundle of edicts that ban, amongst other vices, long hair on men, "improper Western clothes" and "music-filled parties and all kinds of singing." Even Acrassicauda's local guitar emporium has closed, the owners cowed by fundamentalists into shutting up shop.

That makes it tough if you want to play American-style heavy metal, condemned by some of their compatriots as satanic. In a country where the number one rule of survival is to keep your head down, bass player Firas says, "just wearing a United States band t-shirt can get you killed," while paying homage to Ozzy Osbourne guitarist Zakk Wylde's flowing locks is out of the question. "Where is the freedom if I can't wear what I want, say what I want?" he argues.  Watch clips from the documentary and hear the band speak about Iraq »

But the band persists, sweating through 21-hour-long rehearsal sessions and continuing to sport t-shirts emblazoned with their idols: Metallica, Slayer, Slipknot.

In such a constrained situation, it's no surprise that the band feels frustrated. "You just feel like you're caged, like there's chains all around you," says drummer Marwan. For Acrassicauda, playing at one of their infrequent live performances is an all-too-rare opportunity to find some release. "For two hours, we want to free ourselves from those chains, get that rage out," he continues. And the film's surreal scenes of Iraqi metallers writhing in a makeshift mosh pit against the shabby genteel backdrop of a hotel function room -- in the middle of the afternoon -- underline the pathos of the reality in which the band exists.  Watch clips from one of the band's gigs in a Baghdad hotel »

Surrounded by an ever-increasing band of bodyguards, and strapped into flak jackets, Moretti and Alvi's approach often feels reckless, and sometimes a little gung-ho: they're journalists hooked on the trail of a hot story. That contrasts with the nervy, cautious approach of their subjects, as Acrassicauda snatch careful moments to share their lives with the directors. Director Suroosh Alvi told CNN, "The story ... is playing out in real time. It's happening every day for these guys." Firas, Tony, Marwan and Faisal, who have all lost friends or family members, know too well that Baghdad is no playground.

The crux of the film sees Acrassicauda's members faced with a hard choice: stay in Baghdad and risk getting sucked into the conflict, or flee, abandoning their homes and families, for a slim chance at survival in neighboring Syria. But Syria is no easy lifeline: They'll face a perilous 16-hour bus ride, run the gauntlet of barricades, checkpoints, kidnappers and exploitative fixers, and risk their life savings.

As they wrestle with their decision, the band members' ways of coping with their plight come to the fore. Marwan greets the situation with aggression -- "if I don't play drums, I'd kill someone" -- and a growing anger at those who have allowed the situation in Baghdad to arise; Firas conceals his feelings behind bravado and laughter; while singer Faisal becomes increasingly withdrawn and introspective.

The band has now fled to Turkey, their passage funded by well-wishers from the worldwide heavy metal community. Their mission -- to make the music they love -- continues. It's a constant struggle to survive, but one that Acrassicauda aren't prepared to abandon -- yet. As Firas says, they won a major battle just by proving that they could make their kind of music in a war zone.

"Nobody was expecting that in Iraq, heavy metal could exist," he says. "But we changed that fact. Nothing could have stopped us." E-mail to a friend

@highlight

Rockumentary "Heavy Metal in Baghdad" features Iraq's only heavy metal band

@highlight

Band members struggle to make music, face hostility for long hair, rock t-shirts

@highlight

Film shows Iraqi metal fans writhing in a makeshift mosh pit in a genteel hotel

@highlight

The band faces a tough choice: stay in Baghdad or flee to Syria