Donetsk, Ukraine (CNN) -- In the city of Donetsk, the devastation wrought by weeks of fighting between pro-Russia rebels and Ukrainian forces is all too apparent.

And as the civilians caught in the crossfire sweep up the debris of their homes and livelihoods, they are hardened against a president they say is killing his own people.

Alexander Omelyavenko, a Donetsk resident, told CNN, "We are Ukrainian but they kill us, so we probably need our own country. Because these people in Kiev, they are not brothers for us."

Another resident, Victoria Khrushova, wiped away tears as she told how her family had been forced to hide from the shelling in cellars.

"We live underground. It was so hard for two weeks -- especially 27th, 28th, 29th -- but only today is quiet," she said.

The husband of a 34-year-old woman killed outside a block of flats last Wednesday wouldn't talk to CNN, saying he was in shock. He made it down to the cellar with their small child but she simply didn't have time. A 50-year-old woman was killed with his wife.

It's a story which repeats itself over and over in dozens of apartment blocks, with civilians being killed by the constant shelling around Donetsk. Windows are shattered, holes blasted in walls and blackened rafters which once supported the roofs of homes stand in bleak outline against the sky.

The victims are the human face of a humanitarian catastrophe unfolding even as diplomatic efforts to curb the fighting plow on.

The United Nations' refugee agency, UNHCR, said Tuesday that the number of people displaced in Ukraine by the fighting, particularly around Donetsk and Luhansk, had more than doubled in less than a month.

While an estimated 117,000 had fled their homes as of August 5, the agency puts the number displaced as of September 1 at 260,000.

UNHCR believes the actual number displaced is higher, as many are staying with families and friends and choose not to register with the authorities. Nearly 95% of those forced from their homes are from eastern Ukraine and most remain in the region, its report said.

'Be human... Stop this war'

Donetsk, once-thriving, is now half-empty, shop fronts shattered and its railway station bombed.

Its trauma hospital is filled with the civilian wounded who were unable to reach safety in time as the shells rained down.

Medical teams treat market traders with shrapnel embedded in their legs or the broken limbs of pensioners too old or sick to run.

"There was one war and this is the second war. I was born in 1940 in World War II and I will probably die before this war is over," said elderly resident Valentina Sergeyevna.

Valentina Popova, in the ward next door, has lost her leg and her arm to indiscriminate artillery shells.

Switching to the Ukrainian language, she made a heartrending plea to Ukrainian President Petro Poroshenko.

"We used to dance, sing, do everything in Ukrainian. Poroshenko, Mr. Poroshenko -- please listen to us. Why don't you understand your people? Be a man. Be human. Please stop your aggression. Stop this war."

Russia accuses the Ukrainian government of precipitating the humanitarian crisis by pursuing its campaign to regain territory seized by the rebels.

Meanwhile, Poroshenko and some Western allies have said thousands of Russian troops are in his nation's east, helping the separatists.

NATO members meeting this week in Wales are expected to create "a very high-readiness force" to deal with Russian aggression in Ukraine and other international conflicts, NATO Secretary General Anders Fogh Rasmussen said Monday.

European Union leaders are expected to decide on further sanctions against Russia over its actions in Ukraine by Friday, Italian Foreign Minister Federica Mogherini said Tuesday.

Lavrov: 'Let us sit down and talk'

Though Russia has denied sending its troops to Ukraine, it has defended the rebels' action in the east.

"Washington and Brussels need to ask Kiev authorities to stop shelling the houses, schools, hospitals and so on because you leave militia with no choice but to stand up to protect their people," Russian Foreign Minister Sergey Lavrov said.

"Let's not ask militia to lay down their weapons and allow themselves to be killed."

Lavrov said negotiations, not threats, would help resolve the crisis between the two neighbors.

"Let us sit down and talk instead of threatening with sanctions and stubbornly making absolutely unrealistic demands of the militia laying down arms," he said. "This is what the peace plan of Poroshenko is about."

The continued fighting means it's difficult for humanitarian workers to assess the full scope of the crisis, the UNHCR said in its report, while damage to roads and other infrastructure makes it hard to get aid in.

As of September 1, some 2.2 million people remained in conflict areas according to the Ukrainian authorities, the agency said, many with limited access to food, water, and other basic necessities.

"In Donetsk, Makiivka and Gorlovka the regional authorities estimate there are 20,000 people with disabilities and needing help," it said. "In Luhansk, residents have been without proper supplies of food and water, and dealing with electricity shortages and communications problems for a month."

The number of people using "humanitarian corridors" set up by the authorities to flee has dropped off since a number of civilians died in attacks, the UNHCR said.

Statehood question?

Russia annexed Ukraine's Crimean Peninsula in March following the ouster of President Viktor Yanukovych the previous month.

Violence broke out in the eastern Donetsk and Luhansk regions in April when separatist leaders declared independence from the government in Kiev.

Since then, the conflict between the pro-Russia rebels and the Ukrainian military has killed more than 2,500 people, according to the United Nations.

A Human Rights Watch report released Monday claimed "unlawful government and insurgent attacks" in and around Luhansk were contributing to rising civilian casualties.

It cited a Luhansk morgue doctor as saying explosive weapons have killed more than 300 civilians in the city since May. HRW researchers spoke to more than a dozen people who had witnessed artillery, mortar or rocket attacks in civilian areas.

"Many of the attacks appeared to be indiscriminate, in that they did not or could not distinguish between civilians and combatants," the rights group said. "Indiscriminate attacks violate international humanitarian law, or the laws of war."

A report last week by the Office of the U.N. High Commissioner for Human Rights documented "a wide array of serious human rights abuses" committed primarily by the rebel fighters.

Violations have also been committed by members of the Ukrainian military as they try to recapture rebel-held territory, it said.

Opinion: Fog lifts to show Russia at war

The scene in eastern Ukraine

Ukraine crisis: 6 questions and answers

CNN's Diana Magnay reported from Donetsk and Laura Smith-Spark wrote in London.

@highlight

EU leaders may decide on further sanctions against Russia by the end of the week

@highlight

Homes, businesses and lives have been torn apart by shelling in Donetsk city

@highlight

"Please stop your aggression. Stop this war," one woman says to Ukraine's president

@highlight

U.N.: Number of people internally displaced in Ukraine more than doubled in a month