(CNN) -- Democratic hopes for 2014, never good, are fading fast. The New York Times reported on the mood of panic among Democratic senators. Forecaster Charlie Cook is speculating about a Democratic Senate wipeout. It's suddenly looking very possible that Republicans could regain control of both houses of Congress for the first time in eight years. What then?

The main thing to expect: You're going to hear a lot less about debt and deficits from Republicans and a lot more from Democrats.

It's almost a rule of American politics that the losers of the last election talk about deficits, while the winners talk about what they want to do.

It happened after 2008: Barack Obama's triumphant Democrats announced huge new spending plans; the defeated and discarded Republicans fulminated about red ink.

It happened after the recount election of 2000. Then it was Republicans who had plans -- tax cuts, defense buildups -- and Democrats who fretted about the impact on the budget balance.

It happened after the stunning Republican sweep in the congressional elections of 1994. Abruptly, President Clinton -- who had campaigned only two years earlier on a bold program of "investments" -- reinvented himself as Mr. Fiscal Responsibility. The triumphant Republicans sent Clinton tax cut after tax cut. He vetoed most of them, but finally signed a reduction in the capital gains tax in 1997, as part of a bargain to secure spending programs that he preferred.

And so it will be if Republicans take full control of Congress after 2014. The debt crisis that used to present such a generational challenge? The new "red menace" -- this time of red ink rather than the Red Army? It will suddenly take a back seat to the need to accelerate economic growth by cutting tax rates.

Meanwhile the Obama Democrats -- who five years ago accepted budget deficits of nearly 10% of GDP as indispensable to economic recovery -- will suddenly decide that the country's present deficit of less than half that amount is intolerable and unacceptable. The President's latest budget proposes to reduce the deficit below 2%, thanks in large part to new tax revenues generated by the lapse of the Bush tax cuts at the end of 2012 and the new Obamacare taxes that went into effect at the same time.

If Republicans win in November 2014, they will try to send that money back home. President Obama will invoke "fiscal responsibility," Clinton style, in hope of thwarting them.

Deficit reduction is everybody's second favorite policy, after their first favorite, "Doing what I want." This may explain the seeming paradox that deficits tend to shrink during periods of divided government (like the final six years of the Clinton and Obama presidencies) and to widen during period of united government (like the first six years of the George W. Bush presidency and the first two years of Clinton and Obama).

To put it even more bluntly: Deficits don't shrink because politicians reach Grand Bargains. Deficits shrink precisely when politicians are least able to do anything grand. Deficits shrink not when leaders compromise, but when they squabble.

Right now, the deficit is shrinking at the fastest pace since the end of World War II. Much of this improvement can be explained by economic recovery; much, but not all. And that part of deficit reduction explained by public policy has been put in place (and will likely continue for at least the next two years) by political conflict, not by deal-making.

The Bush tax cuts expired at the end of 2012, as did the payroll tax holiday put in place to counter the 2009 recession. Obamacare's new taxes on high-income earners went into effect the very next day. These tax increases enrage Republicans. Yet until and unless Republicans can elect a president to sign a tax cut passed by Congress, the tax increases will remain in effect, collecting rising revenues for the government in Washington.

To end the debt ceiling fight in 2011, the parties agreed to an emergency measure -- a budget sequester that mindlessly imposes spending cuts across the federal discretionary budget. The hope was that the sheer irrationality of the sequester would force the parties to agree on a more sensible plan. So much for that. The sequester continues to hack away -- and as things stand, will continue to hack away for the remainder of the decade.

Health care cost inflation is slowing down, for reasons economists don't fully understand. Is the slowdown a rare positive effect of the Great Recession? Is Obamacare delivering as promised? Or is it just a manifestation of the old rule that nothing continues forever? Whatever the explanation, that explanation is likely to remain in force for some time to come. Obamacare can't be repealed, can't be expanded, and can't be fixed. Whatever Obamacare does, it's going to keep doing it for a long time to come.

A friendly foreign observer of U.S. politics used to joke: "It's never over till it's over -- and it's never over."

You could add a PS to that rule: "And when it's over, it's not because anybody likes the result -- but because so many different people hate it for so many different reasons."

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum: GOP may regain control of both houses of Congress this year

@highlight

Frum: Election losers talk about deficits, winners talk about what they want to do

@highlight

He says deficits shrink not when leaders compromise, but when they squabble

@highlight

Frum: If GOP win in November, Obama will likely invoke "fiscal responsibility"