LONDON (England) CNN -- Could the era of spend, spend, spend be about to end?

What is the biggest personal problem ordinary people face? The answer increasingly, is debt.

In the last 15 years countries such as the U.S., UK, Australia and Canada have enjoyed an economic golden age.

For many consumers it seems there is no product or experience that is out of reach as long as you have a few credit cards in your wallet.

It's been the era of "because I'm worth it," $1,000 "It" handbags, celebrity worship, four credit cards apiece and vacations abroad.

But a flip side is emerging from this era of excess, with potent signs in the last week that the party is coming to a close. There have been warnings signs in the U.S. this week that the economy is slowing.

Rising U.S. home foreclosures and a persistent housing slump have triggered a U.S. credit crunch which has unsettled global markets and raised concerns about a possible economic slowdown.

The International Monetary Fund's chief economist Simon Johnson said on Wednesday: "We've seen a shock that has spread to other industrialized countries faster than expected. It's an important wake-up call for all of us."

On Friday the financial world was rocked when one of the biggest UK mortgage lenders Northern Rock received emergency support from the Bank of England.  According to UK newspaper The Daily Telegraph, "it's further proof that the contagion of the credit crisis is spreading through the economy."

If the U.S. housing slump, IMF warnings and Northern Rock crisis are part of the economic big picture, then it's also important to heed the calls from the coalface. What is the biggest personal problem ordinary people face? The answer increasingly, is debt.

Drowning in debt

This week UK charity Citizens Advice Bureau (CAB) said the number of people seeking assistance on how to manage their debts reached record levels. It is now the most common problem the advice service handles. The advice service recorded 1.7 million cases last year -- a rise of 20 percent of callers with debt-related problems.

Credit card bills and other loans were 40 percent of all inquiries, while there was a "worrying" rise of people struggling to pay the basics such as utilities bills.

The organization said the surge in calls for help was evidence that the lengthy consumer boom was taking its toll. They singled out the proliferation of debt consolidation companies for blame.

Economist Andrew Charlton from the London School of Economics believes the U.S. housing slump and high levels of personal debt are part of the same problem: People on low incomes getting in over their heads with either housing stock or personal debt they cannot afford.

The house of cards comes down when it is time to collect: a slight upward movement in interest rates, a drop in house prices or job losses (4,000 in the U.S. in the last month, a four-year high) means payments cannot be made and the lenders foreclose.

The chickens coming home to roost

For Phillip Hodson, Fellow of the British Association for Counseling and Psychotherapy, high levels of callers distressed by debt are no surprise.

"The chickens have come home to roost. At the personal level people have to face some very difficult decisions. It's difficult to break the (credit card) habit and people whose habit is going to the mall will find it very hard," he said.

And what habits we have: More than 4.2 million Britons have no qualms about taking their next holiday before actually paying for the last, according to statistics from UK bank Alliance & Leicester.

Research from Scottish Widows shows one in three adults in the UK refuse to plan their finances at all, and those who do find the time to review them set aside just five minutes a week.

Reliance on credit is a problem to be tackled not only by consumers but also governments, with our addiction to credit having a serious ripple effect on the economy.

In the U.S. an increase in credit card debt again pushed up outstanding U.S. consumer debt in July by $7.5 billion, the Federal Reserve reported last Monday. Consumer credit outstanding rose to $2.46 trillion in July, up from a revised $2.45 trillion in June, the Federal Reserve said.

U.S. consumers are defaulting on credit card payments at a significantly higher rate than last year, "raising the prospect of problems in the stricken U.S. subprime mortgage market spreading to other types of consumer debt," according to the Financial Times this week.

Credit card companies were forced to write off 4.58 percent of payments as uncollectable in the first half of 2007, almost 30 percent higher than last year. Late payments also rose, and the quarterly payment rate -- a measure of cardholders' willingness and ability to repay their debt -- fell for the first time in over four years.

Simply put, we have developed a habit for credit cards that we can't afford, with people becoming adrift from old notions of delayed gratification: You save first before you purchase. Hodson told CNN about his grandmother using both sides of an envelope before she'd throw it out and keeping pieces of string that could later be reused.

This World War II austerity is now folklore although some pundits say panic over the environment and resource use, as well an increase in personal debt may bring the war generation's frugal habits back into vogue.

Why are we hooked on credit?

Philip Hodson sees a few factors responsible for our credit binge: "We've developed retail therapy -- it's a drug -- but it's a very fragile plant and to build an economy based on it is ridiculous."

He also says the government has encouraged a people to be reckless with money through their own bad example: "The government must take much of the blame for encouraging a debt culture and saddling students early on with loans."

The availability of credit lines also contributes to the debt trap.

In the U.S., 80 percent of households have at least one credit card. Yet that is not enough for many credit providers. Five billion credit card solicitations are mailed each year nationwide, with each cardholder owning an average of seven credit cards -- three bank credit cards and four store or gas credit cards. Average household or individual debt (or both) is about $9,300 per household holding at least one credit card.

According to the advocacy group Demos, the average balance among lower- and middle-income households is $8,650. We use credit cards for computers, the latest gadgets such as iPods, holidays and fashion, all the things many of us now deem as essential.

This readjustment of our needs -- perceiving that we now need more rather than the same or less also fuels our credit addiction.

Economist Andrew Charlton believes our reliance on credit is symptomatic of prosperity: "It's the by-product of the boom. In for example, Australia almost 30 percent of the population have never lived through a recession -- young people believe you can always take on debt because it's always easy to pay off. Prosperity is the cause of our credit addiction."

According to Hodson, celebrity culture has a lot to answer for: "The credit problem is exacerbated by celebrity culture. It's the ubiquity of television -- you are taught by the electronic media to envy people's lives who are richer."

"With celebrity culture 150 years ago your horizon would be your parish. Today anybody living on benefits can watch the plutocrats of the world having fun -- I'm not surprised they are envious."

His advise to minimize envy? "Always compare yourself to poorer people."

The bulk of callers ringing the Citizens Advice Bureau are juggling debts but in the future Hodson thinks it will be harder to borrow money, due to the difficulty we'll have in repaying it. When lines of credit tighten or dry up, we'll have to readjust our spending habits and tastes.

Luxury items will once again be out of reach for most except the super-rich.

"What's the answer to borrowing?" asked Hodson. "It's borrow more. But it's musical chairs and what's going to happen when you can't sit down?"

Hodson answers the question himself: "I think a lot of people are going to be forced out of the credit economy because they can't borrow and they have a black mark against their name -- similarly if you default. Banks will start to discriminate more carefully."

As for our insatiable appetite to have the latest things and have them now: well it may be that if we can't afford them and no longer have a seemingly endless source of credit, we may have to go without. This in turn will tighten the screws on the retail industry.

In UK newspaper The Independent, the "spending squeeze" was forecast with "retailers reporting falling sales as debt-laden consumers tighten their belts."

Some experts believe it's not spiraling debt which will be the wake up call but the environmental costs of conspicuous consumption, while Charlton believes "a recession will trigger a change in behavior. The next recession won't be like the last one, it will cut deeper."  E-mail to a friend

@highlight

Global warning signs that an era of prosperity is over

@highlight

Debt has now become the main worry of UK citizens

@highlight

Fears that culture of consumption creates a "debt trap"