London (CNN)Mohammed Emwazi, the British-Kuwaiti ISIS fighter the world knows as "Jihadi John," was fuming with righteous indignation when he met with a representative of Cage Prisoners -- a Muslim advocacy group now known as CAGE -- shortly after being deported from Tanzania in August 2009.

In a meeting recorded by the advocacy group, he claimed his plans for a safari vacation were ruined when he was detained at the airport and sent back first to Amsterdam and then to Dover, England, where he was subjected to several interrogations by British security officials.

He said they accused him of traveling to Tanzania so he could link up with the terrorist group Al-Shabaab in neighboring Somalia and revealed they had been listening in on his phone conversations even before he made the trip.

Emwazi said that during the questioning he denied any connection to extremism and stated that innocent people had been killed in the 2005 London transport system terrorist attacks and that the 9/11 terror attacks in the United States were wrong.

Father: No proof my son is 'Jihadi John'

But more than a dozen British administrative court documents obtained by CNN paint a very different picture of Emwazi and explain why he was on British security services' radar before he made the trip.

The documents reveal British security services believed Emwazi was part of a radical West London recruitment network for terrorist groups in East Africa.

Last week, two U.S. officials and two U.S. congressional sources confirmed to CNN that "Jihadi John" is Mohammed Emwazi, a Kuwaiti-born Londoner.

One figure in the group -- a 30-year-old British-Iranian identified only as "CE" who was allegedly trained by al Qaeda terrorists in Somalia in 2006 -- was later placed under a "control order," a British administrative measure to restrict the freedom of movement of terror suspects.

A December 2011 court document pertaining to CE's case named Emwazi as part of his extremist network.

According to the document, British Home Secretary Theresa May "maintained she has reasonable grounds for suspicion that since his return to the United Kingdom in February 2007, CE has continued to associate regularly with members of a network of United Kingdom and East African-based Islamist extremists which is involved in the provision of funds and equipment to Somalia for terrorism-related purposes and the facilitation of individuals' travel from the United Kingdom to Somalia to undertake terrorism-related activity. The Secretary of State maintains that members of the network include BX, J1, Mohammed Ezzouek, Hamza Chentouf, Mohammed Emwazi, Mohammed Mekki, Mohammed Miah, Ahmed Hagi, Amin Addala, Aydarus Elmi, Sammy Al-Nagheeb, Bilal Berjawi and others."

Some of these men are now dead. Others are wanted.

CE told British officials that Mekki and Emwazi often stopped by his wife's apartment. Several of the visits were in early 2011, according to the document.

Many of the young men in this network grew up within a few blocks of Emwazi in West London.

According to the court documents, security services believe five members of the group -- CE, Berjawi, BX, Ezzouek, Miah and Chentouf -- attended an al Qaeda training camp in Somalia in 2006 in which they may have been instructed in the use of explosives.

The camp was run by two veteran al Qaeda operatives, Saleh Nabhan and Fazul Mohammed, who instructed the British group to return to the United Kingdom "to carry out facilitation activities and to recruit individuals to work on behalf of al Qaeda and/or Al-Shabaab," according to the British government.

Nabhan and Fazul Mohammed were the most-wanted al Qaeda operatives in Africa and, according to a 2009 U.S. State Department cable, their training camps offered far more advanced instruction than that offered by Al-Shabaab.

Nabhan, a Kenyan operative, was suspected of playing a key operational role in the bombing of the U.S. Embassy in Nairobi, Kenya, in 1998, as well as a bomb attack on a resort in Mombasa in 2002, and on the same day, a failed missile attack on an Israeli airliner taking off from Mombasa's airport.

Fazul Mohammed, who was born on the Comoros Islands, was also suspected of playing a key role in the bombings of U.S. embassies in East Africa in 1998.  He wrote in a 2009 memoir that Western recruits should be provided with training rather than instantly dispatched as suicide bombers within Somalia "to build sleeping cells around the world."

Nabhan was killed in a U.S. Navy SEAL raid in September 2009 and Fazul Mohammed was killed in an ambush in Mogadishu in June 2011. Authorities recovered a document on a thumb drive found on his body -- probably authored by a British recruit -- proposing an attack on targets including Eton College and the five-star Dorchester and Ritz hotels in the United Kingdom, similar to the 2008 Mumbai, India, attacks that killed more than 160 people. The author proposed two months' training in Somalia for British and Western recruits selected for the attack, including target reconnaissance, hostage-taking, weapons and counter-surveillance.

According to the court documents, at least one member of Emwazi's circle -- J1, a 36-year-old Ethiopian asylum seeker to the United Kingdom -- had links to the al Qaeda cell that attempted to bomb the London transport system on July 21, 2005, two weeks after bomb blasts on London Underground trains and buses killed 52 people and wounded 770. According to the British government, J1, a Christian convert to Islam known in Islamist circles as Abdul Shakur, contacted bomber Hussain Osman by phone on the morning of the July 21 attempted attack.

In October 2009, two months after Emwazi's alleged aborted attempt to wage jihad possibly in Somalia, three members of his west London network -- Bilal Berjawi, Mohammed Sakr and Walla Eldin Rahman -- traveled to join the terrorist group Al-Shabaab in Somalia, according to the documents.

British security officials estimate that a total of more than 100 British extremists traveled to join the group, according to published reports.

The Lebanese-born Berjawi, from St. John's Wood in West London, swiftly rose to a senior position in Al-Shabaab and likely continued to work closely with the senior al Qaeda operative Fazul Mohammed, according to a profile by Raffaello Pantucci, the director of international security studies at the Royal United Services Institute. According to the UK court documents, Berjawi remained in contact with the radical network he and Emwazi belonged to in the United Kingdom while in Somalia.

Berjawi and Sakr were killed in U.S. drone strikes in early 2012. It is possible one of them authored the blueprint for attacks on luxury London hotels found on Fazul Mohammed's body in Mogadishu the previous year.

By 2013, Emwazi's West London radical network had a new cause célèbre: the jihad against the Assad regime in Syria. Drone strikes and infighting in Al-Shabaab had made life increasingly difficult for foreign fighters in Somalia.

Two members of Emwazi's network managed to leave Britain despite being under "terrorism prevention and investigation measures" (TPIMs), which means the monitoring of terror suspects who can't be charged. Their current whereabouts are unknown, but one possibility is that they traveled to Syria.

TPIMs were introduced by the British coalition government in 2012 to replace the previous control order system.

According to Robin Simcox, a research fellow at the Henry Jackson Society who has conducted extensive research on control orders, the new system removed authorities' power to relocate terror suspects, making it easier for them to re-engage with their radical networks.

Both of Emwazi's associates moved back to London and then fled the country.

Ibrahim Magag -- a British-Somali man previously identified as "BX" under the control order regime -- fled in December 2012 after using scissors to cut through the strap of his GPS location monitoring device. British authorities believe he hailed a London taxi, and disappeared.  He had previously attended the training camp run by the senior al Qaeda operatives Nabhan and Fazul Mohammed in Somalia in 2006 and was involved in fund-raising for al Qaeda in East Africa, according to the court documents. In 2010, prior to the introduction of TPIMs, a British judge had ruled he was "too dangerous to allow him to be in London for even a short period."

Nevertheless, the British secretary of state wrote in court documents that "Magag is not considered to represent a direct threat to the British public. The TPIMs notice in this case was intended primarily to prevent fund-raising and overseas travel."

His whereabouts today?  Unknown.

Mohammed Mohamed -- a Somali-born radical previously identified as "CC" -- went on the run in November 2013 after entering a west London mosque and removing his GPS monitoring device. Security cameras captured him leaving the mosque, disguised as a woman wearing a burqa.

In 2008, Mohamed had traveled to Somalia, where Al-Shabaab provided him terrorist training. He was  detained in Somaliland in 2011 and deported to the UK. According to the court documents, he was involved in facilitating travel for others to Somalia and fund-raising for Al-Shabaab, and was planning attacks potentially against Western interests in Somaliland before his arrest. He remains wanted by British security.

It's unknown if Magag or Mohamed rekindled their ties with Emwazi in London before leaving the country.

In 2013, Emwazi himself traveled to Syria, joined ISIS, and began guarding Western hostages. In August 2014 he was dubbed "Jihadi John" -- the menacing, taunting, hooded face of ISIS -- when he orchestrated the brutal beheading of American journalist James Foley, the first of many victims murdered on camera.

@highlight

The man now known as "Jihadi John" was on Britain's terror radar for several years

@highlight

Court documents claim he was a member of a terror recruitment network in London

@highlight

The papers spell out his connections to other known terrorists in Somalia