(CNN) -- The debate on climate change is over.

Scientists are now as certain that climate change is a real, man-made threat as they are that cigarettes kill. But cleaning up our air has much more to it than combating shifts in Earth's temperatures and environment.

The administration's new pollution standards -- new Environmental Protection Agency regulations that place tough limits on emissions from coal-fired power plants -- are an answered prayer for working families. I'm talking about those many families who endured damaged homes or lost work hours from our more frequent, and more severe, extreme weather.

Dialing down air pollution is a gust of relief for a retiree without the luxury of air conditioning, who battles climbing temperatures and brutal heat waves. It's a breath of fresh air for every child playing in the shadow of a power plant, at risk from an asthma attack just by being outdoors.

Placing limits on carbon pollution from power plants is about ensuring that we have clean air to breathe and communities that are safe to live in. Carbon pollution limits are about defending families who have borne the heaviest burden of the main pollutant that is driving climate change.

Events like Hurricane Katrina and Superstorm Sandy were unlike any weather disasters before. They showed the world who suffers the most from the impacts of extreme weather: low-income families and communities of color.

These family communities lack the resources to insulate and protect themselves from the severity of this emerging crisis. Even worse, it is the weeks and months after -- before people go back to work and businesses reopen -- that leave working families especially vulnerable.

As we enter hurricane season again, we know that extreme weather events come and go. But before they arrive, it is lower-income families and people of color -- forced by housing market dynamics and land costs -- who live the very closest to carbon pollution sources, such as highways, factories and power plants. In addition to that, they are already predisposed to health risks.

The American Lung Association says that in excess of 20.2 million low-income people live in areas with at least one failing grade for its air. There are 4.5 million people breathing air that fails all three of the association's air pollution tests.

Sixty-eight percent of African-Americans have homes within 30 miles of a coal plant. Considering that one in six African-American kids has asthma, compared with one in 10 children overall, that is a dangerous fact. An African-American child is 3.6 times more likely to visit the emergency room for asthma, as compared with white children, according to the Department of Health and Human Services' Office of Minority Health.

Let me tell you a personal story. On the last Sunday of summer in 2005, my niece called me from New Orleans.

"We're leaving," she said.

"Where are you going?" I asked brightly. "On vacation?"

Her answer, and the landfall of Hurricane Katrina the next day, became one of the most humbling periods of my life. Humility and anger turned into my dominate emotions.

I was angry for not knowing whether family members caught there without transportation had made it out safely. Or if they hadn't, whether they had survived. I was angry when federal officials told me that I had to wait weeks to find my sister, trapped by rising waters in an assisted-living facility. I was angry that my 92-year-old uncle, stranded on his roof, was flown to Roswell, Georgia, only to suffer a heart attack when he landed.

Hurricane Katrina was the storm of the 21st century. It devastated an area the size of Great Britain. More than 1,800 Americans died. Three hundred thousand homes were destroyed. There was $96 billion in property damage.

I served on the Louisiana Recovery Authority. I saw Congress write one big check and then skip town. I respected President George W. Bush, who personally visited the Gulf 17 times. Laura Bush visited 24 times. She made certain books were donated to schools whose libraries were washed away.

Katrina was not a single disaster but three, a storm that wiped away miles of the Gulf Coast, a flood caused by breaches in the New Orleans levees and an outbreak of violence and lawlessness in the city.

We can be thankful it wasn't worse. We can be thankful President Barack Obama is taking aim at one of the prime causes of climate change and extreme weather: air pollution.

The EPA's carbon pollution standards are the most significant step forward our country has ever taken to protect our health by addressing climate change. They secure the hope that someday soon, power plants will no longer be free to dump unlimited amounts of carbon pollution into our air.

Despite what critics are saying, this is no "war on coal."

It's a battle for every American's right to breathe clean air.

Join us on Facebook.com/CNNOpinion.

@highlight

Donna Brazile argues that new EPA rules protect families and communities of color

@highlight

The regulations place tough limits on emissions from coal-fired power plants

@highlight

Air pollution, she says, is one of the prime causes of climate change and extreme weather