Grozny, Chechnya (CNN) -- It has been ten years since my last visit to Chechnya. I knew the place had changed. I didn't realize how much.

For a decade, Chechnya was the most violent, hopeless, war-torn corner of Russia. Russia's impoverished, conscript army had been locked in an ugly struggle with Chechen insurgents that left the region's capital, Grozny, a smoking ruin. Much of the civilian population was either homeless or had fled. Meanwhile, even the most courageous reporters and human rights activists thought twice about sneaking into the republic. By the end of the 1990s, Chechen gangs made a lucrative business out of kidnapping and ransom. The kidnappers became quite adept at chopping off hostage body parts on camera, to provide gruesome video incentive for swift payment.

Imagine my surprise, then, when Russian government minders pick us up at Chechnya's newly-constructed airport, and then send a busload of foreign journalists to sparkling downtown Grozny without any armed escort. A decade ago, the only illumination in Grozny would have come from tracer bullets and the campfires of traumatized residents whose homes had been destroyed.

Today, a giant, Turkish-built mosque glows at the center of a park rigged with rows of retro-style street lamps. Families wander around on sidewalks in the balmy air. There is not a single gunman or soldier in sight.

For the next two days of this Kremlin-supervised junket, I strain to find signs of the bullet-holes and shrapnel scars that once seemed to pock-mark every piece of concrete in Chechnya. Instead, in Chechnya's second largest city of Gudermes, I find armies of workers -- including migrant laborers from East Asia -- busily constructing high-rises and roads. Downtown Gudermes is getting an architectural face-lift.

Ten years ago, when I wandered off from a Russian military "embed" trip to Gudermes, Chechen locals joked openly about how much I would be worth if they kidnapped me, prompting me to hustle back to my army escort. Today, residents sing a very different tune.

"We thought it would take 50 years to rebuild this town," one Chechen man wearing in a wide-brimmed black hat tells me. "It's a miracle how quickly this has happened here!"

The Kremlin clearly spent untold billions of rubles rebuilding the most unruly of Russian republics. It also struck a deal several years ago with a brash former rebel fighter named Ramzan Kadyrov. His Chechen security forces began taking the lead in operations against the insurgents.

Today, Kadyrov is the president of the Chechen republic.

This fiercely loyal supporter of Russian Prime Minister Vladimir Putin has adopted the bizarre habits one comes to expect from a Middle Eastern despot. Kadyrov races around his fiefdom driving his own black SUV, dressed in shiny track suits and baseball caps. His mansion, a half hour's drive out of Grozny, has its own horse race track, a show room full of antique guns and sabers, the Cyrillic initials "RK" carved into the building's façade and a private zoo full of lions, tigers and other big, endangered wildcats. The roars of one of these animals echoes throughout the compound as we wait until well after midnight for a press conference with the Chechen strongman.

When Kadyrov finally arrives, he makes an announcement of victory. "We are in the final stages of our struggle," he says, and then goes on to claim there are only 187 fighters left in Chechnya's insurgent movement. Most of them, he adds, are foreigners.

But peace in Chechnya has come at a disturbing price. For some reason, critics of Kadyrov and his security forces keep getting killed. Last July, Natalia Estemirova, an activist with the human rights group Memorial, was kidnapped in broad daylight in downtown Grozny and later found dead with two bullets to the head.

"This crime couldn't have been committed without the participation of some law enforcement agencies," says Dokka Itslaev, the Chechen man who has assumed Estemirova's former position at Memorial. "Certain forces in Chechnya reserve the right to kidnap, kill or torture whoever they want."

More recently, police in Austria linked one of Kadyrov's top aides to the January 2009 shooting death in Vienna of Umar Israilov. The former Chechen rebel served in Kadyrov's security forces and later testified against Kadyrov before the European Court of Human Rights. Moments after his murder, Austrian police said one of the suspects called a cell phone in Chechnya believed to belong to one of Kadyrov's right-hand men, Shaa Turlayev. Turlayev visited Vienna and met with the suspect a few months before the murder. Kadyrov denied any links to the murder, while delivering a lengthy monologue.

"I knew this guy [Umar Israilov] personally," he said during the midnight press conference. "It would have been so stupid and so obvious to kill people in broad daylight. Why would I do this? Did he kill any of my people? If he did, maybe then I would have considered it." The Kremlin now relies on Kadyrov, along with the many potentially explosive skeletons in his closet, to guarantee peace and stability in Chechnya.

But while Chechnya has stabilized, the neighboring Russian regions of Dagestan and Ingushetia have grown more violent then ever, with frequent car bombs and assassinations. Caucasus experts say the Chechen nationalist movement that once challenged Moscow has morphed into a broader Islamist rebel movement that threatens to engulf the Russian North Caucasus.

That violence seems worlds' away from the brand-new ice skating rink that we visit in Grozny one night.

Dance music throbs as young Chechen men on ice skates crash into each other, laughing; some of them hug the sideboards to avoid collapsing on the ice.

It is a silly, wonderful sight to see in a city that had endured so many years of war and hopelessness.

But how long can Kadyrov's huge public works projects and scary security forces ensure stability, with so much trouble brewing nextdoor and unemployment still sky high within Chechnya?

The cliché that Chechnya is "skating on thin ice," springs to mind -- especially after I notice that one of the Chechen men, teetering comically on the ice, is skating with a pistol strapped to his belt.

@highlight

Chechnya has seen construction surge in formerly war-torn areas

@highlight

Chechan president was rebel fighter

@highlight

Activist: critics of president have ended up dead

@highlight

Neighboring Russian regions have grown more violent