(CNN) -- There's no cure for Ebola. So why have some patients walked away healthy while others in the West died?

Dr. Kent Brantly, Nancy Writebol and Dr. Rick Sacra all contracted the disease while working in Liberia -- and all survived.

Spanish nurse's aide Teresa Romero Ramos got the virus while tending to stricken patients. She too lived.

But like the patients above, Thomas Eric Duncan and Spanish priest Miguel Pajares also received treatment in the West. Yet they died.

While there might not be a single, conclusive answer, a series of factors may contribute to survival.

Early, high-quality treatment

This may be the most critical factor in beating Ebola.

The survivors in the United States all have one thing in common -- they were rushed to two of the country's four hospitals that have been preparing for years to treat a highly infectious disease such as Ebola.

Brantly and Writebol were successfully treated at Emory University Hospital in Atlanta; Sacra was released from the Nebraska Medical Center in Omaha.

Duncan didn't go to one of those four hospitals. He went to Texas Health Presbyterian Hospital in Dallas with a fever and told them he'd recently returned from Liberia. Yet the hospital initially sent him home with antibiotics.

Then, after he returned to the hospital much more ill, two nurses became sick with the virus. They have since been moved to more specialized facilities such as Emory and the National Institutes of Health in Maryland.

But that doesn't mean patients are doomed just because they go to a different hospital.

"Keep in mind that this is still a very deadly disease," said Dr. Sanjay Gupta, CNN's chief medical correspondent. "In West Africa, the mortality rates are above 60%. I think it is better in the United States. But they're not going to be zero, I think no matter where somebody is."

Spanish nurse's aide found to be Ebola-free in third test

Quick rehydration

After finding a hospital capable of treating Ebola, those who survive are usually rehydrated quickly.

"The most important care of patients with Ebola is to manage their fluids and electrolytes, to make sure that they don't get dehydrated," said Dr. Tom Frieden, director of the Centers for Disease Control and Prevention. "And that requires some meticulous attention to detail and aggressive rehydration in many cases."

And if an infected patient getting proper care normally has a strong immune system, the chance of surviving goes up.

But what may seem basic in the United States can be difficult to come by in West Africa, where Ebola has already killed more than 4,500 people -- largely because access to health care is limited.

Yet Nigeria has successfully eradicated Ebola from the country, the World Health Organization said Monday.

Unlike in Guinea, Liberia and Sierra Leone -- the combined epicenter of the oubreak -- all identified contacts in Nigeria were physically monitored every day for 21 days, WHO said.

Plasma transfusions

Three Ebola patients -- Sacra, NBC cameraman Ashoka Mukpo and Texas nurse Nina Pham -- all received plasma donations from Brantly. And all three have survived.

The theory is that Brantly's plasma contains the antibodies necessary to fight the virus.

"It's very fortunate that the three patients I've been able to donate to, they and I share the same blood type," Brantly told CNN's Anderson Cooper.

"I'll keep doing it as much as it's needed, as much as I can."

There was some controversy about why Brantly didn't give plasma to Duncan. But the problem came down to blood type, Texas Health Presbyterian Hospital said.

WHO to review Ebola response amid criticism of its efforts

Experimental drugs

Medication that hasn't gone through clinical trials can be risky. But with a mortality rate of 50% in the current Ebola outbreak, a WHO panel said it is ethical to offer drugs to fight the virus -- even if their effectiveness or adverse effects are unknown.

The experimental drugs at the center of this Ebola outbreak are ZMapp, Favipiravir, Brincidofovir and TKM-Ebola.

Brantly and Writebol both took ZMapp, and both survived. But Pajares also took ZMapp, and he died.

The director of Emory's Infectious Disease Unit cautioned against viewing ZMapp as a surefire cure.

"They are the very first individuals to have ever received this agent," Dr. Bruce Ribner said. "There is no prior experience with it, and frankly, we do not know whether it helped them, whether it made no difference, or even, theoretically, if it delayed their recovery."

Spanish nurse's aide Teresa Romero Ramos took the anti-viral drug Favipiravir and also received antibodies from a survivor in West Africa. She is now free of the virus.

In addition to getting a blood transfusion, Sacra received an experimental drug called TKM-Ebola, which the Food and Drug Administration recently approved for wider use.

Duncan took a different untested drug, Brincidofovir. But he didn't receive it until six days after being admitted to the Texas hospital. Had he taken it earlier, the outcome might have been different.

CNN's Al Goodman, Elizabeth Cohen, Faith Karimi and Catherine E. Shoichet contributed to this report.

@highlight

Three patients in the U.S. have received plasma from another survivor

@highlight

At least four in West survived after taking experimental drugs; two died

@highlight

Early treatment at specialized facilities for Ebola has netted positive results

@highlight

But mortality rate won't be zero "no matter where somebody is," Dr. Sanjay Gupta says