Editor's note: Fareed Zakaria is an author and foreign affairs analyst who hosts "Fareed Zakaria GPS" on CNN on Sundays at 1 and 5 p.m. ET

Fareed Zakaria says Rwanda is Africa's biggest success story.

NEW YORK (CNN) -- President Obama reached out to Africa earlier this week with a wide-ranging address praising the continent's steady achievements, but he called its persistent violent conflicts "a millstone around Africa's neck."

"Despite the progress that has been made -- and there has been considerable progress in parts of Africa -- we also know that much of that promise has yet to be fulfilled," Obama said in a speech to the Parliament of Ghana, a western African nation seen as a model of democracy and growth for the rest of the continent.

Ghana, with a population of 24 million, was once a major slave trading center. Obama visited the Cape Coast Castle, a British outpost where slaves were held until shipped overseas, along with his daughters.

CNN spoke to author and foreign affairs analyst Fareed Zakaria about Obama's trip and the status of Africa.

CNN: "When President Obama was in Africa last week, he visited Ghana, but you think there's another country that's a bigger and better success story?"

Fareed Zakaria: He was smart to focus on a success story, of sorts, like Ghana. But I would say the biggest success story out of the continent is Rwanda.

You remember what happened in there just 15 years ago -- over a period of 100 days 800,000 men, women, and children were killed -- most of them slaughtered with knives, machetes, and axes by their neighbors. It is perhaps the most brutal genocide in modern history.

By the time it ended, one tenth of the country's population was dead. Most people assumed that Rwanda was broken and, like Somalia, another country wracked by violence, would become a poster child for Africa's failed states. It's now a poster child for success.

CNN: Meaning what?

Zakaria: Well, the country has achieved stability, economic growth, and international integration. Average incomes have tripled; the health care system is good enough that the Gates Foundation cites them as a model, education levels are rising.

The government is widely seen as one of the more efficient and honest ones in Africa. Fortune magazine published an article recently titled "Why CEOs Love Rwanda."

CNN: Why has Rwanda succeeded when so many other African countries have failed?

Zakaria: Much of it has to do with its president. President Kagame was the leader of the forces that came in and ended the genocide. He has led the country since then and implemented some controversial programs to help build stability in the country following the horrific events of 1994.

He had to find a way to reintegrate the perpetrators of the brutal genocide into their original homes, often living next door to their previous victims.

Rwanda is very unique in its post-conflict makeup. As the New Yorker writer, Phillip Gourevitch, points out, in Germany, the Jews left for America and Israel. In the Balkans the warring groups spilt up geographically. In Cambodia, the class that perpetrated the violence was easily identifiable and separated. In Rwanda, however, the killers and the victims live side-by-side, in every village and community. Can you imagine Nazis and Jews living next door to one another?

CNN: So what did President Kagame do?

Zakraia: The only way President Kagame could see to make peace was to reintegrate these communities. He came up with a specially crafted solution -- using local courts called Gacacas.

In each village, the killers stood before their neighbors and confessed, and in turn were offered forgiveness -- part court, and part community council. It has made for a fascinating historical experiment that seems to be working.

CNN: Can it really be working? How can killers be allowed to roam around the country free from prosecution? It doesn't seem fair.

Zakaria: We have President Kagame on the show this week and I asked him that very question. It is obvious he has thought deeply on the issue and couldn't come up with any other option. As he states,  "If we incarcerated everyone who committed a crime we wouldn't have a country."

"There are many killers; there are hundreds of thousands because the genocide that took place in our country involved a huge percentage of our population, both in terms of those who were killed and those who killed. And if you went technically to try each one of them as the law may suggest, then you would lose out on rebuilding a nation."

CNN: But is the fact they've emerged from the genocide with some political stability enough to call the country a success?

Zakaria: It might be fragile. Beneath the veneer of reconciliation, there might well be much hatred. And it might be that Kagame is holding it all together because of his personality and toughness -- perhaps like Tito in Yugoslavia. But he says his goal is to build institutions and have this process outlive him.

Hope you will be able to watch the interview with him.

@highlight

Zakaria: Rwanda is biggest success story out of Africa

@highlight

Rwanda's President Kagame deserves much of the credit, Zakaria says

@highlight

Zakaira says the stability in Rwanda could be fragile, held together by Kagame

@highlight

Confession and forgiveness strategy to bring together people after '94 genocide