(CNN) -- More than two million Americans have already cast ballots for president less than three weeks before Election Day with a substantial number coming in the battleground state of Iowa.

The state, which holds six key electoral votes, is on pace to exceed the 1.5 million votes cast early in 2008 -- a trend that is not lost on either political party.

While both parties are investing resources in early voting, Democrats' push to turn out voters -- and in particular young voters in Iowa -- could be paying off.

Early numbers, which are updated daily, show that almost 20% more registered Democrats than registered Republicans have voted so far.

Of the 463,219 early voting ballots requested in the state as of Thursday morning, 45% came from registered Democrats compared to 30% of registered Republicans.

In voting, the early bird skips the line

Experts caution no direct link should be made between requests and how the vote might go.

"We don't know if a registered Democrat will vote for Barack Obama and we don't know if a registered Republican will vote for Mitt Romney," said Michael McDonald, associate professor government and politics at George Mason University who specializes in elections.

But return data coupled with polls that show a slight lead for Obama in Iowa, he said, can give us some clue.

The electoral makeup in Iowa looks like it did in 2008 when Obama took the state by almost 10 points, according to McDonald. So far this year, 4% more Democrats have voted early than in 2008. Republican numbers have only risen by 1%.

That's not enough for Romney if he wants to flip the state, McDonald said.

"It's not just enough to recreate the 2008 electorate. Romney needs to have improvement," McDonald said. That's assuming that Election Day returns mirror 2008 as well.

Romney's improvement might come naturally to Republicans in Linn County, Iowa, one of the Hawkeye State's most populous counties.

Tim Box, the deputy commissioner of elections there, said Democrats are more naturally inclined to vote early and Republicans are more apt to cast ballots on Election Day.

"If you paint it with a broad brush, a lot of Democrats vote absentee, Republicans go to the polls. They always start behind [in Linn County]," Box said.

He also attributed the Democratic success to an organized effort to turnout early voters. Democrats, for instance, requested more satellite voting sites for early voting and staffed them more heavily than Republicans.

There is some good news for Romney in the state since early voting requests and returns are slowly closing the gap between Republicans and Democrats, day-to-day monitoring shows.

With some "hustling" and a push at the end, Romney could make a race of it, McDonald said. He could also change the game if he is able to turn out more Republicans on Election Day than the GOP did in 2008.

John King: Who benefits from early voting?

And while Iowa's electoral votes could be key to winning the White House, what is true of Iowa is not true of Ohio or of North Carolina, two of the 22 states that have begun early voting.

"Each state is like a unique snowflake [when it comes to early voting]," said McDonald since the Constitution gives each state the right to administer their elections at a state level.

What this also means is that with different demographics, Democrats and Republicans have different strategies for turning out early voters in each state with different results.

What's also different is the way that states collect data, meaning that it is easier to infer conclusions from returns in states that report party registration, like Iowa.

But in Ohio, where registration is required only in primaries, the parties rely on different indicators, like returns in key strongholds.

Ohio touts early voting numbers

And there is encouraging news for both: In Hamilton and Franklin counties, two urban centers around Cincinnati and Columbus respectively, early voting shows heavy turnout in the areas that helped secure the state for Obama in 2008.

The state is mailing absentee ballot applications to voters for the first time this year and McDonald said that could be affecting increased returns in rural areas, which are more heavily Republican.

In rural areas of Ohio, absentee ballots sent to each registered voter in the state for the first time in 2012 also show increased turnout.

In Cuyahoga County, the largest in the state and home to Democrat-heavy Cleveland, nearly 250,000 absentee ballots have been requested and some 80,000 have been returned. Those numbers strongly favor Democrats: 47,538 to 16,720.

GOP officials say their absentee and in-person voting turnout in Franklin County is coming along nicely. Republicans account for 16.5% of registered voters there, but make up 28.6% of early voting activity so far.

Still, McDonald said looking that the numbers now is "like reading tea leaves."

It is also still too early to decipher returns in North Carolina, which began early voting on Thursday.

If voting stays pace with projections from early voting experts, 5% to 10% more than the 30% or 130 million Americans who voted early in 2008 will have voted before November 6, according to early voting experts.

Here's a look at the early voting returns so far and the dates that they began voting, according to state and county voting officials:

• California (October 8): The Golden State issued more than eight million ballots as of Wednesday, but just more than 81,000 -- or 1% have been returned.

• Georgia (October 15): 120,032 ballots have been cast in person and 73,119 ballots via mail. There are still almost 100,000 mail-in ballots outstanding. Early voting began in Georgia on October 15.

• Idaho (September 21): Did not return requests for data.

• Indiana (October 8): More than 180,000 applications for early voting ballots have been submitted since the state began early voting. Of those, 118,000 have been returned. Indiana has in-person absentee voting.

• Iowa (September 27): Of the almost 450,000 absentee ballots requested, more than half have been returned. Democrats lead the pack, requesting more than 200,000 ballots and returning almost 65% of those. Republicans requested almost 140,000 and returned just less than 60%. Ballots requested with no party affiliation or for other party affiliations total about 105,000 and 50% of those have been returned.

• Kansas (October 17): More than 120,000 ballots were requested by the time early voting began. State officials say it's too early to tabulate an accurate representation of the ballots returned.

• Maine (September 24): Almost 80,000 ballots have been requested, with 76,330 issued and 29,931, or almost 38%, returned.

• Montana (October 9): More than a quarter million voters requested ballots. As of Wednesday, almost 40,000 or just under 15% of the ballots had been returned.

• Nebraska (October 2): Of the almost 80,000 ballots requested, more than 50,000 have been returned.

• North Dakota (27): Of the almost 40,000 ballots sent as of Wednesday, 15,252, or almost 40%, have been returned.

• Ohio (October 2): 1.26 million ballots have been requested and just more than 280,000 or 22% have been returned by mail. That's almost 20 percent of the 5.7 million Ohioans who voted early in 2008.

• South Dakota (September 21): Of the nearly 36,000 absentee ballots requested, 35,888 ballots have been sent out and 25,238 or 70% have been returned.

• Tennessee (October 17): Already, 105,405 voters have cast ballots since voting began.

• New Jersey (September 22): An accurate count of returned ballots will be available beginning next week.

• Oregon (October 8): The state is one of the two that votes by mail only. Return data is not available until October 22.

• Utah (October 9): Data collected at the county level was not immediately available.

• Vermont (September 22): Data is collected at the county level was not immediately available.

• Wyoming (September 27): Data was not available.

CNN's Peter Hamby, Adam Levy and Robert Yoon contributed to this report

@highlight

Of the two million ballots cast early, a quarter of a million were cast in Iowa

@highlight

Trends show registered Democrats voting early more than Republicans in Iowa

@highlight

Republicans could close the gap in Iowa with strong Election Day and early voter turnout

@highlight

Up to 40% of eligible voters could cast their ballots early in 2012