(CNN) -- It was supposed to be one of the happiest days of Albert Florence's life. He had just secured funding for the home he was building and was traveling along Interstate 295 outside Trenton, New Jersey, one Sunday with his wife and child. That's when he first heard the sirens.

"We were not doing anything illegal, we were obeying the speed limits," Florence told CNN. "It's just a normal routine stop, I thought."

A state trooper pulled the family SUV over to the side of the road. Even though his pregnant wife was driving, Florence said, the officer focused on him, discovering a warrant for his arrest. The alleged crime, he said, was an unpaid traffic fine.

The 35-year-old Bordentown resident was arrested, handcuffed, and hauled off to the Burlington County Detention Center. That began what he called a "six-day nightmare." Florence was strip-searched by corrections staff, all because of what he terms a misunderstanding, a computer glitch.

"It was very disgusting. It was just a bad, bad experience," he told CNN Correspondent Kate Bolduan recently. "I was just told, 'Do as you're told.' Wash in this disgusting soap and obey the directions of the officer who was instructing me to turn around, lift my genitals up, turn around, and squat."

Still shaken by the experience six years later, Florence sued, and now his appeal is before the U.S. Supreme Court. He is challenging the county's rules allowing routine strip searches of everyone arrested for even minor offenses, regardless of the circumstances. It is an important test of police detention powers in the post-9/11 security-conscious environment, a chance for the justices to offer clarity on an issue in which both inmates and the police have sought guidance.

Oral arguments are scheduled for Wednesday.

Court records show Florence was subjected to what he terms an invasive strip and visual body-cavity search. He was then held for nearly a week in the county lockup before being transferred to a Newark correctional facility, where he was subjected to another search before being placed in the general prison population.

The next day a judge freed Florence, confirming what he had insisted all along, that the fine had been paid.

The state argues the "intake search" for new prisoners was applied fairly, and applied to everyone.

"At the time Mr. Florence was admitted into the facility, the policy and the practice were to ask him to take off his clothes, take a shower and be subject to a visual search," said Carter Phillips, who will argue Burlington County's side of the case before the high court. "His allegation is that they went further than that, and that's obviously a disputed matter at this point."

The case has yet to go to trial, pending outcome of the constitutional issues now before the high court.

The justices will decide whether corrections officials should have a less intrusive, "reasonable suspicion" standard that would prevent the kind of search currently permitted in at least 32 states, including New Jersey.

"Where the counties went wrong is, they're doing a blanket policy of strip-searching anyone that comes in that jail or the prison. So basically, your constitutional rights stop at the prison door," said Susan Chana Lask, Florence's New York-based attorney. "It's a balance -- what are you brought in there for? For failing to pay a fine? Or for murder? You know, failing to pay a fine does not justify strip-searching you."

But the counties counter by saying that kind of individualized scrutiny does not work in such a controlled environment, when so many new inmates need to be initially processed.

"The basic purpose, obviously, is to avoid the risk of contraband or weapons or anything else being smuggled into the jail, and so therefore, it protects not only the guards, but also protects all of the other inmates," Phillips told CNN. "The question is: Do you have a reasonable expectation of certain kinds of privacy? And it seems to me when you are being lawfully admitted into a prison facility, and he was, at that point, your expectations of privacy essentially drop to zero and the importance of maintaining security rises to about 100 percent. So the balance, it seems to me, clearly favors the prison."

Florence also points out his alleged offense, failure to pay a fine, is not considered a criminal offense in the state and would not normally result in incarceration. His family said their efforts to free Florence were thwarted by repeated bureaucratic run-arounds.

State officials draw a distinction between a strip-search policy for those newly admitted and for those later entering the general prison population. Such initial searches are justified, said the state, when applied for proper reasons, including potential health threats.

Federal courts since the September 11, 2001, attacks had been at odds over the constitutionality of strip searches. The Constitution's Fourth Amendment protects against "unreasonable searches and seizures."

The Supreme Court in 1979, in what is called the Bell precedent, upheld a search similar to the ones Florence had undergone for those prisoners who had contact visits with outsiders. Using a balancing test, the justices said the prison's security interest justified intrusion into the inmates' privacy.

But subsequent appeals courts have found those arrested for minor offenses may not be strip-searched unless authorities have a "reasonable suspicion" that the person may be concealing a weapon or contraband such as drugs.

In 2008, however, appeals courts in Atlanta and San Francisco found searches of every inmate coming into a prison population are justified, even without specific suspicions. Those opinions were the first of their kind since the 9/11 attacks and, along with Florence's case, now give the high court the chance to clarify an issue that a number of civil and human rights proponents have tried to highlight.

Local jails in New Jersey at the time of Florence's arrest were subject to federal monitors after allegations that minority motorists and their passengers were being unfairly targeted for police stops and arrests. Stops of that nature are not at issue in the current appeal. Florence, who is African-American, is not alleging any racial discrimination by the state or individual officers.

The case is Florence v. Board of Chosen Freeholders of the County of Burlington, New Jersey (10-945). A ruling can be expected early next year.

@highlight

Albert Florence, mistakenly arrested for an unpaid traffic fine, was strip-searched

@highlight

He has filed suit again Burlington County, New Jersey, for his "six-day nightmare"

@highlight

Both inmates and police are hoping the Supreme Court will offer clarity on the issue