(CNN) -- China's President Xi Jinping's choice of Moscow as his first foreign capital visit is being seen by analysts as a symbolic move that demonstrates the increasing interdependence of the one-time Cold War foes.

From energy deals, trade and geo-politics, China and Russia have been in lock-step over a range of thorny international issues such as Syria, Iran and North Korea.

A key element of the talks will be how to steer the future of the increasingly intertwined economies. Trade between Moscow and Beijing grew 11.6% to a record $88.1 billion in 2012, according to figures from the China Institute of International Relations.

"They want to move that to $100 billion in years to come - there's also a sense that they will want to push the domestic agenda and the foreign policy agenda as well," said CNN's David McKenzie.

While China and Russia already form a powerful bloc on the U.N. Security Council, the warmer ties are also evidence of their perceived need to countervail a U.S.-led dominance in global affairs.

"In Putin, the Chinese see someone who is a counterbalance to America in some areas," said Professor Kerry Brown, executive director of the University of Sydney's China Studies Center. "Russia is nowhere near as big as it was before but at least they see someone who can provide at least a bit of triangulation between China and the U.S."

Long-stalled talks on a Russia-China gas pipeline gas deal will likely top the agenda during Xi's summit meeting with Russian President Vladimir Putin.

Vice-Foreign Minister Cheng Guoping and Russian ambassador to China Sergei Razov had recently struck a hopeful note in briefing in Beijing, saying that "significant progress" had been made and that both nations were looking forward to a breakthrough on the deal.

Senior executives from state oil giants Petro China and Sinopec are accompanying Xi to Moscow where it is hoped the new Chinese president will give fresh impetus to pipeline talks.

Nevertheless, the Russians have been cautious on the deal.

"On the Russian side, state media and others, are less confident that that deal will come through," McKenzie said. "Certainly the Russians worry that this relationship will become more unequal over time.

"Russia's own economy has stagnated somewhat not having the robust growth we've seen in China."

Cheng told a briefing that Russia and China would co-ordinate reactions to U.S. plans to boost its missile defense in the Asia-Pacific region to counter the possibility of a potential North Korean attack.

While Chinese and Russian officials have hailed the 48-hour visit as a demonstration of ties which they say are at an historic high, Professor Brown said that relations between the formerly fractious neighbors was often driven more by expedience than any real convergence of interests.

"It's hard to think of a more paranoid relationship in some ways: 1950s, very close; 1960s, biggest enemies. There's never really been a heart-to-heart moment in many ways.

"There's a quite deep distrust on one hand but on the other hand a pragmatic acceptance that this is a big relationship."

Xi and Putin will also likely compare notes ahead of the regional summit in South Africa next week of the BRICS group of developing economies: Brazil, Russia, India, China and South Africa.

Even here, analysts say, China's perception is that this bloc is heavily influenced by the U.S.

"The conviction in Beijing is that America is everywhere and they've got to find other ways of exercising their interests without America being right up beside them," Professor Brown said.

@highlight

Xi Jinping to make first foreign visit to Moscow on Saturday

@highlight

The choice is symbolic and demonstrates warming ties between the two countries

@highlight

Trade between the two countries reached $88.1 billion in 2012

@highlight

Officials hope Moscow and Beijing will ink long-stalled pipeline project