(CNN) -- The European Union is dialing up the pressure on Iran, saying Monday it will cut off oil imports and freeze assets in an effort to starve the country's nuclear program of funding.

"Today's action demonstrates the EU's growing concern about Iran's nuclear programme, and our determination to increase peaceful, legitimate pressure on Iran to return to negotiations," British Foreign Secretary William Hague said in a statement from Brussels, Belgium.

The sanctions freeze the assets of Iran's central bank in European Union nations and ban the importation of Iranian oil to those countries. The measures also block European Union countries from exporting petrochemical equipment and technology to Iran, or trading diamonds and precious metals with the Middle Eastern state.

The sanctions are necessary because Iran continues to defy United Nations resolutions regarding its nuclear program, Hague said.

"Iran has it in its power to end sanctions by changing course and addressing the concerns of the international community," he said.

Saudi prince: Why Iran won't close Strait of Hormuz

U.S. officials welcomed the sanctions, with Treasury Secretary Timothy Geithner and Secretary of State Hillary Clinton saying in a joint statement Monday that the new measures will "sharpen the choice for Iran's leaders."

But Iran's deputy foreign minister, Abbas Aragchi, said the measures will only harm the fragile economies of the European Union, according to the official Islamic Republic News Agency.

"Sanctions have proved ineffective in the past and will prove futile in the future, too," IRNA quoted Aragchi as saying.

The U.S. government took its own punitive action regarding Iran on Monday, with the Treasury Department targeting the nation's third-largest bank, the state-owned Bank Tejarat, for allegedly working with other Iranian banks and firms subject to sanctions tied to Iran's nuclear program.

Read a summary of sanctions against Iran

This step means "all of Iran's largest state-owned banks have been sanctioned by the U.S. based on their involvement in Iran's illicit activities," according to a statement from the U.S. government department. David S. Cohen, the U.S. Treasury undersecretary for terrorism and financial intelligence, called Bank Tejarat -- which has nearly 2,000 branches in Iran, plus branches in France and Takijistan -- "one of Iran's few remaining access points to the international financial system.

"Today's sanction against Bank Tejarat will deepen Iran's financial isolation, make its access to hard currency even more tenuous, and further impair Iran's ability to finance its illicit nuclear program," said Cohen.

The International Atomic Energy Agency said shortly after the fresh oil sanctions were announced that officials from the U.N. nuclear watchdog agency will visit Iran January 29 to 31 "to resolve all outstanding substantive issues."

How sanctions hit ordinary Iranians

Inspectors are in and out of the country regularly, an agency spokeswoman said Monday, but a high-level visit of the kind taking place at the end of the month is more unusual.

Top officials in Israel, which fears it would be a target of an Iranian nuclear weapon, welcomed the sanctions.

"This is a step in the right direction. ... Heavy and swift pressure on Iran is needed," Prime Minister Benjamin Netanyahu said, even as he warned that it is impossible to know what would come of the measures.

"For now, Iran continues to produce nuclear weapons without disturbance," he said.

Defense Minister Ehud Barak called the EU move "highly important," saying it set "a new standard for the sanctions like never before."

Iran exports 2.2. million barrels of oil a day, with about 18% bound for European markets, according to the U.S. Energy Information Administration. The world consumes about 89 million barrels of oil per day.

The European Union will allow contracts that are already in place to be fulfilled until July 1, it said.

Saudi Oil Minister Ali al-Naimi told CNN last week that his country could make up the difference if Iran was banned from exporting oil.

Al-Naimi said the country has a spare capacity "to respond to emergencies worldwide, to respond to our customer demand, and that is really the focus. Our focus is not on who drops out from production, but who wants more."

Tehran has threatened to close the Strait of Hormuz, the only outlet to and from the Persian Gulf, as it faces possible sanctions.

The United States has made clear it will not let that happen.

Iran: Stuck between U.S. and a hard place

Seventeen million barrels of oil per day passed through the critical shipping lane in 2011, according to the Energy Information Administration.

The Iranian government gets about half its revenue from oil exports, according to the agency.

Analysts have said that while the new sanctions are the toughest ever imposed, they still contain many loopholes.

Iran is expected to still be able to sell its oil to places like China, India or other Asian countries, but perhaps at a discount of 10% to 15%. About 35% of Iran's oil exports currently go to China and India.

Western leaders have been walking a fine line with Iran, working to come up with a plan that squeezes the country's finances yet doesn't result in a loss of Iranian oil exports, which could send crude and gasoline prices skyrocketing.

The United States and United Kingdom have already put new measures in place against Iran, and Washington has been pressing allies, including Japan and South Korea, to stop buying Iranian oil.

U.S. carrier defies Hormuz threat

On Friday, EU foreign policy chief Catherine Ashton challenged Iran to respond to an offer she made in a letter last October.

Ashton wrote that world powers are open to negotiations if Iran is serious about addressing its nuclear program without preconditions. Her office released the letter on Friday.

Ashton's spokesperson pointedly noted, "We are waiting for the Iranian reaction."

Ashton wrote that the West wants to "engage in a confidence-building exercise" that would lead to a "constructive dialogue" and a "step by step approach" in which Iran would assure the international community that its nuclear program is peaceful.

Clinton told reporters in Washington that "we stand by that letter."

"They have to give up their nuclear weapons program ... and they have to be willing to come to the table with a plan to do that," she said.

Clinton made the comments Friday after a meeting at the State Department with German Foreign Minister Guido Westerwelle.

The German minister was blunt in his assessment of Iran's actions: "Tehran keeps violating its international obligations on the transparency of its nuclear program. We have no choice but to pass tough new sanctions that address the financial sources of the nuclear program."

Iran says its nuclear program is not military, but the United States and many of its allies suspect Iran intends to produce a bomb. The International Atomic Energy Agency has expressed similar concerns.

"One thing is clear," Westerwelle added. "The door for serious dialogue remains open, but the option of nuclear weapons in Iran is not acceptable to both of us."

CNN international affairs correspondent Jill Dougherty, CNNMoney's Steve Hargreaves, and CNN's Claudia Rebaza, David Wilkinson and Guy Azriel contributed to this report.

@highlight

NEW: The U.S. government announces sanctions against Iran's third-largest bank

@highlight

European Union bans Iranian oil imports, freezes Iranian central bank assets

@highlight

The move is designed to get Iran to give up its nuclear program

@highlight

Iran's deputy foreign minister says sanctions won't solve anything