NAPA, California (CNN) -- If Barrett Wissman were in the ministry, his arts festivals would be sunny outposts on a fast-widening mission field. His Tuscan Sun Festival opens Saturday in Cortona, Italy. An all-new Singapore Sun Festival opens October 18.

And a secret known to missionaries everywhere is clearly in sway at the Festival del Sole in Napa Valley, which has just concluded its second year: Bonding with the locals.

With quick fervor, local leaders, the hospitality industry and those all-important vintners of Napa have embraced their festival.

When symphony conductor Stéphane Denève mentioned last year that he'd like to get married there, Tatiana and Gerret Copeland of the Bouchaine wine estate threw the ceremony for them in the vineyards.   See images from a maestro's marriage in the vineyards of Napa during this year's Festival del Sole »

"It's a mission in my life to have more and more people enjoy and love the arts," Wissman says in an interview sandwiched between Denève's presentation of the Grieg piano concerto and Prokofiev's "Romeo and Juliet" suite with the Russian National Orchestra.  Watch highlights and comments from Barrett Wissman and the artists of Festival del Sole »

"One of the reasons that we have these festivals -- engage local communities and have music, literature, art, film, cuisine, wine, all these subjects -- is we attract different people who like each one. And then get them to like something else. Today, our goal in education in the arts is to get everybody involved."

Wissman is uniquely positioned to "get everybody involved."

More than a priest or even a bishop in this arts-mission field, he's a cardinal in the industry, the chairman of IMG Artists, a major player in world artists' representation. IMG's roster includes violinists Joshua Bell and Itzhak Perlman, mezzo-soprano Fredericka von Stade, flutist James Galway, guitarist Christopher Parkening, the Joffrey Ballet and composer Jay Greenberg, among many others.

Wissman has just announced a new managing director for IMG in North and South America, Elizabeth Sobol. She is, herself, a co-producer of a new festival in Boca Raton, Florida, and architect of a highly publicized new joint venture for IMG with Gorfaine-Schwartz, the agency representing trumpeter-composer Chris Botti, cellist Yo-Yo Ma, singer-songwriter James Taylor and Hollywood film composer John Williams.

No matter how far-flung the festivals and events, Wissman stays near his roots. "I'm a pianist," he says, "a concert pianist. I still play, I play from time to time in the festivals. So I'm a musician, I come from the arts."

In the case of Napa's Festival del Sole, Wissman has a co-founder, San Francisco-based attorney Richard Walker, who has a specialization in artists' management.  Watch an audio slide show in which Richard Walker talks about the atmosphere of the festival »

Having worked with Mikhail Pletnev's Russian National Orchestra, Walker says, since its inception in 1990 as the first symphonic entity founded after the Soviet Union's collapse, he emphasizes the stylistic range demanded in festival work.

And Walker echoes Wissman's interest in making these festivals oases in the itinerant lives of world-traveling artists. "The events that surround the musical performances," Walker says, "are attended by the artists, themselves -- a time of camaraderie for them because they see each other and spend time enjoying each other's company."

As if on cue, two world-class pianists, Polish-Hungarian Piotr Anderszewski and French-born Jean-Yves Thibaudet, are seated at the same table at a gala post-concert dinner held by Far Niente wine estate on a cloudless night in a circular arbor crowded with honeysuckle. Thibaudet jumps up at one point to accompany violinist Bell in Manuel Ponce's "Estrellita," watched by composer Marco Tutino and cellist Nina Kotova. Read about Joshua Bell's recent win of the $75,000 Fisher Prize

"We are located in a wonderful hotel," says conductor Denève, the newlywed whose base of operations is Glasgow where he is music director of the Royal Scottish National Orchestra. "Wonderful swimming pool, actually it's a great way to socialize and get to know more and more the fellow artists because usually you are engaged and just have one or two nights."

Thibaudet places a similar premium on these festivals' sense of community for artists. "When we have concerts," he says, "we just come into town, we play and we leave.  Usually there won't be any other soloists, there's only you. So we never get to meet each other during the year."

And it appears that the Napa community couldn't be happier than to find these major concert and recording artists "working the valley."

In a kind of vine-roots, if not grassroots, effort, the wineries have jumped with endearing eagerness into what Walker terms a "friendly competition" for whose after-concert gala can be the most opulent.

They lay on rich dinners set at starlit tables, some by glowing pools, others on cricket-chirpy hilltops and still others under chandeliers hung high in some of the most honored wine-making facilities in the country.

One of the venues for the festival this year has been the Medieval-looking Castello di Amorosa, another the renovated Lincoln Theatre in Yountville.

Wineries participating in special events around an intensely proud sponsorship of the festival have included Far Niente, the Copelands' Bouchaine Vineyards, Darioush Winery, Clos Pegase, Robert Mondavi Winery, Peju Province Winery, Pine Ridge Winery  and St. Supéry Vineyards and Winery. Many of these are festival-funding partners, joined by Domaine Chandon, Blackbird Vineyards, Dalla Valle Vineyards, Plumpjack Winery, Folio Winemakers' Studio, Gargiulo Vineyards, Swanson Vineyards and COPIA, a nonprofit center of wine-making culture in the valley.

The vintners, themselves, seem to enjoy the chance to mingle in the common interest of the festival and in the company of these artists they seem to be tying onto their hearts like vine tendrils in their fields.

Margrit Mondavi is a welcome guest one evening at Far Niente, as are Tatiana and Gerret Copeland of the Bouchaine house.

Florence's Maria Manetti Farrow, whose ranging Villa Mille Rose is an influential olive oil estate, seems to be everyone's fondest table mate and every artist's favorite dinner companion.

Resort partners include Auberge du Soleil, Calistoga Ranch, Solage Calistoga, the Carneros Inn and Silverado Resort.

Walker, in fact, estimates that the Napa festival -- which with Cortona and Singapore is produced by the nonprofit Del Sole Foundation for the Arts and Humanities -- could cost as much as $10 million to stage, if the many in-kind services provided by hoteliers, wineries and others were totaled in cash.

The "rehearsals" for all this, if you will, took place in Cortona, where Wissman and Charles Letourneau, executive producer, have staged several years of festival events in what Wissman likes to call "a magical, Fellini-esque feel."

When he looked for a spot in the United States to base a sister festival, "Napa was the perfect place," close to the metropolitan pace of San Francisco but removed enough to shelter artists and audiences in peace.

Wissman looks across a long, candlelit table amid shadowy great barrels of Bouchaine wine. French conductor Denève has Tatiana Copeland's dinner guests in stitches with his tale of how he proposed to his new wife on the glass floor high atop the Canada's National Tower in Toronto -- "My God, it was frightening!"

"One has to lead," says Wissman, Cortona's Saturday opening already occupying his thoughts.  "When doing something important. No matter what your job is, no matter what your work is, you have to lead." E-mail to a friend

Official sponsors of the 2007 Festival de Sole include Auberge Resorts, Bouchaine Vineyards, Boucheron, Grove Street Winery/Peter Paul Wines, Napa Valley Vintners and XOJet.

@highlight

Next in a growing series of arts festivals opens Saturday in Cortona, Italy

@highlight

Napa Valley's Festival del Sole staged more than 50 events in nine days

@highlight

Wineries engage in friendly rivalries, throwing lavish after-concert galas

@highlight

International artists cite chances to meet each other, community among lures