(CNN) -- Early this year, a crime spree hit the usually quiet residential neighborhood of Grandview, northeast of downtown Phoenix, Arizona.

Over a period of three months, there were 25 home burglaries in the neighborhood, often carried out while residents were out for just a few hours. When police work failed to produce any arrests, the community took to the Internet to do some sleuthing on its own.

They crowdsourced details of the crimes on Nextdoor.com, a private social network for urban neighborhoods, and began noticing patterns. The burglars would wait to see a homeowner leave and then enter the house and stuff a pillowcase with high-value items like jewelry, guns and cameras before slinking out. Sometimes, they'd hit as many as three houses in a day.

The residents started a virtual neighborhood watch using Nextdoor, sending out detailed alerts about any suspicious cars or people and essentially live-blogging strangers' movements throughout the 1 square-mile area.

Led by Grandview neighborhood association President Slade Grove, the community eventually gathered enough information and attention to push the local police department into action, resulting in an undercover sweep of the area and multiple drug busts. Though no arrests have yet been specifically tied to the break-ins, the rate of burglaries fitting that pattern in Grandview has plummeted.

"Before, they didn't have these tools. It was people chit-chatting in their front yards," Grove said. "I think it has shown the police department that we are an active neighborhood and that we are very concerned about crime.

"I think it has also shown them that we will stand up for our neighborhood, and by God, you better pay attention to us."

A sheriff in your pocket

Neighborhood watch groups have been around for decades. They are meant to empower residents to report suspicious activities to police without acting on them directly. Now, thanks to mobile devices and social media, today's homeowners are using a new arsenal of digital tools to fight crime, coordinate in an emergency and revitalize the neighborhood watch.

The National Sheriff's Association is working on an app that will help neighborhood watch members share real-time video surveillance footage shot on a smartphone with law enforcement and with each other. The hope is that the program will shorten response times between when civilians believe they've witnessed something suspicious and when police respond.

"After the Trayvon Martin case in Florida, we started looking at our program," said Chief John Thompson, deputy executive director of the National Sheriffs' Association.

Martin, 17, was shot and killed in February 2012 by George Zimmerman, a neighborhood watch coordinator in his gated community of Twin Lakes, near Orlando. Zimmerman was not on duty at the time, and his actions were quickly disavowed by neighborhood watch associations, which frown upon vigilante violence.

"We don't want people to get involved, and this app would pretty much stop that. You wouldn't have to get out of your car. You wouldn't have to leave your house," Thompson said.

If a neighborhood watch member spots a crime in progress or suspicious activity, they can take out their smartphone, open the free iOS/Android app and hit the emergency button to record photos, video, audio and the precise GPS location of their phone. The information is automatically uploaded every few seconds to a secure cloud server, where it cannot be deleted.

The mapped alert with the video can be sent directly to the local police, other neighbors in the group and even a custom list of personal emergency contacts. It can also dial 911.

The new initiative, called Neighborhood Watch NOW, is a collaboration between the Sheriffs' Association and a company called ICE BlackBox, which developed the app. The tool has been in development for 2Â½ years and is rolling out this month in a handful of pilot neighborhoods, starting with two counties in Arizona and Minnesota. Local members and law enforcement agencies will need to be trained on the technology.

"It's going to be the future of neighborhood watch," said Thompson.

Going Nextdoor

Although the Neighborhood Watch NOW app is designed to be used during emergencies, much of what happens daily in a neighborhood is far from 911-worthy: a stolen bike, broken car windows, loud parties and so on.

For the past year, the San Diego Police Department has used the Nextdoor app to field local concerns and improve communication with residents. Members also use Nextdoor to coordinate social events, announce garage sales, find contractors and track down missing pets. They say it makes them feel more connected to their neighbors.

Residents of Westgate Village, a suburb of San Jose, California, use Nextdoor to coordinate block parties and revive the quaint ideal of a neighborhood where people know each other's names and look out for one another. During a recent rash of garage robberies, members used Nextdoor to remind people to lock their garage doors.

To start a Nextdoor community, one person fills out an application and must sign up at least 10 neighbors in 21 days to make it official. More than 33,000 neighborhoods across the country now use the network.

In San Diego, each Nextdoor network is assigned a community relations officer who can use the platform to field questions, post crime updates and safety tips, and chat with members.

"It gives everyone a chance to actually get to know the officers that are working for them," said Matthew Tortorella, a San Diego police officer who oversees much of the department's social media.

He said the officers like Nextdoor as a way to address minor complaints, such as telling residents whom to call to remove graffiti. Tortorella also would like to see the app become even more hyperfocused, say on an apartment building with as few as 15 units. A single building could have its own network, and property managers could be trained on how to use the app to reduce crime.

Police also receive tips through the Nextdoor app. Recently, a resident in San Diego's northwest division spotted a Ford pickup that had been parked facing the wrong way for a number of days. They reported the car on Nextdoor, and when an officer went to check it out, they discovered that the vehicle was stolen and had been used in several burglaries in the area.

"We don't want (Nextdoor) to become a way of reporting crimes," said Tortorella. "We still want people to call the police."

Finally, Nextdoor could become another way for police and fire departments to quickly broadcast warnings, Amber Alerts and evacuation instructions. It's been used during California wildfires and the polar vortex that froze much of the U.S. over the winter.

"I believe that the best information comes from the authorities, but a lot of times, the authorities don't have a way to reach people," said Nextdoor CEO Nirav Tolia.

@highlight

Neighborhood watch associations add smartphones, social networking to arsenals

@highlight

The National Sheriffs Association is rolling out an app that uploads live video to police

@highlight

Nextdoor is connecting neighbors, local police officers in non-emergency situations