(CNN) -- Justin Lemire-Elmore would be the first to admit he's a bit of a revolutionary. This is a guy whose teen years included teaching himself how to build bombs in his parents' basement.

At 14, while trying to be the first on his block to make explosives, Lemire-Elmore accidentally burned the skin off half his face.

"My sister took me to the clinic and I was all bandaged up for two weeks," he says on the phone from his business in Vancouver, British Columbia. "My parents just figured I would take that lesson to heart and be more careful."

Now a 29-year-old engineer and business owner, Lemire-Elmore has found himself among the vanguard of a thriving online counterculture. This group rejects traditional bicycles, and chooses to make their own bikes propelled by battery-powered electric motors. Many of them believe they're helping to create future communities that will have fewer polluting vehicles and less traffic congestion.

See e-bikes "hacked" by CNN iReporters

The e-bike revolution is starting on the Web as people "hack together their own electric-assist bike projects," Lemire-Elmore said. Within the next 20 years, he believes, e-bikes will change the way most city-dwellers commute to work.

At online group sites like Yahoo's power-assist and e-motor assist or elsewhere at endless-sphere.com, parents, students, teens, tinkerers and other e-bike enthusiasts share tips on how to motorize their bicycles to achieve speeds up to 35 mph without pedaling. Some of them, for example, ask how to soup up their recumbent bikes so they can tow their children in makeshift trailers.

The underground e-bike movement is fueled by people from all backgrounds, with many different motivations behind their e-bike interests. Some of them, says Lemire-Elmore, have rejected cars after losing loved ones in deadly accidents. Others are driven by environmental concerns and have strong anti-oil sentiments.

"But for me, it comes from a sense of embarrassment in this society -- this is really the best we can do?" Lemire-Elmore rails against the status quo of cities jammed with thousands of people in cars, trapped in traffic gridlock, wasting untold amounts of energy.

In China, an estimated 22 million e-bikes will be sold in 2010 alone, according to Electric Bikes Worldwide Reports. Europe will see a million e-bikes sold. Compare that to 300,000 e-bikes in the U.S.

"Gas at $10 per gallon would really spark the industry in the United States," says EBWR publisher Frank Jamerson. "Gas prices are closer to that number in China and in Europe and that's where all the sales momentum is in the e-bike area."

"Chinese citizens embraced electric bikes and changed China's plan to focus their infrastructure on autos," says Lemire-Elmore, whose buoyant demeanor belies his tenacity about asserting electric bikers' rights.

"A large percentage of the people doing home-built conversions are running things that blatantly violate regulations for electric bicycles," says Lemire-Elmore. "I'm fine with that, in the sense that I'm somebody who believes very strongly in doing what you think is right rather than what is the law."

Like Lemire-Elmore, e-bikers in the relatively bike-friendly state of Colorado are butting heads with tradition. In city halls, e-bikers are lobbying to gain access to bike lanes, bike paths and bike parks -- where motorized vehicles including e-bikes are often banned.

Residents acknowledge occasional roadway confrontations between e-bikers and non-motorized bicyclists -- ranging from friendly teasing to outright animosity.

Dean Keyek-Franssen, co-owner of Pete's eBikes stores in the Colorado towns of Boulder, Aspen and Frisco, describes bicyclists with skintight bike clothing as "Lycra-bound."

"You will have a Lycra-bound person passing an electric bike rider, telling her to get out of the bike lane," says Keyek-Franssen. "And it's just this elitist biking community that we have here in Boulder -- and that's great, it's a biking community -- as is Portland and Minneapolis -- and it comes with the territory."

Turned off by showroom price tags on factory-made bikes -- some as high as $3,500 -- many e-bike hackers are turned on by building their own rigs that are often faster and more powerful.

Gallery: e-trikes, motor kits and enclosed vehicles

Hackers are actually beneficial to the e-bike industry, says Keyek-Franssen, because they're helping to get more electric bikes into the marketplace.

"At the same time it's a problem because typically those bikes aren't engineered well where some component may fail," he says. "And that can be dangerous if they're going too fast on a bike path."

About a mile down Pearl Street from Keyek-Franssen's shop is University Bicycles, Boulder's oldest and largest bike store. General manager Lester Binegar -- whose job used to be selling e-bikes -- is no fan.

"The technology has come a long way and I do think they're better than using a car -- but I just think it's lazy Americanism," Binegar says. "It's like we're still trying to avoid doing some work that isn't that hard -- work that will make you feel great."

Lemire-Elmore believes the culture at traditional bike stores can be closed-minded -- which has contributed to a widespread attitude against e-bikes. "People with electric bicycles are often shunned whenever they go to bike stores for parts or for repairs."

Experts who design community bike plans for roadway bike traffic and off-road bike paths generally don't factor in e-bikes, says Jennifer Toole of Toole Design Group."It's kind of a wait-and-see approach to electric bikes," says Toole, whose firm designed Seattle's Bicycle Master Plan and has projects in 15 states. "If electric bikes become really popular, cities will start dealing with them."

If that happens, she says, the result will likely be more bike lanes and a re-evaluation of whether bikes should be allowed on sidewalks.

Lemire-Elmore demonstrated the viability of e-bikes in 2008, when he rode one 4,350 miles coast to coast from Vancouver to Halifax, Nova Scotia, in just two months. During the entire journey, his super-efficient battery-powered motor used a scant $8.57 worth of electricity.

For other revolutionaries who think two electric-assisted wheels are too many, Lemire-Elmore has developed an electric unicycle.  See CNN iReport video of his electric unicycle.

Unicycles are harder to ride than bikes, but more portable and easier to carry onto trains or buses. By 2011, Lemire-Elmore is hoping to produce an electric-assist conversion kit for unicycles.

What's next? How about an electric skateboard?

"It's illegal to ride a skateboard to work in almost every city in North America," Lemire-Elmore says. "And yet somebody riding a skateboard to work is using a fraction of the resources of somebody driving an SUV, which is fully sanctioned by the law."

"I think there would be a strong underground culture of people that would totally embrace it regardless of whether it's legal. I want to be one of the people who champions that."

CNN's Cody McCloy contributed to this report.

@highlight

Web counterculture of tinkerers "hacks" bikes into faster electric bikes

@highlight

Engineer Justin Lemire-Elmore predicts a "bicycle revolution" within 20 years

@highlight

In China, 22 million e-bikes sold this year; 300,000 in the U.S.

@highlight

Both sides acknowledge animosity between e-bikers and traditional bicyclists