(CNN) -- As public health officials across the country look into the salmonella outbreak that began in the spring, the state of California believes it has identified its earliest cases -- and says its investigation helped tip off the rest of the country to the source of the problem.

On May 28 and 29, several people became sick after attending either a prom or a graduation party in Clara County, according to Joy Alexiou, a spokeswoman for the Santa Clara County Public Health Department. Tests on some of the victims, including a catering worker who nibbled on the food, determined that the culprit was salmonella, she said.

That finding triggered an investigation. By interviewing prom- and party-goers about what they had eaten, the Santa Clara County Health Department found at least one common link -- a delicate custard-filled pastry called profiteroles that was served at both events. According to Michael Sicilia, a spokesman for the California Department of Health, the caterer had run out of pasteurized filler, and made the rest of the fillings with shell eggs.

Throughout June and early July, county officials noted more clusters of two or more salmonella cases. In all, 42 people in Santa Clara County tested positive for salmonella, including six who ended up in the hospital, Alexiou said.

Similar clusters were popping up all over California, including four in San Diego County -- one traced to a Korean restaurant -- and another incident involving food served on a movie set in Los Angeles, an incident under investigation by Los Angeles County.

In Santa Clara County, investigators were faced with a dilemma. Because the link to eggs didn't emerge for several weeks after people fell ill, there were no eggs left to test. Local investigators relied on interviews with food preparers and companies to draw a trail back to a company in Iowa: Wright County Egg. In other counties, too, the trail led in the same direction, according to health officials.

On July 29, the California Department of Health sent a notice to the U.S. Centers for Disease Control and Prevention and the U.S. Department of Agriculture, warning of a connection to Wright County Egg. Sicilia said the alert helped confirm the suspicions of officials in other states who were also investigating a surge in salmonella cases.

California is just one of 23 states that received eggs potentially contaminated by salmonella from Wright County Egg or Hillandale Farms of Iowa, the distributors at the center of the recall of more than half a billion eggs.

In Minnesota, the agriculture department noted its first seven cases between May 5 and 7. Investigators have been able to link those illnesses to a Mexican restaurant in Bemidji, which bought eggs that were produced at Hillandale Farms and distributed by a North Dakota-based wholesaler.

Michigan is the latest state on the list of 23. The Michigan Department of Agriculture told CNN on Tuesday that eggs associated with the recall have been distributed in the state.

As the federal government investigates the egg recall and the related salmonella outbreak that it says has sickened about 1,300 Americans, the regulatory process is coming under scrutiny from the agencies responsible and people affected by the food safety crisis.

Thomas R. Frieden, the director of the U.S. Centers for Disease Control and Prevention, said Wednesday the investigation took a while because of its complexity.

"The clusters were very small. Two or three patients here, two or three patients there." Frieden also indicated the organism and its DNA fingerprint are common, making it harder to isolate.

It took weeks to determine the illnesses came from eggs and the producers who shipped them, he told the Atlanta Press Club.

Frieden, who indicated federal, state and local health agencies are better now at working together, said the U.S. Food and Drug Administration's new egg safety measures, along with a stalled food safety bill, are essential. "I think the major focus has to be prevention."

John Boyd Jr., the founder and president of the National Black Farmers Association, said that a lack of regulation by the federal government allowed this public health scourge to happen.

"The bottom line here is there should have been more inspections before the outbreak. I know Congress is looking at ... legislation to bring more enforcement," Boyd, who said he's been a poultry farmer for 14 years, said on Tuesday's "CNN Newsroom."

Speaking on a conference call with reporters Monday afternoon, Food and Drug Administration Commissioner Margaret Hamburg said federal regulations that took effect in July could have prevented the situation.

The new regulations went into effect July 9 requiring egg producers with more than 3,000 hens to take measures designed to prevent the spread of salmonella. The current outbreak began in May and was traced to two Iowa farms, according to the FDA.

One of them, Wright County Egg, has recalled 380 million eggs; the other, Hillandale Farms, recalled 170 million eggs.

"We believe that had these rules been in place at an earlier time, it would have very likely enabled us to identify the problems on this farm before this kind of outbreak occurred," Hamburg said.

While FDA inspectors typically didn't inspect farms until after an outbreak of illness, Jeff Farrar, the associate commissioner for food safety at the Food and Drug Administration, said under the new rule, "We will be beginning routine inspections of egg farms throughout the United States."

Food safety regulators don't expect any more recalls after last week's withdrawal of about 550 million eggs from the U.S. market, but inspections are still going on.

Farrar would not release details of the inspections, which also involve a third operation that supplied the two egg producers, but the results could be released later this week, he said.

While the recall involves hundreds of millions of eggs, they represent less than 1 percent of the 80 billion eggs produced in the United States each year, said Krista Eberle, director of the food safety program at the Egg Safety Center.

The Egg Safety Center is run by United Egg Producers, a trade group that describes itself as a cooperative of egg farmers from all across the United States, representing the ownership of approximately 95 percent of all the nation's egg-laying hens.

CNN Senior Medical Producer Caleb Hellerman contributed to this report.

@highlight

NEW: 42 people in county tested positive for salmonella

@highlight

California's health department believes it has discovered the earliest outbreak there

@highlight

Minnesota's first related case was as early as May 5

@highlight

About 1,300 cases of salmonella are linked to eggs