Charleston, West Virginia (CNN) -- Is it really safe?

West Virginia's governor is asking federal authorities to do further study on the possible health effects caused by last month's chemical spill near Charleston.

"It is critical this study is funded and that work begins immediately," wrote Gov. Earl Ray Tomblin in a letter Tuesday to Dr. Tom Frieden, director of the Centers for Disease Control and Prevention.

On January 9, the chemical -- 4-methylcyclohexane methanol, or MCHM -- was discovered leaking from a storage tank into the Elk River and from there into Charleston's water supply. Its licorice smell alerted residents to the contamination and led to a do-not-use order for 300,000 West Virginians, some of whom could not drink or bathe in their water for more than a week.

It also underscored that little is known about the health effects of the chemical, which is used to wash coal prior to market in order to reduce ash.

The spill was originally estimated at about 7,500 gallons, but Freedom Industries said late last month that about 10,000 gallons of chemical had escaped. The company also told regulators that a second chemical -- a mix of polyglycol ethers, known as PPH -- was part of the leak.

"I am committed to the health and well-being of West Virginians and believe there is a pressing need to further study the potential health effects resulting from exposure to water contaminated with crude MCHM and PPH," Tomblin said.

An independent water test conducted early this month at CNN's request found trace levels of MCHM, both in untreated river water and in tap water from two homes in Charleston. The amounts ranged from less than 0.5 parts per billion to 1.6 parts per billion -- well below the 1 part per million that the CDC has said it considers unlikely to be associated with any adverse health effects.

"We stand willing to continue to assist and will be discussing with officials there what additional toxicology and epidemiology studies may be needed," said Laura Bellinger, a CDC spokeswoman.

Dr. Rahul Gupta, the health officer and executive director of the Kanawha-Charleston and Putnam County health departments, has called for a long-term study to be carried out "in a manner able to capture any long-term impact."

In the wake of the spill, two waves of patients sought treatment from private doctors and 10 emergency rooms in a nine-county area for non-specific symptoms such as rash, nausea, vomiting and cough, Gupta told CNN on Wednesday.

The first peak -- about 250 patients -- occurred in the first three days after the spill was reported on January 9, he said.

A lull ensued during the several days of the do-not-use advisory, followed by a second peak -- about the same number -- during the first few days after the advisory was lifted on January 13, he said.

There is widespread distrust of the water, with only about 1% of the 200 people who attended town hall meetings in late January about the matter saying they were drinking it, he said.

Gupta, who has a masters degree in public health, acknowledged that his findings were "non-scientific" and that he did not know what the baseline incidence would be of patients appearing at an ER with such symptoms, but said the anecdotes point to the need for further studies.

"Those two peaks are undeniable," he said. "Perhaps there is something going on here."

Gupta said the water in his own house continues to smell of licorice, and that he avoids drinking tap water, though he would not be opposed to doing so. "The question becomes, is a pregnant mom going to drink it? Should developing brains of children be drinking it?"

The CDC has expressed similar concerns. "Due to limited availability of data, and out of an abundance of caution, pregnant women may wish to consider an alternative drinking water source until the chemical is at non-detectable levels in the water distribution system," it said in a paper dated February 5. "For mothers with babies, there is no research that suggests consuming water with these low levels of MCHM poses any health risk to their baby. However, if you have any concerns, please consult your doctor."

But the West Virginia Poison Center said in a posting on February 10 that some symptoms, such as nausea and headaches, may not indicate that the chemicals were harmful.

"These symptoms are not due to toxic effects but are a body's physical and real response to unusual smells/tastes," it said, adding that the poison center received calls from more than 1,900 patients reporting chemical exposures related to the drinking water in the days after the spill was reported. "Most reported symptoms included mild rashes and reddened skin from dermal exposure, or GI distress (nausea, vomiting and/or diarrhea) from ingesting contaminated water. The symptoms tended to be mild and self-limiting."

It urged that anyone with continuing symptoms be evaluated for other medical conditions, and noted that viral gastroenteritis, influenza, the common cold and other infections are all common at this time of year.

A spokeswoman for West Virginia American Water Co. said the company was continuing to flush the system to get rid of pockets of licorice smell that remain. "For us, it's not over until we resolve the odor issue," said Maureen Duffy.

Dr. Tanja Popovic, the director of the CDC's National Center for Environmental Health, told reporters on February 5 that repeated testing had shown the water to be acceptable for all uses.

"What I can say is that with all the scientific evidence that we have, with everything that numerous people have worked on so far, I can say that you can use your water however you like," Popovic said. "You can drink it, you can bathe in it, you can use it how you like."

Tomblin said then that tests had shown levels of less than 10 parts per billion or too low to detect, and that he and his staff had been drinking the water "for the last couple of weeks." But when asked whether he could declare it "100% safe," he said, "No."

"The only thing that we can rely upon is what the experts tell us, and, you know, for all the tests done that's who we've got to depend upon," Tomblin said.

A federal grand jury is probing the spill at Freedom Industries, sources familiar with the grand jury's activities have told CNN.

CNN's Elizabeth Cohen and John Bonifield reported from Charleston, Tom Watkins reported and wrote from Atlanta, Stephanie Gallman and Matt Smith contributed to this report.

@highlight

"Perhaps there is something going on here," says county health officer

@highlight

"We stand willing to continue to assist," says CDC spokeswoman

@highlight

A chemical spill last month led to continuing concerns about the safety of water

@highlight

"It is critical this study is funded and that work begins immediately," Gov. Tomblin says