Reader's Digest seems to be on life support, filing for bankruptcy protection this week for the second time in four years. But at one time, what's now seen as grandma's magazine was an influential and powerful force in politics and culture.

When I began my book on the Reader's Digest, people were incredulous.  "But no one takes that seriously," they'd say. "People only read it when they're waiting to see the dentist." Yet, those who dismiss the magazine as trivial underestimate the Digest's impact on millions of Americans' view of the world.

From its humble beginnings in 1922, Reader's Digest became the highest circulating general interest magazine in the United States, reaching more than 16 million readers a month.  From 1938 on, the Digest could be read in 17 languages.  In the U.S., Reader's Digest had the highest subscription rate of any magazine except TV Guide.

Reader's Digest started life not long after the emergence of the USSR. Initially, the magazine was sympathetic to the Russian revolution, seeing it as a movement against what it regarded as undemocratic, aristocratic European society.

By the 1930s, however, it had identified the USSR with communism. Later, it began to publish stories that portrayed the Soviet state as the primary danger to post-World War II America.

The Digest presented the U.S. and USSR as polar opposites. As well as running clearly political articles that explained international relations and threats to peace, the magazine's ostensibly apolitical stories reinforced this image of two incompatible societies.

Descriptions of everyday life in America and the Soviet Union detailed how different Americans were from Russians, how different Russians' music was, their food, their sense of humor -- even Russian sex lives were different. At the extreme, in 1981 a story about an American in Siberia seemed to suggest biological differences when it reported the American's body rejected a Russian blood transfusion.

These types of stories earned the Digest a reputation as a leading voice in anti-communism.

As it gained prominence, Reader's Digest drew criticism. Despite the publication's determination to celebrate individual freedoms, it was accused of being nothing more than state propaganda.  There were claims of CIA funding and editorial control, especially in its foreign editions in Latin America.

Whether these accusations were true or not, the magazine's influence in popular culture could perhaps be seen as even more powerful and pernicious.  As a digest, the magazine sought not to reflect the immediate news but issues and ideas of "lasting interest."  Famously, Ronald Reagan was said to have a box full of Digest articles that he had collected for reference.

Reader's Digest meant to provide readers with all of the information they needed to know about what was important in the world, what America's role in the world should be and what they, as good citizens, should do to preserve the American way.  It became a trusted source of news. In the days before electronic communication, it was perhaps the only source  that many people, particularly those in rural areas, could access regularly.

Reader's Digest presented itself as a guardian of American morality and values. In June 1960, a Reader's Digest advertisement quoted President Dwight D. Eisenhower as saying, "Our magazines are a leading force for moral and cultural growth in our country and one of the surest guarantees of an informed public."

Exactly what the relationship was between Reader's Digest and state foreign policy is unclear, but its role in encouraging American readers to think about and actively engage in world affairs is beyond doubt.

In the February 1969 issue, apparently fearing a lack of support for the Vietnam War, Reader's Digest launched a "Fly this Flag Proudly" campaign, inserting flag decals into the 18 million copies of the magazine.  A follow-up survey indicated that 78% of readers had detached the flag, and half of those people had put it to use.

A few years earlier, an article on how Brazil resisted a communist takeover was deemed to contain such "vital, useful information for every nation menaced by communist subversion" that readers were encouraged to send it -- and free reprints -- to friends abroad, or to place it into "the hands of concerned people [whom readers] may meet" on vacation.

When relations with the USSR began to thaw, the Digest feared that Americans were overlooking the danger presented by the Soviets. During detente and the beginnings of the end of the Cold War, articles warned readers not to trust those who suggested that the Soviets could change.

The fall of the Berlin Wall heralded a collapse of the Digest's moral certainty about the difference between America and its old enemy.

Perhaps the decline of Reader's Digest's fortunes was inevitable with the longer-term social and political influences of 60s counterculture, the failure of general interest magazines, the rise of global media targeted at specific niches and the advent of the internet. But of equal importance was the end of the Soviet threat:  With the fall of its arch enemy, the Evil Empire, there was no mirror against which it could present an alternative image of America and its historic mission.

@highlight

Joanne Sharp: Reader's Digest once had a huge role in shaping opinion

@highlight

Sharp: Digest propagated Cold War view that USSR was a primary danger to American way

@highlight

Reader's Digest was hugely popular, she says, but critics called it state propaganda

@highlight

Sharp: It declined with the end of general interest magazines and fear of the Evil Empire