The saying goes: "Time heals all wounds." And for most former U.S. presidents, that appears to be true.

After leaving the constant scrutiny of the White House, a president's legacy begins to take shape as professors, biographers and presidential historians start to take long, reflective looks at the president's time in office.

And that prism generally makes them look better..

"History has a way of making presidents, in most cases, look better than they looked during their administration," said James Thurber, director of the Center for Congressional and Presidential Studies at American University.

George W. Bush, whose library opened on Thursday, is in the middle of that sort of mini-renaissance -- the number of people who see his presidency as a failure, according to a recent CNN/ORC poll, is down 13 points since he left office.

And he's not unique in that sense -- a Gallup poll released Thursday showed presidents Gerald Ford, Jimmy Carter, Ronald Reagan, George H.W. Bush and Bill Clinton all with an improved approval rating in retirement.

Five presidents on hand for Bush library ceremonies

But why does this happen?

Historians say a number of factors -- from the way the president left office to the human tendency to forgive -- contribute to how the former leader is viewed. And while all of these factors don't apply to every president, the historians say a combination of these factors play into how a retired commander-in-chief is perceived.

How did you leave the White House?

When President Herbert Hoover exited the White House in 1933, the country was in the midst of the Great Depression. When James Buchanan left after one term, his polices to maintain peace between the North and South had failed and the Civil War was imminent.

And when President Richard Nixon resigned the White House in 1974 because of the Watergate scandal, the former Republican lawmaker left as a disgraced public figure.

According to David Nichols, a presidential historian and expert on President Dwight Eisenhower, the way a president exits the White House plays a big role in how their leadership is remembered.

"If something cataclysmic happens just before they leave office, they end up having a tough time recovering," Nichols said.

Most people, said Nichols, have very little recollection of the specifics of a former president, so the most memorable moments are what stick.

Although Nixon may have helped normalize relations with China when he became the first president to visit the Communist country, and established the Environmental Protection Agency, Nichols said, what people remember is his resignation speech, his final wave to the White House and the phrase "I am not a crook."

"In many respects, if you look at Nixon's record, he was a fairly successful president," Nichols said. "The problem for Nixon was the way he left the presidency."

Bush 43 reflects on his presidency

What did you do after the White House?

Two years after having lost the White House to Ronald Reagan, Jimmy Carter established the Carter Presidential Center in Atlanta in 1982.

Dedicated to democracy and human rights, the center has helped Carter's reputation so much that Edward Berkowitz, professor of History at George Washington University, said that Carter may have more respect now than he had when he lost the White House.

"It matters how you handle your post-presidency," Berkowitz said. "Carter is the ace figure to that. Carter had very low approval when he left office but sort of transformed himself."

A report by The Miller Center at the University of Virginia notes a similar phenomenon for Carter. Though Carter was the first incumbent president to lose the presidency in half a century, "to many people, Jimmy Carter has provided Americans with an ideal model of post-presidential life."

"In fact, some consider him to be the nation's greatest former president," the report said.

The successful former president is a more modern tradition, when presidents have a longer life expectancy than their predecessors.

Two other modern presidents who have benefited from life after the White House: George H.W. Bush and Bill Clinton.

Clinton left office beleaguered by the Monica Lewinsky scandal but reinvented himself into a Democratic kingmaker of sorts. With his wife now a former secretary of state and his support of President Barack Obama through the 2012 election, Clinton's image has benefited from life after the Oval Office.

And the first of the two Bushes elected to the White House has also seen his image improve, Berkowitz said.

"When he was defeated in 1992, his legacy looks unclear. Now he seems like this compassionate guy and his image improved during his son's presidency," he said.

Remembering 43: 'Bush tended to... follow strong people'

Libraries also make the president look good

Ever since President Franklin Delano Roosevelt donated his personal and presidential papers to the federal government in 1939, the tradition of the presidential library has blossomed.

Part library, part museum, part tribute, each presidential library is a testament to the time each former president spent in the White House. And according to Thurber, libraries help rehabilitate a presidential image.

"These libraries, I think, are bias," Thurber said. "They want to protect the history, but they also want to make the president look good."

One of Thurber's examples: "If you go to the Truman library, there is only one small newspaper article that describes the fact that he was the one who decided to use the atomic bomb. That is probably the most important thing in his administration and it is sort of hidden. He and those protecting his image don't want that to be the major thing."

So far, there are 13 official presidential libraries in the United States with a handful that are not recognized by National Archives.

Nichols echoed Thurber by saying "the presidential library undoubtedly helps."

The reason: the public tends to be more forgiving when they see the accomplishments of a presidency laid out in front of them.

"Historians just love to tell good stories," Nichols said. "Outside of Hitler and a few other people, historians hate to make people just sound awful."

He concluded: "It is almost in the interest of people in my profession to find good things about people and underline and them."

@highlight

Image of most recent presidents improved after they left office

@highlight

How they left the White House plays a large part in image rehabilitation

@highlight

One historian thinks Jimmy Carter's image is better now than when in office

@highlight

Presidential libraries are part library, part museum and part booster