(CNN) -- Many of Europe's leading tech entrepreneurs are meeting at the annual LeWeb conference in Paris this week to celebrate the future - an "Internet of things" governed by intelligent devices.

But, rather than Paris, the most consequential European meeting about the future of the Internet this week may have taken place in Brussels on Monday.

In contrast with the radically transparent networking culture that characterizes LeWeb, the Brussels event was a meeting between two powerful bureaucrats that took place, like all meetings between powerful bureaucrats, behind closed doors.

Jon Leibowitz, the Chairman of the US Federal Trade Commission (FTC) met with Joaquin Almunia, the vice-president of the European Commission to discuss Google - the dominant company on today's Internet. Specifically, they were meeting to discuss potential FTC and EU anti-trust lawsuits against the tech giant, in an attempt to resolve the Google problem.

It's a very simple problem. The future may, indeed, have arrived on the Internet. But rather than being run by intelligent devices, it's unfortunately being run more and more by a single company -- Google, which controls over 90% of the search market in several European countries. And the problem, as both the FTC and the commission recognize, is that this dominance may, in part, be illegal.

Google has been accused in both Europe and the United States of using its dominant position in search to unfairly promote its own products and services -- from travel and shopping comparison engines to advertising and mapping.

These accusations have been well documented and extend from successful American internet companies such as Yelp, Expedia and Nextag to European start-ups like eJustice.fr and Foundem.

At a press conference in Brussels on Wednesday, Almunia confirmed that the commission was working "intensively" on its probe of Google. Meanwhile, Google's executive chairman Eric Schmidt, in a characteristically pugnacious message to Almunia and Leibowitz, told the Wall Street Journal that "it's time for them to sort of move to one resolution or another. It's not like they don't have a million documents and so forth."

Schmidt is right. Given the speed of technological change, it's time for both the commission and the FTC to decide whether or not to bring their anti-trust lawsuits against Google. The longer both Almunia and Leibowitz wait, the more powerful Google becomes, and the more indecisive and laggardly the regulators appear.

Time is, indeed, of the essence. As the future arrives on all our devices and "the Internet of things" becomes a reality, it is essential that this Google problem, which is undermining entrepreneurial innovation, is resolved.

An Internet of things must be a place of all of our things, not just Google's things. And as Google products such as its self-driving cars and data goggles pioneer this brave new world of intelligent devices, it is essential that the FTC and the commission guarantee that the ubiquitous Google search engine doesn't degenerate into a platform for this increasingly powerful company to hawk its own intelligent products and services.

Google's Eric Schmidt spoke at Le Web last year. "This particular conference is one of the best venues for new entrepreneurs in Europe," he said, rightly, of Europe's largest Internet event.

But for future entrepreneurs really to be able to innovate, we need fair search which doesn't prioritize the products and services of Google itself.

We are thus relying on Leibowitz and Almunia. Let's hope they can make a decision on whether to move ahead with their anti-trust cases by the end of the year. Let's hope they can solve the Google problem.

The opinions expressed in this commentary are solely those of Andrew Keen.

@highlight

U.S. and EU regulators met in Brussels this week to discuss "the Google problem"

@highlight

They were considering whether its dominance of the search market may be illegal

@highlight

Keen says they need to decide soon whether to pursue anti-trust lawsuits

@highlight

He says it is important to ensure entrepreneurial innovation is allowed to flourish