Garissa, Kenya (CNN)Days after a horrific Al-Shabaab attack on its soil, Kenya launched airstrikes targeting the terror group in Somalia, according to a military source, who insisted the strikes were not retribution for last week's massacre at Garissa University College that killed nearly 150 people.

"The latest attack of Al-Shabaab bases by the Kenya military is part of the ongoing operations that started in 2011. It is not a retaliation to the Garissa attack. The operation has been ongoing," the military source said Monday.

It is customary for Kenyan military sources not to give their names to media.

Two of the airstrikes hit Al-Shabaab training camps, according to a resident of the southwest Somalian town of Bardera, almost 200 kilometers (125 miles) from the Kenyan border, and a local journalist who asked not to be named out of fear for his safety.

The Kenyan military began its bombing raids Sunday afternoon, targeting the Al-Shabaab stronghold of Godon Dhawe, Somali resident Ibrahim Mohammed said. Godon Dhawe is between Bardera and the Somalia-Kenya border.

Al-Shabaab, an al Qaeda-linked militant group based in Somalia, has claimed responsibility for the university attack.

Also Monday, a police source said Kenyan authorities had intelligence beforehand that a university in Garissa could be attacked, yet the country's rapid response team was stuck in Nairobi for hours after the massacre began, arranging for transport.

It's not clear exactly why the elite team was stuck in the Kenyan capital, roughly 370 kilometers (230 miles) west of the attack, but the police source in Garissa told CNN that Kenyan politicians and Nairobi-based journalists arrived on the scene before the team did. Journalists on the ground corroborated that report.

Once the team entered the university complex, the situation was quickly defused, journalists and the police source said.

Manoah Esipisu, a spokesman for Kenya's president and deputy president, defended the response time, telling CNN there is always criticism regarding whether "you reacted as fast as you have or shouldn't have."

"With the benefit of hindsight you can always say things could have been done better," he said, adding that Kenyan authorities saved a lot of students and "got the job done."

Foreign Minister Amina Mohamed echoed those remarks in a Monday interview with CNN, saying the response was sufficient and denying reports that it was the elite rapid response team alone that brought an end to the situation.

"We have a military garrison in Garissa, and the work began immediately after the attack was reported and continued for a number of hours until we were able to rescue 663 students of the 800 students that had been taken hostage by these terrorists. So the response was adequate," she said.

She repeated Esipisu's assertion that dubbing the response slow is a reaction that comes only with the luxury of hindsight.

"Obviously when parents are grieving and the country is mourning, it's always easy to fall back on things like that, but I can assure you that we took very quick action as soon as this was reported," Mohamed said. "Obviously hindsight is always 20/20. We did everything that we could do."

The Kenyan government says Mohamed Mohamud is the mastermind of Thursday's terrorist attack on Garissa University College.

The country's Interior Ministry singled out Mohamud, a senior leader of Al-Shabaab, on Twitter. He is also known by the aliases Dulyadin and Gamadhere, it said.

Mohamud is "credited with having an extensive terrorist network within Kenya," according to a Kenyan ministry document given to CNN.

The ministry posted a "most wanted" notice for Mohamud. It offers a reward of 20 million Kenyan shillings, about $215,000.

"We appeal to anyone with any info on #Gamadhere to share with relevant authorities and security agencies," the Interior Ministry posted on Twitter.

Mohamud is in charge of external operations against Kenya, the document says, and he is the regional commander within Al-Shabaab in charge of the Juba region. In this role, he commands the militia along the border and "is responsible for cross-border incursions in the country."

His position as one of Al-Shabaab's top field commanders in southern Somalia has brought him into direct conflict with Kenyan troops deployed as part of African Union forces in the country.

"This is a man who has a lot of grudges against the Kenyans," said Stig Jarle Hansen, an associate professor at Oslo's Norwegian University of Life Sciences and author of "Al-Shabaab in Somalia: The History and Ideology of a Militant Islamist Group."

Mohamud's network extends within the Dadaab refugee camp, the document says. Dadaab is the world's biggest refugee camp, home to thousands of people, according to the United Nations. It's in Kenya's North Eastern Province near Somalia.

Garissa, the town where the university attack took place, is about 150 kilometers (90 miles) from the Somali border.

It's within "striking distance" of Mohamud's stronghold in Somalia's Middle Juba province, Hansen told CNN. But he noted that Mohamud is better known "for tactical military attacks rather than terrorist attacks."

Inside Garissa University College dorm's scene of slaughter

Over the weekend, Al-Shabaab promised to bring about "another bloodbath" in Kenya.

Though the terrorist group is based in Somalia, it hasn't confined its violence to the lawless nation. In 2013, militants attacked Nairobi's upscale Westgate Mall.

Mohamud has claimed responsibility for several attacks in the past few years, including December's attack on a quarry in a Kenyan village near the Somali border, which killed at least 36 people.

In that attack, Al-Shabaab militants separated non-Muslim workers from their Muslim counterparts and killed them.

Mohamud is Kenyan and has three wives and three siblings, including two with links to Al-Shabaab, the document says.

He's from a clan, the Ogaden, that has a heavy presence in Kenya and Somalia, Hansen said.

"The borders historically have been meaningless to them," he said.

CNN exclusive: Exposing smuggler routes across the Somalia-Kenya border

On Sunday, Kenya's Interior Ministry identified another terrorist involved in the Garissa University College attack as Abdirahim Abdullahi.

Abdullahi's father, Abdullahi Daqare, a government chief in Mandera in northern Kenya, told CNN that his son was missing.

Daqare is a Kenyan Somali, he said.

His son graduated in 2013 from Nairobi University law school and worked for a bank for two months before he went missing, Daqare said in a phone interview.

"I have received reports from people who found information (on) the Internet that my son was one of the terrorists," Daqare said. "I previously told the government that the son is missing. I sought their help to find the whereabouts of my son."

He added that the two had not been in contact since his son disappeared. Daqare said he had "really given up on him."

On Sunday, families of some of the more than 147 people slain at Garissa University College left a mortuary in Nairobi after identifying the bodies of their loved ones.

One woman almost had to be carried out.

"Why? Why? Where are you, my children?" she wailed.

Across Garissa, there was a sense of fear, foreboding and grief.

The news agency Reuters videotaped a man holding his daughter's hand at a church as military patrols and security officials searched people. A church member told the agency, "Nowhere is safe, but here in church you can come, you be with God and then you just console yourself."

Three days of national mourning for victims of the attack, declared by Kenyan President Uhuru Kenyatta, began Sunday.

CNN's Christian Purefoy and Lilian Leposo reported from Garissa; Eliott C. McLaughlin and Greg Botelho wrote from Atlanta; and Jethro Mullen reported and wrote from Hong Kong. CNN's Christiane Amanpour, Mick Krever, David McKenzie, Dominique van Heerden, Nick Migwi, Ashley Fantz, Florence Obondo, Jessica King and journalist Omar Nor contributed to this report.

@highlight

"We did everything that we could do," Kenya's foreign minister says

@highlight

Despite intelligence, rapid response team stuck in Nairobi for hours after massacre, official says

@highlight

Al-Shabaab's Mohamed Mohamud "has a lot of grudges against the Kenyans," expert says