(CNN) -- England's 10-wicket hero and man-of-the-match James Anderson admitted to total exhaustion after his side held off a gritty Australian fight back to win an extraordinary first Ashes Test by 14 runs.

"It has been draining emotionally and physically," said Anderson. "I'm lost for words - it's been amazing."

But the first Test also threw up questions about the use of technology in sport, with Australia ruing the Decision Review System (DRS) that appeared to weigh heavily against the Baggy Greens.

CNN looks at five things we learned from the first Test at Trent Bridge.

Technology equals controversy

Unlike football, which has grappled with the issue of technological assistance for its embattled referees for years, cricket has long been comfortable with a little high tech help for its umpires.

DRS has been around in cricket since 2009; while not without its dissenters, by and large it has brought clarity and dampened down controversy in big games. Not in this match though.

As the old bumper sticker says, "to err is human; to foul things up completely requires a computer," except here the human element was solely to blame.

From umpire Aleem Dar's failure to pick up Stuart Broad's clear edge to Australia's wicketkeeper Brad Haddin, to a dozy 'hot-spot' camera operator who was still reviewing the previous ball as England appealed Jonathan Trott's dismissal, this was an error-strewn performance by both the on and off-field umpiring team.

The look on Australian captain Michael Clarke's face when he realized his profligate use of appeals had left him without recourse to the third umpire as Broad stood his ground summed up the frustration around DRS.

Broad's decision not to walk was huge in itself, and prompted an impassioned debate that will linger for some time -- some argued that he was a disgrace, others that he was simply being professional.

Interestingly the people who seemed least bothered by it were the players, possibly because -- with very few exceptions -- no one in top-flight cricket walks any more.

In the words of former Australian wicketkeeper Ian Healy, "walk in an Ashes Test match? Only if the car runs out of petrol!"

Interestingly though, Broad didn't wait for the umpire's signal when he did eventually depart. Perhaps even he was a bit embarrassed.

In the final analysis, much as was always argued when the umpires acted alone, the mistakes just about balanced themselves out.

Certainly, the Australian captain could learn much from the approach of his opposite number Alastair Cook, who used his appeals wisely -- especially for the final decisive wicket.

But the fact that technology's role was so central to so much controversy at Trent Bridge must be cause for concern.

Anderson is a true great

While the great Australian side that dominated world cricket from the early 90s into the 21st century was full of stars, its bowling attack was arguably the key to its supremacy.

Alongside the genius of spinner Shane Warne it was the metronomic precision and controlled aggression of fast bowler Glenn McGrath that kept the game's best batsmen in check.

If the current Australian side is crying out for such a presence, England can rest easy in the knowledge that they have their own McGrath in Anderson.

The Lancashire pace bowler has matured into an intimidating mix of cool exactitude and thoughtful endeavour.

For over after over he pinned the Australian attack back, reining them in each time they threatened to break free and ensuring they could never relax.

It was a performance, on a pretty lifeless pitch, that underlined why he can now justifiably be ranked among the greatest pace bowlers.

His 10 wickets added to a career tally that should eventually see him overtake Ian Botham as England's highest wicket-taker.

And his 10th wicket, albeit gained by the finest of margins and the faintest edge, may well be among those that come to define this Ashes series.

Australia is here to win

Australia arrived in England as clear underdogs, before cementing this status with an implosion in the ICC Champions Trophy that indicated a team in disarray.

If off field disciplinary issues and major changes in the coaching staff left many wondering what kind of shape this team would be in for the first Test, all agreed that -- on paper at least -- it had a long batting line-up.

None, however, would have predicted just how long.

Making his Test debut at just 19, there were few indications that Ashton Agar, taking the field with Australia on the brink of oblivion at 117 for 9, would deliver such a dazzling performance.

But what a performance it was -- full of eye-catching stroke play and stylish shots that reached all parts of Trent Bridge, watched by a gaping crowd that became gradually more appreciative as the records tumbled.

As the highest ever score by an Australian number 11 became the highest ever score by any number 11, McGrath remarked that he thought he'd been presenting Agar's Baggy Green cap to a bowler, not an all-rounder.

As the debutant reached 98, it seemed the whole stadium, as well as most of those observing via Twitter, were willing him into triple figures.

It wasn't to be, as an overly ambitious boundary attempt from the bowling of the Test's soon-to-be pantomime villain, Broad, was lofted into the hands of Graeme Swann; but the standing ovation he received was heartfelt.

Yes, he possibly should have been given out earlier, and it wasn't quite enough to win the match for the Australians, but no one, English or Australian, will forget that innings.

At the other end of the age scale, the veteran Haddin's performance on the final day was no less impressive, aided by James Pattinson he brought his team within a whisker of an implausible victory.

England beware: this team has a whale of a tail and bowlers will need to be at their best to clear the Australian decks.

The Ashes are still worth fighting for

The appeal of the Ashes comes in large part from the fearsome way in which the series is contested.

When England finally reclaimed the tiny urn in 2005 it was a release so cathartic that it elevated the series to new heights in the UK; and made Australia all the more determined to reclaim the prize, which they did emphatically in 2007.

However, recent contests have felt less competitive.

As the Australians struggled to rebuild, and England became ever more proficient and professional, it felt as though this year's series might lack a little of the appeal of recent years.

By Sunday at Trent Bridge, those fears had been dispelled so emphatically that the very idea of a lacklustre Ashes seemed laughable.

This was, it was unanimously agreed, one of the best ever Ashes Tests, and quite possibly one of the best ever Test matches.

New rivalries, fresh controversies and innumerable talking points conspired to ensure that the second Test will be the most hotly anticipated for years.

The fact that much of the UK is currently basking in a heatwave only added to the sense of enjoyment from the home fans, but even in defeat the Australians could draw succour from the fact that their team can clearly make a decent fist of winning the series.

Clarke's dignified speech as he congratulated England spoke of a man well aware he had been part of something special. And best of all, this is just the beginning of back-to-back series in 2013.

Test cricket is still uniquely compelling

By the end of Wednesday those fans with tickets for Saturday's action were justifiably pondering other plans.

Batsman after batsman failed to rein in his desire to play at every delivery, with wickets lost due primarily to poor decision making.

Bowling, too, was erratic -- the Australians giving away 21 runs to the extras column.

Even the idea that the match could be over before Friday was being seriously discussed, and inevitably that discussion turned to the format of Test cricket.

Batsmen, it was agreed, were too used to the speed of Twenty20 and 50-over games; skills that fed a long innings, such as the ability to safely leave a ball, had been lost in the pressure to score quickly.

Punters preferred the quick fix entertainment of shorter forms of the game and this was the result.

As the Test entered the afternoon session on the fifth day, however, it became clear that this type of cricket still offers something unique.

This was like choosing an Emmy award winning DVD box set over a summer sci-fi blockbuster.

As the hours and days rolled by, nuance, sub-plots, character development and twists were revealed that would be impossible in the frenetic environment of limited overs cricket.

Trent Bridge was by turns feather bed and cauldron for the protagonists as the game's story evolved; nails were shorn to their stumps, eyes raised plaintively to the heavens by players and fans alike, cries of anguish were matched by sighs of relief and gasps of wonderment, eyes squinted intently at the square throughout.

This utterly enthralling contest was the perfect reminder of what Test cricket can offer.

@highlight

England beat Australia in thrilling first Test at Trent Bridge

@highlight

England win by narrow margin of 14 runs after five days

@highlight

England bowler James Anderson man-of-the-match after taking 10 wickets

@highlight

Second Test at Lord's starts on Thursday