(CNN) -- The wonder of travel lies equally with adventure and misadventure -- there is nothing like getting thoroughly lost in a riddling country or culture that is not your own.

But it is hard these days, with our ultra-planned excursions, fixers and 4G service, to get properly disoriented. Labyrinths, however, can remind us how it's done.

These mazes have appeared in various corners of the world throughout history. One can be found in a petroglyph on a river shore in Goa, India; cut into the stones of Ireland's many medieval churches; and arranged in a contemporary land-art installation at Lands End in San Francisco.

Traditionally, they kept evil in and invaders out. They have been used as pleasure walks, meditative journeys and symbolic life-into-death pilgrimages.

Classical thinkers Herodotus, Pliny and Strabo each praised the Egyptian maze of Middle Kingdom that Pharaoh Amenemhat III constructed in the 19th century B.C. to protect his Hawara tomb. (Strabo called it a wonder of the world.)

Before taking to the high seas, Scandinavian sailors built stone labyrinths to trap sinister winds that might follow them. Daedalus famously used one to trap a minotaur.

Literary figures also embraced the labyrinth. Argentinian writer Jorge Luis Borges's peculiar love of them is well known -- he wrote once of gods who lived in them, encircled by forking paths.

Lesser known is Jane Austen's affinity, particularly for the large rambling hedge maze at Sydney Garden in Bath, England (since gone), where she wished to walk every day.

Proust once wrote, "The only true voyage of discovery...would be not to visit strange lands but to possess other eyes, to behold the universe through the eyes of another."

That heightened sense isn't developed so much by traveling the world as by remembering to focus on where we stand. And the wonder of unexpected encounters, the anticipation of what might lie around the next corner, is a charm of labyrinths of all kinds, from the underground city of Derinkuyu in Cappadocia, Turkey, to the overhanging gardens of Marqueyssac in Périgord, France.

Departures: World's best sculpture parks

Derinkuyu Underground City, Cappadocia, Turkey

Cut into one of the long, finger-like stone formations that make Cappadocia famous, the underground city of Derinkuyu is an eight-level warren of traps and wrong turns descending about 200 feet into the earth.

Believed to have been built in the seventh or eighth century B.C. by the ancient Phrygian people, it was subsequently enlarged by early Christians to foil the armies of various Zealot empires.

Nearly 20,000 people could live behind its sealed stone doors for nearly four months, and presumably any soldiers who had the misfortune to pursue them through the narrow passageways would get lost or be squashed by one of the Indiana Jones-style rolling-boulder traps.

Göreme, a town that houses one of the best collections of cave churches in the region, is nearby.

The more recent chapels are decorated with extraordinary examples of Byzantine Christian painting; don't miss the sinister frescoes at Karanlik Kilise (the Dark Church).

Chartres Labyrinth, Chartres Cathedral, France

A rose labyrinth, laid into the floor at Chartres Cathedral, was arranged by a bishop in 1360 for an Easter celebration of the liturgy of Vespers.

During the ceremony, a representative walked to the labyrinth's center, killed Satan (known until that time as the minotaur), triumphed over death and illuminated the world with a yellow ball that he tossed to his audience.

The Chartres labyrinth is designed as a single path that coils and unfurls, turning back and forth within a 40-foot circle.

Now, once a month, chairs that normally cover the display are moved so pilgrims can walk the maze -- replicas of which exist at churches and mediation centers all across the world -- to symbolically move, as at the crypts, toward reconciliation while passing from life into death.

Walkers are exhorted to engage fully in body and spirit for true meditation, leaving themselves open to moments of grace.

Departures: Stunning library architecture

Hampton Court Palace, Herefordshire, England

Hedge mazes evolved out of the twisting paths of knot gardens popularized during the high Renaissance -- an exercise in ordering nature.

Until the era of William III of England (aka William of Orange), hedge mazes were unicursal, following a single path, rather than puzzles riven with wrong turns and dead ends that were meant to disorder human perception.

In 1700, William III commissioned the famous hedge maze at Surrey's Hampton Court Palace, and the trapezoidal labyrinth remains the largest and most famous of its kind in England. (Supposedly visitors can get lost for hours.)

The palace itself, complete with a great medieval hall where Shakespeare performed and Henry VIII's tapestries still hang, is worth the visit.

Capuchin Crypt, Rome

The Roman Catacombs may not be as famous as those in Paris -- they have fewer passageways lined with piles of bones and are less centralized, consisting of hundreds of connecting tombs.

But one particular crypt, separate from the rest, far outstrips any bone pile. The Capuchin Crypt, below the Santa Maria della Concezione dei Cappuccini church on the Via Veneto, was built when the order relocated in 1631, with 300 cartloads of exhumed friars in tow.

The resulting display of skull-pile archways and spine-section "rose windows" -- now comprising roughly 3,700 skeletons -- are meant to remind us (according to the Capuchins) of the swift passage of life into death. They also serve to remind us of Christendom's peculiar brand of surrealist acuity.

Departures: Top travel apps

Bara Imambara, Lucknow, Uttar Pradesh, India

The fort at Lucknow, in the state of Uttar Pradesh, is known as Bara Imambara (or Asafi Imambara).

It was built as a massive labyrinth, or bhul bhulaiya (another of its nicknames), to confuse and delay any invaders who had been able to solve the riddle of its names and locate it on a map.

The architecture is early Nawabian, mimicking the Mughal styles, and is the only building in Lucknow without European architectural influence.

It was commissioned in 1784 to employ the poor during a drought. Even after its completion, Asaf-Ud-Daula, the Imambara's commissioner and nawab (a person of high status) of Lucknow, spent hundreds of thousands of rupees annually on the hall's decoration.

Wandering from room to room through the halls is now its own wondrous indulgence.

Haeinsa Temple, South Korea

Since 1398, the Haeinsa Temple complex in South Korea's mountains has housed the Tripitaka Koreana -- the entire Buddhist scriptures carved onto more than 81,300 wooden blocks and said to be among the most accurate in the world.

It was declared a UNESCO World Heritage site 597 years later. Thousands of monks from around the country make the trip there every October to carry the block scriptures on their heads in parade.

Each spring, a maze of colored lanterns is arranged in one of the facility's courtyards in a labyrinthine form derived from the swastika, which in Korean Buddhism usually refers to the intersection of truths. Those willing to participate in morning and evening prayer are welcome to do a temple stay (templestay.com) and wander the colored maze or the mountain paths and shrines along the rugged face of Mount Gayasan.

Departures: Top private movie theaters

Overhanging Gardens of Marqueyssac, Périgord, France

In Périgord, France, the hundred-year-old boxwoods of the overhanging gardens of Marqueyssac are still handshaped into a delightful hedge maze that recalls equal parts Carrollian Wonderland and Seussian Whoville.

Bertrand Vernet de Marqueyssac, counselor to Louis XIV, built the comparatively simple castle just before the French Revolution as a summer home, complete with terraced gardens and walks.

In 1860, half a century later -- in a fit of Romantic effulgence that shifted the style from flat-topped, spiraling hedge motifs to whimsical three-dimensional landscapes -- Julien de Cervel began planting the boxwood garden. (Hedge mazes in England at the time were being torn down.)

Here, the sole purpose of the intricate walkway -- nearly four miles of paths curl around 54 acres of garden and land -- is pleasure. (Leave it to the French.)

Walkers can admire other visitors over the many hedges, not to mention wide views of the Dordogne Valley.

Executive Travel: Explore more labyrinths

© 2010 American Express Publishing Corporation. All rights reserved.

@highlight

Mazes have appeared in various corners of the world throughout history

@highlight

Derinkuyu has eight levels of traps and wrong turns descending into the earth

@highlight

Bara Imambara is nicknamed bhul bhulaiya and was built to delay invaders

@highlight

Haeinsa Temple houses Buddhist scriptures carved onto wooden blocks