A great crack in America's middle class came to light recently: While our country continues to lead the world as the richest nation, our middle class, once the most affluent in the world, has fallen behind. According to an analysis by The New York Times, Canada's middle class is now the wealthiest, and working families in many countries have seen their incomes rise much faster than those in the United States.

The hollowing out of America's middle class has been years in the making, but it wasn't inevitable that working families would fall further and further behind. Instead, it was the direct consequence of deliberate choices Washington has made over the past generation to put the rich and powerful first and to leave working people to pick up whatever crumbs were left behind.

It didn't have to be this way. America knows how to build a middle class that is the envy of the world. After the Great Depression, America made two critical decisions.

First, it put in place strong rules to level the playing field for families, putting more cops on the beat to monitor financial markets and passing basic safety rules to temper the boom-and-bust financial cycle.

Second, the country made building a future for our children the priority. We invested powerfully in our education system, and we made sure that people who worked full time would stay above the poverty line. We built infrastructure -- roads and bridges, our power grids -- so that we had the right foundation for businesses to build jobs here at home. We also invested in basic medical and scientific research, confident that if we built a great pipeline of ideas, our children would have opportunities their parents could only dream about.

These steps were aimed at building a strong middle class, and they worked. For a half a century, as the country got richer, our middle class got richer. America built a middle class that promised a bright future to each succeeding generation, a middle class that inched its way toward building opportunities, not just for some of our children, but for all our children.

I lived this firsthand, growing up in a country that invested in its children. After my dad had a heart attack, my mom worked a minimum-wage job at Sears -- and that was enough to save our house. I went to a commuter college that cost $50 a semester, and my first husband worked on the moon shot. America was full of promise.

About 30 years ago, America began to move in a different direction. Washington took financial cops off the beat by slashing funding of our regulators, letting big banks load up on risk and target families with dangerous credit cards and mortgages. Washington also worked feverishly to cut taxes for those at the top, opening huge loopholes for big corporations and billionaires. Eventually, the loopholes got big enough to drive a truck through.  According to the nonpartisan group Citizens for Tax Justice, by 2008-2012, while the corporate tax rate on paper remained 35%, 26 Fortune 500 companies paid $0 in taxes. That's right -- zero.

And how did Washington propose to balance a budget with lower taxes? Stop investing in the future. Instead of supporting college kids who are trying to get an education, the government now uses them as a source of revenue, making billions of dollars in profits off student loans.

Investments in roads and bridges have nearly ground to a halt. And government research -- the great pipeline of ideas that led to the creation of the Internet, nanotechnology, GPS and a million medical advances -- has had its legs cut out from under it.

Today, the director of the National Institutes of Health says there's only enough money to fund one out of six National Institutes of Health research proposals, and our investments in scientific research don't reflect the values of a nation that plans to lead the world in new discoveries.

The impact of these policies has echoed through the economy. Big banks, powerful corporations and billionaires -- people who can afford to hire armies of lobbyists and lawyers -- have amassed more and more wealth.  Meanwhile, the foundations of our once strong middle class have begun to crumble, and families have been caught in a terrible squeeze.

Starting in the 1970s, even as workers became more productive, their wages flattened out, while the costs of housing, health care and sending a kid to college, just kept going up and up. In 1980, the minimum wage was at least high enough to keep a working parent with a family of two out of poverty. Now, the minimum wage isn't even enough to keep a fully employed mother and a baby out of poverty -- and on Wednesday, Senate Republicans filibustered a bill to increase the federal minimum wage modestly.

We know how to strengthen the middle class in this country because we have done it before. We need a level playing field to make sure everyone follows the rules -- and that breaking the law has the same kinds of consequences for bank CEOs who launder drug money as for kids who get caught with a few ounces of pot.

We need to decide that our children -- not our biggest corporations -- are our first priority. We can take on the student loan problem that is crushing our kids, and to rebuild our roads and bridges, upgrade our power grids and expand our investments in basic research. And we can pay for that by putting an end to the tax loopholes and subsidies that go to powerful corporations and the wealthiest Americans.

We can repair the cracks in the middle class. We can strengthen our foundations and make sure that all of our children have a fighting chance. But it means changing who Washington works for -- and doesn't.

@highlight

Elizabeth Warren: U.S. middle class, once richest in world, has fallen behind other nations

@highlight

Warren: Washington puts rich and powerful first and leaves working people behind

@highlight

Minimum wage isn't enough to keep employed mom and baby out of poverty, she says

@highlight

Warren: We strengthened the middle class before and can do it again by putting people first