Washington (CNN) -- Six of the nine Supreme Court justices attended the annual Red Mass at the Roman Catholic Cathedral of St. Matthew the Apostle in Washington on Sunday.

The event's speakers spoke about using faith in decision-making but largely stayed away from the controversial issues the court will face in the coming months.

Chief Justice John Roberts, Justice Stephen Breyer, Justice Antonin Scalia, Justice Clarence Thomas, Justice Anthony Kennedy and Justice Elena Kagan all attended the 60th annual Mass. This was Kagan's first Red Mass.

Having six justices in attendance ties a record set in 2009. The only justices to not attend this year were Sonia Sotomayor and Samuel Alito, both of whom are Catholic, and Ruth Bader Ginsburg, who is Jewish. Kagan and Breyer, both of whom were in attendance, are also Jewish.

Election raise stakes for possible court vacancies

The annual Mass is an event put on by the Archdiocese of Washington and the John Carroll Society and aims to bring people together to pray for the members of the judiciary before the court begins hearing cases each year. It's called the Red Mass because of the color of the garments worn by clergy.

In the past, presidents, vice presidents and many members of Congress and the judiciary have attended the event.

Timothy P. Broglio, archbishop for members of the U.S. military, delivered this year's homily, expressing a commitment to the poor and to education while also strongly emphasizing the idea that people should strive to live their faith and become "instruments of a new evangelization."

"The faith we hold in our hearts must motivate the decisions, the words and the commitment of our everyday existence," said Broglio. "Our society must also rest on stable, clear foundations. Otherwise, we run the risk of sinking into the mire of one popular soundbite after another."

Possible Romney court nominees

Speaking about the need to shed clearer light on the "joy and renewed enthusiasm" of the church, Broglio stressed the idea of living one's faith outside of church and in everyday life.

"We are instruments in the hands of the Lord, and so we pray to be ever open to his presence," said Broglio. "The message is filled with hope: not only for eternal life, but also for the graces necessary so that our lives are truly noble of God and of the vocation he has given us."

While the Red Mass follows the traditional structure of a Catholic service, it also includes a few additions. In particular, the congregants sang "The Star-Spangled Banner" and "America the Beautiful" at the start and end of the Mass.

Others attending the event included Secretary of Transportation Ray LaHood, Virginia attorney general and gubernatorial hopeful Ken Cuccinelli, and U.S. Ambassador to Ireland Dan Rooney.

Possible Obama court nominees

The court's current religious makeup -- six Catholics and three Jews -- marks the first time there has been no Protestant justice on the highest court in the land. In 2010, Kagan replaced Justice John Paul Stevens, who was the lone Protestant at the time of his retirement. This is unique for a country in which every president has been Protestant except for John F. Kennedy, a Catholic.

The mix of religion and government at the Red Mass has raised some eyebrows in the past.

Ginsburg no longer attends the Mass because she said she grew tired of being lectured by Catholic officials.

"I went one year, and I will never go again, because this sermon was outrageously anti-abortion," Ginsburg said in the book "Star of David: Prominent Jews Talk About Being Jewish." "Even the Scalias - although they're much of that persuasion --- were embarrassed for me."

Court opens possibly contentious new term

Critics of the service find the attendance of leading decision-makers to be inappropriate.

"There is one purpose to have this. It is to make clear ... just what the church hierarchy feels about some of the very issues that are to come before the court," said Rev. Barry Lynn, president of Americans United for Separation of Church and State. "That is just wrong. And it is wrong for members to go --- not illegal --- but wrong for the archdiocese to promote and encourage this event."

While previous Masses have included political references --- in 2009, Cardinal Daniel DiNardo made an unspecified reference to the rights of the unborn --- this year's Mass was largely void of any hot-button political issues that the court might be addressing, like affirmative action, same-sex marriage, voting rights or abortion laws.

The origins of the Red Mass date back to early Catholic times in cities like Rome, Paris and London. In Paris, La Sainte Chappelle was built and designated as a chapel specifically for Red Mass. In the United States, the tradition began in New York City in 1928, when a group of Catholic lawyers gathered in St. Andrew's Cathedral.

CNN's Bill Mears contributed to this report.

@highlight

Six members of Supreme Court attend annual D.C. event

@highlight

Sotomayor and Alito, both Catholic, do not attend

@highlight

Jewish Justice Ruth Bader Ginsberg never attends anymore

@highlight

Critics say event mingles church and state too much