Port-au-Prince, Haiti (CNN) -- Haiti's capital awoke to increasing desperation Thursday morning, a day and a half after a devastating earthquake, with covered bodies piling up along streets and modern aspects of life, such as electricity, mostly missing.

The streets of Port-au-Prince resembled grainy black-and-white newsreels from World War II that showed the rubble of bombed-out houses in Berlin and London. The devastation was wide and often horrific.

A one-hour drive from the airport to a walled-in hotel where the CNN contingent is staying revealed the widespread destruction from Tuesday's 7.0-magnitude earthquake.

Flattened and severely damaged houses were found on every block, and the streets were choked with pedestrians and residents. They set up overnight camps and slept by the thousands in dark and crowded parks and on sidewalks, for fear of being inside if another powerful quake hit.

Numerous aftershocks have rattled the capital.

Sporadic gunfire was heard Wednesday night outside the hotel where CNN is lodged.

Sirens could be heard at times, but the predominant sounds in the pre-dawn darkness were the shouts and screams from the thousands of people who spent the night in a dark park across the street. A rooster's crowing could sometimes be heard above the din.

After electricity in the hotel was shut off at 1 a.m., CNN technicians worked on satellite equipment by flashlight.

The hotel resembles a compound, with razor wire topping eight-foot walls and a gated parking lot, guarded by a man wielding an old shotgun. And although the hotel's residents seemed safe, and street violence had not been seen, there was a feeling of apprehension.

As dawn broke, residents wandered slowly through the streets, their destination unknown in a city with seemingly nowhere to go.

Still, there were glimmers of hope that the situation was inching toward improvement.

The airport, damaged by the quake, began to come back to life Wednesday.

The Aeroport International Toussaint Louverture had been closed since the quake struck. But by Wednesday afternoon, the first small-plane commercial flights started to arrive. The airport picked up energy and vitality as planes carrying supplies and ferrying search-and-rescue squads began filling the tarmac.

Francklin Pierre, manager for Haiti's Copa Airlines, was in his airport office on Tuesday, sending an e-mail to a friend in Trinidad and Tobago, when he felt the tremor just before 5 p.m. He stood up and stumbled out of his office but could not go far because the building was shaking so hard.

"It was an eternity for me," he said. "That building was shaking like a paper."

His mother and daughter survived, Pierre said, but his father is missing.

"We are all still looking for my father," he said. "We can't reach him. We don't know where he is."

Lionel Isaac, director of the airport authority, said engineers will examine the structural damage Thursday to see if the terminal can be opened again. The runway and the electricity are sound, he said.

If the terminal cannot be opened any time soon, Isaac said, an American Airlines cargo building may be used as temporary terminal.

He hopes to have 30-seat commercial airplanes flying into the airport within the next few days.

Large military cargo aircraft were landing routinely and often Wednesday afternoon. Several U.S. Coast Guard and Air Force planes stood on the tarmac, their engines running the whole time. One took on a load of passengers and left.

International help also started to arrive. Thirty-five members of the Icelandic Search and Rescue Team arrived aboard a large jet.

"They will stay here for as long as it takes," said Thorbjorn Johnsson, a counselor from the Icelandic Foreign Ministry who accompanied the team. "We offered to help and Haiti accepted."

A Canadian military squad also arrived to drop off supplies and a reconnaissance squad, in preparation for a disaster response team scheduled to arrive Thursday aboard a C-17 cargo plane with two helicopters on board.

The Canadian crew planned to leave Wednesday night to make room for other planes on the crowded tarmac.

"Once I've dropped that off, I'm just taking up room," said Capt. Wayne Freeland, the plane's pilot. "I've got to make room for everyone else. I'm just a bus driver, my friend."

American Airlines, which has been flying into Port-Au-Prince for 40 years, has brought in 30,000 pounds of water and food and plans to bring in more Thursday, said Art Torno, the airline's managing director for the Caribbean.

As the sun climbed into the sky Thursday, the din from the park across the street from the hotel quieted, replaced by an occasional car horn and the chattering of residents speaking their rapid-fire French patois.

A small crowd of young men gathered at a concrete wall that had toppled at a home next to the hotel. Stooped over, they busted the concrete blocks into smaller chunks, their purpose in doing so not readily apparent.

@highlight

Bodies pile up in streets; residents wander, apparently aimlessly, in rubble

@highlight

Many Haitians sleeping outdoors for fear more tremors will collapse buildings

@highlight

But reopening of airport, arrival of aid bring glimmer of hope

@highlight

Airport runway and electricity are OK, officials say; terminal being checked for damage