Mexico City (CNN) -- "Poor Mexico, so far from God and so close to the United States," is something I heard a lot growing up in Mexico in the 1980s. How that saying, first coined by President Porfirio Diaz around the turn of the 20th century, resonates today.

With the U.S. election next door, Mexico seems not only far from God, but forgotten. In the past six years, 60,000 people have died in drug-related violence. Some say the death toll could be as high as 100,000. Yet the violence here didn't make it into the last U.S. presidential debate between Barack Obama and Mitt Romney.

We may share a 2,000 mile border, but the view from here -- notwithstanding our trade relationship and the hunger for drugs in the U.S. that is fueling the bloodshed and flooding my country with weapons -- is that we're truly off the radar.

Map: World weighs in on U.S. election

"We can't blame the U.S. for the violence in Mexico," says Anabel Hernandez, an investigative journalist who has put her life on the line writing about Mexico's drug lords.

"We have to look at our own corruption, the terrible impunity and lack of justice. We have to fix these problems ourselves, not wait for Obama or Romney. But that Mexico didn't even warrant one line in the last debate, when we have thousands dead, and even two CIA agents nearly killed in an ambush recently -- that tells you that the U.S.-- Mexico relationship is not going to change."

So much has happened in Mexico since outgoing President Felipe Calderón of the National Action Party (PAN) declared war on organized crime in 2006 that it's hard to keep pace with how much the country has changed. Hard to come to grips with the pain of families I've met during my years covering the drug war -- whose fathers, mothers, brothers, sisters, sons and daughters have come to an untimely and tragic end.

Postcard: Is Obama still Kenya's favorite son?

Because it is hard to understand how we got here, I think back to the time when I was a child here -- back then, the Institutional Revolutionary Party, or PRI, dominated Mexico -- and miles of walls across the country had the PRI logo painted in Mexico's flag colors of green, white and red.

One party, one ideology. One powerful broadcaster that fed us party propaganda. That was just the way it was.

Very early on, during family trips to Texas, I learned that the U.S. meant choice. In the U.S. you could get a whole range of shoes, not just the boxy and nerdy pre-NAFTA shoes available to schoolchildren in Mexico. It meant playing Pac-Man, watching the film "E.T.," not being spoon-fed soppy telenovelas. But the best, in my view: Snickers and Milky Ways, not the slim, omnipresent Carlos V chocolate bars available back home.

Postcard: Nigerians enjoy election soap opera

The electoral process in Mexico back then was just like its chocolate, not only insipid but worse -- a foregone conclusion. What we looked forward to was the "dedazo," when the president would figuratively wag his finger in the direction of his successor thereby naming his replacement.

Meanwhile in the U.S., elections seemed much more colorful. One of my first memories of a U.S. election was of Jimmy Carter, the peanut farmer from Georgia who talked about human rights vs. Ronald Reagan, the actor from California who talked about the "Evil Empire." Here were two very different men with two very different ideologies.

In contrast, the stream of gray men running Mexico endured. This period was marked by a couple of national tragedies -- the nationalization of the banks in 1982, and the calamitous 1985 earthquake, which rocked the PRI to its core.

Postcard: Obama finds support among Chavistas

In 1994, on the eve of the Zapatista rebellion, Mexico joined the North American Free Trade Agreement and for better or for worse, you could eventually get Snickers bars in nearly every shop corner. At the same time the media was becoming freer and more robust.

In Mexico we have tended to see the U.S. elections through the prism of trade, as with NAFTA, or through immigration, as one out of every 10 Mexicans lives in the U.S. The 9/11 terrorist attacks shifted George W. Bush's focus from immigration to waging war in Iraq and Afghanistan. Mexico, understandably, was not a priority.

Fast forward to 2006, a little over five years into our nascent democracy with the PAN in power after 71 years of autocratic PRI rule: Five severed heads were rolled into a nightclub in Uruapan, Michoacán. We were all stunned. This sort of thing didn't happen under the PRI, and the violence has continued unabated to this day.

Postcard: Why Berliners, U.S. are kindred spirits

"There have been 30,000 killed in Syria and 60,000 killed in Mexico, many of whom the government says belonged to criminal groups. Yet Mexico didn't figure in the debate. It's shocking, appalling and disturbing," says Sergio Aguayo, a political analyst here.

"If Mexico had been mentioned it may have been in the 'failed state' category along with Pakistan," counters Andrés Martinez of the New America Foundation. "So a mention is not always a good thing."

In recent years I've travelled back and forth to the front lines of the drug war, but I always return to the safety of Mexico City, which so far seems to be cocooned from the bloodshed.

Postcard: War-scarred Baghdad has little faith in election

But despite living in Mexico City today, it's hard not to see everything -- including the U.S. election -- through the very dark spectacles of the drug war.

"That's exactly the problem," says Mexico City Mayor Marcelo Ebrard, from the left-of-center Party of Democratic Revolution (PRD). His government says it has significantly decreased crime in the last six years -- an improvement from when Mexico City used to be a hotbed of crime. Today victims of the drug war are taking refuge here, and even journalists from violence-ridden states are seeking exile in the capital.

There is no denying that Mexico City is going through some sort of renaissance. Not only are the days of rampant kidnappings behind us, the capital's also become more liberal, more culturally rich and more tolerant.

Postcard: Obama's 'hope' a mirage for hostile Pakistanis

Yet, I tell Ebrard, Mexico City only seems safe because we're comparing it to a level of violence we never had in the rest of the country.

"Imagine if we had a different strategy -- the tactic of confrontation -- to get rid of crime," Ebrard told me. "We'd have more blood."

As I write surrounded by boxes before an impending move to London, I see the PRI's comeback with President elect Enrique Peña Nieto as a direct result of the PAN's failure. And I see Mexico City as a reflection of what the rest of the country can one day become.

As for God, he's still very far away from here. And the U.S. elections? Largely irrelevant to most Mexicans, except for Eduardo Cruz, a Mexico City taxi driver who put it this way: "It doesn't matter who wins the U.S. elections, they just better send the loser to sort things out here!"

@highlight

Brutal drug war in Mexico not mentioned in U.S. presidential debate

@highlight

Seijas: Mexicans often see U.S. election through trade, immigration prisms

@highlight

Tens of thousands have died in drug-related violence in Mexico since 2006