Washington (CNN) -- Eight weeks after an explosion uncorked a massive oil spill into the Gulf, BP still does not know whether its efforts to stanch the flow will soon succeed, its CEO will testify Thursday.

"We cannot guarantee the outcome of these operations, but we are working around the clock with the best experts from government and industry," Tony Hayward says in prepared testimony to be delivered before the House Committee on Energy and Commerce Subcommittee on Oversight and Investigations.

Hayward expresses regret over the disaster. "The explosion and fire aboard the Deepwater Horizon and the resulting oil spill in the Gulf of Mexico never should have happened -- and I am deeply sorry that they did," he says in his prepared remarks.

"None of us yet knows why it happened. But whatever the cause, we at BP will do what we can to make certain that an incident like this does not happen again."

Rep. Bart Stupak, D-Michigan, appeared underwhelmed at Hayward's planned appearance before his committee.

CNNMoney.com: BP's Hayward to strike emotional tone

"Look, he's a corporate guy," Stupak said. "At the end of the day, he's going to put his best foot forward. It's not going to ring true with me or the American public. And we've got a mess on our hands, a disaster, a catastrophic disaster for our environment and those people who lost their lives. He's just going to say, 'I'm sorry, it's not going to happen again.' It's not good enough."

Stupak: Lawmakers going to take Hayward's 'hide off'

But Hayward plans to say more than that. The drilling of two relief wells, "which we believe represents the ultimate solution to stopping the flow of oil and gas from the well," has reached depths of 15,226 feet and 9,778 feet, respectively, he says, but they are not expected to be completed until August.

"We have spent nearly $1.5 billion so far, and we will not stop until the job is done," he says.

Day 58: The latest on the oil disaster

Though the company has accepted that it is the "responsible party," Hayward adds a qualification: "It is important to understand that this 'responsible party' designation is distinct from an assessment of legal liability for the actions that led to the spill," he says.

So far, more than 400,000 barrels of oily water mix have been recovered, and the company has paid more than $90 million on the more than 56,000 claims that have been submitted, he says.

Additionally, about $16 million is expected to be paid this week to businesses, he says. In all, 32 walk-in claims offices are open in Alabama, Florida, Louisiana and Mississippi.

Nearly 700 people have been assigned the task of handling claims, he says.

How the oil-disaster flow estimates have evolved

Hayward adds that, though the cause of the disaster remains unclear, his company's investigation suggests that the accident was caused by the apparent failure of "a number of processes, systems and equipment."

"Investigations into the causes of the incident are ongoing, and issues of liability will be sorted out separately when the facts are clear and all the evidence is available."

The transcript of Hayward's planned remarks was given to reporters hours after he and other BP executives told President Obama that the company will set aside $20 billion in an escrow account to compensate oil spill victims.

The fund "will not supersede individuals' or states' rights to present claims in court," Obama said. BP, he asserted, will remain liable for the environmental disaster in the Gulf.

BP Chairman Carl-Henric Svanberg said that the board of the oil giant has decided not to pay any further dividends this year.

BP also has agreed to create a $100 million fund to compensate oil rig workers now unemployed as a result of closure of other deep-water rigs after the April 20 Deepwater Horizon explosion, Obama said.

After taking a beating in recent weeks, BP's stock price closed Wednesday at 31.85, up 1.43 percent for the day.

The Obama administration has tapped attorney Kenneth Feinberg to mediate the claims process. Feinberg played the same role in compensation for the victims of the September 11, 2001, terrorist attacks.

Anyone dissatisfied with Feinberg's handling of their claim will be able to appeal to a three-person panel, then to the federal oil spill liability trust fund and then to court, said Carol Browner, the president's point person on energy and climate change.

BP has also paid roughly $70 million to the U.S. Coast Guard for cleanup operations, wire transfer receipts showed.

Svanberg apologized to the American people for the disaster. He said he hoped the company could earn back the trust of the American people, because "we care about the small people."

A few hours later, he issued a statement apologizing for the remark. "I spoke clumsily this afternoon, and for that, I am very sorry," he said. "What I was trying to say -- that BP understands how deeply this affects the lives of people who live along the Gulf and depend on it for their livelihood -- will best be conveyed not by any words but by the work we do to put things right for the families and businesses who've been hurt. Like President Obama, I believe we made some good progress toward that goal today."

BP has been under intense political pressure to ensure that it can cover all costs related to the catastrophic oil spill, the largest in U.S. history and one that Obama described as an "unprecedented environmental disaster."

iReport: Share your views, solutions on Gulf oil spill

BP has been siphoning oil from a containment cap placed atop the ruptured well.

The company said Wednesday that it has started collecting oil gushing into the Gulf through a second containment system attached to the ruptured well. The new system is connected directly to the blowout preventer and carries oil up to a second ship, the Q4000.

By the end of July, officials hope to be able to contain as many as 80,000 barrels of oil per day, said Coast Guard Adm. Thad Allen. By that time, he predicted, there will be only "minimal leakage" around the wellhead.

On Tuesday, government scientists increased their estimate of oil flowing into the Gulf by 50 percent -- to between 35,000 and 60,000 barrels per day. That translates into 1.5 million gallons to 2.5 million gallons per day.

The government's previous estimate, issued last week, was 20,000 to 40,000 barrels per day.

Obama said Wednesday that BP assured him that recovery efforts should capture up to 90 percent of the gushing oil in the coming days and weeks.

"That is still not good enough," Obama said. "We will continue to press BP and draw on our best minds and resources to capture the rest of the oil until the company finishes drilling a relief well later in the summer that is expected to stop the leak completely."

The spill dwarfs the 11 million gallons that were dumped into Alaska's Prince William Sound in 1989 when the tanker Exxon Valdez ran aground, and oil in varying amounts and consistencies has hit the shores of Louisiana, Mississippi, Alabama and Florida.

@highlight

BP CEO releases testimony to be read to Congress on Thursday

@highlight

No cap on BP's $20 billion compensation fund, Obama says

@highlight

BP chairman says board has decided not to pay any further dividends this year

@highlight

A $100 million fund also will be set up to help unemployed oil rig workers