Washington (CNN) -- President Barack Obama said Tuesday that he invited Democratic and Republican leaders from both chambers of Congress to the White House for a meeting Thursday to discuss deficit reduction and the need to raise the federal debt ceiling.

Obama said he wanted the meeting to "build on the work that's already been done and drive toward a final agreement" that would address expanding federal deficits and bring congressional approval for increasing how much money the government can borrow.

Senate Minority Leader Mitch McConnell, who earlier invited Obama to come to Congress to discuss the issue, will attend the White House meeting, his office announced. Senate Majority Leader Harry Reid also plans to attend, and House Speaker John Boehner indicated that he will take part but warned that Congress will not accept tax increases sought by Obama and Democrats.

"I'm happy to discuss these issues at the White House, but such discussions will be fruitless until the president recognizes economic and legislative reality," Boehner, R-Ohio, said in a statement. He added, "I'm pleased the president stated today that we need to address the big, long-term challenges facing our country."

According to Obama, who made an unscheduled appearance in the White House briefing room, talks on deficit reduction over the Fourth of July weekend with congressional leaders from both parties made progress, but "we still have to work through some real differences."

Both parties need to come out of their "comfort zone," Obama said. But "this should not come down to the last second."

White House spokesman Jay Carney later said Obama believes that everyone knows the issues involved in forging a comprehensive agreement to reduce federal deficits by as much as $4 trillion in the coming decade.

Now it is time make hard decisions, with both sides compromising in order to reach an agreement that benefits the nation as a whole, Carney said.

"The ideal will never become law, whether you're a conservative House Republican or a liberal Democrat or the president of the United States," Carney said. "You're never going to get everything you want, because our system doesn't work like that."

The Senate returned to work Tuesday, cutting short the planned weeklong Fourth of July recess, with its leaders resuming their tough talk on negotiations to cut federal deficits amid a looming deadline to raise the government's debt ceiling.

The three-day Fourth of July weekend did little to change the rhetoric of recent weeks over deficit reduction talks and the need for Congress to increase the amount of money the government can borrow.

In his opening remarks after the Senate reconvened, Reid, D-Nevada, accused Republicans of putting the nation's economic recovery at risk by threatening to oppose an increase in how much money the government can borrow. McConnell, R-Kentucky, followed Reid by accusing Democrats of wanting to increase spending to solve a deficit problem.

Before Obama's invitation, McConnell repeated an invitation for Obama to come to Congress and hear from Republicans why they won't support any agreement that includes tax increases. Reid said his side was willing to compromise but would not allow Republicans to put the needs of "a few millionaires and billionaires" ahead of the rest of the country.

With House members scheduled to return Wednesday, congressional leaders remain at sharp odds over what sort of conditions should be attached to a hike in the current $14.3 trillion ceiling.

Republicans are refusing to go along with any increase unless it includes deep spending cuts and avoids any tax increases.  Democrats are trying to minimize the impact of cuts to social services and are calling for the elimination to certain tax breaks and loopholes benefiting wealthier Americans.

Treasury Department officials and leading economists have warned of potentially catastrophic consequences if the ceiling is not raised by August 2, at which point the country could default on its debt obligations. Among other things, the country could face skyrocketing interest rates and a plummeting dollar.

Increasing the debt ceiling will allow the government to borrow more money in order to pay for spending already accrued.

Given the short time frame, Congress and the White House may be forced to agree to a relatively small increase in the debt ceiling covering only a few months.

Such a compromise -- including cuts already agreed to on both sides of the aisle -- would give leaders more time to negotiate serious budget reforms, including possible changes to popular entitlement programs such as Medicare and Medicaid.

However, Obama said he's opposed to a short-term increase in the debt ceiling.

"I don't think the American people sent us here to avoid tough problems," Obama said. The debt ceiling dispute is a "'unique opportunity to do something big" and put the "economy on a stronger footing for the future."

Over the weekend, top Democrats and Republicans gave no public indication that a potential compromise is in the offing.  Talks led by Vice President Joe Biden recently collapsed over the tax dispute.

"The principle of not raising taxes is something that we campaigned on last November, and the results of the election was the American people don't want their taxes raised and they wanted us to cut spending," Sen. John McCain, R-Arizona, said Sunday on CNN's "State of the Union." "They don't want compromise."

Various frameworks for a possible deal have been floated. Conservatives demand deep spending cuts, caps on future spending and a balanced budget amendment to the U.S. Constitution in return for their support to raise the debt ceiling.

Both the House and Senate are planning votes on a balanced budget amendment in coming weeks. However, with such an amendment requiring approval from a two-thirds majority in both chambers and then ratification by at least 38 states, eventual approval is unclear in a process that can take years.

For his part, Obama has chided congressional Republicans for refusing to make "tough decisions" at odds with their conservative base. He calls for what he characterizes as a balanced approach to deficit reduction that includes more revenue for education, infrastructure and clean energy, areas he considers critical to long-term economic growth.

The Democratic position includes spending cuts elsewhere, including the military, as well as reforms to popular entitlement programs such as Medicare and Medicaid, the government-run health care programs for senior citizens, the disabled and the indigent. Republicans seek more sweeping entitlement reforms that Democrats contend would eliminate the safety net the programs were intended to provide.

CNN's Tom Cohen, Alan Silverleib, Kate Bolduan and Ted Barrett contributed to this report.

Watch State of the Union with Candy Crowley Sundays at 9am ET. For the latest from State of the Union click here.

@highlight

NEW: House Speaker Boehner reiterates opposition to tax increases

@highlight

NEW: White House spokesman says neither side will get everything they want

@highlight

Senate leaders renew tough talk as the chamber reconvenes

@highlight

Officials warn debt ceiling must be increased by August 2 to avoid risk of default